prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- Oracle APEX export file
--
-- You should run this script using a SQL client connected to the database as
-- the owner (parsing schema) of the application or as a database user with the
-- APEX_ADMINISTRATOR_ROLE role.
--
-- This export file has been automatically generated. Modifying this file is not
-- supported by Oracle and can lead to unexpected application and/or instance
-- behavior now or in the future.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_imp.import_begin (
 p_version_yyyy_mm_dd=>'2023.10.31'
,p_release=>'23.2.0-17'
,p_default_workspace_id=>30564665038162146149
,p_default_application_id=>67321
,p_default_id_offset=>6472750346073423586
,p_default_owner=>'TRTDEMO'
);
end;
/
 
prompt APPLICATION 67321 - (United Codes) Flip Card
--
-- Application Export:
--   Application:     67321
--   Name:            (United Codes) Flip Card
--   Date and Time:   13:18 Friday October 27, 2023
--   Exported By:     ANDREJGR
--   Flashback:       0
--   Export Type:     Application Export
--     Pages:                      8
--       Items:                   13
--       Processes:                6
--       Regions:                 49
--       Buttons:                  2
--       Dynamic Actions:          2
--     Shared Components:
--       Logic:
--       Navigation:
--         Lists:                  3
--         Breadcrumbs:            1
--           Entries:              2
--       Security:
--         Authentication:         2
--         Authorization:          1
--       User Interface:
--         Themes:                 1
--         Templates:
--           Page:                10
--           Region:              21
--           Label:                7
--           List:                13
--           Popup LOV:            1
--           Calendar:             1
--           Breadcrumb:           1
--           Button:               3
--           Report:              12
--         LOVs:                   4
--         Shortcuts:              1
--         Plug-ins:               1
--       PWA:
--       Globalization:
--       Reports:
--       E-Mail:
--     Supporting Objects:  Included
--       Install scripts:          1
--   Version:         23.2.0-17
--   Instance ID:     63113759365424
--

prompt --application/delete_application
begin
wwv_flow_imp.remove_flow(wwv_flow.g_flow_id);
end;
/
prompt --application/create_application
begin
wwv_imp_workspace.create_flow(
 p_id=>wwv_flow.g_flow_id
,p_owner=>nvl(wwv_flow_application_install.get_schema,'TRTDEMO')
,p_name=>nvl(wwv_flow_application_install.get_application_name,'(United Codes) Flip Card')
,p_alias=>nvl(wwv_flow_application_install.get_application_alias,'UC-FLIP-CARD')
,p_page_view_logging=>'YES'
,p_page_protection_enabled_y_n=>'Y'
,p_checksum_salt=>'D3727C3BC8A1C368C491A530D1B1C9517ED9FB6619A599EB51671172A50F79EE'
,p_bookmark_checksum_function=>'SH512'
,p_accept_old_checksums=>false
,p_compatibility_mode=>'21.2'
,p_session_state_commits=>'IMMEDIATE'
,p_flow_language=>'en'
,p_flow_language_derived_from=>'FLOW_PRIMARY_LANGUAGE'
,p_allow_feedback_yn=>'Y'
,p_date_format=>'DS'
,p_timestamp_format=>'DS'
,p_timestamp_tz_format=>'DS'
,p_direction_right_to_left=>'N'
,p_flow_image_prefix => nvl(wwv_flow_application_install.get_image_prefix,'')
,p_documentation_banner=>'Application created from create application wizard 2021.02.15.'
,p_authentication_id=>wwv_flow_imp.id(7234360078888657168)
,p_application_tab_set=>1
,p_logo_type=>'IT'
,p_logo=>'#APP_IMAGES#plugins-pro-horizontal-white.svg'
,p_logo_text=>'&APP_NAME. &APP_VERSION.'
,p_app_builder_icon_name=>'app-icon.svg'
,p_favicons=>'<link rel="icon" href="#APP_IMAGES#/favicon.ico" />'
,p_proxy_server=>nvl(wwv_flow_application_install.get_proxy,'')
,p_no_proxy_domains=>nvl(wwv_flow_application_install.get_no_proxy_domains,'')
,p_flow_version=>'v23.1'
,p_flow_status=>'AVAILABLE_W_EDIT_LINK'
,p_flow_unavailable_text=>'This application is currently unavailable at this time.'
,p_exact_substitutions_only=>'Y'
,p_browser_cache=>'N'
,p_browser_frame=>'D'
,p_referrer_policy=>'strict-origin-when-cross-origin'
,p_pass_ecid=>'N'
,p_authorize_batch_job=>'N'
,p_rejoin_existing_sessions=>'N'
,p_csv_encoding=>'Y'
,p_auto_time_zone=>'N'
,p_tokenize_row_search=>'N'
,p_substitution_string_01=>'APP_NAME'
,p_substitution_value_01=>'Flip Card'
,p_substitution_string_02=>'APP_VERSION'
,p_substitution_value_02=>'23.1'
,p_last_updated_by=>'ANDREJGR'
,p_last_upd_yyyymmddhh24miss=>'20231027131731'
,p_file_prefix => nvl(wwv_flow_application_install.get_static_app_file_prefix,'')
,p_files_version=>36
,p_print_server_type=>'INSTANCE'
,p_file_storage=>'DB'
,p_is_pwa=>'N'
);
end;
/
prompt --application/user_interfaces
begin
wwv_flow_imp_shared.create_user_interface(
 p_id=>wwv_flow_imp.id(67321)
,p_theme_id=>42
,p_home_url=>'f?p=&APP_ID.:17:&SESSION.'
,p_login_url=>'f?p=&APP_ID.:LOGIN_DESKTOP:&SESSION.'
,p_theme_style_by_user_pref=>false
,p_built_with_love=>false
,p_global_page_id=>0
,p_navigation_list_id=>wwv_flow_imp.id(7234360899060657159)
,p_navigation_list_position=>'TOP'
,p_navigation_list_template_id=>wwv_flow_imp.id(7234462931693656980)
,p_nav_list_template_options=>'#DEFAULT#:js-tabLike'
,p_css_file_urls=>'#APP_IMAGES#app-icon.css?version=#APP_VERSION#'
,p_nav_bar_type=>'LIST'
,p_nav_bar_list_id=>wwv_flow_imp.id(7234497314546656911)
,p_nav_bar_list_template_id=>wwv_flow_imp.id(7234464159205656979)
,p_nav_bar_template_options=>'#DEFAULT#'
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_menu
begin
wwv_flow_imp_shared.create_list(
 p_id=>wwv_flow_imp.id(7234360899060657159)
,p_name=>'Desktop Navigation Menu'
,p_list_status=>'PUBLIC'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(6661848463553438355)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'&APP_NAME.'
,p_list_item_link_target=>'f?p=&APP_ID.:17:&SESSION.::&DEBUG.::::'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(6661950902795449107)
,p_list_item_display_sequence=>20
,p_list_item_link_text=>'Style'
,p_list_item_link_target=>'f?p=&APP_ID.:20:&APP_SESSION.::&DEBUG.:::'
,p_list_item_icon=>'fa-file-o'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'20'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(6700130540032482603)
,p_list_item_display_sequence=>25
,p_list_item_link_text=>'Grid Columns'
,p_list_item_link_target=>'f?p=&APP_ID.:40:&APP_SESSION.::&DEBUG.:::'
,p_list_item_icon=>'fa-columns'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'40'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(6686366674644576579)
,p_list_item_display_sequence=>30
,p_list_item_link_text=>'Effect'
,p_list_item_link_target=>'f?p=&APP_ID.:30:&APP_SESSION.::&DEBUG.:::'
,p_list_item_icon=>'fa-dynamic-content'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'30'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(6902492847897821732)
,p_list_item_display_sequence=>40
,p_list_item_link_text=>'Actions'
,p_list_item_link_target=>'f?p=&APP_ID.:50:&APP_SESSION.::&DEBUG.:::'
,p_list_item_icon=>'fa-button'
,p_list_item_current_type=>'COLON_DELIMITED_PAGE_LIST'
,p_list_item_current_for_pages=>'50'
);
end;
/
prompt --application/shared_components/navigation/lists/desktop_navigation_bar
begin
wwv_flow_imp_shared.create_list(
 p_id=>wwv_flow_imp.id(7234497314546656911)
,p_name=>'Desktop Navigation Bar'
,p_list_status=>'PUBLIC'
);
end;
/
prompt --application/shared_components/navigation/lists/features
begin
wwv_flow_imp_shared.create_list(
 p_id=>wwv_flow_imp.id(7235064521492940334)
,p_name=>'Features'
,p_list_status=>'PUBLIC'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(7235067606648940330)
,p_list_item_display_sequence=>10
,p_list_item_link_text=>'Seamless Integration'
,p_list_item_link_target=>'javascript: void(0);'
,p_list_item_icon=>'fa-plug'
,p_list_text_01=>'Our Flip Card template plugin seamlessly integrates with your new or existing application. With a few simple clicks, you can breathe life into your content, creating memorable experiences for your visitors.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(7235065580137940331)
,p_list_item_display_sequence=>20
,p_list_item_link_text=>'Customizable Design'
,p_list_item_link_target=>'javascript: void(0);'
,p_list_item_icon=>'fa-design'
,p_list_text_01=>'Make your mark with stunning flip cards that reflect your brand''s identity. Customize every aspect, from colors to fonts, and choose from a wide range of themes. Your content, your style.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(7235065266336940332)
,p_list_item_display_sequence=>30
,p_list_item_link_text=>'User-Friendly'
,p_list_item_link_target=>'javascript: void(0);'
,p_list_item_icon=>'fa-emoji-love'
,p_list_text_01=>'You don''t need to be a coding expert to use our Flip Card template plugin. Our intuitive interface makes it accessible to everyone, from beginners to seasoned web developers.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(7060706184112945707)
,p_list_item_display_sequence=>40
,p_list_item_link_text=>'Responsive Design'
,p_list_item_link_target=>'javascript: void(0);'
,p_list_item_icon=>'fa-address-card-o'
,p_list_text_01=>unistr('Don''t worry about compatibility issues. Our plugin ensures your flip cards look incredible on every device \2013 from the smallest smartphones to the largest desktop screens.')
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(7059880974384704474)
,p_list_item_display_sequence=>50
,p_list_item_link_text=>'Versatile Use Cases'
,p_list_item_link_target=>'javascript: void(0);'
,p_list_item_icon=>'fa-apex'
,p_list_text_01=>'Whether you''re showcasing products, introducing your team, presenting services, or sharing informative tidbits, the Flip Card template plugin has got you covered. It''s a versatile tool to bring any content to the forefront.'
,p_list_item_current_type=>'TARGET_PAGE'
);
wwv_flow_imp_shared.create_list_item(
 p_id=>wwv_flow_imp.id(7060745653190951371)
,p_list_item_display_sequence=>60
,p_list_item_link_text=>'Smooth Animations'
,p_list_item_link_target=>'javascript: void(0);'
,p_list_item_icon=>'fa-gear'
,p_list_text_01=>'Get ready to wow your audience with sleek and captivating flip card animations. These subtle yet stunning transitions are designed to grab your visitor''s attention and keep them engaged.'
,p_list_item_current_type=>'TARGET_PAGE'
);
end;
/
prompt --application/shared_components/navigation/listentry
begin
null;
end;
/
prompt --application/shared_components/files/app_icon_css
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2E6170702D69636F6E207B0A202020206261636B67726F756E642D696D6167653A2075726C286170702D69636F6E2E737667293B0A202020206261636B67726F756E642D7265706561743A206E6F2D7265706561743B0A202020206261636B67726F756E';
wwv_flow_imp.g_varchar2_table(2) := '642D73697A653A20636F7665723B0A202020206261636B67726F756E642D706F736974696F6E3A203530253B0A202020206261636B67726F756E642D636F6C6F723A20234544383133453B0A7D';
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(6568355758408578869)
,p_file_name=>'app-icon.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/app_icon_svg
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '3C73766720786D6C6E733D22687474703A2F2F7777772E77332E6F72672F323030302F7376672220786D6C6E733A786C696E6B3D22687474703A2F2F7777772E77332E6F72672F313939392F786C696E6B222076696577426F783D223020302036342036';
wwv_flow_imp.g_varchar2_table(2) := '34223E3C646566733E3C7374796C653E2E636C732D317B66696C6C3A75726C282372616469616C2D6772616469656E74293B7D2E636C732D327B6F7061636974793A302E313B7D2E636C732D332C2E636C732D347B66696C6C3A236666663B7D2E636C73';
wwv_flow_imp.g_varchar2_table(3) := '2D337B6F7061636974793A302E363B7D3C2F7374796C653E3C72616469616C4772616469656E742069643D2272616469616C2D6772616469656E74222063783D223332222063793D222E30352220723D22363422206772616469656E74556E6974733D22';
wwv_flow_imp.g_varchar2_table(4) := '7573657253706163654F6E557365223E3C73746F70206F66667365743D2230222073746F702D636F6C6F723D2223666666222073746F702D6F7061636974793D22302E3135222F3E3C73746F70206F66667365743D222E35222073746F702D636F6C6F72';
wwv_flow_imp.g_varchar2_table(5) := '3D2223666666222073746F702D6F7061636974793D22302E31222F3E3C73746F70206F66667365743D2231222073746F702D636F6C6F723D2223666666222073746F702D6F7061636974793D2230222F3E3C2F72616469616C4772616469656E743E3C73';
wwv_flow_imp.g_varchar2_table(6) := '796D626F6C2069643D22616D6269656E742D6C69676874696E67222076696577426F783D22302030203634203634223E3C7061746820636C6173733D22636C732D312220643D224D302030683634763634682D36347A222F3E3C2F73796D626F6C3E3C2F';
wwv_flow_imp.g_varchar2_table(7) := '646566733E3C7469746C653E6261722D6C696E652D63686172743C2F7469746C653E3C726563742077696474683D22363422206865696768743D223634222066696C6C3D2223454438313345222F3E3C672069643D2269636F6E73223E3C706174682063';
wwv_flow_imp.g_varchar2_table(8) := '6C6173733D22636C732D322220643D224D313920343668357631682D357A4D323620343668357631682D357A4D333320343668357631682D357A4D343020343668357631682D357A222F3E3C7061746820636C6173733D22636C732D332220643D224D31';
wwv_flow_imp.g_varchar2_table(9) := '3920333868357638682D357A4D32362033326835763134682D357A4D33332033326835763134682D357A4D34302032376835763139682D357A222F3E3C6720636C6173733D22636C732D32223E3C636972636C652063783D2234322E35222063793D2232';
wwv_flow_imp.g_varchar2_table(10) := '302E352220723D22312E35222F3E3C636972636C652063783D2233352E35222063793D2232352E352220723D22312E35222F3E3C636972636C652063783D2232382E35222063793D2232352E352220723D22312E35222F3E3C636972636C652063783D22';
wwv_flow_imp.g_varchar2_table(11) := '32312E35222063793D2233312E352220723D22312E35222F3E3C7061746820643D224D32312E3832352033312E3837396C2D2E36352D2E37353820372E31342D362E31323168372E3032356C362E3836392D342E3930372E3538322E3831342D372E3133';
wwv_flow_imp.g_varchar2_table(12) := '3120352E303933682D362E3937356C2D362E383620352E3837397A222F3E3C2F673E3C636972636C6520636C6173733D22636C732D34222063783D2234322E35222063793D2231392E352220723D22312E35222F3E3C636972636C6520636C6173733D22';
wwv_flow_imp.g_varchar2_table(13) := '636C732D34222063783D2233352E35222063793D2232342E352220723D22312E35222F3E3C636972636C6520636C6173733D22636C732D34222063783D2232382E35222063793D2232342E352220723D22312E35222F3E3C636972636C6520636C617373';
wwv_flow_imp.g_varchar2_table(14) := '3D22636C732D34222063783D2232312E35222063793D2233302E352220723D22312E35222F3E3C7061746820636C6173733D22636C732D342220643D224D32312E3832352033302E3837396C2D2E36352D2E37353820372E31342D362E31323168372E30';
wwv_flow_imp.g_varchar2_table(15) := '32356C362E3836392D342E3930372E3538322E3831342D372E31333120352E303933682D362E3937356C2D362E383620352E3837397A222F3E3C2F673E3C7573652077696474683D22363422206865696768743D2236342220786C696E6B3A687265663D';
wwv_flow_imp.g_varchar2_table(16) := '2223616D6269656E742D6C69676874696E67222069643D226C69676874696E67222F3E3C2F7376673E';
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(6568355975095578870)
,p_file_name=>'app-icon.svg'
,p_mime_type=>'image/svg+xml'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/shared_components/files/favicon_ico
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '000001000300101000000100200068040000360000002020000001002000281100009E040000303000000100200068260000C615000028000000100000002000000001002000000000000000000000000000000000000000000000000000822E2DE8822E';
wwv_flow_imp.g_varchar2_table(2) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DE8822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(3) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822F2EFF83302FFF83302FFF822F2EFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF832F';
wwv_flow_imp.g_varchar2_table(4) := '2EFFB48181FFD8BEBEFFEEE2E2FFF9F5F5FFF9F5F5FFEFE5E5FFDAC2C2FFB58382FF83302FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF83302FFFD1B2B2FFB17D7DFFB07B7AFFCBA9A8FF893939FF893939FFCCA9A9FFB38181FFB48281FFD2B5';
wwv_flow_imp.g_varchar2_table(5) := 'B4FF83302FFF822E2DFF822E2DFF822E2DFF822E2DFFB88988FFAF7A79FF924A49FFD0B0B0FF822E2DFF822E2DFF822E2DFF822E2DFFD1B2B1FF954F4EFFB17C7CFFB98A89FF822E2DFF822E2DFF822E2DFF822E2DFFDBC4C3FF822E2DFFC59F9EFF934A';
wwv_flow_imp.g_varchar2_table(6) := '49FF822E2DFF822E2DFF822E2DFF822E2DFF934B4AFFC8A4A3FF822F2EFFDCC5C4FF822E2DFF822E2DFF822E2DFF893938FFD1B3B3FF822E2DFFD3B5B5FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFD5BAB9FF822E2DFFD0B2B1FF8939';
wwv_flow_imp.g_varchar2_table(7) := '38FF822E2DFF822E2DFF873635FFD3B5B5FF822E2DFFD4B7B6FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFD6BABAFF822E2DFFD3B5B5FF873635FF822E2DFF822E2DFF822E2DFFD8BFBFFF843231FFC19796FF9D5B5AFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(8) := '2DFF822E2DFF822E2DFF9D5B5AFFC09695FF853332FFDAC1C1FF822E2DFF822E2DFF822E2DFF822E2DFFA96F6FFFC09796FF8D4140FFDAC1C1FF863433FF822E2DFF822E2DFF863433FFDAC1C1FF8C403FFFC29999FFA9706FFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(9) := '2DFF822E2DFF822E2DFFBC908FFFCAA6A6FFAC7473FFDAC2C1FF9C5A59FF9C5A59FFDAC1C1FFAC7575FFCBA8A7FFBC908FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF9B5756FFCCAAAAFFDDC6C6FFDFCACAFFDFCACAFFDDC7';
wwv_flow_imp.g_varchar2_table(10) := 'C6FFCCAAAAFF9B5857FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(11) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DE8822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(12) := '2DFF822E2DFF822E2DFF822E2DFF822E2DE800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000280000002000000040000000010020000000';
wwv_flow_imp.g_varchar2_table(13) := '00000000000000000000000000000000000000000000822E2CA7822E2DFE822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(14) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFE822E2CA7822E2DFE822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(15) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFE822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(16) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(17) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(18) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(19) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(20) := '2DFF822E2DFF822E2DFF822E2DFF843231FF843231FF843231FF843231FF843231FF843231FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(21) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF8F4342FFBE9392FFE2CFCFFFF9F4F4FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF8F4F4FFE2CFCFFFBF9493FF8F4544FF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(22) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF853433FFC39B9BFFFBF9F9FFF4ECECFFCCAAAAFFC6A09FFFFAF7F7FFFFFFFFFFE7D7D7FFE7D7D7FFFFFFFFFFFBF9F9FFCCAAAAFFD2B5';
wwv_flow_imp.g_varchar2_table(23) := 'B4FFF7F2F2FFFCFAFAFFC69F9FFF863534FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF8C3E3DFFE4D2D1FFF8F4F4FFB78787FF853332FFA56867FFF9F5F5FFE4D2';
wwv_flow_imp.g_varchar2_table(24) := 'D2FF9E5C5CFF822E2DFF822E2DFF9E5C5CFFE4D3D2FFFAF6F6FFA86E6EFF873736FFBC9090FFFAF7F7FFE6D4D4FF8C403FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF873635FFE6D5';
wwv_flow_imp.g_varchar2_table(25) := 'D5FFEFE5E4FF954D4DFF822E2DFF9C5A59FFFBF8F8FFCCABAAFF843130FF822E2DFF822E2DFF822E2DFF822E2DFF843130FFCDABABFFFCFBFBFFA36565FF822E2DFF985352FFF1E8E8FFE7D7D7FF873736FF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(26) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFCBA8A8FFF7F1F1FF934B4AFF822E2DFF873736FFF0E6E6FFD3B6B6FF822F2EFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822F2EFFD3B6B6FFF4EDEDFF8B3D3DFF822E2DFF954F';
wwv_flow_imp.g_varchar2_table(27) := '4EFFF8F3F3FFCDABAAFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF975050FFFEFDFDFFB17E7DFF822E2DFF822E2DFFBF9594FFF3EBEAFF893A39FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(28) := '2DFF822E2DFF822E2DFF893938FFF3EBEBFFC7A2A1FF822E2DFF822E2DFFB48181FFFEFDFDFF985251FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFCBA8A7FFEEE3E3FF83302FFF822E2DFF843130FFF4EDEDFFBA8C';
wwv_flow_imp.g_varchar2_table(29) := '8BFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFBA8C8CFFF8F3F3FF863534FF822E2DFF843130FFEFE4E4FFCCAAA9FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(30) := '2DFFF1E7E7FFC49D9DFF822E2DFF822E2DFF9F5F5EFFFEFEFEFF8E4241FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF8E4342FFFEFEFEFFA56968FF822E2DFF822E2DFFC49D9CFFF1E8E8FF822E';
wwv_flow_imp.g_varchar2_table(31) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF8B3D3CFFFFFFFFFFAA7271FF822E2DFF822E2DFFB88989FFEFE5E5FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(32) := '2DFFEFE5E5FFBC908FFF822E2DFF822E2DFFA86F6EFFFFFFFFFF8B3D3CFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF954D4CFFFFFFFFFF9E5D5DFF822E2DFF822E2DFFC19796FFE3D1D1FF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(33) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFE4D1D1FFC7A1A0FF822E2DFF822E2DFF9C5A59FFFFFFFFFF954D4CFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF924948FFFFFFFFFFA0605FFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(34) := '2DFFBE9392FFE7D6D6FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFE7D7D6FFC49C9CFF822E2DFF822E2DFF9F5F5FFFFFFFFFFF924948FF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(35) := '2DFF822E2DFF822E2DFF853332FFFCFBFBFFB07B7AFF822E2DFF822E2DFFB27F7EFFF8F3F3FF83302FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF83302FFFF8F3F3FFB48282FF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(36) := '2DFFB17D7CFFFDFBFBFF853332FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFE2CFCFFFD0B2B1FF822E2DFF822E2DFF985353FFFFFFFFFF9E5D5CFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(37) := '2DFF822E2DFF822E2DFF9E5D5CFFFFFFFFFF975151FF822E2DFF822E2DFFD3B5B5FFE3D1D1FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFB78685FFF9F6F6FF8C3E3DFF822E2DFF822E2DFFEADBDBFFD2B4B3FF822E';
wwv_flow_imp.g_varchar2_table(38) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFD2B4B4FFE8D9D9FF822E2DFF822E2DFF8E4241FFFBF8F8FFB88888FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF8737';
wwv_flow_imp.g_varchar2_table(39) := '36FFF2EAEAFFCEAEADFF822E2DFF822E2DFFAE7878FFFEFDFDFF9E5E5DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF9E5E5DFFFEFDFDFFAC7575FF822E2DFF822E2DFFD2B3B3FFF3EBEBFF883837FF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(40) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFA86E6EFFFEFEFEFFB48282FF822E2DFF822F2EFFDBC2C2FFF1E8E8FF914847FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF914847FFF1E8E8FFDAC1C1FF822E';
wwv_flow_imp.g_varchar2_table(41) := '2DFF822E2DFFB78787FFFEFEFEFFA9706FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFBE9291FFFEFEFEFFC09696FF843130FF8A3C3BFFE7D6D6FFF1E8E8FF9E5D5CFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(42) := '2DFF822E2DFF822E2DFF9E5D5CFFF1E8E8FFE7D8D8FF8A3B3AFF843231FFC29A99FFFEFEFEFFBD9291FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFB48281FFFBF8';
wwv_flow_imp.g_varchar2_table(43) := 'F8FFE9DADAFFAE7877FF904544FFDCC5C4FFFEFDFDFFD1B1B1FF9C5A59FF9C5A59FFD1B2B1FFFEFDFDFFDAC2C2FF914746FFB07B7BFFEADDDCFFFBF8F8FFB48282FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(44) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF944C4BFFD3B5B5FFFCFBFBFFFCFAFAFFEADBDBFFFCFAFAFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFCF9F9FFEADDDCFFFDFBFBFFFCFBFBFFD4B7B7FF944C4BFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(45) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF8B3E3DFFAD7675FFC39B9AFFCCAAAAFFC8A4A3FFB78887FFB78686FFC8A3A3FFCCAAAAFFC39B';
wwv_flow_imp.g_varchar2_table(46) := '9BFFAD7676FF8C3E3EFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(47) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(48) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(49) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(50) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(51) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFE822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(52) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFE822E2CA7822E2DFE822E';
wwv_flow_imp.g_varchar2_table(53) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(54) := '2DFF822E2DFF822E2DFF822E2DFE822E2CA700000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(55) := '00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(56) := '00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000002800000030000000600000000100200000000000000000000000';
wwv_flow_imp.g_varchar2_table(57) := '0000000000000000000000000000832C2C52812E2DE3822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(58) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF812E';
wwv_flow_imp.g_varchar2_table(59) := '2DE3832C2C52812E2DE3822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(60) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF812E2DE3822E';
wwv_flow_imp.g_varchar2_table(61) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(62) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(63) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(64) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(65) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(66) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(67) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(68) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(69) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(70) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(71) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(72) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(73) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF84302FFF863534FF863534FF863534FF863534FF863534FF863534FF863534FF863534FF83302FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(74) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822F2EFF8939';
wwv_flow_imp.g_varchar2_table(75) := '38FF964F4EFFB48282FFD8BDBDFFF0E6E6FFFDFBFBFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDFBFBFFF0E5E5FFD7BDBCFFB58383FF96504FFF893A39FF822F2EFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(76) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF863433FFAA7170FFD4B6B6FFF4EDEDFFFFFF';
wwv_flow_imp.g_varchar2_table(77) := 'FFFFFFFEFEFFF4ECECFFF1E8E7FFFDFDFCFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFDFDFFF5EFEFFFFAF6F6FFFFFFFFFFFFFFFFFFF5EEEEFFD5B8B8FFAB7373FF863534FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(78) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF8B3E3DFFD4B7B7FFF7F2F2FFFFFEFEFFF7F2F2FFCBA8A8FFA26363FFA162';
wwv_flow_imp.g_varchar2_table(79) := '61FFE5D4D4FFFEFEFEFFFFFFFFFFF4ECECFFCBA8A8FFCBA9A8FFF4EDECFFFFFFFFFFFEFEFEFFE6D6D6FFA46666FFAB7473FFD5B8B8FFFAF7F7FFFFFEFEFFF8F3F3FFD7BCBCFF8D4140FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(80) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF83302FFF9C5A59FFEBDDDDFFFEFEFEFFF3EAEAFFC59E9EFF8B3D3CFF83302FFF9B5958FFEFE4E4FFFEFDFDFFF2E8';
wwv_flow_imp.g_varchar2_table(81) := 'E8FFC19797FF8C3F3EFF822E2DFF822E2DFF8C3F3EFFC19897FFF2E9E9FFFEFDFDFFF0E7E6FF9E5D5DFF843130FF914746FFCDABABFFF5EEEEFFFEFEFEFFEDE0E0FF9E5D5CFF83302FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(82) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF9E5D5CFFE8D9D8FFFFFEFEFFDDC6C6FFA06060FF843130FF832F2EFFA36665FFEEE2E2FFFCFAFAFFD5B9B9FF9A5655FF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(83) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF9A5655FFD5B9B9FFFCFAFAFFF1E7E7FFA96F6FFF833130FF843231FFA56868FFE1CDCDFFFFFFFFFFE9DADAFFA0605FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(84) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF904544FFEDE1E1FFFFFFFFFFD3B6B6FF8C3F3EFF822E2DFF822E2DFF914746FFE7D7D7FFFFFEFEFFCEAEADFF8B3D3DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(85) := '2DFF822E2DFF822E2DFF822E2DFF8B3D3DFFCFAFAFFFFFFFFFFFEEE2E2FF96504FFF822E2DFF822F2EFF8E4241FFD9BFBFFFFFFFFFFFEFE4E4FF914847FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(86) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF883938FFDCC6C5FFFEFDFDFFDAC1C1FF8B3E3DFF822E2DFF822E2DFF853332FFD7BBBBFFFDFCFCFFD4B8B7FF83302FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(87) := '2DFF822E2DFF822E2DFF83302FFFD4B8B7FFFDFCFCFFE1CDCCFF873736FF822E2DFF822E2DFF8D403FFFDEC8C8FFFEFEFEFFDFC8C8FF893A39FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(88) := '2DFF822E2DFF822E2DFF83302FFFB3807FFFF9F5F5FFF0E6E6FF9D5A5AFF822E2DFF822E2DFF822E2DFFB17D7CFFFEFEFEFFE2CECEFF904545FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(89) := '2DFF822E2DFF904544FFE1CECEFFFFFFFFFFBE9291FF822F2EFF822E2DFF822E2DFF9F5E5EFFF1E8E8FFFAF6F6FFB48281FF83302FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(90) := '2DFF8C3F3EFFDEC8C8FFFFFFFFFFBB8E8EFF83302FFF822E2DFF822E2DFF8E4342FFE9DBDBFFF8F4F4FFAF7978FF832F2EFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF832F';
wwv_flow_imp.g_varchar2_table(91) := '2EFFAF7979FFF8F4F4FFEEE2E2FF954D4CFF822E2DFF822E2DFF83302FFFBE9393FFFFFFFFFFDFCACAFF8C403FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFA0605FFFFCFA';
wwv_flow_imp.g_varchar2_table(92) := 'FAFFF0E7E7FF853433FF822E2DFF822E2DFF822E2DFFB07B7AFFF9F5F5FFE5D4D4FF893938FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF893938FFE5D4';
wwv_flow_imp.g_varchar2_table(93) := 'D4FFFBF9F9FFB78685FF822F2EFF822E2DFF822E2DFF873635FFF2E8E8FFFDFBFBFFA16261FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFCBA8A8FFFFFFFFFFBE9392FF822E';
wwv_flow_imp.g_varchar2_table(94) := '2DFF822E2DFF822E2DFF863534FFCCABAAFFFFFFFFFFB78786FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFB78786FFFFFFFFFFD3B4';
wwv_flow_imp.g_varchar2_table(95) := 'B4FF883837FF822E2DFF822E2DFF822E2DFFBF9392FFFFFFFFFFCCAAAAFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFF0E5E5FFFBF8F8FF9A5655FF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(96) := '2DFF8D4140FFE2D0CFFFFEFEFEFF8D403FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF8D4140FFFEFEFEFFE9DADAFF904544FF822E';
wwv_flow_imp.g_varchar2_table(97) := '2DFF822E2DFF822E2DFF995554FFFAF8F8FFF1E6E6FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF8C403FFFFFFFFFFFECDFDFFF914645FF822E2DFF822E2DFF822E2DFF934B4BFFF5EE';
wwv_flow_imp.g_varchar2_table(98) := 'EEFFEBDDDDFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFEBDDDDFFF8F4F4FF954E4DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(99) := '2DFF904645FFEADDDCFFFFFFFFFF8D4140FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF9C5A59FFFFFFFFFFE1CECDFF8D4140FF822E2DFF822E2DFF822E2DFF97504FFFFCFBFBFFD8BEBEFF822E';
wwv_flow_imp.g_varchar2_table(100) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFD8BFBEFFFEFEFEFF9C5A59FF822E2DFF822E2DFF822E2DFF8C3F3EFFDFCA';
wwv_flow_imp.g_varchar2_table(101) := 'C9FFFFFFFFFF9C5959FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFA26362FFFFFFFFFFDCC4C4FF8B3D3DFF822E2DFF822E2DFF822E2DFF985352FFFFFFFFFFD0B1B0FF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(102) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFD0B1B1FFFFFFFFFFA26463FF822E2DFF822E2DFF822E2DFF8B3C3BFFDAC2C1FFFFFFFFFFA263';
wwv_flow_imp.g_varchar2_table(103) := '62FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF9F5F5EFFFFFFFFFFDDC6C6FF8B3E3DFF822E2DFF822E2DFF822E2DFF975150FFFEFDFDFFD4B7B7FF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(104) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFD4B7B7FFFFFFFFFF9F605FFF822E2DFF822E2DFF822E2DFF8B3E3DFFDCC5C5FFFFFFFFFF9F5F5FFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(105) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF934948FFFFFFFFFFE4D3D2FF8E4241FF822E2DFF822E2DFF822E2DFF954D4CFFF8F4F3FFE3D0D0FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(106) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFE3D0D0FFFBF9F9FF975150FF822E2DFF822E2DFF822E2DFF8E4242FFE5D3D3FFFFFFFFFF934B4AFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(107) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF843130FFF8F3F3FFF2EAEAFF934A49FF822E2DFF822E2DFF822E2DFF914747FFEEE2E2FFF9F6F6FF853332FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(108) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF853332FFF9F6F6FFEFE5E5FF924847FF822E2DFF822E2DFF822E2DFF934B4AFFF4ECECFFF9F5F5FF843130FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(109) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFDAC0C0FFFFFFFFFFA66C6BFF822E2DFF822E2DFF822E2DFF8B3E3DFFDDC5C5FFFFFFFFFFA56968FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(110) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFA56968FFFFFFFFFFDCC4C4FF8B3D3CFF822E2DFF822E2DFF822E2DFFAA7170FFFFFFFFFFDBC3C3FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(111) := '2DFF822E2DFF822E2DFF822E2DFFB07A79FFFEFDFDFFD8BEBDFF822E2DFF822E2DFF822E2DFF843231FFC39B9AFFFDFCFCFFD5B9B9FF843231FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(112) := '2DFF822E2DFF822E2DFF822E2DFF843231FFD5B9B9FFFDFCFCFFC29998FF843130FF822E2DFF822E2DFF822F2EFFDCC5C4FFFEFEFEFFB17D7CFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(113) := '2DFF822E2DFF924948FFECDFDFFFFCFAFAFF9D5B5AFF822E2DFF822E2DFF822E2DFFA36565FFF5EEEEFFF3EBEAFF9E5D5CFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(114) := '2DFF822E2DFF9E5D5DFFF3EBEBFFF5EEEDFFA16362FF822E2DFF822E2DFF822E2DFFA26463FFFDFBFBFFEDE1E1FF934A49FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF8533';
wwv_flow_imp.g_varchar2_table(115) := '32FFC59E9EFFFDFCFCFFE0CBCBFF893B3AFF822E2DFF822E2DFF853332FFDAC2C2FFFEFEFEFFCEADADFF873736FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF873736FFCEAD';
wwv_flow_imp.g_varchar2_table(116) := 'ADFFFEFEFEFFD9BFBFFF843231FF822E2DFF822E2DFF8B3D3CFFE3D1D1FFFEFDFDFFC6A0A0FF853433FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF975150FFECDF';
wwv_flow_imp.g_varchar2_table(117) := 'DFFFFAF7F7FFBE9291FF863433FF822E2DFF822E2DFF9A5655FFF4EDEDFFF7F3F2FFB37F7EFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFB37F7FFFF7F3F2FFF3EBEBFF9752';
wwv_flow_imp.g_varchar2_table(118) := '51FF822E2DFF822E2DFF863534FFC19797FFFBF8F8FFEDE0E0FF985352FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF832F2EFFA86E6EFFFEFDFDFFF7F1';
wwv_flow_imp.g_varchar2_table(119) := 'F1FFAD7776FF822E2DFF822E2DFF822E2DFFAE7877FFFBF8F8FFF7F2F2FFAD7574FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFAD7574FFF7F2F2FFFBF8F8FFAD7777FF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(120) := '2DFFB17C7CFFF8F3F3FFFEFEFEFFAA7070FF832F2EFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFFBA8B8AFFFAF6F6FFFDFCFCFFB786';
wwv_flow_imp.g_varchar2_table(121) := '85FF893A39FF822E2DFF873635FFC59E9DFFFBF9F9FFF7F2F2FFB27F7EFF873736FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF873736FFB27F7EFFF7F2F2FFFBF9F9FFC59E9DFF863534FF822E2DFF893B3AFFBA8B8BFFFEFDFDFFFAF6';
wwv_flow_imp.g_varchar2_table(122) := 'F6FFBA8C8BFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF873736FFBD9190FFF7F3F3FFFBF8F8FFD2B4B4FFA061';
wwv_flow_imp.g_varchar2_table(123) := '60FF83302FFF8B3D3CFFC59E9EFFFBF9F9FFF7F2F2FFCDACABFF9D5B5BFF843130FF822E2DFF822E2DFF843130FF9D5C5BFFCDACABFFF7F2F2FFFBF9F9FFC59E9EFF8C3E3DFF84302FFFA26463FFD4B8B7FFFBF9F9FFF7F3F3FFBD9190FF873635FF822E';
wwv_flow_imp.g_varchar2_table(124) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF863534FFA86E6DFFF3ECECFFFEFDFDFFF4EDECFFD8BEBEFFA569';
wwv_flow_imp.g_varchar2_table(125) := '68FF8A3B3AFFB07B7AFFF6F0F0FFFEFEFEFFF2E9E9FFD3B5B5FFA26362FFA26362FFD3B5B5FFF2EAE9FFFEFEFEFFF3EBEBFFAE7878FF8B3D3CFFA96F6FFFDBC3C3FFF5EEEEFFFEFEFEFFF3ECECFFA86E6DFF863534FF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(126) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF8F4443FFD0B1B1FFF3EBEBFFFEFDFDFFFFFFFFFFF7F2F2FFDFCA';
wwv_flow_imp.g_varchar2_table(127) := 'CAFFE6D5D5FFFDFCFCFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFDFCFCFFE5D4D3FFE1CDCDFFF9F5F5FFFFFFFFFFFEFDFDFFF3ECECFFD1B3B2FF8F4544FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(128) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF853332FF9F5E5EFFC09796FFDBC3C3FFF0E6E6FFFDFDFDFFFFFFFFFFFFFF';
wwv_flow_imp.g_varchar2_table(129) := 'FFFFFFFFFFFFFDFCFCFFF2EAE9FFF2E9E9FFFDFCFCFFFFFFFFFFFFFFFFFFFFFFFFFFFEFDFDFFF1E7E7FFDCC4C4FFC19797FF9F5F5FFF853332FF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(130) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF83302FFF8B3D3CFF924948FF995554FFA56A69FFAB7372FFA76C6BFF9B59';
wwv_flow_imp.g_varchar2_table(131) := '58FF934A49FF934A49FF9A5756FFA66B6AFFAB7372FFA56A69FF995554FF924948FF8B3D3CFF83302FFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(132) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(133) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(134) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(135) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(136) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(137) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(138) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(139) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(140) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(141) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(142) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(143) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(144) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(145) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF812E2DE3822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(146) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(147) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF812E2DE3832C2C52812E2DE3822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(148) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E';
wwv_flow_imp.g_varchar2_table(149) := '2DFF822E2DFF822E2DFF822E2DFF822E2DFF822E2DFF812E2DE3832C2C5200000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(150) := '00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(151) := '00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(152) := '00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(153) := '00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(154) := '00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(155) := '000000000000';
null;
end;
/
begin
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(6568356330578578871)
,p_file_name=>'favicon.ico'
,p_mime_type=>'image/vnd.microsoft.icon'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/plugins_pro_horizontal_white_svg
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '3C7376672077696474683D2235393722206865696768743D22313236222076696577426F783D223020302035393720313236222066696C6C3D226E6F6E652220786D6C6E733D22687474703A2F2F7777772E77332E6F72672F323030302F737667223E0A';
wwv_flow_imp.g_varchar2_table(2) := '3C6720636C69702D706174683D2275726C2823636C69703029223E0A3C7061746820643D224D3138372E303939203130302E333331433139392E313038203130302E333331203230392E3432342039372E36313432203230392E3432342038332E313633';
wwv_flow_imp.g_varchar2_table(3) := '36433230392E3432342036382E373133203139392E3130382036352E39393631203138372E3039392036352E39393631433138332E3739312036352E39393631203137382E3331382036362E32333233203137382E3331382036362E3233323348313730';
wwv_flow_imp.g_varchar2_table(4) := '2E353631433136392E3334312036362E32333233203136382E37352036362E35383637203136382E37352036372E39363438563131312E303431433136382E3735203131312E393437203136382E393037203131322E333031203136392E383932203131';
wwv_flow_imp.g_varchar2_table(5) := '322E343539433137302E373937203131322E363136203137322E303138203131322E373334203137332E353134203131322E373334433137352E303131203131322E373334203137362E323331203131322E363136203137372E313736203131322E3435';
wwv_flow_imp.g_varchar2_table(6) := '39433137382E313631203131322E333031203137382E333138203131312E393437203137382E333138203131312E303431563130302E373235433137382E333138203130302E313334203137382E3539342039392E37373938203137392E323633203939';
wwv_flow_imp.g_varchar2_table(7) := '2E38353836433138302E3732203130302E303136203138342E323634203130302E333331203138372E303939203130302E3333315A4D3139392E3635392038332E31363336433139392E3635392039312E303738203139352E3031332039332E39313320';
wwv_flow_imp.g_varchar2_table(8) := '3138362E3734342039332E393133433138332E3136312039332E393133203138302E37322039332E37313631203137392E3138342039332E34303131433137382E3539342039332E323833203137382E3331382039332E30343637203137382E33313820';
wwv_flow_imp.g_varchar2_table(9) := '39322E323539325637342E31303733433137382E3331382037332E33313938203137382E3539342037332E30383336203137392E3138342037322E39363535433138302E37322037322E36353035203138332E3136312037322E34353336203138362E37';
wwv_flow_imp.g_varchar2_table(10) := '34342037322E34353336433139352E3031332037322E34353336203139392E3635392037352E32383836203139392E3635392038332E313633365A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3231372E3039382036332E343735';
wwv_flow_imp.g_varchar2_table(11) := '37563130352E363836433231372E303938203131312E343334203231392E333831203131322E343938203232342E363937203131322E343938483232392E3534433233302E323039203131322E343938203233302E343835203131322E33373920323330';
wwv_flow_imp.g_varchar2_table(12) := '2E363032203131312E363731433233302E373232203131312E303031203233302E3736203131302E303137203233302E3736203130392E313131433233302E3736203130382E323036203233302E373232203130372E323231203233302E363032203130';
wwv_flow_imp.g_varchar2_table(13) := '362E353532433233302E343835203130352E383433203233302E323039203130352E373235203232392E3534203130352E373235483232372E3032433232362E353037203130352E373235203232362E323731203130352E343839203232362E32373120';
wwv_flow_imp.g_varchar2_table(14) := '3130342E3937375636332E34373537433232362E3237312036322E36383832203232362E3037352036322E34313236203232352E3234372036322E32353531433232342E3232342036322E30353832203232322E3936342036312E39373935203232312E';
wwv_flow_imp.g_varchar2_table(15) := '3636352036312E39373935433232302E3336362036312E39373935203231392E3130362036322E30353832203231382E3038322036322E32353531433231372E3235352036322E34313236203231372E3039382036322E36383832203231372E30393820';
wwv_flow_imp.g_varchar2_table(16) := '36332E343735375A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3236322E3839392039362E333134355637382E36373435433236322E3839392037372E383837203236332E3035362037372E36313134203236332E383832203737';
wwv_flow_imp.g_varchar2_table(17) := '2E34353339433236342E3930362037372E323537203236362E3136362037372E31373832203236372E3436362037372E31373832433236382E3736352037372E31373832203237302E3032352037372E323537203237312E3034382037372E3435333943';
wwv_flow_imp.g_varchar2_table(18) := '3237312E3837362037372E36313134203237322E3037322037372E383837203237322E3037322037382E36373435563131312E333536433237322E303732203131322E313034203237312E393535203131322E343139203237312E313638203131322E35';
wwv_flow_imp.g_varchar2_table(19) := '3337433237302E3334203131322E363535203236392E303031203131322E373334203236372E373831203131322E373334433236362E36203131322E373334203236352E343139203131322E363535203236342E3731203131322E353337433236342E30';
wwv_flow_imp.g_varchar2_table(20) := '3031203131322E343139203236332E373635203131322E323232203236332E363836203131312E3637314C3236332E333731203130392E373431433236332E333331203130392E333837203236332E313733203130392E333038203236322E3832203130';
wwv_flow_imp.g_varchar2_table(21) := '392E333038483236322E353834433236322E3135203130392E333038203236322E303731203130392E333438203236312E373936203130392E353834433235392E313139203131322E303235203235352E393238203131332E313238203235312E333233';
wwv_flow_imp.g_varchar2_table(22) := '203131332E313238433234332E303932203131332E313238203233372E313037203130392E313531203233372E3130372039382E353139355637382E36373435433233372E3130372037372E383837203233372E3236352037372E36313134203233382E';
wwv_flow_imp.g_varchar2_table(23) := '3039332037372E34353339433233392E3131362037372E323537203234302E3337362037372E31373832203234312E3637352037372E31373832433234322E3937352037372E31373832203234342E3233352037372E323537203234352E323539203737';
wwv_flow_imp.g_varchar2_table(24) := '2E34353339433234362E3038352037372E36313134203234362E3238332037372E383837203234362E3238332037382E363734355639372E31343134433234362E323833203130332E323434203234382E313733203130362E323337203235342E303338';
wwv_flow_imp.g_varchar2_table(25) := '203130362E323337433236302E313831203130362E323337203236322E383939203130322E363534203236322E3839392039362E333134355A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3239362E383932203132342E36323543';
wwv_flow_imp.g_varchar2_table(26) := '3331352E353536203132342E363235203331372E323039203131342E313931203331372E323039203130362E3233375637382E35353636433331372E3230392037372E38303835203331372E3039322037372E34393335203331362E3330352037372E33';
wwv_flow_imp.g_varchar2_table(27) := '373533433331352E3437372037372E32353732203331342E3133382037372E31373835203331322E3931392037372E31373835433331312E3733372037372E31373835203331302E3535362037372E32353732203330392E3834372037372E3337353343';
wwv_flow_imp.g_varchar2_table(28) := '3330392E3133392037372E34393335203330382E3930322037372E36393033203330382E3832342037382E323431364C3330382E3530392038302E30393232433330382E34332038302E34343636203330382E3331312038302E35323533203330372E39';
wwv_flow_imp.g_varchar2_table(29) := '35372038302E35323533483330372E373539433330372E3332372038302E35323533203330372E3234392038302E343836203330362E3937322038302E32343937433330342E3039392037372E38303835203330302E3735312037362E39303238203239';
wwv_flow_imp.g_varchar2_table(30) := '362E3839322037362E39303238433238362E3936392037362E39303238203237392E3830332038322E32353738203237392E3830332039342E303331433237392E383033203130352E383034203238362E393639203131312E313539203239362E383932';
wwv_flow_imp.g_varchar2_table(31) := '203131312E313539433330332E313133203131312E313539203330352E363734203130382E383735203330362E343939203130382E323036433330362E383535203130372E3933203330362E393334203130372E3933203330372E333237203130372E39';
wwv_flow_imp.g_varchar2_table(32) := '33483330372E343835433330372E393137203130372E3933203330382E303336203130382E303838203330382E303336203130382E343832563130382E393534433330382E303336203131352E383435203330342E323136203131382E32303720323936';
wwv_flow_imp.g_varchar2_table(33) := '2E383932203131382E323037433239312E393731203131382E323037203238372E373937203131372E343938203238362E303635203131372E313833433238352E333934203131372E303635203238352E303431203131372E323233203238342E393232';
wwv_flow_imp.g_varchar2_table(34) := '203131372E383932433238342E363836203131392E313532203238342E353238203132312E303832203238342E363836203132322E343939433238342E373634203132332E323837203238342E393632203132332E343833203238352E36333120313233';
wwv_flow_imp.g_varchar2_table(35) := '2E363431433238372E323436203132342E303335203239322E303039203132342E363235203239362E383932203132342E3632355A4D3239382E383232203130342E3738433239312E383532203130342E3738203238392E303537203130302E37363420';
wwv_flow_imp.g_varchar2_table(36) := '3238392E3035372039342E303331433238392E3035372038372E32393738203239312E3835322038332E32383136203239382E3832322038332E32383136433330352E3739312038332E32383136203330382E3538372038372E32393738203330382E35';
wwv_flow_imp.g_varchar2_table(37) := '38372039342E303331433330382E353837203130302E373634203330352E373931203130342E3738203239382E383232203130342E37385A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3332372E3431382039372E383530334833';
wwv_flow_imp.g_varchar2_table(38) := '34372E363138433334382E3230382039372E38353033203334382E3536332039372E37373135203334382E36382039372E30363238433334382E382039362E333534203334382E3833382039352E33333033203334382E3833382039342E343234364333';
wwv_flow_imp.g_varchar2_table(39) := '34382E3833382039332E353139203334382E382039322E34393533203334382E36382039312E37383635433334382E3536332039312E30373738203334382E3230382039302E393939203334372E3631382039302E393939483332372E34313843333236';
wwv_flow_imp.g_varchar2_table(40) := '2E3832382039302E393939203332362E3437332039312E30373738203332362E3335362039312E37383635433332362E3233372039322E34393533203332362E3139382039332E353139203332362E3139382039342E34323436433332362E3139382039';
wwv_flow_imp.g_varchar2_table(41) := '352E33333033203332362E3233372039362E333534203332362E3335362039372E30363238433332362E3437332039372E37373135203332362E3832382039372E38353033203332372E3431382039372E383530335A222066696C6C3D22776869746522';
wwv_flow_imp.g_varchar2_table(42) := '2F3E0A3C7061746820643D224D3335372E3832372036352E39353637433335372E3832372036382E37393137203335392E3931322037302E38333932203336322E3734372037302E38333932433336352E3538322037302E38333932203336372E363720';
wwv_flow_imp.g_varchar2_table(43) := '36382E37393137203336372E36372036352E39353637433336372E36372036332E31323137203336352E3538322036312E30373432203336322E3734372036312E30373432433335392E3931322036312E30373432203335372E3832372036332E313231';
wwv_flow_imp.g_varchar2_table(44) := '37203335372E3832372036352E393536375A4D3335382E3138203131312E323338433335382E3138203131322E303235203335382E333738203131322E3338203335392E323034203131322E343938433336302E323237203131322E363535203336312E';
wwv_flow_imp.g_varchar2_table(45) := '343039203131322E373334203336322E373437203131322E373334433336342E303836203131322E373334203336352E333038203131322E363535203336362E333332203131322E343938433336372E313537203131322E3338203336372E3335352031';
wwv_flow_imp.g_varchar2_table(46) := '31322E303235203336372E333535203131312E3233385637382E36373438433336372E3335352037372E38383733203336372E3135372037372E36313137203336362E3333322037372E34353432433336352E3330382037372E32353733203336342E30';
wwv_flow_imp.g_varchar2_table(47) := '34382037372E31373836203336322E3734372037372E31373836433336312E3434392037372E31373836203336302E3138392037372E32353733203335392E3136362037372E34353432433335382E3333382037372E36313137203335382E3138203737';
wwv_flow_imp.g_varchar2_table(48) := '2E38383733203335382E31382037382E36373438563131312E3233385A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3338382E3031322038302E39353834433338392E3131352037392E38313635203339312E3938382037362E37';
wwv_flow_imp.g_varchar2_table(49) := '383437203339392E3033372037362E37383437433430382E3039342037362E37383437203431332E3031342038312E33313238203431332E3031342039322E32393834563131312E323338433431332E303134203131322E303235203431322E38313920';
wwv_flow_imp.g_varchar2_table(50) := '3131322E3338203431312E393931203131322E343938433431302E393637203131322E363535203430392E373437203131322E373334203430382E343039203131322E373334433430372E3037203131322E373334203430352E383839203131322E3635';
wwv_flow_imp.g_varchar2_table(51) := '35203430342E383635203131322E343938433430342E303337203131322E3338203430332E383431203131322E303235203430332E383431203131312E3233385639332E37353533433430332E3834312038372E33333732203430312E3935312038332E';
wwv_flow_imp.g_varchar2_table(52) := '37313437203339352E37332038332E37313437433338392E3530392038332E37313437203338362E39312038372E353334203338362E39312039352E30393431563131312E323338433338362E3931203131322E303235203338362E373132203131322E';
wwv_flow_imp.g_varchar2_table(53) := '3338203338352E383836203131322E343938433338342E383632203131322E363535203338332E363431203131322E373334203338322E333032203131322E373334433338302E393633203131322E373334203337392E373832203131322E3635352033';
wwv_flow_imp.g_varchar2_table(54) := '37382E373538203131322E343938433337372E393332203131322E3338203337372E373334203131322E303235203337372E373334203131312E3233385637382E35353635433337372E3733342037372E38303834203337372E3835342037372E343933';
wwv_flow_imp.g_varchar2_table(55) := '34203337382E3634312037372E33373533433337392E3436372037372E32353732203338302E3936332037372E31373834203338322E3138352037372E31373834433338332E3336362037372E31373834203338342E3436392037372E32353732203338';
wwv_flow_imp.g_varchar2_table(56) := '352E3137372037372E33373533433338352E3838362037372E34393334203338362E3132322037372E36393033203338362E3230312037382E323431354C3338362E3531362038302E38303039433338362E3535342038312E31353533203338362E3731';
wwv_flow_imp.g_varchar2_table(57) := '322038312E323334203338372E3036372038312E323334483338372E323235433338372E3635372038312E323334203338372E3733362038312E323334203338382E3031322038302E393538345A222066696C6C3D227768697465222F3E0A3C70617468';
wwv_flow_imp.g_varchar2_table(58) := '20643D224D3432322E333334203131312E323737433432342E323635203131312E393037203433302E393937203131332E323835203433372E3639203131332E323835433434362E313537203131332E323835203435352E363836203131312E33353620';
wwv_flow_imp.g_varchar2_table(59) := '3435352E363836203130322E323231433435352E3638362039342E313439203435302E3031362039322E34313635203434302E3434372039302E39353937433433342E30332038392E39373533203433302E3935382038392E373339203433302E393538';
wwv_flow_imp.g_varchar2_table(60) := '2038362E35343937433433302E3935382038332E31363334203433342E3937352038322E38343834203433392E3236352038322E38343834433434342E3636312038322E38343834203435312E3139372038342E34323334203435322E3232312038342E';
wwv_flow_imp.g_varchar2_table(61) := '36353937433435322E3835312038342E37373738203435332E3234352038342E37333834203435332E3430322038342E303639433435332E3731372038322E37333033203435332E3731372038302E38303039203435332E3633382037392E3534303943';
wwv_flow_imp.g_varchar2_table(62) := '3435332E3539382037382E39313039203435332E34342037382E36373437203435322E3639332037382E34333834433435312E3531322037382E30343437203434342E3933352037362E37383437203433392E30372037362E37383437433433312E3037';
wwv_flow_imp.g_varchar2_table(63) := '352037362E37383437203432312E3534372037382E32383039203432312E3534372038372E32393738433432312E3534372039352E34383738203432382E3437372039362E39303533203433382E3038342039382E33323238433434342E353432203939';
wwv_flow_imp.g_varchar2_table(64) := '2E32363738203434362E313935203130302E313334203434362E313935203130322E3933433434362E313935203130362E3731203434312E393833203130372E303235203433372E343136203130372E303235433433312E333532203130372E30323520';
wwv_flow_imp.g_varchar2_table(65) := '3432342E383935203130352E333332203432322E373638203130342E3738433432322E313737203130342E363233203432312E373435203130342E373032203432312E353837203130352E3431433432312E333531203130362E353133203432312E3237';
wwv_flow_imp.g_varchar2_table(66) := '32203130382E373537203432312E333531203131302E313335433432312E333839203131302E383035203432312E353038203131312E303032203432322E333334203131312E3237375A222066696C6C3D227768697465222F3E0A3C7061746820643D22';
wwv_flow_imp.g_varchar2_table(67) := '4D3439392E313634203130302E333331433531312E313733203130302E333331203532312E3438392039372E36313432203532312E3438392038332E31363336433532312E3438392036382E373133203531312E3137332036352E39393631203439392E';
wwv_flow_imp.g_varchar2_table(68) := '3136342036352E39393631433439352E3835372036352E39393631203439302E3338332036362E32333233203439302E3338332036362E32333233483438322E363237433438312E3430352036362E32333233203438302E3831362036362E3538363720';
wwv_flow_imp.g_varchar2_table(69) := '3438302E3831362036372E39363438563131312E303431433438302E383136203131312E393437203438302E393733203131322E333031203438312E393536203131322E343539433438322E383633203131322E363136203438342E303833203131322E';
wwv_flow_imp.g_varchar2_table(70) := '373334203438352E353739203131322E373334433438372E303735203131322E373334203438382E323937203131322E363136203438392E323432203131322E343539433439302E323235203131322E333031203439302E333833203131312E39343720';
wwv_flow_imp.g_varchar2_table(71) := '3439302E333833203131312E303431563130302E373235433439302E333833203130302E313334203439302E3635392039392E37373938203439312E3332382039392E38353836433439322E373836203130302E303136203439362E333239203130302E';
wwv_flow_imp.g_varchar2_table(72) := '333331203439392E313634203130302E3333315A4D3531312E3732342038332E31363336433531312E3732342039312E303738203530372E3037382039332E393133203439382E3830392039332E393133433439352E3232372039332E39313320343932';
wwv_flow_imp.g_varchar2_table(73) := '2E3738362039332E37313631203439312E3234392039332E34303131433439302E3635392039332E323833203439302E3338332039332E30343637203439302E3338332039322E323539325637342E31303733433439302E3338332037332E3331393820';
wwv_flow_imp.g_varchar2_table(74) := '3439302E3635392037332E30383336203439312E3234392037322E39363535433439322E3738362037322E36353035203439352E3232372037322E34353336203439382E3830392037322E34353336433530372E3037382037322E34353336203531312E';
wwv_flow_imp.g_varchar2_table(75) := '3732342037352E32383836203531312E3732342038332E313633365A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3533392E3137342038312E323334433534312E3737332037382E32303232203534352E3339362037362E373834';
wwv_flow_imp.g_varchar2_table(76) := '37203535302E3139392037362E37383437433535312E3134342037362E37383437203535312E3733342037362E383234203535322E3230362037362E39303238433535322E3931352037372E30323039203535332E3037332037372E3235373220353533';
wwv_flow_imp.g_varchar2_table(77) := '2E3139322037372E38383732433535332E3530372037392E35303135203535332E3338382038322E33373539203535332E3135312038332E37313437433535322E3939342038342E36323033203535322E3634312038342E36353937203535312E373734';
wwv_flow_imp.g_varchar2_table(78) := '2038342E36323033433535312E3036362038342E35383039203534392E3936332038342E35343136203534382E38322038342E35343136433534332E3033332038342E35343136203533372E3935332038372E30363135203533372E3935332039352E36';
wwv_flow_imp.g_varchar2_table(79) := '343533563131312E323338433533372E393533203131322E303235203533372E373537203131322E3338203533362E393239203131322E343938433533352E393035203131322E363535203533342E363836203131322E373334203533332E3334372031';
wwv_flow_imp.g_varchar2_table(80) := '31322E373334433533322E303038203131322E373334203533302E383237203131322E363535203532392E383033203131322E343938433532382E393735203131322E3338203532382E373739203131322E303235203532382E373739203131312E3233';
wwv_flow_imp.g_varchar2_table(81) := '385637382E35353635433532382E3737392037372E38303834203532382E3839362037372E34393334203532392E3638342037372E33373533433533302E3531322037372E32353732203533312E3835312037372E31373834203533332E30372037372E';
wwv_flow_imp.g_varchar2_table(82) := '31373834433533342E3235312037372E31373834203533352E3433332037372E32353732203533362E3134312037372E33373533433533362E38352037372E34393334203533372E3038362037372E36393033203533372E3136352037382E323431354C';
wwv_flow_imp.g_varchar2_table(83) := '3533372E3539392038312E30373635433533372E3633382038312E34333039203533372E3739352038312E35303937203533382E3135312038312E35303937483533382E333837433533382E3831392038312E35303937203533382E3933382038312E35';
wwv_flow_imp.g_varchar2_table(84) := '303937203533392E3137342038312E3233345A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3537352E323735203131332E353631433538382E313132203131332E353631203539342E383834203130372E33203539342E38383420';
wwv_flow_imp.g_varchar2_table(85) := '39352E31373238433539342E3838342038332E30343533203538382E3131322037362E37383437203537352E3237352037362E37383437433536322E3433392037362E37383437203535352E3636372038332E30343533203535352E3636372039352E31';
wwv_flow_imp.g_varchar2_table(86) := '373238433535352E363637203130372E33203536322E343339203131332E353631203537352E323735203131332E3536315A4D3537352E323735203130372E313832433536372E393131203130372E313832203536352E303736203130322E3635342035';
wwv_flow_imp.g_varchar2_table(87) := '36352E3037362039352E31373238433536352E3037362038372E36393135203536372E3931312038332E31363334203537352E3237352038332E31363334433538322E3633372038332E31363334203538352E3437322038372E36393135203538352E34';
wwv_flow_imp.g_varchar2_table(88) := '37322039352E31373238433538352E343732203130322E363534203538322E363337203130372E313832203537352E323735203130372E3138325A222066696C6C3D227768697465222F3E0A3C70617468206F7061636974793D22302E322220643D224D';
wwv_flow_imp.g_varchar2_table(89) := '34302E313335342037382E343233354C36392E353639372034382E3938393322207374726F6B653D22776869746522207374726F6B652D77696474683D22313222207374726F6B652D6C696E656361703D22726F756E6422207374726F6B652D6C696E65';
wwv_flow_imp.g_varchar2_table(90) := '6A6F696E3D22726F756E64222F3E0A3C706174682066696C6C2D72756C653D226576656E6F64642220636C69702D72756C653D226576656E6F64642220643D224D3130372E3636392038362E32363836433130352E3935372038352E3533303120313033';
wwv_flow_imp.g_varchar2_table(91) := '2E3937312038362E33313838203130332E3233332038382E303330314339352E35313735203130352E3930392037372E37333339203131382E3431322035372E30333737203131382E3431324332392E37323539203131382E34313220372E3439393520';
wwv_flow_imp.g_varchar2_table(92) := '39362E3633393320362E37363836362036392E353033394C33322E3538392034332E363836354333332E393037332034322E333638342033332E393037332034302E323331362033322E353839352033382E393133354333312E323731342033372E3539';
wwv_flow_imp.g_varchar2_table(93) := '35332032392E313334362033372E353935332032372E383136332033382E393133314C302E3938383736382036352E3733373843302E3335353734382036362E3337303720302E3030303131373735352036372E3232393320302E303030313137383720';
wwv_flow_imp.g_varchar2_table(94) := '36382E3132343443302E3030303131333331392039392E363235332032352E35333636203132352E3136322035372E30333737203132352E3136324338302E35323332203132352E313632203130302E363836203131302E393638203130392E34332039';
wwv_flow_imp.g_varchar2_table(95) := '302E37303437433131302E3136392038382E39393331203130392E33382038372E303037203130372E3636392038362E323638365A4D37312E303636392034372E343934344336392E373438392034362E313736352036372E363132312034362E313736';
wwv_flow_imp.g_varchar2_table(96) := '332036362E3239342034372E343934344C33382E3634322037352E313435354333372E333233392037362E343633332033372E333233392037382E363030342033382E3634322037392E393138344333392E39362038312E323336352034322E30393638';
wwv_flow_imp.g_varchar2_table(97) := '2038312E323336352034332E343134392037392E393138344C37312E303636392035322E323637354337322E3338352035302E393439342037322E3338352034382E383132342037312E303636392034372E343934345A4D362E34373436352033392E33';
wwv_flow_imp.g_varchar2_table(98) := '38313843352E37333631332034312E3039333120332E37353030362034312E38383220322E30333836352034312E3134333343302E33323732342034302E34303438202D302E34363134352033382E3431383720302E3237373037322033362E37303734';
wwv_flow_imp.g_varchar2_table(99) := '43392E30323133332031362E343433372032392E3138343120322E32353030322035322E3636393620322E32354338342E3137303520322E3235203130392E3730372032372E37383636203130392E3730372035392E32383735433130392E3730372036';
wwv_flow_imp.g_varchar2_table(100) := '302E31383238203130392E3335322036312E30343131203130382E3731382036312E363734314C38312E383930382038382E343938384338302E353732372038392E383136392037382E343335392038392E383136362037372E313137392038382E3439';
wwv_flow_imp.g_varchar2_table(101) := '38364337352E382038372E313830352037352E382038352E303433352037372E313138312038332E373235364C3130322E3933392035372E393038433130322E3230382033302E373732382037392E3938313420392035322E3636393620394333312E39';
wwv_flow_imp.g_varchar2_table(102) := '37333420392E30303030322031342E313839372032312E3530333220362E34373436352033392E333831385A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3233382E31373820352E3933303233433233362E343520352E39333032';
wwv_flow_imp.g_varchar2_table(103) := '33203233352E31373220342E3637303035203233352E31373220322E3936353132433233352E31373220312E33333433203233362E34352030203233382E3137382030433233392E3930342030203234312E31383220312E3236303138203234312E3138';
wwv_flow_imp.g_varchar2_table(104) := '3220322E3936353132433234312E31383220342E3637303035203233392E383320352E3933303233203233382E31373820352E39333032335A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3233352E3534382031322E3435333443';
wwv_flow_imp.g_varchar2_table(105) := '3233352E3534382031312E39333435203233352E3632342031312E37383633203233362E3134392031312E363338433233362E3734392031312E35363339203233372E3432372031312E34383937203233382E3130322031312E34383937433233382E37';
wwv_flow_imp.g_varchar2_table(106) := '37392031312E34383937203233392E33382031312E34383937203234302E3035352031312E363338433234302E3538312031312E37313231203234302E3635352031312E39333435203234302E3635352031322E343533345633362E3938393743323430';
wwv_flow_imp.g_varchar2_table(107) := '2E3635352033372E35303835203234302E3538312033372E36353638203234302E3035352033372E38303531433233392E3435342033372E38373933203233382E3737392033372E39353334203233382E3130322033372E39353334433233372E343237';
wwv_flow_imp.g_varchar2_table(108) := '2033372E39353334203233362E3832362033372E39353334203233362E3134392033372E38303531433233352E3632342033372E37333131203233352E3534382033372E35303835203233352E3534382033362E393839375631322E343533345A222066';
wwv_flow_imp.g_varchar2_table(109) := '696C6C3D227768697465222F3E0A3C7061746820643D224D3232372E3538372033362E393839355632322E32333831433232372E3538372031342E363033203232332E3833322031312E33343133203231372E3434382031312E33343133433231322E33';
wwv_flow_imp.g_varchar2_table(110) := '34312031312E33343133203231302E3233382031332E31393435203230392E3131322031342E33303634433230382E3838362031342E34353437203230382E3831312031342E34353437203230382E3636312031342E34353437483230382E3531314332';
wwv_flow_imp.g_varchar2_table(111) := '30382E32312031342E34353437203230382E30362031342E34353437203230382E30362031342E313538324C3230372E3833352031322E333035433230372E37362031312E37383631203230372E3533342031312E373132203230372E3030392031312E';
wwv_flow_imp.g_varchar2_table(112) := '36333738433230362E3430382031312E35363337203230352E3838322031312E35363337203230352E3238312031312E35363337433230342E36382031312E35363337203230342E3037392031312E35363337203230332E3535342031312E3633373843';
wwv_flow_imp.g_varchar2_table(113) := '3230322E3935332031312E373132203230322E3837382031312E39333433203230322E3837382031322E343533325633362E39313535433230322E3837382033372E34333434203230322E3935332033372E36353637203230332E3437392033372E3733';
wwv_flow_imp.g_varchar2_table(114) := '3039433230342E3135352033372E38373932203230342E3735362033372E38373932203230352E3433312033372E38373932433230362E3130372033372E38373932203230362E3738332033372E38303439203230372E3338342033372E373330394332';
wwv_flow_imp.g_varchar2_table(115) := '30372E39312033372E35383236203230372E3938352033372E34333434203230372E3938352033362E393135355632342E33383737433230372E3938352031382E36303539203231302E3533392031352E32373031203231352E3634362031352E323730';
wwv_flow_imp.g_varchar2_table(116) := '31433232302E3930332031352E32373031203232322E34382031382E30313238203232322E34382032332E33355633362E39383935433232322E34382033372E35303834203232322E3535352033372E37333039203232332E3038312033372E38303439';
wwv_flow_imp.g_varchar2_table(117) := '433232332E3735372033372E39353332203232342E3335382033372E39353332203232352E3033342033372E39353332433232352E3730392033372E39353332203232362E3338362033372E38373932203232362E3938372033372E3830343943323237';
wwv_flow_imp.g_varchar2_table(118) := '2E3531332033372E36353637203232372E3538372033372E35303834203232372E3538372033362E393839355A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3138392E38312032352E30353532433138392E38312033312E303539';
wwv_flow_imp.g_varchar2_table(119) := '36203138372E3835372033342E31373239203138322E3232342033342E31373239433137372E3139322033342E31373239203137352E3631352033312E35373834203137352E3631352032362E343633355631322E34353334433137352E363135203131';
wwv_flow_imp.g_varchar2_table(120) := '2E39333435203137352E35342031312E37313231203137352E3031342031312E363338433137342E3333382031312E34383937203137332E3733372031312E34383937203137332E3036322031312E34383937433137322E3338362031312E3438393720';
wwv_flow_imp.g_varchar2_table(121) := '3137312E3730392031312E35363339203137312E3130392031312E363338433137302E3538332031312E37383633203137302E3530382031312E39333435203137302E3530382031322E343533345632372E37323337433137302E3530382033352E3335';
wwv_flow_imp.g_varchar2_table(122) := '3839203137342E3738392033382E31373539203138302E3837322033382E31373539433138352E3735342033382E31373539203138382E3030372033362E303236203138382E3630382033352E34333331433138382E3833342033352E32313036203138';
wwv_flow_imp.g_varchar2_table(123) := '382E3930392033352E32313036203138392E3230392033352E32313036483138392E333539433138392E36362033352E32313036203138392E3733352033352E32383439203138392E38312033352E353037324C3139302E31312033372E303633394331';
wwv_flow_imp.g_varchar2_table(124) := '39302E3138352033372E35383238203139302E3333362033372E36353638203139302E3836312033372E37333131433139312E3338372033372E38373933203139312E3931332033372E38373933203139322E3538392033372E38373933433139332E32';
wwv_flow_imp.g_varchar2_table(125) := '30332033372E38373933203139332E3633312033372E38313831203139342E3039382033372E373531334C3139342E3234312033372E37333131433139342E3834322033372E35383238203139342E3931372033372E35303835203139342E3931372033';
wwv_flow_imp.g_varchar2_table(126) := '362E393135375631322E34353334433139342E3931372031312E39333435203139342E3834322031312E37313231203139342E3331362031312E363338433139332E36342031312E34383937203139332E3033392031312E34383937203139322E333633';
wwv_flow_imp.g_varchar2_table(127) := '2031312E34383937433139312E3638372031312E34383937203139312E3031322031312E35363339203139302E3431312031312E363338433138392E3838352031312E37383633203138392E38312031312E39333435203138392E38312031322E343533';
wwv_flow_imp.g_varchar2_table(128) := '345632352E303535325A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3236322E3838382031312E36333832483235342E383531433235342E3437352031312E36333832203235342E3332342031312E3439203235342E3332342031';
wwv_flow_imp.g_varchar2_table(129) := '312E3139333456352E3034303832433235342E33323420342E3532313933203235342E323520342E3239393534203235332E37323420342E3232353432433235332E30343920342E3037373135203235322E34343820342E3037373135203235312E3737';
wwv_flow_imp.g_varchar2_table(130) := '3120342E3037373135433235312E30393620342E3037373135203235302E34323120342E3135313239203234392E383220342E3232353432433234392E32393320342E3337333638203234392E32313720342E3532313933203234392E32313720352E30';
wwv_flow_imp.g_varchar2_table(131) := '343038325632392E30353832433234392E3231372033352E33353931203235322E3832342033372E38373936203235382E3630362033372E38373936433236312E3435392033372E38373936203236322E3838382033372E353833203236332E37313420';
wwv_flow_imp.g_varchar2_table(132) := '33372E33363037433236342E3136342033372E32383635203236342E3233382033372E31333832203236342E3331342033362E363933345633352E39353232433236342E3331342033352E32383531203236342E3233382033342E363138203236342E31';
wwv_flow_imp.g_varchar2_table(133) := '36342033342E30393839433236342E3038392033332E37323833203236332E3933392033332E353036203236332E3633372033332E353036483236332E343132433236322E3831312033332E36353433203236312E3331312033332E3935303620323539';
wwv_flow_imp.g_varchar2_table(134) := '2E3538332033332E39353036433235362E3132372033332E39353036203235342E32352033332E31333532203235342E32352032382E353339345631362E3136433235342E32352031352E38363335203235342E3437352031352E36343131203235342E';
wwv_flow_imp.g_varchar2_table(135) := '3835312031352E36343131483236322E383838433236332E3333382031352E36343131203236332E3438392031352E353637203236332E3536332031352E31323232433236332E3633372031342E37353136203236332E3633372031342E313538352032';
wwv_flow_imp.g_varchar2_table(136) := '36332E3633372031332E36333937433236332E3633372031332E31323038203236332E3633372031322E36303139203236332E3536332031322E31353731433236332E3438392031312E37383635203236332E3333382031312E36333832203236322E38';
wwv_flow_imp.g_varchar2_table(137) := '38382031312E363338325A222066696C6C3D227768697465222F3E0A3C706174682066696C6C2D72756C653D226576656E6F64642220636C69702D72756C653D226576656E6F64642220643D224D3237322E3732352032362E39383232433237332E3130';
wwv_flow_imp.g_varchar2_table(138) := '312033322E35343138203237372E3533332033342E31373236203238322E3836362033342E31373236433238372E3033352033342E31373236203239302E3638392033322E38363038203239312E3535352033322E353439364C3239312E353738203332';
wwv_flow_imp.g_varchar2_table(139) := '2E35343138433239312E3636352033322E35343138203239312E3732382033322E35313633203239312E37382033322E34393532433239312E3831362033322E34383033203239312E3834382033322E34363735203239312E3837372033322E34363735';
wwv_flow_imp.g_varchar2_table(140) := '433239322E3137382033322E34363735203239322E3332392033322E36313538203239322E3430332033322E39383636433239322E3535342033332E36353337203239322E3632382033342E35343331203239322E3632382033352E3335383543323932';
wwv_flow_imp.g_varchar2_table(141) := '2E3632382033362E31373339203239322E3632382033362E33323232203239312E3935332033362E36313838433239312E3035312033372E30363336203238372E3637322033382E31373535203238322E3731352033382E31373535433237332E373031';
wwv_flow_imp.g_varchar2_table(142) := '2033382E31373535203236372E3331382033342E39313337203236372E3331382032342E36383431433236372E3331382031362E343536203237312E3337352031312E31393239203238302E3931332031312E31393239433238392E3737352031312E31';
wwv_flow_imp.g_varchar2_table(143) := '393239203239342E3433312031352E34313832203239342E3433312032332E36343634433239342E3433312032342E35333538203239342E3335362032352E32373732203239342E3238322032352E373232433239342E3230362032362E323430392032';
wwv_flow_imp.g_varchar2_table(144) := '39342E3035352032362E33313439203239332E3533312032362E33313439483237332E333238433237322E3837362032362E33383931203237322E3732352032362E35333734203237322E3732352032362E393832325A4D3237322E3635312032322E33';
wwv_flow_imp.g_varchar2_table(145) := '313231433237322E3635312032322E36303837203237322E3830312032322E37353637203237332E3235312032322E37353637483238382E363438433238392E3039382032322E37353637203238392E3234392032322E36303837203238392E32343920';
wwv_flow_imp.g_varchar2_table(146) := '32322E31363338433238392E3234392031372E34313936203238362E3339362031342E38393933203238312E3133382031342E38393933433237352E3837392031342E38393933203237332E3032362031372E32373134203237322E3732352032322E31';
wwv_flow_imp.g_varchar2_table(147) := '3633385632322E33313231483237322E3635315A222066696C6C3D227768697465222F3E0A3C706174682066696C6C2D72756C653D226576656E6F64642220636C69702D72756C653D226576656E6F64642220643D224D3332302E3739342033352E3433';
wwv_flow_imp.g_varchar2_table(148) := '3334483332312E303139433332312E3234342033352E34333334203332312E3339352033352E35303734203332312E3436392033352E363535374C3332312E37372033372E30363432433332312E3931392033372E35383331203332312E393935203337';
wwv_flow_imp.g_varchar2_table(149) := '2E36353731203332322E35322033372E37333133433332332E3034362033372E38373936203332332E3634372033372E38373936203332342E3234382033372E38373936433332342E3836322033372E38373936203332352E3238392033372E38313834';
wwv_flow_imp.g_varchar2_table(150) := '203332352E3735372033372E373531364C3332352E3930312033372E37333133433332362E3530322033372E35383331203332362E3537362033372E35303838203332362E3537362033362E3931353956312E31313231433332362E35373620302E3539';
wwv_flow_imp.g_varchar2_table(151) := '33323036203332362E35303220302E333730383232203332352E39373620302E323936363934433332352E33303120302E313438343337203332342E36393820302E313438343338203332342E30323320302E313438343338433332332E33343820302E';
wwv_flow_imp.g_varchar2_table(152) := '313438343338203332322E363720302E323232353636203332322E303720302E323936363934433332312E35343520302E343434393439203332312E34363920302E353933323036203332312E34363920312E313132315631332E33343332433332312E';
wwv_flow_imp.g_varchar2_table(153) := '3436392031332E36333937203332312E3339352031332E37313338203332312E3039332031332E37313338483332302E383638433332302E3634332031332E37313338203332302E3536392031332E37313338203332302E3334322031332E3536353643';
wwv_flow_imp.g_varchar2_table(154) := '3332302E3235342031332E35303738203332302E3135372031332E34333838203332302E3034372031332E33363133433331392E30332031322E36343239203331362E3937362031312E31393335203331322E32332031312E31393335433330352E3332';
wwv_flow_imp.g_varchar2_table(155) := '312031312E31393335203239392E3631352031352E30343831203239392E3631352032342E39303732433239392E3631352033342E38343033203330352E3339372033382E31373632203331322E3435382033382E31373632433331372E333734203338';
wwv_flow_imp.g_varchar2_table(156) := '2E31373632203331392E3338332033362E33373332203332302E3135352033352E363832374C3332302E3231362033352E36323639433332302E3233342033352E36313039203332302E3235322033352E35393539203332302E3236372033352E353831';
wwv_flow_imp.g_varchar2_table(157) := '37433332302E3431382033352E34333334203332302E3439322033352E34333334203332302E3739342033352E343333345A4D3331332E3335382033342E33393535433330362E3937342033342E33393535203330342E37322033302E36383931203330';
wwv_flow_imp.g_varchar2_table(158) := '342E37322032342E373539433330342E37322031382E38323837203330362E3839382031352E30343832203331332E3335382031352E31323233433331392E3734312031352E31323233203332312E3939352031382E38323837203332312E3939352032';
wwv_flow_imp.g_varchar2_table(159) := '342E373539433332312E3939352033302E36383931203331392E3734312033342E33393535203331332E3335382033342E333935355A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3334352E3732382032342E3735383943333435';
wwv_flow_imp.g_varchar2_table(160) := '2E3732382033312E32303831203334382E3935372033342E33323134203335352E3034312033342E33323134433335392E3139342033342E33323134203336322E3039322033332E32373937203336332E3330372033322E38343336433336332E333838';
wwv_flow_imp.g_varchar2_table(161) := '2033322E38313434203336332E3436332033322E373838203336332E3532382033322E37363436433336332E3631362033322E37363436203336332E3637392033322E37333932203336332E37332033322E37313831433336332E3736362033322E3730';
wwv_flow_imp.g_varchar2_table(162) := '3332203336332E3739382033322E36393036203336332E3832372033322E36393036433336342E3132392033322E36393036203336342E3237392033322E38333839203336342E3335342033332E32303935433336342E3530342033332E383736362033';
wwv_flow_imp.g_varchar2_table(163) := '36342E3537392033342E363932203336342E3537392033352E34333334433336342E3537392033362E32343838203336342E3537392033362E333937203336332E3930342033362E36393334433336322E3835312033372E31333832203335392E323436';
wwv_flow_imp.g_varchar2_table(164) := '2033382E32353031203335352E3034312033382E32353031433334362E3130342033382E32353031203334302E3534372033342E31373331203334302E3534372032342E37353839433334302E3534372031352E33343436203334362E3130342031312E';
wwv_flow_imp.g_varchar2_table(165) := '32363736203335352E3034312031312E32363736433335392E3234362031312E32363736203336322E3835312031322E33303534203336332E3930342031322E38323433433336342E3537392031332E31323038203336342E3537392031332E32363920';
wwv_flow_imp.g_varchar2_table(166) := '3336342E3537392031342E30383434433336342E3537392031342E38323537203336342E3530342031352E36343131203336342E3335342031362E33303833433336342E3237392031362E36373839203336342E3132392031362E38323732203336332E';
wwv_flow_imp.g_varchar2_table(167) := '3832372031362E38323732433336332E3735332031362E38323732203336332E3630322031362E38323732203336332E3532382031362E373533314C3336332E3435312031362E373237334C3336332E3335392031362E36393633433336332E32383920';
wwv_flow_imp.g_varchar2_table(168) := '31362E36373232203336332E3231332031362E363436203336332E3133322031362E363138433336312E3739352031362E31353531203335392E3032362031352E31393634203335352E3034312031352E31393634433334382E3935372031352E313936';
wwv_flow_imp.g_varchar2_table(169) := '34203334352E3732382031382E32333536203334352E3732382032342E373538395A222066696C6C3D227768697465222F3E0A3C706174682066696C6C2D72756C653D226576656E6F64642220636C69702D72756C653D226576656E6F64642220643D22';
wwv_flow_imp.g_varchar2_table(170) := '4D3338332E3238312031312E32363736433337332E3936382031312E32363736203336392E3338372031362E3136203336392E3338372032342E37353839433336392E3338372033332E33353737203337342E3034322033382E31373631203338332E32';
wwv_flow_imp.g_varchar2_table(171) := '38312033382E32353031433339322E3539332033382E32353031203339372E3137342033332E33353737203339372E3137342032342E37353839433339372E3137342031362E3136203339322E3539332031312E32363736203338332E3238312031312E';
wwv_flow_imp.g_varchar2_table(172) := '323637365A4D3338332E3238312031352E31323232433338392E3831352031352E31323232203339322E3036372031382E39303238203339322E3036372032342E37353839433339322E3036372033302E363135203338392E3831352033342E33393534';
wwv_flow_imp.g_varchar2_table(173) := '203338332E3238312033342E33393534433337362E3734372033342E33393534203337342E3439322033302E363135203337342E3439322032342E37353839433337342E3439322031382E39303238203337362E3734372031352E31323232203338332E';
wwv_flow_imp.g_varchar2_table(174) := '3238312031352E313232325A222066696C6C3D227768697465222F3E0A3C706174682066696C6C2D72756C653D226576656E6F64642220636C69702D72756C653D226576656E6F64642220643D224D3432332E3436312033352E34333334483432332E32';
wwv_flow_imp.g_varchar2_table(175) := '3336433432322E3933352033352E34333334203432322E38362033352E34333334203432322E37312033352E353831374C3432322E3636322033352E363234344C3432322E3539372033352E36383237433432312E3832382033362E3337333520343139';
wwv_flow_imp.g_varchar2_table(176) := '2E3831382033382E31373632203431342E392033382E31373632433430372E3833392033382E31373632203430322E3035372033342E38343033203430322E3035372032342E39303732433430322E3035372031352E30343831203430372E3736352031';
wwv_flow_imp.g_varchar2_table(177) := '312E31393335203431342E3637352031312E31393335433431392E34322031312E31393335203432312E3437322031322E36343238203432322E3438392031332E33363133433432322E3539392031332E34333838203432322E3639382031332E353037';
wwv_flow_imp.g_varchar2_table(178) := '38203432322E3738362031332E35363536433432332E3031312031332E37313338203432332E3038352031332E37313338203432332E33312031332E37313338483432332E353338433432332E3833372031332E37313338203432332E3931312031332E';
wwv_flow_imp.g_varchar2_table(179) := '36333937203432332E3931312031332E3334333256312E31313231433432332E39313120302E353933323036203432332E39383820302E343434393439203432342E35313220302E323936363934433432352E31313320302E323232353636203432352E';
wwv_flow_imp.g_varchar2_table(180) := '373920302E313438343338203432362E34363520302E313438343338433432372E31343220302E313438343338203432372E37343320302E313438343337203432382E34313820302E323936363934433432382E39343420302E33373038323220343239';
wwv_flow_imp.g_varchar2_table(181) := '2E30313920302E353933323036203432392E30313920312E313132315633362E39313539433432392E3031392033372E35303838203432382E3934342033372E35383331203432382E3334342033372E373331334C3432382E322033372E373531364334';
wwv_flow_imp.g_varchar2_table(182) := '32372E3733342033372E38313834203432372E3330342033372E38373936203432362E36392033372E38373936433432362E3038392033372E38373936203432352E3438382033372E38373936203432342E3936342033372E37333133433432342E3433';
wwv_flow_imp.g_varchar2_table(183) := '382033372E36353731203432342E3336332033372E35383331203432342E3231332033372E303634324C3432332E3931312033352E36353537433432332E3833372033352E35303734203432332E3736332033352E34333334203432332E343631203335';
wwv_flow_imp.g_varchar2_table(184) := '2E343333345A4D3430372E3136342032342E373539433430372E3136342033302E36383931203430392E3431372033342E33393535203431352E382033342E33393535433432322E3138352033342E33393535203432342E3433382033302E3638393120';
wwv_flow_imp.g_varchar2_table(185) := '3432342E3433382032342E373539433432342E3433382031382E38323837203432322E3138352031352E31323233203431352E382031352E31323233433430392E3431372031352E30343832203430372E3136342031382E38323837203430372E313634';
wwv_flow_imp.g_varchar2_table(186) := '2032342E3735395A222066696C6C3D227768697465222F3E0A3C706174682066696C6C2D72756C653D226576656E6F64642220636C69702D72756C653D226576656E6F64642220643D224D3435302E39352033342E31373236433434352E363137203334';
wwv_flow_imp.g_varchar2_table(187) := '2E31373236203434312E3138372033322E35343138203434302E3831312032362E39383232433434302E3831312032362E35333734203434302E3936322032362E33383931203434312E3431322032362E33313439483436312E363135433436322E3134';
wwv_flow_imp.g_varchar2_table(188) := '312032362E33313439203436322E3239322032362E32343039203436322E3336362032352E373232433436322E34342032352E32373732203436322E3531372032342E35333538203436322E3531372032332E36343634433436322E3531372031352E34';
wwv_flow_imp.g_varchar2_table(189) := '313832203435372E3835392031312E31393239203434382E3939372031312E31393239433433392E3435392031312E31393239203433352E3430342031362E343536203433352E3430342032342E36383431433433352E3430342033342E393133372034';
wwv_flow_imp.g_varchar2_table(190) := '34312E3738382033382E31373535203435302E3739392033382E31373535433435352E3735382033382E31373535203435392E3133372033372E30363336203436302E3033372033362E36313838433436302E3731352033362E33323232203436302E37';
wwv_flow_imp.g_varchar2_table(191) := '31352033362E31373339203436302E3731352033352E33353835433436302E3731352033342E35343331203436302E3633382033332E36353337203436302E3438372033322E39383636433436302E3431332033322E36313538203436302E3236322033';
wwv_flow_imp.g_varchar2_table(192) := '322E34363735203435392E3936332033322E34363735433435392E3933322033322E34363735203435392E392033322E34383033203435392E3836342033322E34393532433435392E3831322033322E35313633203435392E37352033322E3534313820';
wwv_flow_imp.g_varchar2_table(193) := '3435392E3636322033322E353431384C3435392E3634312033322E35343936433435382E3737332033322E38363038203435352E3132312033342E31373236203435302E39352033342E313732365A4D3434312E3333382032322E37353637433434302E';
wwv_flow_imp.g_varchar2_table(194) := '3838352032322E37353637203434302E3733372032322E36303837203434302E3733372032322E33313231483434302E3831315632322E31363338433434312E31312031372E32373134203434332E3936362031342E38393933203434392E3232342031';
wwv_flow_imp.g_varchar2_table(195) := '342E38393933433435342E34382031342E38393933203435372E3333352031372E34313936203435372E3333352032322E31363338433435372E3333352032322E36303837203435372E3138342032322E37353637203435362E3733342032322E373536';
wwv_flow_imp.g_varchar2_table(196) := '37483434312E3333385A222066696C6C3D227768697465222F3E0A3C7061746820643D224D3438302E32342031342E39373338433437362E3836312031342E39373338203437332E3438312031352E35363638203437332E3438312031382E3338333743';
wwv_flow_imp.g_varchar2_table(197) := '3437332E3438312032302E393034203437352E3838342032312E32373437203438302E3834312032322E30313539433438372E3832372032332E31323739203439322E3235372032342E32333939203439322E3235372033302E32343432433439322E32';
wwv_flow_imp.g_varchar2_table(198) := '35372033362E38343135203438352E3537322033382E31373539203437392E3439312033382E31373539433437342E3938342033382E31373539203437302E3430332033372E33363035203436382E392033362E38343135433436382E3337342033362E';
wwv_flow_imp.g_varchar2_table(199) := '36393332203436382E3239392033362E35343439203436382E3232352033362E30323631433436382E3134392033352E32313037203436382E3134392033342E30323437203436382E34352033332E313335433436382E3630312033322E363136322034';
wwv_flow_imp.g_varchar2_table(200) := '36382E3832362033322E36313632203436392E33352033322E36393034433437302E3835332033332E313335203437342E3938342033342E323437203437392E3731362033342E323437433438332E3339352033342E323437203438372E31352033332E';
wwv_flow_imp.g_varchar2_table(201) := '38303234203438372E31352033302E35343036433438372E31352032382E32343236203438352E3837342032372E35303135203438302E3331372032362E36313138433437332E3633322032352E36343832203436382E34352032342E36313035203436';
wwv_flow_imp.g_varchar2_table(202) := '382E34352031382E36383032433436382E34352031322E32333131203437342E3938342031312E31313931203438302E3736372031312E31313931433438352E3334372031312E31313931203438392E3235342031322E31353639203439302E30373920';
wwv_flow_imp.g_varchar2_table(203) := '31322E34353334433439302E3533322031322E36303137203439302E36382031322E3735203439302E36382031332E313934375631332E38363139433439302E36382031342E353239203439302E3630362031352E33343434203439302E343535203135';
wwv_flow_imp.g_varchar2_table(204) := '2E38363333433439302E3338312031362E31353938203439302E32332031362E33303831203439302E3030352031362E33303831433438392E3932382031362E33303831203438392E37382031362E33303831203438392E3632392031362E3233344334';
wwv_flow_imp.g_varchar2_table(205) := '38392E342031362E323334203438382E3830312031362E31313639203438372E3936392031352E39353431433438362E30372031352E35383238203438322E3935362031342E39373338203438302E32342031342E393733385A222066696C6C3D227768';
wwv_flow_imp.g_varchar2_table(206) := '697465222F3E0A3C2F673E0A3C646566733E0A3C636C6970506174682069643D22636C697030223E0A3C726563742077696474683D223539362E323522206865696768743D22313236222066696C6C3D227768697465222F3E0A3C2F636C697050617468';
wwv_flow_imp.g_varchar2_table(207) := '3E0A3C2F646566733E0A3C2F7376673E0A';
null;
end;
/
begin
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(6568356909484578877)
,p_file_name=>'plugins-pro-horizontal-white.svg'
,p_mime_type=>'image/svg+xml'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/emp_operations_jpg
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := 'FFD8FFE000104A46494600010101004800480000FFE20C584943435F50524F46494C4500010100000C484C696E6F021000006D6E74725247422058595A2007CE00020009000600310000616373704D534654000000004945432073524742000000000000';
wwv_flow_imp.g_varchar2_table(2) := '0000000000000000F6D6000100000000D32D4850202000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001163707274000001500000003364657363000001840000006C777470740000';
wwv_flow_imp.g_varchar2_table(3) := '01F000000014626B707400000204000000147258595A00000218000000146758595A0000022C000000146258595A0000024000000014646D6E640000025400000070646D6464000002C400000088767565640000034C0000008676696577000003D40000';
wwv_flow_imp.g_varchar2_table(4) := '00246C756D69000003F8000000146D6561730000040C0000002474656368000004300000000C725452430000043C0000080C675452430000043C0000080C625452430000043C0000080C7465787400000000436F70797269676874202863292031393938';
wwv_flow_imp.g_varchar2_table(5) := '204865776C6574742D5061636B61726420436F6D70616E790000646573630000000000000012735247422049454336313936362D322E31000000000000000000000012735247422049454336313936362D322E3100000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(6) := '0000000000000000000000000000000000000000000000000000000000000000000058595A20000000000000F35100010000000116CC58595A200000000000000000000000000000000058595A200000000000006FA2000038F50000039058595A200000';
wwv_flow_imp.g_varchar2_table(7) := '0000000062990000B785000018DA58595A2000000000000024A000000F840000B6CF64657363000000000000001649454320687474703A2F2F7777772E6965632E636800000000000000000000001649454320687474703A2F2F7777772E6965632E6368';
wwv_flow_imp.g_varchar2_table(8) := '0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000064657363000000000000002E4945432036313936362D322E312044656661756C742052474220636F6C6F7572207370616365202D2073';
wwv_flow_imp.g_varchar2_table(9) := '52474200000000000000000000002E4945432036313936362D322E312044656661756C742052474220636F6C6F7572207370616365202D20735247420000000000000000000000000000000000000000000064657363000000000000002C526566657265';
wwv_flow_imp.g_varchar2_table(10) := '6E63652056696577696E6720436F6E646974696F6E20696E2049454336313936362D322E3100000000000000000000002C5265666572656E63652056696577696E6720436F6E646974696F6E20696E2049454336313936362D322E310000000000000000';
wwv_flow_imp.g_varchar2_table(11) := '00000000000000000000000000000000000076696577000000000013A4FE00145F2E0010CF140003EDCC0004130B00035C9E0000000158595A2000000000004C09560050000000571FE76D65617300000000000000010000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(12) := '00000000028F0000000273696720000000004352542063757276000000000000040000000005000A000F00140019001E00230028002D00320037003B00400045004A004F00540059005E00630068006D00720077007C00810086008B00900095009A009F';
wwv_flow_imp.g_varchar2_table(13) := '00A400A900AE00B200B700BC00C100C600CB00D000D500DB00E000E500EB00F000F600FB01010107010D01130119011F0125012B01320138013E0145014C0152015901600167016E0175017C0183018B0192019A01A101A901B101B901C101C901D101D9';
wwv_flow_imp.g_varchar2_table(14) := '01E101E901F201FA0203020C0214021D0226022F02380241024B0254025D02670271027A0284028E029802A202AC02B602C102CB02D502E002EB02F50300030B03160321032D03380343034F035A03660372037E038A039603A203AE03BA03C703D303E0';
wwv_flow_imp.g_varchar2_table(15) := '03EC03F9040604130420042D043B0448045504630471047E048C049A04A804B604C404D304E104F004FE050D051C052B053A05490558056705770586059605A605B505C505D505E505F6060606160627063706480659066A067B068C069D06AF06C006D1';
wwv_flow_imp.g_varchar2_table(16) := '06E306F507070719072B073D074F076107740786079907AC07BF07D207E507F8080B081F08320846085A086E0882089608AA08BE08D208E708FB09100925093A094F09640979098F09A409BA09CF09E509FB0A110A270A3D0A540A6A0A810A980AAE0AC5';
wwv_flow_imp.g_varchar2_table(17) := '0ADC0AF30B0B0B220B390B510B690B800B980BB00BC80BE10BF90C120C2A0C430C5C0C750C8E0CA70CC00CD90CF30D0D0D260D400D5A0D740D8E0DA90DC30DDE0DF80E130E2E0E490E640E7F0E9B0EB60ED20EEE0F090F250F410F5E0F7A0F960FB30FCF';
wwv_flow_imp.g_varchar2_table(18) := '0FEC1009102610431061107E109B10B910D710F511131131114F116D118C11AA11C911E81207122612451264128412A312C312E31303132313431363138313A413C513E5140614271449146A148B14AD14CE14F01512153415561578159B15BD15E01603';
wwv_flow_imp.g_varchar2_table(19) := '16261649166C168F16B216D616FA171D17411765178917AE17D217F7181B18401865188A18AF18D518FA19201945196B199119B719DD1A041A2A1A511A771A9E1AC51AEC1B141B3B1B631B8A1BB21BDA1C021C2A1C521C7B1CA31CCC1CF51D1E1D471D70';
wwv_flow_imp.g_varchar2_table(20) := '1D991DC31DEC1E161E401E6A1E941EBE1EE91F131F3E1F691F941FBF1FEA20152041206C209820C420F0211C2148217521A121CE21FB22272255228222AF22DD230A23382366239423C223F0241F244D247C24AB24DA250925382568259725C725F72627';
wwv_flow_imp.g_varchar2_table(21) := '2657268726B726E827182749277A27AB27DC280D283F287128A228D429062938296B299D29D02A022A352A682A9B2ACF2B022B362B692B9D2BD12C052C392C6E2CA22CD72D0C2D412D762DAB2DE12E162E4C2E822EB72EEE2F242F5A2F912FC72FFE3035';
wwv_flow_imp.g_varchar2_table(22) := '306C30A430DB3112314A318231BA31F2322A3263329B32D4330D3346337F33B833F1342B3465349E34D83513354D358735C235FD3637367236AE36E937243760379C37D738143850388C38C839053942397F39BC39F93A363A743AB23AEF3B2D3B6B3BAA';
wwv_flow_imp.g_varchar2_table(23) := '3BE83C273C653CA43CE33D223D613DA13DE03E203E603EA03EE03F213F613FA23FE24023406440A640E74129416A41AC41EE4230427242B542F7433A437D43C044034447448A44CE45124555459A45DE4622466746AB46F04735477B47C04805484B4891';
wwv_flow_imp.g_varchar2_table(24) := '48D7491D496349A949F04A374A7D4AC44B0C4B534B9A4BE24C2A4C724CBA4D024D4A4D934DDC4E254E6E4EB74F004F494F934FDD5027507150BB51065150519B51E65231527C52C75313535F53AA53F65442548F54DB5528557555C2560F565C56A956F7';
wwv_flow_imp.g_varchar2_table(25) := '5744579257E0582F587D58CB591A596959B85A075A565AA65AF55B455B955BE55C355C865CD65D275D785DC95E1A5E6C5EBD5F0F5F615FB36005605760AA60FC614F61A261F56249629C62F06343639763EB6440649464E9653D659265E7663D669266E8';
wwv_flow_imp.g_varchar2_table(26) := '673D679367E9683F689668EC6943699A69F16A486A9F6AF76B4F6BA76BFF6C576CAF6D086D606DB96E126E6B6EC46F1E6F786FD1702B708670E0713A719571F0724B72A67301735D73B87414747074CC7528758575E1763E769B76F8775677B37811786E';
wwv_flow_imp.g_varchar2_table(27) := '78CC792A798979E77A467AA57B047B637BC27C217C817CE17D417DA17E017E627EC27F237F847FE5804780A8810A816B81CD8230829282F4835783BA841D848084E3854785AB860E867286D7873B879F8804886988CE8933899989FE8A648ACA8B308B96';
wwv_flow_imp.g_varchar2_table(28) := '8BFC8C638CCA8D318D988DFF8E668ECE8F368F9E9006906E90D6913F91A89211927A92E3934D93B69420948A94F4955F95C99634969F970A977597E0984C98B89924999099FC9A689AD59B429BAF9C1C9C899CF79D649DD29E409EAE9F1D9F8B9FFAA069';
wwv_flow_imp.g_varchar2_table(29) := 'A0D8A147A1B6A226A296A306A376A3E6A456A4C7A538A5A9A61AA68BA6FDA76EA7E0A852A8C4A937A9A9AA1CAA8FAB02AB75ABE9AC5CACD0AD44ADB8AE2DAEA1AF16AF8BB000B075B0EAB160B1D6B24BB2C2B338B3AEB425B49CB513B58AB601B679B6F0';
wwv_flow_imp.g_varchar2_table(30) := 'B768B7E0B859B8D1B94AB9C2BA3BBAB5BB2EBBA7BC21BC9BBD15BD8FBE0ABE84BEFFBF7ABFF5C070C0ECC167C1E3C25FC2DBC358C3D4C451C4CEC54BC5C8C646C6C3C741C7BFC83DC8BCC93AC9B9CA38CAB7CB36CBB6CC35CCB5CD35CDB5CE36CEB6CF37';
wwv_flow_imp.g_varchar2_table(31) := 'CFB8D039D0BAD13CD1BED23FD2C1D344D3C6D449D4CBD54ED5D1D655D6D8D75CD7E0D864D8E8D96CD9F1DA76DAFBDB80DC05DC8ADD10DD96DE1CDEA2DF29DFAFE036E0BDE144E1CCE253E2DBE363E3EBE473E4FCE584E60DE696E71FE7A9E832E8BCE946';
wwv_flow_imp.g_varchar2_table(32) := 'E9D0EA5BEAE5EB70EBFBEC86ED11ED9CEE28EEB4EF40EFCCF058F0E5F172F1FFF28CF319F3A7F434F4C2F550F5DEF66DF6FBF78AF819F8A8F938F9C7FA57FAE7FB77FC07FC98FD29FDBAFE4BFEDCFF6DFFFFFFDB00840002020203030303040403050505';
wwv_flow_imp.g_varchar2_table(33) := '05050706060606070A07080708070A0F0A0B0A0A0B0A0F0E110E0D0E110E1813111113181C1817181C221F1F222B292B38384B010202020303030304040305050505050706060606070A07080708070A0F0A0B0A0A0B0A0F0E110E0D0E110E1813111113';
wwv_flow_imp.g_varchar2_table(34) := '181C1817181C221F1F222B292B38384BFFC200110801AB028003012200021101031101FFC400390000000701010101000000000000000000030405060708090201000A010001050101010100000000000000000003010204050607000809FFDA000C0301';
wwv_flow_imp.g_varchar2_table(35) := '0002100310000000D8070A0A8C78AA4690605D7F39B4717D1C7BEEF8BDE450AB52464BA7CB3F36D4F39D00C2633189619E9A100D23F30ED22B81B0E31BD4F8083B3AC3ECA7A4730E6ADAEB25D622AB1F415CD7E2C32674AD9D5A793522AA8925958AA792';
wwv_flow_imp.g_varchar2_table(36) := '0BAC87E54AE56394710306BCF301F86E1505F7C4C19ABCD8C8B9F5CC3AC299A44356356A31C3E5851A68B59EC4372BAD262CEBBCD929A9CA213C68DAFF004AE7364D1BA6D5CD1FAD12CED8D320C0E4488335A799D32395589367F295C09FBC70B71D22FA';
wwv_flow_imp.g_varchar2_table(37) := '3822F98BE88A1D4A8E47DF7D6BBE59E4D980A4B649D36F501B9D1DFF0071426139FD6EF39A9B4F2222AF7AB1D63943149A02D516D6D10EB5F2B329B27913BFFCA4A86D103248763FEBC98A8B9B4D65A81DDCE41F40BD100E3D3E65FBADA8EC03A970D401';
wwv_flow_imp.g_varchar2_table(38) := '0BD9911422991BA8B22337DB84446B55D853DB9A53601606D2AC72C5BC61050BC0FDEF7CE3CF20BE07C7BC321A856B230D38B0887B485BAE9F8DB1F4595BAEEBFCF9F59BD37E808F6256C2D5DA4A91F3EDB9536ADEF8FF00102C53B19365A875DD366C26';
wwv_flow_imp.g_varchar2_table(39) := '681A5EAF2AD68666A615ED19D7418BA991E875FB3E769209CDEB32ABEB38775FCE2AA7D6A8A387583AB3A1A8EB3FB66797B6BDA94EAA060D6D2B60A3104B48564D55BCA0752CA42DDE67D625885EE7CC82B773DA52FE1F76B0AA4CED8E7A3B9919AEE0C8';
wwv_flow_imp.g_varchar2_table(40) := '6052DB2B583BD7C171A95F83EA38E1780C92486B4870DD80AABD735BEAD6ECF8C7F456CDBC2B5B2E8373704ED2EA05719DD9A89BF3D761EEE8BF418B9114BD0659BE03FA7D10BD03F791312CC97920EFD0BE5F0C69314064385CDF009040153F98E6BC05';
wwv_flow_imp.g_varchar2_table(41) := '60EA640B8C5710C27E9A99E4133E494F31BA29E7BD3C6956656B9E7EEA49F821EA6CC8A62B921191CBAB7009091E993003B273EF4DE22716BC4C48CB595E9A3A71AF108C17215AE96357743C435BBCC0FBD0CB32612106EB30E1301225D61BC50EE73D94';
wwv_flow_imp.g_varchar2_table(42) := 'AB4C9E80E2ED5B77816ABD7B40B2A99DF586BA591A79EE83CD335556EED3289EB98B4F2623F2C29EA1426EC8EFEA5FCC66A94EC9DF69FA4F34DC05BA14A8C26CE6B49612C7E67DADF803F5AA4F418D3A6C951A376CEA3E9F0D034951918D7E0BF4913841';
wwv_flow_imp.g_varchar2_table(43) := 'B34200D7C883CFA453F088BEF228630478DE79C02AD195DBEBAD7A87C0F42289C73E2247B5BE71ADD55A1C750C89ED0D67DE7DD35D2546524C68AC9FF6131F36273F74F0F82FABA6FC44E14194B70278D2152AA1E04E5115D68F36240239260E53AB48ED';
wwv_flow_imp.g_varchar2_table(44) := 'F464EA9D0A856371483759D655B48364CD8F3496D5492A68F9F9CE89C315D712340F17878FE9A41E126A9516AE30A3DA31582C69E31B9319DDCEE7F2FABB9D31623B40147F93CA9C7059AF5F31041A5A586A2696E10FA6BF3F4103900FBF3D1F3EA3081A';
wwv_flow_imp.g_varchar2_table(45) := '195AB65B7AB38DD5C7B65A0D7EFC55FA6F343DE1190723B80A985E1A3FADC2C2A4DE369BA2724D56B0B000536A2BAC4B56A5A920B1F17B2D98E659E4FAEE868FBCF21E5E90F3B6365AC109A3C1DA81B1180516E499C5CD9413A29A696CE88D16A33F535C';
wwv_flow_imp.g_varchar2_table(46) := '8D8D15375C7CF445548E8E9145B53ADD913ADD9FB875841790667844C10613CF924119944D103CC79E4655469D06BF32A62802BB62B51831DC551A47C438F28155D7F64FA64F5E83C5AD730E02AE3E6CBB5F1A8DDCDEF13F4632E345A0595914D249B45A';
wwv_flow_imp.g_varchar2_table(47) := 'B329EAD285B6589C8ED373F62F9D561C2DB552442060782483B329C19D01F3AB3A77B10B97F69C2390F4CE24B3A9A32E7B12DDD3E311CEB057BA7F1BB14C85599B41CFF35E457744BF267E8458F78C10F7E6BD7A4D528D41B6A2BFB004BF06EF79BD848A';
wwv_flow_imp.g_varchar2_table(48) := 'EE2E7BEBB9B5547D33C128E6C498C24556339A733347CE00936D4D51704ED31CC762944C77DE5EDC8C80D7868608A4B7128AE73579F7E73E5FD4F6F961BE3CD667C17A8EBADA8F971A97456EAA1F8520CC0EBCCE78F256C74C293616B28977B513F3DBA7';
wwv_flow_imp.g_varchar2_table(49) := '30E45F5493E98C6D406096A8F2253BE63AAB666836B10178DDED369C8A3C8A268B111B2E28F2E1B5596FA0E258C47A7B044FD93E8BE3C2BCCA70ADE7598D873269F9B351CC68D6F7951030028C881F22A91B56561B3D5F902F337247D5F68B708FA7F5B8';
wwv_flow_imp.g_varchar2_table(50) := '0CFF00B130A7CF3C47C6604F7756AB15567439488B40AA0DECECFF003FC019DFB11973C97BFC5C813637B39B18DE6E422213EE67C9EEBD2F3D7AE4AE8CD77D861686016E5CA4F5200AEFAB399494BDE44D6BE9087735AA9EAC8527B61BD180CF75126966';
wwv_flow_imp.g_varchar2_table(51) := '9D5BCFEBAC30C7B442E4BC719D03191076461873F2CF9D3E7D39333E33D20972D69E22BAD5F25F8125EC8A50F08CD6C3ED6AA3B2834E82B051B4F8D3ACD15D74DA3BA694F1D32BE5516A95A019FDA7CDF2BE12543B62C7FC3448C79114935E3EB9003473';
wwv_flow_imp.g_varchar2_table(52) := '48DBB9930ACE57E094B741BA7271CDBE886253DA616BEC23A8DA5A96F39846742341705992AFB2CE7B0B1AC77860A75CF17F89C5D8365588F9CF653E1B6C45596670A96AB0A7EB826E5B58062587B7C87256D79DB31AD20B831DB8832BD5D08DB01D52B9';
wwv_flow_imp.g_varchar2_table(53) := '3FE49B0D6D4D51CD5D929B3E755A6BC4F15725C4AF6C1B383952A01DB4AD83060A743B92A446763CA0548346B60EDA98B4405D670E7787E66E0A3442DAAC9B392E7A772FB247A0FA1B9632475FE3A6AAFD9065191E0E40B0A9BFF74303351B39A4B9E9BD';
wwv_flow_imp.g_varchar2_table(54) := 'A9C7647F881BD557DCB944E598A4EB086E8BF316C9B5168BE86E06FC98105502D5F873598FA7BF315BA2992F2BD794E11AD718A6492BEBFBDE78115F5F38F6A68EC35939F289DE43C5BD2AF4A6CFD15E4A682E74F813FB3C8CB9D179532706B7970D1B2D';
wwv_flow_imp.g_varchar2_table(55) := 'B1E87E57DE6BADA3A797474981ACD07DE951F81BEE1C408737B29A75FE6B9A5EBB999D8B9C9F5C6B1E14D98E6AA762A135865CC55992440D824A81ECE62F6148342EA239A9B416F4A53372F4BE5129C033343F43A568252C968368844DD2558ADA097582';
wwv_flow_imp.g_varchar2_table(56) := '41BC151B8F8F099D1E58E24E1C04E97D183838975066C3427C0E92A44044F859B6B86C63239E4CEA4896CAA40CE6282CB6D5586D9A9F6B5D8FA893C329E59255D656FA51C70BEF1ACAD8BBD05764427390148CEACCC041BE59FD775127293426BE8BC898';
wwv_flow_imp.g_varchar2_table(57) := 'E71F844B15A43F87AC6B6296FD8D02B2E2A739A7C1634EF1E0D431639F97186655737B268DABAE8CDA9D45D07FD0FB653EA41C5ADA1C7695161DEB9EAAF43A5972A9068868B0E40D34487C1BF683A9BE12902441D961A5F5675F5D430FF20FD25C256072';
wwv_flow_imp.g_varchar2_table(58) := 'C694E72616CCC35967A5CF140A777790023590AB45ED4BCD523972E3F7321CF34DE5204A98561AB3956D830875A28C72672B2746B5AE6B28E07B145C6DF55F08842D6A6B8AD7DD34083A3CD2E5245956B315ACB0B81853BDF99C4B1CF1E1C29721E444EC';
wwv_flow_imp.g_varchar2_table(59) := '154F4D12B66C7C73AF6D19DA3788E3BECFD53A6B8CA8D2D4CB151E5BA8E9808F14C0C40DBC6C68B2728FA158D167B58E2BA1CFC043CDE1163C562C9A288D14A8C986C2766F6FD544F470AD25AFAB98F232B2E9E2155D0CE163B46468F207D661ECB42D1F';
wwv_flow_imp.g_varchar2_table(60) := '35773CE2422ECC30C49F265A96F7429E5F87907F3A3F44666ACFC18B213361573D1CE9786475A247FB47223464B9E4349D6B6AD69A505C3E2ABDD7A21D2394D46B515D2C7F36EB31E498EB8EF9975589A445E79740E7B7123A55A6FB3C2BFBBCF66B40B6';
wwv_flow_imp.g_varchar2_table(61) := 'D955389650CF5D2B0021EF312827497F35AB1BCD9157A02D9274047A3422C6DC8C953F32DFEDEB37667525DCF8F235AE25AEEB8BB8894DAFB21BF428DB92DB2EAF3149A2A7DBD9181E7714ADB41489A3688D55D514D63C16E2E13F3D8A9CE8468F35190D';
wwv_flow_imp.g_varchar2_table(62) := 'DDC3089C60C8EA801A363AB09F66CF4B8C7D7521C72E09E5426B32E07C78B18284184A7C1FC3AE5CD93ECD1EB2255B2F082A68E7B4A21834D136C1431C47B5B2A265148C8EBEB2404B457E89E08199084B7AF30F265BD0122C4E8740D67F3F68E281AC82';
wwv_flow_imp.g_varchar2_table(63) := '16D70143DE925C2F3E2A94685585C4BE8458B171296DEF3C9E339F4FE90CA05201547415A2B08338CA65F4CF5522C664433A3931CA11D3D5066B12C8BF0848A782DEA96F18D2E5E0910A580C46747ACE8D3251335E460C9B3CEEAD96124C33E01C6F31EE';
wwv_flow_imp.g_varchar2_table(64) := '13C441208EA528F8D72274743813B82C3F3E54A2AA2971E5134470201152CBA81404922AC4CF7BC30C08C460A640347019702329C986E1544A549700D0E587304D992265466BEE3A70FA14117C895C2E086646655B23DDE4192D19779AFB7AEF12681AF5';
wwv_flow_imp.g_varchar2_table(65) := '92E2BC5DBC50D024E334D4ED54833ECFDABAF366E86E5C0379E1411D302638A2C6135209498868FA0C94E38155F1BD167A7654A5CD6F3EB44F0A557D32BAC01DA69174BCE164DD7E9DE7D79E3019D6B0BA97CB658EE44C7F372756B4A239AEA48A4A1BE6';
wwv_flow_imp.g_varchar2_table(66) := '7A502B32313F57E88D9D547FD9BEB45962376E965D1A1D14D4D5488273FAAB04E66D3B158ACA3F0C58C480542E2226A7B8510462250F158F253D21693DA64524788824161DAAD06925AEA058FDE9704DD27754B89700E53AF65D65D9735073B3AAAF9894';
wwv_flow_imp.g_varchar2_table(67) := '1453C2BF7DE7FA612368AF39A08EC95AA67089D8B3CC7C1F7241862F6B70B593DAC0D2BA9B454738483479225C1D032D54DD56106A8D9784E768B34FD8EAF968491BB1CF72F1C70D4259DB1EC5D5A31997AFB88ED080A07D0BACFCDD56BD7637B7BCF694';
wwv_flow_imp.g_varchar2_table(68) := '5F0A297C3E48FD03914B2B9BEA9F3544CF75836E123F6BFDB8296EC2EE1911464A522C502155FB5D1134AA6FA8765C610967E5E3CAFB6A77BB20CA9E8F2CD5D15CF2B7F45A5CF6801C4870AE6D7EA56436D7C62177D903ED10DE7C22B034F542C8ADA22E';
wwv_flow_imp.g_varchar2_table(69) := '26EC39C9A98A696194879FD68A00D1E2DC8F07F8DD93E556B2FA4B96740F4E151E3BCCF64D23CD73FCD4E108E634DA39165994954AEF47AF4DD28E1C3CDFE8614D95163CA39D9714E1A5B34E794FCB6738784210A2B6B0BDC4962D838E12265F4268B2B8';
wwv_flow_imp.g_varchar2_table(70) := 'D99ABD675961EC84273835AA556DCD3F4A8B5F206BDECDAFB8CD5D61CC68C393FD2FAECD4CBB58D2E3ED44651A29F48E3F1F5F18B6C972BECAA4A7E0DBDE25F77D8C68A5BB1847B3C51E0470F80CC76F6009EA24DEC814AD80157D5B6A8694E685DD0A91';
wwv_flow_imp.g_varchar2_table(71) := '03FD6832EDBD16A2B7FB35ACCF06DDA69AB3DAC624F698BCE8E6CC7231E2F3EF1E228B15CA288862077B30C7359AAE0A331A4C416E33FDD1D7BE71BBE9D49906F32BA0BD671938F334C41CD0062CFD202D9C45DC7D1C1B32C9827699A767DBC852ACAE91';
wwv_flow_imp.g_varchar2_table(72) := 'B59FFCFF00ACFC09E275F6B0D29E774A9322E8D99E4FB13112766393D252DDA9398AE8C7EF9318F373274F83935851E5476BAD84EF90D2A8CDA686E8849C124CECD79BF1E28DAB7BA1728F4084FD9E10AB2E23C55778A094DC38E0EE6D7A51A34228FC14';
wwv_flow_imp.g_varchar2_table(73) := '5EDE2E7A13A347E0C73DBC5EF61FCE6763842105C151815F7237C2B93D8726A2CE657967581CB7F3AE0BD29B5F31BDAB2CAA9E87353557E32E68C3F060D1CA847CB35E57CE81193A03BE11D08516D01A732963D61DADFAF2BAB0C9F2272F5680CED1958C';
wwv_flow_imp.g_varchar2_table(74) := 'A0DF1E7958C2BAC57323B4795C05F310F3B1715965A53816C4D19538252450172A9E323C83734B6D4EF86AAADA9CC276523AC375D1678673B76FCD553E29EDAE787C9AD60C3747ABB49F2698465BF7D1CA09FF0045A88C802715BDB9FB7C29AD9E696A85';
wwv_flow_imp.g_varchar2_table(75) := 'CD1D3433DE469897C9F2A13B1946A6B1A7034486A2E4ACAA2FAF343193261692F19A80143A61E66A115F69E8997254F1F534A65B84F66A6F794407975AD4B203EF7B5A5132E9C22369A8B958E8A7BCD333C9272A6C947E2A75E3EC52E279A3061185F269';
wwv_flow_imp.g_varchar2_table(76) := '43A443238F83E44468D22BE743678DFA59549686B49F66B95717E850BC8087E02A9C935030F1A40CA2127BE73A00ED7CAB646AC5B2A1929E496126216ABCBB1EA96DB9ED951BA1B2BB6A2EA0697739BF74ABB53BDCF2D7704DBF98748CA0BED9F4C78CAE';
wwv_flow_imp.g_varchar2_table(77) := '92BEBE4E5218BBC775C99B75439105E89430C1A6B7BDFD5485D9B02C68959A6311DF3E120D158B963AF30B11B068B57ACBF46E5A7A31910A5FE718659FE4644763F8B7CC7B26C80E20C266F7CB41AB914157015A95E2806129E7BC77200C9195B3A27AF5';
wwv_flow_imp.g_varchar2_table(78) := 'CF7A4BA54C8B9AA2C900758672B57F986DF4E6BC7E650AC7B848A91009C8F037A32B528E68150D968FD47E91AF632B049CA04179F1D74140CF19DFCB98D3F1C686F616E14C567822DD23F9641BA146EF5D410AA4AF11845A948D605404E91841FC9F1692';
wwv_flow_imp.g_varchar2_table(79) := 'BB9B84AB2F5CC334D474D8F5B3690E56973A6B9ABF31E5A82876408C585A4C9B55B6319E3B5EB6C2C8B859C4E92E6504ECDAACB69593B4762D8F332FA1B625914F1E15293D455D612BFCD789332BEBA6D7B7AFA8F1C3ED8D1883C6EF3653AF7B1A79D9D1';
wwv_flow_imp.g_varchar2_table(80) := '7DEC5CE76A7A63F163ADA9F7DEC53136A39F263E681D86733C50859447355B62EC5347E614D56661168C982EC3C44B13C8EC690D226D7C82E886E5FA7BFF00011C10182A5D72EA378CD744E5136F927A0EC002835923186538ACE1380626726D7788CE12';
wwv_flow_imp.g_varchar2_table(81) := '6E13B3EEBA8AD42477126B9E7EEB532B67584757DC20C64728FEFB6B9E082365EB341957285789A4325CAE2603CEE73CE879B51ABE262F5858E1F55F70A3C002BD86AD3540BF8F0C6E3A635AB6CA6ECC71AD98CA8176DDCE70486D45B6022501A269C20D';
wwv_flow_imp.g_varchar2_table(82) := '834ACD716E123D222229A3A4E7C083292DB8CF330A4505AFF0C8BE0A5115F298643B5F29F80FCAC1890A411FD72382AD7F696E6D693163B8C6FB9AEB07B8E92AB124B359D22177C62E88EC89E6C353369B426BF5FA1122451308426BC0798EDE6ADD9EAE';
wwv_flow_imp.g_varchar2_table(83) := 'DE2D7146F50EE9452ADC27E1BBDD70F39A402C44899F1116871BA6AD6A1B656CA9ADA1B266E8F46553960263895A3A7B3455CCB271DB092EAAEA6871657E9C5B66DCE212300954062624EA930DD6FB09FF0032BCBD7FB579E685AE8A0926A1DAF8AE98AE';
wwv_flow_imp.g_varchar2_table(84) := 'A84EF9D3BBC848F11D469420A833DA7B05522F3824A929183A17A611721419639CECB515E8ECAC57AE1AB7BE49E95C52965535CF30B4EB38DE8F1E3A26331827D15471931C7CAC103EFC5F05C763FBC60219A9E49075133AB45CD15CC60B29419A6571B0';
wwv_flow_imp.g_varchar2_table(85) := 'E0873BD3E9CA437F87514E2A30AB1DE14549244F971C2A3FBEFA8E0A2499789B0F3348692909C0CE639A0C9061532AEFA2F412B2FA2E5B4E6D776F99DEB6968848588E85B42A957ACBF24ED67E3498AB81EAEBA37A43806E78F425B738DF7FE8BE902D75';
wwv_flow_imp.g_varchar2_table(86) := 'A9EDB3D272F58F4B1A44CB6974590A755FAE8ED555BD650EAA51CF3AA282AFE82784AC48A7BD62E686627901154496D583576F37BDEBA5AD3064D3ADAF1AABA8C8A9C1363AB511459B175BCE37CAC19F714A9BFAD692ADD1CBE74E8A36627BFC711E3947';
wwv_flow_imp.g_varchar2_table(87) := '97996C7B5C5728EBE6CAE2A3EDCC8B789C794F3CAA8DA84E7365FB1955AE110030C2F35F63E2FB7DDD0A79335D0ADF27FA2137F8E7843E61443299D88ABA005C3C60B6960E742F9F171992426375AD48FC548E55DE90B39F44B3B60E821348576E74DE20';
wwv_flow_imp.g_varchar2_table(88) := '79E4C05D8722CBDF4C93B4DCCBBEEA2C69C39ADB154EE227D4A9D87E59AA160E0F7B61BB9B92027CB62642963522159415900B8CD9F2D78673D191D00669DEF4E57E7048ACA3C09EE64E46F3DED118A6C335107229391D4224CCA399ED1E399135521939';
wwv_flow_imp.g_varchar2_table(89) := '57812A39588A4B1E378FE8FAFD88B695913BC610E65A85624A373429E9CB45DEC41096C3F390C82EA4AA930947DF3533E51F91C5CF08A88A40C9919C9C1E0C746F400E520587CB6DF5C873CC0E076C531D94F5CDF8B7A586618CA61C6BC7EBD108253E4F';
wwv_flow_imp.g_varchar2_table(90) := '77B6E7FC46EE781B1DD08439EB039A7606E34DFC43A871DC801C094AC68A337A4A72D06DA2358B8767301D5AA0DB1593519EC892D12936C799B307B435334392D3C875CEDA877D660C7A90FAA89CC1C0604E14D23F0513B0569772A22B44127F52015D58';
wwv_flow_imp.g_varchar2_table(91) := 'F724D906D9AE934B52BED249194B80496F24BB431BE15A45A988A51FE7F4A6A542CF480F559424885399CD87248037B814091CB9A00411C228CBF03F0BE4F49574B77B9F7DF7DEE7EEBAF7845320A68BE09F09E5F44E7B44F93548B5759975D4B5D853FE';
wwv_flow_imp.g_varchar2_table(92) := 'F44EBC80FDD09EF1724B05D1E97F2802330A64B2A96386D13707C594EA6B98ABFCEBB34AAB75FAE8DF67E4542913EEE5F2AC7671E61CC8F555D520BAF2DD1A2F025366E57511CCA68547605C683549A4F3F8CF79237956C1DEE16B0F16B6169EF92D9097';
wwv_flow_imp.g_varchar2_table(93) := '29CEA38C86871E3F3BF727975C2F757E7689E2E77323B70BBAC3F2B3CB3DB9F3ABD4BACE974A2470D44319124055098E4E28AE1AF98F5E2D235447575C862627B22B99ABF5867304514A3D7740270186608A0060F97C445705C89DF769C331EF499F4536';
wwv_flow_imp.g_varchar2_table(94) := 'A8DDED15CBDB5FD6BDD5D357E4F3A08A4AED659F6AE88A21906BC2DEB54B9CF3B4785F79D35E5401134471FE663568F4A1A288CAC374E713ADB566377CD63195D09E3DAFE53EFBE44F5F73F7BD7BC58437E35C98D07DA762BA1C5E557D16B2E283C8C935';
wwv_flow_imp.g_varchar2_table(95) := 'B235C5EDB1B9F76DB27B4B848B184B1D0392571B21572D75E6769E29A22CFE6B7DC0B338309FDF6FFCB830A18BB4CBF7F09D7BC10473EF24787DE844676B02A64812800FA091DCFC27BE6A4A72E910488A6476ABB18F84ECE565B4650A4379FE000ECA45';
wwv_flow_imp.g_varchar2_table(96) := '92FE612AA4B722FC294C1F1FDF0D5AE2A9B09FE72726BA63CA807FE2312FE56E98F48F570C3D88A7153878D39BEE632610FD96F58E53E4B74AD0CAFA8D1E61D60966066B6AABC74CFC9EE0522D59CEE68E58919306FA17E552668B19B3CC28F84C58F6A6';
wwv_flow_imp.g_varchar2_table(97) := 'BB29EF90D0C4BB451400FCC6EEDB31D4B919D3E822ECE4D1FA8A2B1ACF7CE88C9278DA80F786DE586E849F6869E4F9D438BC5A34B9CF1AE986D4CB8FD6F9C08287D9063760F7E4179E79477644EA3AA944F3A951E5F41F3C0C827610CA811451E06F8065';
wwv_flow_imp.g_varchar2_table(98) := 'AAF13535F145ACAC9665C335D81D22F7E71F0DFC79E7AD201E725C46F1BEAA00CDE03E9104837F24F4AAB22A11A2316BA4F10B1CC277898FF1E3E9474453DE701B1C7BB29CAF838C9F155E8B5471D6D55BC2F4C062E70B425C571DCBAA9633AB71590BC2';
wwv_flow_imp.g_varchar2_table(99) := 'DC74EE3BDAAA40EF0A9065BC678DFA43D73144648ED1E6B84F238ADEACB495D06A2EE21AB569AB5D7DEC1C8EE57E9964AB2957EC764F5B26C9711076D9DFFFC4002410000006020203010101010000000000000001020304050611101213142015163007';
wwv_flow_imp.g_varchar2_table(100) := 'FFDA00080101000102026C762577ED635CC16B8D18307C102E082CD26107F7AD6B5F2B14910CC172627488ECFF00D0E54778D2758BAD5B4B98E821561F3668A54F539CA075D68B84121294A11E2A7AD88C906C1F17CF14C6B2067236EE10F6E74DAF8FDC';
wwv_flow_imp.g_varchar2_table(101) := 'D493F85290641BFA3E35AD6B5AE642992306647D8CCCCC2A4E7720479AC3D365259266437A4BCDCD71CF94858D911344120B8689C6A8EBD041A231BB87641EF64E1498972D5AB2B503535C6CB8309091DC95FE721FFEB58C85391C8B7665F9CDF43A3661';
wwv_flow_imp.g_varchar2_table(102) := '61D1932CC18290CB4622C07EAE647FF048712B22041210647E186C42891194F1E530A0F38FAB7BDB8BAE5B823258571BEDBEC86FC5D3C5D743B76EDDBB76EDDBBE4B2BB36FCD231D0934A0DFDF8CDA5051CEC44F063C11FC5922AE1B1194D58577F31FC8';
wwv_flow_imp.g_varchar2_table(103) := '1E21FC8FF23FC97F23FC9162878C1E36F432512D87CD0814F022C24117122211D93A16AE0CE42E123C2CB91CCD49734F4E8F956DBF9778DF7F2255D3A78FC6A4DAB48210E5488FB18E8EA460C1A7AF8FC7D1F66EAAEA08941487D115FD686B5C28E42AD4';
wwv_flow_imp.g_varchar2_table(104) := 'D294A56DC2761408CC971A0FF176E387CA8D61A4C1530871D92F419791E50E2F127A1ACBE567F0DFCCA5E48B7B98467C63C2124B93E4940D339982D05128484574C65E2478CA3FADEBF8A7373262CCDA4A7A436A96B486FC84A370F8B675F331B0B38A52';
wwv_flow_imp.g_varchar2_table(105) := '978849379539D9721DCAD229DE653F267F0DFCD89DF85726568A18EA6217060CB5AD6BAAD0C0518754B7E74485611A5E91CBF2E65A223370DE813A3C3629E8D96C868129471C19BAB90A3E649D6A7217B1A947256B6953CF253095B0A3327FCBDC74EBAE';
wwv_flow_imp.g_varchar2_table(106) := '11F364ABF5B7F0E718F2637C1FDBA1D726299714EAD5F970AA88364B71FB65CB601202D5768C4A1249AF8D76AE166E98795BE272A1A2F5556EA5D6813331177C389A771C0E62D8E46B05C5CBE366A8FF00A3B5FF00436B396B2B4D813FE6258967983D21';
wwv_flow_imp.g_varchar2_table(107) := '1C19D890C6499F833DEFB82E2E93642A65D78B18EDCD8213C4BB59F7322DBDBA823E16150EBDA0D283EA8AF134F221E536B3C387CBE1928AD44650A6D6D2D62F445850F04A783958551D4C766C7F5D99850FF39EAD995175533615ADAD9E4C8274F3654E';
wwv_flow_imp.g_varchar2_table(108) := '5715D1DE9231B4B5F066A3EE460B8B15A5CA39360E3732C5DAAC83FB13CCE75934FB9314F634731D279212D416C89066936CD2D3869B6C2E5D634EC6245BA3226AE1A12158F3168D30F4704B4AEB09CBFB1CCF1F77FE84B9D0ACEAE5B11A657DAC3B341C';
wwv_flow_imp.g_varchar2_table(109) := 'D6E7A1E85575D4EDD55906CF264F936221F18BA5BE4CEF6F66DD2554F9736B2062EE86BD0DA6D59AF7EE19720B1591E1B6D3695F154C4B9ACB55ADEA3206C69F6DAB06D46B5A2451BB86BB84FE2C9ACA95D8AE81396C46832EF64BCA446ADC92A2B21E7A';
wwv_flow_imp.g_varchar2_table(110) := 'B36E641B2AA9D0DA95576D4F65164476D6CCB8132A7178A4218CB8F98FCE2A96F83333B391733D2B49613388CC6671EB8580617E3EEE2A31B04B54B7170AA695F971936F2E32C888B46BEA3A5BD6D0CD5BA9746C97DFA5BA952EA9ACAA036B5B9ED265C2';
wwv_flow_imp.g_varchar2_table(111) := 'B3643AC18CBD89B1A54576B3F255026CAB6B695294718474395B84D6BAA65FC9E9558EAA9555EC866963C2AEAE6C1A527264481D549C7A2E18D8319CB33599A96A74824B70C4271B90A94FCD62DE5DCC1476404B0CBA4625A919E967459E40977102E2C7';
wwv_flow_imp.g_varchar2_table(112) := 'F7A2656C5BFB287777E2B61C0458126BFF000954C9C7FF0036036A37AE2E7366FF00E87FD5FB2D543387C4C461E3CCD333571A2C36E2318542B23623B8CFAD32F59BD79C394ECA6C9209CDE448B44A627AB1114D0018CB50D069B8EBF2B933DF6A5FBF2A';
wwv_flow_imp.g_varchar2_table(113) := 'D2C24A935E4C486F1F815BE388906251110218C296575209DEE9431710B228CF48AEAE6A38B01063BB1A657B0C7B3FBE9C93DDBF69D8CB5FB5E2261B90DDA27254E7A8FF00A5B5FF00412C9A1C1B55B037DA0D75C3ACB68B445841C81906642C23C96513';
wwv_flow_imp.g_varchar2_table(114) := '17678B466F850CA1B8F05119886D404561D63D5732AA6D54BA93AA8F53558A789B4E9416462407F9C4164275538D6FB257E641449D16FF00D172AD31962525486C107058C17A84E97D4342E21C35435C14444C7261C89062B50584213D499CCACFCDE644';
wwv_flow_imp.g_varchar2_table(115) := 'A5B24F62D6C930E0B7A67310818AB296C107CCE4DCDA2B2E3CA0F253C85574768730CC9B4A5963F79190D75B0753DCC481608E30C5113A52F1D9F50E32A04610F26DA0DCB192FF0058DAE4A14F475ED47292E24D06D9A0D3A092F1AE1AE97F19BAC41406';
wwv_flow_imp.g_varchar2_table(116) := '920C5A489AF24776E576119FA0B520A129EFDA4848470E8B3C7E3D41635FCF151AAB7D7F56431E3FCD8B11B5341272298ADE15A1198967745C612AF031056C2E35863522119EC8F61B762AB101D24299B5FE999C89325F2D74EBA34C8547524F4A402361';
wwv_flow_imp.g_varchar2_table(117) := '8269A71476C97CBE36DAB1AA8DF6BFB627F1694412A252C4B44E815F724EF9DD756687FDCF6FDA27CDC6A494EF70A6BEC316319E949C851C608A04E13CA53ADDB44B381B23E65B758CCD953273A4568A991A514B25A4C68D3D66290123A3B19F0C9CC992';
wwv_flow_imp.g_varchar2_table(118) := 'E7D5D8C86AC18F830DAE15ED34C58B984B2C6ABF4408D44F21C6DEC71AAA2AB2AC2AE3ABFC72A8875AF529522685AA24572639226190968771D5E1DFC5D750927CC612B7E44B72730E8205C56B552187AEA64A79A80FC6F5115AC3F1E3260380C2475910';
wwv_flow_imp.g_varchar2_table(119) := 'DB404294F758D267BF0D75CB7065558A47C53E2B12890934CE62355B03408CCD61C2348D6BAF5EBA224822412382E260917477E9B73B43B362F3FA74AFC9226CA9FECE4164905C106158EC4F1BF2A99131504E433219AB8A4525F7ACE05A1A486BA75D2C';
wwv_flow_imp.g_varchar2_table(120) := '129A0A2D36C289E6EDB187DA35478D518BA47952A0F37E34A506EB71DB330E24CB46484EB5AD692948208069D105A4EA3F1BF13F11740D63BF82A92B583767CB90F97244A6E1B4D209BA54323D599219188467DFB09CFD9FB102520C24F5D34E4540524C';
wwv_flow_imp.g_varchar2_table(121) := 'EB50616975B71A2804D21B2474493A9420DAEBA2E0C28D2A520DAEBAEA48EBD7A9124104725CEB5AD0D103438F195E3C5C908A8C6A330824CA8B2DE55A461711594552E42ED9608A3C48AE27E35D7C2F32B119490A25A5C40D36444A20D0DA8945AE0CB8';
wwv_flow_imp.g_varchar2_table(122) := '59191969B56B5AE3AA42417F8BA2393CCCB8E672261A4D3C1033A98AD1249F665C1B68495C767C6C21819053311E8B1C59C58DAEBAD6893D5E6D6D30D256A7A4DEB975FAA768C5B34B20A59295C75E9D746464646469349A48B5AD68810209E0BFCBB9A6';
wwv_flow_imp.g_varchar2_table(123) := '755A2A1FC79FC665557AA6D4666854D04830E23DA72D1E944103CA9B443E468648B8D97090DB4B6BA4D98C92A8A76255D079A3518754CAC8D05A52488C8D3AEBD549D197C6C8C8F6970B9DEFB762F84ACCFC9ED21DE8B66650DA52B712909B22061C0FB7';
wwv_flow_imp.g_varchar2_table(124) := '3AC16F9292C3B0515714E38EB201ADB5970410446A351DD921268711346B462ACA4CE2CBE24841173A349A740C1F0A35CC5DD1E46F644CE4BFD6FF0055FD3FF49FD115E7EAFBA6EB8AA032F872B63CA6B2463276AC9080E8B55446144822234C98CF13CD';
wwv_flow_imp.g_varchar2_table(125) := 'B7544C8C9D0D90860896DFA496BC7D092D24CCC29376843441C1283AFAAD3F4A12B22B4DE23672570D5F06460C1830A3BE7DBC6D14655450BD52609BF1F8FA8F29CA766311E3C72F8446546388ED3AEB092C4E7673D434D3824888C5B5E4CCDA33E45A42';
wwv_flow_imp.g_varchar2_table(126) := '7254C30621021A3094E82525CA859C3AA98473643AB2ABF55E88AAB920C62F112922F951183062F6CF1FAFD1252A4B6967C1E05C3F47F3CE1263B8B618618F93B88325C40D789707D76D768F513284A964B6E867E32A8E952E4AADEEECE25B28426C91CE';
wwv_flow_imp.g_varchar2_table(127) := 'C1235A1B5149AF54A4D524CC75341A6551A709AAAA4024F51A12ECA34952544B0E3A4EF99538A4F9FC9B598EBA323761C1658067617955724625CFC724D8432A08563E1F178EC584C0AD7C8EE5240C3C8BA1E726CA17E4B5491691B46B5AE35F0635AD3C';
wwv_flow_imp.g_varchar2_table(128) := '100C6905B6C25B49279D682D843261D3CAEDE0DEFF00587969E58795FF004BFBDFABED0546F4D34D1692BD8EBA58CDCF015A4F73DFC412E86A458C0AB9C4A957072588C96BA58D7A4E44FB4B48B42508A29472649AEBFEE61DA955339531AB6759D6404A';
wwv_flow_imp.g_varchar2_table(129) := '4888171AF83170DBF0CA1390998298451FC5E2F11B4A8EEC3FCD6E1218AC91D76A3CD11839A78BC4E2EF381821261FE66592D8C9DACB1198A72A62CFBCAB4A3AAF01A3AE88B5AD7F9EB5AD1A249B9751F188157A24F5D73AF8B34207522F11B0B68DAF11';
wwv_flow_imp.g_varchar2_table(130) := '31EB7AE4C925B353947C1928B20AEA2A22213E8534D0D25C90CAEDE53D6CAB93B162B69E41CA6181A34EB5A0FB6C23E37BDEFB76D8DF7273BB89511206CB8D7C1FC4D485928292E36EB4FB1223BF1E4B5209F379D71F4394A7A0A16A98FCBF2CCA382E52';
wwv_flow_imp.g_varchar2_table(131) := '72EEAC84AB254FF5715AEAC7E04864F7F06590DE45BBFD1FD2FD1FD8FD43B33B0398728E4FB1EC7989DEE671DBF4DF8B88F247CE81FC3C16093E2F1783C1E1E840964F13FE549B62A0F850B63813F834B6842B8DDACAADB0AE3A9B2A8B0AA858D3154932';
wwv_flow_imp.g_varchar2_table(132) := '8EB49EFB71AB1AF2513DD7C6DB486929404048222224923A74F1C44EADDCC42290EBF47C1831244904C30CB0CB2DB24CA9971B752E13BE45292E2575E7AD38574544EF28410D025E5D3A1B8C391E4C6988856AD4B1E16A127214E52BC9E3CB2371CF15DD';
wwv_flow_imp.g_varchar2_table(133) := '2C279A796F7BBEE9CCF6FDBF6FDCF77DFF007FF43F47F4913C5808CC906C968538ECB69B506659919706568928D1DA6111C465FB1ECFB3EC346D2529204E45517061E6A1C4E5D3EDDB6819D48607B0E4D75F441B934290491DE426E71EAC15933B103179';
wwv_flow_imp.g_varchar2_table(134) := '8EFF003F7F13CDDC78FC3EBFA9E9FA5F9FF9DF9BF97129CB11878EB60824DD7DC32326A42E42A1CEF8B64FAE857909DEC5C9F040C28194728EA5068FC294F11096E1288C325924878A7C8B6B0B52A94485C3091266CFCC5DB18D54CC4A7B74A4C7B06465';
wwv_flow_imp.g_varchar2_table(135) := '221FA1E8FA9EA7ABEB787C7A1DFC84F21E0612636B353F214FBB04DE241F262E4BCBB35939E44A88F87417065A6040350846A0923E235EB849524D21261F49D8B7688630D90DBB00585A4C9B598B45ABF598627C1C76E42CA2050C856CB8C2D854738EA8';
wwv_flow_imp.g_varchar2_table(136) := 'C180D841212DA10818A7080D06C2D3A94DF8DD75A291223CB8E8E0C5D10528D7DFC8DBCCA115CF4D6ED1034641B15E614FC7B43904A14D492642148082C89FA910040B1ABB3AF631F97119893ACA7E3954D912BB4C13A6C792895E468D4329692CAE1B91';
wwv_flow_imp.g_varchar2_table(137) := '1C8DEA9454466588EDC64464C726C62CA20809532A352CD2DF5B5690B7AFA92BBB6FB19DC0DAD46E797CBFD348C9DC61B8544D11EF5E2F6989F4F7F90C6C1088246E4BCDA5B6D086CB3193189A79BB0625A05CA6D1D9CE56468EC123A755254CE50CC5B3';
wwv_flow_imp.g_varchar2_table(138) := 'C71E82663286550ECA34F664B521A759523AF4224A101A4636820D834B1C69290699702AB1E47CD9B6B89F9FF945489A0B98840824B1A4A53E3E92A45BB9064A2425750C1170F3AC21A42124599A9C8AE1B96724E3B5702C156E31AAB6CCB8D195B64CE5';
wwv_flow_imp.g_varchar2_table(139) := '8CCA6C652C918CA1B66ABD5363C2B60DB75A92CCB44D4CB5BEEBF3B1F901B0928DF25C1A7435AD291E1EBD0CFCB903EDD89CA7DBC7150AD1973ADEB5D1322E63E1B2AC4FB9186586596D0949159574F8B62FD8D9DB40A712D7D2EDAAC38D193CA8ED5E8E';
wwv_flow_imp.g_varchar2_table(140) := '728B1875B33195375D0A0428B1204660990DB8DBCC2603752D9E275502B31A0808531C6F7DC97E4373B82E14B4A8D03B2DC5164CF29D436E1D639127D74E69EB943722C62DA3784B1993B2338C3AC88DA65B6C9244EB986B6E454CE8B62C54E22AF2C48D';
wwv_flow_imp.g_varchar2_table(141) := '730B1B94D3A95A9D279E7CD64758F628E320D19457338DA318462D1315FE43F8F2C3BF8E8B89D76275387D76315B8653631E224B6DB0D971DBB0D75F1F8490697D4DA0757DE7012B24AF94D750A90976AA6457E488424C785170C7B2BA0A2C4588AC250D';
wwv_flow_imp.g_varchar2_table(142) := '9248864C71AAE98A248AE72BA063C6DB2C32EC6B3811A6FE8DBE50BB62BE1569698C4D0CF06469E9D3AEFE125D75D48B8425A4F5EA5CECCF7BDA828B6273C164CCCCD5B36CA3F5688EA0ABA258477A508AFCF8F621C268BA824902E33181933310D99AA5';
wwv_flow_imp.g_varchar2_table(143) := 'C375FAB752DA0D36507C1576F92CB1A10EA529C4D0D7D2B9D6B482FA41B47BE360F92E0C360C3EFA96C94D975D032C34299C79DC4AB20C69ACBEA5A4D456CD64315D4D2C970C3CAEFE42304E77719771A7F0D7304784249105175995B7146AE29EAD865F';
wwv_flow_imp.g_varchar2_table(144) := '18E34D7D2FE91F690CFD183E3634DADC9A61C0E58448ECB44DFA7E2C885234E4626C9F6828B25974AAFE7B18AE9E14F7BDAEBE3E83BF97CBDC8592EBDAD6B5D74B43F88C6C522C14376651DB6FE97F48FB4068BFC921D926B52ACA121980D686B53ABD86';
wwv_flow_imp.g_varchar2_table(145) := '568525689EC22D6357475B6AD5C40A598C910EBD7AEBAF5E9D3C73430CFC6CC18B834992AC97B6CFE5637BEDDBB37F680DF3A4A3E0F85BEEA8D7E48F1D511AF932061D405052E60812A24849BA4CBB146DB92DBBD7A74F1F8BC5E34367F5A5A6545A278C';
wwv_flow_imp.g_varchar2_table(146) := 'EC0FAA06F7DBBF7EFDD523DC297EC7B3ECFB5EDFB7ED9482083EDBEDBE4C28DE93B58588ED331D0D27ECC9495A542FE235615D2D8723C950C9E3B093321195C6B434650631B5CEB5A349143428E49913A8F0F81D610DF889069263A75F178BC5E2F178BC';
wwv_flow_imp.g_varchar2_table(147) := '286CC366EC8DEF832061F9043BB8F20408E09B6DBFA3E1D2589027C56974F3D0B65FCA9D8860843675AD7C983E35AD68CBAEC31C6BA9A75E3E9D7AAC14AEFDFB71AEBD488F82E4B83067264A41871CED591B64A0904B1BD8D99ED41F0F9CE4BCDD449696';
wwv_flow_imp.g_varchar2_table(148) := '855B338E4EF4BC2DA7FC0C2BED425288637FE4A24C732FBD9997C1030A12E4A4C838E3AA653106C28C86F7BDEF667D8CDE2784E0EB48453BAD9A4EA51A22FF002307F776241E265F67C1991ACC18DEF7C2BE4C1030A125480A0E99860AB4FF00C9408CCD';
wwv_flow_imp.g_varchar2_table(149) := '6720EC38652486C3624AFF00FFC40054100001030202060507080607060505010101000203041112210513223141511032617191142023425281A13353627292B1C1D124304382B2E1154054637393A225344483D2F006455574C23564B3E2F1A3C3FFDA';
wwv_flow_imp.g_varchar2_table(150) := '0008010100033F02CFA473E8654189F7B4913AEC70C8A786371BAEEE25041040A6DF0DF3DF6E9CC79B99FEA9B2EEE4DA5181A2C37F99BFA6A66D2029CB5DAA75B6B9051C2C0D60B00AD153437EB3CB8FEE854F531B0BE4B3C0DA1DC9AE6E18F21C55FD64';
wwv_flow_imp.g_varchar2_table(151) := 'DF6D53C37B9BA0EC8479200EEB740138278028CF512E004DCF044371D44A236AA089B82081B21F68EE44927EEFD467D257258B7840324C5D52D2B1C8C0B031AD1C3A33E9F471B399BF829611B32387BD540DEE07BC26FAD1F8154AEFDA5BEB6498FEAB81';
wwv_flow_imp.g_varchar2_table(152) := 'EEE8D4379B8EE09DAC334A6F21F82CBA36879BBFA3259FF51C31B96DF4EF5BD6FE876B81C939A02D6690637D8887FA964A58C817B84F73D8DDE2E8B5C5AD45D9B8AB0E498F16BE6AC53DB7B3AD753C62CC94B7B93E437738BBBCDFCFCCF439DB82C1BFA7';
wwv_flow_imp.g_varchar2_table(153) := '7217CD1B808BDCD6FB3F7AC2715BA4E7D38E7B7B22CB77491C516E6A7CF0CA72E79AB48E7C8DC479F240B6E0E56BAD867467D1979856C8560AE3F58C8637C8F759AD1727900B44FF006C6F815A3A51216D5B0E0189DD839AD16EDD5F0FDA5452610DAB88';
wwv_flow_imp.g_varchar2_table(154) := '8FAC1405DF2F1FDA0987D76F8A3888680799BE4B83858F0E47CCEA9592C7A4EB3B1C1BE03A628E935D1F59E2DDCBD6771F8A1066F1B477052549C4FC87251EA8B3004F865735DFAABE1CD0E1D2E5B3DC9BDCAE8F1E0B8AC0D1D23161BE7D1658DEF77337';
wwv_flow_imp.g_varchar2_table(155) := '5B5E65975FBD64160803793404EE7D2514514DF64267B210E482237593FB13F923C97674762EC5D8BB1762EC56D1BA4411FB17787449148C9237E17B4DDA53088EA22186396E0B7E6E41D6677711D8BB137D91E09BEC840D6538272C6DF58B78F626BE9D';
wwv_flow_imp.g_varchar2_table(156) := 'D267B26E3DC9BDA9BCCA1CCA16E2876A351513CBE576C6EBDB0277F6D1FE5FF352FF006E6FF967F35534D13C79435E37E4D23358769DEA8B274AED63C772C2D414730B39B753B9EE0C9596E18B7AADF6E2F12ABBDA8BC4AD21FDD7DAFE4B487F75F6FF00';
wwv_flow_imp.g_varchar2_table(157) := '92D23CA2FB7FC9692F662FB7FC9692F622FB7FC9692F622FB7FC9690B7523FB7FC9578F519F6FF00927C0EB3ED7EC37E877240AB145A5492331E145BBC7476F448DD210D4326B35CCC1233DAB66DB74608643D96F1E8CCF9992C2C0A42F6FA336E69B82D';
wwv_flow_imp.g_varchar2_table(158) := '8826DB7A005EE9AEDC6FD10C3732C8C60FA46CB47D54FA8827D638B4BAED1B3B3DBD1B3E6EE47DA29FEDFC13FE8A77B0162F550E487490839BB56B3FD19FDFC9100076F191EF1D0D8F1B2404C32583C0DE2DB9EDED09D03F0921D90735CDDCF69DCE1D87';
wwv_flow_imp.g_varchar2_table(159) := 'A5DE5D0DB176E1B7C6E9EEA785AD3BDE315FD9BE7FA9C411B3F0F158A9A32459C058F78E8BE4B2437EE2B1E477FEA7257990E9C6709524D3363E7F726C6C6B40C879B7A888721D1B31B7B6FE0ACD3E6E2900595AF6C93F536C408DD71C6C9C4E485ED64F';
wwv_flow_imp.g_varchar2_table(160) := '006D108B2A23B9EBE47B569415D5900AA2C6C72611805B2EF4647627B8BCF371C47E2B0E98A1FA6E733C5A57A16760B782C879BB5E6EFF00370C7EF088A783B6AA9FFF00C817A6A8FF001E5FE33D2270295E4667D038FA8F3EAFD57FDEAD7B8B11911C88';
wwv_flow_imp.g_varchar2_table(161) := 'E81E591DC372E6D2EFBB777AF471F77476AED2BBFA41BF4DC14041BB7B8F4E20112D4EDD7DA61B2D60DF9F437D951FB2A3F6028FD8099EC84DD53CDB302F920D65C92A499D71139399D6610AE325745D51602F9A3032EE2311F823CD1E9B6F57AA776347';
wwv_flow_imp.g_varchar2_table(162) := '462A870F6725B3E664B14A56082675F82D65106B8DC83FC908F7260E656B6C2C8B6DD842B696AA3EDE07F8B6DF8746AB48503FD9A867C4E1FC559C47D23F7F9D99F372F376631CDEB6685BCEAA2F866B6A4ED91E7C5C7A6E37D96B1F0546EF29884847D3';
wwv_flow_imp.g_varchar2_table(163) := '1B2FE871A8CB5995AF8081E37DE16C33B976F476AED5DBD1DA8F35DAAED59C8CE4EBF8A17599400C8A691915232633459DF3737F1084985ED3984C94723CBA321D3145939F9F258AED6B37F3597555F7A6161164EA67DC756E8CEF686714CA469DCE79DE';
wwv_flow_imp.g_varchar2_table(164) := 'E400DDD0567D1D8B14D39FA56561758DCE77337F36CD2B8AC30C4CF69D7F04636B87D23F158B8A06C82B3562A9A793DBA667FA49E8C0E6BFD9735DF64DD5EA2DDB8BE1D0D4DE69BED0E828A3CBA72F37D2538EF2BD3E871FFDDFFF00F372385B7DF6CFCC';
wwv_flow_imp.g_varchar2_table(165) := 'FF006651F6554E0771173F1E86EBEE7065BAEC2EE1C0FAAB61BDDFAAC96AEA7EB8B231CED24ECA95BB602D7B414E8EB5CC3B88B85B8AA598E22CB3BDA6E4A385C1D8DEE237623BBA3209AC1726C15EE231EF2981C6EEBB8A32487242CADD0354F714E643';
wwv_flow_imp.g_varchar2_table(166) := 'AC78EB6EBF2597FF00B2CBF9DFA02E4DE8DA016C39DCDC4AC14EFEDCBC7A36DDE6656568D6B6ADACF64596161EC7FDEAEB994DB5C39628D1C3437E0256FF00A811D1898F1CDA42129A793DAA663BC50C2EB9B0B6F51E8CA6A99E9AA2790B29E46B182C7A';
wwv_flow_imp.g_varchar2_table(167) := 'DDDBCAD253F9746DACA88C8A66B58656BC0049DFB5C5697D154D512CD5825C4F8C4632D9B75F7F62AB6D0EBA50C71353AA6D9BC03311E2A5F25AA95D137144D6640B9B9BDD84735ED5149FBAF69FE2B2A33D68A76FEE077F095A31FF00B7C3F598E6AD17';
wwv_flow_imp.g_varchar2_table(168) := '26EAD83EDDBEF509B6D8CC5C6D0DC537B7C133DA4D3EB0E8BD4B7B188B26D0C7955B7FE9FC5609AA5BCA6947FACF4D812782D50A3A7E30C577FF008936DBBC3A0DE5EB7B9D61E1C5643CDEDE8DA02DEFE9DE8E1C4DDE33427A292DC63BAF2AA189CEDF6B';
wwv_flow_imp.g_varchar2_table(169) := '3BBC234F533C2E395EED4266DC759AB10CFB8A0F898EE98A9400EEB1BD826C99B9FBB734291C2CDC827B4DEEB1431BB98BAB2BAE2A299BE91A0DB3174DF2784E1BECAFA3F0E9C209FC13656023C104059D7DC6EB4406B19E5F134F27EC7DEA1984623958';
wwv_flow_imp.g_varchar2_table(170) := 'E1BF237E8CCF998A46AB00BCA2B25777AA6650D4BDD2013EBC3582FBDA37E4AFD0E570B088EFBB113F055153F234F249F55B978EE5A566B626C708FA66E7C02F218E969CC98CC703597DD7C289D1954D123185E034179B0CCFBD692CA46BE33ACDB0629C';
wwv_flow_imp.g_varchar2_table(171) := '0C5DA3AAB4F531AB716D50C3492E00E931DDE6D86D995A5FC9B4899CCCF11C4CC1AD8AFB6E75AF98E08BF47D619A9A95E239E26C60C5846293ADF05472D04C068E83D2D5B21D995D183AB6E3BDFB168F75342F14B521F2492B30C7307FC96F377AD1FAAA';
wwv_flow_imp.g_varchar2_table(172) := '59054D58D731EF00C6C7D830DB3C2A9E2D4FFB563B4910985E178D83CC826C9F03B01ADA2B968700E9B09CF76442AF352C645107B226C4D606B99916B77D8AD25143A286AA60591B9D25AF939EEBE781692A234DE926D8A38EFD6B17904955B06907C0DA';
wwv_flow_imp.g_varchar2_table(173) := 'ADC2366121BD62D19FC558040D5CBD960BF49D12DFEF9BFC6D57ABAC3FDFCBFC5D227AA818EEAE2BBFEA3368A7544B24CEDF238BFC7F2E86E3764CBF6C649FB5C3BBF579951E175DC117530C3BAD6F04191D4478BD7C5DD74D0E865C407AB9A04F7A8995';
wwv_flow_imp.g_varchar2_table(174) := '5B3BC8DA1DBCD5253C2E13388DAD9B349FB968CF6A4FF2DCB4770129FDC54956D7C969F65C0701D65478642219365B7DE1445A4B62395B8F357F5563A58CBBFEECAD802BE4AEEB0400E086A5BEF5FDD95F46DD0D213A925C43AA56B1A085914FC27C9AA6';
wwv_flow_imp.g_varchar2_table(175) := 'EDF9B90FFF0025252BBD352EAFB70E5E215B74F28FAB215A42612182773F00BB812065EF558393BDCAC6D2439F61FCD53C9962C27E964B1CAB040F3D8B689FA5C96A6AE767299DFEACD6EEE40A037225AA8C4D8AAB5761D5326E0568F6B70B1E5DFE1852';
wwv_flow_imp.g_varchar2_table(176) := '53D84545BF8BCA96A58DAA90E728BFBB8290D253471B6E5D2DFEC8FCD40FA5A67B6BE9981D442999AE383388ED70E6A59AAA174269CC26363637366C04B00C37F72D2AFD3176C5522232B407326D92DB8DAB5F72D2F2E956C6FF0029D53AADF76BE2F47A';
wwv_flow_imp.g_varchar2_table(177) := 'B17B67853AB278E1A98A9DF0FA699D1BE0C38308C8AA5AC8304B414E59051CB38D4974784E44B723CD51D5B5E2680C029699A03A3A8B8C323B71B854351154B89ABA710C5053399663F10393772A4AA7CD55E5E590BE78A231BE07E2BB1B7C39772A792B';
wwv_flow_imp.g_varchar2_table(178) := '9B5CEACA3D4BEB71E37ECBF63D5CC2AB6E9182A31C7AB74F34B8D93E4F06F95BBD69A8E40E95B5166C133C827182EE038DFB169392AA9E39C4AE2F9199CB06ECF3F54745E698FD32B59A634430F0DAFB2717E0B585CFF6DCE7FDB37E9C3069293FB96C43';
wwv_flow_imp.g_varchar2_table(179) := 'FE7BAC7EEE936BE7D6F9CB7FA7F1F359A3E2BF59EEEAB7F12ABAACFA49DD6E40E11E014CC376CAE07B090A685CD65512F67B5EB0FCD07805A6E0E60F4665415D36B2494B0B321D5E3DEA3A589F035F88337782653D5B9D8AD88D8A6C94D607A8E6BBC0AC';
wwv_flow_imp.g_varchar2_table(180) := '3B2E7B5DEB36C6FB284B2472891A3734DFE09AF95B01AE883F1E0B6071DA3DAA2966110D20315C8F907DB67B5524A1F6AD7ECC464F9022E1BCAE551793570D64E6C227F51A3D6E19AA564350FF00D20DFD1169C03AF9DFE0A2119B07ED3AD9DB2B67C10B';
wwv_flow_imp.g_varchar2_table(181) := '36C0E68D252303BAD64D6461E77DECD1DA56AE3323CABDDC77F439ADB1E67E3E687B48B214926A9D7283C023715741DBC5D50CDD6A56782D1F25BD191FBCBE6EA5FF00BC015A4E26EAEF04EDF65E2DF9A1EBE8A7C5DB09B8F050B5FAA0F37F571647BBDC';
wwv_flow_imp.g_varchar2_table(182) := 'AD1809DAB008582B0BBDB00FBC64ACD1E0881BD3ACAC84B242DE656168D852CF1C5AB6E61D9F7214D4B4D10F5236B551BE6A78E77CE0B2373FD1E0CEE793B8AD1F55030455B24628E9DE5DAC8AFD775C9D950544116AEB698B292089875EC2CCF31737E0';
wwv_flow_imp.g_varchar2_table(183) := '53AADF2494B2D33E211C3035ED9B0E0B0E4B4A49A4A47C42A356EA98B0C8C9B6030581C815A65DA5C34BAA5B1BAA9D7059B1AB079DB8A966AC6C72471964BAED6B1D086FA317207054F2C73B1F4749AB7D2BA797520C76D56601B1548EA5AE8DF4063632';
wwv_flow_imp.g_varchar2_table(184) := '36D5131CEE7125B9346D0546FA79E3FD2A9DD4F3B2725C63712E94600A98D14063AF7B3C9A6787EB6024B9F3E7B9AA9DD4740E8EB290B2163E13AEBB3D23B6CEF1BD54BD94260998F6369638818E602EE8EF8ADBB9AD28CACA71289DAC126225D2630461';
wwv_flow_imp.g_varchar2_table(185) := 'DDBCF45EE7995AA9E596F6260D447DF275CFB87998A974933E8C52FBA27ED74B6ED3665FFC338B7FB7C7BBCD655E9391D33ED135C41EE6F00A966D5B29E99B1B5BC70D8F46236F045F04B01FD9E63B9DC3C7A368F7273F52E0F89B6BFCA3B0EF0A4D193C';
wwv_flow_imp.g_varchar2_table(186) := '98B51D51701F7B5F7705AE99C0C91B5FACB5B341ECE7719A6325C3AFB18986FB07D54C7C2FC6E205AE4817B76AA27CB355EB6A2CD9E2718F03779397DCA8E390550F29D9A97DA23806D39B8BF15454F1C0F6C352FD6326870B9CC160364AA5862D8A591F';
wwv_flow_imp.g_varchar2_table(187) := 'AFA604E296D95F764141099226D2DDAE6C5212E95D7FB948496B297631E4711B94637EB670D183AA073574EAAAB65FA91AB3A9A21C5F73EE403982D93BEFE8DFD0CB817CFA33456B45DBD609CDC50BF78E6ADC134F1E80ACB6AF646F7B04C84BA670DC32';
wwv_flow_imp.g_varchar2_table(188) := '42ADEC01A4762B346CD96BE99CE036986E1636B9D6F5964A4DD8D3C158A48B13771C8AB841D967D0D7D6543E4D133CB8236863D8F7B71F66CAD1B40DD23060ABDB11B0E6D272DAD9C5BF7E6B46C0DADA4F2D7E3754421C4C77EAE61B915144C34E348446';
wwv_flow_imp.g_varchar2_table(189) := '5F2E0FCC39A2E1B8436F9E6A46C34B0326A67CADAA96491A1E3ACEC80CF7AD2B0C1A398CD638C6C9B186497DA79C864782D334B0D1B6F5576D134B886E3BBDDCCD8AA9A5D730B62B8A589A71C43D239FD6E5750C1515D4ECD1D4B80CB0C240184BB158E7';
wwv_flow_imp.g_varchar2_table(190) := '63CD5109A6A36501C12D6322B895D7D8F5B3E4A8257328E27D531CFAC7384989AE38A36E1CEFC3254F53151C705739AFC535462961BE2BEF3B2541554B491C35D03B530CB2BF581D1E4F7E2C5983927B34835E64A6223808F42F07AD6B72586379E4D2A3';
wwv_flow_imp.g_varchar2_table(191) := '0D66169F795575557AD6B816E00003C39AAF1FB21E2AB87FC395543FE19EAAA9E4648D85E0B79B723CC1EC28D631EFA3E1BE9DF948DEE3EB0E4A79AA1B4ED89FACC5848C2767B4A6513D910A8792D3722F7FBB20B2DEAFC91B6F4D82392579B3580B8FB9';
wwv_flow_imp.g_varchar2_table(192) := '12E79B58B8DEC7B73592B28A66556B00D98EE0F14ED7D5BB8611F12BB56D7B917C34FF00E27DED2A196264C6AF0626B6173754E710F8DB9EE54C64654B6A5F824712D1AADD848046F51D2B77CA718D68D81701DC37AA586A642EF2992EDB9F9302D20545';
wwv_flow_imp.g_varchar2_table(193) := '4F513D31152EC47C98BB1345B1919EE546E95F4BE4D2E19A6C05C65CEF0DC8FB9534D13A23A3C805AF9C7A775F1B1BB89503A9660ED1ECB411BA660D6BCEF39DD533E9A5D65153FA0D586DAEEB3643DA992401DAAA6BB64110706E58436E38A923033B8F';
wwv_flow_imp.g_varchar2_table(194) := 'C930C4C2DB92555CE4B9CDC2D3C4A640D003C37BD3EA65648464DC98148D84623B5BFB90918D7730B3F77439B246E16C83BEE5525AD3E491E63DA2A6FEC6DFB67F24FF00EC63EDAF2AA7865C36D636F6EF4E63B5D1DEFC5470418A9E46BDC770BFC4AAD8';
wwv_flow_imp.g_varchar2_table(195) := 'DC71B530F5EED51BFD60535C103C5620AF1E0DFB6DBAB67728342F4127715558406438DA46F1C14B6DB78079223F68A578BB2469552C786EA5D8B85B34E6C31075AE1A2EADC5AA9186CF9B07D6042A5A0D46191B363BF56419595149D7A597FD0EFC5682';
wwv_flow_imp.g_varchar2_table(196) := '98DDF1E7CDD095FF0085A5975BFA307E3C773B271735A0249992C720B8975B6135C62DF7B2A16D443332A25F4721900C8E6E4FA79E09069390EAF1646E31621C56978646176946CAD0C70B1F59D6C8E6B4E6B1EF9E3A69AD1B8B6F849328EAF055B1D449';
wwv_flow_imp.g_varchar2_table(197) := '3BB42478991BA50E0D00BA6F714CA792698E8A99BA88CBDB67499BA4C8800DD68E8195926AEA63D553EABD53F2DB395C0CC2D1DE4DA4B0D6C806A594DB51DEDAC3F477A632A348482A84BB31C7D5702DB679E256A59BBADE2AE1A796E45C115A3A95E592';
wwv_flow_imp.g_varchar2_table(198) := '4E310DE1B7711E0B45CB90AA00FD2D9FBD5331A0BA6680776615197626CFBB8DBF151CB134445B89C36F09BFC724C6BB59840C5D6FADFCD4DEAE11DE54DEB307EE95F44AC7433308367581EE51E28EA1967348B3C6F4DB48F6E17EC9B5C7FDE68B8DF564';
wwv_flow_imp.g_varchar2_table(199) := '0E174E8D858CBDE4D8CB79EC08D2538691B6ECDD63F0F722B6DBEF509A3BCAE7818D99B2D7CCDB8AD1E44549FA57FBC821FE8B7BB63C1504D2D3525AA4609666876266649B9B8F72A2AAD533C9E6D8A67613ADDF833B1C951D4C72BDD466F1D2B5C2D3BF';
wwv_flow_imp.g_varchar2_table(200) := '30DCB3C953486AAA4D0B758C7C0EF947D8E236DDD9651341A965142241578711C5EB3715ED75145152CD1D1D231CE9268DC7072E59A6450D23A382919AF81E1F68DBB441B5BB94EC63756C8D9ACA48A5B36319B8AA9F28918D6B8331B0D8332B103B1547';
wwv_flow_imp.g_varchar2_table(201) := '9416E192DAD23AA772D5B6EFB97DF73B87B94B34AD696380E6AA5EF73DEF033DFBF24D86DB449E6B25871B391FBD7A41DC7A2EE8F2E27EE586C3965D3FECBA3EC67DC83859526BA614CEBB2C002371E69E38F8E6A2775A1F7B5589D4CDDC0E4554C5D617';
wwv_flow_imp.g_varchar2_table(202) := '50DF6B24658AEC3BFB535D4D28DEE22E3BC222D8861EFC9597E8D2772B42103C17A43BED86F96F553097B22A78E520FACF2CBFC0AAD67FE4AFEF639AFF00C42733E568AB19DD0DFF0086EB4638EDCF2C7FE2B5F18F8AD0AF18855C5DE25FE6A67184D01D';
wwv_flow_imp.g_varchar2_table(203) := '636C71EDB1DDDD65A42DE9344B4F7C01DFC2531BD6D1207EEC912D1DBB56F69FA33DFF008951BFF6B523BDAC7A8DBF27A43077C2E6FF00095591FC9E9761EF99EDFBEEB4F0EAD663EC6C91BBEF017FE2166F86FDF162FE12B48C7D7A11E0F67E69A3E529';
wwv_flow_imp.g_varchar2_table(204) := 'BC24FCD50C9D6A693FD0E5A0AA3D1BA1EBB9B93A1399E0A96943C414EC8B11B9C22D75E840F69C165D3462B6BE9EAE9A326FAE8DEE1D68CEFF0003BD68F964C3494A18D07AD9EDFBB929999C4FB7DCA58729A1F7B7F251BC031B862E638263CEAA7EEC56';
wwv_flow_imp.g_varchar2_table(205) := 'FBD6016C9760599D942685ECB6F09F492B9A7B93D86E0FC1487847F66FF795259D512F59F936FC1BD3B4CEF4C7504B8E17C8058E1664E362A9DBAE95BA32A4984C4E6DDEF38AEEEEE0B0BA5A966897EB193873769F9E3DE6C54B147AC8F438C6242C1727';
wwv_flow_imp.g_varchar2_table(206) := 'A8E6E66C4AAA653B706888839C5D1BC5BF65C37B95688230DD1B4CDC65DAD185BEABB638AD242185ACA7A76DC13200D68DBE0771E0B4C9642D63E26FA218AC00F49C4F5569779182B58C1AB03B9DC782D2324B216E910D06D8467B3F153BAA1D27F49803';
wwv_flow_imp.g_varchar2_table(207) := '581C062E1CB7A6B66C674A32DAC2EB63F82A51330FF4931C7164310CEF959369A58E4D7125AACC3D386463BDC56DB3A338FEB2B4928E523C7838F4DF4643F59C3FD4B3E29F4FF2B03E3FA6D2656FC734E68C59161DCF6E6D4476A0539BB9C98FF948AFDA';
wwv_flow_imp.g_varchar2_table(208) := '324D66D4150E6F66E5590BE37CA5CF60E20AA1A901A6417F6641654CFDCDC3F54A91CD73454DC1F687E4A48D9D5BF72085E33DB63DC725ABA8888DC5BFC397482140EDF0B0FEEAD1EE37F238BC1423A8E999F52570FC554B7A9A4AA9BFBD8BF8AEB487F6';
wwv_flow_imp.g_varchar2_table(209) := 'E0FF00F16269FBACA577CA51E8F97FE561438E898ADFDD4EF6287FB15637EA48D7FF001AA4B66EAB1F5E00FF00E0507ABA45ADFAD1490FC555345D9A52023FF73F9AD2C773C4BDC637AAFF00DA68D63BBE1BFF000AD65442CFE8BD59C63683648EDDAAB2';
wwv_flow_imp.g_varchar2_table(210) := 'C49D23237B8877F104F35071D4BA5B6577585BC10B20B17050D43A286268F477264397BBB962F500EEE8758E7971C935F72DC8EFE49CD3B4854446173B699BBBBCC8AA86791E6A7BECCCCB28A27074CFD611C37355BA70D8F22A23FB46F8A14F4B33D928';
wwv_flow_imp.g_varchar2_table(211) := 'C6D171B8AAD3FB43F65AABBE7DFF00E9FC9577CFC9E23F255647CABFFCC2AA4FAE7EDBBF353FB5F177E6A6772F05338FC9FF00A14F95A23F61551DCD93ECAAED6464324243C387B8AD31FF00A5B3EDDD6908C5EA347D9BCDA553558F46FCFD9391E8C4D2';
wwv_flow_imp.g_varchar2_table(212) := 'B108CF6F4757EB0586AAA87F7D27F174FE816E52BBEF5D89C6EDD6621C8A8DC4BE23A89398EABBEB05253FCA45AAE4F6E709FF00A516F5D96BEEEDED0B0FAD71F11D3233AAF213AD67C4D3DBB9067C9D4BA23C8EEF8AAB8EDAC89920E6DC95218CF598EE';
wwv_flow_imp.g_varchar2_table(213) := '4E09AF682D3705638DC3B1551958FCDC41B1B9E050731A6FD370820879D7E0A33BE369F705464DFC963BF7054E7E71BF56470583A959523FE693F7AA86DEF572BEE3D6B2C2074B9B1F5CB40CCDBB1196473CEF71BF8F465B948C0E6B5D93B7F4CD4F2364';
wwv_flow_imp.g_varchar2_table(214) := '85F85ED4348530977381B3C72774C5137148E0151175B191DEDC95F306EBBD77F45DA42A485CF7EA439B7CEF9D968B99B8442D649C0DECA9B933C5528E11AA31BC47E0A8DB9EC7D954ACE2DF73553BF644841EC015446FC2C6BDFE0AB1D9793BFEDAAE3C';
wwv_flow_imp.g_varchar2_table(215) := '1FFE62D210EE008E4E7DD6EBB30BB95EE89592865DA66C3B9855BA3EC276EBA3E7C54154361F9FB2723E0ACE737F787410DF7856D215C3FBE3F9F4B8D2D401C25FC0291DEBA8A3E372AF7D95BEDE0867E4C1AD3BCC2EEA3BBBD929F139CDC0E0E68DA8DF';
wwv_flow_imp.g_varchar2_table(216) := 'D61DA3DA0AF9F8F9813E3EA388EE4F9A1793967841DCAF40C203B0B9CE73413C0944DEE1085BA9731C4E3BB38DC292163585AC69FA4ECFC0269C369E337361B2EDFCB7EF4D76F8EFFE19B9FB25453B3131F70B3DEBB576AED47A08E055FA2EBB17623C94';
wwv_flow_imp.g_varchar2_table(217) := '9212042F36DF92318DAF04D76E37E8C54B55FE1B958F9A310E49D8BD1B6FC5790D3BCBA40E7CCEC6EB6E196EE974B5320BEE36479A739AF8C9C86EF38D03F5D0B2F05EEF61F53F97DCA39F60C586D98E39F6A6DB70C932C336A89CD177B1416C9CC51F1C';
wwv_flow_imp.g_varchar2_table(218) := '1EECD457BFFF0014DDF85E7DC57D072EC5D883066EBA8CFAC3C5463F68D1EF51BF333456EF54921B89DAD3F4554C4E6E2F4CD1F69794331B5CEEE230944467F356D275DDB203FE91D3B1583E9B4FC3A2D7E6858DD5DB92CB35495115AA1B70373BD669E6';
wwv_flow_imp.g_varchar2_table(219) := '0A30C96C58AFF2720FDA761FA5E6E49E2286906F7EC9FDFDE8471B1A370165AA185B6C645F3DCD1CCA92F3B20C7AD01A4B9EDCDC09F77C140C74A6694FA1935D6DF6B8B01F8D95340211A923D66EF3D7DE7BD68B0F85AD9AF679C85FAC7DA5235CD2C931';
wwv_flow_imp.g_varchar2_table(220) := '91881946ECBD577342665ED623273791F3CB1D7ED5903D17E873DD8064D1BFB57A288026C1A3B56A031F7DC7E0A57CAC780197DC5BF8AF2A8DC1C009186CF1F8841CD734F116F146291ED3C0DBC3CE733AA557528F4529EE39852D551C324ADB3CEFB762';
wwv_flow_imp.g_varchar2_table(221) := 'B5D3A0AA909193CE269E874316270B177DDE77622252E82711B4FA8EBFC0853B6DE9A9BDF88AA9FEDB4DFE538A9C7FE6317BA077E69F6B1D207DD17F357FFCC67F731AA3FEDF55FF00F9FE4A0FED1547F79A3EE0A960975804AE3F4E4C433EC5412BCB8C';
wwv_flow_imp.g_varchar2_table(222) := '0EF74AE68F00A83FB2DFBDEE2B471FF8087DE2EB470DD4107D80A95BBA962FB21443744CF0439045AD163C4208989F6E4B47D59D73E1C4E75AE6E568D03FDDDDF6CAD1A7F6320FF98E54DA3F1EA710C7BEEE2EDDDEACAFC09E69CEB5DC78E65580C2778B';
wwv_flow_imp.g_varchar2_table(223) := 'A646D1745EE230A043D92B6ED72DA22F7B71E7E607D4371755BB47DCBCAB486B6D9463FD4E423639CEDCD173EE53FC9C73344EE6999ECB5DC4019347726C92546ADF1EBF537209CF67778714D93D249E931EDDF70CD47AD8A12FB3410458756F9A89D1D5';
wwv_flow_imp.g_varchar2_table(224) := '4761AC1B41E379239275347AD7B87A4B02CE055A51D5CF6081D9D552CCFD81DE782633ACE27B942DE247C565706E398E9122B01D164DD53CF1015ACA568384E5DAA47E2BF2F04C96316371F8A306928BFBCBB1DF78E8389D521996E7FE7E74B54C64B2BF';
wwv_flow_imp.g_varchar2_table(225) := '56C76E16DA23F0543131AD14AC36E2E188F8AB0B01D0ECD8E8C48DED5035E1FE4AC691BB8FDFD36FEABE8DC990C85BAB39657B808612303AFDA41500CC35DDB62005193FB5FB5BFE29A773A61FBC991E7671ED2A3F9B375DF95D0BF6DF3B76A8E1692D26';
wwv_flow_imp.g_varchar2_table(226) := 'FC2D9A99E5E701E7967BD4D8AC1B744303064E27C079BA9A491E7F6997B822C81A48DA7ED1F7AC42367B4F17EE19A265AA9248585B1973DAE6E6439A3D6EFBE49923E62F906B0E767026EDEB3FDE53A62F1083ABB038DAA1636717738C9846322D6BF129';
wwv_flow_imp.g_varchar2_table(227) := '9E4C2488B5809C01C779CF08B20C9676BDD248D89991BE639ECF152CC5CC0013AC66D721914D8981ADDC80DFE09ADF51AA9CC9870E12EE1C1CB09F38963BB9001B7E2B0EE085F3586D616B2D655D33BD97E2F8745C1B84E177D3E63D8E5DC9D11B3DA5BF';
wwv_flow_imp.g_varchar2_table(228) := '5B243DA0A6A8368A273FBBF341AE6BEA6CE3C18377BF9AB27F0596EE80EF33104F683737F3DC1CEBBB7EEF38E2DFE65F8F4DC150937D50507CC854FF0032DF054DF323C15391F24A269CDB7EF54DF3413DE6D65F4F352138AEE232C8EE1DC80DED23641B';
wwv_flow_imp.g_varchar2_table(229) := 'F0CF826B75973961B649D348E79E3E65EC39AD74F4F4E370DFDC332AC02DA8BBFF0004E0CAF269B0DC496C3B9C07B5F4BF0568A6D6B0864ADD5B676EF6B8EF0AAA920820652BF6F269DDBF8D96CB40634ED5A427B1493325710C0D02E325471E27C8C7B9';
wwv_flow_imp.g_varchar2_table(230) := 'C06477DD6064D238873B11CC787E0B0871E4B0871BA2E3B9129F350D1CAEDE599ABF47679871DB86F595AC874665E7DDDC87357E82722D07BD437BF9333EC8478353B17416B811EF56BA73B71470E7E7156072589B7B2ECFD5043F56105AB0416E6AFB58';
wwv_flow_imp.g_varchar2_table(231) := '561DEB58E0101E881CFD6F349739DEC0BA2F74B3BB89B0E836CB7EFF0004D86A5D23623AB9769C6FD62ECAD63C93345810B69CB2171367938C6276FC96909A287571324D90E0FF0057BD554D306B6B636C60769BF3DEA2353824AF0D66FB61DE7DCA5797';
wwv_flow_imp.g_varchar2_table(232) := 'C4C31666CD37C9A9914E69986ED6C7801F69CDDE56286A32DC415B876F438901A2EE3901CC95A9A68A1F6181BE09AF0BB11E5E65D03D0415BADD17E9ED5F4BCCDE11C3D3D9FAB6BC5C79D7C8FEB0F04EB6683B8291A2ECCFB1071DB2A38E27960BF68524';
wwv_flow_imp.g_varchar2_table(233) := 'CF73B792516EF16F33574BBF394DBDC845146C1C074C645A460733162CC5F091C536689B04E6E3AED7460DBC556E0A7029D8E8D8007B623B448DD85549A9924B3800DC3627A961EB29AA5E185989CE37420FDA07CA061C4D1B2CE783B7B516B9AE195B77';
wwv_flow_imp.g_varchar2_table(234) := '626CCEC42D770B491F3ED0A58AE43096F3E5DEA59DD86289D21FA22E8D2B84D358CBEAB46619FCD5961B93BC9BF41E68F3F32E335C82C4560DFBFA6918F731D551B5C3782ECC281DD4787FD5299ECB933E9782838BEC9AE6820E5D19AC964AED0AFC576A';
wwv_flow_imp.g_varchar2_table(235) := 'ED5DABB576AED5DABB576AED5DABB7CE3FADBA05473FAA310DC4A0DDF99504BBE3CF9EE2A668F473621ECBC5D3E2BEB691ECFA51ED057F9395AEFBD3C1C242D7D5340CD90B6DDEB61F1E7E89F87DDBC798598B03AD7DEDB5DA7DC9D1DBD00B016D87168F';
wwv_flow_imp.g_varchar2_table(236) := '04E07283ED3B7F8052BC169366FB2DC87F34104071525BE5FF001523BF6B8872DC89F551E3FA8BB50564CA68DF23CD8345D693ABDA2FF2661DC2D89FF904D7B7D25554BFFE616FF0D954B657EAE46B9B7CB1137F7952536BDB2017CB7749BAFD161EEE92';
wwv_flow_imp.g_varchar2_table(237) := '6F7592B0FEA805AFFAC7BB76ADC9FF0035E0511EA3826F1FC946EF5902815493F5E069EDE2B53590C103DC5CF04D9D9D804FA22631AC320DF846C925303651621D8EEE07B7CEB38B58CBDB8A9CF068529FDA0F72A877CE1EE0A407D235FD9894820D6EA7';
wwv_flow_imp.g_varchar2_table(238) := '639AD54AC2DCB3CD5C7410DC939B20DAE2AEDF32E559BD19158DD42C3B9D50DBFEEED7E1D375FA5547EEFDDE65A9A0FA81454EC2F9640D6F32B4762B6B5DDF80D9325663639AE6BB7108DCDCFEB0050377CCC1FBC150B37D6423F7C2D1A3FE3A1FB4A89D';
wwv_flow_imp.g_varchar2_table(239) := 'D5AE8FDD72A919BE773BB98F2A8BD99CF744E50FAB4B547FE5A7F0D19547DC15570D0D3FBCB56923BB43B877C8169A3BB46443BE5FE4B4F1FF0084A51FBE7F25FF00880FF656FB895FF880FF00C5D38EE8CFE6B4E004BF4AB1A06F2235A5B484F8BFA425';
wwv_flow_imp.g_varchar2_table(240) := 'F2763B37D80C76E032F35F11F4608FA84B7EE5A522EAD4CB6E4EDA55CCF94898EF828DDD7808EECD5049FB468FADB29A7A8EFB253C710512C3959490E968DEC7905D159851766E37E679AD5D7D3DBF68C734FB91E96C96E81E525BC3583E2551B3AB4CCF';
wwv_flow_imp.g_varchar2_table(241) := '04C6EE6347BBA33A73F595F423FB19F72B3C77AD9E8C416D5D5874147CCC906F92C9EC4ECFF56CFE28E269C6BB7A3F4AA9FAFF00828D8369E02A7F6AFDC2EA1B1CC8CB885E862B7B213EAAAE4CF6184B5A3BBA1F056321BEC4D95BE97352641A6C9F8062';
wwv_flow_imp.g_varchar2_table(242) := 'DFFAB757D5C74319D96E727FDF62D1DFD8E3FB2A8DBBA9583F75538FD837C1423F663C133D84DE5E659341E0A3F69AA1F9D6F8A898D2E32000715369E977B9946C766771908E013216318C606B5A2C00E1E6975B64E6B0121C2D64D70176850BB9B54ADD';
wwv_flow_imp.g_varchar2_table(243) := 'CE0E0B01EAB9BDA1550EA5413DF9AAD9185BB22FC404F747761F48DCDA4F309B50C208C323329187D528CBA562037430971EF7E43CCA3A01E9E76B4FB3BDDE0A77BDDAA85983D52EDE9D332295DBDD85C6DD2758F5E8E13F48FDCAFA22A47D17ACD6C8FD';
wwv_flow_imp.g_varchar2_table(244) := '6794412C77B62191E4519E06B88B386CBC7270DFD11C313DEF786B40CC953D5CD2B9A4C71B9C4F271FC940DF52E799CD45EC04CB1C93E97D2D18B7B70FA8FEEE4503348E17B39C48BEFDFD0E9B48D35B730E33DC15FF005628A99EFF005B737BD4D0C664';
wwv_flow_imp.g_varchar2_table(245) := '2D1AC97325C7353FD0F8A9FDA6782AA2E7001B92A8236A51EE0A6E33F8009D6F977FC10F9C7F8ABBBE55F6E5751F379FDE50DFAA7C541F32D50DADAA6F828E36971C2005369C97D6651B0F719084C898D631B85AD160070F39D19744E36B660854FA49E6';
wwv_flow_imp.g_varchar2_table(246) := '3702D2D662079AC0EB2EC5D8872513BD5B772963FA43E299B8EFED51D357D34ADC8E176B7EA0E69DAA7CCF1B73BB19EC1C0782B714D6B492EB01BCAA9D2B9C523A0A5F6F7492FD5F65BDAA9A1690CA7667BEE2E4F793BD52B9CE7F93B711E4B50300CB0A';
wwv_flow_imp.g_varchar2_table(247) := '185B9F050B77CAD1EF5443FE258A9A789AD649721D7DC99152CF0E024BAF9F7F436C0DB3B74F674F6741E7D07974CCC98CF4CE01EEEBB1DD592DF71ED5A4AD6142CC5CCCBB3F009CF7B65AA975CF6E6D68168D9DC39F6957C47B5DF7F4E6CEF6FDEB2505';
wwv_flow_imp.g_varchar2_table(248) := '4D6D630DDA6CC941FAD91FB96D7FBC65DCA3A36618DBBF793BCF4F6AED479F46A9D84445C56B9B7C2473055F821C905FD29A4B1589820DD6E251F9977C149F347C42734DB5454CEFD95BBCA98FA8D1EF535B7B14BF38DFB2A7C594A2DDCA6E3507DC149C';
wwv_flow_imp.g_varchar2_table(249) := '6A1FF043E764FB4A1E32BBEDAA46E65EDF7B93B4D4B7C1ABA461EE32151C6C6B5AD01A05801C104D54745875D25AFBAC09FB953D7C6F7C38ACD76137165DEBBD3DD5352F2CC06F9F82649A4B2E301BF8850D65E3979EC906C41F72A8887E8F5F237B1FB4';
wwv_flow_imp.g_varchar2_table(250) := '139B26A2AE3D5C9C08EABD76A28A718F26A82ADEEB45B10B3F48978C8FE0CF7714354CBE597479449454AEF9395E4C83DA0C17C3EFE929F04F72327F57F2533FD52AA0FECD551E0AA0F10A62769DE09AD209B956FD776A384E6B65BDDD37922FAEDFBFA3';
wwv_flow_imp.g_varchar2_table(251) := '1E93AACB26C51B7DF72567BBF50C76F6A6B3AA3A2D7CD6A21D531FB72FC1BC543490323640E39666F6CD1B7FBBFC53FF00B38DFCD4FF00351AAAFEEBFEFDEABCF167D95A48F1F062D2AEF5E4FB1FC969677AF32D28EE3378AAFE25FF006D549F5BFD49EE';
wwv_flow_imp.g_varchar2_table(252) := '00991BE174CC6358FBB790C96AE08DB840B0B5BB10E4BBBA3D3C1F54AF45583FBD07FD3D2D92A2A0DB79FC10FE906BF16F89E2C8F944A78B64C9096E404CAA8B09C88CDA7914F1E8A5167B723D1494F93E617E4332AA748ECB09A7838B8FCA3C760E0A18';
wwv_flow_imp.g_varchar2_table(253) := 'A26C4C8C6003728DBB9807721C091DC8D5B434C8058E26B80B3D8EE60AD350D861A7A817EB5CC4EB7C55589648E1A41261F58C9842D30CC11865332590EC46D26527B6FB36039AEACD51219E7B75CEE1F54704DE487243921C9767F52A771378D53FB27C';
wwv_flow_imp.g_varchar2_table(254) := '543ED3946240EC44DB35153D9806B25775226F58FE43B53A08DC6420CB23B1C84733F97EB03E9DED3B8EF513E57EB198F0E4317254E3740CF051173BD037C13310FD1C7D94CF981F657F7611E413BB3C5122F7165618AF973CD116B9DFD8AF95FB772DFB';
wwv_flow_imp.g_varchar2_table(255) := '47872E287B5B8951E0BEB378DD74E9E337B0B1B7411DAAE11754436E49E26AB6965816B5DF87486D4D401EC34A234A402FB3AA7FE0AF34B6F6961681D0D94DEE5AEE615FE52A267FEF611F04DD1A6962A6B405C1CE25B61D9C556B6931B9EC7933616973';
wwv_flow_imp.g_varchar2_table(256) := '6F935B73B94829E291F4CCBBDCFB59F87659BCF8A81B140F7B266EB31580B3B261B5D50E085CEAA6B448096E3696EE365149830BD8EC42EDB3B785B20A6D16299F7DC6C06F71E41484BEAAA339E5DFF447068EC087F586B06D481BDEB4B5548F6414E459';
wwv_flow_imp.g_varchar2_table(257) := 'C464DE47995A4EA73A9AE734710D373F92A7A46EC30027ACEE2EEF3FAD1A990DB82FD2A518715F87B9383C7A1DE3218B927B5D6D5038AF6DADCA416659A71039DD3F623D8CF3BF72797C4DBB389BD93F5ADF482F877809DADF953B4DC5BB922D90B758EC';
wwv_flow_imp.g_varchar2_table(258) := 'DB890C663BBB0E0BDAE9BAC2D24D83410312875AE07D916BB9536B1FD4DC2D754DAC93A96CACA1B1B5BDCD56C63B01E9B66993CBB6F78005ECDC94147339EC7C84B9B84E237E986B2F2125AEB5AFC3C1454D2DE33D8A4C796EF32EA4FE919636CD60CB36';
wwv_flow_imp.g_varchar2_table(259) := 'D95B75F8AA77C14226D635C2232131B5B87D21BE639E4991F92461D88454C1D7B589C7B4724F83511E7862A68C7613D64C6BA18595700D5431B30C9B36205F7FBD48CD2D4F78762962680FB83D56DBF15863FDDFE484F5D44D3BA3064F7EE085BCF2EDC5';
wwv_flow_imp.g_varchar2_table(260) := '168CCF9E10410E6879CD75AEDDC80B6C1CFB1767EBAF149DC8B6A9845AE5A37A9B276C6C5CF1529C2FC4CD96E202DCD49F29AC170CB81853F0EB35B9B597DC9C1A5FAD75DACB8DC88639FAC7DC37228358F7E27DC377E251B5AE767971C4A06B1C45B871';
wwv_flow_imp.g_varchar2_table(261) := '54D84DB57BC6EEF54F876707586E0A220611B9C0E4135D6C2D71B381EAAD6075AFCB359B7EAFDDE66DDFE811E0BD247EF45144E4AE50E1BBCCDE5544D532DA7EB3C80C7613BCD86F0A96A6B2466B66662708726B4B7D8C949356BE20E8DEDD7885B1B981';
wwv_flow_imp.g_varchar2_table(262) := 'DB20E15552690C2D9E5663A9C380F570836CAFD89B5DA4460ABA77EB2A315B36BAC1D7E3D814CCABD233CB161D63AC3B76894F9BFA4252E244956E6B33DCD8F25ACD27559F55AC1F7FEA2BA826686D3C4637F55CEBEFE4B4ACEDC4CF25B7D4765F15A67D';
wwv_flow_imp.g_varchar2_table(263) := 'AA5FF28FFD4B4D7CF537F927FEA5A6BFB453FF0093FF00ECB4E1FF008AA7FF0027F9AD36EFF8D83FCAFE6B4C657AF8BFCB016973FF00990DDEC35697FF00D58FD867E4B4B67FED67FD967FD2B4A67FED796DDCCFFA5693FF00D5E6B5FE8FFD2B497FEAF3';
wwv_flow_imp.g_varchar2_table(264) := 'DAFF0047FE95A472FF006BD47C3F255D95F4AD478FF255837E94A8CC7B4AA06FD2553BBDB2A57937AFAA3FF35C8FF6CA9FF39FF9AD5C4F779554643E79FF009A9E4AB7974F216B19C5C5D9BBBD76F9C6E3CED9288969F3EC521CB5C3EC2787363D71B603';
wwv_flow_imp.g_varchar2_table(265) := 'C0704EC4D66B5F84B0F2E0B69ACC6FB60BDAE9B8C34975B05ED8947ACB70C17B17280496D9B60E7C553090FC9F57E2A0123FAB6C2387151891E78168CF0F241B23DF85D84819DB922D74AED53B09B7C1498E43A976D5B929439E755D637DEACF8FBC8E8E';
wwv_flow_imp.g_varchar2_table(266) := 'C5D89A23CF9DB75F7854F2C91E1B937F64AEC5D9D188D933811E679350554A37861B29DD59087C98D81C5C71807268BAA5350D975930C18E7C3206D8D85F785512CEC2F73262C89F29380175DA385B8E6A66CA31D6C966533DF26B05EC6D6EFE29F8A67C';
wwv_flow_imp.g_varchar2_table(267) := '33C1318A075847D6C56C2325FD1FA2A57BE331DB59258F26E411834650B4F58C5AC777C99AF22A98AA1DF26FD890F2BF54A161E7C7550BE3905C1F81E6A5D1954E8A51971B6E70E6135E4001DEE5DAE42CEDB76E4CBFAE997DCFDC9B9ECBB71433184EE5';
wwv_flow_imp.g_varchar2_table(268) := 'BF64EE58B16C1F1E4B78C079AB82301E7BD5C5B57DBBD5C7C9EE46DF27B8649C7F65B8649C6FE886EC939AE37601D1689ACE656AE8F5877CAEC5EE190FD69D5BEDC9670FD64E3FB791636B1CE7BEF9F14C7B18E7137E7894258C2EB5ED9DCAA7D5B3160B';
wwv_flow_imp.g_varchar2_table(269) := 'DB3BAA6D5B2F82F873EF50EA9832BE1CF2E29BAA68B1EA58ECAF440617F52DD544C36D5BFA9EE4F741F247366FC93DF09F45BD9BEEA521BB0DCC7B4A57E3C9991B2C320BF093A724757DC531D336DBFBBCCC2D3DBD011F68A37429E8A26E00ED63C0B124';
wwv_flow_imp.g_varchar2_table(270) := '6ECF82A4D5D6C8E8246911E0D87E2F9636CB128A9E1A9A88AA24C6D6B621AC68187587F929A4A7AC735CCBDE38C4AC6E17589BBB36F62926A3ACD6D759A648E361945F31B453C515548DC33627B19E82EEEA5DF9A7C1A05B4F7389EC8A9F3E6FC90D6168';
wwv_flow_imp.g_varchar2_table(271) := 'DCDB37C324D7B2C40208B10AB28BFDD5E248FE6653BBEAB918C7A6A1A98FF7359FC175A38EFAB6B0F27EC1F8AD1CD7341AC8F3CF7A8E51763C38761BF461695CF32995B0DB73DB9B0FE1DC516BBC9E5C8B5C6D7F54F25886FCC6F4D60B92A3FF00B0A2FF';
wwv_flow_imp.g_varchar2_table(272) := '00B0A2EDF051FB27C133D93E09BECB90F64A1EC143D83F043D8F8A1EC7C57D0F8AFEEFE2B139A306FEDE874B50236EFC9A3BCA6C31C71B7735A078745D01D12B8E1887EF1DCA5C231499A95A6D70531EE2CDCEE5E7589EC9547C717DA2A12DCC0EB11BFB';
wwv_flow_imp.g_varchar2_table(273) := '5436176B3AC6F7EF50E1170CDE77F7A89AC17B5EE7828FFEC26FD2F043D972FA0E4431ADC3B85B7A7B581A40C8593830372C9B6458D68CB21C91697FD237DCBAC7B8F4F0B26BAF70A269BB6368F305FCCCD62A8A68BD961778A84515A4327A59F10D5DB7';
wwv_flow_imp.g_varchar2_table(274) := '442DC7B50A5A68B5353FEF12B9CE2F68FD9ECDB8A9DB4B48EB98B58F95EE744DC3D5D917B27CD4543ADAC8F11D63FD28DE2F8466029C37454409BC921931457C1B6FE63B1092B743C3FDF3E77774416B24EF375DA826A8266399231AE6916208BAD5CCF7';
wwv_flow_imp.g_varchar2_table(275) := '539180EE67255D453196380DED63973535450C12C8CC2F7B412DE574767BFA63AD707890C6FB6640BDFBD69007FF00A8B7FCACFEF55D48D809A932E2711B2CB5B255DFDEFD955DCA5F055FECCBE0ABCFA92AAFF62455FEC49E2ABBE6DFE2AB7E6DFF0068';
wwv_flow_imp.g_varchar2_table(276) := '2ACF60FDA0AB3D9FF58559ECFF00A95572FF0052AAE43ED29DD3C2D906C99035D6766A8394BFE6BFF35434F23646C1773771712EB78AE1D164163B84226DF92C59BCFB944C7EC020F620F2C21D8646E63B54752CC4DF78F37D249F59AB66FD97DC8EDE28';
wwv_flow_imp.g_varchar2_table(277) := 'B0D9D669E610F3CD81ED1E6EFEE58A38CFD11D01EDBA67B280E1D38897725771F375BA4AA8FB2433EC854F1C748D7BE68DCC82EEC2011E9368F6A968D8D8D92B1D1430B727306D3CED3B25514AF0D6CC611153B06160C2D2EB5CD82C5386F95D3191B147';
wwv_flow_imp.g_varchar2_table(278) := '1912EC9C407F353334DB61C5208E9E1B5AE709C0D1F8957D2B56EBFF00BBD1B583EB4A7F92BBFA22A68CBE47B5AD52BAE29E30C1ED3B7F82ABA83B5532B8F206DF00AA8FA491AF6B06FCF3EF5594A6F0D4E21EC4A2E0FBD4739D539A62946F61FC105837';
wwv_flow_imp.g_varchar2_table(279) := '782078D96FEEE8865C06460384DDB7E0A8C7EC98A8FE659C951FCCB151FCCC7E0A8FE663F0549F331FD954DF34CFB2A9FE6D9F6541EC37ECA87D96FD950F21E0A1ECF050F30A271B023A364AC81E9256AE78F3DEB384737FE0B0F82BB3176A2E39B772D5';
wwv_flow_imp.g_varchar2_table(280) := '86483D5367FD53F979BE91FDCDFBD3ED6BF0B799BBCDD8779BB617A06782C975C76A7704789E9D5CCE8DDF277B5F976A2C7907CC0C8DCE3C05D1AA7FF8CFFF00F29FE6A92AEB64636A6666B26C184B2ED38767877292B2B037D0C8D7D460C2E60759A0DB';
wwv_flow_imp.g_varchar2_table(281) := 'EE555357868AA78C7536D59DC181DDBD81796570B54D2BC3E6C793ACFC21D8B77729EA9F5F23E7739A5E000786238BEE2B147A4E7F9FAC701F56218566E5151C58DFDC0732A7AD9B13CDCFAAD1B876058ACE9CFEE850C4DB32268EE40705843E2F9B361F';
wwv_flow_imp.g_varchar2_table(282) := '54EE5AC6DC3B0BD99B5DCBF92F2D876BE51BBFB7A37E48E296F7E1C7A1C282522A4426EDDB7656CD4DA8AE3FD32CEAC62F779C24BBF14ED45793A687558CBFA4D92E3F8AC34F5CE7699C886C77B4BB2E714D653D6BDDA5DC43808BAB2ECB8E7C4A89B055';
wwv_flow_imp.g_varchar2_table(283) := '3CE96710FF00402CC97279DADC4A86382A1E74B484497807A392E1E76B712A9E3A7A891DA5252250E805A37DC3BAD7B12A95904921D212DA663E06DA276477DED75451C2E79AD9889E3921168F76EB9DEA8238CBCD4CEE1510CB10B300B58804AD1D1461';
wwv_flow_imp.g_varchar2_table(284) := 'DAEA87794C12C6361A2C2E01BAD1B4F1871754BBCAA99EDEAB1B604DBC568DA6635D6AA7F945291908DB60F3F7E4A87FA406A85463D53BAFABB5B2F67A365CB2215DA164ACB1E03ECA74B165BC6EF726E0BBB2E16ED4E872B5C15153B35933F0B7EF50BA';
wwv_flow_imp.g_varchar2_table(285) := '592137C4581C411C0A7363635C6E40F3368FD4FC7CDDDD12BFAB1B8F70551EB6167D62B46539B4DA4E3BFB2DCCFE2A8AB35A299D21C2DCF1B70EF590F3369ABD191C9DD11D3C84BDE1A0F1392A59F1EAA763F09B1C26F6439157E89C4AC96A5B81A0E2B1';
wwv_flow_imp.g_varchar2_table(286) := 'CDC7DC849348E1CFCCD4E8AAB20D896E11DEEC9305644F79B3220E95DDCC0A0648266D53FF00476493E07C7637B73DDC54BAC96492385C62A7925C6D8ECEB81CFDEA77C92E2AF0F6329DE497DAC1DB876A306BAA1B3D3FA185D6746EBE173B65A53D9A24';
wwv_flow_imp.g_varchar2_table(287) := 'D44D2E2B6B5F8B2EA8DDB961A4D1513B7B9A247F7BF68ABE27F024B93AAA62F3B864DEC0B0344AF6ED1DDD815B82EC5D89D1C8256B09CB0BC0DF6E7EE4C9A33144EBBE4D9CB873253746692C57D9273EEB26B8020820F1E8EBF4364D1B235D3B221899B4';
wwv_flow_imp.g_varchar2_table(288) := 'FDDBD51082B1BFD2907A4D55AD8881AB75D53C2CACA69348C61E648B731E6D83354B132A695D5ED123A766E8DE40C3C15231B2521AE6893CA1BFB1930DC6CD95200EA535FE93CAC1BEA1F86F6C1654640A5F2E3ACF2CBDF50EC37B60B6F544FD5D2796BB';
wwv_flow_imp.g_varchar2_table(289) := '1F95137D43B0DED82DBD50CDE4D482AA4C6DA879BEA76497656DEA827F23A56D4CD884B2104C591C79AD1F53E4303659C1065C2E2C6D8E3DBFC168FAC6D0C2D7D5370B64C2E2D6677DB3F72D1F5A29A206AD9AA89F67111E63ACB4756889A3CAD9A9A571';
wwv_flow_imp.g_varchar2_table(290) := '1F25B4D667F8AA2F2F6EAFCA71EA9D6D66AED6CAFD559959395ACB6474762BA7B376E4678DB91D9703B3BECB1B416BF10EDCD49513B5EDA76EB3731D72FB7D51B9793C6E92538A693371F37ABDC42CBA7B50F6949441B141470975838CAFCCF82D3551BE';
wwv_flow_imp.g_varchar2_table(291) := 'B307646D0DFCD4B3FCAC8F93EBB8BBEF4D6EE68086397B5A3EF5D88F24EF653CF05146F21CECDBBC58A0D82495B98DEA2AD8987263C9B60BFDC8D4524ADC37D952B64AD69665B37EC72ECE9B35E7CCDCA2652C313D98B1BAF6C587AAA87C9AB5DE9E3B86';
wwv_flow_imp.g_varchar2_table(292) := 'C5EABFAE73B5BB936282AA78EA5B2B9E63836E3C361BCDC1EC4E8692AE468821799638B5913307D22A6A9A1A92FAA84DE58D8D32D9A0DB6CE6029A82867943D8D74AF0D05A44976C63114F6E85D55B6E56C50E42DF29BD064D3DBF67196B7BED856AE9AC';
wwv_flow_imp.g_varchar2_table(293) := '3D6D95AFA9899C2F73DC1580E908219ADB7B87A98317EF5D5653C4E6C5296B31676E655718CBA47DDAFCC13B451C325CDFA1B268F7074CD8F6DBB4EBDB23D8A9C9FF00EAF4DE0F2A9DD50E9BFA4E20CA876B1BB0E26C3254CEA8131D24CD5CEF13B46A9E';
wwv_flow_imp.g_varchar2_table(294) := '4DAEA91B54267690186678A86010BC9B62CBEE5491D4B257691D8924154D6881C4D8BAE33545055452BABDC439E2A43440E393DD8950D2D5432BAB643B7E501A213B9FB4A8286AA291F5733B0BB5F8443EDE7BFDEB47E8EAB63DD5150FD57A4B08C5B69A';
wwv_flow_imp.g_varchar2_table(295) := 'A8346548C5354C9A8CED81B6CD9FCD5068DABC38EAE4D4ECEE65B69BFCD50D056C91DEB2423D193B16DA16BFC568EA2A9922B553AD7A6BDE3B6DE4B55A64C57B8636667D9202CD64E5B2AEDE9B74372C9665F09C24EF1C1DDEBC91F8B05CF024DF0856F3';
wwv_flow_imp.g_varchar2_table(296) := '46107B55DC70B5C73EE4EF982A63BA99551FD9342A9E6C0BC9EB4464DCEA5A6FEF3D38880982AA56DC3BD1FE2A3E410E4826420971B009B2C8D7B01DA6E177E0BD03A23D600A7D33811D6864FB936789AF1B9EDB8F7A14FA5AB1BF3B135E076B4D8F985E';
wwv_flow_imp.g_varchar2_table(297) := 'EB0DC3CD8E5A8633CA626B98CDCF25BD6ED5145470B5F541AE96574B760D6B48030705E4D4B4EC66A26D697CCE2F8EE32D81914F869E8DB13E3A6D6892470601676766E4EBA96AA9682EFA7C4448FC2488C9C46CD36EE52C3FD1D486184E39358F6BC07F';
wwv_flow_imp.g_varchar2_table(298) := 'CA3B2B7B82D6566898B86B5F39EE8C2D649DE57C90EF2B53791D9B9DF009BBAFE6C1433EA8C6E79B5DD6E0A2A88B4D48DB3AED6E1671B61B7DEB51A3DACF5BACEEF41FA3A99DF45583FA18EA118A6646358CCDF7B6FEC4C99F859A4E026C5DB9FB8282A5';
wwv_flow_imp.g_varchar2_table(299) := 'B4AC8B494578A9DD7BC6FCC5EE4854B3B601169267A0A538B142FDCDCC9549388845A480F27A4B3B140FDCCDE551D406EAF48DB514603F140ECDB16F3F1543519B6B8DA1A46878740ECC47EFED54353AE7B6BA4688A9981F78783325A3EAFCA241573344';
wwv_flow_imp.g_varchar2_table(300) := '7030386AB80D95A3EAFCAE5F29A8680C8C39BAB19DF602D1D586B67D75534011E26E06678B602A0AA755D56B2ADB80C776811FED3672F0541506A6B09AC6E1919B1E8FD7E5E0B47CB50F98C359B520930DE2B5C2A29B4AB9EC8AA1B23C4AEDB2D2DDA373';
wwv_flow_imp.g_varchar2_table(301) := 'B966564E592D9F7F99D8B25D8BB3CE050E00219E7D19EE4EC6534692C4FCC605E91DAA8095396BACD000DE9C18C719FAFC0648B2A8E0EB969F009B32C5D1E8CF61055DB6582A038F3B396AEACF27B7EEDCB5BA3F57C617167BB78421ADA09FFBC313BBA5';
wwv_flow_imp.g_varchar2_table(302) := 'FE7FA99748691AB7C12472D9D980FDA16CB728E33042FAC6B1F042D6BDAE63AD8B79DA51D31103A9E09BC9A2632EE6664DAE73F7A9607C914381AC823630445A1D9E1BF1EF53CB3111430BB0318C018F008B37761E081D2EC84D2C56A68ACC93D6F4600F';
wwv_flow_imp.g_varchar2_table(303) := 'C4ABE91AB77CC523583BE539FDCB1C8ADAA3DE1034F091C5813B1DEFD3D8BB0AD756D53F9C87E1922248F339B9B7F14D77B499E476BF55EF6F8396CBF3E88DF44C0F99918D63737EEF82822D64E749C05985D15C071DA9064A9A16BE63A4A32DD5BA0C98';
wwv_flow_imp.g_varchar2_table(304) := 'FEB3DAA9628A695FA49A5A637D30C313FACF6DD523BCB2FA481FD0E56FC83DB66F3CD50B7CA71E9071D640F845A9DE2D8ADF92A16B6A43ABDEED64062CA9DE2D7FFF008B478655B5D5933B5D16AEFE4E725A3832A9A6AAA1DAD8DACBEA6D6C26EB47BA9F';
wwv_flow_imp.g_varchar2_table(305) := '48135350ED986FE8C03D7C968E94C94C24A9BD461DA2D6E5AABBD68FAAC54CD355FA4966DB84796AEEE1B953C34952D35131070BCE4DBFA3CF92D1F5D3C7135F56D2E69209D570EE50D14CD95B348E2011675BD6EE0B32B27216EB2CB78DE53BB13B923C';
wwv_flow_imp.g_varchar2_table(306) := '9762EC5D8876A6A1D19D9301B3DED06DBAEB1EF79767EAB080B2B276776B7DEE41ACE1EE46C4AB85FA7348F52C3DEAA0497B6136E28B9B292F030FC547AB8F337BE6145E56DC390C0E42399DC45F34D938ABE455E27E4772043559D7E0F1887611BFDE51';
wwv_flow_imp.g_varchar2_table(307) := '3470CBF3673587CB24C793886E1E56CEFF0014591B7F490CFA36B971198F055EE0D110632C3AC46271ED5A46AAB667CB297C7ABB3AFB811BADF8F9C2363DC4801AD26E7828E3350F7D440E7C96B607E2C866A3ADAF79656C2ED6CF7B10586D7FC828AB2B';
wwv_flow_imp.g_varchar2_table(308) := '1AD7D24675B3F02E66438F6E414959594E1CC89FAC9EFB718EADEE2C7B9544D5C247C1919F58640E69160EC5C147533574FE4C237170693889BDF6B8AC716909BE7EB1C07745B3F8238315B7A73E071B66DDA09AFA7D5DF367DC7A4272C0D73B90BAC577';
wwv_flow_imp.g_varchar2_table(309) := '7B59F8E6AD9A7BE8E99D23AEFC22E50D44E0FCFCBFC4AED75B9A3C954555246C8632E22404DADF8AD25E45331D4EEC4676BAD886E0CB2D25E46F66A76BCA43ED886EC165A43C8CC66318BCA7596C63760C2ABDADABC4C682FA79631B7ED5ACB49DCEC43F';
wwv_flow_imp.g_varchar2_table(310) := 'E67F25A4FD983FCCFE4B487F71F6CFE4ABBDB87ED1FC954B62AA6BA48BD208ED99F51D894F0544323A68B649395F8B4853D2CD0BCD4C7B17B581F64B556C3235D2691C63039A46D9BDC5B895252BC3BCADB942F8F2691D616BA9E8EA192BEBF58030B70D';
wwv_flow_imp.g_varchar2_table(311) := '9D9DFBC95DAAC0AC90CFBCF9BD88F24515DBD162116C9D6F065FE289767ACCB89361D16BEE5AC7767057C822A68A57CD808617B709E64A984ACD73C5CFBD30193138E5BBB547AB68C1B5CD19E666CB5B616C96172B5AC50902D644E1E0B60B78B490B5DA';
wwv_flow_imp.g_varchar2_table(312) := '3DCE1D685F89A9B2CB51016E26BC628CF1174E8EAA5A77EF73483F5A35592D6EB218DD2873472D9B77AF29926F28796EA9D85D1B77DED7DFC936063638E30D634640236F34FF00475400E60C7666DBB08CCAAAA471A9929C86C4C7C81F7041D9B01F15AA';
wwv_flow_imp.g_varchar2_table(313) := '9B18663D444E701CCDB081F14C8CC92F90063E9E07BA321E4B6FD51B3EF53CCEA8B52D399194D260735980876E1C54B4924F33E89C0470B801BB1176C8170A0A5D12F9DAC731B6924388DFAB927328F46C47ADAAC6EFACFCCAB300E87E8F984ECF93BEED';
wwv_flow_imp.g_varchar2_table(314) := 'DBF8772A4919AC806091BB587981BFBD48E6638A98C8DE19805DDCB042053E529759C1C3367B9571373572F8AADD5BD8E9B1070B67BFA3155403E9AD9EA85786A4FF00F712FF0012C8F7F9ED410E487228722AFE76450B21B5DE82087EA6F639A00F47A8';
wwv_flow_imp.g_varchar2_table(315) := '38EF59A0D6941CE7315F4738FB32467E2A425B7076B75D6D39AE701651EA89B9C7C9472CB108A3239F1556FEAD3B8AAA81D67C2E1CB25AA21999B6F364D946455246D7CF33059A2E5D86FF0072A79E32227B48B66070BA34754C771865BF7B4AF23D2B4F';
wwv_flow_imp.g_varchar2_table(316) := '54DEAC9864F78D977C1660AD569878BFCB53036ED88DBF1F3EB6AA08194F0E3DA24E7D99230E898E0634DAEC66CB4BAC1BDC990D2D5BE48B107B99161738B376D9504714CD8A8862900C5AD76B5966E7BB251BF47D45A923663998C38065660C7B943050';
wwv_flow_imp.g_varchar2_table(317) := '549935A03A56B5BABB7ECC63E2AFA18D244FB0D4B59776FB71F7A0FAB7726D9BE0B2E86CF04B1E11B4D3E2AA637E0D4CB8B764D3F826793B04914A0B361EEC17008EE515455B4C4E6B9AD8C6D0E37E9E68324A331B4DB598DC7F76C16CAB5113ED4B23BC';
wwv_flow_imp.g_varchar2_table(318) := '5CB2F3B23E76FF003F25BFBFF5792D86F408C76ACEE55EE50DC10D663DC37A63F465659E0D85FEC9524E4610E92DEC02FF00B96939775239BF5C86AA986174B24F1B6DEA8BBAF7ED468E27385DD8B326C85870CD6208724DB6EE8FE899A3ADA566018BD3';
wwv_flow_imp.g_varchar2_table(319) := 'B5B935C3B47358DB1CA075B65C39DF7233E8A903FAD48EB83ED37FFE2F29D1F4EFE382C7BDB92FF6D50FFED26FE26F461196F3905D89A873E87735CDA14120B3A10478AD132127C9180F302DF72A09216C4C91CC00B8E4EF6BBD1D5D3B23AA3858E7175C';
wwv_flow_imp.g_varchar2_table(320) := '5F16220AC2D03E97DD9AC4F279E7E6BDC7594F36A64E26D76BFEB05A42676B4C11620DCCC4EEBFEE9E97D64A0DBD1B4ED1FC15ACB031C79349463D1D4A0EFC02EB2F3B23DDE76FF3F2FD6E18F8EF566E57BF6A2ECCA63769CE4D270B7720E7A1ABB591BD';
wwv_flow_imp.g_varchar2_table(321) := '8BFDC1A9B9767BBA30D2B72FDA05FA29ED4CF6021C324EC581E2DDBCD5C743594F2C2F1F2A30F8A159A2E9DAF762BC22E79A971938B860703B9C38153515349048326CA701E6D2B535BA365B7AEF849E4241F984D60BB8D940E9BAFD51C8EF28740E83CD';
wwv_flow_imp.g_varchar2_table(322) := '397626F6A6F3E8B31DF57EF5D9E702A89EF79189808EAB4E40F354EF9658DF3CA1D1EF02D9B4EE21470B4358C0D68E010E4BF47A8FA8478A0C8D83905979DB27BBCEDFE7E4B2FD6085AE1C6F92B959296470B1288C2D5B23256F31952D6875F237164236';
wwv_flow_imp.g_varchar2_table(323) := '868E8B20E69078AD2D4588B2A649E23F699E0AADCE018262F53553C3ABA7B8F9A6FF00F24D8C3300B06EE0135E011D1E554F2C60D9C45D8793DB9B4A15B0EBF0D9D7C041F54B7223C56731FA7F7057F3C209AB87370F82C0C02CBB3A3B1762EC5D8B3DCB';
wwv_flow_imp.g_varchar2_table(324) := 'C9A6A4AC1B9AED5CBF51FF00914D410C0C17EB4AC1F142C335B3E76CBBB90E6873439A1CD0E6B7F9F92CBCCB1776F9E231DA8924956574643650000E185A79DEEB0EC86FEA3BFA325E49565BEADF65755ED44817580F67141C2E3A052695D4FA956DD637';
wwv_flow_imp.g_varchar2_table(325) := 'B246EFF15B17E6E71F8A2D17DCB984C720820821C90E5D1ADA96F268C5E287EA1B5104B13FAAF6969F7A924A28B1F5E3BC6FEF61B236DC8EBF46B6DBE7BF830A046E5616E91CD0E687309BCC26730983F9051FD2F04CE4EF051FB6A3F6947ED28F9FC147';
wwv_flow_imp.g_varchar2_table(326) := 'DBE099DBE099DBE0B16E05582CBF541B90DFE6127766506330F8A78CB1B0773165BEFF00ABBB715B7299A30F5804D79CB7F2E8C07B10736E0A71A26D447F294AF12B7DDBD5A360EC57C3D1E980ECBF9F914E89871759DBD7A4C588EEDC8748F3757535CD';
wwv_flow_imp.g_varchar2_table(327) := 'F69CD93ED0B7E0B257D25A3D9FDDCAFF000B0FC7A2E104D5B2EB27625B9762EC4D41041043926F2410415BA2C14824000F3421D16C9BBFA2DD188AC0DC4779E875FE55FF00041B7DFE3FAB0F638762C06E10638169375AF667BDBBFA30F714D668CAA04D';
wwv_flow_imp.g_varchar2_table(328) := '83C35971F48D9130C57F642DFD02C5D6CCFF0051CD5AB2DED43FC2EFE7D1ADD2F39B650C2C60EF79B9FBBCE0821D160B13AD65D8BB11E48A2BB576A087EA3B576AC39039F45BA311588DCEE1D39EEF8ADFB95FF560B9CAD7BA30CB773B2764EFCFA64962';
wwv_flow_imp.g_varchar2_table(329) := '870FECE4C64731628D668EA499DD67336ADCC6F4E6F14FBEE58401FD4B0E92A13C1D14ACFB8ACD6B1B553FCF543CFB9BB03EEFD5B41BFF0052118ED45D9F465D2D10C78775AFD398DDFAC39ACD07A2D4F05EC24E1F578DBA2E991C463680007136FAD9F4';
wwv_flow_imp.g_varchar2_table(330) := '0FEA76A9D13FFBAFFE0E5689C7E89FB95B45507F82DFEAB99FD41329BF35B965D393FB97E8B0777EAF2F3C3B221064901191BDBA5CC8DCF69B39BB8AFFC400281001000201030304030101010100000000010011213141511061718191A1B1C1D1F0E120';
wwv_flow_imp.g_varchar2_table(331) := 'F130FFDA0008010100013F21FAE3D0D5A8265BC05ABCAA392F8619111A1571E02570230C9B371D4CD73318B58660E39CF47B94B2A6C4CCF463189122461EAAA07519F212BC722AE5E96E47AFACDBC266BD63A26C5D1B80325730CFEDA55DA25DA8FB63DC';
wwv_flow_imp.g_varchar2_table(332) := 'A0E4771E62D7BCBEEF2CA57A37B964D1B4155AAC7108983255B33CE36AA33BBB82362AF465DA76C4965FBB1AF043F672CC582F6147A12FBF423BC5CC21D2160956CC266036B976AA7E2050CFB7786D303EBA4740B5AB601CC0A98CD6E81955CDF7883CED';
wwv_flow_imp.g_varchar2_table(333) := '142A98DFE9369433FBDF7539DFB18CCF955C604D0D073B0B41BBEDE226AB07A41A4304DA1017CA7762B31574318C60951FFE0613CEB07AC63D11D6F1B1503DD0C234D34E50B3471113199FC8F6BF88E204D710A7BCC90D41356E318DA52DDEFCF89C10FB';
wwv_flow_imp.g_varchar2_table(334) := '95112D88A63448587DCEF2AC6F0FD4B43B96FB7FC5C23A86BDEE942AC8CAD170F1051A425739853C6E111BD5432981B6F05732E99019151C7196B6C0FA9CB309845E69D0D53538C3F1114CBE4C3F316E31AE63B10F195527798C3B91C5EB1C91625EB15C';
wwv_flow_imp.g_varchar2_table(335) := '408FD89A88409BC58C63D6A54AE890253EEF21966C790FC4F2EA33F0BBCD69FA63A00CA9AD1226941D13F831546414C17A18D58D79A668DD1C41C3E21937345C1F04635E18E9BD0BC0C73B2538D23BB7F58015DBA0DD4A4582C1A0704B7AEAD628356D5A';
wwv_flow_imp.g_varchar2_table(336) := 'C005BBC3C9FF00C08E03D2B2BDA08C34DE3540600A9C04B1633F49C3FB46FD6200DDB8AB632B08150C3C46D6C053B3D1DC8EE3AF17787518A4C66DCC2C1BB98454465DA4B8783DA646CEB9FD54FEEA3057D887F853B28F09ED0252F6479E1AEC9DB4B709';
wwv_flow_imp.g_varchar2_table(337) := 'E04B709E09E09E08F6A3FCB392E04D70A7DA2ADCB1F0EEC69FC8EE6F078A016CCE8151D47B457F5A034F625231817945BCBC4C662DA5BFF300BFD23FE491A3F590545FB25DFD26BB7F595B7336BEB4106275AABB429796561AF1C0F0417AED2F10ACACC6';
wwv_flow_imp.g_varchar2_table(338) := '198F860DF898BAB90A7A4FE03F105BFF00D711FF00D38787DE8E0F7D1FFA787FDDC8655599086BD1307A8828D0BEF0EDCA7481DA57978779821C4AFAE2D0ACA7C1EB29AD25784C7240E0AB0BDD16D56DCB088639C1E708CB9BBCB97D0D25CF228BC347A3';
wwv_flow_imp.g_varchar2_table(339) := '152B32318B8018CB200730B53F08837943A4B50A7BC395D2434D5C66459343A5F4B99D6D3570D4A1A7BF73FF00609E47A4EF3E1FF21586BECC62674E62B986DBA46E6C4727FBC4B2CBE11F9E8995B92ECA7FEE62669E814908B97D1C5BC1C7D1E3311CCB';
wwv_flow_imp.g_varchar2_table(340) := 'E46A2C20B183A4CBD41B953662181689851858392600BCC161834498FB5B1E6565398D7680E65231A850C719C849DD883C541C1FFB0C4E16BF265698683A021011F705F79B4A83BD9E22C3DA2465F41F96981BCE75AC4A0A18DAB21909F5831EE45CADDA';
wwv_flow_imp.g_varchar2_table(341) := '07761381B3E620678136825E4EF32656C715F0DEA64FFB3DF88F4A163F44C4BB4B97D2E7B425CB972FFE8BE790F7655EB639A30E91AFA03F2AE372EFFE1164110A354523DC60C0D15A8C6B4E4FB138EF1214DFE27AA242918EF10E18802F1D2EE20615E2';
wwv_flow_imp.g_varchar2_table(342) := '02D1F458196F7606660B7B9DD52E2A8D5E4C4D13B8512D736FB11CDF9C50610987F9F2AFD5162A2838691254FBDDC6A97985F9C758162B21A0EF1FAA9B3B41954E9C3894681F49542AD244E26CD53D0474E2807E6CABCA2E85E92CDC4D2025063B8A45AD';
wwv_flow_imp.g_varchar2_table(343) := 'AD65AC2393310587B4A78351D662E0FAC0E09EDD021270C0761A2FFE7DEFEA5CB972E7D9FF003E2C7C13357FBAFE315BFF00A43AA2025B2611E4F131694EB6C6FB83165A77CA36FA7D812AD6D33D529E583BA7713C91EF65F94651EF6849157F82418674';
wwv_flow_imp.g_varchar2_table(344) := '97EA6A438DA9ACD552ED0F7710B56BF849E00DFC42D5E57E39994CFC274B8E0016CCBED2A2D412FF004800CDE2F32B88AED52AD724042E854A7473F046D5D701F8214A1E8411B37F780EB313B53CA8FF008CA848B40B8AB6F7BA6608A30E9AC6B95BB9B1';
wwv_flow_imp.g_varchar2_table(345) := 'E3297635A3D1FB26A98615CB0C24CEA7BD4FFDF58584CA5599F1FE300F97C96941713A5FB5FD4F0FCE20DA7B92E39B26ACEDC666F8973465FF00C7F36E2556B55F1000F89E5BCC74B9EF8321621827733568FC9D60A0ECED0971FF00A1032F2C7E15F5EA';
wwv_flow_imp.g_varchar2_table(346) := '4CF318ED6C00C2DEA50AFB6F2E68026CDCCC5B30492DAADDF353C17A0B78EA26270D5704D41F6B1E84CC8FCEEDCB838109A25033ED09330BA587DC4E12DAD49CFD65DA83C520773EB0A95AABD666C41EF71DF28AD32D554CBFF444C05C8AF42CF2462E04';
wwv_flow_imp.g_varchar2_table(347) := 'C0E52A3BCAC340FC99E207B473B499F722EA56B4A8C8564CCB5B53EFF06184607F605430B7F0C9615E2BB55625B1BEB54EA62F04F7FC2283AAEB38DDF7895598CF9393353688D5572B0D36F9422A6D04BF33F689AB3FE76910A73C514626B4D4B7A099D2';
wwv_flow_imp.g_varchar2_table(348) := '2FFD3F13B4F5C4D113D65C615687CB395EBDEA1FF826750D8605BE08AAF067768F457BF4B318E8A7A1BBFF00C4C326D2E2C5EF3B9D0F28AC864F025BD07DA0C6B34F242DF09D94B98C0B5ED0CD6F7E9D968EB425268741D92103B99F24308F92DA0EDDE3';
wwv_flow_imp.g_varchar2_table(349) := 'F4AB900FDB1F040CA8E6D34B858CB25EB3516653728E065D26B95D1A2F99460C3B71894D14FD93B0FB04C313843BA51898CF07880CFDB040C8FF00698891A967E3320D573EC34E9EE6C7A5D12C0E59E3C5CBE3BBDF04B1804F611BBCF4CDCCAD85973CED';
wwv_flow_imp.g_varchar2_table(350) := 'A4D4006C382DA46C2E4C2CC0DAF127FEF98E5ABC4C185D459AF45FD25A876016171761C25B1E2A63946BF10A6B63574D836EEDA1589B797C9A4B644BF1B71269BAB30E2C4C5301D522A575CEBFB8F1E2149E437DA40689A95A8306D46CC849D246C0DE65';
wwv_flow_imp.g_varchar2_table(351) := '9047165AC3C2B483F5DB2D6F03BE90946255B61C8B7394A1556096F7F88869F93E28447FE4C8B2E6A6DB5C065EC857ACD65397B6D3D18E8D4532076069A7ED9A7FD99FE7A33B511DBDE16DE5D09E89F6CA502B5B9AC02EDE52A930003FC692D25BA385BB';
wwv_flow_imp.g_varchar2_table(352) := '12D20E13226B3E37AA5ADDB703CC27F8FF005CA8FB90FB8F962957CC88B2752CD5D7E60B9585301160D6A098DDAF554A61BB35FD60AB6254787114F5755C637845FE2FDC0BAB7721FB84D69128E6E17B6EC9C4145865C1DA0EDFBC8C71FB46762B74ADDE';
wwv_flow_imp.g_varchar2_table(353) := '781FD73459491E610B7E7E91FA7C7ABE25054E193DA935F780462BACE72C4F59A0B5E4DBBCD94F89FED2C3BC4A5ACD6D1B6494FF006C8F0AF789BB35ABDC82276314EEBC5C2589F0D03A08D72E60861D35F096CE3615E35AB2D2A1DD8FFD0AC3BAA9A6A7';
wwv_flow_imp.g_varchar2_table(354) := 'E0946C6864ACCA4950EEAF93B399589C1083A0B59AAB6A5512A7BA21421F5958CDBCDADC146B4B6DA2DDED864AE094145B8CB12BC35692C70E20C9057752EA0CCA1844D0DBA69E2CEF6885F73C6A1BAEA1A66733B9FF00062069C4BEC41FE9EA9FBE8B98';
wwv_flow_imp.g_varchar2_table(355) := '29B1F36FC345CB9A8335828D491FEB9A6FF317BFCCFE6E16416B371F04454ADAC0FE37822C0D54F863555BBDFC6887740034477E8FAF33C274E0845D2CBC260563877545BE6C9708C4201F91997CDE45EB38B96C64CAEAB5A209BC2BD9948025B5F16348';
wwv_flow_imp.g_varchar2_table(356) := '54B21B45940DF76B71014DA591860DBDD34592A58A5308E5DC8EEBB48E02AD82F37A54F1F4717014CFBA435320BF5620BD6858C5B1BE246E70A53BC2B02E022521DE53257132961631F740A8070E66A15E4AB2F97C714B1E2E6BA2EC0C7CE2261EB1B0A3';
wwv_flow_imp.g_varchar2_table(357) := '0DCFD0B14A23345A6E8E63BCCFD4156688E1982FCB68DB064D1E1E8863631CC33AE7BC6669F6C0C04D63970A440B31EC843D89AF4C2ADDC3110066384D52337B4A7F1DAEC4A1ABB406557FD1816DB445C203EAEE5E207CBED6F28B3D07332E6C98674AC3';
wwv_flow_imp.g_varchar2_table(358) := '4956D80B61BE336CEC2B290183587ADE86B534D399E4293AE96C4501E556FB0BAA99B9CC5BF7A1BBE186CB3A09A4EAF31541E48FBB1F613EE6CBF47C3CB3C63A5C6DE961FBD8F60F5DCCAE749EC0F84B5692D89C466254E60699DC595E03AC2F84DBCC60';
wwv_flow_imp.g_varchar2_table(359) := 'CED317C3F16363AC3E35BD03A6E051FD1533596AC7895F790F3A1E3BA2A44805558AD6B5B96FEF069C3118200350CF0FAC28EDCD537A0ED05C75F0B26FDAF299A08F57CF918CD775ED29A3BCA40DA67078599126F436042CAAD9718CA4B700957980402B';
wwv_flow_imp.g_varchar2_table(360) := '72E5BB0021E9E39888382F962699F48FF719B81D1E58AF3055566825FB42F0B3A09A7641F134E5A02BA842FE128E8CF58C2AEB32545CB1AEDC052A2575CBA0CCA0E0B1320C1A4FA7206F340DF46A5515E0AB89665B824A93425475CE6136D5886BD27331';
wwv_flow_imp.g_varchar2_table(361) := 'B8A3804C4AA161ED8B6FD88A80D15B7A41395D65B725BFD56CD68DF06EDA58C0B7300443C6B36A6E9A4AE065184D99348BAA252D3B0E2877097E27ED16ADB0B1881B7AD7AACD4296D055955B2AD46CB1BC2F5058D0C94551EF28D1F054CB644148FEC69E';
wwv_flow_imp.g_varchar2_table(362) := '4A1563586FEE3E2060EF18A5300BB0D7A3CCDC1F1FE66BADE1259DFB242B02DC41C0370C333DCBC8A9C363D07796314E499523B06B14A357555F1FBB0588014C6A61CA5F34C122B9E0CA372D9DF17691F3710A85E4D6196B7DB339F79B6B4AFBAFEA0F64';
wwv_flow_imp.g_varchar2_table(363) := '5CF745605AA63B199737E3D1A58BECC57312D1B4CBB9261E752CACBAB511BFCC8031E79C5C23C9AF294211AAC0C648E0AE63394A65D2C03521EDE6B1AF347056D413BBB1BC61E9389543B2627229DA0C01B066839952C3DCF328F0E56F0EB00A196F7F2C';
wwv_flow_imp.g_varchar2_table(364) := '500AB4AE1A423F34B6BE5180C6543BC3A300F98F12F5BE8C1FCC7E26C48E6BAA43E746CE222D21F63F411AF4E74AAA94824EFA4A968769FE3334EB4161BB88326A140AAF47305D5EBB952D6FE2A21D5A081E0DCD6F0AE6BD62D9213D69585817028FAC5C';
wwv_flow_imp.g_varchar2_table(365) := 'AA4BB841A3A4CA015FC0D54D793B85F7A6920EE7D30867CEF2D67708588A2DB46F56F1D2AB729BA96B596FC25D79AF357BC1D6641B286969A58C0E75D928D9E8F10B80B3520BBA566643EE4B314E7BB758D1ED7E1BDF25E253BE57C14CB2B146F3516B34';
wwv_flow_imp.g_varchar2_table(366) := '9E0ABE4EF510B770D4FA7A91E9EAD5EAA8AD6577868CFF00292BD8F98C38F4753BE551B15B66A8D6CF873F8987A5DE9D45205029B36C9AC7F60B46338602BE61268BCCFD91C2BE899919A1DF987C60A60262FDA1F3390BEAFB6DC18D295C2E46B5CCDC41';
wwv_flow_imp.g_varchar2_table(367) := '2976B7DC7F98606CDB06A81D8620F0F98B577A4300F8957A5B4ACE62B755D1A04D22EE9CD9822180E7198DEB3829D9775C689E880AB5A0DB788AC25CC575C36617C1F58D7CED570F62D47619636398DE0FE0166C9D5C4AEA308E056F0DE4C439802C9A98';
wwv_flow_imp.g_varchar2_table(368) := 'AEF61DF53615BD2ABBC4A67A3261758FCA6E3DB4A08782182E6C510D583AB063C11BEA638B37CF1175DD28BB33B841EF1E12F8625CD64B705D27D2334128DB586E40F1287556D83E60EC472B4C4721E41F8986A7F31944A79C7CC00479651E56E2DDEE4A';
wwv_flow_imp.g_varchar2_table(369) := '358E2CBE6069FB8CF5B0C95B4718C8DEB21B55AD5E2717586218B99E29F29019F1CE22CCAE5F70109A5335927D409BC58C9C457BA65D82E66BF0D942AE17E946D7C72F88CFF0ADC2515C7F3923ED7FA3B936FDDA8F5CBE7F1E36C7C7F8930E51D701F0CA';
wwv_flow_imp.g_varchar2_table(370) := 'B2A1314AD683960538073062065E45ED966065E3DB2E3B98C723CC9B543AFB1A4822DFB2DEF863DA7E3C3F4863A32D83E4398E9CCB47F47130C15E36F4808304200C4779CE6B0FE4A68E9612B03D6D2855DAABB286B683B33836B8B069ED2BBCFAFF0072';
wwv_flow_imp.g_varchar2_table(371) := '6A898F6012AA1C1A6DB3361E1B65C7885132B5868BA4A5207275C20DF11FA8FF00DE586E546FC00F31660A3BCA76C94214CD00EB8C62D75E7AE262E9E2830E7EA99C6F4D80BC037995435650478662B8B23A2AEED3332B946591743CCA8FD406B3656712';
wwv_flow_imp.g_varchar2_table(372) := 'A3F131CA41C63ED3285EF5F1D1F073437E08741A65238F64A0C31A3D22C9DD99F2507A41F6D50599AAECF6671A0C383E6A768B8A366AA2761BD6DBFD94598695A710D55721F3135A5F7A8FD4E081A8AF58AD201BA9E097CE87CC50B623CB7AAD01467E23';
wwv_flow_imp.g_varchar2_table(373) := 'A35605583E4B8F5F9A1182B3908CFEB43E229D56723EA825FA7FA742FF00217F0B34E2FE00439533876F4DE83AFB3D79B46D6C6A27EAC2B11D9BF119747D95F26365457608DEDDAA1EA5E942F9922D4E85E00612B23C1322B416F625388F2836523EC6F1';
wwv_flow_imp.g_varchar2_table(374) := '0CAA2672CF3EF1D3B569DA6F55AC645BFB96CABD984A00B96A20BEFE3E90F498E60EF1F3E0BF24D44775936C6027B9CC1A4AD74683C0332E37A2617F20A39D8631A3AE81E398DFF0437CDFE5881029873ABDF12D7B7ABE90FD4EAB94D7CC6011D95ADFB9';
wwv_flow_imp.g_varchar2_table(375) := '72CEDDB1FA9A11D4289E769FA00D3D25468A38B6CF999283EF6FC201FECBD671839C4FA41861ED0E4B4BF3A3D2F1D9F6CED57CC9E973FA9E6D05A610C93BA913BA992BECEECD06EF5E6D67EA46C1506FB7706120C13D07B9058543F01C5E3DA33C162DFA';
wwv_flow_imp.g_varchar2_table(376) := '607B77367F221BEA9DFC9100DDA3BCE13104602C46E673D54F179C7234E093CE58302391A4E3109B743B7D3BC0BA9519F8CF93485B9DE54CB457F03A31BFA67CE62E1452A9E2823E0513493F998EAB55DD75545C6D0FD573063A14F329F21428C936E749';
wwv_flow_imp.g_varchar2_table(377) := '771CB64099F256E7243E184EDD1C764C913DFDA2CEBF11085EE42AF67742080A274425BFF12E40F7621ADC96886D6A9BCF6E18D6D5C34FA3CC216D1DEF116D3BEB29DECB2848AA31841E991F42CD7E6551174367EA6CCDEF87D4F436EA2CBBF1C1FD4C34';
wwv_flow_imp.g_varchar2_table(378) := '90FF001732C2CC21998286CC39FC7A47D1D00E0FAE8FACE2D7294FAA237794F73337C21A7FB4ED07CA1F975A5BBDDEED1366BE256052DD81C498F61DDA3185C0FF002EEE1325DAD17C9F29987875CF9BE3661D21DBD1F34AAF8D234E528F755AF1888385';
wwv_flow_imp.g_varchar2_table(379) := 'AE92F1EFAC0D819C67695B29A8647CEF3323543B5F5E1C154548E5F06B34B0F2A15ADD0FB5C4B97534E4784D9ED0C594472F885B77B11FE88F08CDF95B9B3B11CEE798234C0EC9DD7B3129739CC44A42AD00F2B50D501ACEA486628ECCDF86E7A47F87DA';
wwv_flow_imp.g_varchar2_table(380) := '5CB254081DB6EEAC7B42A51850F1B4AA1D363A407E6632B0B0AAA7A46B952C5143D9DA33981CC0E668D65EAE1B1112C47648981FD01ED61070C72393650D9D181EB1D1ACD19DA0B7C4DA270ED6A5399A9A1B0BC5E7480917ADE17EA65A605E37A6A4AF6C';
wwv_flow_imp.g_varchar2_table(381) := '944B31BF986061EF35007B9F898A45EF15C598E1E496BF99C2355D53C9C7A4BA79858687BE8FAC0AC0D1A62737310DD52DAE6262FE43AFFD11A7F10AAD3E678A634C64B84B303077C73050FC611D6BD2369B267A15C0036F6F8BAB0CBA074AAEE602B427';
wwv_flow_imp.g_varchar2_table(382) := '35FEA84BD0C782676FB00FE2378D2CDC1695ADE1DB022D915F486A332AE86F0A3A171B75073DDCCCC883C21599F79C331223C655073A919E68B353D4FD3BCCBACB21FF00166CEA4E60DC84BBACC2B89A84685DC4D571006E38B5583758E51BA73BADA52B';
wwv_flow_imp.g_varchar2_table(383) := 'F615EBC38ED31D4ABA5EDD866838CBD150EAD45E706547A1D196A18FC05D62BBD18414AD742AAB3B331AED3378FC8BD4F24D37BCDE19D3A9B3DE62F58090D1C412D071A7C4D70E055F1B0E2F4836CB4C9FA815C18DBF3204EE45E702F4FEE04023E3EBE6';
wwv_flow_imp.g_varchar2_table(384) := 'E5956B8AC02379E6C86AE3709EA05404B5DBDE884FEA5FAB3524F2FD98DE1CB401E25A48F061742F4229215A5E670D7A4A456DA63E5D32B42B6974F607F30D67F23998EDABF0842727D2528E023BA88F281EC35DB89A8C00354E625E4869DE56B53CE972';
wwv_flow_imp.g_varchar2_table(385) := 'BABEFF00F23C6375639A73D6333F469E2C8AB8E7ABF0448A9A9DA1CBAA6032CBA2981778B4638389905E2D86F151DBAE2D69663BFC433B68D9E26C43B2D0393F47DCBA2D39239954B1ADD6A969BED646660353440329E822D6F6D02811F4C83073328431';
wwv_flow_imp.g_varchar2_table(386) := '0DC422BD60B7650EF1DC5F2F78642EC36464A1D59D290A58CA534381CD730C34A1B9AC9E951623686928F8FC595448F5A2CEB0B6D1CE2D386148BE54220018025C30D737400FDC10E54B59DCC8224D558588A7021DE3A35665E92743DB2BC43A454D2E76';
wwv_flow_imp.g_varchar2_table(387) := '20EBA6074043B5A67DA24F3372788FA1F0F75CCC289C12FBC0B93C00F81164D76A160F398B995287BF6CC3468E156CA030306B86FF00300D4501C149A707C16BDF58FBE402F9EDEF1BFA871AD41A8F54DC8219539C0C12DF6D99D30F9632D305F70FA8B1';
wwv_flow_imp.g_varchar2_table(388) := '7892DAAE28C5C4395D116FC1B6D1178B1DD9E079222731250AB232E6060FEC08125183F098579872E77947ECB87850F99AEED869AF6E2ED8D97B5DE5C9AEE3C8C30BC1662FBF410FBA1C791800DA77B89755F3020D4189E495EE23C12822523A2474BDDB';
wwv_flow_imp.g_varchar2_table(389) := '9F2BAF86345BD9F942EB4736430A5E367E129486728F9FD348297513784B8AE50D3882DCC6E5528C4DE37869ACC4AB68FAF4BBF1E9156D161C407309249140274F1C41DE1822534752889ACBE11EE4D7FA6619335C4B0012DAE4D2D7535F7B5C6B29211A';
wwv_flow_imp.g_varchar2_table(390) := '92E9398D83708A30149E531CA6070C554EF0E00DD4087A546F72BD8821D1686AA89C6B4FEA76944A9635E8FE5105578A133F31069AFD86D03AD3BC79C65FBB6BC980DD362086D02CCB35015BC4AEDDD634CDFB4AC3E339A356F17196CE5B07FE60ACCC31';
wwv_flow_imp.g_varchar2_table(391) := 'E5828626B30175E65FDE6748F7E69AB8C3525A7119E1D2C2B894BC943F12992389316748A6AAB5E096C693E663416601BD905856042A838304AE7438A9DFA8B18A710C15DB0ED285A67314C3A4C4E93BB2940917B4B9E8B1DA78C6FB463784104F6221AF';
wwv_flow_imp.g_varchar2_table(392) := '4010A854A42A012B2BC743000826D05842F99A00FAC42D48002BDF5C768A8070B1DB982043135C22D53BBD20359F4A35F98B44EC220F394D33579D857D4CCBC280DA90A66AB498611128ECA366B36CF385835D1D2F066054240DD7934FAC42540960E69D';
wwv_flow_imp.g_varchar2_table(393) := 'F7EF1C7DABD5D69F50F50F6E8AD5A2BE22E659AC1CA141EF28677EE5D52A0EA6120AD20817C42F8E9CD9259E1949300079E23A8FFD4D2625E3A3DC25BA52675D5984C44A41FF002615CA142EB35670C5B895D447994F47CB3CB1F29731AB7E21E70F3877';
wwv_flow_imp.g_varchar2_table(394) := '4204A040461A2A0E80843FE856079F309CC2C441B358A3086B7897E4ED63A71379609BC7A9FC88752A850BABE5DA68B004AC26284C6C5772B0DCE7DE2E2A1C26BA1D66F2E03E60969B8AE6642B7C8D802F37ACD7FC0ABC873B4A219E752CF716FB264C6C';
wwv_flow_imp.g_varchar2_table(395) := '69C34A976617FD1F92676BD80BF426732D537B9D0F58C193B83BDEFF00594A20DF241C385ED0E37B4BF3F11C759DF988647CCB63810B7822EB5FD619AB006C6FC45FF7421B9996A5696D0D4E61947654620FE432C0A8B19966684D5810AE16E0EB129E13';
wwv_flow_imp.g_varchar2_table(396) := '0DD1FE6A1D69925FFA44FE9179C6E7ED1797B107CBE25B98774BF303031C5A171742E17D2FA92A1566BD3A1182DA582FDE5CB9E52D50760976976307A93DBD09EE665B06FE735F895BE07534100D15AF98063846A625EBD85F0F8066AD1E8D302DD56653';
wwv_flow_imp.g_varchar2_table(397) := '97F8970D780F38B9F9879371943D4903449782CBD6F7F57410E270E7AD418055DD3ED2CDA702BE90FC289AF8F44AED0EA62F494E8DC4950D12E3889CCC6ED178FCABEC6664895AFD1AA3CA0E39EE5DB1F317D6B2A2660B2E8CBACA336B7F76666B0C286B';
wwv_flow_imp.g_varchar2_table(398) := 'BC1CABAD3A1A03B404E160BBF547B232F45E13B12A5CB84040810848A0B688A5CB87429291C3A10FB5DD3FC9B9F93F73F5D5C365EE31A753CCA9A5CD8E6B21D943D4994170D37D7ACA44E1CBCC26715044AAD76FF0EB1C0566A76A6A1F529A2E64183F09';
wwv_flow_imp.g_varchar2_table(399) := '2697EB3F82639ACD34F6B87EC39EAB2F11F55280D118A984EB7CAD4A629A3E25533CA5BD7830195E6866EEBDE0882A26FEF0364CCAAA91EDFEA320AD2005EC31B1BFF182436ED1E2270DDD11ACD45D892F3B98ED1F4A81B7A1DF8F74483A50E66ACCF966';
wwv_flow_imp.g_varchar2_table(400) := 'FD93E7A23FAEEC59F005F41353CFEDC4363F83DA59F633EE3F827FB60DADF0FF0030F8913EA7CA95F88DB79AF0FF0019FC4D5BC950693AC1003CB17F7026D9FC9DBFE77405CDA3F5992ACE11F25CAF3B953F594FEB50FE19BAAE05BE60F7EB590133E461';
wwv_flow_imp.g_varchar2_table(401) := '8E85A4A9BF4053035BF312B096D3552EE3DE0E64A1A47E9096C5378ED2B262AC893B05CD15FA67C720855A0E9B13D243E9945E4F940D4EDFB9A1D03519543453498A9E70E92523542B33A029FEB41E5C02920644A61FE027BB8D8370FCE8BF74B5898242';
wwv_flow_imp.g_varchar2_table(402) := '52267680DE96DA17CB2D1899EF6A967C330DAC37890D28789E903595D33FF06A9978579931FCF56563E6B4AAF4A11EC7B187E9FA2079A7C41686A6A713C2624A6AA977AFDD28FDC436DFA20CA2B68D547A7F18A0EEEDE61F620F40363A065CB982B5A8C6';
wwv_flow_imp.g_varchar2_table(403) := 'ACCCEB94B606379A009DA7A0C9D62E66F227D4D2078FDF2D6D0A68331A287B70F696999BC7E97695F253AFD231E242C0AA8680D9E8CC0535F2151CA12A5EFD00BB2613A4EE989E2C1EF03B4147879E8042E421BB02B5E9025D0D463346B336929EC0FA33';
wwv_flow_imp.g_varchar2_table(404) := '30ADE1F1FA9DC96A772A820288CA52F0C7E632F9807EA983571B43F3066DAE4A7B69AEF1020A1942D6139346698BA1B6FC0D7DB03517E6638625C125C65B2FD2FB4BFA5B1BBBFD6AC77E4C6A9A863CDB05FF00714DC3EA96C22A5AC4B80F7AB7EE2CCE76';
wwv_flow_imp.g_varchar2_table(405) := 'FCC23819FD1F89A56B9EDFA83751C0A17B7E429AFBB1A2D252FC30CB57AE129E5ED5A2825F9DD27621FD8F3054803500D8E832E1D07052097836A209A6792A712C9E6B4EF060BC5BDB32967CE11D07D71A7138610E61701C2577E1B4550333E0AF4E0E04';
wwv_flow_imp.g_varchar2_table(406) := 'B80A8D006ECCBEBA0C1E7FD0769A57A5D9CDEE2BBB2869A9A2DF102B284A3C665C9191BF69F2FC66B3E837F51370BA815A6F17140962A729A0CC137AEE03C4A83C33C59965F9AE9EDC5C63912D219EC0B9C45AD1E1B6B1004DC3F923F12EEE328BCE7B82';
wwv_flow_imp.g_varchar2_table(407) := 'C26EDEEA0D630A9725EE23DE206BD405D8ABDD12965B73BFB8DEBF76A7FB48310389E494F40C9BC7F1AD032098D4102D84E1255B12DEDFA3905FB7E21CC7F2F302FCB00AEC76B9A01F470BF85CAA703E30B3FCBFF5344FEEC477E053F98D9A2F03F134EE';
wwv_flow_imp.g_varchar2_table(408) := '419EE15FB97542777F306BDC214DB1DBBC34FA02806C4BED86DE3F93BD156A3730837757BC08B8343860EC3598469A682A6C8EE4CE1CA5A923FDBB8041BBF0725FD403A4F7C676E33B35CD19AF48220620D08C0F1A97A46D0D0CDD90B980B7F8C776D792';
wwv_flow_imp.g_varchar2_table(409) := '02B074B499E76533743E51C0B7CFFB2B691E8119FDA35DA998A210B7B99CE92B843F950FE5422BA5F1984A3885420230773D201F8712F9B54FCCD1D152FEEB1C0C417E8FA994BDA103F29E6821E67AB3D728733D59A38CDB9F12DD8896353C4C8EA12FDE';
wwv_flow_imp.g_varchar2_table(410) := '7AE845DA166367AC6E5658AFBED2DFD8E9FB97EEB74BB748DD01E8B1B0F47FDCD8BFE7B4741E9D23FC984773E2FE6333EB57EE1AE5EA98445701AADD68E7EB2F3C19A2869A4389006DEC981B7B467F591CFF00DE84582821542FA613030795D08DCB6A65';
wwv_flow_imp.g_varchar2_table(411) := '5BB5DCB3D0BAF59AB95CBE6961A227E4E496988AD26DCCF8095481ACAE07DD60D4D62B64F8FF005403E658F6657C9E9A1A1B7F3ACEE9A1E70515F69BE5E819ED8598EA60146A9037994A1FD092E88F9849E2A1F6F4402026D021061D4E9707A3D2BB4082';
wwv_flow_imp.g_varchar2_table(412) := 'C89C36F76704F542685EA44F59E0D559A4BCB1EE7F932B11A62F48D2A3B0C1D40745462BA5F41381668D35E48DC490D9604D097A667A333B3D80E87E041340F409C5EE104BA7F8ED0403F2153E08828DB823EA6832D442D5A1AAF61EB00A34B2C0EC9453';
wwv_flow_imp.g_varchar2_table(413) := '686D0D228117660BF1E63F582C3C4F27DE6E70EDAC2B06551BCF48670BAB4515412982501583C24D701E9B0CB6BBB7C4C3DFCC1836A056FF00CCAE24F1F52B2BE5BB66A80A1BD62ED7DF6E03DF12BE8A0D6A40BDF44E1A82107A0AE212D8B729C8EF01D9';
wwv_flow_imp.g_varchar2_table(414) := 'FDB76E4AB9A5FE266F2F791D3B8C494A2F1FED9CC40C4419697EAEFD012A07FCDC3A2750E83BBC1596E72FFA5ACEC5E32222D5DBE4F6F8318158EE31BB65617EA080E89184EA9294CBF089C9E06887CA019C6A41AEA71376D05D035C842D2CA9662A344B';
wwv_flow_imp.g_varchar2_table(415) := '662AE319B7A8CF1C73DE275C37070334FBA101C2192975542B7E21B033459B8DA0A516B692D214377177BC21B80F663BC0DBE2EF6CD461EB1FC351A79BF0A09C7473763AFEE61C86C16A79A9417294A86CE954728A73E81F74DB38CA816E5F0AB7BFAE91';
wwv_flow_imp.g_varchar2_table(416) := '8C1621D796EDB7181DE70EDC0C9E065535F70968DB36B8823D2CA88A148BAED15817F2AD1A37A5CD022A99C230D99730FC2F981E45D0C0A92894ED0DDA7846708C5AEBED735C2C251DA51DA6252563D28E4E81E6961BCAF6943720C046D02E8B2EA346CB';
wwv_flow_imp.g_varchar2_table(417) := '6D87ACA3FCCAFEA84784AEDD05754E87AD5AB7C1F039068CC5C3800ABB332965900B412BEA5130A4F306B520A21934964D625533B6901E8F6C3DB040264C2508D902925ABCEF330130736AF3BC36BD6182A6A96B9B2866A1CC28B9CB3A0E76999C3808A0';
wwv_flow_imp.g_varchar2_table(418) := '818053605375301CB3DD2DCCC9BC1873102F45DE54299B87C408AEE80A71E2215B8828D70C745CB9429B133E8850785B2A035BA4194A8642E6257F940BE97CCB5528934DA9AD1A1063BC52F480674235D60ED6BB3676A21E3143607A78C904BB320B1980';
wwv_flow_imp.g_varchar2_table(419) := 'E62F4AED127620BE4D530D6A6F03B9E0B2B89C5A5EAC3C0403DE3F5C59A22D62BD3335AAB19AFB502C0EEFFCE3B4A40BC33C6A57A9198C06A475F64D2F1A2BA6738D62C2BBED90D9C23B60CC468029AA2BB141AFAC33C2707D33473F9919D653CF19F47A';
wwv_flow_imp.g_varchar2_table(420) := '1CE0353C4181EEC0EF3595DA0768E352B7C6B1F12FC44624B999D6CC29006B24BD181B809B526A19F0542A6F3CAB07415A4D555BB383551CDCDD8B51A8997AAA4558F99728C4A1B05A0C152B5A56598CC55569728B70D63890AAED7B4E6964F94106815A';
wwv_flow_imp.g_varchar2_table(421) := '7CA030448C870798B650C89B54FE5FB27A448C618A2B314A9E0852B146006B984842732B43E5E0860281DE0CB8C3267446B7B5448B7C58726EB5B26A13D4ACB5B8CBAC06D0E237926A834DB6C3D84DF169CDB2ACD6AAB5CC7CB02D702F7D09689A835BEF';
wwv_flow_imp.g_varchar2_table(422) := '17479E656BD870C4CB1F4652C97718E4E8F70D07725E6EDDC3A7EA87B8258D29266B8FD63F68A54F6BBF6F1311BADC84E4865976F2F3C4A505EF3CF1E9100D365C2E1BD46E4BD37BC92D6CC58EE8A83A0A65D5833BD66A6046C79528DAC091480A6C4B4A';
wwv_flow_imp.g_varchar2_table(423) := '41CDEF825F865C41CE9344A8352E5C22C5166506277668983DD232CF3350F84FC40745321959A8D2286D397BA4AD96FDE5D3BE99B9527CC05C091B119B87897CDB803D6AB88B66FCA5AAEAA03B575BAE1AC68B1D19534D75877A361D2B5A9B359AF6788E';
wwv_flow_imp.g_varchar2_table(424) := '0AB3ED5CD5C6C058DD699E87A154B756AD17A1010345D41F50B971972DFF00380769DAF6C4B10A62C6DE23E5BE502DF84A11CF25B20CE266511C865A7234689836A583454611339840EC26B3A42E0734F04185525CDAEDAAD17DCED70FA62F2FB01623B4';
wwv_flow_imp.g_varchar2_table(425) := '271DD1078E7A3B337D4ED47BC2A869CFEC565D90689629E53483D33721F12BF12F016EC7774814CF996101BB7B3CBE48AF0480CF2EF6E27B16415485A31739561EE422C9324C923A7B447FF1E7F691FF004210DDEC9DEFB2279FB27F159A2AB568999BC0';
wwv_flow_imp.g_varchar2_table(426) := '7AE7FD824509F454AC0C26458A4AF2BDF30F06EC707929ACBF15F8D23A3096F6F50ACC34E980F6FB026C5EAFDD339F4ABD843D9E82AB74612AC90BE99AD10CAA1A996B880E8FB39C27B93FF1625FF28EABBD818965AABDA3F85A9CCE26C5EEA8843A0BB8';
wwv_flow_imp.g_varchar2_table(427) := '2A23CF7EC4C81E8ED6DAAD6120D2F787D81B86654A8E50E594A1FD50EA4DC508E183BBA3EA60AD650D01979A543B66E01439677256428786FC7B3D6CBE36710C464DB0ED81C5A18882C7D82AFAA4CADE5606B54AB780CC3E140246B73DE83CC1E261D8C8';
wwv_flow_imp.g_varchar2_table(428) := 'B09E0F6940096BF16639CDE875B99D4040EE6815269971CC2E0E1B871D32340B5BACEDFBBFA97FEDFEA52FDA9FE625DFE33FF29FB96FE9FEE7F61F99F7BFD33B8FD9EB3BDD6B4EBC6B2FDBA5E9D0F59F1DB779418E645C56FD130E4A2D4169642DDFFA4F';
wwv_flow_imp.g_varchar2_table(429) := '097A1AE054DC8CAB40FEA95073DAD07EE59BBA6FCCBDB2BF4C36F584511A2C292E5F408C0CC6F7B9529AE7F4A97711B83BD2ADBA0DF1CC272FBC0201061A22D86CBA56FF00F38C87971F94FA22A3A21A986668B48CB232FA69F3FF000B6267B9C1623DBF';
wwv_flow_imp.g_varchar2_table(430) := 'D2594C81F5D4F2E603C12D6AB9968D26209D85BC4663371F9EB8517355AED872E018069A67E19B58F5C37E2177E89A7420465BBF472C7F863DBF1B257596E7E8C37774B95ECE0DE0046B50F00E91E8CFBBEEF7207622A5E47F31117C09FA973846A4C91E';
wwv_flow_imp.g_varchar2_table(431) := '26E2562626D5EFCEB30561AF67139B974E27BF5F940F4E2D3D207F6BF103D3FAF886DFF6F1076FB4866AC7DB06BA31EC8ABAC3974C4B63BDABF10AE66A7B4F0C998B07F52B3C44361548DC6C9EE621D348B2A6559DE5B0ED619B0A72EEFE59EAB14F743D';
wwv_flow_imp.g_varchar2_table(432) := 'A1E2BC1B4692A8A32B7EB97F407A0F40FA8227498FBA4B7B63EC666A61E18BAAE1E602F2751E5C9D1AB8D45B5F474FF82631075E913737EB7F8C52B2986EF42FD1710A3E2FB7795B2587CA8F885B12BDDFD5DB028CE1ED1487EB774617C013F45057DC9A';
wwv_flow_imp.g_varchar2_table(433) := 'E4CDD6621CCE8F5E221C53B5B876251B6BDEAAF2C0407B2A5649C94FE50FD60033C873980A961F4B99E91F67301B5A2976A8DE66BF3D48C38B2F5971690F6491E18846CB30B69AF3C2C9984A19330616F3DA181028EE1DA47436865F7516B161D21076D3';
wwv_flow_imp.g_varchar2_table(434) := 'C296B2E84C502FBA464BA12EBF5B470D89E952E69EF961B03B2A0701270316758AF0D0120CE5AE202D43A618974D92BB107A76748680B06A335B9DCDDF307B705DC8ACDEC4B166664486ABCA6FD60168A96F30EA17B2CD44D5788DEB0DB98C2A5A0E57C0';
wwv_flow_imp.g_varchar2_table(435) := '12BC9454FF005ED28F002F88CA8267BBFE032FFE0CAB90C5B287D7CAF7942C8FF3A46D49DD3D82D28383CDCADA5EA6266DC847A049F3A79D1F398CDDFF00ED3DE79F28D70D4D934AF755D0875C9CEC290D8A1C3D259D6266C3FD04BECA2DCDFCB2FA3AC7';
wwv_flow_imp.g_varchar2_table(436) := '03DAEE8295D042AC61BDC15D825E91721CA638552F17536DE62B55FA5DA3D1B44B517472CD130162ECB71D6DA7F8D615C87AA5422A866898F226B072F0E218EC616B2FA0A206B74FEE101B0581B18DCD25DA78E8B040B352AF58E620016E8B81DB5BDCC7';
wwv_flow_imp.g_varchar2_table(437) := 'AAE02EC17BDC5DF1E5AC72F58865DE8D4323E5D63955FCD3BE77B9706FEBF6BDEE02187B58FB326B02A305BA0F4043C202CBF41176A87F370192C5941AF92BECB170F3723B7AD312706B07B9D30EA3EA2AEE6E7C89F1A22551F4768FC46487DBAEB3BB46';
wwv_flow_imp.g_varchar2_table(438) := '026C785AD452F1C95D9152F5CF58E85F3379A8DB7B105C4F19E13B702BDDEF899F45544709A787BC5D05645CDE0E101A53C23E6115BF7359ECAA6827C0690A5972AB1A453A7CC82CAF1CEFB45F8DA315F33496A8697445C5D1E4C85F96212C2562342086';
wwv_flow_imp.g_varchar2_table(439) := 'DB178F68587474193E3D597468C1A4CF154A6AD7BF1436F68B7EF69B86E34CA0B71A3D879CC1BDCA049E74449C72947B3558AD6226536190CDEAE2512301A9682A1C0C72D1EC01F72DF5A9E8DE61EB82102A1C074952FA0F5874597770104727AFD836E3';
wwv_flow_imp.g_varchar2_table(440) := 'D2092CC372F9688AB5A519A36ED1C24BDBDD0A84D403B15255374D769DBE2098597938E76D234ADDD66D90EBA23DD75114F075C54469468B82DBC3B4375D359940BB399A58730AAC4808DBA5590EBE18FB4D680CEDECDA0BA6DC81E9F19BD26E8BAD42EB';
wwv_flow_imp.g_varchar2_table(441) := 'EE608C2F6BA231B86B106614B56E71ADF1353CF416462C48995160CB772DC7041BF54E7BC0D6528B7F0408A61E3A54A25DC58650A8A68CB0BE8DEECFDFC8A7E246D455C44A0519D09DA4589B497BB19924B68B38A80EC8D3A4119BA8D056563935A77B89';
wwv_flow_imp.g_varchar2_table(442) := 'B1963235A9340FE95BDECF7267A49E2172D851DFC5F86043A5EAFCCF31F134FADD4F4F4C5AF6266A17FC092F19ACC329E6D180823ACA02220C0C46A09901FC7549156D2AE5CF7714E50E1A32D7007C73E58B673BF9963B64002401550BC5173C214E8F4F';
wwv_flow_imp.g_varchar2_table(443) := 'F7502965CAEBD0CEF2EE9B119542CF3489AA106E75B01CEDF8EAF935D2D52B479479813779670B0BF1D91B301629EA2F5B4E74D63CA82773964E74822A7B1B8327A25A1E64463A987A254B7D2E7585BBDE90964DC6DD496EEC5F5FFE4682FBE6208327D8';
wwv_flow_imp.g_varchar2_table(444) := '45F1165E9C28B37E5331C59D4E05B38DD0646D4643617AD4ADF2119406FF0010F927C09FC586AB5BB7EF33701E266B499212E882A55A56FED2DC407897E25B8867356094683C12ED46A784A4177C4CEED70D6141FE4A2DC76AAAA8F7770B7EE4B0D6C3C2';
wwv_flow_imp.g_varchar2_table(445) := 'CBCD6B06751E5ABA3E661056B0BA530C83AECF3D16257EC207C48D5FA6A5E04C579ACB29A3B276BCBE1F52B53FC0BE1981E526EC58F89012DE9DB946D301D0D29C18AB9C658E48BDCF80D74F8DE50345623BC16C364AA5018B915A9CC59715C8D6E1A9D2';
wwv_flow_imp.g_varchar2_table(446) := '5A61A431DD6F90989F0CBCC106D7422BA353F34D14D87B4B36F5BFFC949AEF7E62FF0059FF00A92F65A0FF005E200041AAD594D6000EA652DE61BB304268B67A2E276B1156D146D719108EC5BECABC638A2250AAB4086356825C2811566ABE4AE27B8951';
wwv_flow_imp.g_varchar2_table(447) := 'C9BE21566ADCA63797308ACA606A377AE620B3685E53996212EA206997CCB6583466237DEA56BDA209B493AC77CEAA4662B46F1AA892CA17B561CA9D83A2F43895EE4F8D11FA626D5E23BC7B20E0FBCC7FBCEEF9CAF7FBCA9BA2768EE3079404B2B48728';
wwv_flow_imp.g_varchar2_table(448) := '272C3C76A203D6041C088CEE4C93E1B666ED746AB0C700834974C3BC080F1AB87ADC48F2B472C6A2A8DA0379A5940A7332ADB90E61605FBF12C65BD9E654B73BC66E43488147C7975F125692C4A71A4D135357560F5115158C842310E2D9B819101B143C';
wwv_flow_imp.g_varchar2_table(449) := '0252F49714B4CC5EB05528AC41EB6CF50A514356229A20ED6276D565E1412AEB058DBA10A5EB777661528B520D7F217C014E06B001AC04B9970042193E577168D66A5F805F9C5E6EA029E91E35F89DD1E12239E9FF00E38878F30D675BD92CD1A9F7FF00';
wwv_flow_imp.g_varchar2_table(450) := '68E8B699F696229DB0AB03B57CCD88E9C60E3D0C200F2256687E4EB1AF32F5A2E1ABFBC403A346877BCCD3472E97DA768AF25BCCFF00633B944A6E0C0AF68460D75C60CE79FF004625ED70573CCEF2800B06CE76425C6D0162F90DA6952285B731165635';
wwv_flow_imp.g_varchar2_table(451) := '4EA41ADB28F6FD9D5589E85D87B716E3A156ECB177256065982FC12BBB5824F423036E8D74AF78F874E3F68C3B04B4DE3BCD559D0C3DBD6518C6AEF12025164660EEF12D1A962DEFCFBC6A2C40C23E863896B4300E6E5D9CB5973DA5855D9076CCA625D4';
wwv_flow_imp.g_varchar2_table(452) := 'D76CFDCC804F180E7C732C540A79FF00232B94AA1B2D99186208D3D7A87AE1DA52FB02AA84CBA1574C209E40333892E04F3E20B0A9DE18330DB41D9798A104E98E0B61D52F080314ACD866D97A4EC1831DDACD4640BF25F18C4FE9B30F566996088DE7E2';
wwv_flow_imp.g_varchar2_table(453) := '1416AB93477EB74C08FB5F3A476408D71554E4BF99C2C891865B73B4B553CE3F0622123AEA52F84A9730F5D8FDC33C0DEE68078B850A6487A231ECE844F37B4BE2FB4F27B4FE04FE040D90924E8089EC4ACCBEF3DD3BC383A0389307116794EE43CA53BC';
wwv_flow_imp.g_varchar2_table(454) := '3B59A66342F0D4D4A8B3D7A525D9F608160260ED0B8E0CD64F595A7FE260F01EC2E50E73975F69E989EA8FD7E393DD99AF0D50903404D8F725F8D52874470DB0EA8A8581CC14540ABA3790D21256C6BEFD7B17412BCE336FD825A3D3F0CDB07AC89F6300';
wwv_flow_imp.g_varchar2_table(455) := 'EC4D3A4209538CABC5662CF76134F7201A6CC4A6F5D90DF219E257787A8BC056B8C4CD8A15EDA502D9C6D9F1968632D0392C5BAB74A0F60F060020F12C7140BF64CFC8B72C8BDC4102900B02CEC99D8A0D8D5FC47BC66E9B1835879C55ABD1D97E6510FF';
wwv_flow_imp.g_varchar2_table(456) := '00EDD6CD4F3D18C4950FB6C0D257FC0CDE9952A04211D1F130E7CB422E0F45F42C2284D68AD3B404E76F426725ABEF3306AA152D69DA2AC3717B41848EA369926C6F0FDA667C0E48FCB30C21851615A20D16384ED8DA2ABDCA218EF35B4F688B63E20B72';
wwv_flow_imp.g_varchar2_table(457) := 'F9534F4F7D0F299ED01F30F618145B780E1AF2A3AEDFDDCFA9777A2847C6B6A7BBFA803550E4A8AD0427FA9999EA66F1E29A1F31409727EF2427EDDAEBBCE3F0C7452E18AD8A9550E5E9FE52E1D53EE663232C9AA23B8FD09BFE759A35D3061BD187D677';
wwv_flow_imp.g_varchar2_table(458) := '19971C5F53669DE1E847FF008C04DD117924FB58C7A3D3E5A1D6BA6AF4CAE952BA3A3E268CD0FAFDC3FE4410984264306F4554C16CC37715A48AC4B5E61C6C96D3CB9B966A9748D2B84C330A1F04F5D65256FC1A7A8547B21EE50CC2657D4BF797C4A193';
wwv_flow_imp.g_varchar2_table(459) := 'E10490B6D83B4A0E606972DAA297639408CCA1D9564C8467601D0EFCCDCB4A5EB2E7071DE447C041C3B697BCB8BC71D87C3C478A57823C0409A590AEE88EC3F12DBC9B87B20FB623667863F7752A1E144F08F674D65619A4C5D44A1C67EB48F948C69AD5';
wwv_flow_imp.g_varchar2_table(460) := '560E9E6685F00A808C51AA5F38C179803DA7D8FF00D7C97FD6BF4FFD3A32889892BA8DF5495183339BA2E0FCC4B957398FBA21B8F32E1326B34DCA0401B4AEABE633DCA1F7825E4B134D2153D1030A8BCD0B226279AB58D152B25086CBF1010A818001B4';
wwv_flow_imp.g_varchar2_table(461) := 'DD6A63107B166EE7B0499217354FCB686F329EC12BA1F99E5F33CFE7A75D47B626317B71082F1CD6F437F989AD6B3E653FFA88F11B8B794F244728C35BDA5797DF5D5FB0CD9328EB1871F1F9BF513C0848AE5FF8633E42769EF3B4F79DBCEDFA65AFC7FD';
wwv_flow_imp.g_varchar2_table(462) := '3BF4C14944A2317CA72B627667A31F0C7C33C1878F99A12D685C542D85061A67CD533304C9DCDF4A94C05724BEB53421AC1E67722BCCA5A3D96E2ECED15BBAE8A32DAAD104A58CC3E332DEC3B870C9E39AED325FEA14C02D6D14DFF13026BC4EC4EDCED4';
wwv_flow_imp.g_varchar2_table(463) := 'EDF5D30DA671942F2B10898E95125778F744E6125631D85428CD9CE16F5F5AB84D08EDC65E1B1C84D761D09E67611E1FBC7FD69FFA5D031F77EA4FE0E293079712D93B39FC0677FEE8737B93F9A8F1C831CEDDC4A68CA44F09E32903CCBEF2FBCF59E507';
wwv_flow_imp.g_varchar2_table(464) := '99B83F48272B6B3CE5A020B684D1E6F76F2E866717E6600CC61630E83D1324C8E25C691874822B6B6FECED2F7ED9D4F58EAF5B9EA4C6778DBD7D4FC935902618D0171BEC7B4EDC18945F782786B50810E85743E0D698955BAE9B56846D9B0E3E625A6262';
wwv_flow_imp.g_varchar2_table(465) := '30ACAF49724E180FDD7CCDD18D74E8DA1CC4EDCEC4CB02EB12ADCB72A0A881C3A1253AC4769DB8F0CECC78DD2F6FA6C055DCB53292E624F0B10819471381D159B7BBB89874B3D74825A17B11D26A8DEC3EA582ECEB76FF009B8BA4598CBE3730A7DD12C3';
wwv_flow_imp.g_varchar2_table(466) := '71A39B82B75F66586E83BBBCC5AC6C5FD51DBEEC00493C198C0AD6F79C42D68D6D2FBC25172763A08F29EB33FF000618844CAFFCE88F3D82AD22DD8C77C7EC21292B06574667C0467D894E20112329C0958B45903C657220E43D10A32A63483BCAEF3D65';
wwv_flow_imp.g_varchar2_table(467) := '398D7329051CC6F88AD9821874F87BF23C469D04D67F1DA2A4FC206897D4B8E134E565582AE0538839585B3B4B021D66476388B826DCB7425D360ABD16E538010683141A6928179DA43A07FD31BD0C67A7560DE663F9163FA9A1E265E37EBEFD324F5847';
wwv_flow_imp.g_varchar2_table(468) := 'AB1952C119BF904989642A10F484BE8C37D24A38EA51779AC72D229675950E9156866EB06E21F746D2E10AFBFF001139CC7FE3C9D334E797455182901BB3B031DA70A5B6589A45E000E541D9D6A2DF4C7AC18C6AFCA578968C408102043A5755D638A5F4';
wwv_flow_imp.g_varchar2_table(469) := '21D18AD9A8CF46E8E1349305137FDCFF00AAEA6244B89D14141DB996832E2C32FE88307FE071B2E55F40EA133D012B3FC7597162CBE83D460EB17CA2DEB1B98F9CC7CE63839845047521CF65D9D48F4F1D0AC7243DA7FFC4002810010002020201040203';
wwv_flow_imp.g_varchar2_table(470) := '010101010000000100112131415161718191A110B1C1D1F0E1F12030FFDA0008010100013F10BE6C551E889448BAB5ACB00083CD0B91D281B3C24A8AA0005DD144FF009F9594141D895861A8C1A7C236D61D406177330F31FDB947DC160EFE6A2B3F180C';
wwv_flow_imp.g_varchar2_table(471) := '0CB04967A3163FC4FF00F87F08FF00154AA634FF002FA82F58455ADACC177D4739F0A444516DB7A514AC5465160CD02067BAA18414300DF97B58E061CACD47C1C02F8381A0445D4802ED2EF72CDE0169AE616F61BCB2C5983617F0845074033F309821A0';
wwv_flow_imp.g_varchar2_table(472) := '9559C9194858A869521D0BF998BD5A1590A2FA6216204B65EFC042EC3165BF6C1465EED01F80D116ED30978CAD82245A4E9AFC384F3131B3704468D5C56C237092DC21C316B94724AB1C4B92227E86879B9744715780220A10DF848B2CC328BC983B1FED';
wwv_flow_imp.g_varchar2_table(473) := '8622100DF06C8180F9A87E6B128DBD97D254A298D7DA3886071E443F1F8097ADE57721C11BD316E89C2252DAD4CD05EE12A37867E8999E8C1FDD8A88C0B017B4BC5F1132F257E46183F03F88FE692D22426D0D3791EF611DB7895A76A94152CA7E218472';
wwv_flow_imp.g_varchar2_table(474) := '93DC967A31AF806E61B38A895E5A8F84A61540E235C29EC157F59C4B12319B05D0AB0C0A58AED56EAE3C41A9A136AC6D4BA02E4B90C3451A205D39DD2EE56384D9B2CE3BCC690A298422144A41D3632F801540FDE5338E6C402F566BDBF152A10A5E1857';
wwv_flow_imp.g_varchar2_table(475) := 'B17FB66508611035FA601B0B8ABE53717372AE2DBEA58D29F473E656AA94F8BF0C14142F826D82F0118AC43ED044B815654A2E6C92A6B52E101C9B59E481698A643D18214392DF35187E2E8B327CA1072AAC7B88A3A22A45256242ACB58B628A05962CDE';
wwv_flow_imp.g_varchar2_table(476) := '203913E265C59AFA265D772E3328B172E88C45B02FF0A8E28C48CD61147E0D1D15E05A4114FF00A16600914B69CA655D79D0940C4341D889580890C2C13FBA539581B3FCC64E566708C94DC1570D4AA0C89A44E46098E0D888780A9952A0FDE9C31ED87A';
wwv_flow_imp.g_varchar2_table(477) := 'D0FF0098D1A36B264F5265F2F5830D0F43B85D4D7250B79E01DC7DC78CAC7808DD690052C362452141EC7B87256287BC7E0FFECD15B25ABD41E31ECB6C4C9041BF2C2B28C4D6E45AC31800F4C8A2E5588705A237D32B154EDD84077D4BEF296060D10299';
wwv_flow_imp.g_varchar2_table(478) := '8A0C26C192CA7DEA6442953032DF44668D12F4B8FAA9607408794AFE0B1F4308E167E312837242D38221B923439A089AFE04A6D0355A279CF821CA9F04A0E3E11A1C9F09B70E8C481C132E5603C11257D695C63A9E02FB40198BCBF133FD2C5FFED3FC2C';
wwv_flow_imp.g_varchar2_table(479) := '5FFD597C7EE62FFE8CA34DEECA4D3E509602E1A0ECFADA79FCE2E15EC074BB314B1A86256AC6206AD8363D75D116C1EA19B04F582B87E8497E69899500732F3C30F2B90663FC6C5410566267832F890083730BFD6AB34894E7EC8C94995BE00BF12575F7';
wwv_flow_imp.g_varchar2_table(480) := '87F118E57CA7EA020D9A26553964440D30D5393E58E01B5E402E61C44D6C9AA0C5511EFE59CADD26462C21AC2679811976BE02349EC29E15BDB8E17C4C8DFC0E4E0811FF00314657E172F71A7C60B528752AA0D1AAC077825F437A54C626A591182DC8E2';
wwv_flow_imp.g_varchar2_table(481) := '08893401BAFEA1D9612E5945220B0DEE598E9E0C3A94447FB0863FCC4660BDF31B266F433101629913A3D04C265EDA87E3C7B8C31930815901114729DB5DDC7B39AA2F10D537A5A8B8676B5001A34AEE99B2F690145C11238B51770F0E202335A599524B';
wwv_flow_imp.g_varchar2_table(482) := '1047B197B5E6D8BF85C215A9D92C5D1A8693FF005C8C0F4DF5929DBEAB3F4C07083CA7ED44ACE17B07E2786F463BB3DE3C0E3B465403C862468AF37915F744A382377FC798B732AE81D3B42ED721DD946A3943655BB383E1B2046A0CB02F28E81DBDB619';
wwv_flow_imp.g_varchar2_table(483) := 'EA2E6D6C0D28416EF6DE99584DE1F8965CB789E28F841F514FB11822F96B02409412643034F52918158A8C80B0B2063C895A76EF12A09A2611A26FD121552903759E58AEE13D380F128E494DC91B6CF987CE4CFA5C04C5D34CD2961D9A1A970052724F4F';
wwv_flow_imp.g_varchar2_table(484) := '63841A48BD4B6904067E1836CD3701110B10BA82CC9385FD554C149781B6EA428FB678C1C5BBFC18A08A5AD64CBC43270703AC1960CE1CD9CB67CEA12B05AF495F42158DDC4530D5E00F0D4CD4AEF900BE919962F35C74335B950A91A471B585EC9456A2';
wwv_flow_imp.g_varchar2_table(485) := '0BD48A2FC22BB47F49E9A119247F0B1784F9CFE57F02CAF422FE6E7618306237C9EC9C258074459698F0152CDDBDAB08F0A41BAA1883A6022764C0917B2D5B68ADC5F78031CCA9870156267CB29299E8237FF33F10473F289D7E70A7F33020CF4DD99DE2';
wwv_flow_imp.g_varchar2_table(486) := 'F700E888350EB7BAC1895E54945CDD300E2595D7A4E406945EC846DA11D3321F0C767834A6D563A635EA03ACF97532246B5FD12AA6F45CA05D6096BCCE7B436A4A78F8D37B19271BA6B86089B0A06CB40396010DC58AA3CAC108FC1890272D7984313A5E';
wwv_flow_imp.g_varchar2_table(487) := '3D90230D2AABAAEC15063F336E6AACA01014D68626C1E8F131E4EAB8ECCC773FEC66712A65A3757FF498DE504F0469CFE0A147DB942560AA734885949CDCBFDCCCE6A2E4AD0AC7C55B0BEA2006491C0602F959A6E2F4F86823503BFEC6F7FC48C54320D5';
wwv_flow_imp.g_varchar2_table(488) := '357D547F2B8B2C7F4FC2BFF8ECE09EE165CBFC3D36BE83301767ED48E65BFF000EF982FE1C48297D1270AC8C7CC65163EAF83D617F05DC02456818347D6DB88351DAF8F10187FE945FC098C2DFEEFC12DC4E5A90289C30D3E5078EFF0063311F05C6CF49';
wwv_flow_imp.g_varchar2_table(489) := '569C813D889EB943EA25B76BA246AD7118290E5A2184B2D9DF6BC32E5BA9C6DF3E08509D8915BFF55031308608AC25CEE916DB27ADC34254AF0CB3040D841A04C4E3844B830D50E72B0A15346F286DAE0954204A61CD068B95B17C873E65708A8653B15A';
wwv_flow_imp.g_varchar2_table(490) := '866AFAAAB5F31028C23B4283E93D8D3D0D4C4A297A05CB8ABCB677B9BFE8FDCDB158DC054B75CC59B563388333B203951FF22004C04CCD7401F445D7C6EE3658783D52518945F5FDB447058ADDE8428D9CFC00B417A2D706586E4FD28FDA1CC3D07F626D';
wwv_flow_imp.g_varchar2_table(491) := '07A1992267D3306AB2D3ADB71F33D120B6A51B47E0EBCB9845CB970B31C7F0C1AD86276D3FB668A23D0E3EF2E2CE218A425B42F2A0033C42858E9515C6B8EFBF109E123D74EB896A962265A5C58C01E20C4B81E8FB80E2346AE4C1151485DB11998C2326';
wwv_flow_imp.g_varchar2_table(492) := 'D7441B029E58119E56C72317D9514569A9F462227B4DDDE86654F5ACA0AB005BE59826211E3B3E14852F6D607AAC3B160854F526FD587E4CACC94DB0835303ACC3EF5F4812BAB2E001A393B48060572FBD0895CAC878A3C38B72CCD542BBD46649E82F92';
wwv_flow_imp.g_varchar2_table(493) := '58AC42E51B79198E70EB34114C216D2A89B6D77A86F37F3D1A986E2CBA80CD6B88F9D8287B4C92AC04298811CA0F76296B342231BF422CB0472B7D0C7D9171F19288E16289CF91605F5B9C0C611EB7064EF4ADF3C9F86E90AF57115C021E31919008D4A1';
wwv_flow_imp.g_varchar2_table(494) := 'A2DB8253C681F85441DC237FE706004542912843895771BEC5D371801F69D880073179E9BACF3D00AD1882DE3CD61F092FDAC930EFF37ED4412CDCBE2013E1B5488B25C3001D5E6C3E6D07D9FBBF69F490599412DBEE3BFC4D0A7DADA7D4B2A5521E28FE';
wwv_flow_imp.g_varchar2_table(495) := '2994F4633C05B0D2AA7D85761DE0F8FC1E78BE41AB8CCDF7A8C5711E7886186276464C88DC08EB62A3E181B388A03170E6ED9D491B4E2204F4E63C0CFD65218B4D99BA1279183F6E3A689A0A3D2EEA53922D9B3A7D986BC0B432AA4F661B5D6E9298C045';
wwv_flow_imp.g_varchar2_table(496) := '88B393161119560DC177B5BF2CCABF64CC327261480680C8BE8A99A8BC308F562E2090A10CEA235C05CF5DC16D8C01D543CDCB9024C534A710D86CA8156F2129B8DCD1EAC5544E9A6F37DA144AE96265A48CB5940D96D47156AB7928F68CF1365B417587';
wwv_flow_imp.g_varchar2_table(497) := 'A32D91804ABC0672C9106BF2239D4B5BBFDD14D3335A8943796BC10EDEAE7B11326C81EBFA820D46B716DEA919584C9C66E3E9345595CB329538D015A25F254301616BD9126D621BD187DA386A0DB33A70CDA0A68908B5686097F755A2C15A684659B4CD';
wwv_flow_imp.g_varchar2_table(498) := '9DB56D300F40881C5B465834B81CC216C82ED04DED9D106BC41911CB0C0DF9941D7BD522A166021142FCBB964B630274E270A1E03C188886118DE2C27994C85C1891B74543F72FE6AC84E549624BB981DA3CB66E5A36FE0BC8766343AF52E028BACC5102';
wwv_flow_imp.g_varchar2_table(499) := '9CB7C2FF00337A8C7954C32257F050EB4B220B68310C82C012ADEBC3ED972E1E42F8EA78BBDA534C1034D117FEB8D389441D8F2B021509D017C532D6FEA03C7C4A6698BAFF007D463731B02981998238B31EE470DD78C935938B629A9DC32B3EA3923F17';
wwv_flow_imp.g_varchar2_table(500) := '6112A66724A3C0954661D50D8DD8B56A98FD0DFED96097878FD991CE9AA9A1416B8C5446E131E22FD2A2E78A0DC58BC1E21002F9162B1C1E6D5548D756FC1155CACA7D2280E878B94D18523290AE5B01941641068AEF6CDF8C67207D298B275777C7A31F';
wwv_flow_imp.g_varchar2_table(501) := '7C19A509A79C0D40B740D662265DA1B7B849B20EE80429EC61E1B4B07818FE5182555522A22B5A40C2382AAB4A8A0DC319545F226763D046775B8366381967C2E1800DA1A8A13567AD84B28F102E8E25228360FEC5201EE2CB7E9135C910805215C4B476';
wwv_flow_imp.g_varchar2_table(502) := '256A6EF5642F02B1168652CFC0961D00429858E1F649DC02EE428A201D11F0BF9EB823908CE4647E83D0A8730459A8DB7654A6634A8BBDC5BD38E2C2B8E6F80E4043AB031F4784856540612A694B64DEA55C5CB867558B098B93B438A4620B6758D3B222';
wwv_flow_imp.g_varchar2_table(503) := '9816315834B2A0FB0E95535F6020B387A84FAC2A16172DC681BD996C131467EA336CF0527060DBEA8865D00F77F48242F528ED6281AA058AC7D1BF30F3C6D528D7D8252DAD7E2E20CC30A02AFF002E4D11436C5C18FF00A23F7F4862CF44260A190C4B75';
wwv_flow_imp.g_varchar2_table(504) := '63C2210C7A9953E04B7BD6154422A11F2C0FE63DD786C6B026C67AD95A4E942E3CE64B9BD8E23A31BD4D2E932418B5151510AFB2582EA2D005F542311B1562B8A2878804B4280D12C3DCA3E2C10C0006C25536F263B2C41C49E8C0863756B319355F08C4';
wwv_flow_imp.g_varchar2_table(505) := '4DCF2E20B05001E455A61A03021A0AD423D4B82F16FC845A0A32B1E2B167616687A4482DCFB77E8DB2A25CC1880E166EE8D31E80D5C10BBC06D641352DD97EA061A89B9F30665BF4C4BF78929C068EC76170FA4739201A466DAD7193EEC01EE316B58DD4';
wwv_flow_imp.g_varchar2_table(506) := 'F94A88582293EB16A81903820FA18F8F568F02BFB904F1E03CE3F5B173A8CCDEDC1361D92A179D8AD6CAB79BCCCDEDED60439A557450802C8BE6A3775D36CBE495E2F4D22A39021292C5826309C04AE1B65658CBF66535857B643E336D00B45BB8A05ECF';
wwv_flow_imp.g_varchar2_table(507) := 'A16D9D7A18D64B6FBECBB6710DF52382B4183606886464A0185E48960DF4391AB30DECCC6B2F436DBBCD02892DA49A3A4B4C1AC6C5E1DA02867677848B8D69711DD711701096B851945B7460F1C7EAB169A80A065CA357056AAA5951F28BF6D586915ADE';
wwv_flow_imp.g_varchar2_table(508) := '33F19861CCB7E6E625104EC58928C3EC26085000600D01A0979B96EE1080EF973E18CBA5312E644193AC6229F10665D75F525DA07DAE54D0F66201DA1A6232382E971C6517DB1367792D6508BF2325822D6762E05EDA581D05C59F7DB513D0454C2659EE';
wwv_flow_imp.g_varchar2_table(509) := '63E98884495B96DF42F12CB7B036744C90C5510D61023082CA174770D434D591D33316D28073811BB4C440AE72AAAF0B0A645536F0B80D134342F80F238CA0EC40A242520E1654074C1ACEABD85F31D15EC0895E8C90D392515C80414A8E222DE3972657';
wwv_flow_imp.g_varchar2_table(510) := '0D1C7728B869C9D764A63389E5FCD2E3CC0B9D05FAA0A4C01E8161EF2A304E3B8255B8B1057BB5DC7FF54373B3A196595F646AA34D64612D6EA8ACE55E5772F7D1F2C4295F785A6E2851C197B2FC31892D96EDB950151570408974484BE40174459CBA25';
wwv_flow_imp.g_varchar2_table(511) := '0DAD86DB9C9645C88836C95E63DE2EEC58865254294CD20B3E60E3F9B98829D5B109B72B4674C9D953C90A62C00F72E72113E4C0341A51ED343F35E8A05DDDB048D7A0028043790C661C4A0E1D49E85065226B75A487770E4463537174B0B7FADA3E8B90';
wwv_flow_imp.g_varchar2_table(512) := '7608317CE6D96A86522C363BEAAD47511804A84BEE92AD8CFA42F7FD60182A0854B9A8E276B4F1F659DB3695D1DBCA9289DA166D150A505ED2A101062E487799710A94BCEA42B0E23196E03FE8B6175725704F21584D687FC6E3EDCB4581AB749FA62B63';
wwv_flow_imp.g_varchar2_table(513) := 'A009D1B608458C79E9ABC2E595769752BF674D230F254134C236DA8DA4C372E5DB25D108E428A3D094017B53F231270275B080B1A1C5F00ED39A9CE3B0F90638ACCB686540B48278D094F3D5D80218A65CB4A610F27AE6DFD4910B874D920E269A48A50C';
wwv_flow_imp.g_varchar2_table(514) := 'D160231DBAE0190C05AAB21229B8CF7750258AE21E44964703C63DC86F150E483B25892D466A48C0B1B9DB7B44632040B097ED04065BD4D266A184D9D5637249222B755A2EAB2D423425B22A1A524B67C1C22DA78CFCC514080A7A03F5733432F12F93DA';
wwv_flow_imp.g_varchar2_table(515) := 'C7B4DCD96B2CF0FB11418F730B20379F33052053A793D98C8FFC3508C4D8D8C5868312BDAF079399E61D14A57EF1CCF6DFF324D83E4CCABC5CD85985781D4232D8B130217C9138AEF1B670DB19717AFE52A2534A83559BE4A5E8C80B9930694B750E52F0';
wwv_flow_imp.g_varchar2_table(516) := '107FB979A3A052BDA19836173202C7FE880D748357A59ECC0876E27BD1EBE0011D8DE0BFEC8FA731493C50C1EF111B8989063C4883437AF48C8DF601F385F060378AF7E56507930DF732A1A13426B1B9012FB2D721753723D3E2B56A7925461E7A1E17A7';
wwv_flow_imp.g_varchar2_table(517) := '0DDEAE5F1BB4A04D6CA0B2007F0C0F8384CD50A4F7F9017B80C41F6677205C0114130D51461AB0B4ED699E04F58354551B63012848EC956A015487A22C12B614A860ABDD0114CB653E05C0634A7703F35FA087F0CDE45D1364D26658BD892CFB76A2BF68';
wwv_flow_imp.g_varchar2_table(518) := '1478E585D80C4CA5B09DC969A4D2E32EF936E2A8748B21309BA45ED8A99C70E32F1F725845200069518878D80AB1F70A82F9BA5080F15C2DE421634819B00A6D81A323A809DEB63417C0FE91356F692F61C2D6B419A04325000A60BBB016E5CCA5FD318A';
wwv_flow_imp.g_varchar2_table(519) := '9A8657357FC4233F03C40A563747A3537A14109F42563EEA58D426B8A43D2E78075392B4596F3DD03DB9456E770D7DB69F62BB5EA42BC408CB621A6D269027AC53555F1374F61ECDFCD41725AD0B13E8580A882C6CF596A7805B8F903305C6AA8D0306C7';
wwv_flow_imp.g_varchar2_table(520) := '48F13F556C26C56901158DDABC623B3C9156D1D515092660403B382230E43A237164BEBBFF0072E6D9F014C69502DB17C84A9468F47FE5F865EB11D824DFAA61C784A458A75D6DB25E9157424575EC9FA680C12EC3D4071ED05CC368A1E4C262477242A9';
wwv_flow_imp.g_varchar2_table(521) := '017A4C86017795403C2F7299FE571815E2F0CBB8B4CFF00109B255794450EC7E6508989F044647C435857072300516CF32ED88B51011A08692EB115603B07F69D42CDE887BA01BFD141E414AF59C662BAB60BF10A867A1F57A63E7902D7CB4571969041E';
wwv_flow_imp.g_varchar2_table(522) := 'B54ED5919FB5332111D01FDCAC2BF232423E04F86AD0F1F3405800599F2B3EF1C4246DFDE489037D7EA4E23CD635ED3B8703479BD42CC0C36AA28868A1D05401CD18EC7FC5123BE3AFC553688FC09AB7391E63EA25E1A8CB1ED2F943B61A0AECD9E803F0';
wwv_flow_imp.g_varchar2_table(523) := '40602FC42F29B1E88F89767D60A335843A4B84DA55529782DF9CA131850BF78E2122A5E7624CFE1052C8A7C6614BAB406FAC7C90759978A99F0267D12286936D61D58114AA518CF38A8BFA0B23B93D91A7F4A951D5D87AA4D9ABDEC350B8480C49299505';
wwv_flow_imp.g_varchar2_table(524) := '5B8AA1A1A53604E31830C2ABAD59B0ECE470DD85A828A34E89737C5446EF8176698E01A57660274B870453A720452547886902A271728B9BDB061882A216245F58CDBAEAD26A5A700DF6796E50A4393C2D05160AC150B72437300B2807B7DCA4EE15554A';
wwv_flow_imp.g_varchar2_table(525) := '6708FD0FC33C28FE4A34E6256783F9B207FC8D5F884506A58EB78F17049628D540CDBD461D34535CB64A0FA6AD465E7B55F8D8777A080DB52E380D74C29187913F88B816CC12FD197AC0096C0C6A66E09B635A714429366116D9668983BD03F40D5F665D';
wwv_flow_imp.g_varchar2_table(526) := 'B630F6F6CC0A9214754750AFC8B42E0F0C0CBB90342430D8FC05DCC3E8950AEE9F512611845062F6A8304D68FF0069975B7FF2CBF16DBF39117BE9E84F622000DE06FBC0296FF09F7BB182A76FCA46E69AE5DF6208EC5AE69FED15ADEBF56C623D71F22A';
wwv_flow_imp.g_varchar2_table(527) := 'A4325C06EDE26B9DAB5F64BCA9738FBF455A9491CB22819DB72C47B020EECBEC479BB2C2CE4F29DB5733CCCEF66730A23A0DAC4CE6E15F84D9B368255AE458149BE79455A18132C078A6EC9574A040E316F03F68B10552810E834DEAA68D8A2E2CAEF866';
wwv_flow_imp.g_varchar2_table(528) := '6E5ABB0C315D5F597132AA12CA2BF3338D1C2DD766E111D92F7C661C760D609C855948505140712EA918948C00AD5B5B037300C2CB31BF312FC587B04552A4FF003B2B621971A86821E79C65AAB3A48AAE8C55050D2B3D2A15336CFAFF00E99CC747A207';
wwv_flow_imp.g_varchar2_table(529) := 'C3A4E21982B9B50C8E4E7CC66EC0C0E41D5A00A12FAEC1362701A3D16C6A697F7B0D57A294C0EF9F05F3487C6CB74FD83F684280D6DF35BD9E4B2139A94952F07A65DFC3F00C0D5CC9BCA8C7BBBFEFEE5CCA222DA30BC85A6EC6918C05AA6DDE9655B544';
wwv_flow_imp.g_varchar2_table(530) := '93B9810805B586DDC37FA3266812B838B7F45E8D30CD94E9A7E83EA430708E92051B5B0AA251EAB23FB8F6DF51B80502E157C010AE21D2DE7CAB19DCC1469D2DA5018D44047A4B86B8C4D906D6702000A5D0706A5CE868CA0541E544D9312C045EC46C81';
wwv_flow_imp.g_varchar2_table(531) := 'BBFB2C4E2CBED8A055FE2636947D400ABAF4AA9890BEEBF04D03EE3F99F7FCBF88973FBAFC880C280434FEBF950E46C13FC292067E6BC96C3338B65599B857FBA0F1F683D695E0D7449C625D4C2BDB45158E9608D94A7D2FAF58FE2BF250DD5A620AB35E';
wwv_flow_imp.g_varchar2_table(532) := '89C40E113E4A67BC5BCC414DBA709072EE1E198F6FBA3693EF1C3C6E45F420F48A8727D594F6576632A4CFC11D4DFC08D430A88441BF31429EE82F35CF77D188181024ECE0AF10970EB51643163A6C8C755166856666A890D4A5DD83C7503584399BF6B0';
wwv_flow_imp.g_varchar2_table(533) := 'FC602315D1FB35F2201226B82C58EBC8B1209C90A7FE68DF567DC2E9579253A5A0D9CDB148AB81581DCB432B9AFE4890EBCC41D80A579A4B65213FD2FA15F5944B858EF57C1E4B20B80B3A3A012BE65145C44B41C688260C7DC125108DEEBA26B50B64AD';
wwv_flow_imp.g_varchar2_table(534) := '6E328191E7CDB000845E1F12D062793B278A66D9F2EF9F9F4CCEAF876234E907A42AED62289931759B80516AA1214D8EA79B11CD865AD63C4B170CD941BDDEC8A1A0BE45AEDA08B2DBDE4035C68D04336A32AF3C182116E9AD697362C60599CBDD10757B';
wwv_flow_imp.g_varchar2_table(535) := '1EB2A566DDC2B7EA258D66A705A838DC25903592B107B764B945C70FB08ED7FB7A4B0B01CE1EF18160F18FDCD80CBC45A8201999A7298A08C1A84D42BF03FD46198E07E165EA3E361065D6DBD24590641D814BE425EC4374E4F516C880E72AD91ABA5EDB';
wwv_flow_imp.g_varchar2_table(536) := '9F29DAE00398F64CD9655D7BCC48C8EE27226250F622EC9C2DE3CC522064723D04805F27C915764BE7318E030959C8EDB8E6876DE7862E987CC0D611A557E66C8AA8E040A3C81E48A315996D547CFCFA388B7AC1A16850007A8E4B203754BB799665C650';
wwv_flow_imp.g_varchar2_table(537) := '287BC4F0115B6B9607301A2CABE666985AA500ACAD841981D1161D5318A84AE05648E9B252B61E5BEED61203CC0B119BC895FA81D265DA497C433626802681072903EE3C2D5282DEEB84A285BAE9A0DA8B762954215C4F429EB0FB92A1D801FB986558EA';
wwv_flow_imp.g_varchar2_table(538) := '6335C08C5A419ED0E207FA06049D3FA44D4DE2160E03CA73518366BD39A9BB374A7ED0862C70AC8C3E2D08F122C847CC32A4A62B4CB56564850F3DDF9AC7CCBAAE286C96002D350812E0C24B7EA17DA08C3A9C0D1052DE94A91AA3C1EA3C4692266A9AAE';
wwv_flow_imp.g_varchar2_table(539) := 'CA620CCA79EB0E688991194ACC5DCCB63DBE66F67096AC08E8039B59AB7398693B3A2EA6B7690F2AB42ED54DF7A02242694953771DF0FC403C132988D2F88FEA1739C9D33AD09F921AF1855F350B102CACC0FD6C18BD0BD77164A3B800B42AF6B06A08F0';
wwv_flow_imp.g_varchar2_table(540) := 'E4394BD343E9A64A5731560EE702EC71E4E9C43C4F6F9229269CE9A8FAB25AD20AFC3B958A2CAB632F1C42252EFBBD2101CC14C2BAB54585B1E14413F5144734C198BD90035385EA0A704255D81DC3F80B9A940A2612BED11CC45144470A2B23C92A3B56';
wwv_flow_imp.g_varchar2_table(541) := 'A272C7B42E30683E87C0B5B8CB9282C8BF6C3B470BB181BE66BF922BBB55CF09E02BBB89282803F97703FB83F8E60491B6F937ADD3589B7B7FAEE0A830130DB46F7FF409705FB218BF4B7FC4203D05FF0013EAD0A5D596DAACAD9121AE5068F8222A226A';
wwv_flow_imp.g_varchar2_table(542) := '28B544405FC7EEA7AF01D7FA941361E3B6B2B5B9867BF05BF1326435CAE8782554428A6CB2F1A0344A22282D0CF4E488C97C8EF2C6436680415E25035781812E0A58AF0146E82A1B48311588A3A6FCAD7CCB385EEE16D75CD64301D4215B15E4C1504345';
wwv_flow_imp.g_varchar2_table(543) := 'A2C073A81A74968F6BA19BB13505A06DB19175674DE91ECC9F2AC0473D5A6A67CF011BE6CE13C3B5DC220EB211CDA27CB34B7A95BC3E428B392A77C5957AAF7E25EF95E177BDC6D3CAA81EA6182F7B4BB1D3D3E18C8232F1D4A89649BABF68A934A21486';
wwv_flow_imp.g_varchar2_table(544) := '18C47F2E2988400B4A8B792B2F0C171B26EAE65D4472F9D9ABBF780BD16420B7A1C86199262F4C20FBC61EB2E78B97704F95215E9B056892BD92B2D9C65002D5F136010A270E26C58B2BF276CFB2AAC1D8601401A0084741111227A0265381391DC663B6';
wwv_flow_imp.g_varchar2_table(545) := '85FD2A17F61955CB049DFBC3F2C15616764A38650823251048B6E5D8FE50491EA1AE7EE2605E1647A169EF2E6A05CE5FC4D0BF81D7B343E4B877DADB041C2EDDC3DD1E314EC1ACC8D4962919C4F398530DFA8333A801F92C7F86D15EF8BE533299BBE8ED';
wwv_flow_imp.g_varchar2_table(546) := '07040BCCEBAC8DA72022B4032C288EFBA8B028280CB66F0B4C5F12914117E14286FB32A74B42ACF64640C16B03879BC41C112102AFA4656D97CB7FB2B88DEBECA6BD888403CCC95BE12AC492B259A4291DB4045D68B0B83D0780B90148CA3A5A7CA4C019';
wwv_flow_imp.g_varchar2_table(547) := 'C45CCEE2DC56481B5E48B5982C36B26AFABCC6D872DDD3DC39ACB12C0866833EF8068EE6BAE4ED76F6B2CC4D94683D5818BF0A626CD667DA5B5D6E259D3143B0317188A1BD7ACE4AEDB01D41F1163B848116178F4E838E62589C7247BB5E16BC8141382A';
wwv_flow_imp.g_varchar2_table(548) := '4001F8A942A0FA9020F965048E57C30A0A444C8C030994278B00750BFB7AA5CFC60305B08E444E5210FEEAA3EECB477BABC69E41C41005820F6E5E6FF26A5B60873ECD45B087C4B9C402A4A9AF1658948C3650102C8ACD45C5D309D479D94F32B178D155';
wwv_flow_imp.g_varchar2_table(549) := 'AC919A8F2B3CB1BB9DA230EE8029B10DAC279C8F6E4961151B6B92094CA7A30EB9866A81123D4CE6D7E58D61CFBC65E06A388C8CAECCA13736D1570A93AAE571D1BF76D02AB013B8DBEC525028A0A81B1692352266B65667F916455559455B1EF1421023';
wwv_flow_imp.g_varchar2_table(550) := '965EEC54CDA073D07E78DCA2789EA382093BD42AE847D5A81181404B501C9ECC3E58C6F350A20A38BDF62222FCEB92B6681643887F95B766F60D03B30A615F03723A542DC5429FA62EACE81B6804291611631362CAC42597C04AD65438B0C4575C615DE0';
wwv_flow_imp.g_varchar2_table(551) := '94F2054C55572CB944A6837847244072B7B121A92E72A134A86FB220D84AFBBE25143B4721B80020A9BF663D0581417A8712521D9C9EF1089B97B8B7021CDA5BF005C05E9314FBB89C7787C9A81C1D41F0138C833437EF08D58F8A21D2350737A63A5F11';
wwv_flow_imp.g_varchar2_table(552) := 'A00E0835CE258EB5442CB6C088BAB96470BA992A5C950BA32B112516A324661F9CA1C12B17286181EF04CFE58C2F3F8799001CB0A0D4E990821EECF240B9FC2178870095EA78E6B04DE887B1B6EDB1D31A8165286C692B00004A3BAC937C7AD883A70252';
wwv_flow_imp.g_varchar2_table(553) := 'EF00D59A9E5F9E16449908025EBBD03172E42A57B6D9EAA1C801EE0420F746A7CEA00F114752DF481E223A6CDEB6694DBCCA89949880F65E2794854792F58398D1E1650448C1D442F3458A5BB911D55C76E835E2F0CA2ED63D77E8E573EA18808485979E';
wwv_flow_imp.g_varchar2_table(554) := '1F88431184BC5E9154F98E58BED8DEF904AD652780B2F761A04E716261310C7F0546825D73F8CB6EA7947982A3445E71A95B6967994C2E72F28F07705872E15B57F52AE2631114262F1995AE423EC2F599177D5A84BD983E2A1D991A9E8C3437523250A6';
wwv_flow_imp.g_varchar2_table(555) := '1BA85A1114D798A01CA8814AAE11A33DB53C3F983335F7054C9F7196E997BFA4436E225732F214E65CCE50CBD52FCAA60F7031A3280EDF887D92AC62912C48238627A5349E94311D40817C4A87AC1963CFBDE6064ADBA9453822C2DDDF46001A6F84F4DE';
wwv_flow_imp.g_varchar2_table(556) := 'A9EE51C1C957D037293885AC2F8A65E05E6203D25351D661822CBA15C5FEC8981960ADB597DE18EE60131E9450C01E6A5832384C72A476F31BE837A48EA4818C5B4A410D54A066030EF50073C96E0CB29B8F1C5ED7046E41780690DBA56D1C198B0DA535';
wwv_flow_imp.g_varchar2_table(557) := '6FD48DF26040BFF9DA4AE0297AF00C90228AA744E3F6E21D276E5214BD1CC59895BC301F32A8C78860BD10C61FDB3FE8FF00840B60B43F420377F4235D94559C392E5456F1751954CB8B1EF2E104F81094097382A905C0A537988003A699614E148BAB7B';
wwv_flow_imp.g_varchar2_table(558) := '66FB45AC03FA62C52C8AB5F1897D95EA54AD5D81B11D332EF5C5FEE18B0235D10069C07BB32C2899DC7CC044F78196D22935F546CE50A395F04C147D48A55FD48FB30BF04414BF88B0DBF88FF8A2536BE04200078814FE083B7F045FFC90807CCEEC33C4';
wwv_flow_imp.g_varchar2_table(559) := '78EA1F189685620B7C4F423C20C246966583C414D01F952EEAA07DE0056700AB214A0C0D01EC88A8EE16FA0A18F02DB5AA382A104AA0A0D7E110C9D82ADB9D231BC38034EF436713CF538074C23769D6AD42AED012AFEC8CA798494C238A9FB350B7950B';
wwv_flow_imp.g_varchar2_table(560) := '167A5F8AB05816710C1610F94F02D7421188D26E67698D8F364F12C454C50780D1062D82A2D2C8D2317668703ED6302A6C024D807AC54512F3D2600C4E1BF91284056894E885B2101D01ED2A157BEA2AEEF052801C0C6EEA10B070016AF012B4AB623BC9';
wwv_flow_imp.g_varchar2_table(561) := '7A9E98A93943CFF319E6B9BAC601EF044CD96AD90D3604636E4FDCB9979962D5B7C460AEF21CB919CC75515DF079B7331C2955619955E9987C980A3210C544C323EEDFD311596C7C0FE9FD45CC68C5D135CC174951D1F50275F51F13E48BC105BA9DB3F1';
wwv_flow_imp.g_varchar2_table(562) := '0EA2012ADE5DD41958083DC0C7B2705FE35F814C3279D2D5FBDA0CFD741DE17927E9615CFEE9F6408A975A7CC6E023B2154F8C16CBE8FB454901DE66A5ACF28D75FA81B22A05D5A8C556469532AAB8051140B0852A3D5420B05D5B2A5614E5262330800A';
wwv_flow_imp.g_varchar2_table(563) := 'C7902A6D5FDD45A8BFA05FE66CB9274166445860144513F044B8A840AD2C5E1A188C252436866A13B8956194DC23449E5954D4BC9CD663EA002AFF0006022607888BC92B04783F50734F71133044E4182182171983A007DC86B3A2663ED18070884FC3EC';
wwv_flow_imp.g_varchar2_table(564) := 'B4605E096C743B5E025D591549F2A989F8E758524B1744A5D6130469E205823EF30F39843B41A729E7611CB08DE65C729D01E5A25B60375BF71F517BF98867D8FD08A4E4FE4E2682BE55AEF426BFFB57701EC8F1FB322ADEA98DAC51830AFAC3E6B28FBE';
wwv_flow_imp.g_varchar2_table(565) := 'B3FA507FCE3FA8270FF95CC7FB8B7B94FC5EE3A2F11D8FADF19F8EBA2A70408308AD382B07CA94B253055F3E40FB243BDD6FEA55BB7437B304CA6F9BF4203C5E007E998110683F24136B078070B64AAB28232DACB6369C8ABA7B0CC42040E08ECAC8C7B8';
wwv_flow_imp.g_varchar2_table(566) := '00E084C5436E56BA86F4FDC0A31098D43DEE5729F763F2C2808F1A363EE96992F58223FE2597603FED8E9B63A62FF8CD5170C5D8957D294B0830F32FB2012F69946B71F4CFE181BCDC3730A5E85B43551A9DDF89A7034AD2D6E00C00B066F4E26D6718C0';
wwv_flow_imp.g_varchar2_table(567) := '8577FEB046EAE68A55AED955A3820689848625D130DF5E0DB28731A2A9168D9BA51106A206416DF50C468CAF31A900408A423175E253C7E02ADB899516A26AC162C0289C81F8A02EC2559A9543FC7232F811C44D80C32C8195BA81149B0956CA8C4A182D';
wwv_flow_imp.g_varchar2_table(568) := 'B20C2A8F3794A61406BD865A14B3E92E9178404778BD64CFBAB48A958FA3D96A5A40C2C9E9FF0007D455B686340115A845829787332EF4E819870F9055315AD72A111BEE2E5AD03852919A0BFC90C2002757CEB7187656F4BD5AC54F7898E0F36320B7A0';
wwv_flow_imp.g_varchar2_table(569) := '27FE8A0BE1F159F2454CC10FC4A5A3E61B0D6515D9750E5886F3387FD405F57090350A8CAA3346259E99F83B01163C375552DA1FCA10BFE495B0AECEAE9EE11D3909485FC4ACB2BC6E3955FA132826FB853849E14B9751C187E217CC6767C928B32F4882';
wwv_flow_imp.g_varchar2_table(570) := '05EEF71F9018EAD4ADDBEFD8725AE4448E9B7C31530AB4CED62A968A9359CBA69CCAB5146516F781029F411D569A1A658280C3124CF1B7B4850188F2A8E78CED1D92A45315D85111F2012AEAF821803E89E681EE768888FF00108589CE1FC7DD97D3930B';
wwv_flow_imp.g_varchar2_table(571) := 'E0C077F10035401CAAF23022C3664533F044D16DD5BFCC015B0F13B0B58211F0E87D610376E2CA9E1520EC7B993006C021AC2D965D8EAA9366B7154702AB05984D639E29850C40CE9E651198A79B8F30A402B1BA368E46006D96C6BAAAA29732072FFC2A';
wwv_flow_imp.g_varchar2_table(572) := 'B70497401A080E3FA9934FC43C5FB89F30F782FB7FAA9B58DB1D0A8E8435BA06371B3E26C681C97355B96B37F5420344BD30C7E80EA268B9769C07F3297B83BEE11E82A140176B68215B3DD808E2A2CEE5737839EE904B51D04B6B061DECB76F1A79A40C';
wwv_flow_imp.g_varchar2_table(573) := '817035FD6D459BD18787B1145C698A24C060956B17683621B659BA32C45A717FF69944217AABC83B845FCE0204B737281A6DD108A142CD9004A3D4CFFD996E5455FD51E9F040E73EB0590403A6C4EED7A998201A2A026218FE87095BA06026F00C536A80';
wwv_flow_imp.g_varchar2_table(574) := '87B44BF09E8843283147D8BD54349967DF414FC0FF0093F54300A58EA1A51D050FBD0E10CBD598DEF0D61A178FD16B41C0969B261F496E03DE1DD9D23DC80592FA15281F028EA3709E8F24B86A823F82576C3DEA669E02536DBA28AFD07706FCA4C31E2C';
wwv_flow_imp.g_varchar2_table(575) := '513E965549080AB7E8411DBED7E0031C148ED6EBA2AE28CBA69F6D527712A39BDF7295D1542719689C0D71FF00394B370D8065FAC2AAC67374B3DAA6413B1BDA366256C182EB3170C7BBC1A5761E787AE837A8E35401A088F1022A20A20189FBE0B2E5F8';
wwv_flow_imp.g_varchar2_table(576) := 'FF00AAD78533A9F687F8B9496227721120E434D551D5AAA51BB001309A671204B7F81946AC8CABDC747B8285FDC1FD40B5EF9227DFD1187966A2447839114D8952F8DAB8C0F516CCA87675DECF795840F9183C4726A8D83AA53A14831400515821734B15';
wwv_flow_imp.g_varchar2_table(577) := '37B972B1E893314DD2A01C1D005FA8B95A416AA821B92000F0B716AC00A0FF00313988045134D045017DC18F5C7C27A103D1F12DDFEE03DFEE29B0AF2C062C3EE03C3E19FE0B80CE53DE3B9835858FA6570CAF821E34698704250A20D9595739AAF29141';
wwv_flow_imp.g_varchar2_table(578) := '49C42A6D8FD91FFAECC833AF9CFA844A4901D2885E7E910E597C7F488B8F82A239FBC3403EF0A4A7DC08F5F9F6C606837DE56FBB1028307AC0AA8CAE01EEC3CBD10E74E1D30517A1CB7D59C75D104BB9438A725206AA9ECCE3E84219AA4277F4FC0E53FB';
wwv_flow_imp.g_varchar2_table(579) := 'BB7F9C753FF8ED349FD2FDA1D85F4FE290EFBEA7F510CA717FD89617D67F38CAD54D5E9EF060806707797D66686CD00462186A0B7F7C0301EE82DA3D937D3806AB924B3DAF8522833F53B1F51E7C956703B77896B916F82E6A52022D3828D6C8904ACBE7';
wwv_flow_imp.g_varchar2_table(580) := '66A32D4D74CC0FD27243DC65FC8272BB7630EC51453D7ECADB5962CB8EF84879CDD13079C755B6EEED5CABB61D447547E08F5A37782CF904631C2B6AA89A8C9102051C41696A39C9C3DDD111A4F8EA989675300799CA16E95908AF7355EADD8AB22AF68A';
wwv_flow_imp.g_varchar2_table(581) := '5D3E083AFD44D3FC040FE04D64531FFF00003F0B8908AC19ED87A46EFE19D719E595407E9871AF4724169CAAB3F6427B543A362CEA0E850A0B39A701D1137A235A407A31CEF095CAD977303DCAF73C9F6C652A1B45FC4F6A557571CD208CCAE38E98045A';
wwv_flow_imp.g_varchar2_table(582) := 'BD0A59042F5186B272252BE27D0D0FE2073305817B7FCCA12137414F52D0E10BB28ADDA90E9C84080EB3194594A917D6EA2EA574146A1470E6306E2AD40BF25EA0EFAF626797D3A94A792F6B18C097424F014730A182F74759E5D1EDCCA2044B125F2B2E';
wwv_flow_imp.g_varchar2_table(583) := '176846C55E2A8F32E8A8B4608754A58F5A82B10F68FF0022EDEA2AA2B5634E10F02AB5F556CC331CF43053A408C6CB8BBA4F08DC88CB03E5EE2ABC5DD42B4DDCCD7947F538FD0406EEA12CFED80105A228241FD50B8B540574EE28D15745AA3763507C2D';
wwv_flow_imp.g_varchar2_table(584) := '8D3B367F52F10B7291A372AD12DA4AC5499B1A0F9B3F8D6B550E881C497FC053F131444832E590B300710AAE2152C2D033C904E2E31642459A868B7A0E673CB5430F27AB84F9828C1D95FBC2D1644C7AB35EA996AE00CA5CABF18627A33D28F11958849C';
wwv_flow_imp.g_varchar2_table(585) := '470805AE174E3140BA374D54510F9E4565AAC4C45894D4D025202F37AFA776C2ECB8992015DB6DD4CA8AE588558DE50AAE22161B08ADC5A9B2F46AC18AAD302340ED5AA63CA1ECE2E9D9511423AB59283466E589CD91050AAF81157750285B28DCAF56D9';
wwv_flow_imp.g_varchar2_table(586) := '246C0C7B99AD2859BF446C31FBB511B804C4AC186C7A5FF6E1BB8FDD38ED27178A89AD01F3D8C14C302066C6CFAABD9096A5849C0F841B0A1799E6C6F2D1C794389511DC21BDC7B1CAE8B64665ADB00214AD8F991771033D9614C9156A2911D0B14B1000';
wwv_flow_imp.g_varchar2_table(587) := 'AE92F91C4D42BB11B5251EA971719465B908EB7CABDEA3F6C5DCE361C2FF00958810D11435045D37D43FD1F853A544D225FD4BA7450D818E480C77CAAA92AF27C4CDAF847A2144668F04A50EF9FF00A73FD18EBFE73A1F99573F261B9F2313A47E63831F';
wwv_flow_imp.g_varchar2_table(588) := 'B9B62E2D5B75641FDECB743BBA6A7017CA0472578B10AEA9F888ED28C20D843D0821C12C6F53D29EB226E2BD46A0F2ADEF887024C12CD4DA0C515B331A68E0829AE6C7B28DB0072B60665328CC00340E9F77261F5B10E86DC3C23ECAA16CB70311E112F2';
wwv_flow_imp.g_varchar2_table(589) := 'D39499DDD339046606A2CAC2534CAD9178D46A0029F1B954B2049A5E07501AA18AC074C312A2868045BB0CD30010B3D2C9CF863E507CF44AB59E2FCC7711F78F6E78B749FD32B519D18FF713CEF927F8244629A80F5130F895ABDBCC4905DC6475075830';
wwv_flow_imp.g_varchar2_table(590) := 'B65404C9864151D7E150484C33188C3AA9676D14516598A028B4F51296B4408B82461573BA437A9754DE3460AB60E0AFE770154AD059C4C351E8BB4BF30478E30C40672B133CFE00EFE09839FACDE36B34EDA90064CE48937D8971CDAC7927193E946757';
wwv_flow_imp.g_varchar2_table(591) := 'A2FE59CE289787FDC9460BAAFED221B88AF1CF2A83B116D9B1D599A84D9009F2E5ADE4B21994A8E6D5B705A461D17339431070FC272598B0E09A13C8A0D7D923D4AA03AC702510CBC953AB5A20C951604854C4BB8912B1FE07897BA3039384DFAD9715E9';
wwv_flow_imp.g_varchar2_table(592) := 'C130D76F88596EFC601C1879A2CBD0E56AD915C3C4347E210C232CB7A401DB14C459D5234E4E499D0A1DC1C39582C6104B2DCA478670782CA0BD1A98AA91AA192D06A98643C0AE9D1CEA9D44CD6E0A2AA67A3A8DF94D4CAC76EEA59FD5E89603CD547170';
wwv_flow_imp.g_varchar2_table(593) := '663C0083397011D060524ACC2786087210C52660BD60B6A9942CE15727626E289A8429A8ABA1EA21101B45E946BE48678CBF8CA044D27718D66160416B845959DCC0AF228879808C159445B7DA2507E0002757E3921C8BCCDE1AA3BB7107D848D7DA5286';
wwv_flow_imp.g_varchar2_table(594) := '78587EBB65661A461362687F96CFA80710CABEEA401E774671DAC1A877BBC474651722F84FBBC0595D2E3C4D77CE6017545963B478629C5DC7511B0C90511399649A806587098978E629D1082856DAE9F24C05B5CDBD46FDF06C979063BA96252EE26C7A';
wwv_flow_imp.g_varchar2_table(595) := 'A106CA527145C4BEDBBDE7F82545013BA031E909A654A942AF18E6A3B83A964D338B37880E53160673E047217DC85818866311B638706A100801B57528232401C81750A88141FD574620654D46C57D60B5EA0A8B6F5B98FBB54786AB7D45EAE6342B7CC3';
wwv_flow_imp.g_varchar2_table(596) := '06A38C52F93FDC0FF3323EC2E140258222E2F09648289A98FF001ECC4B23CB11C20C9EF8290C1F7165B251B91E5BEA53A70714A415C3504AFE051BA6B381AC92A2885E81AD318C06AE78F16DB2BC388A3155BE62064533D05A9180CED4FAC21F47EAF909';
wwv_flow_imp.g_varchar2_table(597) := 'B95F85D23A50AE48CBCD2C1AD0CAA6381BE4B5431D160533B5B5231B652ED185061181747C28B57C6657AFC2B6612F0270C3A5828E8BA10A4C98A9AFC28178A084AEA3D8D0982427A40F40FF001C47543DEFF772CE050E8C327F0A9558CE2482E83C1A16';
wwv_flow_imp.g_varchar2_table(598) := '2EEF99623486AC625A5A46B0C01A1AE00435980E24F0B6185CAA232AEC9590D50A19E905418B5B7F62B6E8CE7000FD4B17002094A1D8C38395AA15D010706F42110DD145BFF22E328B694FA2CA53E6FA5F378BF99A72C307BA8881F432AF040676943E58';
wwv_flow_imp.g_varchar2_table(599) := '0D7F9178341D04AD8B782C5953D0F9401D78C0BB508F61BD9860008A2B0294D5CA35255B3D0214E53E1CEDFCF0EC8B25CA58FA270B4F496EAB9CC06E7E010273E1FF0059C7F8483315E1FC2B241A5EF1C76AB75AAE35DFEE65E29473420FB12B00CCEBF0';
wwv_flow_imp.g_varchar2_table(600) := '204B10CBBD8E65CBAF0469C68AF64047E22563285936E50D455CC0DE4A2365FC72F6204CB140B3528898D2ACA8AE13446B0CC54717B3A6C5D1D58DB418BEA5B48802414BDE20C72862B0ADAEAABC4AF987622F6D726A6EBFF1EA1CC3D0A3C4DED3F6C11A';
wwv_flow_imp.g_varchar2_table(601) := 'F713FCC4F3955402CD4613D1B430AD54559067C8AABA84CD8CC9645673043340D000AF88C3EC9C565F5ED152725FCC423F2D0634BD401CAA8446CA65F81E8665E484A200F2A82134E36FB2A0945C0B1B7329FC47F447D19FE1C77ED1BC8D770C559196D2';
wwv_flow_imp.g_varchar2_table(602) := '559D714B8E70C1E6D6D2B6420B96130D08640C36AA34A5B1A7646E164C38E5C6786EE2F492EDD537CDCA1244CB49E59CE84522A1496C6E514E1B9B55921E4416098D5F16A15BC1CD43EB940375C0361B88682A81A0770D12EC1C438EA5179D4B8C72E226';
wwv_flow_imp.g_varchar2_table(603) := '4FE1469A796008A72DA6C46E35506D63EA17FA7D1D9FD4BF642865F5A476BE78BEFEF18C81DB591CF599BEBFF02572DA6B27477E30B1136C2906F43D72E433A899D197CA40C370A0EFD8F811CB65426F0188EF9820920E01E4599E44E6AFAA46240CD91B';
wwv_flow_imp.g_varchar2_table(604) := '09CD3368AA163CF63E4D30043024531BE8970D1F733339185066B403B601CC986786D52BCC0143052C2BA2A30D9BCAC91B6BC83092D5D059BE0F1620C55EE2B5920D618F2890240982F4D05334AC8F207B4C3D090E92EC78E20C28C26F13C605C984A4D3';
wwv_flow_imp.g_varchar2_table(605) := '3FBEB60BBF9674220E0A0A1E62B702260B1645784C1161CC0B72E8C7444EC2C8646B50D0B8E7DF6B6F36C51ABD05460B6CF24A09D41EDA65FAF58FE65DCCB63B88AF2FD4159F182B2BF2A01EA3B70059609191ACF0EBDA4D4CCDF2957EAA919C9717CE50';
wwv_flow_imp.g_varchar2_table(606) := '51960B2EC4C2E6805FE205775CCF30ADD8FBA57BB4460A0ECBAB6626E7BA5CBED740653809A72C065EF4FBD59648D67C4224A6ABAA3AACBC918779426EA8B6E1997C92D85F71442CF648898031607D17F0CB8365D5AB3C2D8980D6FB2F316F09735E28B6';
wwv_flow_imp.g_varchar2_table(607) := '45594A4301800CB1EF732B69D1A25D9F56A2EAAD532BDBA3EA431DED0B2E5B7D60801010713B350CB5900D3468D43AD6CBD77DC7EA80E6036609C1D41EF856D7F446F02B6B01DB899E3A5B584ED993CAB4188E5867A6EF486787CC0064B1EB319E5E6E38';
wwv_flow_imp.g_varchar2_table(608) := 'D32B8FE98E9D1DA088AC9BB89002B7DF0CB5AA89E540FB20C4BD89EC43C37322368CE6641693D1861A859ACABFF2A58E738FC20BAFC143D6FE587F31430842808B8B874A2A21DC0398205C18330D37F802643A1F95C7A874D1F82B943C90A8FF00D88834';
wwv_flow_imp.g_varchar2_table(609) := '253D9BF7000ED91731F5AD98A08418AF441BF08855290F25EC8BA8A6A8D885AF726B6C969F8B2C2B9E0172AC2EBF61FE140FA1BBE0C410A56D256AFDCF435206D2EE0165F0A98C0D38A54BD0632852075B4B9CC364EEE6D206893C5356AEC07DD1203A5C';
wwv_flow_imp.g_varchar2_table(610) := '6C54ADC67D5F1FC8F04A628FD474FDA76CBD040458F4797D08515F03020629090C9DDC87C40FC25D74CCD39148CDAB27B91F5F31978BFAB16C71F78358808BB48A0C76D5CB7768245D05241A28752685A7B934D92A2580F2A05F5338344455A49920AFB2';
wwv_flow_imp.g_varchar2_table(611) := '225D62A38EC600CC1B3584BACF5F41C0BD9531D66EB26B14DC54BEC0A5DBACCA1848299205CBD91445BB95AC62C65610E68BF423730C7D41C1D9481B8A84261F3C16DAD0B4D4A16B5354A59AB0FEB687D7B30FAE982EDFEA3206E9EE325BF741053EE0ED';
wwv_flow_imp.g_varchar2_table(612) := 'E76748C00DC63E04B4D774ABECBFD31AAEE22D08E1BB3B2366B6AEEBC2E1E86711325F2ACB7731F7BCA6F597942663A66F43EBF2B0C5C2DC61C5CCAEF319D4200C3CC3601EAD4F756ABE4A269ADCA167A97FDC1F82CFC89C2E678C48017040BCB2F93F01';
wwv_flow_imp.g_varchar2_table(613) := '4F1CC6BF1F926E4FE8D632B33011914315C52B04D006AE2A589706A07FAC8C6BD2884B7C5C836A6400BCAC2ED871D611A2ED4B2A5CA57A94FEE97201A6D02C0F20D44BC4E39616DB6B580FFDCDF51E85D11139FC8AE342AF30A2C456C946605CE0D2D3B6';
wwv_flow_imp.g_varchar2_table(614) := 'AA819170BC1276BF7C456B13A74B6209E08E6FD766538491B27F2F3083194245298094EA0B629790BD94C3120DE30A2AC3BB9C4701A4DE81AFA3BF5214F75283A44818AF09300D7E8CD63500CA3576556F423E4C905B95782B9355F5FA6DE194BD95B468';
wwv_flow_imp.g_varchar2_table(615) := '19B4646A225BAD97CCD2A26550F00C06216479AEA99A98A950BEFC019930383ACF6C74B0DA30C86AA8BAF0A37038A83D93B1809D91E7156D9AA28479F15685E8803A1446772FBB6C80F40C47AC061645F9B89A203D60A5B8691693ED274B51AF55A73047';
wwv_flow_imp.g_varchar2_table(616) := '6E1BE98E37F99DCC798A595A50D901A07F44A894A30E01F7CD730C0925447B222573718196CEDDC5148CC9BB2EFC4EC57A97B58B91F48952EC98B3F369FA854F24C2C25B85E0F7258AD2F496A96C4A808556BB9E85E58F6A994B4049EE07B108021A257A';
wwv_flow_imp.g_varchar2_table(617) := '227EAA4795853AC66380500021695F796D4BE1FEA742F74C5D7B407A5AAA5188E5EDDB38188FB78B9E75487282645166EC86C0F9039E67AA6058F9984A8F8CBD45B3D85046AE523E933025B9715736CB15F30506ABC9281623AE57F81AA355D9D10067CD';
wwv_flow_imp.g_varchar2_table(618) := '6A8B20AC7DE231562B404AC11A9B404C61C43A20B44ACA9A016E8B23025588120D4086264039E004F752E35207A4BFA11D1B943DC654C80510C18603965130EA4011B4CD0B6259B441FDAB21BC4E078B6BA21691A17C6710280022624AE1A3A45831BABD';
wwv_flow_imp.g_varchar2_table(619) := '70DF6F9A965D453DC8F399620655F4CA2B35A85335001E41CAE952B9A750366B15C0CBDC077D890043851E199958A12A2DCDFBD6EDAE0A32B661D32296C3594A12FE059BB99DB17CE6F5F4593EF954DD95653618469A6DE5086C36437DB132DE32634259';
wwv_flow_imp.g_varchar2_table(620) := '00E9A8045A8163283E74FA50510C998C5BE7F6C06238814BC46B2210214D9CC73B6146B4AC1AEA724562B0501C280BF4209C89CB3D09C449158A581D0170E187B9AAC0A7C593EF4D81883EA07EE14AF550C05CF6FF0044C84A681C11D12860498142E1D6';
wwv_flow_imp.g_varchar2_table(621) := '2EB71BD1B52A9E70CA2B56E30D61EEA080CD34B80C747994411AA0BFB0072017C132A5B69418490B5E500FB3EBDE39A3B0C8D6436F9BC371ECFE2004634B2CFA5B9C3EA71AF988184A42550EBC9F05B531B377587751BB97B36F06688C847DA3F65DE562';
wwv_flow_imp.g_varchar2_table(622) := '0678DDA0102C61CBD29622F2B34A32ADBCBF4FC47103CAAFBAC5601A487D88036CE2D95EAF2C387C082AB2F52183EA7E2156FE606ABAB66FCD2DC54852B8683EA055C0E03C27C621B970EAFA41F213C71142CC5B71ACD4B7C21D0A93A9BC50D10B8F4B53';
wwv_flow_imp.g_varchar2_table(623) := '2BCE03E65A451A6F2C5E06A142D1515F6CFA7DA538B18DC72F7A610B7CF515F6D4CB228D0B75D5DDAF0D4E4671C0C955D4C221EFA2BCADB1B6A59145F456EAF9B6C1E28D637F6EB6651C75722EAD2B7346901C20522B363B870848E0A8E160BEF2064BE9';
wwv_flow_imp.g_varchar2_table(624) := '46A153845F42897631C6635FEF10B2F9F240E67C9198BC7A7F71DA6F723ECC3FFB09FF00B90FFD10E87CCB0EB30C471E65EF771B8158974D1CF4471130619A979C8F7621FD54087A355E726C55D2CA90B958A399698EF8635C44B273617570FADE22EA0A';
wwv_flow_imp.g_varchar2_table(625) := '6BD25BF25E808C6D793821A347B141A7DC8C198FF8F703D1302ABE1B297869A40C0A88BEF1408205A54B6CE076AA61D29AEBC20F8A43E4D65585F98E5621820B1A8208914904A025E897639C58420414A6E0DEEF3E680AEDCE3B2404A464436118620D30';
wwv_flow_imp.g_varchar2_table(626) := '1B0E206D8EAFBF74A2100BE1A0498F2C8A6B0488D7A5DBFE0099A5A33F30C943DD5011BA0403CE6C3B6080AE03AF08D1DA34F0CB4583C45B29BFD63695FA40A78B5B6863249EB130BE406CF0CC7FF92E3ABF3060208D2E79BC621B81CDB5FF0074B85B63';
wwv_flow_imp.g_varchar2_table(627) := '2E1A54AD7592856114D6E407B974B5A8E5DDBDD16A85859476AAA2A5FEBB2C6C25BC74B31B042F9AAAC0CC4A052A1758D4B12860DEA4DA902D7A6951A8ED85EABC5BD1046C7A35610D7292FB517D0506B95E1860D12C690D32ED10B49F3B0226BE90EF90';
wwv_flow_imp.g_varchar2_table(628) := 'D8B8C7D44C556B3FD413475C8992BEE1981DFF009201FD6A3C6FCA3D8F6505350DEFE7816882B55FADC7B8BFBC51CFCC40D92CB38E2D50BE31674CC3EEAF1226577E594D468030D3881A8B66D387A0C1016F860045E0B805DA888109758964855389596A';
wwv_flow_imp.g_varchar2_table(629) := '9B2A854F9688B42F30F3B7F64B0828D439C54C2D95AEA341C67A65C73EC05BA45A5A4A8E87892BF3FDCB7D83461AD92685AF745B2AC7D85CDE47085EC95225AE0C02BDE0040C366D39B9FB731C0322229B6B48685D73CA4B9B2408505CBD2029CB5E018B';
wwv_flow_imp.g_varchar2_table(630) := '2BF07D12873A0CD55C4046E504C632983350CAA27712BAF2B9336701CCAAE0D26644569654BF88894A4C52C0CC0233E1F75A6EB545E7624CBB159D95C55AFEBFD955A99946B6655510745C4584D6E7D427A58C6AACDC3E088CCA00B5E2F562ACB76656B1';
wwv_flow_imp.g_varchar2_table(631) := '3C0C4286362E082302BD89C8078426C8B578DC5768AE74B280251747A7218ACC30802D5002E2F05FD76892774F540883699C6E3E28C0AB8322BB56B416B43946670CEEFB7EB8A71176156119316B9B27C806BBB1B2A14967F109D97AFF000CFF00260877';
wwv_flow_imp.g_varchar2_table(632) := 'ED181143CCA5B00259821855A1A4000326FD2D32914BDAF15903E8906635CEA3CEA346F1771C25FB2814814C4B2A27205751CD95A4C82712888E119F5400012C1940CCF202DD27DA0EAA1E607885CBA41115B32A0F34CC480C94BAEDC88CE05D80EAF2FD';
wwv_flow_imp.g_varchar2_table(633) := '121B89A015A40BCDA265D33FC9EE9780A6D803B58A0464119DBA00D8D3989C1729D76B3555572BD881BB93E8B3C409D5475946C6EE862A54A90B4A33EECAB05E51523307751C838169A60D84FB30DBCCE73982E9858EA32E9085690FC08A53684C1683B2';
wwv_flow_imp.g_varchar2_table(634) := '87BE1E5853AA8FCFC225EE5D391A7B1AE2D70928F9670028E70A0BEBDCB8A981DF170CE218312894D4A87BB0524BE53012C7FE6DE6B5DAC4092A848760D5E283685F372BB50332A631B5831D044DFE2EAE474C17A6210851486B229D2B1E57B9AE5815B8';
wwv_flow_imp.g_varchar2_table(635) := '042B32D0287156AAE666D8AFA82D7F63E1D21EE31B85C061CF363C58B86D8491A329B9587AE6205D6DFE10438F4C701AB1C34A08F7705AF676F682F103B3840B7036D3969872D15C4CA033A50A1071082BA8A6ADEF8FFD1C5FFB7F9D4B7A4555894C038F';
wwv_flow_imp.g_varchar2_table(636) := 'CB51C432E0F29E147685D17CAE589D7D987397EAAC14EDB5F0969B988E72DD283DC506A73137BDB1321B344327371750D739BC25473A542EFD9F78EB339F625401B92F314A1A0EF34B88C033E8C2145B355DCF9620281452AF1494BEEE2AC0ED7D950158';
wwv_flow_imp.g_varchar2_table(637) := '1B5995B8D04C8674268F9CB2DF0A03F5B48454645278B847EFC7240C0ECE3080AD7710E5877C40C6C8CAC37774479E70091E2165E1A6C7C9B0C80A7673013D1D2C27D4A2830A8CB042A310481336234A9393C1916164B87C6D631D9A8B1B866C8D301419';
wwv_flow_imp.g_varchar2_table(638) := '7AD081058545B5D54B858E77FAFBA8D72420FE76BE958E6B131BAD8DD160E2BF3048651F5431087C450DDA339E6CE0A5BF08F305ECF9F2A9A614F634C21A3C791152F959880883AEC88B3690884A1398800B1900D2865221457374012D5E84AF1220384F';
wwv_flow_imp.g_varchar2_table(639) := '40A0F9F12087F03067FBB130FA0FC5FC82F77F5849F8C208FE74BD33A8C9B67F7C6ED82F317CC5412396249E762CCF0C518C8FD21F1888CD6664880FFBBE235E1773C9828F0B2B106CA265737FA0F8006C33DB173751D01E0820DDB097AA09105234F7EC';
wwv_flow_imp.g_varchar2_table(640) := '3F3102BC4D92A86C494F900590143E104988E228E0A8A0D0A25441F6260405BC8A81695548F3706A72A737DDA16C1702ED86BE24534CC3CE4DAC7FEBC391AFEADEF0B9D443B5FB601B5FD198D60876B1D9A7BFC0CB348FD332865FA8480647A32D00216A';
wwv_flow_imp.g_varchar2_table(641) := '34085E3ECB5FA8B159B058D5D161777470D7C84CB086D355EAB6B101ECADF45974D39888108F0BFC11C3DAE8550102D0AD88D02926401422B1E0208E53A8E36955EDAB891460409CC52352D685F725CF44A4153A96BE9A7D761E79F96B4C797E61825435';
wwv_flow_imp.g_varchar2_table(642) := 'FECC4183D0952BF0A87E5FD6115082027DD42819D13E4ABE54DE07E2B1B8631F950B338539EA26081E21CB4047B97182501DF77F488479DE528CA0B82E05651A3828DA8CCB05DF0101A2C61D529444C38C9806D25E8B05E68983055428FE06387EF96994';
wwv_flow_imp.g_varchar2_table(643) := '1A8B6FB0D4604881A82D3DECE22BF89846A466748855C82D055BC11A769CD56D47A4DC190C5D45508D51A12BFB4350004B1DB6A217BBEB30F82AACCAE836CBC807281CBBD81F73A08AC11FD4CD8BD0B94F1EF17037E58C53B7D98AD0F5B4431EE625B107';
wwv_flow_imp.g_varchar2_table(644) := 'D18B919ABE80C2736285C0189184B7894C688E042420D906EA349BBD255992F352ACD819A6A690176F95E580184B4D054F057F704A834F45465E0C6246242B10D1F9AFC0F97F5812A1F822F819C0D2A189501D4AF11C707C4158087A451352CBC401C434';
wwv_flow_imp.g_varchar2_table(645) := 'DD4F1FD4B2D42322EF059B7823758D93CB108B0B8C4E447CB4B41A43D71F50C2D7F6C23B02A33E895943D540B015A6C448B0034CE5576B38488B0D5562A512F91E1E98F162E56F26E78D592BF7545BF5B849E1845B60729D9F780C70018450389A9BD8E4';
wwv_flow_imp.g_varchar2_table(646) := '4D8C40D409A66D0755F19960A8354EFC6364DCEF33ED92C4553B04BBCA0C33F647CBEE06D85D5EE7F8317567DFE03F6C058A3D21E62801DBFC8458352D9065B89EA147FBC7DFF319753FAE385FA666D962B2430A41007F31C173050F8730B6ACBD23D7E8';
wwv_flow_imp.g_varchar2_table(647) := 'FAA04B87B8C084721EB2E2FF00F0280507E94FFCC4FF00D121FF00521D080A1A5CBD083081F9D3D1089BA7135B21D445383E660C1F7089B0B372158887F7C17FEF129FCF2D7FCF063F9E6F9719C557F69F111AA66E1EB7091B15CC4B4002F2A03B5860C5';
wwv_flow_imp.g_varchar2_table(648) := '888BC89661840D6838B371389B31F82E4C8882A77172F9487547EAC34D04444E2980CC9D40DF4E2263A1BC7701C672440178DFC87985B8F62313D6C1332B71B137CE3091CA67A757D294C6A80E40AC0807C9FF000C7414ECC32E91958BE1696172240E80';
wwv_flow_imp.g_varchar2_table(649) := '08D20AB6C222946711307F15DCA3B5AF887A9CEC65438F509B3AAF5892C0DD500F8FF9A9CD41A70C22A60B438C329D93A3F9897F613FE053FE193FF2912FEF23E24AAF21F908DB817A4CA329AB004C13F64F35ECCADFE1FD128FE08274F3A7F016A621C2';
wwv_flow_imp.g_varchar2_table(650) := '9004143A40C4BDC15665EEBE3F12594F10AB8B732816E449C79CCB103E63D52DDCACDF37134DDDAD4B1CB7C92E5C287AC704A798B1FF00518C96D4CAF5598947682AD4EEA28E3288833E222684B49C4C91911481B6A2839DD02944EDAF1C6384EAFF0061';
wwv_flow_imp.g_varchar2_table(651) := '083B6310B69FFC5CAECD00764007E8CDD7BCE15FDD553BAB624A9A5A2E82310DA5FB53446305E20750E811FC4C2A5A8BEEB12FBC41561C05E688C5436CE2DDE1DC22D406C4F19D2231724246966F0C5B8690E0C19F24D14077E98D09C04090F1A60D6559';
wwv_flow_imp.g_varchar2_table(652) := '2A7083AC94C28FBA4C212D595F838D604B20B272E3E260F5835D188948219FD13D07A4C7B90A8A1F98BBC31405155BE2544B7696FAC022DCB6B772A54A6512F22BB1391096D463825D6E6AD3FDB800AE572AC6E5745C56A989971A80CF02F93FB895034A';
wwv_flow_imp.g_varchar2_table(653) := '61335168CD5EBD0590C0A72E943306887E0A7336257EB2258C1A8204EBCE1EE10A6A80C781F102830F27617169E90AEB22CF74B657B73BBCFB27D80574B72308B17214A4E5854E106AF5020B5BD919163B6F40444F242900C54031F48D10215BF88CE232';
wwv_flow_imp.g_varchar2_table(654) := '0461B56C6A32E498BB2FEBA886862551EA8FB758480450FCA970080B40F745CB5682CA7F017885178D4BE8607C32AC5AC83185F15189C027BCBD60BD89732BE61DD710D12E8C42FA1894D543DA40EDF317FED19FFA87B3E60397CC0AB50CE794CE395CB2';
wwv_flow_imp.g_varchar2_table(655) := 'B72F171B3EF0CC16085F717E421F284931D0D82AB0EA08800374725F72EF2C1C8903F814FC7ED1007D319207105AA96E8740F71230204DD3CAE1967C43D1C5BC0E1819F7D4BB0CCDD239DA209CD0A40BBAA52E3DC801738D5D97DD31DB362F8820180250';
wwv_flow_imp.g_varchar2_table(656) := 'C0EA150AFF00E135B264649EC8FC13D04583AA83F8E245E23A15A576DFA0E2332831888F59DF3D12653196091EA87D235316C16EBF0600C61C46C55716CBFD4C314C7A7EE597AF994E88815A85E93D92A0C3160AE88657A278112B82298364ACD3519A07';
wwv_flow_imp.g_varchar2_table(657) := '01FE5F0470E552E594A2F12DC2A1555A2E300C29E54DAB120788A68A5CEFEE805511D62373F855987E0CD4C79F3082A4A9A5315C7887945A5E0B0CA6E9F1020E21A11B0F623A97665228E29325C4106E08A764160B0941560F2634E90C9007103303A818';
wwv_flow_imp.g_varchar2_table(658) := 'C404422204BC46BCA37712E2E5E7F23F83A3A06F4308DA9009D8984200FBE1583AF496C22166221011082A37100EE5E665A331C8AB180951CC78415198F897893BB93483D2A3E08971D112451094A2EAD1078084C2BA8B819505CC5622E34EA21ADD57D8';
wwv_flow_imp.g_varchar2_table(659) := '4114244EF99600CB014CB5089165B173989CA305BE1392401E8893C1038C2B56ED8CB94C4F486123C6018594C8974EA2F2DC2687C43DF83B54A8ACD226C713FFC40023110002020203000301010101000000000001020304000506111207101314151620';
wwv_flow_imp.g_varchar2_table(660) := 'FFDA0008010201010200D12697533FC5D7F87494D38E5E969B06D8C94A6D5B8FFC75D013CBAF9925B724D6B4B255DC0B805C83D96EC675D471C11558F6F799B5D5BE35A30A95BF4BE4AD6C9A7AFA9FE3B7A7A7C6B5D50CDFD7FD7FD7FD50D8FE7D86AD78';
wwv_flow_imp.g_varchar2_table(661) := '66C743635EDABE3A1AFEBF65C9F97EA36ABB01745C164DC827872069AD518CBAA7C75470B19F967CA8BB0D35966A79D7480ABC5F81AAD1484396DD674C8D018218EDC709435F4A38D2F1B7E3DAA1AD91137AABAFFE065D1D13933EC2E6D2517F8ABA9A09';
wwv_flow_imp.g_varchar2_table(662) := 'D677DB9FAF4D831B36ADE9CE32EB577109CD6A6B683E5CBF6791B2EA6CC4F21046719AF5C77B36E78FCA2A8938DDB45A908944C5973CFE124755DC8C2768C71973CEBF390C6D0578E95AB939D4EEAA6525A72B855C1BCADCB297C91C57E43E772F298248';
wwv_flow_imp.g_varchar2_table(663) := '35B3C9BDA5885DB01215E4CD51ED581D903956359ACC340EDAADE864AE90F534BB7BAD5F4BAA81090CD5DB572D42BC725DA722E52A896E28238C7E25082BE3AB2E9723DA7FAF5B6366D97A2C2798516944D5C4607762AB55928E8244CB2C2647A45A09E8';
wwv_flow_imp.g_varchar2_table(664) := 'D5AB245B7A7BEADC7362B3A6FCEF136CB79650BF9ED195228E0716A7AECB05C3B613425D4C9FB7EC1FA4ADB34530BDC0086A89C5FE5E52CB163ECAED3E27C70EA6DC65890C08956F142B04BD972F632579228A46934FB786BC30B6B9F5EBA2F57E3978F6';
wwv_flow_imp.g_varchar2_table(665) := 'B20BE322905EB11704E4024CB52F1DD6EF36F373E3B58AA4B02867058477DA64C593D3B97B65E7552CF94795BF323CB3FE906EC5F8EC9B1C4A937123C29B8AAE245C378E613349C3C739A8973894D2CAF84966546FD1266736C5FF00D55E606213172A54';
wwv_flow_imp.g_varchar2_table(666) := '8ED723C5C8C62B0B22EADFE41F1950A9A6A204ED33F11DA73CE311EB60AE25B13F6A016062452ED01A11C6F81A55F05086C2A142A8509808CE864602AE89AB9D5D9AB621EE1E4F7FE513CA7794B4DB486230808A50AAB6AACB0DE1728814C6F194656088';
wwv_flow_imp.g_varchar2_table(667) := 'B1A431528B5DFE50D34DAC508A2F8D9AEEABF23B77260124A9F1E5458795C5C19D184C1234383EB4EA737290C6F9D8C6C914E715D10D64DAA68510C72AECB616AE82ADAFE3B16A65D29A3A9A0AC727CD26D9B9D49CAF88F1F550B813C9C074C737D924D1';
wwv_flow_imp.g_varchar2_table(668) := '1185893883437E2E57272F3CBCF356E692733D9DBC8610AAFAD8A297C29FC882D6ABAC11C3E3A0814288FF002108092CC0C48814A75D6B23FC8214F1D280279BCD2A2125BDA4ACFF005EA479723C7468CAD5A51F1E4E3238B0E2EBC60F1A1C60719FF98D';
wwv_flow_imp.g_varchar2_table(669) := '8EB925EC118E7BD6B61CE8674702DBC275B38CD6D008524C454CB6F13F471455B15B92D4DD49B4924FD9273334A65DFCF123A242636458E980EB833C79EBAB91985355E74E8A0ABE7919B531450D5924871E0B9660B3FB7E9DE79F08B6D1045146636994';
wwv_flow_imp.g_varchar2_table(670) := '9AF26EADABD775C6523CDC58484906B610922C6490360AAAD2B357328AAAFF0044820E7711D889B2ADAB16B67B66CF5137AF55DEBD19F8FF00B362FDA8AD58B3EA0C0F232B03939753198A186CE54130CEC677DFA437D5D1420F2F9F9D7D70D47F93C5B6';
wwv_flow_imp.g_varchar2_table(671) := 'CFBBE4DC868ECF66FC336D4EB759D234873BED248E76C46384572D1888C4221108CC632F962001EB132BC5149C8B9171C4D9D7DBB5CAF1595F8D393D78229100E8AAE0C98F868D6322575780FAFAE88EBEAE176EFD1657195A5E59BEF7C3A9BD5DA6C92D';
wwv_flow_imp.g_varchar2_table(672) := '435E96EEF56A0CA3FD24DA8D8A5F12DC7F666137EF310B08C183FF002736187ED93C22EF79387D752D68362CEAAC554A0F4F49B8A7105E35F2B539C27E6127507BF71CBFAFE959BB0E263705A368DD376E5C32FEDFA7EA5F63BE32715E3C68F7D9365545';
wwv_flow_imp.g_varchar2_table(673) := '9D77BA1B0668B3806A40F1E1D4AE74E92AF878444F5CC0F1A038516208E73D492ED7705B4DABA349DFE8E5E16521B5BBA74AE51B967E205181CBB87FA5C70E09EC9ECB099E5132CEAC0FB27F4DC5D26AA70884612074D9B8691D4FF66D0F1FB9FFC40045';
wwv_flow_imp.g_varchar2_table(674) := '110001040004020705060404020B0000000100020311041221314151051013226171913281A1B1D1142342525372204392C133446282063407243054647383A2D2F0F1FFDA0008010201033F00FF00ABF9B8A3D218DC3E183B2E7344D5D002C95D231DBA';
wwv_flow_imp.g_varchar2_table(675) := '09E2947236D27E6BA5B0E4F69D1CF239B0671FFB6D0638B5D1511C08A513B0726266788DA416C2DAB748E1FD8712981C402052B0E3E2B641AC62CF6B3403C091FC47A847148F3B35A4FA2776273124D92495AA1DCF7ACAD032E66B886B86BB7B94726262';
wwv_flow_imp.g_varchar2_table(676) := '6B450634BAAB6154108DCDCF10769448DD60648CBFECF5AA965B0C608DBC80D5185FB820F108E6BF0A57D61CD1686C0594468451E4B64014D9F162260EEC64B6F9F3EA10C4D65DD2CF8D9E72348A3A1E6F3F40A98D4D3B85859E99261E37F83DA1DF3584';
wwv_flow_imp.g_varchar2_table(677) := 'C2C5879A36E5790E6E51ECE560E038527624E71365BF0461665ED6FDC8DDE7E0A4C5646B6468ABDD4F013F7CC362B8AC4619CFCE439A470E6157E077A28FC547E2A3F151F8A89F231B6752028EB8A8F110491768F6878AB14745131B95B8B7FBD83EAA5C';
wwv_flow_imp.g_varchar2_table(678) := '29696CA1E0DEF4DA589764A60D3C42C551FBB1FD413B0D889DF3D3418E86A0EB6392C39FE685062646303DBDC1B0DBC4A95CE761F08E2C63742E1B95240E21E4B9AE36561CD7DEB5407F9CDF50A0FD667F50509FE6B3FA828846EFBC613CB304657D1235';
wwv_flow_imp.g_varchar2_table(679) := 'E4869A9F72CCD696905330F879A4CBDE0DA1E676405B9C754DE615471732D5D974607D6B3484FB877475B43A791C69AC1A9E406A5637A6A78A238064794399941248B29D0447B81D5C8A8F171BDF20A2C706903C7551D10D620E37E1D7A043904CAF6428';
wwv_flow_imp.g_varchar2_table(680) := 'FF0020511FC283313006DFB4D77C56A7CD70EA27B26F99EA0534A6A9192074576111349C3BC51D8AB68246837588998D7303729D8DAC471747EA7E8A6FD567C54AD638F68D342E9358FCEF706B471254338FBB7B5C07228C53425BB3DD442C54D3E4642E';
wwv_flow_imp.g_varchar2_table(681) := 'ECD9B6A353CD62BF44FA853FE9146E36F26B47C17D970D8487F4E3683E606BD5958E3C82184E88C5E20EE2373AB9976CBEC98A91AD653B3121DE0ED427C8D02E811AA378C6F0CAD77A1AFEEAAD01DAFEF23D3AC7569D60E39A2F6A1F0B5DE3E7D5B7885F';
wwv_flow_imp.g_varchar2_table(682) := '791F97583C10286778E6D5D9E21DA6FAA27826895B1C9ECC83E6B19837E56398E89CE04D9D87543866DC8F0390E256265CC23023673DC908B8D9712A5C36218E8DC41B41D1C2F2CA716DF9665DE3657C90DD331DD31850082CED339F266AB7EAA8081BBA';
wwv_flow_imp.g_varchar2_table(683) := '87AA2DE8B640DFE63803E4D45B342F23DB8C387C9398E4198CC97A48C2DF93BFB227604A228712EB5F847177B477D693465D9D4492B355306A9A4596F0BD14679A61FC7EAB2D6BBA0EC738DECE77C02A73BCCA056A57DF307FA7F8095F7A3C8A0D11BC0B';
wwv_flow_imp.g_varchar2_table(684) := '21C9A7132C41B598777C0EE119985BF8A3D478859E0889DF2D1F30A42CA8E838F13AA0F90C9338C8E29AD642E0D0DEFD1A54E20A3798695B159E084E6FC03E481720E6D03A8441D4AE7135DF029D1105936262FF00CB90B7E4574A4397B2E977B85FB331';
wwv_flow_imp.g_varchar2_table(685) := '0EF8BC153F4A62F0F85C644C05C7BB2B3D927803A942A217B02838035EC48E6790BB1F04E126A74B5F66C4C12D5E575AC63F768637C02222697EA7B3EF7FB823475D9A073E5A2241E577F3D02EF70D1D5B6FA84081E977E1B2246AD35747DCB537E057B3';
wwv_flow_imp.g_varchar2_table(686) := 'DE051389738FFADDEBD5AF8F0EAB9DBFB422107B9EE7D96B05D733C94AE68D32FF00A76A4D731D20680E6D6603620AFBE8FDFF00246685ED6837BA922FB24B97BED001F36AECF131CAC1DD76E071B4D0000CEA633DA701E66936773238DD61A731239AD6';
wwv_flow_imp.g_varchar2_table(687) := '8FB406A84D083DAD0B2081BA11C71B06CD681E880ABD2D01F8941360F3B0D4CC3DE04E8F07978A6BF58E569E228DDA9A3DD89E3452C1D218399A69D1CAD7B6F9B4D852F48B41968386F5C566ECDAC1ABA9C75AD961E36DC85BEF5859A3B65135A16ACF1B';
wwv_flow_imp.g_varchar2_table(688) := '2D9B8161774E8288E3B235A306DA56AABF0BB4F65000D13C00BF9A02A88DA8123E2B53446F428A342C6975BDECA838EBDD077F05330131B434D725D20E342269F26958E6119B09F02139F0BE49A131653C7F103C919642FAA69D1A5B641010237F814DA7';
wwv_flow_imp.g_varchar2_table(689) := '378BB6F31B26F786422B4B28C70CCE76F2D060F01C556221FDC8663A26C829CDB09AD02A801F2EB8E514F6821653D9C10126E8BDDC13E339482091A92BB199D19F65CDD3CC2B0D3CC22327ED4E5D9C80B469CBC160278B3612489F1DFF002C873478688B';
wwv_flow_imp.g_varchar2_table(690) := '4E963E2131F67B3F7B4D14237C54F00E6159FBA9DAE4A2B112E218E303831ACAE7AFB944E89865D6364AC73C5D7741EF6DE0A58E4C6E19F041F71339AD3D9004B1DDE61F42B36E2BC0121766EA319F715877592D75F320158423FC4CBE1972FC5AB0EEDB';
wwv_flow_imp.g_varchar2_table(691) := '10CF7B9DFDD46E008941E7DE6FD15D6C4F80BFEE11BF67DFA8FAA1161DDA825DDDF54401AA7D1B7503F128C5B39D7CC1213DCC2D7B43DA79EE8C45C63D1A503451C3BCE9DD3BA880044A4F202D3E695F23CEAE2836589C4E81C103DE2A35184D44ECC29C';
wwv_flow_imp.g_varchar2_table(692) := 'E2D023713CB9A90539D0BC7FB0A26716C229A06A164731E37690507C71B86C468B46750CAC3CDA3E4BA63A2E66E230789735D75DC39AEBF30160A8A77320E948442F3A09982E33FB87051CAC0F8DC0B5C2C106C11CC156288B4E8FFC37B99E5A8F42A563';
wwv_flow_imp.g_varchar2_table(693) := '0F6995E0E96051D7C10C447230B6C381690792E9C83A42489D8732610C26418A71A2E797FB3DE712EAF05881B65779123E6022D76AD208DC1FE17376710A669D2577AA9E739DF99DE25689EE0D693DD693951B468024D0440403890744F790D60049E7C1';
wwv_flow_imp.g_varchar2_table(694) := '49096E63609455051C8F6C7331B60EB62EC264ECCF06522EB460088753CBDAC269D940583C9DD9313A83C1A0299C29B3CD948E4DFA211B8384B28235BCC8E439BBDE2A395C73014A373333310C04F0B52C50363908B69347985DC67BFA8F67157E51F009';
wwv_flow_imp.g_varchar2_table(695) := 'F15BA0268656C716AE0E2ED0971586C4E76BC88E58D8D69B20303AF502B758FE8699F0C923E4C3E620C64D81E2CE45070046C45F55C8D1F90673E674099387CCF16C8C8D3F33B92C374761FB59FBC49A0D1A8CC06DE2B0CF8E22708466CB5CB293576561';
wwv_flow_imp.g_varchar2_table(696) := '7A4DAF119FBC6027DCDDC5A9E53F76C27C54917B6D56AA905A800EE102C01829C027BDD6E3A9597AC34594C73000CAD518487816350576DD98CA4006F554856E88702D3441D0858DC330B585A3D5748BAFBE3D5DF55D24E1FE311E45DF55D224FF00CD3B';
wwv_flow_imp.g_varchar2_table(697) := 'D6D631DBCD7EE0B107793E014B5ED952FEA3BD4AC463DF888E205EE6D3C8BE1B7158F7328C0451B175F558FE1083FED5D291D0FB2BDDE48E500125CD63433F0E5CBA8D931D918226CCC65CA437B835D4FBF82FB54ECC4CD1F7633755A13C37EBDCF179CD';
wwv_flow_imp.g_varchar2_table(698) := 'EE1A057826340DE6B3E87E8103F6293303253A9AE200ABB2E3EF4669C53A9C6417643B41A5552324B31A1F7708693CCBA85809AC6863346841CD37B2CAE2135D40A3C0A21ED2510347688B9E2BA8B385A6D68C37E29CF368DD2CC00597547415D5637EA2';
wwv_flow_imp.g_varchar2_table(699) := '2E8F5147895E3D6F69B6C8E6DF234B143FCDCA3FDE5632BFE766FEB2B1B7431B37F5B9633059E5C23BB78F72DD9EDFAA933B23646E7C8E3946962CA6E0F0B1419C17345BBC49EA39401BB8D2CEF246DC1370EF742F341E6DA4FE65363E181F84602E6B88';
wwv_flow_imp.g_varchar2_table(700) := '7B28D969E5CD48CC4BC0C311258696B453DAE236F309BD09849227B9871333D85ED6EBD9B594689E65366687B4A644DB3EE0ACA28F244F04325A75E8282A0A495C1AC89C49DB82C6B77C33D48C033C6E6F98A406BCD65038A2E06822382756C9C0EDD457';
wwv_flow_imp.g_varchar2_table(701) := '8751E4AB82DBF87509FC2689C3F701F3503B15F6AFB19ED40ACEDEF0F8696A19747B5AEAE7B85ADC7338783BBC13C6AF205776C6D6E45933DA781F54005D21846801E1ED1C2417F1D0A95E1CCFB647151D7B26D1BF071B21611C5D94BE43C685AC4746F4';
wwv_flow_imp.g_varchar2_table(702) := '0F4574AB6299EDC67684B5AD23B26C7C5E57DB98E2330A3A827323B522C0115653400812D169CDF6687927C988CA6A8349EAA8E2FDC838520594A90B1DD55C10E2852001B2020EF65E0F96AA8ECEFE9254DFA129FF00D377D1629FECE1653FED2B1A7FC8';
wwv_flow_imp.g_varchar2_table(703) := '4DFD2B1DC70328F4FAAC79DB0A7C890162E16E6963633CDF64FA03D72B40A1EF4F147311F152D8BEFF0091A4D159B38E7A5A7629A1E09CA0F78723C0A2E305DD889A0FCC7C10036524A0E561AE6740A17E23A658F858E74588CA2C035ABB6596A85212FF';
wwv_flow_imp.g_varchar2_table(704) := '00D1F406BD9ED9A7DF9D663881FB506A24D208750041A4ED8EE34444CE76527BB49E79045DD902ED75A41AD02BCD34496AC9EA0ABA9D8FC659A0C8F571738347C541FF00876FA7F65F670DCD8AC3B74069AE24EBB7B20A630D7DB233FB43CFF65039C43B';
wwv_flow_imp.g_varchar2_table(705) := '15974DF212B07ADE25FEE887FF002584A04C929E1EC01A7AAC2E163B0D7DF8B87D1498879738F5C030914EF91EFED036D8ED802576A5F9240D20D510B14CFC2D3E454DB3A277A5AB79CF61A1A6C56F7C176AE2F75124DA143D6D3DB658F783E05748741E';
wwv_flow_imp.g_varchar2_table(706) := '3BA59C3A39D2FDA25B199C59A0738DEC6EED74EC84F67D171B39660E77D174A7487FC012608C91438F66349C81B59E1736BBB9AF8B962701DB3A5AEFE501A35AA5542BA8A1D7B5B41AE69CE7CA4F20397500F8C5FE14F0400E3ECB7E48EE4AF0EA3A2B1A';
wwv_flow_imp.g_varchar2_table(707) := 'A2F7656B75269745747E0E38C86B9FBBC9CFA9F752E876B897E11AF14680ED01BF55D1FAE4C0B7C3471AF572805D6186FF00A6C3F343280306D143F4A353922A002BF286B7E4D58C703ED81E121589C44A5F2877866B46935D017F11F5AEA69E8FC1E46D';
wwv_flow_imp.g_varchar2_table(708) := '6ACF3A0EA527DB27EF9CAD7BEC7BF409A0163C1CA763C8A8C02735D273B66DE9C3828FF4C0E3B263DB5906D57C90D4E41B90D1AEAB31CCE08725C823C9552D3ACA72772523356923C8AC6B890D988038972738B4C9376840AD36F54E73CB8AAEA28F5778';
wwv_flow_imp.g_varchar2_table(709) := 'F9AE6501C504D250AD90E4872529710642B3820D5A91DD1F23E85006F5E4568B1133D99257B5A0D0A34845066FC4F364956AA32886B803C8144990E9AEDADD0E4B235E74D34D3C02224A3C001EBAA08273762A79C80DA758B58D7FF24FA8FAAC79BA87E2';
wwv_flow_imp.g_varchar2_table(710) := 'DFAAC7FE911EF6FD56386F17C5BF558DFC9F11F558CFCA3D42C67FA56379B3DE5632CD98FF00A8FD13F06435EE6D917A1BEAB4E451EAFBC77BBF88DEDD5F7855263BA3A66D8B2C77A91D4C7CCC076400148AD1ADA45C471D55B86C2CDD70D16480E9BFF7';
wwv_flow_imp.g_varchar2_table(711) := '59E8DF7BC78A7D0EE954B350E6BB091A5848A3A3B80F729446CCBBEC7658A2DBB751E4B112021D9C8E4538EB95C3DE53C6E094EE48F009C8DA32621C7FDA3DCACD27353DFB04F6E84272B05657EC82D375E6BC0A2382DD00ADEAD60DD8A8F12FED3B68D9';
wwv_flow_imp.g_varchar2_table(712) := '51E5790DA2DA3601A2BC55927C10AEA05EEE4116D5B785EA8D682F4A2395AFBB01591A27020E8168412D37CEC5A6B08B1B7040EC4153E13B30CAD7734A67318EED5ED2402402429BFEF127F51521FF003127A94E3FCE7FAA3FA8E5FEB287E628043B403F';
wwv_flow_imp.g_varchar2_table(713) := '30F8AA21493CCE8C0B22E8790B4E6E50135CF7871BAD092B23C808057280B03208FECCD03DABA6E5F2442042B428ABE1D54FF721DA8691B84D01539C8B58EBF001042C5AD49B2093C158BADD6623C4E9AF245F93FF00BBEA9B0B6EB545DB9408201448A3';
wwv_flow_imp.g_varchar2_table(714) := '7635010ADD6685B9BBDBEEBD9D02F00805E2392F10BC42DF6560AEF467C100E779A304F1CAC3AB4825452BDCE0CCB66C007650431F7003338D0B693AF9052B228DD3002492DD978B47007C50BD4A025679F504730680493C00B2B1F2D76785ABE2F3FD82';
wwv_flow_imp.g_varchar2_table(715) := 'C6C10493CD2B69956D6B6AECD268DDCA21BBC28B297875868B35C931E239637070BB4F0EA15540A2ED4944552F0B5609F05E3E9CD6A092B4028DE5F71BD9669AB8025673B69D57C1647027441ED000D9CAA2605ECF76FDF4AEF6D55FBD69B8D42F10BC57';
wwv_flow_imp.g_varchar2_table(716) := '88E7B2166B65659E4B5BF0085F500F6C818D2E1B12364E7B8971B3D4F97BC2851E2A7FD51EE0835AE73E6200164A89FD39856E60C883C82F7F2ADCAC2C798452BE5ACDAC71B88A6F8E81620F46E2E07414F733366240A00870142F74310EC8F195FC8A31';
wwv_flow_imp.g_varchar2_table(717) := '425E3821898B1104AD0728E3ADB5FBA6E131B8CC37027B468F076AAD919F0AF4EACA2EFAB4175A95ED2E47856AAAC92681E3E0ADEBB324206CAB286AA8137C42FBB6A738B08683437F14E1969BC2FC8A7FE5529E03E0A4F0F509FA6DEA13AC68DD3C91BD';
wwv_flow_imp.g_varchar2_table(718) := '6BDC8DB11F804101C55A2BBCDB1C5359187555807FFCB08343AFCF7213B133491C4E22206BF71E69C714256B5D4CD4902E962D92C918965898D7901B2801EDE26DBC2FC976913DA1918CD0B45B7869E3C79A313848D1B55A6E2A0746F76FB150F40746C1';
wwv_flow_imp.g_varchar2_table(719) := 'D28CE903367C81CDC99006C9E36518FA53078A2349B3466F8386CADA0695BA69A234E1E7D5489234F25428DD95DE6E6268EA4ACB16FBE9EA81A598029D9B63410E4106837C8A190FEE08766CF247FEC3565A17EE1FC3A141CC658D0B7826C119C344FEFB';
wwv_flow_imp.g_varchar2_table(720) := 'C53C8FC23EA512D06B7527D87A424C869ED1974FCA0A9E675C65E5A47E5B37CED1C1C52E1DD0C61F2C6D159417003F103AD78A73F330E89EC78A92C71056226647869B10F73468C0E712DF2A29F8FE879DAD172C3DF6FEE8B51EA1094583A3A32EF85A2F';
wwv_flow_imp.g_varchar2_table(721) := '70013C72281DD8A3F10A3AAED0261AA0D3E4AB20BAE2856E892AB5AB519B39D673E0BBBBF154C6790EBD3F8BD8567A82080E281430B858B0D03BEF8819DC0FB2070F3466906676E6CB8EA8CD231AD16BECD878E2E4C034ADD38EE5492F493F12EAC9D8E4';
wwv_flow_imp.g_varchar2_table(722) := '1CED32F5605DE716BC7915D8C8C9257B5AD06E81D4D720899FB563AA465D03B107984D872341D002DD791423CFA1BCBE544AE8DC6B9F1E35A70523481521B69F7D2C3E2A26CB04CC91876731D981F784539154E6827D9680BC51E69DCD6578BD91160EE3';
wwv_flow_imp.g_varchar2_table(723) := '44720DB51683A28CDF0168734DE61300F687AA82E8C8DBFDC1407F98DF550FEAB3D4283F599EA1403F9CDF5513CB72BEEAF509A094D40F588018E236FE7C1A9EF7924924AFB7481F20A8987BDE3E0B0705765878DA7FD2DA3F2FE0EF3C56C4AA28E2007C';
wwv_flow_imp.g_varchar2_table(724) := '64661A381D2D4B82C4F1690533151D823301A85F720FE6207F4A2402E7124F347A3FA07A3A2AA718C48FFDD2778ADB45682DFABC1782D7644FA05A34726846F42B814513B395506B501B941785A69FC210AD96C3901F2EBA45B71C675E279224A9317888';
wwv_flow_imp.g_varchar2_table(725) := 'E368D5C7D028F090471463468F53CD12DD08D40B0001F247AF2CF28BE3F34451053A391AEBD362998AC339ED172345B4EE7C93E17B5CD34428F13830E6EE1FDEF0B1B7C17414B2C6E676D153812D6BEC387239812A9A00D82D3A8DF5515BF5D88FCBFB95';
wwv_flow_imp.g_varchar2_table(726) := 'DE757356B53D55C16B54BBCE1D5A6CAE96E7922A9689D147DD1ABB4B46ED5909AC924342DCCDFDEB6561A3F832E29DE201408A36BBF49D1368EA1032091A2B38BF784F64ED603A3E811F25FFC40023110001040202030101010100000000000002010304';
wwv_flow_imp.g_varchar2_table(727) := '050006111207101314081615FFDA0008010301010200BD3DCF6AA8FE94A6F2E3168F6F509A983D2B826B3701ED154F17223564D1B505B6625CB13291602E437FA082A1622AA9B921E9AED25775B393FD2F795D1BF1C78FFCE77A36F22D7F645B997B458C';
wwv_flow_imp.g_varchar2_table(728) := 'E467F17E2582909D88AB5B38B70817B16C46DB6171215856E9BA0DF50B95CB0D632C6189223BD9211A896D27E6F3BFD0F70D36D31B045F1BFF003E2D0EC15C11AE1B55C254207924A4F8EF20982053672242F0BCAED73AEA4A8736ED76A2DA9ADA6D52D5';
wwv_flow_imp.g_varchar2_table(729) := '971CA27D6D56CFBDC59B2D57C71AFA68DFF377768D2EDDF4A98DE738D362B8D657270388A073DCD65D11B876F6DC56B2960688197D0E5A0A7555F285A6A8D835ABB1E1D0D2E6AB7B84179DB178A37E7468985693D38D86160A56B6882B9CCFCD31F6DE9C';
wwv_flow_imp.g_varchar2_table(730) := 'FDC40AB87FE9756B1EB76F59300AAB89492F4BB0F126EFE2CF0BC7D1E4B4FDD44A2D5ECCCD01133A7262EE598E18F5AE51C7C95869CB14D66C2A1F8F2DE92251A3EB55292F69B996E2A70E4D59EC4C41DA61D3699A3386FC39121DCFB8BDF51715E13685';
wwv_flow_imp.g_varchar2_table(731) := '619D58D3CAAB8D0442509C603B108A50AC09E55EB067FEE5BADA11ECAD64A03ED4E90DC8666CB785EA69FA9586E358AC16AE9AF1D39571C724CA54273BC867F123C04E434A7261F469C163E09195A171D9D524A929BA725474264BBCF1DA2B66F2052409';
wwv_flow_imp.g_varchar2_table(732) := 'BBB6D49675EE2070ADB82AD39055E4246B05B106723B60EBE08DDDD3CA9522585AB3767B87C6A4E36CD7A74CB92DBFC2CAED3ACFC871A0D92CF5DA58FE3C4A77A73520D7831912DF83141A23695A1078A020B0A7D5ACB0D383460D2BFCAA6BCB5EF46FCB';
wwv_flow_imp.g_varchar2_table(733) := 'BC5806F09E476F79284DB5B75F8E0A20EE65A1CB285B835162B62A3D10EC6390331801A64A29B6E0B19F7F9A2028122AA161A3B8E2AE109455AE72BA8BC89324DBCB44631B4DCEA7C73B79CF95250186570F1470D0445B0792C1D71B4516890909303109';
wwv_flow_imp.g_varchar2_table(734) := '555495CC3F4BE970CD2ED77B6A78DBB3363BDD4F50A7F028F8C7571DCB567DC522C33130531B98E85402CB4EAF286D989010E11F775E7AC9FBC5D8CF6C81785858B00AA935C7F58870D9257234FF0034DAB923C7B27CCED3D86DABAF3A2A38B974A2946E';
wwv_flow_imp.g_varchar2_table(735) := '48779C5C0C6D457C81B615F05C7D88849A3D6F5FADAB2451BEDB2658B57893EE271222C37764D603C44C68BE4FDDDC708B15CEC99C5EA66BB8C8BEB882CE2E166EB44BE326BC581E2A0F11878919F1252D7F2FBCA4417CFBACF6205215448538E73927EA';
wwv_flow_imp.g_varchar2_table(736) := 'A4A6A4A6AEA3AAEE2C76311E371484D33996626588BDD5170B023769F68A506A7699ADE260A36008E636E0BA852673DB0B9B42ED69B41ECE9B3AED1FEA0768AD9E6D70BE8314648220A292E728844D2A25CC6E6EADC9D13691C270A28BC28888AB21899A';
wwv_flow_imp.g_varchar2_table(737) := '5CAD698A369B460A32300CA3142C3C6266EA18191BABF12C5C4352434303175D9FDB617D491C687B1654E3AEBB21A6DE507E1B0F46563A672AE7D5C761B8E2C892E23A8CE2274D6EBD5B7DA3442C471B2968AEB0571215D60DCCE0D6B8D551B04940CE4A';
wwv_flow_imp.g_varchar2_table(738) := '3697105538CEB286AD5949B02BABB51D525AF4EBD3896ECBBD87B6160B30DAB0A68F5E8DC8C26E28A89212C61124751F79F8C930A3AE22671C20BF958A044A4ADCA693E8FD9ADFFF00DCDD35F0A3D4355B8D7AA87CCDA45C5C9E73DDD16131114481E605';
wwv_flow_imp.g_varchar2_table(739) := '0C1304A5603BF74795C5795E474D2B53157846F834B3B99D0F4DD3F7176A65508C0933EB67796FC2B2E43A86AB8DB858A2C2A183DF54569B207F384F5CA1738A90105147A08137C4C6B44D5F8F26DEB1375CA191127CDB1D63C7D756F0CC8AA8E996A8AB';
wwv_flow_imp.g_varchar2_table(740) := '51A821F346FE48CB2846F7A4F4BE93D2E56E27AE5B3EEE16AFA42336F657D0DB810F618962772D4FDDF4FB5B122BDD064B7F4477EACAAA70806DA35F39428280AD0C358830D20A40850D1A46BA7CC1BAAD65B6B7DDB29AC95380488E76836EEB56753C4A';
wwv_flow_imp.g_varchar2_table(741) := 'CDBEC39EDD81C42CE44D92EEDBE8FF00EB490D192A2A384F7D5BCE3A32D5150085F5C5B5846ABE15072BD611BB075E9F655F6901BF229AF0A888DE07A2C151444E1111107E4DB7F12608553A08A37AED6AA493F22C854415C4C41A40600556BAA4367AFF';
wwv_flow_imp.g_varchar2_table(742) := '00FFC40047110001040004030503080705070500000001000203110412213105415113226171910610812332425292A1B1D1142033536272C124434482E107158393A3D2F130345455C2FFDA0008010301033F00F96F2684DF67F82E3F88BE3ED040C043';
wwv_flow_imp.g_varchar2_table(743) := '2F2E673886B45F2B25706C531BFA5F0DC5E1EF7730B6568F8F74FDCBD96C786361E3B0B5DF56626177FD4CA84AC0F8E60F69D4169B0549FEF8878660E1EDE56657E2DD9B2B30D1B869675EFBBE8B53CB4120AA2D1E0B52B33DFA2CA5AB2E23CDA0FEA9F7';
wwv_flow_imp.g_varchar2_table(744) := '99668983773C37D4A699C65000CA00036A0B408DBF4E8B33B3076573017348ADFE2A48B0EF73CEB238341EA41B2BB56BBB39DCD39AC03AB57128A5119C55E9760050C24192474AFF0013A7C0213336208DC143281E36A90F710F288D49A081D41B1D56E9';
wwv_flow_imp.g_varchar2_table(745) := 'D49D86C0BA790F7A46878079745AECBB695CE460E0780C10753B1588CCE1D5908FCDC1561A3D3717EA83B76858CE1D81C4E2B098B9F0EF616E574523A3B24F82E238E931F8699E248C3C4A5E40CE5F2BB524EEEBA3A94DC30C861CD5CED099D98455F140';
wwv_flow_imp.g_varchar2_table(746) := '0AC9CD45840F73A371BAD961A7CBF22F146F92C3628332DB5C09DF6A2AFF00BD67AA93C149E0A5F052F41EAA66C6F706EC094F4FC2E2239BB36B8B0DE53A6AA57BF31C1B3ED9FC94389B6BA22C22B6B75AC3333DBCEB5C8AC2DB7E54FD929989C3E1DB09';
wwv_flow_imp.g_varchar2_table(747) := '73889731D08D28A9C7F74E53E1A391E58F39DDBF33D0285AC662F1CD0F91DAB58760A2C5B1AE8F2B2460A1A5023A2C4B1C5A617582A71FDCBFD0A9FF0072FF00B254BFBA7FD92A532B018DE075CA5362658BD3AA3AE83E2564710E0427E2B15878B38C85';
wwv_flow_imp.g_varchar2_table(748) := 'D6E3B5346EB335B1B3E68E89DF54ACD2CBD1A691C77B551E11AEB6E1606475D1F277CFDC42686B5A390016670520C1F0FC1C4DB9310FB0DEA4E802E15EC961277C7C5659B3E47F68E0D6821A109E66FCA96E637A85360A78A289F61EC2F0E3A680D27873';
wwv_flow_imp.g_varchar2_table(749) := '5CF949AD5762E7464DD3C8BEB5EFB2511CCA7E61DF2A51B487D54C3E9274B859CBAB56BDBEA11E686FEBEE0D7CA4F41EEA4E09CA3918592D5395E1E1BD6983542C7429AFB1B388B6AC361647C729707B4D16E52B09C9927A0FCD61FF007327A0FCD40F91';
wwv_flow_imp.g_varchar2_table(750) := '8D3139A1C40B4E919D9C6C2F713B345A9F0C409627309FAC13668270EDD8DB0560E0833C9886F6AFDF43A01B0582FF00E40F42B0BFBE0854AF2742F71BF0B4EE35ED163F1BB89B12F947836FBA10A5DA622260E6E013B8AFB63C2702C3A36689A7C1B1F7';
wwv_flow_imp.g_varchar2_table(751) := 'DC7D1ABF4DC140F7496DC8D0E6F8B7BA5471B8B836DC36407E80F1D5EDF517FD15A2E923BE6CCDF6BDE7A22B5F791C39C7A8715A0F76E3A1217765F31EE3D51EA8A39587A3C2EDF08D25DF345260E7CAD48FC33E587F6901BFB2B85F138334D1C91E258D';
wwv_flow_imp.g_varchar2_table(752) := '21A5A0104F43E0B758BC7BC36084BBABB668F32B0387ECCCC5D349B9174D07C82ECDB418079050E2F092B656834D24128896788496C0FAFE6CAB4142B4407AA26829782FB23C5A52D7090E1FB26F5CD2F72C795DA0F9A63564347DE82BC6891C7BB182EF';
wwv_flow_imp.g_varchar2_table(753) := '44311ED4710C7BF51046E2DFE690FE40A6BF0D3C6D27E4E52DFEA83D9A2326004806B148D77A82DFEA98CDDE02CEE046C236017E4A9AE717B6C0ACA2AAC5A273D8ABCA0512293199B393A752136C80E3BD52702D01CD37D744F35A0275D8F308F445B808';
wwv_flow_imp.g_varchar2_table(754) := '85100B06BFCC512C669B80A812510075E6BE4E53D5DFD15208202B45F244F8859FB489CEA0589CDC061F125F791D52788BCAE4DC24C1E087327A075D9D48C78BC435BF37392DF23A8500983B100960DDA0D5A114021C2C6D858072D4A92497131BA473C9';
wwv_flow_imp.g_varchar2_table(755) := '8B30BE54422E666A54D11EF9B71E0B262710D0DDA477E2880510EB2342102340A869339A6BCC287117DA61B0931EB2C41FF8AE0389CC25E051B0D7CE80167DD190B0BC0386710C6F0F924706C673C4FD5CD6F32340682733098A92B59E5DFC068116D8BF';
wwv_flow_imp.g_varchar2_table(756) := 'DA44C90F89AA3F7A698B41AD218BC162A0B203D8412170538989929CC28D97BB9816072099263A4310A6F6BDCD2E830F77415D17786849CCEBBB1A1B16800069A36AFD353657773006B2E61476DF7A4E0F755D0A35E6753AA01D4D7EB5EA08DF4EB4166E';
wwv_flow_imp.g_varchar2_table(757) := '7D5B6474B4339A6D2030AD673A637DDA7858BF2BF7542FFE73BDA05168635940B8D5F41D544C3577E3BDA2C7B584DB5D79493AD8E48F6127857E29986C5C0F908CB5949E808A5062DDC530CD77C9BCB9CCF10FB0509F033E1E5753E21A13C8B76523CB9C';
wwv_flow_imp.g_varchar2_table(758) := 'E90935D0237B9F8D2966BECE3738D6B95A4EFE4A4C1B249E66657BC646B4F26EE4945DDE1A349A6A30E2DE3B1B240CB7B5232CB23C8A2F7126BC512481AD27726958B8389318F19F0D30A690DD6278EBE053E1352C2F691A10E6914A09367A8DC09B0A1C';
wwv_flow_imp.g_varchar2_table(759) := '670BE218595B9993C0F8DE01A395E28AC2F06CB16181110F9A1DAD7C576625323A832D8DD2F43AD2C4CCF0220EB3C9BCD62E090B2425A2E9CD7AECE57E57EC4D147B41565C0ECDDD381EF176A6CDE9754AF4246BF3F4F0A40904B5BCC9FBCD2D0D8F1347';
wwv_flow_imp.g_varchar2_table(760) := '7AAFC90CB4736D679D9AA42DC413C88D3AFF00E50925601F4C8DBF89405C33BCB8789D42E1C05995C3C6C2C03EC37157F1694639A38E0984C1E0EC3E611D508630CCD6E1AB83A8104A20EC3D4236D7F26EFE45386421E0E6D687DDAA12CF0B195515990F';
wwv_flow_imp.g_varchar2_table(761) := '89154AF0D3FF002A3D9B7C0A970D26789E5AE008BA1B14F91C4904924927A9251F1EBB946FFD54D8739A394B49AD9191B1E23198B680E682D859A03E6A0737335E1C1BF35A36057E95009B4CEC7EB5D1CA8B8742992093336F550D7CCFBCA1247231C753';
wwv_flow_imp.g_varchar2_table(762) := '6163DB37F6B6CA25206B25873BC7C50781747E194A7C640ED7E0E1613E58E6B6D8CA6F27790CC3B505BF0585870CF63712C2F7C97CDBF8D29E2C43C4272C924323184807BC45B77F10A278C1E25B3CE7B781AE78ED9EE0D91BDD78DFA84D6EC3E342FF00';
wwv_flow_imp.g_varchar2_table(763) := '04250D70979DEA2D625BA07B2BA36D9FD56341FD9E6EA4C85FE81C0AC4B7E7619E75E4D657DD45482C3A0AE9F26F3F814D1648A1E24B7FFC95165D1E09E81C1DF8D2EDF14CD1D4C21C491D134B8E898E70681640B3E01473E5B8DA1A37CC2D3192092195';
wwv_flow_imp.g_varchar2_table(764) := 'CC734F5397D0A64EC6E7F9E2AC0440235DD0C4300BEF0D9484D1877DC9D93208991B1B41A390A45F0CAD02C969013DBDC00EFD4853F56FC492A53CDBD53FAB7ECA0DAB940F31498D04995B439DD528C82D64F11FF385FD98FCA35D6F27BA6C20F6BD8767';
wwv_flow_imp.g_varchar2_table(765) := 'B4B4FC518E595A451068AD650AC147B69874791F7AE198F8CC188C335ECABB78CBBF44E635D370E94C8D1A989C69E3C8F35246ECB234820D1B1441E84200D8B07C1325691231AFBEBA1F50B0B23C766C7C646BBD8D3C51C2CD1BC3F56383810B81E33011';
wwv_flow_imp.g_varchar2_table(766) := '4CD9DB1E29B308CE159472B728EF5340CB7E2A03BE66F9807F0B4D73747583B11EFB2B54D3BB4289C2BB36FA2C3E18766CC8DBE43DD1B33B9ADA73EB37C1694A9C4802CEE5071AAB3CAB7448A2131B6E79200ADB9A8E50ECA2A820792B729842E7C323C5';
wwv_flow_imp.g_varchar2_table(767) := '8EED388A3D0AC46164ECF10E903AAC5C84A7916CA73DA2DB99C4AE2198E7870FA11CDCE23D53184176030E5E0EFDFE5E4562276B98EC2618B5DA5644F320C8DCB7F47F2589C30063CE0F8735297964B829457D30D345472625F2B068F0DBF072A9651E03';
wwv_flow_imp.g_varchar2_table(768) := 'DC06267FE627D7541F425005D97BF4155AD05342586305ED73891579A961389E19B23435988CB61FFD1FE08B490770691596271E6F390796E54903A38633524B767EAB7AAC5712C41870FDDA6D971D0E526AFC0158A8DF286E2C3B2875ED7980BAA0B15C';
wwv_flow_imp.g_varchar2_table(769) := '33B37C83E4DEE0D3E6ED8D72587800ED2400F4DCA8E61DC7221022C229D1C66C73A43B421EECC1DFD508CBA30DA0350AF4EBEE2085A8A349E64B2F2ED39EE84C1CC268E841461126A0922B457A237B2CCD2D736C11441581C5BC3A42F3E9F92E18DAEE1F';
wwv_flow_imp.g_varchar2_table(770) := 'B31FFDAB8534DF600F9B59F92E163FC233E02BF05808DD99B051EA1EEBFC540DD9A7ED38A8AF5603E7AA806D0B3EC8585E1B1616598B58C792C06B776F5A2E1AD7DB312082003949F31C970D06CE2DEDDBE915C1E5B3FA7C60EE73D5FA9564934D0492EF';
wwv_flow_imp.g_varchar2_table(771) := 'A576BB105D9CC6F7FC9873BBE74D90C340FC3C2FEFC82AC1D40E7B7BACAD437946DCBF13A941BC41CE71D061E80FF337F328B7F4D8C0F93EEDB86A6EBE6FA1B5D94269A7288CEC0B753ADDDA10C300EF77E62E1E196DD44A7BDC647EAE2506BA8137E0B3';
wwv_flow_imp.g_varchar2_table(772) := '3414E68250E6BB589C07236167A0E1AD6E831ADB1EECE374EE6F149ADA169A5A0D2C87303AACDA5AAD4145DAA2DF702875F705E0B5F731C007C4D7F4CC2D60DC75C1C47FC81602EFF4083EC3792E1EEDF87E1FFE5B561718591E2408643A5EEC77E4A3C8';
wwv_flow_imp.g_varchar2_table(773) := 'E7BDE1B181675E413B17899672C21AE34DE807B86AE3B34172C8C00EFCFCD3F12C6CECB25961E07361FCB7587C04F3C78E7D35CD0592120B730EBD0D289F8663FF004B6187267CC482C73793AFA14EE3D8C8A563646E12063C31CED3B57BEC581D1A1181';
wwv_flow_imp.g_varchar2_table(774) := 'C6378A20697CD3E57D0BF12A86E821D4215BA69935D132B72512E5142D2E7CCD006FCD601D558A8FE3A289EEEE4AD77910513A5ECAC9D296522CA079A683B84D3CD78A0BC7DC3AABE7FADDDA50B4FCA6071B11E7F20F78F560705876E18618F1563184DE';
wwv_flow_imp.g_varchar2_table(775) := '497E48F977C02A4003E1969AED8B0DB4FF0042AEBB585A7F89BDC2A375B63B24F7A8EF4D29B240C78E63D3C0A2485C331C4E688C6E3F4A3397EED427B324A385CB2DB6DBDB3C551EADD07A85C558076BD8423F8DF54B05C67DAAE39C064C6E1617F0E308';
wwv_flow_imp.g_varchar2_table(776) := '123DED78C43E616046D35748F06998D7163C39B6D735819B78040F3409282A1B27124D22038D26BAB359F34C8F0A5C2ECB80F75C92DFD5013C10ECA480887924224A35BAF1451B46C50B45BBB6BCF440EEE68F370500DF1110FF0088D5818FE763A01E6F';
wwv_flow_imp.g_varchar2_table(777) := '0B848D4F16C28FF8A1707FFEDF0C7C9EB82B6EF89C7F004AE1D8E2E186C4BA5CB598B63200BEA5D4B5F744E3AA89C08CAD23D1619998C6C1193BF746BE89E41CB90DEC6E93708E31903311DD3D4730834622868E95C47E07EF449DC28A07373BC790D4AC';
wwv_flow_imp.g_varchar2_table(778) := '54780F652487172B193E10BDC1AF2D0EEEB0D903CD39E4973C93E26D183FDAC7CED1D2615FF64C4B28C0BBA878F4A44AA01C515CBDCE2D2014371CF541D876B4BC0EF82A21F59DF726B44CE0D35A5A739E7BDA0D079276465FB8A2AF9A213782F0C7907E';
wwv_flow_imp.g_varchar2_table(779) := '5A5EE4600BD4F3F20B1EEBBC5629D7D5EE52E21CEEECEED4EAE143EF29EEDE078F32DFCD48D16D8ACF4B0B1143E49BBF379FC94F988CACD75F9C77F4589E29880CD046DACCE036F0F35060206430B035A3EF3D4AF0F7624E226C2B21859D8E6A9231A92D';
wwv_flow_imp.g_varchar2_table(780) := '02CA186ECB3C65C1CD06DA755847D80F737CC282FBB2B7D69546DCB45C5E28DED5ADAEC9A236D80D154511698E2D0F64647885C27DADE11ECE34F1C8F0DFA261C35D95824D5CC68AF9CDAACABD8F83F6FED2CB27F218D9FF0072F66382FF00B56838886C';
wwv_flow_imp.g_varchar2_table(781) := 'F89E14EE1A0094BECB314D78233640D354D580E3030ACC2E6223CC4B88AB2EAD07A2BE7EE1689FFC2F0F7747109A23840E6E2510898E435F4EBD02696D960B0E7558F159B9047AAF1FB9301399B6866EE8A5D9B7339FA55AF6878E7129266C0E10B7B910';
wwv_flow_imp.g_varchar2_table(782) := 'CD18D3AEA79AF689C283830E9A9746745C68D66C633C6DC35F46AE227E76322FF98FFE81626EDDC419F073CFE4851CD8F3F65C7F172C3308FED7FF00480FEAB0782C3B21C3B85347D1A42F9A73666B2AC1FCAD78223178FED1E4F71F5A69796D40786E0B';
wwv_flow_imp.g_varchar2_table(783) := 'E48677C7151DBE8824A792248C8CC37076214A4B416D5A6B773CEACF352FEF09E5A94F8CE6CCEDEC8BD0AACBF28740336C8B1A5AD7A79FA489DCFEB0410EAA37D07007CC5AC03402E85A6F906A63438450F64D26F5DFD106B4355FB87BC10DE9487D4083';
wwv_flow_imp.g_varchar2_table(784) := 'A8E508A7D275DDA77D646CD950B3689BE8B2511B730A167118623799C4569A6A3ADFBB0B8589FDAC31BDEE166DA0A388C5E41419100D002D55C83C0219A3247521002306F4DF4DCF541E59E344DAB8EC5EA49441F7076EA085B6F71601A59048FBAD6023';
wwv_flow_imp.g_varchar2_table(785) := 'FF0016CF8077E4B87B6BFB4B7D1DF92E1DCA769FB5F92E1E47FEE1A3EDFF00DAB05CA507CB37E4B05F5FF1582EA4AC0FF1FC02C050FDA7D81F9A8F18C73A30EA06BBCDAFEA7DD49BD50F7F75BF1554AAB7A5B6EBC0207E081BD47BB4EAAD4A38AE15E1A6';
wwv_flow_imp.g_varchar2_table(786) := '9B233CA811EE7C5867969D4E8112493B94DD11B7BAD068276A1A9400275342ACEFA959E702EFFD3FF28B6C568803B85D36F045B7D004DC444E648010E145BCFD561CCCF2ED46F76ED8FC56041CB4DD0F324DAC2C2E6B9818D23981BA68D3333D015193B8';
wwv_flow_imp.g_varchar2_table(787) := '09B5A382EA535028458563799EF1F8AA41C1323ACCE098ED414D5B2B68450B22B65A1BA5E2103CD3685145D7EE20858AFD1DD0B0B3B27496FB6824906C51F75D34754732FBB54446C1CCA041A773AD16BA9AD6C78D2B793D02D0F79348235285821AF15D';
wwv_flow_imp.g_varchar2_table(788) := '28D22E0E17BF3441EF023E16A0C5F685F7A69574A00F7B7B263834900900A807F868FEC8510FF0ECF40983FB86FA21FBA0BA4613BEA04E3E09DD9971DDA7EE56D5161B0CD99E7282459E998D04D7D929EC6C458C22F5142C0AEAB3B18EEA1154D07C42E2';
wwv_flow_imp.g_varchar2_table(789) := 'B0BE738C95C4777282E0FBDEFC9028EB4A91E8BC50B5981F34E1039C0904109C4EE4ACD1B0F826BE4696EBA12EE968EA896E9CCD05A5068200E6A8F4A1C965045F2D457541B9FD3D344E99C403A20DF9A11041210DC574251BAA45B3BF2F7469A0D392DF';
wwv_flow_imp.g_varchar2_table(790) := '53BABE68D2F03D578155D50D37D374016A05920EA538B59E413713859F0D28EEBD8403BD5A9B0F1451BA6ED2800E711BAC5711C51EDB3B70910B90B5EC61A3B0B7EC0D6A4034B04EC5CF1E05CF7C11656768EDA4781DE2DFE1BD93BA23D9BBDED8E32E39';
wwv_flow_imp.g_varchar2_table(791) := '74EA687F55848ACC98A60F060BFBCAC2623170E1E26BDC642466276A05DB015C93B90521FA0567C445066689247E46349009755D0B589C1CD88C1E2A131BC5B48B1B8D8822C11E21445B64389B235D36418280A09AED4934B7D6852A2D17B1B40EB57CB5';
wwv_flow_imp.g_varchar2_table(792) := '560B72DF25449355989F1A1BACB05F3202C811EABC5676E5BB5D9B89274CAAE6790A83AC91AF4555A9D175E4B53A15B6EB41BABE476A28D36C51AD5535DE6ABD4A26978A9BB0960EDDE18FACCD06B35754C8D81AD1402F151C268D9B1C961FF767D7FD11';
wwv_flow_imp.g_varchar2_table(793) := '91ED6470025C680DED4D0FB398A928BE5ECDA4319B9758EE858E98832C11C20E4FDACAD06DFD40B3BFAAC2C9C630189662EA26C9D99655DB882C26CE5340A9304D1230E761E613669C30F34C9319C37151C92C6F3335F1BE27647473C345AE69E448537B';
wwv_flow_imp.g_varchar2_table(794) := '49EC9FB37C61E03A58621849DCDE7244723BE16011E6A9EFF3BF5F76735D16B4AB31176022035751E8B31039D0D478AA62ED1A0EBD51141168D4AD8ABA14762BE59FA14C68782FAD764D398E7F04CD7BEA31CCFC2CA8BA9F4299D5DE85368EAED7C0A15A';
wwv_flow_imp.g_varchar2_table(795) := '127CD0C8FB406DD4A3D11FAA80A4CD3BC865753B915C4315C4BB08C80593160A048ABFA7D9CA796D99A2949398C3311247560E40D377D7303F728F87E1F0D24ED2EC416EA49272035A79A6B7873A173D80BF604D17735839A08A4ECE19667B039CF89D71';
wwv_flow_imp.g_varchar2_table(796) := 'BBC9C77A3E29D16370AFA99C1B3BC92F7003E769A3771D1331513E0908B3797C13B058A1246CDB76FF0050B11ED6718E21ECFBF848C3BA1123E293B42F71921D469945021325F627DA3E0B13F33F0662C7329A05C6FA2F6F9B79F92164EA4E8111A6F7AF';
wwv_flow_imp.g_varchar2_table(797) := '92D41B448595A28EE75449B15A2EEBF2817B01C917CC34D0127D3445AA8D1D39851766465B71D4381DBCC23D4ACCE15D4237F028991FE6874FFD034FAEA11A3A9DCA3FA9A8D116CAF00EA1DCC744FC54CDC64D19ECE3D6307E9B873F20899286CDDD6063';
wwv_flow_imp.g_varchar2_table(798) := 'E29C120762636BDAF24873C0B32100003AA870F1B4620459C3B60FCADAE42B75FEF3C4E1F16D9E4ECA195C4BF310D24D774B74BF0420732500BB5DAD33111D9C3E53B020DAC2432CB8C830B131EED647358038F3B240B2A0F673DB6C3B71072E0B164C12';
wwv_flow_imp.g_varchar2_table(799) := '8EB0637B8F1E4D79B4FC262711877D668657464F8B4D26B1A49D8288D558447CD97D42900D9A54B7791DF0D54CD3AB9E35BD5587B80BD87BA95E974A4D0162ECF92EF0F25F2921FE23EFD7F5A83FE0B4F790AF92214F8EE272E3B12F0706D043212CFDA3';
wwv_flow_imp.g_varchar2_table(800) := 'C9BCC4F41D176311CA2800006B744DC340F24E5D3D141C4B883F16E0E0FCE6887BDA4B6EC03948BF8A86373DCC89AD73EB31035756D6561E0F67E2C0B0BBB6389CEE15A06837BA9A8012BBD55B181D191AEAE1B2FD222922858E91CE05B754D17D4AC3E2';
wwv_flow_imp.g_varchar2_table(801) := 'F0326131311741386E62DD1CD7375EEBB70A4C7CF3CF2346790871AE6E1CF5EA9CF2DE5DFDBC962F0AD63F0CEFD2187EA8A3E96A68242C9637B1C3E8B8514D4DEA53502D340779C4AF043A26DEC8399A6E83A88D8EBBA19CDDE86954D20A3F38A3D13B90';
wwv_flow_imp.g_varchar2_table(802) := '2A427469F458823489C47F29538DE277D92B115FB17FD92B13FB87FD92B13FB87FA29636BF3B28922814E21391F71348E24B659DA447C9BCDDFE898C8DAD0000050036011E19869198720E21ED2231D3C4AE3B897CBFEF0C462DCDD2BB67B5C2F9E8C91C';
wwv_flow_imp.g_varchar2_table(803) := '2FFCA3F50658DD7B805580426E1098E50723BBCC70D6941C4309C9ED70AD1498296882584F74AF962DFAA09FB474403A80A010C5F16C5BC1D03F237C99A2DF5F7155EEF12BF89695686DD2D5927A9400A5441083B9268A39117592E4E3B04EE6423F5911';
wwv_flow_imp.g_varchar2_table(804) := 'F48A24F54059ABB27EF3EFBE6507D4D337BBBB5A79A0A1C0E16695E69AD1EA54D8FC4CD34A6DCFE8761D0282291AEC8F25A4E574923E423CB3DA07DF9B0D09AFA35E881D084C9A17B6B5DC15260718D8DE6A379A78D879A8E78DCD736C152E13185AF3A1';
wwv_flow_imp.g_varchar2_table(805) := '6F73F8AB9FDEB8A35AF0FECDF60EA5B441F822E71279FEAD8FD4CA5FE3F92D07BB41EEF14437756D0495E28F5F76C3AA0AD5B93679BBC7BACA247540500B2B4809CF8A2659A6C9A8EB616A5652E3EEB1EECD84678121104114886829989758EEBBAA7321';
wwv_flow_imp.g_varchar2_table(806) := '744E3790D5DDE87551CD8773A8668F569FC42FFFD9';
null;
end;
/
begin
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(6600459771578382824)
,p_file_name=>'emp_operations.jpg'
,p_mime_type=>'image/jpeg'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/emp_research_jpg
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := 'FFD8FFE000104A46494600010101004800480000FFE20C584943435F50524F46494C4500010100000C484C696E6F021000006D6E74725247422058595A2007CE00020009000600310000616373704D534654000000004945432073524742000000000000';
wwv_flow_imp.g_varchar2_table(2) := '0000000000000000F6D6000100000000D32D4850202000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001163707274000001500000003364657363000001840000006C777470740000';
wwv_flow_imp.g_varchar2_table(3) := '01F000000014626B707400000204000000147258595A00000218000000146758595A0000022C000000146258595A0000024000000014646D6E640000025400000070646D6464000002C400000088767565640000034C0000008676696577000003D40000';
wwv_flow_imp.g_varchar2_table(4) := '00246C756D69000003F8000000146D6561730000040C0000002474656368000004300000000C725452430000043C0000080C675452430000043C0000080C625452430000043C0000080C7465787400000000436F70797269676874202863292031393938';
wwv_flow_imp.g_varchar2_table(5) := '204865776C6574742D5061636B61726420436F6D70616E790000646573630000000000000012735247422049454336313936362D322E31000000000000000000000012735247422049454336313936362D322E3100000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(6) := '0000000000000000000000000000000000000000000000000000000000000000000058595A20000000000000F35100010000000116CC58595A200000000000000000000000000000000058595A200000000000006FA2000038F50000039058595A200000';
wwv_flow_imp.g_varchar2_table(7) := '0000000062990000B785000018DA58595A2000000000000024A000000F840000B6CF64657363000000000000001649454320687474703A2F2F7777772E6965632E636800000000000000000000001649454320687474703A2F2F7777772E6965632E6368';
wwv_flow_imp.g_varchar2_table(8) := '0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000064657363000000000000002E4945432036313936362D322E312044656661756C742052474220636F6C6F7572207370616365202D2073';
wwv_flow_imp.g_varchar2_table(9) := '52474200000000000000000000002E4945432036313936362D322E312044656661756C742052474220636F6C6F7572207370616365202D20735247420000000000000000000000000000000000000000000064657363000000000000002C526566657265';
wwv_flow_imp.g_varchar2_table(10) := '6E63652056696577696E6720436F6E646974696F6E20696E2049454336313936362D322E3100000000000000000000002C5265666572656E63652056696577696E6720436F6E646974696F6E20696E2049454336313936362D322E310000000000000000';
wwv_flow_imp.g_varchar2_table(11) := '00000000000000000000000000000000000076696577000000000013A4FE00145F2E0010CF140003EDCC0004130B00035C9E0000000158595A2000000000004C09560050000000571FE76D65617300000000000000010000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(12) := '00000000028F0000000273696720000000004352542063757276000000000000040000000005000A000F00140019001E00230028002D00320037003B00400045004A004F00540059005E00630068006D00720077007C00810086008B00900095009A009F';
wwv_flow_imp.g_varchar2_table(13) := '00A400A900AE00B200B700BC00C100C600CB00D000D500DB00E000E500EB00F000F600FB01010107010D01130119011F0125012B01320138013E0145014C0152015901600167016E0175017C0183018B0192019A01A101A901B101B901C101C901D101D9';
wwv_flow_imp.g_varchar2_table(14) := '01E101E901F201FA0203020C0214021D0226022F02380241024B0254025D02670271027A0284028E029802A202AC02B602C102CB02D502E002EB02F50300030B03160321032D03380343034F035A03660372037E038A039603A203AE03BA03C703D303E0';
wwv_flow_imp.g_varchar2_table(15) := '03EC03F9040604130420042D043B0448045504630471047E048C049A04A804B604C404D304E104F004FE050D051C052B053A05490558056705770586059605A605B505C505D505E505F6060606160627063706480659066A067B068C069D06AF06C006D1';
wwv_flow_imp.g_varchar2_table(16) := '06E306F507070719072B073D074F076107740786079907AC07BF07D207E507F8080B081F08320846085A086E0882089608AA08BE08D208E708FB09100925093A094F09640979098F09A409BA09CF09E509FB0A110A270A3D0A540A6A0A810A980AAE0AC5';
wwv_flow_imp.g_varchar2_table(17) := '0ADC0AF30B0B0B220B390B510B690B800B980BB00BC80BE10BF90C120C2A0C430C5C0C750C8E0CA70CC00CD90CF30D0D0D260D400D5A0D740D8E0DA90DC30DDE0DF80E130E2E0E490E640E7F0E9B0EB60ED20EEE0F090F250F410F5E0F7A0F960FB30FCF';
wwv_flow_imp.g_varchar2_table(18) := '0FEC1009102610431061107E109B10B910D710F511131131114F116D118C11AA11C911E81207122612451264128412A312C312E31303132313431363138313A413C513E5140614271449146A148B14AD14CE14F01512153415561578159B15BD15E01603';
wwv_flow_imp.g_varchar2_table(19) := '16261649166C168F16B216D616FA171D17411765178917AE17D217F7181B18401865188A18AF18D518FA19201945196B199119B719DD1A041A2A1A511A771A9E1AC51AEC1B141B3B1B631B8A1BB21BDA1C021C2A1C521C7B1CA31CCC1CF51D1E1D471D70';
wwv_flow_imp.g_varchar2_table(20) := '1D991DC31DEC1E161E401E6A1E941EBE1EE91F131F3E1F691F941FBF1FEA20152041206C209820C420F0211C2148217521A121CE21FB22272255228222AF22DD230A23382366239423C223F0241F244D247C24AB24DA250925382568259725C725F72627';
wwv_flow_imp.g_varchar2_table(21) := '2657268726B726E827182749277A27AB27DC280D283F287128A228D429062938296B299D29D02A022A352A682A9B2ACF2B022B362B692B9D2BD12C052C392C6E2CA22CD72D0C2D412D762DAB2DE12E162E4C2E822EB72EEE2F242F5A2F912FC72FFE3035';
wwv_flow_imp.g_varchar2_table(22) := '306C30A430DB3112314A318231BA31F2322A3263329B32D4330D3346337F33B833F1342B3465349E34D83513354D358735C235FD3637367236AE36E937243760379C37D738143850388C38C839053942397F39BC39F93A363A743AB23AEF3B2D3B6B3BAA';
wwv_flow_imp.g_varchar2_table(23) := '3BE83C273C653CA43CE33D223D613DA13DE03E203E603EA03EE03F213F613FA23FE24023406440A640E74129416A41AC41EE4230427242B542F7433A437D43C044034447448A44CE45124555459A45DE4622466746AB46F04735477B47C04805484B4891';
wwv_flow_imp.g_varchar2_table(24) := '48D7491D496349A949F04A374A7D4AC44B0C4B534B9A4BE24C2A4C724CBA4D024D4A4D934DDC4E254E6E4EB74F004F494F934FDD5027507150BB51065150519B51E65231527C52C75313535F53AA53F65442548F54DB5528557555C2560F565C56A956F7';
wwv_flow_imp.g_varchar2_table(25) := '5744579257E0582F587D58CB591A596959B85A075A565AA65AF55B455B955BE55C355C865CD65D275D785DC95E1A5E6C5EBD5F0F5F615FB36005605760AA60FC614F61A261F56249629C62F06343639763EB6440649464E9653D659265E7663D669266E8';
wwv_flow_imp.g_varchar2_table(26) := '673D679367E9683F689668EC6943699A69F16A486A9F6AF76B4F6BA76BFF6C576CAF6D086D606DB96E126E6B6EC46F1E6F786FD1702B708670E0713A719571F0724B72A67301735D73B87414747074CC7528758575E1763E769B76F8775677B37811786E';
wwv_flow_imp.g_varchar2_table(27) := '78CC792A798979E77A467AA57B047B637BC27C217C817CE17D417DA17E017E627EC27F237F847FE5804780A8810A816B81CD8230829282F4835783BA841D848084E3854785AB860E867286D7873B879F8804886988CE8933899989FE8A648ACA8B308B96';
wwv_flow_imp.g_varchar2_table(28) := '8BFC8C638CCA8D318D988DFF8E668ECE8F368F9E9006906E90D6913F91A89211927A92E3934D93B69420948A94F4955F95C99634969F970A977597E0984C98B89924999099FC9A689AD59B429BAF9C1C9C899CF79D649DD29E409EAE9F1D9F8B9FFAA069';
wwv_flow_imp.g_varchar2_table(29) := 'A0D8A147A1B6A226A296A306A376A3E6A456A4C7A538A5A9A61AA68BA6FDA76EA7E0A852A8C4A937A9A9AA1CAA8FAB02AB75ABE9AC5CACD0AD44ADB8AE2DAEA1AF16AF8BB000B075B0EAB160B1D6B24BB2C2B338B3AEB425B49CB513B58AB601B679B6F0';
wwv_flow_imp.g_varchar2_table(30) := 'B768B7E0B859B8D1B94AB9C2BA3BBAB5BB2EBBA7BC21BC9BBD15BD8FBE0ABE84BEFFBF7ABFF5C070C0ECC167C1E3C25FC2DBC358C3D4C451C4CEC54BC5C8C646C6C3C741C7BFC83DC8BCC93AC9B9CA38CAB7CB36CBB6CC35CCB5CD35CDB5CE36CEB6CF37';
wwv_flow_imp.g_varchar2_table(31) := 'CFB8D039D0BAD13CD1BED23FD2C1D344D3C6D449D4CBD54ED5D1D655D6D8D75CD7E0D864D8E8D96CD9F1DA76DAFBDB80DC05DC8ADD10DD96DE1CDEA2DF29DFAFE036E0BDE144E1CCE253E2DBE363E3EBE473E4FCE584E60DE696E71FE7A9E832E8BCE946';
wwv_flow_imp.g_varchar2_table(32) := 'E9D0EA5BEAE5EB70EBFBEC86ED11ED9CEE28EEB4EF40EFCCF058F0E5F172F1FFF28CF319F3A7F434F4C2F550F5DEF66DF6FBF78AF819F8A8F938F9C7FA57FAE7FB77FC07FC98FD29FDBAFE4BFEDCFF6DFFFFFFDB00840002020203030303040403050505';
wwv_flow_imp.g_varchar2_table(33) := '05050706060606070A07080708070A0F0A0B0A0A0B0A0F0E110E0D0E110E1813111113181C1817181C221F1F222B292B38384B010202020303030304040305050505050706060606070A07080708070A0F0A0B0A0A0B0A0F0E110E0D0E110E1813111113';
wwv_flow_imp.g_varchar2_table(34) := '181C1817181C221F1F222B292B38384BFFC200110801AB028003012200021101031101FFC400370000000603010100000000000000000000020304050607000108090A01000203010101000000000000000000000001020304050607FFDA000C03010002';
wwv_flow_imp.g_varchar2_table(35) := '100310000000E9334B3B93D034F28F923595CBCECAADA1B9410B364D560C112B96BCE95B95AAB2B6A5161D6709742A065EF8C5D2AAE9EB22A8273886474FACEA88AD313BCFABDD791F3A747FABF2FA505997D2ACE486492B1A51314613B03765EC0599B0';
wwv_flow_imp.g_varchar2_table(36) := '0E0B600D1980010B00383DA186490E960CCD031A16C181B0E683039A0D03600D006000804080100809C64C1244D4D6F681ACF07D677ED77E2FD9F22385F3CB9766931553C0B6E0BAE0ACEA675C91B238CB7537346E0EB5C4EB26AB8A5567D149C5997E63';
wwv_flow_imp.g_varchar2_table(37) := '8F212840FC47F40BCCEE7EFAE59E491AEB73555B35A1B5593D94C4A359F4CE6B66159A334E6DFE7ADD37F4A4A39D7A8B2ED8B6A040CFA2C440EC8613EDDF4F7E7EFD9CEC722EE0B087AFCB9292DC631F85127D63988A1C91BB2F606ECB186C41C03341D8';
wwv_flow_imp.g_varchar2_table(38) := '6685819BCC08DC9635244F79AC68581C016B581A0EC21A0080180D84340D97030180431947ED486D8E704A74735B444A0FF2EFA7D3BCDFD0BCA1ECFC2A16E7A63D785C95C6A3928CAE2C9DB2EA65F11DA2B60EC734969FD3F1858E8B49AD5E38B316AE39';
wwv_flow_imp.g_varchar2_table(39) := 'A756435C9B1A4E47D4E7E9C502A9C4D40BA4B5CE28BED080E7BDB925B95A4A3704036873DEA1FEB7B106F9D0C8D372BB31BF69FC60F773ABC9B0F0A37B9C83C69CE227600730F114360C65880CD80606604419BD600B61D80B35A08EC923D214F59BC6B5';
wwv_flow_imp.g_varchar2_table(40) := 'BD606C21C0DE92A04DD82D6242F0880D04232E01641C9012146814815CD8F4153A7983956C467F9A7D3F8CA0162547ED3E733394D5D65DB08647FA279BA6F459C934634A48C17406725523FA803483B168E74E35EFCF3EF9DB79EF9D9745BA195F5AC857';
wwv_flow_imp.g_varchar2_table(41) := 'A68012A4B616A10A694653D13CAD2DC3B7A2799A643AED86DF7CEB2AB2964E92E674D0B6CFB228B97E5D125F69FC62F52251EE2736A7EF41C51091AD924A7B99524ACD44B240F61134230A3007BD6C33362008F581BCD6036B9B4BB23040DB31B9C11046';
wwv_flow_imp.g_varchar2_table(42) := '134ACD8389B8BB841946EE105A5A22DA5A048CD16FE119636ED989133C9361F5DDE363DDA4BBE79F52E72E12EC2A17ADE5AB9B749B8E17238135CF79BEA795C8B0A03ED7E549406E69CE50872B4FE944C2478AFCF397D1BAD613F9F18D4FABAD74AC9AB2';
wwv_flow_imp.g_varchar2_table(43) := 'C86163631C9122932B1DAD555B563B2C5CD2A1A18F53648196F1A9A338CBAA593DB4C7ACD86DAB876F44DC104EA8A34F66583C13DB5DCE43F18C3AD19E4664716CD3C8DB5CE4085A186C7A10666F61BDE606666C337BD830BF476428CD0B18989541089C';
wwv_flow_imp.g_varchar2_table(44) := 'A995A20E5E6C58C648C2501A18041469A5D1B60D59622DC901242B880E57E9E83E6DFE72D4BD09CB3E37E831FA96D6474668EDABCF1D059F639C03A5F93B0FA666E79EB1A2BD3FCCEAAD2C3BD47956DF597CDEF6CF25FD1032CC4B2247F01D56711F3FCC';
wwv_flow_imp.g_varchar2_table(45) := 'E19B287E7285AD63C311609C6EBA71E22D5DB277B852E7198C2DF2201323A2EE15D89CB5C8E5191CEAB5EAFC3B22BDB5C31D550B7BB3A799647DCE4A63CF36EA48DAF364207928C68620898608A3005B8DB12761EEBD7E090E05034EDB0E032895AB01EF';
wwv_flow_imp.g_varchar2_table(46) := '581A08C90210BA8018DADC18A0E4673731B25195DC76B95E0D5009B09DC022E445240DCE916CD849F1712F183DD0E3CCDAFC8A9D54E4793F507CAABB9534A25B22378BEA5921D644E3ADE5F9FE5F7BD67D7F32C3D1DCDABA55FB3FB093ACAB7CD1E84F31';
wwv_flow_imp.g_varchar2_table(47) := '29B63B1D2B3AF80C3D1EA5019A0307B190B613487E95A68D24963CD1EE4DE6426EE44A9AB1E90F4237CA636597DB310EE3BAA13E999BF22BD83728B8A84A3B13A2944B6486300C042CDC8410C98AD4578658C9133C4664E299637AF4C92963403B6076D0';
wwv_flow_imp.g_varchar2_table(48) := '92A96D4D680A3A26932ED03139C45E622E6F6BC8B5C26D5F115158549B72E883EC644A6545403A27254AD7CCD638ADE6ED1BFC6ACAF39E9EEDBB6E42EDC0D3349DDB3DBF3DC9ECDDDA1B979294BFB7545D4E7CCCE8C31BFC63A4D755B6094952F3B73475';
wwv_flow_imp.g_varchar2_table(49) := '616A25144AD296C703113C5536C5C26B1BA25913E517D713396F44B4A3D12E46EBCAAC8635F66EEFA5CDFE2AFDAA8502697492755CDEBE695AA44AE713CC246C34650D8708BDCC1E0000A31209255B45A012E6C5E231A1CA38126D978C30BC2D11D8DCC1';
wwv_flow_imp.g_varchar2_table(50) := 'AA99EABCB514853B3F0C822DBCB44A9A5188D4214030B6C20C2C612F65C1ED31E1454ED176EC3CF28C770738F2F4D63DA93393D99C6A1B857A545C698224B18CF5410A20ECCBA7E7CEA5ED9E1ED55127E15AA8572487E55638B51E3B2B26D6AA8DA2F9E4';
wwv_flow_imp.g_varchar2_table(51) := '565EED8B645AE8A13B03566AEBB7A5CF509C4FAAB923D0094652B49376668E4C21F261A234D75902569D44E27AC44AE713C650D8688B181B80100B60C03760D80B038C188B1B04CEED1F4487358D6CA31B00F8D4A98A0C850CB0E83964818DD42212119A';
wwv_flow_imp.g_varchar2_table(52) := '0CEE8B5910F258CB600A30A180B19703335A46D81DA93A64E93BA65C713B1814DBC295AED10D6092B71553F226A52D7115837F4AB393617796354C859F56524A767DB6107513E74B635E0EC64938D72DB6EB4572AA8D766A8D8E1E9AF98BE9A465D7316E';
wwv_flow_imp.g_varchar2_table(53) := 'C3DA9D6F686C9B2B75667421B6C38408C9D9D1129B10DD0A0C9391E98E62A54816CE231EB6D0B3361A1216DAEB900C91DD60B038060C91B0C42AD102DD83681A65040268BCD58203184E5D0969DCE4F38A2561520918E42D71041194980B11620963041E';
wwv_flow_imp.g_varchar2_table(54) := '8030297000AD68E7389A18C321CF6BB2B46AE4281AC8D4868AC2DDAB5296CBF997A714A55E5B7A93E185C52294D77D79544C9C03AEA0691EA49ED039B25B1C39AD7C5A3ABAF882D3380756F2E4BE89FD1B1B565A0EC50508B0713939D26D227D674DD5C1';
wwv_flow_imp.g_varchar2_table(55) := '8A45645709A5D187AA0A924250D2D755B2DDD705537599812B76125B9DF21561E4E5B3370AC19C2276D1CCCE2DD16F1B2B62389D8187303DE93683D48906B389BC6E4621511404C716993898D4F40C045683814F65195845F3CE40663C4BA64F31F1B1E0';
wwv_flow_imp.g_varchar2_table(56) := 'F87B23712E27ECBB285E66DF91EE72943D49BD78B3A15CD6786DDF7E7C6CA95D9957C076517139D14F0DCF614F71E80397401F4252AE22A675D96F95B02D4DC64EABCA25EB3779F8B1ED24E6725350D56BF1E8CE98E8B5B1AE4498F6D258F6A1A160DDA0';
wwv_flow_imp.g_varchar2_table(57) := '713F3C389DC9B4E684EAEF9DFACA068B575E77FCFF00BE4FDC3FDC3ECF8E4848074398AB6936D2BC4C2629126D81C84C4116FBB2052476CBD0035B12112B3740507685099523CAD9E5ECB6D11C954C500B1814821C00F3952FBE0DE7C95D9507B2F05A53';
wwv_flow_imp.g_varchar2_table(58) := '292C40E35ECC9807493FF471D646CCA4623056A82EF1F390A4A21592B81F573A434B57685A8315C0CD1A211A6A6304788950D28728D3ACD3FA6AFAE5912FF64BC7BEED91DE4C4FD0DCFA6706425C24A5F1D31731CCBA37C839C3DD1E52F30AADA9483A63';
wwv_flow_imp.g_varchar2_table(59) := '8D4FE4F57B16210E81793B3BC3A2FCFA80E9F43E92748F3AF77FA7F3D220979D9E49A24E2227893EC148932711C949DC64FF00B25EC19CB7DD5726035E11C92365931686856E3916D652D41310277200303C8C2900022DB041E69E4C42320864105C7BBB';
wwv_flow_imp.g_varchar2_table(60) := '5D2BCE467196B7B55067CE297324AEB26A9709A51C5B3EE5241D0FB3EB59D753B0A84DD6A4C5299600CF438859A4E2070D2150258ADADC044E8482634DB74FD872574F4473249EEAFDD6AC3C1862A6DF72A94F2859D1DB7CD759EC8AE42DC30931319157';
wwv_flow_imp.g_varchar2_table(61) := '25CD072C52954C0DE96E675A93E959E754CD49EF3854E776253A3F2FAD3A2758B45BD9B593E2267AD9D38B6B9AB44DBC3A33E09E0D6C4B5B7C4D1C50D3F8528D8A00CEC5072B6D8DC8A4041809180C2C30BD9401E34ECAE73ACF3DAC3E70ED1E3CED8617';
wwv_flow_imp.g_varchar2_table(62) := '73E338FBA495F644646ED19617C8970C0632E688E5B352B8556E5157EBE8A893AD47D482A5184458821C0D8CB101E61072143AB4CC9C181A141326CD3A84C824AD8B2EAD9FDF573939475667B1485226058D6E4D89AD4274C232824EED4BDB3DD554EEEB';
wwv_flow_imp.g_varchar2_table(63) := '9FE7D511B69C2614EA5563B14D2FA241286206EC730CE72A8DAEEA60F35A94A5FACD15F1A7D13AE5D616BB1BC6BACE46B099257415F44D72E1A91F611992CE65B9E6A3BE11CE79EAACB0E5F3FA58AAE54F5BDAD5B0080C2A68258CA009432E26B837BAFC';
wwv_flow_imp.g_varchar2_table(64) := 'DDC73E14F483CEFF0052B18E7274EF448D4FB8F492D6340C716755527AEA33A8692B5A9123543CC7A69A28A5931E474E0AB4693001ADEA46C403406A0851107378B4AE508090596E42944524629C5AF49DEF755CA9A124A6E3F61BBE0E9155D1E3A2C05A';
wwv_flow_imp.g_varchar2_table(65) := 'CFF7863DB16B802AEABDD1F396F83ECCFEAF43FCD0038778563CBDB216240CA1095040389B374E2D581EF271AF6EED0A72247AEB34A1940A9737AE42CC01700E4830B12E821B0D95B02330210193B02612D050987A37E37734F0871BD27AC1E6B57F4BDB';
wwv_flow_imp.g_varchar2_table(66) := 'C779F547C8AF52B4F16C076AF5384CA37108392B721342571176E5564B120549DA5454E0BDC5A16CEBA534619D5A8459A4A60CDEE461A03621C701424BA7311955D5D446942858A47A5D125D3FAF16DD558D36EAAE61E6EB99427560536567D16B2DAAF5';
wwv_flow_imp.g_varchar2_table(67) := 'E9F5C2575CE342997135D4F06E255F2C6230238310F43011A13862336A07974D4BEAA29F662FABA43D5AA6A6142B226106920B0644060ECA2793D5659F51EB9A6C19AB6020D6A80800D0604210D84317A6D45E677538BC57D1790F82FD88E446B9B2CFA8';
wwv_flow_imp.g_varchar2_table(68) := 'AD7EA7021BD9FC93E8F72F4F36C73B763FE7FD6F1323EA487E7E8D1455B4C9A2BA718ADEAFBB3E7A374B3BC3FD57CE656E8D6FAE8A48E4ABFA7024A300806F66330CD9A812928C1481CD2136C614726321231637ED0E73381589387528AC493717A4D93B';
wwv_flow_imp.g_varchar2_table(69) := '5129AB4B45969ED0B608A58E0E9AA9AF7C21EFBF3C6341E7007544C184698C65BEA6D87167B66AA2D746571FB77CC7D45BA22184CD759C3246C33411000F4C6A07A0E986615803068002D0031065E8A4E0DCED5BB778DFA0D92C7C52D5B38B785516174B';
wwv_flow_imp.g_varchar2_table(70) := '63E9711C1BBDAB1CF38576AC4DDF87DE9A4702CF8BA6D6D0FF0015A34C6E012780CF7C3EBA99D53DBE2D40942FDEEFE2C2B023B6652723B94C229D5A506B6068C116303C7AD81E725720974167B525B5A8D9CE754DA56B9844459952DDF6C7BA9CDB2C0E';
wwv_flow_imp.g_varchar2_table(71) := '0F5D74F37389AC951AFBAEA58DAF1E775B579E4CA5A9C90D0F6283DAA4B6D29DA147DEFCB956935416A6DCAA7A3B9EBD992CE81DE6FAB4666F242D1106C91980C0C3083005A0E80610680C06B11A06060F450891F1572A7AD1E78F23BDE71DF9CE49A85E';
wwv_flow_imp.g_varchar2_table(72) := 'B1DCBE74760F90F733A8644B88AECFDA24F263DF33D17548B9DE558B5DD71E638F12D56B2084EC71FAB2C4A77D27898A4CA1761FA9F99C99D4A88E6BAD2E52F41BCF9E8D6DA58CBBEB188A3906ECB581B786995389F0EDB6B1D50E2C4C0A70B13B4EA3CF';
wwv_flow_imp.g_varchar2_table(73) := '1757E9B59F13B838BD571971527BA1B75355E9846FE7DBD0CF33A9ACD30BCCD23312EE3350AD0A58CD789AAF1C1E860C63DB768E474D7AFD49DE3D6E784E0EF4407BD0A46CC00A41980D804C20E46C3B0B35ACD237AD6A0F003286124650C94E7A7ADC77';
wwv_flow_imp.g_varchar2_table(74) := 'CD2F51CA178656CF70792DE73D35D1CC16647F1ECAD26B1A63EA72FA36E8E4EEA3F1FF004194331B12C3DA3236D056FCADD4F4EE09E97E7CED3D8FADE9F9150D05BD8BA53CF2F4DBCC4DF1405985DF5E1A5BB0223E418D1CEB16964D572EFA7C836C6D98';
wwv_flow_imp.g_varchar2_table(75) := '00504773E6211990DADD1F195BBD4D553864D56837C0DD416333771635C94DA49F44348CC6E8D875AF4D75771FD6CF7886DAAC29DCF96258F45E4EBBBF53D77EB47A0F19630CB1F77CEEC5A111D8C030DEC0360F03B009849A1998116B5983DEB02A5A28';
wwv_flow_imp.g_varchar2_table(76) := '448CB4E34D1349F69E261012446717764948F9F37F9AD1DC8E95B52AAC6D2F39ECE74CF116FC3D9B4604DB18D08C58D0DBBB9AD7122CCF47F3E7B75615D673E55338D59D45FD2DE51FACDE4CED8A2D08AD54ACD107B36B083DA7691314C6CADB654AAC47';
wwv_flow_imp.g_varchar2_table(77) := '26C9A3DF5AE3D3444DEE4273DD1597C1F8C2DABD2CA878521F2875AD17125286AAF67F04CE1A4A86DAAE4E706C5C7D86A985C3CB3C3F5E97A599A3D5698F74003D72F51E21D56A755D9E188C24E23B16F62C168419BCC18B03848072550810734CD66606';
wwv_flow_imp.g_varchar2_table(78) := 'C032C65907264129942788988529D2484A8200901899C3C0BACEE9A8A8810EAC49A17C9E6153BDE1EC58ED0C51CAB649A32C6E5D3E13F2E7B9B431431EE78ED4DADAF2B4155BD65E3F7BE1E15EEAE2C59A0DD9F6AD192C50E28CC49E1CA3AADA94AC8D1B';
wwv_flow_imp.g_varchar2_table(79) := '252C3E30A6C84DE61CFB0CC73EF49F798C384BD5527CF32497A776B78C96A12636F6EB34560D1B697254DDF7D1D4FE786FA4B3B7D6E0EBF0ED8AD9B85B393ED575973076A75F991A5EFA6DB18E9EFC36983720D8306A458C8E0A405A9306E34B32F75E72';
wwv_flow_imp.g_varchar2_table(80) := '445E8E4B085F4C08E35CBA83C9D4B3B4F6769E731968D8B275A4FA782F5711888744C52DA95CD321912BFC77551E27515D3951F1AD82B359B5E5B08D92715ACC02A5C8472129EA91EAC7AFE5B96C9D38B548A8BD333B831B5E83F8B5EDDF8B3AE31220E2';
wwv_flow_imp.g_varchar2_table(81) := 'B7E700C6430C1938069E94487070623127A708D8D8FF001758DE0510A82DA4D1A1922B63D804469899479A1813B75833EF1BD0324AA64BACE74759E6F8EBEB4B1781C572EFD55E7D6C5E8519E7A891E8599E78633D111F9D8635E88679D6505FA2E7B2F1';
wwv_flow_imp.g_varchar2_table(82) := 'FA7EB741CA81D5CEEB05BC7E067715054C174E8EEA81727952CDD6EDDCA09E1ABBEEC2F2F13EAE0FAA04F95E92CA3D562BCA421AF57AA6F3C11EDABBFE27358379EDB4C452D461BE8A5C36346AF8B318ADD10649154BE99A5921CBEAB9C09678C26E0535';
wwv_flow_imp.g_varchar2_table(83) := '0270B5B8727B5BF46B529F5ABE1BD076CDEB610CD87007B2F00FC2300F097B419A2F182285A604C01A811AE8E754E2DB903409F3B8F99BAFF89D65C5B68399B9D71A7249D76D839270C4630542236C3B4563146C9D347849C03309D267612211D8485A34';
wwv_flow_imp.g_varchar2_table(84) := '80276B1BCC42E299A9736CEB6C6A736B9D0D0CAF6CD3A98991FDA2DAA3CD6FAED7D7D99435B6DF9E7085D28A5A5126996553BA94C6D893E8BA40AEAD8ED73E7A3EDB639C60AA1C31A4EA9734270F6991C775C539666AE897A1A8424C7957094736FE981A';
wwv_flow_imp.g_varchar2_table(85) := 'B0F04E25EC18D0C648D316CFD2722EA568F4FB95B7CEA9E76E1D836F298FABCEA2CE4E2BADF6CE405DD686339247D68635C92675A8E4B94D5F539ECE551F53638F2E6FA8B0396C5D43A0E5D2FA9003E5A2BA9C21CB05F54168E560755013E544FD5C06B9';
wwv_flow_imp.g_varchar2_table(86) := '251F5DA60E3D6EEC9468E2E6AED76E71E236AEDF6D70E1B66EE86A947851A7BA5A650E177BEB74D3AE967BE98E04B680D5D26EAEBE1514EE586E7B98DB1037A248045208C99CB728F89D9CEA8659ABBF540216764D4616DE6F522C4D94CB750C28C85247';
wwv_flow_imp.g_varchar2_table(87) := '65C8088CD8133BA69D488B7B4AA6C64BB1D24C51FB1135D1ADA3FD3947EAA6F2F5D50385333CF20C84D51A498D9A32140B62D8646F3604B79B2D82CDE06B59A6B341D23782D260D84206035A01045A00ECBDA63084C02C22D389451858C924F2848D3AB2';
wwv_flow_imp.g_varchar2_table(88) := '5342955010DC9D71684099CE382E06E7C41DD17E3709B4E24745F42C26F7818E34D6E5E775B1BDEAF8D5E975352BFDAABAB9435FDC8354F441C7C65FFFC40028100001040201040202030101000000000001020304050006110710121315201430081618';
wwv_flow_imp.g_varchar2_table(89) := '4017FFDA0008010100010201183060ED6165B2ECE644E5A1EB092CB890DAEC2E231B25DB4E897AE6C706453B55D37C7C02477E3E9C71E3E3E3E3E39CF9C239CF39CF3FB5A3B3D24584E308A8F8691551E6CAB261360C487CBD7B5C98B2640EC3063AE755';
wwv_flow_imp.g_varchar2_table(90) := 'B6F9B2D89311CB28AD30D46B9A6E1A759A255A6D6D5143B2ABA8962DF4CB1EC083E5E5CF973DB9FD2C8E7FE00236361946C748E50EC4FB5656776B5791C79E7EC54FC7BDB4B1892F060EDB0D8EDF316B53919224BA9B74C6BA0663F1B71E9E2EFEBEB58B';
wwv_flow_imp.g_varchar2_table(91) := '884FD80AFE966C09560595264FEDE7B0FF0089E48C2B9529C9F2656D993D656E2BF34CB360B905E756C39EC1D863F23A99B1D7CE584E10CBD2663166F3B0F1E75B76A6C29171A659CBD466D933A1D86BB3FCBC501E4B78D2BF73BFF13C105BCD9964D8DC';
wwv_flow_imp.g_varchar2_table(92) := '596D9EB0B4B36317DC5EC79E6D61493D96BBB9DB0D9C4C58E0ADA0DBA710D8486D844C8D127FBE2C82EDA2E959D119C291DC27F74AFF00854B74B580ED6ED82760727BEFBB5860DA2F143C945587B255DA6DEED1B14744B7518E16B10A61A8B54C457D36';
wwv_flow_imp.g_varchar2_table(93) := 'F480CAB653C85D7B55B512D1AC22B9D4E0CF21FF000CD4FD54B0A71E16089D1E5FD0E3AD3B9C11D48A16B7194760A64AE39D7751D83A5CA5F07B7383B0CDC344BE89222BCFA65AD0A43385DFCA6044458DD7AC235F69B8D53653EF61DBFB3A7B71F82888';
wwv_flow_imp.g_varchar2_table(94) := '22086AC6F129FDB27EB247E20A76A9E454260C4AFF00A1ECFE2C8C673AC10F4B63A920B519B624EA7BEEEB53CA8F6E07619772763BEB6967105943C87DB7138CA953A42AE50971BB243EE3B16992F4563A6AFC377D1F8298E90A65B67BF1FA661FA3E52A';
wwv_flow_imp.g_varchar2_table(95) := 'F227C7C3D7EAF57A24B47B398E1397162916175B4D8189AE55C5A6A979397F5C40EF4B51D8A7AEB4D39D4E36A298B1D6F3E0A4262A1E7254C7233F8DB91D1EC8F1FA7F121B90257D07D07EBB1FA3B9C3D31254E773DE47777B73D4DB79B3946DA0349A97';
wwv_flow_imp.g_varchar2_table(96) := '5794FA65BA3648AE37CF967F1E610EFB4D26CD009A644F92CD6C54CABC391ABD9ADB18E856B55EFA9887E51A03F0BA6937631A2A94FA6425E39C307F6DB1E7B2F0074BB7B3A14563DBEDEC717D8E3AEE0CBDD77A89D3579E6ECDC0CB8244CBE8AB9ECDBC';
wwv_flow_imp.g_varchar2_table(97) := '22CA61D4D0749B57EF7769BADEAF2A9D8ADCA752ED36BCF32D49AEB27E34B8EE5AB6714E469F0129B6D9367D1DA4C85292B5B296D81FA7C82BB4F4D7B1D8E233D5F89294D8C243DF958DB9DA41400539B352ED5ADB47F2A4A20CC61B80244890A6EA998E';
wwv_flow_imp.g_varchar2_table(98) := '65693D43ED2AC7AA9B84552802E3CEBCD256FE36199AD4D538CBEE3B15B78B0DD0D548996D4D5ACA4E0C1FA26A21DACFB8832826503DA50477388CE162C141D8B1E742119DA87A922B3D96DE2D3E4E1EB6B311EFC90FC04C58B62C8D72B755994AEE3A6A';
wwv_flow_imp.g_varchar2_table(99) := '2761368ADFE43D66492A5E2165D75433D67B3454A4A184436F77B0E966A165AC56368B1F7A5C0AC47D9D12252ADD17285AD2CAB1C11D5DD0A2BF679F8B0F7915979320673C8572AC25E3794FB2476D808859AD41894B59A3BEFF00F5B9BD35B6E9748AAC';
wwv_flow_imp.g_varchar2_table(100) := '5ABABB7D26BCFD382801D41C2B753C24365211174989B5D0E8FABA14DB864078E270B483F5959E39E9FAC2FA3B1D2D73C9CAE7EC92CB3EA8A8EEB70606DC69C6DC1B9D1D3467F359A38B51F231B5FAFABE0E498767A993295BE48BEB8E0803CFC8B8CE3A';
wwv_flow_imp.g_varchar2_table(101) := '1B1231A71F75B5438DAF275BD562E99AF6BB598ECA6E78B06DE183EC3F43FDE31EE93638F313E2AA81550CB6CAA693F5387B946CBA5D574FBA8DD28ABC835FAFEAC96F3838F587CD136597B6E02B3D0B1F8BEBC4A96D378B2DC2AF8FABEA5D23837F53A6';
wwv_flow_imp.g_varchar2_table(102) := '57C68F329A126638D4A0FB6B189C1FA0A7D5EBF1CF0E70AFBA72608CEA518B32C87A617309C3DB9E79FA6DB6F53A7D554799921726C56DA12246389DBEB0AF14E365C7DE7712A865F84FA6AA7EA7022650E97D4C91A884A519C02AB4166DB9C82307DB9F';
wwv_flow_imp.g_varchar2_table(103) := 'D0F2BBA71C68B5EAC9793DC8AC19119D0AFD36163594EE4AF95F9B16322441872D6D3F297DBAD557C7ACF62A09F1F16D712F986D4DEAD075CB5B6D9FA852692260CB08094B51B918300FF83F0FBB8B05781BAF9960E494C767D3E2C7D4FD1D5C5B01691E';
wwv_flow_imp.g_varchar2_table(104) := '40B7FC7425D8559B83B3E13F6AF1C79FD8EF3D3E25831930C42F8F544532424B67F8F8E6C7D238DD2DD734F6301B12F44750C4BF5A594A437E081FB97F427998F330D4C4F63D2C0F594496861FB1CEA36E49401204160AD082AD875B817316659A73ACF7';
wwv_flow_imp.g_varchar2_table(105) := '4428A50DB1EA4B3E84A3C1F82F31EB61AFE3F83884F2C119214D58A2C10E840496023D583EAE2D3241FA73F77170D9703C865C6B0E12F93D8FDB77874D05A79D585B25D7D5762D378D6752C273AEB62EA9B446653184771B6DA712969BC7EBD2DA91D33B';
wwv_flow_imp.g_varchar2_table(106) := '9C1D980306333A3D828B0E71E20F29FB3A571D1F5E7960E73DD6B5A9BC391B104AB97021587EAA55B5BAB190A529E4CDDC16FDE1D934DEA558EB8B40CEA0D9BD91A2B715720A9163165C84B6F95B0BBA84F6532F4EBAC18CA860C195B609B54C913D1207';
wwv_flow_imp.g_varchar2_table(107) := '67E6AAF17B6566D5DB9E79E739E79518F9CF6E3B3A549533191E587B3649FAED73BCA016165C2F4C9955B65AE9D7FD3C9913A6BB4D3C3DFF006026242121771EE7DF79E8D2D1392B0F477D2A7D88CBE8EDD76608C189C4E0719C6DFF00683B2EC8FECB12';
wwv_flow_imp.g_varchar2_table(108) := '6DD6DF07A995368493CF979739CF24C539CF659C93817E67168EE7B1FA156D7322E7ABC9C5ADDB08D3B5EA0D86AEF376D475C0D4DEBB5E34DC9B352C144B44890A4369C0E256DBD3DD7F38D4AEB9E582082831EB56C375EA8C91B06F7737110C0D2771E8';
wwv_flow_imp.g_varchar2_table(109) := 'D43E8E74714BC279E79E79CE4184AE7B73E40F62543CBDB87241C3F4B3B1DAACA91A945E73DAAAB4D4C2D7AC35ACDEDD6EC34BBADB2D263A484E21A4ACA120908402BB65EB73A6B6C8D0AE719C180A54B8128488F6F6F73D70BEB2D3EE762BAA9EAB566F';
wwv_flow_imp.g_varchar2_table(110) := 'F22EF58674F7B9E79E79E79E52B859CFABD3E92D328713CB48F4F81C5345C76481DF60BAD337DBCB0D5E125E7B1098B25AB876DD89578B66C6C588A0B8F3891894F8A41C09E384E4857B62BD78D5623A0D68724C1F8A690974CBDBB7D4F546FB6E90DFB2';
wwv_flow_imp.g_varchar2_table(111) := 'A2DAE5F88C46DBD72745AA80D6739CF3CF2EB8F984AC6F14B1850A002B139C2C727EC4F5A7A8744CD33560528713F8DF04BAD8D4F385BDD4E7E43ECB931C389C48E46120F979242725642230BD539D1E94E29FD9763EA55D75D762EB6DBED41D716C3E71';
wwv_flow_imp.g_varchar2_table(112) := 'C52955B299851AA359D4E8EB186FC3C547F27DFEDF2015098C18CAD67CFCD4A41560C2A5A8FDCE751F450BE97D6BA879C4C16A338CB4F585CD95E4D8D678FC9056AEC9C242BC82BCC389520C930B0656988B29364B71CCE7DA85387D8DB8B59718AFA1D6';
wwv_flow_imp.g_varchar2_table(113) := 'E3D2D3EBD5B062E34AEEFCC44E6AE9C5B2319C18C2CAD521564C4C0B53AB98E5D35787F4750644E7FA7324BC80D30637AA6353A1D9D3C96A7A1A5296B0311DB9EC083CA5494CA721E0CACC8F26429B71F585797249C5A39A8A68D5116055D33159123466';
wwv_flow_imp.g_varchar2_table(114) := '984B79CF20B8A88AA7D9A9E4F6476DBA1B7A9B5D3B63A6F4745710C685FF009D23A6F57A6FD4F7DEEDE54FD762B31D96D295AD6E3AE48726A6CB2CF23184D2FB2493F4053892844FC88486F178E2B14E792D48C7719447A787AD575246A28D42C426598E';
wwv_flow_imp.g_varchar2_table(115) := 'D329692FDACDEABCDEBD4EEBF4DEAECCDA7A1940E040EE4E7ABD3C673CF3CFDDD5DC3D630598CDB40953AB5C87653D3ACA44F55CA9B0076E3EA0270880E4B573956014A1DEDC2CB6B8B0AB6B62D5576BB1EB1B8F2EADEDBA4F56A5F5B2675726ED6BCF67';
wwv_flow_imp.g_varchar2_table(116) := '3806ADAFC086EC6E715D9BEDCE2C6724FDDC9B2F64B7B1956F02C9C5B0D7AD76AECD5459559645739E7EF57118247657DD389455A012A4A58530E28C857B12D41D1FE1E2C5815901B0B437B6F505E97EDF2EE3B80DB7D1AD5C60EEAECDF6E7C8ABF44C97';
wwv_flow_imp.g_varchar2_table(117) := '0364B6B6B7EA040EA1ECCFE9D0DBB55571AF7E7C8626EBEA606D0EDE2D766B429071015F74E378C1F1E394E5632DCA6BA587A7697E54B15D5346CC6425B8D64E4C963EE3384274CD718607D1DEC165C2EFB12F1FD17ED48D26D7A79B1C1D55DDE5BD2EC9';
wwv_flow_imp.g_varchar2_table(118) := 'ED99CD66474F06A8BD73E19509F684B98C29685254B0CFD476189083255C78A5B498D94AAB4BCB69ED448751F80C32D456217BBADBB12123B8C183060C0109E966B087EB5CEEEE03B0C80B1AE2741A4D539CE7E9616EF4C2568DC342AED3F6146BB5B160';
wwv_flow_imp.g_varchar2_table(119) := '0892987A1C8AD5C05B720CC1356831DB67165907B8C03060C8D96EA042F9463AED1638DFC5C5AC622B91E344622B31EC6C6CAC00C1F4183076E9F6B681E417DCE3679EDCF39CE73DAEAFDC941F7A76E1BAC0EA45A6F520EBB163673252B69C4C9C9464AE';
wwv_flow_imp.g_varchar2_table(120) := '63962EA323886D63787B7183380539053B02C76F2F24655261435464263B3F891D869A5C7EB95FA47D5E8F8312037D29D5FEE8FAF3DB9EDCF576CEB6D36DDAE3DA56F47EAB5AD8F5AD57429356D3CB94B94A2FBB21E98EBEE4F7158DA21C142338FA0C18';
wwv_flow_imp.g_varchar2_table(121) := '3122B32C17E3C70948C08AB2E86188F1D8663A908B4B1BAB61F469AAEA0B6B1183123A73ABF8F8780FA8FD64F5AE0D5DBDB3DD3DD9EBADA33D6AFC0BEB0B562D058A25FE5487E63B25D92E59BB1D4CE44C92F6DB54AFA0CF1C0A6CB2B050E24F884B8E58';
wwv_flow_imp.g_varchar2_table(122) := '275D42E3478AC466984C70D75DB684A7077D4A35D5BF2000DA7A6BAC13E5E5ED07B8FD6725C5DD7A376D1ABA56B1735F67B2D831B0AAF19B26ACA24D5C87E43EF3CA9396CB6110DA464B73ADB52FE1EC306023121A6ED5C00C65210E4DCA5625BBABC754';
wwv_flow_imp.g_varchar2_table(123) := '761869A6DB4A6CEC2F2E477E71120B88516C0E976AFC27BF00771FACE1C564E81B5F42DEAE89736F6766199D1ECA0CA8AD95BCA71C5AA4AE66466DB6DF7181D7CC9187BA7B273CEB999AE057B512022694AA20D3D65965B6D08478F5EF6A48CE7C862D45';
wwv_flow_imp.g_varchar2_table(124) := '45541573ED5B4F4F759FF90E1249C39D49D3112BF3A446935FE8A654796A91225AE72A44B7918C62A520A1AEBB648C3DD39E484335C1DF1435F8EB8EA1103698EFF491F5ABE51770E3F3255ADA0ECA50CD7E967C87154157B5BD5317A59AD7FC67092492';
wwv_flow_imp.g_varchar2_table(125) := '49279EA3F4DA5351A6A598D47FD6F16B94F00A336434B05010EC06BAE511DC3DD98E12AB4F9562D9B084F8F8CB106921F4DE9B40828E129699B0BBEA5EFA818A2A2A76B556D26AAB12CA4EB9D39D635BFF008CE1C3870E139CF3D439DE50E733B0BBB237';
wwv_flow_imp.g_varchar2_table(126) := '39760FC84BB225C871B4875B5456919D6B4BD870605AA4A2316DA0A61DA98DAAC7D022E8502B90D47AC62ADE6E5F51ED3AAF3B6186D38B01454529A1A6B8B1447A983B059F4E740619FF008CE1C3870E1C3D8E0CDD1D61287CBECCC6DE54953AF4C53E96';
wwv_flow_imp.g_varchar2_table(127) := '1115A808660C4F2EB238E61EC101EF4A31821C62640DAA26F350CFC159B72AEB63DE65DE701A705E3AD8256A6D35D4D211305041D8AE7A61D2C81082F3C87E91F73870820820E1EC42DCBC69EC8ADBB9ED4629F7A6153098A96996DA446F151EA8D6380E';
wwv_flow_imp.g_varchar2_table(128) := '7296FDDC8524ADF0FA1EF7FE67F7B8BD5F8DD6A6BACC8EAC31B9B5615DA8D84A632ABA51B340D7AA26BB677544E59DF3AFF43F1C88C47F1F5F8F8F8F010A471C71C76F1502FF00BBCBCF9F12382929520A5E558353821A712F6051580843488E6329183B';
wwv_flow_imp.g_varchar2_table(129) := '3F9225DB3E7005AF1010A0B6C958216B72724A73CF59D9ACB666F605F535ABD1D57B5EB3855058DA5948744AF57ABA14C08BF8BF8BF8BF8BF8BF8BF8BF8DF8C63CDB9ADB75C4FC4FC3445B00D6FF0009F8C97AE13B3D63AF82A2B2E177DD65657684575A';
wwv_flow_imp.g_varchar2_table(130) := 'B3C14E25B43696D0DB6D46447463AE2D7B5C0940E28E0055CF21695A5C43AB5BCA58238FAF0066BD2AC1D390703EE66B7D741FC9A1FC9B1FC9CFF4E7FA77FD3BFE9EFF004F7FA7BFD3DFE9EB8EA5D2F53A4F59875653D5C8FD62BBEB80DA297ADACF50D5';
wwv_flow_imp.g_varchar2_table(131) := 'D4556F749D656FF9127F9147F90FFE863FC84FF416D9D5ABB652CD9A8474214C14A032DB31D98A88CD36AC71EF2BAB5B59C7B93F4E4A90BF353A4E11C77E3800E572DD545D6CD07F5FFEBFF01F03F03F03F03F03F03F0428BE0BE08D1FC1FC27C27C37C3';
wwv_flow_imp.g_varchar2_table(132) := '7C47C47C57C59AD35E6098662AA318E592D943A9B3125F9117D4C422D14B2D30CB412BF62E6B8FF979F57B627567F4739CF3CFD9380F993CD3C2A7A22F7BBDBEDF3F3F2E79F2F2E7CBCBCB9F2E79E7392A254558BC585A569710B43885A1695B5748754E';
wwv_flow_imp.g_varchar2_table(133) := 'A62D35CD83F30C843DEC165F2C2E85BFCA7CAFCB6C334E0573CFD49FB73DC08D5CAD7CD2BB174284544F6E79CE7F7724924A8A8AF1454578BC5E2C2C52B56EE226369D976E5BAD428D450AB43722B17AC3BABB9AEA358FEA8EEB6F9387EDCF3E5E5E5E7E';
wwv_flow_imp.g_varchar2_table(134) := '417E7CD7C3574963F4C2BF4B15BF19F166A99A2F87F85F84F831449D7C6BBFD77FAEFF005EFEBDFD7BFAFF00F5F340684D17C11A434DF0E6A4D59AD557AE02A1AE22E32E3AD95B4B6D6DADB5B74689EFD5556CBB5C5870B584D4A622F10E388F1F5A58F4';
wwv_flow_imp.g_varchar2_table(135) := '81EB9D5E471C606115E6A4D5FE02982D71C76F0691D2774C015A2B0567C5FC67C67C6FC77C77C77C77C70AEF8FF8FF008FF8FF008FFC0FC0FC035FF1FF001DF1BF1DF1DF1A6BBE38D69AC358AAB554AEA154EAA55D1AE857AF2F5C5EB4CEBD322ED5B3D3';
wwv_flow_imp.g_varchar2_table(136) := '53470EDE8B592B45322B787243B74E6D4ADB1572A7E44597A6B9AF354AA8423219F52D3C068B1F8EA846AABEAEE6952EF4BA9460C1F4E3F7F047E9E38E082929282DFACB4582C751365AAA9ABAF5BAEEA73755890ACA458EE0FDF262B3AEB350DC5523CF';
wwv_flow_imp.g_varchar2_table(137) := '6597553264B4B6C29B7D423B6F6343819C21272066C6862347863B0C4F6E53FA4F63D862B39CE79EE713D8FD8E1C27838708B25AF34384CB68AEBAAFAB85B94D9B2A3B70E128049C056579FFC40055100001030202060507060B06040406030001000203';
wwv_flow_imp.g_varchar2_table(138) := '0411122105133141516110223271812023425291A1B10614306272C115334043535492A2D1D2E12455638293F0344473B283A3C2F10716255064E2657494FFDA0008010100033F01F262A3A79667EC6349B0DEAAB49C9354BCB7593DE384037D545BFDBC';
wwv_flow_imp.g_varchar2_table(139) := '53647EAE2189A2C317F050B2F0B73783D63EA8DE80AC85C2F66BAE3C16BEAAA1E09B39D8BDA022D01C36E2DA9B6DF74EEB5C909EEA0A0A70F2E3800E560A78A38F1309B06D81C8B8DF2013E6A2D1EC6BACE2D8CD8734E80D7C65FD5EA37B8828D4470C37';
wwv_flow_imp.g_varchar2_table(140) := '01CE161F680CBE09EFAAA98AA5E0B1E45C8E46E6DDE99534D15A4B88E42DC8E66D700AAED0B5105544481AD195FD073B62F9D441DB0EF1C0A3C57D62B995CFA42E5D23821C10E08704173478A3C53B8A723EA2C2FAA6F198BBBB10FC88892B2C013D52DB';
wwv_flow_imp.g_varchar2_table(141) := 'F727BA12F12345D971842C41D72496B413E22E9BA5746EADD4ED90385C804B1E39B1C3614DD15A4EA192D04AE633164E3DB1C08D97E09E1BFD9AA2F1DCDB6F65C6F81CD37C931F05DF086BB15F1443EE515598D98E47C6C2711B8B0E66EA0F4647E00DBB';
wwv_flow_imp.g_varchar2_table(142) := '5A2DBF613C95240676E273A67E1DB6EEFE813A3A1A963F1BA32F1D97D8137B9F05331F192D66B6A59B48B360A768CEDC07C54D5EEA5A3A4696B439B102F1671329B9791BAFBD455B5753239EE34B46D6D3D200327DCD9A3B9C45C950D1451B6D6A8A5A5A';
wwv_flow_imp.g_varchar2_table(143) := '66C4770965C41D8873BD94D4AF742C7383691EC6372CEDAB04B88F1B2A7A2A9A23E83D988BF7E2DED2130C5AA865C79E26B8E6FF00E9E486349253B09D1B04B85CEEB4EEF522B5F0F7B939DD7195F20B522FE23BD1927B1F4CE7CEE53A0AAC033B756FC4';
wwv_flow_imp.g_varchar2_table(144) := 'A25D37D40094E8B0170F0E216A2473A3EB30B43DA4677B8BA7106E6F914E2ED19B8EA80F171DAA8DF353EB1A1D863C2378B942B74B465A3CDB648D8CB77E7F04594B2CB979FA996D6E0D399F0D89FF008568C0189A2132F86153B1CDA9ABB073C00F632D';
wwv_flow_imp.g_varchar2_table(145) := '903B3C54981E1DE6DB8C98CEE01E6E012AA5C208DE73C45840E4B59050BF1E2D6538C5DEDFC980D2353B7AD130EDCB2FC880AA95C5DE8345BEF56A22DF51AE6FECE4AE5DC9A1A3BAC818A3EE5056564CFC030E2F86F508E5F6725068FA47E562783B0E7D';
wwv_flow_imp.g_varchar2_table(146) := 'E9CD0C2F7F6CBA4C2EC816306FE0D52BE30F7E6E98E336CAEE1B8F21B939B2F9D92F873977660640954B1D240E7B4926C351C77E64FBD5454B2A8BE4BC8D85AE2E19E237B46C681BAFB029A37D760C71BC39B1DF15DC09EAED1BD4AF63C35F8231307471';
wwv_flow_imp.g_varchar2_table(147) := '816EBC7D46F804EA8B891F77B2612CA6FDB6B4D801CC27CD3554B2BCB9F23A32EB9CF087758775B7213482168BB5DD60ED99B4754845A3325DFBBDAE7CBC910B037101705CE277347F14EAAD2BA508931375B607B804E75870BAC827B9C30EDF62F9CB1A';
wwv_flow_imp.g_varchar2_table(148) := '5F9BB3778B0A14F5B21BDC4ACBF814C9E0A6960ED168CB8109AE8704B9373B72BED1DC85E46B4DC6E3C93818CB0DB571B40B705574FA3030386B5C5E1A7910A392BA9222FB085FAEF06357CFA97479675B13DEF7BBEAB9DBB90BA6C7183AC2D961618FBE';
wwv_flow_imp.g_varchar2_table(149) := 'C98C035C4D8B1AF363CF6A6D4474A22A0B445AE74236DED92D5471CD8F0B69C5EC3EB6CB2EBC7FA13707EA39C7772281E869360E17E17406D365117611236FC2FF004C7874FF006E3CE21F9179D26FF9BBF2365D5A91B37FB426E266639F72D451CAFF00';
wwv_flow_imp.g_varchar2_table(150) := '55A535F90400EA9CCA71AC75AE05DB7B8C586DE95B9EC0B0C93174C35D2B1CE97EA34DAD1DF8F2582488B9F89C1B723D53E883CC6D3C1388D59BE1BB5C59EB5CED3CCA93135CF8C3DA096E03B08DA5B7F89469A3AAC393DF2B0170CACE02F95B7058298C';
wwv_flow_imp.g_varchar2_table(151) := '163D6A864A6DF57EF408006E6BAFE28450E111BB1B998B1DF713C117E64DDD923901B43F207627DDC33B1DDDDE4358399C80E2A1A6C264B3B600DBEF39FB8050C9A5B59383AA738E2DFB72FEA836A256821CD6BDC01E206F5BEE8370FB49440DBB05C265';
wwv_flow_imp.g_varchar2_table(152) := '5D1C59012C67223E08C4D7B36B5EDB5B8145C49BED44BBB814446C3E1FD13A611B72EADCA6C2C9ED1F69863246DEB6D50D7C1AA326170A601BC037785A97D54358EB18DCE6BF0ED7107777A2FA1B5EF23247677C8476EA85161F9A4836465AC277039A95';
wwv_flow_imp.g_varchar2_table(153) := 'F4759135D66C52136B78353A8AA98EC7E6F1EADE2FB4E67E19AA2AFA3A6A88EA30B8B2D898ECCDB8F151DB3323FC09F82A29AD76C66DC76854EDECB5BE02E84ADB1A70E1F5AC140DC9C1D19E0E71B781510C9A5BEDFA7B564478B6DF911D732DEA9F7141';
wwv_flow_imp.g_varchar2_table(154) := 'CF932DA07B9005DCF356D1953CC8F8AC19A14C0B8E76DBC9414F089E28E233BCE46418AC00DA39AD6474C6E3AF312493D77EAFD24D8B0EC3B5EFF4B6FA3E0AA80D6069C6F786340CCE276E1CD4B4D2BE191FD9DB6ECE7C1588B8C82B10E1B6DF143EE4F7';
wwv_flow_imp.g_varchar2_table(155) := '90711CC61F00B0DF2DADB66B61F6A22DD2434DBC141A3A9E69E792D96D3F0039A9ABAA26965679C73251101B231C5D7F7AA48E19A4943DCE0C3AB03D291C7D2E4108D86F72E70B782C39EFDC893B55AF8B82C25C37146FE2AE4EF582FB36E14E787B7962';
wwv_flow_imp.g_varchar2_table(156) := '1DE112E6B41DA98E73BCD6A848C8F540716B6FFBCA483204B7A841F108CD2BCBB781893E19D8ECBA86CE045C39AECB3EF4EF9C6185A40166B79008D0B58F39EB5EC63DBDF92D5D65348E759A2B1E4D8658B0DAE9F4FA3A949696EB71BF09DD8CE2B7403B';
wwv_flow_imp.g_varchar2_table(157) := '403DFE40E03E9ED3D31F0F7FE42D16B902E6C3BD1D6476E0E431379B7EF59307D64C6D0B9AE7805D28B73B669C1C9F8266BB2C436F7205B1D9D6ED11C865922705BD11846ED8B586438AC1ADC39EFC673515DD24EDC5E66530C6DC8090F649EE45DAA6F6';
wwv_flow_imp.g_varchar2_table(158) := 'AF61DF65B49E255B72EEDBE45BA68A9992BA699ACD5825D88D88504FA265A8C524B23ECE16F401DB655D56FAB644C2E333AEEF128B1AC6DB77BC273CDEFE3D1638BC7D88BDC5C7C5627F1E038A9647C78859BBDDEF545131E4BB59213D56EC0D45FE72DD';
wwv_flow_imp.g_varchar2_table(159) := '5CEDCECAA29594F21FCEB41EA8C834EF42EE70FF00678A754C0C6BFB4CC363F653E505E45CEF4E8DC0FD6D8B5950D02EE05FFBBBCF82A587E752D4C800BE165F6BB0F5AEA7D2CC3316E16584A5C7B385A3728A4AF82390E38E475EDC6C53656C3845835B';
wwv_flow_imp.g_varchar2_table(160) := '7F6F481B48FC8AEFA43C25F88F29AD172401CD5C5C1C9318D2E27D99954E5AC76B400E048BE47ABB72E4A9DD26AC4ADC76BE1BE764C9AF80DC71F29920B39A08DB9A0D743F6BEE56734F12576B93AEAAB4B68795B487CFC52B668FC370EF0A0A8636397A';
wwv_flow_imp.g_varchar2_table(161) := 'B23722D3B6E322132AE22D39E2D8A4A171C4D3676C28E2BACDAD2EC20BB32B4969D95EDA48DB85BD5748F3858395F8AF943A2A332C94EC998066F81F8F0F864562DAB7F2B78AE3E5D3E99A8D7CAF735CC8B0C6F66459C7BFC569814AFA6ACD30C9236349';
wwv_flow_imp.g_varchar2_table(162) := '7864581C5ACE7B3353E8AD1B055BC6A5D3B9C030C9771037E04259311CFBD6D6B183AD97B5755D7DA1C80F1B2F6201D904ECD6B4DE492C14260661A332606E2C5210C6347137DA9F554B3465DADB8C6E78C81C1B983D51EF4E64B6FF007642CE70CC5ADE';
wwv_flow_imp.g_varchar2_table(163) := '2A9C504C30074CF780DBEC161FECAD64CFEBE588E63694CD1B15A1A36B4E671BBAEF24F7EC5535AF06A67EAF0680D4350699A1DAB7C4434726ED27EE5A9A881F165E71A1A382A8AEA37BB5AD3694B0E3198C2A37F6DCF71E388B6DDD65619CD2BBBDDFC1';
wwv_flow_imp.g_varchar2_table(164) := '43FA16FB2EA1DD101DD92A666DFBCAA593B2587C500001B3E9B28FFEA37C990B5BAB735A710CDC2F92A8D6B8D98E0EB5DEE398C277376291A5CE6D5B9BD6BE1F473C88B777BD6AB55E7E5930B89C4F77585FB9524D9BA118BD6193B86D4DC113352C66AD';
wwv_flow_imp.g_varchar2_table(165) := 'E1C0B40DDC3BD1A6182399C221B196070F2078797F8BCAFD757C07EB05D67FB56EE41431E9FAD969E95ED6122EF66777FA592C54913E48DEE91E3AA2C6D878929AD823BED3EE28EADC7EB274AEB05A461A26C54D552478093818EC38EEB48D3B8B6A667C';
wwv_flow_imp.g_varchar2_table(166) := '915C35E1FB59754E2B0CF483A920C45A373B7ADC7E83494CE7434ACD5B40EB4B95FB85D68CD1D573C75FA326A9AA866EAE5898E36B8739CEF805F3B9A59B541977136B975AE7666B258731B7E08C8EDB72500458A2CB0E39828E574159C335254F9AC7D5';
wwv_flow_imp.g_varchar2_table(167) := 'FAD994C81A23607876238DCFDBB36594321C7087D842CBE21FEF2E08B36152D387885F8758DB1E58B23646271C26D872C93AE4E22AA656094B30B0DC07BAC06498CA5731AD38B218BEE4E9E9E12C0718B480DB8669F2D3D73A0945B5F8D80E793C036C94';
wwv_flow_imp.g_varchar2_table(168) := 'D2B412E68E3617F8A69ED75BBD440DDA0B0FD42426EF2E77DA3756D9928DDDA8DA7C13197C2D02FC3C8BFD15A307EBB3E3E4CC00D535A4DF3C46C2DE0A7DF1B3C1C7F8293833DAA4F59BEC253FF49EC6A3FA47AE6FF6A6FAA7DAA3F51467D00B521B2477';
wwv_flow_imp.g_varchar2_table(169) := '16736E3738136E9CE3FB4BB7CACBAC79B57CCA8A59876847660FAC76279AA91D38C4D6B0BCEFBAA78A3F32CB01B82FC20CC382D62BCC9B9166E5DE5DBD75A7C5E084F2600B16989E0732E0EB22EF2DD88B0D307B6E2C5A7BB62F9AD439A0644DC7933E93';
wwv_flow_imp.g_varchar2_table(170) := 'AEA4A485BD79A4C0DE1CFD9E43AA068C9638BAFADD4DC6F045C5FC762B3DF1880C601EC924E7BF6ACEF6DE86B3866A66607D47572C6D6FA56E2A39B5C5F3B22EA9775FD2E439AC6D634B7B3B390E0BD66D8DB72CF247626E26E2F4B2CF8AA991CF2F8CBA';
wwv_flow_imp.g_varchar2_table(171) := 'C76B96B8401BDA6C4D63ADE961DFDE80884BB470E686595B2BAC19DAE79A25AF36ECB09F6271B664F7E68C94D2BD809C06E4F04709A87496635985C3836E17FF0025FCA012E371D15A41F62ECFCC4A33F76DEE4C7BA17B1C0B64C8DB65F6DC7E49E60FDA';
wwv_flow_imp.g_varchar2_table(172) := '67FDC3C8EA3FB8AEA0CCE4D56D558017A8119C5BC14080420D04936B797730B78BC7BB3E9EB45F6BEE5D49077ACD879214949A3984DB5AF3B7791B952B22706CD8A59471E19AEB6476ED46E30957BE21B5BEF0A363C477CCA7C204919CC2D74151A444A1';
wwv_flow_imp.g_varchar2_table(173) := 'D3B9E4B2F9060395CF12AD5D1C4D75C35B9F3B2D6E077056E9BA3F32D292B99D5D7343091BC373B7911695A19A9DFBDB763B7B1E3638730AB692BEA5956F0E9C3C890F1237F8ADCAF594E7007617B4D8ECF1465AB9A4C7AC05EE0E79F4B8FF004E49F262';
wwv_flow_imp.g_varchar2_table(174) := 'B1E406F29B0D4974A2FAB39B46F3C2EA17B5F19A4616DF2E5C33E4B9AA89B0EAD84F812A69E7D4C4CC6EDE0710A46C8637BBACD1E1964AC2F7CD1AAA5AE748D38435A05BD2738FDDBD6384C57BEACDD8792925390CB8A6C74C5BFA4C8BB934EE53D461D4';
wwv_flow_imp.g_varchar2_table(175) := 'C4E7E76B345FDAA7D1723A0D68B4ACF3806C174EA69D90CAC6DA4C41A0ED7B5DB828EBFE4E56534B8F5F0398062ED09213D578EF535069275059EF83551D6C6C1D6745AF0439A470B8BAA822ECA6F07BB09F75D4CEFF0095737ED387DCAAC38834EC2373';
wwv_flow_imp.g_varchar2_table(176) := '9AFF008DD56E2B8D491EA9C408F1552476A21E04A9B3D60677B77FB7E9AD4750EF55B8BF64DD5F3E3D3D5777157601C9431666269391E2785D5309191B1F8C997546C361B5D6B25C436EA9EDDB6E16422D649AF69D63AE4F21959336E31ED4DE3E479D8F';
wwv_flow_imp.g_varchar2_table(177) := '9071E91AF8A3B6E2EFB9759FDCAEC8B9E4B47E9BA5F9A57538959B7816B87A4D23615A27E4EE829B4868F82574D04B1B8BA595D210CC5D6C37E2B034381381C03DBDC5095C40C801BF7A8BAE4456C02E78E7927475649161888693B8041D4F25B7314543';
wwv_flow_imp.g_varchar2_table(178) := 'A2E0642E19B33F109D2CC6476D77C107B6C7691B1188F8271DC9F964AA6BEAE3A785B773813E0156685D0861A96E17BE77C81A7703FC7C882828EA2A253946CC49BA4749CF51246D21E6D84120F572BF7942EEB0CB75F826C7346E3B9C3D880A87C57033';
wwv_flow_imp.g_varchar2_table(179) := 'EADF207829E07B9BD976F47BC9DB754B534F2EB2A5AC75AED2F39231C8F65C1B1DC6E16A9B6D7BC83E8B096A9584B618EEF3C370529731F2C81D2CCEEC6F0C1BCF0E48432001D7045C299B18899211D4C397041B230FAACCFED591D85C6DC15860BDDB7B';
wwv_flow_imp.g_varchar2_table(180) := 'D8AA863303642D66DB34DB3F04DC2C73897C808C236E6AAA974FC134AE17A595872D9837FBAEA96A2BDD4914A5D0BDB4D57505BC22D91F37BCD859189F3CF387BA4D92CAD692C32BFACE637EAB059A162ECC6E3E16F8AA8DCC8FC5C7F8298FE6DA3FCD75';
wwv_flow_imp.g_varchar2_table(181) := '2BC7E3CB3EC81F7DD545B39DA7FC9FD54E1CF1239AE6FA2E02C7B88FA21C50E3D2E30CD98B61CC10A4820646F78761B8047ABBBDDD3915D56F72692E245EEA18C3B044D198BE5CD43AF8DAE3670639CD24656D86C84123AD931F6C25CDD8EDFED4C69B8A';
wwv_flow_imp.g_varchar2_table(182) := '81EE286F321F77C1443D2F0254589ADC62EED80E57EEE8648E6BD8E0E6965C11B083D36AC84DBF34E560AD1C5DEBAE1DC7628F4BE8BADA190D9B511965F85D696D02D653D546ED5C46D0CA336BDBEA9E7C97E2E4C39BAE7C5ABCDBA4045C9B5B7ECDA9F5';
wwv_flow_imp.g_varchar2_table(183) := '329CEFBFC53B54E18B6A9DEE2C329D5B55AEFF0067726DD366C8331269ED900700A9A2ECC63D8B010587091BDBD53EE5A6FF000A51534F54EA986694464496245F7822DD3824D5471191FBF3B06F79529A59F46C61DAE91BD7D5D9CDC1BDAE27795432FC';
wwv_flow_imp.g_varchar2_table(184) := 'F1F552CC1D846ADB180713B993B1028DD62C38B68DE8BFB46FCD66148C0E01D6BEDB65D118DB99F60524608675472FBD363A7AA60FCE61CCF6AE1173AEB06C6E7C77A7600E236EC425CADE2A3C65AC6E48906C7728E8F47C3A4A768752553C53F3606DC9';
wwv_flow_imp.g_varchar2_table(185) := 'FDA50D457D31C04618A3A5B9B75CE2C21E786453347E99D2F514F94749594B1CD18FCE47801C44F1C4FBDD4715344D8C59B8411E2AFF0047AC929986F625C6E0969166F254B303ABA991D69843B7D22A9E9638642257891E5BBC5AD99BA82A5A4B70E45C';
wwv_flow_imp.g_varchar2_table(186) := '2D7B9C8DB3406E0BCDDF839A7D87A7CCCBF60FC1755BDDE4755BDC8AB822CA41131CD0718D83990ABED95107F5EDD69309C3C6CB54D90CAC6DC86E23B89C362AA24A7A76C66D663AFECEAAD2D1762AE20038598E61B61DE3171E0556CB534F11D2AF7363';
wwv_flow_imp.g_varchar2_table(187) := '61971FA78CF55DE19AAE91F3076969754F7836166963436D8011C76DD0843231B19135BC367483551BBD58CFBCF46286D7F4BEF572DBED05643BC207E4E3BADB2A18F3CD3F54E662CC75ADC41443CF5F222DE2A671C4D36165622E16B5CC85BE9E6E3F54';
wwv_flow_imp.g_varchar2_table(188) := '6D445408A06627BB635A387DCA619CCECFD50AA27CA282C3890A9E8233AEA9639DB9836A68270B0DB9028FE88FB0AF9B56D34AC6D9CC95AE1E07A324EA67626386395C19B765F7FB14DA1A6FECBA4A038AFAD85C71BCE3DF9ED09F33AF23187AA1B9340D';
wwv_flow_imp.g_varchar2_table(189) := '9DDBD66B35880E23A0837053AEAF6CBA0E68E7CBA08D815C35A539AE384FA2AD629D23833093B7202E4F2B21869A95A444D829D81D1C67CD192C1DD5E3CDC55356D3695AEAA2E6BA89AEB34E5B63CC907BD51697C4180B5F5D1363780EC2300600493BCF';
wwv_flow_imp.g_varchar2_table(190) := '00BE694F143AD74C58D0DE272E3B932F67B2463B83987E22E13CF6613FE6EAAA8FD0B3F6FF00A29BD468FF0037F452F167BD3AD9DAFCBCAF3901E04FC17CCEA591328DAE8F558CE1FC65C1DCDDF64641197D13DB8981CC73862B171C3D61B46D51335823';
wwv_flow_imp.g_varchar2_table(191) := 'A19AF8B30D8F0E2CAE5F9A6BDAD734DC1170B1348E22CB1345F6EC3DE3A2EC78E455E288FD51E4001B72137884DF5826A1F5FDEA290C9661C51BF0BAFB8ED5F54AE45347A3F041EEB069E672C979C77D91D3FDA1DCA31EF3D1D49391FEA89998EB7570E4';
wwv_flow_imp.g_varchar2_table(192) := 'BAA551696A69A92B2012C3236CE69F883B8A8E834B57C104D8E3867918C7837BB41FF77426F4B6805363680AE7929A763DEC68C52E773B1918D974E707454719173E72776D7954903B148D74D21DB73754B1BB500BA4900FC453B71BBC6D90F15A52A5C4';
wwv_flow_imp.g_varchar2_table(193) := 'C3A369692FF9C9FCF3FF0061BFCCB4B54DCCBF28651F561858C6FBEE5691849D569C793C24EA93EEB2D2DA3DCD354DC6CBF69CD16F0733A026434B1C4C75A60EC44DFF0074733EE0AAA5A235AF0190BA6D5B07ACEDA6DDDBCF93756E8B3633C42CD61245';
wwv_flow_imp.g_varchar2_table(194) := 'AD6CBDA9EF89BD5BE11D6B20881882BED4DD5B00DE9F880B1CF216DABE69A5E8E6A818303DAF6070C9F8AE08EFB5F24D7FCA3D30EA48F594D4F2837DCCD60040B6FB152FE0FF009A4D1E264D29965DF249702E09D8D6F1E4A9046219298B40B598F65C65';
wwv_flow_imp.g_varchar2_table(195) := 'C2D921601909B77610A66FFCB123EA3813EC4F76C81C3ED64AA776ABB8DD4C76960EECD4D7BB67F070C93FD2601DC6FE538465CC662737AC1A37F24DB875B3B6DDFD0DD6993D22DC27BB6F4E19393FE23A7CC3395C7B0DBC889ED18E26BF0ECB8BA63764';
wwv_flow_imp.g_varchar2_table(196) := '6D1E080DE173E86BEAF485B65D86FB8E5B562A59DB723132D71CD3ECDF34DB60CB8037C9481C2F04445B3B1D8516BA4B8B679782F38EFB23A6A5957361A473DAE6B2CFC40345B8A94ED2D1DD9A20B8EB0E65175BCE119DD17B48C7B538DC6598555A334A';
wwv_flow_imp.g_varchar2_table(197) := '5753CB190592BCDEDB5AE71B1F144D267DABE5C6C9E1D62AA74AD4B69E16EDCDE7735BC4AA2D194C1923835836DF6BCF3FE0993069EB43013863C1DB94F0600A5A96013CAE862FD0C4EEB11F5E4DBE015351C4D8A08191306C6B45821D11CCD2D73410AC';
wwv_flow_imp.g_varchar2_table(198) := '1E61DFB5BB8F41B77E49F595F553CF8807E33003B037160691E0DBAF9DBA9E26B0361A68B551346E1BC9E650E96B464DB9E2567B10B7359E6112D1EC57C96395F9F8A742EDBDC8B9C724361BD9073C9644F7463DBEE5A24086B64A18E7A6A898534AD2C1';
wwv_flow_imp.g_varchar2_table(199) := '9483611C316F1E2BE4F5146FA9A5D150B4F5BAE62BB9A378BA6E929748CD347AB6E902D7DC645BA8EC3EDB9C76A9F46D6D368B9356F7D34B3D4D34CE36352C3B411C8B95F597680E6D810375C5D4709883DF871BB0B785ED754CFC769D8701B3B3D85535';
wwv_flow_imp.g_varchar2_table(200) := 'EDAE09AFECE7F907541FAC3E3D3674EDE125FF006B3F23247594838BDC3F70AB68FA76989EE7DA3160D26D85C3D8A4A8636CE3F8D0E176D8B06C2B4C3648A46695B90DC0F611D5703B48DB67705598C451550865108C2F6EC1BBC554C7465950F0F78F4C';
wwv_flow_imp.g_varchar2_table(201) := '7A49BAC737110431A7B5C7927B5ADC12E78DA38E44AB49DEBCE1FB3F400906D98FBD687D3D186D751B6423B2FECBDBDC42D03A3A8A6A38747B0C32BB13C4BE731789F72A1650FCEF4652B9B231C03A26B890E0E36CAFB2CA9FE4BD10A481BAFAF98DE4C2';
wwv_flow_imp.g_varchar2_table(202) := '2E4BB80E4157D5D6B9AFFED95ADCFE6F8ED041C0CEF17CFEA85F33025A8944F54459D261C2D68F5636FA2D40745D01BD5345DA99A140E3664533FECC6EFBEDD0E14B505BB446E23C0292B648DD81D1C6D8226C6C3EAB45AFE28B89EB0039A6FA299803B1';
wwv_flow_imp.g_varchar2_table(203) := 'F2B201D619A970E2C06DC511D2FC01DBEDEC4DC0DB1CC6D46EB594AF9066E68BFF00942A69F47D4870BCE2463600DDA5CF53699A9A9A71236230C324AF73B3B066E4CADD3781D0E4DA4B3DA789033EF4FF0093FA4349D4C2E02866D532AE1232F3D70D94';
wwv_flow_imp.g_varchar2_table(204) := '702D72D7E8DA47CCE25F66977DA3B7F8AB070FF14904F15056C4D64A1C0B5F8D8F69C2E63B8B484D6CF2B0B5F88358E2F3E95BAA3626B23BBA2320C4DC80C5B4EDB724C94973691FAC1D538D9848B732AA77D38F09138DEEC2DF1BFD183B40299EAA1CFD';
wwv_flow_imp.g_varchar2_table(205) := 'A9DEBFB4293EAA73882E76CDC3A4B2B9ADB652444DF9B0FF005F236F7A240027C0E390EB5AE555EADA26610E1938B46DE79A37BB4BFF006EEA4E07DA116D7D3FD68DC36DD79A7A0E9E366268BC21DB05F6A70825C320C41B76E436A7011B89BDACBCE7F9';
wwv_flow_imp.g_varchar2_table(206) := '7EFF00A36515210650CC795F69B721BCAD215D89D2192829A4ED9BFF006B9C733F9B6F766A8F46D3B20A6A66C51B73B3789DE789E255937BD38FA161DE9B19C2D18DFEAB7FDE4A596DAE92DF5186C3C4EF4C8C755807721D01ED20EC22C7C53347E98D27';
wwv_flow_imp.g_varchar2_table(207) := '4ACC582294B581C6F666D03DEB9745D61EF28640B8FF0005B87458A8EA23EA9EB81985D50F03BC205D70BE6AF787765CD20A961A17D563820334FF0036654CD7F33665E47379EE5F32AB929B434B24EF906ADD265D667AB6DD9A97E4E52D36987CCE7D47';
wwv_flow_imp.g_varchar2_table(208) := 'CE2F5041CA4D6FA0DE438F158B42695A868BFCE646D2B2DBFF00F628FCCA9226B1C1A181EF73BD2288BDB3BE68AA66559661931CF771DA58EC22C7DDD14AC94C4EA86B5E1B8ACE36C941EB38F30C711F041E010723F91B44D01B8BF59BEDF23B5DE9B230';
wwv_flow_imp.g_varchar2_table(209) := 'B6468208CD4CE95ED8E4600CB03AC6179248BEDBA9BD6A73E047DEA61B628DDDCF3F7A3AFA473A02D0D2EE06F71C9618C657C4F6B7DE8B4C45913DEC124D9E2CEC4E5B543773303EFB1C0676BF158A291AEC57C4EC88EC8DC15CC678B4FD1329627BCDCD';
wwv_flow_imp.g_varchar2_table(210) := 'B70CC9E49CE9BE7959D7A93980736C03D56FDE5066605D4C3B542FFDB628B63A0703DE0AC2D2E734347FBDAAAA7B6163DAC3C0758FB762746DCE30D1FEF6AC21058763BA443F28A4935C09A881AFC3EA5BAA2FDEAE8AB7413E4398EBB4D8F2585B8658B1';
wwv_flow_imp.g_varchar2_table(211) := '73192A1AC90B6F84BB65F2CD617398768711EC5F84F440F9FC353350D24CEFF833E7207CD9973983B4D75F6EE5F21746B5B3FE138E59464C8C80CC1C84400B78E6A7F950CA4A5A38DCC81F213261B176AE33E9BB6301DC36A86A0E80D1345109643312D8';
wwv_flow_imp.g_varchar2_table(212) := 'E3FAAC2DC596C68BD97CD28A9A2DA43002789E9352E848C2D2C70224F4DB9DEC3BF7ACAC4DF6EDE6A263636B63680CEC8B6CFC960654895B031AF7F6DC1A017586F3E448D77562C79E7D602C8EF6D9112CD68B1E26B2E2E07C50642FC5443159D62C6B5D';
wwv_flow_imp.g_varchar2_table(213) := 'DDB1435D1321753DA50CF3E755D93C3912981B06127A8F1C53E5638B5BB07541DE54B130358DC23839C1DB54BACC785B7B5AE0D9381BE1F7A7070696B85B16D1967F4385AE205EC3626CDACAA95E356D7911DB3BDB7AFC227591BC8A76F66DF9C3EB7770';
wwv_flow_imp.g_varchar2_table(214) := 'E2B00748FCF0ECBAA8AA90B58325272BA7C7E99E4B4931C66A4ACB3F698DFF008B93BF81E61495B34B0184D3CB0FE32393B5DE38B79A65431F824BEEB856786DD60889BE57E86431BE491D858C69738F00149A6348691D20FF00CEC9D41F5464D1EC5845';
wwv_flow_imp.g_varchar2_table(215) := 'F7942CAE513B05D3B87414E17CBA725939639F4D539178DF0C44FB5CD5A134BB9F2C9AF1339B871890FC3627410369FF000BD4601E8B5D83DCCB2D1FA1C3DD0C20CCF1D799D9BDDDE579B677744E210E8711735EC7616ED7341CC66A69C63D7BE2783760';
wwv_flow_imp.g_varchar2_table(216) := '6E61BF687A57DEAB83313668CB86783059AEE57DC8C805A9E40783C61B291C33930FD853B764F71F5C5FDE14BBDE3C023FA4723EBB9386D37FA7EBC7E3E458BAC2F90529DC07BD3E1F9CBFAC48845834664E76192A56C4CC51B0B8345C9B8CD42D9A95D1';
wwv_flow_imp.g_varchar2_table(217) := 'E10E2EB380766416EFEE578C5CE41C2FDC725CD17B2E4E77232E451F5CA77E90A9BAB6A92DCF6E1051B0B9BFD06929F4DD3FC9CD18FD5BE60DD7CC3B4C63F336EE0995D6D154913A2A4A3608E4901D8DB761BF5DDBF8265344C8C756FB0721B9799B714C';
wwv_flow_imp.g_varchar2_table(218) := '86316165B502B01D8A8F4CC031DE39983CDCD1E4F67F43BC2868C3B473E18E9A4885F2ECC83D66FDE144F735F1BC3B76D58E99E36F57A3E63F26E789AEB3EADE29C771CDDEE585AC6F0CFC4ABBBA32C85F9ACD03B3E29E3D122FC95AF7B20E1645595C20';
wwv_flow_imp.g_varchar2_table(219) := '4E6A36E93D243167F338F08DC6CF37E803A3A8CEEE89045218802FC27083BCA8A5631D1F5C91D91B477F0584E19E2311DC6F89AEEE2117F61BE2EC9540371235DC88B7BC294ED706F767F1525C16D4387277581526F907804FFD29F60528DCD3EE5CBC9B';
wwv_flow_imp.g_varchar2_table(220) := '18C7AC6DEE4C7089C01EBB8B73DA08571E5F9C1DC7C8EBF87416BEA0B46621B8F0BA94D3C727CFE4903A30EEB06106E3900A463A211E0C4FE2DF446D58D8F6F1042C71B1DC42B63FB67A7AB7E041FA1A4A6A9F9EC3037E7F3C3F338DC067D737CFBBE099';
wwv_flow_imp.g_varchar2_table(221) := '4B1B69A37F9B83AD2BF7BDC769EF284F3191DB372C4E601B1346F58CEC5153B713DC00546ED928500393B2EF5F866884903AD345D669FB951D2C0C8626CB8C138F18CD8F1B5AB1427BBA35BA5A8292E70D341AC3C31CC72F705605DD01FBB72758677FB9';
wwv_flow_imp.g_varchar2_table(222) := '000657F7222DD5081CDC0FED2611964B2DDDE162B82021235DEE459239A42C2F474769AD1D393D4D66AA4FB13757E36F208636FD314A1DA818CE220D861B1197591C4E64B13A378E17735C38B4A9C8F36D683F5F7FB14C475A0C27ED5C27FAC0770527E9';
wwv_flow_imp.g_varchar2_table(223) := '3DA149C1A549EAB7DA9DBC0F2859A783821AD8DF8BAAD25D6B6F2B2F1F2CEBA7E587DE3C8EBF87448CA9BEA5CE63A302EDDC41DE9B84818DB96CB6499889D66276CCF70E8B6B1BEABCFBF35D693BC7C3A7135C392C4D69E5E5E1049DC854554D52475627';
wwv_flow_imp.g_varchar2_table(224) := '18A2E6E3DA3E1B1608A2A761B5FACF2B0D80D8B0959E49B18DAAB6AE2B40766E0B48D3BDCC91E41DEAB5A7F1A54F04E22A9CDA77A8E6AD82BA0A97474F311AD0DB001FB9C7914C8ECD8CE2CB6F47E10F941A5E66BB134D46AD9DD10C3978DD02F0DDCDF8';
wwv_flow_imp.g_varchar2_table(225) := 'A329C23327704D899C2DEF4D3B0907C3E2AC09B5BC7F8A637FF75149E9E7DD926B4BAC56EC39A69EFE28919EE5ABA8C43B2F6DC2B9BF2443F0E2B5C581E04EC5F85B43D1D4B801261C120E0F6647A6E0F791E40ACD76189E1AD7E10E3B1FCC2A6D519438';
wwv_flow_imp.g_varchar2_table(226) := '968BE2C2D24B709B1B80A22016BC3AE2E30E7751876191AE8F863D87C546F366BC1EEE9A782DAD998CBECC46CB478FF9C8FC0DD68C6DFCF93DCD2A92B6A350D0E63CDCB717A56E837DB97D0E4BAF507EBFC00F233BF2B74F51FDC83B68055BB0F2DF78F6';
wwv_flow_imp.g_varchar2_table(227) := '153892774B83AD86D86F9DB7E7B179D70E2D07D9E45B1B781F8F96F8289CD8FF00192F519DE535D3318DCE38379CAE779F145DAC95FC72BAEB77AC3BF35DE028D91925C7251453607D8715A3B4E47AD6616BC8DA157E8F2E3831B373827C46F85327A734';
wwv_flow_imp.g_varchar2_table(228) := '936608C241E05564551389A76EA63C987796EE2BF03682AE9DA6D2B86AA1FF00A92641004DB3118F69524F236360B939AA2D1EC2C6BC3A4F49DFC1090ED3DDB936D91F7A00ED3728DCD8A319B845F6B9B5F9239F581E09F9027701E01169C8E5C3828EA8';
wwv_flow_imp.g_varchar2_table(229) := '1A777687599DFC3C5100F169582469E6179DABA371CA560A88FBDBD57F4E728FAFE4B1AF6B3639C0BADDDB4A8C36EC0DC3F56D6F7263EE1AF6BADB6C6E9A08188777453E87A432C99BCE51B3D63FC154CF24D552BCBA47FC380E48CB0B0E609DA15368F0';
wwv_flow_imp.g_varchar2_table(230) := '4620E7A9FF000842F89CDB46F0EBF351691A3A7A988F564683DDC91BECFA1CC2C9FF00F51FF1F25F96103C53F9290C5206B413872CD1B0BB08438F41D6C6E1B8381F1F22D20FAC2DECF2AC0928CB5073CA36DBB8B931CDB8CC0F8AD5B1B89DB9618C926D';
wwv_flow_imp.g_varchar2_table(231) := '7566DEC9FB9C3B94F2E42A0E6A468C58B3E2ABB46C81AF712D54DA422B1B3AFB968CF9B4B282D63BD8A4A4D20E0C396DF04CA98E9E425BD4384DCEE2B15650D0B4E5044677FDB93AADF75D39C591819F68A10C66181DB7B6FDEFFE889DA514FDE55C66DB';
wwv_flow_imp.g_varchar2_table(232) := 'AC476596D5608EF5C13B2CF627C1344F171768703B10A98C5401B76F7FA43EF584EC5F82EB343D662EA473063FEC4BD52B87479DA81F587C3C88A2AA9EA41797C9B6E72195AC13647B1C6FD5046DC8DF8AA7639EE6C40623720766FC6CA17104C4DB8DF6';
wwv_flow_imp.g_varchar2_table(233) := '4D6EC680B4468873A196AE3355831369C3BAEEBEC557A5AADF34EECCEC1B9A38054A6AA9A964AC8E292675998EF6B9EED8A493CCFE118319C876B35F2A056C9D78660ECDBAB26C41CB7EFE2BE52C41B3082001B7C41D361B5BC1693A36D4D0E906B23BDA';
wwv_flow_imp.g_varchar2_table(234) := '485B8C39DCC2B7D0F59DEC5763BEDBFE3E48F582045C1B8E91C93771B772767621DEE437E5DFD366E2F54DFCA863B45AC18DC2E1B7CEC37A265D58CDD23F11B7B107CAD65AD1C22E7ED2205DD9176CEE56D9BB6EF523B20E2DEF591787171E214F2BC86F';
wwv_flow_imp.g_varchar2_table(235) := 'BD5EDAEF62873B0B7309FA31D89AF258A4ADA3A7AB63C90C385C2FC77A960D6906CF7445AD3DEA6A7A99E19242E63CE121C6FB57E15D33A52ADEFEA3E7758FD46755A3DCB531E01DB9337F21EAF90E28ECCD3B823877275BB791575CCA0B1D3533F812CF';
wwv_flow_imp.g_varchar2_table(236) := 'BD0C6E81E2ED93677856908DE1C6C9B268AB13E89BFB6C8E94D01A32A1C7CE6AB04BF6E3EABBA2D575238B6377DDE44AFD23154FCE1C238E3C2181C6C49DB71B0A95CC6EA9F670734E7B081B41EF52C81AE6D4398F06E08ECF711BC2A2D194C67AFD20D8';
wwv_flow_imp.g_varchar2_table(237) := '23D9889C02FC9684A68A514156FA9936331C4ED5DFEDAA9ADAAAAA8A895CF91EFC6E71CAE50D214C5AE7F9E86C1DF586E2A18E9D8C92903E58A4C71498B096E77CF8F255B4B551CAF333F01B8171995A7FE5055C586923644DC8C933F0D81DBD9F82D1F4';
wwv_flow_imp.g_varchar2_table(238) := '67197873F617DCFDF7551535736956D506C11C8E6C7BC936CC85A6EAEA65AAADACBC418591C206DCFB4E3C7E87CDB9DDE5751DF6BA09DE9C8F05C5606D95ECA5DD177290DF136C8F1587A2DD9716FBC295BB63C5CDBFC107B1CC6B5D88823B246D5603C8';
wwv_flow_imp.g_varchar2_table(239) := '8B4550D45549B236936E2556FCA0D2B5D355C1135BAA11C25A2D617395D6B3484B84E4C36F626D1E8E134DB5DD7778EC09F572BE677646C5966512EEA33DA9B4E46B1C2EA3199B8F0503F2C46E10901B7B36AA6744E6BDA0388DC81927A2932648D2D1C8';
wwv_flow_imp.g_varchar2_table(240) := 'EE5239872EB34A31CD2BF8B820C6C57CF6BDDF7045EF738EF3E41F5506ED081B66AFBD06137299B95C715BC2D6D04A0DAF1BDA7DB92314AC78DAD7070F04D1335EDD8FEB0F141F4B0B3748D95AB1D1E94A273B38A56CCD1C0482C7F781E8A79EB1BAD85A';
wwv_flow_imp.g_varchar2_table(241) := 'FF003395F91546C23030C67EA38B54C05DB5048E12B54A36C57FB27F8A8DADBBCE01C5D90547A23464F51049154CC2CD8E163C1BB8F1B6E1BD7CABF9F4B33B4BCF1C8E37C230EAF6EC0D2362D25A62781DA46B5D3DAF6EAE10CBFAB6D89923BCDDF21BCD';
wwv_flow_imp.g_varchar2_table(242) := 'EE507C6F6971046E2A4D1B551CCC3B3AAF1C5A532A06206F8B30A10EBBC28A969F574F002E55DA4A4024761693B18A5652C1092446DD8DEFE29B1C600FA0C2D3C7777AC14D2FD589DEE0AED3DE3E03A32406F57E8B74391FA30FA8ADD0EDA795AF89CD6E';
wwv_flow_imp.g_varchar2_table(243) := '23D975C5D3E8743452466CEC789BDED0A4D29A65908D8F7E33F6769BA33110B05A28C6DE283630D68CB8A60B627009EE679B20776655539E5DADCC2ADCAF8ADEE4715C8EF2852B0B83ED642B98E1B1EDE076A903F19ED028166B85863173DEB16AF2DE5E';
wwv_flow_imp.g_varchar2_table(244) := '55E5933E5ECF23B9648A0AF6EB747D5BA20E41752EAF15537FC327F6566BE7146DF5A270F6382223A1FF00AAEF784EA4F954F809B3668A58FC5B67B7EF4C65B1380BECB9B5D6876D6B633A5694491626C8CD6B6EDBF15F27B46C70EB2ACCFACD829BCE96';
wwv_flow_imp.g_varchar2_table(245) := '81BCDB62A08700A0A17D45C76E53A86F75AC4AD3B561B1C586886F30F59CEF1785A56BEC2AF484D50DB76657626FB36289C7F161878B724E2ECCEC45CDCF66FF0004316DF4975B1710B714E7C419EAA7BCEF3CBF8A70B7545F929DEF6BDE6DEC4626B7AC';
wwv_flow_imp.g_varchar2_table(246) := 'EF6AB0FEA57FBC4577FED2B024E2F6A1C25F62FF00A9FB2B9BBD89C7D7F727ED11E7C5CE5AD275D217B7F463AACF1E2BAD37DAFB87476FED275F22365BA6FD19F64AB7D1E89A87CFA6668DCFA88E9F52C8CFE2DCEF45C4724D750CB4809C4D27013C42C7';
wwv_flow_imp.g_varchar2_table(247) := 'F3EAE391786C0DE587B7EFC940C3673BBD4D39B46CB3420E398CED9AC2ECDB9734E70F34D52B3276E4228C96017E0A7A97BDAE79B7AAA485E1E2E0A6CB163F4B7A91D1C715CE1CEFDCB0C6E3BCE4AE49E3D36FA0CF6908E1CCAEBB8716387BBA0EA2ACDF';
wwv_flow_imp.g_varchar2_table(248) := '733E2560A480DBF38E216AF4ACB6711ADA67E12D241CDBBADDCA5AB20544AF99CD6DE17C8F739C07AA2E724D205E36E206E0E116777A68B160B5C5EC15AF6ECBF68E051C36398BA0E1605590761276A2C24205620AA26ECC2E3EE0AA84B77801BBECB659';
wwv_flow_imp.g_varchar2_table(249) := 'B926E20484D60192B792F8E7A58C0CA60FCF8386C5A54C9A387CDCB6273C6B9CE3776C7640780B952BE22F1412FE39D1B5B717EAED73B826B5972DF0DF73B939AC6073AE6D99E8EBCDF687C3A3AD30E6159306D781E2A99BB6A621FE70A09AFAA998FE38';
wwv_flow_imp.g_varchar2_table(250) := '4DD59CCF15651376CAD1DE42A1676AB611DEF0B47CEFD5C55B0BDFEAB5E09FA1F311420F171F6649EC13169B3DB33AD7CD63D0114CF184CB2CAEEFB3AD74CCED1A90E672E5C53CF691B2232B91E08E762E5518AF73FC5366EB6AAC7884F65D8FCFDE80D6';
wwv_flow_imp.g_varchar2_table(251) := '01B0A2F91A02C52866566FC55891D37F2F35676C5787C579D1E3D0353557D9D4F8A73A9E279DEE710380D8161AAD14FB5C98A4693F641FE2B0EA0F0B2B9239AEA8E4BAD6B6455B12C26E1631CD10DB9E835762762821B61684E79B3589E00BD9345901BB';
wwv_flow_imp.g_varchar2_table(252) := 'CB7BE073229304A410D770375A6E9590B258D955EBCB8F0BB69CED6EE5A4657D43EAF47BA16E2B06DF16AF8171E7BF82F39132692473DCD73EEFF5CED1CB90E9F3B27737A2A276F9A3303FE192DF82D2536D8A63F6E52AA5FDB6C43BC9728C76A58C7731';
wwv_flow_imp.g_varchar2_table(253) := '45A35A4324C57E4027D553BA369B13CECAA9DDB99BE2E73903DA9A3FD8BAA5DF3FB1815350CC2564AF26DCBE85DF389C8D82ED589B50F20E4E73FDD75F35D11A261D8594D183DF65C0A2370446DF7ACB3726267AA113B2C8E65D261EECD36E7AE2DDC835';
wwv_flow_imp.g_varchar2_table(254) := 'AEB66845139FE915962273E9C215FCBCD16C71BEDD526CAD2160393559F7E00F43B03616ED7385FEE0834319EAB80F06AC50E877709DEDFDA0AC00E0B35915D92B12013DDD8613DCAA2723159BDFB5403B4DC479A60193113B234E6E6560DFD364782A2A';
wwv_flow_imp.g_varchar2_table(255) := '5179AAE18FED3C05F2529AE0E988A423D18AF21F72D0CCFF0087A1AC9FFCA221FBF655EEFF0087D11030719652E3EC685F29A7C76AD8A10E3F99840FFB8B9699ADFC7E96AB93BE6737DCCC29F494B5DA4650E1F3A2D634E66ED8F79F14C73DAE2039AE18';
wwv_flow_imp.g_varchar2_table(256) := '0EFEE58401C3A3AE3BBA0DD3CF14FE08AB7D2E063DDC1A4A133DE4DAD7CEE9934952C8CDC39C197D9DA16FBD765BB9AD03D817AA13B92006D45595B3C47DAA3B91AC0996759C0F8A69BE6B0C2ECF7232380DC1068B597C166B7F957E8216B69A78EFD9C2';
wwv_flow_imp.g_varchar2_table(257) := 'F1E07358A794FD62AC2DBCAC3DE86B311DC863DB717D89DF31A4B8EC5634FED64AD23C7D73F1E90000B7292A25C0C17E2770EF5144D6B1AE06DB7893C53A4B79BBF8281B6BD336FDCA9D807986FB132E1AD881272000DA851E7552434BBFCECA19EE5F26';
wwv_flow_imp.g_varchar2_table(258) := 'A9AE5DA72192DBA06BA6FF00B568183F134B593F83621FBC6EA7FF0096D0F0307196473CFB000BE52CD70DAC8A01FE0C401F7DD699ABFC7E97AB93FF0010B7FEDB26BCDDCD0E3C5DD63EF478F912E97D234B491ED91D99F55BBCA86929E18216E18E2606';
wwv_flow_imp.g_varchar2_table(259) := '34720A2947599F774F599F90D3539619E4C2DF79F62D16FC3AA7B46606C2D54E68AAC36A185C6275AC543471492CC59B3AAD3E93ACA1A9AF8EED0359571DB0E433213184E79DD4F27603AC9908265AB85839BAEB46B4D8E9265F905A39EEB7E1487B89B2';
wwv_flow_imp.g_varchar2_table(260) := '12FE26B29DF96EB2AADA33B65D5CD4B1B9CD24E5BB7ACDDB42C56CD641A0EF4D6B6E566B259FD0DD16BA4BEC2D216F2B874610AE6C15A918C2EFCEC6EFD972F3F2E5E9BBE28A92570686927734667D814B843EAE5D4B7D419BFF00A2D13176297173792E';
wwv_flow_imp.g_varchar2_table(261) := '589F6F991B0D98002153380C713877B085471DBCE9F125527AECF6A85DD89F0F73FF008A9B40CE69E825FED463CE63676A717AA3D652D44CF9A579925766E91E71BCF7B8E69C77FD0DC8429689FA4646F5EA3AB1728C6FFF003793B3BFA36A1D371F431D';
wwv_flow_imp.g_varchar2_table(262) := '34134D21B3236973BB82AAD291895AEF9BB0EC196250526374F598E43933111B3C1361A97B6237B6775532894E44021A01E276F87144CF3425B8B63DB6759AE6BB3045F6295FA5F46B1CEC2DD7891E6DB0333FFD94F2B88A2D1DAB1FA7A8CC9EE6AABA90';
wwv_flow_imp.g_varchar2_table(263) := '0D4D7CAE6F069D5B7DCA86940C6D8470D63AFF0015A3DF90A9A5CBD1C4D5A3A50EC269C976CC38546E3D4739AF3FA3764AB688131564ADB1CC02569968B3E464CDE1237354F27E3E8B01E2CD8A9E404C2FF03B5133E1E0B21D3D61F416478AC34F33B831';
wwv_flow_imp.g_varchar2_table(264) := 'C73EEE9B22E47598AD7C2311E416B2B0377065BF7866B4F4D248E7D3085A4920CAF036F217543431B9F53586570B7563181BEDDAA8685982969A38C7D5199F14F994B24721E4B05AE106A28BB72A7D1B4553573068642C2E397052D654CF3CBDB95E5EEE';
wwv_flow_imp.g_varchar2_table(265) := '57DDE1B3E8DFA6749D3528D8E3779F5583B453218E38D8DB318D0D68E00793D5E8B3FF00CBE4309B6317E17FA1A5A8A2A9A5A89B56D9E3732E36E7BC2D2F5352D0FD22C8A388E1C719712F68DE06EF1533FAD0698246C76B9B736E45B65F30D253D389DA';
wwv_flow_imp.g_varchar2_table(266) := '436D98763CF7E6A08A569F9B3267DF274A7A8CE61BBCF7A156696A5AEBBDD0B5D885B3F626D369AA17D49B3222F79DE490DC801C4DD7CA3ABFF85A5828A33B0C9E764F1DC0AD2B5A715669CAA93886BB563D8DB2A3ED3B1C87FC4717FC5503058D2B32FA';
wwv_flow_imp.g_varchar2_table(267) := 'A1507EA91F7E1510ECC92B3EC48E0AB4763483C8E1200E55B1E6E89B28FAA6C7D85438B0BEF11E0FC93037137DA117C8E7137DD7EEE823A33F0F2EEACBBD06D04C6FDAB37DA7A78A1961422388E76CD192B2E4EE3F15E6DBD7F4427CA1DDE3E29CF39ABD';
wwv_flow_imp.g_varchar2_table(268) := 'AE106C1265E8F413D10C13B62782DBB6F8EDD5CF713B90069B4544EE134DFF00A07DFF00479A9747E899AB8B6D354C44B38860397B569102A6401AE830BE48883791C08B8186DB6EABF161A88C10E18C3C5861BFA0472E3E4751DDDD15B0C38E92DACD99';
wwv_flow_imp.g_varchar2_table(269) := 'B71FB97CABA8FCEB99F6636B3E375A7E6FC6E93907FE25BFED0148FF00C757B9DDE5CEF8954FA3653231E4B88B6C03E829E8C75DD775AE1A36A967AA96579243F67D5EE45A4669871B6EA1D20F7CD13B573DB6DBAAFF00B5FC569D7C859168B95E43AD7D';
wwv_flow_imp.g_varchar2_table(270) := '8D24734EA314544E65A5A7A7631E38380CD6BF4A50E21D97E2F6043256DC815727257BE6ACD46D9AB5D31C0870BF7AF9B1F34E201F4772250B66B11DCB35DB3CBE802CC0DA8B69A16DFB4FBDBB874DD58ABE4AD248EF55B7F714F96C7880AE07DA6FC506';
wwv_flow_imp.g_varchar2_table(271) := 'EE402BC4ECB87C7C8A6D1B0692AAA87B4471305EFBC346C52E90ACA8AA93274CF2FB7AB7D83C3E88017E08E9BD274F111E6FF1929FA83F8A6B435AD6D8016006EB2E450F2322BAADEEFA48683034E723C5DADFBCA96A5EF924389DBCF250C63B67ECDAE9';
wwv_flow_imp.g_varchar2_table(272) := 'D70C6B4B8DFB0DDB6E6551D0413C4CAA1F3BC270320EB6077191DF7233B2112318F930F5C36E1D7F1C94ECA7749415766B4938365AFB6FC0A9749E9A90B73CEE4F2B26C5A463CB7142C10B15B4859EC5629AD0B6A1C1000E6B14A02C95F2406EC964BCD9';
wwv_flow_imp.g_varchar2_table(273) := 'EFF2EDB95F7225DB48F05E7E265C75631EFF00209E8C3054BAFCBDB92C50C078B1BF040067DB6F4B9D1D9B6BDC6DEF4104C918E6385C385884C89B168882C31B84D35BD51D969F2C44C65FB4ECF901E462C97E0BD122791969AAACF3C5ACF447D065F492';
wwv_flow_imp.g_varchar2_table(274) := 'D0E98D10E6C843658240E16BDF0387F1523B0DF78DA155D25449353486CF9C0B1CF135BB4725F293E566B20A08DB4B4C327E0381B9FACFDA7C168D85AD3512C950FDE079B67B02A5A4686434EC6338340541531BF590B6F6DA0669C269647C982277ED39';
wwv_flow_imp.g_varchar2_table(275) := '50523DA22A76B48F4B7AE680CB72C592E680BADA858F46D58E471E681164715D6A9995966AD1B3C7CAB7466BCEB399425AA9DC366336F0C91E9B6E5C5359414F97E31E4F8057A1A23FE0B7E0BAA3ED37E3E4458CC7AC6E30012DBE62FCBA21D1F4753553';
wwv_flow_imp.g_varchar2_table(276) := '3B0C70B0BDC7B94DA574855564DDB9DE5E4701B9BE03C9748F6B1A2E5C6C153D343D7687BADD6257CEA5EA8B31B9347DFE47E19D2B131C3CCC5E765FB2360F15958A1C11DCE3F1525C7648F6793B7BFE92FA368ABB0DC52D40C5C9B2F56FED418DB6300B';
wwv_flow_imp.g_varchar2_table(277) := '41DA8B8969ED800781CCA6D2D29A5B5887975F8DD6BADD641C1319117380B04C7376A0E79DFB900DB5FDEB23741C32BACB3DA8ADFD0559AEE8E4ACB0B09BA3A3B4B690A7C36D5CEF03BAF71EE2BAB1FD9F24A03721EAAB6F5AAA69E5F55B977BB256E86B';
wwv_flow_imp.g_varchar2_table(278) := 'B7262E2B13ACD1FD4A6C7050443F371D8F79DAB168AD1CE3FA06AF367C3E3E4336968BAE1708B23A7D111C9DBB4D3F70ECB7C4F94D7D4BE43F9B6E5DE5474D091705EE190F27F03E888F58CB4F51E765E57ECB7C02B2E47A19EB057DFE46DFA48AA62961';
wwv_flow_imp.g_varchar2_table(279) := '9A26C91C8D2D7B1C2E1C0EE214A18E9B424A46119D2BCEDE4C71F815574A47CE20921999763DB2B4B091B8E6B5643DBDA07AC16B308C48585DE98EA6700EDA9F0BCB716F5AC23AC8714E23B95D586D59668959F41C247128A22CB0EF28CAF0D04AF9BE9C';
wwv_flow_imp.g_varchar2_table(280) := '3386E5530B24F16F50FDCB3B721E57144A371CF9A2D8E08796370F82076A69191B14F66D0B345A00E2AF30796F563EB1EFDCB1CB1E57B36C87E08D17FF00F5D9F05E65FDCB67910E8FA4A8AA99D8638585EE3C829F4BE90ABAD9BB533CBADEA8DC3C0795';
wwv_flow_imp.g_varchar2_table(281) := '231AE6B5E4076DB6FE97376B48EF16E8FC2DA598E91BE629AD2C9CCFA23DA9DEBFB93B79E9BEE406C1E4667E9A0AB8DF14F0B256381696BC07020EECD4F1CE6A3433DAE67EAD23AC5BF65FC3BD55E83AED554C06292CD2E6137ED6C371B96EBA2F61CF62';
wwv_flow_imp.g_varchar2_table(282) := '25DAC6F8A737A31902E89604EB107DBD16476AC8AC5259009B65605359771ED1577E861C2398FB5CC0BAEEF2ADBFA358F03727BAA26BBB6388F6270456E4CB841D232DC16A236443B5DA90F3E08CB2479F8A64FA1B463DBB350D1FB392F352772D9E4608';
wwv_flow_imp.g_varchar2_table(283) := 'A9B43C4FCE5F3D51F60765BE27C9BA0DB0BF406E64A843054D4E5BDAD3BBFAA15921B0B341C95CEFF0CD7E05D0F046F6F9F97CECDF68EEF0197D175BC3F20FC39418E068F9DC0098FEBB77C67BF727C7EB02D3848391046E238A6C991E19F7AB6CD8B7B5';
wwv_flow_imp.g_varchar2_table(284) := '4AD3B14A640B0340408DA161DCB3CD648E79AC4E25306F4D68B05AE39F15778165FDA342738E61FBCC5D77779F29EF3B13F23854900C5AA7659DAC9C493BD3B826B86CB1E8731610E94FA3B3995725CE77324AB9B301B6F3BCA13E816B7103A9A895873B';
wwv_flow_imp.g_varchar2_table(285) := 'ED38BEF518638621B146DECC64F7E4AA0F66CDEE0A693B52B8F8A8E8E9A7A895F859130BDC6FB829B49D6D4D5CA4E295D7B1DC370F0F22E854BDCE90D98CDBCCF0547F3130189A2CDECD908EF9E49DA466C6F6F9B61C8712843136260037582869E13349';
wwv_flow_imp.g_varchar2_table(286) := '9B90D2DA60543E21A8A4C323F8193D06FDFF0047D6F0FC84692D6D7D0300AAFCEC7B04E07C1FF14F86438839AE69EB022C7D8B10B3935DE2B5A46485206C9C51BAB37340828B9CAC159A53938EF5C55AF66A75AE50753E869B7B66919FB4DBFDCBACEEFF';
wwv_flow_imp.g_varchar2_table(287) := '0020B953C79B80726B7B31B54B7C957B1AE9309B0DB7DFE45D33AAD0E0B48D6060A6A09A46DB2761B37BF11B055D2906A6AA18795F5A478372F7AD0F4D6D744FAA77F8B60DF6051D3C4D64103226F060B27124DCA93D72AA1DD9B9F0541A3AC2B349D2C0';
wwv_flow_imp.g_varchar2_table(288) := '7D5738179FF28CD51691A28A8E85F2163DF8A573A331DDADD805F9F9263D82EE3B1360A3647BF0DCF14F8185FAD245AC2FCD4BA4E7B6C60DA541A2E99C2375801EF46BE674AECC0395D69AD3BAA9A2A711D29ECCD29B348E200CDCA9741D0454905CDBAC';
wwv_flow_imp.g_varchar2_table(289) := 'F7BBB523CED71FA3EB787E44D3F2874C978C8D4900F731A1603719B4AC36DE372300BB76A9A6BE27DC1DCB0EF588F400AC1190D961DFD0E2B1156B581C913A23471E15CDFDE610BACEEFE96B548EDEA4766721C4AA78F6BB11E49F6043046DE3BCF72262';
wwv_flow_imp.g_varchar2_table(290) := '376176CB7116DEA6C313A185EE6BDA0F1B1E0B4BCA05A8F07390DBF8AAD77E36A5ACE4C17F8AA261F3A6490FD63F7051518020898CE7AB6DC775D4931F3921777A1C113934DFC2EA2A38CBEA6AA281ADDAE95E19F15F26E9896B6A26A9782461862201B7';
wwv_flow_imp.g_varchar2_table(291) := 'D67582ADC00D2D2D35207485A0CE1D29038939341E59AD3BA4DF1B26D2953335DB5913F060E376B700F6AA664F33E13136260C4D8A7EAB9D96CEA1DAB5D2B9D6B0DDDDE465729F5328A878B463B3CD6AC90DDCAAB4A4AD6977546F51E8E84022C42F9C3B';
wwv_flow_imp.g_varchar2_table(292) := '54C396F5269F7DE4BC54109B48E19194FE8D9FFA8A8E18E38E3606318D0D6B464001B00FA4EB787E4467D2FA51FEB554BEE761FB9381563D5F622E1D53E08EF4D77A4858AE255822F2B10C9485156CB34236DCDC9592C3A129471AD89759DDFD050DE506';
wwv_flow_imp.g_varchar2_table(293) := 'F65BE2548FCDEEC239A637B0DBFD772EB0CEEEDE4EE5E69E78E49CD0CDD61842AA81AE63253E2315BDAAAA02055431D4467D38BA8F1DE0AA5D274B154D39C51BFDA08DA0F309A2DD4F6A8747359FD9EA2A9C7D1A46075BBDCFB05A4E18B5C34332963D98';
wwv_flow_imp.g_varchar2_table(294) := 'AA5CE9E424ECF370DC05F292473DB25548C8E3B071803A18483CF0DC5FBD48E638C7A23464595DF239C2AA76F373DCEBE6AA2465DCCD6B2CD2E70690ECB2C41DC78945ACD6C4F386C03DB85EE17D9939C2D894724C05DD1CCF18B13BCE0371B2CCDF9231';
wwv_flow_imp.g_varchar2_table(295) := '359082CCD8002C660259B7ADCFC8C5DC9F50E6BDEDF3608B03E97F44D861B0C93E6A90CE6850B1AF3B48DEBAB85A53B4EB3E7D5B21652E3203586D24847FDAD54B430C34D4F13628D8DB318DC800137161BE7C3A00DEAFF43D73DC3F216B3327714D7CF3';
wwv_flow_imp.g_varchar2_table(296) := 'BEDDA91CEFDA712B5719E2E2AF89DC96792EB59DED56F4931A15D172CFA01B6685B3099B70FB501BD346D1B94D5DA0DDAA8CBDD04CC9B08DB85BB6DE0BAEEEFE92E4D8FB033E255F379BF245999ED6E1C161B36FCCABD8239237DA8D88BAA88AC21A9963';
wwv_flow_imp.g_varchar2_table(297) := 'C26F663DCDBFB169AA27E16D7D4116B83AD3F7DD69A8FF00E7A63DE2377DC169316BD4407EDC07EE2AA5D97CD2826FFC431DFC082A88B1CDABF92ECC2F185C5AF8DCD20F1BD97C83948327C9611EB2EDB88A37DEFF0060AFFE1E4E6363A3AB6359906115';
wwv_flow_imp.g_varchar2_table(298) := '02316E5B17C8EA5A39AA9B34AEA768D7384923EDD54CACABA89E3A76C31BDE4C713059B1B3D116EE4F9DF8208DD33FD589A5E7F757CA8D2162689B4ACF5EA1D87F745CA8345573E963AF156E6652398DC2C0FF005471B274F23649FB236377210B2E13C1';
wwv_flow_imp.g_varchar2_table(299) := 'DA83E69669360192DCD29D23893B513F25E03C6691DED2B1CB1C98DC0B43865F593626D9A3FAF7F40BDED9ECBF93657F2EFBD380CB3F72947FCBBBC08521FCD11E04A3BCBFC1B65F51DEC4EF53DA549F57CA945F6387B0AF3726289DD93BAE9C33238DD6';
wwv_flow_imp.g_varchar2_table(300) := '23B16083BCAEC8E2BAEEEF4E1BD3B8F9046F4D36CD307F15719E68845CA3A78E59A5761646D2F71E4147355D4C91B4B5924AF7B01DCD79B81D24E4362B2C3D63E0AE4B8A2B7EF406F415F081E2BADCAEB1869E92AA742D67CEA08E12FC0E679C6636D9DC';
wwv_flow_imp.g_varchar2_table(301) := '957D6D54950F9FACE3E8B4300EE015635D8B1871E25A16967E8FA8A1718B53347AB70D5E76EFBA8230D77E0E85EFDFAE25ED3FE55A761C0DA4A88E918D1D8A7818C1F7AF9435D40FA574D1B71F6A48DA5923870E5E08DEE992C01DB08C88E68E616275D3';
wwv_flow_imp.g_varchar2_table(302) := 'C37083609E6C70A39DD8EB819E455FE4BD2E5E9BD1451451451451453952D3CDAB389CE033C03161EF54959308A373F1104F5985BB3BD58ED08A727DF36A8E96174D248D6B06D256847E1F3F28BF185EA1ABA31570C98A22D2E06DB8724CA98992C5235C';
wwv_flow_imp.g_varchar2_table(303) := 'C70B82150C4D95C67EC1B1B35C4F8715A3DDB0CBFE9387C5455F13A4849B07161C42D98418F734ED09A989899CD47CD52D34123E59708B5B671C93812CC26F8883E051964376AD535A06E0AF231139F45FC876E4E477FB9373B0B26B41409EC95357688D';
wwv_flow_imp.g_varchar2_table(304) := '254F0FE32481C1BCF9238AE5A46D163B45BC9C455BA6DD1992864DDE50B00AC7E86C7A0C73BD9B9EDF82B939AB9546C0E33C723CEEC2EC165A33F57A8FF58AA47B89D6D567BB15D3741D0C14749A02311442C2F3BF3E7D8555FDC317FAEEFE4551FDC31F';
wwv_flow_imp.g_varchar2_table(305) := 'FAEEFE4537F70B3FD777F2297FB859FEBBBF913FFB85BFEB3BF913BFB847FAC7F911FEE11FEB1FE55FFF0005FF009C7F950FEE2FFCE3FCA9BFDC5FF9DFFEAA3FEE23FEAFFF00AAD0DA46B27AA934769163E437223A96803BBAAB4468CAA6D44543A48B83';
wwv_flow_imp.g_varchar2_table(306) := '4B6CFA861163E0B46D4577CEDFA3ABF1EAB561BAE6611CED6DAB427F682744D79D776FCFB3DDEAF82D16C91CF651E9165C825A2484B7216DE168E8E68A5D46932592EB079C806E230E40659AD1BA5289F4B2D1691635C5A713248AFD537DEBE4D0D91696';
wwv_flow_imp.g_varchar2_table(307) := '1FE7A75A2B46D03289947A41F18C42EE7C37EBF72F92B08B47A334B307D5AB03FF0052F92EE041A1D319FF00F963F997C923B746E95FFF00D2DFE65A0F4542F869A87480639F8CE29637E7E2E5A2DA33D1956EE65D17F32D13FDD555FB517F32D11FDD75';
wwv_flow_imp.g_varchar2_table(308) := '5ED8BF99687FEECAAF6C5FCCB43FF76557B62FE65A1BFBB6ABFF002BF99682D35040C7415F0EAA40F059A93EDEB2D64EF2D3B5C7F7B3420639CE68C96B9F7B2ED9E0C289C9758AB2283915CD372EAA0D06DF14309EB6485F6ABE6A3D19435556FD9130B8';
wwv_flow_imp.g_varchar2_table(309) := '0F58EE1E29F595134B2105F238BDE4640BB7DBE8B72B2EB5CABDD5CFD0DC1E8D5D446EFF007B11964B35A492720332555B4627D2BEE7DCAA7F5372A9FD51CAA7F5472A9FD51CAA7F5472A8FD50AA8FD51CA7FD51CA7FD51CA6FD51CA7FD51CA5FD51CA5F';
wwv_flow_imp.g_varchar2_table(310) := 'D51CA4FD51CA4FD55C9FFAAB93FF00557A77EACF47F577FBD1FD5DFEF47F40FF007AFF0005FEF43F44FF007A6FE8DC9BEA3937D5726F029BCD0E6873439F91D57772D849DA1A7F7509198710CB6ADED0B2973F40A218E908C86C46E495C95D35BB5462D7';
wwv_flow_imp.g_varchar2_table(311) := '51E5984DB76826B7B39A71E8BEF465AB6D031FE6E0B17F391D9FEE8F8AECDB77E52EACAC8206B834BCDAE7BAEA97468EA0C52119C8EDBE1C3F280821C10E09BC026FAA137804DE0137D509BC137821C163EA819B8868EF392707B9BC1AD16E39268739A1';
wwv_flow_imp.g_varchar2_table(312) := 'F77F0526ADB7DE027CB1BDC7AADB66782A66DA28BB2CC873E871531D8156B4765DEC2AA46F551BD4C9E7A005746AEB6B262EBE39E47DF91765EEFC972553516D54123FECB495A45BB68A6FD955E3FE4A6FD82A68BB71BDBF69A422FAD74D6186261CF9BB';
wwv_flow_imp.g_varchar2_table(313) := '2FFECAD7E92D1ED76CD7B09F037523EAA690E62FD50A9E269F32D077F1BA755B4CF29D4D330E677BB904661A986CC89BB0353E429EFB59A539C2EE5145E86685B62A59CF5E117E5B5407B2F70F7A70BDA61E214A3D26299DE90F62711F8EF72AA67A18BB';
wwv_flow_imp.g_varchar2_table(314) := '95CFD01E9E4B92E48F0451E86D4D9B638DCF6B1A1BBF127B4FFC5BBFD30A261BBDF33F90B37E0A1A27638A90E3F59FD63EF557B99F72ABF54AABF54AA976D8EFDEA48F1608036E6E6C2D7551EA1551EA2A8F554FEAA9F8298A9B8852F10A5E214BC42978';
wwv_flow_imp.g_varchar2_table(315) := '852F10A5E214BC42994CA7E0A7E0A7F554FEAAA8F514FEA29FD42A7F50A9BD42A5F50A97D42A4F50A93D54FE09FC13B827704EE08A3C11FC27A3F2FCF05A55F339ACA52D7DF6ED4F8627D5E933685AECB8C8EE0A6AF930B7AB18C9AC6E40052543C0009B';
wwv_flow_imp.g_varchar2_table(316) := '94EFD181DE991EEBDB8268603B2FC530269B841BBD73BA276DD4636AC9730B32554523B0CD196F33B0F9321F40FB14EFD91FB5547AA3DAAA3D5537A89EDDAD4F1E89F2716C57700A959A7228A581AE74AC22179DAC78CF2EF09C77A3C51E8E7D05147C80';
wwv_flow_imp.g_varchar2_table(317) := '826A6A6A6F04D4D4D4DE09A9A8208715CFA79A3C514E478047D508FA811FD185FE105FE0843F40137F5709BFAB84CFD5D32296278A7ECB815494F0BA593F14DED7177253E929B6DA36E4C68D80296B67631AD3B73EE5A3F479D5886CE1912EDA98DD915C';
wwv_flow_imp.g_varchar2_table(318) := '054D3C470B33E0A595D84C6E6A99E9CCF4AC55AC1C544D04B8AA38C6722A607AA09531EC46569397B31DBC16963B41F62756B7AC6178DB84A877506FDB19FE0A8185C0C525F9B9500C3D5FDAFEA9B1B7A8C68CEDB15B32AE4A1C7A0EC40224F66E9B89C4';
wwv_flow_imp.g_varchar2_table(319) := '81B4A8C9BA89D64D92AE6A67FAA4B4A9281CC3B58ED855F7296B74DD24AC69D55338CB23F70B0B06F79FC8B92E5F908E08209A826F04137826F04CE0B5D2FCD223D48CD8DB7952564F1B182EE71C90D130B5AD8F17ACEB664AD175ADB4B0B0FDA0B47ED8';
wwv_flow_imp.g_varchar2_table(320) := '5F87962BAA683CE36438EE321B13EA40718ECA969075DE3251EC885D55CDB3255B51B5CEF1C82DEF7AA467A17EF510BDA3016119237D8A68438324230BAC3B8299EC38A43B54B8AD8F2E79A6BE32E233B6ECBE089BF7A7E20DC595D66E3DE9B6D8ACEF05';
wwv_flow_imp.g_varchar2_table(321) := '99E8CBC5759DDE8747FF005071DFAA281A08F2D920FF00B828BE70D1805B195052C6C8E08591305BAAC01A3DDE5E47E8F3E8DBF4197E42E6525539A6C446EB7B162A875CDF350B216482318C9B5D35F36170B8B6C54CEBDE169F054EC8AED880CF7284CA';
wwv_flow_imp.g_varchar2_table(322) := 'C2599E239F829E0616C52611C94D34AEC721726970165036204462E80C90C3E3D1985D6F6AB5BB97FFC400281001000202020104020203010100000000010011213141516110718191A1B120C1D1E1F0F130FFDA0008010100013F101FC011705E4020BA';
wwv_flow_imp.g_varchar2_table(323) := '21A919B0DA45E75619D86CB6B667A1C10D652145E1B1EF174C309903644446DB6E67EA6052E41BD443BB6140D43351A7E6F8809C635D16B17E36C58CB6D603E41F441405180AE97D459D4A5DDBDB2FFA79CC5B5200031DEAF616461F8A2340556E170227';
wwv_flow_imp.g_varchar2_table(324) := '2032F02E1EA548D387D8423142A97B9F70804F1128E931D131D12BA27893C7F5DD3853FE2423A8784661CFD125D0B8601C01A7A65C47A17D0C2C5F57D189E8C65503696B9D7F11080230F566608AC2C76E91D4A8E2BD7ABDB9F12FFF00749972F556DCB2';
wwv_flow_imp.g_varchar2_table(325) := '30DB0B3702FC378E2A1428B858B6B3B35E08355F16A472C0C86E184338415C19929A1733668E5582AB9E05C079669AA8A4E99EEA17A22EB969596B67DD7D84CA1A9A67C0DF7D0C4B218B44A22690E60C5CA16CD0EC160F62651A816C077159358846B2F6';
wwv_flow_imp.g_varchar2_table(326) := 'A4E835160E235250D251BA52EC3B1DC103D020742855E8233E178580FDD2B11003E884E363EE9C92B65A2230ACDF2AC6D60B9A51B1AFB94ED09AE72D422D7222CA5BA238AC11003CBDA169ADF64C2C0A28CA228778A2358954752B6F38A180C534E54C1E';
wwv_flow_imp.g_varchar2_table(327) := '47423D4484AB57A9E15289CA1E342A8F96E1320B89CA0560ACA92BD06FCC052D4EF2822EA8AE3364AA28C836E0A5F39CC183EAA41EB88B97E8B83FC6E5FA54AD922D958D6AE317FC5F47D18FA31F4636805CB485C7FCC7B40DA33EF25AFE61237552AE15';
wwv_flow_imp.g_varchar2_table(328) := '6BD0F2E1195B406D2D0DC470562B67D8FCC7342722C22D4BB9B82527665AD7B0D1D9B896BCDC8CCE102EE3C81DD121A2E4A59DD11A8B7C23E7415C8C64160747DD52936D272C0BA461630038A2D388832CFDC0B6EB65A476630ABA99F16D603A5719C227';
wwv_flow_imp.g_varchar2_table(329) := 'C866504A0DE5A2117B2E184105C250E0B800379F76095DF9D2C2014F9B863F82350F1009524A5682376B0D1E2B34B51FB25015AE8C224C37508D9B5F654B57A3F92FF486C844E485BCD86080C230FC3A6F9FECDB47825A6E15B8B787E59590A8AE785DB2';
wwv_flow_imp.g_varchar2_table(330) := '1871C1DB55D2DEB88C36ADDCDAEDC60A239E3A7412E86D5CAC2C9C56EB78792454F6E75EF98B50C231606C053E269DF7210134F545BEC730BE997060FA8FF1B8BE3D05B2D983FF00E15F5B972E5C63163E8BE8C58C5969AB428E6C384851465AF55ACA69';
wwv_flow_imp.g_varchar2_table(331) := '700ABD5352A2BBA4D62F4441616F24AD701DA5C379BAAEF6F73F0A267C53C0E56D516232B65BD2DE100146A31E4815AAB9E47597A3312B75F5B2D6E97507A0D31361358C951D43107634F95419C1027B56B0E9EE35017C4F230CBECBB2E8851C007F6042';
wwv_flow_imp.g_varchar2_table(332) := '8F9776776CC103D00C6D6A3B515733DA9F81B8071C384B51A3EF79316FA8CAB4D78592CE60FCC6F256AD7E825CCAADE25658ED06350F2F0C691696393FF31249B5E61B025AF3D04B4592CBE0E51CA9A5CE00336B0FAB71599FE88E778FE1D041C5D41A9C';
wwv_flow_imp.g_varchar2_table(333) := 'B6652AEF81997C570E74FC8CB96511293557034F4B2AE36AA05B7DF8304292A0C757485F565E267339A02EA8B645787768BE844D63D2809F3491BAB3EF3F139055553E2EE2F96E17B0A329B2CE816BE972E5C197EB72C97FC3DB4FE4FF000BFE0BE8B1F4';
wwv_flow_imp.g_varchar2_table(334) := '5F458B162303389D3435385C347BB08C43514A89ED5514E2888F9954933A0BFCCC0F00F95EE161E8CDD8479BE9E20DC2C9E08CAE414A1DAC21DA81CA6A6D0BCD82DE4952EDD40D1770304010A693BC949E0525CC1D1458735A236165278B39944474E41D';
wwv_flow_imp.g_varchar2_table(335) := '26522B591B2D759ED50749129E503566EBCBCD47D8E06C84262D5EBC965B183B4716686DD008E62CACBCE5BEDCCC11B2E0400B53E3BA36C4DD88B28E57E58B03695D23FB4E36C36EC6D5EC453EF4FDCB35BB50897A1BD0B2BE233FB11919BFEA1F31990A';
wwv_flow_imp.g_varchar2_table(336) := 'ABE4EFEA32547F2B2E3EC6D868B908B1D14F822CFB6F39BC17EF2A4BA77E681D7E1105307E7485775AB605F990650EDE06157B5AEB104F81812F0181BBF89979DC5C7CA01840A307A5CC1737B107D065FA1FC487AD7B4BFD9FC2BD53F9318C66A785885A';
wwv_flow_imp.g_varchar2_table(337) := 'D07980516A27BD592853CFEE65FB8D95919F570AA2C572B207C44FE4C44A8057A5E54FC908912F128A1E0AB16013E20B12CD189602FE9906A40A1610F1ECAB1B32A0659631CF5729BB548F946ABEE5103AFDE3531D559BDF3D7D408EEE9A3D036658C13F';
wwv_flow_imp.g_varchar2_table(338) := '1099E2A1174D9102EEA11B01AC23E1436B11EC15C064CBAE750DF4A5F65408406955963A1E0AB98DD2C7BC37B76DA71B80822B41CB809893B62072A134C50E116ABCBD450D2054A36E083E8B94C1054C68D80443CA88C9FDE36908C4942D5A7B95A1B2CA';
wwv_flow_imp.g_varchar2_table(339) := 'DB9ACC6220C4DB5A28E72B96DBCAEF0123CDD12A0E2101652BDF50638C9E0D013CAE6609169AC80A3DAA69146B027A508AF5E8425C1830F43F8107D5C5E01F6FE259180C72A8804051626465A001AA0A3D0195959415A9B1593B4E176E8B760967A0D0C8';
wwv_flow_imp.g_varchar2_table(340) := 'DFA318BE8C872282F269960D023D882ED8717AB3FD4C0CDD6FACC32C772A9CF93011E24BA50F63C891B4ADAB42C0EA00B7862926CA687B60E5E2F4E2A02DD763A38545638AD972EDA419D50B767EE35439296FD18DA69767D4BA63E1083507D1624D6BBE';
wwv_flow_imp.g_varchar2_table(341) := 'B365FA836A3FA8545DA52840B95D34D51A0B81C5C52E8DD45C11A5CA0BD218439C8EC60885E288B28EDF9A9AD078802B668194E134C7F44440DE808734604087428D2B7E8C2F2D623C17176E2D69656FB693920C6C24E1C77F2314052828BC9B3CB1D519';
wwv_flow_imp.g_varchar2_table(342) := '6C19A404168B09B344AB5808C555035CDEEAE84A04B736ADD90F56AC8B0A42A873304AC8850FDD02620DF17E504A7B4ED3F93703F823FA47851EC3FAEE55B2FC65F4B090A0501E842107F887F0393AFDB51972C972B84B293C1A04CC0AF46CF7E0A06891';
wwv_flow_imp.g_varchar2_table(343) := 'E94B20C40D426158EB2868ADA79855841D57B4590136BBAB8384C269953572219F03A6180160AF50B7C8847A8C58C5166FC618F86181E3F26230F8FF000852BB34696562130BDCE8222725263C198B7A950C49AA0A08003AA105B692EA34FD7D8176F6CD';
wwv_flow_imp.g_varchar2_table(344) := 'DF5C25CA67948CA2EBA1D32FC81712C8861F9816C55EA06DCC18A204BA56EF0D83DD19668086C068DBF18895A624485903A070189729798A4BC2E187C17696EBBCB2DCAAAEDD9EF114102784C3DBA6C3714618ABC0BBB8396505B561F34041DA501CCD1F';
wwv_flow_imp.g_varchar2_table(345) := '28D8C44A1BB31D7446D68CD2775C32F634AB74191A71570AAF242B38C622D8CBCDDAC4077C897DCDC40C23DF1DBF2E60752FBCAEBDD8EE495312CB688AEA377E802223B6F76CFA8768A36BEE1883FC83006803A311FB43B45C6D73AED5E83E9414970F51';
wwv_flow_imp.g_varchar2_table(346) := 'FE5E32FD523E87A5A2ED9953782ACE0DFF0096E3B83E6C570FB416EDFC1FDCEF4FA22794F7979D7DD3FDC7B3F4B29FF54148A235C9027E986948C7FF004E99919ACBEE36CD7EC95EAFCC8D506DAC0E0AE87DD588700E8060910F2AF9331D10B20E5D5173';
wwv_flow_imp.g_varchar2_table(347) := '971449F2442C46921E570299CD4FD30E0DB1E6D161571F1166F6B9952626065DA8C8E3B2F619610603D699778750D2A87BB08BC0E5BD0E3409304ED422AF61564D01988A2E1062CD5383AB801E1492AC6CAB94C1E52B9AABF85E200050042D690D56B2AE';
wwv_flow_imp.g_varchar2_table(348) := '3101B94445583A1E53705A6D279778253C0BADDB4BB57997906A51C74664BE676EFDA5BA0A314B0F305B95AF44397A08D268FCC0E4890C0F31E4AF79E50F651532465DA9E512ADE112DBFACB4B2B3140A781AF418307F80F51EA1FC6A3A7BD241DBE84C3';
wwv_flow_imp.g_varchar2_table(349) := 'FE2C450A500D18BC45BC71F93CB2DC442444C242C605ABC1AB8997D1F426630F50A7DA4C58ABC9FDD1179D7F9E489E8ADFC5C16E562A80D905B80C17F1139426EDEE21305AA4E7C5EAD739311DB80A7B5C7597335D4246FF000DB111B222409EE294112C';
wwv_flow_imp.g_varchar2_table(350) := 'F2F1518A2468C6D055299D47068F7F42E5CA0D143599969910B12087D4A2D2CABA2247FB6E17936991C5392F2C7E2D919387E3C3804540DE06EDFD1DC38A42C60303E1E588EB23BD76E69D21A71877DC75A56D503E506A5FA268DF0735DC7F0BAF2EDB57';
wwv_flow_imp.g_varchar2_table(351) := '7758799582A52B8608600D02A073C0CA8CD16D433774BE4CCC02ECB446ABAA3570E842B75721F0C828BF301141576032304F08263E90F20C02408854B70C5805EE12085D34E729D4EAE530FB14F6001F781619E39FB4D91D509EC05FD4A85B4A6C0EC3BF';
wwv_flow_imp.g_varchar2_table(352) := 'A9AC4FFCF64C0192A9DAF8690204087A87F03D7C707D4FE90240D804F9F5161DFE886C1848FC9186F14A00D1570758B654CAD7AA39B8840AAB352AAF86260A005A4A6832944C20A52C40CB75F5196209A65FA05FFE89445F46565E4F14690CFB01F794BB';
wwv_flow_imp.g_varchar2_table(353) := 'A1F9150F0EAD2D318A27A1252A2B87D4290461963A5D3379C8EF17AB9286132C4A4CB21F88F9C6A11A22547CCAC7E6B502751B8F162CF0A98BA1A885723B7C7CCAAA65175DC51AB112D997A9F19D636AD4754108BC42EBC2E0C3D03C8ADABDB3020C5A81';
wwv_flow_imp.g_varchar2_table(354) := '89BC429BA1A8324E17E61920295EC546DB979AD5F2E2F896B90B2AF328515615919E663DFC4050E8CA3351117715C8CBC396201F0B286656EE766783B662D2C0D9154981D21162186E8787CC14721DA956CF98720B0AA632150424AB1E4546A17921FCFC';
wwv_flow_imp.g_varchar2_table(355) := '18558B7930ADE1FCCABD11BD0955BEB505555F28E496770A87D10F48CED97140440B327C4DBF24D3FA4B42E3A03F6226E3FE6704A80CEFFADB42D3C962C61E19A0BBB09EC9084083E94BA20FAA1B116D057DFD4DAD6F296726E2996A04D9AB7B4A0B2FD3';
wwv_flow_imp.g_varchar2_table(356) := 'F118BE8472D0523A6BC4B722A5066A1469C11570785EB0C7BA392E0DC500ADF359969C8192BE628C411667748FAA479463AB0FE19919325C4C2D2DB8B0D08D6B4308C631044A521CE6538E572F959735A03FB6054788F011A1288C34E181ACFA778C2703';
wwv_flow_imp.g_varchar2_table(357) := '7E116895A9451555FB11B51D6F2D0054701A8DCACAD5ACAE21D67AEBA8A321A7F5ED2D33E03C0800DE47EA2B755F7FB5956F1C9980B436C5F2E3180F668C70F9607181963CDC21350B0805ED5DFA22C160D06D759C1AACC0CE6D721B35240311C0BAC51F';
wwv_flow_imp.g_varchar2_table(358) := '11C8D0C78CDD0BB6E235034C1235D005A733216EAB830836F5BF76D94116117A9734FEE30551D591F2FC20E8B745DA6DB771331516DB718A4BD5ADB8858052738993CBE51C4BD748AC7DEF9291300058CBAAAC57B5AD47B4103D608F94A5770628BD065C';
wwv_flow_imp.g_varchar2_table(359) := '20C20C358532C9929FD18AA1BD6141B2F18D43664686A54082004B552A0243969ABAD4D37D50F4753D05CD9F784B062569D8654268C7F4200B495D311ED84C4B378A1ACA0094E8684DCD6DC15770432A000010B1648DCB6D423B0771B1C541882CB5A13D';
wwv_flow_imp.g_varchar2_table(360) := '8603A0185ED0B303D0D9119459E195322CD66E33C22E8A56263E23162A56C675825CA174D2E06114C13E364A205EB5301B68E3E98170BD65A912B65B83A0931E352B5B59A53E0D1E2161EA7ADB1FD1196F3110E4F43B985A3CAD69EEC6ACDB6D0FB58728';
wwv_flow_imp.g_varchar2_table(361) := '5A08DBA8BBD8143F350796AECFEE25F40D34E260CA132DE19002F75CBA12D26A673550CBDE6F4937EC8014D17F64E030808C2C2AB3E6E5F881D427319B597C90150051A2A30B016E3503C27919843A15ED1220962E22821305BFABEA62F9E7D5C1EF02FC';
wwv_flow_imp.g_varchar2_table(362) := 'E884E06599430397B4BE78349A8002C6F0062D387542BA8013758160F4DC136E5A8029F894A0A2E5063517798F6B4F86726F941FCDB393F02FEE5FBF7C9FD41FF921235ECCABF3E83087A5BFFA1B8492932B4A0B8C6D9CD970EDD5F3EBA08656164B791C';
wwv_flow_imp.g_varchar2_table(363) := '6906A043586AF2D4AD8325258C16F49F68ABC060EB03E9E782FB279B1FF11611814253028406FEE3D116E57D863A6E9EF05F7411C800DF0888C547FE8226B61EF0FEE1858E051EEA623FEDDB186011FF00D24616105B5A3C5462E10B76B6BF5296E93F71';
wwv_flow_imp.g_varchar2_table(364) := 'CA4AC0778064362414BA961667978F220D651AC348C1A0F88CB5684302034F189F4EEB6C22D60D44F3D1C0609630D7A099B665ACBC3B7B88890F513F2EA07BC1381FF4B524C1C37E98AA29F1EECAB9C23E484139700AC2D04E290C9E41C7563182D328C3';
wwv_flow_imp.g_varchar2_table(365) := '835906FE7114A58C187131AF91F6978CD09B251159C4BCD64CBAD8882015D1901C2F6798EC81C1AD2CCB21EC96C4ADB895635E80B67341CBED15A059B8AF0F4216712FE7FD6DA99E4E88561DBAE2C84D5056F09448F781CD0C0EA5E80C97CF6A03DD54FB';
wwv_flow_imp.g_varchar2_table(366) := 'E867F9C5B9F71FB9091F1B7F7A8417BB2AFEA923DAF25E88840F46E4688035D8BE525D534A08C073570F78186C0E6C21A5F93D5C6F053ED63EC9B8193DE3C2EFF36F45CB96AF850747C5EA1A819AA062561A06A9B01B8812F668CED8C057005DC02768BB';
wwv_flow_imp.g_varchar2_table(367) := '68D1E92A51D70B94970C30843B77A00503E2A22503B28FB299181B49001C50E20FFC9CB163118342385B2D9BB948F63B7E6CBF424B82842B102CB00205E238D57429C371DA9DA75871058B548B67B4217A0269BCBD9000D1E9969C4D91AF87DDD07328D8';
wwv_flow_imp.g_varchar2_table(368) := '08A5537FD78411DE687DFD3EFA22D5A6E1D6DCF3493533A3FC5B6041011210E12E1D9CD933EE11260CACCDF43CC189B10ACBD18324A19130F4E50EDF6C649432FDEA15C3000D91035ABFD257917C453325D038E83B8F7AEF6C46CF3B634408954321D5CB';
wwv_flow_imp.g_varchar2_table(369) := 'B45C23CE64181F032EEBDD455422C285AE3CD768211516C27C6529529F0F0DE741C834E40CC271A40BC6BBCC070D32CDA62DB0010D7797965E50C8E11545D1826779A6DD5748C4605F367EC89648ABBA6BED8999C3D4841EB67A8FA2AE40A7D0F4585D9C';
wwv_flow_imp.g_varchar2_table(370) := '3D892B07D2EF931A1A067AEAD006A31333202E70610137FBAC111D08BB86F9A4C5796B080298DC3A512CA803C3A67529B2A28B4B3288546A6B2EC085C9C3514984BBAD4386588B8FCA3F718B17D0A318D51420F46D1E7C88DD06F49827F36CA9A1B5C188';
wwv_flow_imp.g_varchar2_table(371) := '7D976B160B6C998E2C774B0096F1901E03895DC8202BC12B028749B065CCA7ADBCB01AD7B4A305D4C986662D2588C7576FD107199E17D81E8B52060720A55C6BA70375CF8556C7442CAAA8834B1DB8589E036B95D62385A107149E05818B82A05329B801';
wwv_flow_imp.g_varchar2_table(372) := '0AB0EC118B61954B7B88FD699C1B08F7BC4034F240BFE4D305A0ED79884223C345780CDA1F8CD84684324757CEBB0ED1D5A60CD9B6387C9BF32E846D8FACD0E69E130C54CAED0C88DA868E4C929FC825460CDF2977D2D05C5678B92A6A30F13FB09AB676';
wwv_flow_imp.g_varchar2_table(373) := '2DF5145141F520FAD5E13B27811E147B288E9FC0CB3CBFB254D22B0A8B34ABBAF45B0E8D59D30BECFE1D479450454E853E16C8DBFB04D7838665F99D880FC374CA2E54F05FD472BD9D8D1BE255ED9FB986BD5B1A5115E018897C25D434D12AC7650AD999';
wwv_flow_imp.g_varchar2_table(374) := '8BEFFC42C51630C30B1F408F1DCD543A1657823AC0580CAD1E18E3E88CDA10757914DA394CB2B92E26500AE899E4763169E86323F3C0F2C3D38795FB1F854C583B011065FB8A10A7B603A4C121542DA02AB9D0610058B5B8F4CF9863B6A3C475A1003380';
wwv_flow_imp.g_varchar2_table(375) := '15410ACD27EE5CA06320F6938EBDA29ABB8375DC756782372DE0BA6B090F03222425CD151A5655A89394D40A575970A8AE398D1A9294E1A0CDAE5E12BB012CC256BC5B998DF8AC5F481DB11640ED7DC1B2FC4BB8B26501B0BA2A9E2513A8340069A5C34E';
wwv_flow_imp.g_varchar2_table(376) := 'C3244E89FEC4292CAC16308CC45132D830582CB9696CB65CB972E0C58B0CCD9D65CB97167C669E880C307FBC305862A0CDAEEC6FE2429F845F80C68AC69ECC20096580F3B40391A42285B05D620AEA2B261E0D62127C60CC0E2F627FD6AC458B162C7D2E';
wwv_flow_imp.g_varchar2_table(377) := '3E858A8C1A87003B5C112B1754B5FCE7CAC6703EE65E8B817E1237F641DE8033BEA1228D6341DA0C8230546F2B81FCC186D5576AF69CAC32C5F515658AF9B22E706012EDFF001DA347C2A432633A21D84026A0A37109DD1BC541CD0D2A9895C3DF6F934C';
wwv_flow_imp.g_varchar2_table(378) := '23B337CB154450F39551B7895150CDC6C0E7321CEC4D7EEE0BDAC23261A0A2A0D0E0ADDCB9B318181E0A6CA5E081DE80A615E813C32DE12A9E09566A20D77C9A18E18E8C42EA7551F8DCBF715C1733C21060FA0FF03F80C3D2F8AD74865596BF8282A236';
wwv_flow_imp.g_varchar2_table(379) := '22B79DC783EC2C620E9E021291B846AF404DBAC16A48178DAA59D8165462E965A8A32B184DB388C6990DA502D6E88B262C24E07C306935F27FC12E2C59514C80798FA31F42FAABA2441B6A1D758116E098EB6C3880DF99D7159896402E38165AF31D0BD9';
wwv_flow_imp.g_varchar2_table(380) := '6C3114C794A82D632F886FAFE61847A41C7B5F4DC18542CB4D65F51E86AFC5C646832F406C41DA076ACD4DBABC7E260B8E437EA051A8FC1360453185A2EA525DCC99C60BA8E41B98B83B81B121501FEF991BCA42E00D777C90316F8A7A7C57F9957C912B';
wwv_flow_imp.g_varchar2_table(381) := '9A17291D7B3F40004E51A07E440D42DCA471AA8C0FA9646E014A6DA553C3C316B9302DE96DBF88856F87F931C1F1C7F4A23B4FFE7967353E887117C8CB00C70853F3FCAE1E97187A1E8AFC5FD25C1F475AAD047FDA49BF94B05A000ED958A1581067A963';
wwv_flow_imp.g_varchar2_table(382) := '974CA4BA5E6C101FE43392DF570C81E54C1946DBDC1191C32F818A6F0D40E2CF3000B005BABF31462C5F55168F7A20AF8A628E3B429A0A6C36D8607B4AD1C60056809736B7AF98603620A51F3ED098B891E4658B657AE394137564C31C199173B73FE881';
wwv_flow_imp.g_varchar2_table(383) := '8969347305AAC95518BFF67F2F843A5D2DFABE352CDEB10938B9B8D9646A6590FCA10831A2B19BF2103B880C233CC0BA86FAAC4CD1CBDC38E311B3974434D30316FB9802C430364F92C8866800F68FE93EAD140B2D350320FBC765BE379C9E270DC77F19';
wwv_flow_imp.g_varchar2_table(384) := 'CDE119F083324B5D48F836C240B97FD51847C1157DC09B5C81F0B09F0C6D50F8FF006B0E0F9D0FD4BD9EC55FE6E3505A2EC81E87A318615BD6492E25175B0E3E2183D92FD6E10B147C1FD04B830672F6FEE2CBFE1C3B6C2092FE812CB189F84C0A2550B5';
wwv_flow_imp.g_varchar2_table(385) := '11F07986E6A6325B15F7D30E1EBF2B717A2E0FF4066171F431F4624C0C30CBE22BA05BD4179A9C473C8F665889DDEE9A0E0223A0100B07DCD058ECC91E806556309825BE2E3AA4F2DAE19B2BCA6A955C31B0D884720187C42F232812B8B0972A013C2CA1';
wwv_flow_imp.g_varchar2_table(386) := '339A3CAF30FBB2B2C404BD74C5C422038E8A7866745BAC0AC24B31992B16CE315C14D44D573DBC4A2E16D01FBA81292B74D57B8CAF0AB170AC9C4E32C890B012B208FB55BEAE63853CC50601E085314CEA3A609682ED64291259B3601C28267C8D247EF0';
wwv_flow_imp.g_varchar2_table(387) := '6CFF00D105D1CB8FC0907DFCC3F702D17D9FEA177ED9487FB6C57C23C37E87A12E111C8238685C762AB9B315693D960CB972FD0C385D61FBD9708B8BFF003E62CA23001378E0A61184A84A98E9D51821DEC0C81E008AA2A75FF8C7FB941F9BEC7A4A9E51';
wwv_flow_imp.g_varchar2_table(388) := '44EF445C628FF02514055F046D191F86035D287CC168535BB7CF50463D3A941CA7D105A02B746594AB5FB504BA6BCA86DF920CC0D58A63D4BEECCBB22BD7EAEEA3719DC1B71D6A653A828DAEA0B43B61ABA09D909E148A929C1672A091708FD8C58646F7';
wwv_flow_imp.g_varchar2_table(389) := '6DAFB213680D553E15CB839869ABF101B40BCB67F112551CF6A77190B6A54A930ADA612125E0E390BFD42742953DCA12CB73C6C8A8D12002568987604748146DEB79084E116F559F51FE0584CBAF0CC7B3786E31C691A1022949986E92B254F254B105D8';
wwv_flow_imp.g_varchar2_table(390) := '07B214F8DC2896AF2B8E1112A6A14D7441ED4F91F88051470BB8F4301AD1C9AA5A7C4B5894B4C325731FE017E83D0CA837F643E37A2E0C05EF947D22CB95E6E50AAF7C2286FF00A987A1106D61A5032F16CC3FDC42458A2D4B1D9D7B647A0B1632FD1632';
wwv_flow_imp.g_varchar2_table(391) := 'E2CD68B7C4B2C8A9D0D55F76653233A48A1D4A535982C9BAD1B8EDE2FE0D439A434362AC76A45DDD4A89622B656CED0DC3E559BF881A2CA17727FB31C8373F31862838E4F3FA2BB65D1690EF41F3CB33556BBC6D7A22F258E2F6F08105B3A510609095F6';
wwv_flow_imp.g_varchar2_table(392) := '8D2F30ADE2153077717ECE1B712C0345596FD4596556CD2CB24359005E82C8174B99689862B97D991E200D1FCA1D317405078A65A37F1ECFE9F419ED67F90628FD40ED0502ACA89F7051556D80BBCE11B6CD008F7097892B45BD0458BB669FF0B96564D0';
wwv_flow_imp.g_varchar2_table(393) := 'BAA01A03422A28AD198B50D87151AE873C4F7D70C28C9DA7676BC8C1034ABBFE445C208B87E658FDFE0A4B840CB84CEE7374A3C541E7FBC0D82A985BC11A8820A61A7AC47FDAC451A263D8344FC9162C5998E13E59116297165C2D002E2480A4CE8FEC20';
wwv_flow_imp.g_varchar2_table(394) := 'ACDBAC2660B9D16AED7C4281AE6E68F0105F3668BFC504A75690BE912434642B0466537B50131143883DEAE51304E6C044BD5456D6A01CF2965402AD5D85AE98D44F9DAC1F8119AC2F2F2F77D46141EF8EBC1E08BAA2C3EA0A8B0D662353D740414A27AD';
wwv_flow_imp.g_varchar2_table(395) := 'CBA0034B7D988ABCDACF1294C83C3552A58AAA1AABF0CE4372D09C7C310AA8D9EB45F9C18B138367917332510DF1D9EC28B0082AC4B1EC7D1F287EFF0084DE7026D0A50EB16133CFA228155073A89C1BF117D5B796377E8A04F927E3A0947E0386B61C0C';
wwv_flow_imp.g_varchar2_table(396) := 'B23A50EA687A2003554BF45A1C9C17B63C82142A88343034AD3177978F1116A8009F058F3E2A5174B4C3AA886D5FC482F45FA2E4EAA2D5FF004A6107A23B227B0F760E0A691B1F566D8CAFB485C29366D33859F58458A7B08F89BFC47D0C62C052DC516D';
wwv_flow_imp.g_varchar2_table(397) := 'D4EBCC737B816C0E129E706E6D6882CAD6085FB099A6023555F1517200BB506212E27FB3132C3DE575D544BFE2ADCFCC681F0CC0417AD71654AEAC6E071C22AB3D9C28CC6E7C542F4732941DB882D2F0813DE1F1B0FDFA0FEE59E954CA87CB083ECD00C4';
wwv_flow_imp.g_varchar2_table(398) := '96F94CE55AE6909C0E6AA0044BE6C461DE873B2E13234D961ACE2C270F2D79AC1955E4C1F7284EC8C714B7817752F681BBD059F20C16ED157188FB3D1F55F3B4AFD4B55D35E8D4C6F208E7B0B354EC94775EAA532A9C08041E25F9AF67DC10F528DD71B2';
wwv_flow_imp.g_varchar2_table(399) := 'B29A1D408F3A1611C01D652E90F0501C1177A2870AFF00E2C2CDE3E20D4038A5C20D9CB4A085B2BF45637E285DBAC405AB0754D7BE2DEE8967503AC6AD818C5ECAB73AC0A023FC80208DC373B85E4FD8308DF368C9E94B0418953C45FCC670672DCE5A12';
wwv_flow_imp.g_varchar2_table(400) := '0F4D8F19187523D970888964DAF11FD0CE1376DFE51B5C6880455ABC12A17A02318B33DA12F5518222C35FF64B4AAB863BADD4F66BE636559172AE8C4F2AD09663DE56989B42D6CBEA53171AA6AB9829714E3529C02F09F4B96BE156105D8BABB0966816';
wwv_flow_imp.g_varchar2_table(401) := '6D620DB615CE895A3B5EE56C9689299EF442F164170E7247C2D65F99630C6025FE7C11D0098801EC8C905815BA3D6B0CA0228EC08DDA18DA56606CB683ACC2A208F9C26978C73FBA0AE6424BE081C57B15711585FF00A236AF45691DBC39617650D3AAF6';
wwv_flow_imp.g_varchar2_table(402) := '6A0D56D017ECA669EF237F1488AA9B1ABE5C47DBEB379F345952C7482C01B5D00CBD280D07C286CEDDC2E92B25E03757A8AE6A365DA453E96F918842A014691869A86688E2ACAA5B8AC68AAD8F960B07CAADB92A76B0D30025FA2FF80211465143B5376F';
wwv_flow_imp.g_varchar2_table(403) := 'F2196BED3EDA11DFB548DA3985EA14AF9A852D4B88C2518F658299BFAA8A98A30E32DEE2C58B2A1880B0500E69047665D8777DCD06611C9B10BEEB0555D96397A075F8188A71540DF5B8BEDBE36FC91CD0D4623D46A2ACC53CCCF6BD5950AA13A3167997';
wwv_flow_imp.g_varchar2_table(404) := 'B5BD8C134302C5F925BE0DB6A9999F523EC578B9402C0D7DB0F402A06EAE5CC5C6612EBC4D057273154DB6F7120308C8973AC83CD47C07A7300A0066FBDCB2792FBE51C02ACA14BCEE7E48D22AAAF6DD0CE27F9482A15DE00BD970F80340644ADE25C80A';
wwv_flow_imp.g_varchar2_table(405) := 'C160ABB111B04BADD9D1253DA09BCB3FA143C138B16B0177AD5BCD4C155D01022EBD15CC56648115F24F3194082F74D8951EEB0D18C9D47A2167D5C4E70EA50913AB47CB88B0153A0A457B5AA007EC60B5D8E6BFA08A3B95BA616EBE10950016B583698E';
wwv_flow_imp.g_varchar2_table(406) := 'CBC3C47BC1FF00833802F6AC134BA5A7F171D8C0AC9F00CFCDAF1300E8C9C3A1D7EC11D628D9630A0018231910307861B597E68891AAF177E8DA079833162C58B162FA2FCC042CA9BA5BC72C573170B6BDC4CD066ADCB6F17F826516B3073FA1821858A1';
wwv_flow_imp.g_varchar2_table(407) := '54B081F2AEDFD10D0401B745750CCE9C23F95734B5F921662BE891E9266D63CEE959724AD337E140271483AE023A9C9632F447463AEE2100B9D40BD9F52D8C92DD84016851E06A6D7C445A84A83829D4BBFED028B50E0C0BFE65502CA5ACD0E230914583';
wwv_flow_imp.g_varchar2_table(408) := '56D21831DDD9776334E2A371DC94076146D7BDC6611020023B10DA429D78B8201B3A321E1F13311C83319388EB01F99C726E0C381DBE52210E6B5F319AF349F9196FA2A896C236147B2157ACAB608498C972E0C3DE97BAD37E157707840E903896D844EE';
wwv_flow_imp.g_varchar2_table(409) := 'B69838878D9419B8433DA0E6D18732BA583B1F4547E4FB31E6224CD27D93913F2E449F9FC1FEE3A85044757CD4A1760FC42D9A9F8CA52C3E2DFF0070660B45207A238BE8C58B1632EDA3F3845B2FB672A6392E0EC2140F7A83B7B565FDCA6C5D80ACBBA8';
wwv_flow_imp.g_varchar2_table(410) := 'CB53A29B0880595D72B32816F283F6C1E5AF47F7502EB9D295F0EE530745DC80F918AACAF37665DE4068E985976B18A68DB71D5C336836C4D9C04471E8BE8ECC1076DA4C6F78E175F1A9482525663B74B1C626C4C93ADDF09614203370207E21AE120682';
wwv_flow_imp.g_varchar2_table(411) := '85432173FD50B82B24BD7BBF5002D0EBA6183C7F894BAA56C204052350C4C4430EEBEE100185E2169E9B0F118B172AC0CA0312898843D547C23C5854BCE14EA03D8C025B5560D5008E619F6E4A02BDF1188CD228A8094378A1F142FD0A7953F6418ECB89';
wwv_flow_imp.g_varchar2_table(412) := '871F7639E6E7FC9998F75E942FB67FDC53C1DBFE04A210691B3E49FF005B6F2C3F572FD982CFD5E16134C84FC1E8FA31628ACCB297AD2566A8A8E16B01AB0051A8A6ECC629D99A8B6B3EF28ABDC7CC0528F983383D4ACC060BB9DCD90E391A847BC2062C';
wwv_flow_imp.g_varchar2_table(413) := '75ACE044CDC0A5C4643784F9822B69BAED61B5669842F2C779F46A103128B2D88A8603157B829BE406CBB8EFCB3F2C0F3C7E264A38C46F66DE6E93DA33A886D69C12A14A3B16DAAD456832A9F88B77DA639A205910DCD626316B31299D16A1A31BCDEBE0';
wwv_flow_imp.g_varchar2_table(414) := '307016DB9422567451162808D095300CA363128AC42A4A976FA8E469B67BBBB21FA725B69DBF944249C581FDD245CDA4447EE46EACF807F0A2151995BF6CDADA419D2600AC6DC11568516DBF6FA693B67D32E5A07EA068205E50E785752FD0C30C5FA2C5';
wwv_flow_imp.g_varchar2_table(415) := '8C58C35BFC410DEB52B0AB8C2CA6A590B5456B176EEA8238223A8C2AC1CBA63857DE60ECE3B898285F9EA73B56C2C32F02AC2EEA397B9D9943C4ACD106BABB0472FF00BE1A0AEA39F9FD205822DC8A971F5CC60E207B3E66631B8CCBB7DBD0264ABBFC58';
wwv_flow_imp.g_varchar2_table(416) := '96607F44B346FF004861ACADBDEA31834B3046FD6C379519C03F4A2B6D91450F3198DB1EB0A1E62F1656BA3B53726744B5B446C2CF4C109FE53470FC229D816253A008895C05761E530649D94FE1308BF7F8C802A708F9A8883B4354EF9720B98D897EA7';
wwv_flow_imp.g_varchar2_table(417) := 'FF001F7D9BB30D083A312CFAE70A0CEB33F190D6817C0D12804E470AB0DEC99418BEC4FB3D34712E5BB8B72BA65FA85F558C630BB2BAA5A3A3287951E241E5B855C320AB531D4E571C4A0B4EE0256116269810A9E650EB8DCFBC0AA3ED8944B935183FE4';
wwv_flow_imp.g_varchar2_table(418) := '544C157361C116CB4496F5965CADD4C092D02D4D83EE6216BFAF88C455AEF886E64D60BD905A1EF93532F632F0F7872C1F5251002A21C393C106A17BD32AC6516422DB2C1CE56ED88C0AEFDE113657EE38259D3BAD6BE1876EBFDC995C1B8D7BE02A3E32';
wwv_flow_imp.g_varchar2_table(419) := '479642CA5BDF886E167BA3F10829356043588125990A4F2210C063E21514A7BA8A65F024FAB4B7059BA0D1AA97C2E08E1FD4C979B2A3B8D9683E8410207A0C436B2B465936AC9F77F0063DFA3066E6F818B093898CBA2A2FA3E8B2E2C597671DD0DB00C2';
wwv_flow_imp.g_varchar2_table(420) := '6ED54F776C3C4455701BA36A8CBCD55F6AE664B93157993D132A56580D60B402C71886659ADEB2EBCB4025925BBDB3227BF9A8C467B438081EE510BBF9C29B279DB3C8456CF16657E466DCBE1495C9D1019AE1903F6C32F54A6B249335D3804B18C9C9EF';
wwv_flow_imp.g_varchar2_table(421) := '1CBB0CB6BB6694EE5A3E62577E8C2E06732AF50300DCCAD0C0D47A4528BB87053A4BBB6EB1F50240D2A2632C66A1E8E0E603ED8D35CDAFC25C83A322B1CB88EA11B8214A551672D21F26CB146AE54F4A6952C280245141142CFD118D87A334C10CAA0034';
wwv_flow_imp.g_varchar2_table(422) := 'B83C0A83025421081041CC90614AFF00CBFE82067204A0141E83D5527A47E99CC37177FAB07BF41EF895F3F405FA8A5CB8B165C58B2CE26A621AF708B1FE543631C4F56A830DA2846202A91654E156419B95474A653D9C2F70645B91187B08CA4514A41C';
wwv_flow_imp.g_varchar2_table(423) := '926046DE398D2F204805D8BFA74637F3987F656504ED2B65DA681253573BFD0B2FA99A03FD318C7D4B750420760BFE03A6390AB2F5CB7D0F90834DAD7443379E2E6460B6F4A25C5F12A10DB29B80A0A12E6118B635F0864C9189EF66598363FB21A993DA';
wwv_flow_imp.g_varchar2_table(424) := '6088EF60DBCF1165EBF01913F02EFC10305A43F098B160A690A7D72955012A3134E2341F4558AA8E41E2E10BC63FFCEC8C5043F802083D3241284F63BD7D79831321F32B9A1E50080D5ED0CEFDF01861E8305FBA96032833220714EF0486E83CC2F575E5';
wwv_flow_imp.g_varchar2_table(425) := 'FE1264219D66B03FC48C091858B162C6877BA47F44664626F0383C099A45BF2C219655739872CB72ACD761216E8084E809A6735C8E41ADC16DB67DEAFDCA092D733308192BE218EF55989B93361ED2A1CAF3528763508C1CE05C6655A9B5FD65B569DB08';
wwv_flow_imp.g_varchar2_table(426) := 'DCB1A580E607172C4F0E6527403ED8EB4CAF40B31EE649C710A716D47751F1BAA9A4F4F6EAFDB03A95688B56B2BA2E5078C3A5CBF4496D3623EC22EF9765141A4F2F103CA9F6267D4A6B134E224C58A3638736B05FB5388D1F028F4820F52A0F50B4B42D';
wwv_flow_imp.g_varchar2_table(427) := '8E7CBBD27C9EFA12A64C25005012D0B74E3DF1060CB990764FA27A2E5FA8BE8B8C5C59668710D1463D882E1701D345744AA165DE4FC1D4B6BA014AAE5B44575A4C3A7AB88A9BB34D03340B7B5C5908015A3546C25C91798C05B14682488561237C06B5B2';
wwv_flow_imp.g_varchar2_table(428) := '376673456E73542FB840B7B79955BA23AEBC96547662F102B03A1444DD122EDB08545B3E31316ADD7E89679F462909991235772C9B1F70AB04804C444D89458331395AB17997E6610A80C0DD730DDA5F5E87F6981F2AFC27FCF1997504B6A5F0E74CC301';
wwv_flow_imp.g_varchar2_table(429) := '6EA62621AB12D369792C7659295B0FC4EBDE25FA47A07A0902D2E67E15F2F7021F4C0DF03BBD040AA785283FFBA420C2920FA5C19893A525CB972FD1717D171631852B50742BC84009E32878C40D6B118FC46F48F509AA86D589FC526376AC52F8C9F6C0';
wwv_flow_imp.g_varchar2_table(430) := 'BB0C151BF8C040FB998E6920268E87820D23CEDF672B2AF67EA5AA690372DB6C68F30DDA5E88C537D307353751E55ED537E65F5C416D0A45663058F99B1696E6698F3882F295F98A4E65A7A3D46AD4A2D87BDC7A232993405BA0638C2829D60FD4EA3106';
wwv_flow_imp.g_varchar2_table(431) := '306EC9588470E6594C3DCE054865616CDD7E68BDD4D5895D6228C8211568BB5328839D18E8DC49DBA1CD8FC57BC1E842552D00E56641DB0EFE0F1356BD11C46907A4D67D0A965B97DE57B0CA240A2A83001A21E34034BDE11244394547C41832E5CFDCF4';
wwv_flow_imp.g_varchar2_table(432) := 'B8B165FA2C58C5F4092251BE2FE28886902B6148A25823A650F760C6FC8C36AC34DCFDF10C85D7B469ECEF98F9AE197ADA1D1ADB12262357068256C339949CC6EF0DC68D909B48E86082DF13258A731036F1B82DF12C86D2B78C6D19AE62B55883ACFF00';
wwv_flow_imp.g_varchar2_table(433) := '9DBFA2625E0FDC49F32E2EABE669B3CCADD1835CA2638F6109B0BA4B6F122A3D0D8650A9B27B6377B9556A9A3961B5E54ED6D443896BF884BD697F84C8626225551CD9F642E19B7B0CB5D3F2366F62E724A83D0612A4097920BFBE5F100BEB1652E8CB19';
wwv_flow_imp.g_varchar2_table(434) := '581F61100C0BDD420A9B13E19D85EED431604F1987AEDEFF00563FC18B1F41508246E946118CD246C50696FA89038D8A0C14069C29296538E446517596A9752AE555894F16C1145A21971CB1105053CCCA1C8E22301456D8792EB2CBA976EF9B82A2E201';
wwv_flow_imp.g_varchar2_table(435) := 'A70C57228884C32D898ED82ABAB564408EE23D970E3FD6C0A36D163DBD0DC4A6A60E711680D4A72B81007D908145F821D1450ADF45835018292FB08CD7CC648C837C46BCA632C439B4E81874551F0F709480C638570F6FA49D08E063D546DABDC0DCB08C';
wwv_flow_imp.g_varchar2_table(436) := 'F5ECFC607A2A0C6059529C0AAA1DCF3441B503CC60A24B2CB7DC2992DC80C03F9C47847CC0E0BEC5420C46C1F72E11401E0A83EABF1FABEB72E318BEA0B874CE7814A21DA145578CD77E10A858200034E05525C65D18EFC4A6DDAB0862DA748C99965175';
wwv_flow_imp.g_varchar2_table(437) := '3962EA6584FEE09803881A7A48468BA6186979D41BC658ADACC70C47E15894002328BF9210D32B7B40BD5D6253B8CBA8072C2F997034D443600CB8A84976C7B75F87741E8C579096E4E3A6313EE063B0EBCCB761609BB64F890E1D9CF49BDE42F11CE638';
wwv_flow_imp.g_varchar2_table(438) := 'C64C3A8462CAAA1D2E49104AA8D232D5411A436C4610D208A8943A0F702256DED0A94D42F014FB06D94C851E11C7B6AFE03D0F43D0DBD9FF00C562C5EA4A525A7544DD9675B746154DD8150D28C81C241054DA20F74672DC550C52603E4A8C8375D40741';
wwv_flow_imp.g_varchar2_table(439) := '09291703084534C6DB499AE731D0A311D00569CCD9E820C4B7B13E24098BE65A4BF44C07130E6C0A917B1D55E0E54304EDC2AFCB710025FDCB481386E19B63E64D28F2E8F636C6ADAD56E58E676361B3AE8972351053087E213CCA8033128201B40981A7';
wwv_flow_imp.g_varchar2_table(440) := 'EE3F6C42FC5AABE88F9948A50DC4ED7DD575E7E9E8594C4BA9525D7F603EFCCADF9019A6F9D6E1CDC0A0BB6A5C754FF9B44B8114215128517B5780981B261DFF00837F896AFF0003D738FF00E43162FE60AACA8912C5086CE0387501EA41624C65644E49';
wwv_flow_imp.g_varchar2_table(441) := '594B66E628D4010DE2BA00337C30CE6FD9806D2C1CCCE9143BA8E36970930FA6552D094D2A01036E356CC86DFB6A27CC2DF1FDB9CDEF97EE61E80CD5EAF3863E20CE2E2D8DF1D40709ED508205E10E2A9CB05780F18DF138EB241A20D1C2DC06764B206D';
wwv_flow_imp.g_varchar2_table(442) := 'B6D0A08A80DAEFBEDA7BCF148ABC2C418BE866C40BDA41066428B8D712B6D6270E28D0F66F174EEBDB82AA567F4AB3459A3B4A4B6337CB25264143CBA889711D85DB1B4C30568702E1A2DFFF004100658379A1D306BC40D311A7B6CFD737C47C0F719936';
wwv_flow_imp.g_varchar2_table(443) := 'D17427F018087F13F8F0F77ABFC18C71C5147E82C63697E00A707D4E25490CEC3F921B2BD8812B6172FB1C206AB4CB9EABB80B8666DC5CBD2E19E11410424602AAFB9557F8204963DA750FBED0D180E5041E66743331020829EE054D8756B0229A4D22FD';
wwv_flow_imp.g_varchar2_table(444) := 'B43F65B0BB256A5D7B10C312853B2985E41D1C7E348708D594BFB80C8A73787CD24AB95A29EE035057B135262D023625742FD2072EB2A0F2296ECE423A8A1D32B2C2BD4B3DDE0836078B02F0C30324BD5954D1C11436177A9598B289C0704A3D2B5618B5';
wwv_flow_imp.g_varchar2_table(445) := '8467F937FCFDA0800702CB94054D883CC34F9F334BAF9104115BF1F69C1F4E8869EC5A3D038025C187A0BFC47D170F45C630F4628FF969F46C7BCA2AD27EF1F88680E368EA5B8BDD6A5F544DBD900D4842C0C044802B01A06616C5B0649496C56F32CD50';
wwv_flow_imp.g_varchar2_table(446) := 'BC86A0EBA77895038FEFEE1D00D6CF156CFCA7EE38AA03354080EFDC8592ED5C3E889AEE1B0C7C12DBAA17C1FF009E8E2389AB603C4A4B0C2354041B22CAABE186F4382CDED2351DB910C53143E130C1C1A66AF02539AAEE8AC8289C7682D2A0003CAE23';
wwv_flow_imp.g_varchar2_table(447) := '19CE0AD9A13459728FB2D746235B62485004AF6B0A81AD8928EB5C27B310C0F2C095365537AEB5E2AD731D4FB74A2796B9656104832D2B40CAB1F48C6D79542CAD0504BC0A348F18A71C2E10A5167E9D4B917FD8CA0CD3FC008A40A4B790798115220A2E';
wwv_flow_imp.g_varchar2_table(448) := '97888024A950207F157E12FBF4AF4A95EA103F8382089E80088C85F345D10738FF00C43DCBF647D420DC7E4C696495100F17FEA3C6F080736FBC00847A1030CC466A5C492D2D25E1A2A0CE24AB5BB6E30B3B1B694C728A732559BD89B1228B23EE706D65';
wwv_flow_imp.g_varchar2_table(449) := '00379E67E229DCE914855C3D79D7708B64BF2C657EA3AB9A259264AE2054F9C31B545EA29DEE6638E2CA569EE5497E31BFB2234DE413F670615C0C5E81EFD28A50A6C47B9627B5B9482955EBCCAACB9BEA9D45E6E99C27200C88D564F999490B18FE032F';
wwv_flow_imp.g_varchar2_table(450) := '94D34F1F112EC9ADC069555EC62CD905F97921CA06A897FCDD5438428DBB6516AAD0133E545A7155925C4E5AF77581545F70109776392AC832B9B572AED3B6118F5E1A335D4205E824C51DAF7B9DA65C2304632BD168444BD0174B0C55DE5643F71FE841';
wwv_flow_imp.g_varchar2_table(451) := '377C218F5FC2FDC5F4FE022DB01F2C78DEFD52DE53DA278710BFF312D01760375E200D9B55B789A2D311AE4A4BE827BC2FDC76BE50DA1446D4B62B5894D352904104B0F88556B1ECB8066DD25929AEAE761F30982B7A0ED594BC06AD17562E99797E5D4A';
wwv_flow_imp.g_varchar2_table(452) := '40A10AF7401CFC236709F9612D5F796962D6A54196364A650E724BCA78D206498F0C4658A41A839858E18F2B7EF9FDCA1AF56F365D88A2C334546815150F33441669E2CA8DEC91D1378D0C3816DAF670D0434820627F71B323F43A1DA6D3C9809BD22578';
wwv_flow_imp.g_varchar2_table(453) := 'A94605F481295B0D93320E4AD65BC775E6A39A4764183B1D47D35A3EEBE988923BE79BD3F293D99EDC7C732B05454EE1E30E84199215D5B66110FC81FB96F27D91E93EC95A50776626F24A2AA10929B2A15BCA10AC18285DB966136421C25C2268C3703A';
wwv_flow_imp.g_varchar2_table(454) := '07D8858B6CB2FF004C4620BF166DC336A05353B2FD4EF3F53B2FD4EDFD23D9F499F03C95AE20F9603D0AD7B6860C2EF30C110BF44CFD172C22A2405B2AA48D15A4C7393570495BC6A0320AD4124137986A83D88D550B3A55FB4AC5368148B49C2699DA59';
wwv_flow_imp.g_varchar2_table(455) := '884232C705D135D32F106FEA2DB3BDCCAB7A25D943C54A393BAE523C198301634952BF817881280B4D3378938F3AC115A5A98155701C7CC1B83C51EDFE18D154B2861D2B377F0BBB2CB2FA3773E3B9715DD007A2CDDDB0E3EBF10929F27ED376FE393003';
wwv_flow_imp.g_varchar2_table(456) := 'B824040E0427DFE4EEE9A05EEB6EAA3651805B71CF77C61C0DAE9A80D43C84B5570A16EEB3249F5AD7D2151F8D690129AB98952D108F590BAAE25C08148B0938FF00912A32C8357030CAAAE4123D24BCFA1F197FDDC5D2A2AB53141914D0AF80D0CA36B5';
wwv_flow_imp.g_varchar2_table(457) := '6AF4CBD0EAB1146A29FF0088A048551DC1C2B529104D245F7102D130E0B520965466B2211F4035B83CBD9C84A255B8E2671EF0D3A4FCAC41DC788ABA0E383D0D3E977A0CB83986B2D01A96AF81B9AB65DEE5C8780E181D470F50B85C214B876361640204';
wwv_flow_imp.g_varchar2_table(458) := 'F012DFCA81AB3CEA3A036C1E91690C221C7D13FF001A1FE9A57FE2F4826920E58123FF00127FE54FF4C9FF00951FF4ACFF004B67FE6B10FF00031E5FA18FFAE87FD047FE5C3FF963FF002210DFE581DFE58088EE22E2471DB80730472C33BF51D425D8FC';
wwv_flow_imp.g_varchar2_table(459) := '528B8F0216F745031282EB11B9B65C352B8B83C9841730325A5EC23112C4B22162D5EC561A21C62B25CC5012658E6DAD45228FDEFDE250ECF8AB8D6E909A36DFF17022061DCAECF88C59A8FA5CBF40CAE08888F42A5C63E95CC007C901D6596F32A9EC47';
wwv_flow_imp.g_varchar2_table(460) := '8651651492D7B4BEE3C365E3A3C1122A5A65CCCE16FE0CF28C32209F38DB98CF38B610C5CC607445704E811F5FD40F8FD4FF005A967FA265FEA9FE853FD52238C35D19D34519C01DA809DE4EAAA83009594E58835376BEC881E609A0C24C2163CB9583DD';
wwv_flow_imp.g_varchar2_table(461) := '4D70C4A9A36540F2D12F8BB00443391368C1615FCC352980AD9F98FF0015C36ABFA886505313DC4770F7891F42C4622ABCB72FD2FF0085A36C4254512E2623AF227DE08CD6475785E63653FED3C915ED49B71BF03EAB7E25B2F05DC160A10BF4E252F109';
wwv_flow_imp.g_varchar2_table(462) := 'B96C587B7A5CB971A0FF0022FD7A4D1FA0E7D6004B6678FF00160EC64A64A400C731A13B91420935A200A776D94CF0CADF97CC6CDB4BB6356CF6989571D642553620FA2EB4B72F21E4E16F88DD78F52024BF0A3344E765908B4CF0983142FA592F6A8EDF';
wwv_flow_imp.g_varchar2_table(463) := 'F4CBD95D7AEA57A5B0EE979ECF43DA9EC4F12783F511C5C1A70C49794912A8D05BDA0DB28C50FE119A88AB123C70842943C0411E8FF3C12BDA0181E9F05676D416437320CEF0ED444F4DE8827100FE001518367CCE1D7DCF0E0B84F0A0E0728729D97A48';
wwv_flow_imp.g_varchar2_table(464) := 'D21FF8A7FA3435FE881BFD10176BEA06F386E72BB9CCECA7793A2FA3150BA526B865D1B04A029724C8AE85D97F43963E438F81A8825A319FA94CB69F36588B232C548E4CAA20C68F3A84836D14D4111B7C55CF1367042F8D471C2F459058F8BD44317786';
wwv_flow_imp.g_varchar2_table(465) := 'E2143AE06314DC03F033B8A8FA1E2E6A1FD946A90A69D206AE015E2FCC4CCC14A81AB9944FDC97BAA6E5A1048D0394B62070BEEC7578FA404CF622BCC145E3D90EC84ADDC1C04393F855F0BE8BA495F11EA8C9463E93672C7894A90C54398BF4A78B3C4F';
wwv_flow_imp.g_varchar2_table(466) := 'AF4651DD137FA2677EA8CFF8217FAE2EF37B93FD562FFC116387C12B288AD74C7F902D282EC2F98ECA5DC587445FA10F8F760ACF8BDDFF00C4C6BEE761E238AACAC29B7B23D40D008EA39B725DB0A2DF052C09B0ADAE6149134988FA8B3CD461EE265956';
wwv_flow_imp.g_varchar2_table(467) := '35D6AAFDE363D2C26732FED282D0152FEC8F14336BA51C94A1499A01BACF51101B4CE505539A2846B5AE72B0CB57888A74856E2AD998100AAB0E210703D665371662A37C6E368A1E48CD01E1B5CCB56DDF74E180050A72C2FE016512D763AFE00F7812BC';
wwv_flow_imp.g_varchar2_table(468) := '40750F695E21E9647328EA01FC4BA8ABBF47D2545E089E3D3E48BE63E8FB4456A23A23275A74274A74E7365C38FC44CF4D3E6E5994754C72B10AD5E0D795F047C2DCAD7FC0E896193B287E19848E89095C69012F298A939F68FDB61F2C3ADDF75712419F';
wwv_flow_imp.g_varchar2_table(469) := '313168F2A48B48EEB3F960A2AC76D8106CAAC44045789481B5905938BCA2505B1396983750B9EF4A70F300ED6F7FE94133AA5558E3C47B2D63483CC00852831101772012A015E4801F722579602E3E51958E2614F82627C051F9204B6C3F16510F6408E4';
wwv_flow_imp.g_varchar2_table(470) := '4183D428538EBD00A7D193170CB56E0B578811841DC425B6907D0659C44D08383D215159CC560A0A0C65B0922B489E861CE63B7D36A47343DE3C4233661C1EF502B52F48D5D245C2D94CAB02B12B35A9BC04D96AC859C77300509B2496FDA5655C43B83B';
wwv_flow_imp.g_varchar2_table(471) := 'C108A5EFCC7362B016F0CB98A20C6609219C636AEF98CD9D44C2F0C2C273667FFFC4003511000104000502040503030403000000000100020311041012213105411320516114225271914281A13032B1232453625472D1FFDA0008010201013F000329A6';
wwv_flow_imp.g_varchar2_table(472) := 'D02811678504069C7925471E835EC8B8557B0408705B02020D0485A1A0EE791615398E2161E4D6C69410AF2D79079EB2EE9BB52C5752D123D8DE038D150173E906129A0D528C0008AF657B71D949193472269025EF90D6CD1B28ABD14ADD7442D0E24103';
wwv_flow_imp.g_varchar2_table(473) := '76EC421870C6B8FAF65E0FCADDB83CA9496BED163BC40B8716FBFF0095D364AD4C27DC2B57EE81FE80EFE739CEF2C8A475F0D27F010D4F902C2B698DDD017C20D4C6EC135948B6EF2C4CD40D116A161D9898D3C5FDD3B828BD8C27EC86203C91D9472DB4';
wwv_flow_imp.g_varchar2_table(474) := 'A6B0814E0A68C37ED49CF6B8B76DAB72BA7EEF759E00032B40FF0040727C963D56A1EAAD5E45622332452B072E6380FC2638C337CEC228EE0AC296BD81CD3614B24715B9EE6B5A2B7770A17B1E2D8F0E1EC9A8223299BA9DF2B7F8587C381F3773FC2D21';
wwv_flow_imp.g_varchar2_table(475) := 'B64709A6C55F2846D206CB13867170A2287E02869A6BB394D1B8EC0AC461DF31A2FA6FA29A188535A46C781C0585754A3F705368806B2A43CFDF3D23D10007654894722A491AC6B9CE341A092563F1DF12092CA2E713F95D1E7D1035A79B5D53A845E268';
wwv_flow_imp.g_varchar2_table(476) := '2D6B9AD20D11613A3F81C68921608C3980BA36ECD208504CD91AD7B78215A73A813949C58ECA000B05775356A02BB20F6EE6EEB75867388DD85A9F28363526C60B470A297E6209E0FF009533DBB01B9245AC548DF94022FD161DED1ACFEFF858693536C8';
wwv_flow_imp.g_varchar2_table(477) := '5681F6FE87739D81C957BAB4E472EEB178713C2F8CB8B750AB0B1FD1DF856460BF583746AB8587739834B82EA50E995A6AC386EA392491E6476E1ADA16BA3630696B095E23072E534A1E630DDF7B3F6CA478E01503340ADD4911738EFC84C8C359B816B0';
wwv_flow_imp.g_varchar2_table(478) := 'EC92DE5CFB07809F0820FCB7F7D940D759F4E13E2AD836AFF94D23516D1D962180EAAD931B4381A40FE6942C2D6816805A50CED58BAB472EFE4256E8B8FD2ACFA65DCE58D89B2C6757E905C14B852E79F658B8C68A35B296632BB435BB9F4584E9C5B45C';
wwv_flow_imp.g_varchar2_table(479) := '6908C0013850245DE50C41EFB35A41A4C8DADE052D3C224708D02D45C6C528DD60A78B24A6C85C1C1123512786EEA18838035410D80A5F94330116AD07EAC80442A44660F289348657CED902410785D54061739A034EB2000A589CE1EA4AC0F4D105BDFB';
wwv_flow_imp.g_varchar2_table(480) := 'C8EFE07A26416840D0A5808E027F0561E22DE4F1DBEE8C81B57DD38B4816550349C69C09EE87CCF2BC56025D5643834D7BA9CDF1F63FBA8AC3A8126C1420D87AA61A6A0EF7FE104321E63DB228A2D0EE6D35805AEC7C8723BD5A9E26F8A34368D6F5C28E';
wwv_flow_imp.g_varchar2_table(481) := '16B55845E813EA8AC3EE375B14F875106D34068A589C38946C688E135F2C27E769A1DC6E835A4BC81BBAAFF64EE0D9B2544CB77B7AA010547DB21E6B56512AD128844D2FA900AAABCB349A40F75E201C2F14AD656B14B558280B4C14802830AF0518DC15';
wwv_flow_imp.g_varchar2_table(482) := 'DA637E73F629D135D40840014022B6F543F72B4FB143EDE474AD068941140221522A901B0D95209DC6672C63817D0E15DA0B61DD1DC58E531D60A8C594D6A630002CA0E0B6A0852963A169877088A2BB8CBB8DD36BEA5A87AE4FC444D34E95A0FB90137A';
wwv_flow_imp.g_varchar2_table(483) := '8E1B5B5A27612E340036AD3E20FE47707F081A44A0513C644E5591390E15E4F7696928B8B8DA0B5A6EE852047A6EA16DDA69AE02D6538DABA41EB58AE116D10A51C15DC6409DB65656EBACF571846696EF2386DEDEE839EF95A0BFE690EC1CE00B89FBA8';
wwv_flow_imp.g_varchar2_table(484) := '7A6C20BD8E9AA768BD3C692174EC519E063CD6AE1D5EA15A073BDC656AC5F39177B85632BCF192FE9402242A2A8AD5615136544282255E41040DD857F2FD93C5B422288567D1583CA22D172EAD8018A81C07F78DDAB07D2F020325930DAE463B5B6ECD3B';
wwv_flow_imp.g_varchar2_table(485) := 'DBD1491E2716F36C118BDCF2574BC308636345EDB93EA7CB7B84FDC2A4C14E520B72A4D3B239C84869205A79D6495EC8A6B885A8A1F3261F94A6047C96826AAD822DF75415ABB4E1BAD8729F856991EE1C136835BC00A1600323B7741FEF97A279E15A6B';
wwv_flow_imp.g_varchar2_table(486) := 'B71BA71DD177BA6B81BDFC92BF4B1C7D9015688B418A8AB29A770884DE11406605E40A1FFC56AF273DADE4A7CD7C6C9CF011792A26A66C8C8D1FA82762189B35B9A012996112A56873690C2B3FEC5450B1A410D52C0C79B36BE122FA53236B3815992B18';
wwv_flow_imp.g_varchar2_table(487) := 'FA6B47BA2450A41B95A2426EE427A19047267395EE133BE4E78681653B11E8139E8BED060D366ED035C00B53BD55AACB091D02E3DFFC6672089CC958BC7C701607592EE005275B9CBCB6285A47BEE5458D7CEE2D923D25A8D5FEC81F644AB0552847CC8D';
wwv_flow_imp.g_varchar2_table(488) := 'ABDB339455BE6C35413E771268D2D49F21E020D253231DD38DF9094C617B80FCFD935E36D8E453CD3495E393C46E298E909171D7EFE49256B1A5CE7000772BA8F536CEFDA314C240245920AE91D52288B992B5A03B8701C7DD068F19CF6CA1DDB636BABF';
wwv_flow_imp.g_varchar2_table(489) := '55930EE6322A048B248B4EEA78C3B9C43BF634BE3F1176667FE4A8BA9E21BC4A7F7DD613AC48480F683EE161FE666AF5451D86579B7FB7361F9827BE9CE1EEAC94C626469C8E5795AC2B29BABBBBC83C84AB5D7A79BC6D0E3F26C401F6584E9B878A26CB';
wwv_flow_imp.g_varchar2_table(490) := '31EC0EFD9750EA3849A9ADC3EAAFD4687F3CAC2E3A18DAE606107F2BA9CE249C1AAA00232028A8C6EB0515B8260D2C637D0291E15D869F5F2047FB4046F260D89528FF0051FF00FB14C62631134138DE4E750254566C9CA266B786F6E4E5B7AE63CDD4BA';
wwv_flow_imp.g_varchar2_table(491) := '7FC41690770BA8E13C580B48EE08F62118DD0BCB4A103A4612CECB118592ECAF04841B6A18D74C8B53D8A520268B36A136D67EFE46F213B739029A76A5237E793EE531A9AD5339144D2D56163B1C30ECD5CF600772B0F23DF1B5CF6E9711B85878F4B6CF';
wwv_flow_imp.g_varchar2_table(492) := '272198CCF93B11D8AEA1D3ACDFE0AC21F01D442921C3CE2EC02BA961FC292828A327B2642456CBA5C5A774E0495C0501F94674850EE55E575CAF19A13FE6713EAACA208E53CD9CBAC621F1442BF56CBA535B1C3248F7D47DC94DC41C4E23C622A28FFB5A';
wwv_flow_imp.g_varchar2_table(493) := 'BA7609DA9D2C976EEC7D3C96AD03CA25139939B9A0820AC4E0F72D3C8D8158B8276ECD470D29DDDCA870A414D84B88002C342238C7A9453CAC31B07D8E769946D3A2BFED70BF752B25673FC20D25323DC7CC8B5A3B20F3DB64F7658AC4B626924D00A197';
wwv_flow_imp.g_varchar2_table(494) := 'E367D4FD9AD1B0F40B172BF1723608F68C1D800B05D3191B582AC377FDD557F4C9CC0B464D65DEE53E06B9D4B118269F650E049ECA3C2B2317DD17908C8512B0A791955E40A0EA283949876389DDC3EC4A18420D895C76E0D10BC1928EED3FB526C7213B';
wwv_flow_imp.g_varchar2_table(495) := '86D57BA186BE765F0C0734B1CD967C496B8569355D82674E0212D68A2ED89585C0C5081437F550586823DC2209DCAD25695A516AF898B5E8F11BAAEAAD693E8B49F4589EA186C29689A58D9AB8D6ED369B3B1DA34D1D435368DD8F50A4EA18561A74F183';
wwv_flow_imp.g_varchar2_table(496) := 'EEE098E6BD8D73482D3C10A952C342E9A46318CD4E2400072531D4531D7BA005522E013DF69E8A6AC293BFA20B9F20289B40E64ABB589C3FFBAD55CB45A33B7B3BF0509DBF5FF29B8CA000705F1AEFF907F0BE31DFF2FF008431A7FE4FF0BE34FD7FE17C';
wwv_flow_imp.g_varchar2_table(497) := '69FAFF00C2F070BE2789E1375DDDD9E578D1EF6C06CD9B2BC68FE81F92A78B0D3BB53E16B8D559BE116E1CB636981A430537D82F86C27FE2B1472B18D0D6B000380BE23FEA109C7D21603A94D849D9342ED0F6F0E1DAF644DA0E42445C9CE44941A552C3';
wwv_flow_imp.g_varchar2_table(498) := 'C6034203C94A952AC8A74B18345E01F7283D878702BA9CA4C9A41DA85A0101E4191CABC8104D4D29AEA42C260738D526C4D6F253A7601B353710DEEC0BC58BE9570FAAFF0048FEA4C7020106C64481C94678C72F084F1FD616A6FAAD952B0B1934A1E030';
wwv_flow_imp.g_varchar2_table(499) := '9013DD33F97B90C39430E578050C395F0E57C3AF872BE1D7C3AF00AF00AF00AF00AF08AF08AF0DCB49545071F441FECBC55182FDB84E9447F2B4225C557A9C802BC17FA2101FA82884819ADAFA09B3C846EF77E5107D517A695ACAD67D5473BC078B3C2C';
wwv_flow_imp.g_varchar2_table(500) := '3E2CBA3B70B209533CBCF9290ACA957F486642A45DA000392BBAB5143AFBA3A23FD368CEEEDB2B26F7457FFFC400351100010400040502040601040300000000010002031104122131051013415120610622307114325291A1B18123334053424383FFDA';
wwv_flow_imp.g_varchar2_table(501) := '0008010301013F00E51479CFB29656DB46C0295E5E2C0D2E953AEFDD3985A75098D73ECD9D93DE435C42EA48E60206C68F8A0ADAF6B49D14D1E57908FD23F401E47BAC2F0A0E8D8F71A25B75E14ED632C274C0550D53A4075213DF641BF759866DEB551C';
wwv_flow_imp.g_varchar2_table(502) := 'A039C06D7CDAD6B5B1B4BA8B8EAA4513F25846460CC09F95DA83E11C41796B4F6EEBF10733803B85872D7C61BDC84246F48FB0475607EFA7F2163D99B2BC0F62AB957FC10B0B187CD136B7781FCA7D3632B1AF0E7BAB744D22F22B545E9CEB281AAE5045';
wwv_flow_imp.g_varchar2_table(503) := '6458D148F165F5DBBA71D2E930A6C4F7D003BA761F2006C59524395D46D3E469702D503C923F55A646F635FE49D02C6E91B6BB9D5155F56957A02C34A239627BB66BDA4A96013C0431E0D8DC2C5C6F8E4735E29C0AC3412CEE0C8E3739DE1AB138796175';
wwv_flow_imp.g_varchar2_table(504) := '491969ED7C8A1CA1786B7E6729E7274EC1662E0014451B59DC09D561B12C634D824FF6B10E32804916C5048D6924F8586C5320B706DBBCA8679B57BEF51B9DCAC48FF4CE83B108DDFD5B2ACF957CA901CA085D2C8C8D82DCE7068FB9582E0C70D3536425';
wwv_flow_imp.g_varchar2_table(505) := 'A1A015F10E14BB14E23519775C1385CE22EAB5CE61782DB69CA775035BC4F844EC9DC65731F4D94EAE69691764EF60A9E17C4F731DBB4D720DB207261D54A7E6376A169CB77DD161F974A1E56258C0EF95E1DFC2644ED0E529D2105C35D7CA962F91AEDB';
wwv_flow_imp.g_varchar2_table(506) := '30FE944C3B9D000B0D11399CE072F953B09C8DAF03F753C791D5FF0004157CB86630613150CC63CF90DE5DAD60BE218F1CE9088CC755609B58B0D988734E8B8362449016134587453B63C360DB13683A67E6207B1B24AE3D813D47C807DD08DE766A8E32';
wwv_flow_imp.g_varchar2_table(507) := 'DCF7E2B9319654AECC6F451C94058D8A7BEDFA134A77C7958D6C7446E6F74C95C329CD5F6D54CE6D0D6C9D5365BA24DD7F088A6DDE85619CEB659B4F759DCE62EFE2D4AFCCE3A2B57E8A55EB1CA879543CA039E0A57325147F3502A0E201B183E77FBAE1';
wwv_flow_imp.g_varchar2_table(508) := 'D2912D8075DCA861E933AAF7921BE4ECB8971D63ADB1B43BC93B274CF79B2531DF30D74E4F7E5650BCC42748E76FAACFBA00EEAC905003BA7B530D0A4E6005A80218D03771A52C85A48BB47555EAB1E3E98E6765C369C4075B865B2B0D2B18F0740D0171';
wwv_flow_imp.g_varchar2_table(509) := '7E36FC5D46C2444DDBB663E4A2E598A6B93770A5903B61BA0CCD69A08BA0AC84C16D28FCAC0844F20373502D2E17ECA068045A968B6CF6A46647755EBAE61520820E21171A0BC7208731A6DA238A798F21362D13E8054BA52B2992E509CE2561A7E93B6B';
wwv_flow_imp.g_varchar2_table(510) := '1DD18E3980C8F167B1D117380602746DFF0029BB82068148EF97D15F4884020A97844F30512872016554A957225159C2EA20F08145DA0FB84D7B86C538D928765AF2B4552AE4E91A0D5FD0EFBFA8728C1D6FD00522293DD41129C79144A0FD823B206FD0';
wwv_flow_imp.g_varchar2_table(511) := '6FC20D3C9B048E16D8DC47B0251C0627239C60786B4592452213E30EDFC83FB21CAB9521EA2A957268A1CA9391242FF2A676B4834E9AACA80442CA5006D592A22751CE9520B8270838C7E67691B4EBEFECA7E3BC2A07F40E2636BDA72E5F1EDA23F17C12';
wwv_flow_imp.g_varchar2_table(512) := '62BA2C6FCB9A882D36E1B2E2B81FC2E25F18272E85A7CB4EA11FA54A952AE4C1AFA3445A9A40A09DA93E9A55B22D51FE64396A8BF2959CAE07C48E0F121CE2723B478F6F2B8AFC2B809F889C43626B5CE7F50BB33A8BB7B22E9410F0EC090F00492F9005';
wwv_flow_imp.g_varchar2_table(513) := 'DEDBAE2D8B3889DEF71F668FD2D442A55CC72287A894340399015044E5A4E1AFA8AEC9DB02869AFBAEA915A2EA14492B2AA4028F13274DA0DD8148973753BA91C49E64208A1C8A1EAAB215D91CAF9B868AD1F49286C9C3456885482683D932226936272A';
wwv_flow_imp.g_varchar2_table(514) := '0D0A47272CA5069440A3602757269A36BAC7C04E7929AE2D5D577945C4FA18354CEE89E402013F4087A9DB7276C883C8349422F74C8906D27CE41A08CA4A2E598F944F290F6FA202C0F0A9B141E5941AD20171F7517C2F0B616BE799CDBD8EC0AE27C2D9';
wwv_flow_imp.g_varchar2_table(515) := '85646F8E4CED7D8BF709BB7F9E402D566529D10F51BB1CCB49B41800D420D2760A288008BA94921039D20A90D116FBF302CAE9F97045ADFD5E88617CAE0D630B89EC1709E1EFC0C632CEE0E7D17006803ED4B8EE07118B0C95923DC58756176847B2E232';
wwv_flow_imp.g_varchar2_table(516) := '9383863761CC6735D90476AEEBE1EE0D06299249382435D940068151F0BC0B0E9858FF006B43038622BA2CAF14149C07032FE6C333FC0A3FC2E23F08E19AD2E8A4733D8EA1632131485848B1E10F501AF370349915804F742822F28B93DD66B986F2013C';
wwv_flow_imp.g_varchar2_table(517) := 'F6F1F4BE1CC2C1F856C8CFF70DE627EEB1BC53153CF243083B91F2F703DD70BE198C80973B15901FFC45BBF8D9713E1F8AC4748995A5A3FC515C1B0660C365BBB712BA4428C594D141717C40646E58990C92BDDE4A8DA88A247A597AF22539467E467D82';
wwv_flow_imp.g_varchar2_table(518) := '739129C50E4C666700A72000D1CAF28BFA2020B84717FC20735C2DAB85638413B5C08D8B48F2D2509993303D851C43227B449B3B6584C5405A002112C3A851B40EC9EF34BE22C416C4FF00B26844D0A520F98FA0D202B95594774CFCACFB04E2AD141358';
wwv_flow_imp.g_varchar2_table(519) := '5C745D320D2E0DC05F8E9725D002DC4ECD0B8861A387112322797B01A0EAAB4F76B5F407A3B82B87714C83DBB858F2712DB074FE94388C4E19D5A90B83E33AD10245274A1A2ED1C5B483457C4F8ACC0347729A400B7528A27D0472BDB9081C774C24003C';
wwv_flow_imp.g_varchar2_table(520) := '0568BDA804D69257C35C363C44E73ECC0095C7BFD7C5C31450832EA001EEA5C28C0E09B856B819E6D6470F0B8D71164822822634322EE372EE4552AF4055E829AF2D208585C716D39BB770570DC4E15E2DF4A3C4C0D14D3A29B1CD2DAB4EC53236936B89';
wwv_flow_imp.g_varchar2_table(521) := 'E2FAF3120E83930299BA83EDCE8A726B9A3F30298E88F645C139FA1598ACBB6A80402E1B817CCF6868B254F11E1B86C911B7BCEAEF24AC0B62C042FC4CA4999C3571367EC163F8CCB3492BEE8BB4BEE07857689F4D2A407A8A1F2D51D947887356138A38';
wwv_flow_imp.g_varchar2_table(522) := '687553F17002C4F10925EF4106DA11A014E3637E8A5569CDD937609A4859CF9283C2CE02EA78B5C35F061B081CC37985E6EE4A978BB8E203DE496B4D86FBAC7F149B10482ED3C29003BFB14280A03D0DA47E1EE2030BF89FC14BD2CB9B3E5340792806D6';
wwv_flow_imp.g_varchar2_table(523) := 'E116B6BF30FDD70CF87389712648FC1E0B113B5869C628CBEBEF40A7E0668CCBD463DBD37E47E669195DFA4F82A1F8678A4AD2E660310403562334B1104904AF8A4639AF69A735C28823912A570635CE2EA006B7B270D51439B104E53D69E9A549A2B952';
wwv_flow_imp.g_varchar2_table(524) := 'AE784C5D60B2176CF200F62A40F27469FD918DFF00A3F8591C7FF5FF0068C6EFFABFB5D377FD7FDAE93BF47F6844EFD1FDAE93BF4A77C63C7DD83FC19E2539C3F4FA7D226DB92AA9378EF146358C663256B5AC0C6869AA6B4D80A4E3DC4DED735F892E0E';
wwv_flow_imp.g_varchar2_table(525) := '6E524B5A491555756B857C55C678644E87098F9618DCECC5ADAABDAD43F10F168A4C4C91F109E374EFCF29638B3A8EBBB756FBA1F1871E6EDC63163FFAB962B15362247CB34AE7BDE6DCE71B24FB95AF95AF95342D95858F199A7707D91AB288E6D6A000';
wwv_flow_imp.g_varchar2_table(526) := '45C15A91D99C7E988DC750D28B1C3769580600CB23BE8AFD43D00AB453914E169C111AA3AA24044D94184A311F2B23906BBC22D7784451DB95211BAB6591DE0AD790E5856465A4B85A6089BB3423385D65D60BAEBAEBAEBAEBAEBAEBAEBACBAEBAEBAABA';
wwv_flow_imp.g_varchar2_table(527) := 'A11902CC11A3DD18FDD18BDD7453A9BDECA6B09D4940342BF010448F2BA8D5D5F62A57C65F94B6CA744C07468FD9022B64221B278AA083000B20F08C4D2E6E9DD6270C1AFA1DE944D0D0AF98FA36ABD07D04A6B7313C834784F9290CCEEE8460215A20BF';
wwv_flow_imp.g_varchar2_table(528) := 'FFD9';
null;
end;
/
begin
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(6600460000795382832)
,p_file_name=>'emp_research.jpg'
,p_mime_type=>'image/jpeg'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/emp_accounting_jpg
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := 'FFD8FFE000104A46494600010101004800480000FFE20C584943435F50524F46494C4500010100000C484C696E6F021000006D6E74725247422058595A2007CE00020009000600310000616373704D534654000000004945432073524742000000000000';
wwv_flow_imp.g_varchar2_table(2) := '0000000000000000F6D6000100000000D32D4850202000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001163707274000001500000003364657363000001840000006C777470740000';
wwv_flow_imp.g_varchar2_table(3) := '01F000000014626B707400000204000000147258595A00000218000000146758595A0000022C000000146258595A0000024000000014646D6E640000025400000070646D6464000002C400000088767565640000034C0000008676696577000003D40000';
wwv_flow_imp.g_varchar2_table(4) := '00246C756D69000003F8000000146D6561730000040C0000002474656368000004300000000C725452430000043C0000080C675452430000043C0000080C625452430000043C0000080C7465787400000000436F70797269676874202863292031393938';
wwv_flow_imp.g_varchar2_table(5) := '204865776C6574742D5061636B61726420436F6D70616E790000646573630000000000000012735247422049454336313936362D322E31000000000000000000000012735247422049454336313936362D322E3100000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(6) := '0000000000000000000000000000000000000000000000000000000000000000000058595A20000000000000F35100010000000116CC58595A200000000000000000000000000000000058595A200000000000006FA2000038F50000039058595A200000';
wwv_flow_imp.g_varchar2_table(7) := '0000000062990000B785000018DA58595A2000000000000024A000000F840000B6CF64657363000000000000001649454320687474703A2F2F7777772E6965632E636800000000000000000000001649454320687474703A2F2F7777772E6965632E6368';
wwv_flow_imp.g_varchar2_table(8) := '0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000064657363000000000000002E4945432036313936362D322E312044656661756C742052474220636F6C6F7572207370616365202D2073';
wwv_flow_imp.g_varchar2_table(9) := '52474200000000000000000000002E4945432036313936362D322E312044656661756C742052474220636F6C6F7572207370616365202D20735247420000000000000000000000000000000000000000000064657363000000000000002C526566657265';
wwv_flow_imp.g_varchar2_table(10) := '6E63652056696577696E6720436F6E646974696F6E20696E2049454336313936362D322E3100000000000000000000002C5265666572656E63652056696577696E6720436F6E646974696F6E20696E2049454336313936362D322E310000000000000000';
wwv_flow_imp.g_varchar2_table(11) := '00000000000000000000000000000000000076696577000000000013A4FE00145F2E0010CF140003EDCC0004130B00035C9E0000000158595A2000000000004C09560050000000571FE76D65617300000000000000010000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(12) := '00000000028F0000000273696720000000004352542063757276000000000000040000000005000A000F00140019001E00230028002D00320037003B00400045004A004F00540059005E00630068006D00720077007C00810086008B00900095009A009F';
wwv_flow_imp.g_varchar2_table(13) := '00A400A900AE00B200B700BC00C100C600CB00D000D500DB00E000E500EB00F000F600FB01010107010D01130119011F0125012B01320138013E0145014C0152015901600167016E0175017C0183018B0192019A01A101A901B101B901C101C901D101D9';
wwv_flow_imp.g_varchar2_table(14) := '01E101E901F201FA0203020C0214021D0226022F02380241024B0254025D02670271027A0284028E029802A202AC02B602C102CB02D502E002EB02F50300030B03160321032D03380343034F035A03660372037E038A039603A203AE03BA03C703D303E0';
wwv_flow_imp.g_varchar2_table(15) := '03EC03F9040604130420042D043B0448045504630471047E048C049A04A804B604C404D304E104F004FE050D051C052B053A05490558056705770586059605A605B505C505D505E505F6060606160627063706480659066A067B068C069D06AF06C006D1';
wwv_flow_imp.g_varchar2_table(16) := '06E306F507070719072B073D074F076107740786079907AC07BF07D207E507F8080B081F08320846085A086E0882089608AA08BE08D208E708FB09100925093A094F09640979098F09A409BA09CF09E509FB0A110A270A3D0A540A6A0A810A980AAE0AC5';
wwv_flow_imp.g_varchar2_table(17) := '0ADC0AF30B0B0B220B390B510B690B800B980BB00BC80BE10BF90C120C2A0C430C5C0C750C8E0CA70CC00CD90CF30D0D0D260D400D5A0D740D8E0DA90DC30DDE0DF80E130E2E0E490E640E7F0E9B0EB60ED20EEE0F090F250F410F5E0F7A0F960FB30FCF';
wwv_flow_imp.g_varchar2_table(18) := '0FEC1009102610431061107E109B10B910D710F511131131114F116D118C11AA11C911E81207122612451264128412A312C312E31303132313431363138313A413C513E5140614271449146A148B14AD14CE14F01512153415561578159B15BD15E01603';
wwv_flow_imp.g_varchar2_table(19) := '16261649166C168F16B216D616FA171D17411765178917AE17D217F7181B18401865188A18AF18D518FA19201945196B199119B719DD1A041A2A1A511A771A9E1AC51AEC1B141B3B1B631B8A1BB21BDA1C021C2A1C521C7B1CA31CCC1CF51D1E1D471D70';
wwv_flow_imp.g_varchar2_table(20) := '1D991DC31DEC1E161E401E6A1E941EBE1EE91F131F3E1F691F941FBF1FEA20152041206C209820C420F0211C2148217521A121CE21FB22272255228222AF22DD230A23382366239423C223F0241F244D247C24AB24DA250925382568259725C725F72627';
wwv_flow_imp.g_varchar2_table(21) := '2657268726B726E827182749277A27AB27DC280D283F287128A228D429062938296B299D29D02A022A352A682A9B2ACF2B022B362B692B9D2BD12C052C392C6E2CA22CD72D0C2D412D762DAB2DE12E162E4C2E822EB72EEE2F242F5A2F912FC72FFE3035';
wwv_flow_imp.g_varchar2_table(22) := '306C30A430DB3112314A318231BA31F2322A3263329B32D4330D3346337F33B833F1342B3465349E34D83513354D358735C235FD3637367236AE36E937243760379C37D738143850388C38C839053942397F39BC39F93A363A743AB23AEF3B2D3B6B3BAA';
wwv_flow_imp.g_varchar2_table(23) := '3BE83C273C653CA43CE33D223D613DA13DE03E203E603EA03EE03F213F613FA23FE24023406440A640E74129416A41AC41EE4230427242B542F7433A437D43C044034447448A44CE45124555459A45DE4622466746AB46F04735477B47C04805484B4891';
wwv_flow_imp.g_varchar2_table(24) := '48D7491D496349A949F04A374A7D4AC44B0C4B534B9A4BE24C2A4C724CBA4D024D4A4D934DDC4E254E6E4EB74F004F494F934FDD5027507150BB51065150519B51E65231527C52C75313535F53AA53F65442548F54DB5528557555C2560F565C56A956F7';
wwv_flow_imp.g_varchar2_table(25) := '5744579257E0582F587D58CB591A596959B85A075A565AA65AF55B455B955BE55C355C865CD65D275D785DC95E1A5E6C5EBD5F0F5F615FB36005605760AA60FC614F61A261F56249629C62F06343639763EB6440649464E9653D659265E7663D669266E8';
wwv_flow_imp.g_varchar2_table(26) := '673D679367E9683F689668EC6943699A69F16A486A9F6AF76B4F6BA76BFF6C576CAF6D086D606DB96E126E6B6EC46F1E6F786FD1702B708670E0713A719571F0724B72A67301735D73B87414747074CC7528758575E1763E769B76F8775677B37811786E';
wwv_flow_imp.g_varchar2_table(27) := '78CC792A798979E77A467AA57B047B637BC27C217C817CE17D417DA17E017E627EC27F237F847FE5804780A8810A816B81CD8230829282F4835783BA841D848084E3854785AB860E867286D7873B879F8804886988CE8933899989FE8A648ACA8B308B96';
wwv_flow_imp.g_varchar2_table(28) := '8BFC8C638CCA8D318D988DFF8E668ECE8F368F9E9006906E90D6913F91A89211927A92E3934D93B69420948A94F4955F95C99634969F970A977597E0984C98B89924999099FC9A689AD59B429BAF9C1C9C899CF79D649DD29E409EAE9F1D9F8B9FFAA069';
wwv_flow_imp.g_varchar2_table(29) := 'A0D8A147A1B6A226A296A306A376A3E6A456A4C7A538A5A9A61AA68BA6FDA76EA7E0A852A8C4A937A9A9AA1CAA8FAB02AB75ABE9AC5CACD0AD44ADB8AE2DAEA1AF16AF8BB000B075B0EAB160B1D6B24BB2C2B338B3AEB425B49CB513B58AB601B679B6F0';
wwv_flow_imp.g_varchar2_table(30) := 'B768B7E0B859B8D1B94AB9C2BA3BBAB5BB2EBBA7BC21BC9BBD15BD8FBE0ABE84BEFFBF7ABFF5C070C0ECC167C1E3C25FC2DBC358C3D4C451C4CEC54BC5C8C646C6C3C741C7BFC83DC8BCC93AC9B9CA38CAB7CB36CBB6CC35CCB5CD35CDB5CE36CEB6CF37';
wwv_flow_imp.g_varchar2_table(31) := 'CFB8D039D0BAD13CD1BED23FD2C1D344D3C6D449D4CBD54ED5D1D655D6D8D75CD7E0D864D8E8D96CD9F1DA76DAFBDB80DC05DC8ADD10DD96DE1CDEA2DF29DFAFE036E0BDE144E1CCE253E2DBE363E3EBE473E4FCE584E60DE696E71FE7A9E832E8BCE946';
wwv_flow_imp.g_varchar2_table(32) := 'E9D0EA5BEAE5EB70EBFBEC86ED11ED9CEE28EEB4EF40EFCCF058F0E5F172F1FFF28CF319F3A7F434F4C2F550F5DEF66DF6FBF78AF819F8A8F938F9C7FA57FAE7FB77FC07FC98FD29FDBAFE4BFEDCFF6DFFFFFFDB00840002020203030303040403050505';
wwv_flow_imp.g_varchar2_table(33) := '05050706060606070A07080708070A0F0A0B0A0A0B0A0F0E110E0D0E110E1813111113181C1817181C221F1F222B292B38384B010202020303030304040305050505050706060606070A07080708070A0F0A0B0A0A0B0A0F0E110E0D0E110E1813111113';
wwv_flow_imp.g_varchar2_table(34) := '181C1817181C221F1F222B292B38384BFFC200110801C8028003012200021101031101FFC400370000000603010100000000000000000000030405060708000209010A01000105010100000000000000000000000300010204050607FFDA000C03010002';
wwv_flow_imp.g_varchar2_table(35) := '10031000000094B6132C582FBFBB270C333A34C1136D9911C13581FCD4D852700135A0D10D0C7AC880BB8B09576AA9716A3E075A6948B2A67EE07B0E3C2C46EE14C791A9B680798D5ED30CC3D3C666B1D5CC83A68C7B064075321245C31422C002274235';
wwv_flow_imp.g_varchar2_table(36) := '728606F59B5073448EA6849B311372B1DEC86F12CA89B9DABA141C0BF522C8BA528B36796945D8DC70DFCEBF8C970337A2E4186630783468A5A29E55EB39CCEE9EF377CD7BA8C526434DEA70598AEA7BD8AEAEE34A9F9AAC37B4DE9C851A2BBE4DCC4CE5';
wwv_flow_imp.g_varchar2_table(37) := '2749A90D935F2D8568311F923B324ED1A37661BB03CE836A7AE5A4096A3D2877F2AC444EBDBAB8BAA2CFDA0F78F0E48CFACDE7321D8A5D050E953A60F69F7AF4EE8CA4ED5BCB70242D562D556BC0EC035010CE7EE81B98C63315ECDA76206D812557B4AD';
wwv_flow_imp.g_varchar2_table(38) := 'E36C09C1D01B535713ACBB6F776534DCC3013FC591D41B3A3C0C464C919EBB8A6C719E00B3B6055D0270663852562637EA2B810B3744BE99A69D28BE2A9522FD8E66525C6F2EDDA17E59B23343A2E36323601D8330958AAE50B76639C9D34E7079AF70D2';
wwv_flow_imp.g_varchar2_table(39) := '26E84CE9B0DAA0AE973D716C7C29700B423A4C9711A21601D71A8120D93AED52228EAB5DD5ABE69ADCA2D2936FD3B4103CE874BA7C279D21EEA6DFAD411A3F46E6A55FE66F7FA128FB3170C42ED0B4A6B9321750D2085E6C0F7ED8564D51327E67465180';
wwv_flow_imp.g_varchar2_table(40) := '8AAD80C9CAB0CAD2B96403F1506334CEAD02060B93A38EB60013DBC5AA44154BB721BB5E5D22B1319D88CC57B52B6476A20B8EED12164167DF0F2AD7B2DAD1CC88C52A01628E8E80984A605B0108910432CB05FB18C8E86B6DACBD50C1D36D3A518C6D24';
wwv_flow_imp.g_varchar2_table(41) := 'C73B1CD486E36E396EE774418EFE8B7A2E3994A494B4D18F17915C946D5B5E79F42281F9A76E92D775353AAC426495094C2F5E86F3FF00A51732C46F4AFA1055A324E5E1287F27440650C554BC14BA7274CA11B4A9A74AC149F1AB909ABC467A4FD43435';
wwv_flow_imp.g_varchar2_table(42) := '7B24F9E58E53E5BAC123F1E9F572FF004C4F73A96CF3BE8915526DA15E5744954CA2D7F5895C513C1ABF369D157841B164CBEA58A56D9BCC874E7459B778C165CFD66F4813405E5DB23AF003D7E33A37D073F77F47E6F40EF6306C1F89417645A519726F';
wwv_flow_imp.g_varchar2_table(43) := '5EA234612E7327DF568C5EA12D4D0C811515599CDBA96AC8975F35C8FA3B4F65F2E0B4CF5A08D203FD0DCA999DA0D5399E5FA91DC5334447ABCE3D1D080E5BD9DD1088A5B8A3A3E3186E26AB95E0CD73B757A8DBB5342EFCD0BF2FEE9B2DF71A1F578C40';
wwv_flow_imp.g_varchar2_table(44) := 'B9B2A4AD2574979BFD25D0C9720A58C984CE971872F0D1B487C92228979C9D4DE6341D1A568B255D0A761B51B45B2C1E30FD09FCFDC832ACBD536C77618CF42EDA82671BD10A40C6139A94A3031661DD39722C97B9C381A19D46E8C41D18CC88694771B2';
wwv_flow_imp.g_varchar2_table(45) := '3E2BFAEE8674F6CCD9B6BE27D5314F59337CEA825C10A4C8A7C52C08D42E9A42DD94A09D67D46D62EBBB365AA267D737E608871C74C649AED3E54F4AD0B2397C5E9051D100353983D6D2DD3D12454D2424831ACA27F539C63B85B6B1768746A2A91E35E9';
wwv_flow_imp.g_varchar2_table(46) := '78D612C903931A0ABA62B50B56C2875EAA35E5BDE345194933A7C5285CD962824CE92737FA4BAB8EB670B9D30966474D79BC0A135124D367F307A83CC3824796E1E98EFD3B0FA898B6A43E29F5DAA93C397BD91E33CF1BD99D7EE613A60E38E456848AA5';
wwv_flow_imp.g_varchar2_table(47) := 'A35AB48D67E289BDFDBEBC62EBEE591C42D48D2A12EBFB0DCD95D136DBAE3E4960EB0D6E49D9E2A60D2468DC26413B02475D922C0381BD12844CC889D19024B2A9A26C778524CEDDE4AB051E28B9CA4648E8AF705A5C3673592A4D93D0CCC9EEBDF8BF46';
wwv_flow_imp.g_varchar2_table(48) := '8B593618DE962C35654BDAFB7460CAAFDD6E74572543B115335508DD7D20CD80745184ED6274DC620992262614F5720E0A766C7D1FBDB44FCA3BD62262BA574D8C5B4177B22937A4DCE9E916BE1A89D2C748394DD8CD74C87A113E4A24677303A75CBC64';
wwv_flow_imp.g_varchar2_table(49) := '9334427355CA963336DDF60B965292DDBE72D7545034E949ADB9A647EA726A488ED6CB4FC1831DD1EFA43F9B5EE4D00CFA41FB9897635782C6ECE49B2F3F1943666590E6D0F496747676FC7D3124354875CAFB273029B3DCC761A55659170B624E3F9053';
wwv_flow_imp.g_varchar2_table(50) := '1447186379498726664BEDD36D3371DCC4C66518BEDA0E3744B801F48BC36AF7A78735606BF33D55A64BA966EB1AC22F44F3A00F766A40B5DDA6C18F2458E249EE92E148B40BDEC57CC7BD370E826D34E18065D6D27756358EA317A28BF927A0B3115790';
wwv_flow_imp.g_varchar2_table(51) := 'BA8C32FBE9E9872A746F98DD06DBC497144BAC1013131278A9F642B722544B795CCCCE5B753F96719204DB064E966B59413369EAEAF1687B27E71D26ECA71DD0642982117DF7B81254532C24B342220A1299BE8BF3A66A1D4FA0368BBC0E5B4DB98F9F1D';
wwv_flow_imp.g_varchar2_table(52) := '880C399676B292AFAF2D1BEE2C676E9A56D9D17427368A480A06B54C5343414645803E0A4441500D24CD548249381550124D054F5491B9E1D238CD4F8433E558B77C8F7EC04472B639EE9E53961A7D339D1A6D593AF54F3431B9B717CAF154CD2521B81B';
wwv_flow_imp.g_varchar2_table(53) := '051DE363B81AFD3F089279394ACD630EA6BB9EB9ECBD0DBF740FC83D0DB6DF7022F57829FE081120EAE83F39FA29BB853CAE23AC1416C2A8DB0AAD7075CAE8531BA7566CDE58754F9663231E7182275257B53BEDED8D4D3C17C5359E01FD19708240603E';
wwv_flow_imp.g_varchar2_table(54) := 'E27BCFD6E420925861DDAB14000989C8C9A2A61D7D0BC9BCD4E9473325619AEE8AD63DCF3C697B800A9B60F7F14F4F76C4F9AEFE241E8325A684A5CA5EEBD2C3B7617A9D9BB66836CBA1C61B75C00B12313BBA6BD0779D8F1D488BA40C06D73878D9BBFC';
wwv_flow_imp.g_varchar2_table(55) := 'CFA3AD2702E56F705EAB3EF537933258AAF4EB9E8935A34F1A358965A870EF2C3757D05C76E1B6A68DD370A90A88CA56AB2CBB190F1AC7B4FCF7BFBCF3F20F464A4CC2BD5E1601801407FA49CD9E8A6EE0D92568D4CCC37B2B249F5BAF8229BB143EF755';
wwv_flow_imp.g_varchar2_table(56) := '337395F71287D4B0973AC0AE4817A0F9BF9AD2D36DBD5359A1D7599EA1C3B97232903A1CC349D27BBB6A9573D6C556E521F7413649DA7EF57CC2FD26662663A956A7D0A179A38494AAF50C48D178AF427040DAAD3F43615F343E6C386C369A7B47536405';
wwv_flow_imp.g_varchar2_table(57) := 'C427852DDBCF77F939ADFD56E69CCB3EB91BA4C39D356D1F3EC3D7470DD7CC4EF90BF27477212BFAE0791BD1FF00CECFD2B711D15C2CD4F5EF3DF5B9390D79BB81D1B5410B7D4A2C5876608E35F999519721C6F0565D499CF9EB3CF53BD90120B59B8BE9';
wwv_flow_imp.g_varchar2_table(58) := '2AD4AC59EE75F4FA867917A640E14C073632E0F0EC21E98EB39DB35B68E7D5F549E15D3D7A41B46662F36DF9E7F4986AF0D53DBD31E646CC00C6B82939DA971733DF5AE033DF7D53D5F4C791250F9C942B43524B3BA8AD0F25F69827A3C7195524938708';
wwv_flow_imp.g_varchar2_table(59) := 'C9D57B37C5DBE5087642A7DA98339DA757A7CAB1BEB79DDEA0EBFCC59BAA143ADE6F5C84939A856356C54D14426ACDD19A8945ED2AD5A320D84ECDBCE3ECE5388C79D7BCB41339E714392631D47A13AB68FC702E9DE6662B76213C832791BF944AF6B25D';
wwv_flow_imp.g_varchar2_table(60) := 'F8113B572B51CC772B684B089C57A1B533DDF46A3223792A3AD7E765A8D64A8CEBCA647E470F4EB7CFE5D461D20F9EDB546DAED2B1772B84DDCD1F15F56B6A4A8393D9CDBF652861BB01BACB355BA5FA5955F34B89E58A9541CF7025BD2A9CEB45E9DC2B';
wwv_flow_imp.g_varchar2_table(61) := '30F31A3C94582774232A6A238F50B6D7CDD90BB81EC65B9D2203BD60E3CFD107CF541EC9BC2B2DABEC31938F38094C481005B2ACE491592584A3687F4BB1734E7CE523CBE312A85B7E6917E4A5EBA8974967D8BB31F0128474D0A329A0060484CF203D77';
wwv_flow_imp.g_varchar2_table(62) := '804C4E9A59AB0293B022B4EBC59129B08B2A0690E3A5A43CB710BF05B65F6726436109B8FC05D27F870B467C768F7A05CB5CED7B54D579367CC7DA58A18FAEC65B3E3D91A17D3C39E63290A3D03C98F98556BA9E02D7359963DCCD2EE36A39E91AE7737F';
wwv_flow_imp.g_varchar2_table(63) := 'A45CEEF1EF4E87131CA47B1E7510C9AF2D5774755F931D46D4C59ACB8C0B80D4B75F65DBE0906BCCFB0E0DB8DA96F56094AF74459668E76D52A92EF6C97293AA6EE95A3215D0D32EAF7162F7B20D2A3520B2A48DCAA9A398D76289B349A12139466A6A85';
wwv_flow_imp.g_varchar2_table(64) := 'D51E97706FBC38D608B8D3F6CBB079376DD24C5D2F8E8C20ABEAC8B1E2D8E8D229C192DBCF02744B5381496E16804127A890DD21130D1248EF847548D8454B2478A6A519D0F81DF40FCA285818AC652FF9B7B046A12E166BB1E578B1B5BB4F0EC547EFD6';
wwv_flow_imp.g_varchar2_table(65) := '3C611BA1AC33FA2E166679C17315AC9353854B96AB1BA7B416F7D19F1EF4D884B9D2FD8E0142CA20D9A843A77CCEE91EE61598D3D264AED29421592AED79BD8CEC4A83F2BAB6F4479BF3348AD379EB0942E64899B69436D03494362A1A4B7D07E6EF516C';
wwv_flow_imp.g_varchar2_table(66) := '37132558357AD86E0BD6A5F9D0653CE355712724E13DC905CFF465F379D97AA4B8E4DD4DBC0D02E6D6CF326C9C5AD5925EEA3E249074E86C8A24383C751DA83A062269ABAA6B3494705D44810C42CE89379CBA45311C6AC1249D86C28A1810B5745EA85A';
wwv_flow_imp.g_varchar2_table(67) := 'B4893F032E0541B43C4FA2A623B99B9C9FA0C7B5B6CA56BDEE62C5B35E4D49821B6B3C1A7D170B205B3AC768CD8E8C70526357D28ADE0A47E31EA90E97DCB76B818609E5AAB23D82A98EDE8F99BB3BD691260B1133C06E73C6E68919BA5DE3CE50754795';
wwv_flow_imp.g_varchar2_table(68) := 'A593A657882CC577E731A4D336CAA43220E92F088875251E8A737A75BA1AB517F46B9A74ACDBA75B5D63B2C274C7328288A555CDDA0AAE58A8DE9A2D261DBE8BDA4E3DB93BEDEDDC50D4A9C8C25652EB0ED13BA96D9C6D07C049C563B0AA5D195DD196FB';
wwv_flow_imp.g_varchar2_table(69) := '8194582D9BAE7610C99DA69BC98E233856C4446D8B1A82404D7134649DDEB0DE824DA4F7B21326C3B931C445CA4843A67C78CAD7B6ED57B36FC9BDD62AADB6A2B26F7393B351DAD6BB9D11335E2C8E878875CA105BF2796FB3F1F39C52EAAD3EB6F54BC6';
wwv_flow_imp.g_varchar2_table(70) := '7D3E0824A447B6E78000D123853AEAD1CBFBD373532545B7F530D466771C444A6AEDAA513968CCEEE7E5E6A9E48B3A50AE80C6C324CA79824CDE041247CCA698494054E1CADD49E20F73F89E9DDAE16359AE8F36121ACAEF62BD6236EE6DA91B3C4540EB';
wwv_flow_imp.g_varchar2_table(71) := 'BD9617993D2AC1B07DB87F4A6D19864145F987EADA3B863D293105D51D0560B9C92D78CFD8DE3EFA6F06713FB2314E077868FC7EA3CF0E4A3AC25D11343999141B7DC68CE911489FA929B35FAD68A4132A065D7BC13EFAF2EC1618AB90558CF28F688CEA';
wwv_flow_imp.g_varchar2_table(72) := 'D5C8A88F1979B8E544D5CB83DA6EE46E8F86761E959BEB298EBAB0A839746AAE5ADAB3E39EA500915025D973E5C91D02D010EEB57DB3DD6726FCAFD63EB996A0B10C9B190CF0BD948566233D9B802C84411A5541515AC2ABB428C961ADCB7F74DD2DC72E';
wwv_flow_imp.g_varchar2_table(73) := '2A46872433AE8951A7BD95B4B9716EEA44897EB4EAFCA9636B51B7A835D320B63A48E586B2FDDEF99BFA43A055552CD328F55DE92BB8E3CE01EEDAC3A3F03DC17443453661D3C79B378E3BDAC95D56E70C7D87CB74825EE68AD3F69D053BCC24057FAF49';
wwv_flow_imp.g_varchar2_table(74) := '5C8D63C65DAC0386ED465DD74BE03B7633FA25657CFD981CBB9CCEE2FE91975D2B4D15007253BE7CECB99C8F6CF5A6B76296729D9C928CA047A0C3850337AF49C1D9F623F5823C9C3C9C3889D21AB7676B3F91FA8D772668975D87A83BFB6EAC8D632BCC';
wwv_flow_imp.g_varchar2_table(75) := 'E5D5F252C5719C60E2578F919EABC1B4CC92DD4F5207783E79ABAC28A2D3D50B4D32D0519546BC44AC71829230AA3E244B650F520BABDCA8EA8DB87151F1BB65A76F9F14287BF52F5554618439BDC5618AEF21F49B93CA0D2ED1B579366404E9436E806D';
wwv_flow_imp.g_varchar2_table(76) := '15725A959313CCECC636339C6DABFB174CC732F41A31165FDA0D13989747928777994E26843D9F14A4AB869658776AD6B5615BACA313CF505931C4918A24DA712AC55191877C30F3CFD19899A8C5ABDB90026CAD4C630AF55CB59CDE6EC98B0C36BB6E43';
wwv_flow_imp.g_varchar2_table(77) := '59149C0D4389F8BAF1722CB24ED821F0A5FC50624989A25BA12B43CB033C419019DE33CDAA55BC090EC0D721029AAEF62BC2F26A6E6C612ECCB8FBEEC83DFC1920013E4D96B756972B5C1CB35A7ACA5C72E531EED8EECB8A2BBD6111D72400EB7A233F2F';
wwv_flow_imp.g_varchar2_table(78) := '567A79E3C399C7BA0C41D51812EBA0346A9EF68D2E4D5BDE12BB7126922C9ADC760D8AFF004D23466ACFA7A8C5023AA565F53AF4876E0F465554ADD6192A6EBB6DC64F4D9C967826502284CA58248E15DD2046492D97AA3408C575082D7BC8AD09049408';
wwv_flow_imp.g_varchar2_table(79) := 'CB09EFACA0D85F33A9E9261A17578EC7145E509B6BC5446058DA79ACC4CC27CC5D1CB36629C0BD6C6AB2B6C0D286FA57B13E8426BABE48347404D75D1EAD2AC14E666025713DF4127ACB86823279D9A7058B396ACA141263099E1E2533974E9F3DC208E7';
wwv_flow_imp.g_varchar2_table(80) := '1F40DE9CE857D8CEBD4E3E40C2C87F446C8F9EF5BAD2FA53DBE73DE1097D0785C269462FD7F4FE6CBFE2D7552EBF3B53BF91949DD151422D8F5682A8687798665CF94CE8E78CB9A44FA6C125CC2CE9C2FA7E5C2676219F09F244959AAC33886026A7466B';
wwv_flow_imp.g_varchar2_table(81) := 'A55B899093A8B319299E45022569B3CFE56AA32195D72B401AC9745D1B9C8829FA42DBE769551BE4CEA8223AB16D6888F24EE41095126BA7C9AA6CA1CF2C0AE2559CCDAB5365548CDBB507551572D200A3002A4EEF784AB32E5838587328A63E51BB6788';
wwv_flow_imp.g_varchar2_table(82) := '3843D70B7025E2B143E112AF25B30C728CA43DE2D2CEAC1C125DBB768486E54A946F56A8F1A5D05704B9E897D1F89C6A9907791353528336E034AA825DB24967AC262C1944A2D2F3120276D3C90083A99244AA049374024EE4D9276EDD3BB830225F4053';
wwv_flow_imp.g_varchar2_table(83) := '67CC99B52FAD488BE638D0A7D45A91471BB095C26755BD0129F9A91B0ECEB484A4A6931C2979654A061EC92E32ABE7EDAB962A98295D755654A546E90CEAA3392C696750C395DE1C111587194C7D224FDAAA05815A189E2B6C3B4BAE8ACD65A6093FD930';
wwv_flow_imp.g_varchar2_table(84) := '9A0339EE65ED3636B1BF95D33EAE5CF87DA7475EAC0990C49CFC27EDF29EF0A06CE7F521A299B04A8091B74B0E4F20EAC5467F4404ACFB78321C7740F57F4591BBC6EF94A283123D8696787176270EA17B508F855AA48AA2831AB6C91119CEAE335B93D3';
wwv_flow_imp.g_varchar2_table(85) := '8995436ADF93E973192BAD18971D90FB369E971800EC5B6D2E460FD3D5675CDF4CEE2466D3E0EB7AF8C3409D713B3B60E718BA17B465E2EB6B764F53B0E17896775487D56BDA7032D991D8CD2C2445C242524CCF5827EBB98C710741B023D84C9B29D966';
wwv_flow_imp.g_varchar2_table(86) := '357CF03D55734E3887A99DB14284E6DAD8AAD73E5CA370CAE073AC75C0D2C7539FA4CDC16B144B51AA5CF69722B93AF0A66D40D65A26FC2FEA5BEA1789FD0822A9F593E205E9C39D88A74F5AAAED693FD4EE5789965DE80CECECD4D29A9746687DFD2575';
wwv_flow_imp.g_varchar2_table(87) := '715B2A836416F14363CA15FF001E092B0FED137D95D56558DD69D48AB3120294DCF2A7EB895CA74F3E4833F4E268E37AEC5FE83E3DE423705392AB5266451F388E324B5B37CC3B29A4926A33D4F7841D64B3761FD6EDAB3A00BCF7AFB32C594B55BC61E3';
wwv_flow_imp.g_varchar2_table(88) := '1558A6FD9F6B65B1D3C58B131C048E12090BCD9667CBB91252E5B7ABEB7C041D0A2B6964822C1557586F43579D8C884A3032511D266AC8168510E2AC0B7E262B24D37B45CE2B03B5FE0608B40D615C486042012DCAFA59388D691EAC1035D5C2D57EDDAE';
wwv_flow_imp.g_varchar2_table(89) := '55E11C6E783B23E7727C1D304D8FCD4D36B213979EB9D38DDDA316208FF0454DA8EC15448653F0881239F2419664A2037C924E8F110374AFE93D228F804BC8A5F284747448337B09F537A6CA5B863029D36029E29904ADB905B2E6C4EA2503D1A799FA81';
wwv_flow_imp.g_varchar2_table(90) := '1501BB21C9912F9E5BCD5BB4F53ACEE9E236D20EA358AE79BABC84C9F332C0D3AF0BD45516E2DA169502DAEA5EC302E06A2B5AA164056A9D1D7706C8FA1996C46E9A9A70A3EC41D46927C5528D91CF4181ABE819D00D1218B6164842DA954A47E7BDF0E7';
wwv_flow_imp.g_varchar2_table(91) := '31ABA44A5163AED85C65C4C9C50D1088039AE2820BBEC46E8B98AA206B2F2A340D4D38CB240B146CEA30A91A27E6B04A1A13D92F0623BA42E85DB8ECE9F18E84F09440894D306554B60ABB33BCDA7262BAE428506520558BE2483446D2565AB66425C6AB';
wwv_flow_imp.g_varchar2_table(92) := 'A797EDC4004D04622DA71B56D566EAF3617ADE628D8BAD93FE86312493C9C6ACAA94A68C92D585AD564F8AE92A1A22B2268D42C0781D81953A48E59A533A99071401A175D00CC8468C6E9627AC15750E4971BBEAC8EC3E15F25A06F5074487298592D8AE';
wwv_flow_imp.g_varchar2_table(93) := '861DB7A096B6A258AE75495891845CA3A58CEFE819BA73935C37670C29DB507020379A6890C021213C5F9B45EDD90E59160C4B784E28D0EBD1C02A2976BB8D5080E1C9801D39FB182B9A0B60A30F8495357D08B0C71583A753F5455A2C928D19C26C570A';
wwv_flow_imp.g_varchar2_table(94) := '5E76AFAE369B830BA6561933711836738DA766B222CB6976EE5ACCFD5E6C55EC94D4478B20F594900FA2C51BB4552AD571FD054A44546FDE0821840D8AC328229AB356C3B899EE10856814ED48C6B74EDA6971F0C8B08E3A6BEBA59165AC4F857C9689BC';
wwv_flow_imp.g_varchar2_table(95) := '2DE242018592F1DCC87B4A150E1775B3CB5C50FD18AC07AE25876628C4CC3BADDD1A6F7BCE00E3972428D9EF4484210950D175B426884748A8B947C2EE856005E7A9004588C899A1E23F82F8B6888CF7753BC118B57E5075B1E3BDE5E38F6E0BDE5C0194';
wwv_flow_imp.g_varchar2_table(96) := '6846494B69C72C89621B69444D271A0656C9073B49D98FBBB83B9519836D38906E5366389B4E2BD96A5672B0D97B994A31BC851D1ABF8927C94116B53576CE731B7525B8BCD838F42DA14B758527E90B00949C1100D314C662151934D26E10199A7E7456';
wwv_flow_imp.g_varchar2_table(97) := '23499CAB116BE4CAD4E16F6574CF80E89080E049175C414C90E9F96C57B15D4F50726C8449D69A9370D80A4EF25DB781A7125563458FD69973407CF87475FD4B5273C4B0E68E548358125D4C5915830185A4669D0CCCD06906AD26C5B348A6FF007C31DD';
wwv_flow_imp.g_varchar2_table(98) := '712BB8EB1CA29C969118379294D32254D519752A312AF279D5493EA204D25A48C9F8BD2E3B996EDA77C72BB9709FC405644B5499AE46B2FDEC958B23582C35BCF7547321308F58136AC24629F36C113E73DB14F9A4E663B4F62A500BD5153724B051818A';
wwv_flow_imp.g_varchar2_table(99) := '3E4A09BB1F1DE29BBAC8EF041F57F7945B12122AB27B51BE616DEFAE6241079914A704661415ED4F30A2DC8E612292266291B58CC2B5BB766635588A43CC956462F991A0AAE1CC5A4502CC451FDCC4E1E99890110E63B3B9CF99071CBE64A40E999072A1';
wwv_flow_imp.g_varchar2_table(100) := '6625A6998CB5F33128B224CCA97DCA5B3323A422E9CC0CF03CC05A2295996AAB295732E650D38E65AA0FB2D985A6828398D2D6C566616AD4360663481F332D573AB398F0306731D0C7B324339B664C2114CC9C750B31D7FFC40026100001040202020203';
wwv_flow_imp.g_varchar2_table(101) := '010101000000000001020304050006071112131014081516172030FFDA0008010100010201008EBAE8803A3F1D75D1073A21036942D2C80025D495FBFCC80C88C21887F5446F4FA8A3A561F8434A612C942912C55E10315F17991300D7720B96CB4A7AB1';
wwv_flow_imp.g_varchar2_table(102) := '1AC0D993390E3646318D2530BF5E2B915A9AC45626B1FAFB26E99A2CFF00E047C11D1F8E941B1B3A549653D00E27D488E19F0F1EBFE4E13873ACF6AA4FDA54B325F72ABE1CC18ACBBC89881439032D0B0089E9D691B2A6534A8EA8A63FAAB4438EA8E5B4';
wwv_flow_imp.g_varchar2_table(103) := 'A02420224B76CDD1A0A3371DC472F33CBECF2AB1C82CED089E0F5F27E4E0CD914B4328090179E2DA023C7AF0233CD4F2E52E6197F64BB811E8FABF53E988B2DAAAC21CC4E382E72263668955C9B7447C39313AE27634C8494AD252B15420A5692D86C349';
wwv_flow_imp.g_varchar2_table(104) := '652C488D6D1A8E3FA2B9AE6582E615F97412DE22C58DB19E44679519E5B6B9659E4E67796AE92E6C0CB81B47884AD2425E5495C92F9905EEFC44731043FA7F5447F5047470FC133B2A3E1E03166DF22E232845522E9118293246BA9D89A90DFA5C6CB6EB';
wwv_flow_imp.g_varchar2_table(105) := '7431E155AAA9C81F59319115312446BA6A953E0D39F905545159C67278F5DA3584E75E01AF008E824B4638C6EE06E7FDB237646E6DED26CD125881FCEBD52A8E98DF5FD45251EBF57ABD7E39DF913844ECA7C21DC18E65BE4309CA1CAA17662E38259D74';
wwv_flow_imp.g_varchar2_table(106) := 'DFE3C9F1907A7F3564D344FD748AA955ECC1FA9EB962EC5324248DE2BD49E0DB98698C8724CAA3774791C60BE1B77811DFC7B93C1F238B24694BAF764A70B5E05A0CFA5E89E85C26E2333D1B69DD9BDD9ADD86E49D99BB844A4C4557BAD97D521528CA32';
wwv_flow_imp.g_varchar2_table(107) := '8C97DCA7C25D20AF2D842C19479503605C12E0949D7D1785F0A2FF00C3D9AA268D29C79331A835CE55B95B3EBAF99A6C18735D1B25771F5A5458FDED7A23FADA2A51552358775362BE4A8D8A36156DB17649546FF1CC9E297786C7083DC012F821EE1C77';
wwv_flow_imp.g_varchar2_table(108) := '8EA4EBAF4419F5D4C7A7D5EAF47D3540463573FD757DD2ABFE97D31165C7A8C295B652536E9858052653E6C7900B992328B2EF240731631DCD4D34C017316DD5475455C4B083BA314D833AA691CF144DBB54863638DC8EDF35B3CF28E74679C755E48F1F';
wwv_flow_imp.g_varchar2_table(109) := 'B3FB68F6ED37FCF7F26BD50EA6F69927453A848D6DC61BB67F698DB048D7E6F1BBFC3EEF072F80247E3CB9F8FEFF0008C9E22778E656ACF57A91592D5873B999518AF87520DAA62A1029C53E6C790316640A2CBA123178BC38EE6A794DF070335882149B';
wwv_flow_imp.g_varchar2_table(110) := '11BE65327E79CAB1F1ABECEBE531CA12F7666EB6B9213A85ADCD8A15842E07E905708A59E90E09C2C7F66ABC76F5366D972B9CAC4C3F582A75329134D81B07DEE72A4D45F70A95E729DAC5A9D18E60CB2C8AD6541A73B1640C563F94996F92439870858D';
wwv_flow_imp.g_varchar2_table(111) := '50537C20311E2B584598DEF2948C008930A7B55CAD5F8FB61E392127B4E286836DEBF5F8F5FF009767171D75CAACFD67D14B61EFB5FB1FDBDDBEAA5DC35C8B22730A68B4FB311C6569C5A565C64D1BB95269957D9082B1DCA616B9231E3D9C5E6A794C3A';
wwv_flow_imp.g_varchar2_table(112) := '68426BC158ACB2CDF728F067473557B9329231E3F738EACF78A25BD6291F1F8FD70E2138C39D78A80B144E69658F4164B1E92CFACB6505244C809A555526B3EA7AA314AE5BDC8B4D41214C96A7263A1035FD22CF8CE5C5AB17212AAB5522AF1507178B14';
wwv_flow_imp.g_varchar2_table(113) := 'E2D324E3FF00273534D38E99C84A38AC565966FA68C8F988F7E46522B35DD8E2ED5B45EB3CA5FE95FDF6C763C4773B5B11962DB5AB1C5A275ADCDED6DAF5D5836BC892A24DE9D18DA94929FBAA9C893E9753D7A551F9C6834D9659FD439AB41D11CD4F58';
wwv_flow_imp.g_varchar2_table(114) := 'D92B2D395EA243EFEC496AB8D11BD3054E1EAA536824648C3F046A69A818CE434F91272D737B34989F8E88E4FAE7D35CE4BA7537D003E1A7E049534E36D331DCF19B027D7B119F8D1D331B4572A96BA01173195152EEB71C8DA24DC5A396B1DF991E3BE2';
wwv_flow_imp.g_varchar2_table(115) := 'D75F9FB752B4F479A7647B784F2258EF945AF6BEDF23DF58E45C7135E2932F8C02B29CACCB33272403F073587289FEA3A6146BD995D6996A37C149891807550CDFC280AB7DCFFD4EEACB060C03886E7D7EBF5FAFD7EBF59657143652A866BFF551E294BD';
wwv_flow_imp.g_varchar2_table(116) := '14B5EB604B84F6BF2E2462A44A86F6BF01AF3E58A1A853F50FD4575726A28EEACB767CD86442E6578A737B95F8E6272B32C849C7B0FC1CA45EB2F750D3019E504E9CEA72D46FB9485B57401CD764737D10C6CD3DA2EC6DD7D0C4E7E3F5CADE539F603EC4';
wwv_flow_imp.g_varchar2_table(117) := '87C15B2A20CAFBB1653AA558B134A7C7C0B7EB2D968B1E92D164B45A2CF3BEBFA5497999C8AA0A4546A6FF001FDBD4DA2620EA2E53B972A818B0915B93C49C742C61150756F88795A39613A4E232D3390052E233AC38857E42553898B94935CB49D27CB1';
wwv_flow_imp.g_varchar2_table(118) := '39A05C2171E5E787D7F1F1EBC7C7AEBAE8E11D75841F839D9C39D939B4D438DA8D8E551AA6292A5A472540B61180C672A156990C9C4E56E4D133178E7C2F29D7AA60C899579CB034609CB31C8429711F03E765812935EF32153DB9324A7139DE916E543F';
wwv_flow_imp.g_varchar2_table(119) := 'ECE75F3D63FB8429DD7C1C396323FA017099E973B793CBB51AF4F98E548AC7B5AB292BE49B8B4C64B65B152AB35C6576D9AEC979394A5289C7729CEA783231AB3CA874771BCB21C8994988C200F8D5D7BC544434F5551A7ECDAA6029F8FC7BBE7DB13BE0';
wwv_flow_imp.g_varchar2_table(120) := 'E24FFE131795166DB92E4B36BD76EB4629AC46B50EAF0E73B5069D22747AEC46556D763C872665A16B1808CAC5D80633B6D55EB96AB15151512E651E6B763FBB66FAA363E53BFD0548CDCB6EBEB38EA76EFF00E2AA47E40D1AC54D749AE722E157B839C4';
wwv_flow_imp.g_varchar2_table(121) := 'D77E3B1A682F327CD43906764FB187B17C764DA7C0CD4ED6E14441B019DCF806B5B8640C39B156CD6DF30509C90A7159686398F8A358B792863D496E00942D095F9F92CC253DB4237156D31B7D95B371D2D2F72D54C268C4B08D9D75F1CD55AF66AD7C37';
wwv_flow_imp.g_varchar2_table(122) := 'D4F2C2795DE7414E34EEBD6B39B69E89B276710A852EF2C335FD8FBF8B4F81895B56AAC26B6765CCC3B856DC17BDDDBC9E68A1D4E6C4F8918BC3969901B425E35AEC72187D1E705698D69AE0D453A52749FE2A269B334B6B49FE406A28D5AADCFEAAD6D1';
wwv_flow_imp.g_varchar2_table(123) := 'A60ACABE0FC1CFA9728AA7AEA1C7D6364A9C4E27127816E9C55D4697329360CEED6D5A73E359BCED5656120ABCFCABEE42CE1CAE9DDFECBF64CBF87159CDD45A7C98AD171F52B3BB3CAE71064E4054475A93316570571A6CCD8FFAC5EE5FDB2F763B922D';
wwv_flow_imp.g_varchar2_table(124) := 'FEEFD86584507F2F3282489B3624A9C9FF009D5DFE5DA364D4EB5228454260AE00C467025CB89DD192A0AABDAD13F61B6812FBEC2E2ECFDDE488D6DE52A4F96AB747094391A54ED78EB1595BE2309B9816756DBAB69F052459E5736049C8262634D4DCEE';
wwv_flow_imp.g_varchar2_table(125) := '062DBD890B3F084D02358A5FD37EA2040661989B11B1BB9D9449D81EF91F111EFC90A57334FDBD1C84F727AB95A67270C466B36CC2F6683F1D95791542B1F29525895517DB7D863721D7FBF2A1D83BEE14CF2FB31DF90EBB2D953C399A975192AC901472';
wwv_flow_imp.g_varchar2_table(126) := 'CB2B940C9C879056D2E794E40C036342D05BF009D78EA4B38AC8EF4471476C4DA6489750AD89ECEFBF22A2E72757C84D23FB7C74EBE8A04EB5363B6CFAB8BEEDE0EE92349FE1FF0086FE0FF81FE019D29DD17FCF7FCED5C7DFE7278E15C729E36FF34471';
wwv_flow_imp.g_varchar2_table(127) := 'B31409A4FD2401D78F814F8AF3982935E944490A1D5964572399B8DD846B68B69227B2E42C68EC8958524A08A45E9EEE2B3D956EA8EC2DECF18A6BB2F0AF9155C8879155C8CAE453C85C4BB26CB5F0560782101280095FE3E5DBCDA60FC498A8AFEFB950';
wwv_flow_imp.g_varchar2_table(128) := '1867CBC9507B2A7DA61AF32B6E2F9FB0B7ECF6977DA5D5393DABCACAE99212E27AB1C0BAFCB2C96E26555D8CC9702D6AE5C4CD902878F4E0A93A62805264AA95C52AD1BDEA0F9D765EB61B0D7A7D2967D5C396DCEDAFA51F1E7ED323DDECE29B719E1E3E';
wwv_flow_imp.g_varchar2_table(129) := '211E1E1EBF5F8780CF5FACB5EA50254B53C82029F71EF73720C82EADE19CD34BA3CB752E36A4D8E2F2B72D04CC7329F25348628DFAC3B385FCAC56C6D3D7EF5CB992A85C517D3BBD63C8A717D11180004273B8937F2020A9DD6536740340D96ABA460C43';
wwv_flow_imp.g_varchar2_table(130) := 'FAF5A4B5B6EA544C5C7B1B65510C2699564E87D26BDDA94476DBF516FA564F86D31FAF6A229920E2F395E92925381D4BD9618F6540B94CCC58D76322ABF4B12B6B51B562F3B25AC8CDD4DBA762178E48D7E5A6479ECD1EFD9A3C9F07B49049184F555931';
wwv_flow_imp.g_varchar2_table(131) := '30D6AA766B8427E1E75E3C0F72B020B08F2F2F2F2EF3B58182378F5D675E252E8CF596CA3C3C48392D9D96A2AA6BE97B27649CA73719312BCD7548B25D9B16552E6DB8BC18A2957DC82B2B836D19CA6911E4A1ED8A4DF3946A467924858217DF7C0365C8';
wwv_flow_imp.g_varchar2_table(132) := '15109C56E703924F2A5FED6D2969F1E03B84626EDCB86EE1562F4B4CAF838A08F898DC61E4AAFF00D626B574B1E3231D82D5721E5649B63782ED279BA8F479AF09099C9922A72D727E2CD749137EDC37F5F3B7850C561287352ABB6A34B10DCAC5372D33';
wwv_flow_imp.g_varchar2_table(133) := '3647AD1980F8B94ABCBBF242C12AE30BBFC90A06B342AA83AA2B481A848D754B42B58B48EB5BF1E46CDB69E483C80773A89BE52E44497DF8DCEC0E72E3121DD8C5C469C723C9392B171D8B06DE419331894BCE50A3A998F63E99A89A9A8CB51618E64542';
wwv_flow_imp.g_varchar2_table(134) := '712A819AD66DE163158BC6334D7EEAC945A95FB74ED9577566E5BB5EF549C1F1D8215E4DBBCD315A4C55CAAD4C16987108652D7AF8D2EB3CAC9DFEB8EF75B71EC2E214E59B99E7B0DD5EF14566DB6B732664574E3E5E0A4AE6FEDA2C95A4B88911243C9D';
wwv_flow_imp.g_varchar2_table(135) := 'BE968E73C894DD8A6985B89E149AF80EB21A84DEAE3710AF85E2B188DABB564DBC065BAD2F6B3394E5E2198EFD50C041EC1C041D00D94580EEC7BCB5CA4794AFEF10B4B815F8F972B6C43B2AF4F1DA741ADA7E89ED71CE2D1AEB47362A7A19DAEDEA6446';
wwv_flow_imp.g_varchar2_table(136) := '4CA4A12DE3925729874E49A85553713AE75A5D1662D331BB714D97393B23A2BE23CCA588ECEB03740AC18E62323C5D745A07F14FCFCFA540C328D85BACC4C1041F2CEC60C19F8F96FC9B48CE69FA7EB7A4FF009E7F9F5D6B28C4E711DC379D35969ACEAD';
wwv_flow_imp.g_varchar2_table(137) := '45EAF57A7D52E242849CE4DD5F5DDA365BFD615EF522234B11D921EC750B6DDB591BC3BCA12798DFE70DFB952A67A725A2F05365CE4C15C88E97306359ABE6EB8AF87319C686BA6D5C9592DF6CA23D5B3EDD825D62A2AFFE07C039A1DC7E4552A9D8B317';
wwv_flow_imp.g_varchar2_table(138) := '891E9C19D31229A7ADD6E44EB1F2EF3AF0F276C256DD63CA175B62B7DD6397677E43C9E7E473BBFCECBE5F91C9EFEF6FDE39200FB5F60A9C6FD0E43D52D258BFCA655C64B15A1A5399DB47533BC61F8516B1ACA13689929557C4A66A961D54D8D7CDD608';
wwv_flow_imp.g_varchar2_table(139) := 'A33AF0F1F0EBC4040E4243F1F5B7F60DA46F5FEA2EC9FB226267681CD4F7E473DF922FFE453FF908EF3B48E617792256D4E58BADA5C549F76047AFD61BF5FA94D296965AA71ADAB5B4EB6AD6A2535863F6D5B76EED1FD544D9A46C8DBA84FDE764AF5D7A';
wwv_flow_imp.g_varchar2_table(140) := 'B35FB9BBAB5EA8BD50EAE358454D52A55A488D1198CE373513A549BD8B1A145C094A4AD79DF7E7E7E5C40F5BC441F6877CBAF118929284847ABD1E853058537E212886D51FF2E7566F5656AF1685154884E30E87AE552E44D189031515512DB223EE1669';
wwv_flow_imp.g_varchar2_table(141) := '1BA346A4EE88D719FF009A7F9C3BA6A752FD6FD45B0A63D5E1EB09007C05174C8330CDFB9F68C803C40F1F0F0F5847AF822E795F5EFD426953508A88D44F5626322B8530A23AFAB5C5D2C4AB6E22E421E93222EC30674F2F5858C7619872BC587D6A799F';
wwv_flow_imp.g_varchar2_table(142) := 'B220315D1AA05037A8274A6F4CFE3ACA92167BDC9AECA438E630939DFB03A1D66538E0468FA9EE55DEC2E97BDE5D2F2A5396EE6CE76C7B6E3B5A2C30B817DF9F99C38175763BE55F1B716B5C1C7829AE1D93C4FF00E4C9E3F1A1AF4D77423C7F2B415F1D';
wwv_flow_imp.g_varchar2_table(143) := '3DC7278D2671B9E3A95A72F566F5BFD035A88D393A631A5AB526F544D3A6AC47E8FC12A5FB3DE643C52D94A9930BE9187E829C2BAE7CCA55AB9B0B9B535C85376F77747F7C777D7778736D5DF9B15BFE11715609B26EDBF8DFE37F8AFE213A58D3BF901A';
wwv_flow_imp.g_varchar2_table(144) := '9FF2C756D6A45172654F291DFA1EFD2B66FDD554C86FA51E8FA2AA95502F565E9ABD1D7A02F8F97C7CE680E688AD297A91D68D21AA159FA376B14C16CA48F15A4E1C39D95174BEA98AB272E1DD81DDB5FDE1FDF9EDF9DDEDCDC9CD9D76E6575F5C434C11';
wwv_flow_imp.g_varchar2_table(145) := '09101158D520D711AAB7A98D606BA8A90BF2F2F679957915138724CCA4DCE56C368B911829AB86377639518E6DADFC818DF90B179E98E6B6B9799E466B7045FA2D04DF777EA31BE87EAE355A63DAD56C90243AB90A96AB05DAAEE97B0B9B53FBAC8DF5FE';
wwv_flow_imp.g_varchar2_table(146) := '407B7F7B77FEADCB753C52227EB535E202608AB45337408D5DBD451A7A759453A62F92A646C6F5693AC0B74D81B08776FEC0EEC88DA157FF00BE1762D8D88991632754ABE3B9D16C6B1FA65D4FD2FA0A82987F41C86E426DB71F8528EC4CEF2C72947E66';
wwv_flow_imp.g_varchar2_table(147) := '639E6273FC5E798DCE039B63735D4F2AB5B86C3C95B4F28CDDE1FDDDEDE5DDE5EDD1CDA1CB932FAFA82026B9301B8888A9AD6E85BD5DBD39AD39BD49BD7535422EB753B753AEC9DBD80DFF003035B6F5A89ADC4AF2AB38561AAF71EBFC4B461FEB1CA855';
wwv_flow_imp.g_varchar2_table(148) := '31D755ADAF5D1AEEEB038FD51DDAA29B2BE931161E6AA3F44F51B505501C806AD74AD5339AEAF5DFE795AEAF5C5D17E9FF005DEB0B4CF4DC4FB17A5AF151C4115E2B93588AB6A9DBA046B0DEA6D6A0DEAA8D7935422FAD6FAA62AC57734CEECF8B9B1EC2';
wwv_flow_imp.g_varchar2_table(149) := 'C6C4E3AAD65673B6B23140F1F1D892A308F979797979289579F9D2B7CBB6ADCF6AF22EE91B902672AD2F2E47DFA8390A9A6885FA056A8BD1DCE3C778C9DE2A738A5DE3091C78BD11DD5554EEC05462D7AD31A2C1B588F562AB3F56D543544DD1B7529808';
wwv_flow_imp.g_varchar2_table(150) := '6BB4637165CD91B37F592767ACBB52A63A93873553B9A5654A52D4B795AC918712633AD7CEC297F2067977DF995F9F91579EAF9B8CB4639570F5B4D1D8E07C3ADB9A13426357367BC47E4D6B7767796B736F6CFE8D9B70FA93FAF5D0B9A93FA0BDC65038';
wwv_flow_imp.g_varchar2_table(151) := '7EBF88367E20BDD2DDA8FD51AEFA2A842198B266FED20C99565204965B6569AF3125D9634F15A9CD7E6ECD29C4282D38E275B79A7D4E7B63C98CBEFBBE4CF4D7E7655E44F7DE125719EB27DAC957CA7D28453ADB18C0A8655884CEB03B145D8BECFBFCD4';
wwv_flow_imp.g_varchar2_table(152) := 'FA2C59BFFEA18DBDADF19DF5BDE99DCE9B648961B15AEDB68E2860C19D2B1E5EC965121533B0E9369AF96FB525726B9E8D1EC54DA179DD5B76687144AC62935EE3167FB536CD5D46D99EDB46DB3B6496FC199DFC779D9528956DD2A465633671DCB83B6B';
wwv_flow_imp.g_varchar2_table(153) := 'DB315272863B4BC6C3B482BBF611AE7CC62A128852D424F949426224B1630F6FB0D8DF94DAD523DCDBC5D5396D3594B13755C936DB3D8B2D59571CA9C8CAB1C68BB8ACD773666DD5A9CF77B1D914EEB2C3895A3EBA56E3288EFA16594677DF7D92492D27';
wwv_flow_imp.g_varchar2_table(154) := '94E6AD75F063579A39D1120019A446F3F7C95FEB13449A9810F3BED44AFD9DE2D5D93EEF63AA4B422FAB3C89706E532950935D7536F5E723BF3E7AF2B150D7605A52F17942BD88BC567BC78D4BCC49F68595FB0281998721209CEFB249249A36F9127655';
wwv_flow_imp.g_varchar2_table(155) := 'DAA5C4B4D53CB808C48D323BAF21FF001532194B493E4558953F27DDEF495FC788C2B2AC09EB3C8A9D56DD2ABDA42504A97921487D5903212EC14C1563B946ABDC7CAB0E1C7B2B8C75F985158702D2B94A260A89F2F2F224924AA88EC12105E43373FBE5';
wwv_flow_imp.g_varchar2_table(156) := 'DD29D42D2AA7614A120127C8385CF7FB4A927C3CCABBF85A9B754FAE7B49F3F62E51964CD7E42D19D02B24CBC68F710C35CE533F0F6539B90FE2B15F0F657E4729012B48C18324E3860A89EFB24924925F7A6AD86E456B75403C4142AB194E3F23B0571D';
wwv_flow_imp.g_varchar2_table(157) := '09EBB2BEFE3DBE4A764CE72F1CD885B856466D67D6DA3118ACDAE6572639F2ED417924A33B8D90B266319DC8CA95D997CAC95793B90322250D84AD1E1E01121B909839DF7F0492544EED21E547766CF6E39C5FC233518E950CF2FF008F25CAFB6E5C39B0';
wwv_flow_imp.g_varchar2_table(158) := '2AEDDB75CA2BF2692CB5DA034854C2EB0302DC77687D943052A071DC9052418C60E4D4B27CE4AEAD735528A8A8F6B35E61E270151CED01AA1BFAC82AF2F2EFBECA898A8E469AB34B90E72F612E129C6F34D633CFBF63F27F66E5F397664B98323C5B06BB';
wwv_flow_imp.g_varchar2_table(159) := '4B6E2064263BC86C3A7DED3DDF65525E978E169495057B1C54821482C2AB44C467723201772595151C70C2720BBEDF7977D9EC8CE4456E32A0AFCBCBCBCBB249A246D72CE77F1DE0C6CEBEC4A26E5770B985C2A2A6D3D9C8B1327321233C62C5090DC686';
wwv_flow_imp.g_varchar2_table(160) := '88EEC035A20184A88B6670938EE3589184AB24E02D960D5E4BC5E76F644CEA6E12A3DB85A722D80B44DA0B2FBE26353FFA2B2990179DFC124A8D7AEC5E18710CA2A0D3E0C84DB09B873CBB004175B4270657C4536234E070630C46AD6EB1BA966B9B84A8';
wwv_flow_imp.g_varchar2_table(161) := 'AA8C59521D43A9BC7897B1AC4E2B3B5648F86B19CADC925EF875319B499E54A528ACAB10E7B83A1E0E890257DC53D017E5DF7DE12A376EC85454D9AD77CA96500246AF189BA38D36CC7C931FA263B0CB5F133094656B4CA632424153AE4E5CD5CAF7BD2D';
wwv_flow_imp.g_varchar2_table(162) := 'F9979722438E325249C564838CE326B56FE3E5BC2D3318658A94B539E615D75D74300CEFCB20677DF7DF6A3D6FD25D54084984B49B3936A02069D196AB074B2CB3DE476A7C56A3448FDF9153D8551F22632F35315646D1FB75DA39646C0CD2FD94B485A1';
wwv_flow_imp.g_varchar2_table(163) := '486B12492546461C64B6AAD5B85F6E332FBA1F8D96D8B5295DA31200F10DA5911BEB18DEA0D21CEC1EFCBB26B9ADDE72CB4FA23CA6306243635E8EE2B1882B4F71DAED7891E454565454FC685192F7DC54CFB664973CFD9ED2F87B66975A852D4A68A4F6';
wwv_flow_imp.g_varchar2_table(164) := 'A24BF8A2D949AE79B5BC1C9AB79B309CB9C56147AD0DA5B090909401F0A24F9157FFC40054100001030202050708060608040406030001000203041112210510223151132332416171810614202442527291154382A1B1C13033536292D12544457383A2';
wwv_flow_imp.g_varchar2_table(165) := 'B2E1345463C28493D2F10716264056F0355564FFDA0008010100033F01FF00EC77AD972CD65AF6116BD3F8A794E29C53B5B53137826F043F4035E47D1C8ACC2D8586A7C573416F570B259AF5B677AFE8E7FC2B6DDACEAC49E42723ABB17626A8C30A0D94';
wwv_flow_imp.g_varchar2_table(166) := '59020649BC3FFB3181CB3590D7B055DE9A9BC10E1FA56A68EB4DE29BA8A738A36F4722B69736BD65735AB23AFD699DEBFA3DFF000ADB77A18562726966E4D1D4870D475EC15CE8590D74FA07031CC324CE17C03A876AA9BE7A3C5BBD41F5942F0B443AD8';
wwv_flow_imp.g_varchar2_table(167) := 'C3D9E0B41C9FD6C0EF5A2A5E8D745F354CFE8CEC3E29A771FD15DAE59ACB5EC15B6B2F48714DE2989A1045393CA794F4E4E47586ABFA3B2566B9B5EB2AF0ADEB23AAEAD54DEF5FD1CFF856D3BBFD0C96D15666AECD6756C15CE8EF590D41F53035DB8BC2';
wwv_flow_imp.g_varchar2_table(168) := '919E52D5DFAC023BACB0640A251BAEC0BF75386E739BDCE2ABA2E856CC3ED2D35174748C9E39AD3D1FF5963BE26AD2EDE9D3C2FEEC94BF59A33E4E5427F59453B3C2EB41BF7CAF67C4D5A0E5DDA463F1C968F97A15B09FB6135E0E170777669F84EC3BE4';
wwv_flow_imp.g_varchar2_table(169) := '5303B370F9ACB5EC9403934752EC4E4E4E4E4E4F4F28EA09A9A9BC101D5E9EFF004722B696C2F595CD782C8ADFAB7A1E76CEF5FD1AFF00856D3BBF55B564B13F775ABC7B91E09CDEA4787A1B055A51DEB21AB937B1DC082B17D1DA458327B2C56239AF28';
wwv_flow_imp.g_varchar2_table(170) := '34851C5574B40658A41916B82F28E0E9E85AA1DCCC5F82AE84EDD0D437E289E3F241876B2EFCB55F7AB2C95BA96ED6DE1F728AF9C43C32587A2F91BF0BC85A4E0FD4E94AB6FF008A5794837E9A95E3848C89FF008B5695F6E1D1D2FC7482FF00E5213874';
wwv_flow_imp.g_varchar2_table(171) := 'F41D1BFE092487F02550FD6683999FDCD563FF005B56827F4A3D2517C4D89E3FCA568090DDBA69ECEC928A5FC5A4AD12EE8E9FA0FF0011EE8BFD413670392ABA496FFB2A863BF92ACB7FC2B8FC3677E054CDDF4B28FF000DDFC9306FCBBF24C280EA43F4';
wwv_flow_imp.g_varchar2_table(172) := 'FBFD1D92B696CAF596AE64772B5D64565ABD699DEBFA35FF000ADA777A0B3D592BBFC5074481EA4382C255C2215BA96C15CE8EF590D7F4AF91B38B5DF4E6FF002562476A926D09A5747B2A845344FC50BCE76C7DFDAAAF91A3C73C52383072C5A2C1C788';
wwv_flow_imp.g_varchar2_table(173) := '5525F38A86330877365BD6DED4C9992B9D434CF0D758870CF35A1AA1DCF79294B25F83585791EF243FC99745F06CFF00A4AF214E7C9D741F6E423EFBAF2566CE0F28AAE3EFC07F16AA590DA97CA78F17FD4881FF004B82D30DBE0D31452FD9747FFA9795';
wwv_flow_imp.g_varchar2_table(174) := 'B15F98A4907EE541BFDED0BCAC8BFB0E693FBB7C47FEE0BCA1805E4D075ADB7FD22FFF0045D5630EDD154B3E382467FA82823243AA2369E05C02C79B5C0F7669DC1766ABA25D65246E2D70B15D898EE9C20F82645FAB6727F06CFE0ABE1B727A4AB1BDD5';
wwv_flow_imp.g_varchar2_table(175) := '127F35E5047D1D3751F6831FFEA695A6AC313E9A53D7CAD3B0FF00A70AABFACD1940FF0085AF8BF07151FD6E821DF1D4BBF36AD167A5A3EB99F0BA37FE365A11DFD62AA3F8A0C5FE92B42BC65A6231FDE46F62A193F57A568DDFE281F8A7BBA0E8DFF0C8';
wwv_flow_imp.g_varchar2_table(176) := 'D3F9AAAFF977F80BFE0A46F4A19077B4A60C894D43514E289D592CF5EC959AD95EB0D5CC0EE599591592CD7ACB3BD7F47BBE15B47567AB22B6CF7AE64776A165772C411E08F04431D92C1378ADDADB5115751BB74B114FA1D235703BD89084EA4D2ACB6E';
wwv_flow_imp.g_varchar2_table(177) := '91B8555D9FCAE1E91C2584EE55182438DF7B1B00F22EA3AE761A82F17BEE246EEF5A3A36073AAA76026D96D2A3B96334D4830FBDD4AA1FFABD3713C7EF2AF9F0FAD4125B758D96902F63DAC171EEBD5742C984DA3DEF2F762C4334E8F234154CBF5B4B97';
wwv_flow_imp.g_varchar2_table(178) := '23FD66B99FFEF6A91A32D27276638D6936385CC6F6F6B13658EA397D1B0BCB40C3B1913F7AD09565BE73E4B68E9839A1E0E061C8F785E47FFF008A323BF5C3B1FE9217910EE950E9287BA79BF995E49CDFAAD35A420EC2187FD6C5A28B8320F2AAEE26C0';
wwv_flow_imp.g_varchar2_table(179) := '4D132FFE5C2ABCBDC22F28281E41CDA62734FF00ACAF2A2FB0EA19BB797734FDEC2BCAE801FE896BFF00BA998EFF005615E5447D2F276B077063BFD2E2B4A539B4BA26B5BFF8694FE0D4E60DB6399F1B4B3F1511DD2B0F7382BAB6AECD60F5268CF0354B';
wwv_flow_imp.g_varchar2_table(180) := '1F46591BF0B885A4E2E8692A81F6C9FC5698EBAD2EF8DAD77E4855C822A88D8C7BBA2F8C59A7BC23A826A03A966565AB3592D92B6964BD61AB98F05B4565AB35EB0CEF5EA0EF856D3BD0C96D9EF5CC8EE59AC95DEB646A1C1379372E4E61DEB76BE42B60';
wwv_flow_imp.g_varchar2_table(181) := '7F562B1F15E67A79F3346CCE03D3E370735C5A41C88DEB4F55C32CD49532E08BA479403322F617DE5794CD700DA9AA278165FB782F2960672E2A761A7F58E8F2BF7AF2A21243AA19DC5965A7003CA53D33FBDAAA8E53687A478E16B2A13FADF27C67BF03';
wwv_flow_imp.g_varchar2_table(182) := 'ECB44E9CAA65153D054473726E7DB94B5C377E7E2A40F070D635A3D90F6B8291BBAA2ADBDF1E2440DBD20EBFEFD3387E4B47D8F9DD6511E1ECFCF12D033E6CF337FC259F92D16FDD4CCFB2568FEA8DEDEE7284B6CDAC9DBE214FEC69694778FF007554F3';
wwv_flow_imp.g_varchar2_table(183) := '88E900F771735574859CE45B26E08711F92D201B237031D8DD88C9718C1EC2B4C32C5924C78DDAD77E0B4AC0DBE0AA16E18BF25A4A219CB3B7E207F35A629DC089B136E3A606E46A9EC3E601F0BBDB6ED16F104762D1950DDBD1F4EFBFBD134FE4BC9895';
wwv_flow_imp.g_varchar2_table(184) := 'D77683A3BF6461BF82F25A6DDA3B07C123D9F815E4F1E879D33FC627FD575A35C7674A55B7C2377E4BF63A73F8E1BFE042D2ADE8695A57F7B1ECFE6BCA58EF87CCDE3FBD23F16AF2A63FECD0FF0082561FC6CBCA58FA5A0AA4776177E0569587A7A26AC7';
wwv_flow_imp.g_varchar2_table(185) := 'F80F3F929A2E9C1233E3616FE2B716BBE4BCEE8A197DAB617FC43D0C96D15920B3D5B256D2C95AA18B98F05BD65AFD659DEBD41DF0ADB77A192DB3DEB98F0D570AEE561AF9B2B9F1DEB21AECBCFF0040E8FAF68B98F2778ADA553A318792646F18AF8641';
wwv_flow_imp.g_varchar2_table(186) := '718875AD26E31E2821CB7DAE2F74E7611268989C3AC5FF002B2D1557C83E4D0EE6C9154C736269667C99DCBC98AAA17690A8A789B50D739BC874A418CE783771BAF27A68289BA2E22C2C2EC6D319674BB4EFD5F4669BD1757B9AC99A1FF0BF64FE2ABA96';
wwv_flow_imp.g_varchar2_table(187) := 'A99C9B8988807A18BBF30162008EB08A077854CFE953447BD8168FBDFCCA207B1B6FC1403A21CDF85EE1F9A23A35138FF109FC554DCDB494E3F81DF885A440CB4883F1C2D3F810B4C0DF5348FF00F05ECFFB8AD242D78299DDCF7B7F22AA7AE8C7D9907E';
wwv_flow_imp.g_varchar2_table(188) := '6027F5D1CBE05A7F34C1D2A6A91FE1977E175A3ADCE078F8E07FFE95A05DF5D4C3BF63F92D1327EAE787EC4BFC8A81E0DA6933E1294F37B56D40F169FC42A8636DE78E3F1B01FE4AB411EB117F011F9AACBEE848EF2154FF00CBB7C1FF00CC2A816C546F';
wwv_flow_imp.g_varchar2_table(189) := '3F0969FCD388DBA49587BAFF0082845AED78FB0E54A0806602FC724C2760C0F1FBC734C7C143A423898DC2E313F06EB3F715CE545393D26E36F78C8EA09BC50B6F5672BACB5EC959AB2F5962E64772CCACB5FAC33BD7A83BE15B4EF4325B67BD7303BB5D';
wwv_flow_imp.g_varchar2_table(190) := 'CAB6BE6CAF581DEB77A034AF933A528C8BB9AD25BF8A31CB2378159B82D2FA7E3965A5858D85870996576065C750E365A6F42C7CB54530745FB588E367A38C58F58B27695D01A2EA6FB4E8835F9FB6CD929DC13B823C0FE93B55D44EDF130FD90A94FF00';
wwv_flow_imp.g_varchar2_table(191) := '578FF85539F62DDCE70FC0A60E8CD50DEE99FF00995334ECE93AA1D989AEFC42AC6FF683CFC4C61FC82AD1F5F19EF8FF009155A3F607F882AF1FD5613DD211F92AC69CF471FB32B4FE3652D5D3BDA28A60EB8737A2731E2B48724F8DD1C99BEE0F5B5B7B';
wwv_flow_imp.g_varchar2_table(192) := 'DAEAAEA44C431E23745870D8E44660A751D5C12916C0FDA1D9B9C9C2475B77527A7A7008B4EABEAB274C70A7C11E3C27573EC5CC0EE599596BF586F7AF513F0ACDDE8F387BD731E1AB30AF656D7CD95CF0EF5BBD00DAB311DD2B4B57D19A7F48436B0E50';
wwv_flow_imp.g_varchar2_table(193) := '91DC7358646951691F22BCCE291B1BD8248DDD8E26E1C7BD37495054C15552C9B0BDD09690003872C953681F28EA20316381B207E0BEF63B3B2F255E4E2D1F5F4E7A591BD9A7B382F279D0175154D48971742600823BDBD6AF6B22B1D2E94A071FD54827';
wwv_flow_imp.g_varchar2_table(194) := '60FDD9723F7855BE72EB3A3E479316BF483EFF008155DB578E3396562555175A4A76B4710FBEB68E0A9B0DDC0B77EF6EEB772A37746507AEC2EA9E5BE091AEEE2876A1C4AED478A29C9DC13B823C11E1AA0AA6B44ACBE13719DAC7C140DC3864985ADF5A';
wwv_flow_imp.g_varchar2_table(195) := 'EEA472C35950DB0B64EDFF003552DBFF0049CC6E0F4834F8EE5A4034815ED26FBCC5FC96900DFD7C4E75FDC201553B5CB08FB305FF00352E221CC16BE46FD4A51336314EE730C6E38C119381E8F8AFA3F4D56B037624E759DCFF00F742AF47C24E6E8F9B';
wwv_flow_imp.g_varchar2_table(196) := '77D9FF00643821C16CADB28E402ACAD6873B6415570C65EC75FBD3E27B98F6D9C3784D1571DD43F474B6B7415C2E7D8B981DCB32B64EBF586AF523DCB69EB3F439C3DEB981DDAB3590F439B2B9DF15BBD030CF1483D9702836AA8EB9A3299963E08AA9D1';
wwv_flow_imp.g_varchar2_table(197) := 'B77C5673256619627F4246F02BC978A9A08BE82AB1C8CDCB318CA8B343B85FA587B14FA76BEAAAA702F2FB23A86EB05A618CC0594AE18306717504F759CFD0D458DAE69639ACB5ADD2BFC4B464E64F39F25689DCA3AEFB1E02C3ABA968BAC9A275068CF3';
wwv_flow_imp.g_varchar2_table(198) := '3635B673715F11BEFEF5F47F95141776C548753BBEDE6D3F30A90D03E5AB648F8A9CF2C6367D661F66DD683A2A2A87E94A6262649B0E9A4C2CDAC6C617B4817032B9555E673D44159332A6AA621AC91F7BB2A4734E634EEC3BB2579853F9C3E563E95951';
wwv_flow_imp.g_varchar2_table(199) := '1991D89EDCF0BDAEEE3AB134855505668E6F20CF3699DC9BE5C5B4D7B86C8B7052D0D74319898207458DF2B9923B0D9D6372C040CB8AF38AEAEA7751984C41858E75B9D8DDED0B755C6BA68A4F38944AE765086B0938B19B8D9E37EB546DA66CDCBD4607';
wwv_flow_imp.g_varchar2_table(200) := 'B80187117076EB5B7F7AA68A5111AC91CE7B4383651BAFE02C7B153D530BE099B23788D55466181D188C35C1D7DF8B22D23B38AADB1CA13C3339AACC603A9DB87DE0FF00CB57626E29879B49B040BE1E95C5EE38AA7001746F00FEE154AF706839936B10';
wwv_flow_imp.g_varchar2_table(201) := '426A8D82EE7586433EDC944774A3E687BCBB51F35A5AF68FD53F937FC2FF00F7423AA9E027291B8C77B77FDCA471D965D55BFEA955C8332D09E5DB53FC828E8DED939571B715494CC1CA48000A8B48C05D190428609D92B05AE6C8C2E0EE09F2C063C5BF';
wwv_flow_imp.g_varchar2_table(202) := '2566AE7D8B98F05995B2B3D5CFB57A89EE5B4FF479C3DEB98F0D59845590D5CD95CFF8ADCB2F43E95F238496BBE98DFE48825626387055B4D0C334B4B23192F41CE16C48B0ED647B72F4648248A58FA713DB233AB6986E179CD2C130FAC8DAEF985339A4';
wwv_flow_imp.g_varchar2_table(203) := '18A27761DC548EC2F75046E7C67633048EE27721048F9D9A25A2494738E6610F3DE7AD3A4662744E61F75DBF54553118A5638B7946BC61C882D3881F9A82A84C7CF6AE22F27363BA21CDB101A41184FE2B47C0FA395953844101A7173939A6DBEFD62CA2';
wwv_flow_imp.g_varchar2_table(204) := 'F389648F4B18319C4E68B0BDC6FCD111B313F19B74B8A94B1FC93C35EE616B5C45C07751550DA48E98C3039A5D7BE273B3E96276EDE557F2553863673BB223E52FC9861BB0E223A954D3D5460C7CDB2031F297E980EBB32E2354F352D4C70DB1CB1160C4';
wwv_flow_imp.g_varchar2_table(205) := '6C3E7D59293E888E82AA95D1BA0A8C10E169A80F643B606786FB3976D95472CE9E589C6079640CC2C9A332869E4C86E7B196D0057251D7C78A4219592B5A247B9E4016B66ECEDAAA68E16CD0D598F9325AC88341E5E592DC9B4DFAB8AA8A49639DB52C31';
wwv_flow_imp.g_varchar2_table(206) := '06B4C900B121A0F392176FB341EA5A63A1C9466565516C8226E3BC4F6E38CB7139BDCA3A986396375DAF68734F614C95967C6D70EB6BB7153483489974645CBC1601B13F172989B8AD7202A4F6B4690D63B9395ED76CB24C5870F6E6A0ADA63244C2CCF3';
wwv_flow_imp.g_varchar2_table(207) := '6978791F226C9BA4F45D6D3387EB232077F527D0D64721167432ED0EEC9C132322FBB8AA68C6723478AA267D737C152B77171EE09B52DC0C85F9F595F4810E73DC3C50D130606B979DD447103D1CCAC8ADAF15B2BD61AAD00EE5995B2B3D5CF357A89EE5';
wwv_flow_imp.g_varchar2_table(208) := 'B4EF437AC2F2B143E1AAEE0B6179AE64A1375AC973657AC0EF598597A0DADD1FA4E89DEDC66DE29D4B5B510B858B1E42C32DB885A4F48D252D2CEF6399039AE66CE7B3DAB49160125050C9C4BA2CC8E0BE90AC9EA7CDE3879437C11F44777A175F487939';
wwv_flow_imp.g_varchar2_table(209) := '4973B50F34EF05DBE8145157DED0A3774A269EF01585836C3544F39C7D56E0A1C41D623AF2710A3B3B9C97337E99CADC17238872D23EFEF9BA06CA47613CBD88FDD0AA717FC40B76B7355D6FD6C37BFBA6D652E0E770E2FDDDDF7A8A7696C9132469F65E';
wwv_flow_imp.g_varchar2_table(210) := 'DC432548FE518ED1703A321A3065876376CF56F4C95B299345E3C41AD3622E43336F0DDD4BCD591411D048D8DB66B70D8803E6AE08585B54E6991924F82EE6E7B4D16FFDD5317B5DE7D54D225648CB80E00B1A434588CED7EBCD535354CB33ABDCFBB045';
wwv_flow_imp.g_varchar2_table(211) := '67340B678B3B051CD1E263839A7AC2FA3B4FD559B664FCF37C7A5F7AF3FD17067B705E177D9E8FDC9C4A2D0AE506DB25E62002C52C8C2D8999A73DEE73CDDC77AD95B7E2B655AA1AB991DCB32B259EAE79ABD48F72DB7FA386444C435738D5CDA7474CF2';
wwv_flow_imp.g_varchar2_table(212) := 'D29CF0CB95B21736573FE2B72CBD0E46BE2CF276C9F15E61E51551C3B32ED8F1581ED2AF65A2218392ADD166738C9C6C7602BC9391DB7A1AA99FDDCAA824A8BD1432471611B2F3737EBF4393AAAFA173BA6DE51BE09B1B4177E174DC448D22E6F616FF00';
wwv_flow_imp.g_varchar2_table(213) := '30867FD24DECB81959487A3A4A0F103F9A6E118A78CBBAF0952E1E6F0DFB5570683C8C64E776871FC54E5D67C21A2DBC3AF9A2A71FD4DE7B88FCD499FAA4A2DDC7E4B96BF33232DEFB6CB031CEB136EA1BD44316CC990B9D82A09C911BAE47610BB10E08';
wwv_flow_imp.g_varchar2_table(214) := '20504104176EB3AB2DCB96D1D05635BB54EFB3BE0932FC572557353BB74CCB8F8999FDE10BA183721CA2BDAC9F52039C10C190CD4B47216387715915B656CAB54317323B966B22B3D5CF355E84F72DB7FA3CE85CD8D5CE3573417A949DCB658B642E6CAE';
wwv_flow_imp.g_varchar2_table(215) := '7BC56E597A185CD7703742A747E8DD20D6F5612756289AA8E9A773AAE90CF196DB08C88ED0BC9278B7D0F56CED12E7F8AF260D2CEDA6A3AB6CC40E4DD23AF6286BFA334FE8D9EFB2640C7773B2591B6795D0971ECBDB87DE1A99EE8F928BAE267C821C10';
wwv_flow_imp.g_varchar2_table(216) := 'F43B576A3C51E28F14751D5D8BB35762EC3AC21AA3D25A3EAE99E2E258DCCF9A9686AF15B9C825CC76B0E6135ED6BDB9B5C2E3B8EE5B2B9D5CAD43014C6D3036EA589CE696A63598ACB7ADB5B0BD65AB991DCB356055F573CD5EA27B9738FF004325CF05';
wwv_flow_imp.g_varchar2_table(217) := '78C6AE71AB9B0BD465EE59316C85CD95CEF8ACC2CBD1FA5BC90AF86D7742091E19AC0FB7057C6DF151B648DCF662687024711C179236B9D13557273B3F21DC2EBC8D0413495E7B0BBF928F959392BE0C470DF7DBAB5969046F06FF0024349685D1B537CD';
wwv_flow_imp.g_varchar2_table(218) := 'D10C5DE14FCB5B03793B6FBE775D9FA4EDD4F6CEE0C85AE8C3ADBF33DAA2AC844913B2EB1D60F6FA5E6F1728678E3683B464E8E6A0774749D0FF001A639C3D6E92DFDE5FA9531FEB317F184C70BB5E0F71D57695F47E9D9DE06C54B7951DFB9CB96D16D1';
wwv_flow_imp.g_varchar2_table(219) := '7CE0798CFC3BDA890B6D7253C65452D3345FA94315C829B2BB92695915CE2D85EB0D5CC8EE59FA1CF317A89EE5CEBFD0C973E173435738D5CD85EA32F72C9AB642E6CAE77C566165E887BEA69DDBA58CAFA3F4BD7C045B0487E4B04AD3E0BC9E9741CD51';
wwv_flow_imp.g_varchar2_table(220) := '3C8D13C74E72E56CE7CD7E1C168ED21430CBF4F4104A5AE32472FB19D828F45474F2334A53553652E1CD6F16E2AFE839ECD2BA39F213C9964F103D4D76C903E49EFE4CB662CB1CFB535957C83CDB10C4C3C7B3D0BF58FD0E0826770638FDDA9F433878CD';
wwv_flow_imp.g_varchar2_table(221) := 'A727B7884C918D7B4DDAE170536166223B828DC6CF187B7AB504C9016BDA1CD3BC1CC15A15E6C69A9AFBAC630BC9E7827CD290FD81D6B404D7C3A3698F731525130B29E9D91B6F7C2DC85D5B579CE8965535BB54D25CFC0FC8AE4EBE481DBAA1987EDB36';
wwv_flow_imp.g_varchar2_table(222) := '87E6806AE756414F4397527BD84341BA92A24748F3725645738B617AC357363B95CAB6BE798BD48F72E79FE864BD62E540C6005CA9BDF54E1EDDB0A98C636C2A6751C8D0F17B2C4D62B463B93281E185DBD37483D086C8306FF4790AC81FFBCBCDF4D36A';
wwv_flow_imp.g_varchar2_table(223) := '43766765FE4AC5546929A1869A2C723F705550CEFA7929DFCA337B6D7214B158BA17341EB2D22FAADAFE8EF2A346B8BACD9CBA9DFF00E26EFBC26BD8E6B865D6A27D2C1340FBF24FB5C1DD74DAB6726F3CEB47F176EA3238B5A7647DE9CD370E2172DB27';
wwv_flow_imp.g_varchar2_table(224) := '277E3AA0A366395D6BEE03325515438304985C770765ACEAF53AAFEE9DF823AB0BBCD5E7239C7DFC16DC6DECBFCF5727B0FE8FE1AF4CBE691D4FA5218E33B98F8315BC6EBCA3FF00FB5A33DF4DFEEBCA36B9A4D7D0917CF9870CBE69FC53BACEA8EBA8AA';
wwv_flow_imp.g_varchar2_table(225) := '20905DB2B1CC3F694DA3AB5EDFADA796DF6A33F9A65440C9599B1ED0E6F7385D5A6561E86C947953DEB9A56A80B602C4ADAF9E6AF513DCB9F7FA19220B88557486C18556395610B4AC1D1CFE6B49E9195BCA9CAEB0B1974C318DAEA5CB81233A4D2A523A';
wwv_flow_imp.g_varchar2_table(226) := '254A7D92A720E16FA5F48F931495605DD11B1F142D62A7D1B34753011CA444DAF98CD6906E967E922223339B85C30EC9F05A55ACC261A576FCDD1DED7375A4371A1A2230D88E4F7AC773C75BA22C919D38DC1ECF89871051E92D1F4356C75DB3C2C78F10';
wwv_flow_imp.g_varchar2_table(227) := '9B3C5534E2122ECB875B2253E27873490E0532A69F07466DD6E3DA35969046F42665FAC6F5E775723BD96ECB7B86AC25B0543F2DCD79EAEC3E87A9D57F74EFC10D584820D883707826D70C77DA680D78EDD76B46F397B27532960E5DF348C6B4D8F26CC7';
wwv_flow_imp.g_varchar2_table(228) := 'D2EC5A3CFF0068548FFC3BBF9287483A4E46B9E706F1C960DE2DD6826AB80B13485E67A75D386D9954CE53EDB765CB95D16F88EF81D87ECBB36FE6173CB2592CD64B60ABC8ACD5EB0D5B0838A046E56D5CF3109686DD8A575449DEA672913964991BB728';
wwv_flow_imp.g_varchar2_table(229) := '9FD4A21ECA878050700A069EA51D1DADD4AC37A8AADB672A467054BD8A8BAEDE90D27E4FE94A23BF012D4E82799877828F28E6F15E4EFD01472D354015A0379465F337DF75E4B5440C97E9FE4496B6EC92D706D9AA2A09A26D2E93655B5CDB97372B1E0A';
wwv_flow_imp.g_varchar2_table(230) := 'FE879D793C698BB6A8E6747F61DB4D53628F00696FB57FC9721593B2D95EE3C53C54E263AC59B884CAB018FB365FF5776B7505349237A476478A0F6870DC75F280534C768740F1ECD54E0F4D31F45545AE079A77E1E81A4AE7C9EC38D9E3B3FD9078041B';
wwv_flow_imp.g_varchar2_table(231) := '8398D7CA3703BA4DFBC6A6FEC66FE029963CCCA377B1C50945F039BF10B7A1E77A15D501BB54AF12FD93939725A47913BAA18623F16F6A2C973D596BD82AD295B2573ED5B0158A042C8EAE798B92A3CF82A764CEB91BD528EB0A9C75A878A8962366AAA9';
wwv_flow_imp.g_varchar2_table(232) := '45DAD5587A957155F2F15A41DD6557FBC55644D399554C71172AAA3CF12A89BDA53B05F11F4832B301DD234B57D1FE5057330E45E5C3C735C94AD3DAABB49B1EEA76B480EC39BAD9AD210CB5319A579303B0C98462C24AAD224779A4B6674B60E57550EF';
wwv_flow_imp.g_varchar2_table(233) := 'A893F84AA88F374120CAF9B4EED7E6DA767A52ED9AB832F8E2CFF34F92321B2161E2B9210CF7BEC6127B42B9BF1441B829CDB32A6E47BE37F8AA6747CA0A8661E3742B250D61E6D9BBB4F15C91C24EC9FBB5904106C42F3E67205D691836FF007B53A2A1';
wwv_flow_imp.g_varchar2_table(234) := 'AB70758E0B5FBD5F293E6AF982B928DC7E5DFAAD6A591DFDD9FF00B75B98E0E073084D1870F11C14F34F2C8DD395B0871BE0639B85BDD70AA7FF00C92BFE6CFE4A4A56C81FA4A7A9C46F796D71DD65FF00510F7D5D32AA9A689E2ED91A58EEE72974756C';
wwv_flow_imp.g_varchar2_table(235) := 'D0EE929E52077B0E4536A0C13B06CCCC0FF9EACB5EC95CE15B2573E16C05772C965AB9E62BD0F82736A9F6775A93DE29FEF14EE28A0FA8B150BA20480A0F75403D9500B6CA86C36545EEA8A289E70A63EA256B5A32283E32820233E9725344FE0E0573D4';
wwv_flow_imp.g_varchar2_table(236) := '75CD6E5232C7C158955BA25AF753061C605F10BEE5A5E0ABABA98CC41D396970C17176E4B4EC8F0EE5E36EEBE18ED7B715A7DD6E761F08969CA98A589F2438646E175A3EAD5728E8CD2BA3AB07D4CEC71F8773BEE4D91971B9C2E3C544FD135714476A31';
wwv_flow_imp.g_varchar2_table(237) := 'CA5BBBD0CAD7CB5E1D879CBA8A1C53628C9BE7D4A58A56CAC7D9E0DEEA0AC60048649D6D3F926089B4E1DB4E389DD806A7C7D17909F21DA75F576A154D114AEE746E3EFF00FBEBE424BFB277ABD883BC2AE73ADE6800B1DA2771B70E0AADEFC32D286B30';
wwv_flow_imp.g_varchar2_table(238) := '9DBC5D7DA15400DE4A20FBF859691633179A02708BB41BD8FE6A42D699181AECEE06615C15E6BA61B521BB354CB9F8D9915CA52C901DF0C9887C327FBDD65AB3D5B050E515C2E7877AD90B6D0C2B23AB9E62F50F05EB527A3EB4B9866BB382B81AAF0C9D';
wwv_flow_imp.g_varchar2_table(239) := 'C8C55B22739B6560AF97A038A6FBC9BC50D2FE463A419BA0FC96079BF1B26620C7F4718BF775AF271D53A37CC2A5A18F735B3E1F605F32BC8CDE74F9B752F24198C9F285CFB5B640B5F3EA5E47CAC74CDF285F1B2FD0701885D44CA89DB0CBCA461E435F';
wwv_flow_imp.g_varchar2_table(240) := 'BB10E28AC883D6BE93F26F45CAE75DEC6724FF008A3D94C3B2597E536495A5B94786535DB88D8E21B9699FF95FF305A67FE587F185A67FE59BFC61699FD833F8C2D33FB167F185A63F651FF185A763C9AD8FF8D69B90DDC223FE27FB2D31EEC3FF0099FE';
wwv_flow_imp.g_varchar2_table(241) := 'CB4B7FD0FE3FF65A5DDD27C3C3390FF25A57DF83F8CFF25A53F694FF00C47F92D2437CF4E3ED1FE4B497EDA9FE6EFE4B48FF00CCC1FE6FE4B48B1C1C2B20041B8E92D3A0FF00FC8D2BFB0B49FC1695EB9297FCEB487ED29BFCE9F146D8A69632F1EEF0F1';
wwv_flow_imp.g_varchar2_table(242) := '5DA5769F47CF3424B2B5BB74CE130EE193BEE469B494409D9979A3DEEE8FDEAFE86C1569ACAEC569420C0334316F571D240B4E69AEEB5CF315E87C17AD3FD1B552E65BAB2585CAE356289FDC8B2ADCAE16CADB0BF7C7CD7FD50BFEAAFF00AA8FED4A77ED';
wwv_flow_imp.g_varchar2_table(243) := '1C869FD1FA73464A6E70626F73C2752E90AB848CDAF2B0CC3B517228EA1A9B619AB8D2D405DB9CD9D9F6B23F8232B2C25733B5BBD3839A7CEA536EA272D6C9B7B9C3B5A6C98D735DCBCB9717DC6B82A0B4BCBAE3DD716FE0A38410DBEFBE66E871438AA6';
wwv_flow_imp.g_varchar2_table(244) := '32F2A59B5BEF73BF50E2A19985923039BC0A8A160646DC2D1D4820A9A37E3642D6BB8819E6820A2C78F9318B8DB341041766AEC4CA889F1B9B76B9A5A7B8A9347D655D29243E090B41F87A27F342AE9609ED6C6C0EB702778F02B7ACF56C156A82B9A5CE';
wwv_flow_imp.g_varchar2_table(245) := '270EB4E69E922E3D24E0CBACF7A0F7B17A9782F5A7FA192F5A0AF1B75D9CAFAB14656091CEB6AC96D0410E087BA87043821C17D1DE5450DCD99501D0BBC730BCC7CA4A9706ECCBB63C56175F82160420ADAADA8DD7D1BE5368D793B331303FBA4DDF78D4';
wwv_flow_imp.g_varchar2_table(246) := '51451D4751451E2AEBB576AEDD4D6749D6515EDCA0BF7A840CE51F350036E5428E41763AEAEA017BC8323639AA7674A568F154F671E55B61BF695348E2D64AD711D40DD332E69FFC2983EA9FFC2BFF00F3BFE4B1B4F365BDEB90D29055B5BB3531E177C7';
wwv_flow_imp.g_varchar2_table(247) := '1FF30B9AA8A63EC3F1B7E193FDC7DFAB3D5B057AC15CD2DBD671593CC272520EA520963BF158A87C17AD3FD0B84E150D2831ADBA6714CB6F4C2E57D589A56363CD91648E6F02AE8E1BDBD11A9D4B51054377C32364FE1374DAED17A274A462E1CC173DE2';
wwv_flow_imp.g_varchar2_table(248) := 'EAD7505655D1C33CDC9C6E7E173B82D08CD3D1D2C7A4C3695ECBF2B7BE12B414A1CE6794D1E0666E3964151D0D5363A5D22DAA6160389BD5D9E83A273258FA4C21EDF89B984CD23A3E86AD86ED9A163FE615535DCD33165BBA957617628462C371FC9691';
wwv_flow_imp.g_varchar2_table(249) := '39F26CDDB9690E4D966478FAF82AFC4DE5793B75E14C6175E570BA0E6652BF3ED40BAE5EFF009A8C9276BE69B18205FC7356722FBBDB3727B39B86F51E0747F4A01BAC4385C5B7AC6D6B9958FB138B64E45728FC46AA519EE06C847160E9DAF6C5F82388';
wwv_flow_imp.g_varchar2_table(250) := '9740C1DBBCA67B83E49BEE840752B394279C34A6575F7039A8DEE65F46C8DCB062711937C0AA6B11C8B6C77A822B6085ADB6EB0E29E5D7E59D6BEEF43CFB41D539ADBBE9F9F67D9E97DCBCDB49C0EBECBCF244F63F77DF6570B33AB60AF5857896D78EBC';
wwv_flow_imp.g_varchar2_table(251) := '6F41D104D1D49AC9987B55A8BC17AD3BD004A6B4B4A6C406D2611BD072C6414075A055D35D13D08EB65B2CC2E519B96157F4BFF983FF008672C276A4A30E6FFE5EE4E8E691BC0A06E38AAC8E9995469C885FB9FD4AA25B61A791D7E0D2A63F52FF00E12A';
wwv_flow_imp.g_varchar2_table(252) := '586D8E3730FEF0215F5586F5E75E4F79B176D51CCE8FEC9DA6A0E6917DE13BFE765FB908C11CA39D9FB486AEC3F25D857EE947DD47DD5905B2A31BA08C78223706A77627762771FB93BDEFB93BDEFB91F78EAB81995DA577FCD0FF00F4A6A67628F804CE';
wwv_flow_imp.g_varchar2_table(253) := 'C4D923208BB48B1EE29DA36BEB290E5C8C8E60F87D93F25E77474F31DEF602EF8B73BEF1AF60AF585CCABBBC7586B820D6817438AE7999F5AC545F657AD3BD0B239295E725242DCC140C96B158997B221E51B05921C93D63AA90F6ADA09A582E895657F4';
wwv_flow_imp.g_varchar2_table(254) := '5AF934CE8C7F4678B9468FB8A768FD335B011D191C1163E3ED555F420D1460618F763F6957D3414B1360879A16BDB37656CD69726E23A66E56CA355FA65B079CE03C95F096B70EFE2ADE28123579B69BA8A42ED9AA82E3E38FFF0075928B10698A406F6D';
wwv_flow_imp.g_varchar2_table(255) := 'CB932479ACA7E1174E7C78DB4929DAC3BBEFEE5523768F90F8AAC6BC8650DC751C4AB896DE8C01717DACFD0C967AAA4E704CC69B6E78B852B7172B2B5D73716EACB720AA71DC693900C44E1C20FE2AA3AF4AD46EEA0D1E3B90E46489F513498EDB4E3B59';
wwv_flow_imp.g_varchar2_table(256) := '70B20E75FCEEAAD6DDCA1084517261CF75BADE711F9EA84895BCA166238F65D8483C5410BA370AA9763A8CB706FC6EA37F46469EE37D51412BA37432DC58DDACB837ED570E31D14EEB0BE6DC37EC1DAA57975B4555E5C5A02323012C2DC42F84EF0B93AF';
wwv_flow_imp.g_varchar2_table(257) := 'A3AD036676724FF8E3DDF72CAA299C771C6CEE76447CEDAB25B057AC2E656D2DDAB09448DEBB573F1E7D6AF41F657AC9F42CAF20099260D951083A2B055B95989A2439A8C7B481EB4E731D628F2A725C990801BFF41F46F94FA2A5BD9AF7F24EEE7AF36D';
wwv_flow_imp.g_varchar2_table(258) := '39E70D1B33B43958F72A1D295A63AB970339224676CD51D4E91D254AED20D8C436C0E3B9DDEB435293CBF940CB11B187DEED5E4EC562FF00295847068175E4844C3FFD40E2E0DEA00DCA18B2374D2BE8CD2BA36AC1FD4CEC27E1391FC5070041C88B84D0';
wwv_flow_imp.g_varchar2_table(259) := 'E22C6E1092F60777E2AA3455436214CC735CDC4093655C775245F795A59DD1A78FF85C569E774611E1095354D1C12BC16B9CDDA16B669DC4A96365DACBE5DAA67C8E63E1B0EA78DC7E6ACE4168ED151B5F5752D8F17446F73BB805E4BC53B219ABDD0974';
wwv_flow_imp.g_varchar2_table(260) := '6D903A58DCD66176EDADC1473C6C92291AF63C5DAE69B820F582A9D9A59BA34B1E26740666136C2F03A876A9B3FE8DA8C876295EF6B1F48F8EE09B9CC65AA67BACFA673071BAB3953C7CF4B61801188F503BD6878E400B21C796FDFB4325A220FD598D87';
wwv_flow_imp.g_varchar2_table(261) := '764D37EE3926CB1B1ED376B85C2B0DEAA18F70652178B020E2DEAB1EE8F1D1E069E91C598592FA4341570636F2423978FBE3CC8F10852E90A696FB25D81C7F764CBFDD5D64B60AF585CCACFC56ED46E8D915CFC7DEBD447C2BD60FA1915CFB5060666AF1';
wwv_flow_imp.g_varchar2_table(262) := '9175CF38AB3572477A04DB1AE57DA58D850B38AB128F1FD03A27B5EDE931C1CDEF69BA6E9CF247446948F3D86DCFC415A4CD7376E0A783933340E6E317171BD4D996C0ECB3E8A9891689C7B9A53D8EC2E690781C95D7057691C57D27E4EE8B989BBC47C9';
wwv_flow_imp.g_varchar2_table(263) := 'BFE266450438AA3823E5AA43708CAEE17B5D68166E95BE11AD0CDDCE7F846A0AE839587161B919E5B97623C15D53C676896E76B9195F500D24F50FC14DA5B485454BDC4E376C0F7583700BCA4D21A3A8E682918258DB23703E40D7963B69BE20F52D2FE4';
wwv_flow_imp.g_varchar2_table(264) := 'DF9432D34314B243CA32034563B418D0DD81D4ECAE0A8E929A0AAF363282E0DD9B626072AD6C8E11D0F28DF65F880FB94AF65E4879375CECDEFAAA9AFE6E3639BDA6C75364659CD0E1C0E6A011B5E217385CB45997DDF92E1475277FD5DB777A74D8B153';
wwv_flow_imp.g_varchar2_table(265) := 'C91EEE9DB3BF7239DAD7B65DEB495DBFF0E2D6C79AAC0EDBA9A5C39E7D7DDE0A47CD635D04991D860FF741CDCC7615F46E92D214646CC723837E0766DFB8AF3CA1A7909BBB0D9DF13764FE0AE16C956A85CD2CCADCAEAE372B3884511347DEBD447C2BD6';
wwv_flow_imp.g_varchar2_table(266) := '3D0C93B966956016C95B65645117B14FC7BCA7E59A2E8B3470145CE29D6C87E87E9CFF00E1F691D1EECDF4D8DADFC5A8C33C838391BA7E93A6A18BCD5AD753B9AEC5C6CAA58E18347400600DB1EBB2D2BB5869699B7E0CDCAA74BD579CCEC607E10DD816';
wwv_flow_imp.g_varchar2_table(267) := '192B5B5E2874AD039DD07B666773F22848D00A8F7E7FFB28EB69A581FD178B64B470DF24C7C56891ECC87EDAA4A08DCC85A4349BE6EBE698A34DEA505F13A36DF89430E4B1C7237DE691F34C874D68E64E365954D63AFF00BAEB7E3AA07835821679C319';
wwv_flow_imp.g_varchar2_table(268) := '8394B6DF2677B6FC14AC8AAA26331B830BE36936B91D5E2ABF4AE8CA4AB3A38D34AFC624825C4D2D2D36F680365A5DEE03CD6160E2E75ED6EE55D8CF2CE8B0E760C07C37A9C86F24E68CF3BA93930242D2EE2DDDAA6124AC14CE366626BB7071F7556907';
wwv_flow_imp.g_varchar2_table(269) := '0D075EE73C0B855AE907294B1B199DC89311ECCADAA9679394920639DC4F62A52EC469E32EBDEF854519BB236B7B800866B93A9A0AF6B7295A69E4F899B4DFBAEACFAAA727848DF1D977E5AB60AB54AE696F5B962784047B90C6750E519DEBD487C2B9FF';
wwv_flow_imp.g_varchar2_table(270) := '0042E50184AB596C15CE140058C959EE45A420630806390331EF4C7B07E8793D2D5F42F3B35305C0ED6A768FD3FA421B5AD2123B8AC2E6950699A6AF7BAA703E20308FBD7D2B0CAF15D1C4E64A5843BB3AD52C7764BA7206485C30F02168A88812F94706';
wwv_flow_imp.g_varchar2_table(271) := '7BB0AF276969AA1F0E9D1248D1B0C16388A1ABE8FF002A282E6CCA80E81DF6B31F86AA8FDDDE9F876ED7EC5A725AB9CC52BF922F25B796D92D274534A6A1C1CC737DFC598F42C84D82F6C8F0BA14EC2D0F73AE6F9AB15251692F3A898792AA75C61F665E';
wwv_flow_imp.g_varchar2_table(272) := '1E3D4A3962869EB27636A98C01FD4D73BB0F1E2A8E9295ED3207BA41843584139F5A6CB571BE2787370BB31F9F055AE9AAE3E483406F3527513DAB4B13FACA668EE7155ED92F354C6F6679359855C1B1B76A9985D8E6C63BB72B394BB1C9B01B9DAEC0B4';
wwv_flow_imp.g_varchar2_table(273) := '96276010E1BE57C5B96911D2ABA766FF0063E5BCAA28473B5B0378DE468FCD793B07EB74ED137BE66AF24DBFDBD4CEF8097FE0BC948BFAF4AFF829E577E4BC9C1D06D5BFFC1C3FEAB2D13A7345CF44CD1F561CE2D7C723B9301AF61B8BED5D0A4AFA6949';
wwv_flow_imp.g_varchar2_table(274) := 'D8C585FF000BF64FCB7A2E68BEFEBEF5CD95EB21736B7EAE742B42B6CEADB677AF521DCB9FD59EADA46CD40590C256D38AB2C687041B6C9616205AE47973DEB9B6FE84E8CD3FA2AA6F60D9835DDCFC906693A6AD0DD99E3FC1341DCA4C0DC0F70C596C9B';
wwv_flow_imp.g_varchar2_table(275) := '5FE4A68DC58EC6C3D6372E28B722CB786ADE8A7D3C914CCE944F6C8DEF61BA656D151D4B0DDB344D78F10834D8A6BDD86C7AFEE4FA6AAA38F00C1312DC5C0F5272727714EED4EE05068CDC02E4AA73AA8792EBC4F68B772D0507EB34C5237BE66AF221CC';
wwv_flow_imp.g_varchar2_table(276) := '31CDE52507FE68241E23B579374F29F37D2EDA98CEE2C639C477E4B438BE1329EE888FC5685D15E712BA86B2595C308C1C98187ED38273EA695D4BA25EC85A4F2CC98B0B9FC30B98E3856932E7F2543106DF2C4FBFE0D5A7411CC41E373FC9794CEE81A2';
wwv_flow_imp.g_varchar2_table(277) := '67F805DFF7AF2A5CE2EFA4C37E08DA07C8DD79512E67CA1AA1D8D1137FEC5A7A51B7A72B5DFE316FFA6CAB263B7A46B1DDF532FF00EA5CA0DB25FF0019C5F8AA566629E31F61A80E8E49E7A9C549FB271BA9FAD96EF214D7E93478A716906DF7A7564333';
wwv_flow_imp.g_varchar2_table(278) := '5FD28CB6DC4B48B5CF885CD95EB21736B64AC973A1732B6CEADB6F7ABD18EE5CF6ACF56D2D96AB908ADA21190EE46FB965B961EA45ACDC886B973AB9B6EAEC47823C13B86B29DBC6450F283C81D175EDCDD1B1A4FE051BA14F514F216E211C81C4762D1F';
wwv_flow_imp.g_varchar2_table(279) := '5DA568AAE3A0B323169187DA5A18B80FFE5F60658DCE58BB134340FA1A98BAD62E71FF0064C7BDEE240B926C145EFA8BDE50F6AD17A23415251D5453BE482ED6E01ECDF25A2474344553BC583F34DFAAD047EDCA07E0B48C845B42528B6E2E95C6DFE55E';
wwv_flow_imp.g_varchar2_table(280) := '50BBA14D471FD973BF30BCAD7FF59A66FC307F32BCAD93FB69ECF818C1F915E53BFA5E5055FF00106FE002D2F51FACD315A7FF001120FC0AA8774EAA67FC72BDFF008954D29BBA08C9E25A0A6306CB437B85913ED227A894F3EC3BE4A63F5454FC2DE214';
wwv_flow_imp.g_varchar2_table(281) := '9EF33E69DFB560F9A1FB6FF294CFDA3BE4A1EB73FEE54B8AE1BE18F72C56C14A5DDC1CEFC156C9D0D1529FF05DF9AD307768C78F0637F12B4A323BBDB0C7B5D27CEC1E195D54EF7E92A26DF31CFB9C7E41AA30CC4FD2F1784523CFE4B44D2BE175469092';
wwv_flow_imp.g_varchar2_table(282) := '78CDF1471C7C99F9DCE15E4E42C6BD94557626DB52E3FCC2D0CCB08F44BDE7F7F673E1D6A1A6DAF318A36BBA62376D587C946D6728681C584D81E542D1921BBF420776E2693F785A2F70D08D1D40070B9BF82D06E2E6BF41BAE0DAD9752F27AA3FB15E3B';
wwv_flow_imp.g_varchar2_table(283) := 'C81F9AF25D8E6DF473DBDB8B77F997936320D9ADC4625E4A039BEA7C03CFE4B408FEBB87BE56AF27217D9DA570907DE05520618A96A992E119DD415CE2E92AF09FDD0A986EAE77F02675561FE047FE647F0A7B4FFC437F853C01CE35329C8C79F72A591B';
wwv_flow_imp.g_varchar2_table(284) := '66B5D7ED09EF7E216B20DB6254CD3B4E5A3EDFAE0A83F6EC54AF06D335078761CFB94ED9CF32EDFC110C175D88FC913BC2ECD796E4D4D4DD2FE48E99D16ECF922EC3DCECD3A9EA668C8E8B8845BB8D93FDE28FBC50E286A1A8F502A520DA32A7FD9953F0';
wwv_flow_imp.g_varchar2_table(285) := 'B78A94FB4DF9AB1FD6B7F14DFDB7DCA2F7DC54207B6A0B1D9FBD35DD1A7BFCCAA871D9A071EE8CAD2AEDD4127F05969A399A67307EF39AD55E3A73D3B3E29822F6BDE74A520037D9C5CA95ACE51DA4EEDBDAED85DBD68A91D87CFAA5DF0C6D1F8AD0CD79';
wwv_flow_imp.g_varchar2_table(286) := '6E0AB96C7ADED66EEE5A1839ADFA3651C4BE579FC168B6C9862D1B4C7774CB9FF894E80D9BA3A8D9F0C6DBD94AD0CE4A4C1BF26B183E640CD69295BB1544E26DECD3BBE5D6AA1ED01FCA1C2EBE72388F95CAA6A86B1B6DBCC1BEE03BEC9EE382260EFB5F';
wwv_flow_imp.g_varchar2_table(287) := 'F92BB4472D2678B37E1072EE4E9098D8E903315C6400EFDCAB238CC593997BF5E2EEBAC2E7628DE19FC455F6797D9BDF09E3C53647177F958D29F3B259218E618580B9AE073EEE2B493B17A83C927A46C3EE5A41E47A946CC87B56DCA61230B6A196C209';
wwv_flow_imp.g_varchar2_table(288) := '0E277F585369999D2BEB29839AC00E78010DCBE69AC003266B40001C2E69B9E299917191FF00E27F251B9D88D1F501D2CB250466E347477E3854988BBCDC622733845CA9FF006654BEE1527B853F81478228FA002671518F6946137DD5FBA9DC1489BC53';
wwv_flow_imp.g_varchar2_table(289) := '72CF536D7C49A3DB4CB9DA4DB66101D6134E5880EF4DA4F280D3B9DB155116F8B772349E505732D6C4FC6DED0E45DED2B7B49A37DCA6FB8507DEF0BAC13E277FC29B7727F553FDCAACEEA73F255F86FC8101561B12F601DAE4ECB1D7403C5411E1C7A4E3';
wwv_flow_imp.g_varchar2_table(290) := 'CFDD175A2E3385FA45F7DF9316847BF099AA4F8596860E78F369366FD292D7B2D12D0037448C5FBCF2568AE4A22DA28186FB5B25CA4830F2104405B3BC633EE558C92EF96C3F75AD53CEF90F9CB8E4779CB3EE53B5DFAF95C3B4952CB818E6EEBF5EF50C';
wwv_flow_imp.g_varchar2_table(291) := 'AD63F1DC96819F62A88A3CB71EA400709A319F590A391C5CD3C9DBB82753CB898F07EF4D94026121BD66E54425B318EB71014C1A1A2390E7BED9A7BE91F279A39D636B1DEAADBFAAD1CE6DFC16916DF0D2345F895A4A4DE216AADBDFCE626F7354BED579';
wwv_flow_imp.g_varchar2_table(292) := 'F06A8FAEB653E36545ED3E4777BCAD1B491626D2871BDB3CD417CA9231E0B0EE634782978A9AFD329E7DA28AE2870D4FF78A9BDF77CD54FBEFF9AAA68E939563CEF2AB38FDC8697A92CA8A8C0DB5F2B5CA6E8CD2F59462612085C007778BA0BB114E4EE2';
wwv_flow_imp.g_varchar2_table(293) := 'B8B94237CA151337CED5A3D9F597501FD5D3C8FEE0A668CA81FE2B4949D0A503BD69697A550C60EC174382C97EEA3EE2CF72BFF2013DDBF164B76C956BD81CF25368FACA6AA8DA7144F0F1E09BE57E84A7D3140DC7342CDB68DF65A2B4DE8486AE7E5394';
wwv_flow_imp.g_varchar2_table(294) := '75EF63C168B96E59CAFCD521070D4B9B6E2B1CA591D56EEC0A7A30419C1BF62ABC18F22AA403869C15A41BFD4C2A8734B64A324285EC0D768F3606FB950F5D1B8782A29030607B70F05447DB7F8AA62585931696A6137F384FD9E4A61DAAA9BBA40AB9AD';
wwv_flow_imp.g_varchar2_table(295) := '6D8E32AB6D9C4AA86E6D956ED0C17BF5D95613D14FE4C67B5DEA43D29BEF50B5C0BA4BAA373AF9AA06FD5DD5235980402CA91BBA9D9F25137746DF97A278A7714EE29DC572BD2CD346E6AEC40F52694135342086A662B3C2A76F054CDF6C2A51ED854CDE';
wwv_flow_imp.g_varchar2_table(296) := 'B5E684BA29709E3754D24B2492CF89EF389C6FBCAA41B94437353BA80552EDCE556EFAC2AA5DF58EF9A95DBEEA5775D94CEF68AAD8CDA395C16901BE62AAFADFF7297ADA11F723FE147F747704D3BEFF00354FD719F9954E3FABFF009CA87F603F8AEA2F';
wwv_flow_imp.g_varchar2_table(297) := 'D8B5347B0D4DE0C43DE6AD23A09CFF003699981DD28DD7C2E4DD12D746FD10F0D71279ACC66A82A5D81914CC273B16AD16C71E51EE1DE0AD08C7BFD7E218B895A1EA8C65B590BADDA151C903AD50CDDB814E86391A1EC39DC66848D18DCDBA6B49BE12A1';
wwv_flow_imp.g_varchar2_table(298) := '3EC35539FAB0A95DF541519FAB0A89DEC05467D90A94A87A8943A9EE4FEA90A986E7AAAEA72AD1B9570F61568FAA5583EA4AA91F525549FA877C9571FEAB27C954B3A503878278DEDF40208209A9A86A1EF04C1ED8508F6D538F6D5337DA0A95BEDB5538';
wwv_flow_imp.g_varchar2_table(299) := 'F6C28FA8947AAEA62AA8F5AAC7FB6E556FF68AA97759531F68A7DF33ABB10E087BA89DD19F9294EE84AA87DAD0595475968446F9FE4A0F6A425510F62EA919BA06FE922805DF206F7AD070E4C6F2F52770BD8055B3DFFA287F17FB291D7C7A31A3C42DE4';
wwv_flow_imp.g_varchar2_table(300) := '53DBC555B0E53BD9DCE2B4945D1D2D3B7ED95A7A2E8E9B93C485E5245FDAA1DDE02F28A3DF344EF055AD8F9F6477EF299ED44DF07AA37DB142EF020AD16EDF8C7D95A11C45EA40EFC968692D6AC8FE6B46C9BAA59F3548FDD28F9AA73F581427DB519EB0';
wwv_flow_imp.g_varchar2_table(301) := 'A33C1447A8288FB2143EEA80FB2140DF60260F64282469D80A384BAC1104AED407B6A31F58A1F7D403DA500EB0A06FB6D54EDFAD0A21F589BD44A7F50552772AB90E6E2AB642769CAADFBDE54E7DA521DEE478A09A87057F653DDF5654E7EAD4E7D9523B';
wwv_flow_imp.g_varchar2_table(302) := '794D1BDEA95BBCDD5133EAD53B7744146DDCC0983DB0A4A93863B95A49FF00556EF5514B197CB2345B866985CE02339140FB0BF7540F8EF202D3C144C170D2553B2D91CD52954CD02EEDEA948E9AA5FDA054C7EB4280FD60517BE109DAE3CA8681BC94FF';
wwv_flow_imp.g_varchar2_table(303) := '00289D3BA96A439AC796DDDD765A47464FCA32389EE0BCA237B45F25A7E471C58D6941D2322AD172712A8E254E54AD4FEB4EEA4DC200DE9EDB66A6C56123878AAD89D954BFE6B4ACF88F9DDBE2CD69485EE692D241E0B49C7C7C1C42D2ACB73930FB7FCD';
wwv_flow_imp.g_varchar2_table(304) := '6948CE75337DC5578FEB1F362A9CAEF88FCC273B7B187B9EA236C50BBC082A840DA6BC782D14FDF3596849AC0D6C63BCAD1123710AF87F8C2D0B4AC70F3D8C9EC3754D339DC9BC2049E750FDA2DF9A767653BB71554FF68AAA7FB45543BDA2A67759521E';
wwv_flow_imp.g_varchar2_table(305) := '29FA87056DCD527547F729CFD51552EF6154394BD6E4DEB2A9C6F54CCF6540DF6142DEA0A1AFAD8A0C4062365F436929299D20230B5C0F63940DF6D44179DDB6AD7516104CCE54DD6E71F154677B1510FAA1F25041D065B579CC65B7FB9434E1C461FE15';
wwv_flow_imp.g_varchar2_table(306) := '691CC41E3A933DD0A23F56D501FAA0A97F64152BF7C6A94B6D8152A87A9C537AA52A4C430CC54DA1A8A161AA38A51D10A5114B82AF93CCE4B48728FF005ABE7BEEB4DCB7C13023F78AD2ECAF744F6E2CF82D254D1B1CFA4658A92A29F179862CBA941249';
wwv_flow_imp.g_varchar2_table(307) := '2B4E8D7DC70B28656DDB4F237B0B534920017ED09CD3FF000F75C9B4834A54477D33BE4A98EF8DC3C15276854C7EB17237E4A7B5D389271DEE9E9C9C782947B0A41EC2907B254EDDD882AC03F58F558DF68AAC6AABB8D8553C9E4C552E53B8F48A90F594';
wwv_flow_imp.g_varchar2_table(308) := 'E28ABAEC4EF70A90FD5A9CFB2A629E78A1D6A11C153B7A953B7D8510DCC09A3D909ADEB4CE298D72E0D5E72FCD3A9ED814E7DB5530BDAE64CE691D60D954D5CA649A67C8E3D6E373AACBA0B61BAC5965AF9B7AF597F7AD91FA2E56B206FEF2E534A91BC3';
wwv_flow_imp.g_varchar2_table(309) := '061013C1D9242AD8F755483C569480EC55B82D251CA1F89AE37DEABAAD8D64F1E203823490725E6971DB65A3CBE473A1C25DD85793C216B64736EB4256BE59237B48BAD152753568D7FB2D5A3DDEC8540EF642A177B2151BBA8288EE29DD4F2AA9BD194A';
wwv_flow_imp.g_varchar2_table(310) := 'D203710569369E82D291FD4955CDE95338F8295BBE9DE3C13BAD87E49A378FB947D8A227A2143BF930A12D23920A2F7532FB933826BBA947C1403A82A51C15235530DCD508F6420EDC13DC994EEB1728589877293A9AA69DF9A3C9A7635B3A82E7564358';
wwv_flow_imp.g_varchar2_table(311) := 'D572B262E6DBAF35B3AF9B7F72B55396C0FD15A69653BA3612BCE748D43EFED15B4A614C2A0C4793F794D24424C4D68ED2A8985C65AE6000F575A8193B9B0498D83AFD0E46831F5CAFBA737DA2A606C262AA68B00BE22E5A49CF68108CCDBAD4C37B5716';
wwv_flow_imp.g_varchar2_table(312) := '9501DEA91DED854DEF854F26E7054EEE0A99DD4D548EF61AA89FF56150BBEAC7C95049F56D546FFAB0A86470C4C5A16267FC305A33039D14784F62F347B8595976278DCA55329D4CBCD9CD04E645D17E77555EC62F92AADCE91CB1DC9285D00B25C9BEEB';
wwv_flow_imp.g_varchar2_table(313) := '13137336596BE4A4084F18B228A28A283702698826F14DB6F431EF40B02082BC6E56AA2B607E8853686AE9BADC2C117CAF3C4ACD54CB43051923938FEF52116C653DDB812AB6500B69A43E09F13DCC736C46F08A26C17214B4F1FBAC0839D729ADDC150B';
wwv_flow_imp.g_varchar2_table(314) := '5FCE105C15233A111F9274F3B18D8AD7ED453D396EDA52B1BB3215543EB5555B372A866F24AB6FBA8FACAA5EB942A2711CEB55339C0630A17B2E1CA08A175DE1452C8EC255CFA013782601B93A4AF9CB4E4D38478295D49138937EE55B1DB0B6E10D214D';
wwv_flow_imp.g_varchar2_table(315) := '792300AFA3AA3003914EBA3D7AB1BEC8B59709E4DACB2D65EFC93DA334104350213987252865AE9E9C9C2408B5A883BD7EF2E51A7358A6BA007E8BCD740C31F5BF357714C927898E360E7004AD1F4DA45AC63CBE26F48F6AD1A308668E16EB277AA88DB8';
wwv_flow_imp.g_varchar2_table(316) := '218628DBF0DD690945BCE081FBB922E71713727572D5B4ECE2E17F043352BAFB402C2DCDD751492BDEF94ED1BAD1D174ADE2568E83A186FF00BA1473CB818C28A26F9AC7D27A0000B2596F5238E511B6599EDD4640D18AD9A8C6FCD066E53C66ED91C3C5';
wwv_flow_imp.g_varchar2_table(317) := '693885855BFE6ABEA6F8EA9E7C538B8E4E71596D0B2637DA576DC15BF3253BDD5271010860964BF45A4A33D4B1A7DA767F9A0046C04FE49980134E136081DD160B7142AEA9EE06E06E5CA4B65C9C25CB256942E6966B2D59AE7826F23708A3AC841E45D4';
wwv_flow_imp.g_varchar2_table(318) := '78146103D4B3561B9171BDD145A16DA75BF438E4637890B09A6801E8B42DA535493C936F84292A0BFF00777A8D8072952D0A82389E59518DFD5ACAC556F79F619F8AC2C253BA9A9FC8BF074AD92AE7F4A4FBD3BDA95528E94A4AA68CB8C633DD7435E7AB';
wwv_flow_imp.g_varchar2_table(319) := 'B11478A6B779437841347B4B24701B6F525F6A54C1BDC4A8F7E1432CB72EC45158294460F4DDF705CE4927BADB0EF3AAA206801F92A99C59D21B705728325057290E1D5CE85CD2CCACB566B9E0AF4CB7FA192C2538B77ABFA592E75023F43CA56C5C066B';
wwv_flow_imp.g_varchar2_table(320) := '97D252E7BB259A9A844DC991B6DB27E7671CD4D29C9AE7155726E88A929B0E3EBD78692493DF77E0B9368CAF752969E6FB954B88DB013AE6F294C17CC9BA8C7B0ADB86AEDD59A65C0C6B091938E57F9A94DF62CAA091888013AE7723D6F4CCD346E1A8AE';
wwv_flow_imp.g_varchar2_table(321) := 'DF4B22B95ACC1D518B78AC14ECFDE38BF97A2422ED56942E6966565AF9F6AF55599F43259AD9F4F65738B2FD0F26DAA9BDD62E56AA677172CD50B34646E0EBCEE3F251431B5ACA604DB795301B01ADC95538FEB8A73CED1BEABAE468E999FBB73E2AC99E';
wwv_flow_imp.g_varchar2_table(322) := 'F0F41D7192085B24F3ECACB530756A28A3A9AD1728385D31BED28B8AC2379CF8EB6B4D89CD38BB6584ADEB03493B80BA7544EE3D6F77E2863B0DC32F97A392CF57381736B3F43D61ABD50F72CDDE8E6B67D3C95A4597E87CDB42D43BDF589E7BD17BC003';
wwv_flow_imp.g_varchar2_table(323) := '326CA786664320C25C153B6E64A91BFA968D65AF89C50C6EB6EBE5AF96A9819EF382B2612060253ECDC31853BAD9808B8DCC85068363BD3501D5A8EB61360E41009A0FEBDAD1D6A9DBED5D0F66355331B36C14AEE94C7F041627762C8A71DEF28341B759';
wwv_flow_imp.g_varchar2_table(324) := 'BA17BEBE4A91E2F9BF655E62EF745FC56D7A160B259AC973816C7A3EB0D57A3F05B47D0C96D2CBD3D9569165FA1F37D194D17119ABB93A291AF6EF69B85355CC6491D77299D6E6C9BA373AF358EB5AEF7013A9A370F4827622047E29AD1B4E0153B7DBBA';
wwv_flow_imp.g_varchar2_table(325) := '8FD96129CDE846D6AA97FD65BB948EDEF275979B04236D86A24D90636CA53BA1B7C454E7EB00F845D1C39B89EF4100B25CACCD67537F12B938CF6959FA3BD67AB6C2D91E8F3ED57A3F05B6EF4325B4B67D2C4554CCCB88CA969256E216BAC87E83949E36';
wwv_flow_imp.g_varchar2_table(326) := 'F12B15408FA9A166A93149E71EEE5DEA380CA4C21D7DD7552459B668EC09C4EFF42D1CD271D9F92E2536F6BEA0158FEB5A0286324F285C87B2CF9A9DDBAC14D26F90A77144E48345DDBD0690E1D6AEB8A1D5AB036E779D76DA2835A6E6C1403767F7AB8E';
wwv_flow_imp.g_varchar2_table(327) := '811DE9C8A2880517C8E27ACACBD2DEB6964B6C2D80B7ACCEBE79AAF447B96DBBD1B396CFA598DAB294C230BDCAEF0C2EB90565FA0BD4E2F75A4AE5AB6775FAD67E9E6B92A280759188F8A00171DCD6DD11D1629CFB5652BB7BCA3C75F5EABA2CDA70EED4';
wwv_flow_imp.g_varchar2_table(328) := '5D0B8DB72B6BC4FEE451E09CE22E11E08BEDB21590F42CD2B6B567E8E4B3592E71A8600B7ADB3AF9D6ABD19EE5CE3BD0C959C8B42ED5DA826F14DE2B0EE7AA80CB098D93A692EE75FF0043C8D1564BFBB645F24878959EA7BF734955645F913BED9A8E38';
wwv_flow_imp.g_varchar2_table(329) := 'EF2D646D3EEEF3ACC92C6CF78808343470164594D25DDD236D65D904EB6FCD161B1F439475CEE09A46E4C439090766B2F2AD640F5217DC9AD43821643820821AB0D82C588EADA597A192DAD5CE3573616F5B5AAEB9C6AF53F05CE3BBFD22359E28F14EE2';
wwv_flow_imp.g_varchar2_table(330) := '9FC53AC8B8FE87CDB42F6BD5CA6F2ACC5D1C42EA923AA69A765D8DE3D6AA7090DC2C1FBA14EF22F2BCF8A7E66C756E5CA56C7FBBB486137286163070BEA73CD826C63572ADCB7856D465700108DA00D7CD49DC755CABE6B72C90035009A8F047DE56EB41';
wwv_flow_imp.g_varchar2_table(331) := '34029AE9E4CF76480637BAEAFD6B6BD1C8ADA592E71AB9B0B25B4AE895670B95EABE0B9D77A17F48A28EA3747D3BB805822A6801DCDD4FA8759B64CE5646C92DB01B2A261E9175940DE8530F152CA0B7200F501AEC2793ECA1B22D7BAC733BB3245CEB01';
wwv_flow_imp.g_varchar2_table(332) := 'BD08C6BC233EB581E48DC53E436013616DBAFD0BB5C3B3517380084602098C09BC5378ACB7A1EF2BF5A72794E3D6B93864713B8232CCD07ACA0756D7A392DAD5B6D5B016489720DCCA037238866AF4AB9E7F7FE84A3E8E1F4F94A88C76DD72B5CFCFA392';
wwv_flow_imp.g_varchar2_table(333) := 'CD49103872534D77679A7C24077A3C95145FBDB48B711EA0117BBB4A6B63CFA4AC4DF55F33A83901E93C4AE16EE5C90B9DE884E09E7DA4FE29C7DAF4AEAD0865FA456D3DDC3F3D592DAF4725B5AB682B3020E4C1D680DCB12DA0879AF82E7DFDFA8FE9BF';
wwv_flow_imp.g_varchar2_table(334) := 'FFC400271001000201030500020301010100000000010011213141511061718191A1B1C1D1F0E1F120FFDA0008010100013F10EA13B257AAD20CB03A11D1AEC37D344C5E316581093026496B618AE62C10DECBD2B9A8CDA23AC3205501B40F64436C0447';
wwv_flow_imp.g_varchar2_table(335) := '129B1D00ACB0855882308300666255AA618A999448BA4AFF0058FE097E6DA5B371E66119518F020466F9E54B1C61463C9644C08410838B4C4D591AEEA3620EB301D4222510DB94BB2D05B604AE8648913A33340CC0890811217E850BE2230ED1E0241E26';
wwv_flow_imp.g_varchar2_table(336) := '8F434079944C40ED8D6A189E278C4CCB99616456384F43DE3014AB3AB0570F626DC84165505240CCCA983D1694FC583F32241E23532C9384B6E53E2CB4E2EC57997ED00BC41B0A9512D3CCCE2DD02470664D3A677A7F2E7DB8905A9502A63F15DA5A667C';
wwv_flow_imp.g_varchar2_table(337) := '065318E45195259069B4A5CD78D4A7BCF135CF8733455F0DC777FF002495886622DC004FC889354D19A496A5DEB30E8E9A089D3A0CDC96364A4C982DE68900608F7047A2D7B911BB05D46086908DA09D195109848F3D60B88A33F1A327C929BC453443F6';
wwv_flow_imp.g_varchar2_table(338) := '870CBCCF537449B30F12FB8F7A3895E88E9778B9496ED161ACC47BC1111F88DA1B47304092AE3134FC06165C3D14882587BCDC2E003BCABAB79210FF00D1FA8196A37810F86E0E7E17F78B1395D45E4A60DAF79E090EC26A7DEA4AAABE4C52BE063A1598';
wwv_flow_imp.g_varchar2_table(339) := 'B10FB7CD2540DE1030B4E73B433EA111B77847286690CAA267CE5A47B2F3560F5865C58C4F31F7876A050B5881C68C2538823ADA2F5461D265D7A6C358D91B8FD330FC93071B214B0C6299E15E142526D996CB933C0D92CA047DB0BA28C305843BB45C62';
wwv_flow_imp.g_varchar2_table(340) := '76A5577482BC5186175F98CBDA9AC8EB4A8C758BB71C8A532CDA8DD47EF1F0586BFB582821F1FD9195847C66E2D2865B0A86AAD59740EB22C36BCB7711D588A52F91116D4E601E7FFF008CCAB5134A50FB040E2C4F702B4EFDF9A8443BFF00E3C8517FE2';
wwv_flow_imp.g_varchar2_table(341) := '3A14153B98EF8308647FF12252972B457E4D60FD0FEC984ED5F95FBE96FEE80FB0AD7FBB866954F8460280028221B446E0DDA0B32D104A1BC50220DA3DB1653D045199AA304D49D3A19961CF5097D84BE40018EFCD288C8C6BE15F930991A184473869F8';
wwv_flow_imp.g_varchar2_table(342) := '84B640D6B68DEAE84D92640271E2B5403E380C1442DA94100EC0BCD4DD1A888BC355349BBAD410DA1230D391B6BC4E65381A363A24A2EDEB82A1C8C681985FBCB4277F7B7F62982AAE6E19EA88F9C54253B0D2C022FA86B2D0E8FF003A5440AE142F5369';
wwv_flow_imp.g_varchar2_table(343) := 'E0CDA2FE5A2F17B0956D8BD6A3E8C027354FEC5868094B140AF50D7961E256CBE8E9E2240D540F2CA2BDA8F79679C2F0FDC31E544EE97F6B2D14EE313E633F1025C79895B5E9B688A3EEE605E02777F926039346FC94385B1B7EE34B4769FDB91BAB3E19';
wwv_flow_imp.g_varchar2_table(344) := 'F01326073FAB81177F7FEC27E1417F118683DF1D30A3E6BAFA68B87172BC23465A9648D1172E94FCF3A02BCF1195917450BC0961C07B595133802821BF14BE4A60AC5280804A76B686D20F71D8A4608D1D0132AB5877AA60D94D5A70CDFB2473BCAEE353';
wwv_flow_imp.g_varchar2_table(345) := '344E2CDA15E33B107485E81217AE4380C7D14B2A085EC41BD10E0D2D35E610AAF47B1E72419370B4357825D96D95A290B2F510877BACA314452C0A9E28836AAAB5458F0A696276DD343CF198669373FD89136C834BDCDE882A0DD43C21E4DE35476CD6F8';
wwv_flow_imp.g_varchar2_table(346) := '60D03B96E7DCAB9E17F6D59AD0B902ED4A5E8C803BEA206EDB67BD40A4D3D9D7C5A08534DE1EBBB8D703EB1193CDFF000521C7E5863ECB3C1EC8FA8A8A22508F0996A2C6D587C93F26823FF78FC303F023FBC634576109F370C41AAC271B3E481518D758';
wwv_flow_imp.g_varchar2_table(347) := '9C0D9440C480D51A1562120C0CB5FCCB9435EB8F1814B33E2C30DC57D499F993E832E1198E2883F084C06495465350C1D081C455CE82DA12887646C8C67BAA3C1843A0423CBA32D7A6450F0C49140E0B3BD0CD1177C04C9094D641868946BF12E2432528';
wwv_flow_imp.g_varchar2_table(348) := '91090175A66B65DD1CDD5145248A9C2761A601EE460006AA7B5BA8E6865B466DF172FCC05097EF45CA48E85E8F3A48B6DDBBBF6865E6EEE7E98BEB5CB63EDC61C4E96ABD420DB6CDBFA8C79CAB0608A173AC18E46174EAE7276D1CD4BA40AC99AEE865B0';
wwv_flow_imp.g_varchar2_table(349) := 'AA0D73F51E524DA5E5AC01B70833E0198767BB11C0395F48E927FC061F08B753ED25A7FB56238F5E3FD142EF7FFB12D4BE0AE35CFF0085379BD301B460FF00EF3CA2F7CC0FD9CB3B33FCA94B66BBFC4099FC02F226E32D2AAE1785F4EB116E232221C602';
wwv_flow_imp.g_varchar2_table(350) := '0C04450A95314B2752F2CB67C29206914BF6992986BA4F522CF221AF2CCC830CDB357A76846F0428E539D40CF1CA21354430741688E8D9030E36ED0966B12FF786F31A0D237588D4A6FC3D4DD4ADDB5463662C54B0D2324075280AD41C8044771C141949';
wwv_flow_imp.g_varchar2_table(351) := 'A2392000C5B928DB76098E92DD3DC56B7D82D10285A5403859ABEEC0D1C09EE58D166241F25CCFF794FEC98044DCDFDA4FF4B3F11F895FE4223C368046E86B66255F01DD1F892746DD53E32185EF2A0A5C3FF1E2014EEDFCCC64447FF5DA96B4BDE82FC9';
wwv_flow_imp.g_varchar2_table(352) := '179AC6DC5988A14148D13DACC3212BFB2AC344A6E97B4811080DD373CD383094549F51860F7B9AEFF04453D9146EDB23A46724FD4C4824B4D9577D23D6C62EDAB6CCADD1ED06DFB22B86E6159B1F72A5184557F931500672C895E11A02019856A657282E';
wwv_flow_imp.g_varchar2_table(353) := 'E5705442315BF78336C2FF00126430538F599331F1223DC998EF1D4CFA59B2AF1A61D0D944A66A5789D2F870A271361030747B53F0881D48AB2972A66FB971521F97D2D36DD0EA4F0EF29A4518D750CA6980AC82A4D862E4355E8C2FD233BCB9CDF29635';
wwv_flow_imp.g_varchar2_table(354) := '1F9D2CE6100E232FADC5971C28D19CF9977EF12216FA81FA85D0FF00D9C12DAFF906120676344FCF1610DC7E92019F8A4368794FED82321EE9F99D459CFE2A192F55A86DD34D47190E21B9802EEB422A62A6F6A81E63C4A5773C0FA581AED368DC659D18';
wwv_flow_imp.g_varchar2_table(355) := 'EE615D6211D62B5152246443206D978D06588B7A3DD0E6ECCBC4C6E0B9F251E3EE876F795B51872D4C0E8EC8948CA148ECA95913741F3EAA9C74018E6E69C5C7FC9136915F3473EE5E7D9BA364F10AE3122F250D46516BAC48F5669265024186CEAE602D';
wwv_flow_imp.g_varchar2_table(356) := '03815B34A2A92BB366E34D466BCBC545FB66250EF50A996D494ADAD1A12DBD1BD21ACB7FD6D1170099209683219398DE415D96C5B6732CECC2D61AE6BDC74300297A0EF3FF004A5D550CB36307D91E52704FB13FFA9C9CE7E1B77CE9D7336F674558A189';
wwv_flow_imp.g_varchar2_table(357) := 'E57A0295B115B1DE3B7A8A5A6D74749550E0D197620C935B1005A70888A48224105581A56FC4A404D975479B21A61A47D2A3C9735850214706C7B4C02276B70F418D3E52396F01F7461F6C2DC0CBE84B8055D880E3B6ACC684C2E84536DA483270B5997D';
wwv_flow_imp.g_varchar2_table(358) := '16B662B3298FC1409886B65845F690FDB03EE61CA2D51187117D4E986063E6110430431FCE057A4E9EB8C47D20CC27EB1CCD09B2317DF733408C7755BB67C5073808C74746BA78898A86A016400D39A083683B8CAC2C2B4C458D0B779418BD60C4172C90';
wwv_flow_imp.g_varchar2_table(359) := '52B0C34A6B186C70BD8B9E2987D1F7AA8B486857486039D2EEFBD5B716B84AA5D6A895047372BBBB88F976BE4CCA9DE210977ABCB32255D494B72B55CBC306AC43752124FD8DBA66B56008C11A3ED60067469031A8848D87ABC38221BC0E628CEC024285';
wwv_flow_imp.g_varchar2_table(360) := 'B600E59808020ADEA5905B92AF9C4BADB030B030BAD8DA09E6E6A509DB4A94C7227294C3A6FF0008BE2B59B80CF0B34F09345645FE502C8AACA8B03EE3C69EE53ADD6202D53EAC3211E9382153FA44DA1B83D7F013F80647F657E23B11434C0F2C3E7E52';
wwv_flow_imp.g_varchar2_table(361) := '3C6A2022B1BC08601B957A4851A656AB718646A332B4C08B263CD2D19DB289674E742C306F3987EDCBFBA0B60C74C6CF869489A82588CA6A62B46698BE31132AD94D2542314316A29DC306135692E7DFF89B779A5BB1009E164F8C37DF4349E60661CFBD';
wwv_flow_imp.g_varchar2_table(362) := '990CEFC92BA0569A824C09D28A182B444778867F1A5E8A48071942C8E0C505D09468A578B20B98EB3A2A8B23B509987F90983E5070D6444EBB97880C5B923161806C9D1675D9A41F103634EFCAC27C5CA8AD8DEA2056AAF732D972D7304E9696A686E45D';
wwv_flow_imp.g_varchar2_table(363) := '6CE21E4BD83821DC0A8F45DF3728CEE205B24BA6A51F4008EA5C9A39281C220CEFA04582328D3089C2482C0AA467A27F44D740769BD991CDC063A85CCB8C1908A55A2B9A0525B3279DA6331C157D874969ADA05F15F8418C043904206B58F45BA55A5211';
wwv_flow_imp.g_varchar2_table(364) := '1BA3264870CC5C9ADF31C935227B8ADAF4CCBA8B78BFE3592D40A04B61130FB20EC572230FF322EC932CFC2C023DD5F0E0D6A06F3264280B90C71060F13EEC7E83A766F40E1FB93ECE61E7664820524D11AAAB2403862A7311A841A0129AAD706C307D72';
wwv_flow_imp.g_varchar2_table(365) := 'A870C913A864DBB1C1ECA96C82FD35006DAC35170901429A2ED058D3110156763F58C28416AAA3FDC3557282308F7DFF00AB0EF4A73152FC93B844A76210A51C20C1687EEA11500A00A023A554109A8055D038A948385C0156ED06521A606E5726C6620C';
wwv_flow_imp.g_varchar2_table(366) := '84377CF1826706889EA26492A3603B20F66982B09754B327058CA3507456A9A6B63728B7EDE786D00A20B12AAC51E21804946E865295220C25937D506E976D6A423F70F93EED8BCC26772A1DB68C494881B215C896FF0048E8112722F60CCB56E056AF21';
wwv_flow_imp.g_varchar2_table(367) := '5E56AF4239B60096292E789F1ED1E844A6DC01CA649EEB22D6D97DCCC7B1850086D6E44402DD9AF16A63A516DE5089F13DC6119A15C726751F9F2D9EB47785E9A4E87180BDBA2CF2434F889D08A4EC1F19F0E6267295E8032C825E5A27AA4CCA08F3704C';
wwv_flow_imp.g_varchar2_table(368) := '88C0B975311A878705765DC25B7B3087E582382F7CCAED821664D4CB1030E11F7C58B5217562FD0656D6DD19058046BD450FF46BBCA4B0E708FB4255EAD9082F62E02D65F4687E27F195C4A5BC57943897854ACD65AC405BA477BE04406EE257739C16E5';
wwv_flow_imp.g_varchar2_table(369) := '82AC0E85BE19A11574DAF116B96B102FA0B4515A5E420F09DB47826C50D1DE2F98ADD88DE223BB1399C822BA8442808F62FE4E3E425B4A9AF30AEEAC03C5C328D8625032C6C74C6B5CA6A47649F4944A8F346FEB1FBDD0B73E8824A63E58DE4E63E69641';
wwv_flow_imp.g_varchar2_table(370) := '22172E3A76730B63AF3CBBC10266B02BE29F873159D72B0F10E80C631A487A979669330D3C4622F2618FAD77042EA280C6049C06FEE30BB21FB974D5438AE5DB73646B49034575860ADE3206206C2EF88E75836A9E4315CA3CCAD34438E565397ECA72FD';
wwv_flow_imp.g_varchar2_table(371) := '9B7297E82C03819D84BF69417446F822D8EAF32D16F11EB97408E188E18DD573992C7787C153D30C0D718D6AD7F652441405CDC057C48E9F884A82337254BE0C0A0022F004CCC5147BC37E931F2C620CD40910BA7F2E1BE5C545DD8A0CF454A7D78BD186';
wwv_flow_imp.g_varchar2_table(372) := '0AF2C47AE2B353EA87E13E0CA0C386974031D5886268A31FCA2A27291F538A402966F6917DA636F444EF0612E702D868FAB63580C7E95F577A8725CD4418E8209CAB2042C3F854CA429976BC2B889A820C5E973584E22049477947328E623684EF15C805';
wwv_flow_imp.g_varchar2_table(373) := 'A00C3697E04D263842343588F31183A30D35A3A605BB662404B6DBE95BCAF6FD5D15C8D7983949CD2FF31303E4188807A985334FA01632E17E2A53D45F73535055D2C957AD895699D6070AAD431116779699579253064C5CC22FD60FB467B72AF3CD5973';
wwv_flow_imp.g_varchar2_table(374) := '1459F898FEF31F0C7A423CB3E74BBC99641DF8A7C9984B38E84B251D12E648C8AE58E98C67E92D6D1FA18C6142E5162F80955CC57193280302921374A3F2C2B880295FCE81BAB9B57F425FA9783E5DC008786E3AB83569CFC8EBA19914D5AD373316A5D9';
wwv_flow_imp.g_varchar2_table(375) := '896F12DE22BC4BCE9319C400BFAC50706211ED307FBB3687BC826E3195856B9184AEDD35451208CC3F646790335212C2B7C69AC4510AB53AD9B4E4D3749BA47BADB1C8D5A850A23888C9D8DFF06619A25651EE7E1A44944B1482E0089597C144E2A6B627';
wwv_flow_imp.g_varchar2_table(376) := 'C29ADE62A661E4861C23D10A92A32C33EE74789E763AF42F8B3880A6061F01A946CFB175D4E651DA7CCB848A8B97A1E23B8ED14ABBA101B7798CE553279AEB588F634047C38858A3B7BC5126CC4B1A7A8D0B557421F0355F47820CBED0751A8285C77ADB';
wwv_flow_imp.g_varchar2_table(377) := '5ED72EE4DA023BA69CC04ECA2A285A7D11219580F1290ACD163BBB30D8CC8DA86CEFCC39B8E1C6DB743EA0D118205048AE61748540B3D8884F4872BDAF4B96EECA798C1398929FF2A7840C64CB5476D4FBEA477603F6533C4AA5BC0BFEE23063708DC404';
wwv_flow_imp.g_varchar2_table(378) := '878E711736F855974F523C58A0D6D904C6707F265C091E180B456F02A2F045ABC5FE9A224624B9A0980820812D758B866EDB45506201494BEF2BF1CB57CCAAE3A6BB8A63C5916C952FE5956F29CC4B0D735F921C5071778231A4035B45E9A38B10D18D60';
wwv_flow_imp.g_varchar2_table(379) := 'B6FEC1D3660040E7D6083AC930C3C581FAFC813447A29112150EEBDB094B4C909DC0A74148902AE98AA2935724E325D858C058204A58DCF766DD2CB4602E3629B8B330DFE0E1F94865964769639DD000264A4DE5DF1426A24B5910B716F2C1449868458A';
wwv_flow_imp.g_varchar2_table(380) := '83632D8A311FE6280DB27F93DB98A5CCC634D516C9C70CA46B331501FE5D50EE8C3788FE001CA3224C68099B12EFC3A934B99DE97B2AC26CF11F3010FEA8DB51647ECA9AACEE579B2E70FF0085D5312AA5965CA25ADF88F2BF225074C9AB231470FF0004';
wwv_flow_imp.g_varchar2_table(381) := '36AAFEECCDE081729750E945D07E0405C6F0DC95792503C431042087B6305EE8C3949FF0EA6A831AE63A075118AE092E5A336B40C90B6A1D520E2E884102A222A66EB2712E73ADD2F407439A944F5641E9165413DC1FC9186A6CA69491ACEAFB5EBBCA03';
wwv_flow_imp.g_varchar2_table(382) := '7575556858ABDA0A6A6293BF331C70E3F4C350B931AC88421DFA3670B2DA1B44D650D832687742F4A99435F2E317DB0C467A8F866A7724DFDCDA203B444674D34290FF00A68BA7437E237AC44E2AF26E5A13BC0DE10864474656E23885716585FA798536';
wwv_flow_imp.g_varchar2_table(383) := '609A939BC9905ABF507469229568AAFC1BCACB186B70B1A84A84A9982FF72F66E5FAD78C19DF657B8C0D8A4309743CB349041814398CD91579221E19577D282D12F9B86F0C1D0480DC8A98868E227B22B4486282C2B609B24459A31F01806636B158D1EE';
wwv_flow_imp.g_varchar2_table(384) := 'C68487C951E2DE6703DD6BA2460D9C1170EEF0900FF30602DBE1258341EE1A38B20D0167305894DBC35C51066AEAFF00E21801D719DDA693CE007302AE4D384A7B4852E74394A88A8A2E56522B272AE12408D89848118580AFD13CAF62579B8AE9BEFA5D';
wwv_flow_imp.g_varchar2_table(385) := 'AC7FD74B98D8838BBD022611212806C714D93F98AA88CAE8186DD404563A074F6400028E89980CA5D50E7645DCDBB2B777D7FA479E8D6292C662D9D391294A37892D35D1BD53021714AAA4C3126EFB296EEF658030C3DE2C770A65DA5D4EA5EF750CAE20';
wwv_flow_imp.g_varchar2_table(386) := 'F384DA7A711A11199F30427E1425BBCA027E6CAFC32C598E5E5872D3F325DC8CA6A8164D9CA407AB8572B0776E23C59135C35E2581A4785260C614D32B4704B7FA09B6B3034B0330350874031BDE21AD320DD5DDEF06B5FB88D7369CF08C53AF865105D5';
wwv_flow_imp.g_varchar2_table(387) := '214D6602172992DEB2A6883780BF39874C8032D1496AC4C592E22B43BD327F718212CA9C825F9059552D984C66006299166EB6B8C1B3155B783B306C8118EBC983CB11851072EB7D9808499D57DEFA90D32511BD98F9629CCF8FA38F90E2C8D2E3022910';
wwv_flow_imp.g_varchar2_table(388) := '99130950AF0748D50DFF0091116C4C504EC1E4E7D4A919303B768A85700361616D9B6222625005A341B2A6756A3329822D15D2BDAA0CB62EE2C7268D23502846838460818B4515034FCBA24BC079CE67F0609F1313D02AD437E38265C044E98DF54204A2';
wwv_flow_imp.g_varchar2_table(389) := '312FAA29F912E535F9A5F78E96A2054A75CB7C10659A19A93A7B147377475BCDF44AAE202D0679449AA43813702036C100CFF5831B50A48EE4CC8A2935BA613223C2B291E4085B4D5D7025B8B204318CAAF95836257A1CB2BD8112E60EFCD82E29290B10';
wwv_flow_imp.g_varchar2_table(390) := 'E9029F71BE8BBB69B63121B26F0D49C2A2C386701311E9B4DFFCD22CFDB2B5D39074870943D543CA0C1631F20921FF00AB0F8AD02C8F5D12530E2DF929B71A5FEAA3570FB8048221A13D4A5BBEB7079A330AFBD811E198418CD0D3918CA17D3E91FF00D1';
wwv_flow_imp.g_varchar2_table(391) := '11CBF60DEAFD623BFD60B1C4CE65265BA4FD4A8C82EB4582BE43DC2035AE66165EB1213F0A3BDA5EC566F784EC0E6055374450D42AF24BD9FBEF54423832AA632E2B6C19450CA7CCC72B7CA8C55AAC1121A9B8601730C3B489CFE4418F9C7E92A74759DD';
wwv_flow_imp.g_varchar2_table(392) := '84ABF8FEC6A711455441CCA2AE09BB6623304E90C9CE8CDB7EFD8567B8BCC1A6E01F650D94282BCE25904BD60E0F850B74A3B4162B4A1129BC929CC47308005054CF912B64295993E651A476D37D89C030357572A68C5C380C8D765992120B142E8B8F2F';
wwv_flow_imp.g_varchar2_table(393) := '4289104AA53517138F7634B53A55D9AC3818C99B311CA1F10E0EF045DC699BC657A5AFCB5502CCD3FE0812591543720F8B1897BC76198FB4A4A441CDA1494D6DA250632366E2B535F9267888CB934C94111894C4F7CA866629A57694BE86E5435854C71A';
wwv_flow_imp.g_varchar2_table(394) := '23696231E8863A338681561085D8058C0AA2A6130DE880D0B1062ADE1833B42BA4B810BAD5FD8270988FCFD8A32F84B2B44ECCED93B244F12FDA77896E49DC27789DA436A8A8B4D5BA793F21D74AEB3884BB22AA970A211D3197C5D5667518828C6AC6CB';
wwv_flow_imp.g_varchar2_table(395) := '8691E22646D43447DCC2E81873CE91345AD2A50F7848A15B6020C4DAA9425C4316EC9812B702CA512EE9878D655CA3251A65970BE0FEF5FC44751A8DB70F5745A33832918226A599957B47058C778E63E1B2216220B0616D9ABC8F4274B90945218A8190';
wwv_flow_imp.g_varchar2_table(396) := '550669DE1825A4217687C458EFDF25288AA0DC03797240228ADC57509576A92BFC60E2AC3A3994DA7E1A68CC2EC4BA5798333910A3CFCB8C7754C91B8AAD96BD62C9EA553F310A48424AF5474B02DBDB1E61B8EF7BC299A0AE4DC0F916E0AE5966EC76F3';
wwv_flow_imp.g_varchar2_table(397) := '287B9D80556308CB5B66F16D7897E487550C4975C0C2319B2E738E0D16F27F681B3DCB156540A02DC5273980E64BDA14B42F46E0D0181CE0DDE56C86C09B63AB8958D9486785B2DDA3B8D21118DC2E1EC9FF00284DA03C150E7F7100D8B7BD8143CCC410';
wwv_flow_imp.g_varchar2_table(398) := '28192E932030231A080A14978CDB4554A6A022192A15E22334B29C933A6CA8B6B10796C27EAEE3D62F454CA252EDC3B9299041602033F3296502364D49518DE1021923730208209C935E77A4D5342018CA932E1A4B94254314858A03026B01BA0CBC4220';
wwv_flow_imp.g_varchar2_table(399) := '52DCD1ECB0B756428D65CD655BCBB465624B30ED055CB97EC474A979000CE0D453D495648C0B185962EB329B2A3490AEBCC82A9DAE0B8869AC18970996627C43F58310882ABD12E0115CE2C7E899956D792769E6F8CA70FC653325BFE52D882F24797F49';
wwv_flow_imp.g_varchar2_table(400) := '7254B34A1DA9990A0E01FC40002360BA9FEF711DFE189C31D8C346B7D27FC711E8ED034C7863CBEACEF7DA771F51DF3EAC786351FA66DD7C90E6247B21491CF42BDF703E646C6088D0160786896C38667E1829CA878E8058CCE32D56A6DDE4A5068432F7';
wwv_flow_imp.g_varchar2_table(401) := '0293BCD6C4F419D90A45B0101A83EF7A81B3A60DB2653758CB181BA6A6D99DBC446F6C42A349891ACC5A661F3099AA19C47AC08E426FB4ACF0389C24E98F17CA2BD0CA39DED59607261C780EE431C68B372B4A08E2D183465C6F525901DA96DFD48CE18F';
wwv_flow_imp.g_varchar2_table(402) := '6EA3A2D41F0CBD963574AE1B14D45208191E0691C01DDA41F501D483AD07543B4AED0D0865889AC768CD4C899BB78719B805C028518AFB8BD23B691AEB31811DAECCB171DA55335021AD268869A815A46AB4EAD06C6EF58180069AB6DE547948E5CEED09';
wwv_flow_imp.g_varchar2_table(403) := '765B65338D6D5063264882239C0AC636871E1B887000830D862CDC89BF377125D96B46E38621751D402DD629C056ABC316A35A6DA9EEB63D95A8974C7BC05EE64622BA2D0A169E259F68E3763E365D2F2CCB366CCACCC21D3B7825059DD960690D846788';
wwv_flow_imp.g_varchar2_table(404) := '84329A0C112F68C4EF84853484B52449A42ABB9BE90166D994B2373106307B7415AA8B598AADD5EF6EBF6109AAFB368C4F9C310BBA6D088D8570D52A5A78853AD6AB41AC38805970B45716C4E6B80619880758E1196C360E4FD706F1177072456B00E9B3';
wwv_flow_imp.g_varchar2_table(405) := '1B00A0E7104ED2BEDB2504D32FB97E85C8A80FC983AEB6DE1C387A20031B2D89B32147315D816046E2B28ECB78EA510926929506D7962B47FBEFB35D8DE15C69ECF006119415B99AC35DD3C45947514A1BA14ACA5D588594B31A76B97CE332C440E6104D';
wwv_flow_imp.g_varchar2_table(406) := '931AECCAF6FF00B868DE54AD09ED0F35502CAC9AB6426635CE99A2F7179943636AAB18C82B0D40D989804B93B54121B161576A37399A0F11AB5C335710F611E4CAD3CD7D29E905052975ECEE418F83295886FD667DC3D1050C6B48C817A056B7B625EB28';
wwv_flow_imp.g_varchar2_table(407) := 'ACB34F44CC9CC4245150CED93BA6E26BC4BB24E27CB2F6B7886F665E83BC425B831626D1A74B4E5D18D3D781A0FC90241E2389257E0CD21CAA95C08E8C1E232E20B22C1CB440871D042FE23DDD7051E986210E0C786047DC51F0E3C3BAA65D11D035C599';
wwv_flow_imp.g_varchar2_table(408) := '9F49FD4D657920E24F1561EC8B77FB7A2A5ACA8A0386EA00D661BA628AC22F8C9960603611530A8BD4557A4D420930C3141E586EBF30184D61E5FF0042D4175D1C2131264A08D976ACCB9EA850C4D1B3987306E80BB3B84DD8B1A0C801AECCD7696B15D6';
wwv_flow_imp.g_varchar2_table(409) := 'B51550C42A31AAB61CA3D4155388A8A70B3937214BEC59694D2E286B0016A2F1C5C3BB99CB9142C3232C10228A62E06EECE2392E321C8E2A3ED6B357A576288D6B96CC67FCADBDC486BE6CF4DC93B4A59E65EE445415AC4B185E1271A2476C562AD799BE';
wwv_flow_imp.g_varchar2_table(410) := '6EC105A22A83571ADC2BAA518A2ACDB4CD584B6F4A17598DE9A90035880D5BC0DD08A244CC52B1F12E2CCB0EB8D37012536162A0186E59E48AF3A35F6D388D07DF98496DC415EEC2646BB1112B56C36FF32865716E602A6B684B82FDA47E1C23869B22DC';
wwv_flow_imp.g_varchar2_table(411) := '2C26FCAC880A583A8EE43BF0926BDE5297A65C4E2DE53B9F603883B9658A68ACA26DE605A1558AD31138B3F548352BDE746FD0832DC2DCD1BB2586B20D153F836FCD10BEE06D082292E6A0C9A5CCA30B45ABB1C4BF3EA003B596DEC850C6A9BC56D35F26';
wwv_flow_imp.g_varchar2_table(412) := '208B869D22D482C97B06CB67458D05656DBC825826E41AFD0482886C39B95BCC0A1F0DE35D60056F9CCBA0B9733DC2350B5BE61D68B01C9317135DE75C2A3833829D16923FC269F226A5DE53FBC12C2AD37810CDDB2B08A9BDFA467A0A24428DE08129F0';
wwv_flow_imp.g_varchar2_table(413) := '4C6D8887A46A3184F10EE63888F79C41ABC4A211185CB0FC62E8D70BDA3A6365CB8F2D2C85BA46E10A7CC85A91D9464392E1A2165D2EE1AC5E0A6A733193EAA19463A6D0FC02B36BEE37930B4DBF22E019159ECADA25B28A64CD541EF2352131AC576877';
wwv_flow_imp.g_varchar2_table(414) := '11B1AC79A65C0B393612AB30369C8D3DB83B41FA634AF2C33B87BACC5F499DA0322629B3998DF90A7576012908C7056340E54725A6C2B3696D5B15375EF5B45342018BB376C60AA4C0D988178142051DFBCF07FDC65A88896B910DDDA627469D2DB7ADC2';
wwv_flow_imp.g_varchar2_table(415) := '11B35B3D7BB4F9822DC3206FDC5CFF008DECCD0BFC9316017FE93A4FE1497EC8412DC06D80A8E88449C0F5AC9DADF11AAB457830CBA2241FE3342F12C0849779A6F10FD7A1562DB1DC669315AC1AE85AB3DAE0F6CE62F6311E246BCDF11B4DE394D10DD6';
wwv_flow_imp.g_varchar2_table(416) := 'D0CF7E88A7A21A952F4EA72403A232E37E8CB31E2369CC54364C9BC0865C077402162D57E897FF00797ECEEA68C79486C80284A861A78801FD43CC863B4C3F65A294712BA2772728C055C96C4B1EFA6F27E267BA5DBA8BC003DC21324779BE58EEFDC76F';
wwv_flow_imp.g_varchar2_table(417) := 'C7DFE629AF60E34A2E840EB99ECD1A4B06FF0028F410F0540041E721652179EB76429BD8C4674D378361608DA6AD337C811A59FF00B66038B57022F88D64470CFC4200C48BBA6037BF464D035D44FE796AA8E03F8827463B46EE0785941AACD6925B3878';
wwv_flow_imp.g_varchar2_table(418) := '062068155AE7AF818B2E42502B1F442B9A64E81C0DEC9F067E6300F482E822ED885E6F069E23811F152A5722979E9B20A694A3925046889D2EAA31154A0421A8CA45002D3A73465ADCBB26D03482C653B880EE8065641D964BF1384C165A323C26460A56';
wwv_flow_imp.g_varchar2_table(419) := '978C46D712D6AF3B873310280097DD2762B564110CD4305C56D1B443C02DBA205A820F2DA32B2BD4C5113689DD6677855FDB9CBF07F8032B1E5764BD41CFB6FDD82D83BFEB2CBF3FCBF596AB6F88B633C1FEBF057FC71AD04F2F2BDA90015DC587A98CB7';
wwv_flow_imp.g_varchar2_table(420) := 'D9A030330338DED34B1F2540709A3B94D152F5FE2286FC4B7E89CC7D24DDF993F6CAADAC5EA2BF112800B667F0E581E278E2DE52D1AF922C26565467CA53729ADAB58B1DE608F1A820D5901F0C5A3DF2B64BBB8106DB2D15E4B324AAF35A0542EAF565AC';
wwv_flow_imp.g_varchar2_table(421) := '00D741EAAF2AE48A83150F822A0BE2E6B90C88BAD34468517AB21E0886EF622A700846542B5C55222C4CD5BA83F650ADD0433E084415B528FD65D2C39AFD7A830A2C0949CE4C32D7F446B26CD105DC2D0D838BD48FC2ED05FDC7B2BD215565734FE6334F';
wwv_flow_imp.g_varchar2_table(422) := '77FD4288FEC7F303343B31B4A0E3729CB4D88E06CE58B5042D41E98223F3486312BA0FB8F27B7546D44DD6A95308D444C4AAD10EE84147115E2D0C35522174615ABBA08E4C47BC5F68A0DA89E3ACAEC28415D41B418249120A10656517093BD30E267EE3';
wwv_flow_imp.g_varchar2_table(423) := '88D89AD5970BF66218B1E1622CD21E43060A5E2E298AEF70926BEB0418B67BA12AFC75E63587C486B6A716FF00646C7E75FEC33B8D111FCC4FD75E3D173292AB27A00B94334DA199759605B2C0EF9C09599248290CAB4314DC33009A9829645BEE104E6D';
wwv_flow_imp.g_varchar2_table(424) := '6B44BCAC13D25969C58E5DB49A7BC4C29A5AA2A03A55A56781649A216A9A03264A106C1B035E2DD1129BC3BB95425C8E6E1319433E1580B68506A5BC46C550C02B3ACABD8BB6056D5E3502947954300368E04EC512AD648157B5D9B103D46ED9C5B98A61';
wwv_flow_imp.g_varchar2_table(425) := 'A86EEBDD8E65B99C0A3E0D4EF0B9E7340D285A804E09A0350B7572B686ED0F94822D37410AB428217CB2B9DD82FD637C7B4A89CAC4B15FA82B1F8CE11EA3BB277D119888E6F3121442B3083666D19A02B32A9C5AE25D831DB84BCB87D8A1AAAE5865EB2C';
wwv_flow_imp.g_varchar2_table(426) := '09978449728B053609FB8850DF551B5666919DC1E582C185AAA9438ECFD68C58D3832A6C15D4645B8FD80ECCD4D912B205C5CCA92986CC7B9E43B09E046E12DD4210866AE980C85E6F52E47AD82B965DA94DA659C3B50B4616151CC6CC44A5EC9894028A';
wwv_flow_imp.g_varchar2_table(427) := 'EFA186229747B6D0C08F8A107E23EEF1D3F90299368580EAC2CF702AA0DAD39766EA6A3BE6AC2830684A2DB430B84D14C114ED036A8B5B4137123ED6FAADAE58AE85A7F310F1934A34ECDB25CC780650AE20E0D4A391175BE909B9072DC6849E6E6229F4';
wwv_flow_imp.g_varchar2_table(428) := 'A20FDD5184EA2A388E45DFDA0B4142F0660C6F612A504F04647657F76346AB0A8A0F9250184B5E181001FB65CC7A54DAFD13384F2DC6084782376FB1287F3A108410C500143235B971F5C3348DB0476D95DB70F67ECCF97DCDD179845DFC20CF6F8B6AD0';
wwv_flow_imp.g_varchar2_table(429) := 'A5777850596D7A08BCABBC301560B43B5C64C27C0C442D45D8F0D2E5C882ED80951000006ADA03B5CA5A57B5D7B63026059B60C2BE9BDB27B2778685EE2B9218E81042AD5022806B2A5C49B00CBAC77B8894807430E9C35BDC38A1DC1845E09BBD2931CE';
wwv_flow_imp.g_varchar2_table(430) := '8046189417CA2B0AB8E5D0F369B899089064B13F68C6DBB13AD0A6C182A0FAC7E88CB7B0D72C103EF0965D5A7A088269074719A17A22E4AED518268D6288965F9317791C03F40CC403C0890A0085E6388B34568DDAE3C999E5E050184DBD8493B3C9B610';
wwv_flow_imp.g_varchar2_table(431) := '39C980F0C0CA3B42C620902BBC2B2987A3F5206C2DAA04CAAC50438ACA6CA4C3A596A6FF0068F5AD3424F042DBF5D13517ED68D365E56688E2867E93D792EFF7147F1483753CC112F7880D6360C18F433707EE7EA3716659617B80341F2BA27260FA885E';
wwv_flow_imp.g_varchar2_table(432) := '2EF19A41C18BAC725CD280D46BB7888F2A8A236A7A2C55515E42188AD62662076CB500C511A955BCCA446CC2202B37727573D5BE13FAD89B05EA6872D3CA9B45EE3C60CE86C2C82D06698196F8335F4CC6CFFA363402F850358C79CFCBD29AA844218B70';
wwv_flow_imp.g_varchar2_table(433) := '798A3010E7074D441ED0C7686D4266929AE7E72C708267ED117F74BBAF5406AA67AFEA5CD3FB6696A596F77A8867EEF49AF972115AC77A4AF0835B35670FDABC9061E4B3683DE20243174F9F35F7E4CFD922FA172079964D60A2F33CA2F32C5CF52525CA';
wwv_flow_imp.g_varchar2_table(434) := 'A846A27E7061F611DE8FEE137612B145F631DA5ED5BF4CFDD27FB981C3D95FB21C551E64CB9FE67E98A2DF68C4D5FF000C5A821697F3A61258F1637F3ED94977C1955F1888E21A0884D1B287A09E575317664D09F28305478896D95C4AA72AE090442F09';
wwv_flow_imp.g_varchar2_table(435) := 'A909AA8876DB74C7F3732EB07B97153BFA709763DC6AFEC65BDBE4B4063C1280ABBAF4218E54C3AC7554C21920F6B8D66B14FE4C81F08C80FDCA0A9AEA88313373C0005BCCC1466087D4D547D9306AF6195B543CAA04E05A5947C110B5ABA825CB03FA62';
wwv_flow_imp.g_varchar2_table(436) := '17A8EECD4A30208DC2B8AD648FB4C1710F9535434282D2BED2A52AD5825E4F838582840900ACC83C600BF008DFE824B53EF71DF85DD58D553F25BA85F42904845E052BFC1512A0DAA4CA55081B82CCA53C9FFCD42C470FF58C741E23606B47B93AFB1E1B';
wwv_flow_imp.g_varchar2_table(437) := 'F8615F6F6351EAB946F2A1127CDCBC7D0311F5072F2643B68E382561CAC4EAFA8F5C9F700297F735E12FACF50CE7961FBA6B5035F3352C61592F8233366ED8F73658D3E0E6D8D187E4A05D0789D6D2E305083689A01C749CECC239059E4FEA6A27D4C58A';
wwv_flow_imp.g_varchar2_table(438) := 'C675AE1B11BF043FE4A12D4F20C3B1F34A6414CD0DA009BDA7319708802070D12E6DA2DABFA8267E535FF8C5117A141AC4119A591BA2F6CD193DB1C16940CCD70D294A316419A881555F01589555AE48009A80AA436F4CB52FD06CAC0625B65D9FC41881';
wwv_flow_imp.g_varchar2_table(439) := 'EEBF11A58364268EF7093538CBC43383F20A2DDC8B88B2EAC5B1D8C883FB8972D5ABBDC26C4478F712C116FAE6F523B0A3989BB2930D8F8559A2CF5CCFA842A3EA6475B5B748436A464BEC4BEB68B6AC55D8CE346E4C5257C2696FE4D3EB0D2F1EA565AA';
wwv_flow_imp.g_varchar2_table(440) := '60D66B31AD1F904C081446405EA5B8920E2C9D33058CC5AAB9702A2B4AB14BD2437240BD83BB12B190F782914E9693406051DA2188A651E2655D073AA5DDA108E603A3DF8B8A6594628BE0867BF0845EF8B6A6981E6CB0465B936108C1A9C8C5AD389614';
wwv_flow_imp.g_varchar2_table(441) := '2A4B55715F886B5BEE0F0D4691AB82EAFC9B2FC10EC747E5B10D365AD678616E5CA403BF06607375751C4634C84B2300D1F9704AFAC672C829965713BE2030EF7097908344125032236AE4FCC7569E3998C06A1A1394717A97F8A39624329C30B72412EA';
wwv_flow_imp.g_varchar2_table(442) := 'F04019A52DD455E5D16EB2C171AB63041412878240B96A06C47095F8099C4D4AF37318894666D2AEE2C812F78B24A40CA9BC72E83099DC88CE622208ED5AE0F025BE0685A45EAE0D9186528482AEC19A8E90829956C6B4235CB433175E23D4C12B28BDCC';
wwv_flow_imp.g_varchar2_table(443) := 'B10DAEE67E5CA2EA8257FE1AA29877C406AA79252610C0A3CB150FD903B412BF322664EBDA6BCFE897FF00AD2C1FC5146A1A5CC002AD4655CE5008C2E0B4023C67427C95BAB2BE2E09D58032B163E151002EA545433A96250AADB8971158D444612A008E';
wwv_flow_imp.g_varchar2_table(444) := '6154E711E0512584585A93BB1DD7314AE107119B744E4CE0C32CC6FB9858C7688504B80C6E724D62C879664871A814E896E85E2A5CA75E869A912B4BAAC2A9ED0949AC0DD2C2534AB6603C10B0C1AE46E1F98D49F49A91C2E13B77FDD424470554CD00C7';
wwv_flow_imp.g_varchar2_table(445) := 'A633AAB49ADAF00948C3CAD90224D114D16662D85928AD33CCC3C714C2F5302A033454F31C1484D5C798CAABE584032F7834B2E0C0C1BBD4C35172C04CCACF080966B093444785B2B4D8D7126121B5D0AE5CF6953627CC00C064426A1EC4ED52DAAFA156';
wwv_flow_imp.g_varchar2_table(446) := '5908A28D5E22B542E3D26044DC316848D31824B92A32858E20DB333A263D5831CCDE1CC1C45642B0C5BC079162F430630B1969AB1AE310D657B8A0EC2BD11617D61E6E1895DF0EF1071196C80594F76327C302BE2A26AC855BB656603B3D265344F134BA';
wwv_flow_imp.g_varchar2_table(447) := 'C6BB1719ECC96D8A3AAAAC55C0EED988BE01918474355680A8EB119EE54559D145F4422E8118212AB2B12E9798A6B6CCB40C3259ADE1253B95B95863E20351C8A525C856BBDE02B2996229D5E8B1DA40CC3AA2D0B290A9F114A0FCAC65282F48ACC3DE86';
wwv_flow_imp.g_varchar2_table(448) := '236968AFDDC5018391E4C17DDE6EE1615B2D6FA08E59089949CA50C6D12EB8986EF494BBDFA5A231D4B2874B84019AB94D2E09C315A2CB2900E80901A25E625B0422AEE4413262D504DE30B65C8B9980E8C01958F59E163EBC9BECD240C91D57009558C5';
wwv_flow_imp.g_varchar2_table(449) := 'B10BB97244A5DD4B16A33AB009A40B22B70ADA552C37DC2068977896ACDF64E9DD96DBCF31AA38E9E82255DC4ACF08E2C66F8237885C459B11809A30404B19AAC4566130F39CB6D225B76B4056A24110EAACB156C57BCD2035A097D811164A1ACD780C7E';
wwv_flow_imp.g_varchar2_table(450) := 'AC25DA4072DDC4E74D2F6885EE068E88C984D6C3085C423F81D39A5625E2BF3C427B4C93958C5C55441AE60A34547167A6240C0E21E62CE3CA01536832E12EAE88F40E1D8CADFD4346868F502FC98B84ADA9687683C65ADAE59F0E0596806B923E683A69';
wwv_flow_imp.g_varchar2_table(451) := 'B82D20DC3635A4F061E656006EC45C5BA0CCA463A045BD05C06D0FBEE16DCAFA8A584974D4272CD8665915A5506C08155B076408AE9157BC74B617596A24450AC3AC0A56E1A6220EA5EEB1D00CB0311906EEE03980832B0F32B497A1B09F2CB0F0B2CFC6';
wwv_flow_imp.g_varchar2_table(452) := '9084409DF99ACB94DA080B1D914234B76E836F47158279A66D389F563CCD11C5514FB4B290AB2B95E6648787A172CC1FB835EA951B7571E982581C1EEC561BB29835A66B8A00740C36105E76E571A69435798CAF3F0D410AF93732E09788F51487C9941D';
wwv_flow_imp.g_varchar2_table(453) := '49EFA2ADDE166E21D194CA872B0FBC6C516A20C7D461F8840E61A42D3AB9678F4CB9AB1E4C0398AACA2570357592A6A00F700267E2059760E570C638B5589773D81080266DEF32A80FB217A2E588D7F85C60E921F184CC9883A29966A4D3DC0241278C5E';
wwv_flow_imp.g_varchar2_table(454) := 'D2E51E1E8655DD62B2AFB4ADC474CC661A65F08B198D0435D379FA331FA0C5AFA38651D7F22D293D04B8DEB165E1039595D8C696E861A5029A21D61BD0CBA1A4A9C1D12B639268FD5E63101A05111145F502A9DADF63699816F31851F04145CB2EF164BC';
wwv_flow_imp.g_varchar2_table(455) := 'A4348711934A96C5C4D208014D4255372AF30905264E583617893707B6568DFBABA9966F61A400E97E7332C8532C4C0D38206475A42CB6A256D2EEE222C4A97203E1D6223A31F2C1D118C3A3C897A8EBDE0E03ED8DF8832C576F4208651CCBC9FB7D0CD0';
wwv_flow_imp.g_varchar2_table(456) := 'B459416258710ACC4387C40C2734B933ECC547AF717FF822E4958B4DFEDD230C816EE4BAB400F01B10A4096312B04A47A43243A258263DEE8430882A2766F2DE62B15C8B31CB12834CD6E6889ABFB9703FD5980B3C9623C984ABAB8A65F66119FB4B12E2';
wwv_flow_imp.g_varchar2_table(457) := 'F25C1B996140F2F40A19580A99D596D8D7A8101CF9C4048C67382C29D0044C62346D8692A7F11D15A1D05C472F8C99754A3CD33F14CD29B9A18B2B7EF0167EB75D3AE0CC78883A26C210C002C1740C7070A04182193FF8EF1D68CA2DC325F0CBB68C3CC3';
wwv_flow_imp.g_varchar2_table(458) := '505E7B08A5F6868472B656E58EB0439D233E6B078CA146C416AB3011B1684DA0B7C2B1506C3DD8F7535E8F62E66BEFA8C6549E65B065594C2FF4868D0A9964040C5A54587730548570B9568CBFA99473171B61BF61866A28F6464E5CB05D16A8D2001B13';
wwv_flow_imp.g_varchar2_table(459) := '2FB8D5102E30E931C5E88B467DF96F825A2A829271636A319778C935F9BA2D06A619F661B218020BBCAC0C1C506B795CC67BB1A6153A30E97A2C8F44AEE927830C954C68B51698355D171E6604B74AF6CCE0BAD84C514C9C79DA6157EE23745CE7A4156E';
wwv_flow_imp.g_varchar2_table(460) := '901ED37289F13583CD41B867114C8A89626167BCADA44CBA6025581C280DE4B88783B012ED82B7E66065300DA1E2C22821D629C5D4BF303694CD8631C57164F1089153A076455E796DD4D4F3333F499BE131308998D00D6A8BDE0FAC3EA6D8D114FB5062';
wwv_flow_imp.g_varchar2_table(461) := '4B95D66125F45CBFFE0D24DA4A26F1558965A3A4681CEC2C055446C67DCC723CFE06378A5E18ED82833F5182DC07F10E014806C4B421CA2D8EBA4E11B8E632DBA4BA228D56DD9EFDA5091504DE5863152B2CCAA1C8547397A22BAE000081D62F097E0469';
wwv_flow_imp.g_varchar2_table(462) := '0170108B814DE563A577A950629784588E98B0F414FA8B13F323AF0C587AE0B6C78212EE676628F3A64EB974146FA22B662DEBD0367018243BE658598425207A13159411A52974AB1933DE3ADD2B3DAF329B0CB331EF324C1452211214BE5042732D458F';
wwv_flow_imp.g_varchar2_table(463) := '7163AB2EBD100F4595700B2D2EFCC545828200357762047C0BC9EA04D4B2055E5E0867D012E5B2ECECB3121211A410550DD1D205881DACD8B14E210641136D5006A4505D082860A9EA0FAD2D9EE576E30260EB32BA55E71C6A1CCDC368ADCAA0729A791D';
wwv_flow_imp.g_varchar2_table(464) := '0243681BA8AC3BB2A260622061091CBCB40F4181D1B301E9623567534743D1588DD081A61591958F295730460D865B8C660DE3256AD15728B1D9111B1D3054E07ED84B2A82E1E0F506EA92BA6BBB18B836EA85236D7E210F6DD09486AD5856369DC9E7C8';
wwv_flow_imp.g_varchar2_table(465) := '95B28E6B0866D2B973521030683500F6CA4E0789B64C66ECDC19A84EE49B11856F7F6C62E182C284B98FA4C448F28917998627BA5A37B4157470DAB387444144576989F7F45F98BB9AC849A7451ACB22DD22F784812A6C40BD26D639F4FCE6E8F74A6599';
wwv_flow_imp.g_varchar2_table(466) := 'A167ACC021842DA5C6A487563402B5ACD5312EA6F70E7A09894FAA6EBDCB6EAEB34A169FB95302B2BC4430C91CD222348D08D022C0CD1C0943A1DC94F4C96D1551B8C3D5D9F0E91B666B4BA1D69446EDB8E1AC473180CE908B4DD4A372FC44B1A60D1E63';
wwv_flow_imp.g_varchar2_table(467) := '2E222A52660D62799808F35E06882129F31354F48C8B01D38AB2CCA5CEE90FEB8958825B899A50748E0620742E1815046794EF4FFFC40041110001040003040608040405040300000001000203110412210510133122324151718106202352617291B114';
wwv_flow_imp.g_varchar2_table(468) := '3342A115244353346282D1E1071692C125A2F0FFDA0008010201013F00DC427724C29C2B544DEE2B166A5F24E44D5298B401617140EC465B45E6B9AB285A6B2F714DCC834A9F4626BAD41D8A1EA15823D34792E616D66FF2D3782D976647A88940595234';
wwv_flow_imp.g_varchar2_table(469) := '8DC1016546D368353C1A651AB28C4076946377BC570DDEF05C37FC1383FDD547DD28959877AC70224DC5B74A7B2020C25704AE01EF5C103994D63022F605C51DC8CC84AE41CE2A5BE1A8F9A8147D42B05D608F5547D55B55B7869BE55B1DA73C89AC2A30';
wwv_flow_imp.g_varchar2_table(470) := '6D4AD42329B1A6B4263750983447A87E06D61191164EE736CB5A1C05D697AA7B70D60647EB7AB5C0815E49D8FC00CB724CDB17D42FFB2189C0904FE3437E7616A61C33EB263F0EE27B038FFB2FC0C9AD3987C1ED47033E951177CBD2FB27E1E46DE689C2';
wwv_flow_imp.g_varchar2_table(471) := 'B9D85C361FD213F0913B9B014766C07F401E1A29364C0EEC3F529DB0233CA4723B0DC2EA5FAA7EC59FB24BFD93B63E24771F34ED9D891FD228E1661CD857064F74FD1080A6C3F04222B10CA8D44DD541A14CEA1583EB05D89A282DA7FE166F956C375CB2';
wwv_flow_imp.g_varchar2_table(472) := '6E8FAC15211E888ADD175826F24CE75DFA2747C589CC26AC16A77A1F8F693534474E5D20B0DE8E3A288325D9F14841E628F3F993B63C7401C048DF9481F67277A3D837389385C40773BA71E5DB7AA976340F0C6F16401A285B01D3C4B533630603931E47';
wwv_flow_imp.g_varchar2_table(473) := 'EDF62161F676D189C4C7B60BAEF4249ABF32A53B5AB49F3572B783F76AFC46DC69278103FE76B09FAE899B476934112ECA8DDF16E9F62B13E904B139B7B0E5AEF6179FB843D26C1801D260314C07BAA87D42C33F098961746F7F3E65BCFE22EAC23838EC';
wwv_flow_imp.g_varchar2_table(474) := '54A7CDB5FF00B2BF037FD667EFFECBF02FAD1CC3E75F747032FBA0F83814ED9F2DEB8771FF004DA9B02D229F157952C4B1F0C8F613C9672A517114C04288F24D371AC09B704376D2FF000D37CABD1F3ED654E75289C0B822872080E92A0AA9C10E410468';
wwv_flow_imp.g_varchar2_table(475) := '3DDF1A2B08C13E1DB23BF4B69C49A02B44C89B61CD79D0D821D7A842139AF88EA0746F626558BE5C8F8152B386E730F36920AB1DE9CD6BF98057E1E2FED37E81705BF11E04AE037B0BBFF225709DFDD7FEDFEC835E39487CC231BC9E6CF367FCA11117EC';
wwv_flow_imp.g_varchar2_table(476) := 'A3FB2C8EED681E0F2BA55A31FE441FBA6923B64F3CA562B112C7148E634BDC1B61B94EB5D8BF8C628B846FC3744F68CDF6216D7801C927FA4A118EF4D883810A5832A6285B711581E6D4DE41356D1FF0D37CA56C13ED2645CA0EB8441A0822377EA08721';
wwv_flow_imp.g_varchar2_table(477) := 'B9DC987B8D2C05CD84C4E1EF5CC1E3C468B0504CC946614DAA714090793EAFBC159B90C8E1E355F75B5195331DEFB47D4688E1CEBCBBBCC9A09EC2D34982D64396C03556B31EF40F245C10712ACFC1711663EEA2EF80FA2BF82056D3C3F12299A06A4666';
wwv_flow_imp.g_varchar2_table(478) := 'F885146F772054104A3F4A18363BF3163767C71B33C6B0AEA89C1608F482672DD8F17879BE52B618CB34E3741D76A1D9B8EEAE904390DD599AF1E63C96C89B26223EE7687CD3C9B77B3FD4685F62009034A442DA42E067F95E7FFB20F29CEB4090410848';
wwv_flow_imp.g_varchar2_table(479) := '6A917580839661481A3DE848093613B5D534B685A3479205380AE6A50681EE53CA2095CC0D00731E6A4C710DB0428F6A36FA6EB0B17B45B280C6F2509A615813D24C772DD8C1EC25F94AD8AEFE627DD01E9B50E410E6B20213DB4503A84D70DCC3442849';
wwv_flow_imp.g_varchar2_table(480) := '63B4E6D7263F3B4381A0E00A274E6E2A94D1678DEDEF09A566DD7F0081448EE4D20273AFD722C11DEB6F406A39076744A70262256CCC1899C4B868163302C6C79DA2A9423D9AC17E604D3CB7633F226F94AD8C6B113EE88D3DBE29A74099CC26A97AC873';
wwv_flow_imp.g_varchar2_table(481) := '1EA3BAE0D759BF65B37103F0A09FD06919407169935BAA55A20B1B070677B7B0D3878385A22ABE3EBC9846968CBCF711BA8F78FF00C7FE557C7F6ADD8EC3096291BDE2C788529F66E0B66E3840E21DC8AC5E384ACCAC5871ECD6147B609A87258C3EC25F';
wwv_flow_imp.g_varchar2_table(482) := '94AD907F989FCD30D851F59BE29BC9078B4D52F3526219191657F1087DEDEFEA077BAEFD8AD87280F9587B5B63C42CEFCADF6766B5D507B8936CAF3B40ADB31DB2093BAD87EE143189632D3CC1D1708B490EEC45B6A084BDF5D839A9B0742DA6F70E6374';
wwv_flow_imp.g_varchar2_table(483) := 'F1F4F30445A22903FF00ED51DC792DAB87314D30AD0F4879A675820280586B2C2B084F1E945D89F6B167D84BF295819190CF2179A06D7F16C30FEA26EDBC35F5D0F49F06076AFF00BB3083F4943D2F841D18EAF15FF75E1DDCDA563B6F32436D88A1B61C';
wwv_flow_imp.g_varchar2_table(484) := '0DF04EF68CC1CDEF0B674F92585FF1A29F9F33FA7AB9D98683407B026B5D5A9B3BB14CE261A66FC330F16FFC2C1BE9E077E8A4843DBF14F89CC3A85878F2B6C8D4EEC561E8E61E69B1EA376406C29185A69385A088F0FAEE0BD21881883EB56E87C0A8C3';
wwv_flow_imp.g_varchar2_table(485) := '4B8522392C1754AC31F6EA2EC522C4B7D949F2950613F15889185DC8951FA30C3FD44CF462107AEA2F4670C06A2D37D1EC20FE9A8FD1EC186DF0821B1B0A394411D9186CB7C309BB320FED847734D10556591EDF8DA89ED95903CEA5E3278577AF61DDFB';
wwv_flow_imp.g_varchar2_table(486) := '15118C12182BBF4A51B8070BE5DBE0A5618667B7DC77D909A33FAC7D571A3F7DBF54658FDF6FD57199EF8FAAE2B3DF6FD506C41F7C41E16B8CC3FAC2E2B3DE0A57C4F159C2200FD41380E76AC77204776EC7E1F8B1CACF7DB43C54232BE8F7A7D5058136';
wwv_flow_imp.g_varchar2_table(487) := '1CA0FCFF00350B85D12A4E4B13F9527CA56CA3FCE4BE698F51BECA1C86E8CDB773BA8A31AAA54B2AC5B00FC33C7273329F16E8B643F344E693D53F7437ED68EA563C7EB68FAB74565594492813B81409599DB8DA16A8EF95B6D5B621E0635FA68FA78F34';
wwv_flow_imp.g_varchar2_table(488) := 'E9450583768EF050FE7261E49EE34A779E149F295B29FF00CFCC3C502A337487209ACB51E810168B4E54CE63D478CF847F7C6F0E1E0ED0AD8F3E59ABDE0831E001C4D4684D268200B37BB68C59F0D98736381F27685023B913F008957B81A41C89B0B294';
wwv_flow_imp.g_varchar2_table(489) := 'E085828BB752CBD15E9561AF0EC940D63751F0720FBCAB00ED0F828B49DA9BD8B8A029E50637F815B29C3F884DE277427509841015A6BB4AA51A93AA869EA604667BE33CA4616FFEC2C24A58E61F74FD93F2171BFD63884FEC81805103F629B287135F64';
wwv_flow_imp.g_varchar2_table(490) := '199C3D9EFB4B7CCF24DF8856069957FA51E5C901688A58785F2BDAC8D8E7B8E81A0592A485F1921EC2D20904115A852C324793332B33439BA7307B514E14414022DA4026B56D1C309A39233C9ED23CD349692D70D41A5B2DFA90A3FCF6F8A67627314AC1';
wwv_flow_imp.g_varchar2_table(491) := 'C37FCA56CDD3684BE2530D8511D42845844109A7509829388A42BD48242C7B5C398363C962E311E2A6039139DBE056125CF0C2473BA3F003B5715FEE5F9A0491A84C772A3A858F8C331127602730F076A8AF34EE7A1DC697FD396C6C1B4E72CCCF8E36E5';
wwv_flow_imp.g_varchar2_table(492) := '1DB5A92078D283D22619F19262306C904E1D6D1A005C6D085E58E92BA2D706F3E57CBEC8B7C111610442CA37621B6DBEE5E9241C0C69781A4833F9F6AD952073FC935D53B7C537904F7D2924B63BC16074DA12FCC546545CC78AC3368354A81D5092C853';
wwv_flow_imp.g_varchar2_table(493) := '0BA4C7D0F51BCC2C7749B8593E0633E5C96CA92D933073234F822D71360E9E0B2BBDF3F40983B56D58ED90BFC587EE106D8E4B90DD94F726B74A5E8F6D99765624CCD667696E57B6EAC1534F9DEF7650DB71343904E98000D5F21E165191BDE1715AB8EC';
wwv_flow_imp.g_varchar2_table(494) := '08E29BD8D4713F047127DD09D8979042F4AB09C4C2364AD6377ECE5B10FB65FD66F8A1C827EB49FD53E0B083FF009193E6298147D60A37E56B3C939F990EB6E7971AD50F57F330B3B3B594F1F62B67E2F812B6402F45FC4E30D0D119A17DBDEBF89D1B6C';
wwv_flow_imp.g_varchar2_table(495) := '2079A3B5E5EC6353F6949230B1C1B4483CBB42E39EE0B8CEF87D1715DDEB88FF0078ACEE37A94E04A0D28B094235C3463423A4635C309E2829CE705B5A1E699866B39340F25C16F3A0844291887BA8C428F450D8B8212978C334389D4EA86CE83FB686CF';
wwv_flow_imp.g_varchar2_table(496) := '841EA7EE564D2AB764B36B29EE590F72C85642B29590AA2B08435F4E3D1702D3E0547852D0F0E1D435F5463016502B40B22CAAB768810AC5A0E6A2E06D0752CCB32CCACA2E20A2E28BAD49A94C6A119BDD99593617E1FA57653195DA539A09E4B205940D';
wwv_flow_imp.g_varchar2_table(497) := 'EECFD8027717E0B885672B39598AB28625E051362A961B06D998090469CC1D14BB3C379397E191828F59707FCC1089DDEB86FEE458FEE5D3F75073BB5AB3FF00956708CAD010C4349AA4E7552CE55A2B2AA54A86EF2DDAAF35A76956AF719076909F8963';
wwv_flow_imp.g_varchar2_table(498) := '4592A4DA6C034638EED168B4405A8D8CD47704C9DED6001D413DEE22CB8A2DD6AD70970CAE19595CADDDE83DE3B567777059FBDA15B3B588B6177361470F034D82E3E29E4776EB28DAF3469666AE20083AC2B288729F6B4714DC2766B4CC68B068A97196';
wwv_flow_imp.g_varchar2_table(499) := '4D3744D9496DA0F71ED567BD3AED11628A6E0E323AAAFD48BAD7DCA1B35F1418FEF5974A2B2B4A744DA2E593FCC5653EF201DDEBA4B33BB9673DCB30EE59DBDC83989D8885DA04F2022E07B5640570BE28C749C1C508DD7CC274725E8544CD10149E2C2D';
wwv_flow_imp.g_varchar2_table(500) := 'AF8593F1E1C1868A6C6EEE4186F9268E8A67244D26D1D4A776267547AA346BFC2940CE9044EE09C7A202B565076EB40A26F9854DEE5C3694302C69CD9D3981068DC54F2D79A120CA9B887E7EB2E33AF9A81D6AF54E752DA3B4B858A6B4B6ED371AD20745';
wwv_flow_imp.g_varchar2_table(501) := '0C4B0F626CACA41ECEE43215C365AE0B0A6B5BEA81A3477950F3DD985F3DCF76BE00229C290037134AF71722F2B3FA921A0562E51757C9711DDEA216E439A84D045E9C6D6DDD319194CE49BC9305B7732E95A0E298491EAB474BC026681661B9A6E96624';
wwv_flow_imp.g_varchar2_table(502) := '9283D38DACE775EED565288AF56672C4B8E64C24A846A88D428796FDBE2B131950805A3C06E8F92AD7784CE5EA0E613399286F1D10778056428311680801B9C687AA5CB10FD0A9FAC838150A23AAA01613851DDE9037DAC4541F96D4026754A3CCA6BAF7';
wwv_flow_imp.g_varchar2_table(503) := '029874F51A9BA50DED4EEA84C68235DD77BC9B4C45E139C4956B32B568F22B14750162076A6050EEC3A939EEDBA3A512C3F51A9A2CA6F25C2057002E0AE194050F507241A2EF7B53BB10D004E720695A73AF7468854A952A54A53414AFCCE25621BC9050';
wwv_flow_imp.g_varchar2_table(504) := 'EE8149CF76DC65F0D61BA8D4C40A0E4245C55C459B7DEB487E9F351F6EF8C59089B27C54AE3EB03481455957BF107ADE08853F620982A9050A2895B64D062C2FE5B7C1034B315D84A672DC377FFFC4003E11000103020305060305070403010000000100';
wwv_flow_imp.g_varchar2_table(505) := '02030411122131051041517113202232618106335214234291A115243034627292164453D14354B182FFDA0008010301013F00406F68B01DC0B677CA0A21904428311C562BB227572EC508820C0382289C938A09D813DED2A9B39916A90581557F3C2DB0';
wwv_flow_imp.g_varchar2_table(506) := '3C213B53BA80FDF45FDCABEC0353CD93DE6C8CA8CC9D2145C4A8DCA439A691739681090DF4083FD1078E484E3914256AC6DFA82B8E682D98DBC42CA30B8154F86EECD1918D4676F25F6969D023313A04E329E0BB2939A14EEE2E429F995F676A31B79285';
wwv_flow_imp.g_varchar2_table(507) := 'A3B6160A609FE52AA47DFB56D9F204754ED4AA03F7F1755B45D76B13ECA4D0A7957477313F55A3DBEB927921CC18C301758B9DA0F5364FA8731F6B870B900B41B21B43FA42FDA908D481EE1475F13BF1215519E3FA213447F104D7B4E8E588F32A3AD9D8';
wwv_flow_imp.g_varchar2_table(508) := '486CCF1D0A6ED9AD1FEE5C7AE6A3DBF58CFC6D3D5A147F15540D618DDF9A1F15DCF8A947B14CF8A29B8C0E1D2C533E24A277170EA147B6E81DFEE00EA86D0A57693B3F342788E8F69F74E99BCD1A81CD3A70A964C53853382768554FCF62DAFE429E2C51';
wwv_flow_imp.g_varchar2_table(509) := '37543F3E3EA16D2166B106DEEA4D0A7EA7B8344FE29E2ED2AB61EDA391BF58C936865198986BD14116169C7639F028D3C4E1A1F6253B67C078BD474ED6800487DD3E22EF2CD6E84A6D2D5B4FCF0EEAA3150D26E42924A86F9413EE7FED53D6545DC246B9';
wwv_flow_imp.g_varchar2_table(510) := '99120D8B8123826D7C841B877B84EDB418407348F650D7E304B6CE03A842ACFD1FAAFB60FA1DFA2154CF542AA23C7F42854C7FF281EEA9EBE48DC0B25FD6E150BE3A9823900D4663914E858146D027164FB1478AA9CAA58B6CB7C053F750FCF8FA85B534';
wwv_flow_imp.g_varchar2_table(511) := '8F74C322A4D4F72E9E6D7415BC03FA490A7C2C7916D4E592207D010207047429A6F9EEC0DFA42ECDBC9611EBF9AC3C9C42B3BEB2ACEE241F6587FA5BF92B1E43F3563C8FB15723EAFD162EBF95D3E421A4EBEC5435A318BB08CD7C395A40961D7F184F9D';
wwv_flow_imp.g_varchar2_table(512) := 'DC93AA0B1E1C428A6C79A71B2AD77EF2C5B5C9C253F7511B4F1755B53CB1EE9F4526A77337CA754D56F1387317FC95400D7C6FE570A4734875967E8ACA2D08E47BCE9E2697032004371104E839A6CF1B880246939E40F2DD6EE58EED8B52229A09380761';
wwv_flow_imp.g_varchar2_table(513) := '7743929A689BABC2A8AB80BBCE14FB50B00EC8AD97B65F2CA23905EFA15B4DA45432CB6AB6D1DD3C65BA8FE7C5FDCB69E6C8F74BE52A4D7730E677C8DBA09F9169E455533C2E1C90E198D33DFDA96D446DE0F6B87B8CD0161BC5F89DD514A24762E3870F';
wwv_flow_imp.g_varchar2_table(514) := 'B1D545B2E28DED707BEE2DC473BEE70B016783BAF6E077120205513B37379850534B51131E1DE87A851ECB71780E05546C27E1F002B656C57C2FED24E1A2AFFE618B6C8FBA45154BF3A3FEE0B690FBB8F74BE552EA9DA1DCD371B9FAEE70BB4A90620D3C';
wwv_flow_imp.g_varchar2_table(515) := 'C291B6245B429B970FD502ABCE18DB27189C1FEC35FD11C5C08567F3085F8DB75900AC80EFC6FC0E69E457C35540BE68798C6DFF00E141BF7CC5B6F689A6003752B656D99249431FA155FF00CC37AADB1F253F53BA97E747FDC16D2F951F4DD2794A9754';
wwv_flow_imp.g_varchar2_table(516) := 'F29DE50530E4866A4D770447848E47FF00AAAD967FF720CBF3DD23439A5A464458AA36B9B0C6D71B9680D279D9020DD008773454FB45E1FE33707F44E7B5AD2E2720A19E3945D8E053F161386D7B657D17EFC3FE03EEE1FF006A07D597DA48A20DB6AD79';
wwv_flow_imp.g_varchar2_table(517) := '26FD0B42056CCAD30CF0BEF60D758F42A36112B0ADB9B28D53016EA16C8D8AF8A5C72705B5329D8B6A1BC09FA94552FCD8FA85B41B78A34E6D949E5729354E1709DA593064A9E9A493409FB2A739E1DC111E3B7D42CAB6325808D5766E4224181372711E';
wwv_flow_imp.g_varchar2_table(518) := 'EAA64304C1E3470CC745B46B8380646EC8EAA92B1F0B8664B78853D686C4D7B73C5A2A5DA388E17E5C8ABA79F09E9BA5ACBD318C9CEE2CA0A9742F0E6954D54D9D81CDF71C9563282394F6B5AF8DEEF161350F66BC8625411C2D6174533A46BB8990C9A7';
wwv_flow_imp.g_varchar2_table(519) := '2249DD19F12D85562A29A9DC4F89BE07750A5C828CDEEB6BFCE62DA8DB538528D77527CE8FA8556C7491B0345D3A8277691A7ECAA820F813B605493E5087C3750792FF004BCBF5047E1AA8195C15B3764BE0690E784FA4F091DA81B8152E401E46EAA230';
wwv_flow_imp.g_varchar2_table(520) := '5AEB7117400B0009C95C6E71B58ADA4CBC25DF4E6855B9B239DCCE61473B1E322A3DA1693013E0E1E855D45B51B1C767EA326FAA3B69C038B982D6E0A1A864A2ED72DA53E131807306EA19448D0551D518240EE0750A6A878635F14265C5C1A40F7F110A';
wwv_flow_imp.g_varchar2_table(521) := '9EAA67BC35D46F8C7D45CC23F427705F09545A73193E7188750A42EB1BA841375B63E746B6A7F2AD538D50D5539B48CEA149546089840D404EDBB27D2A4DBB35B40A6F886A06851DBF547F1A7EDCAB27E623B5EA8EB214CDA7504E6F2A4AF9B179CEE088';
wwv_flow_imp.g_varchar2_table(522) := 'B84C37899E99152B035EF187D503FD3FA2BE49EF162148C1344E69D1CD213B66D4827EE1FF00E250A0ABFF00D793FC4AFD9B57FF00AF27F8954915631A1AFA69081A64AAE92B6578229A4006992752D6BA32D34CFB9E364CD955A0DC53BC276C9AD76660';
wwv_flow_imp.g_varchar2_table(523) := '7A87665746EB8A772145527FF03BF45B2DB3C61CC7C6437504EF0B65559825864FA1E09E8AA2CE60238854C4E272DB8DFBC8BAADA5FCA8E8A76DC14066A0F98CEA1577F2F1FB27B148322A6D771D7745A94E19AED5CBB572ED5DCD52C9F39A781BAAB778';
wwv_flow_imp.g_varchar2_table(524) := '81B232145E9D2AA775C1EBFC6BAA67D9D6E6BE1FA8FB4ECF8C137747E03EDA2A787C656DD1E38CFAAAF17A51ECA41AA7E4E51005ECEA1568FDD99D022A41915391757089CF742734F759DDC8CE19D9C9C0B556B7C0EE6162BA7B6E9CD503ECFB73FE3836';
wwv_flow_imp.g_varchar2_table(525) := '20AF836B436A5F09394ACB8EAD5132CE72F881B631755586F477528D54A0DD42D707B3A8557FCA45D06E9464E5234DD595B7427C6A6D7B9364DBFD241552C0EBFF0050BAC361A64DCB706E59AC384DF920ABABE1A388CB338860205C0275E8BFD61B3783';
wwv_flow_imp.g_varchar2_table(526) := 'E43D1856CDDB74F5AF7B236C80817F136DBE49591B4B9EE0D68D4936013246BDA1CD70208B82132563F16175F09C27D0F7F65D598248A41AC6F0E5196BC35ED370E0085F1234618CFAAAAFE53D94C3228EAA3F337A85579D247D022A5192A9037950BECE';
wwv_flow_imp.g_varchar2_table(527) := '29ED27B845C10A1717431DF5692D2AA1B67BBF341BBE2F20538798DF8002EB1C21DA5D03B7CE91D1B7FC952F6DD947DB61ED2DE2C3A5FD37FC6E5EEFD9F162B31F21C47D72016C68E1A088C780C8D11060C5E8A38E4F1C98AECC801C8F7E99D67F55F09D';
wwv_flow_imp.g_varchar2_table(528) := '57DA281AC27C511C1EDA85F10B3EEDBD55436F47ECA73AEE6798755519D1C7D0278CCA97269550FB9213530649E325164F52923BB4E4E2999D1C155C79B5C86F88E646EA5D8348CAB7CED9652F63C920BB2048BE9CB3EE6DAD8EDDA34C6237041C4D75B4';
wwv_flow_imp.g_varchar2_table(529) := '28ED6DBF1B1F08D95239EDF08903491FF456C586AA7A788D43443259C5C0E990C871D5762EE4BB077A2EC0F308531E68D2FF005214CDFA908231C57C175E23AD3162CA56DBDDB985F127C86F54FCE89DFDAA7F3390E299A84FCE8A3E813F552F95CA46DD';
wwv_flow_imp.g_varchar2_table(530) := 'CE56B2B8C2139CA31E2539B9EE8386689DCFC2554C38C39ABEC59DEE8518FA97D8D9CCA6D2B01BE6BB26F25D9B0700B08E410C9172C402C617681635DA2ED1769EA83F240A68B954A3B3787DF31A29AA8BFF00193FFE8A352EB5B13ADD4A7C84EE16B85F';
wwv_flow_imp.g_varchar2_table(531) := 'B4EAB006F6C6C382FB6CDF5A756C841F1AB23185842ECC20C00A7B717765692D36D7509F518835C3F12ED3D562F558D768B1AC479AB9E6AE79EE2B0FAA6E999570AFBC3558A0140E6B01BB6EA595A7408CEDB591CD614235DAD801922E19ABABEF285959';
wwv_flow_imp.g_varchar2_table(532) := 'BCD08DBC9764DE4BB26F2581BC9606F246963373A1535984D9C9B25D62589631C9621C95DBC97855873585BCD605D9A6C68C4108D06056596EBA2775D5D5D64BD966B3563BE288BCD8266CD90EAE0375CACD6689214B238F14E682506EFBEEBA0E0AED59';
wwv_flow_imp.g_varchar2_table(533) := '2B2F757217684A6823783BB358495855964B2516CF73E2ED05AC8D3A6D3732A465913BE37969B829F5928FC7B80DF29B34A935E8117350CDD9044224858BD1495F131D849375882BACB75959597664200F3DD758930FA21184E646071519843736DCA948';
wwv_flow_imp.g_varchar2_table(534) := 'C46DA2281541330D196928B873570A6D7BB2EFBABA79B968F5523B22AC835C9C324ED773C54171230373D4AA796D93E50E77A77064AE838AED89E0BB42AE4EE0A9A12EE1A0460762525337B0176E6A3898586E14CDB38A29A2C150D263A773AFC53A9CDC';
wwv_flow_imp.g_varchar2_table(535) := 'E68C0E09CD23BB270EE5D3CE67D0229D74DEA9E51199445C10BEC1171B9EA5329E2668C1FC0050DD08BB96CF84E1BF342268FC2154F90A60FBB3D5546BBF641FDD9FD53B528A96F747B92775E75EA8EA3356080B2934FE0120233307146A9BC8A6D439CE';
wwv_flow_imp.g_varchar2_table(536) := '003501BE061CBD551B40880E48AA8F215179554F9B7EC8CE190276A9E6C149AA3DC9387709B27700B8E886E9779781A946A1838A754585C351A97946579FC45163B7D3C5845CA001FC5B9ACBAA36661536877549F0A8CE4554F9B7EC77782509FA94E729';
wwv_flow_imp.g_varchar2_table(537) := '0E68EF91C42B92D1DC7E89C6E4EEBEE90E6AA2520800A2F71D49DD1B38A02E6C9D4A6F915D886D9363257D91474802ECD062C23920A85976DD52F94A2AA74511D55479B7EC8394AA6E3D5393F544A3B880539B9771E7308AC97B6E79B95519BAFBA28CBC';
wwv_flow_imp.g_varchar2_table(538) := 'AC046498CB0DD27051E9B83EC117AB941CA33750C6638C0F454AEC8EEA8391511B1553E6DC5D92D92ECDFD14FA94E4E6DD6028B6CB0EE27B8F39BB703991B9DA14531A0875D15034060DC1145A084DE487769878A3EA1037BAA67100ABF84A9B429AAA02';
wwv_flow_imp.g_varchar2_table(539) := '71B056016CAF3BFA29FCC8EF9113BFFFD9';
null;
end;
/
begin
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(6600460258634382832)
,p_file_name=>'emp_accounting.jpg'
,p_mime_type=>'image/jpeg'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/emp_sales_jpg
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := 'FFD8FFE000104A46494600010101004800480000FFE20C584943435F50524F46494C4500010100000C484C696E6F021000006D6E74725247422058595A2007CE00020009000600310000616373704D534654000000004945432073524742000000000000';
wwv_flow_imp.g_varchar2_table(2) := '0000000000000000F6D6000100000000D32D4850202000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001163707274000001500000003364657363000001840000006C777470740000';
wwv_flow_imp.g_varchar2_table(3) := '01F000000014626B707400000204000000147258595A00000218000000146758595A0000022C000000146258595A0000024000000014646D6E640000025400000070646D6464000002C400000088767565640000034C0000008676696577000003D40000';
wwv_flow_imp.g_varchar2_table(4) := '00246C756D69000003F8000000146D6561730000040C0000002474656368000004300000000C725452430000043C0000080C675452430000043C0000080C625452430000043C0000080C7465787400000000436F70797269676874202863292031393938';
wwv_flow_imp.g_varchar2_table(5) := '204865776C6574742D5061636B61726420436F6D70616E790000646573630000000000000012735247422049454336313936362D322E31000000000000000000000012735247422049454336313936362D322E3100000000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(6) := '0000000000000000000000000000000000000000000000000000000000000000000058595A20000000000000F35100010000000116CC58595A200000000000000000000000000000000058595A200000000000006FA2000038F50000039058595A200000';
wwv_flow_imp.g_varchar2_table(7) := '0000000062990000B785000018DA58595A2000000000000024A000000F840000B6CF64657363000000000000001649454320687474703A2F2F7777772E6965632E636800000000000000000000001649454320687474703A2F2F7777772E6965632E6368';
wwv_flow_imp.g_varchar2_table(8) := '0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000064657363000000000000002E4945432036313936362D322E312044656661756C742052474220636F6C6F7572207370616365202D2073';
wwv_flow_imp.g_varchar2_table(9) := '52474200000000000000000000002E4945432036313936362D322E312044656661756C742052474220636F6C6F7572207370616365202D20735247420000000000000000000000000000000000000000000064657363000000000000002C526566657265';
wwv_flow_imp.g_varchar2_table(10) := '6E63652056696577696E6720436F6E646974696F6E20696E2049454336313936362D322E3100000000000000000000002C5265666572656E63652056696577696E6720436F6E646974696F6E20696E2049454336313936362D322E310000000000000000';
wwv_flow_imp.g_varchar2_table(11) := '00000000000000000000000000000000000076696577000000000013A4FE00145F2E0010CF140003EDCC0004130B00035C9E0000000158595A2000000000004C09560050000000571FE76D65617300000000000000010000000000000000000000000000';
wwv_flow_imp.g_varchar2_table(12) := '00000000028F0000000273696720000000004352542063757276000000000000040000000005000A000F00140019001E00230028002D00320037003B00400045004A004F00540059005E00630068006D00720077007C00810086008B00900095009A009F';
wwv_flow_imp.g_varchar2_table(13) := '00A400A900AE00B200B700BC00C100C600CB00D000D500DB00E000E500EB00F000F600FB01010107010D01130119011F0125012B01320138013E0145014C0152015901600167016E0175017C0183018B0192019A01A101A901B101B901C101C901D101D9';
wwv_flow_imp.g_varchar2_table(14) := '01E101E901F201FA0203020C0214021D0226022F02380241024B0254025D02670271027A0284028E029802A202AC02B602C102CB02D502E002EB02F50300030B03160321032D03380343034F035A03660372037E038A039603A203AE03BA03C703D303E0';
wwv_flow_imp.g_varchar2_table(15) := '03EC03F9040604130420042D043B0448045504630471047E048C049A04A804B604C404D304E104F004FE050D051C052B053A05490558056705770586059605A605B505C505D505E505F6060606160627063706480659066A067B068C069D06AF06C006D1';
wwv_flow_imp.g_varchar2_table(16) := '06E306F507070719072B073D074F076107740786079907AC07BF07D207E507F8080B081F08320846085A086E0882089608AA08BE08D208E708FB09100925093A094F09640979098F09A409BA09CF09E509FB0A110A270A3D0A540A6A0A810A980AAE0AC5';
wwv_flow_imp.g_varchar2_table(17) := '0ADC0AF30B0B0B220B390B510B690B800B980BB00BC80BE10BF90C120C2A0C430C5C0C750C8E0CA70CC00CD90CF30D0D0D260D400D5A0D740D8E0DA90DC30DDE0DF80E130E2E0E490E640E7F0E9B0EB60ED20EEE0F090F250F410F5E0F7A0F960FB30FCF';
wwv_flow_imp.g_varchar2_table(18) := '0FEC1009102610431061107E109B10B910D710F511131131114F116D118C11AA11C911E81207122612451264128412A312C312E31303132313431363138313A413C513E5140614271449146A148B14AD14CE14F01512153415561578159B15BD15E01603';
wwv_flow_imp.g_varchar2_table(19) := '16261649166C168F16B216D616FA171D17411765178917AE17D217F7181B18401865188A18AF18D518FA19201945196B199119B719DD1A041A2A1A511A771A9E1AC51AEC1B141B3B1B631B8A1BB21BDA1C021C2A1C521C7B1CA31CCC1CF51D1E1D471D70';
wwv_flow_imp.g_varchar2_table(20) := '1D991DC31DEC1E161E401E6A1E941EBE1EE91F131F3E1F691F941FBF1FEA20152041206C209820C420F0211C2148217521A121CE21FB22272255228222AF22DD230A23382366239423C223F0241F244D247C24AB24DA250925382568259725C725F72627';
wwv_flow_imp.g_varchar2_table(21) := '2657268726B726E827182749277A27AB27DC280D283F287128A228D429062938296B299D29D02A022A352A682A9B2ACF2B022B362B692B9D2BD12C052C392C6E2CA22CD72D0C2D412D762DAB2DE12E162E4C2E822EB72EEE2F242F5A2F912FC72FFE3035';
wwv_flow_imp.g_varchar2_table(22) := '306C30A430DB3112314A318231BA31F2322A3263329B32D4330D3346337F33B833F1342B3465349E34D83513354D358735C235FD3637367236AE36E937243760379C37D738143850388C38C839053942397F39BC39F93A363A743AB23AEF3B2D3B6B3BAA';
wwv_flow_imp.g_varchar2_table(23) := '3BE83C273C653CA43CE33D223D613DA13DE03E203E603EA03EE03F213F613FA23FE24023406440A640E74129416A41AC41EE4230427242B542F7433A437D43C044034447448A44CE45124555459A45DE4622466746AB46F04735477B47C04805484B4891';
wwv_flow_imp.g_varchar2_table(24) := '48D7491D496349A949F04A374A7D4AC44B0C4B534B9A4BE24C2A4C724CBA4D024D4A4D934DDC4E254E6E4EB74F004F494F934FDD5027507150BB51065150519B51E65231527C52C75313535F53AA53F65442548F54DB5528557555C2560F565C56A956F7';
wwv_flow_imp.g_varchar2_table(25) := '5744579257E0582F587D58CB591A596959B85A075A565AA65AF55B455B955BE55C355C865CD65D275D785DC95E1A5E6C5EBD5F0F5F615FB36005605760AA60FC614F61A261F56249629C62F06343639763EB6440649464E9653D659265E7663D669266E8';
wwv_flow_imp.g_varchar2_table(26) := '673D679367E9683F689668EC6943699A69F16A486A9F6AF76B4F6BA76BFF6C576CAF6D086D606DB96E126E6B6EC46F1E6F786FD1702B708670E0713A719571F0724B72A67301735D73B87414747074CC7528758575E1763E769B76F8775677B37811786E';
wwv_flow_imp.g_varchar2_table(27) := '78CC792A798979E77A467AA57B047B637BC27C217C817CE17D417DA17E017E627EC27F237F847FE5804780A8810A816B81CD8230829282F4835783BA841D848084E3854785AB860E867286D7873B879F8804886988CE8933899989FE8A648ACA8B308B96';
wwv_flow_imp.g_varchar2_table(28) := '8BFC8C638CCA8D318D988DFF8E668ECE8F368F9E9006906E90D6913F91A89211927A92E3934D93B69420948A94F4955F95C99634969F970A977597E0984C98B89924999099FC9A689AD59B429BAF9C1C9C899CF79D649DD29E409EAE9F1D9F8B9FFAA069';
wwv_flow_imp.g_varchar2_table(29) := 'A0D8A147A1B6A226A296A306A376A3E6A456A4C7A538A5A9A61AA68BA6FDA76EA7E0A852A8C4A937A9A9AA1CAA8FAB02AB75ABE9AC5CACD0AD44ADB8AE2DAEA1AF16AF8BB000B075B0EAB160B1D6B24BB2C2B338B3AEB425B49CB513B58AB601B679B6F0';
wwv_flow_imp.g_varchar2_table(30) := 'B768B7E0B859B8D1B94AB9C2BA3BBAB5BB2EBBA7BC21BC9BBD15BD8FBE0ABE84BEFFBF7ABFF5C070C0ECC167C1E3C25FC2DBC358C3D4C451C4CEC54BC5C8C646C6C3C741C7BFC83DC8BCC93AC9B9CA38CAB7CB36CBB6CC35CCB5CD35CDB5CE36CEB6CF37';
wwv_flow_imp.g_varchar2_table(31) := 'CFB8D039D0BAD13CD1BED23FD2C1D344D3C6D449D4CBD54ED5D1D655D6D8D75CD7E0D864D8E8D96CD9F1DA76DAFBDB80DC05DC8ADD10DD96DE1CDEA2DF29DFAFE036E0BDE144E1CCE253E2DBE363E3EBE473E4FCE584E60DE696E71FE7A9E832E8BCE946';
wwv_flow_imp.g_varchar2_table(32) := 'E9D0EA5BEAE5EB70EBFBEC86ED11ED9CEE28EEB4EF40EFCCF058F0E5F172F1FFF28CF319F3A7F434F4C2F550F5DEF66DF6FBF78AF819F8A8F938F9C7FA57FAE7FB77FC07FC98FD29FDBAFE4BFEDCFF6DFFFFFFDB00840002020203030303040403050505';
wwv_flow_imp.g_varchar2_table(33) := '05050706060606070A07080708070A0F0A0B0A0A0B0A0F0E110E0D0E110E1813111113181C1817181C221F1F222B292B38384B010202020303030304040305050505050706060606070A07080708070A0F0A0B0A0A0B0A0F0E110E0D0E110E1813111113';
wwv_flow_imp.g_varchar2_table(34) := '181C1817181C221F1F222B292B38384BFFC200110801AB028003012200021101031101FFC400380000010501010101010000000000000000070304050608020109000A0100020301010101000000000000000000020300010405060708FFDA000C030100';
wwv_flow_imp.g_varchar2_table(35) := '02100310000000F8C8441EDDD34559142CDD2E157D0B6A5AF9D478BBB440A6B30F6284C1D983464E3B9BD145457AAA62F507D565ED259D347E6D8527CD9FE7D4DF95F90B46B76AAF482845FB66AECAAF6BA038B8562EC2254B2736F4CCB3532B514E8C11';
wwv_flow_imp.g_varchar2_table(36) := 'D736E379146A67116D0F1D7E7455DBDE1F4AFCFB977297908FEE558E747FFA09A6CB9C93A1D52FB1B4210EE66980AB255F41EA1802128B6C0C73225184FA23594A6D5DA5FD390510648A0BE689D2F9734BCA263C899442FDEBCEA52DDF9DDDB7AA5AEB24';
wwv_flow_imp.g_varchar2_table(37) := '204998B7D8F71FEC155B16DC0A317CCD83F16660AB0BA5F397BA9CE0A279F57D8B113B0B5F56B3F307350EAD75FAF4B460B243B91F0421A4A39F9599746E71D1F9F6162419C866D6DFC5B90B4A0AC50B2C52CE4983976B7293A487EBED1C88227ABC4590';
wwv_flow_imp.g_varchar2_table(38) := '9279646E7910989A3C4185D670081A043AD7C3BF1C9451E24BD57B06F84855395E06D65C67E850C2B709F135CB24B8B4AE334B94DB4DA26123012728DF33934798A56D59B4341C65898D6FC7E6428D67A86CC5A434D65FD3CDA22CA4649203BEF8EEA96E';
wwv_flow_imp.g_varchar2_table(39) := 'F9EAE215BB257CA80EA7E4B26D3BD8EAD63D98D56E8B335E60AB5FD1B4D69E1E7A2CF9EC7A6B1A1D8CECA9DC90D610E488A4D8A3F5F9807420A1A72BBAB053BA6DDBC8DBA5333697CBACC3231D298F625CADC55F10F3512262C8C96856AAE8EA1F805CF1';
wwv_flow_imp.g_varchar2_table(40) := '10172B2B7BDBF1AFAA2BEE77A2C8BC0E72C4BB5A0F0AD2F50E72D8A6CE537663D2BD75550E0C3B048AF3C48FE999A9CBA708A2E4A5EAEEA82D0AD4FA096F6D5F40659B9A9722D9F6505E1DBC819A888B8A57B5ED501036980D21A1F50E5BD47A0493231F';
wwv_flow_imp.g_varchar2_table(41) := '2080EFBE3DAA73DA5D944E06720EE035A484764DA6FB2D5ECDAB2B7632118F564F24E7B91C5837B38044F6FCE3B135BD95E9A6C9D81AF358D9A3886EAE26D5DE6929E8CDA68DF19076DC990172CBA5F3868DCFA4D32B1D2B876A09386D448C3C942510D2';
wwv_flow_imp.g_varchar2_table(42) := '916915685DD236ACE2D6B39E8F342C085B6CEF8757C7A33EC91F8D192D32562A3C4B82BE95FCE7D596BAE5373A92A75DF752182C730C9DE7270CE3AB45C99B15114A71CC7CA9774D2C32BCF1E35951BC3F6A24C554BF5048C6F1F8E70BA28C3F2B53500F';
wwv_flow_imp.g_varchar2_table(43) := 'BD07A9F29EAC7249AF9A3C42BF7BE7B296552EEC92859986BA0A44CBC2E5DA6C9EAE4FE8CC9355F8D0AC935ED2F46767CD242AE5B7A392E6EE6DFE9E7D6A26F35ECA342ADDCA9B6D1AD049140C7D7B497824644D586A37DAAAEB9D0D9F3412F59D65A3E5';
wwv_flow_imp.g_varchar2_table(44) := 'F0EC68DDFA60C8A86B4C543098ACD635D0B5AF4E0A290A29F29779CD5BD8CD9CCCA3AAA19F49F9A97368DA8437722037CDEDFF00F3FF00563AFB945D6C42CB7E5AA46070D6203BCB915798D8F8FB3C74C6488D52FB4EA8EAD83D9F29668AE991570A26A1';
wwv_flow_imp.g_varchar2_table(45) := 'B587E70DAEBCE3BF22D066A75751B5EB3565967DD6192F5AB5451748B84AF9F7F7EB157B4FA848C3CBC4420BC1596B9975992D550B5BF3F4D948FD28674D37B27E7C6721A27C97489A203B3CE338731B35867CA9E9F8207648A6ECB8F1D59048A6B901A1';
wwv_flow_imp.g_varchar2_table(46) := '9C49CA31541734C5DE45C4F9A8A9BCBA5B72E3906358B9B8CA3118E0A035701149A3425A015B25767523ACCC80C330E815666D2198256A421880900D02625D9F8D7763857883CD4955C70AC8CC4A601515E7AFDCAEE6C340DC47396C80842CFE764246DA';
wwv_flow_imp.g_varchar2_table(47) := '3D65569D7AD0C64788464576A5205F48EFC6DED0F9F9BB982E2A56CACB8CC1AEB206C0720AEBF8A2011E3B4AE94E90F65FE89918A8428AB5AEA79B5172D94CB2B95DC6A6D35E6B435CEB1F43A57BCDCA1068D473CC695694E73349D4D02D0209891A5B02';
wwv_flow_imp.g_varchar2_table(48) := '61616854F39AA067D8F02331BD0840CCA78491CA6A167333D3E7BE419C4749C7D18AC645417B42FE4C1A13120B4BC54B2874D99C3466070972E6AECB521E0A22C2B0333EE3CD918DB6E58778C5F6B072A24BCA445E511A94CD3F9786EC64B9D6EE08260B';
wwv_flow_imp.g_varchar2_table(49) := 'A2C8D47E5EE94B10D24525776904E967E572D919A06265655D32E0F992734B8F4EF4DD6CA257EE555D224FD918EB653525BEDCF8818E6CF5841E3945B4B7119EC4D9522A573278BE897ED4272EAAB20E8624CAF4D3F05ADDBE2F3DFF002F8633A7DCA85E';
wwv_flow_imp.g_varchar2_table(50) := '861F84D11F54719F03B02CBF552E7E57AFDA3676199F4CA210EA54DAD2F6378623989BDD7D8160D1F9FB416623B4E404E62D1F93F3906F4C9D35031A8BCAA2D70DE09A3126AD6EE562E4921AB763E40D9BAC7CC69B2B3BF4175A9F1BD9BCDF5431853556';
wwv_flow_imp.g_varchar2_table(51) := '37727BB350EFDD4CAE554FAB1E07643A11CCD75BB7507AF9AE1FA260FD279CB3C4D6D2E2F6956AD26793D3E236C8D72B229D356612F6FA85C85D8FBA5F6D02B222DE947728569C142CED5C51A73528FB4C0903E06F09ACB476119C6E814DF1C3E206B0EA';
wwv_flow_imp.g_varchar2_table(52) := '5641D0EF26370D45D58661D50DFA4BBABC67A9216CFF0064F91836DF7DCC3B729A2301DA00285419D74EB81D4C3634FA183EE7743E5BC67D548BF0BECBE6BF9F476B821F37213E8851333F2D9DAC76CE56A9E9A6CB72DDE7519D60D92A873F96CA08B0B0';
wwv_flow_imp.g_varchar2_table(53) := '2A655BC9A2E270AA45643D505DCDF88C5059BE92E4DCAD07D20DE351C8967B024072DB49E9D5DEFE3F21F17A1DFE61394C8AA417794F471088BEA03F4F4FE56B3FA25967B9C001B33F486EE6E717FA41FE47803BD12F14CCE8D7513E09945CEB17A43931';
wwv_flow_imp.g_varchar2_table(54) := 'EEB479759364B56BCAACAF29A7DEC80980D2A0D60E5F89D97BD7AC9F9ADF4377D4CE9563DB0697059BC907EC8FB558BC5C69CC068A693F91A9A09746A299C55091ED4E7EB9F27F785951943CF5B0D2D89CCC789009B28CF501A1786E05E592206E351B0B';
wwv_flow_imp.g_varchar2_table(55) := 'A604035BF708BA5CA581412877722FB3BE2DBDB12C5A603037D2FF009DBF2FFA50AC7E7E8DF9AFD20517F5D8DE09AE2BAC272D8868A547D7CB1CC4DE90D528E4BEEF8F951AB1F603575A96D6C40DE4C27EEDCC1B8BCEFD2E10833A44CBA86515A0039B33';
wwv_flow_imp.g_varchar2_table(56) := '0EE93A05942F9CD5CFA0A32DDE3F2E48DDA1BB3E2E3DC4B386E68A7326A4A8D59E7E91BFE57CB8CD8160D1BD58D485BE6F9D256343E18A43A2BA65AEC4FAED8AB669541E7AB310012E8C7478A4AE3301682109697A69B9D3E81623066BAB37C97DC26AB4';
wwv_flow_imp.g_varchar2_table(57) := 'A79AAFBF65F9117D5AE4EE57BDE9A385179E3B8C9198E48F05B738F2F3D5B2CE0DBCFF002A3F399660A263DADD9AD5EBC7A87728B8596C7D803E83619F967D6AB08DD187CBBEBB4A4AEADC6EBF0245818148E6D8DD0DA9716C6893869099F06EA79DF51E';
wwv_flow_imp.g_varchar2_table(58) := '61D38439F4D81BF4A3A9CB6E918FD5F4AAA16AAE70E474B6D09849009DFA9AA226FD6DDA53A313EF5BCD823317D1C15A17F3655D29993A5E3DFAB526DAF9D768C80B0A3A35DDCF953253B4FF0049698834B7BBF0308E27DAD554DCC9489547CAACAA8BC5';
wwv_flow_imp.g_varchar2_table(59) := '9B3E03E8525685B8102E8DEEFAD5952FD4624AF45F29CF6118BCF18D7EA88DF26CC5953D18FF00F44FC0F1A3BD74D41B9C6EA5B8643AE5A1306D3733FE8E476475545AD6CC15BA63D56CE205651D9D8A3E05FE59B3C28949F0FD0CE5090450E5B1E6C1C7';
wwv_flow_imp.g_varchar2_table(60) := 'BF31FABF4838EFE7BF4E83EE4FA8307177C81A95B8A9C88CBAFAE5595CDA5186BDD7C6F3F619FA1D9A99953DEBF31CBA8DFF0050A8D964E92413C45B0E878CD94540F28E46494C2F9F7121DD7AB653B0E933D2F89AA661DAE35C7B7E7A48D8EB9CAEA4B7';
wwv_flow_imp.g_varchar2_table(61) := '2F93A6B519922C7262AFE91BF9F3DFBEE7E67F49DAFAE7D2F916DCB47260EFA6DE8173C7ADCC5FAF1DF8084165FC3AD8BA01221AD9663E52A3686D7E9AABB4AB18D9A9164FB7FC5A67F31719B43D771E881DA60E350A8F28D7280D2A8175D7A55F9549A1';
wwv_flow_imp.g_varchar2_table(62) := '85B96A8B20B20F945E6888B3020E92C3C3CCFF00CE57E90C784703FC5BEE240971D4C7CF3E9768EEBB6B353485BAD6189A270E62F26C7929112697D9D7AECE10B985974A0C2B5B059D803DF2D1594E9ACB8EA572EB6A8106D4CA034991EB5BB9B52EA5D3';
wwv_flow_imp.g_varchar2_table(63) := 'C7B0C664C8A5FCBA4FAF8484EE872F3F86B468DF274060C2E14A4322A619BC5B93CA5B233BE8E7FDF8758C75D7D4FE26A2AC507A65992B1775231F12DCEA7DAC2B397258EB5A528AC2BA0F34E9C3823B13C0355E8887C041E51EC2988375F7FF0086D97B';
wwv_flow_imp.g_varchar2_table(64) := '86FC86CE3A819203EE6619C037967D069A167BB0E8850A0799AE980BC1CAA63518E61E60EBF49C348A58DE3FD6573F026E207FCF1FA34A6D696C3C07D088978CD5266AD51162E720CF3F55FD0939395B5C0EED3A366F7458AE4072745120E70BEE8CD72A';
wwv_flow_imp.g_varchar2_table(65) := '3132B0E11CC191AB5975B331E7EB30B346D01BCF5AA9AF73316F3692B556CF3FBF0578C00FACF3B7E8E829123A1E00176A2089CA3B0B0C0E66CE2D4E91A5D5BEC87F3A7F78FE8BF2922B6898BF4BE5A4781FD71C0406229843862602E81AB3B4167EF06D';
wwv_flow_imp.g_varchar2_table(66) := '9D28D92E5798596B08BABCADD9EE9CA6C049B798FBEFC3557A8BD18BCB575F2D8FDAF2C976B0F0A4067CB6DDC5A58A28892AECCB01DCBD55F81472FE31BA9693ADC328ACB150FD010702D0037FCC9FA68D2A82A1B83DDD353F952FAA6E8F48528E5DC4AE';
wwv_flow_imp.g_varchar2_table(67) := '876F96C20DC843775692850ED2CAEE8565AC453F393662816B3021CB83AC30CBB5983B85B0591042A7B5047256672B4BA5674FA0F9F79DB2AA5FC146203D622BA44875B917EDC9860A515A98044516E2E988D9579A60DD3EB84F3FE8E54E7D12F8C3F49F';
wwv_flow_imp.g_varchar2_table(68) := 'DDFCE3E8636060A3D6799D6753CEB72D51E558B847B3C431FBB7B597CF9AFEECA9735D8C0904C0FE3841AB015A67845A121EE43DEFDD53BFD3BF0AB2B562E507645A31FC9092F0B16F87517BE5B3B8397CA7DAB4A225F579ADD4D2F4D1B6661B6033EF18';
wwv_flow_imp.g_varchar2_table(69) := 'B568E5B2AA6866894013B0F85D5F94F29F5D92F8AFD67E47C4FD7419D57CB58DFA5F71A1F94B64FA1F9D13D00FD9832D39DE934FDFF375E395DBD6F3F9A2F19B75DAA2F625CA44BF97CB8573E2CD422172EB25D105486F5CA802D022DA84FD4EB8A79FEE';
wwv_flow_imp.g_varchar2_table(70) := 'A17BE5CAF621FA91513CDF36272D60B55EDC3964B3659928257E8E7E7036410E867B7E2098E69B68F4BE5A6C82369ED39B4598F14D6D95F481DFCEF7CB77D28AF6573A6590BC5A59F30EBAD67E3E4884641A436C9AA94BE7CF3C9343912B99C7F447C736';
wwv_flow_imp.g_varchar2_table(71) := 'D486478C3BDA8EF35D99AB28D729574836217FECD1C8DB78850E0EFCF763465182AB797EC9B9F05B8E3745F5E04763CCCD9250CCA5F699EAFE08B9E77DF791D44A184310B310AD96CBB660B0AC74FA59EFAA027E45B5EEDE47BCF9894FFBF5F16727A4AB';
wwv_flow_imp.g_varchar2_table(72) := '5EF13591DCBD2B73146A1E677B541FB28EAA5F670E0E897481C92319F43AA8F57CE0D3B50956E6B1612FA982B533359F70B5F32EBFA6EBE65376CCB63F9C7F46BF333FC76D103C121F336D718C74F2F5E7BC43F513E5EFAFF9ED82CF59B57578B25291B2';
wwv_flow_imp.g_varchar2_table(73) := '1A73DA2A5658460C6CAD5186671434B6252B2AF6F3BA09570954A0E6EBB9B433687521F5518F91D608E9CB9479D57D5C8019E9A8EBE6E416FABA3E565879A4937A834718587355AC3F6CA179FE9E54CFA7ECF9BF4ADD43346B2DFED2BF0CB57355FD4446';
wwv_flow_imp.g_varchar2_table(74) := 'B286161BDB1A17E6EE98CF7A52B54889E5EDBA53226AEB7586447126144D931CCBAAACF210B0EAEAFD54F9D020BD64F419F7B9D1B75F8C50D5990CEBC1F5FB1E959A41A8D5A176BE3CD84BD7AE1417071F331AF9A55CEAFA604BC70551797BE727D359D6';
wwv_flow_imp.g_varchar2_table(75) := 'A3E60E880350B1BF7C5BF265CB7E333670D1392F7F921E5713C3FD7F3F60A8B596EA6095B4C44C6DCF232F173AFCE843B56B724A32418D5B1B4D6EE241A70F02F2441AD388EB3F90F71AF4C81F3CFD4FE7F5F66537978C21CDD6298BC2E9E6792F05D23D';
wwv_flow_imp.g_varchar2_table(76) := '37104AB0086DEBD2316943CFF2ABA9D748B0F4597337EC5C9BA355519B868DD1C71E732FBFC9F944B76DBDA929A4B2EE9019B54A91FA8033651117D0D10D4C0B683B5F12DC6E0DDFD8257A2B8FF3E769E8E864C01C534DB182629E85CE9D738D438FDCB2';
wwv_flow_imp.g_varchar2_table(77) := '1568EE075EC63C674BA78DF7B6DD7BF33FE9A6B7B7F8FDF78F363B99F37B5262032006E52C638B8D374EFC4AFA918F767245DB17E6613B472B6609C6854E9F9ACFB91B52654EC709CD9EBD63D45352B1D37A5323DAB576A6B2E6BEF94EB0731C4AB0A8CF';
wwv_flow_imp.g_varchar2_table(78) := '1111CFABE89B614B30D95AB08920BCBFABFA75A2B06EA7FA5FCCEFADF2F45F3CF761840DAB495FCC8AC8ADCDA74F6394956397A6BA8378921EBAA1BFA549E5720F2AE9E025E908B67B1CDDDC71EA52FAE78F2457F23FA5AA600CD9C6BEA7ECEF987BA6F0';
wwv_flow_imp.g_varchar2_table(79) := '9D8576C151AA98440C581524BE7FEACC811D9BD69FFC7AE01BD95B94A4C3DB6BC270E7C00CAA74E82BA881E727B5AC68F9DCA5C9EFEA6D2F9DC81E5BDF6824BE5BDC7AFE7BE80FCA2DE77C6A708912602BD0F3FA672E44519DCFAFB090AA75B85A575062';
wwv_flow_imp.g_varchar2_table(80) := 'DDB4ABCE18C773616D59646CB5BB4EB9619C869BD59DED06D42928DCF19BB77209F4C68213CB6C4700682F39EBED95BB8573CC7B1185009F01D0C04B2C67B3CFBDF9C52480F14AC7B2356655D4FAF17F38E9CD21C9913D48A905B3D59E4A6FDBE58C2191';
wwv_flow_imp.g_varchar2_table(81) := '9FEEEAA43D3A32BBC7027DEB499A70CB1D915427E5FE0F311461DFC4BA6D1C54B3CB9DCB06D0C7076CA5AC196495A20F9521F5155734119FA8EDA64DDBFBAC17F5BC8A995EACDC6A9775E889C864686DDF1D85930BB994A2B7EB02462EAB72BB52DA9B27';
wwv_flow_imp.g_varchar2_table(82) := 'EA47E1D1444CDDB6391DED13F137FA04F8BFEF3E6B8C5D70BF03BAD2A17F80A3F756E4120D5D972C90078F44EDB2B76DD8A997AC1B685448F2ED1097558D4369E1ADA3E643B4E9CC567A3A980322C60DA3327509CFB39DB72F5487A333FB5EB727E8E587';
wwv_flow_imp.g_varchar2_table(83) := '131A939BE92698C17A13A1CBF889D3373C17AEA73D8DF4F9AAB2A45FC4B9219B7B02B985997AA20744873316FC5D50056A6E9FB39F115FB1301B1A05B4589AD94E2843917584E17E5483C8EC605191F699AB9D4691BA4C500C682790DBC6A4B30537AE76';
wwv_flow_imp.g_varchar2_table(84) := 'D75F2220C603C2C87A1C5444A44A5E8FBCFA31E9146F7B60DA21DEC1B427368622DBF8C4EA57A3D9D28FA59F357EACE56F4DCDF82A8BB8CF33E8DA442D10B6FE45856CE70842CA39373B1D526F52E61CC54DB06399CD4255C1596BF312BF46A51756635C';
wwv_flow_imp.g_varchar2_table(85) := '690363A24979274DE16A63B324A274801B68BA0B8E20DD9E192CFEA2E80F935A17B3C803B816B8F29D227F431ECC08FE0E546A6FFE517D62EEFE535D9AEC0DE39530DAD701DBBE57A6CBB50E233A9E6E414AB3731B947C42F715B6D16D0F9B95C274AE37';
wwv_flow_imp.g_varchar2_table(86) := '7F25C25059EEE4152C2115A098066D18EFCD4C85B9D4B58CC93C4251CCCA5864CA14A747463E60A6A5FBF7951CDD2956F3AB4464935305F6D624D6790763C7D6A7F18EC606659A6ED6002ADAE438A309445C6F94CCFB483A025B48CBC3BC2AB3D82A1647';
wwv_flow_imp.g_varchar2_table(87) := '559256B8E1C12D5A4E086E63BAE47D5C941356A973D67CAA17A9B4B02B5EA04155AD5B9FA05F8B788F49895BE866D6A07992A5AE585164E9A334CCCA0D766BF096207259EC804AC8B55A301F773ACCA4677EBF133BD624E958BB601A85D055A792D59D61';
wwv_flow_imp.g_varchar2_table(88) := 'B36EF52035EA11109B9C8CB26F1132204CBB84719C4D6BC51BEDDAD0222A4CC63768D462396ADB983008CB4ABAB050CC147460C9C3313F3F73F86DCDB2A16921B6A1FB86873A073C98335E9DB286253184A537BA41CDE0FB35980257FCBE91AABE7200BE';
wwv_flow_imp.g_varchar2_table(89) := 'B38DC2B0221F4746ADBC072C4086DCD824EC9EB2531A103C1839625956103630FD5CA30FBE986EA61048A24A284DA8EF01D8092693B61C2ED4FA4F63CD05ACE575E5AB918C17ADB7665B232AE44DAEEFD0E922ABF566B70757351F5A602763961CC9091A';
wwv_flow_imp.g_varchar2_table(90) := '685014B0D125549151614F6B7AEAC876D8A1CDD0A0C4D090D0941019C662751B3AEFD54EE4A31608883CC018D1051E27CF542C6540F9455708153285EEE39B2CD68BCF79F46D7B3D5AC652D5CA5E343D2B094AE8B2EBF612F82EB115290A5568B0D76D76';
wwv_flow_imp.g_varchar2_table(91) := '2B5B68F004261110F01817AFE8996D6D376C655641ECB87352E2E5BFCA7F12AF12C2EE688FF63CDB7D90834E20CAD105E845A16A9B5E427DB9840BA72DA096342E1C9001FA7A56F9B1A6B3DDE6305EDD6A22C4529202B4B7AE71573CCE3BA1B70971F867';
wwv_flow_imp.g_varchar2_table(92) := 'AED9BA6528D166862EFF0035FC8271DB3EE47AA30F649BB88F255C162A478C28E55563EA0E51C432B2D7121185DA4067CA7E75825C982B2426320D974412E31059022E7DF3CA8B4FD7672E5A7F36E9A0A15C424E4C384C54A6F0C88857D177575B9D4AD8';
wwv_flow_imp.g_varchar2_table(93) := 'D0649B7EA4AEE71D2D9F2CC5CEA2DCB9AB20AFE848F2EBB96C387E9CB649C879244A8E9A58100D9958BD72F80DD0A2ABB1BFEEF903E1B3EFD2A159D8DA49056EAFB281B19C20B71CD4EBCF252BEF1E48A7EFDECAE7F77FA0F128C655B4943CFC53018F4E';
wwv_flow_imp.g_varchar2_table(94) := 'B94311E5D27291F7F7B76ABE4DCB46BFF94400DFF9DF0A3EFB6DE414C64451B6901A71F91E9849914624559A2222C892A46A6A2277E7EF3D18A4B43CA149F51AA860B1305E4E1A2E4CC24AE4A8660EDB5891E61A28E5D6DCC53A537B0B9BC5D2F37F1370';
wwv_flow_imp.g_varchar2_table(95) := 'EE77E53F750BBED1564E93F7C97C71EA12D543F71291B05797B1D211D68BC3958E51978B469E3DFDDC9C72BFE919474E2307FFC400251000010402010501010101010000000000030102040500061107101213141520160817FFDA00080101000102015C';
wwv_flow_imp.g_varchar2_table(96) := '879186E07A958E6BC7E2E699BC351538025565660738E3B4C43A051A9E28905B0C2605B0630EB85621B51F088D46A2222351A8D4620B02E19DB392D3F6DFB0976991B8CADDA5EEB2B6D35EB8FE83C58E2A57D7906EEE9D9D93526257644545722B5F95CE';
wwv_flow_imp.g_varchar2_table(97) := '8B8A3413A390041783D0C8C56E2F60255A56603F8E25A1D058C4E112BDB04650DC063B2B47622B81F08888D46A35133CFE9FBFF53F656FDFB213692ED66D9CB7CE9CE6FC2C80D87F3AB25A23A956BF0589DD3B3B2664DC80B0D51797E3D905F165325B24';
wwv_flow_imp.g_varchar2_table(98) := 'A9DE52BFCE4299CC7371DD8395795981EDC7694921058CCE32B1200DE2BA0471560EC45763E111111133C8D28D6A4B97DE3EF5F78EB9758A3851055E382D89F3B86E553BA510F29ED5A55AEC162764C4ECB92F27641C86BCF939D26A4504511B1904523A';
wwv_flow_imp.g_varchar2_table(99) := '422AC7380C318471C815C0AD5E56607BF19252420B078989950DAD138174245AE9B673ADA42A22222261D6C654EB2FB31238E18E00E13228C4D5F77D4F90F310CE3FBDC53B98B4995B83C4EC989D9D92B2C321E42ECAE524D842AF4AF4807852632863C6';
wwv_flow_imp.g_varchar2_table(100) := 'F94B18D0C309032585C0AD5655E03B71C64849282C1276A62409659F7B645B2AE7CC6D8B1111111132465B2491478C91DA16B58A8FF2F6297DAA55338A4523B9F23B9994995B83C4EC989D9724E58644C85D9D8AB2490C3135E954131D29F919E8523CD9';
wwv_flow_imp.g_varchar2_table(101) := 'E4E2CB29142B54B5580FE64649C63D8774A74C876916FE6ED56DB15146A9A59541714E662622226484B549191DDE4AF42A1FE843FB9C553FB94AC73B1E9E28876A25265663313BA765C9196291320F676391D2A9A48A418978A444131115EA67924297D4';
wwv_flow_imp.g_varchar2_table(102) := 'F8ED156255603BAE2A9DD31EE90930939D3425ABA0FF00CF6C746D569AA6BE642D922CD6A622267064B56CBC8EF7BD49ECF6B5ED7355EB8AEC6AABDEE454533B2916B31989D9313B2E1F2C722E41557395532358D66C532FA53D01F3BC2AC23A495E60A0';
wwv_flow_imp.g_varchar2_table(103) := '005884057E556474E151C8EC3E4FC3BDB891475DAB51D1D18E96E6921C3AB64C1EC43B56A622227064B56D8E05FE5EB70F04C60958A8AD70DC3C5CE3C17098AB479578CFE970D96791B2062E2E2E2429713C20B502D17A8CC238EE98F7BE03E3611876C3';
wwv_flow_imp.g_varchar2_table(104) := 'CA7C0270A8A8AD3B27B0828B0C35ECAFD4A3D4319974E4355165BF6275C22626227054B54B11886C6B064091018CC763B387673CE70AE5C263928B2AB1BFC2765C3659E45C81DDEA90ECA249656E08681706408A292C96320E12C47712991529F23E71C7';
wwv_flow_imp.g_varchar2_table(105) := '0AD3B6737C200421F0A5253C9648BE92D954F2259AFCB6AA98989D8896AD942184AD03C8E90D1BD923D9E4AEF62AE78AB97B131EB439558CFE970D96680C80BCAAA91234F872AAE157021A4458A5846807AE93564A50D44582D8B221822D58E3E71C70A8';
wwv_flow_imp.g_varchar2_table(106) := '749C8990305DAB16A5E37DF3BCE9A4C9917E5B1C6E262767A5A21F04D9A91E4239CC789512434DECF3E15B8E6AB58D2B0ACA1CA9C6A7F2AA5CB3C0657AF2E7B9DE93463560AB9917D2A07467C32C07563AA7F2595FF21222458218E9DB8E0C93D388382C';
wwv_flow_imp.g_varchar2_table(107) := '5CAE5A970DD7AAF7533A4ADE658A371313B3F2D125E07258DED11D8E563A3BA3386A9E4D2FB58F7BFCC4F2E1F2816A31898BDF9552E59E07202B9EE7318EB35B4FD149EB61FA3FA5FA2B60B60B60B60B3FEE74F74F6C98448FFC9B2722A41C162E41CA9C';
wwv_flow_imp.g_varchar2_table(108) := '165E6132954F9779648DC4C4ECECB44B0C84F20CB1480494290C23D1E370CA2631AC51A27CDF3B90EB4094F8D4545C5CE7957116CB0590C81ADADD02A353359A58A58B6D1D6AEB74B56D8FDAE94F9AFB25B3FD27D9FE9C29B5648DFC9B2763B20E07B42C';
wwv_flow_imp.g_varchar2_table(109) := 'A9C165D2486D2E192ED2CDEC7262767659A58E457315EC28CE0F21CBFAD24FB1D8D1209E8318846619A51D0E53231AEC763B1555EE790868F4FD3EA8D502471A33CE0AEA19DD38B082F7ABA08062243F98F14C0747F98B1FD35E3A948DFC972763B20E07';
wwv_flow_imp.g_varchar2_table(110) := 'B42CA08F595B360EC3AC550A78EED6E5E12B713B2E592592033CDB2DE62E39107EA7B51444199D21E714964D34D5294B4394D879CFB70CFF0027B86C8BA2174DA90B61FCCC8E915A3B4D7E8F5B1A58555CF48EFBA610C016BDCE5395EA8CF13A641CAA58';
wwv_flow_imp.g_varchar2_table(111) := 'CBCF3D899371F90B03DA2AEA7261C83C8D8EC6AE75E585BD8DD1A2E33BAE58E59A09EA523DD2165B8F1DCB84C5CF2695E7F6A17DFED63D5BAFA02C6CEEC9B2D35B025B32B8F06655D5BB54F1F47A5F9EDD2631C1606AABD3E7D171AC1BA78ED12DB5794A';
wwv_flow_imp.g_varchar2_table(112) := 'D6B58FC90A8D82DADC8CFF003F2E797E4DC2642C0766BA25AC1EA4597592C3A8C2DE27EED3AE4D2A16313B2ACF5B4C55719C572AB3D411FAD05F23AB9B57F90DA54A46D13285B40DA08B573CF636410E95AED6F4D8356293AE9E68496916C1F05072DA57';
wwv_flow_imp.g_varchar2_table(113) := 'D6425454D8348AADFF00D4D1AC691582726870F5076846E9BCCE923FA489D3206942A1740C4222BB26A1721283B3B2596758AC92196657AC879D9055A849628ADA45D3D9D39774F6D7A5B33576D1B68DB44DA34A34A36D23691295299B4C94EDA84AA4AC';
wwv_flow_imp.g_varchar2_table(114) := '6D7C98B3EA687A1DACF456AB594497AFD9D1EA6FE3724A5003618C793126C56F65CE2DF5FF00F1F1F780BFD5635F4616055AC13237C890D91191FD3F3960368EC4C779A346C049FA1D267489AFF22B91D56E364C75765E5BEB90AAAB850A351B29894A58';
wwv_flow_imp.g_varchar2_table(115) := '36F4765AAB21B20B6024048490921A45F9BD3EB5C71D8587AA57F4EABF5C1401C48E29B098BEC8946DCEA28F4C66E14F5BB2D1EC9321F189DBC5E33453E88DD8EBAE62468D8262358356F8B51B8A8DC2E0F270FE678D04F86E8AE6963C8AAFC7FC106B30';
wwv_flow_imp.g_varchar2_table(116) := 'E85C37CB7DB3DFAE47AB1C4AF01FC6EA5D93C00B0AEB0D565D4B1E8F47A3BCBCBC95CC0C2D1EBFA655FAE069D628E3340C1A44132DA19A1D7C944EA4074675A0369D660DCEB7BE78F8F822222B55B8E4BAD58411B1A8D463551F8C6B11C88AEC0E3F3C3C';
wwv_flow_imp.g_varchar2_table(117) := '1B11F09209223A17CBE9F99806024C6B804581A5E8771ABD451C868A7FEDEDB336DB175C52C73D6D955DC6BCE6A391DE5E65B091B174B7A8291FE0142707C022689AC6E2338B28401C627521BA3B6794A1BFD426C38FD5406F91AE3DBECEC47F067DC00A';
wwv_flow_imp.g_varchar2_table(118) := '16A2A3955A6C4C4C5C447344AC1FA5C04178B5AA3789CC78502D0A61C9B0CAD12AE85E701177CD90502943B65F5ECDAE914D3A34A7C0B1AABBD764C278FE6FC90D396A6D63F4BB796395AF63468CF156F3CB56C823C8F9BF2694C98761156FA82410F4AF';
wwv_flow_imp.g_varchar2_table(119) := 'D4835C3D9A27582A3AA62973095A2BC4958C631BE3C3DA88D4C663B13038AD2A0C0E0FA1C1501D131A2F03A5FCDBEB4D6767A2DBFF00DC4BDD98045479DB6AED7A4D548832412CA29B577B4A36346E84D8AD5D86A3A7BB5C52E3B1138ECB9CAAF362C8C7';
wwv_flow_imp.g_varchar2_table(120) := 'DCC5AD34E61AA90729207E492A7F0D7592EB93F4D8BAD7EBB36E0EC4E96DB00CA74AF77B5AA2CE3C5A39682671CA3BD8C1C8C715EF56351452056B4F65A63741AFD42AF5451189EC33D846C8340807ACB58D304755B881B04182469E7346248FBBEBDFF3';
wwv_flow_imp.g_varchar2_table(121) := 'AEF0271B1AE45E7CB9E7969762154CDD8035AD2C81BDCD58CC7276701B8C5C38E346DAE30844216C0737EA496B2DB3C535938560DB7993D8452B498362A19708C7102EF5B30B1D6BDB03D230BF1EC68922BEB871DD157210A05830B18A676CF571A14889';
wwv_flow_imp.g_varchar2_table(122) := 'E6981973E36A36EC239786E3B15FE4A56995D62968FACD86012F688304C1B49ED78DDCA3FCB94904C8E65336D47632DC8D72F962A35B83910CA790351C91914AD8EAC959ED2906A9816088E389CF7C68129AE321852A3C858F26B4D1BD0D6372BEE02823';
wwv_flow_imp.g_varchar2_table(123) := '6CAE93127865364476B22E6FB43D13DAC465442294AE5310CC9043B65C9AFA1A2AA7D8DB7FBCB9EA49F75440BFC90C855468C59216D1F0E33E2AB06DF120BC5118360DE184DB63B0CC2BA532CA3DEBACE4CC96709492473596239AE98B3584638EC330E1';
wwv_flow_imp.g_varchar2_table(124) := '7961CD8931A4B51C73BD8D8A78703608269EA446B59917228479263F49EE1C45398AE90595F5299D2E448692AEC67ECE4DA7D45D7BFCDFE0A190EA473878D56B9A66586E7610CB1A61E479A15F9EC5C639C598FF0076E33866496F99F58650A79A4171A6';
wwv_flow_imp.g_varchar2_table(125) := '195084CFA8329EE648ACB222480BC521868F124C7972180B2876B06714724516DA0488F436F576554DC9B251ED7EE32EAEDFDF224C99269EFB15B12D849D8097B16C3F3123319230B2E5DD37198CC5C19524F9ABD932FDF0CC1314AD735EF55779B48A7B';
wwv_flow_imp.g_varchar2_table(126) := '22FD3BE58FDE93966A10224C74929872044139E19611486C9091248AC1B2FCA7472BD936BE40DBB86B712EA15CC1B934D43409141B4D9419B219226E3CAB337A9BD1ABE0583EDCB38F672EE24DE9B632582067EBB12B22465249DA25EC442A098D446939';
wwv_flow_imp.g_varchar2_table(127) := '6AAE2AFCC4654958BCB49EC795AF7150BED9876BB6DB574AFB5F620BB8D7A3B73CD1C8FADA787214856981ECAE9462A5930E0948E950A4D5414873D336CD396557591EC433A287E5A4DA3603A2C995636B6DBA147D161336036CCC910AA626AA2D507A9B';
wwv_flow_imp.g_varchar2_table(128) := 'A64DDA3FDFCAEA4D9EF262F1D91CE27B964477384492020836F450E0362871E41CA7583AC56C9D62C3964D958361A503B5A2EB84A27BE2DD32D996619C1975E60158A78AE607230E655B982B8876E390A13244C12B32F75ABCA0158419759320BA502F8F';
wwv_flow_imp.g_varchar2_table(129) := '717F79D4935A0F1AB5D73177D175389D63775BA1F5927EE0F5F5AB55AADE38EFF62486B18C6B55C67228C86B1893896A2B87DD9ACA5DB176775FA5B9AFC17BAE56B83E83C79E213451AC34ABAE91D955C79B0A747951E482C52DA54A64AABB55C981950C';
wwv_flow_imp.g_varchar2_table(130) := 'CFA7B312D99033E0D84692AD9B1366D12BEE6A6C62D8B6CAC1DB59DAA15639B8172E2C9114894B3A3BDE251B98E4545C5EFCC7384CD3BB13105363300ECBBB105996CCF7522FC7736DB0ABAB63D76AE1D1206B58B9E524B6471CA8F33ED5996D3E2F4E2D';
wwv_flow_imp.g_varchar2_table(131) := '753FA205C25ACBBAD76B755BBB1D52665A5CD738F4F163D14CBEAB83755D715973067131D1BA95A5D55FD76CBFAF3AC7AD7AB330383C4C0AA64A60643A5C19D593E3BDE37B48AB8A8A9E3E3E2CD69B78DB18D64CB2892C47881D8ABAD8D2AD8BB17DDF73';
wwv_flow_imp.g_varchar2_table(132) := '66BA63E641B3AEBF8BB347BF659BECDD6D2ADEC2D12C436BFAFF00ADB3DB69479349D53D7CF675EE8994E3D7491762EB2D9D0D46B8DDDF5602C1005369D32CAB6A6DA059C6B4534A8FB1F4CAEA82A2CF538BD7FB96207078982C47487158A4092AA7D549';
wwv_flow_imp.g_varchar2_table(133) := '46CA7A32AE9175A5D6975CFF00389AD892D75A5D4FFCB2D0A46870621A5C8B36EC8BEEFB1272592D92CF4B00DF0368A5D962DFC8B875A1679CFE637B55993E0687BC45DDFAAF6536881320BF5EB5816977B80E7556BF5A38F35A4856F596A33DA526CFA6';
wwv_flow_imp.g_varchar2_table(134) := 'D1DAD6D8BE443B19B16165E552751EFF00606A05078DC1B5E47BDC8518D80CA2388E478DB49105056B9D5CB07E456BC6F1B93CD64BE5BE6FDD6526FF001E8EC5FE5339A89D064B91D1C8D317E964964B1CF1CEB1871E8824BB2A9E0AC50D9587D75E9A8E';
wwv_flow_imp.g_varchar2_table(135) := 'D72F73B5D86FA653D8D55A439F5D2650778D32BEF837E19092FE8BD9D7056E09836B7068DC3986F2395CB958ED5686D21D66465AA2477C779B2409207EDBAE16D167FD4E23DAF0B852876E1928EC5FEBCA33E81B535DF81275EB0A1FC70D24FAD9F21976';
wwv_flow_imp.g_varchar2_table(136) := '979FB8B76E9646D6BE6ED2F3EBE6820869677BA9566F1D3FBAA4A3B8833ABA604B299B355EBD32B25DD5BACCBB952F06824663106D90531404799AE7A51E5792CDD0E68276B32D2416D597509D12BDB39931B21876190BEC555490CB615B3155739E79E7';
wwv_flow_imp.g_varchar2_table(137) := '9E46ED5E46B848C39112CE12418F5D7B5DB507CFCFCD4809C129ED5062C626B3637577A457C0927B9B9A2BEA5A0B7833A2599AFF00A981836ADDD235AA45D804570B058C41A332611CAD5602B6A7F263D3D4D95C59E1656A964C9F632AB9DAEAC3C47239';
wwv_flow_imp.g_varchar2_table(138) := '08D9039CCB16D8B6624A79ED1D76DC5EDCF3CF3CF34127599B5C72BAC9C8E8CEBD76D8DF57A7D4E19198D2B0E27C342DAC3954A08961B25ED0DEEE75E71C6DA52DE326D9B0111AFD71ED16CD189835160F198AB3088FA4A60EB51A200316AFF264D7C885';
wwv_flow_imp.g_varchar2_table(139) := '261EB8C618C7A9CD7322623119E3E28D46A35139F39A96D18AC5C5EDCF3DEBCFACD95359167584C53B6C2DED2FE578F18F615A46BD20D8C19E6D8A30AAA6C1946D81DB557ECD02EE6EB907A4D12E6DB60C918AFD6A48A56D057E0B0383C66482CD911C9A';
wwv_flow_imp.g_varchar2_table(140) := 'CBE33ACC1166D6593AD244D34B33E8EC98F3D6D747D7523E7A547E08C41A0D05E950FA4B166409F5526B1E1CE739E723B292D2A6E877A6B334F956767712CFCABFCB0CD22111DDE8ECDB9AE3BA87B540914367125C2B8D72977482AE6A95841569456579';
wwv_flow_imp.g_varchar2_table(141) := '3B028141A2BE598F8C1505EC5D8A4D848206CDB7DFBE4BA49E593AC6C3F64236BAF69B8E38444C4723B9E3D7E92413D41E849407D649AC3B5A2D1C8870A3A44A7AE10E6D986E5D6526C0E53AE70C4F03A13098EEF1F221966BD6BB21D2A6B5D2BD7EC257';
wwv_flow_imp.g_varchar2_table(142) := '556120D1AB8668F1B3ECA6B30082445238ED7004C187DB1EE987457B0E052C49617B92BF61AAB4A2B3FD5F6F9A764C6E351A8D6B5A888818E4AE9104D10B08906642B18F4F1FE2A0AB7566DED66358311D9271179033D334645263BB8723AAB9EFAE7D12';
wwv_flow_imp.g_varchar2_table(143) := 'AB7A6D252A7AC7ADBD8E47295514A79061E0111C8EF1519DA891F24B84E8A434CAC30E2CDA92D4FD0971167D4D852D90AC131151DE5E48E47B4A87FABED59F4A864B69AEB2758BA74A3CC0554748F475E68BB181213618E04A853C48EF2819E1668F57AB';
wwv_flow_imp.g_varchar2_table(144) := 'BB8B00AAA45ABCA148C3D388F2F50C525CE791EF7BC8632BC381779355BDA43DB8C71C8233664A9F512E14EFA862252CAD6095032556DD0F7843A48FA7EAFAFEDFBBEFFBFEE59BF5D02C9CBC96A4E51551E31B404AC14F258C9FA18709A43E684911C3AF';
wwv_flow_imp.g_varchar2_table(145) := 'C45B5C22BF1DD930791D71E95D942B0326B6B379DCF6CB21FB0AEC3B4CF663142F6398BE4F211ED790C43BCAB21CED76B23EBF36A0336B2C851E452C8A23EBC5D7DB2BE9F7FB7CB38E11A8CF58455CF9F38E4715D2BEC6CAFA3E9AA7C22DECC34A496960';
wwv_flow_imp.g_varchar2_table(146) := '96BFA44391C62C1331D6984C7E2F64C6647C6E3B21AD2C98138D28D60F3AD2DCEB0CAB65358C6928DC6A8546A8EF690EF37B886739738626B72EBACA53ADE2C4995164D3395CC58C2AB6D5256256A56A572C1745F4FAD590DB1896B289879849DF636624';
wwv_flow_imp.g_varchar2_table(147) := 'D591AD963CCDA6C4A7F723FC502A47CA212060F2D308AEC5EECC02B71D825A993126B675A1A058540E7446EBD2E86F697FCC8B4793A8361B01E9503A37C6E84E80F8AE67006C39C2DAE26D732CE64CA1B081295557010921FC9F2FCDE8208CC722E3D6B1';
wwv_flow_imp.g_varchar2_table(148) := '1A5B931967B5E2F5E213DFAD9593B699CD18608AB435A685344F5E20B4796984572AAF66E0158AB8CCAD74777B6499CCA0B8FD78B322BA6096B523590ACDA8BE5CF646FA9D0E4569E1456B9272A143726B2D72D6BAD63D9B0D837299C6F7FBFDA42188F2';
wwv_flow_imp.g_varchar2_table(149) := '38AF2C037D96B60F7182B0D61AC3585F152C4F0B610A10A2300D64ACB37397CA1398FB152E2E2F76E0718AAADCAE58EB87545060D473626D92F6B26E7FEE6C76F3D8FDBF6FDDF7FDE9602B204F6AC887F015B2D158ADE046AED9ABAFE15B45988471DD29';
wwv_flow_imp.g_varchar2_table(150) := 'D2D677DEF9E498E92E92E30A43A5487A2671E3EBF4B6343091C7C6E34A85424A75963FB4551BA7A995717BA60158AE56AD76464F1918991F18D723C13E34F442F92FF7E43950ECA3C850CF01115AAC7315BC02554ECD5776E9CF9CE98F96E97F5ACA53FB';
wwv_flow_imp.g_varchar2_table(151) := '55DCA3D5FDB9E794779095869123CFC91E8E47C87D839F88B1D44B3B0D8BFC2605598AAD5AE58AE5749545888884C62580EDD89D9C9E3C71C71C78AA31F5F3E31E70650738F151B86ADCAFB859AB254DE79C22719CE222F6F2E739E791BFDC630D7B73E4';
wwv_flow_imp.g_varchar2_table(152) := '77CF57F602856629B17F84C0AB555516BDD15FE6773720E2A95EC74DCB76A2A3B9EDC78F8F1E2AD568DF553156D00A9DD5AAC7315313B2673FC71C3515AEFEDA8EC260D7B73E4659CA4EC1512CA53E2FF0983C6AF2D5AFC8D8B86C6E4169148E6BA465A0';
wwv_flow_imp.g_varchar2_table(153) := '48C4EE9DD7B79792E2E433442D8808DEFC70E638789FCA774ECDC5C54E31717B8F1F86C162FF0005C9D84EC2C0649C3765EC9D878DEC995F91B170B83C8D87C76371F9609353FA5C5C5ECB8B80CD7596219A898BFCBB3FFFC4004C100001030203050406';
wwv_flow_imp.g_varchar2_table(154) := '0705060404070000010002110321041231102241516105132071233242528191143062A1B1C1D106243372E143536382A2F0153492F1254473B24045545583D2E2FFDA0008010100033F01BA9852AFE1B6DB783795C2D15BC36575756DBA2D16E28715BE';
wwv_flow_imp.g_varchar2_table(155) := '16EAB15AFD604D1C530714D1C501ED203DA4D1EDA68F6D7DA4E33BE9EEF6D56A9CD577F1551DABB665A8AC16E8FA8DD2B7D5D6E8F0E9B0DBC5055B65F6EF05A2D15BC362AEAEADB745A2DC575BEB7558AD55FC41342684D1C501C501ED203DA51ED28F6D';
wwv_flow_imp.g_varchar2_table(156) := '1F7D3CFB4AABB895887AAEFD5C9C7528724100A105E91582B0FA8DD2B795C2B0F01E48B5442B6C08209B284A10AFE0B8570B4F158ABABAB6DD1582DC575BE16E8562B5573E185978A8E28735D575479A79E2AB39577F14F3A9D839203820382080436D97';
wwv_flow_imp.g_varchar2_table(157) := 'A4560ADF51BA56F2B85BA36951C141D10D90A3666DA519454282AE168B456F0D95D5D5B6C90AC16E209AC726801083741D2AFE180B2CA20EA9EE554A79D810E4804D4C09A10F0DF6597A4560AC3EA2CB795D5BC039293A6D308846539391E5B40D97570B';
wwv_flow_imp.g_varchar2_table(158) := '45A78AC55D5D5B604D04268010C9AA6DEE8BDF62AAB80BA7109D27C565AA97F80043EA251DA515E902B35587D458ADE57561B405993DE60041E37EA10BBB12DA929CC241D9BC8724DE49B22C9A5008663B2EB782D169E2B2B950508410590EA801AA0D6F';
wwv_flow_imp.g_varchar2_table(159) := 'ACBBC3EB27E21E0A302CACB24D943C8F0D96AA1DE103C4764F8B7C2D1587D4596F2BAB782E9B6432840B0A6E6B295751B6175574E76CBA82169E2B2895055975D951E4650B19880350AB3C4BDC57751BABBA2D909B02C9B9745BAFB28ACFF0D8AD543BC6';
wwv_flow_imp.g_varchar2_table(160) := '7C73E0056F85A2D3EA2C56F2BADD1E072761DC2745857B467AED6F9AC2E586560EF246B3C9F01446CBA92A7642B85A78ACB546539C9CE450AAFBB53435BBA864F55083BA85278B2DD0B756EBD4625FE1B2D55F69FA93B0ED3B3782D1587D4595D5D6EF80';
wwv_flow_imp.g_varchar2_table(161) := 'F256D14394F8F54654C2B0DB70B4F1596AA5CA55B443920C769C537284DC89A1A50EF50CA16EA195EBF797F86CAC56F6CBAB6C872D10DA518F046D950E0B45A7D4595D5D5B60D8D29A0150E5A20478EEA085A291B2E168AC3C365AADE41372A0B2D45BAD';
wwv_flow_imp.g_varchar2_table(162) := '5B8B71CBD36BC56EB56EAB3D4D77786CAC54CEC85215B611B246D9402076CEDDE0B45A7D4595D5D5BC2484736888E08C6C2A51E489E089E08F2441D1108C22882A2158786CB55BDB37767A4460239354723AE88AA9D95A9D95121CBD31F0D8AB1572A540';
wwv_flow_imp.g_varchar2_table(163) := '51652A761088528143C57423668B4FA9BABAB6D082694D2501C1009A9A9A9A535029BC9342684D4D40150B4F0DB66F2D16EECF48AC16E2DC72F4AB75AB7159CBD29F0D958A872B2908B1FB010A508D908A328AB7806DD168ADF537F03AAB835A2494D4D4';
wwv_flow_imp.g_varchar2_table(164) := 'D4C4D4D4DE69BCD3531313131350E69A9A54C78ACB55BDB37767A4560B716EB97A55BAD5B8ACE5E94F8AC55CA90A4207559539A614A0760D97442950A56659510A57AAACD56FA9BA858CC4477786799E30B15560D739472586C3110C16479A7734E479AE';
wwv_flow_imp.g_varchar2_table(165) := 'ABAA3CD14E29C9C8F3479A31AA3CD1E6B345D4C2B0F0D96AB7B66EECF4815821950CAE5E916EB56E2B397A53E2B1572B2940853B3545BB6505254851B447834566AB7D456C49CB4A9171E8B155E1D5DFDDB790D5766E0E08A59DC38BAE981A21A2158295';
wwv_flow_imp.g_varchar2_table(166) := 'BEAB631ED651A45EE3C02ED6A0C96E1854FF00D374AAD85A85B5693D87ED34857215D35C24A61E08588410842765B65D68B4561E1B6CDED96D9E902359CD01526306E8587A8C20D167C961D8FEF594E20FABC1522D682C6A1480E4502D72CB58A9F0D8AB';
wwv_flow_imp.g_varchar2_table(167) := '9D85BB2540D97D8E694F1C55F608D974103B7D5403426B06A9B3AA0EE2A46C7D5706B1A5C4F00BB5B111E8DAD1D4AFA21F4F2F3F72A6DA81ADA6020182C85D65F25645ABB1AABC33FE1F4CD479B64DD93F0547B31995AC0D26FCFEF434587C4B0B2B5065';
wwv_flow_imp.g_varchar2_table(168) := '46BB50E12BB231409A05D87774BB6FD0AED8ECF351EDA42B519B3A9DC81D427B5B0751AA216E80ADB24A94210575A2D158786DB37968ADB37C2687C4A1902B14C6D2795A260A34C4DF54083759AAA32ADE0B15AA82846C214EC0E1B046C82BAF80A72308';
wwv_flow_imp.g_varchar2_table(169) := 'F24642EEDA2EA1BEB2F4912BBC8BA11AAEF9D00A6E17F84DDEE6BB5ABB80A6D7FE0AA7D18FD3A1E4FDCA8F7D9E83EDEEA733763457952022C41D655F1551D8EAED327D4E8153AECCB507F986A163FB277DF4FE9386F7DBEB37CD613B4A9CD0AC1F1A8F68';
wwv_flow_imp.g_varchar2_table(170) := '7C13C7AAAF7B15D99DA12EA9840DA87FB466E395361DCC6BC37ED3013F7227D5ED16CFDA615DA38201CFA59D87DBA7BCD5BE615FC13B2216E8F0DB66F6CDDD996E8D320B5D0426E19BE9D8E3FCABB3C31C1987AC4FC154C6D7DEA39697BB37584A2D1969';
wwv_flow_imp.g_varchar2_table(171) := 'D471F927621C49F9724E70920A351F3B2DE0B15AA828A29C53F92A8782AAD29E53CEA1129C782A89C7827724EE48F25D1745D1772CD11A40A7D57659D9DA7DA3532E1A838B7DFE085100E2EABDC790B0581C24359851F15458245268F826D7702A68DB92';
wwv_flow_imp.g_varchar2_table(172) := 'A986C596977154B1000A82FCD716DC285211A49986A4C606C4725A715337557BEFA6F6556FA3E245CB7D87F984D6D6183ED7A070788D03CFF0AA1F3E09A61C208E88056B094D7B49CB7855B0AF8398B79459763624FD21B8205DA96BB4F92EC9753ED46B';
wwv_flow_imp.g_varchar2_table(173) := 'BB2688CB558C6DBA0B8F9AEC67177EE005B839CD5D8EF736195D93CAA13F8AC054CE69E3F10CE8435DF92783B9DA6D3CB3523F915DA54AEDC461DE3CDCCFC6576BD2FEC18EFE5A80AED56C4E06A7C20AC633D6C2551FE529C35691E610E7B2DB37968ADB';
wwv_flow_imp.g_varchar2_table(174) := '2C9CC982AAFBC899574F8D55B37129DCD6533CD68ACA8B1D94D413C955AA016B5625FC82AD5F5AD1F0583D6AB1D53CDD6FB976365BF66D1F95D602AB09C297517F23BCC3FA2AF83AC6956A595C3E47C97443921C90F750E487BA87243DD5D1745D10E487';
wwv_flow_imp.g_varchar2_table(175) := '243921C934704C0C55F16E2CA145D51DF642ED7C63FBCC53C506721772EC7C2E573E8F7CEE6FBAC2E11914298A71C93731656A63CD51ACD96427510E808D3AD0566A575DC63EDCD1AD866BC724EC1D534EAE8A862D999851828F251B276607B4E91A789C';
wwv_flow_imp.g_varchar2_table(176) := '332A03CF55DAFD897EC8ED0CF4BFFA4C4EF37FCAEE0A8D12DA7DAB83A9807E99DFBD44F93C7E6A955687D3A8D703A39A6415C90A8DF53E453A9BCB4348F34D0CC53BFBCC6389FF002DBF2524C225FE4112D72922C9B1F1573E4A1AC567EAA637782A41CC';
wwv_flow_imp.g_varchar2_table(177) := '9A2C336F55605CE766C1D2FF00A42EEB138AA6296EB2ABDA2FC0146A0B30AAB9BD428B0DC426C6A8211B2656BB242069F51B261BC95827D3228513BD1BE794F059EB02E199530C05A204224C01A279687F3D14448D536A178F71D1F722CCADCBECC9F82C';
wwv_flow_imp.g_varchar2_table(178) := '3E330E7BFA76E71769E8AA608923D253F780B8F34D4DE48724DE49BC93537926A6F24D4D4D09A13EABA29D373CF412BB4B1105CCEE9BD75587306B3DD53EE0B0B86114A8347C135BC14E9641BC53712C2D020F02ABE0A43B40B0F8BA706251A38DCEDF55';
wwv_flow_imp.g_varchar2_table(179) := '7A34462A9B967C0D3F2449CED588ECFAD94B8C4AC3E3E98BDD35ED31B3A6DE8BA2A555AE6BE907022E1C2536839D57B2B1953015352C6EF51779B0FE4BB5FB38E5ED3ECC73D83FB7C26F8F8B350B05DA0CCD87C553A838806E3CC2CB5B3447E057EE3863';
wwv_flow_imp.g_varchar2_table(180) := 'EF97BF8F128E5425CA5A10936594053995DA3682FA7F12B78A0FC6630FF8D53FF721C3634F54D94FE0EB2A806AAAB9625D30C1F358AFEEFEF58A77B23E6AAEAE7FC93295EE4A6531EA0541BAD36FC9615BEC342EFB1551DC5EF2EF82CA58220CDD34538E';
wwv_flow_imp.g_varchar2_table(181) := '29B0FA97DD19AC80EEC11ADBF395397A2341B88C9673AAE51E6602181A139733BBB3F13081A41EF7027267738E833725DFD414DB200FE23A23E0A8DE1B11C42C461AF199BCFEA6B56314E939E7EC895DAB8AD69F74DFB5AAC2B20D72EAAEFB950A2229D0';
wwv_flow_imp.g_varchar2_table(182) := '6B479268F584A0340B4308233086A8042AB0D93E8BB334D9173AEA58BF86EEABF72A7E485569108EF3D82EB13D9D5B5220AA58B6B58F3BDB7C9705D51FF7A28D92E2BB3717E91F860DAB1FC5A64D37FF00D4DBAC5E0F0F8A2CC754A9929BB76AEF8B0E7A';
wwv_flow_imp.g_varchar2_table(183) := 'A0CC1609BC4526AD442B2B37C96A85B642E8A51EF1A62D1CBAAB9279A2EAB5CC6AF71F99408D54084611BA6CC157D78A681399375B5D36E10FBD7456D118748505DF355F19896D2A6D2E2B0944532E66736B9D09E70B0B4B006B0C3B03E5A2C39D9774C0';
wwv_flow_imp.g_varchar2_table(184) := 'E71BC2A787C2D626C034A97D200C646DFE29B49D484CBEA1DD6F32A3B5301869983DE3BCC885470F4F0C6AFB6D6B1A075D53EB57651A6E01949A339E4EE03E0857F2D7A92A9D579CAC10DD4F54C874B616597B374F2E69CC716B841F001C550A7ABFE4BB';
wwv_flow_imp.g_varchar2_table(185) := '8697B30FDE11C1DA2ECAEDD1F457619987C4B35673F2516202DE41BC10BA05745080D90A5642791D164702B3310EED9E6BF7364A0132AB4C854ABE72D1758DEC9AF264006C576254B3B1393F9ACBB12A1818FA5F3582ADEA6298EF8A078A1CD7FB0BE3E4';
wwv_flow_imp.g_varchar2_table(186) := 'ADAA76A9D51C18D23AA347B2B1BEF3A991F3B2DDA2DE4D0355BF5169BBED687CD3733A02F57AA1750022B782FB3C5343E6D207C54B7E688322E14BBAA7729E8801C9005BF82B1769659DF36B6BD656EFADC943A0350316D166F674432DB92CA2E6FC1651';
wwv_flow_imp.g_varchar2_table(187) := 'BC530E9AE8150A105DBCF76A53376297FAA13B10E66780C6FB33374D1A2AEF2DC160EA00E066ABF5CBD3CD7680B9ED2AB3E416270B8AEFAB627BFF00B44410153A5DA8CC499BBD81BC2613F1B89C1E7E14B383C2FAC20D007BD741B0CCDC37A134D320D9';
wwv_flow_imp.g_varchar2_table(188) := 'A135CDCEE6C1E0397F541C5C0B536ACC0B81AF258AA1520C42C6CCB72C2ED17E8F0073551C7D2D5715459A36552CAE19162BB271D4F178479654A4ECCD3F9792C3FED4763D1AD6EFA988A8DE4E0A4C23B248F041523677945D1A8B840EBAAB2CCD6F9ACB';
wwv_flow_imp.g_varchar2_table(189) := '831E4B7CABA0414CC6D120B507FF0017B36854FF00F1C2EC8C4097F64D4A7D5825766669A18EC450775042EDCC2FFCAF6FBCF477F55FB6983D4D3C4347D9BAC6512D6E3BB12B379BA9DC2FD9FC7B9ACFA68A4FF76B7A33F7AA759A0B1ED70F9A6D367228';
wwv_flow_imp.g_varchar2_table(190) := 'BB79DC577947BA1C48FC545480DE5C149A9640F76BD62B798BD65A231F150ED17AB6E2A5EEBACB49DFCAEFC10CAC317CAB2BFE1C38A0F8E7D6CB281025374363E4A1A4C0D38AB891FA2749B2D2EA45F553C100DF8AE77595AAA36B35C3D974A0C0C735D6';
wwv_flow_imp.g_varchar2_table(191) := '544B5B2F586A2CBD71F355B12D2DC2CDEDDE701E49ACD789D50BA102551C430B2AD36BDBC8855DCCA069B67B9A6E647120A739CE9B3818829BDE012BD2349F82CFA9FE89B52E38A195F643BA75AEB21208B83051CDAADDB1592C9A49E8BE934C968E0ABF';
wwv_flow_imp.g_varchar2_table(192) := 'EC87ED053A8E27E8D59C195870FE654EBD2A75D865B51A1C0A95743878636485F47C4EB0D374D78DD59A337359303F05BEE33C518594A63C42A67573953807339532DBC9858676A5C153F62ABC7C5558FE238A6576FA4C3E607ECAED1ECCAAD7767E26BD';
wwv_flow_imp.g_varchar2_table(193) := '003D8D59F25FB52F01AEFA3123DAEECFE12BF69BB388FA4602855693AB669FEA9F88A786EF7055A81A959ADBC3DA637B51E4AAE792FE038CA34D8E25F68E224276E69642F64DB6A9926E9A7DA0ADF152F5A4734733B5F8E9F05187AA7FC37FE09CD6B609';
wwv_flow_imp.g_varchar2_table(194) := '39400566061C6E38ACB3F6B8ACBCE070E6812737B303E056E9BC74FE8893BADD0596F6F6BA2CC4B442766FC86A845C2E211D38A355AEDD0154ABC162E9D4CD49CFA64F2D1768583F1D534E165469B9B9A5EFE6E93F8A0C19436205A345A2FF00B291F927';
wwv_flow_imp.g_varchar2_table(195) := '348B5B9F24D71309958C8DD77BC157C2E23D28B1D1DC11AA41F92CDC543420F1742A1C834E29D4B104B46AB358F9287E429D01E0F9A73AE1C8C00E1AA61A6E7B427769F6556ECCC5549AF833944FB4CE051E215BC764153A98773A6EDBA6E56DD77D9485';
wwv_flow_imp.g_varchar2_table(196) := '970640E49ACAEE6CF1D99AA4155A9563CB823CD189B2255938715D5348B94C4CCE6F09D52838533993C37B1E0FAEF7661E4C2B114FBE734020BB80FC91058DB89E4B72438C4A39B5E12B75BBCB79F7D0210D9286F7443737EE57AD0FD14BB41FAA6BF058';
wwv_flow_imp.g_varchar2_table(197) := 'A981E89F7F82CA69C1207E2A1E240E64A68E02088D78A23D836B46B29B0D711AF029C22E08FC10C8679144E5D4F3B20DDE6924DAE11F683BA4720B3493A2DE30FB79591D7EEF24CE2DF28EA9BD2134DF20D7EE42374724412ECB09E6777FD944CC03E4BA';
wwv_flow_imp.g_varchar2_table(198) := '23C51E0210B4B46F5BFDFC930E6EEED03F040B72B97D1EA6E4C4E8A939DBBF15BAD329BC4A63DB0D08343EA72BA68CC058E631E7AA14C871D5AE8F9A9EF58EF65DF715DD3DCC06E9D932B82FA4E1AA3554FD94FDACC1626629547F7557C9DA26D46B2A34';
wwv_flow_imp.g_varchar2_table(199) := 'EEBDB21590DB1C7C1746B507B1A45ED755F034C3C3B42BE9600250753CA39263D9DE8AA5AED415970D4EB7AD02F083B0ECAB4BD69D1610B683CD5CB51BC05D34C593484D4DEAB4B217DD5F613DD396995528EF3E900D5DEBEB5470DD1F04DABDA1D9D445';
wwv_flow_imp.g_varchar2_table(200) := '21BB4EA54B7C02700E0FCF724C9D5035D9FEC69C50EE5A638A8A9577B46A764A3FCC8935891C14B28AB573E69FDE5113C25560CA873FB49EE734DAF2EB2A83B3F164BBFB33AF55484EEFF303F92E672DA39CAA7A17C7444810EB4C941EC1782048403416';
wwv_flow_imp.g_varchar2_table(201) := 'BA6635D4423DD8D57767AEB3C17274DF7879A0E8066C7CB45D3FEE8F11FD51337B5B5D6CB3C6F482644705A1989E0B2031C6DFD517B3339B006839A249CB0889FF00B27124CEBD78A22038470D3454F484C75D6B6BEA0214EADAD213BA714EBD954A4E6B';
wwv_flow_imp.g_varchar2_table(202) := '9BA8FC3AA65686BACFE5FA2754AADBC34199E698D6EA9D52839B1EB1007C577745F1133213AAB1EE6EAEA7F78BA90DACDF6997449157DD4C26DC51B8286268B9EC6DC7247B67F6670EDA8E9AF85F4553CDAA782BACA50D9086B28221FAA869B2A5DA184A';
wwv_flow_imp.g_varchar2_table(203) := 'DB96895458FAD2FD0AC3BA938685A355836E11EC7EFC1D1A9986A269D3640FB572B167769D22E1E70BB4EACFA3CBE488237970CC11D3328F697DA44FF6A15C7A45945C921667B5B684CC2E1E235E69A3B62BB836C30238C6A567A14A5ABD2BECEB348E8B';
wwv_flow_imp.g_varchar2_table(204) := '729F52A4E20CA20D0D355B95FCE16F531D1451AA6F772F4EDE8D5140913AA22E4FB13A2EEFB2AA4FB4437E655BD64DB1F30B9813D506BCC813D0ACF2D78E85778E02E000832E6D3C50127E5C50748C9AEBFA2767B1552403C0CA649F24D1045ED74C702D';
wwv_flow_imp.g_varchar2_table(205) := 'B8BA82D39B5D2136B0A6E691BB670530DCC63F340806F11C38AD797EA80EA5C6DF04E673B73E887FBD135D978F44D7B41E88D319A7D554CE532817B08FB935C434083120FE485A0E9A427D286620DB83B979AEFA1E5D2CD5BD7AA35AA34347ABBDF15121';
wwv_flow_imp.g_varchar2_table(206) := 'C6E806D8E85646D4A2ED5A377C966DD3C6DFA27073DBAE52B29F82A756996BB884DEC1FDAFAD8273BD0E31B6FE76A6B1D650566590EBB068BAA2D4F395C13F52F002385FA4530ECCD0F7CCDAC6F65F45354B286F17580BAED9AA464C344F32BB7AB5DD5C';
wwv_flow_imp.g_varchar2_table(207) := '31A7800B12EF5EA928B7547DD08CF0519775131E8D177F648CFF00090F702088E080237D9F0B945CEC3657BBD71AA7FD37B65C2AC8661E9345B370E5F14629022E9BF48AAE13197E05366868A1B5C83C57A5A5E52A293AC3D659AB0B7B088C38917CC887';
wwv_flow_imp.g_varchar2_table(208) := 'D5DDD189C30A2264CE89CD6D731C00593B370ADF7AA0B7F284E0496C68810D06CAC7A95ADAC7EE573788E2800333BD6D136A5299105438438F979221D7F9A6E61175330FF54195DDE9E6A0011A9D54B8CF4EA9C470E07A22D7403AF2EA9E1C1AF3981E68';
wwv_flow_imp.g_varchar2_table(209) := '54CDBD7E9D1099D539B36B89D5322ED4D11948F25A35BEB46855B5D7F242A3083A10AAE13135F0B5CC3A93A3CDBEC947DB3F14D39531EDCC38A61D42ABD9EF046FB09934CFFBB14CED5639D8570689DE6FB4DF34CA22E98C19D121B58FAF4EFF0005763E';
wwv_flow_imp.g_varchar2_table(210) := '3D6D177789B5B335381713A231AC884EC0768E0B1F4A41A151AFF96A9B8DECFC1E243A73B05D348D536C651929E22F2AE4CA3339D0689CC8329987053AD785D995C9FA4624E7BC5F82ECD7B258E6AC286F05479AA2DE2A90585A43D709DEE39736B969B8';
wwv_flow_imp.g_varchar2_table(211) := 'FB754065395CA0E87594388466452714DBEEB07F31CC9AC711223C977D8AC3344105C897F6DBA3FB7653B5BD5685070D640BF16ECBAC0F3535688E4C5E85F7D5C877DC2322CD4A9DAF9D3855AC790472E187328C628CDAC16ED1A7EF47DE53BB879F7EAA';
wwv_flow_imp.g_varchar2_table(212) := 'CB88C1D1F7691772F58C2CBEA90A0936D1325025D7F8AD2F254B4E7FF709B3F7A102FF001E68C3A752B7AEFD3E62519B711C3F0286574EA420D9278846DBD63F72CD9321D6C854764F87C93838C9E178E4A5A5B1049E7A04D741278FE08558109D909859';
wwv_flow_imp.g_varchar2_table(213) := '26FA1D35850E10ECAECC2674117400A7BE1A0C80E26656769E89D8D0DC4D0FF99A623FF51BEEFE89D25AF90459C0D88F344130A789E6995A9C8E368F2D566979E27233E1A9F8AAB4EA0C4E19E69B9AE2047103F254BB4D8295468A78803D5E0EEAD555CD';
wwv_flow_imp.g_varchar2_table(214) := '247C916D368709F649534B2CFAA7F352EA26381400B9E898DA20154EA022554C67ECA6199ABA882CFF00A5548398AA7240254A68919939AEDC6CAAAD073C04E0D0435EE1C0869858BC5372B68D49F762EBB41E40141F7E2576938E75DB1A35EF1F15FB46';
wwv_flow_imp.g_varchar2_table(215) := 'D301E7E2BB528B7D3E2E9B5065BE905E7A2AB566014F79DE2848B3C28F7B540DEE982DA26CFAE027702E3E423F144492D69F37172E00B7E089924334D613DB8DA64F03C1461B10E718EF31754FFD261015280E4D4052A87777AA70E880C49FB2CFC90EE6';
wwv_flow_imp.g_varchar2_table(216) := '9DB5A8877B5DD3A350FDDA39CAB629C8E7A0D3C19289A3FCF510FA46BEAB4F1E20426C61584FDA42BF6AE3483BAC3DD8FF0025BF1516CD28DEFF00D539A754E0EF593BDE82B30199DF245E775D79B5D0889942D75CB8292DDE53C62512C24C419576DFAA';
wwv_flow_imp.g_varchar2_table(217) := '2D037BDAF821DEB1C5B6D0B4263438969DEFF7F041B9739239108B987BB7CF96A8B60177C517337AF3F140CE523541D9B3332E58198F42AA61DEDCD9B57411C62DAA735C0731A754DAEDCCCF8A66366BD1F45881C783FA3BF5589C1D7EE31148D378E078';
wwv_flow_imp.g_varchar2_table(218) := '8E639853174EA549C5AE160537B9665D69B20471E1F8A34FBB6F301AD59DAD73496BDB70E1683D154AFF00BBE28C551A1D03FF00AA653762879387C5649EAE4619074B26D2BBAA810166DDA2E24F34FED00ECF8822A1D392ABD9D84ED0A150F10F1FE60A';
wwv_flow_imp.g_varchar2_table(219) := '83241589C457EEF0D86739F36E0BB7B12FC8DA2338376CAED1AF53D364A6CD1FFDE0F254477ACA44BD81C379FEBCF4587CCFA8DA4EA96C998B623CE56130C2AB5EFA2191EABDDC7A2EC4C30683DA341A69B774B6267AAFD9D19B362F34B6E1BEF2FD9FA7';
wwv_flow_imp.g_varchar2_table(220) := '48461EA38F285846FF00CBF66DFED2ED2C5C80E6D21F6554AA65EF2E3D7C0389726C18A90B4DF6CA9F6D87944B913C1C7C865FC538132C6FC5D2AA34E8DF24D76AD098E681DD8549F5D9BAE045EC9BF40C2EF717DFF9DE555188F5AC189FDC5207DAA87F';
wwv_flow_imp.g_varchar2_table(221) := '14F15710EE4D4E0308222F98A61A78B3CDD1AA02BD111EAB24ACF871CEA555BD893C29B615F0ACF75B98A2F7BFFC42D1F7A6E1A963B1418E78A14F740B92ED0080BB4EADFE8389793727B975CAEDC7E9D9189D3DD89F995DBC44FF00C22BFF00A7F55DB6';
wwv_flow_imp.g_varchar2_table(222) := '267B32B7FA7F55DAE3FF009757F903F82C6D0CF9F0F5698220E6A6E02DD503A41F2BA6BAFF008A90DDE44F252B31E8A9BC0DE42041D0FCD5A40E2611979CA404DCDA990577B4DA0F16A2336973F355B0CE90E22DF255698878CDA4AA1580CA75E083E662';
wwv_flow_imp.g_varchar2_table(223) := '2DAF1437A070E37D143810471F826BDA0391A2E1C79042B36EB0BDA348B2BD1046AD7716F50782C7F6138BCB9D570FC2A8F67F9FF542AB408995DDD56EF1B3B347DA4E7B9B222C8714D7C96EA38F158C0F63DFBC1D0D2EF2585C1D32EAAF02117B9CDC3B';
wwv_flow_imp.g_varchar2_table(224) := '3E2562316ECD56A13B71D84FE0E25CDF8AED26068A9DDD468E6D55DD4D8D386A272E91BA53C530C3D9E2DED31D70A9546867FC26F1125D75DA6C686E1B074698E19B7976F768E6357B46A09E0CDD0AB3FF008955EEFE6713F543FBC6A73C7033D13DDECF';
wwv_flow_imp.g_varchar2_table(225) := 'DD07EF4EB6E1F8BBF456FE1E9D53A2328F815AEE21206429E2D0E595C3397D8710A8F73443AA7BA3EE9545B571473FAACF35443300275BF354B2E2DD36272DD60CD5A5355A0D3A5F7AC353A5499DEDCBB33A131CEC439B72FDD1E4A9FA3876ED2103A92B';
wwv_flow_imp.g_varchar2_table(226) := '46BAB449CEF3F92780E70ABBCEB08E013C4383AF161F693F0F8369AA3D254DE70E5B6DA6CBACDC1765638CD7C05271F7B2C1F984012FC0628B7FC3ABBC3E0ED5769765B8B715857D31EFEAC3FE608DA0AE13AA8D1C9F0DDEB6AAB53046A0AA6E05AF3D08';
wwv_flow_imp.g_varchar2_table(227) := '3694C2D9CFF1556ABBD1D0AAF8E2C613F828745C3C6ADE37F34CAD4BAEA99DE6B1C3C95363662DA184EC390E6BE44660E45C5BC7802BBD13D1775AE8AF6298E8928B2E2E662FC3AA69173668D16619481BD623A2AB83CD8AECD61CA2EFC3FF00FA7E8A8D';
wwv_flow_imp.g_varchar2_table(228) := '4CA7FEEA99167ADD1744710387CD53AD41ED73BD6DD55B0F88AF87A8E71A8D796B8BB5B2BF86C9CD722EE2B42131E04EA9A429BFD5542F687576DF887FF4540445704F2CEB042333D93E6B0648CAFA73C42C38FED58B0AF8F48DF9AC2E6DCAACCDCB8A6E';
wwv_flow_imp.g_varchar2_table(229) := '786971F228D237AC5A3992A8B70589AA6AF78080C1C3D6B2C3D57D13DD7AB2E37840B2BB5B03BE77C82731C1C5EC6E5195A2155DD6B0CB419BF15A38D0CC665D3C552C636A81D99469666C0C9C3AA8B40546AB867682BB1AB019F0DFEA2BF67CFF00E4A7';
wwv_flow_imp.g_varchar2_table(230) := 'FCE5764615C1F470349AE1ED449FBF63535360A6A00A164134AA3430D5EA546E66B5B25BCFA2ED2ED67BF16D34F0F9CC8A6C6C302ED2ECAFF98C3FA3FEF19EAFC7927520B78026EA98F6D3AA3BBBA2333BF00BBCA82A5739C4F1D1527E6CB43D134C0781';
wwv_flow_imp.g_varchar2_table(231) := 'FEECB03DB58739983301BB55BEBB1623B33135F0B5FD766A47B43811E69B2083798B5D629F48F7BD9D88C93EB7767454AA36B368BF51999E62D1F15570954F2B7FABFEC854B13C154C5E12BB1A3788394F22B114E696218E654659CC758B4A69BE6F9A61';
wwv_flow_imp.g_varchar2_table(232) := '2014C7B5BBF30B3FC2C27AA0019BA7E12ABFB4F074FD1BAF5D807FAC7E6830039A552744B8292CC865DC3F552203BA98557035FB331A7FF314036A7F3B6FE2B2832B2A95DDBC141C05D4ED014A3C91E49DC93B92772582753EF5B86A8CFB52E0137098EA';
wwv_flow_imp.g_varchar2_table(233) := 'ACEF195E9FF89368F74D8854D951F569E28B7334B72778F7C03E6ABB5E3FF10ABF0A9FAAC47FF74AE204D9CD2B12F92EED0AD1CD57755766ED0AE469AA8A8671155F22D2EFEAA8E41968B5B06EE377158AAC295132DA0D327E0A9619A436949E6E2AB552';
wwv_flow_imp.g_varchar2_table(234) := '77C367836C873439A108208348BACA06F216DE4D77B4B30439A1CD0837533757D5755D57544605C67DB67E2A957C2508234542B61CE668323454BB0312CA948461EABA32FB8EFD17767307AC7E3CEEEE53F69EEB5BA2A587A7DD53124EA4EA7CD1ADD9B5';
wwv_flow_imp.g_varchar2_table(235) := 'E59972960FFA954C365CA600E09B866D3A99435A6C429ED1ECD186BD6AB45F3D1A0DA533014C5677A4C4D5221C7EFF0020157EE039ECCD6E1C932AE11D8FC3322AD36E6701FDA378FC552C4D399D6E9B42AE61A03103AA6BD8D98E8B09DB14F7FD1D668D';
wwv_flow_imp.g_varchar2_table(236) := 'CAADF587F458EEC5C40A5896449DCA83D47FF5E8AEC93C56478DE4D75FE684B40DECDC3F554EA31CD201B6F4F094DC2F69F7D4EA9A785A8672B783B8B47458DECE3DE5173AAD0F7B8B7F9BF5558C1EF17FC4B1CCCF6A148875477BC468D54DF84ECFC2FB';
wwv_flow_imp.g_varchar2_table(237) := '66B1A9FE568F0DF6F10A361639AD256601666ACA8B8ACE2484C23D54DF7537DD4DF7537DD5DA14A89A2DAAE0DEF0B86F18CBCB2AC4636AF78EAED69B68CE4BB41BA55A47E6176883FD97FD67F45DA948FF000337F2B81FC57698D70B5563896CD3207528';
wwv_flow_imp.g_varchar2_table(238) := 'D1CA5F73D13F10733FE4AC510D309C38A7F34EE69C9C9C9E38AACCE2AB828D48BAB7ACA44CA278A71E289E2BAAEBB5B8BC356A2EF6DB0A9F65BFE8D8C3DDD6A67299D1DE4B0D5E8666576E5E687ED03E9E0B09BE43C39EFF006590B07D954E8D303BCAB5';
wwv_flow_imp.g_varchar2_table(239) := '3573B801C8230400BD2F54DA39857BD3A8D87098D34F885D954C673DA2C03DD21C1DF2587A5159CDF46C3B8D3AB9DD07358CED3C7BB12F00BDE408F75A34013CBE91A8346361BE77470D109A5D89A447A3BFC3984CC392C0FB70F2941CFA67C9537E4E16';
wwv_flow_imp.g_varchar2_table(240) := 'E70A9D48034BFDCB0DDA341F42BD16D463B50782C6760543501754C2936A9C59D1FF00AA9B1721DF0BEB64F6C1A44778EE7A5BF2098EA7BC623D6EA553C760ABB0F1920F55BA65612956EF98DC97DE0DD0AC0763B7251A359E7DC3613E6B17DB38C7E271';
wwv_flow_imp.g_varchar2_table(241) := '0E971B01C1A390F14293B255D3B3059A9B39ACACBAEF6AAF4F4C754DEE9A9A5A9BC90E49BC931350D90A104DE69A9A8105679573F53DDBEFA2CD10539ED805570AB8554704E4FE49C3821CD0E6B058F1E9997E0E162B0D46DF4AAE5BEEE6CA3EE5468B03';
wwv_flow_imp.g_varchar2_table(242) := '29B435BC8215ABD471F67742EECAEFB216EA139F4DAD2B0BD9B4F3D57DE61AD1AB8F20B11DA389156B1B0B35A3460E9FAA018DC96288F478BCCE2D1BAE1A88E0B0B94B694977555DB45F86A266B546EF47B0C3FAAED0C263AB1AF48D30EDCA7CA07E69CD';
wwv_flow_imp.g_varchar2_table(243) := '80517B3745A1543521CEB26D5198BF522C151C453C8F687070820F10AA7ECF3CE2B0D27064DC7F73FF00F3F826B5EC25164540ECD9BF05F48A94AA3419E29B428C14E01EE1C4928C3967C478A02BA93B2542CCE555ECEF5F669D11A6CB2971940E299D15';
wwv_flow_imp.g_varchar2_table(244) := '9A1431338AA6468A4D93DC821CD7553C54A9529DCD3C27C230543CFD4EFACE42CE0590701BAAC775403BA8E6D1745DD8D11A257543DE43DE43DE42A973A7654A550414CC1E14B88BC7C4AC463AA9C456F5BD91C1A3904C6BA1C8CB5C2E13453126152C24';
wwv_flow_imp.g_varchar2_table(245) := '36852EF310F8CA3DC06D99CB261D9DFB1AF2FF0059F1A93CD61B15867B4D26E570F92C5F6157EEEAC964EE3FF22B2B802E598B1DF3406AFF00F6139CA863B0AF63C02D702D82AA762769D4C37F6465D44F4E49EE207054A830191A29A0F766F5B7428A68';
wwv_flow_imp.g_varchar2_table(246) := '3815E99DE2CA15FC0634538AA4DE6E4DFA3D3038040D0713C16FBD065706577D94CD906854D83D684C3EDAEF8A91A2EA81E287341041041056562B2D4FA9870515026383530B426109994A667D132344D0D2834391451451A4F9E07541E04191C0AA5856';
wwv_flow_imp.g_varchar2_table(247) := 'F37F00ABE29E2A577E9A379200688B5C085E8C49BA187A3FE23AD4D9CCF33D02A989AF8AAB55F9EB1AC0B9C75CB16F82A982C15404DA04146BF6454AB54096D3FBD61BB6F08F6546DDC2CB17D818CEEAA8392771FF00914DA8D6827CD657BB2AAB9B72B5';
wwv_flow_imp.g_varchar2_table(248) := 'B88F7BA260666A4E00930E6AA788C053AEEF5D8F6E5F8AFA39D4FC10636194DCE3D6C155C6B98EA87C87009AEA4853CEB35471F0DB65D42AAF3EAA24490A7827D1ACD701A194E63066552B3320100A7535503C15DDD0A327509B529EABBC26E8E7175EAA';
wwv_flow_imp.g_varchar2_table(249) := 'DDDA79A70E29C11410E6820429055FEAB2D46AF55666856562B7D590CA5487A3B0ED7374711E461165463F521C0FC931ED6BDBA1D10E69AF30560BB2F082A3BD6E0D1ABCF20AAE36A9AF5BD67701A34720ABE1AAB6BD1A8E6387116D56371EE6B6B542EE';
wwv_flow_imp.g_varchar2_table(250) := '82C1370D84A183CFBD50C91C9AD4CCC1B9B5585ED7C3BF0F5D82E0C1E4562FB1B12FA556601B3F9AA94C821DF0556A3DAEA2F6B83BAC4146966AB52A0278F0013BB4AB0634FA1A6777A9E6A3667808F7615895E91DE7E186AD54B977A262510DCD953691';
wwv_flow_imp.g_varchar2_table(251) := '2084C2E4C7F04D68D10E5B3A2CF8568E2DB27E4F593D9560E856F05EAADC451F09451479A2422E9B22C241FA9C8F0ACCBA1945D372A041473E8B2B75408D507E6FA8761A5A46661E1FA2C354D2B01D0D8AA18790C7871FB3755317DDE2AB54CC5C2C3DD5';
wwv_flow_imp.g_varchar2_table(252) := 'DD556871B2616B4F780A6763E06B636A8716B60343752E3A058BC7E2EAD6A8ECD51E741C0721E4ABE1AB186B9AEFB63555F1869B9D7FC9613B4699151A0CEB2BBEAFDB14DB5DCCEE2832B513A8BB887348FC10C04B0D1BF4588C6EE93919EE8FCF6C1596';
wwv_flow_imp.g_varchar2_table(253) := 'AC21DD0F240D27ADF779F8602BAF48DF34C3458A98A57401739AE84E6D5872640BA646A9A78A129A9B42B8613BAFFC50CC99599D53A93C02BD55B9F57214CD903364F6E89EDD5BE3709308D27809C1ADBA696EA9841575978A94E79FABEEFD13FD5F64F2';
wwv_flow_imp.g_varchar2_table(254) := '4D71D54576076F0F35833D9ECC1332E6F5B2B781D24A8706E598F9AA3521AFC438F4742C3D2DE6B937D675580027E1FB371588ACD22A62A374EADA6DD27CF55F45ED1C6D38F56A923C8DFC17469D5695E885F82CCC75D5CF8202D549D8EC2C31FEAA6380';
wwv_flow_imp.g_varchar2_table(255) := '872CF37413E9B518D519D549D5178D5571EAA3890DA555D151BFEA5602535CE09B64D14F5F00410F107705D14FB281F6534FB09BEEA0106A2C59B822D5DE5473B92732213E816A73F8A005DC9AF3EB2CDE131E3DE4F68B39578B5570F2B2995E9C2C362C';
wwv_flow_imp.g_varchar2_table(256) := '02658FF79964EA4CB63EA1F805D95DD0C554A66B6229BE3354321BE4DD166A654769F7805AA33FF6EC8DB0510D895981F14AB2BA955287AAE55221D728D52166466C9F160AA31DBC1491740B510ECCC3042AC5A1B56E79A2E735465BA9A5AED3E3082083';
wwv_flow_imp.g_varchar2_table(257) := 'C26C689A1DA26F25D1745AA8959B379A10806131AB9084E655A4C6F52AAF34E3A9D96F04956503C5BCACADB3D38566ACD4939B8CAF87F7AE167A5BC9F4B0F4F102ED63EFFE6595E7C17D93E19D96F05D0808346A995026B931D3BA8B0CB556A5C1107459';
wwv_flow_imp.g_varchar2_table(258) := 'A0CA0237969BCA59EB6C1E10820821CD041D45AE3C53617755F2CEC0820E1A22FE0B26752BF76A56EAA1A854C61E8104364059676C95650D3E2BECB6CFDE1AACD59A9A6613B77085D60E765F9A86AA588ECAC6D377B54CAD0AB7864F86078206C00A0DE2';
wwv_flow_imp.g_varchar2_table(259) := 'A78AA99872472DD35C9AF4CAA3D55D155A7A2C5503C53A8C07AA4E6FAE820821E0EABAAEA8A715FBBD2E8D0A1A567C6D58E16451D80A0B2B96620202933A04030A0EC4D63F690D8107263A5302015C2B2B1F15F65B64621AACD5BA8D37B6A37569942A61';
wwv_flow_imp.g_varchar2_table(260) := '9B9DD784DAD85A8C6BAE53985DC95B617689C15F6DD4EDB6D8DA54941EC659666582AB4B45528BAEA9D48954AB04D3C10F750F7511A4A28A29C9E9C9C9C8A3B25ED1D42EEDA11C8EBACD56A9FB4546CEABAA084A15311487DA40530B251799E0A5CE33C5';
wwv_flow_imp.g_varchar2_table(261) := '46CEAB37141C820B79596E957F0DF65B64566A8014041EC29F449829F5DF967554EAB63BBCC9D4379930AB3DD04214A9E8A256F9FAA9F05C20C6B153CA1537B532E42EEDFEB2902EB337634F04C3C13B923CB6745D1745D3C3E999E68E54E6D37F9278E0';
wwv_flow_imp.g_varchar2_table(262) := 'A36F55D5755FBC34CE8B7355970D56FC36929EE4F09ED4F2895BEACB715CF86FE0878510ADAAEAB54195867364C7D3954DCDCA5A2E9AEAA78045CDDC92B16C9F40EF92C5B9D76992B18FD2162E80930539A4821145145145393870446C9784EA083237A1';
wwv_flow_imp.g_varchar2_table(263) := '35DEDA6D46C872C95038159836E8380BF82DA21C90E482082087826AFC1405E85DB2E53914E09C8A398950C4F7332F329CEE09C7822574400D165957D9BEACB715CFD4EF05A2B2238ACCAEAA516E42F3D13484C2D174C2CCD09951EEE4A936A3ECA98615';
wwv_flow_imp.g_varchar2_table(264) := '4E0A60AC6104104D4D4D4D281E0BA22D5E91596813DBA388588608CD213AA280012840BA078A6BF6003C610DB9492846A9A406CF140F159A76F45D36646286ACF51A10E4BA20134210B5573B37D596E9573E3B6CDE0B456F09E6AAD2D0A73372A58730B0';
wwv_flow_imp.g_varchar2_table(265) := 'AC04F7974CCC6FAAA71EAB90A80E56145EE249D9D51479A3CD755D503C535E107045A5C54297781D4DD2D29CC203D35F1BC818BA0FDA10436755D7C10ACB3BBC0104134941AD6A01A83AA140782CB5573B379596E9573E1BF83782D15BC1656D9991BA73';
wwv_flow_imp.g_varchar2_table(266) := '0EA9FCD13F50516F15A4A0F0839A8B256F1F154A265AE5701E60A0E8DE5D5755D7C2514514765FC7750159493E1B2D56F1D9BCACB74ADE3F5370B456F04C2B051B0415AFD616ACA45D666ACC0ACAE3F515B0CE1791B0945147C76D97FAFB2D55F66F2B2D';
wwv_flow_imp.g_varchar2_table(267) := 'D2B78FD4DD69E1B6CBEC90B5FADCA56825666FD4C7D65B65FC7756F1D96AAFB379596E95BC7EA6EB4F0D86CBEC90A4150E3F5B95C117B427E5D143BFF83B6CBFD45BC765AADED97565BA56F1F1DB669B2DB35570ACACB4D9BAAC56F7D6EF040B344CEEFD';
wwv_flow_imp.g_varchar2_table(268) := '55155FF51FFFC40028100100020202030002030101000301000001001121314151106171819120A1B1C1D130E1F0F1FFDA0008010100013F10C0B1D24012AC09F32BF1D971EE816CD4C2F393CEC082031061862A24B5CCAF030A1E0DAC02612FD3C23F71';
wwv_flow_imp.g_varchar2_table(269) := '2D3F3C252E10CDFF00E257FE0D301592145C7129C6A3138FF8B59D40175FDE6E1FDCBEA51269737EA3B04706D606BE62935724B420DF82095E5199151FE180F9B7C2D20A85458AA5A6A7AE21C4A8D456489E16355041959F09924620612A24A8F8366431';
wwv_flow_imp.g_varchar2_table(270) := '810F06E62F22C8A9E263639970C713879538CDDFC9D5AA1B8C39F1807888E230BC30AD46B1CD1A4D6DCD924D946020DC405A87C208604D9E14B1E47F00DC0D3FE34D2F0B08527881490188371D729B33265A29CA91066086E19088C41C1123152BC56543';
wwv_flow_imp.g_varchar2_table(271) := '2308404BD8BB0475E235B128C1CF9CEA25AFF0BA31A2E1DA01B722F1EF99CB9D529AAB8DE5047CB2162C84AF0431027820CC941118AACCBFC65D98307F28E65039C75E282919643BB24D3891F129DC594BDC611B71A96A0C8BD22822881F016F3AC18A89';
wwv_flow_imp.g_varchar2_table(272) := '18AC4CE9990482B041E036E1F16FB2E3EE0D59130546E58FF86478D419442470EE2ED59B958A859081896E1B304040088C8F011DE67BE7BE55CF8818769871455FFF00058DB0538F18B19789544B86B806629D11C82D234F8B50428D45A1097A94EC8CA5';
wwv_flow_imp.g_varchar2_table(273) := '402E3CA735166758D2547C15E332209C0812C4505948240BC20A6C09315A2DBF0061CFF0E12A1CE618FDD43C5907A846C95D29C22257731373D91B730EA3AB99AD7E03172CAC288B2A5C9AF04D7C5F25F88B91CA3C63F103C4664EC6B705BF182332C1D9';
wwv_flow_imp.g_varchar2_table(274) := '0D32C962E22346A002E28431A0A58423D87980AC756251839992748D227958B28E01126F09CC3730CA454A726C836650E5163CE33710CB9F4730F9049932E3C0E23CD29CC4A47EE09882C5EE286FC6A89AC38525BC41218F163C41C134F045E7B666C58C';
wwv_flow_imp.g_varchar2_table(275) := '5660CAC2EE0BB40399194B2D297FCAE3C23A45245ADCF74ED423716AA65958A5D91438E6242F13A9E18BC3992C473B28DA6C865C3019158B960CC94C4B878610222BE0CBD609570653BDC3E011F0AC50C4FB09E674CD929E4A1D460D4B08E333D32D5656';
wwv_flow_imp.g_varchar2_table(276) := 'EE5096F8CCF10A1F498A758383F99B81A5163E6258C9051B63F260E50F6A8C5FBB2591C46639EA210032C2E63732FC99552B188D9C4BBA813C7E023E40197B4BDC01D41DD36D71898805D0C15044EA9AF61D14CCE366663882E2E198477079870997314A';
wwv_flow_imp.g_varchar2_table(277) := 'A7F639CC130495939A97BAF070784188DC0389490C17311441180E25DF68F1E346207821E7BA613AE2B10B05B0243EE2A50C550970627A630046260639E1973C260F10092B92A23FC0FA5E74A705CCA0621B941086830E3308F08EAF3CC665856F915F06';
wwv_flow_imp.g_varchar2_table(278) := '51030F818CBF1ACA98CC45012F0D40A815545981DA00B8C6E164020BB922634F808371A84B089F4C564E927040890F06739BA1FEF34478C69943C2738268286D10C01F3085CDB2A658364A178D0A4347C2A4B79106187C4C9F142FE51016420C40344C77';
wwv_flow_imp.g_varchar2_table(279) := 'B9CE4C8CC4324BC42FCDC4C9CF139EE196BF130CA999E06FE1CCF441230C2D81162A111B9AE5E0E533CA0A63512008462116E61C11D1A8EFD2693AC8C10230831F1D90EF313317C2A21110351D6239651B20A0A8DD4EB461A997169169295F0F8730CE3E';
wwv_flow_imp.g_varchar2_table(280) := '20D4118E63393FA230C3E064CCF03FBC1826AF157E5094B2CA17021A3CC043F53E1A0DB0430CAF31AAA740C4558884C01B805C4CAC72C98383152753339410B717060A46609A40B3EC73A4E225465C197E25866E9A660460A772131F8889A227A40E1244';
wwv_flow_imp.g_varchar2_table(281) := '44E2088E08F38274D146A7184A8E23875026080898212578319332B30FCE1C41C20940F0399F25B0A07D97C2DFC3CE210C32A0CBC6BB7EC2A3C3EB93102F84588AD238C418871CC0B687E659132C508F765E8AF9828BF72D9189C089E0CBF29619BB34CC';
wwv_flow_imp.g_varchar2_table(282) := '04A897F31E9B28085E67648BF2447240731EC8842B1DB9DE9DC9DC9DF8F7F86EC4746E1609904A95122419CCF1FD98704D5E1888A6DB40C9A7E5E11FF482E1FB0821F21865B128D2821CAFA91AF446DD2562D8010148266EC44B4A6B163E1001539442A3';
wwv_flow_imp.g_varchar2_table(283) := '107603C4AD86550218DE035E0C3E36199DC750409871E960443D2CDC7273CAA66D42A3B0C06238E5AE56C34DB0D57C235B702B1748C260570B4228240C9F2C19C39819FD9C2688C321517FA62254FE72B2B8CA1211F480FF000347C4983075063770AD88';
wwv_flow_imp.g_varchar2_table(284) := '08D90550401AD4642A2ECB85BB0537293A8C4AB93C04E6701042E5B7518BC4DBC43020253317F0671B2FA3748F1FB1C909C9185083808260834E9987458E4A9F862B076AE8940AD66867E1A8154589A9FB18414C360C1D9C4A82B0D46862853069A96204';
wwv_flow_imp.g_varchar2_table(285) := '1A1A861C4AB88429628F34B2FC6C832C39FD9C3C29E1365472CB1131C971372CE4CA15D810C458E8255062C4C704A9DE2E5CDCCC3C0FE190799570C11461BA1844851ED52C999B3210C87DD8225B195B87A18A5161F130C30D56E5CB1DB0116574F04D5E';
wwv_flow_imp.g_varchar2_table(286) := '11374A66AEE4170E5645DC80BE09882D9FA25701BE2360A8D51DA126F51EA84FC3817FA42D45D9BB7C565A8B6DC73D130FBA0CA7E6671DD2F9D7322849AB789E721324540948FB8F0A462B65CCAAD2912044E910D2656260D22CF91A708CDCB9BA1DC39F';
wwv_flow_imp.g_varchar2_table(287) := 'D8FC3654CC7285D45549A8425C5E567043ABBB656D597F082701692E10E30F0E08E58B4FB1D3C878CA597302EE616C412C12C5C73E21151B99F3289965D19A46DC0D52821088166170273B9425577C65F42E5EA02162DD6D6218DB8BB11C00DD57FA8157';
wwv_flow_imp.g_varchar2_table(288) := 'C377D9F208BB1C211620213075039486C0E857F2C469F58659381BD7FAC195A676BEB1B0A8DFD6161741C32CC83B4AED30FE65E3A552BEA095EDFDD561FC8C310A01B7345F24C2DA85DEE230DD4204A2E32952622896C8E3BF1248DD0EE62FEC5AF05CBC';
wwv_flow_imp.g_varchar2_table(289) := '4706D0929AA1CB1B9F1E3440051374BCA274A40C0B91700703808B43FB88C93798EE9981022F9A34954812B315C33848870A1CC4BD03529732A0487198DE1421A61BCBC4B373CA94F39359E04282AA60160EB6F28A3F9E651659730DC0F9CA500E74251C';
wwv_flow_imp.g_varchar2_table(290) := '28D115A9984030786C15CE1D0D67247D88CF6434A770891007097EBB70E62D195948E17D7B8277AD33F1F02CB05E333E87331285058AB1F624DA342E9D43C8026BB9890C5AB8DB327036259C473C95E48A07B04A88D6717076719FFB906AB8E0CC7BB41D';
wwv_flow_imp.g_varchar2_table(291) := '24302FFB8423C9FF00B4C6AF9CB23E5084AAE1C25FDD424685E87F4C2ACB1A6DBFC8B87ED045F186E99BA6C873FBE03926C99004C8170DB31008C012731B798F447C8D500E1EE12784047B6B2B66120965B50A71F6B66BA3C84B94D7CBF480697BD90D7A';
wwv_flow_imp.g_varchar2_table(292) := '2C67D2A730E2FF00383B5C905FFE068B6C281C9C879E8924F1C5260551E20C55910A6374C977C36F38689808103EA2ACAAC84C544946A7B99A94A344896E8DA6DA21ACAB566161DBC4D72195E1284353996E8CFCEFFB96CB430292C76DCBF3D938AA9A17';
wwv_flow_imp.g_varchar2_table(293) := '7F08F584C8718307D21B585DE4E224BCBE10591785633C1321768DD613F10B44535F89C1B1F5CDB2E3E539E222D068EA5E9596E4A59E236A2C77DB2C6A2CB568A73B06E5F3565638D4BEB8D17DD11EECB06D8471226C6662A8E8E12A141CBC7692F197A1';
wwv_flow_imp.g_varchar2_table(294) := 'C21A2648CC1C14C48C020E55B0A4696B423B1A0E976CFA7E37B94E9559C0C45979554A7850FF00F12254D42E66007D0DE50CAB4AAB01C160A0BC4511A97A7A3F00244F07906EA3C3078F01D080405C44388FC13EAD8345592739FE8417D7701E4CEA1B1C';
wwv_flow_imp.g_varchar2_table(295) := '98E713FEE2C5D9194240F84604D9598A416150E4202BBC4EE64CF2101D243349A241DAB5C915010455B7002D6906F4C04B37E9957DB83FFB991E15F252CA000AF8C6FD5DCDFC6FAD18FF007DC970E5BF51717D24803E8D83E980A553DD8112AAEB03B5C9';
wwv_flow_imp.g_varchar2_table(296) := '7C73CC70B00CB06B6F1D3407150877CAC081A730B26B7645B569651EC389803BC3EE036A58401F5D1E89B17D467615338C5E5C96C178A8C02026B3B81B560B339CCB2411C54B42E534E598D18FBABAD446C3E45CD73EC41B9139585D00F42FFD88D0D06D';
wwv_flow_imp.g_varchar2_table(297) := '667188E88737ADC949ACF9822119A61944D129369E9FF614565717A08A43F94472E94E3A7148050A2A42B72DC09BBD010ADAC60ED94ACF062F52871D129E9F794C9837CC5B9D18C58F7DC36EFA064FA4143C61E13C0C6067A8E890D8FBCCBF480ED422D4';
wwv_flow_imp.g_varchar2_table(298) := '0A36C15038DAF7A250C0EFF2239710606A100EF98BEA3B1A1FD415560412F83A822CE48AFD108DC12154A9D4BBDED12B4D5C8CB226C955A0D43780AD33C30CA4A7AD900571FB8B0E30F5101BAAF7040B76CBDC0A007D14C1B6585762F10138DC756A961F';
wwv_flow_imp.g_varchar2_table(299) := '8803C621DC02D7AA86006768DC28C66585B5511BC61963D87EAC98C20137D04ACAB2974AFCB702541830DA4DD3C82B16ABFA509C45DA319CBCB5A8649DE469FC5C028152EAEB64BCB30D58FF006FA97AC528DD72B0266E35CC19725AEFE45040DB5F898E';
wwv_flow_imp.g_varchar2_table(300) := '8B181076B654A80703B8EF72E2357C3165E0284ADFE256A9E6895FA93906413C5B942FAC2FBB21D2AB9DF2283F500DBE9CC857E8805D8747354B19154596B6D7DA44698EDA723C296671BC94DE46558AA46F4D383B977F90CEE1918EFC42630E1F204398';
wwv_flow_imp.g_varchar2_table(301) := '8082342F5930AF362605F654B35001F716DA8355148E98054510C75896D9172526275817200254219DB0483A77190F51486E5CE05403732F570BA376950C15C8625925D18316CF0920E375AA30A4812B6665AE06E0986933B80C0D7D62FE48CA02BC094C';
wwv_flow_imp.g_varchar2_table(302) := 'AAED0EC15DB2D1168AA8BC2CA9360AA2DAF5C4A79B1500DD85C89D17D412D344B2914154C1793A85A15921ADD6E5C1A980A192453C45AFC8B848BD2FC0472CA38DE2DD7D80AED535835D108B6802D0984A0CA9BD34CB85365BC957DCA93428673FAE2530';
wwv_flow_imp.g_varchar2_table(303) := '2829365BB4236BA5FA948CA2CD0104597FB20F65AF754C72556C25D5D73037D8B162B7C42B761DE258155B476AC3862ECAAFE1EA58A747625AB7B01FB28043C001A9606A02A3826A2F425955F2FE2177ABAA1D3018A971605D5A940CC1DBA1FB161DA8C4';
wwv_flow_imp.g_varchar2_table(304) := '3B567EF973999CA0D12C83C1F62601F57543D465F90E8EDF68187E7B9A8AA6988B24B829424B4E8377304E580982F4E608D059FF00D8A76495046F03E9DBB5CC0852F773B031C10476388F5ACCB4411121AE260980C2008B4B8215C3925859E2542183D4';
wwv_flow_imp.g_varchar2_table(305) := '1A757997D15A96E191852723C45C6F86F6FF00532F66291801C387F8F2D684D22FF539ED8826DF919D7D7EFEA60C19D137FA8D9950896F8910BB0C4BE6155D9EE39134D53451970FE81A3FBFB2F0E379E3FB829BF97EA26E8B8372D811711CE28C621BF3';
wwv_flow_imp.g_varchar2_table(306) := '7F99810D1FEE70F4810E08202C95AAA0F8CFC0B3FB4B6E402F9718BC47C159B15A406960E5D3A603B948C0FD17DD7729627AA2C6252F444BD0BD46110BC8A65CA92E56B7E7305105A46D16F38FC950612DBDEABD4D3D37770BB0C961AEFA865036B38AE2';
wwv_flow_imp.g_varchar2_table(307) := 'E221540A0DF240794247673065ABFAF4CAA91E6E3687A3980386C67F6F6C62F251BED5E57DF315F47FB0AD43D74B352F5914906FBE00160FC4AC285A68FB20C446ED3D90CB9A1B378FB06D4B62840616794AE733ECB0E8E7DC006290F0CB0294E351D0E5';
wwv_flow_imp.g_varchar2_table(308) := '636673559FF597739C3306DDC9845366680B440EB103DCD0A850AEBC371F52C6A3554CCAEF50C48C21195425DAEAD2F2AE3A2311ACD43B98186DCC7398EF79B978B7886FE6C2B5EBCCBD5FF481CC11CCC87D90A2D63F031ADDB1618C0C0DD53EF11AD874';
wwv_flow_imp.g_varchar2_table(309) := '24B60543E2EA4FAC3358E2B2140ED630B08A4B429EB4BFC7C8722C85DE7641175685FC97BDB787D42A77992E5BE3155360C86F528DF0C0BF04BD15A8563FFF0000FF00D46AE71757D400DE0AB2073DE6144A715FA6E83FD811EEA05B74E686E0DDB44A1C';
wwv_flow_imp.g_varchar2_table(310) := '3F873500ADE16DCA62172B742785B6FE086FD8037C0E34FC8190B0029EB6AC2CA8D60D752972B93E887A35FAF5B840219B3E9CAB14D84CB34D03C1EE0580C809B8AABBF275EE5DAC657514CA996669C581174DADEBF60F1700A3499B175F43ECB3B7E088';
wwv_flow_imp.g_varchar2_table(311) := '4F1674BF93112853C05C0C5605F6F112E1F06E53BEC8CFD77953654183AF2D212E17CD1EE2E229CE40BEAB8FACD2D2941D38957E948EA0D9CD70E998A5A02004DC3FB8E314207FBBE231C1177495E4A11A8085ADEA732C651598DC65788B7320D8EE0603';
wwv_flow_imp.g_varchar2_table(312) := '290D6CA9812C818B5423297A32F431AE7C378D2D686DF84C0A0B1D493896190A6225C6D82987BD5FA4AA419E3D9316F3C59DCCF4E565CB463BEA0B0D907E4626E992D041A7D1EE3EEDC56D97AF424BDD831B755C4BC186EB8C2D32BFE620A58B9333032D';
wwv_flow_imp.g_varchar2_table(313) := 'BAF72E656A9A6A270B2A10A3D32F936D34AE1FE3D934C13CBDE3834E34D78FA4515BD34C2BEE2BA4D430CB9785EE58B868F69F587C815946F298E88C81AB6B3695C7E65630705DD6CE494480130B50D68618F128325E602DBDB17705E81C9798567480CB';
wwv_flow_imp.g_varchar2_table(314) := '7CE6E36E31A464730B68D5DF5D3196152BDE4311B82120A634772981E465FEDEE740B137D1D4755805A73E8806D6AEC6CEC9C110094C5AF1C2C302B0A3E35F62CB07BACD421B19D9D6482AB12E664B3FCB8CB08D18AB1AFB920410ECD5132885CADD7C80';
wwv_flow_imp.g_varchar2_table(315) := '4DB19622DCAA37179A22291881604F05712CF0160ADCA0FA632540FC1E97A200F587DC6E88531368AF986A190C451B37885E97E1848D031EC971E630226E5833136DA54B6F1045A89DC13686D09522CA65C86E1A994F74C5BB982C4781A7D3092554F030';
wwv_flow_imp.g_varchar2_table(316) := '15001562C2030CD46CFDA99A551BFBE1BC211850AB60137B50AE88A20A265599FD4C629CB0DA625F027606100D15F62988302B84517C8450B73C19D8A43CDCDEA5C2A7FE310301B50500DD2F114276DD6FD464ABBA56F751C48CB4C47004E2AF6C2DDDCA';
wwv_flow_imp.g_varchar2_table(317) := '7436B4FEB715FDA21C9A15FDC68596DB158BD2F51069C21747DF9B87C4DC30CD74B0032550D574BF657EEDBC80B8B2FBE996F405D9C9C42129B774E7236B70C4761AB19738EA15A886DB0E030AC4269B1A5FB199D860D9666D6B12DB8140C2E0C0C83354';
wwv_flow_imp.g_varchar2_table(318) := '143B171B167C0430BDCB320614CDE52926FE5A877578B114510D8E5165BD4EC735C25BAF90DBE4BCDE263708001E440AAF8979E28C81682A43000B79BCC5C179CD381120D070BC0CE15C718CCBDBC428BCAED3FA60E60D3F55B3FD86B0D5D70B0653A1CE';
wwv_flow_imp.g_varchar2_table(319) := '7EA18C68C277EFB4B61D93B0D0477602AD58D8C0172DA3A3549F22B9BBAE087D3C0F7B06168141F98E10D013F50273AEBF515816DBFD1277F04E59FA2B976F15EF11C0CB6CB94EFF0070F5CB1589A9112206AB4C4F45B496FB96E14F5C328A61386B98EF';
wwv_flow_imp.g_varchar2_table(320) := 'E70E5659F8DD713E45EA479A3F44382ADC4550BD316D7B3512A44A817403EC88949FAE20D82AE21AD6DB68DDCB06D5B2A23C0F7CB2F656CA556FA2266546D017DBC5C012E1C729F9E628F830C367A7DF5129E40BBE0856808576620C6CA4ABEEE1744D81';
wwv_flow_imp.g_varchar2_table(321) := '4F378802F77B18F60B07EE0DD566986F05E61399A5D5B636044B6C14F4FF00F5C0A269903A943094583DCBCB658A2A9BE0828B46D339866C1B2D695326B883884E4681539E3512C4AA64AA56A2E6DDAD01A57A372DA5D4E3880357059CE923C91A0A3BDA';
wwv_flow_imp.g_varchar2_table(322) := '950443781D537ACC30B6CB61AF441BE1B5BF06FF0033356D3415BE17A97FF503BC3B95C29FC543FD54D4768BC1EE0D5DED49BBDF3A48D05601A6294E70B432C20C4B45EEF5A50A261585EB896687B6F7C462F0C91CE1DC068B467A6681CB1B759892D0FA';
wwv_flow_imp.g_varchar2_table(323) := '17950B66AE42212EB5AE133F1E4F705E31A3BF0A3F847F96A7EA1A39A5556A2B03388F224250C42172B78F8CB83569F4ED2C5B879E9D1064BA68B9FEA51EA21894917FAFFF00711C096DB3E3E20314A660B22134DEC83AD19974C70C744210C375B89A18';
wwv_flow_imp.g_varchar2_table(324) := 'EA1FB49B7300B7D9B3DC325228844C19F441AC239355DFC4DE130A9F90875BD5C67628E6C6A5144B2812DDE65C86C39D9076BB02EAEA195013D710F6F155CA1169ECC6654CB37D581BA8A302A7E881BF6C6B9061C5033BBCCEFE931A165BAE770426AD62';
wwv_flow_imp.g_varchar2_table(325) := '6485C3545468689DC1AE731A7162CD3C043A4B51A88B7065B83FA1608E4C7E636A802AEFA9DB2EA5D362C31B24D0E07F31CD2A63370DB0A6C3D245AABD0A894DBDFB9BBE8DF75D4A14CB8B7A8E1088A99FB44020C299B908674C0D65437EE555723A73CC';
wwv_flow_imp.g_varchar2_table(326) := '07B00A383379EA033DB1B7AA956050946AE05F685FB6094202145E36EBB8AD40C476AE12A24ED56AF9C6710AB5F04FD9FB25A3AB52DB323C4D1BE1CC2D02F2D3DFCF502466C38171B3155AE0C06F3C42734721B0285B6D9053B4089C2463AB95E6C8FE20';
wwv_flow_imp.g_varchar2_table(327) := '2ECB04B36665DCCD58BB6518CBD8CBA69BD3F0B83E6509A4DDE205A90BF09E9FF65C18B59FCCA3714835D306BA34873C8F764402C1DAE8629269248B613E12CD5E109C72C482CF6947FECB20DA0F7E8B956D60375391890B036307C548A2919D130FA0B9';
wwv_flow_imp.g_varchar2_table(328) := '185B28FB8218094B105896025828B4B8A07FAC8DC220DC20CAACA2E170B56A29518938C0F71BACFB30C200B7260506574B7180B8E46921CD2F7BB8BFD0003FD9876A72BFD0C45697A009544443C814F6B521AEEB92201D739CC2AAC77D16CE3D92EAB007';
wwv_flow_imp.g_varchar2_table(329) := '3EE5ACCB8EBA34AD32B16BA1BE4200C546EA737BB89A4B393EC2B5480D64BA1BC7254A9E3741F0601894CD65603FA2055E9265CCE62F0F647DACCF2F15C4444E4C686622A33EB18DD4B09570D7229817460EA8FF00C816C5B5FA45D910B7BE8FEB172FC8';
wwv_flow_imp.g_varchar2_table(330) := 'A621B8146B9C171C0558FEEE3F551D6FB3FD6209D8B57F2397C0ABB13BFC9CC763802F27AEE965B6D5892B8565C67C25726BAA2252780C365D91BA41423AB1B7DDCACC841B1E65019E1BE63D28C1431A17D243AF059B26BA0E4E2A2DA0841E65D26C2F92';
wwv_flow_imp.g_varchar2_table(331) := 'E5E8ACA834DBAFA3DB2BB5A6040D96F7DE18556A2C1841C24B660B43675C9F638CE25F8C54AD99B0B68DC7DD4706BBC3422FD4B07A23B92179C154E52363C4CB239C7376EFD9B228AA537DA737A7F533001D1ACCF584AB9B91F8858AAC3E821040C730E8';
wwv_flow_imp.g_varchar2_table(332) := '2241591F6EA028430E187486E32546A07447AB880B328263E5CC7AE9A489FB32C86515A42BA1252D150A0B68A2B8974ADE8110E2648E7EBB98A282EB894E20F2B152AC1A4BC2C4A429497132051873A8F286F2F50CA9466E867DC36ABF398FD18895ED30';
wwv_flow_imp.g_varchar2_table(333) := 'AB94D25E0A1B6A68A547D235EC768D62DAF3F263D34A1BA6A03FC32DB0567D90C1E11370351CA7E5CF492C9CB05556AE2D1365863ED4D50BDFB5CC13B69ECB1A8735538E341FDB1C52D594DD453760B21F94BE00102F3F9C3309B674DE04C874CF70A0E1';
wwv_flow_imp.g_varchar2_table(334) := '765B8895A376977FAE60682E72335293A04142FDDF10AD62E17101489C5DA58AC751C9579C597FE4A2B5B71EE996D3121C3A97F8B0F2FD22169B5003A1EA060C9B2016AD87A87DFEE75BEBF1B2254645862AAF2BB71040C5A32F1C0BEA335F4ABE072951';
wwv_flow_imp.g_varchar2_table(335) := '653DFF00FD4A41B61BCBAFCC6D04CB5AFF009BDF12A68D75B551422D54F74202D60C3289DDD4A4D6020D7631B21320358385B6509045B1ACE139EA19AB7D7A2DD7B0972BABCBC4B7FB0976863FB8B1CAA68D4A99E585A8AAC5EB198DE21BDB069528423A';
wwv_flow_imp.g_varchar2_table(336) := 'A689FE435803F7B061B6D964A6515DBB72C6B3C2B31CB51D3C61B235DDA7EA0010A01B2B347986042DCA91631205655D2C3BBA0650F6EAAB6CF483652E16CD839A8C3E5692EE8432E05068768E6FD4474855A164FF00B1501C40AB6F2CD33BA25901E0E6';
wwv_flow_imp.g_varchar2_table(337) := '2D4CE52F854A8502935899856DD97306C430E7FE431423A327E21A5D8C633F2F2881B5B68A360E0744BEDC04FA92EA0D642CCC42CD8371880BAAD83658CAFF009367A84CD7101CCDBD5362327A9512CAE9E1AAB165412B05C40A581AD196FD79E6218A00';
wwv_flow_imp.g_varchar2_table(338) := '19A68DC7AE9548BCB377323BC7370F905D0DD5D965376656B6958DAEA5D878A46CDB90DB0B7001945840F200E54CA3B62E7944FE7FB0C241CD00887628D4B050D55B323B610AB7822E762CBBE0FB15290B873CC43626F4C7456E954C2ED540079782FD40';
wwv_flow_imp.g_varchar2_table(339) := 'B1E0BE68E1F8C400414F4A761FF2625844FCDE49C46B01F33A25C3AA9B3907FE77072A9004D2188805AF74AE1600AA2BAE4E66269D159C3FD4ADDD4EC395A3ABB81A21A60A3A1FF194240159AE9F6EBF111FD15BD9EC66DCB66CDDCACE575F9DB50F2650';
wwv_flow_imp.g_varchar2_table(340) := '28862BE54E0444643C035F18973891ECC67F16CCE185482C455151A30B0C5B999C5010D72CBD8F00E5B126413F54F6FB1B1943DB1F6526265D2FDC11608370C40DAB0B5844390B379F9260176D70F8C03FE347F347625E097FC903EADEC895FCE6FF00CE';
wwv_flow_imp.g_varchar2_table(341) := '892ABDFF00A2C29C1FC3C618495E0CC2DD08E7E4B90D6349B8239DF3887E61E5A8AD898F9098D51EF37EC35C4F0D9056C2F4858FA96E95F37CC58D1A44B618479068AA161AEC8D6BBA29FB6CD59BFA5B2E2DCF7C0739630E289D2F3A9BC4417C8A08CDCC';
wwv_flow_imp.g_varchar2_table(342) := 'DAE06149CFDAAD610A42446E6A026D82DF91C7C5B6178FB3230C8379785AF5A23C52846EDABF7E03D205A282EA5F244108F0E49EA3381FCA1891DD97FC430FCDCE0C629F6983F74C4BA9FBB979FB4B54B151A3B1A313347A538B310CED4045CD5D950D90';
wwv_flow_imp.g_varchar2_table(343) := '83A00E4946900AC8040DC2C05552FDEC372A1A85B080EC647C8C156AB5C8BF9E6389C9668A15B9B467FB5463A8F85682EF14257AE61A1A2763D10698E425E4CF0FBF52827BCC5C1E4A38BE6094D4C0EEB8C472BD50A8214FA4C835A34DDD27EA57BCE40B';
wwv_flow_imp.g_varchar2_table(344) := '2D7DF091778493AE5EB2AD154EF344C363A78484CA1D953009F84BE7236605C825570D6E2D1102D707F2533799A63211CB2A58C7510828464ED2AD0484C0A61826A08A7F1463E0B17C1E9326919F8454461956FF00216437E5C651F781CC92B46710BB6B';
wwv_flow_imp.g_varchar2_table(345) := '74B35360B935B744CA08CEC72CC6901B4D89FA097D070AACF44765DC2D32CB743A69F44BF33873DAB01CEF6AA9F2516F260165B5A822531677738655932C34C2A971AE2877884263C6A209BF07FC61458FA5FF00B34B2EC27C61022ED0383D12B6E35867';
wwv_flow_imp.g_varchar2_table(346) := '28F6CE625F55E80FAD1EE5F668F8782BFD61EB77B68FF70085D978601481AB80288C8874FAF5311199EBB17882B401AD37D1D7B6065342621C9CC27D989C11E4793B1C316F903005E77101757A8367D516B2EA952583FA5C57A0E5786B57E18704E6B318';
wwv_flow_imp.g_varchar2_table(347) := 'C12BEC51E618E7611E0E29D8984B893381AE9327F89860960BAAC2D9C9397968A0E7D2E20416344EECC67A25F5326CFDB024386F5822EE53FC75256AB8CEA1A44D1BC4CF0712F58CA95A031F006DFAC37EEEDEAA7F52F6430EA099A672943C221B94C3F7';
wwv_flow_imp.g_varchar2_table(348) := 'C2FA64A389BE5846E84EFE76D1ECC7BF3D98B48D601FF92131E682F799151014E2D06ED37A672D0EEDA3D40C1508281466C90402026EF72FB6AD28D53F65A6AC0643DED04A4D0C490DBF6213429633B7738D46A8238A0D86B0755C965B88AACCEDC6BBF1';
wwv_flow_imp.g_varchar2_table(349) := 'F8E06CA6A20AD184B83423C16572A6A47226696A8747484D88148D3A959F50A2C6FB25A7FC8D3671EF12A55F6516E65E00F472F52F588B75AF6A7EFAC7936FE8A833E34212BA4F0BEA3822DCE0FB7E6E23F280AFB73F03A8A324B2EE76AE485BD02F0748';
wwv_flow_imp.g_varchar2_table(350) := '4EA1631EA34725D0D2245746592DD350B06981A03B8311641CF8BDBE99A230B7F85E3D904B36B6B8C86C009F1991186B0E3E4DABABCB056EDC072F2E25C10AECA0B049712F5BAFF816C8E5D3202FD60FEA0F6584C2DC66053C708B1FAEE3B91307552FC9';
wwv_flow_imp.g_varchar2_table(351) := '30C11595098B704855DCC782F112DB0E6173986EF984709F93AF833337306643635855D59B8C5B41474A2ADCCFFB3EFF00D85A051DE0AF916910DD1B8F54C471AC39C11287558467B82B2A32271F963F42B81A2191B1551E565503CC1B963B98ABCC52C8';
wwv_flow_imp.g_varchar2_table(352) := 'A2081F9FEE3E9782D18A986ADA78E94CDFACDAE1310EF305C77A840F4F0C239F1BA134A9633A62C63EC2902EF567966726130F2F88B66010AFC1282ADCBE2A4A640AD178B325C7E22616FD156DF8C7C7C065A35FFB35001891AD9DD1FDB1B517538ADA59';
wwv_flow_imp.g_varchar2_table(353) := '5D63F5003A2EF571FC5309A97EA957E2A0569C60FC1D7AB8D842DA941ED2284BC98C17C206F1A05E5AAE999CB32CF57FCA71F3AF4C0DA685A9CDF1F219CA402D32BAFE8E58C294502E5F3CC006D1D30C8C204CC088CCBB9B617E3891445A8386B3E1E9EA';
wwv_flow_imp.g_varchar2_table(354) := '59A3E26315BE2B9315000B80257B4C6846B0E1B864A971510A7B8CA4CD13408C7105248E440CE228F1FA5227089D881E60E2F6E39B33E6F120CA2073E0B2DF031CC3232AEEDB0CAD4D3B8394CB9DC1B2465B80DD33B89B45E71878292B05F57C9E998E74';
wwv_flow_imp.g_varchar2_table(355) := '3B1F71858667D9DBDB3A587C425CB58587408D573165806E6EEF63BE384065F6B4E3B3DF2812A9D26181385242AC05C24AD5A1753F002B2F4454A9C97D3A1729A35C9C62CC422C5AA86A84516E80AE4E4B8E02D2AAB2BB0F4466430725FDF519BEC5589D';
wwv_flow_imp.g_varchar2_table(356) := 'C4318F229930658DE5EF9820D800BBC20153DB86F8A889765AC3593F08B733E60B2711C4525750780658639C843A204172866BBAA94C3704DAD00F790F171D13002E708313A8406213C2C14DC541BE08AE51B8478B585390B8E77329255FCACB8B2E0C65';
wwv_flow_imp.g_varchar2_table(357) := '43E5930CA448591012219065125B36998478E1E0A7200D30D9A8658768D5A5B808FF00DAC6D5E727F6F30C919B1184445C1D83DC09C12D796306AC6F134E82F5DC45D7A85B947B46E4C3C6EEA98D4534E9EA2AB070E537EE0955C8BD70C48B7085095706';
wwv_flow_imp.g_varchar2_table(358) := 'D0DA3807211D675011EC85CB5D0EAE6FEB8863C5EEB7FA620AC31E5BF7191A383DACB7F9E27B7E59630CA825B354C4C75783D92F6652D15E6808414C24C5B8565CC342B1AB0052027A958AAFB1DAABF98408DC0061CDA9B295C7763399D88C9C46105744';
wwv_flow_imp.g_varchar2_table(359) := '371CB77BF038C53C393E4B07B94C5EA5864C2C44982692473C37143088206A54E4C90F04625F82E23EA391396131B04C262D981D2B3D42206041EB48C3454ABB7109A22689CF374733130194E8AF57BA2253AA7258E3F2401CB0BA110F3A830B9971E8D9';
wwv_flow_imp.g_varchar2_table(360) := '3D48618601710294E3D415B0317D34D8F5DB1F021C400E2B8255783F76F4CCDD240DEC9744D08CA2D0CB335A8AD1D4FBC782D4BBC22AD1F24BE6B62600818EAF46BA218F88083C1C11BAB62666A00981C70631ACAA114D5E18BCFDF71AA1D08B1E1F5E15';
wwv_flow_imp.g_varchar2_table(361) := 'E4A72888ACC59083714170200531711C58F91878954819702B3859533272733E62E788ACFE0422E20E55C78BD7151F7767F8998B9272B6BAB656C257FF008940ADA0E09EACEE3A9FF5788B70881653D7A882E4DA6D0693921D78A4207E855B2AF6A19DBF';
wwv_flow_imp.g_varchar2_table(362) := 'FAC4A6AF2FBD12C51B899AACCC17D566D1E2DEE1564A06D4D4AE7D8D8B1C3EA581B2D06145942A9DF85FFC8569430C5D91A83A9D91AF724143EDE2308541A86908631E401773132C65237A844C4AB510C240460AD0238D91973641C97B0A8FAEB6C664FE';
wwv_flow_imp.g_varchar2_table(363) := 'E2C43C275BC0141478B05012B8C48A09582C228A2C6152E2C22D574C385B6CF2FC4ADD81550D92599210B94F10A84989B3CCAD702DE63DC06F697D5F867124CFFA3A8FAADACD82EAA1D2DA1D4CC61A36C16902AF0A5F7B6504E92CA0D7AE1D35B6DC7D24';
wwv_flow_imp.g_varchar2_table(364) := '23AED08C2C78B8229D81C6749B840B1A61A1B6D8366331EC174FBF6B9989CA346B53B8DBEA1D8E062B4F687306A186A13E658B30C65C409152B8C6CD4A9436105263B970A476882E046ACC7CA3060F44236C303AE361E9811E9DF8989953882712BE1F54';
wwv_flow_imp.g_varchar2_table(365) := '2EA33C4579A5AA08F02AAB59776916337E4BD044ACC4DAEE3E45299A212E02918A19AA82C46BA9520C031FE1609B84237526D349D8FA60BC518A11B32728512CAD5D8436831AA2943A849B1DE4FCA40E8DFD976AF2101BBB06886A3852A23E3C7DE348A8';
wwv_flow_imp.g_varchar2_table(366) := '372F0978C68B55A607C6821E8C1BFBB2C49AE0105A2A405A32C49ABC1EA1ADB66194F6710D9BC90452CBBBD62C86686B798EDA20D9DDC1046ACF025645A8C06E43FE9194CAC179A14CF896788261782B068CE54B88CDF610974A68060EE18AB53736B850';
wwv_flow_imp.g_varchar2_table(367) := '8406CE27E5839B511B95A5A806691F5044156896C4B6E0E631925DA4A4F292620C584157875049B5EFFF003192555CAADAB318E07B6EB7E4D32DC0062EF8B5DC16F9A751F72BEBC436FF00A1AA88D91E0090EE3A6135C2312E5566526021844688859BCC';
wwv_flow_imp.g_varchar2_table(368) := '0110D1881AD08E03D0CBCB50057042BAD91496252D208273E6E094BAC4C231E4A4AF7895700294E1E32EC132C88C2CBC4F187815B5E0226AF35131C784CAA10981CC186138097B0D4594632F0DFF000997A22A8ED23A99CD90C638882C448BE65542BACB';
wwv_flow_imp.g_varchar2_table(369) := '666C8A2CB1831D098DE4D6C5608BF2149752F6435B529097C1BE8C2102B72A94CB6116948E65CDC7926A95115486565D298A5650087997981C94D46942121458498896095E7502A29A8345906E4298A60C73F1388F108F020AF70DCCEC41403922301770';
wwv_flow_imp.g_varchar2_table(370) := 'ACB6EC7AC4B8E22E7BCF159C11C611961184DA31811A87FF00E90DECE27A563CDC0F12E31E702306064A06CF8B67CB09C67962B80C0504E23BF97AFEB0E812502A17E21632A604C657C7492BBCC69AC92F4F3A9F5881536F8DC43CE67C4C121F085D565A';
wwv_flow_imp.g_varchar2_table(371) := '00C0DCB3A763CC2E54A937F560B6A8442E150A8995B705CC3BA3DD13DCA86E3EF2D0C171DD960CCB0D698331EA3B5595FD6222DB61F7E195716C09EC3420205033E4B2FF00F23F53DB060B9856E19697144D25CC245E3B231459FE07113736DE21B30219';
wwv_flow_imp.g_varchar2_table(372) := '19A3C253D30E0D032CBC78A7C18840D986866D8AC81587EA3B0A53188B506C86B2B52F585729EE3BCC41B189E621662272099CE08DA865420D1B4E032EA8C7DC3EE6D283E353BD090F2DD788BFF0A2C97A9EEE2984E821A8E133EEE4504730CA0616372B';
wwv_flow_imp.g_varchar2_table(373) := 'DA111D8FEB3022F885C513194D93056E01A62105599BDCC312C3012786EE4F28A3F2D11608BC3618D932873001846E0C1EB18C7AB19598743691C8330B5077372C138CA0C75E5665F0D69121B80F32E770A5DB1794579968C5BF62155EAA5594D45CE197';
wwv_flow_imp.g_varchar2_table(374) := 'C80C6ACC87532D9026E13B26E04DDC30F08738F305106457C42BC4248196FAADFA94D2AA39442ACE6DE20B7987BC78B88B58BF8C2CA87A4EF2587E622B98E7B583608326533E3F78136244CB6B165E2145B8C22C26A8F11455C619CA0C1388D8186742B2';
wwv_flow_imp.g_varchar2_table(375) := 'FAB86EC32E45C88981473180903490EAA9DC0D36887881F58812AE0636411A482AF0B63EE3D513C309C4BE8DB9E1539539688386420553ECE5E0898C2F32F5224C5D125C0A784331D129E21338E202F10F31CC6CB553515B2E31DD11692E33444B2B9D57';
wwv_flow_imp.g_varchar2_table(376) := '02C0603E32206788682C76CBC0692C84542280C04B9C532A8D3136FE10172E3C9354C11C53A487A66121822C6CC820C0DAF1F2182731408C50B5A1EA062193894C0EFE47C027019433EF82785B809440BA9C720B750DB88E64688319A1FD7E32C85EC9B2';
wwv_flow_imp.g_varchar2_table(377) := '21E7D3C67563006194F860107B8C7D4AF70FB9919F0021541BAEA5BC528F6D82B496E3D53D3E546C854AC6B6CB430C6AD87A822BC901874788F214C298B2E93938BCACC7A985E250C1E115992659A439778A2FD074C0DF925C1217D0B97BB36CC0E96428';
wwv_flow_imp.g_varchar2_table(378) := '32F69325C597EE0E3DDE747206CB8A3C26D044D8892188812FC0E08C4B10A34497627B8530BF9F128C0A400DC239801CC35E61398FB4BA2E8F7CF64F6CABB96ED2A33A94F8A30496F115E209809EA3897B8F83C02CF64B1450A432B331E5DE226F95C702';
wwv_flow_imp.g_varchar2_table(379) := '4C1E48D20911834CDE0B8A64F3897148122CA2DCEC63BCB1B2DB65B2D8C562B2AE63443585076638C4410625D8E1667AFC2A711410AA8F5C4A632C747912F23D917B8FB47798EE6291509B0DC4208C0F83E4481648267D4B2BDC1C48BDC59952F85E02A9';
wwv_flow_imp.g_varchar2_table(380) := 'C38AE4E2E3E77F12C78BF6530C9D22D3324CD0D4012607309B9A04A5F081E16358CB0F85F1508C0708454EC83588C47C1E910DE3CC39324A618BA58CF33908B8AF3328BF0D3C98E08565D42BC73E0786B62823A786E0C1C19E4679C1C4A84C3F00E1AC62';
wwv_flow_imp.g_varchar2_table(381) := 'C26D2898FC18B31460238CBD8B3705DA5443C3A8604764C534BBF1B23312B1872F17C2AA30E63E582851684616578496CF5CAE2A843E142184AF2B4BCC09B630B998B0951A92E79260A43C5952E216706604C797494147C8CF8E28C604D21B44D656D8B3';
wwv_flow_imp.g_varchar2_table(382) := '14F94A2259F7298AF8946392060B06283E2D2D8C30C94B58E8BE61102D91495CB0204081E0CE0D4DFE6787C8F2389AA6B02D888EA1010171C2F8396023019C3C125FFB2F13FCE3A23741636B135F91F822E7C9416DFE137FA8A82602399307F710D089B7';
wwv_flow_imp.g_varchar2_table(383) := 'C8B3E03942800E8E6103C9387C35F0EA72F16D5032DA5861A8420ACF87087835026B3FFFC40023110002020105010003010100000000000001020003040510111213060714201530FFDA0008010201010200E71B21995F2ACE7B12E4C3161D9B60444FE7';
wwv_flow_imp.g_varchar2_table(384) := 'AF409D38E7D0588CF381BBC4DBB07179BCDBCF263C2762636C36AF700271D8DAD6B586C2C92A2F0EC36B657B2D8B676B1F90E8BD6C876067053A2D7DEA73B08EFE9DCB0855538ED433C3B712E954102E351978F5A0C514C06E0760000AF61BCDC0631836';
wwv_flow_imp.g_varchar2_table(385) := '2A5002383380852957FE6E94C12AAF1DAC9E2EF1E29B898482A6CB19EB262BE242608CCCC0F0939D8CAA59FCDF28807A0BBF68E41BFD5ACEEED0ECA5F7138C6DD61ACA18AE48528A8C29164037BE63C022AF91ABCFC8D5E4EB09891F6E5496C73B09854E';
wwv_flow_imp.g_varchar2_table(386) := '5E19A9A9EAAC1CBFA566CFE386C6C5D2ABC4AFF1E5BF0D9BF336C2E2DF406DD8C3123C69A725F55E709C6C269D795CAC1B69EAE895B55E0AAC1296AE9A130A9AF822FBAB6B71F3740CAFC7EFF8E9BF1E59F1F6FCF5BA732F091F6A2A66C4D1B33E7C46B1';
wwv_flow_imp.g_varchar2_table(387) := 'B51FF630B5A7CE6BB9039EDD81494E20C215928DCF24F6A3502FE7658D68C97BDAC61F7CAB9872C5F4DFFB185ADEA1F4F4DD936538EF4F5A758A6FDC0A74EAB49AEA6736233C49644B1B0D9085943D991EC8E4B127F21034F435B0EFDB1DABCBCB4BE5AF';
wwv_flow_imp.g_varchar2_table(388) := '6E4E18B71317573A83EA7A6EB696F72E5DA54F6451D6DC76630D5669C709B18D4A8C6C70FF0076C40ADAA746A4D58F6DF8610A896D1459465E7E11218CF9FD484E38E0AA10BC196A10552AA6081453E0F896699F9150588496104EBE0D414AEAAD3231F8';
wwv_flow_imp.g_varchar2_table(389) := 'A725D5E1981955B70A02F549DA1B181565714234ECA5C3C23F245A2182D76EFDFD12D79656955AB5DE8991895C7AD84F9BBC28ABCCA85F235B219C58556A80306433AB37D3DBFAF6526B21954850390EACCF7548F5DA55CBCC6D3F42D3D22D1E0CB911B2';
wwv_flow_imp.g_varchar2_table(390) := '1F3DEE361B1508502C375B9C7567D5F59FA1F0F2F37C1BF09EBE8A7BF5F2E5DE9B6CC7435E5BA6168F4A28EDFB57B1FE5B2BFD119A7333F5AC8FB0CDFA67D47F606458ED61B0BFB6AF975ADB836D78F43E451777B615A329AB6D385583122C68C856DA8B';
wwv_flow_imp.g_varchar2_table(391) := '63E96343FF000CEBC35DAFE91FEAECB688475EA52DAEC4E8548B6BA712CC2B6D79895E65CF5D175959AA97D22D6C0A9142C248AD737159B190E50C9150A8D6C9C5479E672F3A1A8D2718E20C378FA765E33AA622B5D550F4B5F81818A81224E437A5D9D9';
wwv_flow_imp.g_varchar2_table(392) := '1AED7938D9F7E4B3EDCC7959E79079314C25675EACAE326AC8D29ECAB03D0E9D878001951AE24B194BD5ABD495514E9B2D8676E609C013880C7B0DC1E9252346DACA1741CDC2A342B3158296158AE02E5407B2BFD4E9425B6806DF6F6F516FAD99296B32';
wwv_flow_imp.g_varchar2_table(393) := '4597B2032880BC11B64865F31ACED7280AA02410C50CC6CB5CAFECFA6364C0154284EAE8879EC8F610DCE3ABC7605B659CDFB25F6380A221049ECCFC931C4E428000D98F0A67060AF82F5DC4B148DB0DAD1CA9E1EDAB345E8DDBBF1D0C03AB2906751392';
wwv_flow_imp.g_varchar2_table(394) := 'E6C0ED3BFA8B96C773696A0896CAC9D86D7C30412C4A71969E219C0660A3628C86DF43617E6B966C76A85B39944596CAE36CB04BA10256AF13F9E441197723F9AE3C30095CB77A60374AE1D84E6C85785568BFF003F8FFC4003811000103020403060404';
wwv_flow_imp.g_varchar2_table(395) := '0505000000000001000211032110122031042241133251617181053091A14252B1C1234062F0F114334392D1FFDA0008010201033F00D945953298103AEF8DB0B61CBA8A28AF34D407C8E72AD84844228A9EB85F55B55B4B5346829C8EBE65CA30108141';
wwv_flow_imp.g_varchar2_table(396) := '0C0A3A6F8928ACA24A0A46820228A3A635F32B60E29CE4E68301542E5CAA0A853A820D09E7629C4412A463B612300821A028C068E656C23A2CA9AF4C0500109D7650890A1492ACAE741C4E010F9370ADA0A3F26D85B0B6A918460DC4CA3AEE344E210C63';
wwv_flow_imp.g_varchar2_table(397) := 'E489D3DA35107029CA102A1025056D352A901AC2539A39DFEC1536745C4F6B4C54E25829F52D9CDEC0AE1813D9710F69F074387ECB8DE18177679DA3AB2E8C9470956D17D0D74B884C7309CA17292897680D2A9566A00D965C2519C08465121128845E7C';
wwv_flow_imp.g_varchar2_table(398) := '95322C0CF9ACADC497821DB6C570FC4B72D48654E8F1B1F509D4A1B519E846C57C3B897E6ADC2B49F112D27D617C2F89A67B02FA4F1E65C3EEB8F2E7471147BD02E57C599B3E83BD1E7F70BE30C063832E8FCAE6FF00EAF8A33BDC056F6693FA2E299DEE';
wwv_flow_imp.g_varchar2_table(399) := '1AA8F5610883A6A31D2C7C27B9B04A3C6540D9802E50E1299A8C7E6037C18DEF380F55C3377AA15106D98A654B35D7F03628952820860105253C81CB1EAA9F5B95976566A9CDA2154A632CCB7F2BAE170F57A9A67FECD556890EDC7E66DC2CD56478B544';
wwv_flow_imp.g_varchar2_table(400) := '8464A265194D71BB01DF70A9D1A5C33994DAD25C7611D138740BC4207AA68FC4153FCE13384A85DDE044184CAF48B29D275CDC959B31CA442755AA44D909E62994DA0A33630478273396B37DC26556E663C11A09559FF86079AA6DEFBE553A639580621E';
wwv_flow_imp.g_varchar2_table(401) := '25442BD445BCC1072AEDFF008CA78304108A253DAE05AF88DD07163A077CED6980BC94AB0505005170E1079BFF00657574027229C8CA6121B9931D5736580040F3F3599C208B27F6647F5050E711D6152AB4C348F52AB70CECF49C42A6F11506572A1F9D';
wwv_flow_imp.g_varchar2_table(402) := '33F0845958070194A9120DB4E5761777A6044B99BF82F34DFF00121527740986ED9554532D10494F0298B080EF795504A701B231757284932A5FC27A3FF51805216E14A8E89AC78CC2C985F9E9D58445CD42E8430CE2427537006D74DA821C13603D88C4';
wwv_flow_imp.g_varchar2_table(403) := 'A7228D6A6693BBCD57474666056380C0A945A774E1573932004F2E32C07CBD494D86DB7840C262612553E6261368F15C2D31D18E3F53A37C5A5030020DB20706C414D2764FA64F50A4414DCCE8D96F01184EE1ABB2A0DA60A0F6B5C362011A6242E54534';
wwv_flow_imp.g_varchar2_table(404) := '6E5123128B9EC04401729D25C3C47D8230397A0FD1113FDEC11FD51E6F744B4F992B3FC5C89EE526B7DC92514E1B14E9BE0510A54109A4207C916A31650E21C98F09EC32D556A18CA7D539AB6381A9C286937618F6D00204EE179A1E25342383422E4DB9';
wwv_flow_imp.g_varchar2_table(405) := '03A2E536DCB8A17F7573EEB7B7F64A92835ADFAFEEBFD57C538DAB323B42D1E8CE5FD9129E211251D91410305422BC54269E8AF29CC22E83E256F015313B8520055EB9018C4EE12CE3BA9020129E7F0C21D5F0A80DEAAA1D3880A9B36AAE3E89FD13DDBB';
wwv_flow_imp.g_varchar2_table(406) := 'A53422EDB12C71BC84035A046C9B3D3FC9545B7CED547A3C2A51BFDD328F0D51CD3CC44347994D4D1D137C135DB223A2370A3638069BA04028F42A2410A02050B90A01401BA6D5697F82A2035CE39E6FE49AD0001030733625551F8CA74778EAA74C4CB5';
wwv_flow_imp.g_varchar2_table(407) := 'C262C653074FBA07FCA81B0FAAA5C3C873DA0916929AD6C30E73FD2202E3EAC86BF20F2B95C5BCC9AA4FB05C4937ACFF00A955A3FDD7FD4A738F312500A71ACC6D10C301C4C9DF64F2581D04B940CC4801547B4B59207529B4A4BDC4B4214DA48974CC00';
wwv_flow_imp.g_varchar2_table(408) := 'AA96171645A535DCC8784828B4C8598005410E6FB842A343D86C7EC9F6A63AEEBF8400D81818DB0950500AAD5682AAF8AABF9971C5B945681E0005C58EA0FB2E259BB187EA171910C6B1BE7B9556B542FA8F2E71DC95641041056309D29C8A29955869D4';
wwv_flow_imp.g_varchar2_table(409) := '9899046ED28D3A8D776B9F2F76D08D46873AE613693DD98235591972B3EEE54DC4E600414C2594E8BA4F5845AD5D084376EDE08832138024845E6B8E80854AAB81703EC6106800080348739A1434901135D8DFEA0836931006213300828C2DA878208205';
wwv_flow_imp.g_varchar2_table(410) := '0C08689E8210AF53316D82191C3E8AA9796041A66E435B25DE698E334C920C182A21CDD9429AAC6C77ACAB130D6D97614E3A93274DD04CA504AA45879A6DB21DB35FE6854A4D83D13B3A31BEABFC81A7C13AAF2806576545CE065DD55679C8D9B9D954A6';
wwv_flow_imp.g_varchar2_table(411) := '1B1BA0C24384829FD8D2ACCA599AF98F6305647768FEF741E0A42BA918C0528D884F8B2AB3B14F24594531E908E70AC114579FC9C8E5211538C8C738B14CED85473F6E8135C394C1556BD568ED00F329B4B836536ECCD16C214A32BC536A0B85440D9530';
wwv_flow_imp.g_varchar2_table(412) := 'EB0594020A19D486A0869871BA968C6CBF885728D1756D592AB0F9ACCD702770A1C745B4C052707810B9814C20094514745D0000C60152EC09C00415B4CE158B729788FBA0E3AE3E40D362B9860230B152E08041782714655BE4960944EE13A558633883';
wwv_flow_imp.g_varchar2_table(413) := '85B48C67492A1144E8B1D36D0088298134203018CA8C651C4A28E16F917F916FE441FE6ADF2A469FFFC40023110002020203010003010101000000000001020003041105101206131420071516FFDA000801030101020071978FE5D70AB3DD3076DD6B5A';
wwv_flow_imp.g_varchar2_table(414) := '226B5D11AF1F8C52B42D2D01235A0220B0792EF0D4D8F58D6E53076D089A30FF000078157E3D4AEA4C614DF5810F7AAE5A23333AB6D489A94C1074D0F44EFF001B2CD2C03C15F1E52D392D7338E8FF00148B809AB1B1ACBEC5BD2CDEE823A05A345028FC';
wwv_flow_imp.g_varchar2_table(415) := '645C3A137EC9049F3E3CEA187BD63CBBBC8458CD4D75068253D88DD01B63ABFB13401108504424431BA1D63CBC4F26A38E716BC75ACD42A4510411FA25631DDBD89EC10489B24130430FF18D327A0AC43FB0E1C37A04411637462861AB06B4264DB8D921';
wwv_flow_imp.g_varchar2_table(416) := '8386300854430F404A5EE78DF5B5FD2E2F321513F5CD642458208FD18CE1AB390218266D2B31B290942B35B00824C0365BD0952BAAD98BCA637D6A7DAFFEC6BFA43CA5796A447E89B0255919D8D9CF29C3AB804F97E47E7EBC613F27E4F7EFDFA2C6E162';
wwv_flow_imp.g_varchar2_table(417) := '3B0B1085EB4F8DE775A0A8E3AD02B51F018767CDD9F3177CF3F1838F4F9BC7F986E338CC4C8BF1ED7AB3FE472B137D12D71B89002900DB2936D2B7AB426D54ABF1B2E8003FCC60B8B065ACD029CDA69E1F06DA061D54E2678FCDC8FCA2FCF63FCB67FCAB';
wwv_flow_imp.g_varchar2_table(418) := '57E400046023C12BBD48B05E99A3285E2C2C222EBFCE576D62DF5B8B85D9B462728CC0BAE3E5645797C7F1F9A89E35F55C41EB73643318254DB0CF6B930B1B85EB9099DFE647C5804530A863915E48B5EFB6CC6BD9AFC258804E570AC4249DEC1658029F';
wwv_flow_imp.g_varchar2_table(419) := '6A523B89E58281D7F9954C549A9004FC7F8DE9AA556596D45E97B28CD2E8E189FA9C627D7A0492C086E94EF4DD06DFA59F313F7E9CD1901D1981B36B0AD812BAAC64BAA02A20E6F2FCF7285057E76AF026BC798212E0A25030578FE3788FFA87931CA51C';
wwv_flow_imp.g_varchar2_table(420) := 'FE272355E2E68A9B178882EAEBBEC2F86B6F23F456B921800DD0ED71C617EB1A3138FA7E7B1F844C5FC228540A2B349A7E238BCBAE8E4714E458B8B9784B5AA556E462FA1CE8C9E6AB78D04566606AA2FB7F7BF7CE01C16E37FE4548900D04F291209E7C';
wwv_flow_imp.g_varchar2_table(421) := '715C8723F45C7E6D35D57E464630AEFB6A0E2FC99F594E2F31658C4CD476C7BF031F36D1594309DFA0D5103446896B45E32A9CB192332B7AB96C0CBAB228CBBABA726E99ED8BCC7339E91A39D15F3460637CF1C7CBC7AF1FC433CE80AE09AD421D7AAC06';
wwv_flow_imp.g_varchar2_table(422) := 'F4AD53E2E4F1FCD52D6F32F59E6792E5E68031E225915FE7AE77BDB95AEBE8A910F40D560BC5BB25686C7151426241D5392FF4B81CB5FF006073076D1A6943835D372726993981287828FD7FD738E71FF063E15B58018BE28B1FD93A52B074D34D2F5B2A';
wwv_flow_imp.g_varchar2_table(423) := 'A8F5B6E846817F128AECF41B268D1258B17DD45E79086B4050D7604815474D34C0755B9B0B420A81E426B5A560DE99CB16EAB0EC268111EC276554680108E8C2BE6185D1F7D021C465D6BA248D0415853679D10606D004103FA1D99A358AF5E75AD2C275';
wwv_flow_imp.g_varchar2_table(424) := 'E7408AC562B0BA317A1D3845D698400F47FA6220220EF460FE08220EB71A0FE182F421E946BB30C277B20403BD75ED7AD4FFC4003611000103020404040307040300000000000100021103210410123120415171132230610542911432405281B1C12333';
wwv_flow_imp.g_varchar2_table(425) := '53A16292F1FFDA0008010301033F0052AA353DC42200F52FE894514100A14F0DD7955F2098534A128008FE04E6072C89C9A13638FCABCDC07310AE7D10B518194715F20106E4513C7E557C8A894D4D0149463D1929A836232BF046451478071D95F20A53';
wwv_flow_imp.g_varchar2_table(426) := '9A9C54956F4608CB6CAF9DD48E28E0DF86C55F304704671E85D5BD28E0B7158ABFE02E8E451E0D083B319DFD00D992B51B0CA81A6E2CA2FD7C818855ADE2516BBDDB6585AD6D7A5C793ACA72288478E14DA54108590E02F695528BBD9176EA723919472B';
wwv_flow_imp.g_varchar2_table(427) := '9CA512A3732A4D91CBCA6D63C955A46592E6F369DC762B58969EE0AC6516C53AC40E86EB1B45E3C50DA8DED05608347F42A9F2CF25F0D7EECACDEED1FC15F097C4E274F76B97C3DDF73174BFED0A83B6ACC3D9C103C32B997128D000C924980154AAF0DA';
wwv_flow_imp.g_varchar2_table(428) := '94CB6763957ABF728BDDD815F1076D8677EB01630B7CDA07B12AB614CD4A76FCC2E1342038E026F204A3374D2A1E50869446E866D75E20F50AAB39078FA14CAA2363D0AD34E3BE42C859045A2CE2BED95714DA8E710C6B48BF52A89F99C11F92B7D42C63';
wwv_flow_imp.g_varchar2_table(429) := '360D7058D69BD077E97589FF0003FE8562EB905CCD31712AA32EFAADDB905E1D464BC3A4EC1328D069D37444E86EC9F59E59CCA63D86580B5D6BDC141D2FC33C09BE972AD8779655A65A785A138EC1139C15257929A0F1A4A730AA47E64C3B1050C845DB';
wwv_flow_imp.g_varchar2_table(430) := '29C0107A05EE805756461061C7BBDA9FF284210A530F24DE898806CA7C1ACE69DAC9F4A868D5A9CE71279C0E413A1D2D265526D763B63A4CF7E4BC8C6D8C4955E8D573DBB6C02C2E3E99A556983FC1F6588A2F9A243D876BC10B1A77A50AA388F12A4764';
wwv_flow_imp.g_varchar2_table(431) := 'C140BA9CEA1750482208E191979199030D7A3C93FBF7829E376FD146E985F24D934EA3D6136C81CB645452C71FF933F63910A0AD89C81E69F558741BAAADA629D4A131D0AD6EFED868454A349D06E136B349170427517EA6D9389F0EA200913D93534C85';
wwv_flow_imp.g_varchar2_table(432) := 'F67AA2B33EEBF7F63C505486F0050811B269644426C0F3109D27CC884E4E09D6013AA60F1750EC6A01F419050B6C8270E6B4C92113745593B7129CDB8742A75409DD43B5027D827686CEEA08929A5331986A9488B9164E639CD70820907B8E1D95D6C8E7';
wwv_flow_imp.g_varchar2_table(433) := '2804D8306E536003D10EA818CB6401429FC1818FEE557BBE90DFE104C26E1362D90EB947344CC228841DBD909BA900B53D860A1A4B5C396EA8B1A0978BEC37298FBCEEA2D190A58C2E02D506AFD786113C27236055C5F600709715F64F8560691DC520E3';
wwv_flow_imp.g_varchar2_table(434) := 'DDDE63FBA015329A81BA08C221122505B422E84E01404DA80D9689852449EC55521A0C150649587C3CEB784DC696968D93A51EA804D1C901B3029F950E99150A72040B5D1D4E27AA76CAA131A0AA9CDA5542764EA95D808F2832EEC155E8155F65527608';
wwv_flow_imp.g_varchar2_table(435) := '030E0426BE0833D90B2D42E322F165A4C2037081832A4A313394B84EEA5B213A93837AAC4D473D8D1E1806239D939CE24B89393BF31454EE389D5096C39A409B8844F33F451FF8803B94EAB05AD71129CE32E1A47BAC3D3896EA3EEA981660099F902A7C';
wwv_flow_imp.g_varchar2_table(436) := 'D8DFA26B76002289191587AC714FA825CC0207B154DA2A3992037752ED00171F65498F0EA905D6006E24A358065260D676BEE53AB3E234C101C5526BA05406F09CC96A26E0C1081B3C2824B5070D2EEE0F45E0D5346A0870FA141E4BA2FC90662EA89936';
wwv_flow_imp.g_varchar2_table(437) := '27B91C3CD4A73CD9369184C4DE8A84EA2D93D551548F32A818D449F6D9318D0D6B4003966320AE9A9B9D7C056F169C1910E69D9C10C461DD4E9E1BC32F10E332852686ED7B94EACC6E93EF2BC0A9F7CBEA7FA6AAF4F496126C6473929FE155AB5DA1B200';
wwv_flow_imp.g_varchar2_table(438) := '13B923628B9F70B98289B385D0882986C0A6B0611DF310E07B0858AA0DD2CA823DC4909CF71738C92649E1805490135B41EE3D16AA8E44844715F8611446574D4C41CF31B234299635D7FD910E69FAAA4DA7AC8930B5D3B96873DE0693D13D84B6A00082';
wwv_flow_imp.g_varchar2_table(439) := '448504B1C838083080A351C1C7C8352C3B06A7545F6CADAB9010DE0BE56552B8202AA0B6C8B68967B22DA8E9434A13E9CABE771C1A4A6D187120842B576B5C34B792C35002ABB4C81B954AA39FAB62578CD6B9A6084D6622AE1EA57D2E644F6224421559';
wwv_flow_imp.g_varchar2_table(440) := 'E0D29D1CCFE6CA42827822108548EEA8C58854E0DD0151CBC8BCC78C85EC81CF589505040653C1E1916553C034DACBED2792345D0F6EA0B0F4691D349C7D8593EB63DD59FBD499E0BE5242840EE884FA4E969855C912E4F736752353708861B287144A28';
wwv_flow_imp.g_varchar2_table(441) := 'E614B0150F21467FD30A5CE414FA334DC3D9166978DDA655BD192B4A2058A9DC21108CCC208208219014C7645CE71EA51472019D82941108A3C7754B7D1E6FF4A1044FA1BA211CCF5E1973428A66FCB82E1790F6C8E410F4DC13BAA24671E91472820A2E';
wwv_flow_imp.g_varchar2_table(442) := '11C10A47A833940FA91C03D21C17F4AFF80B8F4207AD27D28390CFFFD9';
null;
end;
/
begin
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(6600460548928382833)
,p_file_name=>'emp_sales.jpg'
,p_mime_type=>'image/jpeg'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/emp_sales_webp
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '52494646247E010057454250565038580A0000000C000000FF07005405005650382054760100302F0B9D012A000855053E9D4CA04CA5B03830A2B18A4B001389676E509263AF0CFFFF565F835AA3FF3B1E9240E656A7BB3E308007E7C3150861869F63B7';
wwv_flow_imp.g_varchar2_table(2) := 'BED6EDE2C5D3BFCEF86FFE8F8A47A77FB9F607FD83F509C816815E66D9D0D21BFF8FA6EFEE1FF4FA947FE7E853FADF4A3FE872B1D91603E3DE375D66F5FEA82B5C7AA5FEA3E8E5E96BD6179E0F33EFFD5EC37FA37A84FF5EF4C5F5C8FF01EAF1E73BEB6D';
wwv_flow_imp.g_varchar2_table(3) := '8F97F13FFE5E907E4BFEA7EE179A3F9B7E9BFEBFF6DFBB3F0EDFE66C0FDE3FEEEF929CEFFAFB6C7F97E841913FFDBCB53A7F332BFBF1CBF73D9593C67FE1E86BF5EDF883B227EED59F5CFB1ABFDDE21FD2175176545B38CDA12207FF3F7CF0A1041B9574';
wwv_flow_imp.g_varchar2_table(4) := '3D01F293944663060682589AFFC4359D237B374287A4175E8E990C8661526A4BAEC040BED4FBFD2255340A05573F553A23FCDE018546231C048152D065DF0FD5918CD3CD1C88AD048E73ECA66738D73C8D630ADA9B785BC910E6CB6503691900045CAAD1';
wwv_flow_imp.g_varchar2_table(5) := '60C9C11FBF7C1D93296DD3DD08AE8D80735DA96AB948DD9A38BCA4F0D8100A1FF14C765AA2C9997A877684FAC7419F0F1934FB5E76FD657096A0BB0171A040D17B12363668336A40D3F189C12D0BE069DE0D30F459061ABFE928063A6B0EDD08E722DC13';
wwv_flow_imp.g_varchar2_table(6) := 'F8C2E1BB9CDD19FB8671276AC8CAAB87FB504C751EC1445931B5784780AD8585F43E7FF9135AAB0E67024F70C48DC96BD0A843F8A5FB52A589DDF048C581A51F1B9A4CBA25BC0E5C1F8ADD41CC99269D9D09A8AF6F6C129681D8BAB28AC77C45A05B3B22';
wwv_flow_imp.g_varchar2_table(7) := '38E72347482A70A2E3F2BC139CED9A5F6BC7384CD4014C96B316DFC4FC47FA6C8FDDB322B7F828B161A881B44259EF6B92FB6568B422ABA132DBBE7F0A0BDE49C892C32E6063508B1DD71157785ABA7936E8D9930344F3C1855EFFFEC7F881EECAD7CD35';
wwv_flow_imp.g_varchar2_table(8) := 'E2C1E8113264D5AA77A19E678B418ADD148581413803DD3EDAECE3AA8DE411FA086B374DE63C231F3EBEF3A7B5B35D60811B1F4F3A246B86DC795A6865482C66449BACEBC0F14AF57986ED7FDDAB37563174D0B3B8D01A1081326BE21EB1E89732736C4A';
wwv_flow_imp.g_varchar2_table(9) := '4EDAA90855A5B9BE872F2746DAB644D76456077E8EE50F9B059A51FE095C15C9139A93863160A7E961B0FCF8B583C6D04B680CD716593EBBCD470E9FDC76D519A491CF7E578977280FF2D6E30D9635B368F9FFEB2E585E36D4370A4F59264FB272111B8A';
wwv_flow_imp.g_varchar2_table(10) := '01BDDC1B80CB770AD6DA882922487DA2D2EEA66CCA0F3315CD1C8C3EFD9D95FB997BBD716F8D05FECD801D9A5DF340E2615F3CD7D62A720DA7E5D67D39F18A5491CC903E76AEB92F9FF9A7F0F7083D6BAB7671994CC41775BC937B3239A70238AFE039CD';
wwv_flow_imp.g_varchar2_table(11) := '516A11AF4E3B5D6EADF51F6E357FC2EC1301271B764630422906A1B1D13B9711F30F2844AD8C7984B6D696510ADA0C4A55B7BF61079A7F02FF28D686A581114273E3698F88A870D14F669C9FB7BEB528E465E8C307869C239B20682E1F4BE7D88E6230C4';
wwv_flow_imp.g_varchar2_table(12) := 'E0A836100DCC9C5C71DD1BB85BDF6B168ECF57029421DB17794A86F4CE58C059C796FE3834DE9926D81CB1328A8D1C5541B8214CC8F28FEF77EC9B9A04EDC5EF78B2D3C468FD8918AEBE23CF2BADC1A679BD2898DC6726C1E20BD4D931095C6D3134AD64';
wwv_flow_imp.g_varchar2_table(13) := 'EC3C7D6A68CAD283015C26C0CEE9F66F4D8B8E3793F402C7C1D611F52BB120BB85DC7468B89809187095372162F0469898D672D90A5CA6B03D48D5EE017589BA66AAC1A0AE74FD4F46151AB0BFF4C5A655E4C96DCA0EE84A8C2BFF8BA0E989B517A24528';
wwv_flow_imp.g_varchar2_table(14) := '0184E7D19ACF82B2A1382738115A529DFF8E4D5B3651A17392E6D84C24EEE0D5C227ADF5F2D88359A0FD2D694A3125A274A2D147BF3EEFE84385E7903E03F57AE78259DD9DA8B1686287826747488C8B068CF8A0FE543751ACBDD924389E763EABEFE333';
wwv_flow_imp.g_varchar2_table(15) := '1B849E40B4199255262BBA7F979F0AED8DA3F0A461CABA5C7BE7C108D691B7F7B5B5869F21AD0CEC1A9B53E3523AE142A7DADAE8C9DA26EF35C7C329E7DB321758881A474C8180833CD72B8DB8D2B3EACDA17F57CED57284DFFCEA70876DC01AE2F25F98';
wwv_flow_imp.g_varchar2_table(16) := '0E1802ECE782ABE871AA4896443B5854BE838EB220349F7619EA64276566990F2348AD6C7F1B8920A395E87052E7E1EA2A1933E1778416A5C93342C16AA9D1AED1E0BDF62E5F2D639FCAACAAE299B1AFA063E33690700A3362340DB15C0B6FDEBE3D373D';
wwv_flow_imp.g_varchar2_table(17) := '5DAC3578C2B9273121B451F1151B9E7ACD780A5CD3B7948528FDFE4D5BE55E9AB5D80A566B7C9FE164DD4D42FBFBF536FEBC3EBC19EEAB70356AE6CB70A41EE8DB4100A4BF2E8B74C240B18E006DBF863E45F84FB4C064F2660DC93A8A3E3FF272D236CD';
wwv_flow_imp.g_varchar2_table(18) := '2F361ED629F36B437572A35C1762966A0C154A8AF878843B7DA75CD38711C1C42A21DE66B65EFD764C02970F9692DE74598BCC84456E1E0FFC0351861717A422514E3811A780173236EC507D66D9E0E829078F9F1951AC0C07606029ECEBB89848F613B3';
wwv_flow_imp.g_varchar2_table(19) := 'B0679E7904231A428ECFAD4732F2E1820372CE8896ABF307A68D0539DE7496655B3936DFB3090FD778A264F3DFC64DFD723453CBA6F4D76BA29A42B862F4B852DAF3AAD61B0AC6FC4BD40B5F705A796CA8E27CDC9F095A616EED09EA119CB80F9BC7EA7A';
wwv_flow_imp.g_varchar2_table(20) := '6E1C17798ED704ED65E39685AA6FA0C896BC451FB2FA25238EBA6E938B1ABC3AF67113610584B9B9FF8D60B380734B946B399AC4F58B2F088687FB246D2F5F4F1E0E8950BB853AF16E5BF7E1CB52497274649C5109D3E6B5E6CB2244C9836A325FEE8191';
wwv_flow_imp.g_varchar2_table(21) := '7A873E9435AF16B9AF8633729AF85C111DAD084F857C8E31B46C54E9CA39AFC57CF318D8734A3453A3246A92C42A7C8F6216BD0BE2FBFDFE7C902F75490B34724B03A21ACC1E337E90432E46EB88BB8B450EEB22E944B19BDD6CC59D2499E98618DA0C53';
wwv_flow_imp.g_varchar2_table(22) := '8B659FF2FD81CEA8216F29BB4AC7A3523D0B4E9E1BCC6A5449BB1E40CE5B883430E803683B8D1301BAACFEFC72C4AC3B59885C28181B33C5970937F7ACB3A2A81CFBA9EE7D53783AC2A979854CF31A6D17B856AB14BC686CEFF41ACFBF11D199F6066CF9';
wwv_flow_imp.g_varchar2_table(23) := 'D7229F3748A3D7E7FD84E882B26357E869467DADFC5F94D2D7F61F48AA2773396A696E089A735CEC9FEAD983DC7A128BE0102FC29C432CEB23AA5BE79BFBFCA67E3F29CF02F9CE2DA5A2B3DBDE9F13B8AA14D49698BD1F3C7D0A19F60027CF02EC8C88E9';
wwv_flow_imp.g_varchar2_table(24) := 'C285CD6AE5F7C2221947F861CB2E2A4A778A3A174B98A6127057FA63297E30B257AFD0B38FC615CF13257F0D8E00FB57EDB0CE12AAE1ED6EC4BF7EBC3BC6EB6A3FD6DBB5F65AD39DC1929AC4BD802B9BBA38A7A482499FD48DB54E0DDF7638BE12268274';
wwv_flow_imp.g_varchar2_table(25) := '84E075AAF320AB313D18D58A440F5E19CA9E3BBF68C45B7582F3E117F65D1145CC818C8FA96CF2E11A1126E8F8B1EFB64359CD43D04466EEF74F4B1E3CC42E43C65C5F335096D06604745EA5C3B00134ECD0313CDB398D128BCDC017CF7D588805DA7098';
wwv_flow_imp.g_varchar2_table(26) := '0048F28DAB182ADDDFDAB78C4A95F1E47A5BFB757E6DBED7F075B751D0F49C52938C134956ACEAF79140F730AF15C34767481FA1EE58E49F5D53F3A9E6586062BFCA28C9F69562201B017509E2D719440AF53BAB3D2D6F61F9B268C350E24DE69EC6E6DD';
wwv_flow_imp.g_varchar2_table(27) := '2950204EC6FCB31C84261364662DF614B4F2E6274F1A0809B714206361AFE1C2DF6440EC3C6D44A31AC0D70A1AAA5C6CC30147BCAD0E3598022D318DE6C639C5AAF62FA54856B5CF99BFFC86297E78FC3A95371DE5F1AB852AA493D4B2CB2593CBAA6305';
wwv_flow_imp.g_varchar2_table(28) := '8B608B851011CF420EE5346F7DE08A3F6065FC7E49F6CB0DAB19BD9C56BF694906DDE39288725902E8E07DCE02461FBC8422699C6BC3E4341680779DED11E3BEA882460A25B64747A068C68AD5648BEB91775D22E898C95752A6C0A0F6DA05C67812A1A6';
wwv_flow_imp.g_varchar2_table(29) := '8F8696D139526DD818C55B88722D4923AA3BB130A7ABAC2EDABB45116BFBC531337D8D247B6A8AE5CE981FBEF92CB92A2ADEDF7C5D17B0E26BAED361DA5098A158CA8AAE0C2240CD6F83CD4A3910E8515380FF1FE33AB7EAF125A9584E319A775AC9C53B';
wwv_flow_imp.g_varchar2_table(30) := 'D32B147494B8273DD524B31C9ACD23660B05152AC5D5E1071019F945CA5E50797184C3CA92E06C5B18A5C6C7653B24B45FCF05608ABCB8E80ADE06D760268013932549CE9DA80A3FD859CC8344D44089ED3A50856F44B0FD2B3D35437B21DB0B9F3FF282';
wwv_flow_imp.g_varchar2_table(31) := '051A9B8CD8D4F7A2F5C561E4A37CB83BD7EF91D41C0DACF54F3D26DB9BC7383D20AFF9531CE57CFDD471E4D94961851646DC98CD4D9242F9561728E38832A003856B49F2CBD65EEA4F34261AA6B92CD3C6479F3FF2F295F9F53F824204449EE089C1CD05';
wwv_flow_imp.g_varchar2_table(32) := '440EA1C84E069996314100A2910BDB473FCA70BC23DB74D9335613EB90C72D88FB2AEFEA1A5478FBB36213627962BE23C56F6949C478DFBD66BBFF7975053874B106B8F69BC906EE2257F770DD72ECE0BEA80AFF899CCC044342A028B4BFC8ACE607A7EA';
wwv_flow_imp.g_varchar2_table(33) := '80C0CCCFB9BBB4F7B832A20E4A2EC54DA19D382C6FEEDE7FE9A902FA7165E97EE6FDD5C2C6D507732B91AE4DF9E7884522CF771D57A330A2D8369406C79A77D18B4E0DA297860B6662C369BEDEE9C443A7B1BDF808BDD30E57127758415E81A2F10ED664';
wwv_flow_imp.g_varchar2_table(34) := '6C3CCFFFD063525AD4D9B35ADE0848EA72FBD72CD7A068799787DAA869913ACD0DC176A993A1C20E383DD376C01C810F4DA4715C82F268B20A6238C7E49388A00035FA9C51822E4A7FB130B423EE1AB72BA9ABB275DE54F3A9D9EEF8F71E072C6EB12EDD';
wwv_flow_imp.g_varchar2_table(35) := 'C9A0FF1EF46001ED0905227A98EE0A0FAF313F13A8E0F49FBAD310B7A360D0C42C03A6D7FD96E16FDE1741C0A572241D42639A846337CD49C93C9DE42F8491AAC4DA9C24927B14223B2820377B05076A2E738D080C0222AEF3C01719A3516EC045C45521';
wwv_flow_imp.g_varchar2_table(36) := '85E4B6BD6E69C49999D7AD7AC6AE76BE652288D3FDB9944F5EF8793CB69FA72C76CC3FF4B613DACAD53ABC68D6ABB47C052E6B2C1859914C29AA8AC81037B283BE2114249C01190B4E19D5E5149E6431D089763EAE74E3A5A0C1BE187271CD9E474E16F8';
wwv_flow_imp.g_varchar2_table(37) := '3571CC72D7928B6AB5FD9157267AA9E8382A34134CB806B7C9754DCBE78B8F675C3B7BA2A48E4172413D5685DEAF2A9AD0AC9412A6D2CEDAF1C99EF7607946ABBA67DFC94BE2DBD0418E635A739D861CB85073480FEFD3AD7BAFC7BA73BEA13ECDB46F88';
wwv_flow_imp.g_varchar2_table(38) := 'BF186EA995A9BDB243B0F2129DD9FA6A6A3F9EBF43B24F4EC56B7FC0F041FBEF4CD38B268370805D27FB2F4FBBB4420F27E65384D4B9C47A5BB3EB987FC6831A711E8124C747B1CF05228A50A07AF754E24C39057C80880A4C71EED8A524752F96A20894';
wwv_flow_imp.g_varchar2_table(39) := '0F3137C8D464A5BEE0D149045EC40FACB21377574A5125C19E27056A2A216A28132FCF107AB19501D717216959B658EB30FD4487876387BBF9E58B37C6B141C518F25C1559D84F05756D071BD8DE5125DED26B34777CE0735DFD394AB680EBAFCB4F2CD9';
wwv_flow_imp.g_varchar2_table(40) := '9AA00E6BA580BA1CDD90E6D55C211C3E55825F3AA21DD9CAB2ADB0C80FB9605EFC30422DC8C83965C2C7F9AC5F5AFCE24BCA42543DB321CC2684181E4022AD8CB9BC9E6B40CFDD51DAAC210C0B5E15106CE000D92EEFC0B519B4B8F0450F107B713D24B0';
wwv_flow_imp.g_varchar2_table(41) := '92A17E59B2D684F87938A21A1830F6A2915D6CC2C7CBD5110687E3FABEBBD818A1CD5122EBB5731B3682D290FAB78886F8B5E17C7B50BD2168DE18FD6FD904E9CE464C7BCDF8B70E5961C17AA6CC59DCD216E5B2FB12D70CDFEA1BC671CC58A48792BBB1';
wwv_flow_imp.g_varchar2_table(42) := '20299E04C9B4B95CD9BF350160A25CEFF52861A80F7EFDD6567B0D208874E83A041142A46612E117A7C943DEFBCFE5E83C51441C7968CDB2F145107911078FF1D521C67F3A09E0D6CD334D374482BDF997DD802D2B0B8ADAF86F3F244B2DBB2292D00A6F';
wwv_flow_imp.g_varchar2_table(43) := 'F9878D34887895E4E13D8728D5E60194CF4A3848C6A9F285CA0FABBE310D86963B1076B50B426C8A36DFFD0193AB63CBF9173B70F3292EC96A1786CA20CF1BE6850FB9E17F08D01CD6E96211F6F3BB801D008CC59FFB27A88D777D4DE57E4FA45CD6161D';
wwv_flow_imp.g_varchar2_table(44) := 'E0291F1985F7B85DFE40432DF672FC9D32A807E3E692F1CE1E388699151D0169BC6F4808B2A353F1832849FF0E991A2805B520ECDC4161E9BA48DB3CB0C25BED0DC3C0C9AA14581E86401FE4560D092C261D99742502B948AB695D3BFAFB64A23D37D8A9';
wwv_flow_imp.g_varchar2_table(45) := 'CC1E01C1E4B689739C9EF6BCAE232791DA097A2E92A490192ABC84D608D2861CFBE4D059015E14430104A089637EB52706E56A0CB5D123F1BB98224D7ACB6D16628159DB47A92CE36BF0488DC90CBE06494FF855759C4B2EBC6FF83A674524DBA881B43C';
wwv_flow_imp.g_varchar2_table(46) := 'D68F759B3948BD8DDB9E90C8DC805A19754C9E0FED9A0957E0E9FA6852A25B0D8E4AF7F9E0514BC26804F5BBE8CC3FE08C0B3729B4BE916D294C3BF4FB785ADD1CAA91A88325FD4EB196939BD7E0E8B383FDB5486E6BF435C1B0B218048832A4505158E6';
wwv_flow_imp.g_varchar2_table(47) := '47F4E359B376933A5089EE42C965A881806D893B67DF2DCE09EB9F5299EE05583F638003DA80676AD663F2336BDA67EF323D7F6918583E107096C45B52DEBDA00B17A37D123FBB975F33F47B60898C3CC2EFCAFC2288C1BA6B7DC6ABC04227D8573F26D1';
wwv_flow_imp.g_varchar2_table(48) := 'AA89D783EBA0A5F6DF7117E229352ED44390B1A71B7280F8CE2070DA13ED74652366D48A631DCB03E9BC7CA7B280222A4CA476AFEAE046572E0ACD8DAE967343644E4FD02A9800F56314DE2CD76D06B90D76C068AD85F9024C9611DE90F92BE5DFC43B78';
wwv_flow_imp.g_varchar2_table(49) := 'B44495643C5123997A99918591F7C2E4EFC9752D7903371A9F1C0D4AE72778029D457F0658C0627810B703349A18FF64EDAE5B604DC8032365E8FF5616723B07126E94C3276C7D6FD00F36B19C7874981F94B3127CA2A90F3020E22366B16302661E84FD';
wwv_flow_imp.g_varchar2_table(50) := '9F4212757F154ED2C325889BA3E6F9F7C34133039E5B09683194BCAC052158052B0DBB2C06A13FBC7696D1C86E6134F7B9204C0CCE2ED5609AC58CB058400D4E9B87E7C59BC08F235D72A84EA07E7A691F3E55CA3AD5E28D3DAC8D59D1C6139DA0509B24';
wwv_flow_imp.g_varchar2_table(51) := '3C41D016368BA518C1799A5659FB5D0C657FECDE68DB0B5C9E77BE296BBE06E333D8E990910E00237752D83B1D96B6DF9E33AD08226D1ADA033D41E049CE41E07B5D858EF004BE2EE2FB0E9B4C990906209A967CE6021B8AA60E44763B85245942CEF47A';
wwv_flow_imp.g_varchar2_table(52) := 'DCC2155FA8071CA47CA0546ED0F284B1F0E7A694F92520DDAACE1EA65DD8134BB82C74FA7B510B8CEC3A66C6C6D5A93F4A490AAFA413E6C19762451F967FD8FFEE800C5DEB4CB746CC792C363A2CC7655CE9448B29BBA1EB8297352B3792C654625083BA';
wwv_flow_imp.g_varchar2_table(53) := '6B5E61C7A81FA6C425A5511EEC3C9E441FDAAAB8446F52E0753B0E72B4585A2DA01BB4EBF9D246992EE17AF38D277DEFF6415C7D90B61760302BF12718C990761A365D4C956BE5C213FDF7B40AE4EE15A319E93383838383AE29E49FC148DF01D631CD0F';
wwv_flow_imp.g_varchar2_table(54) := '173563E63BEB3644BC28FEC17C07AC84CF002634D4B58734E7EAD25033C1630F18A317D0210C817007379DD9FC4F8C7AF5F25F2492F8B1EAF11EEC643DA8CB79CB2990E570A8E182F326A42FB7D7C5D6511EA864FFCFB91403EF8BC162E46D0A14E33CF9';
wwv_flow_imp.g_varchar2_table(55) := '323A2A099FD51785FFEF4FF6647CAE1EA7B026A617278EC35274D889BDBBDFA8ED6F2733034B6E288323F992B01743DA1411EBE6D8C4C3082E1AC42AFA3E096E4E7840BC0992E0447B30B713FD63D4F028351A895E03F0688844CDDE70E44D5AEE9F0E07';
wwv_flow_imp.g_varchar2_table(56) := '31F4BB9BB9D83F954EE40767D072B60AC082345AC08167B17995EDDAA1B273DF81CC2D21EF1178ECF7B1693CBC7B053BA19B1FD51BD364A5CA045442A6318465770FC785E8BCFAACAE0EF695929276E8E8005D3197DAA2FC3DC5577E167FBC0690A22B81';
wwv_flow_imp.g_varchar2_table(57) := '4FF3443F63C05E74512441D5B836DCC291A5F892BC3AB24B1531E0ABC62FB83FB055EB07808ED89EAE3FC5B5652DAE11A843B7575C4DA209AAE0A4DA3420E5F72D9F6217DA7D956BECFA6A0660B9703901664F2B87F1E3217DAF6F372D08FF49B34295F7';
wwv_flow_imp.g_varchar2_table(58) := 'E00B26BD4E09660699C5F491CBED17441F9225D81CF42E08288727E38048AA547BB716670C8F96C39303FA7C525A0BCC5AB6162605392CFABFB3CF9A0504F05BF245E8BD2AA70641B386170CF24C61434F5E0526B707C2A79A739F242FDAC577923A6978';
wwv_flow_imp.g_varchar2_table(59) := 'B5CAA3CA17B728FAF73642E6E23044CE16FFD2660C3B57DF8EE7D31B51B7649F409310FE8DE885EE29942A6EB1AC32DA53B55DA8A8801BDC37303FBE385509DD0A2B39F65ECFCD67DC84C4731782C97725F60DD960A8B985E6B107B8C51DD664EC9B3D0E';
wwv_flow_imp.g_varchar2_table(60) := '4CE014922F4E9A3F3347301871E082BDC4F12008291EA6E57D4EAEC051F2933F84FFAC44691084FEB0114D06B3C0369900A226DFCBE84F2C5C7117C08775F9E28F453E43D23EBD2028586FEAE00C813789E55A0E60F11C526722C939D2D67C393778B694';
wwv_flow_imp.g_varchar2_table(61) := '50F0E0CF6A4F4F76A8EC087C2DF02540E6475BFB68951EDB509E87C7E1A2BFA0485EBECAEDCA28882B2B72FCB4FED5C6BA9365E75DBFBE1438928D54DCBB6B505C2B842E2B593FAA682B9B006380DC9CB9BBF756AF3FDE50772AE64C98C9DA9B6CE7846C';
wwv_flow_imp.g_varchar2_table(62) := '56E0C49D2579C83E5348615B51DBF223C520F876F387AA80BC4EBF0B2B71D785CBCA169BE84D5B72CBB50D984F419A38A4EB9A481661F768F237C884CCDF94086350A291452BBA62F12C2B019ABDD95227ACE33FECB352EB7DEFE3B3F8E6A0D9B0C3F408';
wwv_flow_imp.g_varchar2_table(63) := 'A49BE9B056EA28EE8B627BEE9EF1D73E007EAF3DFBC5541303FE51E06A580E1156A1FF16FF91B8E35BE7392352325E28309B95D9E17CF9BF96AF000A8DBF8C7ACF88C2DF5A46245CB22F51AE985C4493FFBAC6198DDA4CD89ECE0A4BE36766EEF50144D6';
wwv_flow_imp.g_varchar2_table(64) := '812D28DE376A3F23A46E887E60F7852B3F9ED0F85002B0CBBE45562CFDC91308FB4DE114BA9466BDFDEEA0725080F5CF2DB937EAC610459B208DB1E8B9C079AF27C770641B13FF16A46EFA5BCB9022BC035F2BA444C7C0F042548ECBB017EC8127B7B879';
wwv_flow_imp.g_varchar2_table(65) := '899D79F3D6A180CDFD015EBE8AE03EA033A5F3B6BC3AD2FF1D33E827B61E6EC1F224116FB8B87662723261B0099F35AD9B88DD38C5D32D0888263AC9656621DFBDE4BB2E7DCA01DEC4A3DB54BEB2D25952B318F196E1A61EE7BDE5E4BB45785D2C8296F7';
wwv_flow_imp.g_varchar2_table(66) := '51994DCAE05E5F86F5E6FC34D437AEE4E890CC04BC413A3761FAAF7BDDB5852CCC319AD2398A46C84E90431415BD5535FACCA1D22E02A0BA3B12B175369C440C23D3A5313808DBC91BD090E2894E44C13449485DE18EADF6B82700FEF802089B26321135';
wwv_flow_imp.g_varchar2_table(67) := 'C93119970270D7A1BDB796040B7825995B94E04B7885536C1875CD795951481F9990A44EB36F4188951E472B080D2E85D437B200796F474ACF8E658F0DCE50C590659F8B2A071F420077983C7922DD75C21C002C45620746B86E7479325A0225BEB03C3C';
wwv_flow_imp.g_varchar2_table(68) := 'C1936B926FEF2907FC59786BAF17239944EA2BB3C7AF8DB3738159036059AD34F925B3326E8D0AAD8D109CEDC82004376111C3604B9376AAE2036BCC2E2B09B84FC0884A4D3932F157C85235E3383BEAEE82F3F5598186667B300B43D5F6CAFE5785C7B1';
wwv_flow_imp.g_varchar2_table(69) := '55F5DC3CB681EDB297166553F515D5779064119D4FA755F0FEF6720D1C2E12383024499C8C691B545DA8942E4BF294067E9413241EB1C837B7B62C822724A8B2CFB7D6A0735A84F02946E578E6075CAB84AE669C1B63BC709FB5120AE1B63247858A30F2';
wwv_flow_imp.g_varchar2_table(70) := '5484E570BB6DED440C43DA60C43C148BD1ABB0EF6B2D05B521347D76691AEC4D694B368E27F79FAEA5CBD8F7640D5DB0153E90A949BBA66843A65DA1624368F86EFC7302832522C7DD908EC41EE63E64BCAF9F8C0011BAF6F3D83E8DF9C5644A8BFE8C2F';
wwv_flow_imp.g_varchar2_table(71) := '72111E3784EBD3A6233D2F969FF4773136CFE42F7B2E65EC5AD203B911BE42BD19A8FC8BC56E682530EF22839CE3EBA5A2049E7C667C078158308F67D29B2FE677D4B1112A7E010B5D490D6E2AB4CD978D2FAF74D9CB4BFB29489833C990DEFD0DA2242B';
wwv_flow_imp.g_varchar2_table(72) := 'F98E788EB0BB3D76F07A26AA4D02603FFF8D863838FFB167596762856F5349B2CF32AB0FA50B4D33B37A8F6FBB560E4F9A6DF80C8456FB0BA864AE58C193B7FC2A468128E2548802C211AFE3689E551EE1386AFF6F3B2AC35AAF356A504F502ABAA3B7BF';
wwv_flow_imp.g_varchar2_table(73) := 'AC8539343E9C16E1718052A04C6CCBB1A275868B55B3A7B1DE8E43CBA5AD578936E45EDD493747FA86AF4730C064B4E0A502D898E811580A13A8783417598B7ACA34FDC17898EC9F89D422358F98BAC3533878F5067167CD93C97757A6A24638325B701D';
wwv_flow_imp.g_varchar2_table(74) := '9E964C16E81653745DBE04AE0B5A78208E7B7D08CEBD0A1FD57529908B8B0B675461227FBEAF9AD155BE0E1FA90B2A4D0257246581630BCA98E65B80D17D5D956417F8612A49BBE123D3BCFA30280474CCBE3710DEAB805C6E8B7BE7B1DD09D1C7A7C09C';
wwv_flow_imp.g_varchar2_table(75) := 'F14ADA895EE38B287887054C687E45B9064E6122115874317044B6DE0B191DD2A99A4FF0EAD6AC2FAB05D48256D57DFB514B067C5D72F1F51677BF9B2276873F72CD8F925E775E1473D217AAFD7175A08C611CAD5E9A801FCBD535F5F3D7201907C86F8E';
wwv_flow_imp.g_varchar2_table(76) := '8F585C6C21353CC860260DC7FF8631A50127EE435B4AD775E4A56997550FAA6383A62D6C7FCA5413A19241AA15F34CA650B35FA3BDC58F8E74F01298B58AEE52420AD6495C80AF75831D50F29C2C03CD21006836A2976BF73736CEDFC88DA44E1500DE99';
wwv_flow_imp.g_varchar2_table(77) := '6C933E06B92E6288824D99FDB01643B3230B1406DDB0509422099A1B4150F5894EA093F95F8839696405F6DECCE250569F88C2AC80AB0A2D6E52D51FCB4EB511626ACB3C7399C360593654032086F87FD51B54EB287E63FBBF779871EC7792696FF58251';
wwv_flow_imp.g_varchar2_table(78) := 'CE02A72470E09F16DF30B4B472503E9231436245AA4F0DEE0E53C412DDE3B7F25A9395F6560BC44E51ABDF60271C5C074A7FA9B093B96919699FF5D212E7F472B69566818E6CA00453D25B982E0239B911A177715883ABF7A99C4B617FBF7875C65B96BC';
wwv_flow_imp.g_varchar2_table(79) := '0D03053167ECB251C835B21F10EACCFFDE87FDEEE49508C3A1A587D6973E614E2C045CA30A4F1C2CE9833F5ABDDF1F0C4C0A1CE107F1936DA1F3700F1968286FD6B67106301B97C19ACE39F2E0B92F683EAFBFDFBB2AA673C7C52730F44C6EF124D56F7A';
wwv_flow_imp.g_varchar2_table(80) := 'DCAFF0545768C8F6C158683F275FC9E24885A436A39D546EC1C5519A7AF6838D608384529EBDF27770C7F8A6007DFE2794445DEA381544B31640E6AA3C13857DACB5D08879E5400EADF76267B1F3FD0442A8DA48D85BC09476D1D8F9ACC9650AFB5B997D';
wwv_flow_imp.g_varchar2_table(81) := 'E57F011EA483D295D4F1C043A30812D88234B1D9ED9BE73FE3F6004398813CFAE97B88492B36C7042F7FE4B1318D6F618832F4F43DC7DEFCCF77A42B7DB9E9C5E578E2EB144E289602605297965FE6535354A6065CC9FDCDC6C0E4B441A0752EE86714E5';
wwv_flow_imp.g_varchar2_table(82) := 'CC76E52FE796B58A9D7927BF3631963DCE77E249FF38F96878529BD7C375EB7127336B34BF7C43C5E9814613529E5D1676F634BD526A04EBE9DCD74D78A88852BD1115A832D1687E0C4D6376D3E62A0CEA5EA46584BA8316897B1C60E213CA346CA23DAD';
wwv_flow_imp.g_varchar2_table(83) := '7BC275906831387D534C2CD59A962CE22061D390152C33024561AFF49EE9649F98EB1369E54307D27452868C23E95392AD9B9AC0F2AB4C6B4E5FEEE82C70208FB24936F9F43F1CA7F7666860BDCB1DCACA76EA60AB585AD415B0B51D90E09153A8362CCF';
wwv_flow_imp.g_varchar2_table(84) := '435637695E6C3D6D419556EB444BCEBE09FBF8B6C7A722D6D3CD5D1F2D81ACFCEF0E79033130EAC84F2C3E588C287956D200D5D473DC353285EF7203394C44380FDCDA3EE8F127149F3DD28A65EBF4B183AD9178FB70BEB8FC425021172209B26435D563';
wwv_flow_imp.g_varchar2_table(85) := 'A1463040A7C858BD8089F23739248873470F18EA93CA2EFEE6E3ACBBB2A7A4AB8C4F152EFC4D506DA9EED48A11110B04095699F0C967DE26C473F65BD60CA21C352569DB1843BCF62ADCC39C7B377170F37A934798A056B4DD4E3E14361FBA137D0FE16D';
wwv_flow_imp.g_varchar2_table(86) := '72B1BFFED7479D4B2B2030570066985ABE68F5B81FA40B957277F34AFE67F1EE0B4DE04037870A213F859A5CE98D3F702BCE107E6C7969E95A2133CA3A91D844A8E91197F6081FBF781A51E81CB543C257D83F46497FF8BADFCA43418DB6B1E33DBA9DD6';
wwv_flow_imp.g_varchar2_table(87) := '8A7C9ECD014B59B8027A6985C9F5792FD0EED3E83C796A11FA35ECBB9AE09CA6895E11A4403CEF04941859EE5CF732DDDBA1E5CF1D590C2B4524260B0A30DB1A2FE641E61D125A353C766C3E5C3FEA28397B5395A2FB831E1973FFA8B00C34BE3235C894';
wwv_flow_imp.g_varchar2_table(88) := 'C4E7360BD7B4FFFA3CF578231167048853F07EF15CC8A88ABCCAC2D5C77B27DF3DB56D72F483D227DFEF92193656302987D770B5F17BC4EE2633F10D0E67751E6F1E7AEAA9018561C9A041BF2C4386B589551269EDEB555D13A0F93C3DF7F61D94A5AA11';
wwv_flow_imp.g_varchar2_table(89) := '5722FECB59F8446857C0A452BE4276BEE8E9A46835FCFD1924246B32A1C641DA79014E3FF16B0FDBED962F57DE45AE199E993F603CCEFA44947BEE9E21E3943CCC0B59D2D31B53E4DE9063BED653C4C1CE6B5CD077C47F69EB2DE8F2E7118AB12E74C8EC';
wwv_flow_imp.g_varchar2_table(90) := 'EC3ACB7D4A8FE4BD0AA79AD8B343834E8DC48A5AC23D395CFAAF3A6A92586021DE829D476987667273963B054CE96AAEA4D3FC57367839E995CEC5C0F59FA58C50D78E2A46E9F59523367A363A8DAC029EBD14F4281EBC374930B0FBE79F0033E34A3438';
wwv_flow_imp.g_varchar2_table(91) := '75D460C7B49625611E684477F88F3CE6A670B05282D825A781EE0F2EA54C7AD5E871F0C1763EAC50DE6B027E74BF34C74723805C15E1B9CB5570A99C1C6CCCDBFAAFF4083369871E2601FAEA68364A156B90F433A455ADBD3F9E48F1A87D2B239AB9ABB6';
wwv_flow_imp.g_varchar2_table(92) := 'C6BB4D97780C890DF6FC3755CD4D286910E7987B23C7717631E39346E83464F26C4208DE015F7CE33EEA69B206B34BD0CEB5F4B949DEA52FCFC17A529DF27987F7BAF970C8DA844E74805835A8D8A5C11E48EFD37E98354B283E501E6D0C5ADAE31C1A60';
wwv_flow_imp.g_varchar2_table(93) := '74BC998408022B62324EED96E73054FB817EC3E494266B40D3613BFE0DD465BF9B9ABEA12285F87CDA488E97A162DF2854548E65D3741CE4C15256E7393D9ACCF8FDBADD80D853DCBDA379EB4E3CC7B775B8478045A7E454166C93A0B7BD9DD99736DE93';
wwv_flow_imp.g_varchar2_table(94) := 'A682FC2F4DB8343FA7AC265971D3FDC30E50EAF0BA16F2C19B82FBBCC720D344CAAF3547E1D9630A8507507F77C828F186FDF8FE7BA7FEC8EFFB5C33ECF063CB472078B2A78CA26688D783CBCA7A140DEA2E557E0C706DC7E18C4BC0D42D7CC191F9CBAC';
wwv_flow_imp.g_varchar2_table(95) := '8BFFA2B373FE3D0CC2FB59121D128A9FBE01541C7E2ABB388B5DC8BC7A84E8A91123A2D908E2F281F56BB08E8BA008AC806501D0C97E5924C2F89A9B815AED1E85534AA17B21267D8E5C43CC1BC15CE4DB64ABF6564304B6B3501B6EC78747E5ACBFACE6';
wwv_flow_imp.g_varchar2_table(96) := '01B70597A60D9C1EBD8EF3A1169B779F0133D7B90C3E752F7EBB2904100F5B98DDC06A153A07840A10B6D9263D98AD39FCAFC6511664494D9E43C9D0F16DA8F4363B631DE567FE6184E9D3C28933FB22C79F3EB01F4A23A5CFBAC8ABC45DCE4D75D6C080';
wwv_flow_imp.g_varchar2_table(97) := '8AFF96B13BCAAFF967E4A86129EA1C83A81E7340D99F8020243ACE33F3E1645CFEE169E8AE0F2FF00F2ED5F04DD0301BA96E396AD8ECE5471291EAE6FE1E915910486F113A8F301F02D93267440C1EFBC6E5F72DA8BD25E5EE17CB36F095AB560347C859';
wwv_flow_imp.g_varchar2_table(98) := 'AD51D8E64220E431335F7D2C55D8629415D04C3E554EE6375CCD04968F089E0B5D5C8670A611683688612766CD3E6F20654386ECB74380E44EB6FF925D538515F091201459CF401EBBCE572F00497E8768C1DA2CBA0D1BBD6CCB88BC4902BB793462C7EE';
wwv_flow_imp.g_varchar2_table(99) := '7B1888F056734CBE92D4CCBAF67FC5F78221C2D0EB55B610B2E52BA0862AAFFF0E9CE618B0422128EB7956F4FE4C8FA3C436ACF4D4B9DDD2144BD0767E1083555FD73C9BC22AA3E6F8022AA7876EDCDDBCE77C2C01862216B6B3B5E5BBAB76B17C6AF1AA';
wwv_flow_imp.g_varchar2_table(100) := 'AF8B54A39ED39090A1DFD861A763957F9FE55182EBCDF5B43EBA762B3F6A7392F5977E9A96C3058D72180899535758873EAA6BAC6F5459E157CA85C3F644EA3902187F44B5F06E09DB238F649E03AD3BA08B7C0294FB48F4F1DD5FCB38CC0AA024083E89';
wwv_flow_imp.g_varchar2_table(101) := 'A18F89DE50A82094E1540689838AFE9DDD51DAFDB94B9624C987E1BEDFB43D74C5BF37D3B60051190BC49575D85CB6B6639E1A033E375992450DB6581F7A2C8E0ADF15A1F081184C2E20BF0B61A4D8E8CA2BBCF3A454E49A3499543A97E7C89E608B6D7B';
wwv_flow_imp.g_varchar2_table(102) := 'E55BAD135E169B7BE2606B8285CFBC02F8BFA5C8B3688D3AFBC917FEC957FA698B90115A7310B0A9D3132E3B456675BE8661B7E45E67FDAF6CFEB1ECD0F664FB794440B7F418189AB85B79CCA030FD6998BD894F8650E9740F38B2FCDD79B584913F8D5A';
wwv_flow_imp.g_varchar2_table(103) := '2053A39A84BEC58AA419BF8C09844BB5E3E97DDFFEF7020B2102409342A20AB878A0CAC37DE22FF888A8901E20CAB61F155F880B3646AD0243F62A5E7823336B3D93CB75B3628F74E9188C51527FAB37BD0096349AAF0F95A83ECA5DBF8BD5057242D7B4';
wwv_flow_imp.g_varchar2_table(104) := '237073377A5D9181ED2A90177CCCD7683DBB33688EB000E6A690273C2E02C4966752E517CB666A4EF6F8FC1DD478A9B46C6B6841885EC5AA1417476CB2E0C4E0047BC0378284B564680448611B0BF40DD67458E7E9D0F1AC8DD1AF7AD0ED322E4770ECA8';
wwv_flow_imp.g_varchar2_table(105) := '9E3B3F0A1E6D51A433494BE17C7D30E211525A69E1C2FA76AB12CA1A838B681CD078C9F1214EB73EAEEFF5F28D21133848CEEE05FA2014AFEDD002019BEED18739C2FE2EBC06FF8C41EB2F19FE4C2EE18F1EC79833368A76C13A35A2D9DC6720B683F6F0';
wwv_flow_imp.g_varchar2_table(106) := 'D7E90B74C10EC02B7748E55353D9BF4550E5AB66CE899F3C0101BB284A933013A6F9BD0BC84E393243AE44055D2E69B6B2B7E95888D02686F45C7F4A7439E2ACA19A83CCB89FA4EC46BBFAB415EF50EC5EDA66C46B4E0F2E279B6E1B90994EDB2F7FF59A';
wwv_flow_imp.g_varchar2_table(107) := '38EECF8E2864839107015EE18EF403D49A30AD659CAE8ED01B4520FB65F95303D16A9DE3C5296BB2F665661EEEC06269F33D25EBCE828E9298F5063E81C1BB3426F4A5212D22F1D2109FDDE9950F8AD87E8B08B191383C9C74468F3646E249A683DF18C7';
wwv_flow_imp.g_varchar2_table(108) := '728EA8E10A4418A8FF509CFC3FD08EB8E041D49E6B852A9C7CDBCF3F592AAB2DD00670377C7C2BA0BD30AF64335EA43D35078302C061987DF743D65465A07D08181FEA400CE0A466177D8AF9056A800E228C053AEC8D0F7A3F822E8F6044EAE06D85C45F';
wwv_flow_imp.g_varchar2_table(109) := '2782E7965609ED3E947AC524EFAE7BEA82B23AF1A56B5006680DD9A2738BA4C9E4A3D55F4F59C0A9BBED66885DB13692AA3AC1FC2FB9EE0A957427D20CB3461EE3E13B8746DCC1EB52C3AC97AAEB0D8E6075BB83AF024BBD32A49BDC43FD8FE6DE0BA1C9';
wwv_flow_imp.g_varchar2_table(110) := 'C9390BC72A08308B85FF7D193CCAB3CC16AAC135C8A1E18424B43B66EF86AFDC01FD9B5C71EE2B65BC1731C9A4CC3DA1178CB67762C4A6946605D46BE82EC27D46A499331C44A23EF586E73340C8E34060E0B3C6E94852F9E1467D3D60EE9CA481C3256F';
wwv_flow_imp.g_varchar2_table(111) := '0CB21AB68382FCEDE560FB2278C166C1D64D7BFA592AF93F75D41906493BE38DF37C3B649C432AD84702CDA4EF7798714FA2A08ECCDE307E3ECCD0C9AD7E1208E75F0B8176A65B14DC3FAB53FE6C429AF8DD8A9D4A261C6A099B83905677DD68DC59877B';
wwv_flow_imp.g_varchar2_table(112) := 'EE0F0C38CBB0B9C7A6DF10E8B48C81EF4321C624E625F5EA1A2A769D99ACF668510FFC2D3BA54CE852216FC4BCA2244EDEC29F7E03D8DDC55CA78975E528C6148806C6DF721DBFB386013A8CA750F083AA8AB2FD59B655D051D3EEADD72BA0E5112A62B7';
wwv_flow_imp.g_varchar2_table(113) := '35819E997AF973E32D59BE8C8EA2B45CBE2BD704A859D289A23C445206B54E8D99E87505CB4C95956853BEBF3550FDEB70A73B237A1450F5FC91B4297114735A3F4B0EF4BA2742FD4D22C89FF3FB1B991E446A44C6F1897D1CEBDA0C67910C6098EC4A55';
wwv_flow_imp.g_varchar2_table(114) := 'C62E872F866810C068C950FE3C1D7717E8817758E9802579B0952D41117AE98C6D0FE54407C9A6AA63FA50A0A0691DD815D5771307D5677CB55500977E15F7A6188CF61812FDB2DBBF76BD16581CCF5D411146005BC15DBD5C3CB3BF08C77FDC49993695';
wwv_flow_imp.g_varchar2_table(115) := '1803AFFEF679ADE8EAFB2722729F9BA0106CF4D6DC24F42EFFADC3DABA62DC6A00E9FE823F9FE860E9B9B777D4CE6EFA82EF88E93477403BD8EFBA8F74E74D66861C43662FCE43D4607A6CAB0AFB2EE88BBABD4316266FB4C4604D9EC687B27486971C69';
wwv_flow_imp.g_varchar2_table(116) := '98032CDC297FE3AE19C0C23B6C798C3E5CEA97468E9BD823982286A43894B49F10823A6D746366263CC159D073DFA08E51636F8741F35C084F15BF710FDF4CCC55B27CF9C41325489B76070725FD6029C43E989346F4771DBCA86FC71B1B580318C87374';
wwv_flow_imp.g_varchar2_table(117) := '08F6C9A0188361CEA42150E11F9EC1A3E8705209554099BA8182D436BF45B442EC4FCD8C7FED6CBE78AA0C5A7044ACD100C0A02296377FFDC4FB65A6B7A821B8EC800F6D2D651EB32F72E8867E40FF5A185C21FA78C5FC2B54007C8C128F46D75ECFA35D';
wwv_flow_imp.g_varchar2_table(118) := '6708E44156E7016832E30F183F4D1EF1C0B95956FEE689587A7F6F6E57955E5F28A14AC6A348DF677C0EAE8DD0CC3DEBB5035DB5BAC57D250AE060E0BEDC1AA4849355E068FA4B7193C35A20BC810D5D2D8A79CE9D6184A16AC97A4DD211D4CEDBA03C26';
wwv_flow_imp.g_varchar2_table(119) := '1E9E86011ACF5528BEE80DB58B6387F801D646E8696E768780CDBB1ABED1996E79ADB32973515017EEA8ED1BDE130952B6AD90AEFFE8FC5D3C5A2430A2A63629C6049C523E2086B9FF5A66DC58D12ACD4D4EFD201C99F308581ED514C10C8342CC103A8D';
wwv_flow_imp.g_varchar2_table(120) := '064691845D95030962496BBD0F135B88FF34179B0C010B5D231EE558627B2E0D5CB862A34B8969B8BA9439F0B37877DAC073400D7FDF2DB63CDC7A13D567D719E2DB481C70B12AEA3FC41C4BC1AED98C8F228FD2362BFB5CFD62D6C199FA2394706EE90A';
wwv_flow_imp.g_varchar2_table(121) := 'E146A6D11A437BEF5B0C0D516569159F573587B3E298D7128B5D521D3AE990E21AF0629164FE5B28C621D70432C720BD28F01702060C5C77A25A85D35957C67DEF130CA6791D5DA8E80920F0C5A64DE4039629A041CBE1A907FBCE9AA5A2F2C20C4A0059';
wwv_flow_imp.g_varchar2_table(122) := 'BF0B37A465899D411B7E90AE384783747FA5D27D21B8F68B25991DB7D54EE4476F99B2CD195DB14A7B7D5A0303A218AED5F5206966FB826551FC8C3BD4F791F9FED598BD375DE719E9D0CCBED1D8913FEC688F476B19DF373ADDBC908A8B76C9AE1104FC';
wwv_flow_imp.g_varchar2_table(123) := 'D79C9F93F659BD5D7F0576C725D5DE6CA6BFE1A8C96D39BCFFC1DF9F5D6749568F859D7B4FA301D20F0D0F3FD3072C553B469302837038CB605A3C7D26EACFFB9166D638AB3CA8ACDA3D3014D1E71CA3B2488966EF0D74B95EF8F84903ED2923E462DE98';
wwv_flow_imp.g_varchar2_table(124) := '421B553296177F89021FFF11DF6012BE1AC2F57B4535B2F1F183F54E41EE08120D2FEBB167B937C3C78203B61EB135EEEF0C061DE4A1B277024DB11EA94F0E5A4486053AD95728FBB964A31DA3841C932FD7B2B1AADCC9BC1410736A193C8BC25E9F09A1';
wwv_flow_imp.g_varchar2_table(125) := 'EA6D123E5FEEA9CE4DDED61DFAA5980BEF580D242204FA35E04B1C4958ED8762F78CB404E0BD7846FC9B09D0AD867F37D010A722048CB6CA176A8AC110D64682ED23A75E67279F4D2A239C3E6554D0C9135A81938F48EF6637BE1FBB199C10AD22A8AEF9';
wwv_flow_imp.g_varchar2_table(126) := '75117621B6A62441286ACED253DF9D453446C6F152A06C578A006E79106A5B26A10DA5B59E8D912A58DA7874D44C610F3D8BE081569EA7C171849BCBA426845C76B9F38E57FD2150C1D45A393519138A08BF1DE1A1959E8D59B2A7B7980A131C6EE2DF63';
wwv_flow_imp.g_varchar2_table(127) := 'ABAD37FF373941BEE7C1CAD98131F5C7DB1638B9D975034905EDF4EA0825E8F28ED4B7773AC8DC05E0DEA492C9EE0139E4F2CD8A97EE4168E6C7DA73B3FC58CF33278EDD5AA8E84FD2BB221A77245C9EE05E573D1D45F092125ABFD62D8DFFF2266BDDCF';
wwv_flow_imp.g_varchar2_table(128) := 'BF1519AE1F1882411C3D42DF3E47161D07BE5C0D22976EB43FFECEB2402C6F1D9191B1FA892018E57C2E8BC491AE6D305C2BC4484A427D646478552A7E914FE4B2A2EFB6B391A55043A680142AECDE2B5BFC6D7B0F9015D2E0A5212C44D8769C2F0C996F';
wwv_flow_imp.g_varchar2_table(129) := '54417A4081234B7FA14E73E12D51DFDF49B5F054DFAC39BDA343A1A14C89F7F4F9F10D56D765DDA8DF797FC88191201AAC908716F7D6433D46800FAB401509D6F50865625B07E6CC0AC4661C8687D15C3BAB4D1EB93656D214EA8ACFA8E166E518391CCA';
wwv_flow_imp.g_varchar2_table(130) := '89CACAAA24F750CB3EDD71B37AA84C2E9A511CC5FD262E686B79E156A54C61C944C6E5E8A2ACD975370FB14ABA858DCC14A254E9706F333BFB3FCE70A37F11D9A72FEB298B05262FCD64A344F2B3D01F0EBB6AB347698A36EAB1F231FFFC7F1C69353523';
wwv_flow_imp.g_varchar2_table(131) := 'A5B276C13C29A3884678556986501998CDE71A53A83732AD47FE42BA022980F2A709CDBD92A6413BE409DEB580103873CF6B3DB58B65A3D8A88AD4DC37B44FB0463E78FB5E79E87F0688DDA5E36596841D22988F7BC51130658049156BFFE096A6B34A83';
wwv_flow_imp.g_varchar2_table(132) := 'D1E502542678E141FDFEC82A8CEDB561C5D26CBA4E85BAAD9E253FD1B7FFC69D7F88C2CA35514117ED77355B1BBF5160ECB9A697697D07C6117DC710394E230925905C31C92AC76C51CB93CCD78998EEEB9BAD037622FA44FD3EE7BD3C89E7D7987A301E';
wwv_flow_imp.g_varchar2_table(133) := 'ADA05DC63045D04F8E90FB3B8A6E9FDACE9C6F3975395EB794558FE2E1517CE1CE6AB3407A35FEC9BCA11E949B4C29C83AD8CA35A63542ECB552B5DCFCEE864280EFE489AC0DF9C549DF0FCC5300A01364E486C86E27209D110B4B3109CAD6B45077A5EB';
wwv_flow_imp.g_varchar2_table(134) := '9FF43E80A4E94A89888A6D0140D1E5D103D9B5A17AD8D2C60470DC4652C7A35E87C44EDBE93411DC77575F9921D443EF2D3C9885DD14A0DA1B2BD5FFB9C295D7D6416E49001579E5F003F31BB7A007736A96CF12D0EE19FF16320C595EA8FEB5DD8EC1A9';
wwv_flow_imp.g_varchar2_table(135) := '137D04D0FB6DA19BD390B7D4F1DA3BC449A818CA009D985A15C1CE8FC7B5178BB058EF0C9EBC0A4CFA614875CEB42494A1E0F8E5C36BFD154291E814CB2675BE7DD19651E62263015D01CB7E751D1EEA103A56DFF545E953BAEBB388E076391F6557AC1B';
wwv_flow_imp.g_varchar2_table(136) := 'FC1D6B2554EDD301B4EFA029675A36AD3B8A8FA69EFBAD788C3EBB4598E566B05E47B1191C3CBE1A732B6AE8418829B5E011BB38BF6970D64E3910EBB77A5CFEC7A05ACEB7328C81047939F4E46769067F420744A44BE529238848B0098C1AC282E0471D';
wwv_flow_imp.g_varchar2_table(137) := 'C3AFA7C58E6DC2AAAE49C4A21B3E3DEDBC8E26744E5AB9E3EB2AAFD9059763E3A40F85BFF0AC0CA78DB636B5D8E0DEE3F2EC235B0D0E3F2C7073FE267E48413162AAEB3F4A1515A323ECE1FB6A136097383E7E1B16A84E4B517B421B7459CE0F2FB03D71';
wwv_flow_imp.g_varchar2_table(138) := '15FF9DE1EC560233129F75B653B5F93DBC9790C4F2FEC186B8276954CA608065AA2ACA535203D3F690B06959B722566BE9CB6AB1890DB435D9B4C5B3C960D8DB75D21B9F9673CA3ECA76523904FF7B34B234E29392A970F069DD8FF2D7B42A84BCED7F59';
wwv_flow_imp.g_varchar2_table(139) := 'D46DC49A92FC2E72289877DA34AF583BEA08330FAB902FA351C2BFEE167F8F9A1D8360A388C45B1E577E2270C20644B708E1E0A6D345D4696385E6DC572B1A86F32C5E856D59259F1969D3E06D67FF29B786F2372522EDAB13F56C1A116CD9D44C0890BE';
wwv_flow_imp.g_varchar2_table(140) := '12361E91479D8BE34C690FDE65FBB82A46B2C467E47B5BD9D4837BCFB48EC79500778144A4875771B92B71FBFBC1BCE64AE22F8326A21B0B5FDFE3624502A588E91AB389F0D3C604213D34CBBBFF3C5C3BA5BDF6E58670F68EE452C96E1D351A826F669F';
wwv_flow_imp.g_varchar2_table(141) := '64B24E9CB828CA808E91354D4A81BB2E14BEA2ED26B58E281E0DC934EF7EEC4836FB98D4582F55A0E3B4124581CE849D899F81ED90E618C0EC058B058E308DEF5532BE9CE6F20DB2EFB907F348F5C79C71C8B268EBD42AE3222168C486D804BA0FDD2188';
wwv_flow_imp.g_varchar2_table(142) := '2EFA164D7F304C53BF0836F165CEF710034B303A2821C31C5E11E926492C2DE4C90EDE18F6E05FF6E60A176B8BDC3F2450B639EF608181D2862206DA20542FD0987341A63611E3C45B34E9CF51C3A844E4C98CC1188D488729CA04EF328B73234552FBA8';
wwv_flow_imp.g_varchar2_table(143) := '5C4B72D83B2E19D218B3952F6187E6DBB5977CB34226FB86A71963BFD96E09D35105A3661169114B75D85442CBA7876A32D8605FFC39B162D35025E02A6973A0C4410DA93B361DB8AE9B9DDAE1AC8F2A5D91E85DA67AEFDC1A7CFF3CC1B30014DCBE28D3';
wwv_flow_imp.g_varchar2_table(144) := 'E5F0F5B909A3951A9AB4CEAD29969D1ECE4519D659B3D9DA4D871F286E69AA7041F7788241AC664C18F7958B4FC1A91054011DDE8D45661FFBD8B706E35265F03816DE81E33C694FF41DC98658784CC99EB7073DAA51AB575DC9442C7BF12E833CAA58B0';
wwv_flow_imp.g_varchar2_table(145) := 'DB62A6D9DBCBBB27A25332FA9A0915033B30A014F57B13EA279DE32236F94D13412DACDAE6C9C2B87140A53F39F1EB00B8334F7F510AA3D75E2F30CEF95737CF04E1A6F7F9DB394C6CAB9F0847B42094B2C058DE5EFA12807838DE31447A3CD2FDC83C9B';
wwv_flow_imp.g_varchar2_table(146) := '22A3060A5ECE420BC23ADD3FBB26DE247798BC8C8A16F084BECDAE1CDAE98484E38D5905C72018E11E50205B05121DDFF4848823547ACE6129E8F53FCC19098CDB01A3156576D7359C9FF7EF4CA27A4C99429E62ED6B74DF44969E939899C6CDB2689F3B';
wwv_flow_imp.g_varchar2_table(147) := '29C45AB49E2088B1EA42A1008C9FBD5CD9DD88573A71AA0714E059922D70A4F9B9D4E422B5F3A2783E7A3D0E9322D4060C461A0B57EB2270F626D0DFEFEA9122021A2AC243182E6FA4632243B54D307227B3BAE0ED3F40FF59DE7B1B1F0ED091ADD49981';
wwv_flow_imp.g_varchar2_table(148) := 'B1B187EA73E7DD13630293CD187E10C9592728A03984DC3FFD1E0E21B9332005F35E8441A5043F36963D4BC3B266EE20F1239621F1F74C9491A138C73C56007FE9F590954EE833B3D3A0EAEDA039B71B03C7266C2476A63E822AA7B108729ED664605B74';
wwv_flow_imp.g_varchar2_table(149) := '907D807F560481925F70CE0E7C0969CD12DD50E6332C26BFACBBD002D472B4A0C560314D05AB339F14739CD9205B1BA7F542E38F135397F25D5ABCCEB19F71442A14BC1743659D042FAA3E158E37981482E796E5A88BA1CA3F1DB7D006274759C57D3C5B';
wwv_flow_imp.g_varchar2_table(150) := 'AB27706A7FC038A2FA901596E728ACA9D2E653BE284FAA68F56327DEB9BC04807074EA27C825E4B79856CAE809085F3D9754A40D58E89023A91D2C567DD26FEDEF6A90AE4702B92BA1D0997B8C23CA274F3CD7A478C4528E9FD7A9536CCBA7C0E2E5670B';
wwv_flow_imp.g_varchar2_table(151) := '6510BC0C05719216BCC38C26E64DDFCF48DFAB6F5926D041494E5B089B5487BD6D073B07612A19DCF2D3A734D40A01E499E5AB20DDCD81CC61BA23C0851B9F1AE3BC228187D8D0730D742A7954F94268F1918384BB6C8783E9A6D88411289FF6634F07E9';
wwv_flow_imp.g_varchar2_table(152) := '08A14959BD15AABB63746F48255B03233EB7EBF8B0F9A215F1474E6429770C8B5FA87001D1AD91F1B35C0717A3007747E2CA60D29C11ACEB6AE43BC1173C3E4C8C12908C91EDE7D6331BD077E237880CDA1530D6A28D2F777345B0661116C4B489F27A2D';
wwv_flow_imp.g_varchar2_table(153) := 'AEDB1A1D80CE2DC7349C7092042206FE0911C1191B30ADA5507E6D3C87F95A0E9809D06CC6E8946861CBBB5114DA048709D24D99D6409C77409C872A85CC3800000005E14F654EE6A0EB022724C671D6AF6B57E57B56FD3B9417EB7D1CA654A0C8D58DE1';
wwv_flow_imp.g_varchar2_table(154) := '283DF02C92D86BDE4A14D4C9CDA62DE16AE50E7A9B2983717A352F76AC96EB81E51C1468AD1EE77FB45FC24E7ED4AA625EB79843846725E30D5B2B83CA685F10518FF7AA882DB40B8E43899EA56118D37F31123AABBA8B45EBA29CC035D847B0C631A94B';
wwv_flow_imp.g_varchar2_table(155) := '43C029F56AC620EC8D13CED8A1D3497538058ED3D4C69BF13035BD88FC4DA791D3990A0DD74FF7B47A7FDAC19819219C015B4BCB5870689D4981A9DE30A1B4B2F200285F72992A2D7F5681F4D66B716EFDDC97FB2AB1D8694704F653012455C31D042E7A';
wwv_flow_imp.g_varchar2_table(156) := '7EFA46C9B0B1DE75EE330DB12B64EDA0F93B667401907D779ED70100698B043E201A1E0C86B97C6F4EF9C960AA86936DF0A65C322B0909E7C1930DCE08F25E56C5CECE076FDD938B2B9ED277CB928418844B3A84AF3408366752AA1755F9B899CF20D46C';
wwv_flow_imp.g_varchar2_table(157) := 'B8EF4D229AF5F72D49BEA524117AE7F2CE2F08BA768D8B21AD7B8DEB92BFE4D548FE1C7A0E7CBB0765C6E575007D3A37C89688E547A444B99A6EC84B5A0BCA5FA280CADC918EC31D7559FE5DCE6CF634130C107A16E77FDF848C88EA208BE2247E33A51F';
wwv_flow_imp.g_varchar2_table(158) := 'E216C9D3E583D42C33AA222115771792D33EEF7678004E3D141B18928FCB24731B57F49EA42D0697DEB5610A6BEA7D2FA441B25BED87379CD7C285D40C105023D9C6FC501736DDDCFFB9FFE004D311615C925A88521843A7C510B0FFD6C5CE349E150754';
wwv_flow_imp.g_varchar2_table(159) := 'B06309D1AFF62794D339CC156D14B22CD3952919E4C07FE72888DD33A8393384FDD3F9E389FA9D3A6C64ED4C9A221A73077BA6458FE7A947D384215CB4019C9367FEBD5B6D82D24713AFF0292993D1B156310FC3773233CD5E4274AC8AFF81E68E5052E3';
wwv_flow_imp.g_varchar2_table(160) := 'F23709036A10B41D68A1C4B117175E5C597D04B023A901602D7E130306925B79AFD8D1CCFA9336FD31AA5A4FC56DB8E3BBFBAEA470AA194852A131F442161F3B3B2E4296C74DF117534FF4E6AF582B0B6BBEF052845B9C61FF3FE29B4BB5C4760BECAE56';
wwv_flow_imp.g_varchar2_table(161) := '5C4050B0C256C51BD49B9D4E528EE1BCB51CF8AA8820FC870E0D606837C6F89A5853E1DD385ACFED365820728F520E9EEEBCE117FF8A8A7FCECECECF2DF12240B901942A29B429B3B429CBDA25FBAE1CE457C211C2A3EA102590A7680CCF5665CAB8C846';
wwv_flow_imp.g_varchar2_table(162) := '5B5A8297667B8DB12E3361D59033DC69DF6B04E2B3A91BFB189863E40B51F935E4AB72C5AA2378D46E9AF7EAF83C4B42BADBA70A9BC58B3104EC15F702BA405F9DDF9BD2467C978D1F770C45CDB85231B0394EF11A5BFDB5FA402FC3D4002A53CF2C43FD';
wwv_flow_imp.g_varchar2_table(163) := 'D76D0FFBB318AB7D2D4F6B1509F1FC1EC9E21A9B31E3F185D7EC50795A118AB565CC355BA7FDBB8D4863A0B96CA1E7D46A4FD07326C8C75EF369AF88BC746603236F03DCED2D01814FDD3D72511A2769AC413331B099C50E208698D30730747B14A374A9';
wwv_flow_imp.g_varchar2_table(164) := 'DC20F17B6BE5E94B9B62A0E2BC239B7A905AA0D79B958FE3050A4B578157C5230228B177B058D0A72D6BA3B8FBF9679F49EA131C2278C04FE708EE10D70FD0D473E9666A64AF3770B430C3264FB43F74975C1EB3EA941613768CA7302B971C5413F6EEA8';
wwv_flow_imp.g_varchar2_table(165) := 'CE9770FC605E450D73CF4A887A2AD1BAC7E7FF6AE11349E812E1BDCD0EC631311613A8FFE6063A9344823C4AC7161A351006DA86524B734B11A457CC3B955EEBEEC79B69C7FB2FF6AA89A8D2F83944202B86709677782B0B2EAC03637932723A8AEA6308';
wwv_flow_imp.g_varchar2_table(166) := 'CF4D493C70A124348206ACD8946EA63824F51D98190F6AEF280F3D335D923A148148A4BA3E8B21D965092E1441932E34E477DE16E66DAA8D0ACA37FED6BB95E9A0DF39729D2C1F2CAA036631F40C1E5D45672D057B23B660A885BABBB7CFEF60A1AEC152';
wwv_flow_imp.g_varchar2_table(167) := '338CE8D05F10539E5F3E670B1A17481E553E42FE143DEA1F7945D02CC6EADA6A3BA00697366111B1819EFDB77B5499CA07584DC629D4680DCFC63D7EE13536EBBFEDB00DCCB278AE21030A568EEE1AD7ADF4C2101F3413C08CE2DD094F6A8D168528028A';
wwv_flow_imp.g_varchar2_table(168) := '59AA48A652B2B1815A418F8252F53E92D4F666087CA81788E57E7515FAAC81765649E907FBFA2CB755711A63AA7A24558BF6AF3A248B203FA4E85FE14DB67486015E7DAE42E190FE77EB4327A96C20C78E678E6BA3E209E4C235F020821410E2B877AE7D';
wwv_flow_imp.g_varchar2_table(169) := '9116C2753857DD9C315BBA1F4D615E5BBC5ACE37A5EC487F7CDCCC7C6FE285F13420E08A6E894158312D9E861D44C4203114C5ED947DCD805CB1B2DAA43069FF7A953E7BF9615EA343E62899803E43ADD9E1D0DDBE350A23E269A5EA889E44D7067F382A';
wwv_flow_imp.g_varchar2_table(170) := 'F6FC466DF3BFD1B8C9B3EBEC37728D1B27B70F59596B12B32B68B0EF89968042C0A54A85132D380A23C5CA0E1AEBE56B76681C7B3ED3E18965C0E9B6E48F95C09521510F4009D0430BED239B5E390A104C8D5B0BD160EA3696BF393D342E44F8D6BB601D';
wwv_flow_imp.g_varchar2_table(171) := 'B07C6139E1792A384638C4888C4E421894DF2DE19D4685A72E7627F0F6F13A1EFB71C0E82D8CD6E3184C142F9545E850F2729E339D384F86EF53C78AB4873CF692F6CBEAB0D1BDB045FFF693FDC9E3074B97AD6AA15DE117D113868AAA389A3A24BE99FF';
wwv_flow_imp.g_varchar2_table(172) := '9222DF221A232392A5E7B826B638CA3F604B5986031510A467D9F1CF2A753CDCFA224AEF61F42A9EB8F52583FE9880A72D416976944B5D3D51C2AFE1E781D1D96980ABC995A6CDA842A8F5A2E9EA7E93023479CDA4B13798B82B777731FDF1554DF6A2F0';
wwv_flow_imp.g_varchar2_table(173) := 'E3D42661EBD3527CDC6968A17B9F8B28C069D46A353A37E23B910114CD0C00E43A97B11E49CDC4395E8D1A9DC78063FB3477714934732B906A6EA05C80D71A8A1242436EEA6D01AAB8ED8D1066187AE7D8EA42FC868714328A6A7D1CAC8C70373EE125FF';
wwv_flow_imp.g_varchar2_table(174) := '0AEC427501D4B0AE7A5E8B7367AB431AA78D512D10A3ACB460EF6DCC42D4E261BEB82D709CE41C7EA8D7630038250DF38F6E073B07BFE013C764AA389F7091A8CF43048B890A5851ECFFF04B4E1E7FAD1F4EB5E5A4F81D4C522C47538BCE53A6B02E396B';
wwv_flow_imp.g_varchar2_table(175) := '4B4F35B1FFCED9617C11627DAF1B56807073CC3203EA6718346337C11C3D9FC921C670A56B786D993089FB310A10A6F162C570BF59549517A74D3664138AE4F89903DBD394AA48F064B8FB035A965A53D97CC7D5BB9FAE72AEA8D312CC3D84C8CAD254E7';
wwv_flow_imp.g_varchar2_table(176) := '7DFE093C02EA441570A6F1EE6B9290755193B6D5B43BBA7BB1E805C237BE143FD9A1F273A9C3107A774DBF0F6F62D9B4AB57346B1147FF16DA2093DA99DACC2B6256A89F36FE2C6209A0E81DFDBF7405C81796BA690FA7C07DE4BD9152E0AC05EA6C121A';
wwv_flow_imp.g_varchar2_table(177) := '8044FCFA300103A8A8E57C5F86E3774837272E4F916A5A5687AEB6A200FE27956DF62E3F933D55C77542358257FD662E77BDD9731FDEDF59EF7931BDCD1AD67B7621B67D79F2EC5A66384723F5EE6B7B9CE503E2072DE43C39E46D440B8334A2DE29457D';
wwv_flow_imp.g_varchar2_table(178) := '08AF3192E9CF1ED21F78244481873B13F4A428412BF739E67884A495F8B06E3C37167671302D26854344A98BC04F5F62C5891C0675D34A5BD82852EBF0DC0BDF9BC47BA4C7F4CE736D2C1C4945F18BE5F44275BF37CCB8686822742E5E97651BC9AC5DFF';
wwv_flow_imp.g_varchar2_table(179) := '586C467534205C842BB020F39C2508581EF4109D3AC0217D8EA17171C45ED9402C936487D07F0EE2DBEC16F973F12DA53C17F50815079D18C7435522165912B3CB2641606E1E1B4B43A40471E7EC5EEB0F7E3C2E4BC95A058E3DAA3A8F0E1B2645DC70B2';
wwv_flow_imp.g_varchar2_table(180) := '669984C4BBEF1E9E715F2724F348384594F52021408223E09D65EFD8DAF22B83CF38A047FD869B35DBAA4A0BBD27FE9548E4ACCC5D83E6C10AFCBBAE76A8172A3AD8740FAE984E8C9CA8CB99275DEF71A839F0E4B380FB28FAD50203A8C0FCA347911C8C';
wwv_flow_imp.g_varchar2_table(181) := 'BF456C51D0A15179883C84DFEF265AD94DFCB98F9A58B445E911DC4B84C706146D69D7E8990302025FC14CCEC817C814702AFD76EC5D3BC5290084394D92518729A86FF294757FEA27E5E2F851B162B14935B204D57CA964553BEDE192C78147DBA89BE5';
wwv_flow_imp.g_varchar2_table(182) := 'FA461D77DADD6F16FB03216DABC78863227DDE129F918E4C5B901FE88AD2BFEFA24811EA68E29A2D276916F49CE1E10A3D7A43BA8A96447750FA0DDE0367A08954D041A4419E4FD3462CEE74B5D5ADDBF8C347D6ED3587F67C9A042A04515BB32CC1D13B';
wwv_flow_imp.g_varchar2_table(183) := '2B244CB03BBA2A8BA679B730148D9808035D83D66F9DB52D0063B1DE07F30410D70CA8DF5F5F5F5F5F5F5F280BCBCBCBCBF2EAAA38AAA6CD862CFD9F98826F89ACC9D9D6730140A7FE5D5A5E79D88C533EE50711FAD23487615673DE4E854938123DCCB5';
wwv_flow_imp.g_varchar2_table(184) := '31FAF387195DF3B037F10291B6C0748DFA4BAE3BD8FA74DC9B20B991B80916F05DBE791BAF5C176F23D99CBEB00A17772896759F21F9D7C3507F4C92E3100E6B5927AC115AAD557D73EBE6016D157173EACDB2060582DCE605ED94161ADE660524D43BC8';
wwv_flow_imp.g_varchar2_table(185) := '4AEDFFA095F3A55B81B56FB0722A863B5F92AC9B20EF2A93BA80109D60933409BBF49C5B0095A5C817F47BC23D8B02CBBC1281ED64F210BDB2BEA32A49BEBB0BB2012457B0844EC600AFED6880590C8A98B9B08393D0390E1CF08093419E30AC63DBE886';
wwv_flow_imp.g_varchar2_table(186) := 'F1CF60D92C1760D07CAC7BB1E467D2020C4DDAA790A379088753F3BD4FF42840D0DE74B3B0A2F7D81CC97211DC5ED883F8F8F652E61D16668764D4EF9068C39E83088531D26F5BE34D8CBD9FE9FC0A6C4A51A42D28BA0C896D85682EA47852F6F411B57C';
wwv_flow_imp.g_varchar2_table(187) := '421A2A89A6A27893249E1D7DACB756FB880C7FD90615FB31CECC8405BB5B282D893B04E1342ABFF6A3B0E343E2E8082D37617518E5964FC96FA2036A4DBA38C8A311E7ACA89C5A12348A81FF30E348CFCFBAFB4A4CF7913EC2ED3FEB9F63A835AAF467FB';
wwv_flow_imp.g_varchar2_table(188) := 'C1A521AAF424A3208314C49E4F74C14140DA62898BF71BA2FFDD1A16A6329C3E2D79822C56AF6715D98D126B6006E5B1BA0B11CA957C8B557C81ECCB124639DC508B1C30CEC864B7924E5D8EC642AF1121D009E9B999D6D8EC25E8E7F8C33D643AC1CFE1';
wwv_flow_imp.g_varchar2_table(189) := '34A0AF969C8B7A28F51F8360C8283710F7BE7BD724C817AC645D985EADA8EE6A96498E136AA25C277080F6BEE176AC4B275D02C525BF00E24F68708E72E7B6118A70FFD1065265252A937C0B86A637C89AAFD30A35AF5E257A5E48F16034B2535D49A193';
wwv_flow_imp.g_varchar2_table(190) := '1EAD9A5DC630303B06F2D4197B4F470A7A1C8391110967F4B64720080602737EC6511B5E9D638407AE8D7D362E70A6A93FCCC239C017902BC1D61401D5B4D964CE8676358E07458099DCE3D40453B636621D66CDE05D62956C17C0A38ED66F4A5B8B1D06';
wwv_flow_imp.g_varchar2_table(191) := 'DE32178A6BC0E3EF874BC81B6C6B987FD60CFDAD6FDC478BE0D82210C772BD893AA25820778C9CD5C6B4CAFC2EB34E5177472EB076EE3612D9363B6FF36DE3061ABB4E491EC55F4827DE8D95E214D4A459F92F951212833401483396A9329A8428AE2A8F';
wwv_flow_imp.g_varchar2_table(192) := 'D6884CF8473FDB56E0400AAEC7911108E0DEFCA2E848E55A0359AC9ED744539F5C7AD60E64270AC23604B92113551EE65A21102F745539427487D8FAFB71F30E11E730A318C4AAA620D7F25E82C0F5F43E0E6D1977F84D8DE71AC964A067C745AB07A8FF';
wwv_flow_imp.g_varchar2_table(193) := '22BF06A56E95CAE6062DDA851CEFEFBA8C925581719015DBE02873310BCBF11245868D9CFF0DA54FB00128D083756321B17E650E8E824363C4D90BA74307D50B5F78FD4D558422393065E37114F5A66466847F3DC3D907911965DFEE014D7D15DD37A1B5';
wwv_flow_imp.g_varchar2_table(194) := 'A6811D11F80D664C7DE96BF38D2E161FBFFC5505667006ED0DB90D98C40ACE11901CA291B3BCDE310AFF463186204932920A0577A872CF54534FC05C17EEA31AAA3948BC0EBE9190314812BC3FC5EE09730E5D6DBAA82B8FE6914D4A4466B6CF43FD8C76';
wwv_flow_imp.g_varchar2_table(195) := '81AA9E8208B2F935D000E348A0A9463095B93728319FE8ABA93DB857E1541B853A2B87DD22E0655F1393DA9C5F2EB60C8ED5C08BCCBD7A2365EA13CD663FDAC30E699C9C31586934520185F5400ADDA1908EDF8F7F6D1F0741698C0AA69A6C830200EB26';
wwv_flow_imp.g_varchar2_table(196) := '5DD56832CD01119F206CE325D27767F99B17CDB118A7645BD5EBB2023DC1F1166037C0F06641A94E466890BD9EFE4CECC069E104C7E110E9ED20B3E2A5A6013B9B49EFF03D6B17B8870B22C261D4FCEEE80E5EEEDA0A47A6A8D8B4231B3FCC2E8977101E';
wwv_flow_imp.g_varchar2_table(197) := '0EAE634827C0DDE69D1D9AD9B22F25BADEDAF7B6D350E5017D554DC0500A52940ED23EF15176A60BF9A5E49D3BB142C97272C0A6329555B81B375D2E2A30B27006F89B50D758B632EDF899486D3EA5457EA6320AEA8CEAD5BE6878F386C0247FEE86CA7E';
wwv_flow_imp.g_varchar2_table(198) := '895A3F1C3C9EEF57D9D0C5EC856F5628AA7195463D3EE22BCCB680C553C0CEBE34F803DE07B6947077FED6B8043D7D4908A04178931DD8FFF5C9DBA9E3C73428E36572E24EB6C7E72ACA579EB803D056BDCD86A332FA44316B63899FE29740EC54F95681';
wwv_flow_imp.g_varchar2_table(199) := 'B26DD0EF85ACD6153E653ADB13F2026414A0B3BD257AC05FFA06E9EF14E45F492B83FBA4E7C60560C800437895734353F5281D1618797FE8EA7BC1C6B9EF2A244F6D278FD1A6C15E918FE9579E9850FB0B59FF89FE03339BC20B60BC78632F294984B2D6';
wwv_flow_imp.g_varchar2_table(200) := '79366981FD405AE8C29B8DC22260A0B7867DEF8F6E71135461B90F07B6CE82DE9F4D2C54F3C94B6DFEBC29AFFF6B9A00541D9DCFD604B99FD38DE16D32EF22B413F47AF0791145DF19B17D2E0E566956400618ED8DB9861F773E5F4223199E4A2AD79B97';
wwv_flow_imp.g_varchar2_table(201) := '858732425D48208F547D4719ABBE425EC9AE54FCD14948114A1791931D26F94D689B1413DB9A212AEC77A86848206C3223D037BD64AF8AFA8F6DA08AA15F7E051F9599A5CFC5440700F549BB7A16ACB0550782F119B37CD842A4E86307F5FB8AAF19E25D';
wwv_flow_imp.g_varchar2_table(202) := '389E51F63D3513DA76A766B02AE06850DA879C7A62B05FE7FAB116C477B7345AEEA9877C5F72E6351B31D4CE0B8035050C677C1FCF926694C30208EBA1153A55DB9C5D5CD1F95D56CFEB7CF788FCD3EAC960432263857B959B1B6C19238878F1BCEFACE2';
wwv_flow_imp.g_varchar2_table(203) := '1EA1CF710DC1698013229A2E6568D0F1A77695470463A2968DEBFBCDE1453E35648366896AED9CD3A794BBFF376F0429D958764DE4B528F918579B816D0CE7CE121BA73008B281FA4186947DCFA8C0875C9C3B0DA0C266A26301A4C725859591BC1585C6';
wwv_flow_imp.g_varchar2_table(204) := '92D82DC883F0C62DAC496334A17577EFA013CA72231EFEA7C10E94BDA95856F4ACF112B713BD365A985441DC7748FFEB6BD0F5CD6D5B8F46A4032E64C23C26B59D49D14224159F33D2119781E9E4D4E309AE1FB62EF4F2B62E5B431E1653E5C4F5DF1212';
wwv_flow_imp.g_varchar2_table(205) := '3F1F7934920BEA6CF38B7C9128F585DD5491CF070A72BE4085BD375B8B1726CA9B0D1C0CC2D186BD2F7BAF0174F41141C733CE91F370ABDB976DF413757C631E3DD150A0A9A8D6AA4E69C9C620D57865270D07CDDE49FE3B5ACE47522D36DAB43F3A7D2E';
wwv_flow_imp.g_varchar2_table(206) := '1C2D65C72691882050C0A172712C62B0CBFA913C92ED314DC529C05AEEA97EAF1F5A3BF838CF02DC0856B176543AD056A65DA7FD977365BF97E6D3D19114B47A3DF928A9EA05520B71461C5BBCA698CACA1017FA4FED4B8B1667B48EA08AE374C82B23CA';
wwv_flow_imp.g_varchar2_table(207) := 'D25EE8A9D438146583C87A1AEC2C78A834C8C8B204CBDEE256D3B36A1559B17B6C84E18C71D8B11DF5255675C007ACF07A3A63D6617C4A75A160CEE531685F766591A62254BB82A0E8FABC559A8D985C2CCA712265CBDEF90C06522ADBC7BDAD15DBF76D';
wwv_flow_imp.g_varchar2_table(208) := 'EA1B046A003DB7DD6B5A1A59DA8E14A070518502FA27C22D04F1CDAA8976DECD63A4C9391F38F7C664250EC406F4096C3E435EF326002F2A3397497280B337BFDADC9EEC36207B15D6A57A6B379B8D3F1C631813EAF4E4D0943858DA9B0C9385FF404B93';
wwv_flow_imp.g_varchar2_table(209) := '60292F9ECC4F8645DFA2D6FA7790773E5ADBB6D2DCC902BDE86BC44BA1D3CC5E0690DC2A1D878D7B2F455B81EE1A15D4A8E7C85CDADFFB603F4F2D121E884179AF6E1BFD26A5AA775A062E527F5ED9242D465EABB8B902A5EEB2AFBBE0A64DAA25DC96A5';
wwv_flow_imp.g_varchar2_table(210) := '1585C9D261BD9DA6D841F004F4CB93733D1AE7CF9D5A7205A134EE0ECA48E3023BD262EB21E062ADE75463E5E154E35A6BC43AAB7BB7385CD9C482DF5D18FA7CA93A63D599B4C7AB26B3494E853EC7BC0A176EEADC66076AA36F6F621C369B7EC52E303F';
wwv_flow_imp.g_varchar2_table(211) := 'C4780B64B994EA07148B134A54A0DE6560826148B65499BE1BF6FD3FEF21DF73F6A0827636E15428D3792CA9D58C9CDFCF38474863DD12EF1383C3E3F78FCFB8FA1C676B84F17F6EED06C4A26C043D4AB8B1BD13B682BBDF36F093101CB369A2BF0D8569';
wwv_flow_imp.g_varchar2_table(212) := '3A5A8849D585344C17CEA854BA919028060AB0E1376DC7960DCE324F43BF4A9C070619113D38C204110CCB4BF31142B2F1757AD1DC5E8C65461118334A40EBE5354659D3F6B4A646D0AECEB850E1632CDF70ADBEE6B42FF425C00BD6783A3E0D8E754FFF';
wwv_flow_imp.g_varchar2_table(213) := '94B637EF6FA6F04F206C31C0172CCEDFD5805573510A6B2D858BAFC8D206D026A5DAC5FB5B34A05EEB8A2EDDFE339829C98A7A73E9A8DC1FC93DBC2B98BCE373D1B1F297C6D21D42144B580FFD92C88C215B15121E8D7B1A1A43C82B2A39EBF4F142E548';
wwv_flow_imp.g_varchar2_table(214) := '5B4B0C65B6B5677A36A17F417E4EBFE10E736DD2CD7EED1326FD4E085F07E9A6FBAC2A751D72B5241A93292902D46882FC139DAE5311B954EF2481494A397AD62E9936A0AC05A710D551F2AC125D33FABE99D878CDD632469556DEF7075A909DB2073F47';
wwv_flow_imp.g_varchar2_table(215) := '09B53CE290A9BC02760400937FFFAA1F53DC01F24041FF06B117EE4BA0004BE14D8A84848F34A4918FB629905BFD41E5D736AB59DA3CBC366D537DC48345A9825502F5CB23953121BF375A802BEB943E85A833AD61EA3F937C21CA6D2130A64EF2BDB0C0';
wwv_flow_imp.g_varchar2_table(216) := 'D650A41FA96B6FFAF12CB7745C265DF07698881DC60F8C442B3D33A29AAD5970CB7911B694CB36D2D31D1983FD27F81A00420E7DA21FBD3F7A712ABD2A737057362048B14EA3577F061F941298D97011C241C651D93F545F30EE3F5C9362EC04254C0B8E';
wwv_flow_imp.g_varchar2_table(217) := 'C0F926E38797065C49763862903CF0979E062FD19AF19511C771B9A4B6E82AFE59220A9769BD9C73BADC5B8B585B65878DBE81059200BB60C636741204B1C823729F3D91360460CD38A17C9C51352AB621BD630BF9EFAE7478ED05341A8D8214448F6DCB';
wwv_flow_imp.g_varchar2_table(218) := '0280A8A8228F8BE3B294A5205451BE84A4F0CE14783C8F3025D6397024A11E1F5B845EBA91721AEB1B42BDA987C02E57F9CD85A9F4FAE82C205B0AA5701E352E7A28222DDF28BCFBFC864150EE575F2FD31C5DE94D7D74C34001E4D00E4C1B22163013C0';
wwv_flow_imp.g_varchar2_table(219) := '4B5E13382AF414CC7B96EF2CF27B2FB82085D395E12C76D25B39455B41A801E448ED29B96C39B601ABF9ACFBD6E855351740A35276DFF497699EACFDFD478C7EB2C675A74AD8D5B4F3EF204A2650AE690D14B2FCA5F94AFC8F3AF20DEAB6F51076BA1953';
wwv_flow_imp.g_varchar2_table(220) := 'DC86F6400035356DFDA743897281CB8D358249FA33A6CE58405DDD1276878A4360CF61795F1FF9803645C0B2FD83866193BAC9BC3CF6105BB9101C16D475A381552F0D1DFCB8F3269301148AC1D7348A7B0DC3320B8536A57C136F4FE0F0A0D079140BD5';
wwv_flow_imp.g_varchar2_table(221) := '2B92090BEE69E9A0CFB3237F87F0CA7156B347B2DCF356273B14CF49FFC9C8A0F303862EFF259CD4D45AFE2ACE53B0BB4827D05479ACCC2B71CA0E9775CD37459BE92DD1992F3AEC7D9433E957078415F2FF0BF9EC124120B4226D2BAAE52BE45855E116';
wwv_flow_imp.g_varchar2_table(222) := '15127F197ED321AE9FEA3FCF5C50B1010A68DA9C3373F73586846CD10A9A07D2392637442A51FD6E64C09F75767BD3233E0237108AB0881B6902F6830E36B43EBE27E8F1E1D2B2274A4FE449E249034D482E1F7688AE5CC9E2155225A2AFF38A7AD5C3F1';
wwv_flow_imp.g_varchar2_table(223) := 'FD0FBCFAD2A683F96CD365A21AFDA6625A4BD9B84FFD6AB1C755383C7B29AD9ABA58B2F63FF5E3A53DF3F6A96141EBFFC40098CAD3F64BA02E4A728F9086889B50B8B153165BAB0C4FA8F81CB382E76C010DEBF75512B7486AFDD2A470601A82CBDD23AB';
wwv_flow_imp.g_varchar2_table(224) := '367A9465C4E788440404D2171577406A043E50727B0683B810EAD6D74722BB4FFAFE653ACCAF7E5B0E4FD312CD32556B812BF4466CB10B7E2C83AC08ED6FCFF264C11B9E3799427A7A827A2E1402E409CBA6C9B0D515635226857DDE243A63A74DE10D7E';
wwv_flow_imp.g_varchar2_table(225) := 'CAC545790959200B3CD6A4F538ABFCE4815BC2296D444E6B1C57FD3CD2DA3841EE5E8345FEB6C50EE745BA568BF6AE65A54F025FC94CF43940596EB5D38270727BE2AC9D79ECCB7C529686784083B07506AB724507C951B42433CAA4D5FBF2B5D17CD715';
wwv_flow_imp.g_varchar2_table(226) := 'D59487E6E9CBF70FECBB2171506B64453FC65F2962EBE50A0DF1644A57C0D5DFEDEF7CFCFEC6A29FE4644205E9B2CA99AAD7B2AC0521B1FCE0D8874B5052BEA38AAAAAAAA354EF171D7197893D2B04878F7F47E41598EEB673DEF8CBA130FCA5FFFFF301';
wwv_flow_imp.g_varchar2_table(227) := '446A573CCCB060495AE676F9B88B0B1A932F9A9DB545649F28B93D2238161FF06B68EE8DEC2E4D9C28B2384853B48A53B2F8ADFDE691A71F4035E5D01DE58F02FEB14D201ADE15B52C53A619B6FB563BBEC78C644F51A12A21088B01F353D852B8E76DD5';
wwv_flow_imp.g_varchar2_table(228) := '099FE378E2986DA80C5F37A567B1BCD44D5CFD53AFA2A804E58644122C827A9EAF8E09A9108D4FD64228FD7006F3623BFA9D9F144C29C60E7554E253BBCFB4A7BAA9A4FF85335C8BE13EF320C1C36D8E41995BF7CAA4D829FE921DAA9D2F627E565FFCA5';
wwv_flow_imp.g_varchar2_table(229) := 'E87AFBFC3B1522EB74A19B0E3DF18F371FAF5F2CA07FEBFFFF75C1AFFF1E2AD7903607F0C1AD407F0809FBB759E8CDBD6CCC7B2706B8529D722C257DB9B52CEB23C77E916FC603BBE7012287A176A02BD2706379D4EB9E7EF60869240244347F52533FFD';
wwv_flow_imp.g_varchar2_table(230) := 'C4F3ADBBFB7D6AC65EB9B02352371AF05B127249F7D9752718D63728DFC30D0526C18B9ED2D81C60469AF6AA6C142ED52F989AA000FEF3F10EACB0E11DC78FD49E2BC62268A2A67EF901344A4F723EF3192AA2CDECC20755AB8C8ACFD2E96BABAECF7651';
wwv_flow_imp.g_varchar2_table(231) := 'FECF9ED1F700BD37AC32B89E340749560F619F0CA23D131292C374CB39ECA01E5D5DDCB8F3782E76FBAE562B21B50AF15DB7EC1D0AB392D05C75BBDE2FA0C2452B760516ACE5AFE7E6352728699317499737E9614DE95BB1D0161CC6DBAF87F9EA798769';
wwv_flow_imp.g_varchar2_table(232) := '7D2CE51BF823B28FE8FF1A8F4FDD245075A7EA41A4A9100D1CB8C64CDA68D43359B78ED68D32F0AF81CBB2C0AB6CDC8D5F60771EC0FA29BCC94A408D4A8BAB602A787B15AD410A175627F57B63BDE92C52B8B3188F0478EAC4D3A7943BB91B5F4E9C7456';
wwv_flow_imp.g_varchar2_table(233) := '100F865902E334BC70B466D613283AD187A776588EF0DD6A8DEB11ED4B897ADA10E24A819CBAF700EA3285BF53E38E7914F023D3996E5D3D46F0CB3BA84245F9112CF6D48F24A48BB8CC2600391DE634DBDB01D8D79D7150EF87553BF79C339097FA02F1';
wwv_flow_imp.g_varchar2_table(234) := '60FEEB2A36DAC1054F8C356A93C1FC8E3E88AD3E0E27024ADD44C221581167D879EC4296AD2720FC4FB202D997F4B6873AD5945AFD3C85DDB114FCF3BD681B701DFC106110558B51A5042AF92C5A3460EFF4DC8C0A645273DA00C65444E2B08353E2D153';
wwv_flow_imp.g_varchar2_table(235) := '134AA8A5EF52DE08C7B1E489DA045C713A3BE3BF0C53C75D20D96FFEBFEE2D2DDFD164EF02284BCCEF4A4D067B3394A1AD433542262B61C15AA8AECF95C951178DAAFBA7277BA24ECE2E3959BB0BC324984DD26AA79BA884ABA775EF666BAA0083C09AFE';
wwv_flow_imp.g_varchar2_table(236) := '0BF524ABDC173DB0C01607B7FD071792B40E7B6C3FDE14065434092903C0F385EC643123318F8739430BB6AA92D29976E3CEA30E8D4B3A940536E1291D415860D585021161B53B63A3B4477DE0F64C8D9B2942A467E04DFC6E70B5A990C446CF46596D27';
wwv_flow_imp.g_varchar2_table(237) := '5B4D9A9650A6382AA66F3348A80BF43B3E7B4B10952B30142DFE8A21C7824541838163046BF208A02B67BE215106D42187C2DE13C57CE65926F7238C8FFFA47961973FB9069F5FD134F4E3CEFACA2CD6CB7881722CA02773D66842ADEDAC6E049DA38D93';
wwv_flow_imp.g_varchar2_table(238) := 'A46D613ACAB64B7A1FEC56E2AB790F71C100A582857BF7415817474A77E8852F5A2C46DE1573E477561219A3894E8B8776FB688B9FDDBC6EE82EEA5357AECE97A8D30F22B770EEBC9E89E12DEFD65E06D57FF2246F999D81CE5021F29540498A70113169';
wwv_flow_imp.g_varchar2_table(239) := '65FC80456862141EB1502B291450CD9888CA90F3C4D6D6D4C02A1B6E263EDC9BEDD6E750D40A84BAE335190DD21663FA934EE279FF9C127F83F865C9E00813149A104E221FA6C4CF822C3112B27CC519EF2FD40808AB8D8228D6D3BB5B3513EB19D7AA1F';
wwv_flow_imp.g_varchar2_table(240) := '14A5694D35B005DE70851B09AE794D217D1B7AE36B7265FEEF57F9F3E2494AA2312AF153B4197C5F5EE0835700F8563EFD8660FBF10ED2D21261A37B6EC538503FC65B281AA62028295114BE23F12960A903BF124097FBB4EC00FDDDFC67614F83FE4FB3';
wwv_flow_imp.g_varchar2_table(241) := '6D1F66DFC3B8CBFC0F42E6052C33301C9ECB0259CF0F1296AE4785B62391969A05A989C300B5079636952806D84BF35CC3B1A7F04610A437CB81DC53B956ADFFDEC88713CAE021E5876D80FA69AA598387041C65556625CFCECA5DE9177A246E6FD729EF';
wwv_flow_imp.g_varchar2_table(242) := 'E0E6C1AD1D3C726CC259D07F293F2DA0817E705FB72F0BD6777F9D7240BBA3CD0E10E1519A983407C295C0D5D300E1ED642517E9557C658F4B652BAFE5F8A447449A7F3E7A05C1E067764E34B06D802E18F2C74D451842E61B37337155C43C986900714B';
wwv_flow_imp.g_varchar2_table(243) := '0D4B9C1589731C374E86EE6C0D78CDF28D71F8B0B5F998439B709F62C7D97191DF9E6D7737286DB3A6FBBEF875A805B4863A9A0E6C68E8F870F6A7A7C793EE91A415A5AB69586A500E432E26EA4DEA004540A67D3CE2BFA4629EB4E552D6AB9DC313BC9F';
wwv_flow_imp.g_varchar2_table(244) := '0E92DCF31A32E7077948B5A6BEA6265D5BC661869AC44AEDB3244E0B58E63FD0C8477BA8C88D053860286413C6557820A4C3C865C5D23A318342801231AF523C37959C96CAE4A3019DE174F7AF83AA3F0FC172B662F1F74B4A42E649BA58566D28BC7790';
wwv_flow_imp.g_varchar2_table(245) := 'A669333C28423C6E27013FB51FF08AC733950279E41A9830B3C852D66C7ED932BAE04CCBF7E9FAB096CBFAA0A5DA9354F991046229494E8926DFBC6ADDD20A91540DDD061CA8E7668DCF06686BAAD0DE15CE1DBF7DFA103429447E5494839D81D4F4702D';
wwv_flow_imp.g_varchar2_table(246) := '2DF2E551F7873142DFD2CD67D9D52F77240445119A17E40A7650E27CA0626D0202942A892AAB31EB9275F504FAE325B91D2C68CDAE6F4937BFD40BA38EA6D986B662526ECAD6BC3AA2B71C6591A38A1461A5F0944B4F37E48DE27A620B1916CD14CA8B22';
wwv_flow_imp.g_varchar2_table(247) := '2E433655DA020456BAE3910DE4C668BBFDBDFD7803455275E117C8F03E58256A45B53F56E1423FA22033CAF43123EE4C167781D78086608EF014C0D8FE1BC89AE89D18A2C460918BFE18B28027098143BCE36F12871AD4FDBD77CBA4A861B068815BB625';
wwv_flow_imp.g_varchar2_table(248) := 'D4D90F598EE90EBB98D9921E0040676586FF093D2CD465C3DADDEC94995A450D5C379B0C5F098C9D32FB98539E1F7D0A348AD844A4B38AEE7D547DB23D1F6B96C8D196E1618DF158FAB49F9DCB6D56E9D69E075E850229D1C0200DF980C6F18EAD90718B';
wwv_flow_imp.g_varchar2_table(249) := 'B4B58DD72BC2C026834C781351AB1B11C4A0F1FEA3FF494B1C7DBD5E22D4F1C4B211FD3347ACEC6FA9D96AD946AFE7118EB0DC8D641D9AF1BCEA21EAB922B093E2D89D634FAA390C3086ED5E2227D1549683631BD0222942061FD1E46768B752A3F413B2';
wwv_flow_imp.g_varchar2_table(250) := 'CC7E0437CBC59A0A91A864382BDA2B0E6177C949F052EEE5A29B70CAC666A212E5E031316156EDD98BDE2BF0EF4E45A38AE13F546DACB198F9107E07FC13CE55751A08300B66968585632E98B3C4B476C5D0B374A21520228400686F0A6485C898E6B70E';
wwv_flow_imp.g_varchar2_table(251) := 'BC0B328BEA3A733047D96790CE308AE77C8C76AFABC3C26405A8A828EF373E72C02B31CF6F8E3AF78925CE01D668E22767558204560CD78F7124505375907E0CA2EFE6D556000F124DCF427CCED4AEABE6EB4B0DF510DEC1B83F30D7F518D8022548C0A8';
wwv_flow_imp.g_varchar2_table(252) := 'B684BD2C0029BFFA6BE4FD5CEBD1E4127A225194E51B77736F52C5EB042A34141558DE45FE9FA5D9E5DEA1F5F29ACF05F8D23FD435D01F09961C45E32E568A2A9E7F2A56A001E8A317F7CE1D88353AC146A557B3C06D436DF4D52E6E3131CA173076103B';
wwv_flow_imp.g_varchar2_table(253) := '9003508F7113F27DC79380D3C06DF42C592008B4106AD2EF87820C33D9BA472DC3573CB38C89F562D2C850EC5F0A40D4F19AA8C010DEF498747EFDD87587E16ECEC1CA4E49955332CA8F593579EF9D870645FA66C9A7113BF9BFC7826FB8D0627C5F8382';
wwv_flow_imp.g_varchar2_table(254) := 'FB2669865E5D6E7AE1CE9076B408716BA16042B6B42A5A27D400FCE92F32E7C4525D9501726B404BCE0BACC0226D10701A7EE870D61AC0697135EF1338FF4E76304A3920BE7873B82D57C51D6E5DE26A55B3CE4D010FB8C74037AEA0375799F88930ABE3';
wwv_flow_imp.g_varchar2_table(255) := '6D0F1160D4C13EE224CECC43048A95BE97F36338B99FB2592FD78230F7FDF84564B1605C72AE63D103A5631285190156E375C17DDBDA7254E252AC24E86CED21550BFE540A0AF0E9B7AA0A302EB7A05E48A79F10093DD81E1022D8C31786CA7ED9D5A47F';
wwv_flow_imp.g_varchar2_table(256) := '9AA0C2B53243D37A739F36C3226C1BE7794DFBC1F7A07771E81C6013B575B4427F65321DA4AAB620190587D144E5426654756B9903D60359214E5532F96B9160EDADFFC331A1AAFBCC4BF1853163CBD46368A08A5FF4EBF3CEB5A367E5EB984BBCF8FB59';
wwv_flow_imp.g_varchar2_table(257) := '3402341340EF119CF26A135E905E7A8577D9508537D536DBE88985728798CF42BF3B2B1CB0AA6A99FEE9D43714248BF250C5574555AF1EA5708F4E6E03C33CAFA778A5D71F2B05E3E647BDCD35C554580255D30FD6163B05184AEF9A85FDCE3AB9093782';
wwv_flow_imp.g_varchar2_table(258) := '18E34F5751E5844919BBD5084BCF3558DB96AEB9154463C03AAB605E17906FBB7F7D14533C4A5393612BA8612B837E1B2C1BC6BB811F6E218AAE79020F826BD5D386C2B58502AA6E56A45F1B24DBA76322E9FCD1065799EBFB2AD7432E229A0BD55A0238';
wwv_flow_imp.g_varchar2_table(259) := 'F35C4037DFF43B4F45D94D2B890156B0F8FAA8C4DCB865B030CF088F84C7F89DBB889A56F5422340A3EF103F13A22152C14BE6A960040D9FF095277A8DE1279CEEC011419C2802F0096BF4FB43DBE9D18694333E912A4B92D99FE18A76DA826606FDB7E8';
wwv_flow_imp.g_varchar2_table(260) := '89BCE0820FC85A782FA34F452232ED3F6DFAE8C3AC6A000AE1444D59D7A11E4FC5C41FB21CE497B38EE158036261C58F64220573BB1F74685B60516171238CE0447D4E2E8C7F19C428E54938A38381E1B794F51D3F2C7238D85A4FF7666895ECDFD21671';
wwv_flow_imp.g_varchar2_table(261) := '16597B6979AA85898D0F789E14600E9A534F191E65B0C7E984A1CD1BF9763C46B02EEB264F21B864B92EE26F996B0341B2A7DDB751B459507A1038E82112FDC659C11B27C6949FB4F45C3567F89B0EADFC1FD25ECDAF587BE7A0F0F79D152D4A84F39568';
wwv_flow_imp.g_varchar2_table(262) := '94812BBDE73E05B0426EF46F912F5CF7DFD7A23283C2769EFE50D6E65BB378893AE711A5F8882EC0F7E156BB935EBA528CC6AC7E3165090F2C78844F2ABCEF365CAB3EFE7EFC4D6B2538320E3C20C6FB97332837CECE8ED6B728682BB6F15FA392B522D4';
wwv_flow_imp.g_varchar2_table(263) := '68ADB1EBAD44E7D71C315334B94EC6983C8B51817D0415FE55DCCE0DFA758301A8D2B1FC5C498BE1AE5EEF188484DB6C7B45CDCE6DE9A59087077085596C469ECA62143C12B36FB7A0961B8871CD0B6551093305145C158A97A4E1102DF9128AC2C928E8';
wwv_flow_imp.g_varchar2_table(264) := '9605BD9A2012DBBB390A46F6F5546D04828005C1CB9064A0372A4F10E7249DE047906FE2DB5543B3D37C66F7E5A3BED44CB63E9B3846EDD617563A923E6EA967E50ED7643A6E6A4D5ADE559374A0E63E6ECE7A094E9D8B96E158AD5C8E0F70185AFA38C8';
wwv_flow_imp.g_varchar2_table(265) := 'AB1D6E9EBABAD52C167EF561739A6B08F723804D37C0E358E4EBAB3F6F01AAABB5ADFFEF3948D73B948A965BC0DDDBDF21E2F0ABC270107928223777F133F9536337DA100D827F1F6C02A45D29DA4600FD73BF679137D5DE8C22DF01A221195625B93508';
wwv_flow_imp.g_varchar2_table(266) := 'E8851704712812A858B55461A441B0B95B04C00DF6D6D372A88536D370D93DA1F17F23CDE7C9B10DE0575189B7086C8F0340DF0161047B8F174B7365E3D4A10B37563A2DC969B13E317A1AEF22CEA878ABE142A3E12A5C8426DC01ED846407164FE87BAD';
wwv_flow_imp.g_varchar2_table(267) := '8642703448537633C6150FF803F50DFABA51EAACD525BC283917C17C1348A95449256E331CCCE48EE6BACC8EE84EB87930340962BD3488AB66BF489D6E73EF85F7015DA69848E049EC280FC12708A095FCC7C331F4B3EC15E4D22BDBF7B147FA12B8F455';
wwv_flow_imp.g_varchar2_table(268) := 'DD2CDD926C92BC28382BBD201ECD0CE6AB9DE82BDE95F3BD7900DE275372A5F23E623998FB26203D8FC316E9D90D5ABC2D27528787853CCC921BF6803EB393A6FB0BE59B0E4BF1E1FED03B92628650BC083CB44839B79940C5E0AE55DCD7C6EAE3C9B443';
wwv_flow_imp.g_varchar2_table(269) := '4614B427EB908C2466A129EF0F15FBC51DB8AF55A99A7D27078BADC4FCB19075CCD914714038C73A8FE2B9179EB6D4965CAFD93C6380EA945FAA77BE28E4B1235167C050AE1E761CE8D91AF90DD86A9E4C480D0D2CE296C094DE320679327C32B3C8D187';
wwv_flow_imp.g_varchar2_table(270) := '9DD94850024C708C405025DE032A25F9ED99228B56D2359195E62E67532E8C7E50F568CA2DDC2A6D2CFAC256538E9EBB9F86D8340EFA26FD635DAC832ED562386B50A8C9C4D91EFDA1A3FAE226FE8822C82077A81B45BF67CE8B20E8A64743855CA03556';
wwv_flow_imp.g_varchar2_table(271) := '1869B9B1BF0CBC30B66A6025D20C832165E620E092B035F595AABF27027145B539423AA01640253414B20A2427638901D34166F597928EF310C24B9D6712AF7B7B2A8E23A1A204477F2CD2691954FE13A9B8C8D2CE3BD305E4C2DCDF5D9E0616B6D167DA';
wwv_flow_imp.g_varchar2_table(272) := '4D84B7EC69C80027814C9AA0FBAEDD5B238558608EE1F88EB04B18396673174A7D3F47F9F0D4E99B606F8D04AB0B59A6B105DA18139A685F15D2ED8F5A1A2B65AE34D5781D695C81B01691FF06C27665602EB9373D475ECD262761469B0D1E2E48D7BD13';
wwv_flow_imp.g_varchar2_table(273) := '4E44149AE26691F011B896D380988586941421F5A43B689DBFA044DDD8E067DEE3D649FA42A4F1C1B267FC05923316DDF37A2AA8A41E4C7B2F9AD3D1229175CAFA2F0B057A1FCAFD03FCC4FCF474139CBD3EF8DA8A346C57D9C40C2B39291F5AEF708CB3';
wwv_flow_imp.g_varchar2_table(274) := '073968920569E5D7EF640F56FA94B1F530D4CD95C994752BE105A98194C5D94D14CCD07E2085E8B6856C141C56054396735C3B5D62D568ED89A21BA6610BFC5BE918D878555D9E35902713B0CD91F0893F266F648AE12BF1273AB6B7A0FEA1A074C9341E';
wwv_flow_imp.g_varchar2_table(275) := '4CED7DBA7275FC24261384938A576C301AA009C22C2C640C64004ECD9FDD6DE7EFF1035AB473BBE2C4CC7F4A5AE3B4FB6074D08E73E909C173108406A69B7816602DEB6DB4074C0044EF6229A48E9C76AF09752C1BD5D4F9E25F594AEF43D24F6FF819F8';
wwv_flow_imp.g_varchar2_table(276) := '3D03E390DEAB1EEDA742B9FBC38D781D4617EF8C8491A39FA6E4ABC588F7B67E023E3D1ECDACAB6DBDCEEB293708654D7F54663DE236C1C5B9CDE734AEFCD3EA46475C9AEFF242EEE78822500721D17CF9256ACE60112CE5A07DFF28CE51DF882ED6FB48';
wwv_flow_imp.g_varchar2_table(277) := '8B928E6B52CFC0EAEFDE63D6517C9460AD1B2552B15E275268ADE27EE497C1A2ECCA80D30C570B3D99135D0DDD4A15CDD7D7D07DFE17D64F427AC8C1C5543C2B34158B3A8E9B88D1E6D7375C26D6E982FF7C45BA74C25DEC99FB38972DC411B434E0B789';
wwv_flow_imp.g_varchar2_table(278) := '1BDD33871A5B08E6F6AA1D294EEABCDDA03E65B1ADF71D97AAC37A9CD35BBFFE52C6F9EE48A15FF840ECD668DBB4B7046A450C7D10C993497B950E78F8CDF205B9C0FA3A72F5EFE8D26EFBBD123055BE2E2791C6695BAA5CC8E1F3C66FF7222FF6060773';
wwv_flow_imp.g_varchar2_table(279) := 'A1F9A7E76FE930ECA1ACA2D0449728E69BA14FABD86B2B948555120FA790641864AD62DBC655A9168E42C74E683D9D312F12A5B5D71BD0FFFAB14CD61D8570DE9233A90EC137290C4D7D84F03F47B3D87EEF765BA1BC63C528C944C6EEB903A50727718F';
wwv_flow_imp.g_varchar2_table(280) := 'B0C36AF0D3145D4E224F3713A67008C00243E2E95E5DBE99C22192EE526A888EA5DECCB4A8F7B19AD76FCC533A20B9E7A629C570D80DA5C08FD8CFDDDF085C1B5E638326A64E962DDFE5E96FE4D7F8735E6A86613947C46BEB62992BE08223790E469E85';
wwv_flow_imp.g_varchar2_table(281) := '8561C5DBA1DD5AED5D4BC3E36A8C66C6598D0399F831ACF60549FAD8DFC6EEE0429E755B439A325C4E84DDA6D2885AC1D038FF1193D7080FF3C644B6F6E39AB1FB51DAC21C29554675898E158E075CDB162359C9CCB553A60F9B903F2F345A7DE2A63BFF';
wwv_flow_imp.g_varchar2_table(282) := '7B768F300059CA16DBB3D1593374CF897309741A480EE98716400E06E301237239786BE93708AAFC888596811E1D0A90D3CB7EE9E86F980A0EEB344F23E01268B5A448535D4871112DBC1A83101C1E9342BFCB5C4A67A185F45672FD5EC1DF4FB36A2B58';
wwv_flow_imp.g_varchar2_table(283) := '0486A615695938D67348AF6BEF28A7B5D7B4420CA582ABF882B6D04924FA791523CC8ECDC1C45BE21F7C383253AD690EBEF44402D931747F1888C0D068E84129227CF52E25B97F299B17A0855D3CB0379E256F0DB84E46ABF7EFDF650B1B5C430C591B9F';
wwv_flow_imp.g_varchar2_table(284) := '634A31E798FF37E63BA1A5D540677B5B5F8C68D1B37C24D4E81EF5069294E0AA309C344EC4F8266DB40826E712AAA58D4FF0F3E435524E180A1E1F1A0D79AD1205B71EE906F4531804607FC9811FA2CF1E87549CDB7740A98E92CE2644B6EF5AFDAB9DAA';
wwv_flow_imp.g_varchar2_table(285) := '867E55926FE211A9168C5B0F9389D8B4B209FD9D562DBA2683976FDB5507BFB00AE357BCF77E2B8FBED32743CE3B91ACB55EAC9A7EBF2DE897B0B96AC26F854FA5DAAC974016DA695A287DE4320F9115A042C70E17F43A6D216438C2FC6A199199BABD86';
wwv_flow_imp.g_varchar2_table(286) := '2EAC27353674248C12458E61F23D33EA6A4B855FA7760552F25553FAA805C09652F85F4BD84B8814AF4D3E91EAAA326CE7ACFB749A704FD795C36F78F377DCFDE5F9BA80CF2839118DBE29D9B4057F95281CCFB1B82ED45CBACF9F43C358CFDBC2ECD007';
wwv_flow_imp.g_varchar2_table(287) := 'E5A79DB83F5F2D441720976474528923D59F216CBBFCCB23427ED07C52BC93999D7FCC06769335AA83FDE3481B2A80BA9F0EE44F7A99F65CE70791FFB664C322F3B67DBC2220E9996A799FCFD31381DC862D99655BA790039ED61B5B52B8C0B0C17C986A';
wwv_flow_imp.g_varchar2_table(288) := 'B31501538E4E6F5A7D75E7768C520099F9B90E16EAF59D268910B58ED1791BA5AC6BBC608814306483A696479DDD7CAF81DC3BACDAEBEA96A1B86ECF026403E31937B298491F580F994CEE101A7BCD08892C03F34F3AE1907AA548AC4075390C63B89171';
wwv_flow_imp.g_varchar2_table(289) := 'A6713AC4D4B38C83E57021820F907B2AA0CE70ECB7B66298160728B80B308452AD98B2330F6AE30C516E25D4BB1E2129E60965FD55719F3A31A12D749CB939B5B4BD009E386FA7869A1B993854313437CB4249D60A358CEF7E5AB4EBC0E46A27766B2ED1';
wwv_flow_imp.g_varchar2_table(290) := '78E79885A5DBEA92240B769491DFDD5457696B11FEE24DD299BC3631953E1D9955E8D962B1AB2826603DD334FB8124E7C0D22A304D3E122268DBD3611F33F8FF0FC5AB47E240D257F78016BF7515C49EBF276C794002CD25B6BEAD592A6CB62625EBAB75';
wwv_flow_imp.g_varchar2_table(291) := 'F30B6C27D6CA6E80EE5D03EC8891BB1E289BFEDD30C68A6C7D405EE87E0A7AFCCF73E832FE5B8CC4AA905AD14A6B636BB011E4D625CD7B7ABAE61AC7C0215C4C29C46EF9587DFC0BEFABB34FE39D522DD87B6D3436958F8A2203632FEEFD49B63B72994F';
wwv_flow_imp.g_varchar2_table(292) := 'A7A72E5BC4237E5A3529FD32E36E92717B226D8E6238F650DE294A3C32075D402F159B294A3FDEF2AEB04C36B2FA7381D91D09BDB473A5628573A00978B304B32E39DC39294F0F806FD4A8FA250FC4F1AF3C66F5E393E40BE23D74E32EB80363E542239A';
wwv_flow_imp.g_varchar2_table(293) := 'ABF68AD6DC1E6081F84C40E059555B24154C5DB49CBFE650D40BADD24A0E3231E9CD90308969D2661ECC6AC83A6E0107130ABEFF45E2FFFA4C82A0A38CAB9CDB4F9C576F82F09CC9FE40D9E1C37DC06EA1FE046367392358A9674C593AB97690466C4A8A';
wwv_flow_imp.g_varchar2_table(294) := '840B31DA4222DDBE4AF15F156C110E310949884CFEF56C323CC6737E938374274B60858FDCA5CF494060222F4A7E379B006063BEA8D161BC9D86B598178CB54A906D078E3A5D038E15288F036BC0450DAB235C9941B3FD590321BCB5F16B30E024FFBC53';
wwv_flow_imp.g_varchar2_table(295) := '63F3D4D4655C54FE517E35A7F7B42E64FD4AA78C9A103C06E2B5BF037E456738342C1D368EF5DF7414406A0A4D584D84D3CE88A6C85A0DC7D274FC8C17249A97DC52B1A74F0BAA61ADE2B3B0A96BC7567EDEFEF98D0B45E508A1C1E419759EF257A837DD';
wwv_flow_imp.g_varchar2_table(296) := '7A7872CFF4002422546852EC6F68CDF7F14EFAA7230034C53E704D09E295B29A80B018E35607CB3CE55C297CFDCEAA0813D17B7D0C0E9158977ED8D2515906C4C2528ADCF296E9B89166614B0D2F329C1848826E4945EA3961B257A5CB461FEEE698B660';
wwv_flow_imp.g_varchar2_table(297) := '722B675D70A71E7C39C4E8C87DEB47C3894A1EC0483FFF637CCC4F3EE3628F72F13BE993244CBDBA36530C99020C0DDFB09880D5E3179EC693AE62D2FDB309E82890AFA672C55553ABA23F6441DD7D500C4BB30D782E22919763D132AE23D1D528469573';
wwv_flow_imp.g_varchar2_table(298) := '5EDDB2852C357FC592B81CAB41F05601161E80D1AA03623D6041BF913856CBB115D7D09650E8E2F82BCA16B72807FF54C362B71B3F5CE24575AE8CB4B82A86F2D3D409EAB8E5C16BCFFD1FD2FA82E0315E155E05FACD5B76C3F3AB43AAC403ECEC45806E';
wwv_flow_imp.g_varchar2_table(299) := '80203890BF564833E0AF9786F14DEA29F9CD3B5BBB23C453840A3AFFF08567F463AF7C2DCF86C5F79CF9C6D5B92F625C065CF8F380AADC6349388B5103A81335406FC238ECCED9F2A1DA35C06182566DD647475709FE2729023627FB4042A6B0F4E0A911';
wwv_flow_imp.g_varchar2_table(300) := 'CA3303C40CD0457B410E808B3BFA4BFB20E5E87A35E6A64DF66F471EB98E1733D049102AAE3C303B835043463169E85B0248710426E93E8501E4A1390DB1DD545A4E39F2BF54611924E89331FDB45106D92DC5BBEE6FAE99152491CB1B61DA7395DD6B5D';
wwv_flow_imp.g_varchar2_table(301) := 'E9C26CD64957E3BC1B7C1661F4DF00EC37086FB1495D819086E44AB2D646DD2FE6C226D9AAB6A7B1A2005AD68ABF005D561F4BEEEFAF80C17B2F7869E8F1AB31838040723C2553BE0BAD7270E7B9712DA25A2B2E02034D683DD33E0E5022F836ADD1964F';
wwv_flow_imp.g_varchar2_table(302) := '7C6C299B2D437348E4536A1FE58CFB42D3DC1D7D3727FCEE207FCFFC36D50984CDDA57E50743C1DAED955321645293762CC7169BB55657910AD513BBF159BCB200045F638E7051533C858D14BA4A0C19FEB02D6202F23C519F4D8413755D607AE1A1B224';
wwv_flow_imp.g_varchar2_table(303) := 'C5AFCEB316BB794426F76D7BD3B86D720BFAF678F4084A278A034DC9F604B2DE9E3BF5AC0AEA344FBAA8173DC6255598227B9CF9F3A6CAB4CA416EF97DE6AB8F5948393D4AAD4889410CA9C79E335454D0A9C1171DFD7A1F96BC7A5E9E58D35FA9405326';
wwv_flow_imp.g_varchar2_table(304) := '4B29F8841AA2E279D095A46E905E7BE6BA3CE47C10317F1FD393B4C8DAAEC8B2CFB56D4B1F56051963AF03990FF4F3C618D9F703483ABDE6010CC5FB116326F4474E128831E01B86C7F113B4806F98656216AECC092D9EFDC8D85862B3555D799FEEA41B';
wwv_flow_imp.g_varchar2_table(305) := 'C25C025A350096F84546AEFCBD2820B3EDC08B29F049A4DEDF1C52ABE38AE1AFD8C4DFFE071CCE36F735D5B22963F2EE2A45E79E681664405FF128CDB37E6969C68BDA54B5BB38BA3DB2BE58943C1E3F8879B0C04DBED19374A16881B55A89410BF1476B';
wwv_flow_imp.g_varchar2_table(306) := 'B877E264B0AB897904AC241BFDAC6E2F46E625E0E1C30DED3CF766DEB8FECAF64562C4E59047EBC80748920E2AB197B86F4551782FFEC4F66B86140767E629C2145479CAE51105D284A16998DE5918EEBF3B5B87D91E1A1EFF6E20ED4F1A2892D418EED3';
wwv_flow_imp.g_varchar2_table(307) := '7B8FBD66646A1489E7DF654536E95720493E1A528765A94BB71A6D0935A222A4F687F65884F62ACA397AC81865C3ACCB61BB56E3FC3938D2621CABC3C9221470B96C597F97D01AAD35E73223F88267747D4A2735C5BE2F3D1FD14F0B1B77CFF8CE64863C';
wwv_flow_imp.g_varchar2_table(308) := '4416D501FDDBB2AC4923FAC58B2B2EF335689F34696784369F9B30C49D6C47CB810BAE036EE1A452F6F70FF0298F13DC08D4FCE006FD69038D04C3E354559DFE6DD7735D0D596457962736909FFFA6506E167776DC7606B981EA5F998EDE98136F70E992';
wwv_flow_imp.g_varchar2_table(309) := '438521C9E7F2F09B84381A8889B92897D7116A6C0DE5BACE31FDBA15724E298D8D5EC26629A6DAC7855481904DA8EE04FD18C16BDEBB1C83C0F416319143A1DCA0B38661BFC2E41D13DFAF49AF7561D0F0CA250F9B9D0321AB9BD0D825D7061E765A168F';
wwv_flow_imp.g_varchar2_table(310) := 'CC841DF5DA13B3910CCE115FE0A2D1106D71B37290920DC38950F4A4DB36C58DD0DFDFFC5F942CCE5EB17E59B8C89B5F13CB5A6B39C31A5CB4ABB82E8B45C1CF3193913F23A8243FB8549AFDCF1867CFC890EF48988AA016BFC074CCA7C2664748D65A1F';
wwv_flow_imp.g_varchar2_table(311) := 'F641E143A17A8D513A2243ED83A8FF0426E20D5E2612FFF2889CCD801BF0DF8221B0C25FC13BFAB9EEFD1573ED239EE0E533E29A0702564214CE0790F2249B89973AF523EC37DF75B11C236539A3ACDBB03A96B8D23E406379D0CB731B2EB831ACCD586B';
wwv_flow_imp.g_varchar2_table(312) := 'A6015DA202CCD0796D6383F49CC8E5DA5B52BFCCCA01DE18CCD7D3DFFBB0E5B07E9F3DAF7574C5C104082FDF850FE0AD78A25E167CB356508C487D242961F2AC4CD6CC8A238DE3671FDE5C87627EC6F22B2F4CBCA874A66C53A5641A070C44F8805A7A17';
wwv_flow_imp.g_varchar2_table(313) := '6C3AD4BF41777CE16B36CC6B948D507C5092845D788DB8ECACF554F69B807D38AB6E1D2B6C4633ED3324C809989826E0B40B4888E97F3C987BE12AA1B172FC0F0C74DB556715A1604633AEB7B8370E112026AF39E188E36674B497DB1FEED2DF740C1397';
wwv_flow_imp.g_varchar2_table(314) := '1AB7CD71CBA4CD67D0531972B9605B12200B2B3A0FD92DC636881729674C819323EE2D368143CC499745752E5B1C6049834C64BE63323060137D87EC0B6F81CF001A4FF6E3AB79009D64F0F4EA3623996D6AEFCF32C740AD91F970919921FF02C377B3A5';
wwv_flow_imp.g_varchar2_table(315) := 'A898EBAC0228FE34F58A561DAE431AC8D68D7F91DD235FD8353426AC4402CA7F674FE3D991DE3F16D8F0AC40E5FB3D65621F5C8C776DC8DD6039252A94FABD75D26AF780541A6D4CAECF442DC6D782A698A0608DB16C4DB4208FF56257F5FC4C640D0AAB';
wwv_flow_imp.g_varchar2_table(316) := '6E1391126A882C2C037152094313EE6BCE0789FCC8A46E1739C59837578CAB4C1B6D0A6F3CD2E28B61C7F76D1E45F90907AC4AB52956F1D5F0F28F53686CBB0B6509BAC9EFBBE094BFB11CFBFB64A0095A4600DB8308B2EE987794355B097241D5C4ACE5';
wwv_flow_imp.g_varchar2_table(317) := 'BCC1532CC32130895FEE82FD7075ABBFAFD6487CAF323C924CDBFF20318630F02C2749C30913D8FDB86A64B349AD183F147BDF081B2E53265548B8E47E7766884EC4F702B0735CB3EEEAB598480267963D108E1B0A429F4A25766520E558341E44AFB4FA';
wwv_flow_imp.g_varchar2_table(318) := '57F86ACE9A466C7F010E1C0C0580FC4A9525616862E6163495A91003654A103717D2A032130880DDE091402E9428C5D0A6FCDDAB1C4EF8448349E45624CB67714195EFDC00EDE4954A3B4CF0BE469815145BA56712C88BE2453DA8B70B43765C1F6260A6';
wwv_flow_imp.g_varchar2_table(319) := '4696B8CF31FDB61BCBF83BE4BBE50DCA48EB2C3B1B5428E1B73147F3F4FF7F6BA066756197CA83294E40F9B73974B10B3AE5AC2435A23E61D24CF0F1FDF5E9214F10F3B8DB16F0ECA3D7D6E355D238462A924FC583F744841D384E1AD92F35D8BD4E9409';
wwv_flow_imp.g_varchar2_table(320) := '58B37556C9FAB5F2C65F56197F35789FACCA1BBFAFB902B3CCD931D61BC8883492D976BDD14AA1C4966194C5FD1FCDC01531885EA97D7D47100C603383D083A3A228D69F86FBDC560B94BD31DB677130676EC92B1ECB6618C28A392320E03F9CA3B8F8BA';
wwv_flow_imp.g_varchar2_table(321) := '461D3DCDD3CF810814734F9DEEE35135EED2317FD784E2519A93994FDA858FD8E924FDB8BB939129D36229A33440A8740F8BCA7C47C9E82FC2DE731C57AA05176594E99C6BB77953A9E617D979A839B86B591BA9DAE8566605BFCEAE834CA123AC91BA1E';
wwv_flow_imp.g_varchar2_table(322) := '3432B9F072DBB41CBC478B59AF4F1C47B7652E4C2031D3A0619B3982FF617B014CB293DFDC9A967116CCBBB00963C077329EA7FF98281B516B761AA5E906F6E6154B5D50FA6DC0A50F0EDE124283B1B7AA24AD3BB154B54A4BCD8764F1A1D4BAC57C5BEA';
wwv_flow_imp.g_varchar2_table(323) := 'B2EAFCED18AD133275112B3B9547E64A1178D0FF9DE0651ABBBE28ACCA1CD07105A725F70036203819A02529F1BA67FEB22F1BE97DB967B5519C9DAA411F6AA8CB6076621CB0590708B13F2B2337F71F555AA242B58CF647208F24AC248B4A3052C56F4E';
wwv_flow_imp.g_varchar2_table(324) := '0928DBA68E43C01F240919D535E4E0C4A18A761568F9284F9B16B4FDA28FCCD03BFC0498822E70E3DB48C5890E04C8661513EFD3CBA32075FD428E7363AF2565EEC10B879C2DDF59F2FFB5064171FC73643619A4C1637B6999003BC4B052CC68691EEC63';
wwv_flow_imp.g_varchar2_table(325) := '71B4CA19BAEC0BD7A818E26D7D251B6A53E6D1A799269D6D9D652B209227F4055243FEBBA21A93B0B353A95BA5B12C0244D866A497ECEF5B4C3131DCD455469F7E04BBC71A4DD6C85FC1334123C426B3399097D2C5E5368CBBE98D0D596D1DDAE0547808';
wwv_flow_imp.g_varchar2_table(326) := '4C1FD2A11A3AA7F9F8D9450638FA79553CB3BB35353F1054A89F846E576165D208F01DCDE8D91F3092E5FC98FE8C69C6887A760E4C1A7F734BCDBE647E4CF20EF062240614F49909ABFC40CB838452C8CA6E2AA84B66EDB4BA90D32CC013BB391A6F9D7D';
wwv_flow_imp.g_varchar2_table(327) := '9DA115DCD42FECDF0AC5A1DE12DB2A960B5C75B2234862D54C8991EFA47FD140BCE097F54F443507A3ED69C909FE84704882BE9D33D49751549DCEB99C7AB8449446B85C32FDA583E5B3C85916A0DE083E8F3CE6404D04610AEE7D37BF83746F6F259150';
wwv_flow_imp.g_varchar2_table(328) := '4F8CA61D10A28336E84CF46931FEF0ED24B0D810ED988F4AF08A1102CABCCE907EAAA97AB02972699FD867D038714458B3291F464ED0CD63826D41448D5150639D4F1EDF617572A8BA6E53511167D465A2E3F4EA04A9894A8171CC68CA3E48841CC8AE75';
wwv_flow_imp.g_varchar2_table(329) := '257A7D2E593D986DE03E08F1530D95048F46AAEA24BB5E72395678E8B942FF14CAC104A11C7ADABB9EBA475D6E07A309C9A5286255EFF8495F038AB30D68A821BAAD02A27054C44D9851926E02143D7DA034F1466D15A51CC3AF0ABD7AC65FCC163AED05';
wwv_flow_imp.g_varchar2_table(330) := '157149F9EC4B9BFD03C6F88C956C02091AEBC6646A21EAEEE64EA3680EF4860708A65F58B7C699D837CB6747351D73E0570EDAA2DEFA2EB9BAA230777517BBC68F5F7C22456033C4F1A13FD824CA844207864A6E85810CA0B88CE87071F12502197E8A6F';
wwv_flow_imp.g_varchar2_table(331) := '290F7DCA3FB2E4145DD4DC4834F3B20B829D8D2B615EEBD4936FDEDAE12A9005C12AD18B5E22701E092A1D1D9C174B3679FCA84EEBFB99B7E0ED60B2F7F43B250581E7F0374DCC96821392E7240E73EA5AE7E3E61C5C3CD06EE5ACB6312AE030B73D504E';
wwv_flow_imp.g_varchar2_table(332) := 'FFE38B265336A449DDC77461C1F5D2626A728F64A41FC68B8025EE2D51B63D5C9A0EC57B2D95302DE06EC5BD0B56928185C3245699D07FF70FA521540DBB887A3418360DA79EAA37C6F3B32D535E1C96FFC42535C5D6C260B643B6DAC1A1790DB1F6C9D6';
wwv_flow_imp.g_varchar2_table(333) := '03978D769963CE19F549FC79CFD2BC1F613E2B995153B1F15C40B4136167B32A0C025A3D3B3C0FD74A7FAEA87874878C4C3AB268EDC6B2EB297544DC0F726F29CC113EFBAC24371B0B384C1F8B4979C9D94F9CA55C1E9D7BCDCFF12F2C5B38D8A979E946';
wwv_flow_imp.g_varchar2_table(334) := '51102EB459EE9E4471DBDF459737A8C7E09F0A4D1EEDD586CDCF087683EBD418DAB7125D9E589CB525D0895AB3DC82286C84E35CA8019D8661C5D190C5DEEE0FE9D4F6D66FF324719134417DA7345691A498A7A47D29AB2CF1A571182A16DC604562F709';
wwv_flow_imp.g_varchar2_table(335) := '795708BA35C6403A4AEFCFAADAD1619313493D8C0631014B8F9A38BAA1CD4791AD0C12A2231266D5F5E0D21FDB3DA29BCE320E682559E54F256C4DAD3C0C23BAB84339CAAC12BE9B036198BBE20F545396D870C9EAB9E01FBCC52EB326B009D391DE94F1';
wwv_flow_imp.g_varchar2_table(336) := '7DC8CECBA2DE7720B9A5DCCE110B3751B44094D4F9EA14692DD6AC6CAA08566B7AF0E83A1B25B0CDDC04E78B0DB09F77236F8055DE551313EAF3FEDC046AC5CD0B5EB850E00BC154E6AE85909C447AFF8E5E563E4294FE0815CEE5D62E89B25BD79F2058';
wwv_flow_imp.g_varchar2_table(337) := 'E013654583CE95712EBF3ED70428E35CE476279CB0622A091E8742C5CB24D4944DFE98444E3A8508876B57EFC27D504E4723A62F946346D3D65640D8D7BC706088318F3EB8B1B714C5D168A25BABCF9638BD2F94F712BE42F738C940628819F4522462E6';
wwv_flow_imp.g_varchar2_table(338) := '1E63404CDF85AA29906475435CB242593E61B8D7383F51D01860785F658E495D70F7A918CC46A811BAEA439E558403B7F070B8D646880647A07096F495E0815C3D90943127D9CFB85EBD5D1FBA670984627B36F2AD39A6E61D2E240DF518C9CE60730329';
wwv_flow_imp.g_varchar2_table(339) := '1A7AB2C6268C9BA3303C26C6524122E20FF85AB2E30DFEAD55D23A862F6E0A7BB7B321E86AF2E7A66C8E8C3BCE0AD820A77173DC4678B1F3F9344E47517397021DCD3F0C62E255D1D4B41346EF54B30CEDE1B2E6AA73C13552E9E7C17E66A106B47FF521';
wwv_flow_imp.g_varchar2_table(340) := 'F464ECAD64DD08484F0B2A769259384392E9D822C553ED35381454B77949AD009CBBE002B164D87D1314614B39AED22C8115C3EAA5D57F11D5D15037A149BED6E409186FEF0EA4F70F84C2C96792D1C55C6C9E42AE744604DEFF4F75517524EC08A7C4ED';
wwv_flow_imp.g_varchar2_table(341) := '8A0B3C006FDBBD997446FA04612287E934DEC3A60CB093E63CF5F36C7E288E1C2FE110ABFF64A26E7FA05C215EDF9A158EDE47AE25F7AEF434B3ED5BA5912AB9560CE9C91C04EF91A9F9E4FE3CFED877CADE404C858A6663302FEDA3C2A517E3AFF98A9A';
wwv_flow_imp.g_varchar2_table(342) := '058ADC4689282308BE6F06C72BFBA66E7C09CB78C3E1CBB65843C98899BC903D47A38D869503A0ADC3A506DB528F440686B69088EA1A4196AA89E889DEEFDA4E9E99AB138A7DECCFC8BC899AA41A30AA7ADA75E7AD8CB1D93043DDBA6912A9A6998D5BB5';
wwv_flow_imp.g_varchar2_table(343) := 'FF914215C44DEA3CDF6D2727FF167CF39120B2D0A8DD74D9F933BE4BC547DE888CF964FFEC6397249E42D155E2D5C210DF6D2C1EE2F3150CD0F86D77AED74E241505389D0652DD266359377D36EEE995D8EFA7D9DCAFD44995BE7DF93CEC95474224336A';
wwv_flow_imp.g_varchar2_table(344) := '25FF4C4CDB92B6FF0FE9130D4E2872214170A7101355DD17FEDF28F92DCA9FCD9C58E7D5D39D90A174723BAECAC1166EC35DABF090624086755D2BB5476F0253D64EE429A00B40E6641BCB029C0A305BD36F3CAA8C1A1EFAC9B2F54ED1BC464E65E3047E';
wwv_flow_imp.g_varchar2_table(345) := '46F3B7B3B94285BE59306E8BA678E168CE823925F5C1DBB991254EB4BD2346CE1C30C5F24BC2933D2F5CAC16B108724D1E9AB7CC5276E20FEFBA774E2E3F0351A0B72F999AF12701D1169C53B8AFD36FCE786D7DFE4537E312FE3683913BCAE285A48243';
wwv_flow_imp.g_varchar2_table(346) := '3FB4ECE1C81F00759DDEE5F8E567C906303226B4164C4F768FA0D4B213C84F08E76D119700936B2619CAB5DDA60009D52E1F444C19352D2A5D9D7E32663145E8091293BA0E250C729BCF99C6FE9479DB40704C962DA6B16ED455B0724CCE0B58BD873744';
wwv_flow_imp.g_varchar2_table(347) := 'FA03BC62084629894070A9237D198D66610E0E5C341636FAAF99229CA6C011F5FBC0BC5BC6224B0DCE12CE528C96194E371E509874105B1972B37ED3878A1A31D165990AFD542DC12A05724097A7B344842A61221212341B26DBC0D381F87B2E9FA00EFA';
wwv_flow_imp.g_varchar2_table(348) := 'A733D870A25590947C1E926D3F14FA154245FEA360210E39EB453D92989DAFA9AFA526A242BC19CD4053647339669BCE74666C0ECD103872ED5691060235D5155D51910B8F61031F86EE86EA04CE6D0FB0D73BAD04338489D1DD38EBA93267C06B87263C';
wwv_flow_imp.g_varchar2_table(349) := 'B6EACAEB5BD0B295D149BB426303FD5A427A445BA9C6CD19D0EA00759D27B7B7258B71E0293AC05FF74CFE09F142BFD389853D2CADDB10B338033F73FE76FF3A5F0B8CC87624DEAA148E0C3DA979E7420A6FD98EFD7446395BAD764D75E0BBBBB447CFC5';
wwv_flow_imp.g_varchar2_table(350) := '582EE2240811DE320725FEDCD463439737013E368075CAB5A86C7F0538757FFE21AE89299F6DAF70D4C4B4E2612840A01FF9BA6AE49E6823F2494BB62C625F17A688421DBD632A30DF15ADF3B6DD6C4AE264A690DF406D904788F2517687A4E321E40C1D';
wwv_flow_imp.g_varchar2_table(351) := '030ECA651338F1C1B840C8F0699326BC612E3B5126A5831C31A56D07D025880A95721FC7F0B153837C731B5DA2B4491635BB27340567C792200F0C3B4D79F45F4473333DE37E857DA748F1AF1A2D1C48A3813953F53AE0FD3173FDF02298135577C1EE23';
wwv_flow_imp.g_varchar2_table(352) := 'C15DA301C89EFF1E7A1610724FF6848FDF173D62011089E4E5DDF624A7CA2041FF06120BC00595AE63AAEFAF9E0B0732F0BFF2DF2F5F2AECCBEDFC74EF2CD74B338EC6AD25AAF85B4985BC0D0A54C52813A09F44CD26A8FCB12BE91C24A4FAFCEBC49389';
wwv_flow_imp.g_varchar2_table(353) := 'D43FE13E8F463F1E456544DD69E27F258C59AD843CF24E0CCBFBB36A6514D7E2B099929D0B54AD579DEAF3E9AAE643B58990DD015E3B96E6EB0E7D6F1810A4052E271FD2979BD18D6BE56840188858583AA8A058CF0F4DD98A9DAFCC6BC8B50BC933504A';
wwv_flow_imp.g_varchar2_table(354) := 'D5B8465D43EC1D90FB2A0C477FB30E6450FC627C52B5ECA4699A96175592F2B619C35DEEDEC0E28499E185DB69D2821BECA4A64BDF800192E6898C99EE3C344CC902E9AEB7CF4CC2771270C70D706BEFB2C1AA09D9E8A1031D66FBEB33F01ED7B045342B';
wwv_flow_imp.g_varchar2_table(355) := 'FDC9011234FDA889E54E16234189917F84433CCA94DAA2379A44313FEF2B47942E3F8DE851EB896A65A3335602181C6261181E42D2C52DDE8FC1D93251887E0A318DAC3098CB54752380C074A7BCD35A92B2B4A3A2BBDCC17115B74FCA02998AE5CEBB11';
wwv_flow_imp.g_varchar2_table(356) := 'C7E727D6637FAA9AC10804FE8D9EE50041CBECAA933DBCC41BD082B1F04CB1921E3955178DC525240AC37B638A08F3B0D3EE6294EC347292D2468B10AE05A89824AFDB3120FCD425FD6D89724E5A4F18791128A380C845F09E4B4D4E7854AFE869F0DE95';
wwv_flow_imp.g_varchar2_table(357) := 'AABE77F7AA48E75654071798D6C7E314160CA475CD0519FD0F2D454870C62499C8B0B9FC3A40CA2C1A9DD1EBE065142A8D84160D5E85F17E6CA655C72BC47F4CBA76584C419E5DE1A7419B62A33E2927EA84D382EE28C50F094E4FB0C104A186D03B7DF2';
wwv_flow_imp.g_varchar2_table(358) := 'A52A0A538D213A54F0560D7C0E53346F7852979C9EA83D8573D2396AFB6742062209042EAFA10A2162B784E24DF04CFAC1F8D1E41E7AA5F15502A38785C656933CEFB7AD62D400250DADE55F77C67C88A6E23F412AC0859AE0BFD1966AF7781D9003A701';
wwv_flow_imp.g_varchar2_table(359) := 'CE03B5D72C00E2AC19AFF2436A90247393752A587501667BB9F1430FAB3D21E7AF6BF63009E1240CA3C39EFF94C0702D6D5ECB7034F48BEA8DCAB0F01E28C6C0E28A2B9AF6AC405BD6E7A0E7EC9EBE5B5F3B0F444B4AD77009141742E03AF56C73A2730B';
wwv_flow_imp.g_varchar2_table(360) := '03B3ACFA024EAEA829A00F9730AFFDDA8B97F6ACBBB24E4FCC41E5D61D31C9924F0B526027168CACA4834E38E6893C9DB3CA7E420ACC716427C6E1BE8A72C051A353EFAD9BBA1195E88E1EB616F1C01461E74B56D455710450EE68334C4B0BAC9D8D0569';
wwv_flow_imp.g_varchar2_table(361) := '475330BCEFA25A03A449A28E0508AC4A5699AE9ED95D7B967DEB21CB9221EF5A475558760B42319883B2AB5A31568D02683F26F6241FB0D31FB678F1D6923CB92F2AC1857BDA5BA834F1B72B7A682F78435025FB033220C9C20D0DC91ED33FC69B220F59';
wwv_flow_imp.g_varchar2_table(362) := '6AB89E07C39D69C45F25F1B1CD892B70BF9E799EF80DF0B8AC8740DBDF61FBB58454FCD4AC4E7F288F9F5A17BDFF088CA296F10060E62A5F6C2F77186D94E102BB52A9FDA8DE02F3B9F383ADB88160409357238AD82415C2A41853ED68D4EC8B0836CF59';
wwv_flow_imp.g_varchar2_table(363) := '7C32E1D2705D1900F876D7B33FCED0A9292162760B9EAE1D50F4923D12FDF4DF79588B536826D29D34151CE6170752AE07F2BCD8B7A650EADFA4C0040D91257D1F4C0579494C80F80C48A5F2E975BCAE8F731F9F5123F3D3E5DD39B62A2AE447C55A2922';
wwv_flow_imp.g_varchar2_table(364) := 'F7CE90325F2F8D69BA3D0F7EA73AD776F9F532D6B0916767D20D9538543F0E7A4607554F408DCFFD0074A3AC959E1FB3994A1B0C038959B9BF267B11D8862FC6687C2949333B8428BAC2D76E421063700C864785304791C500863EECD583B44EFA776CED';
wwv_flow_imp.g_varchar2_table(365) := '03838A32AFA3DD7FCE32710D09F4D8B29503011FCF263A5BE8B42C8D613420D1180524AA5908A88E0D4E104E65647DA81C1AEE8D00D399A24D53F1BCE34B0D4DE192CF425A086B45A212460299FB418A5B352D70068AB356C70272B0D4BBD15138913FE4';
wwv_flow_imp.g_varchar2_table(366) := '310F30EE22F787F527558F4F5347F5D2FB363E3529DBE69F09BB9FD6885CC14ADA9C534BC0C460AA98EF3B69903207C7EAD468333E5A65BE4CD76023BC2EE2F8B1ABDFC28725E0F6CBEBA340C4708E0E85CC855C93B18F969432BCD2478AD430F245C711';
wwv_flow_imp.g_varchar2_table(367) := 'E82835C9C99828576D8516B6CBE7276F26D6950F377404EED9AD6FF528523D507E98C1FB53031B4B9F94DDF9D6BCE61C7C4A6543DC70F9B78662A47466FDFE8A17F2F8DCA3AED08F94F10E758EB4BDEE8B55E70D08DB50528FF81F756528ABA1E32768BB';
wwv_flow_imp.g_varchar2_table(368) := '10989DFEC392D33E48EE11AC0A6697A18936A68FE3A8ACC4A42368F137942B861838AA608AB6FEC743382924A86708E88035221B9BE95C6214ACE7C4A0DCC1CD2A61CCC6D2B674DD31BD5729AC160EC3E748BBBEE1BD160E6EB543FBA2F9173F904B314C';
wwv_flow_imp.g_varchar2_table(369) := '75B6E5FA59B7092D3B437CFCC914E989D6BAD4038FC4173CF24C8C8D20D05A115C1BC8AF1374F40D6F60892B38A70AE487B254BF80C5359A0920D110E6985B212C00CF617052A8FD4B327A9FB455D6012E440D83FEBBA5EE8CE299A5FB2E77BD0AD533B9';
wwv_flow_imp.g_varchar2_table(370) := '55DBA486131768E827DBF953BFA8A0F21FC3B1EA1DE7C62C86714745F173833E9646E83DC6E0E7A0358D562CAA0A3FC2E563FD0E31CAFC6BE0D4D6016E40B46F179C6680520745873C6AD30CDF5B1A098B3D90D54FB536A8899029897F293D8518EEADAF';
wwv_flow_imp.g_varchar2_table(371) := '32A328818AB5493BF4334E872DDDA041DAA5C958C81E2650FFD738C0E720AF2C6481F6E0729DFCA84CFBEB6A3D3DA5F850567E9C43D01B9248855A91C01585C850B789FF9BABCD1669FDC4912C1119E5187B7F546B6485B0870A6417F19FBDAE5B2D7029';
wwv_flow_imp.g_varchar2_table(372) := '1F4D3B136FFE1EE33B5C8C07987038866404E9D77BBC3D2084CEBD0B1117CAEB7DA9B39EDDAD0BB433E57183042424CA3D0B142C9446D6F82A13BA3A37D9FD506DB9C424BC6C7FE3DE7C0DFFA3300FB04A336016C8078EC535C79ACE2B0AFE8442E69C50';
wwv_flow_imp.g_varchar2_table(373) := '51D81122969E9E86F3D8DF906B8EF3A89612BA3CDCCD2F19034889A418AD923AF31D0ADBA4E37A11EFF19DB2F1F740219AD0D4F1D14AB13704A83AC49BEAB2D90C5E7A86A8ED181748C10E19955B0638989250FD6853A385729BAAF94FBCFCAF59E3A282';
wwv_flow_imp.g_varchar2_table(374) := '23810C44B5B359B42B8D0662E22508C3540ED06912A3B7C85BD42F5AEAAF3D98F2E9812E55418BDDA5635443D677701DB98FF9F292181D1CC3A7E1451F011A4594E720744470933EC191A36B74ADD9616D0EF2FA67E09332A4DA4A307E52843E1BA437CD';
wwv_flow_imp.g_varchar2_table(375) := '9C14B2B3044AF1928DD02E58ACF5DD2835116CBEF72EA4AC2B7B6AB8E6341B4C7EB62AF39ACA78E15B25A68421CA45AA25C8C2655FA257C65B7803F847CE5685864C21E6275B4733F3B4FCE57332B476C9C057758E7DF024B42FD796A508B966F1F294A2';
wwv_flow_imp.g_varchar2_table(376) := '6A5B9634B6391059D204E2C5A79EF0C5A1E6F2F649678AAA35D9E4FD3A47FDA37390542145596D5EAA6DFF2D4903C570FF87837310BBB44F6995C47AB0D06C74D3B7508B2F2CBF5E9AA0E5C6EDCE363FAD1CEB01DAA908B99D155F9092249C4C213BB9E7';
wwv_flow_imp.g_varchar2_table(377) := '835526635F39F1364162F34677485671C97B9A0F7C1B85D23BD3978EBB1CBD6DE3FC72834933F15A5D1748034E5EE0EDD43A5453899E785CBEF9DE4FFCF5275F4EAEDFE1696DAD4201C06873E2DA811B383AE4EDFBAD48498999E237841EAC710621909E';
wwv_flow_imp.g_varchar2_table(378) := '31EA3EE05E42C6B0A2F37A78AE6C1179DD7562BE26ED6A37AC4CB07F519246B9B997BFD9AECC5A2273425E828E9AA6516335E7AE65743CFA7BD21A104280291D4834D27AC877C2C9389C102ECF0C09D06D123E9A43E197E65E66261D12878CD7857261F9';
wwv_flow_imp.g_varchar2_table(379) := '7892F5C2EAC645D7AF340C101344989F634906A7B83B56BC5555128983564CE240C594EA815FA59D30DB8CB64A0179628D3827773A3E4906B9AA49939539E2CAFAB5DDAFBF9A131FB4FCC890C8F792A9F64325A7B6F8CD4441480E8E85F0ECBCA437B357';
wwv_flow_imp.g_varchar2_table(380) := '7EA8626A67895782F551CFFF80173000E1CE14E61161AC3B112C05F86DC691941149616E7F800347C94BE7C9AB8F85AF105C00ED00795634F34BEE1E8DB31C690C333E4ECF9020B02685BB3E13D1AF1F9D43966338C45E9CE09432AD2FDB297686A85098';
wwv_flow_imp.g_varchar2_table(381) := '88559A1855CFFA703DAE684E4E32AD92363894EB735548F36D0D7226FAF575DE834CB83629A3F2FE5456192BC86719E0BFE704E90C59CC09A5176EE657FE7454B52F9943BA1E9F102530C825D67F0295349ED256D9C77C5267C5EA74F57D64944F640A2D';
wwv_flow_imp.g_varchar2_table(382) := '5311E4E4EBEBEA6C46D8FED76848FC47C2BF2041D30007467259366E906C1754328CC01CC29B5D780C955DE3BB9F62628CEC6BB5090A08E776FEDE667CC7176C23C3BA6B2F9A794DAFC3E1D59A26BE4DC9796E4A997AA3F9C85EC803742E319E5A753421';
wwv_flow_imp.g_varchar2_table(383) := 'B45AE56AF3D4793862C24B0423302E3AA0A273207B1570B9B9235973F5F2922484FB00FE1C40FF6EB5CC2757E665420C610182ED93A86675A4494C8CE90B754147D402D1EC35D38A4CC84C5AD623191B7698BBA3886F3B1AA307E5CDD91BD8F7FF994CAA';
wwv_flow_imp.g_varchar2_table(384) := 'DED60079BFC4746EBC486A13641CCAC67C02AA0F8CDE43E004C1CE848764175CBAA5372F37469188431F3D21E6037290E0BF08D1C07A07732C3DDB34650E063820AF85755C610DE32B3AE3A5EA4E2B1927D366C6B8AB326E97E67D0F637F52B803DC3344';
wwv_flow_imp.g_varchar2_table(385) := '7EA9F70E3F3440F53619B1313940EBB46D4C5CC80502E3BC5434765DFD142DB2A94F8A91BF29F0177951C44C42AEF73135C75C812B0F90DBB91E7358845344C7F1279E0B402000EDF723686CF2CD503A74D4963ED75C22C61A9C5C70ADE11024C8D9D2D7';
wwv_flow_imp.g_varchar2_table(386) := '1AFF6E1C750E126690662B8CB3E595F851F3C60F92A6F2BDB561E78635529F7F8A04B8BF180F2B6EECE04EF83CF71C3627D7F37E08F850FA60CD3ABBE0353CFAB9BD1D8A5F0686DC5117F3DB757080BEC4A252D003F032089BBC026F70F1804FE389A5AE';
wwv_flow_imp.g_varchar2_table(387) := '97289A82BCA3EC4F4DCD29C28E24AE6DD692FE21E06F42D74F25375567C79F16DE3D5E8910C8FE0F0D1EFFA4158AC6232E4B839127D14320BF5811CB7A57FB4EF975664213BC793B75E264D541561B6CCD3807B552A4FDB5BD8D2B6BF9B0ABC958385CAB';
wwv_flow_imp.g_varchar2_table(388) := 'DD6E20BF24163725D956B576E20457D5ED8E6FABD9BB33F04FD82FD3B88200E4D380DF6C8C4D1CF89B052E224096233A5C568778A7A48FCE30B6D068651054C4AA5FB6656D504B76696910FB531164F15497F434058CEB345C2FE85E55AE660280A37813';
wwv_flow_imp.g_varchar2_table(389) := '1EFB6819CA2411BB591E2D971EA6BBCE3DAE3F25107348EAF97894BD2DC30AB2F34238356416C52E3676B73A19ABB6EEC63A24428737A13A436DB01D611B3A26A16A61B8890E2B6948C7001E197D78005970ED16EA6D9EFD5A6812BAD15609729BCDCCD2';
wwv_flow_imp.g_varchar2_table(390) := '93444EDAA44910A20A5CB05254AC7D6D4C3F3B55D0B44BA387B0F333D089E4CEDC809FFC3CF16AE4E0C4B2704B9CD9ABE9107C70A0156F00C09F6BA808BB6A2B2EC7F12037846E44313F9A011CD837AD6CA4D65516FB00E2661B768DE4E0AEAB1A45BF2E';
wwv_flow_imp.g_varchar2_table(391) := '1BE2D6F0104D07C85C99A84487C8C8BF378F786465E487EADFD474F9CF1AA6C874293C3D269ED7E4325206D60E1AEBF16EEBAA6AD030E13EF22AD0760FDCE80CF6793C03B5FA4761FFBA0F1BAEF8DE134C0CAC198395D2DC692F36DBA6AA7941C1972959';
wwv_flow_imp.g_varchar2_table(392) := '606BFB87F7658686809C192619861427882885B21D39E25EBC3F122A45F92AE11205CC46F914663B5F81A50720C22A88C77EBF2FFC02DA0F8A4443D48775C0C7040A1FA7D07CC81687D08E9F722E6606A05DA929881CF60DD3FE07ABE94F44F56603FC20';
wwv_flow_imp.g_varchar2_table(393) := '1F3ED33CB87EF214629A25431FA025487C6C03FF5A3F1F71B73224AA22798DF0B35C49519D8BF0A479156CF9A27059450032D4E9D260E9AE73BDB79D1B299D09AFA169FF84A2509A52B1094D3C0C865C3F04CA56E05D170FC2BFD3A1DBE412950E0EEBCD';
wwv_flow_imp.g_varchar2_table(394) := '7A7251C56A8B3E2A4A7F454531D4AA9319CE1528168341EEDF76269154D67AFD29D2F9E8CA587EB3D3A4A40BDF6A0758A2AB4425369481ABACC7C3DB410E0DC846C13299EA312791AB3682554E60D02C09E3256B50F58727B63334F0AA6A522C3D0BC31B';
wwv_flow_imp.g_varchar2_table(395) := '1AF19918D253071244F3CACB88D8C61BBCC572640C2D2DDB284BA56EE5BDA19CE937FA5665AA5031952597932DF1A22A4F8E582C44E80AEA30747F563007E17402AB1B1B00479457209E185DC287AA5910C5D0A88C27BBEBF2760FC6FE63CD6089FAEF1A';
wwv_flow_imp.g_varchar2_table(396) := '77DB45EC7F3B145B73C4811B2AACA9934FCCD0A96E873611542BA9141CB352CBA32DB09A94CF692E1F253BFA761E6F3D27B0F83855F4956660FE8E3704776F7AB8BF87D6CD53C12B5759B2804E383A5ECA734EB0FB362814F5751410C603AFED3E096AF6';
wwv_flow_imp.g_varchar2_table(397) := '5AC9A8C1860558D0048B1BAA17A6AE389498EEF080035D835D5CF07C96CC0E7E3D3F7F0093E3C1AA9BAE269949B3FB903CD7C62B14550831D8390E12F64259FD69F6750EE2AFAA57AF4410213E3840B0FC428B016293ADB8CB9BB54EA82C1F9F181B2813';
wwv_flow_imp.g_varchar2_table(398) := '1AAA868850E886CC5F93FFD84352D9E89256405D8E7D5BEF1CAD5162E5499F8CA5851367BB210A0158DBFECF2E8C8AFC3F1284691BDED4358CB03DA2320EDB97420263E5DA4892846E0392285ED76CC8B48899EF7B0D0CCAE68D24F907059B7989A74277';
wwv_flow_imp.g_varchar2_table(399) := 'D94F53C513A1675460665AF5BA59CDA19E99DE32B7BB29C690B06AC0347064E9FB9FCD38B000A7AFD1ED28577998712C7CEF55A1AC48A38CC1F9984AA1D616AB77FC354EAD1CCAB4C8E3D312502F00A2F8BA6B79C5657931894D5A298F7A82409B414576';
wwv_flow_imp.g_varchar2_table(400) := 'F37BA82FCD5A8F7D75A4654E4D5DBA95BF9554BD2E3357F8DB9AE3BB16E81ED8D1430F161395ED0F97CAE71E21E3B8BB913758480079364C8D7B2F6034149F581D56B7FEED45EDD4545FF257EDC763000813643934EDFA0BD67371425C4FDD976983F6E8';
wwv_flow_imp.g_varchar2_table(401) := '8A8370939D5D8A1392F56D4F2AA830B2D51EA76282ADD42D3FC09A6DD51CC78ACBEB04C40A54429D57A67D599376995AF0D7CA5F54CA2B0F1379FA7A84506C6708E0BB32A59F7CCD61415D0226EAAC2CC15FA72BBB509D3D6A188E90D3E20CA62A00A168';
wwv_flow_imp.g_varchar2_table(402) := '75D7B289365818C977D84652C3132A688AB23F3A8F003024A54001099BC8A3F5D29F8FD0435ACE6E5535804A0AF92D055B4F061A02DF2012E579CBCA785BA0C6E1DBDF35A82A5A101830CBF1214DA68DEEBAB9B45063627F77526E9333CBEB5D8C0BF660';
wwv_flow_imp.g_varchar2_table(403) := '4537A86F82FE35590AB11ADA9742FE3F7E9593D9D94803EA6022F79D64B977758F43166052F512990963FC6775B12EEBD6CE7A60295F28ABA2E4FEBB02CAC65F3E71F67166167E9F5623C62546A647C844BD24F6CB91517B0C33A9A5ED57E654AD0DAD07';
wwv_flow_imp.g_varchar2_table(404) := '174FC9D7EAC1EE2330B471B4A2D8457043F22F36E4264758DB173C799D75FF5FCFA877145E30E5798A726F1794CC41CC62B89626DB9A4D240BECB42ECD01DB83469F232767F19E40E4F9D21C9A30F296C5324E1B027F22077CA893512DBD876AD94EE5EC';
wwv_flow_imp.g_varchar2_table(405) := 'B6A83DA44063CC8BFC76F450505C5039D80E38F39434FFF3578D230F5BCFB5E3E2B4E8F82385EBD04D875A041575E5247BD3DBD652D774375891DB1924627027D1DDFCD28A78313B4BAD82371CA279B2AF32CAC079401961350D1B60FCF870E3D39F37BC';
wwv_flow_imp.g_varchar2_table(406) := '4E28DC4C3E4D01E169FC8CF90C8C5CE322C7D23E08536E81E26606359934E8204974209081FD8D8CD6D1D43E5D29445B1E2434F5A4A53F13DA3D8AD977D73C81E83679CD3B04B38928D4B8A50A902ACD429FADD0A1B7775DA1765D543FC438F73400F61B';
wwv_flow_imp.g_varchar2_table(407) := '0C2DDFCE84FBCF351870EFAB8FDAE257E9DD0EC1E7A21639B180BF36D3ACD3A69C842B1528A2CE672A52BE3C5EC56FE606DD33595A97E76D22C3FF5DACC48D92826EDFC0F943AF1B244F380E15297CBF94DD758B8C72B6F2CD14F9914BE545DD96492CA3';
wwv_flow_imp.g_varchar2_table(408) := 'B01009800E545C8422DF7DB6E4AB00B3CA62270286F8C5D50E7CB64EF15827CDD2315456C311F034C8130147F1410205882AC4214184E608E42F45FD9AD5FD40B2FBF7911149AA12C295C3AE2072C648509D3DEBEF98B714623AC32853E0B111BB24C54D';
wwv_flow_imp.g_varchar2_table(409) := '37558A3D5EA5B50E7465858C2080A3CA3828454A194862987788A91B157AA9E19A6E7DDCD6B63BC199913281D02C483CA3B9E8B22A4C30A9E023D22C4A6449287D03A74F246AD3A58E0FD1E56A2316CA6FE0ABE174B21D03DA4B02F43541D5D2B60832D2';
wwv_flow_imp.g_varchar2_table(410) := 'B1367CD739AE0A7A9AB76FDF7532E5A99DBA81B4AFFBA46103E2CA89FCED2BBEADF328C503AE8A0B2DAB13938AC51664DB2B6F49B59E22A84D377851B4CAE89962DE7589EEAAD9FD6B34D28B1862DC546AC1703AF99846AE95004054650C5D979A7A2F45';
wwv_flow_imp.g_varchar2_table(411) := '5DD32F065267D51F0A7E9A3E7EAC85CF28945628EAB6E2CE8E07FF725E1A52EACB16A536FD2FAB045105ADB8229B21EACA6081720552C3F37F89DB7ACFAD647AFFB8591BF8FF128678A5F1B8F91584D46920EC1FBD2A0C8D4B8C8880CD8A9437849D1CF3';
wwv_flow_imp.g_varchar2_table(412) := 'C533ED9560860FD61D345A536D0411AC7C88C8BF94BA32EEEDA673349C356F2564000F0A20D0B6EC6BAFA4BA73E9023C1B752645253150C1F8EC7E6A90F9CB6E116D7ACE80B8534C89B2DE2F8FC7A4A64B278F232C22560B5394E6FE735AD7470B1C747C';
wwv_flow_imp.g_varchar2_table(413) := 'F17B4F1ABE83CCA62331B6F6BF9337986389273FEDD2B982EBE6A2E8561DDEA3B95A881BC1C05B29B47DCEC96126B3DB2BC4B8272F00341431DE070CBB47AC28E40AD3905CE583721F15842E03C95BF5E3172F7FCD001B885928C1EDEDDD489B70916E9F';
wwv_flow_imp.g_varchar2_table(414) := 'C22E1EC4CBDA801464869A0E80AD562772EAFB979D8749CB4AE3F5295536AEDC156229F55C4F5D5146CFB54C93CC51D614FABF0C70D45E2DE18FBF9BC3726B6F839221C9AB1C242742E4A27AE72617567B8D0ED4554522ABFC775AE59B316B29BDA49EB9';
wwv_flow_imp.g_varchar2_table(415) := '0A4E0E59D66FA4B3E57E2082BAD04D18F725F8EF49594CA0A6ECB33A8B1E437C4D216FE6A98C925236FBCFC07CCA15D04FAA4F13C46CC51F093FD5CB736775B5AD0DA07E2D30263586E4C52A93D1BC84A539ED889CA361F948EE1CB8E2644410F967D742';
wwv_flow_imp.g_varchar2_table(416) := 'DCB27527D100309E333F855C7FACD0F6DCA5E985818ECA4FF36ACA2F90D4D5520DA68150AAB46EC6ADF59E7BB784305C4C74B0310BB3289AAE0D95A8FC1A2E12726680F799138BAD02246E4F4E73E571B45C784C8258E37DB1D2E2511833E9221781E4BB';
wwv_flow_imp.g_varchar2_table(417) := 'D9D4C1F3ECBE91A49DCF41F7580E6DA9C97EEE9331A412DEE16EA6F5E6BF6FF7CAB6E02F46753C23965DACDC48A362F35A11FF15A35E0ECB836CF00A929DE084FE387E9008AFCFDC3901263F42F60C0EC656C1C1BF604F641AEE1DBDD94CD1C9E4B4A48C';
wwv_flow_imp.g_varchar2_table(418) := '6FE54FB976C956E4087272B99861ABEC0924A445E2D7908B7D38B75AD2B067BDB3D00930F6DC8DF0618D0769B7104B67BB8941D680CC657D15AA430E5256B3BCEF4FBCA11CEC5BD98F0F02ED1A8C9EB1E2057E15CB4C944A18D9174A218374D91AFCED8A';
wwv_flow_imp.g_varchar2_table(419) := '29D6EC881FD5F300393FA8CBB8401E0F0C9191165A1FB32CFA400DF11D32DC9C7808BAF7FFE564242A018B67BECBCBA965CD2A1C1C5519708451FAC5955697D1800A02F8AA5448435649C9F808ADD5EE4B8AC134ABBEB29F80939C7EE27CB05391DD149D';
wwv_flow_imp.g_varchar2_table(420) := '800F79173C02F5C46D34765FE35DD76C2648338F4F2525E22D5F1E1635B03E0E352AF74728A07617333258705ADB9720B4626F7F16A3506547A22D2C147ED9370B7B14464D2D420D8F28147A2BA5747DC3D10E0018191CB46767B9E5B2CE681B3C81E6B2';
wwv_flow_imp.g_varchar2_table(421) := '8250590A49DDCC059CE1F2608494C8FE45B52A1A0A66DD6049708153861D20CAD952EA26FE5DFD4C1F43FFD3639B225D4F9403213C4FFA431E34F83A623D550D5CEFAD1CE819285F536840E0BC1F00AD716849A3FAA8332006B09311122BB9B3F6785223';
wwv_flow_imp.g_varchar2_table(422) := 'F8ECC20254F2E1A4A87C21317CC1F6BDAB2906F80F5A47EB7AC77522547AFCF7E032153A67C971346DB4B6F630772D3C436664C9625917A3826A84B569C82E62F0446D65426DA2BD25E1D5F828A7A8EEB7C9ACEC45C0D070E2AF712EF0EADCEC7502D11B';
wwv_flow_imp.g_varchar2_table(423) := 'B0B322F0A884D4FA0FF091DD43660F60D96CF6BD6284757BB67A772131C9005709887C7CA3132FDC54DDC80FD945BB0507C792564FD8AE9C40CA0BD3B693BC7C26DDB4D9D7CE3DD65D43579FD26715E1A40EE2B369C90EC9948AE58442B255FAF6470B9C';
wwv_flow_imp.g_varchar2_table(424) := '4BEAA6BDB057F72622DFE158637DB430354083AF5A5C985908402827C33AE0674D9F09DBF6A6D17CBA4A3B34FC6C4091FC18B50CD1B8A708D05CFDE9C284FC262A9CCFFDC19FA0E47B36042C674D87540B9A4F8E616DE6BF13CB489DEF1E6DA4753AA0D0';
wwv_flow_imp.g_varchar2_table(425) := 'E485E084A17A0D50585F5000AFB21752E38006993856C579ACEDF0767E3297A784DFA9946F83DF84664B8694A61F8958F06AFED5C0186624BDC0C70C93297F988F28863E004A4B63AD7531DA1C77B8941D6FDC987F866D34FF7A218AD46FA42138D355F5';
wwv_flow_imp.g_varchar2_table(426) := '257AC0D6687C8C0845143A1FCA1DB4E95A3BB00E8D94084EB4FAED1B68E15745FB4C9E4155E8D707F80ADDE39B6D0FCE2ED54F14CE724A39113D0027E5FAC805572AE3A947850A7A0762E79165CDF2487BF44C581148B4C305A72B6481D24BD5603C3DCA';
wwv_flow_imp.g_varchar2_table(427) := 'B7995CC3AA73A35EA4E3C2B22EB61C4D09CC6536425A8D63EA0AEE1681EA83E4CD9F2DDF7EFC5BE0835B887E9F55D25D7D04E17E34F602D96F59A8CE99FC0C3695B6232A49FDDB5E96BFD69BB9BAEDD45624C36D0D32D7D06AD5E34AB2BED59D5B251B10';
wwv_flow_imp.g_varchar2_table(428) := 'CD08CF8DCC9A5E19E39C2F9AC5638FF6ACBDE0091B38ACF8985CB8FDB075FF26520EC83870C00A876D503BA046F33637D6ECB2A2549ADBC2A2D3BD564DCFA80D71A4B9850B03F00C1879C2FDE484BA5E2BDB7316A8351343A38D939B631C7ADC2443EF13';
wwv_flow_imp.g_varchar2_table(429) := 'DE0B2F6583D03480C32117534AE2C44C33F72435AB2D131BEBAEB0FEA22E9DC8F37500528595A061A6E15F95E1CA105FFA8D2349F7510E44B51AD623256FABF04FD298EAD98D575A0F4D292B1AD2D0B6F536AC55D7794BDF8B0DBA3C0A98361AB1C050C6';
wwv_flow_imp.g_varchar2_table(430) := 'E50FECEE49E4594694357D32161782B2C6A59FA89E7990405F444AD3AE83625CABC8B7DD2D82CEE36DA050E963C2B1B2DEABCB0B4A3B70407363E6FFD37C43D7B54C5EA0C5C47A4FB9F3D9F316F3AF2B01AA31EE5DA49E9124EE0046261755C942D5F83E';
wwv_flow_imp.g_varchar2_table(431) := 'E11839E6E391887F46B495917EB302B6D8D5C45859ABBD6CF2DC94D97BD4A5CCF2476E627B66C4FA7B078D6A466F7D68D5DF41E6021A98731971EC9688021CD8CF545B55929A5F64B8450A971F7B8422FE3C79E1F9845AE2D8D5C85276D117FB982C1794';
wwv_flow_imp.g_varchar2_table(432) := 'CC13B3BFEAACED9C159C3AFAE0EA8A189CAAEF1526F60EA0AB4729E0F7E08BA0AFD21F4C7D33D9EA5AFDAF975D12030721EB3014A27A54ECD6A5C4A8D675FFD2750A21F720F855167AC99A78C3B458B13D4A33A8919B55C89449325F4D1E14A5D7DEC7B6';
wwv_flow_imp.g_varchar2_table(433) := 'F04CC8FB4E0276BF1B609E85064B78AA53CD9317751787D7573D99868446CF55F83021C03C7125F2E914ABD38A60637E692F2DCE90E08E1808DC2E8735A20F8ED0D854BF5B4A6BD734C28251F6BE5C2BBF47EC64BF6A00E09A28BFA0D892E2139ABC51F0';
wwv_flow_imp.g_varchar2_table(434) := '9142604ADA85BD7B1983BF7894EBCE771477D968E8B930140F741EF7D6ADA87F1F9E1444A7DA9F687837BA7029F936F7C3BCB8A16527B45D9D53820289A072D656CB7F9DF96A7B8B3A74AE4C1F0250939AC5183068070D39DD11D94414173716A027E210';
wwv_flow_imp.g_varchar2_table(435) := '585DDC82DC183A2CCE6353D23557E67E18D1E752A28DD47F3874D1F5A4477B10C61DAA4D1D451D85C0EE954FD0E1110453AF84F70B3E333CDF5C1DE9D74494AAE6C62D29D19B173AB04EE4E18BAEEDBBEC81717D32D1F62A67CFCC73CCE7F4C5108BAF23';
wwv_flow_imp.g_varchar2_table(436) := '6AB26DBB1A75D204B6F2C598F98E53F7F29F3937F4CE7B8C0D8CC79D0D58549B5EC6EC58534275A25270D6D534C7710430D0B5A213E73AF23627736DED271D2679E8F7171EA20B364D98A72CEFF1BA68DD5C0DC10899BAB99D12BB93732C4536BB69BFF0';
wwv_flow_imp.g_varchar2_table(437) := '46A5AE84D223193C4429969D3E83269F5A953CCE3EA291A6E519D3080596AFF891BE6A6A9D27664FB98FFADFDE5F05464A32A59345F54E4D10B491096612FF9B8BEE28BBA767B90E598A968FA92C14B0D7087AD571DA386DE619051BD3602ED40658F84C';
wwv_flow_imp.g_varchar2_table(438) := 'D54E1D593161229E59B493D6E026083C20C99154877D323F7D22E31FB82E2626DB3CE97EB5E9CAC5FAF8DB054B728D9A48DB1BE2B4674E6E646E65C091611F830B1790498187880BDD74D958B8CB1B9AF7DA9F31E40A4E97D037A273777E48F1493ABEF1';
wwv_flow_imp.g_varchar2_table(439) := '4641D3ADA9DDE06A252DB15747807AFAC38292BAC5345F21FCE8BDB59D92CD0C0901326F9CF93CEB0B0FB2A4892A3258EE1987940D29074054A1D4ACE02DE06C70EC9535B2EAF81019C8AFBAF2D2F02F728900E673701E6E6D3C01FB611E8438E85DD769';
wwv_flow_imp.g_varchar2_table(440) := '0676F351BD71DEFE3E16B6EC4AD7C6A33F0AB4731B645F63D223F4AAE07D0923365AFC4CF7DD4B5B0D67718E65B20B7E9895FFCA9538C0C74577857166B86D9867BB56180D7BA8DC0BE930D03377D0ED53F373487E4AF45EB93A33B89430B2CA8751602B';
wwv_flow_imp.g_varchar2_table(441) := '41DC9941A060E00E5DE0CB2033D45AE10CAAB80FEFC93FB75ABA03A537FD52F76519A52439D4DB6E2534A918499C8F4AE5B82304F4352BAA03557C9FE0186CEED7285FFB31D2E606ADFACF297DBA4FB8EF51058126C7EF6EF17408B21934EF261493B271';
wwv_flow_imp.g_varchar2_table(442) := '7D732EFCF6988961949C84EC60513715197C1CE1F21789E86B1A1A647068B2D2F9BC85AB467CDFE12C32518D700B1F4412448FA13EF554C14B6401D2FAEB73A6AF03F881A33C242A4BB01ADFA2B6FD3A817B28614FA82620E58147BF47D1D31F193BA875';
wwv_flow_imp.g_varchar2_table(443) := '9F317DA5EBA77E32A326430DB3F7C09DAF01CAC77E679B6B09B090B5E78491886109F497AA2E83955794E28187A8B21808A7C89BCA16108787801DDAEB8A01011AFF9AFE9D598BD1877E8003CF77EDBBEBC715CCBA3632F7A0B4ECB8DC7D7B6E1927423A';
wwv_flow_imp.g_varchar2_table(444) := '83084CE3156644F7F2E61FC94D8A936949650EC3B7A0F8C233A5DA43AF115C51A7ABDFD1AE18E77F55DEA68F98DE1349D044D042FADE965AA169400ADABAC8906427CA7537BDD7C191273E3EF49B9AD18A0D2B3516F61CAAE6C678B4FB40872D76FCF55C';
wwv_flow_imp.g_varchar2_table(445) := '469C73C8EBF26EC59AAE13E6E1E8AFE19D909D59D1F9A3D9E805180CC89F6C246ADDA28782EAD9105D2623744596EDC950531A8ABC08CBA1FAB29043A9629CA59223752B069F00126FDC9B6E29CF9B7AA82DD9056AEFC5F5DD18BF65A0769F405F6084E2';
wwv_flow_imp.g_varchar2_table(446) := '44965A7B28E0600DBD886D48F0676064F19A892D9080B34DFA8CDE93EFCEA48B0FA3483DF173009A836626EE3647FC315AF648BEA529B7EAD5002128EC851F0F08FDA4BD994F6A658ED0000AE8907CBEB6401D1E9F99A0958E5E4C7D811179001068BB5B';
wwv_flow_imp.g_varchar2_table(447) := 'C468019B757CDB8638D1031416C3E20B273E41F2530A1F3E79995C0638BE6B05038FC6AAB4538A06D86BC07E0B6A7C6E2D339103778380AC35424F1DFE03A09C12DB4C69D37C155D1C29700640196A4DCE07380A6F8C8094F18A8389B044F152C601DCC7';
wwv_flow_imp.g_varchar2_table(448) := '334F9C4BA633FD147756BD193DD201C0E96C01565015D7EF10692F2D0BB6CDFD8EC657A047C67EAD62E2507F1F050BA68A1736D70109478D02C884359B76B3C93374E7ADC7F06DD0EBE20F37A553B878D36BC412E944E18059A0A8F3BE2B75EE63D8511B';
wwv_flow_imp.g_varchar2_table(449) := '69FF1EE939183B802F1C331B3731CAA4C6B72DF4DF98E1556364E1152B46526ED5BBAE1C09943C2A3C7ABD8BFB0F4E80BD389AE91CD930C400CB337E858B7C88045A670BB9F905A696A355A3076697172B8EB887DDD00AA27D28B0EEF53B8D28D2D76D92';
wwv_flow_imp.g_varchar2_table(450) := 'C6EB22DBA78D5CDCA20A5FCED4D6BDD7B10A963232B890113D99BB2586AC5B857A19D0DCA8A0EFA46F7D563F8A0543533BC24C32119CDC1829A386F0E1FF0AD09DDD1E6071221D504D6DE167664B89FC4CB9696E5EE619157F04D65701165D40B12D92DA';
wwv_flow_imp.g_varchar2_table(451) := '7299FC97F0B178F8DB93FD9A6FA652C94B1985AE9826733F5F7BC268F3280EAA3DD33DC45B9FEF892D2232B21D0F392955365D32F3111B9C008A04651922713AC51FEEC4679EB9AE9E1FC1DF01398F258ED68F7100F4EF49D317E0B4B426352FEC707905';
wwv_flow_imp.g_varchar2_table(452) := '10E7905531E7C5AAAE1FF19D9173AFA4FD6956BF98EF87F547567D0BF506122673552586158580559AE4E9E1DF46397229CF1A85EAC6933AF7A7273964739D0D32591055E024DE41AAAAB9F12B82499067A343B9570D8327F7D0A3E1ADFD8910B8B9D7A5';
wwv_flow_imp.g_varchar2_table(453) := 'BFC3038FE35D6097988570196972921E0C1C161D4E908D88299E8825517A25029070997C6EF938C8B4D57DBD7AF7237D5F49CD552A06F368B20A6741A180E582A3A74803AC26CC78E391E3666B13125FD0633B30996E96BD48229BBD2429872A6187AF0B';
wwv_flow_imp.g_varchar2_table(454) := 'DC851717E9A1F6D4746D8602893DEADE01A535DA36241B2E81B0C4C32AC6E5A27E43A41753DF3042380581DAF794E85364729E0B3EFE6A431A3DA1ED3BC568F0053E0E2A45B7F8D4A42B71819E58C7BF2908C2B43C0EA62271C071761087F8890574E045';
wwv_flow_imp.g_varchar2_table(455) := 'D2499B652B71AF6AA357E832246F3C67F28FBEE6C18C6A7FA9A992111564D47BA94DB4354619B2B0502696C3D7C5E755B7CB70405F674EB0AC08460DBAC12BD3BEE568DED2FCA90FCF6ABB8EEFE83C6F7406A8F02E6A72EAB14F785CA745F0936C636B95';
wwv_flow_imp.g_varchar2_table(456) := 'FFA4B7320AAAA205263F542E1FE9C623AE98F1C5F9E19731B0F74737B67C9E06D6A7483F19E9125C50AE8061E94C9DD038B740BE00F233AA0E877D6098AD2B08496A0D4AEF86C4D53D029BC63C0F36274F39D7EA3ADD313E437D02B1C2508DA4C7F6FDC6';
wwv_flow_imp.g_varchar2_table(457) := 'AEDACA4F4A6F0720A166F736D28798E38C262C12AFE5F42CAE930E66A2508E61F238D0DEA0402F78748556C5A3AE2260F6F3F2A848E12967C298D8CB5F941EFF23DCC546D2995C8886E2A0A95B933EE8BF4BF9D50CD20EA875E0703A5AC3D0892E42544E';
wwv_flow_imp.g_varchar2_table(458) := '4FCA3339C3B6B75406317F1DE84D165BDCD036A76AC37E3FC432A7F7A6E2E6EDCEBA0529A8D3B8C57EAB33B4643C6E8D644DEAED8FFA57F2776D7D2225675427B2D5528E3FE07D3C7BD903CA0F3C1C7BC41A031D5CDC38990054C82CAB7DAB95A9D3DA88';
wwv_flow_imp.g_varchar2_table(459) := 'B76FC1B0A55EE87EF36592D67982A652890A116B2A2CCC41E51EB79071144B5C321DD38C93214F57ECBB18D750EF9B906096945E759706AA477E822CAC094035E7CFF555D63350467E167A4FB68EB685FE4C7219C6778B6EABDE12E5D3D8124FC4F5921F';
wwv_flow_imp.g_varchar2_table(460) := 'ECA4D928E154894C764A95DABE9995502B038FF5A0F431F6AE5D4C308868ABA4D3CCB40B391B57CBA1B737D9D9EB9FE07CB715E01C5581504038A66ADDD7A04B7D8CFDEC1A13518C798989CAD755EE75380B27E79FCBE232AB418CD9B3B35058A921B97C';
wwv_flow_imp.g_varchar2_table(461) := 'E6C52D2E38646EBE85CD56B1883AD1D26B2CE1430D9878B6C3254C9287F9CE1012ACA81C10287215B69F2446FCC94DFC72D1051361B1DAD3047F4999157135D829D2FD0029DC2B31E08AC61469CCF465FC37E76CD34B4543B17DA4CE9C9F90C0F1E99D53';
wwv_flow_imp.g_varchar2_table(462) := '9EC70F90980066F4A39B3ADD444CF335C9945F6B2F09644718745C1B31038F9E4DD444A5241F52DD4FC2CD2C65D50650CECB7F6F99E40293B6B01402554F534DF616F3B17C6CB4CF8603CB1DC3CA4C8BA11810859C601EED5A74AA2AA746299828215A15';
wwv_flow_imp.g_varchar2_table(463) := '72E40B2FA7FC168EF874055B404276562D4ACAC46CD39BE27440C3B365043949EB6DD83693823B5EEBCE070DBAC22A65FB28B00A117168097B80BA701B301A5A4B5E0CEA97DBDB259AB0934B7C25A5E196D426073009FE876FA2B9E32625CCB5C208F816';
wwv_flow_imp.g_varchar2_table(464) := 'FAE75563C4ADB21B57F84DC534E30A2B7749AB8425BDAB7A0D4F7731DCCB9632B58115A42F5700E62CEBD3E7D8ACA281279007A050B8A748CE7A8DC3A32020B21EAEA3DB4F125B3A1A0AD6C3D887CD19237C0842E9B6F7B51C9AA2B02F1247DB8CDAC5E8';
wwv_flow_imp.g_varchar2_table(465) := '640155431CF1B2ED5AB8059270DAD708E7B498DACE2E65AAB7989BE8929EC3E0A71D85579A8F22A4797042468F15503731A7DD909A1149DA2C34E2F40D6CAD3A2E20386130D55733135CD161E32BFE105A05B849E3BB732794D0C7FBB9EA13ED33CA1818';
wwv_flow_imp.g_varchar2_table(466) := 'E4B76E2880DC94B6BCD05B9CCC32566C87EFDC23AF3338C70BB93A4E27B028728DA5BF1732B9D4AED545AEB8D7CA6DF1B305D8E4B98AB74D98D2124A5979EF1FE40D882F78868662DD63D40FDF1FB8C7035F12E24D0C0DB174FEED82749296F947946792';
wwv_flow_imp.g_varchar2_table(467) := '0F3DF2EA97B3EE8EC4E392574FDE59B3D47127AE770872DBAF0ECBBC4EA7305D41AEC13C93A45B963FD19F62E8C4DD2DCD4FC5A9AD78D0D90BDE7F339DF9E6314E425800D809C85901BC922832326EAE8540F17F416D375C2AB6C5972EEE84CB35E8C957';
wwv_flow_imp.g_varchar2_table(468) := '8010A9C4EADF7766B7A95FDFD55246285FBA6369558101D1F2A50A9853A1F462BF913FCFB28A8C000835501C5E90BF723D1962F19F9A0B3E2EB2D0531A1B2FAF4D515DE6AAC1C8446026A56AD97F592FA17D82F362F48E71BAE38AC1B39BCBFD2555C519';
wwv_flow_imp.g_varchar2_table(469) := '118C3CA830B7D262B127F775B4916234E0A2278651C4B7D4CFC6DDA44A182E8AD665B7ABC2B48BC44093B5854002A3F4684419A52406670437518ED8A8C1B0AC1655DD0FE5EBA315687BB3DC04C1367F6A7862A8BF9B1A416C1ADF2A04FDE10DC4B6FBA3';
wwv_flow_imp.g_varchar2_table(470) := 'FF7A572F2703369A35E18F7E38A0EC8DF9539E94FA008BFE1E8C6043437E3E215EFD0C9D371C85EE7709D053EAC7B7B9AED0EFA777CB340DCAE3B8CD81472CD8F03DB052013B48A290BF3437718921AC8C60C9C54A59149D7D397AD1721D777350338F45';
wwv_flow_imp.g_varchar2_table(471) := '8994C137131C34514A96D13710885608162AFFD8C68AFA69CA60E96191FD220931272E65B6B763FBC41F77A2BE7311EBA04A8DE721A6771DB3740CCDCA0C101D04C8DF07B364A5C0FC4885EB98671A4F8F451E66CCBC0B2B6696BB30C9B010123977A73A';
wwv_flow_imp.g_varchar2_table(472) := 'BCD9340E62A032AA13D573FDFB04FFD3C167E0DFA0EECD94500BE94B7E822FE6619A1572DD60FE42FC6DD12CDBBA8A63F8E37ED2FBB3F748A9FAAF6B43ECE3790850EA1F76B1D70FFEEEEC339978CF9D1A37022715FF1D2FE574267AA215608228C96EF1';
wwv_flow_imp.g_varchar2_table(473) := '83472B6939EB1F55AC2386A9FC28938AE6D95CB67DF7A5F57371B5D6E8030B0DDF8A79B8EF88634B89A3FD36CCDDC6B632A5EAFF3B106880CA14EB9AF12E162ACCE993C5463FE0DD0DEA694F7418992AFFBCED118524C0F8C0B58759DD93EA20D511068D';
wwv_flow_imp.g_varchar2_table(474) := 'ADEE599000AD46170C7C059F55934144755A0F6F368E1E087D24B24B82E5A5C1C0B9AE23820423B14932027954E38E3F179412BD5130BEE3A0FBDAE91DAB0827D4F05C86D917237F70F83E02CC169751F62AC7C458FE6A29C5F7CEB6EC9709C6865AD8DA';
wwv_flow_imp.g_varchar2_table(475) := '743EFB54277255299FC90650A47F6AF1285AB5D54192B650857934E865222EBD0A5698526055541ED0A00220B877E72C8DA8249439CCB2098EF8CA6E2A7EBDE498602FAFC22A9E89F6981E6EF96E4AF8768298CE6183FA75B14786D90255D30151B0D781';
wwv_flow_imp.g_varchar2_table(476) := '4B77F673AF808DA6B0588486B6FA14C7663E077D86CE3BCE223654444F4907CEF4F9FB83764568B4BF9A8532C467008E0A0B6B0CA114C4968ACD7F649E471EA141FC1C77165D7BAB164F5F7DF3D8A42FB8AB9933FDEAC0D551A5BFB2A3333BBE7EA072F1';
wwv_flow_imp.g_varchar2_table(477) := '4A707BB604275C5943DEE126AFDFBCACDC67EC2046A540B9340383845D661F8585741905331A38E3EE964696FB2CEFE216D7A8090C41B5737D0F5B69BC1AD03DAE5C31C382AB2D2A0BB7FE4EBEBEDCB417365D91154C08A65C698AB4E659B46DD1AA2B1B';
wwv_flow_imp.g_varchar2_table(478) := '7BF23DC34A3A703B804B26F52F42A1046BB5AFB3AF4EB1103D6B3F52058EBCDF199CF6180BAEC6A3158AE9E0EE802C3B524E45EFF1903064F994E60838E8B8F0D80B7DEFCB146483DAB245D4B11C759B9DAB6EC94713E0854068789E6A7A6F854A020A7D';
wwv_flow_imp.g_varchar2_table(479) := 'BDAF34C9A30500CC2CBCBC911F4DBB7015240B789325A9B4CB6413246B25F74A5F43EACD049F87CEA81B5CFF37EF3C76A208DFEC6A1D443AA5C0056D8ED271626CD44660F6FF03521253D26A723DE476CA8873EB6C7AA79888662CE1C666DCB5C13397D7';
wwv_flow_imp.g_varchar2_table(480) := '3884B458FE13406CD308640F382B1DC8E14131E61D7225E8F367F2F043BC285FECE4136BB3CBE768CFEF8404FD2EAD6F3BDDAD0ABEB88A737964C6E6A39734DA3DA8E6F01601EE3716A8A112595C07D1F512E2C1914947F38949A9523F69A98EE91E3BB9';
wwv_flow_imp.g_varchar2_table(481) := '8E65E0827D2940DCF446B1EA96A0932E40738D1C7C33B564D3302600103DBC84D1E8244553A910C2DF76F85A2B4BAB4B77420D9843AE71986863B4DC0C21CB1543D329926930454F432332799E0925F63E4273DBA550D5807CBAFE0C26A7FEE3E54D6E2D';
wwv_flow_imp.g_varchar2_table(482) := '7B3DE6042B6DE0CEB482B2360D5B1E6492B77C8326D0D018159E006F41405870171D423133345B8685E703C542D808043802E2C4A12927527C6467A1A752E9881B082EF1993A5D7AADD67C86EB00F5099081D2079E4A249BEA8387DA959ED8A335EC5042';
wwv_flow_imp.g_varchar2_table(483) := 'B86E91FB39F8DDA92E90D09661973D3BF354C133421EA44363860C698365F1AF05CEC14363E469B06226B56810FD151EB6A57BC70AD88F5E1EFD545907AB7BFBBAB4489E2F545893C84D5A1619ED9FCFEFE50EB3708DEE302873884A0C9D73F82E2932F9';
wwv_flow_imp.g_varchar2_table(484) := '8AD937F2A5C53910838A952ED78F8279E58D724F2CE0A99B40EDDDEECAA89C4E83724DE9AB4CEE5F64C11E934F6D846839182EE7B6A7A74245CCA9FF299810CB0BF6DEC82DBC8A53B4D1A617CE20015874CB50195B97D72A7E00549D1B53BA69E8CEC9C2';
wwv_flow_imp.g_varchar2_table(485) := 'A1FFE0E71834A4584403D3AE89951A16CB01057E97D2AE2B3716BE3E3DB7CDEE6ED2629051E607A201294823F3025151D3709FC4F864DF10CDE92D5755D56CCBEB732478B7C405242A2E1FA038752278A613BC5BD5E44B4722EBFD01E54D0BD2BFDA9378';
wwv_flow_imp.g_varchar2_table(486) := '97814B7F6217CA713E40D48FE17408C4F28378A75A65A03BE8BC8D3DF48BDEF6D9AA0E26BFB634A283C1E8096D7EAA1E7CA0FEDF26E89BE14A60CDC13D36C1D80F78617B9C27EDBE74F9B700738CADBFCC8802511E5F0E4EE6C37E798BA9E7CFAA95F8F8';
wwv_flow_imp.g_varchar2_table(487) := 'EE3EF4D61A98D3045CC3F83BDF033AACD4B1EA3CF2E066ABFD7682899E4134B39961E72EC98198A93FBE7B0E2E210CC910A597C589580E6FEC748FA9B751174FD42D7A2F9959431D0F92E16C94628C90E94080C19ADFA6B95A5B6544CD07C332E9E28E5D';
wwv_flow_imp.g_varchar2_table(488) := '687BDB52013D1F0E92D02876D5697AC33D4A3BE4EB16B1EF106C21445448BC2FEBCEB7247DCD4519D91C2AD4FA406E6B1014FA46473517B7935D6D7DC42D43B130D8FBAC71B0516298351D5055BF4FEEFA0113DC2EE8176C3A5AFC124B199CEC225BA199';
wwv_flow_imp.g_varchar2_table(489) := 'D22A32AA616BF547D375768E23673C7BB52D9E46A3DA24C905B2CE2A1074BB4371F3158B4BFA66299E9738DA4BFA5E69D5F82B00BF779EA1FBADB93126B6039C9827F8AEDBC58EE4A242489230ADCFD55A361A77486EFA729ED3D5A73E44A41E5F94669E';
wwv_flow_imp.g_varchar2_table(490) := '3EB01F8378661FF7F049BDC9951A1C0D9C87EC7EE204AE41BAE1D7727DB4678F1702F392B93A57A5F243CDE4D245E605BAB782E4149B7F01673272EE6E269DB2035D62EB9AA292CE184B41DEE8B898F466775A3E2EEBD73ADB80C33FD89A19F2BE6403EA';
wwv_flow_imp.g_varchar2_table(491) := '7051BB3C6DA9AD5F4C5D63A307E14283039D52845E5D407196F367FA328E7AEFE040ADD5161AA37AACD204F188885568AE94C2880925AF7F1F4A8F529F37816AB8AF241C635C0928F938A3F6B9C9F4E8DB02D93693D36D491651FB2F9C966BB683195A3E';
wwv_flow_imp.g_varchar2_table(492) := '357588E9F98133C272D176F7C7C15E0D4D488EDCE704693F35A3E1056679AE5508C6CB0C6D560C602E5AA03ECA1999451A93E9CE8FD013859244E6540E63E9E6681031E523360A593AA1B5431675138A2FE8713E5FECBEB8499CA1265E40331EDA7E1447';
wwv_flow_imp.g_varchar2_table(493) := '124054DAA20E5170DAF47E51F52C1BF8B2B45B36651F66C307C426FA0FC44D73209A16FDEB2322B96CA2F44D90F6FC976B3E3EB36E91A3C6E3E25A12D856E2F721C77A78AB7A782721CF40753B017E68F8AEE970D67C155B77742872DC85ACC8CAAF70E0';
wwv_flow_imp.g_varchar2_table(494) := '087F263B285BFB2461C24962D7584B83DF84053036FFA57624571E3C3FB23A8BE1A088AD5F6C15E014F65B74186E09E31F96E142FE015233535161B56E24936648F95E4F51B34E37E9C380F77DAF33F4F36A41E205549D703A1C9E3D00C4CD20ACBF71D6';
wwv_flow_imp.g_varchar2_table(495) := '10FD4BF5C3F2CC2EFA22CE59139E761B81A8BB229102BD1F9921C216490C0D557938691B4F9598D9C6322E9FEFBB481A038EFAF6133B61162FF5E402257798B82FD682C3AC28F7F2ECDA7435916C7DA3A6A39D3F238701F0E6149FC90D57433D44046626';
wwv_flow_imp.g_varchar2_table(496) := 'A6252F3653725D5E47E205A831CFCC25C2411015D5331DDD7D5770F6864E53B7D586052EF0CC1264A0DD0763EF1CC6BC64D0905B1772BE40A880B3596DCA38423727196B11E238F67B3129D174E7DDB12DD3CF2E127912EEF51806336FCCAC427A154D8D';
wwv_flow_imp.g_varchar2_table(497) := 'A64ADE5EEF0FCCFC75084EA0531977E5C9CF45BC013EE196C6EC9D137A340759E961864C60BA2E88F7CA2F80D272D35B0F4684017FCA51885453E23B56C2727E2A915807ADC6078FDCCE90EE077DC09057D1491204129B762E057400062187503CDEA8BC';
wwv_flow_imp.g_varchar2_table(498) := '57C7C5C0D3E4175E0C26645561CFCCCDBFED543871C4C9C8647F533A93936ED19244DC19DA20607FA36918A02C51F4EF6E348E55BA893632D656D2366917C9D2795F731FAB5638E85AEEBA840C2336EC8F247C41604121D00F572EFE584EE9782A92B706';
wwv_flow_imp.g_varchar2_table(499) := 'BF7F2B7A2880ADB942433D1BE7988008C4560651A768F0EB6514898D0E74BA72740C1FDDA0D960A496B8C45A79A07D4FA1F400DE99D0C742A9292FC3B8A9BFE0C94E2AF9316CA64D1F3C233AE8A85F7870597930CF32907E14A17D62635F15003FAA27E4';
wwv_flow_imp.g_varchar2_table(500) := 'AB58F23721D6D3516A50FF57D0E259B659194A7FCE8AEC23E43E13FE04482016C0C485EDDE9EDECE185107BE93E3DD39DD243D08DFCAE39D1FB2D35F51BC961BDE2F23EC4349EA3613A1EA7805A1AABE96B3483BEC8BF67A75BE8F789D264DBD51414056';
wwv_flow_imp.g_varchar2_table(501) := '70EB7A89D83E810819BA2622B04E2BE472A85141AC3C4A3BE08535F0620FDCD2AF900DB549BE884C19288832DE2C8449924FB0473DCA00A974F50223B8072C4A897E98D910E7660B118A33B4EC67D66097FB766A429B8DC8D6B874F4E659995751E1FBFD';
wwv_flow_imp.g_varchar2_table(502) := '3EFAEA49609B4A30123F1F39326133D4A10E83EAC0DD1C1417FB0E5EE6C90795881C6841B9E301D9E2006A3489EE40DF007222690C6271B1F69C0795D0C2A70C1A09CF8C291739ED21B4A90C3D8B9637B6E9B464D6EE9BD0E13D56DA1B141A81DE9E9943';
wwv_flow_imp.g_varchar2_table(503) := 'BAFF4B096F0FBED85CBE2D3F8BE74C0F5DEF33835A7711A9240FFF9C707232769858EADBDC5F646441B66167780ACAD18DC5FAE8DBEDE1A4EA8E4BEFBCBEE826EA236BAF2355218C8729D7682037B709089BEC25F6FF1D69752758BC16863A5A3ED85B33';
wwv_flow_imp.g_varchar2_table(504) := 'FE4FF7703160760DC2CB713011844C4D6FC2324790B0F48D609953397C6A99C08083A8F9529FE5C3F29DB586741A25EFE29035E37366A1C296DFA520E0DF036F356683C0240DA6B9266404EB488F2BD521E431277ADBC7480878EA49B344822FD53B0D40';
wwv_flow_imp.g_varchar2_table(505) := '3C99466087BB49EA61D9C22DA46BA876A2A10B237815A6833B3EAFE0C93C51F1F30F2017A8259CECD0005180AFE335E7DD23D3ADC381F7C18AB00C234DBCA86FF742B5DE2AE423FAC848A66229097EE66B9D2DEA29412A864BA43F00B050F33132233256';
wwv_flow_imp.g_varchar2_table(506) := '614361F8CBA269F2322D59CBA2FE13DDD136C10B9C7C8F9C48A6924DEA56278144ADFB446050D2FCF48C5558756E2B8E29B5D367E5AD60EBCD41AFA72BF85101B1D350F54F4DB3BDBFE5EF5E472CFCDB56FAA5341F3535029F49A98C7988FDEB158BCC6E';
wwv_flow_imp.g_varchar2_table(507) := 'DB8E0E07EE5CE101AC2865B43D174F85CE223CF890D90CE1FF446FA30AAA69D6869FFBE25D10E5C0C7073673D1ED59CD083FE0C5628EFC0901EC6B708371B1BD6C92379CD61CA0A152EA2A2AA7F9BBA706CD012174EBDC4D8E7753EF7729FD3E08F8A0F0';
wwv_flow_imp.g_varchar2_table(508) := 'B1B2501456401D9518B37C1AFF86139422C623A965E3AD67AA82CB5B7964F777E3958D767C71ACBFD837E6BD2D8DD5AFF07EE13BAB54B461825D0C6A41B0F1C0EB1D8AAE871CFF98D85AFE5871542300E7ED6C4BA04868BE889EC08BB59546DC79EF7D74';
wwv_flow_imp.g_varchar2_table(509) := 'FF360F8753DE0D84FB51CF3048691E4DFC27E44915B4E825D5E4B335ADEB8E82031FB37D07CA2D9545D33F12838880DDDD070006610D4F5A903419F59394E3D30D61F857FF586E15066BE90B8A80996AB0438BBCCA8954701B3C0BBC04D23F54DEF921E6';
wwv_flow_imp.g_varchar2_table(510) := '8F494AB410385C397D253BF71C930E7D44BF838E4DBD2476CB3A448376C8BD07A726C71A2C1EA14000A2AFDDF2D74428C544C0F46A8127BBA6DF9677A8C84B9FF7AD02F7D30408C6AC19267FA895B2C6EB08AC8451BF934CDE434DE37CB8C451AD247CBE';
wwv_flow_imp.g_varchar2_table(511) := '82A94A1DDDE87129C3B006E04A4A5D74ECA3F3BEA830E76F4C39FB0E53EB9A0014683FEF836671CF4AC75800F07A54485E6CA5B9CD4E46BD9B2C60D6E3EAD98DFFD6A41301A843998C171FF141756DD832F91E3496F65BCAC9A6CE0BAA5147CD88AD74AC';
wwv_flow_imp.g_varchar2_table(512) := '62D8565B1CB5CE67882D70DBE9A1CF00EDA465754D5BD9B7E17931E07A8D80905E83E66A0E49BA44FC0896DA87F8A3A83F0E99377A667DBA2F3AF08D56167399D10A12C6049F1470B2E95D6A97E339E08AF788ABC326F2EFB57F8F0BFFA3290ACCFF0023';
wwv_flow_imp.g_varchar2_table(513) := 'DB5874D443E52F4D1D2596F1E936ABA23BE81F55D8222E20D0A45B76EDED9C7AC88930B21FCC6630934FFAC216E48E4B2683D452F77392C72144AB72133F2CEA14D078E6FF00DBE33DD9991BF42812F99F619AFB5391DCCA10F183A6B6CF35833EDCDFE6';
wwv_flow_imp.g_varchar2_table(514) := '341E47458861573632B8D599C886B58445480D71F8839A11C7667CB1F485AA9F80BA546562E37B6FD5B5B21E0A39A9A55CA470CC907990B26B1631C6A7977CDB286CBEE2F337788DCE247A0A528BD2CC05D54FB2E4F6A159017F9F11B891741A2147ECB0';
wwv_flow_imp.g_varchar2_table(515) := '862E16EC1D4881913763B86A86A8922E24B99FEAC3D469A22C7E5B130845B15713B81CCD4EBD67AD9DABCA796CD431E5CFF860227AD1A090E6F4D6F4B7B64C2EC9F06A910F50BF815360FB0A78495D35169064C67442BC7E495279F453DFCB7080FECE7C';
wwv_flow_imp.g_varchar2_table(516) := '5EC886AF54E7577942F39A523A5997F352E98A1D361A8D146F8430233EB31985B8B52C41B02D23E8FF7B22B432584E1C39E11827BFDC6272D29711938D4C9704FC369FC8CFE6B3F87F70AA6992053529816AA61718E2EAB78452F9E6FABF853B83608FE2';
wwv_flow_imp.g_varchar2_table(517) := 'F76615681E848A34CDAA810BFBD439E5F8F34A08CF6CBBAF937BF158CAA26E25C5A8033E4797D8D76CE08C25855F64F90B5E8E9A25938FF73E370D865AFD4F6CD643E0D53FBB92B73F591FB2D179B362C68750559E421821BC727158484E060A31EA89DB';
wwv_flow_imp.g_varchar2_table(518) := '924C072DB4DA89B0EF6CE24463EEF01EBA5F6F3B3FE65C0B7A6C0CFEFC0DBCA56D844965BC40C3BFB6B2AB6EB64CFAA18C93729D2F109ACF540FD2FF9784C2D8F22781A68971357DF61042094BF59E01B79D2C113096A89A4995392B20178AD576481018';
wwv_flow_imp.g_varchar2_table(519) := '82DEA6677F8F6C1A4EE03363DA8EF254F5FD81C04C4167EC79A36BCEB266E80E45CB8CFC642A45D2323B12F4DC015726D38EC250E9450592CC8569819897C8F3407DF667219FB37E542656B3E70ED95D9C084212D7CE8ECC8B6DFE4572E8DE218095C975';
wwv_flow_imp.g_varchar2_table(520) := '14469ED6836D13EBB214D714DCECE6DBBE0BB36DC7D0A97A7147761AABABD2DA46EE2A9883B12F8464CDD3AD57A5996EDED0DFBC16264C8FB2AF591F8583AAFC952FDAB382D88192E39817EB4A27A30442CC0D76014560FC7EDE9A57BC960CD600E3A32F';
wwv_flow_imp.g_varchar2_table(521) := 'B95BA32BC73947B43444F965FF0284A45523B78F51AE73D5FC0335FE5BA760F4A4AE36C548DF1CD774DDF15312052F6458BB6D2C2038EAFB5B97A6805BC880324B54877D6717E351DF54CF3C245C35B2D36ED290BF67C0F533932F6369D254F27059D40E';
wwv_flow_imp.g_varchar2_table(522) := 'D8B3ED95B7DCDF8D64E77BD61C104505E4FB1A82409012D7435AC9B9F4AD81E0B5D60F151DC7A5220BD1B0D11E83462764B66C17152AC452BBE86DCF1D3630FCCA24E545235CB43B234F3399CA566BBC89FFA7BDC3689C4FF4DE790F380EF5BD245F66DB';
wwv_flow_imp.g_varchar2_table(523) := '033A814EAE06C4B0119451A9ED96B903B0F653FCCDB89C4C8572F1F54E99AA0E27A81807789F75BE9E86884587BC3D793813A7CF94A87D77F2D25CE5BB933C6DC498C2AF2D335AF3D194565D41D33E39846A8FF406FD3BE67E93721BE5EDB7CB321C6F8F';
wwv_flow_imp.g_varchar2_table(524) := 'DA56C80B9F45FB8F194D7B3B6C3EA1767FBC3B38293D213F47770593B2E7E483395F40A98A4DEAB50CB695CF5E58C4D2492A1A5377888CA7E69E87F3064EB61019A50D249423C1E354B065F5C6766C291CA3413EA201CA79FCA3D2286C626C73C135E7A2';
wwv_flow_imp.g_varchar2_table(525) := '26E1A2BBC75F20656FC03441DF3B5E95F8D52A2968F880487210674F8DBC48932112950364D3455CE53E96707B8802C216A5924AD65ECC200CB82AEAAF5288A14D046C3544EED76320A8DCAA685CDE94621D0DBC68ADD2C0CC075BD70E4A2FB550E7146D';
wwv_flow_imp.g_varchar2_table(526) := '051144401532C866743DF020648CE2F4F59D20CC1DB5B1DEF95A6A4EDA7838BAA1260D3D47C72B700EBFDF8C29A054AE3038445FD8F9DCC9E1A64EFC8E9A5F74E037C3FE8F7318B590395E5AC72A946941169A075E0E9220C53A7B1134BE890B4E3B79E3';
wwv_flow_imp.g_varchar2_table(527) := '8EDE72BC991A6A2647E90B625C7FB575252A7F88DA53404E7D6CDBBFAEAB699719DBD755BDF40DE47D4D891BA07D4926A7B0D8DA5122357FF332606BF3E3273925CDCD88B6A73205D0290C04C9A397CEEA422BA21EA15F333A65266241BFB48D38ABA359';
wwv_flow_imp.g_varchar2_table(528) := '411F4D0AC31254590CF3E69A03C40193CB5313F630D7136F84262B1873C79133849B4CD211BBF8E81709D16FCBC4CE0E7E3022167134B35099AF1E183B0AFD19DAC182ADDC02A93B7BC5EDDA9030F85685727B6DF05044FCCAE8D97C55DC8B1942B0EFB9';
wwv_flow_imp.g_varchar2_table(529) := 'A46D3E32217BB36F701D5693321CC793B3F59B9D338FA47B6F4C19CD897B4BFD6AB66FE23584BA9EEB13D360E625E510C448E3F9B73D9D4D0CDCBE18678B79D3D509E9DABE6C8514914AB09AB14E052102FBBCC8D809FA3FAB486D0BBAFD308DC8B6D5AB';
wwv_flow_imp.g_varchar2_table(530) := '7BB09122CB65C8DEACE65D67B60DF5DC35BC2CAFF2D0B57FC0EBF42FE84E6E96BC6ED49B940445711CEF6376F4AA30F1B0D4A78E97C0DE6879123A3A74997DD48335F91D6A42B27FE0912609CE9718724BE9D0218A7CBC013872580535C801B2ACC42AA5';
wwv_flow_imp.g_varchar2_table(531) := '6D8D9DF46BEE1C4F91191E1C8E6BFF229F4D739E769EA56378B4010436FA6711E4D67B2A2C798ABB7E6CAD6CFEADFF70B38BF534919889003CC3BD205254977FB94F935D2A05AA23BCF1E784763C001C403B0A4414674C57B8F580DD41369945BBD9C7E0';
wwv_flow_imp.g_varchar2_table(532) := '01DD49FE8B082339F40F6124018398CD2BE58D8193C1A9D36422F547E6537C00D5BF355C8E66F88A9A515869163CD810C7FCC165463C21B7E4797F93153611520ADA7AB883D84155C662219C8F5A735B333C1AA35BB5EABD0DE9DEBE10090BA094EFEFBE';
wwv_flow_imp.g_varchar2_table(533) := '6E86D8AB455BEACBF16943AB810A34F5F2C2F61A22CFB3FC3011D134818FB335EB2EFDC9614D3AE51984499DF30227C27B41859D26A2145445C1C2BE34FC8E704D9CD233418874872D537073CCCF3B6BDB4529F1013DE6FE8B72B6EA1204C35890DE1481';
wwv_flow_imp.g_varchar2_table(534) := '0AA829C99C9DA06B146AB1324FB2C9BF398FA00FE3AA5AAF73957951AF4A1928633D596393217B6EA21FE04E7397A42C808409C3A7910DD47DEA9888B1412815EA9BEA836538D1C6C1A040F00220310BB26C2AECE1969AAC3C2F39DD4E26C7C4686ED6DE';
wwv_flow_imp.g_varchar2_table(535) := '422FB03C97BB8EA1E59D5166DBCCC223C397BF9C88AD74F5CFDF3AA47688914FE133E9A82D839F502AD93098555DC40E67689CB3428B98D47B40944BC1A63972AD91017A216D88D69B32D47DB4CCF8F459A603128EF81AFDE6A27BEDFAC2121B7C5A127B';
wwv_flow_imp.g_varchar2_table(536) := '78BD8920F25737D77ED47F03632D538B928946368D0BD3998AB6ADF561EC899A7CCD1AD4150839232A7788233DFF06E58DEF76888DE1B0A019D5925B109C3DDF8BEB3FA3E1FC81730BBD07FA5A551849A1C8569E24D926D0AE55EA378E3F6A4108C01CCE';
wwv_flow_imp.g_varchar2_table(537) := '67E8DA55E0DA13CC79739E4BDA5243DF9DA86795C1D2EFB2CA281497E4D6FD9B1F4E528899EF805B162CA509D3A3BFC110670A7D69F252B95D83C5E1E5834DC60299BF00757DDA8D013106AD621E25A10836C5A44932EFFA85E01E86FF10AD39BA693390';
wwv_flow_imp.g_varchar2_table(538) := '55F2932E0E0E15E28988DDEE17AEF7AD0916D63DDFD27DC8426D9743B7372981C9BEC3C941B4F477E2A67280651546D40D726E660A6C08C591133EE5A3FB07A463B276FA45CE35AE9420A6FCA7B8BE0BC32CEB4D2FDBE237A4F39B422CEC1718ABF696CC';
wwv_flow_imp.g_varchar2_table(539) := '129E44F103E33E7D29BCFEBDE346773E8C360EC549D23C9EBB23F97F519E769B6A8632F3570CE7B71746A1A1DE5360AA3AA583C21EC0328BCCFAC9BFEDDBE432C499592C0A990FC88BCC7FE8D3020B1AA2842E9FE52494A5AF12CC0652F79989345111D7';
wwv_flow_imp.g_varchar2_table(540) := '5AB6BEC686352FB024AE62E8A474ED0BEA279262906A26B32FCB991B42CDFBE156A1AA060A5DD0B64E3E5B08B6DAFE9C437D2B01212140E78BC52AFC664A2DB8EE01ADC79842AA0B9E6E1A9EB3D99F1D7D0132B893213482A47628C9BB549251C0BBD89D';
wwv_flow_imp.g_varchar2_table(541) := '918E0DC82CBD033D2A1405171F2D32CCABBEA49C46BC2B98BE3835BC8FEBA87FBA06ED8FC096E2BB951BDE35C6977878DA10DFB32DCCAF01D811C7DB829CAC5B9F340C5BDE79A55C453FFC137A2D7C360AC17624B5207847AEAACEB007CF33B5BA8370B8';
wwv_flow_imp.g_varchar2_table(542) := 'E217CBB009E15A20CAC3CF75507C5E1F0DABF851FD5C178DC3023FB005470D7A3D722CDEE9839399D098D3558B1F9574D758259EECAC6FCEFA8397F035A6DED6E699574AC080A22A4862F060303DCED1C76C5F07B4526BDA26F11AB1A6327E656AB49EC7';
wwv_flow_imp.g_varchar2_table(543) := 'C489281463E1750BADB98B7755051C66EF8981D11B4214C2570D93255037933D833B5C7CDA375607A0B4573668720177D43091084B8A70C35023ECE25B96FBCE836B31DB1F8D3BA4A8FC661EE8F521FC2D1C4F91B9981D404EAEDD156F1CC91FFB4E2357';
wwv_flow_imp.g_varchar2_table(544) := '7ADD9AEE53EC550E5DFB8942C2AE19E1F3ABB3926DFB5E969E69189EDCAF207DE1F6F3CCC3C12B2245A012AA6E0B875409D2963FCB4605778CE51094EB87EB1C037B33BC43896339CC2F4178A07A98E5F0EAABEC1C189A77568446E4E1C877735637C767';
wwv_flow_imp.g_varchar2_table(545) := '11ED6149A6D97A366F33EAE3C6FB5A0634FA969189280532621DAB7A4C7333F50F15479594EE18B1011E620D71DDC3CA47391ACF2A5467365410DEE7AF9DDAB4CFFD82E22BF52D8533DF8163CA71873FDB3A75927D55ADF864448DC4BE601A37A9AC1F42';
wwv_flow_imp.g_varchar2_table(546) := 'E7020615118DD449DB461AA5175231D09F8689B7EE4D73F727DF68FD9E16615B1A3B49056C720EC0C65E1103A11AC99682773DCE012BFB555A24C642EFBE6A2B8C5CD436881983332D42CB7432E539B4D7DC8147B0594F82FAA28AF8E59DD99BEC3529BF';
wwv_flow_imp.g_varchar2_table(547) := 'C3EBC968CDA405C240DDE5420F46486234A0A6A7F805FB80546760BB67067B4971EBF82C4EB95A197260D359CB131155B7789B788B32E6C47A43AA8A1D6A65FA3458E40F763B3E7A4E040175A35A635FE3C8A1899BFC7303B058400EC80DEE362FC84F7F';
wwv_flow_imp.g_varchar2_table(548) := 'EC0F57B534C4E66A522EB6A8BB51031C45417FBFA514E4C8957CEEEBD2D31DB448B3964C0ABFB3DFD2856AAC1DA73C35E3626CC27F3B2AFDEA2261D1AECFE8000BAD2F3579DBFB6AD59A695537BC68B3881E3858080BE286C21CCFD6DCEBE34C7DF0915C';
wwv_flow_imp.g_varchar2_table(549) := '9C7927BF5F445CAE367245B70B9655F3B57CAE33D9A2467485E58BFC61F5505B01F70243C62F8B11BAC835EC3EC402465A08246063BE4F922268B02104A4BA65B1ADADCF3D99D29DE700E56515B94E2A3FDC45DF2BB0440F78A89449D16BE2F1578AC698';
wwv_flow_imp.g_varchar2_table(550) := '9F95341B9F99F2EB41F2B76EC807C013C7E08B95E30ED85C5715F86EC5186CFA858E7BCBF219413A02AFCF9EFC450465AEECA909026DFE27DA19E3876701BC47D46D5681E4468B933E8CD0750F6FFD02FF3A26A7124944317FC50D6A057ED17620290B57';
wwv_flow_imp.g_varchar2_table(551) := 'BA35EC7EB49B000F30ADBD3061A478CA4EA1523A057D01A8F09ABB1EB335C610A18A8A3E658F505953D024DB16B37F6A97526665C44EE6CB2BEB01C12AFE348D9447EF5DE8061592F5699EFE7F8CE4A5A80FA906B15D2BD825867C17C6E01A681B46904F';
wwv_flow_imp.g_varchar2_table(552) := 'A8D9C3A559F242BA4B0B113FA9C847F06F07568ECA01AFDA9351F68EC7962833AC1D5F47D982E72F70E4CE01EE46CD180A806B4429502F4E202B3C571E1461E41D02067C6A30A225CF0C0546DDE9EF5FA5BB09EF664787F42D6B14DE4C81131928F48791';
wwv_flow_imp.g_varchar2_table(553) := '276BA4546044842B212B4D1D18918DF23BB410BAEBC023E1E83A1D5F1226950C47864D66B461D985174F4B33654307BC210C598F6D516F87AD4A1E62AAFFE618B844F774D5EDE10EBE719454938E158789E6CE2799D2D48FB778657A0F06A07DF1A7BC1C';
wwv_flow_imp.g_varchar2_table(554) := '4B182BABC0E42891DB18C48FE1B326DBF7FE539D8054355CA3A3789A29CD2A61936CBFB61704768CAB1AC6221CB8519C760F6385965C12AA63F9FF578FBDE1BA547A935EF6B66684C7526241159BC0B7F97CBECE53AEA8FD2F205F53178E2C576BCB15BC';
wwv_flow_imp.g_varchar2_table(555) := 'DE96F1AC480B80267516ED30920715C7D1C5E6A622FACA12DA0EE007603F1967F8D7DC98EE9981E4C47EA387CC53BE00B808D47F1BAC50DBF9A95945FBEAE023590E7934730B7C56776B972EFA9457EE5306BB9AE3DFE84DD26629407527939D67F5B06B';
wwv_flow_imp.g_varchar2_table(556) := '84A1D948624A34B3C77C6B98CF19841990A77612A537019485E6688F958FC9B27A028EB88831CBF9C4FD32EE55B7FC4EBDF1C7D07A075C850AC2AA801BF7295CCE9F3AC0F254D01E248781D66D84128AAFC0C9AD0C911022C2F6DAAAB36204186FEA9AED';
wwv_flow_imp.g_varchar2_table(557) := 'C0A06C29DD2ED39D59C18847E800703F5D36A0E1E4FC1B95578B276B5FF06851A747F135815BC944F10E90BD875D7D296D8C3F47F97411384967ED71E3CCAC6A391CF44FDCE4BF8397EED2052DDBC6E72CD824EE8D79E4D880555A4B81979DEADAB16F82';
wwv_flow_imp.g_varchar2_table(558) := 'DC294B31068D9EB878C4C19EC7D316CAEB4AF7E9F2712F40FFB5CD0DB67D4DC7227A3B1C9428B1F557A3D3BC8BB4B4B7F715479A64ACA8FF4E155156727782845D08586FD7114B2DE5639171DF4A53F0C2B7DFF2484C4FDDFA249B49B8B9CFB804DF87FE';
wwv_flow_imp.g_varchar2_table(559) := '8637DE254B7750F8A61FE5F1894D79777D6C00966D20CD19899702833FF08F43B15BB4179EF924BBA9D6640C19E42AD0ED4ADBF3022F6DE0CDEE879382DDD3C0E7EAE5C634EC20D5B52B35CB54820B2214090B3D470884BA56C7575F469D1DF5E40A82D1';
wwv_flow_imp.g_varchar2_table(560) := 'FAF855B51009899F1C5E21D9DC1924E90D383A76A3D7C8FE1A2A639A2B2D6F9E610DD12D9B0325018EAF54926C91B7BE51E5B0385C2529D26CB5E5286CA540241AF9A96EAFAA122D5213789014A5419E6D9B1E20D6F433DEAD24842B06DB42C2EFCC8825';
wwv_flow_imp.g_varchar2_table(561) := '4AC91F1AC6D0175BC543237FBDF8219C5929AC71C625D13BC88940B7F681926C5B1312F99B8BEDF05B84CCD1867C7E1279E6CCF85532F5079FCE599736269503673B6793839A999BDADD499F6F966C87A82C4C6E0AAA7784EEDE655CEAF50B41D87F16B6';
wwv_flow_imp.g_varchar2_table(562) := 'C261BD911E49A66C36AD0564F79D823C3FFDE5F2F8DF7D1D7E2DC02AE4B5578FC56A02230DF8FD7FB321808ECDE8CE9AB58416E005EE592C8117AB4715D70A0C1C83F00DED688721DC221545800B34BE686804513CB788AC2BE821C127F1CACFDA115379';
wwv_flow_imp.g_varchar2_table(563) := 'C54D5971BFA453222AD07F6D82B4F08417E8AC3CC5B66D1CE080C3E1C25AE57042451CDB324CD05DB227C1547794593EDA04BBFBEE68B7B6B87AFC00E00AD275FCA6CAF6E26E97D46419873930BD11EF476902ED718EC2DA64C5FCD6CBB9C8DAE820A9EB';
wwv_flow_imp.g_varchar2_table(564) := '42AFB3A9E970DF0816D9EAA765EB5A2E87C69F2E6E6CBE260D6D7BDE5BBA4CAB6ED65BD9E8A10621FD20168947F8F542B878A8EF99E9A44535392E4D2A223CFE583345A6F0197777509DFA3BEEDD80F4DFC8EEB30BB9F3AB41D8BD13E1236D9A74C2837D';
wwv_flow_imp.g_varchar2_table(565) := 'EFDA8EE0354C8473EC9069B509F26C8F0670774B39DDD6C35D4128A6ACEB73E61946CFBB0E46E0831084A0E1EDA6BBFED25035CE4EB7D6CB0B9F0C8CFA92DCAB5B8C4F56FB8CC917CF6F8C43A90EB9B41E7D0CD26491AAEB934358A2157E894DBC0640BF';
wwv_flow_imp.g_varchar2_table(566) := 'CED96CA614C50D67707E7FD95763BA0878448B94255DCFF5AF11C54FCA31143673E79FA4113DED2F0F5867E03124ED00606D06AF87AFFFA7000FE4009AD33E1337CDD33DEDF88C1742FCF72F900762CB17A14592C05AF10DECADD21A80260C1D2195B4BE';
wwv_flow_imp.g_varchar2_table(567) := '550C386B84B1F6C4020DEC0B1B4A8147DDE8747FF933B6DF88CF22F777A1C73AD733AD92F51CFE1976E27D381C4C2C878F44DD72D81A893F25A4CE557B20C08C328D7D2368C0727C93D12D6A759B65D4700F426B00D84A4D70B4C897247E01B62BE37974';
wwv_flow_imp.g_varchar2_table(568) := '4F7E8179DE55681D70535F97F1A1D00C4144D342354117B1473E6D35B844351D2DAEBC67CE4CB380F67271F01B537F033BAECB3D3E2B41AC941C3A77A99BFB4ABC281DCB65B61ADF2F43DFF1CEC3C2C7D742BD8D129F66EF4153A27A093E987A7B125D6B';
wwv_flow_imp.g_varchar2_table(569) := '97769A1D9419DA3F7617B5FC20888B5197B9BAB6C73FC7A2F6EE7F4833749E5CF2559F5817B988770525A392C2FE00B1B267B633622238466DE5581D921BCDFEDA480E5D9C5558A139495DEB096CA602D283E82D58A4C95C1F26CA221967C5C74CDE0031';
wwv_flow_imp.g_varchar2_table(570) := '6F53893D9DAF226A0A317BCBBA38B68CA76181DF88416846FB4B0F1B6973454C7B097A762ABD26EA6930716F1DCD256C14DD6D7B6274628067C1FD500EE159A1E5746BC7AF42C1B68994B5D15FB81FB58E4E0D7F9D1ECA08BE412E5DE3609FB2725E559B';
wwv_flow_imp.g_varchar2_table(571) := '1A7F36ED09CDA19B311D950A26AC1C4CB9CE1E5C18B39C378E281CC88D4125FE65D3D69E804BA00B966F585AE21E9619A088C1EEF856BA60546C3DADF797863695A2BADD5F0DA0B656804B6A5D6524AEEE90C463F0563D918C5183637895F316D4B6C006';
wwv_flow_imp.g_varchar2_table(572) := 'A36996B7FC44CDC674C3099860914282C2BA08F73E48F78BC70957B441C51CE9DC6F76AB6A4ACB80004D957AF647F4B8298E58C894EC2902D5F13273C3DAACFC843B98BD3423BB2058089F67146B60CDB050D83ED8D70ADEA8CE3320212763EEEDCC2C62';
wwv_flow_imp.g_varchar2_table(573) := 'AEB940B368A81BB03A76C9B5BCFE91F8FC9717833B72CC5C65D9E40784193A49488CEC319FBB862ABCD84F03FDC5A96D5DEFFFDBDDBB78D47F98C5251F765B4218D3253764BE217E8B2E888031AEE1CF9037429B8243A05F181AFAC82FBF0B22C87B7E7E';
wwv_flow_imp.g_varchar2_table(574) := '3B592F0744126B7A67409835E6F799A3FA55DEDC5827780B0AAB57A57446BAE82ABE27F3D9DD9B253595346A70360E3947782038789955FC8F37A1BC7244370AB537895F3BE0E6A73090EAA278253C843116B6372BD123DF5180936AA2C30E38C6959816';
wwv_flow_imp.g_varchar2_table(575) := 'DD7B4946C72ED69FD56881C2A64977BE1ED37429D868183D81FA273B03BAC254FB75A1A6DA1E228415461ED053CCAD216AA9F9124FE04966877AC7C4ED656999E5D8F04B7F6749F5FD6BEC41FF202528811436956AC773E4097FC356D9D486724EEA6416';
wwv_flow_imp.g_varchar2_table(576) := '1A545CF2A15F52D062333C8D5EF03C491B68BAFF30E84D56796B023AE476B6F5F383D42BE6C66445F7FD286BF0A1176355DDF23F287E9BC6F8819DF8DC4D33BD135BC0C650E912A5FA690B78F4443F0CA4509437A82000ADFCFA4EDFABCB39F96C4D3BF9';
wwv_flow_imp.g_varchar2_table(577) := '1FF5EE29206C79FDA07384B3D726A5CF917478DB7804C6936F1218938C4A19998B42AADFA3F40A9F05DC0E115928F72A758B2442C6087D820E057815541E07BD6EC83754A9A7D6203B3D0C98D189EFB8246FCCCF5640FEC4C96C53F481FA49F7D6D2DF5C';
wwv_flow_imp.g_varchar2_table(578) := 'EADBFDA06BF9CB2795B94C8F5DC1013763C8F842CE183FCEE66DA81A2AF3B5B68C7A0C07D0A4C6746E9A81AF000CDFB64AB5184692F1FA69AEE00E25E0D62F90F2A562663FF2CEB85131CA3599FA5FBB6B017D95B42FEF322052C1F343B9F7EDFD9CEC14';
wwv_flow_imp.g_varchar2_table(579) := 'AB975E5F3C2911EA0FE89687CCC4026C3435C9CB825734D290FAD3BF247065C8DD3C6C0E2D9EFFD243F00B7C06C18DD191322FA8A49922720023046D216A70E18694EBAD60F3CB5CA437F9C22555D3741B90EBDC38B027F0323D424FB53504F367CB9325';
wwv_flow_imp.g_varchar2_table(580) := '376837186EE02BA1970F80313005FA3E768100E9FD749D1A35C220ABD950E44018FD8AC1284DD3FC5A760FAC90C5F37DF1B411D33FAE71BA8C5DBBC184B43E9D3A906740322F9034C47A85E9AFE52031DECC2A161634D7B177ACF5F4E8E8B7BEDEB93315';
wwv_flow_imp.g_varchar2_table(581) := '4D830EC4B3510C9805F16E0B0F31B9551C1150C1696C1D43429D7AB98D571CF7964D21BDB55B201F9ED0FCBBD45F2A29C5EF8A733C705FFBC7503D7BE56A0B9F27EA474EFDBBCC05906AFCD4F75AEB371B944DC871063236654E7A1303DADA50C098E6EB';
wwv_flow_imp.g_varchar2_table(582) := '350380FBFCD7F231890B12C336860434DBC7F869ABEE8C63C98D23DB7D92D30AA1F86948456C719B9803F3759E86AD1FB985171DDDC88AFAE1FC8F4C6D3B6D21B8F7D7E4D7872FD6028C5133F6923EE1AD0928A9FEB20D6866EE78F71183EE84A011B22A';
wwv_flow_imp.g_varchar2_table(583) := 'D4E1E3AB753DCD6C077E0561559A1EDA94E152897A2E75A495972C59F3F7EA1AB06DD4640BA35F17F1EDA25ABD03761B7E4CC4B50C05EB9EC4EBD8D577083B39DCE11CCAB37AFC2D7FFFBDCA3E5FB1409E782657F80E30B26B09F209BBCF0A1C444E9671';
wwv_flow_imp.g_varchar2_table(584) := '1B2182389E3F8751CF4C835500BB909180E5885320BD6B4DD50B6C8BC1120BB352C7FA48948F307BF71011C3A6A7CC09F4E7D4F6958D084E5B9253853FC70335A733E88EE12AEA644245553A4F0D01FA1E4C249EA9B956FEE652963555A5D4FF3F97D67B';
wwv_flow_imp.g_varchar2_table(585) := '8AE672E80A414DCD422D002CE5A9DC6F66185D86EC7FB52E21E3904F3A0A38F5B135E5A24AFFE142FF090E7585EBBBDF4D97D869903C92C9D05F6695CB03394ED7AB3E9AD4AC3F97F3E6E18924310C592B34214CE28AC2100001DF36163AEED926C42A45';
wwv_flow_imp.g_varchar2_table(586) := '2BBDAE8C79E81E90BC9A1F843EE27D8FEA34E3E54B31EF9FF5EF6185134B2E3C713DB1179C0BCD5E5F8E39D31A000F2C3D14ED1B2920E08243FF66A268DC4CF263DE6515E8041AEAB1B34BCA857A685022F97979C9BD2071AADC43CCD536CC6A24B7C3C7';
wwv_flow_imp.g_varchar2_table(587) := 'F5E1379A48DD9067D236F42938873E21F8DEBB887CE1C1D467488B55E4CC5894AC92B5FC7A45F2BCF6EE67C8F8D073F07915BF5D388BB83B8EE1BC3D527FA5CA7479231000456F5A4A4ADF432D333561302FD1BDB745A52D2BF4C7E09116A3F10A48772C';
wwv_flow_imp.g_varchar2_table(588) := '8A730DF3448038E33D22CF51A898C71FD52AAD7B5DF8EA7A68F180D2C0C4B28752894721DD7E8A57DD74AFE116E3DFC62CB0FBA63848ACB2D86E5707A01916C32707B956580EE2704C44F8B808BC92C244DF5D27EF29C1591BB5405E1D081B3669BEECD6';
wwv_flow_imp.g_varchar2_table(589) := '0D4FF785F86688273D871D4D25095E93E6828C8A9ADCB091030B0C8047FD556C22A0ACEA04DB6EE915D46DDAC50C5F9426A43D793AF9E01150A70B3B6D671128D4D4E90EC56FC3B87D9F61E5A7F3ACA676F79372137F63311CD870C6B3AA3D8A780AEB9E';
wwv_flow_imp.g_varchar2_table(590) := 'A522E37847AFFA732CAC12F4D283CD90D82C6C4C41AF7C5CD5880D2AAD1E3093294E5B582DB68C6F619D4DF2F1CD018633135CEBB1AAEFB709647DFFB4C4D60EE3E4A247E48F15E720B81D8E75FE58675A0DA5D7E6D12681064F95E95B4F671F2D0F0036';
wwv_flow_imp.g_varchar2_table(591) := '3C1F51F084DBF45108EFE5C785D9B367943284377690FABADDDF891A1727DD151B1F781B55411DB79F55B4983DD0DC606029513BB6D90382228285EF8B03B53CE70F5D19D8FA5FDC0C6B4D0018306DBFC6AE534EDE8DDD09A447AD618362429C8B3A2CB7';
wwv_flow_imp.g_varchar2_table(592) := '15EE35AEB437D21E95F5EA9E621D3DC66C698D3B3603CFCA12A91BA84D5053B1BF08BF18D308C7EABAE86E19CB17765A660598285C954F8466CEDCBA3E9754EC6B382CF98DF992A5E240699D44577A76338DFBD5F343EACE21B3B1F1CEB05A4DC1E5D47E';
wwv_flow_imp.g_varchar2_table(593) := 'C29FFE0F83071FE017D181AFF4730421043F524E17589195C9FCF60B9B720B80CEB24B97B3838398B1A32C4EBF6E95DE31198F74E9809D5C712C534556E6FFD227ED5782FDCCE4D040A12AFBE408244D5A989AD46BB53BC8BB5B9C27B8A15752AAA9E3DE';
wwv_flow_imp.g_varchar2_table(594) := 'FF556E3B957550F0465F27794236C3C0DD7B853B59AE02F78EF8EED0C4D2EC68C75422F0B4E4BD05E10DA9C5D6F2C8553BACB8265F7086867D02CE201B342055A61EF6A3A36CEE36DAD4C5C135492EA08934059DC62F33BDD45A4F43211E3693603365E0';
wwv_flow_imp.g_varchar2_table(595) := '9D29E8586FAB27C76268AA234D077EF15ED74AE17027956FBA7B2D1BE452D5183B20ED2EE5B574E187F8C34BAFAA9E26C7F75D68D841231BAAC8827DD5C1D9A5A4DCA2440C8967042AAC9DA9088C76D137C17D576134CF65E782DD867427B98C78A027E0';
wwv_flow_imp.g_varchar2_table(596) := 'F07BFE9D3FD454D07407AEE156B69AF101515AE132861CA840269C834778B232CD56678C86DF4832AD65FBE0371DCE08BCAB4D214C8172854953FE174407B5970EC2819C28305212555C41D3D0F47CE6CE5CC79987C8E488693A9C3BD5935B2A6B1EB16F';
wwv_flow_imp.g_varchar2_table(597) := '42C431AB21180A3AF342780C5E6C68BDD217B22F35CB4FDB75330800F10BD512C5F5128D64599BB0DFE261773D03E59F4C1C1ECF7EEB40129C704B9F70AAAA0E7906D5C0954DEF9A91776DBDE71E6DB37639E646561A870728418CD5C6AB7F1C30B37B1E';
wwv_flow_imp.g_varchar2_table(598) := '0A0312352305470DEC3CFADD2833B5241DD9EE2ACE8777ABE5F0EB14AA0F66DF6E429044DED77D8978A0B31BEE8F4F49E23E0B55CF47290FE87143C70C2B344CD1325C4DB373FBA8DA7D198E0B92ACEDDD21B9DB5F94AFA0F376ACA88395AAFE676117B0';
wwv_flow_imp.g_varchar2_table(599) := '93F14A9ABBC5B3AA96CD4F1F91D47EC40AC00AEA6B9FB108D37C50CFC46F8E0C1004808000715B359B177D1710B533D2DC6E5C184DE36A20D19DEF1C46F47C26283A73BD7BD18CE6FCED72A70F5DCB2F5B99BCB91B7329CF118540CB3EE4C1381409FBD5';
wwv_flow_imp.g_varchar2_table(600) := '53EE873C73EEAA7B97C86652A83EDFFC3426F21B4F8A0208165032E98C025D03D3F0F72C01B38712B3D08499888AD46F3D12F652B2291942062ADD38F2E1F3FBE8E1D66ACA49DD3579B632B374240C1356FCC844ACB4DF3F97A38026D2FE09E8513D23E9';
wwv_flow_imp.g_varchar2_table(601) := '07999266318CBAF8D5697165BEFDE5C8567035B7837975A252750111C43D6D2CBC00B06A71E13C3E52029C14E201DD8E178C551193B4193CA147B4EC671B868FD7FB4E909B75B82C6D4442EAC265E20C2834387A0D6C837DFBE457BCDC42CE3606389B77';
wwv_flow_imp.g_varchar2_table(602) := '09DA70118D934A67A6FC9446886B192FE6AC929954B2B7D77FCE97CA2AE9DC347C326043F85395C96D05BAD098B7878DC9A86C5E4EEC4C1AC02D60C8977904691CDF773861209FA342CB5B7CC5B07D0679D4FDF2730678712767FCC3CAE444C21E6CE777';
wwv_flow_imp.g_varchar2_table(603) := '35F076B5964920EF151A57FDBFF5EE14041C301B6B8FD581CDF2DA497BE0462636E1B38908B6BBB82D156E60277DD2817DFC726631E4E8A4FAB4516135AD5B235AC997520B18EAC7E3DAA026370A79D2074C06676B4BC4C61F9C1B7CDCB605D124947BFA';
wwv_flow_imp.g_varchar2_table(604) := 'E24FF6EA86B60440A4BA7F2A7DF1080EF82D127C2D84F81CF352E69951D6A37405C3074955749B7D0C0A03DE0238A9739E783774D47AD635308B97C7AC26CDC20548B960ACD5A05009F7CC1E08021C8B203946D7E69B1CFD58BA2B445D26603EBE896EBA';
wwv_flow_imp.g_varchar2_table(605) := '6ABC59B9426AA33016DA407C2B80C9437FFDC8E8797B70B23B66ADAF2A554FEAEC4D560B1F635806C024C36105C0198334F05A9EF7C01A264FC4CA10D5C7A62C3BEAEE76006FD7722E6CC0C21FD4E7BD907BFCB5B49B0A65164FBE782CD56FF2D5CF99F6';
wwv_flow_imp.g_varchar2_table(606) := 'B6BD78F71C5CF7CDF1A1977A270B6D5558B5BAF63BB8769F39008C7B5CFA204FF16C0D19898884FE712E561EE6D741C744B99A533607A35B65AA6E32FCC3BDC4A91C57D3FC552C7F7149864ADF52E8ED12446FD565FA398034309877BEEBFF6898C42104';
wwv_flow_imp.g_varchar2_table(607) := '1C5DDFC392A19EB59F3FE79C3E6DB9AA3CF35A9F7198DA2B618B9654D5A05DC64642EA13E30B2F674D7DF6722833CABA1AB570972A688B5E02809DA09BFFE60D18B4C06EB2F35452E1135B6F72E26FB6E5D8A1221601BD60C968CE6DB39D754304F97B45';
wwv_flow_imp.g_varchar2_table(608) := '174793CB7CFEA1B96228930E886629F292248344080A45DF1B94386495EB435F3497CE5C0BCDED004E117225E02EF1F26956BEE613EE241EA7F5BC98750A8757DCA978DE00B2D70F11C3BAFA5A5A941891B112236902415808E615F81005F68ECB8FF3E0';
wwv_flow_imp.g_varchar2_table(609) := 'A783A607CA4F552222D37FB4BF19B375C5ECDD2789DE401509A88CBA7FF672B2FA57BBB0250166CF263C003FD6EEF219974C1A275718C8FA442870642FE2F67C03660C2556AF22FF2E5175D7BD0586C866F5BB50FE1522C50FD45090A21E79EF47951FF1';
wwv_flow_imp.g_varchar2_table(610) := 'AB7040DF9B0FF23A37B5D6625681DF6D131DA1478127E44141433A0061A7F898AE65712BFBFA95663F1532F4EE4897B8AE0AD2966EA1A20514E37B369527B6726BDA3B9CC8C2D09C25F863A4AEB69630E1F95CFC0AE34E4C1837DF5C60860932FBB2C030';
wwv_flow_imp.g_varchar2_table(611) := 'C66DF72CB8CD27A0840680521A04BB82548529CF4B412AF897DFE806411BB9092774C4B6D5064D5DB9E9C67B74C9A602BA4F5CE5F5C89AB42913B3A11F0EDB85EAD41A4C8D7D62D62E55E842CCE9EF1D6287BA63CF559AEEF7E008C3D2314E76FB5A08B1';
wwv_flow_imp.g_varchar2_table(612) := 'E7ABFE01D983F06243C08ED4271EBC84B3BAA859B50804B237596487FE0C0852A2FC59AF7CB8073131D4B2F3DB3CF2274AD7BDFC13DE81D3CE90A2751CA32C392437E1735B99117AAA9CF1E03563BD485A7FF93DA8C291DBF628A6E7962C5F8DEE22C0C5';
wwv_flow_imp.g_varchar2_table(613) := 'DC94E860219773932D023F1277B44480AB7DA0929973500C442C8D6C17D55ECFD82E3234F12AC62FD76E5F5C53F5637FA7BB0EEBC018F9801FFE31EAE33A6C9CD23397BAE046C113BB392A7E4642D242232B5BA4B4F5B39532DD15BEC8FF0C611931D582';
wwv_flow_imp.g_varchar2_table(614) := '5136CEA59AB650C16ADC63EB26C6D2F2C439D09CF1F351ED80B18E722079683E51987B7CF678B724CD6EA13F25C4CF9B38DE301F2798153E286F5EC8A945E84608D651B5C219F182202CA10FC5BF39CBBF6845A9B1AC256B40B6DEF721C507857267EC10';
wwv_flow_imp.g_varchar2_table(615) := 'B35B9BF19A9D88A315F251C89E561130F156DEEEAB45D59E898D538C0AD8DB90A82463EB618BAEA09C4452C09D71E7808AB42A8D27DB7161AE417491E394908C1B1C1C8B8DA1ADB92FC1DC03ECE4AECF761706F7DDC75CBA9269108508BEAF18DFCC81E5';
wwv_flow_imp.g_varchar2_table(616) := '320B84B855B71404EC763CB639A0D9B9630ADA1BF7CA4DD81D5FADCE490302A5E3F140A5D5D0708E2DDC958D0FE0EA9B37F356DEE22BC801B7006AF35F9E11C19F287185596A91C55A90EA9ECC9A20288853BE15472B65C14B2658D4512B2998B58CAB4D';
wwv_flow_imp.g_varchar2_table(617) := 'EA3B8EFAD2AF9DC8598A74B51079131E092EA22EFF2B7B25B50E7E4D25A20C1B5BDBBE080705BE86AB2DEC889C15324D588F1C3E17725940A5B6E3FBB344655B6D8690919C2469F263E0E3136ADB19BE685F1E3AEDE1FB3D4FD82BFF7CD42245EF0BBD58';
wwv_flow_imp.g_varchar2_table(618) := '1B6909A07D8F80F4B4EF462E02084DB2EF9C8AFB17A36794E1857FD6F873FCD847327B61407A53D630AAC067EBB8517010CFF16531E479312ABA702506D31B1CF9963C32F7D9D8C50382D8CEE24F91F058D5755697A58B3CE3E4DBC1DA2D6C809B5DB33B';
wwv_flow_imp.g_varchar2_table(619) := 'E9FD5E0D7580F5F01E849DA1858594C21BC73217909B00CA9DBED949BB6EDCEC06C808C30EE04A472E9EDC896AB558961430DF6A67485CE65EE0B59CD387A212305FC99348C4CF8AF451EC9D4B2898AA6ECC9AAD2130EF760EA987FCAE6442CF30112FC0';
wwv_flow_imp.g_varchar2_table(620) := '4E9635F19D86CF6D0F83FE950D412B544D2153B42BF7E42D0AFD1AA0B14001ACA973758FC2013A005915F9F9D5B8C97920B908DAF83DC75EC0E91E3768C4DFC4B5A52AC9C02DB78F483A3B9130354217E15150029DEEDDEB1C0CC604B62FADD9D8B696DC';
wwv_flow_imp.g_varchar2_table(621) := '33166A9163ACAF91C7DC86214A322869FBB836B8A82E2B8EA2A16B1D599E58EEE6820947FCAA4264B7C924E43D33B633A1E1169B4728ED7299D7C3350ECD4CFBF7172EA91EEC2D6CB7527DDA66A696C9DC21B19C019FB6F9E314536F6F72D06DD517D593';
wwv_flow_imp.g_varchar2_table(622) := 'A02AF779EB784065DA14BCA0C38448DDEF070744C07FA14CFAFCA8C61C4D164EF72F9A01D841F9903FFDC9088B6CB1402A080D9C891123BB971D1E7F9FAD29DACF269EC526CEBF63D3FB3ECD858CDECEE2CD44CB19802441D749A5A8EAFE5BFAD6E7F884';
wwv_flow_imp.g_varchar2_table(623) := '08F41AAFA8805E39DE169747541F1B4131160E884C6A50C96539BF7956FE9F864D351B5ABA70832C71BAF9E2C1597F2134A73E7EB3C78A1EE891B51C0C19E73F9A3AA17C2E7D41239242F6029626D037339AC0C47E4B58FCF6908BFDA07CB1352FE3D78C';
wwv_flow_imp.g_varchar2_table(624) := 'C6E32F4561A5F1439DE0F5E991F0E3D4CD35396C4B34CB853C262F6490AD863EABA27E5A048B9D3D149B42DEB1226A3D1CB19BF3FD710524194B7D0F611A4DF26B9325A38E6F79ED44740B6804752B2802BDDF5A4641E855974E17F31998D3767CEFE38A';
wwv_flow_imp.g_varchar2_table(625) := 'C475470B826A0435E8FEC6EB89BD2792A597F2B753355636C4572DC44113585178B59E604126DDDD2F79C238A747EFE9E54D160DDEBE26303D66D78325B8F1A909F7B236DA3EFEFE4E218A382902F7C2BFC28CFD590408066D021D77CA63100687DA1F2B';
wwv_flow_imp.g_varchar2_table(626) := 'C5CC2ACA4C6D8184FC2E75B89CA524C61FCF9438F6A0AF2D3152A4604703B0A6AC2E7AD38B7F619BCFEE83134E6AF5A783B7B0CF282CB994667565D186EF1B45894721DE40F3D3A82FB669216F5E8796929E968D44948F8C6B69F416D79D83984A881DED';
wwv_flow_imp.g_varchar2_table(627) := 'BC72703F0968F29AE305A923391D70AC25C4FEF1E4F7B2B2888B74F14F286B66BD6250325727387D5420C5047BD37BE5A62F4005206DF18E690953A7C32A1C36CB4C616631009E0EADEBE595F39EE5269DBE92D6CD4C29F720083C7A67B0BE43B34E3C10';
wwv_flow_imp.g_varchar2_table(628) := '784146DE1A653448EF6E36F7FC8C55998BFC5D1A7F86E1026AFB8A30B10939D3F9F9FF5124CDE3F0AF5AB7A85EE6FEE70D049CB67B39D7F121B675639F3B8E284C32C01DF7B1B7FECCD24E6B09D37188CE32FCDD3D7440A3E5ED437D89693B970E4360A6';
wwv_flow_imp.g_varchar2_table(629) := 'BA543C82B013140061AFC80B8AD7DCFC9CE1C73D90C0A65C69F40C9C07A49BC78DA5E200091B961A8441BC0091CBC022790B8A1769AB87913D7F2E5530F5D1191BE7C635064709C2560C09CBB0C08C26B87C3E7FEE70C321E8B19A5D472AB9602EE65B6E';
wwv_flow_imp.g_varchar2_table(630) := '9D887574AB4F3FE2D2E73DAA0E835A3042A573C6F8F851FCDAABC7278364A134931E3256198703B54404012258E6999035FB3455219384342724602163C1ADA3FDD3EE3821107780FB9F34638CA1FCB497F6FA3D0976F7C0C317BC568D1BC809FB9032AD';
wwv_flow_imp.g_varchar2_table(631) := '0A06246259E60BA1FF20159D5EC1C7BE24E3D721C390D93ED79342A2EDC214ED1491B5C6A38FD79EADCB878EFAFBB7A32983C658BD0B63EAF8A3214D464069B7B18D9FA8BDE5BB85F8519D0147CEA738D7969E15BBD077B21AEC4D9DDF96A345E6F6EEF1';
wwv_flow_imp.g_varchar2_table(632) := 'FBD4310D643E1E1D0A5F879CBC6C066A0FA218A2CF8E4478CA97FB569DA730A54C3D1CB4D5B5470F48E806A9D10E5CF6D8F39799EF51AC8E905702F79E1485F0D46826D841586D83F682D50ACA35B789D14BB417F1AEEEA53C20B73668E7213D37FD0DBA';
wwv_flow_imp.g_varchar2_table(633) := 'DEF75DB95BA2F05683C1D9558A211A6C8463FE6CB46E72ECD7E081406915604DF23E60883207E7FD794F3EC13EC3928B902A6DD25E9D1597F0D00278AA4188107C95928393C1D6CFBEF34828AE3758073B3BE0B218E0128CF7FE2E3B6AA9BD87BCAB2B2D';
wwv_flow_imp.g_varchar2_table(634) := 'D8DD01A5DD6309C4F2C1A1DF96977AC76FCE7FF8C358AA493F9E2406AFE46A4669D70FAFC63E648805CB8C066A1051FEFACEF22C85EA0381198C40334B84F063E38EFFC6ABF778D1FDA49913A69C79CB7AE8A924B6F2394570DFD5165890D417950A2443';
wwv_flow_imp.g_varchar2_table(635) := 'AB36CD7E39AD5AD741CE546D5C99E65902D69A266D6FA5E01E2C07E923FEE7C6958903C65EC87D7CD61FB508C0EFCA158104DEDBC6F07455D177693DE8ED16EF496F61C34FF1D52FD39C1581F5FC5AFD0CF4E960B53594036E3F953164B958DB21F0A2B9';
wwv_flow_imp.g_varchar2_table(636) := 'D7F8D145AC23226397A4DF1500062E6DD3B03ACA94B620B7F189482BC00688A6A68F66A00D00536DFE0A495239E716E03A0688980D3E221072E7BE1C7115F35D70F433517EF0BABAF9E4B6517DBDCA01DBB90CEAA04FE6B5183634B66D7484CA7F2B40DE';
wwv_flow_imp.g_varchar2_table(637) := '0ABE4AE94864D132F55693F98E644345C8FDB26347E45B2742643968895217CC13EED8CE2A3934C897A8E3A08CF07A02A8E52E0164902D7A5A707C63AD77F4768C9C5CF41603EEC1982A437FEC0000046CA91300D048C4CD5CF63887F867001ACA949BB1';
wwv_flow_imp.g_varchar2_table(638) := 'E9865E79AC395B18967CA7BD78C7769284A55B6D08C215071309EF515E49564A187CB5D3B2C9F571AB022E7080D4B05D26D14AC8D424CBEE7042E0B2DCA961267FE6C249AEDC289F8106B937E4453814CC2CCA65CC1C271A73F08C232A8059E0D0EE1E7E';
wwv_flow_imp.g_varchar2_table(639) := '9D90CA6D8D3D86D4BAE32A802932183EBDCCA33361B3050CE62B7C72E3FD34B66A48D726E17CF6E28AEA6563E6EC5FABBA60502094CF2029886389099E4C75CFDB4D197EBE459ECCF35A30BA2B0AC21752319002A4F745C3807E940AB7379ACC13AC030D';
wwv_flow_imp.g_varchar2_table(640) := '565F84AF927AA9ADF334C473DD1C4897EFD26C092C82AA7EBBF8699750199B84DB0F53A989C8FB3B8A88E063F502DD9689FBE5313FF8ACA62786A5140B0CFF20028606E4ADC46919A1B91A916AD83A904525330CC55DD1F23EBF61357C5F3284DBF73AB7';
wwv_flow_imp.g_varchar2_table(641) := '800FECC14CDB4288CE49F594F4F79F165B35408C90E4234845DD9A92878CF8303626C6552B38F829840B3F3A37F1E88CE899F6CE824DE87263CE12A6457253A4BA467C4387F2182DA8FADC648C5E38DA8D14D29C8B68CDB29B3F8057F95CDB2E611263DA';
wwv_flow_imp.g_varchar2_table(642) := '6461D0A3EA809F5160237A7C9D731DA59DF926D1E59C0484E670A5B726AB0EE948F9CA2B6A4382191F89BAE0AFF36FE634A14968C2B8A18BC8FA888B50D4892DCC16F466BF992309EF6C4BAD40EC0BD4F7ED5D58AEC0CCC4A58874CFFD75E31A73E237D8';
wwv_flow_imp.g_varchar2_table(643) := '411799F394E1603EA21BB4B18F39E7DA0A676A49D12D3F61B507681FEC14124F87B7EB8E823491C069E5B69385C8682E12A48C621CBCB342C0E7C412ECD1A7D05B086F879FEEEE2E49C9FC0C3297981D6D615FE8A80A8F53FDCDE83D61FA56A7A6BD39F2';
wwv_flow_imp.g_varchar2_table(644) := '994480C43DA6BBACEBDBFCDA4EE25AB89DFB8CDBB10B5B4F3F3380A19DC2505477B84C109F1563F75E8A81DFD8D310527F620780BD4BDC0A1B77BBD4C2A6504620E09E20C1BCF5608ABA97B5443D80AB5DB2757A62148C9A9A0D1EF73B36CEBE67BA9F49';
wwv_flow_imp.g_varchar2_table(645) := 'C86DF8C7DD7B1B06AAA5FA80CA2BC80484BB3C834039791EE99CACF11687C39A48435C382AAD90299F7FA322E46097B5C780D6E04A6F51448C7E1414BCA81A79D3425811A19CFE06BB3CD8CEECA82E0BF0FCFAB7FB41CFC7BDEAD241051FC9053FA0B734';
wwv_flow_imp.g_varchar2_table(646) := '9A839EA74B0B668AA0B5C95632267DF578DECA18FC3858661C6FC28159A3DFF01E79775B89856EAEEF7D2BC3DB7A79B59721F8093BB83851BF9E6DABD48F79973C7D7BD658578AFFB8C9D11C96892070E23E3393719AB800CEAD0728560C10EB26C9B673';
wwv_flow_imp.g_varchar2_table(647) := '7F7D4A5CFE804F0BB614AFB540474E92649B11AE2E898C0469352160000040025313F004161BCEF1616893FCE139F36EEACD99523A34DE970EED886C1EF65D4B304318647D368856D35F00ECED810A57BD12D80C789BD8C209C19DC10FDCAC6EC008D2D4';
wwv_flow_imp.g_varchar2_table(648) := 'C980C1274FEC0A1E17BFA9A39F5C39DF7718F46A5D1A40CAA895D6815B96F42B6ADA3D59E47ADB019F7755591094FA3C08B9140D8E65E02BF784F321006C08777098E77AFC95CF7D50E6E4B61701F6226EC477E4B36A71A11CF7EEA2A65CFA8F5D2EF69F';
wwv_flow_imp.g_varchar2_table(649) := '55E87220E6398941D44FAF5152CB088AD83F89D7AEDBCAA1CB3F7913698ECE3E1A5FE2A950C2C687297D435EC311F80C57F33A5404859E633F1DD3E91AE3561F97EA61A54F98632974B64BD4F2E8DCD7ED2937F91B6B692DD0A569B20DA482681EC33F8A';
wwv_flow_imp.g_varchar2_table(650) := '5F7958A090E8DD428E74EBC6E2CEE05AA546317A0CC4CDE403CB75D4ECD072531DA8B8CE1BD237F0934DD29E11E956EC080312EC46E9DFA1E7D1EFB08AE728F85D5A0D388A78E8B1F74CF749DEC7C6103B13D3A607B5A218F30CF658EFE4AF7EDA71EB4E';
wwv_flow_imp.g_varchar2_table(651) := 'AC714AB616C650E4500D403F4C19E02CDB19E45F0860B17A0AB29AFAE4AF6031CDEF3F7DCE281CAD2EAFDB786F448EC0B1F8197C2C10786FE347131E1D66F9A863334609DFC6FA02B7CEB24D6DDA949A38583E8777E25896AB089DE8C3B4F6DDDFADEF89';
wwv_flow_imp.g_varchar2_table(652) := 'BC08D716E213485154E7AA70DAF113F3A05F61A0794B9374F3FADB3E0275A22E9C7FF76ABCD65C3EB57D610D79FFC0291C99FB71DB81D4F72A9FF18256FC349F130D362A34027F7D486DA08819D5880AFB70C9A6B428E3930B77F0E4EEAFE7AF300C1A70';
wwv_flow_imp.g_varchar2_table(653) := 'BBDAD10791B952360BC11380F8A26F4DD7066BDF51E7A639E0986923776F20A5BB6B107DA8195B18DB491363911DAFDCDBDCA546636C390AA490F51984DF49A05111BF8BE1A245925A8AE75D95D38383E27A2B6B6DE810CAC81278DF645DC481D3A9726F';
wwv_flow_imp.g_varchar2_table(654) := 'CFE624558EDE9D15E352550F617F7903F394C3FE1142A5864DCF9C6C3AC94576556F86A8BA4EBA7791985BC797E1A54EC33FA9205F9DCE79E571CE51AF2D122E97C37D52C86D49BA6FC8E2F7887B9CF7DD7284AF829C83829140937549F72B0FA0D7C1A0';
wwv_flow_imp.g_varchar2_table(655) := '98BBFDE5598BB281314492E161255182358C3C3CE8E5FA25728D89220923CECDFD4C6967CDF895B8EDA810E3CE1F2236B39EFC3060F9FFA3BA700878990AD5646E5DA3949A7BD1169F46E8EFC3092793E6A023177EC38D6AAFFB2810478776FC0622BF63';
wwv_flow_imp.g_varchar2_table(656) := '124DD7EBD74EF91B07FACF4E73F3C69D34896D4CD4555DCF2E47D4B4520B2193ABB6F2775D1130C1D87DE1B4004249265C1DA70F4B434542E7BCCBD3C55B426B40763DBD72083194D2AFDE41116ACA0C556E3C49F21A1C84906954D3D47977C690B8EA96';
wwv_flow_imp.g_varchar2_table(657) := '3813EEC8A14280B523BBB6FD73B68B0DB515DA993048BED0247D7EBE929CD9318698E8072B0F687D9AB4F52A049E6EA575784ACA93F0DC05C75929D805BD6A3E38D52E8FD757B82C53ACC3C924B7B9514860DC6F97522013D109BC868DAEBA5D3080BB09';
wwv_flow_imp.g_varchar2_table(658) := 'CFDD49C3A7BBBA3A575A0D4D9A36655A5C1DBD6EC0E6F6D46B35950C63764FC2713FDB046CA99FEF3B1A6B90EF7C1EBB9CA71AE3B8B7BAFBDDD19F2B56C8013BA5755E5A7937F6FE226D7166DD446AF16DE5972D49982F724DFFA7DAF945A5EFF3335F98';
wwv_flow_imp.g_varchar2_table(659) := '77D86EEDE710D13673B5CE54DBB838D71ED76D3312CA19AAA83442FBA0B98042722204D9F48713BFA2D2CD4E066CEA36DE4243D20B66F2D74C08FCB9C976CC683A0B119D1F9E80A04E81B6983C0D1A7849D8C3B5812B9C164866B099321D86967C4A35F5';
wwv_flow_imp.g_varchar2_table(660) := '2361EAEB91A645A1E0E08BAA4064C454D05D53E69F06ACCB5222592685054C4DAA6A0221531CE4C37F72704085BA3A8C6299886D16FE852E3F105A5A01077988BD1940560D63D07F67B596CE7CA58F14509D76C2D3E605E452633818296B06D93E85AABB';
wwv_flow_imp.g_varchar2_table(661) := '2516667C287203ACF9A300C351761C4A0A4352FE671370D331C57A1D3D47D249B1131F1FFB0E367DDA45F02DE5E9D8E81ECAD8A689D5C834D8F57C830C0A0C1C55AC0C4CB519609530C1C52C0B73F2AE8CDFECE8868EA659E04ABDF4C6C51A42645FAA76';
wwv_flow_imp.g_varchar2_table(662) := 'DC3C3138F37FB114CB4B8B2F90A002B7A483582EA49562F40997F6264D8A53CFDD050C3A8F8700BB38A9186A68075450B042344C76C14A130BA6A86C385C545B4751E97DDFBB9E175880222C17593249EDABEB7C7CC5B9087D6972911FB1DBF94B75B620';
wwv_flow_imp.g_varchar2_table(663) := 'CA285D55B05635EDC71D82BCA2E2A85F545CADF2A014A50E9C9ECF5DD2B77F25D4F70BA0FF794111B1195084695A122FDF0470F68000C83C73D85927E174B7D2C847389AC52720ED51B8346479172445D870F84097000047B749250C2499B56C3E1CE766';
wwv_flow_imp.g_varchar2_table(664) := 'B82536C21A7C6CBD636219016EAC87FE7C24C74E8EBED0D0094C8C26ABC2BC3F66639869934549127DAFB10FCEB8F3329F3BB3665EA34D34B4C7912351C368BC44E36167F0DBEF924258D544A98B699B08CE9A476395109D63ED5993A4050E9713301CA9';
wwv_flow_imp.g_varchar2_table(665) := 'F862566957A7C8E56F1497D8C49E409442C2723B1FCF30391913CCE6A7AF384A80BC42FE497880853302EF2B4F82BEBE574DA5A459BAB761F129347BAA9D47CDF950EB9C5268C867F5FE7DFBEDF36CD7FE1E96872EF5BCCE6CDDA34D5BC60C98A405B7FE';
wwv_flow_imp.g_varchar2_table(666) := '79D46AF675A9346757CDB33ED18B0DD4F9E98D3BF1A7B817B3B07C48D85110BB3E6354A283517AF6F2F856C7921F4A88746F39F0A1598622C8194C7ADBEC617789D5C4A0B9DB21581CB4F0AC092A379F11211E10615B04F4A7E0388B26051F7FAB9D05D5';
wwv_flow_imp.g_varchar2_table(667) := 'FEF2DB9D561E71F10EC89AB0B9F7E5D8095608595D5C91317970B976AAA716B38CA066D87A0F440D98224E064BC00EDAF964DD6C43FF9769A8E52C7441DAE08EE6C83FB70074E79A2511FED1923A131E619BB660FD1E5E9B9A99F54B558778BCDFF3FECA';
wwv_flow_imp.g_varchar2_table(668) := '4DE3CCE5C67693422AE16A40996471660D7A74D50E024CBCDFC94EA232DBCE4EAC67205BF3B25DBD111891A8269B693C3396C0F07830326A78B71C092A073F03B04B120816A2BB1BA49868E407C56C1304000B137B29D14A4F33F1212662E02624E057BE';
wwv_flow_imp.g_varchar2_table(669) := 'B49E19A3140F3211252B160D4361CC9BC4CE581AE2959D11E7CCD30F906B962D4463A2F80BA0AF11039CCC9D9187E996BAA38BFC4C4C17DB3DC86987B5E19BA2D715899C7A7B6F7BB00D0868F58A18DCD7AF3B28310E2CE179811C7B908C4BBE580B67DA';
wwv_flow_imp.g_varchar2_table(670) := '54C593045271177CA826E831D4E58D93A97FFD163131AE072346A2C9241C15EBB607348851B9ED45B8FA09A1130646D744DA68B460CA6BA2AA1E8C4B752125A71DEB71DE2F9FF92D51B28AF672846BF60CFF9E95DBA41AC05536B5B0CEA446B0787E6502';
wwv_flow_imp.g_varchar2_table(671) := 'DCECCB79B5D304B70C09A1066C7AB966D9769AF9A8BB3A7E51F501A367B355E4A37AB05ED9F0CCC53F5A0F02E4AA824A40025C82B57C0F7467631EAA20DABDC10827893A31FA3CA025D77BE8F9F6B9A920E5D7E6864666E25CDA581F98A3A1233AA9A86B';
wwv_flow_imp.g_varchar2_table(672) := '86C4A962C6822FC4AB8A1AEA660F18C904006928B3B2F88BF89BA5C8A316EB15F591D3CB86CC8C4195E428C234B20AFE6A2306542C0B4C1B2C9BE0B9D9E98173E450732308C89048616CFBB21C7110F7A349BB7709100FB6EA8A5CB678192D157B5238C5';
wwv_flow_imp.g_varchar2_table(673) := 'A746EA06A57D295000BC708C8591C8101831477ABC10050D110E18AE0FF060AC912624E6B2997C616C2CF574C191F2F3F2A5B221E075EC976FE21ECE8A1733A99248F0279CFB63AA1D3592109CD25D496D32050B58966DF1F4DD4F0078FFDA42CBC3062B';
wwv_flow_imp.g_varchar2_table(674) := 'CCA806B0D789C4E80A7D5B5019D1D76A1E4ABD76AA2CEA82B6582DC5ED53FFE625F481446EF80272694E9E1BEEB22EC7DA161A3B1F7EB61FC4E562B9950C3398848431EDB90C24E99984490055B996FEB417CAEB6283785EE28B0A70FD69CD790B1B41A5';
wwv_flow_imp.g_varchar2_table(675) := 'F9570A39D3919882B2EC0FA63BF6384F3DCF69A7C3BD904D1F9B2D7AA551335C8FFBDBC9E9FB82AB1446A3FF52B868FC999BE930FC211E45F66D85EDC8FEC686424F8917F8DD2C5C1E2AAD5FD3D8D742154A2DC2236A9B6201D01D5519C23D1F520BA3F5';
wwv_flow_imp.g_varchar2_table(676) := 'FA20AF2275A086696F80A838067F8485DFAB62B60EC8FED04A512FCC37742986DE56168BBCDCF183C1CF99FD27D2EFE3C98277D7C10F90446FCB09319BAD36CF7324A8FD22B2435A8F908E48E8205A611C217A143183D7BD2A9B3A3D071F8C99B124F949';
wwv_flow_imp.g_varchar2_table(677) := '57CA611E3ED964F37BCD5A5105CDEC1BC0A900D999225E29294C860F76A40398B55500AC18AAEE1D51D78FCBC6884CA06D3603F984B74DBA9FA19EF39D435906CD029F66C7E4369995B8637456FFC5FFE21037B4C8D6EC9B555C140B223EB4BA54024A40';
wwv_flow_imp.g_varchar2_table(678) := 'F0262ADCB31762D0E5E9577C233C6F147CA958DD571085D7B425A64FDEC32C87EB3AD43D34799F1C2E7FA19DF64D582C4CC6E28FB8935E6B0637769E7A3F30FD431378F54A40092A4C554FDAA986465D49F4710878CF89C5503AC8F1B3FE2A8E30647EF1';
wwv_flow_imp.g_varchar2_table(679) := '94CF2BC50219EC95E0C5F497762594BD356965ACE678316F7677E6A0D36F4A46A3898BEE48688BCD1988C8EDC14BBAC2C5A2DB65399964C5F82CD6BB3D597296A5ACA758C476A558E94B0283C970B1533B11B57A3307A18D587E42E3EC76E45958232EE7';
wwv_flow_imp.g_varchar2_table(680) := '3DC65B08F72357DEA9983EA63FEEE76BFBB5C6EBB63404CFAB175F38AFC8BAB3294DA9BF94087F1246C17CFE8143BC906E0005E5ADCD390E581050E86743097B00F60005E53E33430A1FDFBDF95155E48AB213F3E58348FEB07BD8B6441802E0BB50111F';
wwv_flow_imp.g_varchar2_table(681) := 'DA4BF0196BCD53E3F233576794C619FAA202989EE202BB13D0A4CBBC00CD74D593B4FF7775816FF85F52D59918E2875C16DC0B1AAA95580CEFB4EF1B83A575514887850623C2B3CEB3C69C12825836BB81B25B71F5CF0A5EE1047C2F014172C65C196EE8';
wwv_flow_imp.g_varchar2_table(682) := '48572E5EA1311A0B545E9093CE955F89F7D3CB257021E704393CABEB5749072A452256F756AD5E04E9D8AE0E522D184DBDE933858E033755BE53101FA350957832246207100A6096E4268F362BF69C03177551F0F68F28CB29B886EFFF50A0FF5979E84A';
wwv_flow_imp.g_varchar2_table(683) := '97C099A5AD1943CFA5FBF95961AF63871105C1AD1AA9F01B52298E8BBC083B4751E89115C5AEF5B288E7648B336053BD3BDDEBBC12850CEBF3E8E16EF14487557CD9F0316AC97A71FE1E1097DB38276C6AA86FB67280ED72510966B9D5E77C3B5DEF2586';
wwv_flow_imp.g_varchar2_table(684) := '781CBAB87FE62D5ACDEA8ACB9A207CB10539DE1B8B00D065D00BCBF0C96EE43467307747B48F96931989734A0E880B8C88009766EB4F3D2C33BE33EEA982FC45188949D6C99BA8B8408C0CDC63CB5EFFD108D880F25DA491D1BAC7CA0FD5758815AD00A6';
wwv_flow_imp.g_varchar2_table(685) := 'F88DD89760225154154D5B0C00675CFFABCD709854719BAF98958BD796A70A1D6B53F6EFA4DD94CDB80E5C94BEA7B923FA87476E41CC2F7ED4CBB56B6404E9546C36FA47F48F9FC1D1C4202C6E213C01C89B290BDFFABA6F42453B7A4ACDB6647EE296CD';
wwv_flow_imp.g_varchar2_table(686) := '2851C509332850EA321A2E800AB9B6D779D558E0968E6DE72F4471AF01D6C0CBD7BBE33A6ACA38D5FBECBEA6C34D9A7D1B52EA28F7CD72BFD36C508AEC16E1BE35A7A67929A919BDDD28C6239B3949AE9F1CF150226E1B2B256FA05EB03133276129B1C8';
wwv_flow_imp.g_varchar2_table(687) := '78806B175F5CF5EE4DBF7127B16476703B0EB53518314FB1261894B131542AE2020F92ACB59D42E6AF21E5CC3FBB20F7ED09662F52168BA2AE56563142CD4D11120F4DE67163C40851208563698EAEBA6DF291FDB755B22028DB06F2866704FC069FB733';
wwv_flow_imp.g_varchar2_table(688) := '0AC7CF6FF4FE719FAF58F2D215B35B40340E43A39CA411AA2A5C27F589D468CA22224B0EDD730D14CA6DE8F237E43A3E1885566261DA836D15E76ECF16BAACF472FB627A5D04F4239ECF777A7524E407481F285DDD325BC2682A99B1BA6223F7BE3DCAA1';
wwv_flow_imp.g_varchar2_table(689) := '632EC47553E77C3C62D3ABBF78CE785EC7834CE9D45D0BC3F3C6EEC15CA23BCF09E1F7FF7E68A8C40CFEE09273338E4C102FB20DA8F9777BE2451888F1C4C9CF151AC5A9F4A1421E554CF99E47AB49C1361F884616292FDFB5A740CD33E849BE4ED2D735';
wwv_flow_imp.g_varchar2_table(690) := 'C6F498AC3EB71F4EC98CD4EB0004E8EA0B91D7A402B408371347FA856C5EB368F368D4EB64FDB6274F4E3EB59EDD0946DB7ED919600821CA36E2032B3E722D59254C9951B9D333577CD31D924E93B0C2325F7CEE8F4B174ACD62E92870D2F75F7B001CE2';
wwv_flow_imp.g_varchar2_table(691) := 'AE501F96A84942A85E129905B569A04B97F572D04641B09FEC5EA47B444C44DBC11F2BDF13DE5921B0309025309080D9DF55C8B26AE424943BBCC2AE54C7BE71ACD2873E4AA9DC5E02FC2592137C0B85E52B50CE9DC2B3F2C7A84AD63D577F2911263406';
wwv_flow_imp.g_varchar2_table(692) := '01146EED026681AE6637B9959896D1B809061C86D09D67A41DA1729F506F2D978552E04E24FBEC5E7F51E7C5A9D42AA5022F399C36341CFFA2A7B0D3F1EA87500FED2BB15650CAD46A8B3194D9222CA55378545DEBA17AB3A1E402C597E01FC6595830DE';
wwv_flow_imp.g_varchar2_table(693) := '73CAFA2838B017D4E4317F5B628EB0B6036446356E506EFD63C90F7E8139F3935308FC4CD441CCFE29422C5B7801F5AEFDC999477498BECBC1489004BF434EA18B3C699068082C60A6877D5FDB661EB4C34E776D95F7A4DC135C7678058EFC2DDC8FA032';
wwv_flow_imp.g_varchar2_table(694) := '20ABAD3C681353F87EC312E68850144B24F7D8F73B1CB14A2B52AE21B97AF012FA47AE555AE6649C070961F72FFF8B7A5877EB94148F7A24C0F9475298C7791C1D98842E6C2B2BB274A14F6A0877BAF559012DB6CF7BD40AE078757DF04EF91B831BAE54';
wwv_flow_imp.g_varchar2_table(695) := 'CC35F7525C84F27CB325529AA07AA05C471FB889039F6AC2AB9E496C5E1BF0BD69F2DDB05D2BD7E753FCD7E360A511406DAFD69392DCEA88BADCD3E307386C5B00B81FEF252A69D2D4D372CAAC51840507290FB251C9EC87CE3491250BB4EDBE5CF13A54';
wwv_flow_imp.g_varchar2_table(696) := '9169F3367D38192E3D308D57BB3D33ECF8C0FBDBB65D663ADA2B30C3C293679FB50836C907C00FB91D719C20BBECBF88161984B2F2AE894E074776DE19666542135BB940C6FDA7ABA063556E29C3341C4F7C5B6C08FAA8BA35AF97B8B6206AE100C34E96';
wwv_flow_imp.g_varchar2_table(697) := '9DC89F1A82A4A45F508C022C622F2A6133F9C4624FB4E1CAB8D97F37E5F2D1E4ADB4FE72B9BC88CCE79C8E4E77C74603334C838121517A6D120FB589E75713F1AA29034F31417B4D1FE6FAC923F47D3CF0D9A7C9618206BE45D77E5AFD0339F52EA7EA2E';
wwv_flow_imp.g_varchar2_table(698) := 'CF2380820DB595C9DF4ED819FBD578D0891393C2AFDFE412755B11A449D959F5A8D10E867DF61C61130186D2B316C6664DB247D5EC77153D7541B21A783EC3A9E83177E9B2A595A9F8E7D6B3BF6F3D595CEF70A3AA8D2F60A98E1E7915E009E1BAE5BE49';
wwv_flow_imp.g_varchar2_table(699) := 'DA9957B8D0A072CC9607A9E482C1CEC2A46C10629F46B4FE6D59DE73AD42CEF25CB3F4C4BD23FA962FB1620E548E9C2D01358F2DCD6D1C25C12111FE8BEBC5252DC4057F011BEDA767029FFC52264BB44EB8DEB28802030538765C3F25507E779D69EFEC';
wwv_flow_imp.g_varchar2_table(700) := '2E9E17656EFD88B7CBF0A8D13B95F96C4AFA3E24C1AD2B8AB86FED98E7980CBC9A7467C4D37D4FAA822F84148A5AF77AE1EFD47427BA9090BF73BD681C10656D2C5336E4DD4208D62BC58EF951465548D5F31955D5CB64CF4E61DA59E3BF394157604E66';
wwv_flow_imp.g_varchar2_table(701) := '6F3AF7F7A4F5C27EAB4DC7492D34C1B8238F23EA116CC15C170857B1E056F2509A901CC5E05FB9EC254E524D87F948549A981E233B05EC7864F10DFA6C5A836E94B0F67C5299CF75562EE1AF5EFE9BB23B7E82DF021F07DF9217470E9C232E5154536A10';
wwv_flow_imp.g_varchar2_table(702) := '02EF4A3D8F23F1C80649821960005AE7BF29F11556D10E30547F365D3C018792B0CF3D967853CD26B6456671CED154EF01C56B91CA31229B5CD000B0275F5A3BB541C15CF711D01EB5BB8ACA072CBFEC0612C5B6EF3784320B348B22C44F2E26F1FADDA9';
wwv_flow_imp.g_varchar2_table(703) := '3ACE3EA5264A83EEA20F264B21FD52ECD7928CC7B5E85D66592BF446E1B7C320FB70F8EA463D28E5F3189EAA556D73900000FB8D8794198E034947AA5E1ECCD03C87DF41980B3951A7C2FA90008DDC9226B73E09440CF801201259F0AFE49543A246E996';
wwv_flow_imp.g_varchar2_table(704) := 'A353F2CA17AE3BF23938FB6C82BCF9046331D9E245C64FC580178524D9A5AA82D3B810A013FFB5EC85E64F58122F173BC9DDC8D4B46AA5964A0B586C98B6AD25004326CD7DACFF2F87B5D4C23239D6D44C1AB833F55748123B51B6B565AA6016B3F3D20B';
wwv_flow_imp.g_varchar2_table(705) := '41809C5FA7D042F0290FA1D0B3E5BF95782DBAC11E3B6B604CFB2B62B59148C96EBD87F7BBA21F1C54DB130109F0202CEFC465807D70FD6803EB4B92205849F7A64FACD9DB8D3ED045714996796B744DBC9708A1B6E58934356D2C4995779B0DCBDA7E9D';
wwv_flow_imp.g_varchar2_table(706) := 'D53DB1FA9ED66C15172D69A74FE372A7BECD39DD26220474351C667A1138CDDC9D49B62ABD9879080DC878BF73F2826FD3DD1BEE3FF2F1B57DAB1181A374A51C221690EF2F6304546671347682CC51C16AD142549AA46451786A562F27D9BE0E64779C57';
wwv_flow_imp.g_varchar2_table(707) := 'B8EF1DBFB6FE405A0F334099C594B8A75AC74B2E4B08A1EA240284C160EDBA16A50B1FB623AB26775D7D7EC0888F29966F00AC74F1522BED7260A392A638F6D2605D08C289AC6DCC9E5F1F7408EB6C8CD5234F94FF4C9AE03D0F3E35AFE432E6645571E6';
wwv_flow_imp.g_varchar2_table(708) := 'B6064691E007FFA577F7678DE7331113F48EC5F6A1293ADEEBD0DA3DEFB28A053E434661B485758DBE95B9E367C740A83D91FCA1EF6306B1442A0375B028849CD37EE38EC441EADCC14658674E140FFBF685B32BE06459BB67FEF82D4D976261641E2040';
wwv_flow_imp.g_varchar2_table(709) := 'D3F09A9CA3C969BF2B2F2AB077E1BE8E66E3B84279E1126E2D93D38A3D9ECA7E2C3841182F9A7B18BB77CA6BA12603F95E9E70B17B59927B0B667CFC37639DA385A1533DBF77893E4D26C70B163BBAB2AB9B310AEBB34311BE36105E9C20FDE92C9BF6E5';
wwv_flow_imp.g_varchar2_table(710) := '1CCD149E5E0AAA6205C3C448386C93D01E1D44A6EAFEECB53D7D8969FBD21EC2744597210942422BB39D094E045026966840FE60AEE688A30FEAFBFA14BE80814CBFD0A80443B1139B226039AF446C4184DE207286D2061D06058F9CDA958217993C5462';
wwv_flow_imp.g_varchar2_table(711) := '041B3B549FAEBDA3F7B1736D80BE64766CFD0510B954A31E13FED0F84DE4998A28BD641690DC805CF0B378F78F59179B476656EFC3EBFB1A8B797F2462EB2CC46BF7BDDC104B8D25ABBBEF23E93EE2D48F4F7BC50CD3080E30833E77B87162F8FAD5292C';
wwv_flow_imp.g_varchar2_table(712) := '80071B15109FE097D68730867813B72969A13092892A46434B84ADA7EEC4CF120FFFC1A1B89A29F392801E021C032FDA00A5897740FB4B86C20803A2119FF91CEB3C95C099AFA40AFAC0043BC13CF33DE007DDCC9505BB6D1083259144EDF40E60DB0008';
wwv_flow_imp.g_varchar2_table(713) := '93F7F42402F48B36D27170A5834ED5DCBF9CFF5C5C1760C349BB770968B8BE63795A27A63A8D8D8F8CBC4C3CD48318B4B7CD7FEFE92C70B6B39B111FAB72A6B67F1A8AFF2C9233DD92723A89F9D28B8A9FFF58574EC63E8D36E64E41E8206469F6C90763';
wwv_flow_imp.g_varchar2_table(714) := '706E40332675A51C97A30D6F2D6659E1E2C2D66420BD99A573323AE80B39A2BD38F4CDB25AA747194AB03912499AE70010E981CA800A655675608F64394094400A107C12DAED4B9A97286BBBB50B74F23965B91CB7C798AE644B3194BC59C57F7029A83F';
wwv_flow_imp.g_varchar2_table(715) := '604BEFC4F0F0F39B0A65F18CE0F90D31374D1600E6EA90030CFB4AC2A238483573A833F97FA3F04FAD90BFE335B91190DB5EA7D995558B7A3D216ACA49624CAB3BB57C8A55B3F9233DAA97285F959DE3B0D8E5F9265FEC91189E020CEBDC322FA4B6B04B';
wwv_flow_imp.g_varchar2_table(716) := 'DFAC459478C6B955614AB673CDB85945F21F50B51C6425C6AAD75075FB928BEA09870A734E5C0ED382000E8E2833419827C86AD73387F850CF12052E3BF30426F8CE0A4526B0BF244419030D6B03E446BE48FDD112584A3E63F99F4597708EB69F95AF10';
wwv_flow_imp.g_varchar2_table(717) := '21939E6F24366FA251C0627107BFB8FB0823896714C53D3659185509E1D7F00F38B7CADD186F7818651B8E0B174B16027C1676C1F002F77CA91690B31F66876ADA8E85780AF63E4D4F5D16374DCF432BE775C8800BE3CF4374CE513BC48E03DFA57EC245';
wwv_flow_imp.g_varchar2_table(718) := 'CD6ABDEBA5CF8781E1A0F9A41235E57C58E1BF4259C233C8CCD3FCF39E67E86486366B5F58FC0A2369B62883A0086F77BBF39EE95BC6F79251F5B99B0EA713FB10BBCAC1024135ED3362DBF92148CA1F0A9FC190A30F7B5BD352B0EA351E7875AA07F8C8';
wwv_flow_imp.g_varchar2_table(719) := '36FE5A1E40A305B3071D0E5F997CB587F19C1C9E7DBF25C10A78A7FC4B77B36F88F74E59D33D6CCC8C6090B49DE29F9FAE78424EBE528972692DB914BA03F2A43B9B04D4633AFA61FD14A07BD71B2B9DE1EE0055BC3193A35D8F6EF99D451F13361C5B0D';
wwv_flow_imp.g_varchar2_table(720) := 'B875F7E4B84A02988E97D40EDC9368C4688E8D65489AE3894F825813442BB6D744147AFC1AFF74DFA78BF1DB894648379C4859D96E5969D02904E70FC69E6DAF4FBBA09CF2F7D83F40655C36A75FFADD0B487A8F6DC7909BA2F704DAF12223E1E9AA8BCB';
wwv_flow_imp.g_varchar2_table(721) := 'DED2FEFFC69AAB2A52605CEDAD5FDCFFCF5A21D2A7F28B9879EDFA882D2E8A5DB1FEFD1258C9FFE0DF79D04D7082D4370CEA550AFA2901AE13DD19F93E5533D86753AE04FE3BBD39176BE5D2B7F1F5AB3F76255C8FC71C3B0FB55C8FF9DF25BBF9B6152A';
wwv_flow_imp.g_varchar2_table(722) := 'EBEE3D241342A3C50AA4A52CA5C10843944441647F625F5065631B4E66C1EF04AF4F790788AB7E707F7A1003D57E00461C3E3EAFFDE893523072A9B8038123EC955F75E39C5AD515C427DBDEC34BB6CCD9CF2210F04F843B2A756FC1AFE0E687FEF64F0D';
wwv_flow_imp.g_varchar2_table(723) := '167CD94076235FFB93B063FEBB739BC1FE40C04A81CF86F05530B2D47539142837A2F97FC4C767511F80C09DF4429C6999FA4ED008C8F56A6A381BE4BAC1EF38D1AD54E936840DC8B56F7373836B66BF6620D15A88AB0E23B8DD36726C8EFE00760AC066';
wwv_flow_imp.g_varchar2_table(724) := '002E0F90085208AA9E4694000116049000073011EB14739683366E4BC75FAD8E9020D58AE2DEE36A422C9CF4904BC8CF350557C15999DEE6839F6B5AB5C9FD9B4E6FC64C546CBE30FC2AFC14C45A0B3E8D6F5DD2CB38E0DE82EE421666CC862964CC6D58';
wwv_flow_imp.g_varchar2_table(725) := '29B19DCAEA61BF6586F3AC3D154512758CA571CEDCEB998F75B26A023061E78C7FCA5293A7EACF6C9B970837F8D294D2ABB534DD1CDFE2CC021D5B3F3DF0CBAE11258E5C628AEC664AAA64DAC438B4BA681AD782D8EBB7CA4000BDACDB99A86DCA1CDCD4';
wwv_flow_imp.g_varchar2_table(726) := '5C1D0CBFC6D93BB26583E010B7AE4622A9DE258CA384CD73A942D57DC0E61F56D54A43B63795BF6E7EA0D1834CBEC2389AA49F83FED5046960C08E105C797DC74388CFB8A0EE18A82BDA5CAFFA3AA8E53312DBAA69BB0EF6A42137A8970954235B9A95F5';
wwv_flow_imp.g_varchar2_table(727) := 'C2D9C23776C9FB50C655FB3D70AF2A6148C3DEA6D9DF626C5364077E03FC351D571C7F4048CD70F51AF721286EF55EDABEE20A4068940E9D5DF219E6E001EB933C62E171185F98E72034627E49F84D0CC0140FD82257DDCBE46C84D2069A076E9DABAFBF';
wwv_flow_imp.g_varchar2_table(728) := 'B662246AAFFE071490171FB766BCA76BD560CA8FD3E565FC6CB99C801543DCFB4191219425B49DC48E146040740AED8D4A24310C640BE1337550D5482671537B2E8B690885E566F2B8EDC804F778D24E70FF7EF79CF9BCA9FE5ACC9AD44B2137D6FDBA60';
wwv_flow_imp.g_varchar2_table(729) := '320B7C85DB95B205A20C86F07B9926C2D01E6EBDF3435C643FA9D3430B316BFA678EC6575101A1E302544C683F40EDDE3FA06B570CE2D537F74F4F1582F7989B4AB25C051F768D99A869CC4A8A961D4CAA244D819F8FEFD9254FC629C1733B910C49BEAB';
wwv_flow_imp.g_varchar2_table(730) := '99F94D8DA19E75E53E8CABF14DCDC96D3DC6584146811F87AC412669B11F355D0C81883D442E5293C69A38F9E07C219FAFB0264569FE0D4B4782BE9EF36896447CBE47C06F88F7F00D7AF8C2C54CBFD3AEED4BE17D87EF190832D3F3CAA3A09A4BA0088C';
wwv_flow_imp.g_varchar2_table(731) := '28F38EE41C876009AEE516C1027E1F59098347C393FEF11FC15067E6513CF6C4F0A4CE27AB1FB59969BF174C35942E001072121DBED3DC7745F813355E1E8B17E884E57F081FC251273B200AE3BCB0D6876936E9E5FCAC431886DEF0D50B8DCA7E0503BD';
wwv_flow_imp.g_varchar2_table(732) := '60CF2028E007F1C0586C402C3D758014ED5F0F83E33395902D3901542255CE58E4C8DE8011BA9C98B5B8952E38D40D2D4D50E9B15C49EFF84999D53A989DCAF7DD34ACE4A9965DFEDED56D83B8AC5E6018624AA48C2B77E35A67C6B6FAA74A5AEEE3496B';
wwv_flow_imp.g_varchar2_table(733) := '8894626645967A5647EB82F308BAD1F98BFD799D2719D238B92942176CAF6C5C930AFBAE14F1DFC467BED7FBECFAD416A91994AAEB20EC155ACB0C12E732F61B54DB1389E810EC258617EED28CDA97002077807685405B198912C7733D0ED3207EAFFCD6';
wwv_flow_imp.g_varchar2_table(734) := '05B5B0D2F9F93BB9C5FBB8E60C84D359E19296481A695F3C1F1328A9EDE67B85E4CE0162DCCB74ED3746A905EED8BD83A84AA160C4B10B11B1BE39EDE38C13C0D803DC8F7188701ECD1497FD844EF71FA3EA496DB6577D245038295E219C16D3CDCCDE5D';
wwv_flow_imp.g_varchar2_table(735) := 'E5266E840607114E6F427606420FE4F8DE128B36A4401F63F68D5B010EEBF7A9A31703B0B97597547E12E1869FF51E9EDE677A52A962F264756EE4A546F4BC95B8548240F756FB2D75B36FAD81955EAEB295904FB34A3AB6FF5EA93776F6E9346BC67A86';
wwv_flow_imp.g_varchar2_table(736) := '2E040DEE46E7B860A2F5218C503879D0C844110996FFE6CCBF9705374076D80D55C984962A63E88D322A300EA1BF16CD5D9758EC04706CEBA133112139FC24B1649849C3394F04C32F42F5EA0D056D1018BCA8A1EB801E3DEA5366743A2966F6F4BF3407';
wwv_flow_imp.g_varchar2_table(737) := 'C451913F6465A88B6F0E6A25D6072C3B4CC5FC45BEDADB56162C730F531413BA571D6DFFDE688FD0FE87680000122800257DB000012FA6972CA80D0C68850A44F1E3BBFCB42B07A7219F026BD546603680B012B5AB0F047D81772C84079DAACFDBEA67C4';
wwv_flow_imp.g_varchar2_table(738) := '0BE9369171320B36FC7F47C588FCF6B8DD08FF4DCE5AE55B40C519A88DC42140928FB5D14FA54CECF9AD53DAD788F80631DACD83C66F0CEC126AFD52E1B2A07976A85E1F999B177B2B044E8C20DCFA2E1BBBAC941F7EB88BB059004E066B33806F615772';
wwv_flow_imp.g_varchar2_table(739) := '7BB28400D28C1EA000A4BD3F5EEAB6A99C1E7FA1D9BDD12160465FEF1D4EA5F55360EC68E41474495936DC60AF2E17711DAA5BCA60AB45428BD4BE42445D1362E3926B5B526436096B0B9373E1F26BBD95DEF6396892765D061515DED89CE59A0C815D3E';
wwv_flow_imp.g_varchar2_table(740) := 'BDAC2B096E4503929B60CBB223031B9140A3D3C23671429376EBB889C3DC52DF41D64CA3DE83E75552E8B920EFD21003FCAE9398D5664C703B14CE5979BF21DEC3AD0417E9ED5CBC8E7C6A12AA2AC4375D907D1CAF93283E7ED75943FC477B96C83CD965';
wwv_flow_imp.g_varchar2_table(741) := '3909B2462E8C68C74889C88F51C30840748AEEBC2231E9A0A4B7C4E476F03B3FE66F4DD2E70AEEF6D2D19F6B0A853CBAA61CC005A01DF037AF3ECB57A1636C2F174153FDB2CBF492D53904BC3822BE5E42DD20BA92197BDE589DAE765D79457B98149DBC';
wwv_flow_imp.g_varchar2_table(742) := '8F08B8644768373534F687B28B44A527EECDE87E2D69782753EA3499E3B6F10020BF153FB0160B799CEA5AD08AE8B0D4769218CF3FE8392E838E1DFC5CA8E3506CC74BF9CDF37F07C5C3466FD466012CD9D9CE591BBE3755B9D66496AEBF6B4B8E4D80EA';
wwv_flow_imp.g_varchar2_table(743) := 'AA8E54BEBB97D429D85FCFA41F2C77AA316C29DE024A0F71606BD3EB1BCE22328AADC9E98144F18923C03A639078073DF51CC5CFD2734F60EE26BD7AF398890C005DFA62C7792ED1AE6BB4B633A329A4931F2E492CBFCFD10B34AD55C6FAD3DD1905C405';
wwv_flow_imp.g_varchar2_table(744) := '8E5EECFE0EF57589D50ECBDAD985AE6F9C81D7BE406DD6DFC23502855ABA75A6FF012C4967AB331129105C66755C37E8A9FEC59438D1B5F2B30467CE29EAA8782AC97535461F77738C02423FDB8C5470E6E15832BF388D8EE303EA1706980E7910D64468';
wwv_flow_imp.g_varchar2_table(745) := 'C016B0F35695691FD20E4C7F9FC23CD4C63CB74782439B49A179567B61CA9BE431FFF932532EAB76FC6272EFFFBEE7F399DEC3A5B7DC67EB2282B452CCA5DB37BAF9717BC8B21DB91BE8C48F67EE19C4A1CE319BFFDA00EACEB6EADC21543C4AFDCA8AD9';
wwv_flow_imp.g_varchar2_table(746) := 'FD2CE9ADA972C1A6E4367A992E17F55C01DFA3F165D1A83EE8B9CF28017D87D212F807E0000000B94E842CAC57D65F0B49251CBE834F49AA3007707217DA1492809ECC4B325C92C1AAFFDFD3BACEC891D1A226299A351991F8A7A5E5740825FD7991C320';
wwv_flow_imp.g_varchar2_table(747) := '88795D6018173E1C06CD45C0F12EB0E4B15F4F07010D55D837119B23D2AFF257C94FBDA7DE2988C9A5886E7A566DC2ABAA616D63FE49CD9DE4E9B453F918E012E3E8834E0006617B9A7D4539413D3D02E38BCAA8F0BB7800F9C37F00080071D2098FE160';
wwv_flow_imp.g_varchar2_table(748) := '72F13972E5EAFDAB81B6E1CEA8C8583AA9386759B8FCE1ACB65A6CAACAB16E938C1FE311A7C650A308E088663D3042D15AB7D7174FA84D4CF9C6D03D0AD57548D30AE5299EC479D01A2A5D4EA0F0396E79B86ED6857CF5A65D5CC48BB186BDFD61DAC059';
wwv_flow_imp.g_varchar2_table(749) := '1A974CBE667505D04B8C543B81166C1C5071AEA2F933573541E70B4EBD0884F1BF07B7B3AE37CCAEAAB5206ECC7A4E23242A0EDBD47F61BE26B391B534B8A8EC66980157C953246B58C66BA562B67A9B120B2D57799D87EC646A83F96EA85010DF021328';
wwv_flow_imp.g_varchar2_table(750) := '03D2FB1B52FF8A97FFB2940E4755461E9EC42FCE4A673F5B7DE90C3BDCDBC9C2C6BC7C6790BF255373E44B268A8962284633288D45776DAFBB542A2D1EC96D49F7414680CC68D8FBC9E9AC137DFBEA2B7A5A7E258729E43ECE4E89A700659B77A9AFBFA3';
wwv_flow_imp.g_varchar2_table(751) := 'B3814D543A8408F5D45CAA69BC89A5278873FFE890BD29ACF94F1AD552657A10C2843A1FA3DE76957A3B25D770AB5DC75DDAB4AB37DEDC8C287DD0344D9BF02E657DF1E1F9BF169E4E3EBF527659B8B3F88B083BFB9827C4D9AB4335DE4D38B5D610B759';
wwv_flow_imp.g_varchar2_table(752) := '981B8B2CE9E29B0B3A3AF8C23E1504304E0D43015BA777E9BBB5B01A21E9F0D5967536BE42E67FA640184A23C7DFCFD10734F2AA6517B4AAE735648FED7FBEDABA5EA10699B388D1213D06B0EC51F3B2261F0E083C7B4545E3CBEFE40A13AE7B8E2ECE4A';
wwv_flow_imp.g_varchar2_table(753) := 'B51BCD73E88AE3AA6D841BB251ECE5BA8622130D6E6C1D73639FCA7FFBFB93B4A9C36CD48CC63A6DE45C252B371AB029A6E01D2E705604040F958B3D4FA1902782B3578764E5C3940A3AD502DA06DB7980787FB8E11D9F921EC6355F18EE963508876CB3';
wwv_flow_imp.g_varchar2_table(754) := '3F2F8FE162B4071600D7AE04A7A571F05E0A00991DEEA5F244E03EF3BBC7CB30B9DE6070E96EC50B3A62F67B3D2DB5192194351AEA8076B3B4A44DABC13D88E92FD9C919A33DF7B181AE8E1883E14BE4EDECEEE87BDD4FC7F75AB7175588345103AF9AAA';
wwv_flow_imp.g_varchar2_table(755) := '112F11FC5DFA570D05442C699612F9A7867DEFE722895A007CF60BFCAA1D236C396CD26EC7C69CD7DD35A25A477D0CEB67537E93AA544122D667B2D494871393F4D447AA8EBAAB78D0AA10A8B3413B1D779A186D44D788AF58E9B234F49CD3C82CE500FC';
wwv_flow_imp.g_varchar2_table(756) := '7BE280022000010E015FA01F9D783E7535749774EF0BB9405363CA4376BF7D812206712FBEC23157CCCFB1410EB452C1560BB51E4AB3AD2816E7B4EF5C16A02C3BC82CA2BB7573186C593C04363C1060772FF0B6F33C91EB0D3503A72428BCBBF5913DC1';
wwv_flow_imp.g_varchar2_table(757) := 'C807C4B57D834B304AE9BE5C84A251FBAA2704E53DCE3E0CB1D722D7FD735010446180B64EB4DB97A788D953394182CDEC863590C30177F9FBB8BBB6D4F2F0ECA9EA32B068ADA8DE2805C62194AFB4A017F66A8602FCE7A9BFDDB0AB5080E6133045912C';
wwv_flow_imp.g_varchar2_table(758) := 'ABB2E3CB1EF93B90663BFFCAA20F7016A5EDAB489E62F495A042810CBA17D26DBEB15A1DB698ED7F2B058E345368D3DF419E55432CD0E31C587AE667734BDFCD85ACB47C4AF5E0D8D25310C53A68BDB3EDDD2B9BF947B821ECD85495DC82C645DD588375';
wwv_flow_imp.g_varchar2_table(759) := '04B2AB2227294F5137F2DF72E5C49356064C224E697DCDD64E7C4588A82BD248063D3870A527ED072AE3AE468B02EAF390A689E1B6C7EBC64E262CC29E1A8AA65A6192F3B0AF4F536A149ACCE115771312D7A4C4B8F6A8783B37711AFF7030C098CB76C1';
wwv_flow_imp.g_varchar2_table(760) := '651F02E72CD691E940A65A94A014B7DB7775877CA0815EAEA760DBAFFEDA022CEFAAE3A975CBA6F787094C8094F5002391766D057FFC2C723C7D33E82B1CEC94C41ECCC89D0855F0468ED24F55C417F7FDBF06B315343F0F2300E5839A745FACDC4F520B';
wwv_flow_imp.g_varchar2_table(761) := 'BF469B17D7981DC9CAE173F5CF7F4C04462283179AEA6788B7FA7A147512D0D4C79809513A196B3C7DFFB3AEAA8CC3DD43394E61F0DBDDB48EF9FB4B71663452E2C755034E942D2AFA5C141566563E874AF6DA888BB1622A2FC29BEEF98B5BD070E424FB';
wwv_flow_imp.g_varchar2_table(762) := '0F14A8C73A9A80281943C7D593F54054EC194CEB140F6FE9C4E12C85EBEB42C79A5E0F7769A3BCC5BCE0FC99D29D9B685DA25BAEF2E98369737CE14391F81720A0186A063CB17C4461E947DDF8C812240700B405C970F0CD98A0A1E1D5DF1DE4386BD447';
wwv_flow_imp.g_varchar2_table(763) := '066970544D0297AF639F0D186AB32C922E1666160FBA1819FF91E1E7967B63ACB178766F75D2601917FA5EC6189C545834E55A8179FC8BAF7DFE9F2CDCDE3D5488F727122C53B36984E4C4FD6B60CB01986DAA0CD4048E0703FAAC31E43F4A1B990A33A5';
wwv_flow_imp.g_varchar2_table(764) := '1B210E5E961AFEE1D6C164DD0829494762840854D6F35690678805173F2C1EDBB5D921CEFC3B2FF4199318D6AEEAC6431851DF8C528ECDDE8F8DBE886E9CC373361768F661E365D66048BAC38CA0517AADCA721950352802BB8000000051C02C8FADD453';
wwv_flow_imp.g_varchar2_table(765) := 'A23374664A80508CE357324945A8E43C48B819702FC3E6120A16CBC73F88B8D87344CD01392514B089346188A6FBE48E58DBA635B525F81716D2EC4AA8D71DA94EF8EFDC2017AB7949401BE0DAAF24873493C0EBA7F362246F5E543DE452DCE780379704';
wwv_flow_imp.g_varchar2_table(766) := '28812F62EE14EAD337244BEA5F83ED0F6FF7EC2F5F655F0C59EB68B1FE4949AF6A621C77E2981473FC4180D5B7EE61D30820A9DE93E8244828FCA6C99D0004AC4C18EBEBF21C32F2E11E9F82ECFB6888A13B92E6484E456D6B87EC987FFB20F4770A5D28';
wwv_flow_imp.g_varchar2_table(767) := 'FECA7F4F808B83A54F281C20EB4600866901AF2F65DC034E20AFF48B5FF938A59DDCA69FEB006E83A4CD904512C467FFC6467C96C564BC05C7F7773F572FDEAB764B808FD892C9023B0D81E7C7E05AE43FF832856551F74DC5BDFC4B365729182F2A52CB';
wwv_flow_imp.g_varchar2_table(768) := '5FAF85F7504B673E3412CB32DC209077292A0486D441CEA05C96527E293FDCF1257593440B787E25E7272E2C79E7490FAE39426FB62B522C2E41F6634D90A46DCC2201886CD59ECC2097DCFE52B6CFBE62B70FDB0344A35823FF318B1CB016D15E462D9C';
wwv_flow_imp.g_varchar2_table(769) := 'C6EDB112879F362FEB1EB724DCD31FB8EE5051F145E127725C377A710886F9DC43FF4A45C9C66AF310AE4CF0AB202E80F62EB14C52F3A7EDF966F08E3C1297BF25C27E2731A5EC77F947D48C1B55835AE24FF99734711446EEB2A4BD28D1B277D50E97F4';
wwv_flow_imp.g_varchar2_table(770) := '4DEA68D8DD68A1AC13FFB75DA83804A0B490891884AAFA5E8A9E1A16E9ABB954D6A1FF1EAD66D326F413821DFE7FDE36F8251996E4DB402E659F0A0ADEF4050DB8559148FE87430F1809F4EF0943CC64CCB321B4FD30118DEA6194C1BDCFF6788DC8E773';
wwv_flow_imp.g_varchar2_table(771) := '9863FB7F19B94C6E836C5266FE9606E29AF87520B5E77B7A77AAD58C5537542A7F39C4053B355DC55916D36AB4DE1A29BF234A9F3FCADF10AD4946070C1E45E8F85ADC5F848FEED1BCFEFB929F70681FD8A8BBFFF1ED60061605E192B4B9503AE23834DD';
wwv_flow_imp.g_varchar2_table(772) := 'F87A693C78D0DABB02224296EF6E96F15F4B0D322978CF6105780C193D3EAB923337633AE3161CF360ADFBCF0B9DC1BF9CC9E5800041C00000142BEDC0000000C4706092DCCBF68B82E5D50918732608EA24CB3555A6F2219C99834594063BBC23229C41';
wwv_flow_imp.g_varchar2_table(773) := 'A127C0FF9D69AFDFB2B015A88DEBC20AAA848F6B17724C5282B389F2BEC438214657DFAD6E8EAF71C2F400406E042B4A102EAA8E9E6BBDFD910F88408BE14F9E00910A1FDEBA25EB1041E2F4E07C7C8B800DC6E3B36A1706BD473DB29CE9851BF7221726';
wwv_flow_imp.g_varchar2_table(774) := '8E7BFED6D36A45DDAA9127982E44B36002716B73456A5856200A048058B5744F8D50D89121E21690BE740A954804E86BE65796D3321037E8B203A17389A172F696B73EB5B38AE3822243CDB65E50863B596D836698B17047889383E33856F5EE51A34B75';
wwv_flow_imp.g_varchar2_table(775) := '18499C8435F53469F3B96B1C59966D9ED1575F2ACAC5748CD612E10DFD4286BA3BC9E82CB44CCB06B49BF4DE050D6FA81E829877CC81BE0DF0D869947560AE73C2E93F476C9D9571E724BD3B09D725AE35A205D8A501F7FD4D816E536EC932D6DC9CF400';
wwv_flow_imp.g_varchar2_table(776) := '53DA0FAA60D4FF307C5162A1A47730C2D39502FFD148CBB85DF82FD85A84A62B4FE480726447D453B75999AF6D4D9077C4C0D4D56CE191BB97911FBCB13AD93A37756EEE447256485D4CF88AAE7E73B11EA01448212A4677D5B9BAD1F942F450F564875B';
wwv_flow_imp.g_varchar2_table(777) := '3C3DBB6C285D14F605E8FC0980601E15EB69F30393CB7ADE9A36A35261DFCBADC2CAA3BB7225498C486DEECF8414E1B206132982839287E1C652043AB335EC19276E72901602812FD9B5D4C06EE8545FBFD2B8BD57C9222BDF3A5C7737EA3CFC1EE41FBC';
wwv_flow_imp.g_varchar2_table(778) := '1E990B3D47624B1F01039CA52B83DF3B45376959880821C941BD3C8EF2586444352CB4E6C7B1536B86CBB064087C28930C304C99C904BCCF4D74A9D197E1951965ABBD98FB3A398C7DF9395FDCB890C3DADCCCFED6795BEE573D7DEF7D6A4E719659C2FD';
wwv_flow_imp.g_varchar2_table(779) := '7AF77FB431FEAFD87B0A1DF2C4BF4BFDB56073384271A0402E3AEE7F9F8A00FD88B3F34DF77768857731003445514F6F70DC99A7F95E519E3252E58D3F669E7FAD58BD24AC1248B2AC8961F923FFE71A14F3D90BBF7BF815F77D308AE117CD7D89544173';
wwv_flow_imp.g_varchar2_table(780) := '77CF9FAF7E3BA943D6C3FD4B687636150D047DEE586BA6254C9574874FB3AEB6BD54C63E450AECFB6BC33758BC3B8397EBB2967D46E2C2D5B45689D1010EC1FABE6F019944DB29E768EF4B5F2896408F621A0DFE44BCE694A5970EE3643CD7B8EDFFC376';
wwv_flow_imp.g_varchar2_table(781) := '8EB04D04F6CD02B6CAA2AC2F8319E043767901ECF59F2488EF910B4FF1B6DAD7F341DBAF1EEF7243C4DDFAFD5D2A1A6BD4B37DE4FB2A63CE96FA8A44CE7A4F2D1F57050BB75F5075E6F8E4EF8DFE520B1EF74AC2BDE7D415AC2036DD9B3F964478CB78E1';
wwv_flow_imp.g_varchar2_table(782) := '273665FD51B3361D3B9A5900A3CC09C3312816BA963FE0E28FF6D0E04D52A7A7E2B37E72013C070876AA8750D009A858493DEA5EAD9FD3AA2ACB4C9CFF377DFE00387CB254E657908AFFF183E8C6C246EC7821BF03277EC66B6F00D43708751D77B4CA87';
wwv_flow_imp.g_varchar2_table(783) := '29CC1FD57B507241F824202421E84B22254952914C07B9B03CABFE3793DF56F6E7CB7FB7F4BECD8963BECA7EFF574151D0A94131C072A7F87F016923E43F4CC5EAF70D1C67E8A8E0717A5182131F371D528CC85D9AE302A7EE0B5431A5684D88AF3F4FDA';
wwv_flow_imp.g_varchar2_table(784) := '0A61F9C64E9FC165CC7F71A4F06AF9117CDEFFCD53DBC7576FABA4250704B71941EF32EC1C0E3F9C1164782CFFA7985CBC06A2B97C9D957750BCEB44E41C12940647CBD419286462B69EB35CA91D813DCCAA62AAEC41B201A26468A492DA24D1FF7A95FB';
wwv_flow_imp.g_varchar2_table(785) := '4AB8B3C38F94E1AD5373879F6C20DAB8F41E859225C228BC979AAC39783EF3985523A6E5A2535976BF51349D02C9D41864884EF48EAF0B024721A4300000006DD6707A6C000BBD55EEFC981896CEC4A2B5997ECCF552211BA02E87FBFC1ABCE049840F57';
wwv_flow_imp.g_varchar2_table(786) := '5EEBEF529B9BD2281D1696A2ACAF1A826B26AAA357751DB753A8DE1A061F101CDE8FEACF0982278BA558CFCC9AD5876B1B89DB18FCFFF13B1BA08874B4C7527B73010F892DBDCF875195ACD3AB911146FF7B0D336D1E847DF53DE2FDB07D3FFF499817D6';
wwv_flow_imp.g_varchar2_table(787) := 'C057058F4C9D519814102DB5297EB008236523812126CA638AC30B3D2CABC4CE3A7A931058F79E2E7AA14327DED4FDD82A64FBC07E892AFB0FC33B789EF3E5E40EC413D4F7FDFE69F5FDE2BB8E5216632739BA4F257E563247868BE6E2B3E78A6EC2793A';
wwv_flow_imp.g_varchar2_table(788) := '0353D3430DB9D4D5572A685607A3B5D1186239BAA2A40634BD22D0C20614C5D4DA6757D58876035DEA1FB5DAFC647B85A3BE695B1576FDA677F884DE9AF5845B461A7E89F45669C9E1E5FE0A194A35304B38D195C78E818BBA03F2517D6A9EE96D49C495';
wwv_flow_imp.g_varchar2_table(789) := '2692C3EE1BD1EAB3FF5321A8C8B0CA3C25EE99ECFFC364377F831EAC26557F1BDCAFCD9C9EFB3926BF93466E1F81699B74B51EA44447B7FE4B4F65815EC7F7933F33FB5B0EEBCCD7DC31E769D2BB5713650C38A56489550940B7661282B5DA77CC9C3CC1';
wwv_flow_imp.g_varchar2_table(790) := '4CA9A807E51B53B5036899DA638AA5C65791D1F5D9B79F172C494A13AF61C8978E015CA58138C27BC81E5CDEB7328E4FC0C254B406C1899A5611331FA3C1BD043AC30E5A3B7E0C05E9610E081E3AA5F1E0C3B9416C1A6E8F1C38E432176E3A88148D4518';
wwv_flow_imp.g_varchar2_table(791) := 'A22BE8E8F59E554ED21F1797CB1D157D947567364BF0D7A557AC47ACFF1A60E07E64E9D10DA5BA1AEF52DA74D51E0E9C6C9C2FBD0E90F5313B9A3A1BA40D01A3C91B00BF364AF01BF472047F59FD6A4A1A81A56F77CBC2F573436FD1E9DEB1F31E8C9F43';
wwv_flow_imp.g_varchar2_table(792) := '590DC9750844DDFB426B90F20313020E5F289D27E8C97AEE498BEB436C5B07E55D7CF17F0CFD0900B8A6DFEF267C5BC65E95048356B55CBACB3A06DEA0B068EC8FD42613A7E5C4A5CA5E5059477FFABC99EF6DF59C222E0D9E84804F29E5E1C428ABE3A8';
wwv_flow_imp.g_varchar2_table(793) := 'A0ECF5CCE3F69D681CD51EAC8590E5531E9453813F94D7DA58A371D533D3F7498E96BF6764C46F235726DB9831561E1B2449AC487D5469DBD49E4D4D1963DB9751330189E96A6C0944BF0D0ED1939F16A638044E5B4411F3042846052F4C3BB52F77534A';
wwv_flow_imp.g_varchar2_table(794) := '8588B7272E6AD8A4C81BDA6E3F7FD88FFE1A6CFB2B438B36D4D9CEA7368358AB1C3E67A82AB77D1056C62A32FFB3276C732F8D63BBAF007B9D1EED9B56DC895C3D3AB01DD04C68EF61C059146A3CF09F9DE2141D9511C448A9797F6124C3BA74CA2EAEC6';
wwv_flow_imp.g_varchar2_table(795) := 'FADB9782D561EEA4827BC52673A850815D61BFDFD31552FCFAD3EF0E3DD51839ADA456E2B67C3C13263E1477DA966ED43A02333462475AA26BBE085822B3DF2C8FDBE96C8498F61B2266D1990E13A2A1A5BA5E6A1E1649353F2CBF3232E95BF780C2CB40';
wwv_flow_imp.g_varchar2_table(796) := 'F357B369171DB0FF2E68069E5EA6562E2EF823B8DEBF1CCBF9FC5B13A2AAC4BBED6D1C02AFE2C4AAEFFE34FCA6F5E5B857C58BB573C067C778BF58FCA11FC5F54EB91CDDE82540988E096C67FDA84BDF0932C8C0F12684091A5AF0B007828B1B0E6958CE';
wwv_flow_imp.g_varchar2_table(797) := 'E65F4F82043DBD4C67D134885616B850FAF26BBC6EF43AC9237A0CFEA7FDD2FA5C78695D980D59CBA8D98C076EA31B85F529CC1103BBE09FDDC066AEDBECEF99C7C24B796A6E8CFAC4F4FF1E70A7A2F31CF04B989839634996EAF5D6917FF3C875008AD6';
wwv_flow_imp.g_varchar2_table(798) := 'C19CD3C52396B5D6AC5AAB15991BDDB0F7F5C0C70E2335D5B1DBCBFFE2B27B600E511BA07C41B9256651FB64667F5178ECD74F1D87F64738F4B8E3CA968AFE6479576C9941328ACB3E327D2CC455DE2D72B0C6BE7E67F92DCE4F882B89DA3ABCA1AB1D9D';
wwv_flow_imp.g_varchar2_table(799) := '318BCA59932FA894629C39A42219DD9F4D18331917F1FBD27D853244E586702E1624C4A6D5A13AB3C67DE5D41BA3F96B3A96859CE22E50764AE522E33044708C5D7DDA47294B036813AF9164F80647000000000FD00E1FAE7A47F109B46CF6D8728245FB';
wwv_flow_imp.g_varchar2_table(800) := '181285D66850599A806EE574D8535D0E8CF746609F5F2AD3B75AB1255FE77A6D58877EE2126F4425246060132EAC4EDF121DDB5218775FB25F5974203EE5147805478AAA3D2F199906A9BDE9A0C745A5328C5389B47AB4804C599A5FAEA0F1BE7568396C';
wwv_flow_imp.g_varchar2_table(801) := 'BCCE42FE9EC2F692F0D51E99752AEB231BEF942F001F5314C7B0AA74CE79B075B1133D4F44D8B3AE82C504AA03CC141CA8B5E801C52C2B8C032BEE898BAC732BA5CC010F5E5AB1BB9F01D80C7C6507AC566E4DB610276F8F5DDA24CCB9D7C2CF91D2102F';
wwv_flow_imp.g_varchar2_table(802) := '5099661499DB1F17D98C2028F223E3C8138CEC9BF52E952461FA4C3582B9302B790E0BB1E22B4B9116943D6FD95622B2BC92CA4333E4C54A19D6662393522D72C4BCE03C87EB35D23853D5819CB0850E326333D7AB6EE7D67BA8CEF86F1ECF5A8F6749D0';
wwv_flow_imp.g_varchar2_table(803) := '734D5F4471C3CA6150F8A258E5DE803D0CDEA1DA98B1F4EFE11293739A12F30BB89E0922BCB832CA7F56606684B7621322B58106CEFCB292D94247D8FE2B04ADE94EF51AFB8D49C99C85483C6AED29DA805C6F68A5CB7705E27C3BE5B7E9805B26BF0075';
wwv_flow_imp.g_varchar2_table(804) := 'FC69F7E06A663425B17293BA93C9A2E4DB50EB7926DBA969CCD6E4A22DF49EC8CC23714AB2EF035EF70187758DD367E0874296B03A03C14C3172377AD1A0E50054678C963A1E4EF3FA9E597F3C9EDCCCB848710C6F1342C5ED2CB2584DA1FFEA52CB2442';
wwv_flow_imp.g_varchar2_table(805) := '2771F40D260499C788BF8D63D1785A599D6B20CC41050116367666EFEEBCD369E877AA56485ACFDFE843AD0FEA4E35ADFA11C47003366773AA7F138E21501AF70A42C0CA1BD2F12B0A7D83192E971542FE0000000001B581AC008F3BDE042748CF3E4884';
wwv_flow_imp.g_varchar2_table(806) := 'A732C0E272ECDB811F2E8CD9CAF1544316A9008A421E26443F47BF1F1B289EA5338BDCCEE79BEB0EBE64BB7558C3AC6952B4E6F7D2A4A4A41F4A7F1236A4AE9D777D042195B6D198F09AE9AAD25D5A8277B809C25F232B73354A8DB00248205097FD34B7';
wwv_flow_imp.g_varchar2_table(807) := '262C197C842A7C36978CE232D607BDD358A8E4D87F2C42F8D050787712AB7BC7DFEE9A20D456EFAB36C9356AD61B8CA11B54A3295383FA56AF8115051BDF208D3A65B617D5B3B9638311F8AA2F38D78E8C8009C40B19CB751201B56F60C6E6F401980001';
wwv_flow_imp.g_varchar2_table(808) := 'EF88FD091295662A8B81E1827F73FE4283F8DF8D073DD864ABE8C9431283EB91BD2B651AB2DFDCDE802A74E65D517055725A2A10D730B9476EC2A9F71EFD9397597D0A925909622802DAD56F37F9A9E222B522D54D07D7C607B3EE79A8FF54A7785EC357';
wwv_flow_imp.g_varchar2_table(809) := 'A10A82FE05F26CBE3A5E53864058C56566E04F23FCE179F29D9277BF6C51B4B3411C413FDFFEDB6E5060AA77FE9AFEE221D1A742E4CEDD62B6EC6C4883C09C1BA86C2E7DC2BBC00C1DEE291F813BD502B21E267C4AA9B51C7E09A1ECF2686DBECDDB4005';
wwv_flow_imp.g_varchar2_table(810) := 'E6CE03BCB6E98B7F042AAE20647A0087DD29902AFD19306672EEC7A1B113A4C655408F050AAB2CCE2A3F529A56F7845C61FAC277444503790D61E0DFB97BA471DAF46D2787521EE209130960A8409C5C69B1CAF2D96E0FFB6279E609509AB9FE0270BDE8';
wwv_flow_imp.g_varchar2_table(811) := '3799492BDCB8B0114457A5529572C01F868E5F1BEED84E07929E252D4FCDA60A282C1CC887B0E07110FAD5D63A6322892F6BB79EE68F382767D42B9E4817A0719B2E5CBE56D40EC76ABB04E9C260DF7A41B5A833E3911E0A3BEFDDE1E9F944138A679606';
wwv_flow_imp.g_varchar2_table(812) := '408C8CA41637684DEB89FC35E89A10D84D44D405B3731FB347645EA0FF7D5C48BC30420A30ADE8A596C53FEE0495A2A591607ADC706D6F754A74966AADC7E044A3317D83BC5FB62AD139102F11D838471317DC01FFD3B6BAD2B8A31C10CE7077235E71CF';
wwv_flow_imp.g_varchar2_table(813) := '6BC745731B702B59817DA64512F1D72BBF60494321684D479FFDCFA610C10FBA780A5E02D5C52C4EB9658056E0409F5B7325A3CF1125F4A9612F5A477E771DDB81A5FC3ACF011D095D6E83D33C219B58861C09ED065FBC0497F4974E9CEB6A70452E72E4';
wwv_flow_imp.g_varchar2_table(814) := '10C0764D5FC24A4B6A7812155819BFA9A6AF1FCD9C8130079D15F2524DEAD3A173000E02937C9F819E273E9FD1BE63E40AD32E6BCF1AF32DAD7D0E422962A59E7338A31C0D97A83D472695ED9E85C82039A5BD272F7F155E22817F5ADAA83EF3155130AF';
wwv_flow_imp.g_varchar2_table(815) := '648FCC453C8F8E99EF69FFB17DFE48089CA40304F0BCF655F743658F1B218DF62F5E1EC26D6DD7875C346DEF4C1AC460D80C466517AA246A275F02117FB2ABCC9BE14F0519A3A3952F54FF326AFE76270F4B8466DEEEE431A3963D77B6FE9F2CCE39942C';
wwv_flow_imp.g_varchar2_table(816) := '9A5FCAB71C5ED3A94BCD96935FB3C7E8E117DEE25A05D5321F2AA2CFDE4EC3A00F889953089035D344A40EE1B0EF3967C7B5B4605FABCDE33693CE524B7A1367821996C7603B97A3A1D79C00D83E722A5BF64901D5675630FB5B19151D1D623426189302';
wwv_flow_imp.g_varchar2_table(817) := '5410E1BCA3450F94738FC8B40FF3ECBD23035B9BE5E72616D1647439449FE1DFC3FFEE434FD30F395D5ABF7AD7D5C7B915731577F59297EB526B51A7653F29462D6BA6030E2795EBBFA803F46747B2223FB7B2427FA87953B90FC1CDB3BF32E327C27BFF';
wwv_flow_imp.g_varchar2_table(818) := 'B9D8E6AA9568E3D191B46B77C5E8D66D2B4B888AEB78357E43CA65DF7D302AE381298AD4A2C4C5318F2776B140FAC544E3F8FF56D12F57E754FD4319224EDB651AEFAD4A8F932044B9EC9665CD16BFFDC68E783E81AE378DF006F763D2172CFB3186C2B7';
wwv_flow_imp.g_varchar2_table(819) := 'E2A88519EE31CF1F86493B1B3EA0A28E35480DE6B7207475069AC7F55CB263749C41D78E4FAC9C8AAB95EEC3CDD20DB4EF8ECBA59D2BC6F663DA81A7C23530ACC2505107D7B01E0BB4590AB4C87B4754257820C74ACA9B3F575F0BBED95C492BB194EB8F';
wwv_flow_imp.g_varchar2_table(820) := 'A93C63A79F7CDE1EB23E31A04EEE315D17FBE599EEEAE0ECF4EE277DC652512A42D40A2F5D213FE90508000089A000C01D13CD509116CD81958806884B43D711A0995EA93EDDF3E025642E0A4508B6539C7DEBDF9978C661EAABB1AC2A9509FC59936FB0';
wwv_flow_imp.g_varchar2_table(821) := 'FC03DC4AC59108740B0E7C97D39D3A78F4A6905D0D8EBF3FD04807139C8DB466F0D3B9157B57E3DAF72CF40515AB38294BD42E013F72848695B6BEF4F1E6A7F699CDE9F5391FB71B1B7A22121D1583662F742A4C5798C992B2CCCDF1F64A925921A2155C';
wwv_flow_imp.g_varchar2_table(822) := 'F3957F6D3C97BF89C3C0A1037E1C2E1AC3D9E68D8F8872FFD3EFB83AEB610CDB056D60B170FC518119B5B96E492945C289B19F937412604493D242CB26B5DEC3E0C8267483A6FBA3E64CACDFB2BE1FC6C9F6F3343AD5D37B4DA8A04CE41800D7B8AA0B95';
wwv_flow_imp.g_varchar2_table(823) := '7D69EE5BC6648E026CEC695188BD36661C0065C8ACBDE40DEEEDEDABDD493DD5738F578FCA41B4273B23A3EABEA6BEB50FD4F6CB5C6F86EC32344F1E419D714805C6F26E106749C7022C34001BFAA016E1F066118C91219145B15FE9282C0EC1AE6E1879';
wwv_flow_imp.g_varchar2_table(824) := '2629556EC0DC8ABE8B6C2E4A3F8A9B61B02B26B294FDD16980825A932C7D05ADD3C25A2730923AB6036DC256FBB954FE75817BBE21A101F4697595E01B78015D8137DF63F8CF94459D0C2CB105ABD0191F3035A391FD9C596191277EAB1BEFD1CDD64171';
wwv_flow_imp.g_varchar2_table(825) := '87D344D6425C6CC4C550208FB54E575B99C62823E901617EA7B0F03384EDF0910B4E632185CB45A266A83B27F39A7696A860D346DAF759F0335D87E65FADDA9A44EFDD18832ACB7E4FE8F4045987BE65621685DA67B368CFCA4845AF63CB80245C00F9F3';
wwv_flow_imp.g_varchar2_table(826) := '50F4947119E83E46CFC48E0CB559305597A4804D705A093DA44AAF5C0C3026A4377D8887DE88E6E907D163D6ECC9B2742C74F5B3AD29E38FF0667B84B660559CEC7B02536BDBB1E317FC0CD8FDF386F2CD188DE5DE2975431C5EB108F9BEE21D86FDC939';
wwv_flow_imp.g_varchar2_table(827) := '4769ED101B8839FD218AD9EEB36EC1B01D98C840B33AF813DA3C7B1DD69AF18A91EF03EC8FF9FD243676E0DA2130B3194E522E865E8C2C8E3E920C08D0EDA843CE17C39039309C9EB0324C6E8200003400000000000004DF01CF9B72DE75E57E5FB88848';
wwv_flow_imp.g_varchar2_table(828) := 'D8B07448F8B65FE1CC1B93460A552B53B103DAE0F9284E2150FB25F8840638F0AE771DC0A343A88592A7AB745893AB4A49BFAAA2BFE43D9856EB6BBC8EF21E2959749F759A1C5660338C8F17089BB93145D44AAEA4447140B3751D8863B4B7AF136C3E4D';
wwv_flow_imp.g_varchar2_table(829) := '7E5F450B1EF8A5135B6039038D7A8CC617CFA1C7B5DAD0E08E3CD96FBBC09CDE756A3CB9EB1274C404843E3136C74F3EF43DCBDB4956367AEDBB7082B730336430DC589BC7F5EA2D5E85635A58D555D6691114855F2485F9BAC16F416C18F1EDC11BD441';
wwv_flow_imp.g_varchar2_table(830) := 'D69158AF92F07B69136B32275B41ECB8FDCC95B2267E58116B8A7EAF1AA8971BAA2987508394C23CBDEAF8635C05D7A912410E9EAFCDC3E529F9A42729DD296E0223B294B7506AED168EB4E7257317E559E7C1F2E4CDEA3DB5760A8FC1B513D5FF9DDB6E';
wwv_flow_imp.g_varchar2_table(831) := '2BE1E103BA70999560C3C307406584123EB4A57F6FB1C9757223155AC208BBEEEF0387069E889D59AAA94601084BD9966D857F6DE497F8604CE9129E2CBC94E228E1BF304C983CB19E082E67CD921FEAA18A1EEAE66EA2DEACB758B350A61273A7A09043';
wwv_flow_imp.g_varchar2_table(832) := '72BC92181A44DC0B83D8E88B2D1743365BB3608C787B56789B344C590CF4F477BA8FE221D9073E700883F693ADED5AA2BB9D1E9C14047D0A449A70E7946D4895D3A46AAE6FC75A21F3D6D397F0CD274A46A152C49807257FE88CEE10238D2C90C9EE258E';
wwv_flow_imp.g_varchar2_table(833) := 'CCA867E79343539A8EFE7C3BDF1EA272ECB20048469A6AF43D5E0059AD7A4F5BF4763454DAD0694D95E46C2E4A6AD1AD195DC88BF3110E14A4C5398FBEA181E6919B1CF75B4E15BB1BF83BD78F710EAA6DA6686F5EE60C49ED7734C5B9BE6871E41F89E0';
wwv_flow_imp.g_varchar2_table(834) := 'FA129BF21A06F08B74D7C64839CD9D94E4AAC76563A9857FEFEF5D2FB31266AE43EC30E75F2F4F4D71A8FAA9969D138ACACBC1ED214291579C61241795E423EA22ED5BDE872F85BEE97F46F6AED92B7B6A55CFD28F0DA3ECAA43B2B07384F8585CE36777';
wwv_flow_imp.g_varchar2_table(835) := '69C4892F4AF3A5ED9463A378D291CF7EEA5294BFEE382E66DD87F8F21CD4402DEB1D820EB4C1C181827C2315D6EB15CAECD4768282CF50369F91D7AF13A8364AF7461777EA889ED298B6CB53FA2DB100D6AFFBDC83341D5E667BB5AC66B5497BE15FD52A';
wwv_flow_imp.g_varchar2_table(836) := 'EF8C507C681BB367AEFBC2ED9FFD0C98A1E50AC1068D950E7742440001BD0002AC1F15738A40002291C68AE0F3C8B521EE3AB9C3B8A5F2C504ED2EA30DC8A585DB660147907DE812D5A78E10E796CC7BAE9B31D31372208FD9CD521B6D1BCD22A34C5E75';
wwv_flow_imp.g_varchar2_table(837) := '317834BDB8C9CC8A09C3197AF224FCA530FAAD3D1DC550C8458168196BD25602B93969FBAA80DE9DD8551332495ED8B59F7CBD8C3EF386C7DADE4DBE9C4781F39F4DB319F5848E7BE38494BA25A1EA5326E2BB2BF2B06B3235A66FECE1764CACCFE898EB';
wwv_flow_imp.g_varchar2_table(838) := '6EF2A8092BDB59361B45CD312E63D1276DCCE7569CDDA90C5DDC5C4A76C96729A9F31708598CA11399E6CBA5A549C45D593341A68BA294B30D81B7483E728093F4D6133F1FA810AFA486A1A1CC238DCE38DA472B4BF3C59ED48F8CEA8A57768B87C9160F';
wwv_flow_imp.g_varchar2_table(839) := 'DEC37A7DF019E32BA38F0EB5A968EE60F0026DB8C660DA3A706A97C87898A0C70F521F4B7E86976F19E14A1030B44FDE7065E5D20BBC50D0DD91F08D98A04ED9E21B862DC6951A16CE337397973526F1990208589167DF0B32A5B5ED38A962403999B7E0';
wwv_flow_imp.g_varchar2_table(840) := 'F87400528EBA2D0B6065E63E41FA95953661E37ADA503171C4788F6AC4DA0C498C0DE048946E69CEBA25C635CE14D90A407C753E5097D2609545F8ECC63F769D3C836A7A2B87112DE48C59E1FD726F5F58D10FF4BA4172AC003356190AF87CED189E0D03';
wwv_flow_imp.g_varchar2_table(841) := '09D71AD82EC0F1ECDA73E9BD6680FC986AAB1128A7464DF5C48E83FBC7EC83AB2F83E99FBE431A11BBCC5CEDFBC71211C49E434714AE7F31FC785403A4519BAA8C7BF8A9E347EB795A6D498874E91A82B63EE72525582A2587DB96F2E738F322EAA48C07';
wwv_flow_imp.g_varchar2_table(842) := '86DDAD80071C500C9FCDF0C539AB5DF60F96D323F7F5E4B09E63148CCA4CAD832614C4C67C585FB8CDD957FB32B842B9E0F48957C305BC9C32B6A5B4A0D0CDA2254F9B3DCECA6BA945831978AEB907359B37EE23EC2BDCA8B7AE012ECE8990599FD8E3EF';
wwv_flow_imp.g_varchar2_table(843) := '18AFD22156101E75FC67843C0029C57AE92C1C46C97280FEF6D78447AAD20C76E04DF30051C0000005F603438D0000DDC47F2548EAE5B48F7843BE60851196D8A4367F5F945845B137AE06EE131249CD311A792CF3E08D7660FCCF2A3AEF77BB8AF6DC1D';
wwv_flow_imp.g_varchar2_table(844) := '602BFE436418F39B0C1A0EF1492A08971B53A5ADEEC0789301FBF560D354849E227D5D01B1D92E93D256366C32BFD0113423BE4295F25027773A1DB3CFE18064BCDE2B1BE07F97FF895DF8A7C202E7E50418A03A069CCACC4FBA819132E805D5D7932358';
wwv_flow_imp.g_varchar2_table(845) := 'B3AA40F9C1B12ED4BAED4871FBBF129A916A96096DC96B12FE3213E2D67DDB79B56ABE46560C21B74131B55CE146F8D03FA5CA02D753AABD4AC394C9EC518E96FD9A6F89704B99E45B5AA0F93A5A680502F218F64C50FAF1BEC1D872C07C45E36C1D577C';
wwv_flow_imp.g_varchar2_table(846) := '49893C8C426F5E2B67F4A3BC04D684251D698A54404E83B28A2713BA01BDEE190EF68A1A96547A5B10ECD1DC1AC11221F91826FB9779FD2A3588E029C526610BD8626DC0E3F2CA0413028AEE644C2AB45670E8356D0C651590CEDAB9203876AC44BBEF86';
wwv_flow_imp.g_varchar2_table(847) := '1ED3BE0A0611CB250B4F0041800FCB24A0251EB4E1AF1A8C345FC515631AB5AB7DCFAF7CEA9566D0B2F681683496468042F4C6213C638B16AF544202A42692992DB28E4D2948F4C60AB24B59AD0D47E7218952C45B2FEA1DCCB642FEAE0B39EB057C5439';
wwv_flow_imp.g_varchar2_table(848) := 'D8C4FAC27DA16ECC4365AA3FE30861287F1BA075F889E128B96FB39F218BAD311955334438218B20E84DED9CFCE8EED8C242B487B9F9D282706655974B24D39FCA004AD8E172446B8ECDA8A198803795A4D53CD7E499F9F90DD201C506559619565A1D19';
wwv_flow_imp.g_varchar2_table(849) := 'F644E0B338AA0CA9A9E5C838DA6CE5FA03D6E5C893E60F85E19EBB0ED26C7E367F59D33AFF66327ABD79591F29F843E29FFD404C581B4D786E5927C4E380BB68D750FD2E01098C60C26B2325808C23C4C7FEF296FF0FCAB2255F79D27612344C22F49AD6';
wwv_flow_imp.g_varchar2_table(850) := '06F47683F8BF6011AB3660E22152BF4D40D80447717CAD0663BED91EE0330C9AE0880DE81FE884294023D50B88F1E1B42C15C5B938007CC026DECE6FA7F4A1BF6F0122CC33DFBA8A3ED016C8925E537D6ECED9B0E6F08D48688C623608CB1EBE3318912B';
wwv_flow_imp.g_varchar2_table(851) := '7F6D8B3ADFC5C4D22720ACFE20880C6D5D70D28D2F74002EC6154482D20D96217A07CF000097D309FC0D2E4443DAA35BA495E2C221FDB180AE0519F17177B85A917EB557617C081F1FFFEFE64250B2077BE7C22283536AE60ED2508CA36C8B628CC2C832';
wwv_flow_imp.g_varchar2_table(852) := '50D5BFB87A528DD2043040AFE4980B51EA77965DC01F2A2F3716D7C50E2A8ACE1E27124934F63C9AC9476B4B103990692ADCD3B808AC2A72A4EEEF025A315E8236B48A4E2A49760C966D0359BDD879960D54A33A3B86DA6A6D9C2F0FAF7EC37A599B915C';
wwv_flow_imp.g_varchar2_table(853) := '8717C95AAD488C111BBAA4881D9BBF08AEDCA01A65243986008B62761A0D32EB62F80BC3A1CF20559AEB3077141CA78D8FF40D675128F79F10CAD92AD6699AF2F2C5FFE7EE20F8C02C947300191C8E55AA830581CC60C4D5F0BA7519F72D9CA98C95802A';
wwv_flow_imp.g_varchar2_table(854) := 'C85A320E96B1D05D22BBFB0248771EBD1B5BEA9615BA275D447732A7B69378B210436D8191710F112BDEF55ECB0DA3A0396205B679766767FCB1972BEFDD6C4D1BBECE249DD1B815C79135C73F94D5E5ED21C86FBD9B6B2B6212AFF0BA4FF7F1DEDC1B15';
wwv_flow_imp.g_varchar2_table(855) := '3BAFF7BE74C17435454502985D6A3309E0CA210C1D25512367006EE518775E20F3A1E62B219676AE358E36378BA56B3C0FF1E79AE27734801E4AEAC5C8389ED5185CD0FF0EEB1838F769A548115A79068AEB54CBA1195BAB7461A1EB40E55FE4833638D5';
wwv_flow_imp.g_varchar2_table(856) := '545363552B7F38FC9F2A1BA298AEFF9A4AC8174F31DA34A5AEE2EE0A5B3032B077D0C9198C3E500C1025A4F37A94C27CD55B4979199A117FA7501949FD8FE3E37BB2350AC3A98024A34755AA795FA8F1BBF218F21DEED3B91E34405104663E4D6B030BED';
wwv_flow_imp.g_varchar2_table(857) := 'DBD199D6A76D80F56FEC795E509E895A226C13C5A656103B6F1C596DF73BDC67976DD20314682FEF4202FE2412ECDC7FDC056E720163D33C3FA352424A6E33C42C5103A30E8D214092B8DA98FB56692D8B45853210FA7BBC0D03EE9AF30D31DC699BCF84';
wwv_flow_imp.g_varchar2_table(858) := '14C625545D4979BD38D066AEF81A7878D9DC760612BCBCED0B3D5E3ED1F04546DCE772EB0F6E4C851801852CD4C1D18B18630293691AB12C26AB29018CFF4CD8BBB3848F8FAEFF73F448F67E484DDA75FB528A2B6CCE3620640ED52D8D73C92A6726E5C3';
wwv_flow_imp.g_varchar2_table(859) := '09779E6BC5D76B038D47948C530422BB0D5E087CFE694BDE1126659DA6B07AF060F596F1DAC22CCEDDEA207E7A3D71159DF0B1A21B42B7266A6223685C9B316B2375C5CC8B3E04D97CF815104A9A5AC18C9FF9C48A065FFCC4A814B44A9D5BD8519EBF96';
wwv_flow_imp.g_varchar2_table(860) := '30E500147F1C4D0530824BEB44E2B1825B49A699AB43FD6DCCD2032B383AE1E45B69A07B7E001B2860A35FD28F3CF2CC2CB1DB626B623B4DD2593D3E43696A6E79EBECDE03F2F6FF58180E4D281E4DF1C319205F289EC270BADB1D22EE5C3F53266E7D32';
wwv_flow_imp.g_varchar2_table(861) := '9B139AB70FB533D796E91B3B7C8AAF5BDB28F2974085D36A912DA27C53209EDB1890DFC90A3AC6F86ED24D1C410FD55F554CD56DA5F7C1B4F0A6FEED537378C3B85DB58E521C3FCB998401BCB2D8866066B3984F78741FFCFD025B65EF9BC860F806FA7E';
wwv_flow_imp.g_varchar2_table(862) := 'CADF7FA649565AA3BF5C78398D7BCCA04C2C981B0A53CD71D3091ECB533F30C8043F0F6174BF92053690221838E96D802BBD0053C6466B03D709613B80D0DAB45D00B77450E595250618DE62882060FCFA948869104CAB905887DAF1EE7D41DF558A6EE6';
wwv_flow_imp.g_varchar2_table(863) := '6C966531DA47643FE38F3147FA91A9C640A0D5D2CA672BEC5E5042A1EF5AABC7973CBA77BE13006915F02C711E383A777D77CBFB04E100DCB1FB7152BC53CC204FB995AB082CA5544798F49D0F19B0AFD779809227FA83D5D5964A03C05A41C115303F81';
wwv_flow_imp.g_varchar2_table(864) := '3B65B000C7A5653965E49277355E2E2A7CC666AD4FF0E53A76D670F583D427DEAFCC0E67AA2C1F9D7096884D6627F88FACA77CA6496EE4519A588D50D140F9E5ADE61FED51B50D5DAFAB5391710B0BF1EE2C6824B62A3A33372217F53BF639F353DD4C69';
wwv_flow_imp.g_varchar2_table(865) := '0BA17EB3CC4D7CD8AC0985CDF7D13807959769987D1D9FFC944A67539AB8489E179384D34DBE4F4741B112F7EA036C4D0D9B7A5E5F0A1DC8C8220B1EDA4A97D042B0E25C7F2CB70D067199368EEED80A009F16CA04889BD0EFF5B665C17C88B51D39D7BF';
wwv_flow_imp.g_varchar2_table(866) := '41577DC4A819D883FAB44C91B2EE3CE820A423140B9D9371BA632D7A638D4FC1B4EDD86F993F05EBA49770FCC62354E35951167538B3D86292E552733926146C0DDEC701C804EA2AAAED82DC629FECB229625D0203A98A02069BE1DDEF47973488E339BB';
wwv_flow_imp.g_varchar2_table(867) := 'E3199E81D482AC86C41D807DF5191BEE2C7136C4F6668337048E69FD90A703672BAD136C3153194B6EFBD71CB13561263837DCA05BD4C120A410CB3A34289BF1BD4C4D5815D088601BB89362D66956356E89A62E14A400A0AFD4AF0F2BF2CC847C80A39C';
wwv_flow_imp.g_varchar2_table(868) := '3F00031B8AC61F53DC58DB725AEEFBCA910155E1AA212206C0943E7462191E04132A48109C69C316910FC27C4C0D2688A8FC3D612DA5901688C4E6A4BE5E3FDEC4C2B5ADCDF1BEDAE4708955D450857593730EB542E9EAB6AE8DABDDA7BEED3264D85B9D';
wwv_flow_imp.g_varchar2_table(869) := '1D57879CE40D6FE2BAA3B7E1BE6E55AEAC592DAF90CA7DE4BC966B396C4BAEE48B9EB5E4736A78068167AACDBB020D7C6B0045CE735C748DC18007939EC6B5E66D0CEEEAF9E76B55828F9FC04E70613A9736DC2603D25F0A6A0B1316D83790A8D0521FCA';
wwv_flow_imp.g_varchar2_table(870) := '873AC9B2BEC70FF42E54686E3CEA3D0DBBDC4F804734470C2A040636D682105FE15DE127BF1C8EE3C4C1BD1C6A7DD1715D1E24DF086E265ECE14754B1E01160E83249654879CEDC445A3F2A7FEEE103B7B76CF8F36C3CD3786F253B57BA8B996810283CC';
wwv_flow_imp.g_varchar2_table(871) := '0B205410E0AE2100166D3F6106181B0228215C1ACDFC6DED72143E7B966C1809E553BB7E910EEFC91C77BC7C2272012948A58AF7F1578019B663AB783F8420D49286F1005D06A615DA7D7AFB636C10B3EE7E918633F15079231D084471D3C87A32D5156D';
wwv_flow_imp.g_varchar2_table(872) := 'F046B283BA233933305E339587715D3CA94216745447C68D324F78EB771326B2062FFBEC817B977D878BE4D90D6640BC44148E96526704187D83F4CA1F75949A77B702B99AC4DAC6CFAEACA24D04547B79D6FD7A32E3740C997AADAF80AE73529EFBCBA0';
wwv_flow_imp.g_varchar2_table(873) := '32EF027240A678618AA0BCB186B72D52B335B82E20B291573D5A20DEF24CF3516646FF33D67A0FE43447AF05D284B2FA4B55E19E292B20EDDF69EA6540E9181AF00470C54DCF4C88793900A125D3586C37E10335C1441DB07AC06EAB360CF55C529170EE';
wwv_flow_imp.g_varchar2_table(874) := '888A7C443EAFD67B7AAD84FD8BC303D0E9B5087D00B5B1469884BED0ABEB75417CCA122C1E3CC84744EDB947D1F766CD8EE88603610CBE21E6241FB07DB74988476A110D57AEFDF81ECF97FD913E5D4E26030FCDE1816A7F5603C78E9E5742C7079F7E98';
wwv_flow_imp.g_varchar2_table(875) := '1A4A71A80C969A64FA80CDB8ECA3B4A1D32BD348447C983D794099C1D3A2CDD6CC2BC152D19FEFAB58404B3335C5A5B728AC091F0EA294DB1CFEC485FB701CB8B80B892E08B86A07101D01E7EB57542078532DA2692CB1BC873E7908723B6286AE4DEB03';
wwv_flow_imp.g_varchar2_table(876) := '9304E2AD371BEFB569B80DFC69387FF0001775483BC2117E3514F449BC2599309E08C3248E089618476EE54EB36611B9CFA08D27B9495652BF1B29C1208FCCB3177F5BA29C7CFEFAD2CF46F15AF8822795493A672A06FC80A8688D4E7B22137B9BEF0CF7';
wwv_flow_imp.g_varchar2_table(877) := '61ADBEBF06F8DBE790165B175F9E30304F6F87A1D1AEB2F8CD86F7E6126B13982129ACA9F66A5FE69DF7B75D311EF45BC918141685986B49DF204E6F7C9C512468E9465C5E4D311C8C7EEC3CAD2578300C6ECB7B0814A6A86D760A9B9F6DAA8AD91B6A3F';
wwv_flow_imp.g_varchar2_table(878) := '4872157DFAD13AD735BAEF7F4B98A04A6092B42A9197F33D7CEB066003DA7BB5227B04821439FD86015533030F5DF2458D108C9175921C9F15AFDAA49958B90E26374680350404E4DC069D8D1BA36A0598A94E055D810E9CD40469A32DE0C7A5C1A24878';
wwv_flow_imp.g_varchar2_table(879) := 'C7636D67BC6A62FF2A277FB8404B8038CF3DB8339CF53C060E2D6ACBFE4E327CCD22ABB0B114CE14E41EBF8B8ED9A405EB94EE0C916F489AAD6F85DAF4CAFE2058ACF04D5FC39313AC715AE507082DAB9D9F895A5D7AB6DB5477F27A105259B99FA62FE8';
wwv_flow_imp.g_varchar2_table(880) := 'FBD9EFAD2D89E1A1B7EE1A68FD948D60FB0007ADDE20BB1AA344AF6A89070BC66B5AB1A02B094E78CD9DCF1550EE41E8D0D3ED05A027BA9997FC0246FEBFD6C5D274867FF0C411E76C01B8DC2F97290A4E0780095B399C3CB34372066491F5432E35E790';
wwv_flow_imp.g_varchar2_table(881) := '83FAB500C0515F39886EA6517647B4D84B3D0C7931187611C7F1EAFAD6B528BEF0566A88136BE25DFF77DBE11384CFA2BD5D1DC6FE538252DD2983581E8A59908922820F3EEEEFDBD5C50A4D035EF92D011215C6EC79B65BBF671E9B8C1D64636C8DA2BF';
wwv_flow_imp.g_varchar2_table(882) := 'E2A04595A3535167DAD834AE1470E14A7529BF5B0FE7958F3A1365C1B393FD75690B2AB0B3FAC0DC1C51651872F59C137A3DD82B2F3CFF1C587202BC78ED4AB1FDCA24EB0AF6A839043F91AF54F48B14D0E0FD627DB3D97492306DF5EA072E54C8E84AB9';
wwv_flow_imp.g_varchar2_table(883) := 'AFA8F657550DA07F6C0DC266336521295F31F0ECC11964B2309420DD3300C60433954C9E0665751E97706E0856270830A0BB0C318F860F6638EFA110731426281398A496A1A9D95729C66CE2C59C9AE5DCB4E0E7EAE8B3834554EAD9ACBF10C8AA4A6699';
wwv_flow_imp.g_varchar2_table(884) := '812CDAB598C184B5EEB09619A58074012C37D6FF9174F4F6BF224F7BE88834A5A83EF6B60342BC526D8506FD929F9357FE08A4CEBC02B5FEF857976625D8A186D51E87F38C3A5052445E1D6171BE5C4738D79B504D54B6444648224D29AFF8B642184DA3';
wwv_flow_imp.g_varchar2_table(885) := '3EA0A40AB5BA0DE748A1324CF976A4A2197BBB98B0D3AE949445DCC5DE8B5E89F408CFBB5BD73A7202D4F6E3105B9A11BED0684B6337BE1BEF09BCD62730429D0982DB80E6C3DEC45E42BDFBDB7DA3FC1F99452901036089730381F64CE58749327D0238';
wwv_flow_imp.g_varchar2_table(886) := '10001A5844860BF3FDB588F2A0133B5B47BFC7C5045C002AF3FAF1D8DAC0BAB5BDE7FB5D4A3439F39972974561C1339369B4F39B0D5CE8144C46EFFD683E36B10CFE78FC085D6C07BF0E7D6B6751D60A70ACC960C94CEE1B0835BE774C76DFFAC9A7FBA8';
wwv_flow_imp.g_varchar2_table(887) := 'EACDD5227A015E7F4E3E265EFA0B49F17962C78C12FA07DEB629E2C9B79177F535F3E19C9142E08453F4CC02201FEBDEF2F096A478227874189030E904C52D5F3E2D8FE3F6356A314B2E5AC335919E9C8AB7631253F5C4C310F95AEDC90D000955836CD7';
wwv_flow_imp.g_varchar2_table(888) := '03F1EC1DA19C962703C48E764380BF8A1C60064DD838318B745BC1D3E0DBA85D165A0BD1E31CCAF3C40B8C0906193F25EBFC2306717EF38CC4D4E7144B25FA4F83F0F2451D0F638D67F0B995AF4AEA2863E4DD94639D4412D9AAE2E27D7EE775B8D31F03';
wwv_flow_imp.g_varchar2_table(889) := '284EA26C4A18615CD475F1C473B1FD7186D3C6E79A967391F5E08894E78EBCE19FC0806D6D50C7CBA91BDC83FCA62E29D3F6FDBB0E6DE47C7AAC88E4F56A1E365AFEDD0DF10370F15EC0A2E745A472C31F13B0D3432ED43DA34CD1418D5C0E6A7912FFAA';
wwv_flow_imp.g_varchar2_table(890) := 'B1AEBEF9C4F51BE2DF7C901C0156B8A10ADD83343DD05B781A5492660B5E7D943E1A6ACDEEBA07BB31D782467A8071803BBAB07DD920850C338FFFBB7869DACF17CB4EBB79ECBC22D0F4EEB6FA4DFD8B059B53D92AED62044CD77CC5D2D67684DA31EC8A';
wwv_flow_imp.g_varchar2_table(891) := '89C0DD75BF981C81755B44A4A33713FB545B430C0ACDBC98F087BDCC31D25E1573D06D9FF1DE874E21816E4E9114E858943DABD1189785BEBDDD18D7933224F0B859491FEF8024C29E05D725B5ABBF106327C325620149F39840D22BF06F56C67C470467';
wwv_flow_imp.g_varchar2_table(892) := '651732778221F7FD9C5E984C5954C9DF3211241CFEF0053F893DD0C9475588FFCEA4FC7E777E9B0FF44CB8D9756F8E26709D85E9855D10C9EEE7B0BB43F3923CA7B0DF17B9D503E33BF651E3C286A9CEFF205F89AB83E529D7BE3EAFFFE8354BF39F78B8';
wwv_flow_imp.g_varchar2_table(893) := 'B39515540818B0D606F4A534627C0DDE1C7939D00004C80008C3EA3840E85CAC9697E803B2E03D44BB04522A8DB53C88171EB78B0ED8F821E8FA3F965D59955E1AC9CA27C6D93B1A782DFE64F13D428231C207F49C366B4D9295CB69139E5D3F64C5D8E4';
wwv_flow_imp.g_varchar2_table(894) := 'C05FEF0DCA95BB3046CFDBB80CF9E09F531BF4551E71B9FE891866AF519479DDAB6809FF159310A3EC05F058B8F40C107C7808B11DB9D7AA71B49436289E46B7C94FB38C76B2CA76C5F3146B0EAA246AC6A809CBE5230591D09C19BC7B4D8A833FEFAEDF';
wwv_flow_imp.g_varchar2_table(895) := 'CE33D90E52CB209F8796B01C779E122A7B486457104AD99D09BC49B0C979DC7958DBFB1CB52F4144B0A8520B44B6FE873E98CB4F55A70EE8E1869927356DC14891D4C070E38E38EAB0F4AEA23939737267DD94BED7BF42E39669F54EF20D9902CA246D15';
wwv_flow_imp.g_varchar2_table(896) := '86ADC5D507117DC61B3E01212B40A261EFF2C19D0DE965E7D9CA004DD3F5914F6BBDFA3A492575709615EAA6393CEB999B94145F5557F99529EAD11167ACD1983579746FB804D8D6134D3C77E79FA56645278A15D89B5A2204F6961DC829A0DED62EFE25';
wwv_flow_imp.g_varchar2_table(897) := '3F4C5D0DDA5C5B88DC821BB88F2BA91D321CD7A6E3718F5CE61C909BB922EC5C7EC88DC3BAAD941185AB584883D94C51E5F405E903C8CEDA00315DEEDD425E949612A579D9EB4712F563C9376771121A4596D06111C1709F3A32609A80571BD06DDE5583';
wwv_flow_imp.g_varchar2_table(898) := '8F8F5662FD60575AC103E78016BF5DE66DE35F149BE956614673155BEF6B348D2A725995DC81DE09289A20CABABECC796946E2E7305BB50C2B58BDE979DA16BC895C95975EA09BAB659F97F876EFEF510CC4658890EDCF677E9FEC4F75C281D8FAC7148B';
wwv_flow_imp.g_varchar2_table(899) := 'F750DA8D236891C1661A5A6B7C8DCF1F81B0E62B9E7379CEBC7FD545401BC29A0CE1819FF1D08FC7A9F37FC3A51ECB4FE8D630C8E0ABB0C012A1988016300000000C74AE582997651D30002DBC000490F19D1B42CE5B719C5D4C7B2B400C03E0CF41024A';
wwv_flow_imp.g_varchar2_table(900) := '1E89D558CB9E0172272A4980B863B3D1944962365E3374EAACA8C434DA4AC12FD8BF05BF3A7A3DDEA359C0024B8000E6990D9442BA084AF6F8A8B996187E2A8929C3244B5C814F50D7B1D1B9D9998ED2D1173C502703D4DC0EABA1BD9BF827FF72A37A3B';
wwv_flow_imp.g_varchar2_table(901) := 'A761CDC84BAF019CA208FA5AE1D0959545451BE3199127D4559BE70A580A075E30697DBAEF732B3613CEFDBBECAC00FF1E4C16383B5887C790D6DB37F193800DAA7C3A8386D3CA1FD740A69A5419F0213B18DFAF61E3B91D2BB9733B50321D6C105669DC';
wwv_flow_imp.g_varchar2_table(902) := 'C00A22C1D3B8EF758FF364BF333A3E85880B4F581689116A926F81F34461749778C127942139570874DBFED20B349F12FF8703A306BB0E25BCE4D6878DE9572FD0F3214893A85CD75AFAA995788A1074AB4D4B86BDFA29E926D3679FCF8BF2858359D139';
wwv_flow_imp.g_varchar2_table(903) := '9571DB04FACDA189EFA7338F7449E9E6DDAFD03E60A24427D48B9D1A6EC223D36314584F54BE03B89D0D7C4CC2E9FA34C2CE20D70AB0DF3F9A1EE87D90500163885044A43B153D50327D8EDCD930D0FBD4960C3597C871919AB95F599F9A6FFAA249378F';
wwv_flow_imp.g_varchar2_table(904) := '9363B4525162728B77C0FC795E900A063D110F3032BCA460846C15D9500A29100017CD80000D014222AA91F00D3314D308213CC82AE00B63800AD8608012510745EBA641C96016BA64734AE5C088D7EF25C830AA27DB08B9D424A82E0BDF9C9690CEF0F2';
wwv_flow_imp.g_varchar2_table(905) := 'DC622D569720471CAF20FD23C77C8C8DAE25B99B58C0BCC3587B1D8895F767F2C19E3E85B0DE6270A1678C8B478E03587E1CE6AC57DA36830DE2B9B24D3DF9EDB99C29503E31351EB726A72BA4921C746C89B779721F485B909DF2116B891F7C55509FB2';
wwv_flow_imp.g_varchar2_table(906) := 'E36C573DA46CCE31DD866E064763FF1CF9E15BE70B01788FB73EDE32936FF050145A53ABDE95876ED477B4B0F1A9E5C85B7852F24FEC2AB65E41790D7BFC46AFC8374966C0B8E22F9D9F76D7DF69B6CDEAEBCE2FC794442D06892DD924A9625CC94F53DF';
wwv_flow_imp.g_varchar2_table(907) := '53433FF2D678753C5E24591E114BAE50A2CABC2FFB925BCED66CD9019142E3399CA80D9ED788010979855A40AC02B070356F3F09C25D23D667F28C8B3845FD0AA0D741F090514C0A30DB4C587DB9ECC032617482B3273711C16ABFD8C5E8E8311AD60CBD';
wwv_flow_imp.g_varchar2_table(908) := '969ACDACEA1ECDD8FD87CDB1A823C2FE2C96FD0779459095229E6BAE1D55CA7ED11C121A05692BB33FA982D85728DF3D7DBB86C8314C73372F5809B6CE714D8BFCBD5E97EFAEF6B63536D945DDCBD74FBF60D9442C5D0D0CB107242D2E411627D01A3512';
wwv_flow_imp.g_varchar2_table(909) := 'AFF5E69BD7E4E3CD7DBA39C19BE3800012E7AC32DFDEE27C696C823B10DC5DAD96541C4EA5890290470AD16EE800007B2E0C37E172876717C5AA9B316AFE96AB104F64D0A474DA05470070AE0A2C1ADA1CEA7EFC04B163ACF630443B52C557C6A7445847';
wwv_flow_imp.g_varchar2_table(910) := '5AD833D9850FB578B6A10A3180973B31EC529D03A24D4B7F401FD57A7A92A362E66400D70FBE3E8940B35D0EE154E87CFC9E4DAB4CB95AA13706463EAE225D528606E832A61A4941576814710A5EC6F1EA5130402FA29E50EE61108F47B6FC2B8837D361';
wwv_flow_imp.g_varchar2_table(911) := '1E9AB54582ECE913C66057FF4F6068964C1768E3073E7CA66A0FE7FC4CF576CE8EE446F815032A31313D4D5FB0AB5BD0D519985920728711B02A7F16CDD0AD429B2AE0180E8676B98A221855A6710AB1375EF5AC0F911E4A257408EFE6A0C00C8770C1B4';
wwv_flow_imp.g_varchar2_table(912) := '0FE1C26AA033EEA1CB38B46ABCF57C715BCD9DB29594168CF846BC0EED6AFC58B110674C02AA2F0A8332B6FE9316607C91CF9D496F3454271C7EFB10A4543102D8D24D00CBC63A9C1A0282FCFE2E27F3AB2EC0D3A90EA4179B6C1C2C97D4168DA20D52D2';
wwv_flow_imp.g_varchar2_table(913) := '628274609E547AA7C3E56963AB81D8F9E57EB546FF10FF1D4932320E00B0885F161742203B3BCEB60B5E619C6B842B3800EDEE005EE0A6ECA4C8CD58FD70BDD421C1C979B6DB697B0000000E61D7BB28012F78336A05AB9040F2DD9BEFD1F1315243DE8A';
wwv_flow_imp.g_varchar2_table(914) := '4C7DF7321D1A44E975B16C2A0F750C3DB20FC8E578BE397CFEEC2A77BB64754DA359ACE962866D725A056F4934BA5069AC2E3FAA5431506C9744C00916AFD863782100D1CB434737CA4B3F7955557D53CAAC651E8735E8AB49E7FC8F55D9D2895B20D130';
wwv_flow_imp.g_varchar2_table(915) := '6B7D96FBE46ED023C0BCE8629D993905F0BB24E8CEDE6A8AA8EA6EB6F934098BA4FCCE88BB452159289888FC116786AB17E22CF9E3508BF333B70199DE3E946B2F495CB913BBE2BEB7278DE17F53A37EA397267584B8E8B67BD8D52631D62D54F8EAD8A9';
wwv_flow_imp.g_varchar2_table(916) := 'F3BBCFFA21729F70B2A3A8AD9B9562A17A4AA1C36956A20A228672CA35A09B706098CBB5B187CD0396BE7155BB15E31194509F180C8A62843987E13E608741D23F431409B03D4CC5175E5CBC6A6FBBCA05D6E33A5AC67A1BF615B629DA38C8285CC5527A';
wwv_flow_imp.g_varchar2_table(917) := 'C78C699AEB684C1F32D0EC5CB7AE0358BA41B1457841565B51D3DCC570AD2B6C1F784CFC6B6B5C28304A7F818CF08752CEF0241F259F71D8B7F04F62D78C7ED05672C6FF1ED6E97BCDF06CA3AFBC8366F308756ABF7AC635EE9EA899056885EB100BED56';
wwv_flow_imp.g_varchar2_table(918) := 'FF717612AD453481CB01FCD0D5B087C4A2B158EE70E54E1807D74E462C35E97622C9730A75F2029E6397700054F72397424C54581B633503944DB3F515257FE7BA609BCA30E792056485C0C0FB890C697632955ECDFB9E69AB0B5813491E1941E8D0B752';
wwv_flow_imp.g_varchar2_table(919) := '768A7CC9728EC38CD69ED7751B844D3096821E6382F35E169BB7C60395BD921BA054669B0F21B3064542FFA7A9900960FB80A433BC4FC8693D9320AA0D9EE0FF20A74A887CE4EB50088E9E552A1435EA87F0000A183BC2CAE16A63BE0E7AE91192B50212';
wwv_flow_imp.g_varchar2_table(920) := 'FE2EFB68C155B9DAE8407BEB43DFAC6CBC40A7AA8FCF68F7A7080D5A673859272923D589DFFD981E2846BC894B4305766E6494079A5836A36929A5828107B49688FC7AE914D90CF156AAEADC78CF3A59EF60689CB7A4FFB89A18DAE1B54E387FBCC68F74';
wwv_flow_imp.g_varchar2_table(921) := 'B1DD45682FC8BAA3E28B43F38B711B6680D3A87F060EEAC6FC9C52F7343517FC89C86EAFE03A4379116A264E5E7CA323F5D09CF31BD5AFE892B559E392800EC9B88138CACEC6663B3F2B349A462C5062F93B3DF2B136B270A74BCD9D6BAF61EC7CD48015';
wwv_flow_imp.g_varchar2_table(922) := '99D82991231B49D357E031B068C1DE8CFBDE866F89E91BFE11CA5840038979C75AC117A1FEB5B8D7B03E2D19A19714F8BAF1376B8BF1EAD13A20E9C6F45E3FE3983F836E2E3FF047F00645D0191E1340C5CCA4EDBCFC1348F44164573D2429CC43D10DF5';
wwv_flow_imp.g_varchar2_table(923) := 'A2E0427756EFAACB545D07D266CE605F5FED5077D31790935D6498C805BB0EC5AF57E99882DE46522A46440E047615D4AA789EC5B997F10C41FDC906880DF59A8655F84239A57A3B1525898FF487F1A4041BA4A56C47D3713129D878DDA2EA7C841F9C40';
wwv_flow_imp.g_varchar2_table(924) := '6DAB01278A3EE39591E043DB5694F008DF941116796ACF08D69825A88903B82034E5BE548FAE69B7C414E4CBC0B102BD705678A954490A4CD71B1F6EC6D2C1C17CDF3F2FEE53B1F530061CA032B73662CF2B83C839480D78813D449067B3A2006671B414';
wwv_flow_imp.g_varchar2_table(925) := '271C6AC8FC3D9198F60C38DC17AFA24F2ADEAC78AAC3DA796283587668958BA815BD555C6A085B3DE46542E206FCD87B9D1A7398A12353C9D188A464F0C336BEE3CBFC1C25BB1D0731785D8517C2A3A4F37A69411C94056C79EBCA5610C829FA354560E9';
wwv_flow_imp.g_varchar2_table(926) := '6A689160EFD76D5034BF4207BA56C26BCEA2D2F514858C6890D0F5F0F703573314D3D85F422A060A8B32B06DFAF60D930B7C4369D338EF422669D77418B172D51C750A365675E136E48329A2C0B946B8B134C79479EB1612E65442C4834FAF989110DA43';
wwv_flow_imp.g_varchar2_table(927) := 'CCDA0571E6DDBE73C3ADDC85019E5C7578043F2A7359A3A57F24A482230B64830A89E95CD2C324A304CBC9867326DA36C5456EE4F318DDF5360FD4782B2469FF9E146A7229DBC478227B9CC011E3C42869BC09B3D99D61940D43A76E11DAFEC4289F8884';
wwv_flow_imp.g_varchar2_table(928) := '2BE9B5F6D4A419F00AD69B957338CE3883023652C19BF08DCABB8C33B6EA62BBC63EA32E5A4D0780C6F8287650A1AF4A57F4CDB053F1E2E4CC74E7B350382147CC8662ECDFD2B4D1400E295F75AE5782B061ACABB355736355224D8000C65D6DBE0001EE';
wwv_flow_imp.g_varchar2_table(929) := 'F8B42768FF913D271DD181BD18BAAC5E8CF442A7911CCEBFD05B3E7A8D4C153504F6AC8F046544CFF51EA3F69A9ED57690FCAA2FE8334E2A4757FEA4FB52A6D6FA8F7CE52447430594679B23A42CBBB0CA7A0B60B9FD7B6BA4984D56B4ACA29D23558D81';
wwv_flow_imp.g_varchar2_table(930) := '2794B3A816CD089DC4056C4586648DA339C2CAF81CF0DADC868AED46264110F3D5872945D37F553AD4827CE4366973B58A96EA536CB19F45520E7D309E254B2117F5089CFE6FA856D41B7725EE7D98F16202FCB5C683CABB784F0296E8939F5C60596871';
wwv_flow_imp.g_varchar2_table(931) := 'E2E2D1898D550C02924CA762328E285F9B6E488625183EFABCB2A1D552FAA937CFAFCDC9F2A8B4C297FFBB4D772A940CEA3948075D3E71F305A0A467E9719A028C2DC2CE1C23987AB06BD28B995EEC20629FA7C1DC43215ED4A524B5FEF5189DA567CEE5';
wwv_flow_imp.g_varchar2_table(932) := '1E780976A8EA11F593B80B4A827BE6F43D5707A9AC26D42D63DA08228FF0C4537D4208279FA61CB8937CB3D71ED809D4C51B70CE340AD57415AAD593B9796FF9D2B8BA8683E0BC6FE39C3CEE88C864ED14306A7EF6379A172E63E752BE39760E2B571F4A';
wwv_flow_imp.g_varchar2_table(933) := '361B441DF78A0F84DA472BEE6011B273055AE3C49617596918BEBDCDD03881D300D3E2C6DA4CABED2192316AABC263B87DCC955EB3D12D71A3364C08739EAFE740812ED2B40E4912106F0983FD36AA7E2ED8E13AFD5455C8AC7250CB10430C40577C9082';
wwv_flow_imp.g_varchar2_table(934) := '1C3C5EDFA861E747445854D183C9ACB5D76955B04BE605CD2136376246310A39F54117DA2E79207A27DFABAED88033E0F285924A8E5AF002A14769178E9795D0D1B2486743029027EFBFC1E91E2B4062E275F8E32B9BE25E3745CF74B1BC91552DAA1FFD';
wwv_flow_imp.g_varchar2_table(935) := '74AC753B751DF42388FEF4E9DCFFD82E9F314BF90017557E8357DBD33F81A76DA06A4A592349E62E5669389F987C0844C83D593C04EEBD058143E823CEBAE5F96B6693DDB18AFEF68CD6B575FE3DC3B72EFFD9F9187E370B281A33038E6274CD69CC646D';
wwv_flow_imp.g_varchar2_table(936) := 'D44CA618FBF010E2826B83AB3F9E80F439707DFF39DB6DEDD2CC0FDF918477EA643493723B8B96631B6BE5AE6D7E85C810C119B1C48C1881577DED28551435FBA124BA7C1E9613BA85AE63F9A0C7E2D4D6704261F6498A4574437A573342800ADBF14E4E';
wwv_flow_imp.g_varchar2_table(937) := '907AA5D11D4CB0E3293E040B03E202F276B61ADB81168DF25CD51DE4C369F7352BA346261D9EE69CBD7227349CC73B73C62ABF17DB6C113A8D389EA2B5C89EFF88CEE46BC534557DB2706D1B34696BBF4C4A207BFFE052F27372C6078D6C37781418CA46';
wwv_flow_imp.g_varchar2_table(938) := 'C50CFC81979F64066A94C609523AD046E90633EA2B16342BD9794DE1E8D5363D1D2FA518ED00C28702015739D8591645245F7BAD0F4445A664E40D6A2EF1BBBC1BC98E2804DA848BD90EABF94ECDBAF195B390BFE2557BC2C64BAE3B80D0055B37556C84';
wwv_flow_imp.g_varchar2_table(939) := '89A74EFF2889CEAC4F9AD34341787792CAB08FC9ABBE0A8AD35E3EFA6CC7A815D187E533A8CDAB31695FF2E038DD9AB69F7C96612B52B0CA3C45FAEE21DC0901A252E24DE6A1D3126438DBF74ECED1C9281159FB1DB654E5D64DF9A103BC7CDD6DE02DB7';
wwv_flow_imp.g_varchar2_table(940) := 'A8A4AF0F92312777756FDBD5D16B08DD5BB008578FDF78155A79FB361766896C6927C79669908CA2A1C6CB336E345EBEB2E241026652191A4C50F1FAD28B778C9B116449DB63E0A5AF178EE3A4B8E4C71EC895310169F4CB19774F0A3CC5C9E0B668E926';
wwv_flow_imp.g_varchar2_table(941) := '5A7D18D8F7E9238FF3B554001F5D21275C8835621FA8DAD356AA2AF8D9AD2E232102DF0100662044F92AE7EDB9C80618D3A58F3A8396BC352CC9ED04C9CB8E01B2F21A4D7AFB8917FF4B4A75D5CCD8C16E9AFCFFC3571D872698BE357481F4EA1F201120';
wwv_flow_imp.g_varchar2_table(942) := 'ACB7E023D7B473F02EFC7BFB2D2ACC1BE0A61084F06E1A04941ED19177C20685862C35ED7257E1F13C3ED85285FDCD5B6E2991377B8F34EC12680561549DFC050A15E37A07291FD44FF1F2466DA95B6D66F809BB81A83F4229E0F0B79C07FDD175B11DD5';
wwv_flow_imp.g_varchar2_table(943) := 'E9C0CED41EC5B43207C5B3D39B98EEECA703D9758F71E912B928B0339DCA100DEF7FE26AAC86982756A03F7B74605FCF17B079778B37033D5BFBC81E8A2708661701B0324CEAE926775B578C7411B055762268EF45E1A51891072E3A9D7700C0B484CDE7';
wwv_flow_imp.g_varchar2_table(944) := '1C93ECEF237B6CAEFE28931B9C64E4DFD8627B4EEA68E791AB4F80D6DFA7D7CAC4298200D70F2141336B556DCC699091A10634C3A26C04E01237BE53A3EF8D7E1D778327ADE436DD83847328C05506A11FD2C28FFEF55F50270101B884DD7FBEE3013EE6';
wwv_flow_imp.g_varchar2_table(945) := '571D1930804A3E1B18F7D67E2D7D1B98E83B7E7BE0B5E6552A12DFF7DBAD34B130286161424775DC4A21EE7002EDE199981259D3EBA2F4EB991F6F501786B0A1FD33F7658BC9CD51740000259DB63A24CCF9F90E9E55CFCFF6FB2EA47C2433F54A53CF9E';
wwv_flow_imp.g_varchar2_table(946) := '560C5B5C1C8191EAC993A9A5CE56A5A248D16F5FFBB1D840CD0C2C2804351F0931D12D47259C9BE7E891CA83760BBACA2A7D7AC68187197D1611D074CEC62340EFDBEDEFF51CCA7AA419F110C208CB0AE4891A12BE17D4413D9409476CA840E14F165223';
wwv_flow_imp.g_varchar2_table(947) := '3AC5520FCCC490CB258AE0E48FC251CDEB03DB04A50E7579D11CDB3360A5D89A7BD0528E4F016FDB9B72DAB28137C7EF715A100C9EAB7B477B54E7B877E01EC0200C6C16549842469A30F2CFC2C9BED38AD0B0216F179EB92AE8979CC649F61B3B550646';
wwv_flow_imp.g_varchar2_table(948) := '251F59AD1C16DA25288B1AFE0CC9A10239E9C909B99548D0D0A52E08075C6FD6E3B4631F396713DE10004DB9B8D4D3354B0082F7AE1414BF78101B0AD2001A2BFE91B56E7E7AF62B9A5548CB0DEB2CF8218CF4A9298DC7B7C51EB905642CAC89AFDD1D20';
wwv_flow_imp.g_varchar2_table(949) := '1955E26D49894502DE6A18A7F0C1BE598E853AB417A94571364B938B82380523F6B2C94309861D064FD8EBED6AA4EBD616E357DB16CABF1118EC5FB60B3213F1EAA88E6432CAC270B9EEBA3BD98A7934C02610A6EBFB2B1665584113C1C7ED3D235903A1';
wwv_flow_imp.g_varchar2_table(950) := '0F9754276DF15C883AE95DF28F2F69B8D45C45A30EEED94EEE2A135EC1BE4B166D6F53E38C700799DFB85534B29D1A96498921BFE06EFAC539B7E9F48EFF1A37BCD3259AEDCA1AF6094022BEF05E9C55E5F66D9B8F7A6641021A70034A306AB227B9C5C4';
wwv_flow_imp.g_varchar2_table(951) := '3576148BB9B15CF0472630AB9B73004C0BA20C09144A736B463A3500B10EAF26319FD6DFB5B94DC0364C149D1FF487680085BD28FD480BC7395D16D28655A2B954FA1FF2054212FF43B378C705CD7E73062E6BD5E4E9299EA11C5DDCAEBF6CD44D916F03';
wwv_flow_imp.g_varchar2_table(952) := 'B8F2E4736EDD453629BFA21240E3C97A223AEC0442C2C4DD79FCBDD5E3444ACACB42867CABD60530307D493CE8A4F13A872BE80D614CB9D2ECC7E78CF8EFAF00E21CA46A5579B1E38F39B4CA1665A53FF313BA837F5D7660CF67E9D9D5F7C21FBFA164F4';
wwv_flow_imp.g_varchar2_table(953) := 'A7C8EA812817E68263B3D2924CD031FFB96315DF76E4DF6A942B816DAF59274C870917291B5FD869BC4F5C0829D39CD0E1F75740497238D472FA6F47AAC6A3EA548004912A7B14BB002AA15295737B477321401281F9101B3B65AD1EE8EA1EFCDB61DC1E';
wwv_flow_imp.g_varchar2_table(954) := 'EC03ACC59EF84B2A47FD1060F79241367D3241ED6F36A72C083E9B0D69F060D5CDABF5DCEB58663D242ABB858F4216F4D14F13DC1442C0A246EEB42560C0C6BD46B8AFA57B302499F0041F3E980E7505FA37A02DB42BAD2E3CDD9E9110107CC0ECFB30EB';
wwv_flow_imp.g_varchar2_table(955) := '2074DEEEE576B0D971219BA21EBED5E5A2E59292025144690C59A3AD8B8C52D1679323FBA23620E9BF28FA24102F291DF4D66A867EF57F8869CA6F36047067960D1CBDB9502FF309A2B552D1917BC9BA5F3AF1F3651818BFAEC04F9668EDEB0DF7FB49DF';
wwv_flow_imp.g_varchar2_table(956) := '7D320D5C12DADBCC1B6673FE831D9507D1D94055ADA19047ED719F6B3C33CCF73B9ABDF5CC5DF20E9C53C566457D7B2019FE2C25CB91510B03A0C8B14A322C04E0A843914F012FAA6001C1827C57C647F76832D3C2C4B1E01CF25BDE82973011CA00A230';
wwv_flow_imp.g_varchar2_table(957) := 'A9A377945D3413AB6E28247B26BF3D98ACAD1B5A1AEED6BFE76D3FDC264EC5B6E87FF34FD7D37FE24958E8931F7753BED4BD6F0B40511E23DD9E00E088C98E2F05340E2EF0FACA3260BC8036C124AC5C87CC0FC287F51F20F4A6495CDAA835DB600A4E54';
wwv_flow_imp.g_varchar2_table(958) := 'A0FF8D1BF88B8BAFFC5C3857021A1FFC4A45EFD45C306BB4B4F08F702B8802442EEA1E2918ADBD6241B5A2711C03696671CD8B5B57B77DF62A8D633D32CE3F08802998AC34CB23A612A816544375CDAC413F1F08B7ED7C38E1D61A2A0485CDE028C238A9';
wwv_flow_imp.g_varchar2_table(959) := '4192800001A4FF173F2A3E0484113B8038602A0184EB4321949ADFFEE036721800000440D11B9DD5B61AE8F4553152A55F96B781750B4FC4B55B0DC3057428800000455849467501000049492A000800000003000E01020033010000320000001A010500';
wwv_flow_imp.g_varchar2_table(960) := '01000000650100001B010500010000006D01000000000000427573696E6573732070656F706C65207368616B696E672068616E647320696E20746865206F66666963652E2047726F7570206F6620627573696E65737320706572736F6E7320696E206275';
wwv_flow_imp.g_varchar2_table(961) := '73696E657373206D656574696E672E2054776F20656E7472657072656E65757273206F6E206D656574696E6720696E20626F61726420726F6F6D2E20436F72706F7261746520627573696E657373207465616D206F6E206D656574696E6720696E206D6F';
wwv_flow_imp.g_varchar2_table(962) := '6465726E206F66666963652E2046656D616C65206D616E616765722064697363757373696E67206E65772070726F6A65637420776974682068657220636F6C6C6561677565732E20436F6D70616E79206F776E6572206F6E2061206D656574696E672077';
wwv_flow_imp.g_varchar2_table(963) := '6974682068657220656D706C6F79656520696E20686572206F66666963652E2C010000010000002C0100000100000000584D50202B0600003C3F787061636B657420626567696E3D22EFBBBF222069643D2257354D304D7043656869487A7265537A4E54';
wwv_flow_imp.g_varchar2_table(964) := '637A6B633964223F3E0A3C783A786D706D65746120786D6C6E733A783D2261646F62653A6E733A6D6574612F223E0A093C7264663A52444620786D6C6E733A7264663D22687474703A2F2F7777772E77332E6F72672F313939392F30322F32322D726466';
wwv_flow_imp.g_varchar2_table(965) := '2D73796E7461782D6E7323223E0A09093C7264663A4465736372697074696F6E207264663A61626F75743D222220786D6C6E733A70686F746F73686F703D22687474703A2F2F6E732E61646F62652E636F6D2F70686F746F73686F702F312E302F222078';
wwv_flow_imp.g_varchar2_table(966) := '6D6C6E733A4970746334786D70436F72653D22687474703A2F2F697074632E6F72672F7374642F4970746334786D70436F72652F312E302F786D6C6E732F22202020786D6C6E733A4765747479496D61676573474946543D22687474703A2F2F786D702E';
wwv_flow_imp.g_varchar2_table(967) := '6765747479696D616765732E636F6D2F676966742F312E302F2220786D6C6E733A64633D22687474703A2F2F7075726C2E6F72672F64632F656C656D656E74732F312E312F2220786D6C6E733A706C75733D22687474703A2F2F6E732E757365706C7573';
wwv_flow_imp.g_varchar2_table(968) := '2E6F72672F6C64662F786D702F312E302F222020786D6C6E733A697074634578743D22687474703A2F2F697074632E6F72672F7374642F4970746334786D704578742F323030382D30322D32392F2220786D6C6E733A786D705269676874733D22687474';
wwv_flow_imp.g_varchar2_table(969) := '703A2F2F6E732E61646F62652E636F6D2F7861702F312E302F7269676874732F222070686F746F73686F703A4372656469743D22476574747920496D6167657322204765747479496D61676573474946543A417373657449443D22313436303930373630';
wwv_flow_imp.g_varchar2_table(970) := '322220786D705269676874733A57656253746174656D656E743D2268747470733A2F2F7777772E6973746F636B70686F746F2E636F6D2F6C6567616C2F6C6963656E73652D61677265656D656E743F75746D5F6D656469756D3D6F7267616E696326616D';
wwv_flow_imp.g_varchar2_table(971) := '703B75746D5F736F757263653D676F6F676C6526616D703B75746D5F63616D706169676E3D6970746375726C22203E0A3C64633A63726561746F723E3C7264663A5365713E3C7264663A6C693E66696C6164656E64726F6E3C2F7264663A6C693E3C2F72';
wwv_flow_imp.g_varchar2_table(972) := '64663A5365713E3C2F64633A63726561746F723E3C64633A6465736372697074696F6E3E3C7264663A416C743E3C7264663A6C6920786D6C3A6C616E673D22782D64656661756C74223E427573696E6573732070656F706C65207368616B696E67206861';
wwv_flow_imp.g_varchar2_table(973) := '6E647320696E20746865206F66666963652E2047726F7570206F6620627573696E65737320706572736F6E7320696E20627573696E657373206D656574696E672E2054776F20656E7472657072656E65757273206F6E206D656574696E6720696E20626F';
wwv_flow_imp.g_varchar2_table(974) := '61726420726F6F6D2E20436F72706F7261746520627573696E657373207465616D206F6E206D656574696E6720696E206D6F6465726E206F66666963652E2046656D616C65206D616E616765722064697363757373696E67206E65772070726F6A656374';
wwv_flow_imp.g_varchar2_table(975) := '20776974682068657220636F6C6C6561677565732E20436F6D70616E79206F776E6572206F6E2061206D656574696E6720776974682068657220656D706C6F79656520696E20686572206F66666963652E3C2F7264663A6C693E3C2F7264663A416C743E';
wwv_flow_imp.g_varchar2_table(976) := '3C2F64633A6465736372697074696F6E3E0A3C706C75733A4C6963656E736F723E3C7264663A5365713E3C7264663A6C69207264663A7061727365547970653D275265736F75726365273E3C706C75733A4C6963656E736F7255524C3E68747470733A2F';
wwv_flow_imp.g_varchar2_table(977) := '2F7777772E6973746F636B70686F746F2E636F6D2F70686F746F2F6C6963656E73652D676D313436303930373630322D3F75746D5F6D656469756D3D6F7267616E696326616D703B75746D5F736F757263653D676F6F676C6526616D703B75746D5F6361';
wwv_flow_imp.g_varchar2_table(978) := '6D706169676E3D6970746375726C3C2F706C75733A4C6963656E736F7255524C3E3C2F7264663A6C693E3C2F7264663A5365713E3C2F706C75733A4C6963656E736F723E0A09093C2F7264663A4465736372697074696F6E3E0A093C2F7264663A524446';
wwv_flow_imp.g_varchar2_table(979) := '3E0A3C2F783A786D706D6574613E0A3C3F787061636B657420656E643D2277223F3E0A00';
null;
end;
/
begin
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(6600460879864382833)
,p_file_name=>'emp_sales.webp'
,p_mime_type=>'image/webp'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/emp_female_png
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000001000000010008060000005C72A8660000870E494441547801ECC13101000000C220FBA7B6C44E600000000000000000000000000000000000000000000025CECE5984B96E0301D865666666265BB2248F64';
wwv_flow_imp.g_varchar2_table(2) := '67A1CC7C2D3333331E4B97325CCACCCCCC742A3333A7236FD4BCF8D9499C6DE0ED8EBEEFFF621E3D98910624B1DE7A8BC7A11F4782EDA84376A296EC3A2DD865F87BA40A82D5116FF241D05FC20464FB35D698596B3D27842187909D8DBCA025FF02F9CE';
wwv_flow_imp.g_varchar2_table(3) := '28FED370027F0C1959C5F32A08FE3B48FE3548F68A527C2BADF58C88474C0EE82F6142B1C69C31E73E487E0908F60E08FE8B55F20654581DADE8EA68A2AB46850DF740F2BF2164FB231E3139A0BF84691C6CD34551B01228B63B4876A196FC97380A53E5';
wwv_flow_imp.g_varchar2_table(4) := '4E226115BB5D6A0681BD092230F8DD19BCC16DD4A851D3E146EB82E0276BC99E8A51D92D09C8EA9056A9328F2680E7ED1B016B38627C0F64F0218800BFBBA18E7C7F39A5D4427A593D2BE24D2C8869B0D344C4D65F2DC269BE16FCA30464AAB46E3A9F1A';
wwv_flow_imp.g_varchar2_table(5) := '01C41DBBEB4554B470C7EE3BF5D983E23F2420DE49207C09EF3FAE25BB17B94E09FF60295940F1028A01103DE4A4934E9A1E043B18247B574B5EA8DCEE7A332A306628E2266E82BD57D1AA3A1CABEA481CD59EB73304FE33DEFFD048FE0408768B96EC2C';
wwv_flow_imp.g_varchar2_table(6) := '15046B9341200340748928F2978B04BBDC48FE7BB18297F3F7E3A87E8C141A018B7BDEFE564066DFF9CBC8F07B2DF893890AD6DE60830D66473C62F019F00E126B604ACF707F440BFEDC98D271242C1CE9DB350EC331B4FDAC65C858A56F4BC66F20836B';
wwv_flow_imp.g_varchar2_table(7) := '6D9F63CE97403C627019E0CE119B4A395F14FAC76AC9FE724A57D1029537CA1DB5B3E771FEFDC27793A87EDDE4CC045A6710EAC7E9FB823DA6F946A39CF3D9108F183C06B46344E2CB9575C86FCB46F1874D54DDB8A2AB43F86B5A46F54553254DDCFDE6';
wwv_flow_imp.g_varchar2_table(8) := '6E40F699A6C60090212DD3E7864D1A3FF83D12EC06E9FB2B231E31580C60A708CD3758558BF0C104E454CA86D7AC01B08C3B0680947EC7FD66FBD4E02E68E5B211E9B1B18143C11F01E12BC423068701EB1061A4BF8E16FCA586D136A3B019C3D0119D04';
wwv_flow_imp.g_varchar2_table(9) := '1213C0FEE4BC1767671299EF5740A6331723C3CF8CF28FD87EFBED6740BCFE430C506708BB28C7E04839A5BF3F124719656B18B9DD71D7B0F22CF6D8F6256E5957A0ECC89F3510D600B8EFFC0A2ADCDBF3BCE911DBA851A31604C1224606779719D95D4A';
wwv_flow_imp.g_varchar2_table(10) := 'CEBDD36D0C62E5E92606C8A8D6060A04FF5A0BB62BD50DD4A03A0002A47FBE5161FBA5BB2AFCDFA7FA20581BDFEA406EAE5108BFB14600F1FA0731009D20A4F43703C9BF312A6C3BDD5601997BBF957F5ED1AAFE0D2DFF9BB28FC49006162B5A14CA7564';
wwv_flow_imp.g_varchar2_table(11) := '837E26C728B84C809369DF816CE05004AFDB5427E2F507A2CF1D20201006047FCB29659101881B826A36BAEE8283D9B8403E4E71371932691D81F3D747136D23F5B57BB13502AEFA0FAF4735DF1FF0BE284A273AB2F23225C553BB0E78FD372DFC8B251A';
wwv_flow_imp.g_varchar2_table(12) := '01C4237A4F1F85135AB36541B217CAF8F0B14BADA982145D0B23B07102E9FB50BF56C888496707AEF4B720E8271B660471EDF961943392D4671446E5F72786F04FCDF95158F53813E24D0AA81498B0A9302D82C3AC321657DB39C52947C608344CDD4713';
wwv_flow_imp.g_varchar2_table(13) := '986AD43651D8FC5B2548F28D45BEF2D79FFB31E61BFA88D75B883E0926425CCBAF15FFD4A6C792C28ABD625F3F8E0A0C4689A21FB76F801BA53BC54CA1D04924CA05235DFF447033E2F516A20F4289AAE74D07821D33365A72AB34354594D925BA56A90A';
wwv_flow_imp.g_varchar2_table(14) := 'FDEACCBDD251FF7ADCA15C54DFE4F42B465C30B01340B0DFB40818E2F50EA21F428974F40FBF9C7264AED44A7C8B6703D97AFCB6A6D9A5AE9759EC93CD2EE89206283F88C81E3F49EB1911AF37107D104A18159C11E7287A02A25D9FB963E5CFFAE971E9';
wwv_flow_imp.g_varchar2_table(15) := '7D033906F722BB18293FCED07A17A2C2EC419A0AE57C04F17A03D16381C45A6BAD351F48FEFE786AF89BEFE253703DBB14B8A70B89F2771A4A4064D38BFF68115C65373AF5A8519B88ADA2D57E7114FE311EE54B4022A245FEBD3976A96E0544BE8CD62E';
wwv_flow_imp.g_varchar2_table(16) := '4457D623A46E8DE26F2641B036E211DDA787C208AD375810047B363FB72FC794127F474CD454A96215A6453B09484BE9D42008668B811095EB06D47718CE4F4B763A0328CA5A64E2003FE1F57D118FE83E3D154604478160BFE72987CDCF0F1985487BDC';
wwv_flow_imp.g_varchar2_table(17) := '6A4FFFBAE2AB302F639097F2730A382E6CBF2CE926A120C6ED2ED87E21D98CC0E98847749F1E0922385F637EA3F8E3159085A3B355287CB69DBC796D849665027F0D0620423932641D67039C0BE2AEA564FE2C590350548B301A83BB578B03B007955A6F';
wwv_flow_imp.g_varchar2_table(18) := '21C423BA4B8F04115AF2D104E487486174DFEDF6932DADCDDFD65B769CE6FB97BDB3806EEBD8DEFD79CCCCCC78F9B6892D6632CBB664CB328739696FB0493189E3A469A8CCDC06FFCCCCCCCCCCCC7833EF3BDF78E78DC73A91E225E9C21AAFF55B920573';
wwv_flow_imp.g_varchar2_table(19) := '2C2FED3D9BC717FE6A5F463D385952B944F06BC515085E5B949176450A99C4DD853D155F9D3E14D6C6137E07ADD1F701AFB338BA7421473CD4B3C82F7670D0CE3ECD471E6BD679B7B6BA2F3885C7E7768D15D42B7B26D4FB9F9852CB8B6535908EE91381';
wwv_flow_imp.g_varchar2_table(20) := '1AC52652B1C6E943636797EBF6E7D3AA20BB79403762F31801D7BE0D4BA8F4D963013A17C011ED5DA679DB3CC2DF72AACD1E1716643168C10EAB21E4EF8FD707D5B54333EAFAC169F5FE8353EA2A787DEFA47A70A20FF184DE864D42F63503AC03EB34A2';
wwv_flow_imp.g_varchar2_table(21) := 'F5070BD93A1CEEDD023CC767FCE1A00EBFD30D82F50596F9DFF4200E123CCEBBE9CE9A00D1708F2AC1F4DE31DEA79EDD51519F73641E3B7F9D4001906BB8FFDE03536A7FA5A8FA610DC42221EEFCD22BB0DE81A1CC68708439037BF2D99A2AB46C2286DB';
wwv_flow_imp.g_varchar2_table(22) := 'F0E10A0E28055EE77074E1228E48E463FF1681ADEF6DE44F0373F7A7C05856007DE79CEEDDB7CD6B338D66FBF9CC10548A49F5C8CC907AFFE00C049D02DF085802752A82A5856155EF4BADBC3F5850831581795FCF35CC245821481701586E4F83F51311';
wwv_flow_imp.g_varchar2_table(23) := '5F79BD91FCE847FF31F03A87A30B177164E3A10FA522E15FBADBFC3C11F4423669F9F9348929380385AC5972DB2813406210DE8174549D5C28AB37F7D7D47543F0CD9DDF7EEC1A94C4AD23F37CCFFE6A910785C4C3BD767AB1695A2FBB2AADA73316BAD7';
wwv_flow_imp.g_varchar2_table(24) := '2185CF9069A800D2C6E762AC21DAFB9DD1E87DFF11788ECED1858B38F0254F60EACF9FA702466AB752A66B0A7B0A40C8CCF97A5245C7B57623C8F7FCAE0A047A5ADD3832A76E1C5D10616F28FC570FCE80697D1FB75771FBCE033575052EC3DEC9210A75';
wwv_flow_imp.g_varchar2_table(25) := '22D2BAFF2E7F5BCB65CC3242CC8821E0FE2FE4E2F1FF013C47E7E8C2451C30A78724B26F05CA78BFC8D4DF7A527A329127420530594AA9F35BCA14DE6B7A5787F0CFABEB87E7783F082B2620C141040BA7D57B700DCE6C2AABB17C92CAC5770D126B670A';
wwv_flow_imp.g_varchar2_table(26) := '04F523DCF38463C0CF83DB4FC642A18DC073748E2E5CC401FF7F420A80C4D70F88AE3783C261C6064AB9942A1753EAD8F4807AD7DFC95776F1EB7EB0EF41FF7E3D50F06121043E672B83B7F64FAA13B8C604944C3E19158BA0F5A0646B9FCDCC32DC8E87';
wwv_flow_imp.g_varchar2_table(27) := '368481E7E81C5DB8882319EE99160590D61378039B799A0992BC2F9D8872BEDFB6D182BAB2B3AA6E1E9EC14E3F4BA1872FEF2B00280308F803A630D709855A76FC40F81AAE21AFBD89F5AF1E5E50FB2A25A92414451068E68B796FBA3A2D110BFD4522BC';
wwv_flow_imp.g_varchar2_table(28) := '6103F01C9DA30B1771A4A3E119335897B04FDE6952D167F5CC53F0660632EAFCF62ACCF43908E61C777DE4F7C5A7A7C05E3FE4FBFF8B7401F89C29DC78FDCD637C4EAC06DECA73A200886935609DD7F654D5E373436AF778919584083AEAB804853CB22A';
wwv_flow_imp.g_varchar2_table(29) := '5029813F7EFED61500538189F0C610F01C9DA31B1771C47AB740000284BC698FBF3CCFDD368DD71FA896D44BA8E4FB1CF8F79F73622B027D0B0CF45DC30EAD85B70E419D55B78E6F015BD5753C87DF0DE19F01FAF99B0F6DE6EB2508A86302BEF04F8B22';
wwv_flow_imp.g_varchar2_table(30) := 'B1F09502940B5C8B37F64DAA47660755A590E2DFC6D38093318E1EC7DF2B6E0A9540F61E150014CA6DFF9C44E0393A47E72FE21017605DE5B1421C02369889A9739B466086CFD27F8720E256FBFDD8CDA100E6A00CE6B5B0E3B11B784CAC024388F91A08';
wwv_flow_imp.g_varchar2_table(31) := '3CDF4BC5C135A64DEB006B610D3E169C3EBC0ADE03BE32DA36925F39AB204C93DF3EC834D57AD312818BF1C958ACE7C3C073748ECE5FC44105C0C0DFBA8665422820309B87B3EA855D150ABD98EC6674FF264CFDAB1076083D76F6CDEA9A29BCE03A0B81';
wwv_flow_imp.g_varchar2_table(32) := 'D60831AD07288FC0CC00841CDC3D407803CAE2552881476606E99AE413BA65B818708C792AD8D2E1B831E987402D400FF01C9DA30B17716037AB67835C001054211883AFDF978AAAA3B57E94EA4A60CE0CE4F966BB99CBD7C80E6F0A2A849FF0B500BBBE';
wwv_flow_imp.g_varchar2_table(33) := '5E432C0506106BB6E2A005C13801AFB5368088D7F35A524E7C79DB983A88BE82615DF1E7631D1B2E9FAF7187231487D113D19B049EA37374E1228E786F6F5514402BA456F2EDC3B9B85A5A1CA1BF6D08E46A013C322742CAC8BF3C6EF8FC1675BE8EF102';
wwv_flow_imp.g_varchar2_table(34) := '090C9AEB1DD2EE85ECFA9252BC8558C1553C4785816BD959040922BE8BF5DF4225E1BEF1A2FF19244BC05661116EDD651825F6A42351864E013805F059431AADADF2E56F500C64C39D7F7128A35EDC3329C2DF10FAEE3A06402570F3A14DEA3A6EB59298';
wwv_flow_imp.g_varchar2_table(35) := 'B6948550971801D3868DD6E48EBFC65598331586540DCAF5F1BB1F539805DA1A7875EF843A3051426680CA8CC1C02CABFD64B7975663CBF2313B02233D29E0393A47172EE288877B30824F9BB51219CF83945D08A4837D6CC6796DDF84BADE34575F3777';
wwv_flow_imp.g_varchar2_table(36) := '70ECD48CF6037F07670E3FB0F1470BB999FEAB338828BF9BEB9BE039BA18541E469A10CA86EF375D8EB70FD418B47C008AA0988240071D59661600F1FFC37E02DC0F6D049EA37374E1220EFFC41B7CF97F8FF5FCDAFC6531D01AD31FCFCD0D661050ABDA';
wwv_flow_imp.g_varchar2_table(37) := '9D7BB66F2E026BFBE3A095029F692A0A04FF980A44B9300A866A62E2DBAF371F93EC021508DE238FC3F2986546E1AAF13A5823B4605EDC5D8552F363028DC783A3A8890A51EA22E02E702848146940E0393A47172EE24826C31F4587DFAFDD2DFD1507D3';
wwv_flow_imp.g_varchar2_table(38) := '0319E4D6271A46DD83045B5E1B8CA4F5E6EC541E77F15B701B100F085214E212B09640DE8FC721D85016BC0F41F7D707A849A062A16258714BE46F7C032EC1E1C91205DCAC1EC46E2F96119163C73040E5B7E2F1DEFF033C47E7E8C2451C1B37C6FF0B7C';
wwv_flow_imp.g_varchar2_table(39) := 'DE1F69D42527A3B8C60B09F5EAFEBAECF4814811CE0DE00BDF7B928A3BE8BFD7DCADF93C05537664090CDE31F3AD6C00B13B051BE6FF6BEAD6B105F5B9E08E72C09A9F7B7C33767D9D15A09B004C45F5CE8149C6364A292DF0E90631916C52370441017C';
wwv_flow_imp.g_varchar2_table(40) := '5B7CC386FF003C47E7E8C2451CC9E4867F9D8C84BEA37126208C687F12ADB7550A77B0F053F0D9E9F7DCCE0A07773C323FA20E4EF663CCD780BAB46D8C9579B78ECC6A6B81454252CD472136EF4B105076699AFF969520EF91C7A840A06878FFF93D35F5';
wwv_flow_imp.g_varchar2_table(41) := 'D48E4975AC3EA80ED706D4A1A97E756EEBB87A6D3F6A121030BC7574010A40AC064955EA2CC1F1E921A637F1D9ADA1A81110A65B008BE8E9FC873FFCF780E7E81C5DB888231AFDD03FC197FD1BD6CCFA8F680BE0D4C208FDE500C117539BADBE33036956';
wwv_flow_imp.g_varchar2_table(42) := '04A25886C343E211DD185480F04C94D21CE4E1E7E26FC092408F0077E6C075CD36600606E1C31B028B9D9D31021DE9D74AE289F96135CBBF2141018EE23344C2BDA087F18D6A5F563D581F81DF3FA16E8A0232E3078837BC012551EFCFB0A7C1CCFDA781';
wwv_flow_imp.g_varchar2_table(43) := '6408E2D1DE47FC516AC073748EEE5CC8F137F0C5FE6296C51A666F34D4C3E11DEF1CA851C8C524B7841FD1747F686789F3FA1211660A9849E07AF1284F094A44C37C1CEE04A7FCEE2CE76111D42476A073FF12A55F13E5C7EB6801CC9A3BBE3418D19278';
wwv_flow_imp.g_varchar2_table(44) := '1981BC85A1AC2A24232A16D1A9CAB83EC340FE26E910A4395FCE27D42373A36BFA092475F8D8DC104B868B9914CD7E6B10E96D644F1E0B85427F07788ECED1858B38140EBB4470EB1DB32108C2C292D90B5BC7C4AC6E947AA3C9BF77BC2859029D3F4720';
wwv_flow_imp.g_varchar2_table(45) := 'AD9C4BA8F9810C526C7DEAD8CC30A7FA1E8429BEAB9C67C47D3C9FA01278053BF17576FE6D5AF1C9FD009DC41AEA669E5F0F0F611A71C60C3E6298E8B89A2AA5B95BFBCD3E83B03CAAF87D1AD799C3DFB0174AECC16A49ED1ACDABC5C1AC1ACE26384EAC';
wwv_flow_imp.g_varchar2_table(46) := '988EFB23C8F11926A5C680D79414E121B80FE9E4DA73123040F4BBFD3E007748A8FBF98CFF39339BFD8F17678BD353C5F88FC9904D5100F38399C048BE3CBEBCB9AC0660F2570B090AF8C59D93EA75ECECEF3EC0461CF23E6FE9A3F31625B978BE468233';
wwv_flow_imp.g_varchar2_table(47) := '039C1960EFCCD6B4601D2C7C01054997774EA897F64FAB370F20F0C8B2603CE75B141288C4ADBEB65630AF1F98568FCD0E412914D4C9F921040D17993EA4223A3C4BA5F40C14CB4026E15B2FD688B4D0B70FE21C45E0393A4B0717779C98487DE454ADF0';
wwv_flow_imp.g_varchar2_table(48) := '4D67674ABFBEA79C555946FCB5C95CC0CE776A7E84BB7F807F4ECE6E1953CFEE1CA70F7ECB0FAE3D4421A200DA117A2800E901680A055E97104BD71FEECFAFE4F2AD7575F92FAD03BC5E7673D611DCC06376D6806B33A6E0D7018043D3E262C8FC012A97';
wwv_flow_imp.g_varchar2_table(49) := 'B7A12C16A004E1EFAF9A7730948DFDD9897AE9E1A72A95BF033C47E7E8D0C28E47E793FFF8642DFFFAD254E1F699E9A27AA09C52C52414801CCD554C70CC9615F9377CE6BA081F81D048892F8514F765871621A680B5AE00B096AEDE938A41992B602B16';
wwv_flow_imp.g_varchar2_table(50) := '63C2100599424DAB45AE6DC40CAEC38D8062E01AE67BECB6623CCE294647A7FA3948446605F8B184F15C5C9D9E29A933D37DFB7CF709788ECED0A1851D4F4C661F393595FFC3D3537975BA5E508F4CE6D4501AD1ED95C8FFA1C91276CFB5DD755A80838B';
wwv_flow_imp.g_varchar2_table(51) := '7E6407BDA1D36C2BBBEA9DC33E64AD96D1C25997A83FD76F6489E84021A707EBF4A2D99168BA0DD28D18F077604291AC4937E02C4A85FBD277068B32C058810238A5FF6F7F74AE960901CFD1193AB4B0E3E464EECB96A60BFE171914D4126EC773FE549C';
wwv_flow_imp.g_varchar2_table(52) := '08837F671747B8B38BD0984204E12276559E74FC8935C09DB881D073DDD61401D7652DBF98EEBEA96EBF57FFCE6B4A00114AC0FABBEB76E970B0E5A1158EAE10DC3FA1C6F2120758E98528C6D532ACA62570BA967F1E788ECED081451D476737FEB39353';
wwv_flow_imp.g_varchar2_table(53) := 'F9EF5FAA53019033B8BFD0A7EBFF8BC9887A76FB982F28B76517064D0595C2CF083D5A6E0F4CA957F6A1CE7E5785AE04027FD295D77CD717B3DC1810CA751FA8F11A77FB5BDE03AFA1ACF7F99D1574FCE1BA3A9B200144BB9AB019AC5EAC15534A528A71';
wwv_flow_imp.g_varchar2_table(54) := '288299BE24FF5FA7EB798518CA2F5C2E95FE16F01CEDA7038B3A5E181CFCBBF0FFBF8266EC9456024BF832EF1F493110D89F8AA817B78FFC0504ED77C127253DB6C6F4B61EE3EE0B2E217538554AE99420828925A4DB8ED6FDB1E0B3DAFF3662038D8419';
wwv_flow_imp.g_varchar2_table(55) := '82CE40A21D2F903800682CFC50328FCF0EF190D164C44F4B86556D28AF9EDC566959E0EDDE8677A1BCB60F6765F7E767F203A66767FBD43238B730F47B4FD633FF17788EF6D381451DA7A60BFFE6E454EEA74D0BE034787432AB8A09E4F0B351F5FCB6B2';
wwv_flow_imp.g_varchar2_table(56) := '1F00FC7394C6FEF9BDF8EDEF0139BB4F8F188FE35617011D9F1D96B420A849D4DD501E34DB659C985600B2FB1B263AB0148FBE7D6977951587765B6F114AE8C29651E9606C8AD977F0E6DEAA3A5AC9C32D0AB3216A3417538F4FF9E63FA8FBB77DBFBF34';
wwv_flow_imp.g_varchar2_table(57) := '9BFD18F01CEDA7038B3A961787FE015C81EFD00AC0274FFCDF37F727D48EA1947A666B997E7450AE5E52695623104D7EA4C9C46496293AFCBD9C8BE35CBFC986FEFB55191EAA0387928AA3C97FE3D882D401047713E2F5E7369521FCD2C6BB7ACCF9D691';
wwv_flow_imp.g_varchar2_table(58) := '1C4A7FEBD68C02195A6A670068DDF0F6D55DE3CACF926C194CA95A29A90E94D34A14276F6BF9DF4646E56F03CFD17E3AB4B0E3543DFBCAE95AEEB608BFB0C47840513D35DF0F21B0837532A0A3E1145E06FD5EDC3301139C0A8091730E1689E916DB61EC';
wwv_flow_imp.g_varchar2_table(59) := '9E6FFA65C5D62420BA038DBAFE7436012C72E497990130AFCF941D5E7776B3A90062AB14C0E6912C6B1AC48260E390EE256056C06E349261242FED282B1178B84D749544699E068801FC10F01C9DA1430B3B1EAFE53663F7FA532DF83605F8B825F5B65F';
wwv_flow_imp.g_varchar2_table(60) := '0710601E07EEC460BA2F659FC2C3C339B697F328BB65AAB0410AD16A0D9651E03AFA4F81B5958EAD7C5EC6A092522A82EB9AA7FC706A318F0DBB2E560B10D702EB1A7D0835B3C2903C0757E8B408BC0F94E39DC0E94C090A337706788ECED0A1851D8F56';
wwv_flow_imp.g_varchar2_table(61) := 'B2FFF1895AFEB7E4CB6D7212F869AE57778FCB38ADD5B9FC06A9349AEC8799A263B7DF482EAE27EC70F7A7F98F9AFD8A98DB445B02D38D878AF03E308683D8A5C1C09CF8C3D73F3A3BC8D38064E7F715C1A672015D872B557EDAEC176543B88E7D6DFC5D';
wwv_flow_imp.g_varchar2_table(62) := 'FC2C8B83D8F973F2BF311500EB271E9FCCF700CFD1193AB8B8032EC0EB67B4796B43B3F7856D2396A05BD826F31D05E18FD9AAE068AE3CB3019B8773ACABB7AD0510948BA7D2B16304E688312A25A03309B293CFF1F622CA9337C3E79F1FCAB14BF1AD83';
wwv_flow_imp.g_varchar2_table(63) := '739C2C14703D41EA08780BB7838F5D5818301580C020202CA81F3853C9FE23E0393A430717772C4F64FFCF295801BA20A8C01DCD7403AE6C1EA2D91C2830ACBFA7396FEDEA5A886E61D7FE5CFF78305A06771445434562BA169226B4477F89892EB189EB';
wwv_flow_imp.g_varchar2_table(64) := '5AF0259DA8AFCBBF699A7D0937718B2125A2287487A1157B90034AE56F96E761CD7042D093B37D960210F3BFF8C953F5DCAE6B15EFAF01CFD1113AB8B8836DC0A7A7723370037ECF4F6999E62DD284EAF2967260E45D76652B272F5600044ECEF6DB2466';
wwv_flow_imp.g_varchar2_table(65) := '7EA0021082260E49CD00E6FC196BD403C78AB365D8565C22EC66F4DF571A740DAC59035A1931050857882E91992D7972AEE4C7035E5E9AEAFF27C073748E0E5FC0E1A7B0B0C32D33A25D37E20035FF8BDECF40E05D4B67D796E502DEF2383098E5A6D007';
wwv_flow_imp.g_varchar2_table(66) := '224D3F41C14598F08C4348802E78ADE040A5F8FAD2AB80DF25C6D1B05CF935C4404EAFFC4FCECE0FF2D64F09C26DFAA55353B98F02CFD159BA701187BF933D3191FF8AE5E9D26D2A0223C8F5DA9E4A90C089A0043D0ECCA21DEEBA2D2B120B63F70EC822';
wwv_flow_imp.g_varchar2_table(67) := '1C0C3E28541487F9985600B35C37E87CC117B697A108C5E4EF635C04FF9F3F5B9ACC9F7EF4D147FF2AF01C9DA54B1772BC82E2A033F5EC1E7CD97F6E79AEFFF6B2F67D91071F151F5AA6F512D30D10815C3F75FB786F2266BCF8EA18E641B0630707246D';
wwv_flow_imp.g_varchar2_table(68) := '44F1D867068A15608C0687EB200A8B05504F6F1E86C0EB5D1FB77FE1FF6F962673DB5FD87ADFDF009EA3F374F9820E5408FE6FB802CF3C3E99FBE113D5ACBABC7908C27017E1D5477FB76496E3B6296FEEABD2F4F62D8F97778EA957768DA9D7D1DCF30A';
wwv_flow_imp.g_varchar2_table(69) := 'CA7C9FDF3A82CABC4A4357419A84AE36B40CEA667391CC1A60BB72505BF35BFB250098FF65D44D7CDFC95A66F9894AEA7F01AF7B38E44E9771F4C54353633994058F6479B4B68EE20798FB5AA0824B86A57EBF0525F01284FE64CDCFAF67697E13BFF61E';
wwv_flow_imp.g_varchar2_table(70) := '41B867B123A337816BCADAA20C20E09209B0260AFBB7324C84309E80DFF9DE20F7E50574132EF427D562297EE1C9DAE03F075EF771C89D2EE248447BB6E2E08B2F4846797026C77D373F07303053202678D31CBCF8FAAFA286E09CA4DF20F8971687D41B';
wwv_flow_imp.g_varchar2_table(71) := '7BAADC99E5E46029130E723FA49E5FD644C4DF48194A9561F060934767065528D4AB12D1C8CF45700828F0BA8FA3CB1774C4C23D639810FC6B9810FC27B85591508F3A52EB53EF3634FF034E0A6A7DE0876529F03DE42D1C41F61C4CFEE7B78FAA77CC4C';
wwv_flow_imp.g_varchar2_table(72) := '8495C7B72BF8ECA0A1DC67618F3DD9284071BCB9BFA6B60CE758BEAC4B997BBE3776DF7DFF0678DDC5D1C58B393EF0810FFC4DF4D17F7BDA3C162B1651B383794CFA8510AE2DF869B8E3E3B00FD9D15B41E60858537BD8DF2F51FA06DD7F861B000C7724';
wwv_flow_imp.g_varchar2_table(73) := 'E0EF0A8CF613ED0EF8DD88F31C24524A4654C21C051EED7DC6F3BCBF0A3EFB7EDC8FFB2961AA4D3CB2711B76FDDF4B890200FA1CFC1047845DB576FE6627F542189B96DFDAE941E3BCC0BB12FC9A3BA5C212F8A34292BCBF693504592DA7168679B008CF';
wwv_flow_imp.g_varchar2_table(74) := '024C44E498F43F8675340CBCEEE1E8D2851C8948A4841DEF97E4F49B55270347423CE4C39A0D60F5D5FB3EF63AF3FCF6D04E36ED341F1B66AF6D3F6E9BFC242890690414370F6519FBC840F88B99A458437E53D30FF4F4F4FC2BE0750747772EE4F88789';
wwv_flow_imp.g_varchar2_table(75) := '70EFABD8F1FFDC167E211B0F63CEDEB898F9F6A46039D9A76505807CBEF9F83A106BA1BEBE3502A2FF2F21E3D19732CC7FC0FF096F437F0157E03CF0BA83A30B177124C3E1713900D3167C794CA6EADCE04E09ACE0DBDA205D200CF6BD8A02A3E5B1AC7A';
wwv_flow_imp.g_varchar2_table(76) := '653B2B0DC93D093E1A7D5EC7B49E2BB32857DE37716FEF97F805B84AF83895C9D6725E4F32B22D2139223C12FAD54C345A049EA3F374F8020E9C0DF84F5391DEF7E55CC02012C03FFCF3A55D95B57E7E80D91D0005EE4DA4F51E29C5D4F17C449DADE6D5';
wwv_flow_imp.g_varchar2_table(77) := '4B5BCBB40A8204590B699D198197B78DAAF378CF09BC77793C87F7B5EC2E48DF81A900CC6A40CE2DA01B24E3CC6C2580834193D1DEF7D04BF5D780E7E82C1DBE802316BB7F23AC80DF4F050ABF4CF689F240CD6353FDB00218A893E8BD6ED7BDB77260EE';
wwv_flow_imp.g_varchar2_table(78) := 'B697EA7DEAA17C581D49F7A863D9907AB800811ECBA8E71606D58B5B4660258CA9377078E80B9B86D5C57A499D1C4EAA878B11752C135287121BA040E2A80F90D38B82E30B01310B2340A93FC7057F904921CDA3CD0314A25805BF9F086F0C01CFD1593A';
wwv_flow_imp.g_varchar2_table(79) := 'B8B8A3825E769C7B771CA7EA728866DA7203ACB15E0C8CCDF4A7D57BD6D41E19AB2501B65690F3032E520944D4E1740F1441AF3A9CDC488EA4001E3B0EA570A21853473321798EC2FF5036AC9E5B1C6E2963B0F640931ADB943167503203DCFDB795F39C';
wwv_flow_imp.g_varchar2_table(80) := '61D89F4F5301580151F93FE039DC467AAFB8E3C1DDF1E09FD184C31FFB4FD8FD7F09BB3F8768F6E7D2AA2F97E2186F11FE1C1E2FF0682C3D67BF84DDF1E1D9210CDB607AADE5149D85CCFA83FF8E9AFB6A8E027E28B901C24D2117F03894029401E0EF07';
wwv_flow_imp.g_varchar2_table(81) := 'E3F7C35208D34A90A3C082537AC18A402A02D947B03251782013E70940A55C8A0A3115A5F2239652C473BD7FE4AC0067017CC6E29F6D8FA29FFDAB7638DCCFA7133C679F3B7F226246C1A9245018C463C3E1AFB34B3038B5162C7C76F5DE7B98147C69AA';
wwv_flow_imp.g_varchar2_table(82) := 'A41EEB8FABA3E91E08391401C04E4F2BE0500ABB7E525B042787E2EAA52D235235D80EE8D2ECAB94F8F952BAF681F7D3F8ACB84FB40570C71AE26D3C16BAF06832F9D781E7E80C1D5AD8819FBF86DDFFC7D604FBF43C7FDBF4E5EF10009D1F8735F0140E';
wwv_flow_imp.g_varchar2_table(83) := 'DAF81C1E07BED93CC567E5F8ED46EDBA46FA30203380683E84BBAC9E9ACCABA5725A9D1A4EA9A5D10CE2023975A156A4E0BF7B8065C16D15FEE710D81C8095130FAF0AF6F9568F950508CBB871E1F7A3D18DFF13788ECED0A1851DB1F0C63DF8029B79FF';
wwv_flow_imp.g_varchar2_table(84) := '40525000199006723EDE89992199D4E38FFE3284BEB6EA08EFABE0C661BF5577AE69A050D281B02EA80CDEDA3BC1A3B9DE3950E3633AE76FBB19EBE72AF05B9D1F9828A968B8D736F3E9EB37080212B91F8B85F603CFD119DABFA883E63F76FA5BF6973B';
wwv_flow_imp.g_varchar2_table(85) := '9308F32C3F11769AC220DDA032B09CC5986FB4CC5ED39D76662A50CA6EC5E4D7AF692AB0F6987103FAF476E760B01520E70AE0DACD0A7F68C9E4E538B12688358440A1511F11FE6AFFFF093E337EDC8FFB497E20F9F761FE7FBFB5FBD3BC15FF5FBEECE9';
wwv_flow_imp.g_varchar2_table(86) := '80E2A05898077D706660A3202084EB5E2AF09A770A4ABCC16F033EB628E3BBD73175A82EAE08E71C54F2C995730C2D93DF22C852429FC4EFC57A7AFE2FF0DA8FA3038B3A22910D1F4070EFE7C4A447B45B8EF1A20240E43FF04B2F964172E5B8AFC76607';
wwv_flow_imp.g_varchar2_table(87) := '6D01BE571F5DAC87E64AC018E829C791DB0146FBEFB02C0F799C034E0ED7FA554CC73C9A5240F6239F8AAD898BF86E14FE0F0781D77E1C1D58D4118F6E9C850BF07B993B116D0A3F49D2C735EADF5709825806F27C18C1B3B8BAB27D5CDDB07663116A53';
wwv_flow_imp.g_varchar2_table(88) := '0083D275E8D59718424B5865C88228A2A6CA08AF83FB32AE8632A2E81AFAF826EC0ACCA7E37CADBC4E80FBF0F9C06B3F8E362FE8C86CDCF8CFA2E19E057FE807A0F0FBB9FF5236A55D0090B41A619813C76D81021026A23CE2700546F309F5FCAE2A23EA';
wwv_flow_imp.g_varchar2_table(89) := 'A602B077E9607F5D5A77A7D60D1B92A04882DC82ABE6B86F0417278A34FD03837C01E6BEFD9828801FCADE97FD47C06B2F8E362FE84884C32154B17D0BBEBC7F0A14A0C95FCA2669D6421140D013A62210819078005D0006C2F85C846674BD2FA55EC628';
wwv_flow_imp.g_varchar2_table(90) := 'AFEBD26813DCAA2B022F9579EB1278C6192CAB016BD29AB01EE7F04F9C004C25F036320ADB46B24C778AB0E373DB2E8E583EC198564024F46BC9DEDE2CF0DA8BA3CD0B3A60C266F0E5FF23B3B8259762F08F420FC1A6A09B3B3D85044051C8CE6FC3A0E0';
wwv_flow_imp.g_varchar2_table(91) := 'E27086A7FF06F5F25308993ADCAC4F147AA026537BCD9DBCF52122AB0E16E53AB43844D88D89C1B8E622EFEF192F3412EE7B1178B94F4521710058428F00AFBD38DAB79883E93FD40054F065FF33F38B0CFF964AA03F9FB20B5D243A4EABA03F9F59E52F';
wwv_flow_imp.g_varchar2_table(92) := '4B8A10EBD10A184947D4854D43BAABCFCED5CBEFFAFCBEB5BBB731BF0FB4D8123C1B54626C9502EB8CC1D3DBC7D460266E9BF2546AF82C01598FD6528350AA9FFF699E0E743F2EFDF7013FFDF7A2DDE926797FDD13D07887A7902463468A90BF4BB10C6B';
wwv_flow_imp.g_varchar2_table(93) := '03065351756232A79EDD3622E9C17BC31AE96D3D07A6D75617068E26BBD3AACC033F7048284F28EE87224B88E0EA621F62B5FC8A720CB412EC4A492895EFF007AB00EFD3123711C8910E87FF1BFCD5AFB3BED8B28B5B1D6F51F37909040A8C88CB6B012D';
wwv_flow_imp.g_varchar2_table(94) := '80F15C5C3D51CBABD33C40B30F077C541A9E24D42CBA8F5BD0A8B967AD52583BE893D713D39F077FC2DDE029C7CFEDACAA915C820D3FA2F472A938EE476D81A6C5239F4F3205791D040D0A04FE1402ACFF1378EDC3D1C6C51CB1DEDE8FC354FDE9D49D60';
wwv_flow_imp.g_varchar2_table(95) := '9E2F046B777BED0EA4A52848FA002423C08A41C9839B0A60341B1305C0D38597674BEA054CFE81AF6F09396850A8631EE1755D148531B003B4141FB04F00C27ACC505CDA36CEAA3F3FD559D4797D896FAC5100FDB994A904E571B3455AB22404F77F0BFF';
wwv_flow_imp.g_varchar2_table(96) := 'CB30F0DA87A38D8B39B08B2560AAFE89E9DFE3D66E79A5600C1432D805C55F0E6E92116278DD483AAA1E830B20078CCAB1DA4F2DF461CE7FB5D1786FCB7CB7E7F6D7830B7A029183409869203CBEECF08CBAB2A3A24ABA9847FAFEE573D39D91FB22E40D';
wwv_flow_imp.g_varchar2_table(97) := '857F25F691319481B616427F994E440781D73E1C6D5CCC812F2C36BE482B25AED206DBB449C8EC0F184845947F9EA01CA97DDA38537FA95EE4619B6FED9F10D35DCCFCB5413B0BFDDA7A506B71405D01777E0900D202786AEB18051FA63CAD1F5F707349';
wwv_flow_imp.g_varchar2_table(98) := 'F37352D003FF1FA685D4974BAF7A2CA32D8259E0B50F471B1773A003B05F8FBBBAB39B510052EB8B7C135301F425C3EAA14A569FA6AB110520F088ED67D0D6FBFA9E2AE7FBC91C4001013B9D2D303303C227D6760C06061BADB30331F4033100DDF69B49';
wwv_flow_imp.g_varchar2_table(99) := 'C6C4A5214973F6DF3DA603CD5A8A44B8672BF0DA87A39D8B3922BD25F1EBAD9D1E44CC2F7633382F1FBBA90804AD8121B8000FC302F08F16C711E3EA0C6E572B80026F9F5839F3EFC2C20094C1B07AD99FFDB7A74A617E0FBB37468E9177F571E09C01F0';
wwv_flow_imp.g_varchar2_table(100) := '0EC089BDFAD4E01DA378DF90BA383FA05E9621A5C14A40CA8439F527C7188019FCE4AD98F52D097FA30941C56C12B79103C06B1F8E362EE6C034DBA459032048918F19D84B444CF3D7785C3FA667089A5D8378FF3014C02313395A004BD325ED06D429F4';
wwv_flow_imp.g_varchar2_table(101) := '8DE0E19F64525B0667678ACC1E9C9FEF47DC00CC6BCEE331FFF1737303EAEC5C3FDE83F78397A0388CCC41B002C0ED4DB801A717CBECFB4F190A8099007641D2A221CD15C05A25C96C422C721478EDC3D1C6C51CA95028832FF05F06FAFEC69719AE029B';
wwv_flow_imp.g_varchar2_table(102) := '7DB25A38A4FC9781C15C8AF73932CB4883A9E18CB60096A000CECD0F51F8AD5840C3DF97677D6B61409D99E189C0C1ACC41296A15C5ED939D6A0D63F98CF413AF0C2CE09A6008DA9470654640463D1A4D24FAC84E07889192388847603AF7D38DAB89803';
wwv_flow_imp.g_varchar2_table(103) := '5FE07E98BA2D99B99227EF33D26162FE620D06C24420647EE0202C80E33A08480B60993BF6A05A9E315D015A0510F87E2A0A5FB0CF2D0CC9EFF29A2028FCAFEEAA343F86CCB2086EE020910B3BAAF4FF833E7736C9E09E94435311C86EDF8CAC56009B80';
wwv_flow_imp.g_varchar2_table(104) := 'E7700AE0D31254010E42806FAF16F690FD25B7D3618175F2E6B4206D01C4D4A330E7250D787661509DC3E8EEA599927E4C767EDC2ED54BA642682AF827C119ECFEAFEE1ED7C1C2C3F39226B4FA031AA60C990538BB6984F50A6B7672FC3E0C61CFC623BC';
wwv_flow_imp.g_varchar2_table(105) := 'DF2CF819AC007A3703AF7D38DAB798838D40F8B25201AC0B288B5C3CAA90ECF65B69E93BEB5D32A2EB00B231A30EC036F70BB2C3CB63FC1D663FAD85D375E339510A524B00CECFF5237350091CF6619EF02327FED80AE0C2D651BA335919E905F8991231';
wwv_flow_imp.g_varchar2_table(106) := 'F5D0C0B89ACB17CC63C11A0A7BD0E30C20467AE780E7700AE0D39244A42797C201A0EB550038444455D26975A06F983B3E5D047D880615C2442121BBBD083D05590282AB80E9BF3C3FC0997C76B640148028858B8B831C0ECABA81E0E21FCEFA370B814C';
wwv_flow_imp.g_varchar2_table(107) := '37407A0106D331DF54F70376DCF113FC4C1975BE3CAD1E1FADA9622226A951C642826AFFD70652239FC4116B55E0B50F471B17734422F7FFAF64A4E73BB10B9A91F096154006AFDD5F1A52E74767D4EE5CBFDA5D18507B4B836A67A64F6D4F17D5E1913C';
wwv_flow_imp.g_varchar2_table(108) := 'FC7DCB8F177F5F948015FC7B72719829433E66B104EBE019140FBDCB56E2050233BFF5D162AB66114CA13761523D58EC57DB9245B52305D205B533DBA78EF78DA92B6373387A6C529512B175D544E0F6773391480C78EDC3D1C6C51C91C8C7FE6D3AD2FB';
wwv_flow_imp.g_varchar2_table(109) := '79F6B00FD0740866021460FE3F3132A99E9E58508F95C6D5D1ECA03A9A1B560FC37C3E0EC5F044A560E7FC4590A9046C013F33536A6C1D30DA9F574F6F19420D00C681F3F8F145F53927B6AA5BC736D9E6FD3D1D0C7A66B4AC8EE687D53170243B84B306';
wwv_flow_imp.g_varchar2_table(110) := '47D5C5F28CBA383AABCE8DD455399DBA7B0150C33261FFF1F0CF6662B1FF0BBCF6E168E3628E4AA5F2D790DF3F6156024ABA0BDC35E29D00A5784C3D85DDFF7265419D1DAAA9E3C5B23A921B52470AC3EA91E13E75DAF0FB11FD17252096809DFE030D15';
wwv_flow_imp.g_varchar2_table(111) := '06837DAFED1A671190F408885F0F5AEF075813249C52CF2C54D443A561752833A80E43819D1CA8A84BA373540097715BCFE5ED494156C350E3E62994157FDB7DF7DDF78F80D73E1C6D5ED0918C6E1CC097F62FB063DD53943B01C6B03B5E199F5797C667';
wwv_flow_imp.g_varchar2_table(112) := 'C19C3A0D93F96861441D2D62779FB485DBF6E99916D4C13D11F63B7E3E6EC19D341F73FC22B49C2B782FCD404C11DE94C3494C4BE0137E85E19C3A333EAE0E660668BD9C1F9EA2F0FB5C02C706C728EC415D80013181DB0802BE0DBCF6E268F3828E68B4';
wwv_flow_imp.g_varchar2_table(113) := 'B707053EBF1124E83646BBABDA5944E9EEE466F5746DB3BA545D80D0CCA813D84D1FAF148C345FB00230A2FF7C2D63009B4624D8C7D2E037F6A26B3070B847C336E286D57FF66C4201EBA0C4B8AE4E8D95E1F34FA88B637AF717CE8E4E330EA05B9F23B8';
wwv_flow_imp.g_varchar2_table(114) := '5D3B1391CFAD3E3DF80F12E1DE1DC06B2F8E362FE8C86436FE337CA9BF0FA5BC81026FFF0E58F57762B002F37F5E5DA6F0CF427866D4B96A05C29BFBFFA9BB86397D63D73740F41FF43370884E417DEE5F33B35E4A7F4DB7C068FA017C8C19015301E0F9';
wwv_flow_imp.g_varchar2_table(115) := '6BA8061485F2DAF69A7A6A7C5A5D120530460540C53695CDA95422ACECFF915608E1B529C148E817316AED23C073B8B3013FED4126E0829404B77A024E291957176B8B22308440889626FAD1F957A089DFA80330B817C0DFF5FBD108540916FCE053864D';
wwv_flow_imp.g_varchar2_table(116) := '81B73200768B316E57CD10ACA9971620FC14FC3972A5BA00E506F760644A8D6765F6A1AD0C03ACA448CF1701AFFD383AB0A823D9D3F3EF510FFF230127FF34F2FF992BBF5899A7D0DB3C395E6DB5A24FE06B9FDB5646979FE4F7BB04AEF5CEDE3A047E56';
wwv_flow_imp.g_varchar2_table(117) := 'AC1872697C9E8AE02C32015528806CA2451709CD55F1E8FD8BC06B3F8E4E2DEC403AB02517008532A5C806B53F5F80C0E8E0DF254B115C80DF7CA63A28AE4030AC062CB005F8CDBDD566A704AF53C03900848143DC36183B3EA55E9C9F16B35F5D9E9897';
wwv_flow_imp.g_varchar2_table(118) := 'FB608E2ECED2584D4DA7222A1BED69121BE1B16A3FE6A2FF2E0BF019472A1CEE4719EC1F36186E49A1CF82FEE806550D7D4C8D7EEC7FA963B93E0ACA95C94DEAB9D9ED6B5C81F3E35598F4C1A63E1A843896FBF5BD13A6A08B296F0BB17D7FBD58E5C2D8';
wwv_flow_imp.g_varchar2_table(119) := 'FDF7CFABA727E7D485F22CCDFE67A7B7E0FE0C3ED7827A7A6A333FD77958017B90DAABF67E440D4437AA7C64A3CAE0FF9102D23B20EDD3B170780BF01C9DA1838B3B5006FBC522F4F115C12F62D71B8DDCAF66FE1F7B5701DCC8922575CCCC3464B6986C';
wwv_flow_imp.g_varchar2_table(120) := '8B66CC28D3D8B205161B3FF3F2EE6766E665A6603A0E3866666666BEABCB7CAE8A8ED6AAADD1C0812D4564085CDD56573FC807554A84542D1E500B83E7D4DCC039F5C04246948306E0B9CD9A699ED18042AD81056C2ECA66A066ADFF7D00D7F9734DFF6B';
wwv_flow_imp.g_varchar2_table(121) := '28EDC93E7DB67D000D5AACE9BF4AF49F06E0E5624994DFB019A968D0F36F56F1AC8DD96A41ED613ED2EE2E55C11CD4CF87550EC6700EC6608C211171C8947E2E994C7E1DE0EAE0DAE01A9EBC83D158AC1FB980DF994303506E3CA1361361558A05542D11';
wwv_flow_imp.g_varchar2_table(122) := '5455E0A2BF4F4DF59D520710F6275785361B98ACB9CD08482E207718DF3F575F52AFEC5F94053C66DBAF8F6998D74ECA4E347E668DB78E6B2784E08E401FBA310F8A5F3AF23A0CDE35B388EB1F50D9A85BED5C88AA5A0A73938AAA6C6A48AD25236A2939';
wwv_flow_imp.g_varchar2_table(123) := 'F46F33C39165C0D5C1B5C3353C7907F9F8C0E96C32FCA35B50FCCD885BE5C283AA9A3C54FE1CDE4FF69C3AA4FFD3B388F3992CA3D76C9E08249E829178A59EA1D2B385F7D2637987312D8F6DE39C5C0CF481EBB68CF76F890717D755311A5217037D321F';
wwv_flow_imp.g_varchar2_table(124) := '4425115099E080CA47DD781DFCCF5A3CF83D9564E0EEAD115F08707570F5710D4EDA417924908030BFAF1C0BFC7A26D4FF4FB37DA7D5B2B74795467C6200CA31BF9A1938ABE641FF4B787DEFC20A69B2699A710495EBD53216EBDC5AB8EC38DD56CB3749';
wwv_flow_imp.g_varchar2_table(125) := 'BC76CEA57F7AACF1B88FDE42FA5FB41980E7F275F5427E97494D840275F5AC366EBCD68796326A2BEA574BBE6E558E07C400F079D9D7A356C18CEAC91041B6F46F98C75FAA0E0796015707571757E9441D147DBEAF288E7806CA49FF3350F2BF8140FF57';
wwv_flow_imp.g_varchar2_table(126) := '2634A026BABF4BCD43D949FD8DA7A3D79B1B3CAB8A50FEFD0BC354062A0763E6169E93CA53541FBCA140CADD9EB76E8329B4360A85C6D21FE87F81DFCDF65D793D2F147690D4DC03C410D8D8CCADA3632AEDE952309A9207A8A5426A33EA516918C65A52';
wwv_flow_imp.g_varchar2_table(127) := 'B3827850AD62BECA31DF9F54E3C1FBAAF1D0F842D2FB75FFEBBF13D879741E77BB5C9F5F8F074F9713A10284F563D544E0EFEB5AC945F97BBE0B49BE2E050F46E11621CF8407D44CDF19558260F3FDEDD812ECB1E5BC5930D312F4B06FD4E5F7F81C8C40';
wwv_flow_imp.g_varchar2_table(128) := 'C174F4352A728BFC80F98CEDBCA5B658C147E0FDDFA81774CCDFD408103603F72C58C07D0B17D592A757E5A0F4BBA3439C0FE6043433F2D1FBCBDCCD2249BA81F0A90646901F727F6F7EC47D2BD8C24226EAFED68CDBFDC580AB83CBC3651ED8416938E4';
wwv_flow_imp.g_varchar2_table(129) := '8337BAAB9E0CFEC44E4AE8AAF1F022BC53BDA7045BC33E26B9E8D1E0E9FCF8ECB45AF1F5625C0894D7AFDE3133E7E0E9CBCDF3013000CF6F16D16CE3ECC5A525978941531168FCC55FCB08B40527E3C1BAFFF3D922BF5BF330665DAA00D6DFD6E4FA24F1';
wwv_flow_imp.g_varchar2_table(130) := 'B919F4AAF5603FE743149C6C60D1D3AD0A78E67B8605F3604B2BFE5ECE31E78E46F42F1162FD6A2511FA503D16BAA112F6F603AEF6D1419B0774504BF8C720949F8530FE5136EC8640F688D7A2E2D76804B421580BF44BE2AFA6DF6F0D79D54CFF1929FB';
wwv_flow_imp.g_varchar2_table(131) := '9998B730EC55EF9C49630560B5991138322478696B0BD9FFB615F84A6AFFC600985F1222908CCCE37BD230B5602F9661E078CD788AAA168BA8452FCB81349E4400D501B002CC57FD7C849FE1EFDD0C15604823C2A0D6C1AEB653612921AEFA7AFE19F3F9';
wwv_flow_imp.g_varchar2_table(132) := '0BB81F8FEC867BBF11707570E9B8A4411D84BFA6069A5F49869EAFC603BFBD930A430043A2C0AB815E7A28895BB350780AF0C1780CC23A7418C702F45C4C6CCDC2006C0D7BB5670BCA67EF995D061D164FDF1658537FDF0195B0FDCCFD95822186B00BBC';
wwv_flow_imp.g_varchar2_table(133) := '7E73A7C01E7F5DC110A5A6773FDAA0712CCB9A2BE807488D605E4ECBBC18239A090DD2E31BA3C0CA808452DBA35118068F5A0D0EAADDF1111A52B907BBF8BC9E0AFF07E6F48711323C88D02192897DE79701AE0E8E86C31F3A50483265137DDF5E89F9DF';
wwv_flow_imp.g_varchar2_table(134) := '5A89057E7123E4FE9BB4BBFB3F73DADB1B61ADE0B908BABA0E8FCFD875DE8DF81582B9070135DE9F60C2AF0AC3B18358979E6B09CCE1A26F503DB298350AD3365E2A6C91EA5F69171F15B959039109219C9A7E908CCCA3DB8F0A6FDA7DDB3160656908BA';
wwv_flow_imp.g_varchar2_table(135) := '63725C2D797BD526627C33A77978FF457717E7D58405644F9857BFBC9E85C1E55C9AF106A66A807BF2BB08119E2F85DDA7EEBEDBF5F9979A30EC3C3A0F7AFB2FAF8F463CC8383F036FFEA7F02CFFBE938A28787F286DAF9AEE3B2D59FD0DD0D0B2CEEC9B';
wwv_flow_imp.g_varchar2_table(136) := '8C35CB7B1BE1011A0208758F08B2A1FBDBE7A3F054340A640E1E35DAF51D2A1F0AA867DB51FE757BA9F07928DF476EBA14AF5E20DA2DF9716D7FF312A206C31053F63371FD510ADFF89E0CE04E2C0CDA80C75F651E8073A90DEA3C3C7E61580C00DEFB59';
wwv_flow_imp.g_varchar2_table(137) := '35E1BCC998D9BE334CB2F27553D40EF19F30047F847BF871B0B6FB6174038E86A0F3E83CEA31F7D7D746BC93E511DFEB50DC7F2A41E828484CE06D03C8E2036178202F6BFA300467289454782ABEF642414258013F5F70D310744B061B092B188108BD94';
wwv_flow_imp.g_varchar2_table(138) := 'D4FE97FD3D68878D9BF8BF25A860DC27A03131F852B1452EA059E79FD9FCA305CDFFD4DBAA7C6EB223D0967AFF01BECF7A9154DE28B429F339A3812530F4B97B7E599547826A0E46B5A28D6505987777ABBC36000C0556D82034E225D56722D0188096E0';
wwv_flow_imp.g_varchar2_table(139) := 'FDA8E3DE959134CCC57D6BB9D1F03702AE0E0E71E22760170201BA385F89873E0401FC2F2AF3A2A74704720D5E89B13AE9FCC1448C652AED614292DDA772CF801190AE662383F4F622A0359310D48660D9DFCB73496290ACC0D0D5BBA6A6A8042636B67B';
wwv_flow_imp.g_varchar2_table(140) := 'C9568D41C42AE3EA22E37028AA63EDBF8912176CAF9BEE04CC46A1B755B04968AD910558DE7FA504A56F337C59B3B380871733EAA6D114F2006719DF73CE3837922C355D82349834A634A4755D19202A1AB5CF51FA90FDBDDC133089B8FFCFF323BE67B2';
wwv_flow_imp.g_varchar2_table(141) := '51DFC4F6C4F0B700AE938E137BE1D59170A8920C3E511CF6FC280CC0BFEC8F31694761110113614B838652C1D3E28DFC6A176376E0C5B7819A360426FE6712700E424C76B0A53D1741E16336DB240CE7308E59EF22CEF7EEB9344300BB0170549CA2635F';
wwv_flow_imp.g_varchar2_table(142) := 'C00BB922B3F1505A9B02B788E10B2D17091166C9AF751C9B7EB698F8D3DFA1D89601E0B5DADE03B74D5C50CBBE6E287CAF9937C991A4BD56972013A6ABDA2010547C1E4343C1F22A8F11E30B30DC720A0DB619820D79FF7535D8F7931BA1BE17B6CF87C6';
wwv_flow_imp.g_varchar2_table(143) := '01D749C589BBE052327C0A94F20D28EFAFB334B7E48110C1836F443D92643A80B7DF1B43ACAE637A96F856FDFD1293A63136834C7F490B5355287F48C7AD7EE60530E69C24ACC80E98D9266BE018E395C80028B8B9908FCB62A9045705EFDF2F3828B92C';
wwv_flow_imp.g_varchar2_table(144) := 'D4B1BCFC95940209841BAFD5D0F26B76FA755EBBD0B21C68C2002602D90B40E3683C38CB7D0CB14A3ABC629290FD0156984076D52F73CDBCCC9AD54BC067E790409E033C2F1919CED9F57B28E77EA69C0A4E00AE93861373A1BBE1735F03017837BCFDEF';
wwv_flow_imp.g_varchar2_table(145) := '1A9A4961A2E2AE8724832F71FD0A3C0DE27F2BEEE73851F6B0D4A6977C7D6ABAF7B424040BBAB7DF082D5FE3FC52FF5FF07401DDF45AFC1F76018C0799FCA2F03B28467B200B78295F64471E3D367FD70FF17B8DDD82B62DBB1CB6F46A0B1FBCB1C0D8DF';
wwv_flow_imp.g_varchar2_table(146) := 'F2E0ED180087E4E0DD734B9C232AB2664F42FBA56C5AD021130DF12CC23256014CD295E0382A3FEF1DC3B64D846272BF5A83495C7621C209F490E5FD653E32F84A3E10E861E500709D049C888BAC0683DF548CF9DEBF1EECFB4F93B46B8C15690CE865B8';
wwv_flow_imp.g_varchar2_table(147) := '467D5A2FDE61C94FE27A8C63ABEAFE440C86212242C8452B0C0F18BBB26E6D9DD33A1F693FCFC7D6DF556F2F84D9A72ABA4FE0BEF42A136897AC248F2C65D5FD0B6B471A81F7ED6B4A0FC5FFD45B2BC6EBB786D3AAC2269FBDB1CDCCBF737CFFD0D23A5A';
wwv_flow_imp.g_varchar2_table(148) := '9BB38ED7D6582AE4B8879007D849454D9C2F86B70E80719119E8D2A047CD612E39A78D31BE31044BFE1EB977696F97D557601F67B104CB8830C9C87B4D03F25FCBBEBEBFC88607DEB93DECF916C075DC71AC2F6E7732FC353BC9E82404EA074540BC2220';
wwv_flow_imp.g_varchar2_table(149) := 'A4968CDBE96D1A0C0105262C42C6B1A4974C08565211C6F18C31610446283C142C1A0266A4CD39E97D441029BC8C43E5BC5A7829DC3416D2E0920843A13729FCBAE5B7DC9405F0EFCF8A875C55B96040ADFBDC50AE1C8F696A245E000BF8E8ADED79F476';
wwv_flow_imp.g_varchar2_table(150) := 'B60BE3B9D986DC4CB1C9661E5DC929CCB7BA6134A9EE4F3737566C097E2E5B6B305E45B5777E58AD626E9603BDECF893395C4618B504D444C18559D16BD3209B646CC3BDD38A2C6CEE34999D55A169552D00B85A93B9061AFF6C74F0C750769CE68FBD00';
wwv_flow_imp.g_varchar2_table(151) := 'AEE38A637B61B544E2DBF3C3DE574A50F26D93BD07A8DCA4E55C8E3B0D0567E2C9180211125DAE937A3D33FD3E0AE580CA808AE6651CBD9315D7F3182A38E3530A1D157D0B42B7833C429DE7B1F20522C069FC7DC5DB67A3FFDC278FCA6F14DB283F15E3';
wwv_flow_imp.g_varchar2_table(152) := 'EDD30B6AD9231B878881B97B7EA989772D1FEE22B46E7201448B766003D304A4D9C2271D9803138CEFDBCB1FC954DE3A398B6BF749226E1706F05D73F34C122264B05F2BB7076B3474EF9C9D3BECA11838A7194098495326026944B5E716DACE7BE8A8C8';
wwv_flow_imp.g_varchar2_table(153) := '66CC1AEE31D762F07E64B5E130ECCC09E69E16719F0B436E84789E3FAF247C2380EBB8E2585E5471281829C7823FCD1B492AA813478028AC0817A93D05830242E55AD4F4725F9280C336FA48EFB311F5AA798C619C495A2A75FD54C4088E610426998571';
wwv_flow_imp.g_varchar2_table(154) := '50745F9F69FD35E344B877934314FA4603605B29F72068F175E713B2126EDED3259D840C1F6E1C4BAA27D7B61C2B062F648B2D3D7C939ABFAD64C831CD76FA7D76A37978423C94DE5099805B4A7934A0664DC4AD13A3EAA1E50DF59C65049AAE1B786071';
wwv_flow_imp.g_varchar2_table(155) := '0D1E38A0E37CAF7879E66398A0AD5AF387F91D20936295808BAEF899A321D8D29517E607780C1901BA3A1D8F31FF6717F79F72C073D413A15FA9C6FD55AEFC045CC70DC7EE828A719F070AFF0B26C9D7CAE29322B2A98482470F4E8F9F8F5A7DE992C54F';
wwv_flow_imp.g_varchar2_table(156) := '48CC284CE1A2EEE93F5CA2EAB6FD0F23581CC7C4148D05F304A4B1451A023DE66D33B3EA197B879F2D46BE776199FB04309108A67246CE678C111388EF995F3A728DC0FB0FA8C4578FFAF35C5CF1E7A4FC7CFD8E99797E5FB36CD7169B17A22879CE2C1D';
wwv_flow_imp.g_varchar2_table(157) := '59E6BC070D41B5B8C4FD643A3400EC03C0397B1A62FD8050F4C99EEFD24ACD86A0E6F7B9AE637D2612B9686B168699D59C8D164D44F554846B39F89A8B8E789EBFC67DBE8EEDE180EB38E1585D4C29E5F1A1B6FF73F564582FC10D51799B3789E81A7D2E';
wwv_flow_imp.g_varchar2_table(158) := 'E2E16A3352782E3AA18030CB4F6FCF78925E571F0758424DBA4A05A7A737B1A63DD30FF0330A33693F0D01BD5936EAE10E404D57FA3D0C2FBA9B88C313F25CAC5078252EB53C54507208D9909F7B08383607BD5420A577F825DFE64A8ECA410928DBBB06';
wwv_flow_imp.g_varchar2_table(159) := '09ABE7BF51F98DE192D0E3E0424C3C76C6DAF68C20D362A90D733B8872DF041A7F369AAE19606E830680C6D2EC08C4D06AD9D76BBB7F645D4CC4323C33399D453CD31873BE9DE27B1A6A320232072EC966D5672362192B1A7AF39A0C91EF294796CC04FE';
wwv_flow_imp.g_varchar2_table(160) := '1E61C4F5C72D27706C2EA494F20FC13BFE92B9895C74432A67BCAE6929A5F292A652C8C4EB234E64969EDEC650C09C15D39BD2128F33C2D4583980973A4725E76B360699EE339B22E4A33CA7540490CDBF68A3FB5C17CFD8BE4A0FA8C7D0A840796CFF8B';
wwv_flow_imp.g_varchar2_table(161) := '74760ADF898CE5DEF915076FCA90A2A8DE7F5DC13406B50D533E3478B9D824F3CF1D8CF3DB5206A441E37724EB5966ADBEE17BAF40419700BEDE4E46D4DBA6E7F85B0738B66A4B04DE34769EE3B8D6C2B1944703C0CE4CD383B10D4F9D8B05D57250581C';
wwv_flow_imp.g_varchar2_table(162) := 'EFA3CD68126633163EF33D7243301A96A1CFB255DB720EA6EDDBBC0742E6DEFF6325E1DF075CC705C7E22272E1F0379653A19F225D334A6A949EF56552402A2733F654E8295DBE63298F2DBC1217EA957A35CBEA332740BA498FC1B89EF12715DC46718D';
wwv_flow_imp.g_varchar2_table(163) := 'C728EAF89FE337B4216026BB312E65DF3B1B804C0E80A5BD3BA726ACCC36B0191DE4F7C4B3DB7851518C49182BB2128EE1BEFA3CDEB93B901581C215AC1234B13FBCFF66D1A1F487CF811B4713BC36B310CA184B0336DC3074A201A0A249D9F4FAE479F5';
wwv_flow_imp.g_varchar2_table(164) := '388CC07319CB08BC6B76016325EEA73777CCDC1B03C35CC30D332975C37492495732102A350DB73412D5355BA0613755190BA63AD365E58086ACD08F68648E7B634330D281DFA845BDE700D771C0FFFB0BC864DC5F5C4A84EE64D286B4DF507436787063';
wwv_flow_imp.g_varchar2_table(165) := '09D6E149EBE955D936CA58900AC6DD78CC8D3616DF294F60EAF9E3DDDF2549437A90BA1CFBB963D16F20C93F7A221A1D7E976DED4D184EDC327141948614FA5D33697511635750BFDED2868590C52B305CCC5C53D8D9AD38A585DA0826E9E9030EA53683';
wwv_flow_imp.g_varchar2_table(166) := 'F71DE4DBCE0534AE157863C7B95B91468CFD0C755D8E639583868BC6CF28AF6997E6BC987962984025E576E8DC0FD184148F5ECCF37A39174DEF030DAD405769A8DC6CCFA6212068BCA9D46CDDE67CAD473C6C1366DE84E391D88B71BC6166E63BD27069';
wwv_flow_imp.g_varchar2_table(167) := '36781AF7A397F75B577A6C2C82EB41789EFFAAC7831FBB7B74F44B01D7FF77FCBFBF0028E26C2D15FC6B7A7A526496915893A7C2AE709DB96EDD355E09E36DF1DE51169F06A50825CC44BDA0E483EC04E479E1894F3336A5B0391A8D928EFFB9EDB7300D';
wwv_flow_imp.g_varchar2_table(168) := 'E6136074EE4DAF8001E4B910487BC37EEE214003C5F8DEAC23B02D315E95CFBD3681E4FF2F47A30C211C77147E318FADC36E6672EFD22B02B69EFF9B0A8D757FFBB2DFD5A2D4FC0D7DA6D19DD6DD7B16FB617C1DB2E70580B4E40B06A401E8BFA9BB0BE0';
wwv_flow_imp.g_varchar2_table(169) := '388F6D41C0B3CCCCBB17C38974633BB22D4B66B60366B6E4C824071EF37B9799619999999999790B1E333343E0DFF3D5C999DBE93793F8166A5475EAD7CCFCD07FF761EA771F3F211212BB09AFF22520F034DF2ACA929A9C79343F4188CB88913980614C';
wwv_flow_imp.g_varchar2_table(170) := 'F4F154EE855020C6CFACE3D893D095B51CAF5EFFAAFF783C34C3C3F7A746E09A66DC252C84955F8CEB3FA6514CC0689661A607BFFAE8F26F0D27DEDFB758BACA7020B18F3988B25A2C170D54251F2901816E4F29188150426E908173906D799283C97587';
wwv_flow_imp.g_varchar2_table(171) := '96212FE9CE2C80285473E74FF128D30832D598C4BBBCF0E8F055878F0DCF5399CBAE2CA722E47B04F3BAB74B1F36F6AD6D14C0F3351C0DDB759E04453CE554EC4D81F0054CD402B2A128788D4CC03FB97E755AD65F2628851FE26667321D0D02BAD23000';
wwv_flow_imp.g_varchar2_table(172) := '521AD15D6F08F57674F0B9AD6B92EF9DB36B21CCA043911C7561F8D28307684A2470F9648AB9D0C0F86C82B1CE5B0BCF765E117DFD8FC0FD1FF749ADE4C4E698FFC00F7E9D62B0D32200D682739046607DE194F7AAFB83DBDE69EFD69F5EDBB3E5C6ACA7';
wwv_flow_imp.g_varchar2_table(173) := '0DCFECC07963433A7EEAD2D6875F4460080DF18E6BC0A7ABF49007F21522644EC0F639044F128320C68C35F3DADFDC9BBE815673A0A69617FAA884A240B27200822EFA105291492234181981ECFB907EE3F1361E73C946A43B67206756F9331A5F800D45';
wwv_flow_imp.g_varchar2_table(174) := '38DC5CCFB31EAAF85AEFA1C71410AF6DBAF50BF81CC380A47FE7F9EF8019F30561CE3CDD85E08CD15A6052E608F39257D13200F3F8FCE15DE1CC8BEF77592B04B57D7876CF0E7903D17C6502630EE01FA0A653EF25085D5B6697EF70EF5AD7CABEAC3520';
wwv_flow_imp.g_varchar2_table(175) := 'B15DCB1C63EFBB9E03B8D6AA07E7D77BA46910B88011601EF21392A96D4B7FC0AECDDF7E6571F3FD01A35985991DF8CACE471F8CC5F896729EB5DEDA695075F86B590D26632F0889E32A5545DC9E7D0A71EB7CCEA342A8CA02EC0B4A681D7203329AF080';
wwv_flow_imp.g_varchar2_table(176) := 'EF20FE648D20EB08D2039DFE8454A1DBDC74F7ED545BD715F1D3164A5B7966CF8EF0059C43F4BD97BED947E0CA5DB7FA2AF863D7A74A7FCFD2C883FA5E61D2D4B8921031431A8AA847A9CD1D319B9FF4E693D61804959F1FE6B9433B690CC5F8105BB376';
wwv_flow_imp.g_varchar2_table(177) := '0BD68DA9C7D710DA59546AC6FA61AECE7BFEC82EF51AEEDD3F1370F60AF52AD2A26961B6C6DD9A8013D6771353A59CC79977C09F40834953E2D3EF79CF7B7E61C068166126070DC29EFE3395D597765A07A905A42A9A3639F58F7ACAA6B6A0BCBF8EA1F2';
wwv_flow_imp.g_varchar2_table(178) := 'CDB3F5211EBBDFB59F1353594BE42231840379A3992145109D37BB545AFE84FB6803547E4C676ACE3AFB9F46220A209C383E27E3D3E14F3834B5F80611FFA19595B646202A056DED3DB5F73FDB3F54FCD5D7AC54FCA290D4E948CDFC7B15751821066B8E';
wwv_flow_imp.g_varchar2_table(179) := 'C5E63155F38E705B86792EE68934E590638E5D4F02641A84477F0FAF3EC729EDC2DC5AC356FB724C6D497D47CC352D8C735792D0F3C1403884DBEC3EDA1EC024AA5C984FE7A9B8F6C979927DB36A4F639F9A47806959A7E3B166A7363F1C631BF71FF881';
wwv_flow_imp.g_varchar2_table(180) := '95A5B9FB0246B3083339E8B5E5B9CDC1797FE0C694C52AA28488427F1A7B90D04748E94C23A5422326480CB91A493395D821B2056F1D5399AD961D81216A86F172730B0E49CCA60F1DD6733CD718691EC6D79E5B494C101D82B36139A55CD7862A8D3F10';
wwv_flow_imp.g_varchar2_table(181) := '7F4BA40E5FACEE423DE13A46D7A095BBEB186C87DF6BABADB48F6DBD6F2AE269D294CF21504411F3F8201599F6C3F1560E4C842F05573724F3D67452DA448BE164C36C630E92E1D2063004529C79403338136BF44425ECECE9B5AFC7D8E2A1F6EFB4D3B2';
wwv_flow_imp.g_varchar2_table(182) := 'F9A675046147E834B5AF2250C41F90ADDDCC79997F04028DED58645B32CD987B7D81510FA20AE75F71765ADF15159E4B9BFE60C068166126071D8D3B7E4F20CE8B3DE157AF7D4409212A264C1545F01C49A429C46DD5BED7812A1FAD0802C90E29690F19';
wwv_flow_imp.g_varchar2_table(183) := '1A0CE91CC894F6EF729EEFB371F00F007E8AD60EAE4493725AB9DF6135EDC1A01095738A01903C3CEBED784AA53DFD6826077DE5A1A3B48089D25AAF3E1B77A42FE0EAEBEDF2D37BFE3B276314281D3D8E51615888CEF6676557237C63B61EA4AB776F19';
wwv_flow_imp.g_varchar2_table(184) := 'A0DF8259E4BA5CAD5C89663EF8059ED190456E45D8F8E6D8FD79F4691ACE6FD76D3DCE27F5B56E637AE825E899D65B9250A7D26304C164767FD679B82C494B4D086DEC1ED59F9E53CF289F42AFF189F01813A6ECF337470AFA6F0D18CD1ACCDC80AFEDDA';
wwv_flow_imp.g_varchar2_table(185) := 'F4808C3FDC1FE1942D4CFD262D201682E0B4A9CC3C483735DC5708320DBAF45F0EBAE32131A8B78FA7336F1C62BC18442AF6DC86F1300263192371850E5B247E45453D1BAAE5817BDF10AAFE1B39018BE8D34730613C4C08D254D9EC737B97878F4778B1';
wwv_flow_imp.g_varchar2_table(186) := '67020856A5A01A813F71EB756A0432E7DFB953E3FE1F3D7991ED1F2A7FBED3C178BE23668BB06902B419801031488CA29D779A82280A6213EA6BE782FD4E13E08B216131463E0FA6D2B1D0E4D46AD859B972F6D9FA6DFB355BAEF1B13C3EAFA5D8031C87';
wwv_flow_imp.g_varchar2_table(187) := 'D6BFCF2770144AA47998DB0A0332293CCB73F8165A1F067CABFF4B1000E7FCC4337BB65D0818CD1ACCDC8063C26F87DDFB638882130F7251EBA9A1A43EC4411C6B0DD137C47EB752BF369D60D79264101CB105A4730B72784621038277AE3C81FE5E1C47';
wwv_flow_imp.g_varchar2_table(188) := '081BD30098887CFF44DC06A1926178A7D25ECAF3DC82925B3E01BF6372C641AB8922A1A710EA34C8DE815F34BDE0E7CF3C7F353CFF5DB55EA7517CC5A123DEDF7CD354383165F9211EEFA4D7217F86B9C37C313FCCC09AB44C8C46643E9940137330CEC4';
wwv_flow_imp.g_varchar2_table(189) := '9C1DA9629F6CDA21DFDF5AF3852483CC4ACF3669677C5459C80FE15C92DDDA3817C13305FC8FE98A1CF84CC3831F7E97EF617E995DE7828194D3522F8829F8F2F2F5A52D7F3A60346B307303BEBAB4E9F751EF2C104E8D6347171752A5CD1F6F55B8292A';
wwv_flow_imp.g_varchar2_table(190) := '7D87748DB79DA758651B4D02F2F2237032F98C90A9E9CC89E4FE631381B4C22C5AC276441C2423E94F35F53F6989594D61484C887944D2A7D5524F49D6EAA26BDC2099D18EC7420BB8FA9A3B0BFFF15BD312832E0F7FB8CBF9EF20E2F497879373198AB3';
wwv_flow_imp.g_varchar2_table(191) := '2DDAA4249C0E30A8D002DEC047E2739BFB200A82909388B3E9CAF83E67697441C04F46E834BB00A5FA7E7D37075ECE21E2E6CFE1902BE6CE44A05155EA2F06439A6302E62CC3BA7E2B8D2389BE3715980697627EF9064E068EAD2C130A53AB0EFDF67F4F';
wwv_flow_imp.g_varchar2_table(192) := 'BCF5ADBF2D60344B304B8395F9F78BA35DD3DF63F7B2AFD9F3B8B7A49E2EB32F91A925F4E90E43C776771F044E72913E899CA95E724A51FB4372BD99EA2B2C47B2204A085D25C090AFCA490B09A9BC8E104D5A2C35B5124D78AFA732AABEDB0DA9A92E21';
wwv_flow_imp.g_varchar2_table(193) := '138572EC15233F1884A68148951A4FEE17400BA850E04AD3E9D7165F72FE9B4CBF4EFDFFA27D07BD1F868621AA7B60FB5B0BA0CC966D5C109FB3C5DAFE609A1AA1B60464DC980273079368F31DAAB7823A0DE5C0C276157FAF2ACF6BA5FD053334278400';
wwv_flow_imp.g_varchar2_table(194) := 'E2B65ECFEE976494E715C8C46472542560694EF9DC70026340012D13B6866B598149D07817510CBFF50C20BEDFF203971E9BBF18309A2598A9C1AE45D24520D1D7576E3D42439877A9DA630A9925D6D5ED9342101B522332048530490CF635E441B8B521';
wwv_flow_imp.g_varchar2_table(195) := 'A5DE7E909B2ACC1B7C30241146707E618EDA5931EBF2447B0E759DC46E35035A8B50A48AB48E0974900E2E29C8241EE4678B56E76284C81947158FBDF616A3BAF02A220653B71747FCC5003807250C95F4FFBDDD062488FF1327AFC47B6FF66CCF2CAD08';
wwv_flow_imp.g_varchar2_table(196) := 'E173522246A9D77C032AEDCC0D668938BD3B66E77D3B5FC6E632AF30C59E8117F3E41CB54EA56D39A79C81CC0E736FEF40CFF2CCB4FB1B9383942F7F11C662AC188173312173C91C186FE7D668709555C857710DC385439850FE5E63C1405EBE7360F9F7';
wwv_flow_imp.g_varchar2_table(197) := '048C6609666AB037766DDA15C4F0E39F25A2CC0128297F370C807A48824118046E9F39524C1310B65E21004650997E889483311B49A4465021380805B1575303A039E49840132EA4F2F76A703101AAB08C3336759F05871909551DBA2FB3D1526A358D30';
wwv_flow_imp.g_varchar2_table(198) := 'E713F1552AB293450EDE71FC896C3976769A16704D955F3080DAE34FA7DF898D3E2AF417957A4F5688ACBCE724BA583DED2998DB1CA94F3DC714544622346A3ABF07D3497196484885538B20D9F50AA2FA9CFBFA4C5B628A21EA2AEBC6A031C5B897AE3D';
wwv_flow_imp.g_varchar2_table(199) := '992A6C1E381D39004FC618CC77DDAF611CF204C4FECDBBB16156F236E086F36417B6D7180BDCA111543E42423208E9CEA1752C8A48FC8391BD0867B225D00CC08DE52D6783F85E2EC95AD0AACBA9118CA56C716B4E3B0849FDABD020A441B8088F875EDE';
wwv_flow_imp.g_varchar2_table(200) := '78E33CC4ED1748665E6752365B82713436B679ABBABA3FCF3C84F05D9B4D06818B017806A9757161AED4D9EC17F868A899F11C4C618CE898D043F7504333BCD624D464F392B720B65765D97DDEFE5D5275A7F5E4CF0EC27756AACF3F8DC077533DFF8A97';
wwv_flow_imp.g_varchar2_table(201) := 'AE6CDD94B5118F7A471A53E3ED4F9F4676407AE53B6ABB774194A204C0BC7BD73BFB16C76AF47AACCFA9ECDF579D7C7BB0767EA7B69B17EFEEB3909FF5710EC6C97997A9D6F1FD892D114588E74B50D21AAEBD1F229679687E4571ACBD02B2CCF233A6ED';
wwv_flow_imp.g_varchar2_table(202) := '53D2843F5B7BE059F080D941A05C04DBDEF6DF4F47383060342B3033030DC4FF9DB1087FFFD68414CFDEE956A141C8468584B01011722216120BA194AD272188D36F1CB3DF5CE7E4FD9A56DF90512A2AE2A3EE9378AE479CE94368F6B86B1D5EC75A0D60';
wwv_flow_imp.g_varchar2_table(203) := 'D7024684A934D96741F0815CC6E17B88A68E1ED1A828A495F80E43E314E3004DA756DEB36500AB21DDDE7E24771D6A883FD5FADA4760F57AA8FE2B72FEF5F94F6D0174BBF8FCDED024BEFCC0618C8D579CEACCA967FCBA29215A9B7656E4A5A034337358';
wwv_flow_imp.g_varchar2_table(204) := '8D532A1F227FEBCA859901A47AAD65AF05D1D23C13C336A767E33EC68221B5E733B78E67B85086679682E7C621AD0FA22D01F73D861C6330D799E5E7BB8A0C788FBC462199A8C12286115AD91B3122D7C90501DFF9F8E6FB37078C66056666A0AB5BF5FA';
wwv_flow_imp.g_varchar2_table(205) := 'DBF2ADD5E7ADECECB2EFA876554B4EB2B24F4924D2A96C5184E5F769D1014E279A010946D2433A88BBD2A4F596C6417A881654B28BF4562AB0E7B5212FE385E0EE47E3708FCC924BD3A39A98745988105DA4C335340AE12A49324C956A838530FA4AC60C';
wwv_flow_imp.g_varchar2_table(206) := '39DEFF86616DFB36C43BA56DD8AA6E3CC39FFEFC9B76F9C11010FBE48A4225BF7B77C6B352E3F1FCCA7E545C4333912B5F89506D45A5EF1CD9E9BE3B6587A598AF22AEA682CF7D54FAB9662283378708DEB35D6BCD3173D7088BB6DD7B2E05D3677A60B8';
wwv_flow_imp.g_varchar2_table(207) := '982DC68250A569AF4E6F246A9CD6C4FA3B57A252397341AB5562FA3447D2DF3B9649F0B36B3BB71E0E18CD0ACCCC4083701F8B05F849040569AA8844F1079519E25397A5755A6CAA206EBE9265B5F2F349024E3B8B5C61C3B69CB4B5AD210F47976494DA';
wwv_flow_imp.g_varchar2_table(208) := 'EE1B6399B013F0665230AFC9101D9B3FEF95C882E9301F48EE6200E17B089B3FC65CCEA9CA0170F41DA46EFB0DB88F7A05F74778BD47DD674EC04A38BAB1BC307CEC44A4079F596B33022505055C1F7EFFCAFAF0C7EEDC19FEC0CAADCAF6EB37FAE447D0';
wwv_flow_imp.g_varchar2_table(209) := 'AD9783AB2A2CCBFF5125D398ACADCE8548D9F124ADF9C5F07C17CE49D2F11EDA8C3945C408B731D3168AC0112D47E2D4884839EF94642B1AA2FE6392A2427C124DD10F06D96C2D96997B3426EB50A65EFB9C4A1B6E1BC09C0E936C9D6DBF6FD1EF1C857D';
wwv_flow_imp.g_varchar2_table(210) := '04299D912018CF9DCC2F580B18CD0ACCC62087D12F889D5D57395AEE1C580ADB3C387078E2490D12983A0CC9F49E430432E8CA5E0645E490AC76FF39FAF09B113747120750A5FAE2F808B0554579FD2136C2AB688167B86F426A23101C81B61A807B6010';
wwv_flow_imp.g_varchar2_table(211) := '88B2184036CA0CA46D3BFC2028E14769A9C53CCAFBEC8868AAFF409FD986716052072212402A5562D0571F3996849F2640E4F4DF1AC31F5A7B76F803ABEBB61C9FE8F8ABFDFB9FDFBD8BC993A1B06C9E8A999A03C041E7370C1803445C090B99C1A7E869';
wwv_flow_imp.g_varchar2_table(212) := '85E680B92D67488D968429F6D98D7EA34ED776607D6E84BD1B4967853CE5B1F74CF3C21CA9FB21E4B5F84D2D02C763DBA4C5B534A86A0A6A9E106F79FB7B9B5FD55F851E9D333D5D3CCEDDB79D7FE2E36BFBDEF2CB0346B3003331C8F3E7DFF02B2223EE';
wwv_flow_imp.g_varchar2_table(213) := 'F7DAA1F7CCC2BC2A2E761E42D65FAE54745E7A042A54D6F7E3AF2320C5211975B29C821808844DC26B90CF678B5B4942889C245260C4BE4400D4C14AF8A9ACB756AD87EC2415895E4EAC5341D057533B01C604F9330FBD577F83708E0A6F895D77880789';
wwv_flow_imp.g_varchar2_table(214) := '213AC6E3FF6A91ED786BE7B6D876EBC2B86B10C2A705F8FF0F5CBB33FCDECB3765FD4D6DF8F18EA327CCB17764BB03848D6156DE3FE75BEB386D20191849FDF947F738FA5CAA3CE6D13300F3949A04BB7E4A4D0646EC5DAD79355EB5E6AD56943D001784';
wwv_flow_imp.g_varchar2_table(215) := '03497DDA54ABE131ABDC23CD82587738D46E36326E3916024744A01840EF732A0153E1C9DB7B1630AABFB3B66DEEB7078C660136FE20C1BECDBF3E90E36F5B7CC938088E9A5D0B9E71DC6D0A422C3A330051B3E3E4EF43BAD631475A57D207C24374909C';
wwv_flow_imp.g_varchar2_table(216) := '932BBDF5A449C7EDE51C3C7B68499E7ADE6BCF82CE34CEE763C8ACB76DF315AEEA24743AED2AED35B3E0320AD13A2D5DDB32001247BF020CEFDC4285B4C68CA98A7112C91BDBD939957BF065FBA254B891EAE5DCFB3D97AE53FB5FDD4424E3FFF1FD759D';
wwv_flow_imp.g_varchar2_table(217) := '8AA339C781AAA5E8555FBE8B949A53A462EB714744CF1DDE4903F09EC29A29E99BBC88026691FEFDFD26A005D7E2FA8A34941A2F2783168090DB7385699901B4BCC213E3B70EC2A6E558B4E7200662EF86AA29B046BA415DD9B1A90482EB6B6F82AC32CD';
wwv_flow_imp.g_varchar2_table(218) := 'ADCB420B75BDE37D34A46F88E4A5870346B3003331C86777EDFA0D2169FE99900D6223E9CBEB3C0949B2143825756DCED1EE0758F1FE490536D273E5A13F15D752B7EB599057951A5B9C24E394E37F28E2ADFC76F1FCEBBB33CCD426FC604AAD0F406A2A';
wwv_flow_imp.g_varchar2_table(219) := '6D620203A850210485EC126DD23EDD53C92F927F1EE0D8A4EDB40CA734151A0D86165AC062A8F2B587C07440F8BFFFEAEDD00A6E0C18C407C2F6A7A9006379BA032152E65879D18173BD1B86E7DD6858BCF46716E614F2F04F4821363E5A8BF9EDB31D5D';
wwv_flow_imp.g_varchar2_table(220) := '2F7CE8BD3C77A216604DBD7B314B40A3C0F03CBBBDDFE50CFF225E8081C7FA3E8271D6B9CAB765761A6F11BAF7619220EEF2E99469E8DD2AC1893923724380784E6861732F5F5EDCB42B60340B3013835CDBB7EDB707D1FEBF689195367FC4BE1114AFBE';
wwv_flow_imp.g_varchar2_table(221) := 'C5289BBB887AEC606A243062626353DB85D524AE9483A86BDF5DA9A8ECDA8C67079C0C071747123B94DA099138875A07E2859018984DB5A12E84152BC6B8309F3103A0112CCE4F63009EAF66DE18DA8A4521BE2A75CEECB86EDC882B9B61A62D8DD9BDE7';
wwv_flow_imp.g_varchar2_table(222) := 'F8537D786F4A0721909EFF9B4B8B62FD4C17CE54A9B0B41692CEFD01C43716DF034C271856365AF17C9AC913192E25291149F53A3476EA7EB60D6B1B74661F3F049A0CB24B0E72247DFDEE88191753F43C73D6318E74406E4BED803A4F5343B898461B01';
wwv_flow_imp.g_varchar2_table(223) := '329E2BC6535D9CB3CF809E060440DFA425B317BB9C9467F72D1AE7DA2876111ACDC4DF0CFC3DBD67CB9E98E89F2A5BEBDAE2266A9FC54648D42ECE3F0893BDDEBAF83DA8C49AAB6AE8731309DC5D3C19A1B0997B3B4F9401214BFA80BC240F9BD8B3A8EF';
wwv_flow_imp.g_varchar2_table(224) := '3CCF754D15BE4C74024268E1C562388E54CE6A9FDD32804A972D6F7BCB60380A4952C85B596EBDF47C2A0814F16156D5C94613527B11D4CE41BFF7D2CDDAA177227CE4C485D09632AA82C95E88773DB730EF7F736D0EA4FC265103E7A53ACC418869617A';
wwv_flow_imp.g_varchar2_table(225) := '6DBBADFE5D10106649EA22FABEFB4EEEA61CA1D2C9BBFD24619AEB8AE4F8CE3C1F8EA80346DC32466B4503349E3401F3F9D6B3D2B3317563610E3011CA54E4D721EDADB9F96DD394DBEE53188BF3234F055E7C62561C811B7E80F6630BEEFE25C2796B99';
wwv_flow_imp.g_varchar2_table(226) := 'B35DE998454C902D0934910271A5775F296D67225408912D49DDAF383EE9C5A35C48D839B5AAE28B84A61A42C0B8363701A92EB6AE87D43D0340AC5461D717A12216C7768FFAD607D0ABC657D28F2072D167CC41C80C8909BD755EF4F250BFFDD8F16A1B';
wwv_flow_imp.g_varchar2_table(227) := '3635E60F9CF3A507F7D73B1723EA3E3BB6B0E0D8C25DEDC45B717CEFC327E33B636D0BA8CC7511591BB2E50742987C42EDBBFAECBABECC18E3A205B6DD98AFC4BA600CAB8DBF811A4F93284DC5BA30038528318C6BC9D464331210AE6B71ACC282FFFAE6';
wwv_flow_imp.g_varchar2_table(228) := 'D2DC6F0C186D74D8F003D470716D69CB1FBF2402104EB78BB1301C332519DA725C8B83803802736BAF379148F15B769D85406DAFFA0AC94196AC2CCBEDBD49CF7EC7D8BE230C04B9B4982609C2C580C4B031A11A5BCB00FC5E0CC0EF426BC500A8F8EE89';
wwv_flow_imp.g_varchar2_table(229) := 'C0FB82197039E3E7A166938819B62A62F05EDE4FA59BCA3A4CA8BF1E122BE4B1FF5EA9FED31B7E5CB2B5F7EB11EFEB6DAE59E6580F7E2F1F01E2562988816777DF2EA3D39A945DDFD707D098AC1586B8D635F1C4086977D73B2D0061375A171026C4FCCD';
wwv_flow_imp.g_varchar2_table(230) := '6B31E7D40EBB2DCE2AF1A7B408F32EB2111A626D675EF8087EE4DA81A5DF1530DAE8B0E10778FCBEFB7E592CF037AD0782AC87D36965E7027B14B1B2016BFBEFD607508EA9F1BEFD16F3B29CF1DD2929FBBE01D58C83930E42400092E16CC6B66BD139FD';
wwv_flow_imp.g_varchar2_table(231) := '1AE71EE690B6278F3224AA4D28FA1D8331140CC0F73536EA2AB5B5650054EBF2E61753F37CCE3CBF29BCA9CCC1B6BACD6F9C6AA217BD59600EBC8FEE385F76E0B0E49EE97B0A4676E0ED1DCB713EDBBFECFD0CB7AA0340908880B3D3D16776F489475500';
wwv_flow_imp.g_varchar2_table(232) := '9AE7F405B8D633695608B805BE0BF3447A579D8073455D3275B8D627891173653E559A7381CF594EDC3415691C7FE6C3B16D45668C984ECBC0ACDF53C2B9F17D4972BE1963253CAC73CB74D41568D262DE57E1543000CF6726D6BCD06CCE6F7FDB52C068';
wwv_flow_imp.g_varchar2_table(233) := 'A3C3861FA014E058D49FC16111E0E71DD9CDDEAA9E6C546EE5A7387C49D45E42655A6A10DBA9C7324E0F095CFF741271A96D6DC80FF270FC393F99811CF60C7B4D8C2090CAC2507D2D40F90610CB1891403CA3DA6297E719B3A2BED76763F0FC73CC8CB1';
wwv_flow_imp.g_varchar2_table(234) := 'E4592C07A373653C62869857BFDB8D102862337E8CCFAE3B0A7BA649FFB0FD2F86848C6E3CC2AD4DF20F064AAA7A37477E8657C1BCA21BCC20B200C126D72748976E20ECF347804D4D6C1B1EDA4D24493D1CFE9048B65ADFBD2DB48FED34106DC78024AC';
wwv_flow_imp.g_varchar2_table(235) := '20D0609E4BA176C7E73B7B16E3BCD07A1A697DBE3103305340DD37F671E6666A0118746A011D93A4495C6DFC01D28085239B484DE0CCC31816C6552DD0C6DBCAFB9F8671BC92D2363FB41E30DAE8B0D107A8FDF76A64FDBD108B96CE965711E063884006';
wwv_flow_imp.g_varchar2_table(236) := '60A9EFB86FB58A6A1D81EC35C4ABFA2B3301239220DC04512A9280C9602EB58B50B51C67E793848891A490705348E4198DAA4FCAF83C9D0100C526A18D888D57834AA5A83ACFD0680A39C5A5FBEDC72A2905323337406B36D478CEB35BA5E166FE7B39B5';
wwv_flow_imp.g_varchar2_table(237) := '940A478DC0F59FBF9148C0571D3D5A0547D550A383D082F6EE18DEFFD4A9D811F86403A741EC4F7026B63E3B3DBC37BE7B35C4F9011F88DF75148EDD8C8426032E0F76037AD7B11383DD8E3F7CF2FCF0F10B57868F9CBE30BC3FEE671765C7F73E7E3AAE';
wwv_flow_imp.g_varchar2_table(238) := '3BEF5A664C982917300BEF6C6D3026EB51FE904A384290342DE64549774C098EF4A61D3C00E954DC238169593191B02E7CAAC8105F0E298F39FB4C63F33B4DA2700E8EDAEAFCF7C7E6DBBF2860B49161430F0E84DAFBF120F09784A32C10C47F7ADCA567';
wwv_flow_imp.g_varchar2_table(239) := 'DC3EDB229058427D16BED9A5B71C720985C8B59B2F66808BAB76BBC87E6E7691ADFBB78E279EF1CC29BF4728ABEC5350F503FEEF4D00D2C8B8658B4937960928CD94560361E5AF53D325AFF46A7CB7DB5016FC300B48E65573D1A6B0C69803C9A5057BAF';
wwv_flow_imp.g_varchar2_table(240) := '74B03504FC2587F7BF9AF82F5C8F04A01B03827C6EDF5220713EBF98600BB5B9E9EF3D771DD3B86BC8E4A2B56434E71CEBF9F15B40652AFEFE95DBC31F8C0CC53AB7406212C8CFD9A1F80B0FEC3537E64D59B0662C885A77A857E2F549EC2736C53C1F5C';
wwv_flow_imp.g_varchar2_table(241) := 'AE35521B22410CE1B68E616A3CE99D09482908A4615B6B5A0F265A0C3FA1714876FB53783E66FBEF74B09AEDCD4137003CBDFCD8BFBE16934F9D55DB5DAA164EAC675B25F514E4D6544924A423494FB50E49D0D40724318C230959AEEA3C8B2D76ED7938';
wwv_flow_imp.g_varchar2_table(242) := '7A759E697C0C19C7C72C300FE321F5AF2D669D41C3007ACDC0757C08219196106F5B5C822141C02E6DB94B92C9DC80EC27A876BD3345D8A6ECEFFD519C73E09EDF253B8ED64225CD94DE748E46A9F013592A2C2578653DDA805F8F9D8A9F40042227C652';
wwv_flow_imp.g_varchar2_table(243) := 'C94F24A2A3E7600AB115D9017E84BE61E85D251A21F82A38EA9C9199AA1CE1C93C6FF575F3166CAE8AE0AC8F14F1C7B39D775F1D290741BF015A5711272D2EE6E19EBE71EC780BF8B52E3DD9BE9334C0AE80A807E329C6696D7FF8C6CE077F4DC06823C3';
wwv_flow_imp.g_varchar2_table(244) := '861EDC737373BF9A03307BFE2532AEA4B30542B3C3108DF86DDBA0438806A151CB103EE95BE9A3E2D788B7CE6F892DB3DE32F64B83404C08B76AFE1B84C938BDCFB40892D6D175BCFB6C7412A16500547184C5EEBFBD7F91C6414A94BD4F8DC77C3A044B';
wwv_flow_imp.g_varchar2_table(245) := '49530C225B90650F805277EB9D6940E642B4409253EE319831FB6200B40EE3B8B36B7920F149D53F70757DE0F95FDDB6C05700D1E51934EDBD6954B95F013B797DE7729519DF3520E80C3B02BD07EEEABAD04CD6DAD664C1206E8C8B97BE341851BB7393';
wwv_flow_imp.g_varchar2_table(246) := 'B933F692C2EDBC54D6259CB89569BEF04131561F96741FBF77D9841985915084E14C2F0A62A26EAFCE413F7B63DFF6AD01A38D0C1B7A704160DB6252BFB7BAB606E135893398416EBE518E18847EB9DA753712DE670484409319A4479A59E1FAAC06CC4E';
wwv_flow_imp.g_varchar2_table(247) := '42CF88ED6206790D628B6BC486932878BA214A95EE96A401108A59D06B003CC42411C48240528599126D09ABE7F40C20E3CD3B3831BD23029FD035278B9038FB203A89C59F909B62E6B83AF05CB635753C18C0EDB0E94FC7D848FD4CE5F5DE7C2B24AA7B';
wwv_flow_imp.g_varchar2_table(248) := '63807C18E6EA4B45123E27C94FD3480DE0F745F1D19FFBD2B70F7FFB039F18FEC49D2F667AC83A9C7A6DCF28142FB9C6FFEF38F6449F84650E98887DC8903647BAD3F49808FC4134446BCA446CF3253091F411F4A5C83679092640A8F44D41DD43A8D673';
wwv_flow_imp.g_varchar2_table(249) := 'CEA4E35442D10B9127F24CC06823C3861E5C20EAB3D1BBED2762775E61A226879FAD87CB8E434772B01127F59894930B40AA4E8C0CB0B3330EFD2007124D42F75961B4742655EFBB6E1350F713CEE318C240A8F152482145ED16A34D544FC4905278AC0A';
wwv_flow_imp.g_varchar2_table(250) := '5CDC0B31B5F6BEF140BE3E81C63DAB93ADEBDB4AC5D4403249854FC2EFE643511406D6AAB855EE5A63FBA2B0A13F137D003F756665F882037B5AA7E754E9E6D9EF79FC04BBBD27549985184AFC9F049D44EF98E7FEFE2BB787FFF50FFFC9F0733FFD53C3';
wwv_flow_imp.g_varchar2_table(251) := '4B2FBE30FCDC4FFDE4F05FFEDADF8E6BE2F78E09F4A03EC1FD5B73E2C3E72FD6EEC2959B11EB710FA6DEA7029B0BDA8F9466D239E720BE630E81CAE8D4ED878F807620F1AA5F7F78753E98A279683626710F918132B9AC2313F5E5F04BFC8180D146860D';
wwv_flow_imp.g_varchar2_table(252) := '3DB8EBCB8F7D2652775F3A1D8489D8C49C11A1056D9D7437AB3578DAC1D4702A2B22ADC8401B5F771EA8AE42993C248497598188AA9847F90A5A2FBB787C9811191988458F6765CC5974A0EBF55FB5002450758E715F1A0089D412BA776C1900F5556A2B';
wwv_flow_imp.g_varchar2_table(253) := 'F5BDB6D72A22AE62952C088AA373313DD2A7C0EFBE93DF7E6BDFA2966365DF633ED1ECE30CF04CEA31826A9944BE7BD7E0F4DD5157D0328072D4292402ADE4A7AE3B7EEAD4CAF04F7FFF1F197EFA477F7440FC2FFEDCCF0E2F04FCF80FFCC0F097BFFA7D';
wwv_flow_imp.g_varchar2_table(254) := 'C3279EBC3C35431123D1C4441933C0081CDFFBE42912BB5D9BDA71289970C7BC384B8F560156E377A1D5D1720A174ADA4F4A1AE2733A615B76841F9FABDFA496680ACD2E060E35E9CF98D2BF0E186D64D8D0830B8FF7DF782690728D140DC2C6C1A58EE2';
wwv_flow_imp.g_varchar2_table(255) := 'B224684D368F2D33A171D655C699D833C71986C016765D11625D5BA9ADD92432CD846A7AC9EEA62E42868E11E4914FC235A46FF6C39F9BC2008A88B34BB0B170EA95F348BAE9C9AE0EFE6A9A385DE2523206D78B4933398C7B7539DB833315EC5EB4FF9E';
wwv_flow_imp.g_varchar2_table(256) := '370C3AF1CAB43B1AE7EA84E47B4C91A474FD9585C88FD8B6D9FC084106E23F9439FD99EFFF8A84CC4420FD0FCE86475DC86E5236617AF1D7A9F9EDEF9C7EA1E6AF0CFFEF9FFFAB6178F965C40F5E61043F33FC8DF77C64F8F81397F2DC8B37309109CEC5';
wwv_flow_imp.g_varchar2_table(257) := 'D592FC34097D0D6C4F9E4EB9A6312CA84ECE187EF5FCAFEA4AF3CB8C6AB75AE34CC5F41171A522D300DD877608C75A9C324752C0DDA3EFF0DC6C3853BF7DDBF948090E186D54D8B003B3D962A866FF9DCD3C2EC514AEC9BC7F8BA6AB4E48EE39363CBBAE';
wwv_flow_imp.g_varchar2_table(258) := 'EFE852E642D6FCD77559C28958A8EFED6239778C2C578B79D82128FB044020DF97BD9831E7C65B4F924C6000BEA32D94462154672C65CF7B37524B028EFFDBF01449DD65F6CD4162D570B9DD558EBBD4548CA84C1525AE4C8760406FA399D85ACB3BEBEB';
wwv_flow_imp.g_varchar2_table(259) := '670EB4D0CE0D50B28D37106A654A69FCE977EF5DC53E34A388C99F9AB61539891F0CE05627C569005786AFFB0FFF71F0570CE0E5975E1C7EECFBBE7FF8F35FF2F6E1934F5DC9EB49F874F24D81F225DC9053609DD2B4D91BD0B4F3AA64AF269292B893BF';
wwv_flow_imp.g_varchar2_table(260) := 'B51982D93E6C2E195E31DADA2D9AA396E38FB980B08BE1C321CCFE35EA1DAAABD3F7AF2EBD6D6FC068A3C2861DD8B59D9BF6E3A0656F7579FFA428BB5F9C3737820CC87DF61155566CF50B02615C57DE5EB50208412AAB05EDBBF996FD88C1B8E678750F';
wwv_flow_imp.g_varchar2_table(261) := '9ACF8A314CA0B5C727328000D722B492268E1842259878C7EAA5DF32B10EDCBBF62834DEA98857E5B1B401EFD79A3FA0AD72CBC4A5C6AF90E343ECA14E2721D5FB3DB367871E8193198078BD0623FC004D7B31FF7FF2C495E11F7EE60F0C3FF1433F1484';
wwv_flow_imp.g_varchar2_table(262) := 'FFC2F0D20B3F17ACE0A5E1EBFFC37F1A10FCA74F95DFE0B59D8988BFEE2D49C8986A8318045B6138CCDE7B59EB762D742F621E9EC8B5E822056FC5209CAF09AB2DCAE3FBF407F8BDBD0FB3AA928FCAD938652D7E323613F9BC80D146850D3A30B0F9E958';
wwv_flow_imp.g_varchar2_table(263) := 'D06F0BA2FFC140CA1F8A09FDEE80EF09F8D170BEFC5820ED8F06E1FCAC468CA43FB51E51F0A64B6659DFB755C827136F3AF07D7611CE6B786F49C6EA0863E761E7ADEFC97BB444CE5F8098330D34F7F4E73127DD1170C70080A695246B7DC6505C5F7DF1';
wwv_flow_imp.g_varchar2_table(264) := '00EDA2F73EB7608C4280008297CD5BEDAEFA5D7520668506312DFF67FF820A4F062006BFC978F3B9ED98E45DE5346020C6EBF7E7F62E45C6DE490CE02E3CFF015D77E17FF27BFED0F03D5FFF0DC38F7EEFF70EFF3B1C827FFCCE1751EF690E45FC770D5F';
wwv_flow_imp.g_varchar2_table(265) := '7DE8180D28995A939C238391531883FEEA13FB860F5F3E3A7CE8D291E183018EEF3B7F28BEDF3DBC3F8EBE2B78D7E97DC3BBCF1D1A3E74F9587C3E3A7CE4EAF1E103170E0F5FF1C4CEE1EDA7F60EEF3D7F70784FFCFEEEB307E2F3BEE10B8F2E0E5F7362';
wwv_flow_imp.g_varchar2_table(266) := 'EFF0F6137BFF4FE0D2C703473F1C456BEF0CC6F2F6844DEF88F4E58FADED78F4A980D146850D3BB095A5B9FBD676CCEF5B5D7E78FEF2E2FCFFA7EE2CA0DBC89A2CDCCBCCCCFBC33033CF383C10B4A3B105E630C710FC999999710CF2C032333333333353';
wwv_flow_imp.g_varchar2_table(267) := '7AEB53E96ACB7AEDC8E32C75CEA963A525B59E5A5DF715DEBABECFAAAAC6FAFA3ED97EDC4D63F75EBFED60DF4D1BDF3CBEFD27DEB5BF3FFFC8F1C196BCEF70257FE7FE5DF93BF6EDCCDF3CB13D7FC3D8D6FC2DF6F79DF69AB7FB313F3EBE357FBD3DF7A6';
wwv_flow_imp.g_varchar2_table(268) := 'F16DADE711DEF3C16395FCED7B77E676DECEFB5EFCE846903E693662779182F8CC01D274094F3F8AE433046FB932C4263CF8A41800C731BBD995B51B47011830F949F3C96AE0BC7285228D184C45EC5E44BB8952034CDEB1F80CEF8AEC141FC573E0265C';
wwv_flow_imp.g_varchar2_table(269) := '1D41805DD0DF4B734F7B16E15E3BDFD9CD5BC430B43210281390528CDB6EDF0020F81BA3FF1C4B069850A7D0C5520CAF0199083236ECDA28BB5754525FE13D1210799882DE97BFEFC8A379F3D470BE7466AC258BAD798835937A901A62CF0DE78B8C4B9B';
wwv_flow_imp.g_varchar2_table(270) := 'AEB7A5165EEB7F174F8DE44B67C77DACDA6C3D6F9ACCCF3416BFEB052FF87893AC8C52CA4523BFF0D6439FFEF8E9D1BFE2079E0F3F5694C5F65F5ED33C33EAC767FDB824BC9E1F3D792F00400562EC31980CA4974E23E6E419F897ECD4A28EEAA4A09C4D';
wwv_flow_imp.g_varchar2_table(271) := '48C75026C0426DC31C173905FF4FE2071A4B4EFD02968E9E17B108916F45B75913B5EFAC0171EE845B0402B1F75DEBE339002C00D22D818FFF3A98723A8331F71908500E4C8DBF938C1483409ACF2F2E0022A22FE58F22CB40263F6003C1E9B4F114C6B6';
wwv_flow_imp.g_varchar2_table(272) := '5FF2EE98FF748B92C6E3BB0100D35BFBF20F1EAFB6EE8BE6E9B1FC897393F982DF2B487B2E6218953E5347781C8E47D1BDD1D0EBFC1E99AA7DF7371E3DFA49265919A5948B46DE7DBCFA4586E8FFB0107F507E98F44703A579BC6A11087CF4C450FE5C33';
wwv_flow_imp.g_varchar2_table(273) := 'F730E1A91FC7E4775A7037FB2311068AC42E8E2F1F1B8A000CFCE8E81AD0524AEA90E7F49AE8AB4BF908DCA1F44EAFED1D6B9A0C2C00E2BDB821A40B318975BEAE4E458083C8BFE616A02889258042B1B6380C43249AC41E0001026E7BDA8D422737F4E5';
wwv_flow_imp.g_varchar2_table(274) := 'AF34A54C4B7B13213E8042274AFE96DA64FE96FA1E14DD2B0679DD206CC59DEA410BF80D4052C27C82A47682EF23920E55470254271EBC2FFFF0D4B0817F23FD7D67EDF8E951DD2FFC6D5B08020849BDC77DC2DFEAAFFFE0C9CAA798646594522E1A593C';
wwv_flow_imp.g_varchar2_table(275) := '51BBD17EC47F4AD03B1137DD40EBA70700B5FCA327ABF90B0636B0D32228029D60280A0D28462EE99572448651AA2D3E563C294241B9946B76DFDDA3D1CE49AF7CB4AACC3CD8C9EB019C21B71C287C0274A8760380F077A34BC2E79222C50589202289E5';
wwv_flow_imp.g_varchar2_table(276) := 'C49E91E86A89A5B681C2A841FB4E31B8A9E7392F9640259096022C07AD3B904EBE57B686908C16BB035E27A0087F2CEF053892FFAB5FE0CD9571ABF8DB468B312E4A125BC10A20524F502EB21053D833F5F003F94767C74CD1470A00A0C13D918082A625';
wwv_flow_imp.g_varchar2_table(277) := '23B803ABD8240080BFFED0CCF0A799646594522E1A993F39386488FDEFAB53EA7A1B0846F9F175BC27BA63013CBF7F7D241D55A49CE223231931161F27E82498465E1EE54C00808874040072F7581244A555290820A0781E95C6BFF5C11581658768B776';
wwv_flow_imp.g_varchar2_table(278) := '3D28C90181E473CC62500BB10A5B92F5A0E89E95E81C57108DB590F6530B715295B8D1BE278016AD073E67F40E9B4ABC795B3267E04D2833E6BC2B397F7B970FC34B6896C5CCC60D9CDBDC2B1FC822E297982665B6025D9400B09892F87D4E3E7C7FFEA1';
wwv_flow_imp.g_varchar2_table(279) := '93F8F629F0274ABEBACD210580D67B6BFFF2FE133B3FDB242BA39472D18821EFBBBBFDB745F978972E02008B0EAF0BF3040309A499C154CE71E389921A13598C31B0CA48E1C8F1479E3E2C08EFFC13005C4DA190534CB5A6E55E4E2C214D2B850E35FC76';
wwv_flow_imp.g_varchar2_table(280) := '80242A85DC0D918646333FDDD19D5E6D2FA3B023430E5CFACE88540802142C311493942B9F17AB16A12AAFDD7C637EDA22F49DE9C403D13DE8ADF8AFDD55CF67D66D64A210E7178128854CB844851383B8EE7C6F7C7F5D87231BEFB4A0F0EE555A7E7ACD';
wwv_flow_imp.g_varchar2_table(281) := '5AA4FA6F8F9DAE5E639295514AB968646EBADAD48F80E22F206B40F280E8C9FF3F6499859987EFC564E686C7744FAC01E5F1D97550FA5D375C6615785F81B9DCCEFBA7D36E8915201AAE01C33100126FE07124ECCEF8BE9C2F0CC8800DC87772D61494BD';
wwv_flow_imp.g_varchar2_table(282) := 'DF4B5929F849998B9C7CC4776DFBBC012B0E6A2C8F0968D4984987133F0C456502D3958000C1CD0002CEAF4F2BF2CE6BAF204D470520917B008072DEE220205C01269621F0398477DFCEB5D0E87401AF46B3691C786C047232D6166127FF1700DC91BFB7';
wwv_flow_imp.g_varchar2_table(283) := '3700F4B60E7ACBBFCD4D0DDD6D9295514AB968647EAAFE2D8AFC63D6AF59F911CE810F1876024CC70F1B009CD976BF28C131BD515C4A8301034A70514C4C6E26F8F03C117B1493805C540E1EBBDC235EB9EB236108263F3E7A52D083D2B39B7B17E255B1';
wwv_flow_imp.g_varchar2_table(284) := '19883982DE0549DCC1E309D15CC725105558B05C6E2765D6A1491F805FD1D3973C9FF013107804F408C0C569BE44DFA91614D76164D6E1F843965A3CD1D747C10E5386BCD73FA4F5626A8F76E4B35B1E24C380E543562316DFF098D80B71924E3095406B';
wwv_flow_imp.g_varchar2_table(285) := '2CBB651DDB4DF80E5CB3C31B8A00A05A180FE8B531F47011FE7DEEF8D0A049564629E5A23F72B47EB5FD28BFC88F93FC40FE1865BE348BC08420E00B2D08A871D698F115660A78EE9F5D92683E833030435150A50A03BFE02DF8DACEABE77C714E4FDDE5';
wwv_flow_imp.g_varchar2_table(286) := '973720E0E81AF849A18E7AFCE9262CDAD16BCE1B48EC21E122642DF4350006286EA03AD3EB0898C16ECCF9D965A3E5E17306BCC3121052951C7F791F2047DC03A061ED213A8F45E3D705F39D6C0141C2B70C327528F40E0C4D9AE23F9CEFBEC1E70DB27E';
wwv_flow_imp.g_varchar2_table(287) := '322E5C5380559615D79A5E0E800E578073B20E75834E28D86AEBAFDE7903C70C006E8F00808568A9E03180BE1800D62EFF61F1A8E3265919A5948B7EFF91812BE7A66B7F2605FF9F10CE1DB3006A1862E7DE6E37E9661F2EC90D4BE04C667862EE6B8C39';
wwv_flow_imp.g_varchar2_table(288) := '4A42630E12AB0225BC571901141F6B62CB554CB70D6DCD7A6DCAFC4BF08F8947491D81884694222CF85C828B1088D0D9882F1DCB645144AC00029D805F3282CD8B94BE12D2544F1FF23D02308966EBC0FD77181FE1C3F8F828BF01C2507EF8810768F082';
wwv_flow_imp.g_varchar2_table(289) := 'BE4CF31B4DC99DC044E94BD6421194DAA169D272769EFF9AD54FF113DD8C0D3BB68BD163A90580A253C463965D9215E8952108EF9F2053500400B3E507801249F3D8D0DD76E1FFA20800C8EF2E9D9BD48FB8368959805DEB313B8901B4D972D88D4DA1C2';
wwv_flow_imp.g_varchar2_table(290) := 'D0D1A890918B9F201ABB2F208102A1109092C69D3AFADD281FFD0904E044541A5B9839A766EEA92929D281514EBC2328B084D804F50334F4C4E7D2411D6E7E53D414D708B80160F00EA837200AE6F943968EABDFED0CCBF13B6974FBC8DDD7B702A7C736';
wwv_flow_imp.g_varchar2_table(291) := 'DC973FD7C83CF6DD7B87CEA9A93DEDE21E9FBE147B31B02638C7A4031A6E0F5915D5FEDB796F85C41320C00D68FD3E870C00A8045C548038E6FD8B2502058F438DC028C7B0208ADE7361E1E4D04B4DB2324AF9168D4C0DCDD885FFA7220078FCDC44FEE4';
wwv_flow_imp.g_varchar2_table(292) := '73F7E58F9FDF4370F09200E031B300CEED78409383F0FD71031205661795A2000AF8B13E98E4AB305D0996412B95B4F5729EBA77EE11B9D750125C0629A5CECB71766255E551A1C7F3093125667C2730D8C55A8399CF8E0C78C4E7A2F07E2C1BD614C1C2';
wwv_flow_imp.g_varchar2_table(293) := 'CDF3CB30C7431A106953A3C19C6C00444053E78E8D36830606FB2CF680C2EA390082EC07D603DF43545DAC5F854EAC61935D1BC0421598002080068B131680529E10AC72ED783D5D93EF3F5CA1FC578AACBF3DCDFE78DFE00AA2FC4B89F2C77356DF6192';
wwv_flow_imp.g_varchar2_table(294) := '95514AB7E0570F0F7FDA63C7079F67C8FEF705917B53FC4900C0AC80097EA04BB6009EB3731DCA5BC09423061D7C6D1F244A9FBDA8BBA8CE63B74A4C7614966615D2663EF90612D258C0E3AF6F2B045C03EC8A9B4DF1F0C7D5B78EE271C31F5C7F97F80C';
wwv_flow_imp.g_varchar2_table(295) := '9529C057E6B50989251609E081F2D049599C22248B10270FC73423413E7F6E208CDC963BC0735810ECCE31BED14FDDC375060EB7DF10A2F81E43A09373C4AF0BE009F8C0E6AB60279F0FE831A485EBAD63768DF90ED769500BE2D25E23F2AE03FD04730B';
wwv_flow_imp.g_varchar2_table(296) := 'ADC4A659882877AFA0A000038999018E731EEE393252265919A5740BFEBAE3235FB93855FBF125A5FD8292AB6103B4E6075B6B0A105125201D5FEC78AAD243149D2757CDA8694C4E7C546E3A31D3C62ABD645231D387AEF649C583E1F512141F40611418';
wwv_flow_imp.g_varchar2_table(297) := 'CA8A49AE0020A27AFD431BEE81E98781242836053322A5C0544791596752F68BF253B5C86724EE48A827C0B72788C8FFA3494EC01110801C03509042ABCD19B31E401338608DC0B8B4E52AAF42E475C8369F34ACE11D703D905EE4FB08B8B8EE7EBE36E7';
wwv_flow_imp.g_varchar2_table(298) := '432C037E88B460C11C45AC1DDC1E1AC39AEDA01F0A3F1F0382C40366862F762F0010DC4FF15E527039669F4C6ADF6D9295514AB7E0A5D9DA650B53F56FB20B7FA14761C7A50180092E00ED9FEC762825BB12E49998C9BED37F358F49096AB74512DF1AE1';
wwv_flow_imp.g_varchar2_table(299) := '86DC2E2213532AB5F44642119A8160F2E5BC622262C78CE0A0C838B97BA7AEFA6A9499C022AE07CA2F02553EC7075BF86705A2542712254ACF6B46EF2C8C0BB043B3A3BB4BA19DDBCFCF350104784E2022F0E2989BFD615419C3328851C05254B5E304F4';
wwv_flow_imp.g_varchar2_table(300) := '36DAB9893BC4AE4762255C9B58368D55C07AF9DCD87FCFE42632068009C76303D6C175B7E5EF3ED82F17809260245A010AE83DDD3460000003124060BAFA2B265919A5740BFED0CCAE2F344BE00796661B175A3BBEFFA86B91E4874D0060AA4AFF383B14';
wwv_flow_imp.g_varchar2_table(301) := 'B5F3ECDC4E99ED6937E5ED13A58F5575B401B33BCBB7C5421095198ACCCDBE4BE4A4ED3167EC6EDA1511CEC3313E9F5804453E5B4D7101082C8815D681B5A1F546F65B890FC320E826BAB2D41D603796DF8FA2937E2307CF6331F17A1A30660EDA5D8AB0';
wwv_flow_imp.g_varchar2_table(302) := 'E8E206093458039904C004B022BACFAEAFDE82AD0E1CFA3EBC87EFEDA090B459DF045BB1A521BF9CF888034028A43AD40280015C80A8B80002C13C22FAFC7FD51B04EFE17E89A0C05F00C03252BF57A9543ECE242B9B946DC1F4017CE1DCCCD0F7AA5DB7';
wwv_flow_imp.g_varchar2_table(303) := 'C8DC6F9E1DA3FDB7D70FCB8F7A516B616EAA4A3BB0FAFE0958317B5E433352D3D9FD534D02F28CC1D5CC0CB8829B5A916E0D0A61F76687C59F25DD17038CEC90ECC02812C0A01908F8D3700516A70553539ECF644E9DD1A715D7F7739E9D1E39A7402939';
wwv_flow_imp.g_varchar2_table(304) := '175603BD0398E1C42CF8DEB81F1144685A82F63C5E13E721801D371DC3C59AB070F83EC42D94C7778BE232AA150355DA557CFF247009188AB3916B1C018CEF7DB000009025B244AB7711631C4005631104D410F4478BB3952F36C9CA26A55BB091306C5D';
wwv_flow_imp.g_varchar2_table(305) := '9CAEFD46339A6F69260084EF550CE43BC119A57C8AE585BB37B0EBB263A5D1FF90AB16E7A00669A02C28B4466AB11BA34854DD01265803DCDC289D7C684D28A6CE0085F73904BC4EACC62BD5F6C74C049985364330BBB61723313F913845326B3098DFAC';
wwv_flow_imp.g_varchar2_table(306) := '9D5DBD08DC703758BBEFF65D55870434B13292F4A13D2646C23AA205C263CC7F8EC71669827D005C34F3DD6D72A0D8138A99B6746A0CAE23404AE05056D0CA00B072E7E82A5384CBF804682E938BF1678BB3B51B4DB2B249E9166C7EF9A37EC11B17FDA1';
wwv_flow_imp.g_varchar2_table(307) := '48DD743AB68A85FE6FAF19B8481F01945204A2626A2BB6D7A2305B9D94C34C69AF0F906F8F32020CDEA0E33B383E6F2C2C4271892B5465E2DBB9E037041CF4BA89E2BC3D8232B20E4C64D263A40AC99B535A6C4A7FB97A1734C5085E0337BB5310A19C19';
wwv_flow_imp.g_varchar2_table(308) := '25641D491A51F97E1F40F20C9D37AD48E4BDF744103025665230BE7E8BAECCE30F141D0592140750038B115372DC0C45F4B18EB00A26BB3A1F5907310540812624BE33D781B9FD7CCE813E030065017A9BF8E93D904A7A3F4D5521980104FE7AE9F4D836';
wwv_flow_imp.g_varchar2_table(309) := '93AC6C52BA05CF9D6C9C33F4FDA7A4C943E65812D82B166207CE16D42EF2F0C2A104305E51DBD2514404C590B2E13FAB0B70B0C3C8E3E92CFC73F7FD7103B020C8EFFB79428D3BAF23124E492DAFEB622A4ECC7176470F86DDEFFEF16E031CCC6F9FE9EF';
wwv_flow_imp.g_varchar2_table(310) := '7C0428BAAC0F446083B2B0630232004C423F66AF01C0D45FA0EF1D3F9F11D928DF23D77AF43E00A3F31540B21AFB03EEF580E536236FAD9892030E8FD8B9497DC6C94844F9FB2DD3415643D45E583D5842C421744CCCBC2A06E27A737EFE0F4051CA8C05';
wwv_flow_imp.g_varchar2_table(311) := 'B3DF00E05D040157DFFE1DEF190286BD02C66C20B806300EFD43F3DCF81E93AC6C52BA053F36537D1729C0C2DD7C95D55E083182A650BF95CE69440050168018003722371BFE265175940D1F9FDD5F5CFF263E430E866126F7B2DB0F243462AE28282E6E';
wwv_flow_imp.g_varchar2_table(312) := '0526BEB90AF65A00E02B51CE15B20888E7F1010C148C1EF8019BB13F4C57DFBDB7AA2A31BE3EF604505E0C38B0BB6B9E615AD5A7F2612FDE41BC8DB9ABB4992E424D2B5A9E1E6DCF2834402345488E9E3263408B1D1EEE0452778C2DC7D42733E0EF6572';
wwv_flow_imp.g_varchar2_table(313) := 'CF5579E5F6EB69897680F3A2243E275C6317AE3B0A2FF789630404B99E58535C0707800101C0D3160060814DE122D460B88F149C3D7E76FC5F9A67269E6B92954D4AB7600BDA3DCFE45F8B76F8D8ECD15B7A987B88BDE685958DF8C6DC70289033000565';
wwv_flow_imp.g_varchar2_table(314) := '8B63BDD8AD88E6F31A05E902FF3C01334D14F62947BE4BAB6A3044D26F569520FDF7F8B7800F26360C38E4F7BD5FDE093090C2DE7F9417A0625D700A024A28BD8F46F3083E558A4544A47C478114E6BD0AA1269D7997EFE801CCABDD12882000FD18710C';
wwv_flow_imp.g_varchar2_table(315) := 'A6F2EEE9F3619974133223F161B356F85C3E3F92A462C2E3269061D075D350D7B464F90AAE17BB7D0C7812C8248B02081800DC6A8540BB7AC600B02493E312C023BC8EDDDE01A5930D5081D005038CF79A646593D22DF8B1E9EA1BECC7B8B0A26FCF4EBE';
wwv_flow_imp.g_varchar2_table(316) := 'C6EEBF784E0A4040F797D41EB6D4D595DA6115ED47C1D9A1C8D9A36044BC297E498260280FEE02812C29A13ADF5074F7733DAD372192D19B183BE6A0809B8122E12FB3E3714E95144789330C3AB180CB9CA908869F86DE1BD62773DF079786206328A801';
wwv_flow_imp.g_varchar2_table(317) := 'D850581F42726342588AE2F2DD230820FC9FE308B110CD23D0F70284F4397C37028CD4160420037851EAE8A2708D002D261925331448D572BD685526061001604DF74A000537F5DD5DD431C9D2A986A58C6BDF6992954DCAB66000E023CD95CDBA98AF2D';
wwv_flow_imp.g_varchar2_table(318) := '124CB7A4BA4BF5DF1C8FFF2740F8B2EA4314E370F343C2810FAC21A4ECC834FAA05CB1720D202023802BD036959FC17B30F3F15393F1D52891CA675106AF28BCB628F21F83909A604C508FF770F3034698EE28B5EA09FC7D5DCA12390558A3BAF6828263';
wwv_flow_imp.g_varchar2_table(319) := 'A2AB1188AA403E23C984D49DCE8CAA465C1407B500020C5121C6A1EE3D2C0A40C089547C4603E7252B80EB113B1C018A4EE724937D7DEC3B96096BE278116311F507E67ADC5C580A1C5DC0C7CF4DAEA4F832F357932E04004819FF4096651F9395E05FA9';
wwv_flow_imp.g_varchar2_table(320) := 'FFCD9DACBDFD6200B0D0C3B427D8F7C473F6D22BE0EE8222C01E4708E69DDF082F1DDC6C3EA707FD76D80E25765C117E10845214DC73D3ECF43EBFD07BF1BD09885A02466D61D607252388075038E9868FB842568AFAF33A2A0649F3E13A6081A028ECF8';
wwv_flow_imp.g_varchar2_table(321) := '2A45866B907525517C2F134E8EA1F88086260C6BB7E5B99077777F9CCFC0674FDC057B2FD642283DE6F37107002614990C885B13F657E766380B93990190C85AC4EB552814079E8CDA634004AB2CAE41C0836BD4677311015A4A81530008007F766C45CB';
wwv_flow_imp.g_varchar2_table(322) := 'E089F39304F7785DF23E03860400AC41ED47DFB9EF964F30C9CA24E5592CF2CE7D9F30373D746E7EAAF60FAD210F6BA8FCC342C0B4A761E809FBCB8F49F0D041A03BE5E37301503072DC55A704C34F3521F0E66E003B9295D5DAEB9E614AFE9598D6AE08';
wwv_flow_imp.g_varchar2_table(323) := '4AF3A104BE6B713C2A1FB501F8F762B415A538EF0B93806F2012CE1AB8F949D5F199C406D8E5990EA4325F3528B984FA0035EE684D4A21021804E47698826F3105060450DAC2D1643E4ECC894FEF4E8B8E00498040453BE24E54F30E000800C42A472A19';
wwv_flow_imp.g_varchar2_table(324) := 'B976D43A846C838F6EF332DFD87CC5B5A52829A15047144FD960AE0FD7FACD13DB440B1E22F8318ADF581100D8241EF7FB23B11CD838120B60BAF6232F78C10B3ED6242B93946AB15CE07973011E3F3DFCAF8B9E7EB11FEBE20A1F1F531C84E0CB61EE63';
wwv_flow_imp.g_varchar2_table(325) := '0D04EA7022BF5D8C42560730B4992934DC88CAED5BC4F96A827128233B3EF976027A9056724CCA1FEBE3E97A7326DF7033132023E74FA71BBB6A54529413EBC1271563557C159FC584DE7474796C86F14299C8262C20715A2F8FD47B9CA09DC6DC842B63';
wwv_flow_imp.g_varchar2_table(326) := '74E0157C7A028DA4F8F0D1533E41A2EDE4F031B5E373919E9C2C4918A2EA1C01800C8ABB2DF8F44EE5E51D919DA1241AFAE133F69316EA6D1E185CEE8A04B666AED123C43CEC1C2D00888D3C3DACC585E53EBFC948040C1D2F8A01500DF8D38B272B9F6B';
wwv_flow_imp.g_varchar2_table(327) := '9295494AB5D827AC0FC02EF84F3D81A27A57D7AA8A3CF4A3E1D393BA41F135FD27FEB0A47DF45837CC2B280432A5F70A3D949EF25D94F19928413B38D821E3446193E9C036E79032E2D8E4425EDBA8C59D0013CB42C77DB7BF8A1D903803A6316637FE71';
wwv_flow_imp.g_varchar2_table(328) := '421032BEB2E87C283FB9772C054A82391F0A8459CE6E8D35C12E8C727B25A2B30B11B3602D85E7C4BC26A099301707AE7ECECFB50170C45340AD03DF2DBA1E0A528A6E0CB0600DA40B07DDFC8FE5C5B82A344C15054201676F27B6751DDB729FA50177A7';
wwv_flow_imp.g_varchar2_table(329) := '2E80F2F75189434E3FD605A419A5F63DE3A2E3EA07F8D5F999E16B4DB23249A916FBD163B5CBCCFCFF351077E5FCED28BB7CE2BBC902E07945FC9354605248D4A01B901D98A19C283F9574F8A6ED32D6E52937CCDCBADDD4DCF04169507099FF52228259';
wwv_flow_imp.g_varchar2_table(330) := 'F65AEF754711624A914219E20E44FDD376DDD812BCBCE61F0541E98811D0F23B68797546A86FBFE12AA3CA72BE7F083B6246A088214823B6B75E9780803E8F565EAE0341CB2245C4B24159D5F5C8F7E7F5A171C99B79201055C310AE8FB20B1B2EEFCCF8';
wwv_flow_imp.g_varchar2_table(331) := '8F5907AC0FFE72AC70DDC468A03C3F625C09DE0D585F6B9398FE4A682D0600125068FA67FCEEDC89A13E93AC4C52A6C5AE0A009038E2092B21B0C22451DD0EA37057635193F7998BF1BCFE75EC68EC5C521894967C7A64E8F5421B533027AA5CA62CE4FC';
wwv_flow_imp.g_varchar2_table(332) := '131E40986C60D1219D3541B14C9CC6732F1215BEDBD4F7EA37140785F61262C848E8FC535AD240E40E0304C697F5DD61330CEE52B0AC97E580706E53C2AF20B0978090941C137D534BE152102063C275C392C152225889551146A413FB302089294437E3';
wwv_flow_imp.g_varchar2_table(333) := 'C58908588475F13DD9E101CCC26B05A0A84068BF5913EF3CD01F6300A9CCFAFD208B5041BEA741258ED5C8FD852BFAA70BB3D50193AC4C52AAC52E1EA93CC300E0977A0080023C32FF4D34F0D3DB37F518E107C717C4FF7FDC023CEC184B1477786928A3';
wwv_flow_imp.g_varchar2_table(334) := 'A3B9D97DB438C3364D59B731AACA9477BFF9F0FB305BED062428C7241F1F3FEE65B73CA6586747BBF886D7EE6578A70FED4439A8CA33569F3BAC79E5F69C51E73C2FE11CAAE3C747860D68D09469B799F234E7A0400011A6320055BB15ABE13AE20854C2';
wwv_flow_imp.g_varchar2_table(335) := 'D979EF347EFCBBF343767E0A6318778E62F0F9FB12F139877C16C14D292DFDF63CDE6BE76CBDDF85C77C3F9EC35A209DE823D583F01D709FB012505CD6C771DECFE790B9E07DAC89F31DB0BFF67DC9B290E5E0FBFB71BB365C53C062A759125C6FCE1D85';
wwv_flow_imp.g_varchar2_table(336) := 'D7014858665C47AEF57B8E0ED950D0B1F8DBF35762BFF748FED4732D207CDE6243A6C8ECE45FF7FC7DF9936747F3FFA4EE2CA2DC36C238AE303333A349B6D6ACDD2A0537CC8A5732FBA586A0355218AC3233339BC29C53E15266C6539999C1FD7F2E737B';
wwv_flow_imp.g_varchar2_table(337) := 'DCC36F50C33CEF7D9ADD1B62F5BDF0DF07F3DE9FED9BE270FB95FD5B520D0E200DF4CBAFCB4C4D02AE2DD1A6325BD3A21349F6FA202A9D1A66CF8618F478E3126617CCFBE1B61FF63D681C0CEA4F30117C4A0D5D66AD9F576146237D5461CA53F49A0BF4';
wwv_flow_imp.g_varchar2_table(338) := '37C17B34D077808A0E3F4D79B5C2801E7D09F6CFCB86FAE98589B9D4B95EC3E0781CDBD6FB6301FE41BCA77F77CC63BB1D9DEC1C9C59CF8E06ECA72FB04EBA045BF08358A98EE286FCAE74C0B90FE7EA5222E8DADDEA755C864BBD4232E02A42BF30D9EC';
wwv_flow_imp.g_varchar2_table(339) := '3C05DBD4352DE346C4173927C7B3C77BE269B1298EA3C3727C735152E42F4B89FC15C980E3FA88CF761304856EC6803F1747912DC74D1CC38E9F38261DF6584F8B7AADE7A45B9C67AD0A896676867046BA99477EF8B331499D8501734E3AC89F8E815624';
wwv_flow_imp.g_varchar2_table(340) := '5201D77AD8D7918ED53703219D3CEE2E56A7FCBC41EE306F409E0CEC240AB3A68CCFCF9C3C76132680022EE392B3E0A622BF589D7371BF339D10F90C2EDEB6FC1C37761B45DC8F14E364FF03A88F62ABC75A9C397D6C5185DE70175D30DB8BB3AC13B644';
wwv_flow_imp.g_varchar2_table(341) := 'BC0E3D15140CD4974E79C2367EE5ECA9E359AB30ED947410E511F9B321E0734EC2E7B814F20967E0A2F2B444D07929EAF862D4D535A966E7A5545FC422D7B4CB9609D6F372C7359DBD759174EFCD6BC29F57D747BFAD32E5F32A53DF2933E5E50AC34ACD';
wwv_flow_imp.g_varchar2_table(342) := '221FD05FA52B2CFA1264429EC762F15C8DA94FE1BB2776AC4BDC8C45E356ACE83BAB867246892959E89B10EE3AF4A36D554D3D1DDBFE33D1374C889D17AA1B1246759D6A609239A9C2C29301D796685399AD6DC8F4B94D0B87B0A2A7AB7A542969CABC92';
wwv_flow_imp.g_varchar2_table(343) := 'AE2CBC5D5717970BD13964AEEACB4E4463CFC0FB015E84F161E0B7904ED434D5532984A7217C10BA6BA7D6DA44FEC4EDF0AB151A229DFC6D5AC4563214FF6D0873496ADE316C167A7DD03E25EAB74C4CB6F09372926F2CFE3B3F60F5C4895D648BA5B329';
wwv_flow_imp.g_varchar2_table(344) := '491D8D50A80756AFE1CBBDF691491F3F362A08C314411898745B861A217B0FC0999CD95EF6FBBBC932D701707FC53C41E81EC3F72B244BCFA4C4F7CD8BB67E7951ECB77AD6AC2EF57ABD1DE0084A73F52CA42F5B3A731CD73E23709D66FD64A73CCD42DE';
wwv_flow_imp.g_varchar2_table(345) := '4C89EB487E2601C3FFE1E7B4FE8946BC26D7BE6E9A0D60FF131CE9E45F3749273BF829DC3FA45193E50E3F978FCA62D8ED3DAECE643A99A6D491EA27837A8A78BDBDC9FC33462CD42329495D4D84B969757842A920FBD127C40A8BF8A8ADA95D6BBA2A60';
wwv_flow_imp.g_varchar2_table(346) := '00BBCB3FD94BDA120BFA9185FAC54E5D997A7B5EED47B7F925BC3E4DE9010EA0EFC97D90EF76779A66C787E0FE5399B91FDAA903120000100660467F738D218701ABB076B3096F4000800000010002000400080010002000400080000001000200040008';
wwv_flow_imp.g_varchar2_table(347) := '0010002000400080008003F43D596C95EFB7280000000049454E44AE426082';
null;
end;
/
begin
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(6600461151271382834)
,p_file_name=>'emp_female.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/emp_male_png
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '89504E470D0A1A0A0000000D49484452000001000000010008060000005C72A86600005E8C494441547801ECC101010000040020FF577B015401000000000000000000000000000000000000000040B364E72C801CB7BD30AEC33F9699DBDD5872E2C4B2';
wwv_flow_imp.g_varchar2_table(2) := '9CC532733BD4E3BB9816CA385066661E2833333333B743656666AEFB5E729A75AED182EF2EC9EE2933BF91D72B7B6FDECCF73D49EFE5BABB57FDCFCCC2EA4BCD14D935B659BDB014403463131D844518DF5973C929844CF08A99CD7D412FF639BDCF738C';
wwv_flow_imp.g_varchar2_table(3) := '234B3CB3B76767760A44E6449F1B977AB6715A4998C778796377B8DEDDB7E9FE68100019DD687410163176CB64FE35C76E5D7EB6CDB60471DF1D70F37ADFA15F87AE19474058CCFE063FFF04FC1038F49740B03FE1FA0FCFA1BFFB9CFE5C4618301ACFC1';
wwv_flow_imp.g_varchar2_table(4) := 'F575F0BBA3E01D5B6CCFD862682600192D6874001609FA8AC549A1602B4F335BE89C82798C2FE81F20DCBF80581215B3F14EDD4EBCF33A22463348FE0E7F0E04C3EB9AA049040E7B25CCD37DBC7CA69510328EE88FFEE84FE33F41BE7535CFA6FBF99C3D';
wwv_flow_imp.g_varchar2_table(5) := 'E539EC01DF61DF0442256433EE6DCFE32AA0EA7E7F6721EEE9C8E3B5123489BEB61C9AC1DB25B1D60E00D1343F3A0863147FCD35FF3DDBA22510E76D28F848B0380402872AB3B95C09240D220251EFD8C593A6A0782E17F7A151C03CCFA1EF97B8D97FE8';
wwv_flow_imp.g_varchar2_table(6) := '861B4E0488A679D141186B1032D1B3E82E1E37EEF239FD2B94624F091A40A4167F12692C720BF197CFE9B900D1342F3A0863083C99F71C7A095CFF20B3BD52A823B88F0610BAD9911887FCDB3F059C4E0388A639D1411823F82D59C3E3F47ACCBC430A3F';
wwv_flow_imp.g_varchar2_table(7) := '05490318E24030710D23A71FFB8E3113209AE64307619433C75EE17F0137B6F5B9F95AE0A884C9F0700FF7F229C49FCE40706E08E7023D2E8B4B9C3E3AC55AEEFF00D134173A08A3142CB5853663BE6D9C82B5F95030A558317BEFB4B613F775E4F13E32';
wwv_flow_imp.g_varchar2_table(8) := '22C1E3D8DB6EC53D6D56EDB962603E22CF0ED000CAF71CF66D54C8AE0F104D73A183300A99D2B2D412BECD8E07A1BD1125F6FA61D1C4FD3A908BFBBBEC7F88D9E346BACCEF9A20FE8A98A3B62C9A41F5BB84DA14907E78A6AF3DBB134034CD850EC22863';
wwv_flow_imp.g_varchar2_table(9) := 'B645B957A0D7070EFBAD07041F02526852FC218019B8D63E3EED3980147C58E9161CF673387FA7AE7C1CB9EC38EC420488A679D04168320E25643C9EE697DCB5EC996E6B31C86496F32C63866FD343418481CFE99B98F1914A7666CAFD39666DCCD89134';
wwv_flow_imp.g_varchar2_table(10) := '89112CFF31CBF77658682AD59D80A24ADC30B2A1DF85BD059C5E35A348970588A679D04168023033FA05B350B2E95120A8173C877E83BDF8BE63FC08D7DFFAA2DC9BFF6520E8E7A1426428F6794A75285E791F059C68F1557702E25CCCF07860B8633707';
wwv_flow_imp.g_varchar2_table(11) := '13C8CF3500337D2F016E3F1CE321DF31D70488A679D0416830D341147378E6640F0EF2B06C16D4ACA9335CDA4B0157657E4945A02C75C90FE7978DC23551F4D2342ADD7D6D96DC6AA42F2596B710C6F1F80D4480689A031D8406B121211303B775635FD0';
wwv_flow_imp.g_varchar2_table(12) := '2742319438CD119FDC97295F2334356808E50A40BBEC084C5F428C5C135702674F29B62C0190C6A3D14168005BC192DF13F40C10D74F3B751570A90D02B306153F52E9D3576779B92F97F3F09D7806E08B74868273924B7F7C5FDA9E00393F84111B96A6';
wwv_flow_imp.g_varchar2_table(13) := '33B632401A8B4607A1CE6CB772F1BF1E372E0561FE81A53A3CB1C71A3D9A4065BF6E62B69D5B7BCFE13D457697423607AFDF775838CE474760553F419ACC5FBD75193081ABF08013208D43A38350673CCE0E0421FC99C88A3826A0B80797FDF789BD7E35';
wwv_flow_imp.g_varchar2_table(14) := '2196FC00CCF0F21DF833EED9FB3B6D7C0796EE6A1FFC0924FD527E0406220DADFA7C02E871D99F61D1BC688A452603A431687410EA48A94037C5DEF881AE3D39CE3728FEC46A80A51570326BAB8C0730077B76B8E68246F057E8D05DB0F409104DFDD141';
wwv_flow_imp.g_varchar2_table(15) := 'A81358EAF338BD252C67EA9C2CB94931A625D17A5B7BB5B000DE8FA8CF10A429B8E6E0EDC1AA7F3B675FCDB65BB70488A6FEE820D409CF6E991108FA6998A23CA710248EAA6C9C9E790F0C13878A382AFECF005CE62B8C2917F7C9730845652010C67325';
wwv_flow_imp.g_varchar2_table(16) := 'AB65758068EA8B0E421DE8830E38DF319EEE71472CD6C1B36FB5190CEBF921BBF8847A2B50C36C86B59D888A268EC9BF5D65661897A8DDBAB948C8248068EA870E421DF07866F348B05FA33675196F38BDF8984DB17230EF3B4234057764A5BD41E62AB3';
wwv_flow_imp.g_varchar2_table(17) := '3C5614D40650368BC436440D1E54E258FD6D45F1475F57612F8068EA870EC242668A654DF60A99C3FADA720B663FEEB2F978DE94ADC12868D5B23C91B97303226DC3B6620BBF529C664B516B0590044B9E78FFB5A0BD75358068EA830EC2C2050D60698F';
wwv_flow_imp.g_varchar2_table(18) := '1BD74673858B22EA6D578B28740796F598F59192FD377B57011B479366E798998366B6E3E0CF14303333C60C3143D06166463B9CFD991D5C5EC1313333098EF9BE7BF3A66B545776C7B3D096B22A4B4FD54355E3D67CAF3E2E8EA62079DFDC43910ED383';
wwv_flow_imp.g_varchar2_table(19) := 'D90F806DC35B0C1208B14F20E0B6A6433ACBA2FFA76959F4A96F9AF305ECB90016F5C9D1AFFA73F91BB5A21DD6EA3B826508A2632FC7496D7214DE872E3E40E78B29E8D99F02D5398964E07FAD262912D75121D5F843F8E66AF8E1D6D85381420F471FBE';
wwv_flow_imp.g_varchar2_table(20) := '4B2A096C96751DB28A72101DD0361C07A2C2D3428E74902E8BFED396E4B8D7009F85F7F070720BFF4E8663B646510EEBE6683301E18E84E0C4CBF6BCD7E47277B95CE92997C9FE2AB9DA572517BACAE46075B6EC28582BA3E92F48EFABCBE94507199802';
wwv_flow_imp.g_varchar2_table(21) := 'A9099C3B29B419B638E06A62A88A400AAB362F849DEB035CAFE795E5FEEF05AC90EE575690004006A1E51F00FEFFC7DF4DD86A01CFBE06609198F8FD10960F9BBF0AEFFF70DAF3727DB0461E1EE99347C7FA350CC8A3E303F2D95323F2F068BF7CB2BF5B';
wwv_flow_imp.g_varchar2_table(22) := 'DEDED9269741107B4AD643D8521D8D802AB5192E6445A129D0ED86435101AABE4124FCBC4A34A206529D18C1E707D6AE960315E972B8364BA606AAE4EDED2DF2EE44BBBC33D12677C61AE4EAA64A39549D09B249E4F733EA0B70CD358229CF2C185A1EFB';
wwv_flow_imp.g_varchar2_table(23) := '2738572006F0790B0B0F27B7E8484E469BEEE8DF6B34BCE9B3A8E414DC4DAFAD901B4335F2F8C4A03C8090DF3FBC2988691082FEF8011E3F3C36083218904F0FF5CB9BDB36CA14B484331B0BA5EF8D554EBE7D34C0F01D1385DCFD00EE5E7AAAF02B3817';
wwv_flow_imp.g_varchar2_table(24) := 'D1FD72AA1CA84C27F1DC1AAD97F77775C82707BAE5D383BD242A9013BED700C7C72747F0BF0CCBF4A11EB93D562F431BD648BD962D08180D4754FF80B8FF4103940AC0E72D2C3C9CDCA266E5D29FC10FFBBF28F046FCDD2CACD99AFBAA5CEC2C958FB1B3';
wwv_flow_imp.g_varchar2_table(25) := '3F8050039AB0F713FAE3E0B55FD04E8D11103A08628F5C83C970A8264B2E7597C9969C9765A2E035195CBF06A1B6648E201A9A198EBF81E400071D4803A0C32F819A48CF2BFE22A564CCF18A9C6D2DA6107FB0A7936B8080B036B5147E0712D2F1618EFC';
wwv_flow_imp.g_varchar2_table(26) := '5E20A7472746F0DC105F7F88F7BE3DD12ABD589BE68AB3F3ABBA075DEB680E10CEF9261C380AF8BC838587935B3424C7C471F7D78A75007317A6DD7F63B82E203C4450C06715FA8724075323D01FFFBF3920B41D720366C55BD0123EDCDB291FEEEE900B';
wwv_flow_imp.g_varchar2_table(27) := 'ED2554DD0FD564CAE9E67C39D99827C7EB73E55C5B899CC76B6F6D6F8556D12CEFEC68D5E7D63413137DF85E43CEEBBD72FFE80009C1FC8E97BACAA951A0B498CED0C075A0223248923411A27F1D7D13C2009FC533D910C4A27145740E767AA7469F7177';
wwv_flow_imp.g_varchar2_table(28) := 'C2F09CD371F6DECE76EEE0D8F9A1420F29010E01144E1287461610BE11BEA61E432DD705993B32B40DA8E7BD5CF7911FD8AD3F7B7A1C9F1DC47B29B01CDD88E6AB479F4CC35480DF80A689D9BA5CF907789D1AFDBFB54911AB009F77B0F070728BA69498';
wwv_flow_imp.g_varchar2_table(29) := 'BAA660D69D21FC442C3DE497BA4AE5414802E44A0AFCFC34A0C8803BB1634A3C3E392A4F4E8DEB6605DF031873902C34210F5DD8B1964E3ADAE709CECBF71C1D94B36D25F8DF795F5CBB166F0C984AA5F6A8F167F6CFFEA1FCB7BBD1BD4C96C2DF8BDD1F';
wwv_flow_imp.g_varchar2_table(30) := '9E733ACCCCDD52DF6DE7104847731834CD0602B63808608C76B94E00E63887D6F1F4D7FDEB80000C5F85F69DE923C0FF3926EFEEEC94163843DD7318941F2066BB3D61D89E0EFCCC024762AD79EA397DC0F6FCD7E403D8E49A5DEF08ED281C6C43BA00CD';
wwv_flow_imp.g_varchar2_table(31) := '299CBA80BB9389491C83DAFCFDE6E7DCFC104F25228D28B8AE1A495280DF27D10F330004F8D44EC2081B9EF51F730EF8BC818587935B342E8BCB3109C04CFA39509511F4AA07ED64BF00F1719F9BD041D807181AFCFAED730A268139B95E007D73691E5C';
wwv_flow_imp.g_varchar2_table(32) := '1FF86AB406FA143EDED72513456F309FC02D412A50361D75A9E1F5B0EF067CDEC0C2C3C92D7018467FA34BF71EECFE4CA639D99447A19873679DA9A2876822F485B06BAB505EA89F53E4D4670A3BA1CFFBE8E4384381FAFB3E85E3F17843CE0C1320502D';
wwv_flow_imp.g_varchar2_table(33) := '19472260EDC4B2A82BA52F2CFA1EC0E70D2C3C9CDC0269C035CC743373EEF11C12844800675A0A61BBCF12F673766625E8B0E3F918D74F250943BDC773035F97D7DE14EAA03A6F38FB82F6BEF95E7FB2D289619D50F89DCEB7174B4D72B4EA36AC2504C5';
wwv_flow_imp.g_varchar2_table(34) := '590DC06A00DF1CA84F89CD33B2DC8058C6BF51D80301889433AD454CF1350518026686F6663AF0885E67F7EEE7B50ADF3D06613C3E35EEEE170811980BE837E2FD832601307489EFA122111A7ACDFF81C9435303D52440A7D0885D9175476973A030E8BC';
wwv_flow_imp.g_varchar2_table(35) := 'F501581FC0330B9800E5CD0E01346A69C05D2FAFF083B1F0531B0B1887D7056ECE5DDB24000839767B10C930AEF9590AE9E3136372DF5D6B08152ECE41CEE942580A33C94311C08DA15AA94D8AE27D41562290A0D52D384EC054EB047C8609C0A23A25FE';
wwv_flow_imp.g_varchar2_table(36) := 'F9DA941829498C9452A012BB7F2584BE2C05EAFF8A0429830A7CA6A3441E5368B5DDF588AB37DEE5798CFC2C9D78A63D1E8AA350F90142D70A88FE399C804133460709E01A321373E2C2A4005A4011E0BF47C5405142B814C6874B019013B7F40FFC07A5';
wwv_flow_imp.g_varchar2_table(37) := '023E6F60E1E1E4160D89613F5D991CF38FD9B161921DB754B263974A8E33E643F80B410EE750E2FBE4C4A04BC8AE7FCE90DBCC983BE3FEC483109D82D32A77FFF8CCCFB87ED6C9367C747274A646C0A41F80F501431AA1290D6040AEC204D810BE80F742';
wwv_flow_imp.g_varchar2_table(38) := '474E7C5860E4E3253F571A11F14380CF1B587838B945F30B893F5A951CF9A7F85143F0033FECBC8408FF48E462C73BDF5B294F8E0F3A426C0AD8B01357E7733384F3A1B1BB2AD5FFE1114DED5763F0DAF4DCAB5D7AE66BB3CDAD130EEC7EC22408FD7ADA';
wwv_flow_imp.g_varchar2_table(39) := '885E280D6012B50F5986F0EBC88D0B03092C39E46FA906F8BC818587935B543F17F5839549919F573FEAFCA44829C0CE9F9B10C9C77E52B8D85B010218701C698680413059E5E784D11E04CD83599C836A3480CF2ABF805395477F815BA29037C0DCBA9F';
wwv_flow_imp.g_varchar2_table(40) := 'E3C9A951B9B5B55D8A97C541330A7325006800C7FDE728023E6F60E1E1E4167E07566572E425FE989D1D3F07366E6E5224853F3D6A919CE92C51260055F0597774EEB2BDA6BACF9130B2EF74F0B37C5D65E43163D0B0DDBD46D067C0EB27080BDEDED222';
wwv_flow_imp.g_varchar2_table(41) := 'A52B13E62080A53773172CF85EC0E70D2C3C9CDC02D9C0DF5E9614319E1F1FCE1F75169097140D3B379CC888592C675108F4B9D36346A2CF2CC249951BBB3710240040550F86542D68C6F7F9F9A0F9C1B9F13EE7BB9826C61CA076117466F2B12229239C';
wwv_flow_imp.g_varchar2_table(42) := '481FC0E4501D849CF74581A4980B876056CC12294AF16B4AE1879FE9B303EDD980169571512F14C747FC47D00C40FA6B516A2C76BF44C905199C682B942727872170733AECE8137804CC28023AA1AAF0DC3DEF66C88EA4E12418398E40CEF30824C0754E';
wwv_flow_imp.g_varchar2_table(43) := '8CEADFC9B526605A8F061885406E84A4A20019D18B750280C047E0DEC491000A719FE0381DB4BD016D4FC0671A55C93111850911BF43AFB6833C7FD86B855FFD0D97632DF9F2F8F8C0ECA9B614EE610A931626E4A8EC6AA6DB22E127480C3373F9DD8A80';
wwv_flow_imp.g_varchar2_table(44) := '540192A9AA732EF81E5472CF53777D6A0C843FED778CF33A0D415C4C12CC7D620804502BE9910BD53DA129908FBC80829468A50DFC6F56FC920D80CF3B5878BC8045D1CAF89F294C8C7C921B0FF596B1ED30201CD1804808007C00FE30E0C921973A7A73';
wwv_flow_imp.g_varchar2_table(45) := 'E7F5FB098658DA8BD109F5F5CB679DC7789D61399A0AB30920730366CF300C6613029897FE88872E7904485D66F6229A8AB0A1888A487CEEDC76F61E5044A5FE17C3FC20E15D4522501AFE7F86FDB8FB931449028C98C42DF9EB8CD8F058C0E71D2C3C5E';
wwv_flow_imp.g_varchar2_table(46) := 'C00239ED0BCA93223FE738B588BCA4486A019950812FF456CBE721C03332EB8CF2E0C74EA8F02DF40EB839DACC14E2134DF972A2311F6DC3ABE5ED1D6D54E3E14FA0001B75F92A36AFB51D33ED73C0C83034051FB63BAF3FB3A559AEF555CAE996023986';
wwv_flow_imp.g_varchar2_table(47) := 'A29EA3F5D968F2512CF7B6B5A241289B836A65C033CB941F83AC6E6C6E959CC428DE0B15222D5C168B28491443A559B14BBE9C19B57011E0F30E161E2F607171E5CAEF288A0FDF958F9D4E577773800C44018E341752203481E50EAEF2F8551DFDB5FE1A';
wwv_flow_imp.g_varchar2_table(48) := 'D996FB2ABBF2A299276BE96B92A25852CB7EFCAFAE941D85EBD0BCB30864D00AAD62C474FAB167DF438CD39AA9104219B16A430E212F92CDD92F4BF74BA93C53A02E2586E701A0B291DFA715CD44C7B35E9253CD05F2D1DE2E55E464921BC96C6AA41151';
wwv_flow_imp.g_varchar2_table(49) := '10D307104EE1CFC3BD821F606225EE1DE0F30E16F3B088457E627849BEE3F96734C0D9F136442C90C38A0082F5FD7D41A1C7C8069EBBD1F7BFCD3915084D469C32DA58EDE8B00011D425074EE31958B7468ED4E5CA47FBBAD8B9576FDB4522C008279F96';
wwv_flow_imp.g_varchar2_table(50) := '77D0F754E1BF3954CB834890B3AF4E24C27522EB1A30B2A1279A7BAA138158D9D7BF76959CEF2CA159325B2A30330123341F0000A71FEF110932666916E0F31616F3B0884566D2E248FCB87F076600773965F7A6C10976A6AB423E7F86BBBD4AD809E243';
wwv_flow_imp.g_varchar2_table(51) := 'ECA2A3192FAA8EC23C9F0F5584AC26EC47EFFF3DA5EBE5685D36BAFB66C8E1EA4C3988E6223B8BD7F23383EB56CBBEF234F4ED6F674350DDAF80B554C86FCE9CFFEB83D5285C4A0D1EF38D23CA78EACFD086E7D92E7C5F591ABB09EFAFCC905D45EB642C';
wwv_flow_imp.g_varchar2_table(52) := 'F365B612E7F902F8BE3843007E82596A01402A9971E1147A9D00F2707F102EFDAB8CD8452980CF5B58CCC32216A5A809400DC0CF830028FCB07539C2098644A0529EF66338CAE8603B5C9BCD3EFADBF3DF80BD5DCC1383DE45F7E0E983CCF9771C707D01';
wwv_flow_imp.g_varchar2_table(53) := '01C3F53400E71B1FE3A00EA087BB3CC37B00BCFB5AD69FCACE73AD34C4E7BBE5DE962656EE61E499009CD7594B01EFC518EC3FC0F7BCB9157E0A543AEE2DDD80F309CAF5B558FC74051AC07A10A05E03909F18A51280BE928D2220C0E72D2CE661110B9F';
wwv_flow_imp.g_varchar2_table(54) := 'F8BE053E80770B023501CC05A013103FFCD3A806FCECC9617AEF95F051F547DFBC2BBDE5F2EEAE4E9EAE0301569D7E21C8A314EA991D8382E143D5E4D3F1DA0F3926C59C39FFCC01C0678D0C3E82E4C23931CE519DC81464B61BD7DA911B260009304800';
wwv_flow_imp.g_varchar2_table(55) := '09E1CC8FC88B0BFB1FA4005F007CDEC3629E16B228490CBF5C48F53F9C9580798991F405F809E073A74629E05A220DAE292810760A3EA065ED1D66D69EF67E0A39ED7A95EFAF5284CD4C408C846B1721236D7846D30F9591C8F7CD4D24AE3E007F2250AC';
wwv_flow_imp.g_varchar2_table(56) := '63F32B2760C0FEFFC7EC98F056C0E73D2CE669218BA2A48889DCB8A5FF1348095EE2FFB1B316E0645B314C002776EFD2E43398464B049F33059964E1B2BB8330861C62E82342ECF4EBF23E7621722700B786202AA4C972E01A49431480FE10401100ECFF';
wwv_flow_imp.g_varchar2_table(57) := '5FC9880B0B037CDEC3629E16B2284D0CCF0301FC458E3FDE0D4F79199C7A45F0E05FDC54C5CC38D8F4DC554D0298D6BB03731CC0FB78ED5A823B2B8C1EFDA6609BEBBA1F3D865185124302BFBBE673A059C054E0CCD830F644F0DBFED9B866AF8498A577';
wwv_flow_imp.g_varchar2_table(58) := '01DFFCC0629E16B2C88F5CB0B86A75E22FEE45786E574DA69CEDA990F310FEF776772AFB5A5503860286F200750A90E9D0FBAA012125CC4C44654E9864A09C8CD34A43719F57F92F540D02DFFF0E8E363FB2B1500E2091A92FFB152943181104F0F76951';
wwv_flow_imp.g_varchar2_table(59) := '0B7201DFFCC0629E16B238D95BBAF27457D92FDFDADA2AD7C79B6572A4DE0F104087538937C05CFAD084151EFAC303721B739DEE2C614F817B5B9BE991C76B21EFCCB39280530C042723F3F6D967D0E859F8E6F656D9559D219B11723CBAB100A5BD4D58';
wwv_flow_imp.g_varchar2_table(60) := '7BB636E12C36E27CCA7C9906E8E4448EC2353405991A6D90A9B146B9D85725BD192FFE654552EC2AC067313F9887452CEE4CB4FEF8E448DDCFDF186F82F037FDEFF5CD2080C00F1F3B61BB9EFC1392F07E82F0DC3684D70A5322994B80841A34D788C68E';
wwv_flow_imp.g_varchar2_table(61) := '9A6FA6F086D0F843F91738AAB264276AA099258EE0DE411A70CB6B2BE9B5CF885E443F46F9EA2426344D1F0401B9B437D77D0F8A00AEA224F83AEE01EE07C606B931DEF82F1736556D9D9878FDDB019F85F7F076010B860027876B4B6F6DDEF85F37366F';
wwv_flow_imp.g_varchar2_table(62) := '94C9B146EE7A37B620A77F5B9B7C0669BBF755786ECEC340FC8EBE21B6D32A4C8A62D9ACE341E7353A0E31BCF6C0C5E637851F50613D57151EDF0D60F891F1FF898A7455C4A385F0D0D03315FD0DBBCBB406A7EED03400A509113737832047EBFF666AA4';
wwv_flow_imp.g_varchar2_table(63) := '3E0FF059780F8F17B0989C68F8EE6B23F547EE6E6DC18FBC21B0F30320031040AB7C706093517B6F78F6F5701FF0183903071A7299316734D3E4AEBCB9641D0F1A6589307BF60D9B82FF55750352DA8012DAA69797816C169B29BCCCEBEF4D7F4195361B';
wwv_flow_imp.g_varchar2_table(64) := 'E8732580290A7F10D430AE8DD47DE97647D58F003E0B6FE1F10216937D1561F891FFD20D0A3E767FAABA4D811F3C9E7B6F4F5708A7FD00C1137807E4684B81DE5C94C94500057107D27FE9203C0240F85100641EF26174119EC534D0A20C107E2629614E';
wwv_flow_imp.g_varchar2_table(65) := 'D616D4BFB44C32D57A5C9FA056D093FEBC6A6F16B20670736B0BCD00450037C61A8186FF981CAB791DF059780B8F17B0B83E52F7C69D2D4DFFABED72147C8C1480774100709269C2D81F54DFF5E6A0BAF0BC3DD126152BE3B9EB17308C16C9301A4A6B69';
wwv_flow_imp.g_varchar2_table(66) := '1E3C304EEA7589CB87DE1434F01ABDFEDB507FC06EBE7A0EBFD3EB606F6D26B31ACD83454D025204807B403FC8CDED6D72831A523D71776B33EE4D7D25E0B3F0161E2F6031355CFFD26D67C7571E6FEC78180304F0CEEE4E7ADAF5FA7980CF6127564D3D';
wwv_flow_imp.g_varchar2_table(67) := 'B5241EC6D1594350F742AA94AD4A6297E14208FF6E9E34DC3B5BE71EADC3907BA8713A84E2A0B7265AA53BED05904E041D8099F03D8080A8FE33A27194214D574261C6225E27012873686B2B494011C2DD6D2D30036A5B7D3EDFB700CFEE9FFDB37F9343';
wwv_flow_imp.g_varchar2_table(68) := '0DB9B06B1501005477896BF009BCBBB76B96B65CACDDA7C0AA9E000F835E79E73170073BE5EEEA6C192F5CCB13863E39D01D08031ACE435D20F50EC1EED08FFD36CF22C0EEBDB7530EA002B02FF325D994F5A2ECA9C9A240ABAA43BDD4D8258781EF9F1A';
wwv_flow_imp.g_varchar2_table(69) := 'ADF747456006B4920C1441DEDBDEFA7FEC9D05701B4BD2C7F7FB8E999999998B8E99E1A16399F119243B323DD20B3A32FB3199290A9365058E990B8E999919F7FEBDFD469B56EDDC5A5164EF55B5AB7EB55A79E3D99A4AF7F4F434B8B7F7545F99B9E082';
wwv_flow_imp.g_varchar2_table(70) := '3B0147291F651E40B9B57BCBEB17E1DD9E61B3DF20B700A2D9665CEECF65534E520A4218B1E786D9BD95E2EBFD16615C39D8D4FD23ACA7005929E4EB8E4380B30FE3F2D867C6683CD12138F4DF430140F86BDC85AB5B08313F2BB000A0103AD502D09FFF';
wwv_flow_imp.g_varchar2_table(71) := 'F99FDBE397BC6271802D80200EEDA253801E51A2CB8A8CFF378822A03826244561DA705BF6E3324700CF490511D61E2CA80F019715B71E6702717F6C771B6D85701C5AEFCE501C006F93BC20A97DD7B4B8537D359700A7BC28651E40994E563F05C77FDF';
wwv_flow_imp.g_varchar2_table(72) := 'F53DDDD202C8A490DFEFEF8F03853B341C58F6E31796827D5F6FB60409DB18F686A2617F93DFCD8C8DCF9CBF201540071C96FE5C901390AC80055C97B105B825197B1B7094F252E601948554C57D677A62B72E0DF00A671C5DB4E72505B037C5C53C8D30';
wwv_flow_imp.g_varchar2_table(73) := '0677FEB50B661604B4031365B911664C9C4B471FBB120A5100E407E01A0789C02DC0919DAD1C07D05F9B778CD29CCC9345D013FBC5D440CD0B81A394978D184449C62E5AE8AFFDC74CAF3C0624876006E66E366D5FED3949286911B67C98AD68F489AEBD';
wwv_flow_imp.g_varchar2_table(74) := '45E602C8AD8568330EA8D477F8F62441DB09E1EDF77C102068DCC33B5A480190C093F00356048B74DF5BF391A5EEC6070347292F1B3188D259FF3044B77DF1ACD3000E09060BF8EEF860BBC905907BFA7C346012D7A0337B7C1EE342202470944CC4C93B';
wwv_flow_imp.g_varchar2_table(75) := '5D45E4F7F3B81056FE6C4E218C1F818B7BAC2BDB304BEF282B0E5B39B8BD452843E40390E05338F03FA6FB6229E028E567C30652AAAB91ECF21B44BA492B001CE32334EA0264564FD01D7E5E8F6BDED33F9AEFF413125948D067BFB61FBE377504F12E6D';
wwv_flow_imp.g_varchar2_table(76) := '649EF39122FF7D1AC72884F3C601142B9DE987D01B072958C036098AF2CBB7B6553E01384AF9D9A081944C22710F6404A6B10DF80B600540C0114602979365BBAC853EB2FEEF5830454F01113A2C2041CFA41A49C86066D7815AFA4CF06708E27C3F4C70';
wwv_flow_imp.g_varchar2_table(77) := '5C29A0879EE7FE047D77E403005157D0B6AD90EF9A93186543D18CC61A325750F53B384DAB81A36C0C1B389882EABAF79AEAADEC998612C019B8F94F4F4762100ED9D833277BEA8BD45C019E0B5FF5D9A43F918E53F62185D982980FEEE93D0E20266175';
wwv_flow_imp.g_varchar2_table(78) := '182BBDBF15E1BDBC3962E4BA83C6B1671D07EF29DF6F24C10C01DE6E78A71F5C0F80851F96D01F10C6DC7E7363E35D80A36C0C1B3CA0924AA5FE7FBA67CBBBF01FFEB3F8CFFF0724BE50FD7FD956DBEEB83342C9CF9E55F197F7DF61DD7C41BA130948AD';
wwv_flow_imp.g_varchar2_table(79) := '5EB82DE5E0CF42F856AEAC738F0D76C0D9D7972F24CADB8A806EC4A613B0FD1DC51163D0F6055B0F8C4FCE3FCF0AFA13E6E1B3E813F01A9A1BE0281BC7260DAC4019DC73A6674B0D8A62AC1DDAD1F21D1C05FECB13BC80229AE66A5308FED51EB853183F';
wwv_flow_imp.g_varchar2_table(80) := '40C27E84F6FBAC7C4CF97051691858B714D65305535CC4EF4224DA87734193F67F2317E287B0004E4DF754362365FAFEC0D978149D8408707CB0F98D108C5F59AA02978A25AE1F424A9C3D9E7CA628F0AE42919082418D43DA32B0720246A11CDFD3FEF5';
wwv_flow_imp.g_varchar2_table(81) := 'DB93156F589D6CBF1B70360F4527210A2058084EB7EF9C2C55E0F1EF7D139D0948FB2D52B1903330B9EEEAC1746FF21020FCA087C71C3521CA64E9240681B3F9283A091180B2DE72E9CECF40508AAADA23845284F5B210024B086F78DE81692946824C0A';
wwv_flow_imp.g_varchar2_table(82) := '00EF19A84C8CE352BC93B917750EE380DEA9F3EFB9C1F89B81B3F9283A0911616DB87D1AC2F16FFF04C07ADC66571046B045DF00BF551722FA8C4086921BF5221001C724D81390187C0EE84624FC0A26BDF91B6BA389070267F3517412A2C260DBA530B7';
wwv_flow_imp.g_varchar2_table(83) := 'FF59EA7E9F56ED3313FD85826ECEF47135A9C7E1DD818C5003592AAC98C4A111A328387D393BD4715B2693B91370361F452721229C1EAF7F1804F3B7BC522608DB115BD8CA1DD861680D985AFF5034B21351E9F80D4AC6FC15DF87230A3F30815884A18E';
wwv_flow_imp.g_varchar2_table(84) := '0B35CF5F7FF4A7E0277341E64E68AE9133C7802563B6126C860BE75CFEB331EDF93E2C8FDF0EB72C13F7D991B8C80B20C580A2257F584D373E09384A34D04988082E56C55343894BDF3FD67DDE849F128D906947E7EEBE20DB3CF77EF24FFED903DB9B29';
wwv_flow_imp.g_varchar2_table(85) := '6987EE89E22C86FC78BC0538339AA0F0E28338F5B82F700A50F41850C96D6F7B0204E717D6E3C022CEE9E96F50A38DB1CB2E74AF8B5F0A6550EB1EDDDD5AE8B5CF930327900C7418790914A57763570541F710E0C294E1E2F9E0048514775469B49F058D';
wwv_flow_imp.g_varchar2_table(86) := '04543E8096584894E93B33DE65750662A55EB720AE22CDF81674E11D42C1D0512882F1B68BDCEBA10C9099E8290412F425407909B7262BDD9BBAABDC09342DA567C7002C08EB1680BF07216DC770E57A85C39D5F3936DCF674E028D141272162ACED6E7D';
wwv_flow_imp.g_varchar2_table(87) := '3256E32FD85B6CC5ADF78539FB39706CB01D825DE18EA089E870CBFB70BD4040C23E42F03D9EB9C013FEB9815ACA1B086C2F66CA96839002A0717FF51F8AEFFA402A7577E028D141272162E486B63E145EFAC31F184F86260581D0D0E11CA0787F5AE1C9';
wwv_flow_imp.g_varchar2_table(88) := '02186A264540B0C08F775CEA4EC4B7D067EFFB6BD1B27C09894239E11C345582BA4C46208E1407F2E5BFA50350726AC48B4CFCF3B1A1F8AB80A3440B9D8408924BB75D0467E05FF3270281FDF7E34595F1A60C3CAA3F785BB212427E893B066540ABFF28';
wwv_flow_imp.g_varchar2_table(89) := 'AED7252ADDEB1315EE6D3D54A6BCC52812D94E0CF87D0912A6A1A969446A75047E70324967FF1F59DCDDF200E028D1422721827C7C34718FD57467E63407D17042CDA8ECE05B346615C7F5E8EE364A09F63CFC0700B211A92681C58AE8A0787E4AEE2141';
wwv_flow_imp.g_varchar2_table(90) := '2F4AF99C1A43DF80C9FEDFACA5DB63C051A2874E4244411FBE0A08D1AF4F8EB0D79E8490C2722190C22188EF5920437B0898EE4271C149FFB3CDBAE0E7CCCA1F5AA918902F820B9A50A7E27D99D10BEE019CE8A1E8244494DCD6ADF7CAA53B3E716AD413';
wwv_flow_imp.g_varchar2_table(91) := '5A4ECE19EB2D10B62EF70C77EEA5FB12105EFDF3F3F7F8FA57580D03C089268A4E428439B1275E8942217F940EB9B8F4CC8FD863FAF3C13BF2DF950F8C0784023831DCD9079C68A2E82444989B53A97B1EDADEFA230872602C800CE8890351EADB724A60';
wwv_flow_imp.g_varchar2_table(92) := 'B0F708084FF409EF1254A20250540128B397373F6AE5AA869F9E186C37AB2BEFB1693F3E9A242137D976A2675F8E304941051E7D6E459E280803DE0A1225ACFC89F3AD00145500CA6D0395CF461F815F20628F8EF158C8FD6ABD22B63F3B9C2F130E20E4';
wwv_flow_imp.g_varchar2_table(93) := '4171FF7CA210982D48F8DB08DC175390C4FEEC1FCF510128AA0094FDFDD54F9FEE8DFD9C4A67EFBDAADEABD5CF4EC12E5F01149ECF93E77DB29FCB6FE1795C65755E7BDD41520C844810CAD99B87DA3A14F33DC0F87F394705A0A802506EEEAD78CE141A';
wwv_flow_imp.g_varchar2_table(94) := '659A4622995453FE286F0D647DA123931F7053505801F459082EA2F14204971B8178A5C1650520B39528420194BC0550540128D3F1EAE7A37FC02FFCEE395568A9D5044B808432B091A8AC00CC147D1C18927B20BA1381723801155500CA74F7254F87E0';
wwv_flow_imp.g_varchar2_table(95) := 'FFDC280026E666D0DD672D307847B608CB3FB32E071F9E0B2A223ADACDDF8BE798FF9AAB004A50008A2A00657657EC41B0007E3CCB0D45F34C81BD573751334F32BD03E303F285458169CE119A556839E613453DE533E5B200145500CAEDB7F7DC07ABFF';
wwv_flow_imp.g_varchar2_table(96) := '8FA405E0B37C45ADB71DE0DAFBC1453E20C0A2B7E0499065E540AB74D10547A15038B9684F3B3925CBA500145500CA6C3F2C80DEAA1FFB0AE08EABB907F37D35C8E0437351CACDB73BFAB8538F9762CC35028DC208266E2D4692C5EFA8B5F77E90A5EF65';
wwv_flow_imp.g_varchar2_table(97) := '2D02137958BA02505401E829C0058F85B0FF14B100F92EBA81D600BAEC2EA3C1E7D1415A958DD0CB7C7E73B563531E7E7B71CA185CBAA21E6DC46BDDE383DCD1D85E4CB4241F80A20A4041DF40CF09380B819BE9B12B0026E6CE5FD1E8AEC0417878E765';
wwv_flow_imp.g_varchar2_table(98) := 'EC1F184988E3B9C26B016C15B0F0E66B081C87D01FDED10A9F4303C6E676DE87B850A86C54626A06701312CE1E1CEAFC7B764F3C059C68A2E8244498E52B9A5F05B3FF370B5736D22A0FE18325D05F6B5702F87E8A9E83C5B0889A7F94EF7F74172903F6';
wwv_flow_imp.g_varchar2_table(99) := '059CA608C111DA0274893460C2641CAEF24AEFD5085841F011591F703AE2EFF21899AB1ADD9C356D38918F3EE47460743A4A77CE02279A283A0911663619DB8995FF1F33F214C0AE00C08CA1AF1642CB2BF67C7F0D99EEDEF1E1FE6B1AA1189ABD7DFCBE';
wwv_flow_imp.g_varchar2_table(100) := '14DD37D18A4E57087C9DBB3050CB7DFB49E8015DCDF814929C4D87772F36478AA74713F4FC6732D7B7DE1B38D143D149882AA9D67BC3E4FEC45CBF147EBB1260419DEBAF93BFE7D51BC4DC6902F7B3722B41F7C67A00818A85F7FD5ED52099376057065C';
wwv_flow_imp.g_varchar2_table(101) := '0F108AEC3B27F6B4BD1838D143D149882830FD9BA77A637F281474DC93A0072A04C6A2303C472261841FCA80AE96BF4790EF6176A0CE5DBCA2C13D9E2EBE2F408EDB85FD7335DD36E9BACEFF012752283A0151647E60CB23667B625F24D3BD5088E7AF6C';
wwv_flow_imp.g_varchar2_table(102) := 'F2CCFB424B600E829A1764FE2E5C71D073526948CBA1A79A7A06904F60BD2DC2021A9424E8FAEBDC50FBDB81132D149D84887173AAF19E589D4716207833528841B53BC7EDBE82F7FEF43D04D83B35B0FB0D6855A77B425A01E6777DAC1C480151EE41B8';
wwv_flow_imp.g_varchar2_table(103) := 'E0DB9501FB022853B1F39BAB836D6F064E74507412FEC3DE5900B9CE1B713C6566E6A1320D97DBC77017C9966C8773C93133C3C7F4288F99999999F90D96999999DBED7A1DCD65CE811E177C33BF914C974493FF6AB39256FF416C49265F8881B7A7B776';
wwv_flow_imp.g_varchar2_table(104) := '25FFAEDCF9A162DFD65FE112F7B6212303F42C9EA3E3EE21F720182750BDBEF22C48F819310374FBCBF1377F7DDE64A1F951F909BAB06C834B4B68E2D1D7711662F8CAA3C91722BEC9C7435526118FD996F5EA95ED913806FC4ED81178256634042E0380';
wwv_flow_imp.g_varchar2_table(105) := '6255D755996B6890CEE1F3CA1828773F7B9C60F079123F4DF419E60A422A5D438383F9052E2DEBB4EFF92B4E2ABA88FB10C6E1F4F217203E8FC9C36B844964CA9429CF958C25173446EFE170DDAFB62BB77F8CC1DE3F6F0051B119D9D9AFA2FDCD2327D5';
wwv_flow_imp.g_varchar2_table(106) := 'AA0C81DA46CC9E63406B16CEA7C81BB06303BF5ADE597679F6D4A91F467C1E9383D708934074EEDC97EB8CC525E75F3134ED8F156103D6B496C0B6024246F1D26CBFED4E743EF7BDB6D03345EFC4052850B87DA03AD7B022CD0D38335F0939E732E26124';
wwv_flow_imp.g_varchar2_table(107) := '064168EF821EB8B81CD7222CEBA6598276A6A2D5DD15103105488D7D5B30F6306333DE6E59D68B10DFC4E1E135C204616F8B6D1515BD51D3FC4528FCFBA6AE81A1714222E541014B1AA3E401FC1B5E80AB27DFDE57618B7CD0503C5CEDD451F46834B205';
wwv_flow_imp.g_varchar2_table(108) := '0E091CFBA7893F071FA5601F2D145269C6B04EA53BF9480B91B3F7A7ADCC5AD4FFA0146524FC141EE3B5AD3892910C1960499D3E3FB685DD06BF460E6BC5C5B38510AF477CE38F87D708134151D1BB50F4ED26E757D517DE2E339148D4D0615E5D8444B9';
wwv_flow_imp.g_varchar2_table(109) := 'BD7B786EBE0AF0A9FA762758988EEA9765117E828C026E048A6B07EAB245F15D6B09DC63FCEDE9F4612DAE7C831750F01797F5D27D676838D05922BCA9BF0A4A51FC4143402C6882257488060C6A13AC1386AE9D958C7D74D6AC592F417C1EE387D708E3';
wwv_flow_imp.g_varchar2_table(110) := '08E7C5C582B3AD0667DF0C4AE17CB935EE42190489984843DC841479034964886B9F35D8376C6381C22F87A34F3764261575190014B74BF419C94350E0DDD4BB535A719AFBDF81B4AA0D49C8FD3F8979032EA49AE1E013F5F0486D0C82C2EEED35F599C1';
wwv_flow_imp.g_varchar2_table(111) := 'C2E380509E00A7326848909CFD50676CEEF4E9D35F33658AEFB988CF63ECF11A611CF0EBFEE952637B51D0DFB3A4EE127E3E24E72090B82960A022E8B8E8DD43A2F5AE48BF6B1420A7BBBFA3AF8C16FA9C4261E64D0786E7CE14D80108DD7A3200EA595A';
wwv_flow_imp.g_varchar2_table(112) := '0948F5161C456884530B1AED9D8161635F25D4C6ACF467639946AF105F10CC7F4530DB88F25852D75F89F83CC60EAF11C608FC7BD6DCB973DFAAEBAC1C85FF75E5CE66137F40EA485EA3404620A073280D08E82D0FC2FAF6B813FC43DCE24E0E89FA97C3';
wwv_flow_imp.g_varchar2_table(113) := 'CE876B9CB5010395B0DD3EEE77097F98C941DD381986DAD375C78BD8F3581D1C7EAA81160D6DC7F7D05D1E81882148F8168A3E847553E7398DA22534C2A9EB36CA60FC0ACB5B92F34F203E8FB1C16B8451C2397F9910EC3386CEF7E3B1FD25FDB3726591';
wwv_flow_imp.g_varchar2_table(114) := '82BDBFA96B48EE7B25C712AF272C1D1EA90CC1DAB612D8D45992EEFD911C01C29D1868DB8F99824EA53A298B0F8EBDE7163AD1A6CEE54D257E61713B45F3958780502292DD8F35C03E127F3D6CECAD828EF23084A5AE3E039501A1A9DFFB746CE988C8DE';
wwv_flow_imp.g_varchar2_table(115) := '2E6828942150ED44189CFD546A6C95D459D28EAD24A74C7921E2F31819237CD0C39A3DFBD526639AE0ECB4A1F17F3A412C47CC16D6B30A3DD779E519E43116322DA488A1415BC284C7AA82B0BC2506EBDAE368109C25BF7B71B9EEBE872BEDE9BBE482E3';
wwv_flow_imp.g_varchar2_table(116) := 'D6DC7079455FFE6C40B41948EBB016F85CA4F1FC5612FF91A7EBB1A7AF856D0335B0A8B514704893DEA7549F2F2D62F5D943A6A0BABA16363385EEC2D566E660FD1F068EA608C67AD0F37A01E21B3E1EC37CC08331F65A5330BFD4F81E12FDA08B4A916D';
wwv_flow_imp.g_varchar2_table(117) := 'BB6E0D113BD6C9E5B7067BFB616365040A05471883B8A94343CC80AEB220CC6B2C81353D95B0EBD15A38822E386D25B60845BAA88DD6E55F422EA690C52D765D81C72A398812B9AA13782D2D7CE442AA056946E3D284AE7E2D45F4173427A0A3224AC13D';
wwv_flow_imp.g_varchar2_table(118) := '8DB3C2310E8DE512B5EB5C66FB2A94815506D7D0D9E70C8D3D238A8BA5F0FB3F6659D64B11DF98E2CD03F0904545EF909C0F181ABF2B39FB674092D81585DDFC918B5F190057AFA8826A3A63C0FD58623D6A0AA88A98D09C08426B69185DF1103C5A1787';
wwv_flow_imp.g_varchar2_table(119) := '794D0958DC56060B5B92F0686D1C1EC7738FD5C560497B19EC7DAC8E3C06DC1D080377ADE8D263D4FEC97AD8FD682DC51236F657C3CAAE3248E1F30F6324BFB124088980248F45689C5E573AE2241C4F48CBEAD64702061943256E2C47D5160129D0AB90';
wwv_flow_imp.g_varchar2_table(120) := 'CA38FE16CB0B42634D8CB1F723BEFC7814B8C1C3762FED317C83F307C8DF02528CE44BABC43F2A327E66A863225310CA20687EDB28F8E958725B281A84A44EBFC3051F341E091464351A8CBAB8050D2501A88F0731621F80EAA8099561132A90F2880571';
wwv_flow_imp.g_varchar2_table(121) := '0BC56B49085926FC8BBDAB00729D37C22E333333737F66C63BAD6459769247651E2E330E9599993B501C283333F340B90365A69B6A9FDE37BFB363E5649D5FE02E6FE69BCB4B1C53B4ABDD6F3FADB55287BF3BB265279919BB3F7C6C183FDFC789ABA451';
wwv_flow_imp.g_varchar2_table(122) := '6703F7829D92D5F4B792D4F73845F328E258A3E3CD3598D1E7FA73A9D4634B43DF7446FF3D63B68AC289194CE6C072068D85CB6D47905A6204A9D8DE1F9C8640701E9A11BEC7C7DB57573343F77A16D781E38AF07E60F07EE15C7E5A6A7D3F75EEB9373F';
wwv_flow_imp.g_varchar2_table(123) := 'D393851EC51AD3987E638DCB6E6E6EDEA4D4EA7156D3CF2B4DFFC1CC9235EB6B69A83167102F85C9FD31E2FB48FE0CE826E04CFCFBB90047E24C8A01F3F6C9FB8D3A01764696D4BF4A4D9F76448FE1B4E0C1C71C73398F628D80232FD628CBF3AF6FB57E';
wwv_flow_imp.g_varchar2_table(124) := '021BBE9C99467296CE04C2DFED06F4C459393B76D5C5E154B273E918A0D1E76B9ED496A3946CA3C75F4BC4D7957C1F731D6F6C7B4BF4E14AABE7944A3D6A63E3FCBBAE65C68CB5149809BECB5BA2D37921CAA8B262D0E5426F9BFBC7CA850C9E29F737CE';
wwv_flow_imp.g_varchar2_table(125) := 'FF3559CE6478E80CE3C3F54907169BB1B5E013F250CF880846C191FDC395E643A5524FB74A1DE751EC65ECD90B374A9D6FB57A33B3C61E7FCA98E5B28CD399D6CC387B1F8C1837D01B6EC0705EE4F5C8E77B1BB063B408C27135DC6F20D3A8F6DA834393';
wwv_flow_imp.g_varchar2_table(126) := '86B98CFF384DBF2C899E575F74D1F53C8ABD883D77C195CF032BAFD3E71F9F8D9E71340C03C63EB266C0FD32F0DA78647112C303E45FCE35B5AFAD55E1D82938DD187B482D067E1326339B903AFDB732F4E54AA9E768ADEF5CD7F565D63A805D86073FF8';
wwv_flow_imp.g_varchar2_table(127) := '98CB554ADDD16AF562A7E937EDD2991B70C619BB50E7E6BC194E4084A442079F8D480A910F37A803CC33D803E326DB61C2C8B1BA907F03FE2D702EE38AF75F7329B3ADBE6CEB11FE6335FDC0D2C6932FF02A4FEEDFC0D5A062FD6F75FF5D143AEF9892D4';
wwv_flow_imp.g_varchar2_table(128) := '7B2DA9BF35D66CE58799694E8007F2A8EA2F129AC70CEC4C96F10E45C42511A0AEE73E2559CBF7BF1D81B5EF0F87FEF7D937DAEEF7F99F25F563760446A9074CBCF2D3A3D8ADD89517C572504B745609B9AEC16C6CA4A20EC836983A2F6CCDCFD1338C03';
wwv_flow_imp.g_varchar2_table(129) := 'DBF08CD8276F8E3B29BC17BF678B80D419A00703CEFFA08F000E1D760066D63EA6577112BD6B45C8C2350978B16FB9D5109D52697A29ABC1E2C49ECC0B756420A4CD3A4DA9138C3B6670DC0127EC273B3A899084F2F5C455C9D108CED70D2478CADDCE19';
wwv_flow_imp.g_varchar2_table(130) := 'A03F117B60E48213309AE1FF5F4B5E40DE3BA814656AF47163D47D89CEBBB147B19BB02B2E8257E619A2075BAD3E5F19FA0388BD2479AA3571E14A070B9F3FBBCF30B8D602973EC6BE9D0390FA00DBEB9CC191645C7FA6031885B502F87FD419E33BE36D';
wwv_flow_imp.g_varchar2_table(131) := '74059614A353E0C4E0EF4F3C2C89597F1A9017FFD792FAA6C7CBB5DE38CDA3D80D58E9933FE9A493AE64D8F089BE5069FD67C73F62CF70DE99C4010C03185EB69AB55F2C1D1E1271C708B28C321C9430AE38DA0D43E46739111A5F03F6C7883A7997E0B8';
wwv_flow_imp.g_varchar2_table(132) := 'A6162F19FDF34AEBB7B90D7D9A47B1CA58C993E625B956A987979ABE5D69FA5B1F220DDBCD1391F3C32CC425A9DEB3BF8391CA997F58765ECEB8E23DE39195A3B7BAFE4C73342E571014D75C0C92C2B023692ADC6F83E8E8F7A5526F2F3737EF718C9718';
wwv_flow_imp.g_varchar2_table(133) := '7B14AB86953B61A28DB34AA33F8F261CF181B672C0004B289955188419D143FE77F6B7CA6AECB4985167661DFB4B97F34A7E626AFBCEFD416894E700F0F7A83994BF38522FA00B2FBC8347B14A58991335C65CD3101DB09A7E8BC1BF4D97DD856178367F';
wwv_flow_imp.g_varchar2_table(134) := 'F8F0BE773E7F24A7863338386E0E1BFF418F912DE5FEF93D193A67918A987DB19E403A14679264C16239B5CE223991A2C47902FD0B6E5ECAE5E77547A001C14F8DB1A45EEB84D13B339C41C93C719511AFAB836CECC343887CD984C1CEE900E4CA200CB1';
wwv_flow_imp.g_varchar2_table(135) := '1D4707ED74615FED925702C23845F93238111DF6BDBF717CDC5E151E8C1D864B183BB8BE146E40F47FFC5F49F46A632EBA8D47B1EC58EA933BF7DC73AF516AFD88DAE8EF80D90F483680E41F2F3FB79FCF4CDF97E760D41D86CEA5313933C238EB1212D9';
wwv_flow_imp.g_varchar2_table(136) := 'EEE3700AC0DFEFA3D6C3FED9982655AEEC5AB78CBA8483E1FDA6DD5FB11C99FFB226A0B1F1CEC4ED6627F88D9B8EFBD6B50F3E47E7F9299AD00D3C8A65C6D29E182FD0E0DEFADEDBFF95C3CC5EEABA5C36BE1D5DC8325A5C7A9AC9B00F1F75C84128EF19';
wwv_flow_imp.g_varchar2_table(137) := '5F0FE7ED07D9099430AAAE10395E793838A9D901C87BC3DF0BB081C8C3F1F83B3B75B838A7D05711C70DD2EB6EE152E7822C7E0FC6CDCE2CA19B51DE0480CF4AAD3E6136378FF7289615CB78526189AED66F18D972AB819ACBA42AC00660EA7391E034F2';
wwv_flow_imp.g_varchar2_table(138) := '9C487E030E69A4074615CFA0480F38BCEE75FD6CE08D0D5AFBCA20C4B7C8F93B88BD64A56252243109E73E9493ECE01BEC30FB070741F4CDB2DC3CC9A358462CDD09318162895E00714C7C014DE77BF0EACB08CC92732E3F76371CE1599C073B1B32CFD2';
wwv_flow_imp.g_varchar2_table(139) := 'FB478EC3EAB628A753A2ECA0A8E3CF491D492B6AFFFD7AA6C4B61D11A0E77FDFE727844A84C3B68311AF0DF423A890C4CF2757AFF12DDF69EA761EC5B261A94E86575F59AD9EB003910BC8A7A58325626363E3EBA7C6CB5FA3DF2964B2147AF31F9AD488';
wwv_flow_imp.g_varchar2_table(140) := '5678F63ECCE8DF77FF18868FCF20A395A41C636ABF07D909344E3601E5DF03D101F26F46485142489E44E642D4038EA23646E8088673B8CE8448805F0FE604883EA0B5BE9947B14C58AA932989CEE327EB5446770D802117C63032FACC6939C06375E648';
wwv_flow_imp.g_varchar2_table(141) := '8EDFBD4DDC999583393474DCC16B28E4F8EFC40552ECBEFB4661362C351C40A711D526940119D8271B3413846DEE8423027011A151271F338DA4954043D25402D2EAB03D3BDD6528C98ED8A1907A39F79D5C3705ED00376BB49A3E250645CCF8E2F96E7A';
wwv_flow_imp.g_varchar2_table(142) := '580CA2487E2F6D496A64F18C3414C6CE5286E154711DBD04C25F0345A2E5D76C3430EC583A812802A541DC7F768A9DCA46FEFC508BCC75711E04EF453A0E27390BF420E4F4849DDAC27A1D0891D31FF989C71EC5B260294EE298073FF87215D11BADA6AD';
wwv_flow_imp.g_varchar2_table(143) := '9E375FD48A754F12481FC985CBA33238467251D292002CB90C5319703C9590EDCA6807C0E70CA7353AF1CCD0D2A3965F49420E0BA284E14C3B4287F39BB19A134E822392FB84A8262612CA06A21A79EC384705C7A5BEAFD4F9B7F22896014B71125A5DFC';
wwv_flow_imp.g_varchar2_table(144) := '409653E266E6087DB06D8E3E40E6BACB8A39909D58362C8C5127975C9B8851A0768F6DE4D2DC582501CE3DA1F700547E003897AEE8801D107FDE7B160FE5C35246A6F83C298A2C893E69CE3CF39A1EC5A281178B8331B72C95FAD2CC419660E0B518AC7D';
wwv_flow_imp.g_varchar2_table(145) := '6AFEF95AFAD5879CCDC1B44F5C10B958C26CD75D71C1EC0A3EA13D23A33D9725C59FB1F1B49C8A618560B4BA83597F1C6991DE671CB898D887D396347934F6071D4277FF81202E429974D6C35DFE5529F5AC3DDF728C1B3056A45F2A6F6AEE8AAEC642AB';
wwv_flow_imp.g_varchar2_table(146) := '8DEF0E4BF6C49F7B0743CAA9FB2F7E119328F541731F8C17A4A1B35D2545182C9873A8EDE2F728A1FB31187FDE96CB9396D45C4AB4A21418AEA3F3D98C712930CAA44CA8F23D8BA706EA27C65C7C4F8F629158E8C189E8EE15A9DFB73D7C2C9F4BD07CE3';
wwv_flow_imp.g_varchar2_table(147) := '474C3448E4C265DF3070C71586786F7C03926C2180D4364F362D1A70E0FE8A1059389E101978719213041F6AF3A320FD85EA4FCCEC5A3406C973CA31F56083F194EEA8915E80F09C15856E5546BDD6A358241676605E3F6D891E0303CC67595BB5EFFC72';
wwv_flow_imp.g_varchar2_table(148) := 'CFE2C93AE91C8667ADE12CF17AB6B82AB3763E7136E63858C5C7DB445727B291837B90CB80A571C239B0A3080F7419E21AF4CE233222261F398D8A7F1F2A44A21F2C5A1BB0B003D74ADDBCD2F4F5C8DAEFDE041F3C78867437B6B00406B352F9BF3314BD';
wwv_flow_imp.g_varchar2_table(149) := '16F4C793D7D617B5701E50008E43A98F0D201A45F036E00D9052C9454991C8041A8569C2B155CE9D9FE43BFD18E2FFE2FCCBFF964A698F625158D8819D529B8D2DB7E6F998AB58FE3E421E1AFF31F114DFCC2845CB30FF68E6FDC3CCEC19E2AAA60AF791';
wwv_flow_imp.g_varchar2_table(150) := 'AFAF36331FD3D5F91BA0A5B73C2E18FD0328F5E62FED46C97229D22A7EDF2AF5B2FACC33AFEA512C020B39283F73BF32F4BA5EEC6EA9D3077452CBEF48534D118E1F681C16A0E0FDEC3C1D4D39992DC6F9BB39951F65680EE22EDF894A31CF14938E7260';
wwv_flow_imp.g_varchar2_table(151) := 'CE63CDE0243B572AA62EF7EE73ACF838181EF2D825A9AF596B6FEA512C020B39283F6CC16AFAD5D0B37EA4FB4B82578EA41E612063DB6CBE004E8381565AD0CD87D056A7F31DBD8D357A4E597C0B2FFA69ACCE58A351468D8DD1E500C2D38449A83C63EB';
wwv_flow_imp.g_varchar2_table(152) := '1EF03A77AC5CB28C792235090343281BB7AA8B2F3EC1A358041672504B1B2467E751081D339E799F91BF2632F93C082C116367AA3107263BE4C8ACBB1F5546462969114D8FEB3C3076FEB8C32D6F85BA2E23CD8A9C3BCA805AEE038A427420EA3D1EE00C';
wwv_flow_imp.g_varchar2_table(153) := '52CF159C08FF2E618523EE5DB67230C681408ADD9250D363B046604FAC0570444FEBF4C21E4933543E301327191B1EF335963350464F3B0862F60786386F00F56875CE6ABEFBEC1F71B4D1672155AAD130A29F6316CFACC5F3FD610314337FD2B313E038';
wwv_flow_imp.g_varchar2_table(154) := '92AF57CAB5C147B193E67B075DC928CE11654D40CD740AF89E83070F5EC5A39837F062AEA848BD3D266F9535DD3020C2F25328CA461E29B34E96B008A940184C28E7081637DF70F9FCA51211356E186A6ABD9A31FB51600ECFC24B5DB176D49A93483155';
wwv_flow_imp.g_varchar2_table(155) := '449189B50221FC87F622DD4161F561ABEBCF6CD2CFC5C70048C959DBA1B2924BD262FF3FE787DB7814F3C6FC0F581497FE3F79671DDDB6D2AD7D7FDF65666666BE8799CF09344E62A7DC349C86B9CCCCCDE1F3323353F93233333333D3DCFD93F2ACC87A';
wwv_flow_imp.g_varchar2_table(156) := 'E58EE4CA5AEBEDFDE3599245339267EFD93C46C83F9FFCE7295C344E345D5AD68A9901EE5C4FCCCC55E4AD96C55C9A1B0ACC3B33E8D3CEC061C869A777A6E15BAD4FF0BBC3488578B59FE8F97CBC2E12AD55CDC7EB3AD37E46A6DDB1CA18254504E9CA9D';
wwv_flow_imp.g_varchar2_table(157) := '4D5900B612B1EDC83D2986D5082C28EEAB0DA5A2517883B6F4F217D80BFFAD57144CF0A58A19DCC0CF9C5BED405521CA93E8E95F866013DE55A26762F8A91FD65E02F1AFAB2051550D7CC7720DB143A49C03D1B6CA6DAD013ADB415BC67EF02E37ACEB0F';
wwv_flow_imp.g_varchar2_table(158) := '03D44C2A624ECD608088BF11C92FCA24788EFA91DC9EDA593526AB5C38934FA36ED7B265C5FD9F4807B6B8FFDB4D05F8FB7A1F420B65CAF29E4C78ED4DB5CC261E0F06D8CDBB7D10F745449D6BDA8CA86A20E292BD4265BA72F3DBF3FC812D9BDCFE5D3B';
wwv_flow_imp.g_varchar2_table(159) := 'DC917D7BDCCCC4180C20383EDADFE70EECDEE90EEFDDED4607FA391E80A49D113BB76D70C04D8C0CB9E1FEADA80B7EA364463B89CFE5A7636A331A329CCE0097947118CF1FF11784490C438F3DA78108C26143A96814DEA00DF20749FD6DB856BF8C4105';
wwv_flow_imp.g_varchar2_table(160) := '33007F50899F1021B2DD4B0BEEE09E5DEEE0EE9D865D105C0D26B78D705D64C66E8E8B746E72DC3D7FE19C7BF6FC19DB9F70FD9B36BA0BA74EB8973DFB74D047114AB9B5D5EDD9BEE45E7CFABC7B61F9BC6D2FB8A7CF9C72FDC644CAEA670E4897632135';
wwv_flow_imp.g_varchar2_table(161) := 'B1B2FAFF97333D23A936C06A11930E5F9256DC481CC6FC6BB6EF4A285E925E1A6D3F6D28158DC21BEC6A6B5B6B2FFC2F86068369B4345647FE06AA9421B032C429FDF546D72B004762F4D913C7DCCB9E59762F19217D18ECF89EED8B5C1731E45511D9D3';
wwv_flow_imp.g_varchar2_table(162) := 'FBB35326ED702D840EC143D0678E1D0988FB90312788A17B452DE8B0BE202DBCF8CC05F7DCF9B301D3583E7DD20DF46E160328142A601A1AE8E206C6F40B87AA1E216E3FF6A96EA40CC4D4B90FA191382EA11047E05BB52A8139B4BFC3502A1A85375859';
wwv_flow_imp.g_varchar2_table(163) := 'D35A65414FFD49BE59581F5445216E360E4039EAFE054312828AC2FB33AD592F9D5212C0E2CC94DB6B332A84BE672984F6D98E0F0F06D781E96DA3EEDCC9E3EEC4A10388DCB9A6C5F22C9E891A005143DCC70EEE779BD7AF533BBACE8CAE6B837E3F73F6';
wwv_flow_imp.g_varchar2_table(164) := '74610CC0437CD881149EDDC8FD117BC34DE508A87D49287513ADE82B4C2BB6D848143F6328158DA21B440D18B50FF46F7C88F08FA8F5D127579389B9FE3C229ACF35861741FA5A82953F56EAAAAC1943FE65B51922FD3A01D2A945E086D57D8E8BC98859';
wwv_flow_imp.g_varchar2_table(165) := 'CC8C6F73CF9E3BE3CE1C3FCA391D17749F1075ABE9DC0D6721DAE77A74FA11C3FA6A252A7DC422F9BA5111E20C803622FD50BF12DBD67189E2CA8BD7F1D085A7054DFC84E73F9E7B2019F7D637E6AA888A6C23AA662449616368E804FC969B5163F0CF87';
wwv_flow_imp.g_varchar2_table(166) := 'AD349EA154240A6D8C6827D3D9DEA3C53E125242C54985DC97F2DA18D689A304B6061B8639EFBD624EB1ECB3F4FD2B877E766658F4E7A1ADBD18DA203C23A62DAECF74F0F5112907A2181F1E0A66DD53470FF33B787EEFC60D6EA86FAB1B360CDA7D18B6';
wwv_flow_imp.g_varchar2_table(167) := '204EAE5D9C9976DBE766601C9C23DB0C228F0F5E310CFB163D6610DC6C0CA0CF4D8E0C0786BE2D1BD66B21500DE2240660EDF7BA2EEB132ACA60F02E7D3C87BEF1CC155F7C398098C1167BF7B1A141B7303DE976CECFBAC5D96937393ACCB7080C8CBB16';
wwv_flow_imp.g_varchar2_table(168) := 'E7DDD4B66124BE1BDA3E6ACA95DDC4F8A834C024B807C43313659F907AA81A8A612C4910FE8DD402C40051B560106AEB6F5B5B5BBFD2502A128536D6652E401B0CBF91C83DAB5D7C34AF3856695CF4A70DADC78F24000388A4956636FEC572D013F4D1D8';
wwv_flow_imp.g_varchar2_table(169) := '3D3313DB10E7D1B94DF75E363C8DDE1F88DFA78DC8772ECCB9BECD1B35234264C1B5C74D34471787604F1D39C43D00E900824747477F97A18E7301E3D8313F17F8C2454C227E8813C23BBA7F6F70DD2B5F78CEBDF6E52FB917EC193C7F6E622C0C0A52CA';
wwv_flow_imp.g_varchar2_table(170) := 'B0DDB3BE1A30009E0F0330A2DD12480BFB766EB7FBCEBB973FF74C00BDCFF8C81092166D61B78141C1C8E827D7F0EE5CCF96EB01C7AD4FFB1A5CF35121C3F9187CFD92842785BDF61C638D32EA540B4A903083DFFFD8654BDF1B4A45A2C8C670017E3B51';
wwv_flow_imp.g_varchar2_table(171) := '4F7C007F36577EFAA2DC35FC01A198D6E9158F7D4946592A164304CC96FB766C8748032278C5F3CF8280A09E5F3EC7CCCA71081069002660B3F13AB76C0CE0801178476B0BB33F44C875100C0C00F00C101C07D2E921E8D366DCDBBC7E6D3407DDFAB1E4';
wwv_flow_imp.g_varchar2_table(172) := '5EB06B741F4C40FA3DE0D85EBB0602510873540280292161C0008E1ED8ABF680DD7B0E23A7CDE4232BB9146D01537BC6FA29E670E2F041B764D2CAD2EC340CB1A6DDC37BF7F0AE0D18073BA4AA297E224DF9F0587092261F7FEC06884AAFBDEB7B78567D';
wwv_flow_imp.g_varchar2_table(173) := 'C9C52339DAA4F4AFA6960E194A45A2D0C658F8A362EBFB27886F104982C89F3D5E3DC9CDA3E7C37DE30920696708EE8BEF273387E4D56221E83D66753F6E031E117872740891DB086514A217010584B07D7686199FEC3444721321ABD29D11A183673C1B';
wwv_flow_imp.g_varchar2_table(174) := 'B99E19797662DC6D35C6C1338FEE5B254A18C21E8879859011B5457010FD9CDD87910FE086E438333AE77856283184B1F1511500311F06B073611626C471B61833B96FD5DF6EF7E3727CC9667AAEE1199BAC2D11163106D363A3922E8CD9EDE4DD33AF91';
wwv_flow_imp.g_varchar2_table(175) := '0003D092631B8310E89E1506145B023D56A23C5E8300753079D1504F966418BE9C3C51F8D50DD484FFB4764F1A4A45A2D0C66CA9EF3E7BE1BFD707177144432A33170315FC5C377D524C18E39D25B083362436DF30D65EF60F1987F80D51435422D8FD3B';
wwv_flow_imp.g_varchar2_table(176) := 'B7435C8961B93012C4FE28D1CD4F4DD6180421302CFA103244C5351B57DC8948131CE3DEC3E601A07D3D171DFEBC791DC43CD0C93BDB5A253DC554805E6B7702696085B04F42E852336A88667E7242EA41D097E9F16D181C695BA9BF6693D9003334C25D';
wwv_flow_imp.g_varchar2_table(177) := 'AFFB1B94F6220BC5D4CB4C0C230F353698B9E947E3C6C5C68DD3F45331031407798BA154248A6C8C3880317BE97F8A178A80D8D296FD2E6EC55F7F8C00E73D6D45671E00211AC10FB8ED6604232008423D77E218842106804E2F06906449477496E88FED';
wwv_flow_imp.g_varchar2_table(178) := 'C088A79668F89693DB8621381133463A5401E21038069024EC5933013020121770E1F44989E3D6B77D2A0D0EF308881C42E63C528BD486E7AC2FBB16E6637D565FDA31ECA1EB4B7509C0BDA82787F6EE363BC292B93C47B0718881F8567EE277CA3C7F20';
wwv_flow_imp.g_varchar2_table(179) := 'D71BC814ECD3B00741750C754F884477A692C118E33F6E281589421BEB6AEF1003105104C40F2A39CEFAF996DB8E451FC6ADBE1E431291621B560279B0FA9F32FDF7C5E555631D7680C01076E16C1606A06B4D873E88785EEB833620864BE70613A323D8';
wwv_flow_imp.g_varchar2_table(180) := '102439708C3ED07600CDD0B22370ECA4F55516779887667B81FBF5FCA307F621CED3BFF87783E921DACBCE210944D0311821B68344511FF11A236E94C0D2B8EA6465F730F2C4D2E48CCBC4F5093348865D8A0108965BEB88563D56B62946404942BFFAA0';
wwv_flow_imp.g_varchar2_table(181) := '9507BB55EB011003F04A1B10AA031871ABE4B1BE7F033EDFF83D5EEE9FAD3FAA7307518C0CF6DBEC7A22241A1BF4E74D9CDE615200A1BF8B661378FA74405C992580E3070F2001D4942DE35EACEE9AADB916E6D3BF79538DB10F031CEAC4CEC579ACF978';
wwv_flow_imp.g_varchar2_table(182) := '21F80DD8472497FB111B418DB14FAAC0B3FA6DE7C82190BD434639F5194680EB92E7C22CCE1E3F4ABFA2464BF639A676E3FF87268DF4C951AC0FD813542A86987399247C598DA0CB9F882495379E66FEFB6533941B4A45A1B8866C111013EDAE33401A73';
wwv_flow_imp.g_varchar2_table(183) := 'E7F903863C2E1D89597183613C461C6E9CCF6ABCA0BB1C24FFEC3622432797F18DF87B06C69AD6A74C4A582BDD9B906066CB540C4006B9D0E21E06D6C8CD87414F6E36887560CB465C77CCB222386C007251710F4CB95665A9318E7547891FE9009B01DE';
wwv_flow_imp.g_varchar2_table(184) := '8290A1AC9C9B9D188B471CE28A84D961EBC00E828DC20C961BF02404C48E9B532AD02B5E78D698511D06D878E4A78CBF4DCF5B907F9F10E38C416A308E3FEF6E6B6B31948A42610DB5B4B47CBE71E45FF0135771EBE255922DB6F9A21CCCC8B800A50323';
wwv_flow_imp.g_varchar2_table(185) := '4A3323731C0221AA2EB4B087B320863A08DDCB00E40540AF47C787B9C14C60369C974471ECC07E029F6002103D04AC7E4094F42182D05889A702A35E389B9711E36136A11B100F81F59F7310F7319BD1392EA9609BD93844245C33313C0463B3FB4E05E7';
wwv_flow_imp.g_varchar2_table(186) := '143DA8F78721701F52C4AB5F7A2148942A7B5C81E90BC0F853BEF363008A080CC4FD8C63BA937BFEC96C6563B7A411D0D642FB267309FD3E1FFC2373FDBC748525AB8956E776885284275F38EE2F9B312730E4712CAB0AA06749AA8088F0B78BF801333E';
wwv_flow_imp.g_varchar2_table(187) := '71050C4A88CD08B74FE795D98721CE087E0AAB7E30A3CB288961AFBDE5293765FD444289270391CECC7BE34A7CBE36AEC09E719C1063FACBFD3000C510200DD0273C010046A367A31EE1D5A87D7FFD07598DC21E3FBC72F9E34B92C5270395848B07FCE4';
wwv_flow_imp.g_varchar2_table(188) := '043122F09F9D1DED470CA5A2505443C4003C692FFBAF7CBC8F14A2CF221D4060847BAAB085F43E318691BEAD58BD09048A1BBF445C61809089ED695500CDE2DCAF40206D3977D22CF5437DBD35E238DBA5B959EEE3DAB8414EC6C960BBC3AE6B7BF20918';
wwv_flow_imp.g_varchar2_table(189) := '925409451922BE23E6529D486A01C0A8693EFFF0FE3DDB17502D8CA0C7F54CF511443D1FEA079E118C89EAAB0813BD3B91F8D214788D5EEBCBDE8CD7FF531567DE0304CFE339F93302DA2770EA0D86525128AA212480F57CB44CB36E7A11CC4FAC4D761F';
wwv_flow_imp.g_varchar2_table(190) := 'CAB7AC5945B30D8346843B66A230AE376650112EFAEEF8D0005979B8D648CBC508C7F5893345DC0878C4C279F1C91FB0E7208AA34F23E633CB229E8B90A20949EC4F8D8E608CA33DD40F23EA53EA93251F1D81E8611E3022C286792E7A3F7DB436F710A0';
wwv_flow_imp.g_varchar2_table(191) := '44220F5177F481E301C85E4482E07ADC9D54C999191F85D06180F68C43C1F9E533ABD20ADF837B772F2EA8CF0979FC1D0911781D3C3FADC8AFF4ED4C36A32DEB822ACEFCB7E49144983ADBDC0CD29248B0035CBC25570D2E975BB73158F221BCBA0C8059';
wwv_flow_imp.g_varchar2_table(192) := 'E96613881A2C2D0571DD783040BCD432E8DFB29919D4DC72EB950BCEF160F053777F6DC277E2BD18EC1814C5009839B1BC43A43C3B34E885F7722C79A93019ABF04157837063BC0323618291D90A36067DE80CF5F468EA30E23AB33306C1DAFC7BA2EF8C';
wwv_flow_imp.g_varchar2_table(193) := '4878875E7BDE60EFA615EF47BBEE256108FB040145180083484218CCF8C820390F2415E97A7986FC849A8DE1AFE69AB09F4CC07175603550AD8B7D6F1AB9A16177B60CD13FFAF8E38F7F92A154048A6804A006EC6020A435CCF98A6C14A14AC46BD2FB18';
wwv_flow_imp.g_varchar2_table(194) := '400A66163580C56AEB05835F486400CC786B5A9E22375F0C80021EC4CED7A6074718124C430C40C412CB0C5CBD7765DB1D6B5FD74510737BB563EC848025324B8CD63B870C29FC9E4A1B8EA839ABCFACF89976ED126DA9EA39243FC3577895BC916C8B9F';
wwv_flow_imp.g_varchar2_table(195) := '74916496458294DD48FB7CCB5F2972C1D0221A6129B04FB53FFF25B8E9CD12E48630B5928F9DF39A81DE8530D32CAAE98F384B58833E8D6AA43C00220765330088CF88DB58FAC907D0F3658750DFB5CD0B9A21F5DDE48224B04539177E02EEC8DB0DA7C4';
wwv_flow_imp.g_varchar2_table(196) := '9A24F19A76BDCF92FA26098177D2DA0169EA1A220565F9DE09AB1AFF41B5A3E35B0CA522504823E5F2935FDE555E733D1F1760B8CA4E8A67A58A29D722102A47DE74A9C20091D066DAEF11125635C8947B7125BC376EB893853D2E65558AF48CF889BA88';
wwv_flow_imp.g_varchar2_table(197) := 'BE41B062AADE351DA3FA7E7C1157A494B6271FD738D2F1B42B53736D967C123DE31F2BE5B6070DA522504823D572CBB79B58F95B091FAF69A27CB9ADC5B53DF198B7986745BA57014B466B60322882452B32CC1210F68E85390C76480089C0901897B210';
wwv_flow_imp.g_varchar2_table(198) := '632B759760CFAFA26F9EE9DB8D4685AE8D95710729DCB77525415495471EBCD7B53DF544430BC310FE4BADC194FFB3C2AEFFBB5C6E2F1B4A45A090463A3A5AEFA30E60926EA6CA29F9660176B81623FE07EFBD0B3DD32BFE378FE8A3B352B85047B54BD6';
wwv_flow_imp.g_varchar2_table(199) := '7843CA59523602F44B8C75C4F9C7807F9FF3A9973EA77DBF1BCD5F59D75F8883B6321B7CF5DE0DD50400D95C85BA26DEBF76F7C0BD77BAC71E7E80B0E24CD184F21468C197D4CCB4AB93B6866EA9B2E05D1D6D6BFD06C0FC6AB821BA3D7CFF3DEEA17BEF';
wwv_flow_imp.g_varchar2_table(200) := '0E23CAB8BF7806E05BF146CB586559658777AB8B7A2A4FDC90A90295C95584FD350FE2B51B54F6AA5247C20BDDA31D1E06D01CF8B33639965CF31F29F2FE7BEE70F7DE759B856C3F992908285C0CB62BABFD091B02F71D2E6AB1D0A637804FD366E4A9C6';
wwv_flow_imp.g_varchar2_table(201) := '1940BCB452D9AB3BA2B7DD677FDAC3F7DDEDDA2D9045D7170FFFFBDCBC61B4C35BA3B01237364194F2A434C2745798800A5B82B0AC76D7874B356200DD1EC369B87A50BD1589E5DE6D0A9293D2F0B83C69C4FFDDEEAE3BBED33DF1C883714946F917F556';
wwv_flow_imp.g_varchar2_table(202) := '754A9DB21CAF50B4715DE5F5D56AF5330DA566A3D90DE001F8B8AE8E8EA30CF422527B990599FDEFB9F3BBDDBD86A71E7B98E3B72C207EACEEBE3AF4E8E9791AE010B76993E098CDD67EC4522E9500B09F76D1539E1577AB012DD0DA74661C4D32634B14';
wwv_flow_imp.g_varchar2_table(203) := 'E4DD777C573096EEBFFB365CB08A7BD022B6B9F70BC6D153E9BCD8DEDEFEA58652B3D1EC0660029F669CF30DA90C2139E8EAED66B0E10F03FC798F3E781F4CA1D96225DBA2A1750A1834758B91E0CF8680E21218041B1271F27DBEE01BF9F9C38A3A4801';
wwv_flow_imp.g_varchar2_table(204) := 'F5D7D257DFB827996012DDA111E2EF68B6F720B61EA118C0E33686BE53E389C9847ED2A71557F46A06658EC545D9FE6475CD935F6728351BCD6E0009E0738C015CD247CAD5779F407C8F9BC1467F1840874397CBB3EDF5152D509ACDCD251DB2A82227E1';
wwv_flow_imp.g_varchar2_table(205) := '60EDC6E528E292518E7760C66B24DA8E810F7166ED8F880CE6E3CDF0D4F3342BC7BD0E45D86E82C964450208A5803B5CEB138FD27F0ABDF06DB92EEF7689C2FC334BA0BBED96C806AC860CE04A2D0390053C621107AB0354E06308ABC70C3D0C8C58CE3A';
wwv_flow_imp.g_varchar2_table(206) := '96F287EEBFAB860160C5ED687DCA3F5BA79B0555658699957D4F41D0649D51D737CDF3A0AD44DB4A27DFA9F1B80B66F704FFB6A71A52E26ABB7CBBA490703D4B06B924C217A20CA499AA41CBE38F0452E4DD368E049B5088BC94DDC5334EDB01DF9EEF68';
wwv_flow_imp.g_varchar2_table(207) := 'DBDA6F537F15AAF27FDB1A9A8F184ACD46D31BA89A2E631FE3B7F4A2106F39885B0F3E44B8F4940DD0DE1E9B55562CC5EB59ABCD7E6F5DDBE52636F7B8FE75DD6E703D6BDD77B8DEB59D6E7C93C5B057ADCAAFC1EE6780B1BCB27BCA5C7F77AF88FE7781';
wwv_flow_imp.g_varchar2_table(208) := 'DB4D0578E83E2CE43725E2FBEAD3F91900E70B49504A981983449ADC3223B3564F8250A2D572614655AF6FBE6E5BD2BBE3453CF3878DD3271E7DD8DD79DB7762500E27943BBEDBB53E7C8FEB6A796C254CB83D18879B0D43EBBB6D5CF6D8D622212BE500';
wwv_flow_imp.g_varchar2_table(209) := '831B2A6EA26FBD1BEEDDE0B6B04682F5356010E172E062126C6BD71CAC764327FD8652B3D1F4062C3EFC01B9A1CAF6A2C7267BDD6BF68CBA371CD8E65EB77FD4BD76DF887BF3C16DEE2D87C6DC6BF60EBB0B0BFD767C84DF01DE7964DCBDCDB66FB2EB5F';
wwv_flow_imp.g_varchar2_table(210) := 'BE73C8AE1FB6DFDBDCF27C9FBB306735F6A6B7BAE3935BDCBE914D6EF7D03AB7B9E331D7F6E87DAEA7F561F7E8FD77BAC71F79A819B9DB85EBFD1031A2775E84EBB3825733656EA68A1D406D50465D26752B12362D06D0D4EF0F510ED8A4F386FDDBDC2B';
wwv_flow_imp.g_varchar2_table(211) := '760DBAD7EC1E70AFDC35E05EB1A3CFBD71FFB07BCB9129F7E2CE11F7E28E01F7661B978CDFB71D0EC7EADB0DAFD835148CEBD7DBF87EF3E109B7BC34E4CECEF6B933860363BDEEF0C456B7C7C6EBD0866E37BAA90AA38832B8309CB8BDFD88D9CF3EF623';
wwv_flow_imp.g_varchar2_table(212) := 'DE0BB0A6B5758D8501FFB67DD49F6F6B6DFDDE371D18FDEB6B1716DC95B3B3EECA99991A5C3E33ED2E9E9EB67D43C2B94B76EEB281FD0F9D9A32B00DF73F7832C47B8F4DB8771D1D77EF3936EEDE6B5818580F376D88D0FDC77C2EBEC0B29C63BE78FA65';
wwv_flow_imp.g_varchar2_table(213) := 'D4691BA26B64A9F3C80C9B1B64D0A35F596D3DB243E4123FA0EF156CEBD7F49BECED09C6E8B50BF3EEEAD91960BFC3EDF5E54577F9EC1C63313E4E41384ECF305681C62A608C32C667DC0718ABC7270C93EEBD272699EC7EBDADDC767B99C573BABBBFDE';
wwv_flow_imp.g_varchar2_table(214) := '12E83ED75CE8FFFF56C804FE7F070E1CF8FF6072F2A98F3382FDD12BE717DCD50B4B7CA8DC713982EBE766DC4993107AD0D5FC8302E45A662C2FD727C4288367CABE3373A2A767625637CA630FFCF8E586EA37785368B3DA639084B2FF576A2B5EAA3DD9';
wwv_flow_imp.g_varchar2_table(215) := '0E71787CB311FBECCD8FC733B306630A6C0D0963554CE3370DA5A251686317CFCF7CF9C553D3BF7DF5DC9C3180EDEEF2B97977297CF9A6006EFDD2F641B7B142A65A53D710F01424291ED5AE32566A24106FDCBF164C8DCFCECA28F4AA1811036746179D';
wwv_flow_imp.g_varchar2_table(216) := '2CFA991847D79AD499995AB0453105A9C2AF99302ECCF5317E726000480A26C106637E2971BC5F0E8ECDFCB9A154340A6DECE299B1DBEC03FCE155237C5E3A600267E79BC600E0ACE8685B7BA887977EE6F105D488D0D38AB3C523302CD13FA2F0587538';
wwv_flow_imp.g_varchar2_table(217) := '6E448BAA0A10BF18808FA17918447675A91AD3E7655D4FA316844955158F0DA11B971D1176B52EC772FD7E62AC7B7E695033737D8878EB9F435580E84395202E5170AF9E716AFAAF5E7A69F8630CA5225168631F3C367D8789417F78EDC2221C0FE82334';
wwv_flow_imp.g_varchar2_table(218) := '0B7C583C08A13B261E1FDF60E61BAEACC00F1C8F0568460A6CDCFB902E32D0AE95B53D946C9008A2C413D5CD7B37AE3080FAAE4F43318BB1D04F66ECFA1E8790F0C3A5B6BBB59478927BCDA088BDB23F69487D36E08D7AC3DE51D99D80679C7ACE25DFAB';
wwv_flow_imp.g_varchar2_table(219) := 'E36AE76FDE7F64F48B0CA52251686366E0DB643ACFDF5EF18A569CCF87315CB3B6E6FAD7F9747D9D4BAF331B444805243979DC8C827CE881FEAF9590399E145117B555C85ED024485AA821D0A4E33A16F748488D8955600E3D0BE1AA3B655FEC859E8554';
wwv_flow_imp.g_varchar2_table(220) := '80449028DD70BC6F7D37C63ACDEED2E57D6396EB1BB55B71FFDF7DE8CCC8371A4A45A2D0C62E9F9DDA6F2FFC9FB51F96FDDA0F7DFDE99DEEEAF985DCEC0047C6B7301BA6F03B8BC88AAA3C5CDCF39367F78C956B94C168686658773C83322CB525826D88';
wwv_flow_imp.g_varchar2_table(221) := '91221121B1611C452DA23621C712B302A7FA36B82B9EF177F1CC87CDEC88FBC0EE5D44DCCFC800A6FFE1436727EF34948A44A18D5D3C3975D608FCBF6B1840600F98AB6100579777F021FDE2574A06707EAE0FC34EDA993DF97CF1337D6E88BF13332C08';
wwv_flow_imp.g_varchar2_table(222) := 'DB4B5D85896B73E9CBE6F53D75DCAC8A1900F9878E23E510168DFA1025FE78A5E1F9FE755E51FFCAD9399BA462463D5CDBE7CD6D18320026B74C0CE0CAB1897B0CA522516863E6077DC3F73DB3038BA82CA47C40A08F95A402C051B9A661432081191876';
wwv_flow_imp.g_varchar2_table(223) := 'EA0FF0A61AF432AF7C9CC77A89DC23D49F39637A7372BFB5BC96CFAF9E3A5211EFC40DC2AC61366ACF9F47E16937EEF663BB2996BDC816683DC7DDC31B57269E598DBB952D60AC1AC219BFE63CE3F41A866D8DDD6C12C03FDA7D0F1B4A45A2B0867EE4DC';
wwv_flow_imp.g_varchar2_table(224) := 'EC2718317EE07B9FDDEDAE3FB38B8F685C741EAE5943EC1713085DE254F8F16781C7663053233DBCDB822DD647E3C763166E065BE82ED380D0B6F1595EBF7DCF41BCDD24FD3C2755215E128B6D5AC6136F377EDCB75A4F72D937E0ADD0235B050656A48E';
wwv_flow_imp.g_varchar2_table(225) := '98082F22CEB4FA8F3C019195853B6030107A420E421804F4DCD2C0CAD8995B7155B35F334EC504F45B0C2341F4C71330EFB321807FFED0C989B2A154240A6BE8BD4BFD9F72F9DCEC8F7DAF45515D39B750AB02C00812B8660251CB6690D2F822CE3C6F79';
wwv_flow_imp.g_varchar2_table(226) := '05DD588BC3F4D58AD238E3449B5E64F71193CA3DFBD69A471C26D9262F152289E874BF4F3510A165297B1537B88555711B72B12AD73EA10F7A9F740C20BE2438FD92FB56D7243379BE49A77BDDDE118DB5D077BFAA8E268CC759A1C6A57D391C9740E3DB';
wwv_flow_imp.g_varchar2_table(227) := '2705FC8B6D37DCB281401F3C33FE65F6217EF5BA1163AD0D606ED506E0319CC4667F2FE0C63C9BF666FBD6C200204C6619883FF74543745E8355391042BDF458CDA2C503C6254B79476A06E0A9A74FA45E6AFB46B03231C73CB107598A7226DF1FF91D8B';
wwv_flow_imp.g_varchar2_table(228) := '83D079F68737AF75EF3B39BB3A8698AC34E6EA4C521A9317C3AD625CB013488D00A14A5A3FEEE5DF3E747A72C8502A12853574F1CCF4BD86BF21BEBADEEC5EE7772AA20FB8EC99F87DAB2AC3C1B14D9A0D18A0894429A9E0E62AFF9631328596EBAA72F1';
wwv_flow_imp.g_varchar2_table(229) := '630451302A9E7310652E3EFC54D57FB26702CA55E8BBAFD1AC4A7E8B294CF5AE75EF3F69841A18A731EA2DB0F58FD3D83864E2B9A830E0E46BE3F8F7CBA7A6160CA522515843574ECDB55818F07F46A3ABA4575D0EADA63A868A508F98EB4A06622CB598';
wwv_flow_imp.g_varchar2_table(230) := 'D27EA0D77585330E2A005BF44206575A9D5783DC3F0B86A1B5E8B22AD755B84BD06B8328A010AA87C855A548EA4826E6ABEBE3FB3CFB66B200E7FBD6B90F9C980A2CF9D796773263A736EA856AC01C63BAD666E09FC04882FB2F33929F36948A44610D5D';
wwv_flow_imp.g_varchar2_table(231) := '3C3DD51988462BEE11083EC809C06D726111020ECE5D3B176EBFE7C27C80EF357CFF338BEE879EDFE97EF0F93DEEFB9F5E74DF67F8FEA797DC0FD8D660E797ECF782101E7FC6CE3FBBC37DDFF2A261C1BDE7F8A4B2F3183018991410C240041C0B075304';
wwv_flow_imp.g_varchar2_table(232) := '1C13B43E9E62CB99DDB5561EE05994E666110F083F38173E57CFD73EE0DCEA7E45BF854E6DB59F887542EC78D01703FDAA6DA7BBF6BECAEAB11854A1967D2F78864A8F6D59B736F836EB742EE1B9F8E17B37AED3391826BABBBE5122A2F7F36DEB3D9BBE';
wwv_flow_imp.g_varchar2_table(233) := 'F0AC1B7D2BAED1B5428F1D3F3AD90B3122BEDB585C08B300C199707BF57F793B0720698E388A6F6CDBB66D3BD9C6E8B38D1B9C7D7BBED9998D6DDB1AC4762146394E21B6DF9BD8CE56FDA6DD6FFADF6FAD6F3D4B9FDE716CC3771EFDDE8BF41ABD7917B8';
wwv_flow_imp.g_varchar2_table(234) := 'F794CEAFEE3BB98DDEA51FE95DD0449827EC0F1A0B92AA772928FD9FFC6F4269E88D4923EFA5E2030FB1F7316E103ECA23FF757E0902756FA1FC5A167B2F207D1EFD9EC3ADEE0D69E45F91C4FEF959CDEFC8A27A1FB7AEA7A06E2039BA3ECC8F0D2A181B';
wwv_flow_imp.g_varchar2_table(235) := '247CD854F3DCB4E6B7E5B15749417E74D08E171C9B6F3FA92DC4ADF2C9185F3BA56DC665A3B57AC292E2215389872D256E1B6DEA732DA5224B4920062D2D4F44DB0D96948929C55DB692A9A9E4A548AF417ABE21C420C604B69655CB10C7E0CADE3DCA30';
wwv_flow_imp.g_varchar2_table(236) := 'E6184A4D22A30D601B936CA5A662FCB1A694A798429C8C39CF84CEB9D0BE105A2799B25C815E9B2DC43C5B8BC056223424CF418DB00D0CB30C8D1073548925C4776D40B65BB2DC80F3E9443A07F3CF36315751A74413C63623DF6C1BA209F3BB6C635FB4';
wwv_flow_imp.g_varchar2_table(237) := '795A8829452ACB3ED639174C33E451D3D0DEF4C3FC44564669CDFC1F83BE884905371615531CD531C6369A4619AA093AC483C61CEA71CD5C878DF52076E168DBAC994A313E43A36C3D0C4EF8760F4E43FC4E61AC08CAE8A34EE01E510F37E403634C5D41';
wwv_flow_imp.g_varchar2_table(238) := 'DC3A4CAE4FCA16CCD9CB36EC4327EAA14FED1F30B56CC479D481B9DF32C736B86F3FA0CAE54917F4CCB90E1EFA208BFC8FE0C14FE1C997E0B937507E1BD0AFCF15DFDC8B82A7D0EF66E42FC60DC685F058E3CD61D090C4EE89F0E24076B41FE275802E7C';
wwv_flow_imp.g_varchar2_table(239) := 'A02D488E0E9A922870E1FBCEEF3C9A45752D48DB31FE588C3F193A8369CD3541E9FFE47F13BA7EC85F2D197177B8399EBF5B1A077B100471C79B46BC9D10B05D6E8CE6EF88E06C9D85F3B72A3836582339C15DE5A691B92B8012B9F3E4794BDFD9BBFFC2';
wwv_flow_imp.g_varchar2_table(240) := '57F43A8BF6F6961604A59FD2BBE08FEB9F46BF3B7BE72D7D6E6FEFE2FC6D42CB129B6B7DC44652CA8DF94B45471D75D40AA85F8CF077D827E25F594DD35CC32997D7D25AAF6F1E61AE2D8458D939F2C8D5D9977D40893FD4B087B3C712BFF737CEE8B304';
wwv_flow_imp.g_varchar2_table(241) := '58DAD97FFFA50F3EF8E0E538DE710E5B911A3FFF9EB7B395B328CF61A79D765A846D4C59769CAD16A51699B5D3ACA2ADE0BFBB2CF8CFF9FD0BD7C1F56CB5D5568B22968B83A51957AE99FF8ACBF8482997719CFD97669E30866C633F6A30FDB916F6FE5F';
wwv_flow_imp.g_varchar2_table(242) := '89CD63A777ACC14FE4D19F4954B7D7CDD1BCEDE9D1ACEAEE4ABFD29B37C1A7B756832D6E39B16ECDDB4E9ABF52764CFD8AA044F2B869A9EF3C0A4A3F07BEFC8947F9F6F81585AFBF6EA73E0A0008010086DD4038CE591ED879A4121A43F18CD602CC77EB';
wwv_flow_imp.g_varchar2_table(243) := '000003000C003000C0000003000C003000C0000003000C003000C0000003000C003000C0000003003241316A3A716B17490000000049454E44AE426082';
null;
end;
/
begin
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(6600461504951382835)
,p_file_name=>'emp_male.png'
,p_mime_type=>'image/png'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
null;
end;
/
prompt --application/shared_components/files/uc_flipcard_demo_small_gif
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '47494638396158026501F7003000FF00010001015CBE0568CA0603030768C30B07070C04000C0B0A0D0E130D69BD13ACE3140C0914579C1469B415121415171A16110C161B261822291918191B26341B2C341D7AD11E100A1E18121F1412201A1A201D1C';
wwv_flow_imp.g_varchar2_table(2) := '202A3921222623130F23283425171426201D262E3D266C9C27201A272527281B1528201F292B2B2930392A1D1A2A23202A2D322A30422B26262B292B2D2B2C2D2C2C2E10072E211A2E211D2E2F322F2D2E302420303850312624313032322C29322F2D32';
wwv_flow_imp.g_varchar2_table(3) := '3C5833343533343933516834332A343B4437373A37393D3C36363E3E3B3F3533403D3F41424742322A452720463D30471E0D48473F493223494234494D4A4A36324A443A4A46484A4B534C505D4C5F7B4D81B94F5765505B6B515455517292524F4A535A';
wwv_flow_imp.g_varchar2_table(4) := '5D5784955AA3C85C53495C56535E2F1E5E5D5D5E64705F47395F6165603831616054616F7B648CBF65C1E767655F67676B6C70726C727F6C818C6CA1DF6D36206D3C346D5F526D68666D6F656E9CCF70453570484174726875686475747475747C767E84';
wwv_flow_imp.g_varchar2_table(5) := '79A1D17B422F7BA8E07D503B7D776C7D7B7F7E574C7E79737EA2B27EAFE77F73647F827D7F858D83827485BFF286827D86838889543F89B3EB8A8A848A8D948B5E518CBBF08DB0DE908C8B925F4C92675F92BEEE958C88959297968A7999989A9A968C9A';
wwv_flow_imp.g_varchar2_table(6) := 'C0EF9B9FAB9BAEC79CC0CD9CC6F89D65519D725C9E9C9C9F7A71A0ABB8A15C3BA17567A1A2A0A2A8ADA7CAECA8A19EA8BDC6A8CDFBA9A7A3AA8B85AEABAAAEAEB2AEB3BEAFA8A1B0D3FCB17A66B17F72B2CBDDB38777B3B9BFB4AEADB4BCCAB7B2AFB7B3';
wwv_flow_imp.g_varchar2_table(7) := 'B4B8B5B9B9968ABC8573BCAB9FBCB9B9BCBEC6BCC1D0BCCAD9BDBBBEBE8B7CBF8E82C1BEC0C2BCB8C2BFC3C2C7D5C3C5CAC3D0DDC4C1C6C79270C7C3C5C9C4C3CACBD0CB988BCBD1DECDC7C0D1D2D9D4A296D6CEC0D6DEE8D7D4D7DADADBDDE4F4DFAF9F';
wwv_flow_imp.g_varchar2_table(8) := 'E1DFDFE3E2E5E4EDF7E7BEB3E8E5E5EBE9EAEEF0F7EFEDEEF0EFF1F1F0F2F2CCBCF3F2F4F5F9FAF7F5F6F8F9FBF9F7F9FAF8FAFAFAFCFBF9FAFBFAFCFCFAFCFDFAFCFDFBFAFDFBFDFEFCFEFEFCFEFEFFFE21FF0B4E45545343415045322E300301000000';
wwv_flow_imp.g_varchar2_table(9) := '21F904050A00000021FE2D43726561746564207769746820657A6769662E636F6D20766964656F20746F2047494620636F6E766572746572002C00000000580265018700FF00010001015CBE0568CA0603030768C30B07070C04000C0B0A0D0E130D69BD';
wwv_flow_imp.g_varchar2_table(10) := '13ACE3140C0914579C1469B415121415171A16110C161B261822291918191B26341B2C341D7AD11E100A1E18121F1412201A1A201D1C202A3921222623130F23283425171426201D262E3D266C9C27201A272527281B1528201F292B2B2930392A1D1A2A';
wwv_flow_imp.g_varchar2_table(11) := '23202A2D322A30422B26262B292B2D2B2C2D2C2C2E10072E211A2E211D2E2F322F2D2E302420303850312624313032322C29322F2D323C5833343533343933516834332A343B4437373A37393D3C36363E3E3B3F3533403D3F41424742322A452720463D';
wwv_flow_imp.g_varchar2_table(12) := '30471E0D48473F493223494234494D4A4A36324A443A4A46484A4B534C505D4C5F7B4D81B94F5765505B6B515455517292524F4A535A5D5784955AA3C85C53495C56535E2F1E5E5D5D5E64705F47395F6165603831616054616F7B648CBF65C1E767655F';
wwv_flow_imp.g_varchar2_table(13) := '67676B6C70726C727F6C818C6CA1DF6D36206D3C346D5F526D68666D6F656E9CCF70453570484174726875686475747475747C767E8479A1D17B422F7BA8E07D503B7D776C7D7B7F7E574C7E79737EA2B27EAFE77F73647F827D7F858D83827485BFF286';
wwv_flow_imp.g_varchar2_table(14) := '827D86838889543F89B3EB8A8A848A8D948B5E518CBBF08DB0DE908C8B925F4C92675F92BEEE958C88959297968A7999989A9A968C9AC0EF9B9FAB9BAEC79CC0CD9CC6F89D65519D725C9E9C9C9F7A71A0ABB8A15C3BA17567A1A2A0A2A8ADA7CAECA8A1';
wwv_flow_imp.g_varchar2_table(15) := '9EA8BDC6A8CDFBA9A7A3AA8B85AEABAAAEAEB2AEB3BEAFA8A1B0D3FCB17A66B17F72B2CBDDB38777B3B9BFB4AEADB4BCCAB7B2AFB7B3B4B8B5B9B9968ABC8573BCAB9FBCB9B9BCBEC6BCC1D0BCCAD9BDBBBEBE8B7CBF8E82C1BEC0C2BCB8C2BFC3C2C7D5';
wwv_flow_imp.g_varchar2_table(16) := 'C3C5CAC3D0DDC4C1C6C79270C7C3C5C9C4C3CACBD0CB988BCBD1DECDC7C0D1D2D9D4A296D6CEC0D6DEE8D7D4D7DADADBDDE4F4DFAF9FE1DFDFE3E2E5E4EDF7E7BEB3E8E5E5EBE9EAEEF0F7EFEDEEF0EFF1F1F0F2F2CCBCF3F2F4F5F9FAF7F5F6F8F9FBF9';
wwv_flow_imp.g_varchar2_table(17) := 'F7F9FAF8FAFAFAFCFBF9FAFBFAFCFCFAFCFDFAFCFDFBFAFDFBFDFEFCFEFEFFFEFFFFFF08FF00F9091C48B0A0407BFC102A4CC870A1C3861015E29B4831A245871433EEDBC8B1E33E7BF812DA1B49B2A4C993284B3234C872A0C39430110ACC57F0A1C48C';
wwv_flow_imp.g_varchar2_table(18) := '216D0EA44950A7CD9840830A1D4AB4A8D1A348930AEDC72F244B7D0273465CD8126AD38B549F46BDC8D0A941AB397DB6E4075624D7AA5B479E1D5BF6E758816DB1BE65A9B46EDD8F78EDE5556B37E8DC9A7667F27459573060A022FB2A5ECCB8B1E3A32B';
wwv_flow_imp.g_varchar2_table(19) := 'B5264619F96B5ACA3225873D59B9605BCC6C2FA7FC3B9932E9989D095A1DAD9634E1C7B049E69D6DB27463D7070B37CD37D8F651A6F8780F8E4DBCB8F1E37DAFBE459DD9B26F92A907AE86191DAE68D37311FF45DC9C2EF3EDDA5D23FF774C7BAFF1EADE';
wwv_flow_imp.g_varchar2_table(20) := '03F3E3DD33B03DF6EDC7CB9F4F9F38FAE9AC433FE7ABDF2FDAABA8FDB71976CB7D572075DDA9965B4CC235E820410E4628E1841456D89B41166698CF448F4DA4A185457DF82184224EC8617D28A6A82248C195E8E28B30C628E38C34D668237C37C62858';
wwv_flow_imp.g_varchar2_table(21) := '8E3CF6E8E3871DE1F8E390441669E4914826A9E4924C6A486293424229259341F234E5955866A9E5965C7639E39350EEE8E598315629269968A6A9E69A6CA669DE48579ED9E69C74D669E79D78E649A35E7C9214E77A7A062AE8A084166AA8927C7E04DD';
wwv_flow_imp.g_varchar2_table(22) := '947236D9A88B8F1E2AE9A494561AA85EF3C4338F5E1FDD33523F5EE1430F3EFD284493871B3A754F3DF5B498A13EF0DDFFD34FA9D0BD97CF3EF4DC73EB3E31E6CA9BAE0DEA03EBAEACC2A9A1B0C2D6E3E044C2461864AB3B8928AAAECD0A876A84D40AB7';
wwv_flow_imp.g_varchar2_table(23) := 'D1B53C213B6C3EF7002BE16BEB098BABAE913E0828AA50E5A3ECB80A6D94ACA72CC6C86D84D5F2D6AAB730860B68BED6EE3612BF168A89E18580F20670B0C30E3451C29656EA913FFE845B0FC523514C8F3EF450EC8F3DF194AB4F3FFE98BB4F3C28537C';
wwv_flow_imp.g_varchar2_table(24) := '8FBC0E2ADBCF86FC904CAB3F2F83E44F3C32DD4A33B4BFBEEC6A832EFF7A8F3FE076FCF23D236BBA953FFBFCBCEAD1D8F6B30FC5F8E85A52B52B831ADC461EF345D2CFA92A3CAB3F9B028C6A3D4CD16BCF3C2487B46D70CA91852C4DB3F6A30FB70F2784';
wwv_flow_imp.g_varchar2_table(25) := 'CFCD7D4EFFFD71C24F831BE1C3E1CE6D0FC5FDD003318EF8C8AB4FC92589CB9B87E186BD2B6F2A53182EE51423DBCFA6D8DED35447BA5E4CB3475656CD6B3E8713AD8FE8FD882BD8AAFB84DB74AA5CE3A3EC44B58334797023832D9C5AFAF8FD6EC4954E';
wwv_flow_imp.g_varchar2_table(26) := '148F3FE79042CA38F1EC338E3223ADB30D3D6C67438A2E37932D2B38DB80FCDE48F16C038EA6AB0B37B43FEDDC33513FD728EE4F36F2EC6DCF3A874B3D7536E638CC8F3FF01088E4C0E50F7EB48F37F06307A8E877B87AC0636A5AF34738D811B3C991AC';
wwv_flow_imp.g_varchar2_table(27) := '1D686BD04400288F7298437F9B22DBAC08E8409271C41FDD8047014B42319A580B1FB0D2873BE0910DF9B1EE68340B8E3FDCD1B18F1DCE1CD9605AEDFF56660F79F8C32B9E83C73DC4510EA8D8C365A64B08D9DAB13CA919311BE918213EEC7141D1050C';
wwv_flow_imp.g_varchar2_table(28) := '82A2F307DA26320F7F94231C44BB87E2DC354613EE6364E15007D9FEB73866912C7F68DBC8C5CA11C45309B01E0339E2CB2498C5D8A9F026087C99FEF6218F7D5CCC1C686C2447F862425049508E43AB873B5E069FAAA94C6AA26B5CE3F6E18E060A9066';
wwv_flow_imp.g_varchar2_table(29) := '5C0456ECDC318F7C946A1E4D5BD5E19E2841717C4C78C82BD423B390053640CF1FE0184519C7D18575F4631B5DC8822960410A902D2F117938993F24390E2CB0E11CD16BDA7A86668E48F821153B4BC73C44E50739A683127E10472A6CF9404404111E9F';
wwv_flow_imp.g_varchar2_table(30) := 'F34728D450890002CD8CDE0405CDE021FF0E79C4CE10E9C0A721C4E18972F8A3638C40A30A75E58F4CC00118154BD5F28051065A80E216D33C9C3CE4F80C5B90AC9B7E088727D058C63FD8721D1F2BE32B6C71D017F2031E70404434FC50C64DFA831DF0';
wwv_flow_imp.g_varchar2_table(31) := '8C8438FD710B3FB8A21BE0EC583522D18F76702D1D68F04335FE6637590D630CB6480530FA018FBDF5831DFE88C62B28560E48A433150655A11FBA71536DF2C31370F0E8F13A660B66F0D4AD46F49B3AD4010F7AB852717B7B5C36F4290F151A2288F660';
wwv_flow_imp.g_varchar2_table(32) := '872136D9207B746C186E25063100F83F8AA9A31CF06055E27AD8B170F0558E8C88863FD481063E24A364C3EAD82DA6D10FC4EED06FF130473AE0014F7EC8C3B00241612800D80E7FFF44E21A14EB061C062A463FD2C30AD3F007308631CD329611117080';
wwv_flow_imp.g_varchar2_table(33) := '4310D7A1C24CD8521D524C471922610E00D22C1F053CA2C7FC010A96B62A9793AA9D3F46918573C0421798C8022706310E365C200CD834051674718E2C34600E6D1807260211887180210CDCF3072612C1065D042924FD48E8C7667A8B51C0A3128C7003';
wwv_flow_imp.g_varchar2_table(34) := '4AA141897EA4C30886B0453B5CC10871D82212DD205927B8918AEADE8E37F0E8F04187718761BC021EDE44436D6F1109090A2113AF70072D22118E1D8BE37FB7A00555E5F1BBE5A582B8A9604636DC10897D0CC310AF304415E4380C4AF8431C3F80C42B';
wwv_flow_imp.g_varchar2_table(35) := 'CE910B440493B7FD7007252AE1CF176ED60FFD908721E041893760A3FF1D993004317620E478C0A11C09B6C23AB91189518CE30FB1989A3822910D9622C46E6873C52DFA91E42547421EC8F0832D0CA104940A03126644822180A10E0E9783168808C7D4';
wwv_flow_imp.g_varchar2_table(36) := '68C1527700125D6504852BB83B8C6CBC2113FCF803256C318C5470C116E5D82D3C3CC1075064E208EA0C292882E80F66F8E1192D9D5CC75C21E454DCC2D58F8E04256E710B5BE3DA0F86908727F050095018A1C7C2C6C69533118EA022CB88A358342870';
wwv_flow_imp.g_varchar2_table(37) := '918D3B54381295A0752CAE700B73BC21DBA0F083272A6104752AD713B8650724B06ACF5351F50D6890472E80118E3744029EFBA0A939CA990A433CC308238D442696170E4CFB83166F70853A40D1E95BC4141ECCFF30C4187E71505C82374F02C1953F2A';
wwv_flow_imp.g_varchar2_table(38) := '31085D34C0145998C42CD8D00636CCA2BC385B86031E3107006761108AD86F1878F9088AB1610E5968C3CD36B2A1CD1A82BB91B08527FC018906F7C30FE7605A2CE0C08E4CA86314C9B8C545DD50891AFB83126AF084116D35B47230C21F9EA0442AF499';
wwv_flow_imp.g_varchar2_table(39) := '755AF8E30FF0F4472C10D18E48940314CC604677D1E0894C908C12723C222043B23C5754E116AEB04525F4F10A6484C3157020C62B62F7713FAC8312E948853286018A63D8C1136E9F06AD83F8AEF7C1630C7FC04625680151439803197CB04526B0BA0F';
wwv_flow_imp.g_varchar2_table(40) := '7520A2D5AFE831B55DA17138D8B21C52F84310112CAC7E581E18B1004624F4E10A617C23157EA076FFA9FC910B3FB82313A96786DA6FF16AB75302AB056C91146DED092E0C83A8AE18861FE4418C54F4231202E70ECF400B86100E99300CAEC00FC41009';
wwv_flow_imp.g_varchar2_table(41) := '9E900AC4366CFAA4411D130B5C9009B75663B6D053F0F00B5BC708ECF068CC4080DD7080E0140D911009A9805BE9C0057E105CF1D022CB560695E00534F671B7F007F2000DA3605B82B50ED74080061855FD800C0CE809D9D00FD9100A5455311B3110EA';
wwv_flow_imp.g_varchar2_table(42) := '9009D99009B7F061FD9081150309D56578CC00077B270EDD600B5FF07C554068359609C860768D87801FE60FCE966C2F4728BCD331C94002B310068F9005BAA00B60C00959708761B70DBD50747E480A0D300E81400A50A708DC030E24C04B59FF9032BC';
wwv_flow_imp.g_varchar2_table(43) := '324AD2670F80300A1EC508C3300AF2500628550EFB800CB007446FC00EF15606BF000E7B0385991551BBE20F8CD00DEEC008A9C05219060AF650060AD43FC0E0098C600ED70007EED009C35006C0500E87E30AE0C40EF2B03BF8B03C9E8051A9100B0FE7';
wwv_flow_imp.g_varchar2_table(44) := '6C7D8606ABA04FFA505DC3D009D4350D70F084C2E006C4200E24C30870F00677577BA4C20E70C03E8C400BA9C00E9DE00A950007A3808500940EFBB008B9D009FD906123E80980900DCB530E94100E7EF0379EE309C8C05DB130588A1609B1E006AFA04F';
wwv_flow_imp.g_varchar2_table(45) := 'FDA00EFBD08FD4950D78C00E94300C68800BE67038B9900AFB600E8AB31EFC5046A1300CD6778FEC000AC30009FA9089B1C0527EFF500E2B9509E6E00916950DDCC880C1250E5C10095C8046B5574652E50FAFE00A86D069C47077412693FE90932E465D';
wwv_flow_imp.g_varchar2_table(46) := 'F1160AD960086DE7094B250E07D98E9B22101D2393FD300A51E60ED4780FC3400BAE400CFD0007E0200CB960789D600BA0800D27C880D54055E9040F01B532B1C50E7CE00FCF90040BA80E6D480FE5740D6658098D9009CE957556604BE1506313D750CF';
wwv_flow_imp.g_varchar2_table(47) := '406888E009D8400BAF1009F910098B364E8BF38682C245A2D00560300EAB300EE3400AE7C0066C3008B5454C05A60B72A00BB09005EBB00AA5D05EAD690FD99008EB700E89804D4CA33C9B658EC8900DCCC0680FC69561270E7C1009E3506BF29090AF60';
wwv_flow_imp.g_varchar2_table(48) := '0EB6E007C4160B65FFE009F4500FE9B337EAF0076F800CD8805BA9C066F0664CE1D0074F596DF08007FD400BEAF090E4280FF790096F400C6AE43EFCB03CC4805BC8C00DDFF0059ED00F995009A9100E4F894288405DB6100BED8007DCC50EFC0940AEC0';
wwv_flow_imp.g_varchar2_table(49) := '45A0B050C29166A0700FF2108F91F006E0F00D155A0DF04831A97007B7A00EFB070ABFA00EC4600E7F000ACBC30E778007C185109E830CB8450C0A0A079EA00F5D290E86300EFEF00D7DD08B17CA0EDCC9A17F8046F4200F0ED590EEA32FFED06AFD400C';
wwv_flow_imp.g_varchar2_table(50) := 'D9900D7DE009F7900AF5900D26F706B6900E70409322170BE29009CC7082C4700B64850D9A750D8B557B17830C6EA564D9A06FEEF0A1D9F00A7CF006A7E80686FF300FAEE00EB77099F72785B7604BED7007770058B6F2A79A25A6DDE006A1100F3BF883';
wwv_flow_imp.g_varchar2_table(51) := '7E0007F5B65BFD100BEC600BE1D0090B1809B810A924830D7E30704CC81BFB000FB4B0377E100DE2F00694304EFF07078DD00EE2800886C00CC8000AA16976FE600EAFF03FC4E006AED00FBC760BC3100E9E570D7F500964753CA81928A8125B378333AD';
wwv_flow_imp.g_varchar2_table(52) := '133D1F9332E5BA3CB34002BD700E87B33CE2833229B33C51D138CB4333B3527DDB350F6554374CE3092C275EE8DA3A14F3119D4432DB75388FB3AFF45037B3B20FCF085AB302125C8438FC500F9EB245F14032AEB45D32433307B53EFBA0B013AB3FF830';
wwv_flow_imp.g_varchar2_table(53) := '0F31433465943015B15D30EB37C2C23488034790FFE04FF690347A71B0470417C942332313B2223BB4347BB0124B5C75034F52B35D11923F31B3AF6303B0303B3641ABB032134599F33BEBB337304B346353B4D9D539FAAAB02AEB377C632B82032A5FFB';
wwv_flow_imp.g_varchar2_table(54) := '31FA0AB441EBB6FA500F23735076232C5C7B3A1DD13A19BBB689333421CB3588D343178B10FA6A440A8B31DBE572E1AA27E243123893AF287332B3743AF6300EDD903202B1298E8B32B2322BEB314A20410FF4F04464B12124314E93E35AD3D031A24B0F';
wwv_flow_imp.g_varchar2_table(55) := '4DA8379D0B2833510F76552C86A5B16AA4B99E230FC1252AA7562ABBC10F95333CEF3137A39413ADA43BAC520F8DF452D32010CCDB485E719A0DA22BBAE32E7E93B1F9507D0251B7F9200EB6FF842BAD132EB6E3BA1E413A48A3B123B33616B4B252030F';
wwv_flow_imp.g_varchar2_table(56) := 'D8C045F2302AC25AB2F3F0B012024371BBBD6AC41422C11EA33B0FC2B232BA82344EF11EEE33421A141CABE22EBCA1388943134D034AABE214C0C30F8AF31E216157F9E0AFC6F2C01544BB18BC374DF132194C2A4F24B7FA5066AD9237090CAE1BF21113';
wwv_flow_imp.g_varchar2_table(57) := '6157B50B3AB26258AB22BCAE241308012E08519EB5BB2A93D72AFD30798B7B28E4133D4AFC119AE2AFFB203771AB4653A32C20B12AA23BBF8C24491C0136A2942A0F031D33111205242E0334BCF90B2C60432FEAE3B1052C34053C40143211E2E22AD61B';
wwv_flow_imp.g_varchar2_table(58) := '1C1EBBC012912154872DECF130BCD13A80B42B2B73BE843C44E93339C2F147E6FFF23FB593C85583C8703C21E42B394E13C9B0B2329032BC33D1A51B022ED6AB3ED5FBC77EA23E70CC2DD6EB3BC9022E8F0C2683931088AC41D632C72141111AB41B9E1C';
wwv_flow_imp.g_varchar2_table(59) := '3A9D7CC48652465DDBCBBEFCCBDB35358C34498FF216FAB224308C24C9DC1BB87AC82F5213C753C8D2CC11AFE22DFBABCA8ADB235D0C1526B3C73FC2C9CBB2455FD322F7B22C905210377230BA9C24E952CE451233F6B00DD4400DBA40CF7978CFF57CCF';
wwv_flow_imp.g_varchar2_table(60) := 'E7C59BFCBCCFFDFCCFF38C4D28C30FAB132D893C1619821B7F211C7343C6AB23C7ACA246B8BB2A82A9CE1102B19E4BBE2581131431C91E4DBE82C3CC0E32CDE7DB48E43B441F3DC9D63C371232C9CB9BD2303DBC9B53356DFF3C104C11B1D47CD0E86C31';
wwv_flow_imp.g_varchar2_table(61) := 'F4C2D1299111110D2C764B11DFE22DB643D2280DD222C2CA9EECD11961D17C1CD27483D114D21208A3302B3D37EA3CC92331C96EECD13512D3564CBE16DCD16A630F835C3B8E942BCBDBD630ED4A184DBD0ED257F100065D70D7C9C49A79CD4BC9940560';
wwv_flow_imp.g_varchar2_table(62) := 'C04B6C00D8BD0406811DD87F7DD8BC24D0F1200FF3CBD8F39B2B605D229513C942CC2AE519D4E40BC46AD4229E43B488B3B69E4D318E3DDA5AEC118BDD57AC1559C0BCDA31BB3242C411521373342BCC598AD427F4CB18EDB9EED2BAE5D9BDACED31FE4B';
wwv_flow_imp.g_varchar2_table(63) := '1095E4CBB93ADAF020BD10830F8CCD5A7DE54FBFFDDC63BB4825FBD975E33727B411696DB6ACBD4899EDD8A2FF7BD287EBCB9EFB16E15D378F93A58ECDDC1382DEE9DDD433BDBD55BBAF463DC98DFCB61054DDE48AB8FADD3AFC4D3E49EC4CF3DA35C01C';
wwv_flow_imp.g_varchar2_table(64) := 'DE6D6BB4DA0DDD307B0FEDB0E00B3E43E09A304D91DA6C433EE3200BBDA00C18AE0CC1A00CB200085BB00568A00557F00556600552600557600670800680D008700008DEC495780009DCC00DD770E3389E0DD830A63B3EA63EFEE3401EE4DC30A6E1E0E3';
wwv_flow_imp.g_varchar2_table(65) := '451EE4D9F00D480EE47A7A0DD1F00CD080087DE0077D50E556EE088B60076E50E56550E563F0E588200E599CDED193287A010F3384E6C71D0E65F0056EF006701EE76BF006668006765E06789EE76350065F8E078E4009A1E009811E0A839E0994000990';
wwv_flow_imp.g_varchar2_table(66) := 'FF400994206D8A0E0AB1900B25190A99108DAE100A8EE0088880E98EC0088C000991E0E994209999D0789EE00ACC9681C0700BC280ADC3D096C898098CE00777E00668E00663F00565600894D080A9D0EBA9808CBE9E0A79A7EB931EECE1C0D8E84D0FC7';
wwv_flow_imp.g_varchar2_table(67) := 'BD387DC5DBA255056500E7C935E7736E06756EE75F90ED5FA006DBBEE76E50ABA30E0AA1B077A910E89D70E8A02E6D99D009A9400BB980979DC0EEF0D809868008C8CA0888C0E9E9AEE8A20E0AED6E0BB6000CC0200CC3200C040F0CB6008FC39EA8798E';
wwv_flow_imp.g_varchar2_table(68) := 'E768F00799E0EFBD8E8C14FFEBC27E8290E009FEEE0AAA560EA8CD5AEE606A0FA2ECC75DF21D640BCCE6962A4F6A2C9FF02E4F0B30CF6C32FF4F0BB1900952BE089BB009389FF39BD0073ADFF39B8008408FF385B009452FF441FFF3388FF3425F084BEF';
wwv_flow_imp.g_varchar2_table(69) := 'F385A00A412FF5F6DE0763B0E58CEA0AA350095C7F827E0068B5600784600776B0E7DEEE06683FEB6F7007C955AAA5EA065F7007D2A7ECCD8DDA10DE202FA5DD24230CD1180BB1108DA1900B7D80011870000C700004700001B0F88BFF01333003507006';
wwv_flow_imp.g_varchar2_table(70) := '3430034EF0F867700651100BD0F00C4FFE0C9ECFF9D1100D4EFE0C7A8A0DA67FFAA89FFAED190DEC79FAD7E0FAED69FAD5500DAA4FFA9F1F0DC440F0C3000CD0F0075330055450055370F95300054C400334C0043890FC4CA003C81F028EF0DA53C35AB4';
wwv_flow_imp.g_varchar2_table(71) := 'B1D85CC3357E10001C900236FF000445000443A0024360012A6001E6EF011C4001E9CF01ECCFFE4270F57C5008F2EF078510FF78A0066A3006F8BFFF7E0EE80011CA911B3C8E041612E345A142316AC68C5153C68D443C78F8F8610489D2C68D901821E2';
wwv_flow_imp.g_varchar2_table(72) := 'E3864B95234678B010610225870C2F9E10BC8848E64C9985F0A89122068F1F47191179F21754E83D76FCF21D3DEAAE9E50A1490870B0F163C81015432C58B56061C2560E132870F8FAD5C491316E0ACD3C5BA8D01D8710D5A871E3868FC150A10AC9A514';
wwv_flow_imp.g_varchar2_table(73) := '0A129E8409BD2474FB36AE5C3E671D6DECD41192233E37C53C312244C80B16275970E0F0428A5C3F320D7946F491D14D2F5CF818F208C9CF307FFB98C29387F4283F78F4FFFCF5C3DDCFDFB3489E2A65FAFD3B53264FC38B131F3EBC52A4E4C3FB4C6132';
wwv_flow_imp.g_varchar2_table(74) := '050A993469C85CA77EDD3A9D34DCC9D4A15307BCF8F0E5C177B75EA73BF6EFE2DDD761326305131D56FEFC7983068D162E4A94A05AC48919663881C00C4EC04132238E10E28823A278A28A855E1041092920B90DB7A0F871A71FA48C3AEA1EDAEC116A1F';
wwv_flow_imp.g_varchar2_table(75) := 'D7848925C55C62C9E5984E84C0E0030C62C4E00006305861C60F9670C38E29A6C0E084256660828A333EC1E69968A25172C96BAA79F21A29A7A4B24A2AB37992182CB79412CB69AEF972CA68AC1C339A6A9021661862908146984D1679330D2AA0C08106';
wwv_flow_imp.g_varchar2_table(76) := '1C12A4214F16EC5CA2040310F1471E138372071E13EDD907FF51790C45741FDBE0202005228EF0CF422986B8740821541022054F537801D4148478428D821C41C4115555BD0B2E825E9DAB2E5A3E29EC1357047AABA1B7047BB5A28A0AF1838FC62A72E3';
wwv_flow_imp.g_varchar2_table(77) := 'AD319E78A2891F9A904C88269068E241065910C20B8B7AC2961146B045D58D86F84044234A18F1C435A6E869A71F7C646B879EDC8CF2E708084C2022090B8390E25225863882530B3E4D8185804795A20C70575D1591458AB583A03EF0E8631183620985';
wwv_flow_imp.g_varchar2_table(78) := '56BA4259448D8674E5352E888515B610612D2AF62D2FA26822B2669B68220A08251B550CB3B27564B19A6B0E09223E34D2C8115B5A732D9F7EE081479F7B3E84CD1F7E96CEC71F6688F3246AA9A7A6BAFF93E2AE2ECEEA5A10D9238DF7F678AF8E3D04A9';
wwv_flow_imp.g_varchar2_table(79) := '4390B1CB1E7B6C410811440FB2C92E3B6CF7AA0B2F6D41CC566FBE24A618C39048E030E30D33D0E0E28B4F50990E0A28845842B225A8D83572C98FF8818B320CF1279FA571BBA74310419CCD9D7984EAE744158B593116313060C0460642D0E0801542C0';
wwv_flow_imp.g_varchar2_table(80) := '61851B3F18630A24A8384187289658020A260A19E61A268F77B21AE5A1B472CA2FB1BC06FA6CAA293E7AEBB904934AE6A55C32C967AE41661835D93CA6165554396309264E603F4F1A582821830C288880810802B803E841894ED41EFFFD89073C94D69A';
wwv_flow_imp.g_varchar2_table(81) := 'A5F8C10026D841112A65214C4945081610C20458E00116984025028B82A90AC12A476C50FF2D37814B45EC800789852217B9F8845A6C852B8DB5B063C52A9918FC723266092141926999CBA810052AEC906592A1D613AEB5AA6D21AC837C3195AA28E191';
wwv_flow_imp.g_varchar2_table(82) := '50302528F548976CEED1AEDC78C81F497880077E60AF7C4921084FE0D70F1ED8290EA460022548011A5350AA8325AC8385B08360F030423C14E213A138862B3A38315CC950727089E3AE64A89027ECD0592B7316847AB8436945E10894A9D610B735C98C';
wwv_flow_imp.g_varchar2_table(83) := '7824676A98CB622081889F0DCA35B0019DD092D60FA6392D13A0901A2852910A50A0526A56534E2C89D3894ED4C20F5D035B2EC126B6B4F5D26E7B2084DCC2831EEE70073DD6F19AD9F0063632D4203A48E082DFE08006C199810B63FFF8C427A0803228';
wwv_flow_imp.g_varchar2_table(84) := '004F084C1002C75A1898B73C410896C39CE6F8C139CFC90629435B0AE9FC81A2D3A1900907C0273E3150030DE04007313AC0071870020620410C4C6899E2BA4985583CE319C860064425DAA43135AF4AD0CBDE3486310D2E3D0F4ACF7BD2F694770D2539';
wwv_flow_imp.g_varchar2_table(85) := 'F4A1E10B1F343AD18A562C220D3AA04181827402F945C0000860800108608000B8C11FF770CD2705F83F12C9431EFEB0C7D26C63400AA4C0060A9482858EC02F21FC008225F0001A4590020AA62083A74AD51E19739311D29184B63A462E046210B57EE2';
wwv_flow_imp.g_varchar2_table(86) := '8FA6824B390BA932CBB00092428090149E909033F4D0653F6456067020C4B9706B92ABB24943EA58B37195CB5CB84157FF3F8E86947665C88A457800076450044A1D410A470023E52463811294D1532598C0A8D818562386E42D665D041FD0AA56559990';
wwv_flow_imp.g_varchar2_table(87) := '852E14CCAE9EE0B26609E17D252841B35C862C428A0142286B16FCAA6596D0D0AC271EB98B173099919A711268B709943C4239B4A392921FF7F007313C41892A24410A5EA0261CFEE0B74EF4866A9EE8447268598B4DE092976273CF1E80F94BB39DCD3D';
wwv_flow_imp.g_varchar2_table(88) := 'C544CF79D43360AFD5E13B8420C42F99E0CC292CC10B7EFB031A0287862B7CC117AD8802195006BCC63D4E0D81CC2D1E088287CF4A2412995B273B49E9CE7C88081E4DABE23C5594A262A8E10421685D3E711401D6E193013F3E000DA830051C40E10353';
wwv_flow_imp.g_varchar2_table(89) := '3883136AFFF009623419194F8632331CEA248B5609A4D3604635B2C1D16C6C197BD91B6948A3E13D874263182815462736810A3BEC0107EC93D18C5A67007C1280000740404F7F3A287F10AD1FFEF31F3F0288D4A52DC5101430815387B0AFD00A81AA0F';
wwv_flow_imp.g_varchar2_table(90) := '04AEA7B29AC606998AB508B3C95B2AB2885F995018D0A898418E5131244A0E84C95249FC3850026A1D1242C812835EC5B0436E360E881920955C9A7BD89BA9CA5B1AACD9B64241A20D01305D933D4A657323B42A50C003377050B4A53DC61474A55369A4';
wwv_flow_imp.g_varchar2_table(91) := '341BF7B8C1552D4CD3BEAAA3A78521903B8EDA11B932B5C6A22004F8C10FB8BD65D9ABFF4205E3FE15AFC90DEE663678D8497A04556F310DB636D949FFD7E8C6A8DB1D652989E18A3770C0030FF780095E00831D18010849A88215C6D0873EF8AD3756F3';
wwv_flow_imp.g_varchar2_table(92) := '442D3C61883D5401BF60839B7E9589F25DBE273C72AB831EF4B00799D71C6C5E0326D976D9CCE84CC10ACC8903350757E14FB4E20C2E4319CB96D0044CCE11DCBE1296178E80863B9C786929EEDC8A594C1BF0CA939EB128462C3EB18481E6389F403EBB';
wwv_flow_imp.g_varchar2_table(93) := '3E31408325046906383843134E60875B3023A25146864997545128F5DDA25FC2B296A3C751EB017E4A611E29934CCA8C6140034DC2F8C4260E7106267C807D6F27688E757A673CEB991E41EDB33B900A68000AF0EA4BF104119EC0C5A84ED5D18E36E768';
wwv_flow_imp.g_varchar2_table(94) := '9BC5D5E07EF5D28805A159CF9A0B617CFF23D4770C051F04A9E90F17CB082CC8000758D06AC93472B7C8F2ABCBBA29991B02B704A5320CCD8AA82A24CEAC278C6822B175138F28B2CB36B9012F1A1664A1272861AA4780E0109EC0A0AB36EB8C92D1B611';
wwv_flow_imp.g_varchar2_table(95) := '55E56D5391D00E8B28041382065053953B5295B73AB526B03E21082E67C9A1574396E342BADE928C05242CC3C2164A380C3F7003E93A959EB0AE413138ED920DEEBA0D85A38548308118F0001188381380011800011D98411040011080012330821DC038';
wwv_flow_imp.g_varchar2_table(96) := '2B28833BE8834318833D388422DC03493804F1E825980B1B3D88399A4BB0FE9AB998534203AB83284C1B0363B029F002E688B037101CCBF1854FA083A33BBA29880268E9834FD040FF91011944E0093E288327400338A004EFC2BA7662B1A101AF18A3A7';
wwv_flow_imp.g_varchar2_table(97) := '1509053B088113F8001BC9A743E43C435C01DB9991B59B012868021A10835B780662882829B3BB295B926A1893E5D99E30711E2921866A20BCE8F92829313CC4E344C52BB3357932C8B3043D880FD699A91E333B3B3B009EF2A9CF6B8D3E8307750134DA';
wwv_flow_imp.g_varchar2_table(98) := '30BDA521115090022E40462E38C6D87310BD7290E683196C3B8224E216DC8BA34DB30361F98416193747F8C073939C11820B31E8145683B7687940A4B3B71AF22D1AF02DE0620129C024E72A229BE10B9DE03646F0834C00BD27EA10775236DC700D3890';
wwv_flow_imp.g_varchar2_table(99) := '10854046676C10D09ABF666110C9B8BFFCD33F4E8BA311E2B4C230A1FF6338864F383747D0C88C49B79B30A7773BC774544796611666A18177032E5CDB8CB9E03755D93E91B0B4EF2B0482C3AE832BC1845B9AF04A8557D8011328822A20022050811B78';
wwv_flow_imp.g_varchar2_table(100) := '011B444A1300811B7001A6DC811B80811BD0811B98411870811F998234B802FD2A03233C0422D42FB0CC39BB591B65621B9ADBA59B3BB0B3C4AF2970021DF8919FF38438089C35A0300BFB8433D0CB429A826789023E00058AA90B6D1997717184329082';
wwv_flow_imp.g_varchar2_table(101) := '3780834C509ACD912C3D7427AEB3AC134905162986B19B111F3BC47CFA0081EAB120F9B11F9B8125A03C1A5804277B32BBCBC4BD33134F641E5034BCEC19455444452EC19EBE531E566406C73BB3C6CB0537D004FF42808219681D3933BB5CB4B33BD345';
wwv_flow_imp.g_varchar2_table(102) := 'C93211DD201AA30846A2694C7E28C663E4023C40832FF802BDB28027E8A27C99BFD88BA04EB13DFDEBA08C292B4EAB888B0147BA70048F243E10128326502E0A3C246659B793B44FDFE2CFF82115352884973C0C84B947EF638442E04773F14775019DCA';
wwv_flow_imp.g_varchar2_table(103) := 'CA10D720315E5183ED7410EFEC22645948481B95692CAC889C233A2AAB82003E10724F10DA959B708C0A948CC5A9A1163DA4FD6C961248C977232C4A82C9013D408D39956DF1039B1CC150A28DA3BABAA661864A18062B788037A8865BB88555F0844830';
wwv_flow_imp.g_varchar2_table(104) := '843F8803BABC822BF0811C700110D0D2AA9C4A1DF0D22DFD521AACB82420D329A882B02CC2342D42FF4BF8CAFEB29BF7A88E03539BB359B09EB30255A884A0838330C44B3DD04BBF4A192A28045788055AA08554C80B5008858D600437D88CC524347EB8';
wwv_flow_imp.g_varchar2_table(105) := '8D7A804CD990CCA0289D79AACC58E8033B38011A080143DC4C06D00042C48025A00143BC9103385594898213E803C6734589B23BD66CCDE58992ECC92854CCB25D059367C8C434119F515C1E562CB3334BA93E70023D200427F03106688243B8A71CC3C5';
wwv_flow_imp.g_varchar2_table(106) := '3BEB29E63417E904B4A45A14A46A8D622C153C68044A900335409666BCD0F97BC6ABF2AAEB34CFF7CC3DB2DA154E53039731886F482B70FC30B802A126A034184524FB5C1C7774C7E0CA80EB53039ED0961BADC67B045054D1C74C88073EF307FF286250';
wwv_flow_imp.g_varchar2_table(107) := 'CA729707F58708F58371C1832F302774D52B756D10489B00BC5283773DCF0FB38396DD153BC834E372845C184016124714D518C970C7DE5A1CFB64470ADCD9E0F2CF0B7C490DC4965C59AC6D81031FCD2E841352DCC087DDC8046278830D18025A480626';
wwv_flow_imp.g_varchar2_table(108) := '79055A7085AD8D055BA00516B185F632043FC88F2BB00225C8812270011AD40117B84114785B1A6482B685010B4201B9350232AD823338D387D0AF213C83EA20DCEC281B49401BB1E1B9B8EC8DA08B83302C8331D4CBBE1A322A408227400457305457B8';
wwv_flow_imp.g_varchar2_table(109) := '1557B08557E0DC5020B137E8D848C50D4AD5BAC884873E144819A39845F082A54BBBCDC4A70FE0012233443B09B2CA7BC4128882FF5C10D635913260D5C45BF5C4C3FB44EE611E2F7992611D06BB734533D93B937228C63BB34F3B0627700297CA310C20';
wwv_flow_imp.g_varchar2_table(110) := '123D7082444CC40028037FE045A1024640EB5612F9337F088523F8028CD816F0042DF05C48FA8399E09AC66FC4B43992A1FF8D02E34AD945C8984F80866FC057B7223E7E352E06ECAD8205D89D9560081EDA84A54725E2BE16DAA054E9588AADD874C187';
wwv_flow_imp.g_varchar2_table(111) := '063D3FDD708D3B788232D01646800373F54E0C3DD7668120C9C03588D4C86EEB033FD29859DB2B3588AD8AA059043E067DC559C7504009EECF1545629D55621565C0A1B5085E2B22A305476B519538645A9C7CA7A449B1A88D864AB8854AF0001878834C';
wwv_flow_imp.g_varchar2_table(112) := 'E8DC36D9DCD0F55CFF5BE0DCD00D05CFBD15578A8448A0CB2DB0D224C05219DCD22D95411A048116984117D8011730021748032F500FAF89D32B54B95C5A5C9FEB0D33D00238009C2F88DC4FF053CA7519D0720443A5855CB8955F18406410865BF08347';
wwv_flow_imp.g_varchar2_table(113) := '654CEAC42E8B0DA51091CCDCA04C1609C4293801DACD27CE8B80D9C9801A61800C08558162D5985A824C109F6185A8BBCB325B75CD2821455D9D064E84CD90629E55B455608DA8327B86DE6CBC5A380349B00432989119D05E70F6665A0E003530DFE6F4';
wwv_flow_imp.g_varchar2_table(114) := '4513C187750ED2E924914CF80129C00339600439F84E0BC514F8EBAD866C102AEE35DC538333D82BA413223CC25713426004C698F8842B7315025C23D894CC93FF66E9D9662158FE74608345583E105029F6463FCA473E48D073E990A331917C08487371';
wwv_flow_imp.g_varchar2_table(115) := '03CFC2036D21B17CF1AC2E02AD18B64F88ECB6F78CA333F0025AA3373E08057C45A16348686870AB213651057C37089EE8085E62A17D6852B9165E33DA22EA4053292C3F800361B8AE1FCDC9F35B9AA87D064F78055B000209A8822FA843407085447885';
wwv_flow_imp.g_varchar2_table(116) := '5590055998865E9886B77E85BAAE6BCD1586BCDEDC5008CC5CB005164985F6828448F803382803B4AD02B575012000642D3D4A0F000109408221D42FFCFA8E4390845C129B346082E860822BC0D3FC3083A0A3E44FD805BD1483A38B822468822AD86443';
wwv_flow_imp.g_varchar2_table(117) := '55635010866C780668980664600453269DD3ADD4FF2C66DD4CA5A754F8842A28C4439CB33A238000C0A70888800C10D51CFB8019C8001A68824810863511DEE1B555D63CDEE47D1E87DAD5DCA4A8EDDE3BF0C9BBDA4EA9C693BC58840201990132A00371';
wwv_flow_imp.g_varchar2_table(118) := '7656DA0D000CF9BC7DD00D777087939E8D45C1C3A8856707E1023550462FF222EF0C82068120087A615271D77FDEBF4590A12838031CFEE984C6C884F6BDC6884F108A820534E2E0EAD91A1A58A0ADC0F841D8EF732E29768C87E560893517D7A0077690';
wwv_flow_imp.g_varchar2_table(119) := 'AC7C30917D608711CED49576902F98D0EFC4179886BF18F6CE86B469C45A9859D3E9BFD0891F0662A12E0704FE04B24251715403A40EAEA0E5CFC5E9D99EDD5925165A272E88A2C596983D15FF9EC0832B26C12CEEAE520AEB5420862B70362BB0021FF0';
wwv_flow_imp.g_varchar2_table(120) := '81A9F001FFC09735080659F885B796856498066AC8066A5886429F066E7886BCBE8533E6DC5BA0866EC8866448866008065C208655188551F0844690522DB8821CC80114B082AFACEC3DB8EC5F528F2D94CB37D882C735034A1E4342F8535A43822A8004';
wwv_flow_imp.g_varchar2_table(121) := '4E566357B06D6E480668F885DC76033FA88401CA10D45DE5D958DDC9D4D415C9853E58D5B3AB1F3AAB56D7890004A0B3B4F3DE25B0833200866286A8E295DEBDC355BF7BCDC3FB1E50541E6035136576CD256113F4EE4D683806CC060F01D15EEB806F32';
wwv_flow_imp.g_varchar2_table(122) := '1010DA450168009A4CE59F7DF810FFBEBAA8A504CF920C4CD14E7934F0274870FF083A590B3527EF2C080DD4C81ACE34819ED745B8F077C057A1FE8628CF051012215FA9D78C7E6077FC2121A86897BFE8233E583682E25531DA16DF3747D8C71BBF0D47';
wwv_flow_imp.g_varchar2_table(123) := '29BF1BCFF118DB073740964E61782FC2897C09027D9E000892E9FFE4038C37223852037A0B218981F274F8067AD7F029E75794BFF205ECAD06D44FFBBC680A9EE1275E7198B409E972830EFA083E5073A73D417E006B4F00856430040930012B98D23558';
wwv_flow_imp.g_varchar2_table(124) := '83D196832B708111C88155C0056590066950863EFF736680EB695886B896FC42EF8665A0066A907CC997054B0F86645006C597866D18FDD297866A18051D3475FCAA0E04D32F27EC9A9E63022BE8844AC88F6A2A8332C826FF3FF582A3EBA15BCFF5ADA5';
wwv_flow_imp.g_varchar2_table(125) := '055BB885449F8669007661875479427616D31C78885A57765D16E9041C38C412003206E080CDB3B39CB2910C88001FAB91B58B024A28833E785E57544D66D8EEEE56E63001BC6A487730AB06BB6B5EF6E76E4E7CA8E1156551060868B1F6A42948868913';
wwv_flow_imp.g_varchar2_table(126) := '2750E84892E4848C93030C0E500C80049BBF7D1AF7F973074F63BE90FCE4C1F3D78F1F3F7CFE4049F9F264C893965FBE04C12325C893234284582821E48814293963E271448992A34F8E923AC2A3468C18358B963A0AF5ED5BBA6FC7AC5EFD166A919AB0';
wwv_flow_imp.g_varchar2_table(127) := '78C6AA71FA44884F9F509AECA4B15308DBB750DCBE15E2366D86124FD43862C4A82F60A4809D462DB494119FFF4A1B4DEEA3D7AE5FC88DECE8F5F397D1B29FA04F7EC8FCA266E617CD16844CF01953A810296AF81C4DAA5469D3A76AEC2C9D7AECDBBB72';
wwv_flow_imp.g_varchar2_table(128) := '5A7375FDF6C9A91D3CC1C9AA895277675CB750E00A59BEFCB85DB4683308D97BF82F23C17F1DF9C113158F613F8CF000CBC8B1B23C79FC4286EC074F9E3F9429FD45F304EAD6AB181E40B80051C1850B3E5CE1430E043612CC32CB48B30C35D26443CD32';
wwv_flow_imp.g_varchar2_table(129) := 'D92C33CD32C94CA3CC34C16438CD2FB2C8D26130C1FC820B89C12873A232268A88CB289E8CA204087BEC51471D06A521232132EA512313534CC18415AA54F286197110F94519BE7C42C81954341945124D5401092D55D232CC33D370A3E533BF3822051E';
wwv_flow_imp.g_varchar2_table(130) := 'FF7054621999FED0E38E3FECE5231F3FEEA964593F1C09934A2C75C6620745043070820111F8A9C10104481441060CE8C903A0123180C109272C01092465A4428C30C3584A0C31C83C534D349D46530DA8D55C332AA9D74C63EAA8D53033EA34D9B05ACD';
wwv_flow_imp.g_varchar2_table(131) := '33C33093A9A7B546C38CA6CF40838C30C8F03A0C309B4031ECB03338418720104134030614EDE9C737F1F533AD3FF07C940F3EFCD8E30F49D2F6A3122D6EB821C5114378F605189FA9119414A35930811051C4F4444E6531F51A558BD811166D547175D5';
wwv_flow_imp.g_varchar2_table(132) := '319FDC7655284E91351659C61D17974F743D57175DD1E1A5971A70F4B51DC654112695238838C247268B6574E6B7FC6CD40E3D655A06891BFF6AE4642E1E5BC48C4710411D31DA04135870DA50AB254509BEB53D65071F547DC25B579FFC1B705965199C';
wwv_flow_imp.g_varchar2_table(133) := 'B074752DE7137410BF75D774D5F17518551937E5851A6E2CE54753B65C6612B7EAED235FDA68C7499F8BA3109384041EE410871939740060803EB8B006380A36B8A034852B3861820A5248A1E1854B73E28A249238E22FBF04838B279554A2C50D7B5451';
wwv_flow_imp.g_varchar2_table(134) := '6341699051878C3312A40741480069C890689841641968287906ED5450114514484C49CB2BB4B882CC96D970230B37C23022C51B7E64A2B29925B1C9DE3DFCC0738F49D3CA49A79D8B181028031A30C080017A6A10409F196C107EF7DF537400061FD070';
wwv_flow_imp.g_varchar2_table(135) := '821D77F0318CAFBE628A2933FFB67E2AEAA9A49EDABFABAA318CFEA1EA1A9C2286AA88C18C676CAA53A27AC60217388C5E4D1018CF0845149C70826139C158097988139830831330012E6310863FF431ADCA586B3DF678E148E0719269E5C31FB640031C';
wwv_flow_imp.g_varchar2_table(136) := '5C42942F8C255D3543CD5B80A2992880E9673F7B0D58C23215A68462605E6922C00A2616E150F12975A1DA73DC1231BA6CB12DD2C98B75B0D335AEC5262A45E30E1F42110F8D58661FF160073FEEA12694558F5A9480C3B862C24399AD212CA191C27184';
wwv_flow_imp.g_varchar2_table(137) := '2814EB18055FB0018B18F0B0C4A57CA22B5B1118C07ED3B4B180C5290AAB9A74A856352D46AD049E7CC258FC7231327E8C3078281A2210F106B3ED6385695B0F7BA4079FFFCA9C046EA9004534CA40810DC46115A4A8840FB6302017E42007575050E1A8';
wwv_flow_imp.g_varchar2_table(138) := 'B10D696C4399D99006352424A1054913998F3BD1854E848B5570F315AFE0E62D48F4A15100610A873844E9D230851B9D534667D803220EC104265421129120121CCC600634A0E113BB60D293A6803B2F50C977B4F8C596B4348D2E1DCF0D7E1813992A43';
wwv_flow_imp.g_varchar2_table(139) := '3258AA694DF050C90AAF57A750C40209791A14030270800C6440A482D24006022511675104034BA8C112EA59A94BD10F57CFB015A8AE71AB9C8A2A55A88295A9FA2754032E5081CCB885A56E618B5B688A19D0A014322C250C6140A3134CC0811368F0C1';
wwv_flow_imp.g_varchar2_table(140) := '844024ABC362CB1232B03C1552CB5A9079A13D626812B6D9FF020EE399091EC0105784A52B2CEC0A4A58D625967BF1D511FBB2C322ABE2C45028ED2AB990A253164149C2BCC5389A5CCE5D68A0454E5EED2D9E2CC111F8224A31526529DE89CA543C8607';
wwv_flow_imp.g_varchar2_table(141) := '4AC8838D237B4CB6D8434738F1C31F99F04321F0C00535AC61AE72886BD3D6452FBCAE0BAF4B011AD098E2087DCD662AAF81A456083B30C2CE868A0833CB4E1CEB93B8B445B276E16417A9669AA288713B5CEB0ED8B6964A37D02223AE4C0F64D8E39E59';
wwv_flow_imp.g_varchar2_table(142) := '4EABB5D100C52840318C4878C00357C81C297CB0863860010B03F20129A4410A5C98681B066EE633A1A9CC663E8E41CD1C9CE350A48C64A46872931BD12DB4C084329C139D05A9C21E6AC10D6FF4E146FF9BD883EAAA60884CBCC175FAE4A792F4503BDC';
wwv_flow_imp.g_varchar2_table(143) := '0D1412B6E01D2D90A125E169E9170D7D28F3EA81268AAA497AD4CBA83F8081BD50D841032108DFFA024580F0114050530EA99E14359103D0800A38A0421552B1ABFA2D908137AD554E9F610B623CE316AB3A55347E1A67561990A702BCC52D20E83B57B8';
wwv_flow_imp.g_varchar2_table(144) := '22166ED655ACE827D5A942A309189801A28D45063210EB0C6A38431396D00416502285EDAD960CF181D61842062535B4855FFC5294CE826129727D2EAA0DC648E0E24BB1A0356E5206F64828E6E2374F7BAE159983164D1E870625F0B574B808EC5D67D6';
wwv_flow_imp.g_varchar2_table(145) := '62A20C0CD74C59143F7487121CB94C631E2347D5A66C8595F1445F008107CE7AF7D4A94EFFD7D358CDEAE1EE4B0D86612414B5620D81DDE618C32DCB70146996B844212DCDB9B765D162DDE8F0DB27D4898266374B4644C4F6296EE00322604B5E7FD4A3';
wwv_flow_imp.g_varchar2_table(146) := '95E8514F48E4B8DE3AD6B03EAE48059E81E001175CA10B58281016CC8005FEBA200EE318458B2A118C0353C372AB50C681B77122594093C1274A06330B9722094F3844969B462570B0873E9CB30F43DF441F6A818E771C83206748438A0D714F3410699F';
wwv_flow_imp.g_varchar2_table(147) := '6F501240A370061A13D41637B6858EB9918D694C031A3E06131C9647A6D63A26BD15B5E891AD97643A85821255F05E95091000BDEF3DEF550E5400021FE5F54D41072BE8831B42C18C61DCCF5765C6A9A8AA410CFAB9F97FD5F89F4EFFC98EF93A83AA56';
wwv_flow_imp.g_varchar2_table(148) := '0DCCDFADD8ECD4FA491558C3B043061835422734410F84E018586E27840840C2D26585C77AF0A17B4EB3C9867EA00423E4107C47C8A1B3A3F676AA9D5615D77C0289C2E198D1065BD8636CC56052918A22731D2FB678522E6C794EF7A9C6C9B4504DB348';
wwv_flow_imp.g_varchar2_table(149) := 'F1AE77CBB81A3EB89512AFF0C7B6E2C32D77B83D2474B4B63F3CB1D9E1177F29C52FCA5CF590D3204CD1004DF3DD0B1FFC9561BC46BA3D126F505F53C41BAE9D45BC5C12AF3DCCF8F15BD4084106A4002801467701066CC99658F0011E18022564837951';
wwv_flow_imp.g_varchar2_table(150) := '4B7A10D9C4AD907BC1179F45C31578C0DEF00DDF1453316981CC850829C0DC8129032EBC022EA488817DC836E142CD05FFC32D8C02111AD82FAC423829A1328C082E548E34E0021218C126FC812AD4822A7CA1D121023914C31EFCC83AC594D4BD8116E4';
wwv_flow_imp.g_varchar2_table(151) := '93D5C518ED44C1EDDC4ED7F58E2D3C83F020548FFD1844C18999D01F91459C91D5114728592CA442211841DF55D9DE35E2220A0AE0E9DD4A350B0620010354412780822D0003E3610AE33103E8A159E745039E0DC32D1003D95D5EAB70CAA9B8CAA99C99';
wwv_flow_imp.g_varchar2_table(152) := '035D03AE4483FD4C9EE3E18A272615B02003254400A39C4056E98171355F2884422EC482231094EDB110EE1519499CC47AB4162DE050AADD9A584C525EE9D5D67C427071236CFCD5222CC271C91A61D15AC1DCDA738981711CC111E4C44E741F72F49A06';
wwv_flow_imp.g_varchar2_table(153) := '1E872765FF565F20C5F9710D23149C1965822B0C433588833D5486FCBD513F4C9BFD55DBA531821B54A3D33CA45364633616D111351F12F1CB22298D1329855550DF275C1F5828165988C14E0C013BBE455EEC8473E45BC4E0DB3B96806ADCE36F010622';
wwv_flow_imp.g_varchar2_table(154) := 'ECA3098A0117B80123F8E3029583B73C9C0BBE471DC5202DC45734FCC17EB80016F8C052EAA00EFA803280C382290333B1DC323D8E815143888408100603378D022E64C3364CC337C1175526C32B8C42258C423048031A80401F8C818C58813AA5411F14';
wwv_flow_imp.g_varchar2_table(155) := 'C3319C581A30C112A8531520C2D4EDD3EB5CDD92D0CED6350915788123D082D7DD023788C32F84C22FECA1143894DAF9E144BD1DDC11E2DC1DA225EAFF9DDF35A2249AD4FA041E246ED90954C109241EB0DC02277AA251C1A203854AFE5C5EA84C434EE1';
wwv_flow_imp.g_varchar2_table(156) := '663468DEA970CA9C8D4A362003315C034DD10F32E00A3300C39598A22E46829E9C00494141F38963134183301CC35485020A9115331219EFB10D283C0117704168FCD15DB504BBD08B7AD28BBCD84B2854C571090DF4BD06D2CC9A56545FD38864F6A9C1';
wwv_flow_imp.g_varchar2_table(157) := '4EFC004C9CE4AE6D20743C47134401756196F99DDF5FC001D9908DC164429EB5CA3474C30CC99F3CD05F45DD1F0DF9031C48011778E879B28B796AC6BCACE7368ADB379605AC095624B19B57D81AF62DD6BAEC840548C17FBE2426598DAE49C707E6E366';
wwv_flow_imp.g_varchar2_table(158) := '798C1F98E017F0817C4583AB44834FB6FF090B429C7A09250CD2077CC5C228DC822798800428E5152C253139258081C3818183971A989786E9369069562E18384418553E8EE55C21555ECE28ACC22F48432678C01E58C18FF4C88DF4812AE8E55E42815F';
wwv_flow_imp.g_varchar2_table(159) := 'FE4124A0C11754DD1B1026406D9D1C26261F609CD765833A08831FB8428F518214A081F294894461A866BA09672A592EF0C106F480DF81A6695AD9DF95264568801050C118788117D801284C5552DD0F28CAA6A7844AE6810A6EDEA66DEE26AAF466351C';
wwv_flow_imp.g_varchar2_table(160) := 'E7E2F1D93F66CAE22950FD08A7A534AB2EBA012835C10984A31D088C7562E75409033070431D3163FDA915346E8B2700857A92AB20A9C61019070546977B329F45FA557175D6D1F4FF86B57E43AD595FAA89814EA840B9B8E34B5E5664B96473E04E2601';
wwv_flow_imp.g_varchar2_table(161) := '5C08924D5374875BCD2AAEFC822A7683B45C463CA01645A10C4152CB1D3C81170885BCA8678872EC4FFCC46868CD6F79A36B2C053832128B5E05342097BB55D200EE274F94CB10D8E8BFFE9ABD2907BE3501CF06E8071E6C90C2011F880728104332D426';
wwv_flow_imp.g_varchar2_table(162) := '6E26E97931697B38E9A5BD972B8C422ABC0231E4C0C6F5CD5212880EBA40238C83988A299896699986E9988EA9D88A6D3780C38364438239CE33A1088531430E4C81D1CD481D74183AC9C85EAED31454811F0C6AA15A1DA2D6CED6D9CE1334EA52094337';
wwv_flow_imp.g_varchar2_table(163) := 'A8C32FF0012D680932F021F39C497C68E62022193084022D94C10660FF59689AAA9441E2018894449440157C4227000D22E402B0D842520927282E90FE840AEDD62EED4EC3A790DD4F0910A644956B5A8AA6006FA6644A544D9EB3026F76F6811DD84127';
wwv_flow_imp.g_varchar2_table(164) := '101AB61E432EE482982D23A67967B7C807F578821298412580C11A048105DC4C4B7C86679068B9EEC45E1485378EDBBB71CC387E833AA8836E3C207EC6AC48EA6B490E8105FCC0C86AD7AEB5A464F15A5A1C4151C001C2F405B331822BE04728BC42323C';
wwv_flow_imp.g_varchar2_table(165) := 'F0E53D5338D4D2655CE841CE51CAD41187D644F77EC1107C305078C644AEE711AC634C169201BA46C10196D18402347C033BA4C33BBCF07D3AC214C95BF649817184AFFE5E5126E16CC408702659C77389072388FFC702D3C27DE026D9B16D35980364C4';
wwv_flow_imp.g_varchar2_table(166) := '0950AAC90B3E2D2844AD9446031A5C29C8F5970F682D815C41CC5DE5D982ED8295B1D89A6DDA1E5837C41C34E59C3474C31FE880191C421990CE39A9423114835EEA69DFF6012010AAA1C2812FFC93616A9DE136AA5229AE3A7003203C6E3630C3F1A041';
wwv_flow_imp.g_varchar2_table(167) := '624C2E205AEEF4540FDACC492A3C81A19CEADF8166955199957DCF06944071B8019D486F2C08C331BA263010EFADCEAEEDEACFFE4C0328625EA8206BFE1CD535D8E2A50CEFFD1CAF5401C3541D031EF4412C60E7F31E632A482FB7E29F5939A30C990C1B';
wwv_flow_imp.g_varchar2_table(168) := 'F54225E4012CCC022C9402188041CD06811FD9D57A3E41149430C015C5B8BDEBF305D6270803FCCAFFB05710CC47DEB0BC85854EB88B05E8AF05A440F8919F27019B27E5454AFA44663905B994056CC101253821DBE25CDB4A30B514E46364A8424E4B3C';
wwv_flow_imp.g_varchar2_table(169) := 'AC0218288229E8822804021804C110D4CC0897733BA6C6D6AC735280C5BEC86B23C1B00C436F72D93046C66858BC45F85A804EFBB33FDB9B4F5F5609E40550C74B59E89043F9C1C2A6C23074C3D12AC3333DB53294036468C41437297BD5D27B49E92126';
wwv_flow_imp.g_varchar2_table(170) := '43246C800E1413537A31587F31297C691A83295AA7F5D8AE3138A4ED1A7FED181B9883E45C378C820B5881251C421ADC2D2ADC063714831DECAD5F02321A6881A19AC1275803EDA863E152C113DC412A08832D282E3B3C831FBC82F024C3F194FF41DA59';
wwv_flow_imp.g_varchar2_table(171) := 'F2496072DCA14DE6C68211E4DD221A00F8F01D02440094A1B65723410950821ADCC131E60230B02E30B86EEFC2EE2C8BE2283AD0FEDC2E0431F1AFC2EE7122832D44C330805DF1D2CFFD182F311BB330341F3367EB61C5C231C6820B536F0B51737C2C06';
wwv_flow_imp.g_varchar2_table(172) := '2C24C22C3C0227CC822974731880014DD08C6E792C6AB4A3BD2C5FF32185522CAF548823BA7D433964C5611D96521487D3E8A753C4853EA740064C8050EF1A4003F550A305CFF8B31070C1B65542288C42328C4337B4B18677833454038512646BC94345';
wwv_flow_imp.g_varchar2_table(173) := '63B00667342698C22474B429980227244217A88B6AEC567AB62350A4B4371EE07FEF4B463AC26DC8F36141EF70019CFD46E4CD08FF01FFF24409940675849F825F9650C3A34FB0CB114C8007AA815F5CF12D748338B06D3764038767783580833E980CDA';
wwv_flow_imp.g_varchar2_table(174) := 'BC47505E7565589C948E8229BA000AF48D1608C81783B50BB081D78E6D5AE7B99EA375DA866D5B6F8386C7B51B6F43325441121C821DD08824B4C23B70033A1C835EF7C8194C4112F4C11F10AA60BE011CF853D615AE1CBA81264E7637B0C334F8012D8C';
wwv_flow_imp.g_varchar2_table(175) := 'DD33586A1954B2CA64E6DB0D6244F9833080422E8C01F988F294858F686EC0064400F7F08010B0C01D20821B2873F402432C70A22DC4826E0B27B19A59AEFE76AE06B76DCE4AAF864AA7309EFDE4D926220330706227660AE31133B00843310AC39E19A3';
wwv_flow_imp.g_varchar2_table(176) := '7647AF9D6C377762FFDAB7764B9CB0112960C22C70C22004822990378BB7412284012580415074AC39136C3ADF8B011E52BC1A8DD214A30D7B9625D9B362DD34072679922338825F56262D0CCFD298BCA8861A1C410670C0043C0125B8822D78D32D8043';
wwv_flow_imp.g_varchar2_table(177) := '3C48C32B4803389843CC737836A850994CEC05531B9C60742294372704C220ECFB24700226944218244225D8048D157C74ED056BF0156CC4060BABACD21C16582C45D308390E930520F1C4BBBC4B0A70000714B480BE055B783C11A16BC573001734309E';
wwv_flow_imp.g_varchar2_table(178) := 'DD423298C33910C32D946939AC713274C3989FC72B51B1935A460CBAC22BC4425A564315480058F757D612088198C1D7E6399EEF795A77032E2403D996B1567AFF888728C83275C31B80003AD18825F4F555D442A4F7651A24C11DFC81167C41A60FEE19';
wwv_flow_imp.g_varchar2_table(179) := 'A8A31C9EB31BA0FC6487833A58366673433258EA907A02B45906E506A2485C94A6CA3A9D20022997AA68EEDD036CC0036C4F0F5001248402B1F3C16DE7822B27FB52010BF1DE22B47F8AF8DBB2F8F3EAAC704AA834D0F02215FD0083EF5E8A70E6223157';
wwv_flow_imp.g_varchar2_table(180) := '4A2AA4423116A3D2E43F47DD7F28200340F8D3D78FA03F78F0F8E553988F9F3C78FDF845DCE70F56AF591703B151648A53474E8FDA2412292711253978D648F9F2450D1E472F61C65CA4C6CEA2458E3EC19CA9260A4F316A80F2C43374111E9B7690D614';
wwv_flow_imp.g_varchar2_table(181) := 'D34448532147843C893235CA932762AE8AF919B4FFE5D0A15C84B4F8C2E857B770D97EB91AD56D5DB651B8B6491B67CE9CB26C03FBF9E3E74F5EBB7EF8122A6C47CF1FC189F1829982354B141B36974479148549D1C89272C0A0FCA27228A3982F73DAA4';
wwv_flow_imp.g_varchar2_table(182) := '79F3F3CC9E51B0B654F30428D19A33ED7075FA544894DA47AA5A7D2245CA4F2F5CBBF2C12345481135A1A675CB360DD7A857E6D6291B554D1AB8B9DDAA85EBA76F625E79F2022BEC074F5E618279ABA5A2F52A16ADE97F3680F061C607161FF77DE4C8EF';
wwv_flow_imp.g_varchar2_table(183) := '4319B86DE0000C504000FF1B9040504609C6BF6DFE63701B6A64897095556491461A064701618F32EAA8C3124D54F1A6164BF648838929D298628A3BE228E30B34CC40E38D377CF984103AA2FF3823C7A99AC023156180CCA69D69F878259B6C6E61C48B';
wwv_flow_imp.g_varchar2_table(184) := '32EEA064A27DEEC98B1E78F45A68A17BF881E71EF30AF307985068810401030E20C0CC33D1242080000C88000102AA40C48823DC1823156072B125CF5C8019C64F208741465064987986996810C5269A6BA27906D16A108D06D26A28659419481F3D341A';
wwv_flow_imp.g_varchar2_table(185) := '6686B12515666C1986186206F573D451FFFC53985B8609F3A550720A45565921C1E393503AE9441881CE3308A17B166AE8217E0CDB47178B149B651236B2E04494594C896C908D1E31E5916B412A258C44422A45A4445C4924949776BA29A79C1C010A2B';
wwv_flow_imp.g_varchar2_table(186) := '31A66A6925295453431354ACF9C41A6B8AD1C69A11BD10C30B2E80C3433581BDFFEA0C0E46E0F0C38F842B31529C72C031AB1C6A8C5C071C4F9409E79664C219279C7006DA6BAF78FC0256A17B06F3C79F7D0EA3C61468A155848D3C4411255A6939B1F6';
wwv_flow_imp.g_varchar2_table(187) := '918F406A43DB6E13F1165C595F0A8A34744DE3A92AA0D6D8AC359AE8A5F7DE63EEE5C527D6B60A8AE0828712CE113C84EBAC925FB279589C6EC401679A57C089CE93B8A61B479D6DCAD167A089F802CFCAF1CA3B6FAF6B52616F145B4621C6131040A822';
wwv_flow_imp.g_varchar2_table(188) := '0E2C18BF4FBFC747F94F990209343040CAC1912691514659061C6A82E985416A185CC6746AA8C9C6426992C981893EF6D0E3C34334D9638F434C5CA28E2992E8030E34AE88D10C3368B4712A1DA96A420D4828693E945F42FF51E3156E7EC1A35F7FFB58';
wwv_flow_imp.g_varchar2_table(189) := 'B9577ADCE9C74A2BB3C4476595F31206945C9E20604C03D8571F81F7D737734D359FB00512442089054F3D73A12596FF81114061044A50CC30E03310882846312A520D7C14A536E540443DC34FC91055A048352864B00A19C4F0D33006388C5BAC4A185E';
wwv_flow_imp.g_varchar2_table(190) := '7043217295AB59C92A168E30172586C1AB821CC47BC172885E24B28F713C0B5AB0D0C52C029187404CE265A630C5249CE5114EC0A25A4684851175A18B8AE8E21B8DB089245E439AAFF1E42ABA010A4B9E20B02810C25EC5F00639D0E80D351643157DB0';
wwv_flow_imp.g_varchar2_table(191) := '43D70AE188387E06268CB0E3C2ECE889574C231C69FB0F3BFCD30D7330C862181B47322A718B8E99E32FE3DBFF073DFC1291850C262F2BDB473CA8711198412B2383E0C4454C818949D4CC23A5A8D92344F1C497F9308AD42805B9B2A813A0B46B2AAC79';
wwv_flow_imp.g_varchar2_table(192) := '971404468745DC4B1B6724871AB5A18D62A0022946E99A23F8804C3AC2046C8EA004286E910DB3A00D1CEAF08F38C6511D7A48A312DB30C72D2A418CB98CC36EBDFA4E78F2C137F340C41F807BC57A62310A60DCC20888C3CFE3F6E3031760611CDB5006';
wwv_flow_imp.g_varchar2_table(193) := '2908A48C52880E40BA60D0382E0720CD8D2211A4D8462F22D40BD2A16E42AF58C53254A73A69C401056E3884873421893D88740F7538511DD2608432FC0E46309AD12EAC71061C51250A4D68424D85C094263C212AB4E00634F0809A339CC10E2CDB4741';
wwv_flow_imp.g_varchar2_table(194) := 'FFEAD13D749E2C4B5BAA643FF6218C587482020C809F551F10010A3C80025B75D398E477045B8C554FB1C8939E80618B0006F0831F2C200211880D4721F050939220A234254162DC625406D4A05F3B78C13FB18A84C080C31D3AF1094A746285B108C5FF';
wwv_flow_imp.g_varchar2_table(195) := '16110546E84A867939083A85B51D89F8E358305BCC2C7EC8894168E46535E3C812736644235E849552D4053528810A547C42B6A858042B44A3B45AB2C62B8BB0838E76790C6D90031DC5FD25307D615B9B14228ECC5DA61FF000074A78E216C91147DACC';
wwv_flow_imp.g_varchar2_table(196) := '51CD719C631DE7B05037B83B8E5128631DDBB8C51F3C210D75E8632F2A7B64C9AC44494B5ED2229A84992E4229C49C31C68835B35911FF0BFF2D292EE658AD68456D17A1DCA30C95A63DE1836F7D3BD45DFAF21DE840E32FC9A18DE42E578ECAECF04B92';
wwv_flow_imp.g_varchar2_table(197) := 'C9073FD8D115D194E675C1610E759CA31DEBC8E67FC651DEB78DA31BA3F8C328B2010FBBF1036FE7DC1B79D6F93757C09370D3B902E2B0B0B8382C2E3F3970327FB2F91670403418B290E83864310A52F46740CBD8DCE67AD18B5294C2CAA87B90E9A681';
wwv_flow_imp.g_varchar2_table(198) := '516A58681BA3D041150EB1074D5882A48428D189CE90D232CC280E6F18DE8CEC7506284401478386C2509B3068AA103514C738C6272C91E0437C421E472D08F76AF83D2C69894B7901062DEE60D5F745000214D8000738E00111A0BAAB0F88DF11FCD79E';
wwv_flow_imp.g_varchar2_table(199) := 'F69C554FB4A0459FDC4A4041FF25D081CF1895A3EE3A4160EB9554C42814A108C50C4279D0831F0CE108FB94093E40C2119DA0C4AC52D1E14284020F6EA004342AEBAB4C33E486E799C80E41695FD0420B1381500426FC5B33CFCEE2B3A08D6214B35109';
wwv_flow_imp.g_varchar2_table(200) := '5FEC6217B495ADBF6F7B1408275813843078142441AF631097E16A3CE3C3EB6593453CB8108B2844885F028A12972DC5D9A5CB76D9B10E91C783C6D571F1785D2C8D5118E20FCCD087F8DC0BC97E984C308499AF3D5CA66E4D8676109880776957DBC3C5';
wwv_flow_imp.g_varchar2_table(201) := '28C6B5B080852B6BC40B7FD716159AF0AD1D089145DBA2C2E082D684BD2E6CDC330ED7E19FF884C5F9904C3CCC11269470852DAC8BDD8E9B631CEE70473CBA1B31699883FF1E17DBC638CA210D4FFC2112DDB01BCBBCA3B785A8F33CF968672A6CF18AC1';
wwv_flow_imp.g_varchar2_table(202) := '11AE1A7F00010A5CA09F7B3AD9C92E18453F49A165886E3ECCAB10C92A7A5150007999A189580529C62C8B5204831AE090C58464613A8D4A23184998429C2561894390B4A4274DE91866F48738C081786F50453158E1F4A9339DF9CDB7ADD36F52692EC9';
wwv_flow_imp.g_varchar2_table(203) := 'FC7BC18207CCC9E7A55878C1000C30000228C00111982005267881093C90EAF443607D1CC884ADE14FD6FD8D557FAA1A0634F0CFEB47E1D5D813BC6BA1826D1894CDD80C45D90C30B09A2D5580845568C10F0A01117042B13EA1131CE10C74400768800A';
wwv_flow_imp.g_varchar2_table(204) := '5C281376052F2C0B2182A51FBE639D26428A60E665742EB4FF7C0E16526995D48DC07CC887B2C1137C61DF3E81DFF8CDDFFC6D17648B07658B10086D11C8E11BAC011DDE811CAC018DACC11BACA197B4AE191661132ECEB98A0299160119D4812ED461C5';
wwv_flow_imp.g_varchar2_table(205) := 'D4611CE446E4C0301EE06E414E4E193C261CBAE1160C21125ECEBDFC817BFCE17B5266BE30A98874EE22A268167C0E13E84D31507093F0B0B57A4115F6AD106FD007518107AD81E97C9010C8800E3EE108BDA1B87C8909993009B5CE172C0E6C428CB984';
wwv_flow_imp.g_varchar2_table(206) := 'A310BEA11D3E4EC5CE211DB60B0C51D162BAA16DDA4C90C0211CDAECC6FEAE4B7C6CF080ECA9DAE9EC62817008271A46010524609F92CC7122CF05F4A90B18241812A1128266F34A8114BE4CF300841AFFC6A117A25124548FCC060A75D0EC7456471AFC';
wwv_flow_imp.g_varchar2_table(207) := '4002C6600F3E44A404C1764C640A4AC408C6400BDE200EFE6078D0000DECA5B6580115EED1B6086111F631EA2461E008E10CD8652AEC6065C6C71F920A22AA8F21AEEF20F3C253840001B08A034CA022C90F0660C003D08FFC522001E0870F80A13D6C8D';
wwv_flow_imp.g_varchar2_table(208) := 'AC483284902150EE4F18F06F51B0011A140552E86AAEE06A269F011986CD810AC58098C1837652D90425013F885540688032C10D9289793E011272027FC60007320003A2A01310A1037B8586F66604CDCD1FC681C07EE80E35A9669EC8E8ECEBB35ACBB5';
wwv_flow_imp.g_varchar2_table(209) := 'A801147CA1196AD01AD672DF709007E13211F1310A58811CDEE12E8FD01AF8ED5EF4D218FFB4C1082B8C1CD848E08CA2262C410CCEE01BE2411D5031C6620C15C5301ECEC13FCE41BCAA611D60B11BBA411952219DDC50E60063926CCE92700E0F7FA82B';
wwv_flow_imp.g_varchar2_table(210) := '758E059728DD5E90DEEE4D17C041148CC1196AB0068DC117D8721117512EDF92EACE0015ECB2B88E9015604A2F8D731203930925AE256A02291681A8D4811DDA81BB44EE1C18330CD701EEE621BBCA611DC401C73C4633D39018CA8916054F3C6EB15700';
wwv_flow_imp.g_varchar2_table(211) := '27F10867176D8118724002E4C307AE203F5CE03E2B0F0BAAC3CB482268064A68BEC5F4C22CCC003411302311B271154A017564C1A25621CDBE91166080A8E88CF74ACA09D220CF76A00ACA0046882F46D0A0156C047978040A946711FFD0C5EB1CED1872';
wwv_flow_imp.g_varchar2_table(212) := '215D78025EF8C00D55664AAAA4FAC2E7205706182021031820011E80054C60D53820FC2812D5548DFC38007E8E60C84492246DE17FD44A188041184E121A90011A6CA11862411B6A211614A55192A1500C654C73D2508861261B05AEF04A278D6D543A68';
wwv_flow_imp.g_varchar2_table(213) := '54704D280768846E0118FCC0285F82DA1C0111F8400CEE605CC4400822C00D1C812A67E821C0072B09624B44410EE6A0E7F6EBDE34295A180335BDD2DEEE4DE59CA11836D5178AA1360B7117DC12A6A28610046109F1121DACE114F69238F96DB852F597';
wwv_flow_imp.g_varchar2_table(214) := '76E1142CE143120C1554A115CEE010E021E4E82115C1F05723D362B6C1C56EC10CC5531A34B31EDAEB30D8E12FE2CBE6FF8C2A1E1241888688872415944AEB5277CEB5A248196AC1199C412D41B506DF5237711015F4801092102FC981DF4EE15E5C15A6';
wwv_flow_imp.g_varchar2_table(215) := '880B2F99B015164113E6A50777A115C8A013EE413A81353B47AE6057D19A46211CCC415935531A40A69254A616C5E33BCE839DAEE1EC5E61AC38673ADE403E73400BF063F29C0CA0B6C140C1A03FBDE56403B4A1C6CC5BFA3311C0E064C7CC3F65811AA6';
wwv_flow_imp.g_varchar2_table(216) := 'A114A6A166D72C7558E70A98C00E72CF1C4BCAA4A600A58CA00AB460CFFA6C1E4334A6A0000A66A32916811672A16A73011ABE216B65C111B8400A9E800BBE000F0C126F646EA9F2214A380D62FDA184DAE4016E8005506D48DF84001EA06EBB8A035220';
wwv_flow_imp.g_varchar2_table(217) := '05B22A01FF4480126C21FE688124D7CAD99041256BC10E4EA11536410FEC801BE02A2775924C0B9000C5744CE98A50E86A27DF1455DAAAADA61414BA0D1120704F2F4E0D96420C3AA1856C0A116C21DC6888E644B03C88A51F080313C08059BA200B7237';
wwv_flow_imp.g_varchar2_table(218) := '0B02C114F2100FFFD0DED6CD345F5317DC421B36B5189A6153C9B536FBCD38F94D12C8800C2421099510A68C6117B2771758E114FCD22EDDD51B8CA115782107F98D1750810C42611F06963CB0530C69EC1CCC0117E66E754E8CBD1C49E6682E1FE6D092';
wwv_flow_imp.g_varchar2_table(219) := 'A8350B00387773970D06C1777FC88083F7525F73879C419890975395B706D51207D7F2135A4112A0800E5061B87EC938B3777B89B319CE082F8F501BFFFAF52DCFD712A6801CE221E4069660E16E0CB1491CD8A61B94551A8EC41CF0C23CD189F00842C8';
wwv_flow_imp.g_varchar2_table(220) := '9E7470F4673A2201187DE00FB0C00C18877172A018D9601CA8811430236649226661F6F30CB4196156656336665BF615C80C75D22C19942119824119ECE20F74600CE6CC424D2A43D30009CE400BD060F862E445028D0C9E768FA1160FFAA77F68411864';
wwv_flow_imp.g_varchar2_table(221) := 'E11BB20119F04009A44009B8800BCAC0BDEC4165EAA11D6AF47BC6C3A90E52422592031E200008C0475D6D7E102002B2AAAB28C003DC8403DC00FED4E36F05578000051A42411008411224C10918600678A12575729779F927938D970F08B07EF25482B2';
wwv_flow_imp.g_varchar2_table(222) := 'AD082BAD20C10D0855742B8E0FFA400DFF9E592B70C20890800A52C17511D586860522CA031666E69B99457749800D02E11236C2BEBA12354DB07875E11A46A1818509828BE15341951770D35CA5D709C84010BA577BB7F79F6715A64638558BE1848D61';
wwv_flow_imp.g_varchar2_table(223) := '7BCBF71412931F5EF8576158E4FEC31C92611BC2018771983A06827C68D72FE490308A251E466166F2200F1C439CBB800D900813EC7078D58D9D61931482699E852979C7B55C6FD3178C81EA9C409F25E11412517B811A074FC17B870B30EF921C9AE1A7';
wwv_flow_imp.g_varchar2_table(224) := '83BA7C0FC112DC811DDC41E47ED5A11F3A3B692CBB70011CB241196CB81A92418771913C7A383D2DF6EC9E94176361AF10070428AFAD296F9FFE438A4FB68BA7580EAA788A45A28BFFC1600DF41A0C8206415FC1CA92211996611ACA188D550E08ACA056';
wwv_flow_imp.g_varchar2_table(225) := '2D411024A10E7AAF68D36043AF60CF880F0DBEA00C66CB11A3E06985006A7B241400D9D6B036671DE108944091C1D6920C120ECD9621B7647C0C2F13E0C700D68493E18793BF4F7D2240AB10200392940296D4D652C1ACE56F18D60AD73EE10CD6D511A2';
wwv_flow_imp.g_varchar2_table(226) := '270A18F7A736854D3BC8AF0C50007FD92731D70007B0D9BC1BD79CCD4F5CA14FF180DA8AE2C1282E29F9C00EDC0003110012FC214A0E75DC84656588254A6081142661121481BFFD3B231CC331022167E4ED0ED9791C9421161A385F1C789E69D317ECD9';
wwv_flow_imp.g_varchar2_table(227) := '189AA119EE25B93441960981553F1885517809C1F7A8731AA83FF8A0FFCF4015FC611DE0E18581751BA6219BBAC19FA8C342EEA2200A0334F16192E6C13C58261E4A61BF7D7CBF2F6112462BC0D90013087CA5BBB578C701138229A61DDCC141F536251C';
wwv_flow_imp.g_varchar2_table(228) := 'C251C112ECCC1258B5190E9AC3CFB55EED5511F96DC479210D84611FA03A15E16E6095151CAA611CB2011762BC1AFC4E6D25369DC8FA6F02973DC7EA168E750A10E70A1867711A276495411794E15BC245244021405F6165C16565133D11C0384274361B';
wwv_flow_imp.g_varchar2_table(229) := 'D46C75942118AE000818DB766CC7A498A04454440990D6455E040DE885100CADB3A15608D4C0D68481165CC11564811BB8616BA5600814D90ABE20BE9FE40DDD6192C1A721C7672FCA200022404DE6C74CDAE7FBFFE0E77D320002082005B44A0832E16F';
wwv_flow_imp.g_varchar2_table(230) := '8B7BACF2FC4ED42A8068A10C30600A08210D7AE2267CC112F2C750966DD932C8270948273508D99A6D988DF9D9FCE41690E16BDCE0095EE2E2C2AE102630B114CB0EBCA0094AE0000A21BEAB329B15A221643722B6440F2F61E24DE112544BB572461186';
wwv_flow_imp.g_varchar2_table(231) := '48947CBC236CC6BF5EE6DE10FC9D63DA8163BA5C275C5CF5E59E271CA70F7AC37781177861CB77818301131DBCC19FB7577B57B50EC4411F8035CDBBEB1C887E1DBA011798E142E657CE1D361CEA0162377ADCF837C73FBAC727DE668EDC88522B107C6E';
wwv_flow_imp.g_varchar2_table(232) := '124449894C2BE8449E148A41B8CC285FD09E36ED19A797575CC775C2537EC25F7EE663DE9FCBF77BFF8D5A555F1E07B3B719B008AAA3FA85B96BF0A7E11682211B220617B89AA2C9496DC5FAC7FA86200C8F1932C1132ABF132221F30D8118E2403E234F';
wwv_flow_imp.g_varchar2_table(233) := 'F242163F2E6F19FEA3F5B6A11B5A0F1CD2E67302E4BA52DF3FB2A1F55CBF6CA8A11B0AFBF6BFD1B095211240E0103681CE46AA43988009500A0974C004406007ACC00A14F90B5021146E642A062DD15C7DC8E0CF1504F91B642114BC56B57B9D655A5B92';
wwv_flow_imp.g_varchar2_table(234) := '1772D39CAA578CE0936F9BD909807D9CDDD97BFB010800D5322005C6E0166801143CA1B8E18F166EC11600C253AA312818303871C6098619640E45B14429D73362CC8859BC781119B2611A993DFBF891193291C8888DD45872D8B05BC080A954FF296C98';
wwv_flow_imp.g_varchar2_table(235) := '2D214FBC78A1C4A7109F3E7CDCE0E983675121476A7434E111818FBF7BFD9AFA83078FDFBD7C54F9C983E78F9FD67BFE74619A74E992A9B0A6CA9AE254162CA74993060D62AB88EDA4AF6C45D91545CC933367C5FA6A2B76ECAFAF66BC7C0D6EE64C9BE2';
wwv_flow_imp.g_varchar2_table(236) := 'C4DA9C357BDCCC9831C48D234B96DC4C1B3974E4DEBD2397D9DAE55DBB260BEAB46F9DEAD5AACFB93EA76EDC3873CA3CE1DA36AEDB3673DD9425A3D7CF9FBFA6F4DAF59B4A355F3B7AC3FBEDDB17AF1458B268C596B52E77EE204C8AE8669F6B17133552';
wwv_flow_imp.g_varchar2_table(237) := 'BCF816FBABF8AFB35ABE781546BCB731DFBDF42D53B63C19B3B7CDE83C93B306A031A49526E019E8C4D30E6BF1B4368E3AAE3508FF0E2E9E04D34D6EE084B34D30D2E8E35470F2C8C34F72F9F4038F3CCD1DE74F2644549184124A2401A30B7F78228104';
wwv_flow_imp.g_varchar2_table(238) := '2EDC98430E3EECC8630E5D80434D90D46C030E91431E49E4364A0AC96493D42C330D94CB40298D34CA58A94C96B7E490C6269648B247987530C1441D69205183071B485084122D14C1052AD6D84147144D40D1C49D42A8118A30B4D8E24A28B240030D37';
wwv_flow_imp.g_varchar2_table(239) := 'AE7C7184125C585186708EFA438F3B5989981C895C05E7941104101040A79B12600001081860C0A8A52280EA030444C0C103321C410B2DA908948A2B7FDA3250041B3C60100304D040C30C4E44E1040D7DE4521231C328FBD2B22F21638B46D080F4CCB4';
wwv_flow_imp.g_varchar2_table(240) := 'D020432833D75EBBFF114CDEC6E4921A2C88C1821A8E0CC5C7228BFC84871D43A911050B3A08C180524C3905553F225A85553F5AEDD38F2EA43C1296580487C509C2702D1C97220E2BE216C49804828928C56482582D7CA5D7972FB5B877187DEA31A64D';
wwv_flow_imp.g_varchar2_table(241) := '33860DA68D372ACB075966E46CF6597A025E668C35AD1C920E3DACADF36083B281630E38112A634E6EB88C1289197FD413DC70901A47E972CD3D17DD74635DC249C2588FB5D65C6CB93509C46277D7DDC4930493887BEB21E68D36813963586186D1375F';
wwv_flow_imp.g_varchar2_table(242) := '636D973C982F89A9EC0DDD90ED07F3DDA20948603396A8220F3BF024B8DA39B2CD06B96EB848D3A034B78CF2071AA3E8C3B4D31F8658698927726588094018B1FF8311A7E730C515B8B820010838E6483BED57E8A2E43643E65E64EEBCEF0EE491D46433';
wwv_flow_imp.g_varchar2_table(243) := '3CF1C64BA9CC345866194C30C96CC1441F961C22892087D4E1041369D471439A127050C4102DB430C422D610120514E9E7D9C49EA1BC12AB2B94D0220B37B20803C811437CC1C51B8F0617297F512A1FF7E0073CF0F13F7FFCA0530CFC54A84805415421';
wwv_flow_imp.g_varchar2_table(244) := '2002018800020240010AF4E006A0400630E2970A4A94E108144055041E9001041C80000708D60C4E4083334082163179494C84718B6609C316D1C2D647A0810D6B116A8884D2480D87514361806B186E308218845008449C2B274371C4273E5108780941';
wwv_flow_imp.g_varchar2_table(245) := '0825A041BD96D294E0E40B39F9E057569A02B059FF04A2606C4C5875B03687B7402C6C617B585CE83888404C22169170CFC76A719EB7F14215EE790F7CE8B6B2BC15D2197C934F7C8CA199CD904365D6C04F692A790868D0E3350F0A9AD092B40D657443';
wwv_flow_imp.g_varchar2_table(246) := '1AB8389A2722F18738FC21121C120E718C830F11B5A31E53838E2C14C146ACE9522C6199441EE2320887D1D18ED90966302A51483F32A6181F1BA47B26031FC41483917D835B2133D348913906702FA3A4256BE68B4394831DE4F4D96C84068E6EF44E19';
wwv_flow_imp.g_varchar2_table(247) := 'E048462947518954AAF216FAD0C7A33E27221299288C088C040C60540418C1C8075318C516400002DAF920072E60680E3A9023528C43484BDA9DEFA8218DDC49294AD30892F186F7A464C8E2FF17CD0BC695B2940C0D35420787D884245E5A873169AF0E';
wwv_flow_imp.g_varchar2_table(248) := '3CC08109D654042BB8E809E623449DD487A72644C10D94A8552842210757FCC27ED00805178EF0053CC0E151C289D4A4285540785CAA39FEE8010303F0A94D3D1082A7BA20AA08F08007F400067760C41DD0C00523BC20016345000346A5C24D45800638';
wwv_flow_imp.g_varchar2_table(249) := '80821816D1895C281189486489616DE112C24A6B88D52A2211B975446F0143182D01C6189A70134854D18A9F70C4B9E06527219C2085F60AE353E0A1AFE498512BFCD847574821974B4CA78D63098422C6424786358C2D98E86D2D0CD10A5EB442159B20';
wwv_flow_imp.g_varchar2_table(250) := 'A4C66AD18AE4AA22B97233D9DC522698F6B46217BC4859DBCA63B7921903707CFF1B1C666A46DC78F4EC93BAD98634B2715E69B8B3129EF0C428DEBB8A51E0A273CD29CE7164C91C3442A714C29C2D5974690A45E8D114DF11E66E793B0952344215CB4D';
wwv_flow_imp.g_varchar2_table(251) := 'EE26825B0BC2307817CC0599615AE10BC5B40D6EED21647555E61892952C659CE9EE252F530C4BC4421EE9884DD0C4B10DDD5409BD5622063C2B5189F7EAB81AF574A53FF019BA7D36852B8C804111024A8424E4A00A55C841240C21810AE4000B57C002';
wwv_flow_imp.g_varchar2_table(252) := '167CD0D08632B411BA53C632AEB48D69F82E49BD33AF9789478D6E8014CDC65386869687A56448631540A882972471883D8CC90975D8434D4D20011458E10D68F8C21750F1094944217D5120839DA820063CF08111946684FFA0AE250B5770A108516584';
wwv_flow_imp.g_varchar2_table(253) := '70ECE1B400828E52963A51706E0056B08675D5A03A80094565800A52E0063DE000AA4805AA5291EA000658A1AB7D9D812650C10E88A8452C100B8C5B281118B84A052D58028C8DC46423D6D2964AB6A5112426D65B48A46C4B84110B2F8CAB139E750425';
wwv_flow_imp.g_varchar2_table(254) := '3E716E4A38A20F6A00AD1032800104E0018CF842EDBEAEE22F34FA03167AECEF74D842963CE46110BD2CF03081D95B436C62E10C5FF82097FBE0E44E37B8C1DD8587A1BB97F608B7BA8A612E351503C99795581B34938C2ACEB08DD8C8464956725E307E';
wwv_flow_imp.g_varchar2_table(255) := '51CA57DC2218C4C8529670418CCBB5B2BEC621A372F2EB9CFD06F3C0B90C8BC0EF981D0323BD2D8A1845175AFFD170860FD2C1C9A5B0C5AFAE0AEA32F23C7B218C32DBF660637CDC1921470767B451C9C894C6707628873982266394A65419395FC52D70';
wwv_flow_imp.g_varchar2_table(256) := '61D22C11E39D3C6E9A8740944FD1F1D31F8C304112889064812AC10566A0518D7074232DBBC0071DC0C2929641E6CC1769F3DB108745C71CE3215569F4A34F9ECD4D5A0626DC194CD8D3DE1E908003146CC0045C2874190E7DBE9F325AD84F90821AA20A';
wwv_flow_imp.g_varchar2_table(257) := '074650C2154A1406289ECA053854C251FC104E3D2435EAC06FD529A8E614AB594DAAB3822A0008A0C00B8C606B0624C082A66261AB5918810CB040085EB0431F0AF18950C4221793F536B343418B58D0A2FEDDE6482710610800E808A0000DB100098600';
wwv_flow_imp.g_varchar2_table(258) := 'FF0988800894C01149647FDFD6095E500263406E9FD0099D6081180809E7D2075ED03E18100107505AF5965A55711559F12FFB160871343649171779C00673F03043674735180879B4097D107596107150870A9B800ACC955C415871BC90195C073714D6';
wwv_flow_imp.g_varchar2_table(259) := '0AD8144EA7E01E32531A9EF10E6DF31803620CBC5007A050662D870BF1F55E8D60088DA04A91D008EEE55EA8C44A7ED70FF61535404735A4104734884B93F008D91183721431C03474B9F5169E6006A7C08380B809A7B0703E3888A8800A57D70A446871';
wwv_flow_imp.g_varchar2_table(260) := 'D8E5481B678429D30A92105C99A118BC00499E810EDE907633630CA87006D05024BAE11BC4B00AAFA06364984AABC45E3AD6096FF00AF5D4FF344F017841762208543A4540044670644A3605397005A3003B1270655666655A96233E200A4AC27946023C';
wwv_flow_imp.g_varchar2_table(261) := '44A21BBD5324BB430D59B20CD26052D2708DD8587A556273B501027BB009D423087BD6674BA0036AE2014A2005ED78047630278BE66841256C6500075CC0058C00088CE00AAF200BB4E05443C00578D0089F961590027D0354465A4555FE507DAA667D11';
wwv_flow_imp.g_varchar2_table(262) := '1956A72256DCF70022F0031B2041E5B7292BF429112004484005ED371494D009B1307FC7F01284020C21E4079E900B84A5441B110A91D009A0307FC2002DA980927F325932A96D95C56C88800427E006E89681184809E7762E782006ED93012138826214';
wwv_flow_imp.g_varchar2_table(263) := '15F7260F4D9182A290087310FF877BE83043078332E81632F83064E916C194078110087BD0077B70086FC98351C77041E81E504788744948839171C9750AADB037AD40083CB80B8F41484BD81FE44072923120AAC00470905225753437260771D0089519';
wwv_flow_imp.g_varchar2_table(264) := '09711086A8F40766F00657B0347EE70F08528254314BB5140FA4900773708367598368C906C1C49A33988710134791A0057B002679169783C89B87385DBC800A96700A443848ED411FC2C55CE9E1529A305D84195CDAE01FD6608433C30B9680049DC03C';
wwv_flow_imp.g_varchar2_table(265) := 'EE145F9E500962589980D00868F86486F0077D600657900AFAD07C8E026454A14FB7E80FA543044080784560044A0623A37005092001C9B8232ED0011DB0500B350A4A32FF25D28051E615249BA74E6386A04B327ADB708D18558D79A78DC1504AAB8077';
wwv_flow_imp.g_varchar2_table(266) := 'C4500553203D3045263185043A800212B0013D40043FF003424008B9C768414513FCE808C94769A0E00A37DA085FD07B5C60088E026A0879559462405C41550F1991A9C66A1374419B120006C02A3BB001B9162A0ED49119C00323290663C01343117FB1';
wwv_flow_imp.g_varchar2_table(267) := '700CF5670BA1000977F00448F00255300CDFD67FC3E058281113DCC21136D46D0F086E7740052CC007E9768148E9593AD10754D0043A9001192082F4469552A15A27C85AAE050BAF799634089B10C306A9F9958F0A3183208371247081D0057B50053195';
wwv_flow_imp.g_varchar2_table(268) := '06DBE39687303D9660099AC083A8509776F960C809328FB1FFAA91E80DBCA0077B60090EC60BBB90189BA10D0302758440053A8006EFD49D959008A3505259828D29853471C09966800663F0073BE72FA2194BC9D10EF3609AA8A99AB179A90E330759D0';
wwv_flow_imp.g_varchar2_table(269) := '95967A966289A9A919075610536612536F49AAA42A09A7DA97D4D50A84388814175C6AE30CC2F5607AA3329B500792F06074591ECEC019CE30205E620753000391800BAFC09DE1390AAB6052D96825C9703991E00768800665D00757100B1C328B25127D';
wwv_flow_imp.g_varchar2_table(270) := '06246428229F3F0004F4D98B4A0002915009FC59013CE20356D6000BC5505D300EBE230BB8400AB2B00AABB00CBDF379E8D43B0F5A5119D5726FE666186A52D580064C40AA9620088210A2AF47A21B30FF7B30200336F003F0680767F0A2E94313C3E707';
wwv_flow_imp.g_varchar2_table(271) := '6A205570B08F8C000A8CF00552A00444800606D97CF320290AB99097625A466A7D48BA6A069042AA065614A0561BD0A47F2B2A25F02A4F30066EC0077C800890107F4A59086E200649C0032BA0011A90011B20020C587F37D42CC8A0932A41BAC5577C73';
wwv_flow_imp.g_varchar2_table(272) := 'BA6C9475BAA960075480048E20B918180AE8762E77A00662200651B00438907E0C306FF74295A3C92FFEF22FFDC06F98FAA8B0093693C0063118475CA9BCD1CB95A90983818005493005DB4B264C3005697006611226D4C383F9BA889BA0099BB00B3F78';
wwv_flow_imp.g_varchar2_table(273) := 'ABC1E51846E84C7BE30B60C283E9CB71297385CB250969C0044880045F408639360AA490FF77A65409E409076F00AD84C6B1D13AAD8EF24AF785AD6E081D70F8A82C988797300893CA95D45BAE98CA952B088356C025DCBB03DE1BBEE13BBEF1DAAAC049';
wwv_flow_imp.g_varchar2_table(274) := '8884285C71A975EF0B32D4B40B7540085E723819761EDE2020C4250650D0033C3004CAD708ECA5A105FC5E6418076FF0066500C57700C5D19A9EEBF977D1F79E61443A1EF0033BE0C52BBBB243E00265B00A1290002E70657180055D800571908C683C66';
wwv_flow_imp.g_varchar2_table(275) := 'A49008733CC7D4D03BE8D5A0DB300A6BD008D5880B6EA6B408EA8DCD732556524A6E360D9550036360AAD543066582B5253A7B31D0B52C7A3E62AB3E8ED63E54207C7010556FF0B65280068CD0086820053FD0025CC07CC261B741BAFF2F0C1946C12103';
wwv_flow_imp.g_varchar2_table(276) := '82FB557DBB6A0F70410C6400141001B5F629A90656118003420069EF17459D55086340054B5002F016012038A825700225B0016290A6A1AB581CB158A44BBA4089BAF6770BC7100BDEF00962B0044B60459050BBE8361485D02E4FD93E25F0BB4A21B2C3';
wwv_flow_imp.g_varchar2_table(277) := '7B6FA8C50FFA060B89709603F7A83728161D9C9A832070D60B83079D0759F0BC5730054990061D3A0523AA033AB004DFDB677B1098EA9BABF58ABEAD20202EC58346684DFABA32004B08F1EA971BC66062D0031EE0012D60034030043960055A60066650';
wwv_flow_imp.g_varchar2_table(278) := '065AE0C49C89066FE00677F0067700D46820C51E3B0686308B11EC7352231C54B30AD1BB9AB0C982603107A9B982225CFFD53038A907FDBC5D00044AB0BD108D043C30D1DE2BAA187DABCE348896A0AAC285677D8961B05A188CD136965007D4B3098ED8';
wwv_flow_imp.g_varchar2_table(279) := '0C88780634600226303E2A000434BD0566B0055A80069C49680ADCD384F6566ED0B1903D06A9E01C3ED69E2322784D818B1CF0033660033B10D3604C9FC2980052167991573B392051CCF8245062C7E8943BDD5021A340025970D336478D5782514D9B8D';
wwv_flow_imp.g_varchar2_table(280) := '185A4A26450C4630052E05268F9C067BC004596B0244B0035DFBB5D6200962AB7B5040137E80135FE0066E70CA3F2005C1F7065250044730B7FE006AC1810FEE204003546AB1EC0F3140CB0DE4B7629501B1A6CB27F40328509168C50222C00246F00476';
wwv_flow_imp.g_varchar2_table(281) := '404595BBFF0419F001208801833A5A19305AD4BC0125A00399E06D837544D2821246A44337B46CE2CC4CAA700862B0074B70004B50089BE5083D21064FF00454602750190125800053795AC48B6FF9EC1CC80BBDD65BAE2B38088F40D07914BD02C70659';
wwv_flow_imp.g_varchar2_table(282) := '20E45D900544DE055D30C7A9500BA0100A9D00091B880896BB0434A03D6940088199BE12A709023B18C985AA6C5D1E1BA7371AE60D37BC07CCE988C5400533F0001BE00130D0023BE0024AE6024490033072056FF0077FE0077E70077E7E07D98D066E00';
wwv_flow_imp.g_varchar2_table(283) := 'C5508CD410BC8650835FA6F9D4562DBD203C700DF3CF04FDBC425EE446DE05721008A0300A28E9099DF00790100988D00762C004549E06B54AAA40E8FF605FB2099151AF5F92D6FB5A897B037638FC6022D30A5050E01EF0022D10032E103E4340EC47A6';
wwv_flow_imp.g_varchar2_table(284) := '049EC9E770D00709FC067800D9D95D0683CE05A9E00FAEE539B5E89E998DB21C600337D00237E0D92BBB034000039E8006FCE90366608C57A6502EC0063B4B24BD40C7AE60C776CC72B23D0E8D90053BEB09A47052CB1024823CC8BD5D4AB84052CAF006';
wwv_flow_imp.g_varchar2_table(285) := '3000AF92F0C87D36A228800244600587470447D0A28B30DD8B06698C90097CF005D1BEDDDDCD08F7C88E7FD090F780DED1471559A5B74EE1DEF45DCBF16D000C400130BF2908A0561CD02906B001F729043A60045EA0068F3BE26E80010C8001073EA84B';
wwv_flow_imp.g_varchar2_table(286) := '9FE0CD5C02D23C06F627E1CD12A74674FFBADF5C7CDF5608A49A06338001FC7B0050A02E8B6007612B066770F651B04538800334109519F045F7C22163B4F2C5BBA8FD200A8D20BD514DD002E7165C1DE46C60E4581004844FF8850F061A3A7FB170549E';
wwv_flow_imp.g_varchar2_table(287) := '9509A1C0E49460074BE0046490EA847008A8FA52ED8B0AD235888740084BE80B1D5D18FB016275400769FD476980015AFBE6823DE78B17C62D82067EC0E77DCE077000D4819EDD847ED4FF93E8127C0FF72035FA650FA3100656ADBC7F3FD08AA0D5415E';
wwv_flow_imp.g_varchar2_table(288) := 'E46C20076C1C04858F055A50F895400AAFF00AB6920A91F0E49EC0E4A950CED9430675A007986FAAB2BE8814F7839A1098BA5A9D7D591E7C33AB64A0077DD91EBEC098070E101C4CFFC068A102C89021065D24C961E50D1C3F7FFCC0C143118D9B326ED0';
wwv_flow_imp.g_varchar2_table(289) := '641C93CADF3E7FFEFAF993278FDFBD7C29FBC19327B25FBF7BFEFC70D871A3858D9B366C1834F1275202092E7208F53154A88BA258C06D5BBA8DDA326AE0A232DDB6ADDBD571A3BAE802276D142969CAC46E935636ACB26068C5420D9B6C5B2A13753669';
wwv_flow_imp.g_varchar2_table(290) := '9294C6499D3D486AA03051858B92244F8ED8B146E84C143A51A0408922460CA24A7CCAA8F9224530173F8D184951828652487B21FDDD73D78F5F4AD429F9C18BF9F2A5BF180108CC961D40F66CDC071044D860E0B66C031444BCE071E489601E3C9AA8E9';
wwv_flow_imp.g_varchar2_table(291) := '5308D1F34F4D1860C890813AF513D5B3973851A2849050C880011356FF7ED83061E791417B060D1AFAF4E6CBCF17062CD7B14F75F4A49971204D94196810E38C3304A1230D3ACEA0830C32A0600207214A8820820C18C0C39F7AF4316D2578FA498D1F79';
wwv_flow_imp.g_varchar2_table(292) := '3AE46744903001638E41065164C549560C04C540F2C8A28B19B1B0510B3382F0210833E4486494554879E5155A8A8C8512471C818492504261D28E43F680228D34F4D88310BC5AD1061D6F5A4145934D5A39C5124B9A7166933A2409D3196FDA24C71706';
wwv_flow_imp.g_varchar2_table(293) := '0FD9049530119981020E3CB80908178650C2053E0355E20D89FC30F40E37DE4063D18DD0F8C210D1FCE1C71F7ADAF130B576E8110DA4782A61638E40545C71D43CF218241036669CB18B2082D8620B257C90028BFF462A01129755682192965428310491';
wwv_flow_imp.g_varchar2_table(294) := '4C3A11B6934F0E39A40E32D2A88390430449E3905DBC79A7193AD56CC512425031134B4B5031461B6FC809B79564E56C6513552CA1D003135A70D7852286004205836C28E28A370C65C40F3CF07843D1453142830B573E0A6924964E436DA5965CC3C71F';
wwv_flow_imp.g_varchar2_table(295) := '43688AA1059B70C2690718AE7805040924F0E10A1B43F6A128A4A419A72A706449641570966AAAAA6CAA0A060B4CC2516615B1C292A62A9EAB3AAB2CB47EB9E595512AD9818CB924A9C3893DF66042071460B0620CC0943882905058398CB1C49A10C30B';
wwv_flow_imp.g_varchar2_table(296) := '462881430D2EA4309B8B2FFC60040E298EF04CB4494773671F8553CB67B5D65CF34786DB68F31B37FF020CD88D03027E23E0800718F0C2913190E0418826BC60CE39253B41048308AEAB8EBAEA32D8AEBB13D4C8259658C8932FBD6162F124134A22A1A4';
wwv_flow_imp.g_varchar2_table(297) := '93F3E8A3CF3E613E414595739D606006284E70C28E5350418515562431908EE39D702283DD3288E0C27AF486079EBAEF0E512412FD2185C654532DF5FB3C020183041B5B8D558921383BE2882FE060A492575C89DF15577A75840FFC0BA1DC0D3BC82147';
wwv_flow_imp.g_varchar2_table(298) := '15323041806490CB299C418E77ECA20EAD08172F5AD10A5E68431B9AD0CF295AC12637F1628067B0C426B4C18407E409042D00541172C02715C060842EB0021CFE20113EE0E10E11010420E250C3385462242199543C2C65B74CB90424FEF044FF16B2C0';
wwv_flow_imp.g_varchar2_table(299) := '0624223146A50A4422BAD0051B59A1284AA0A2ACD2D7A34A800214A3A005FD52E1247ECD10117CD09F1A5AE1BF430490090CDA8305B7840E49108217E26AC52E20A80D67D48510A788609BDA6489354E610F9650452D1E900176B560844088D7BC140902';
wwv_flow_imp.g_varchar2_table(300) := '18DCCB85FBA2481CFE80431BDAF016A63918494C921A86B9A41F0FFB03077042B182DCA4203600C22D9420810A7CEC0A1FC3C2C8729083918DE2644CA14637A4823297F9B265E320452312C1864AF4C22C6109062E7055341B9A010D57B88215D0078416';
wwv_flow_imp.g_varchar2_table(301) := '0C040665D0042BEC829729E8A00637981A1505439845242631506882D7C410363C7CA16C5218434618C18837ACAF0C9FF1476842FF421A49D94D35AC11E548F806B8DA002E700630400628A050022000010738821884A09C2AA86172888044273A1A8503';
wwv_flow_imp.g_varchar2_table(302) := '6CCE3A9DF39CE74ED09D12F02014B948452E4C071FD4A5A213A968A92D62579FF28C673CC2C00F2A1C21BC4558E20C7B00101484B78BE111AF78C75B9013244AA108F06134D2EBD087AE37227E80A41795E84203B0D0051270EF888108841CB0A08584D0';
wwv_flow_imp.g_varchar2_table(303) := 'EB07F12AC20F2CF0832348E10B789003253C51094AE4B51077D0685FDDE006C7480B1D7BC0C00C9850A535B5692E737C8737F8B80B0C2A500F166C8604DBC48B439C614A859C810444F82E46F2C906208024088AF0853FEC4B868800D22A5C0B2420ED50';
wwv_flow_imp.g_varchar2_table(304) := '52FEF0E1A5501344FF91EC631FF178051B6C04C52776810D60604313BBA08520B860042A00D410E2A5828428016D10A1442642C13A44C0C10D6A18C35FD5F0572F58021D8D85C20C0C9B255EB0491B6A6AC678B5818A3B7A431BA748832036C18BCA824B';
wwv_flow_imp.g_varchar2_table(305) := '1B9BB0431A04198B432460031C4881BB5A70103EED40912600810D928006B585B111AF78ED2ABEE28965B8E63525A95E281D063153B64006EED2498981E00150C421011E384A516C79CBA134E264E3681938C641631A2F252C42B3F028E210842F6C610D';
wwv_flow_imp.g_varchar2_table(306) := '66D002357DA0841C0C41B9F44A410552A08255D68B202FA8C25CEC2286BCD460053AB08217926084F5A9216B5120F36218E3183F884D0D65E8AEBE348307AB95FF21123C341840AB97927BAC261F05854DDF0AF7B7C345D4001B880044257A001E44A109';
wwv_flow_imp.g_varchar2_table(307) := '5410C35FFBC007487CA213A188052242A0B99172AEA4DDA14106EC000D97EA343EE8510F324C7D1E98E254D4B1D8852516E1534B2C260D64A00114F470D45DB022A9AC1044F266B09B094575AAAF999E6DAD27A211DDA31FAB88831CB480852DD828DA58';
wwv_flow_imp.g_varchar2_table(308) := 'F05125E4B00629A4400213E036B72DD0ED0958C00245906B44F8F0D7ED7A41DD921383469BB08936ED6109B24E03219BC10B4BEC6117DA20073AC8D10A4DB4E25BE17206B75AE10B6738431BC76885230E21063BF040031498800746A890794199B48BBC';
wwv_flow_imp.g_varchar2_table(309) := '021C0CC1873BDC8112B8484BC983410A65C8B687FF9642C96DE9A1B7495502106B9876B4A3DDEC5134420E6E908205B60D6EA07B2005E4CE171C42EE86317061DD5C708C46C9A00A7268C34164980219F6705F5E605612BE78E304BBA5F07019A30E82A8';
wwv_flow_imp.g_varchar2_table(310) := '6333CCE48D5A2042156CB643081E408144822050287457694F0B0744F8A10F7D0045307A118C5204431427DF868647C26150B24494A43465810B4C6215B0D203711845C74010072CC4A1116C280A8C5D8005A005A3C7328F8319CC50CD3F8DC005A3A557';
wwv_flow_imp.g_varchar2_table(311) := '0754000217B800F6B167AE9203D5488424A10849B8C218AC50052B6CC212FCB3431FEC5006E4BFE10EC89F8C1D42E10842448140873943BBFD90093FFCD57D99F044284081FDB671819FB225FF8D69047A37826AB8CF08FD336E0CB0500E44C0CFB36128';
wwv_flow_imp.g_varchar2_table(312) := '0F183D063BDCA10F8B28C4EB62518B5438030AA18E011CA9EC3829D011825838865CB005511B3552439D51230F9D12358743056339831970822A810227380349189E5CCB35A5421E3AA00327F8B509719E42F0877CA0AAEA011164CB2A7FF8855AA98446';
wwv_flow_imp.g_varchar2_table(313) := 'C8C146A8A11C04843793821F98000A8000222C420848802324C20990022E1818A5F30229A882275037311883EE528329A8823DB00331D0012698923D38847C4B034998237F5B2F413804086213FFB1843AB00408CABA62508545708328C08007D800B8D3';
wwv_flow_imp.g_varchar2_table(314) := '13D823822218017701444522A116F203FDF3834EC00565A0066AD00569580665FFC005D97A894A81094CD114C373854AD8C41DE44146E8444600043490026EEB18233C450E808016F0828D483A758BC227900275538376138325681A3B3803019A02BC90';
wwv_flow_imp.g_varchar2_table(315) := '933A78C33722075E10843D9004C80297A823460BE20555F0853944043BB80106F8000A80BB14B8B82200949DC0A6116A81D3FA038A58844518055CE805467C8A5EC0056A303C4FEA30C5738D98881820D8811FD00920F80120602515D801251885219080';
wwv_flow_imp.g_varchar2_table(316) := 'D92399D8933D82F43C40190110582E10783DD5530822001417C0B885C8812AB2022BA0266AFA022DF8028DFC826A1A832B488224A8822928492428C991AC02E0F382EE7A837E7104715C043C90C94550837E81088A808808FF0BC5ECC28332400346E8A4';
wwv_flow_imp.g_varchar2_table(317) := '7F2A8D3B1BA8D67089F5C30DC3713FC1E100DF80280360001EE82B3BE08345700449A3B45CF804E7E94ACEA1101CE83404A4011AC0030674A9500306F858CBF8389D0A1C0F5B108642409A29C0002650435FD805BAB0064D1041A51A9E5E3B4132484160';
wwv_flow_imp.g_varchar2_table(318) := 'F38E167C4162AB2AD49041D318918779864C00854DCC2BCDD84138B84C3CC03615988053ECCC225401B942BEB279022AA08223A0022FA08227A8C231D8032FB0032A5802014A0328719A02AA2C63502032A08380DB85CA12174D200331DC845A28864DA0';
wwv_flow_imp.g_varchar2_table(319) := '4521880008A8468B230888DCB8BA73172030834AF803FDEB835A40B9655806A7C81995A31496BB44519A9457FF0085BBDA441CEC4440B84C38D8829EE3808E910008904FCF94802468C2329027580C0C25504D2AA4423198020162823330963460024208';
wwv_flow_imp.g_varchar2_table(320) := 'C166B00663408505A98380EB2371F9454980C35AA88545E8832A58010D78BB0DF0008238B07919A185343010500238A884ECCB504FC085ED64C465F83B7050BF764CBC8679898731041320827BC44715A8C77B04022105052D004880E4988DAB002585BD';
wwv_flow_imp.g_varchar2_table(321) := '8D9B3B784108DCF3132A52028B54822B28B22B40031C313D34D882222B838DDCC82BF88232B8482EA8821D3002E0FBBD2AB0C231E8833F80D33F30845F310447D01FFC89A17EC10337B803E5BB03A3BB4C3F7D8344F91745819482AA07A23C3FBC118DD7';
wwv_flow_imp.g_varchar2_table(322) := 'FF3828A584A803109C08209CF963A80CE0013BF82E71E4284A8B8595A28290C21C4DCB002A8802EE3829EF504006B485060CB59C5A4BF4504B0AAC4007B485B8CC0428701A0CD083575305A4121EA51A56E2094C149C010C608008280116C8003FF0077D';
wwv_flow_imp.g_varchar2_table(323) := '40CA62B32A789014C7F4875B081B4AF8C41A02848958837E31038E0CC222A44FCF848009E88C8830043F2883758342C1388226488229A057C7C1011C98824348831A104E39D9053B6A134920203039C636F926E254854D8D021D4080B793007659483E69';
wwv_flow_imp.g_varchar2_table(324) := '8109A8808D532110180240F08446283EEC44B9B4100B65D88671F8CEDA02224C7C0D7B70851CFCC4500484B5B94C705D949E93000A904FF9FF040A243CC516B00234482D43AC0CBF289B23801CC839C92958021E58021D38833E60020E14435440AA5D88';
wwv_flow_imp.g_varchar2_table(325) := '3A64B1AF56A8ACB07302AB6B05555005FCA3021478808913080353B247225177F1002BA8154478034BE8034F488BBF438B5ED8867390AD9040BC8579C79788471328022218DC22285CC32DDC1668843FB038D963D2C6252D82E4932490D28BD4D22D9D26';
wwv_flow_imp.g_varchar2_table(326) := 'D333032F25B22B2803CEC5486A2A036A0A53CB5D947F8103458153D5ED034B82534388043A45843F905D43B8A77B4AB318425D3F0D39E5EB5D3FDD88FCE48207C31E975054F3B39B3C4B3FBDB9013F9BBF854200E7F13386C2541EE803FE2904AC9C344A';
wwv_flow_imp.g_varchar2_table(327) := 'C30FEBD01CCE890235C081CFFF29011A580461C805B47CCB9B5A4B0A1C86B7BC55078C0531A88119D81D0E121E49A0034238C15E231E42E835A64AC164CD00EFC800A9D290C4B444D50891C6E487D0700534E817700504BA82030A9683CC8CA721B00023';
wwv_flow_imp.g_varchar2_table(328) := '94009DF560234CD7144D05570005B14103BC7B0329F0800CE0800DD88015100114D081A565DA1A984D383C0541E085F1F20649B88B6554B8FDE2403BE02F88A38212400008E080CF7ACE8EF10028DE47B983834C60042879D35138B9A219056518877588';
wwv_flow_imp.g_varchar2_table(329) := '9BD9AAC4964B89207A8949B107464061F6B4603890836FCD4C33E082CD9CCF22DCD92304E107605B43F0045EA9E27F4104435083231001262E810D10011160811E58821EFFD08B151020FBDA051D7686F17206412083483606B0DB03A671352EB40323D8';
wwv_flow_imp.g_varchar2_table(330) := '000F0551124B0828AE0013B0B89B00812A30844CE8032CDB034058055C20855158996500877870D4BDFDA4BEBD51988018184802C29DDCC93D02C30582371805136288F3B9481FB0482BD0022DD0D232D8822BCD66DFCBD22DB8481CB9022BAD266FD682';
wwv_flow_imp.g_varchar2_table(331) := '9F94A6CC05C717028448404F4F68E74870A1178AD37F41833EA0E73E78837B96083AADDD7BCA846CC02740BD03E04D3AA5AB0262BE811DC09814488132B0D6E25D5481D2333E538200783F40039CA74280DB602889121C16D0013C78B4428834AD5C402F';
wwv_flow_imp.g_varchar2_table(332) := '98464CAB0ED24C551AE08E288885F46DC0B78C8FF67D4B9DFFC255B874D55CB08315C080C2D283393903E5E1DA133C415E63AAC1EC0FEAF80E043860AA3236C61C9151F20750902B8ECCE0CC644F0C5E83CAE06022F460B0EE4C09280238F08457B085F8';
wwv_flow_imp.g_varchar2_table(333) := 'A90443A8044F60842FF0800728420A7880B87E811BD081106002241020351C3B85F39F097202AC85A0AF1DD025A0023B708327600125A6388B63A579F1808E9900481A0295A4823258043BD88333A04D5B190539A8156500872F861BF034B67CC0AD9708';
wwv_flow_imp.g_varchar2_table(334) := '0D3F409B2F4003705D83CBDC6AF6FC8223E04C3A46C204D0D924040A2B308451B885A169EBF751512990CF21A46BBA1E0E1D80612F3CAC0EA203494046F9421642089338DC0427F842283883ED4A0251FFAE4613283083000210980088AD3815B02695EC';
wwv_flow_imp.g_varchar2_table(335) := '834D684D0231034F58054F08ED51588671D865A4ACD15F1625C015DCC3D5BDC2F5C322008251F88316BD055C18054F60F0F3646B4EDCC448987043B0A438D0823730E745A1E63788030FFF834688841BDCC47666E7080F710A9FDD7D3684388D67178F88';
wwv_flow_imp.g_varchar2_table(336) := '4868E74C98704660D781F9BD24F8811B486517AE46BA5ECE6A4C452920DE97A8074B29CAE43D4A4E82838A8E54C03100DD88000A78BFE9E568027800167801E7E0A849239D05A404EFF5E991A281033C01B22C814540DF9816B55A755FF8B885FAB05560';
wwv_flow_imp.g_varchar2_table(337) := 'C069578DDF3E70820FD85529312FF3226AFE0D60015E56F21536044618EAB12A607E184FFF3882B2A98C2F30830C06D70CEEEA72E56DDD364215288309436B506884B5E6D8B726C26A1CC2237C008785011DB8812978963D58965DE0056FD8376FE0E43A';
wwv_flow_imp.g_varchar2_table(338) := '380466D98443A08100A18128486C2FF00004604E5216528E41D722A0D22FE8D30EC2F528F10259CEC11BAA84D196077F720931164FD79814B6E1026E471B358074338083D8761425C06D22BCF4DDEE6DFB2CEBB32E4FCD686740E0825414750878BB0748';
wwv_flow_imp.g_varchar2_table(339) := '0003D080A5D5EB37541663AC2C586F86C1D4034B184E0D244B1AA0024449020E886B0A6030C836EF8E69013FB1822DB0E74D10BE28390339C34140B0955CD6EF4EE2DB8102E67AF0874C288233FD3D8B043E976F79F9EE621BBB319AFFAF8A937919B238';
wwv_flow_imp.g_varchar2_table(340) := '8B6468A65BB0B02D424F0867EB0707FAA219FA4A1071D80DF1D8DD679F60FA16C7E73760B333558222D88154D6437B8F6BE55ECE0FF5001448011940E818E08282EA07233F89315E4CE5E5A44CA0F23FBB54605BA8E94580F7E3804CE5A8D7F954983E86';
wwv_flow_imp.g_varchar2_table(341) := '93C634BFCF002720CB13680235C755079CF30A745F9D527C9B9E73F8D569D2018658B08313580C26405606D81D27F8F3A21E4C27F0691A10021648CE162C747F98D6852989C52322E99282206874ABE648AE8EA79E3B771046F7DD46C209B0823F488521';
wwv_flow_imp.g_varchar2_table(342) := 'E97410576B2E68010F98000EA8B89CC5F74183811B40022F709037D40463680549C85A5E589AC3321628A081B03C8129FF70033E18030E686C2826B113934F2040033388FA32E883AF55055408AA3D18830957DC8D1D6DEA31ED6B77B98359728090C285';
wwv_flow_imp.g_varchar2_table(343) := '8B14815FA47C49A810CD1725162040849040A2C489162180E0D2C8D5AB579E0001AA54C9CF97091026704009F14102030C50C0E831E5CC12327B349D3276CA12AF669BD2386122C6D21E1D4C689CA0E1050F9F2A141E40A060A2450B1540547880A8048D';
wwv_flow_imp.g_varchar2_table(344) := '19345AD0F4512516D5A63E7BDC444A1B07D02869E3E2F9F3D76FAE3F79F2F8E5CB9BAF1F3C7972E7E6F377CB8FA148850F1B366C68B1A13F7F228DBA352A322E65B8A4811B376E1DE7CE9C378F33670E1CE96DDBA4294B160C17AE55AE57B5C635CAD3A8';
wwv_flow_imp.g_varchar2_table(345) := '4A9E4456FF8AD448775AC586102DEEF3A7CF9B3163AC5431E2E28609090F582648C0122AD40D1238783001630791224AAA5451E285CB982F5EFCF8E337776EBD76FCEEDDD39BF71E3F78F7FEF60B9C098101020402FCE79F01061C306006080028E08006';
wwv_flow_imp.g_varchar2_table(346) := '20F040043C3842C927A184124B2EC71C430906196C8841871E763843144ED040C322C7E4920B302ADA028C8B2F02330C30B7C05823302DDA92E38AB6D0D2632C39EE8101894ECCE0E10C33904187927490E144934566508294256480883FFAACE70F3CF0';
wwv_flow_imp.g_varchar2_table(347) := 'BC371F3FF2C0831F3FFE78A204415F709150100AB1B985144398449145D1CD39D1106F34028A2B950002C71F7EBC21450B137850A8071350509101D2FF99800205273091C6219B5842061975ECA14A2D96D8B1441442D080030D2B84D0831A708CE10102';
wwv_flow_imp.g_varchar2_table(348) := '5179D002083600010205D10D6106207F5C5145199B2CD2CA2296F471C82166E0168927CA94B38E3D71A5E70F3DEDF4135F3EF0B5434F5C738D098740039DC9E6170C2524C54311C959EE441248F1076D7BF609121A52101A6FA110B0C41F031BF060C24B';
wwv_flow_imp.g_varchar2_table(349) := '4C9CA1092A929091461A96686A09174250B1040B3CB050020747DC71C7134F41805D55573537911270F47985157D20D24A2B94065B06229944925B5B6F2D7BAD967749BB575F620A6608CABDE5D65B5A86ECD608CFB5FDB1C5151E0FADC51B8E3532CA2A';
wwv_flow_imp.g_varchar2_table(350) := 'C40423CD36DD8CA3CE66EBD0534F3DEBFF5CEDD939EA74460F3DE3DC729B488DF4BC58237FC071C71B658C51451245C48A82041A3CE0DC74D5196AC25437004144124A7C670517571C37D0186594C185155E54F1467A59B6F75ECC5EDA27575CFAB5E45F';
wwv_flow_imp.g_varchar2_table(351) := '80FE1DA0E003FD11D09FE80C3290010788505821859D844205031F74C8E10C4D4451240650387182104DA4284C2E39E2682330C2080FA38EC0E7D2232DB12C1F4B2A546090140D443AE1C4924C565FBDED19702FA59558D2B5657E7AF503267EF890A984';
wwv_flow_imp.g_varchar2_table(352) := 'B75FA891D01A5FE0B1051E680EA1824975D2993F465CC09172237EC0010E68E042110865A842492051D1195002FCA30321F04B157B98C114F640304DE5C2082230410A1856820DA0FFC00B65F082AA2AD62AAAD800041501C115DEB0B62A58E11076D8C3';
wwv_flow_imp.g_varchar2_table(353) := '0CF7D0362B3CE636A3480638C2C4AC313D2B5AF2A916CDB4B53E85BCEF0B49FC42FDEEC7928A5C642210B0C11742D20846A0ED0D68B00256E445A8042680010B5A500F7000053DA8220D3348C319362196585422052FE0010F5EF0020E708007875302C5';
wwv_flow_imp.g_varchar2_table(354) := '0A4515AB4880222E288319CCA0B82AD8E1106338C41EBCB00718FE2113B779C534CEB10E6659AE2F7821DFCCD613986114262D39D3596F0E63861C68C110713083157C90841CB82096B104810B5A10CB2A142D0E39541A3194218D6E64666A9CD10731F5';
wwv_flow_imp.g_varchar2_table(355) := '318E6054E26C7F88C31BCC50062DB8AD08CCF1C006A4139DE758C73AFF2B90000A0A05035819217063B802E2D0604E3494E10BE3340E1A0C51095018C20BDF214219F0D30F67B9073EF299567DEE73CF7E8C29132D015D8204C480083888410888C04247';
wwv_flow_imp.g_varchar2_table(356) := '47A0D375A2139480842320D1893EC08E431CC2C00C682008411CC909679881134AE008DFFD2E78C12B5E8D5A74A31B014F79CC8B054D9D77068E9EC0094DD003212CD5A4EC1169060CC04004BA9701475C294BE293167DEC829FFB800221EB7BDFFCDE47';
wwv_flow_imp.g_varchar2_table(357) := 'D5830CC10213B85FFEE82481EBFC800B6E80830B19228522B4A050F29A171435478008CCB10963E00106703005E3B8C115D1E0820784D04116B0008F46F04212381081A84C05062D808107BE0A01098020095640FF8E128A50042318010948984215A680';
wwv_flow_imp.g_varchar2_table(358) := 'C39479A21AE2180726E7320F684D8E88EB19931FD2E42D73C22FB6F30BD70F2C902828D289228F3D02175CA845B3AA20AD07FCE2AC060ABAB7F200616238410896E00546F6011AB650C20E6E20837C89608349F0C20F32F0000A588C2A20C84A4440A004';
wwv_flow_imp.g_varchar2_table(359) := '2B000E709705021092E05ECF867214D900473B4A5B97BBC8872F7EF1A43F52E127E2F8F60DCCFCC3D174F9074398412D71189A2B5D90041710219640C80110640982F1CEF2C22370C179AF80065D36C236A3C00569BAF18A3868C10A43B80A0C541891BB';
wwv_flow_imp.g_varchar2_table(360) := '5120C61BF0000A40A01D18B4F76F303C5C19EEE0863EB8A10CA1F0C318B8009E3238863036F30428FF40E1094F18620C52A88221ECE98FF68C6F9FF4A91C5DC6040A0A1CF73F0342C04217CAD0334780A10140400664F0843B3802118E88D02720018925';
wwv_flow_imp.g_varchar2_table(361) := '944EA34682021D820A1492AAE118C85B294B85E7529526CF47B17085F352118B3E4400031F700214A0D0244B01954818186A9A4B2084123022A9E1E31253BFB45FF6F803145C689F42E65755D9AE610DB09582128E3084165840AB1390400224901D0F10';
wwv_flow_imp.g_varchar2_table(362) := '41714F8021172AFB83141870B80ACCDC711F60C70D14950755304E26B2F10B3758400832D8F60B02FB0223BCE03910D8C054A86282C642C4D713300184FB46841FF440073AD8AC15248B86C7DCA21AE1286D3FE6E10E214EEB1EAA058C3F5ACBFFA6F6A1';
wwv_flow_imp.g_varchar2_table(363) := 'E1D56B88DFC2BF7510250C016E2D38377931C2411856A1205240EF0F5A90824381DC50BCCE5CE8426700678B200311E08010BCE0053B08E31BABB082625320031888C00322B8410F0CFB00D3B50A04AE4277207D0D022058B60844000273606004F02461';
wwv_flow_imp.g_varchar2_table(364) := '0C6FF043257E318D72D0C57276E9525EEAB3DFB8A0CF166F68CC70E200E07292730C71A84282E3709B3854220E91286421B5F04CAFA061680C3E4E0E94908307BB40051706C108362CE1BE2B61048D0DE445BE2A37BD4D65073B682F78AC703873BA10C0';
wwv_flow_imp.g_varchar2_table(365) := '2EFC711FBCF0042AB44DB337304219EC1CCA4C381914A178B21BBE5365F5AC07CBFBD44B3F994517506CC0AD0062D08008606632FFF3E7392F388208DDC00744D8B91390E0C3189640D748EB99A3B83B521DC83003218402A5B64829F05E5A68E3BD1478';
wwv_flow_imp.g_varchar2_table(366) := '3C5A5EF35CE16847ABE1009BE62847AB37BD231D89A39CE69E10848054F0DD537CF2F95298629F6A293004B86C8112C1CFC2C51A1E2C9C1C0410B8A009ADD54F0201810D045B91D9400AD8C00FB0970D9C1B4A18500A3407748419017C171E258A0C9401';
wwv_flow_imp.g_varchar2_table(367) := '5955C232C80223A8800CDC000FC8801D65970838085448050CB418633996AF359609B05711B8D71120011D2181DF7498BADC4232F0DB6965595E0C5C7E145C42B05A6CC94FC219200222E0023284E2A05711A8500A00C10F0CC117944115A4C00FA0211A';
wwv_flow_imp.g_varchar2_table(368) := '0AD7015DD8572500FF7F884EE8488707902007FCC058E1812B4C032E6C8162C9400AC08009708008B080085000428157D0B518029D4463150AD20121E018C10D389D7B491692454637588ED6E117279D1A4009869231066344C263905D2424810F14521C';
wwv_flow_imp.g_varchar2_table(369) := '34421C8C82198C422B8A44CAE88663AC9219349316E86219E81D2F12CD64018E0F2801875DC1088C57057840055C985544220C214E39B91000659E0BF1A271E48A18F0011F50411408A11060D60E901E700047245042933559285442EB498195AC077B40';
wwv_flow_imp.g_varchar2_table(370) := 'CBECF113976509287080EEFDC7EE91D9CA0DE2D3498117F0181E180224508223DC4115284C09D4C00940DF866CD4F4CD001DA40106D0C027F88EF86DDFF7B194FF4AE588F234CFA2355A2C8CC10130C048721A47C11F88B05F94789A10BC0024885AFE91';
wwv_flow_imp.g_varchar2_table(371) := '9A9738D57A2C8BAA9501ABCD96C2E10116CA011F50C21591D56F794C11B40AE054011AC04119DC8005DAC0E455A0231E0A533A079D08887F548C4A40400B7C811FA00123640335BC8212D8800DC8400CBC8009E4DC2122D403600708E0200E2EDE014900';
wwv_flow_imp.g_varchar2_table(372) := 'DF8C6515B89CDB200163399D15BC412480C22D2C216AE985C0D1433B0686C1B14FAB2991ABC90F16AE012330429F90D516564101B500E07CC11BC08115A4C00D5C2006A61054BECA6249C4A2542501CCE106700078D1931F94412588433654C20FC4C0B6';
wwv_flow_imp.g_varchar2_table(373) := 'C1406091600D829776B8A58DC5E501A9C00EB4C0FF0FF863AE60D60DE8C0E8F1E53B6543B370E226E5857EE147600C466358E781394676F6416EE8C0E0C1520EF8C0156C4121D1062928C3794A437AAE066B4CC69325D332DDE21678852E6A818715D215';
wwv_flow_imp.g_varchar2_table(374) := 'F85D11445C8779986F11583402CA71409D1294C11B20C7647901722C021F44411308216619410FFC40192C06704082B134199365021A64DC1F3C4EECBD233CD65E3BA65A3DBAD53DFA1E8344000588400F109FC9F80170F081C4DCC00D50C0066C400CC4';
wwv_flow_imp.g_varchar2_table(375) := '800E784806645404CC009F11091D8C140DA80232089A452AA9F0D0888D68E4F871244D391A288064049024818C245159E90188A48794000ED4DFEEA4804BEE835271C9FECD24AA45553A814BFFFBB81AFC58E14EC201EA45C26FCD9A12A80011641C1AF8';
wwv_flow_imp.g_varchar2_table(376) := '01571EC111B817E010C1C7A5047664A007B044EF25C09AA166A142845602101C74433924C317342525A2A5213E47021C160578C05BF6A6DC88DC8CAD2605ECC078884191D51B11485E1214A827F05B10EDD3131EA66B916100C6D6C239261EC0C14F028A';
wwv_flow_imp.g_varchar2_table(377) := '9D7E811514410A10811248C11B00426B1101111C417A0D6BA1A4840502410B288A82A0E60350D306444511F0E99C8A4337B88212F09C0C9C1B091EA274EC666FB6D8B9CD9823F2E003988064A52A17308E11FC00382601FF0C034065C9D6E55727119C2D';
wwv_flow_imp.g_varchar2_table(378) := 'F809766267636C8263F44124C4C1060CDE8565182D81800F18CB644C066C04C3FF799A46C6A6E779B2866CD4866184C464AC527DEA1DE1D8DDD0AC1339A15372008111B42C107C4CAE609C5DF641213C01371E0166A1610F8C41401A022304A424AD1E28';
wwv_flow_imp.g_varchar2_table(379) := '6442EB79C1EBB5633DFC1B740EE688FE05995080E604C0D44E2D01748E8A7E57066CC00BF8E31D20C21DF8811A88ED13781E123C810E0CD541194992FCD493208230D0D4462E69F034698B3469F8E16D4C911FF3309AF939DA1850C04892198120000370';
wwv_flow_imp.g_varchar2_table(380) := 'E9E1AADF06D040FD3581111CC10B58C93EC09E96C0431396CF27D6833F848214B4CF142A841AB4A914BE0125644294094E4150D6DF98C99C6E68B31AABC611251E110AD2B5C05436D0894E0407AC041511061CFC42370C03FF17B4C053AE26040C2E834C';
wwv_flow_imp.g_varchar2_table(381) := '44BB421E02F99ADD48C7C9FD40123CC17915E8DA5881111081BD7EC13D5D4B3F04516A590B7FC1419A4C61F97E6E62F66A25F00141A02EADBD4D1248C115505D24149B124C6F3F4A011034167678C005B640BDF0877F2C2ABAC6D877716B9F46C2356483';
wwv_flow_imp.g_varchar2_table(382) := '2B24410FC440A350D353BC610424402206A28D9DDB5759C7536C6A0270802526E818F8D8181056F69A4024F843993EE7BF7EE27DBCC21D2499766A273345821558C7DFE5400E54810B342C085881C2B2621C6081163C46CACC46C556C6C53A4DC666AC66';
wwv_flow_imp.g_varchar2_table(383) := 'D0C33A4883C2065857744519E4DD147C87152387E4BD2C12B82A72244178B8CD18B80115382884F6400FEC00FF17F4691BFB012478822411AD3AA207ECDD93EC89A83CD2C533FC80C99DE882146E9A65ED213EC04251000B1801D9AA81F1394227D04094';
wwv_flow_imp.g_varchar2_table(384) := '3897CA2DC11930C191589F8714C231FCC88FE8C84BD188DDBA088DDCAD8B28A9F8DD082DF0C8F8D5D4DF72C006A85C9A1108E21A6EA495C00321811134AE1100430A9BA9E59ACF7ADCC735D06B418CC7B6B05AFB70CBB1664227F8C1943973419C574154';
wwv_flow_imp.g_varchar2_table(385) := '811F64422694C1113C01AD699C120CAA077C1C10AC585674150234D0B9DCD6843EC61F30C22B30821544A00716CAAC90D91BE24D76E80D0271800468EBA622800800204134EBBD190200DD41194801286CE25CC8EA10852FB6F8832B0C843A7DEE400884';
wwv_flow_imp.g_varchar2_table(386) := 'FFC6691C1EA0231E645CC6693334C76F4830C2174CAF185B41414C5CA1F82011D8804440877145878C5180041C019F46C29CD2022228810307A2DC6CC0A68A5B229A808D814037359675B47402EC8008B78D5D822D22F881DAB0CD33F0325DD8C53E4927';
wwv_flow_imp.g_varchar2_table(387) := '7F654376FE8956CB302AA2800EB8800EEC8050077577B2906EB46229DEA22D66A7D988126D50C6C57603D5ACC336C45D1CC00133E1B556A7CAD38D81615CAFE471B1E581B1128471D4A981175001A02601841A41D41907DBF4181C6423659781F4D2C287';
wwv_flow_imp.g_varchar2_table(388) := 'B2C7BFC1E33DF0C57DD85E5CB84339A4433A9843699FB63990366997766BBB7639C0766CAFB63AB0433AA8833AC8C33EA44339DCF66BEFB6FF3AD4835D08F770D3C3701BF77123F770F7C59680495F80893BB8436D97B66C53F76A97766F4FB73AA4307E';
wwv_flow_imp.g_varchar2_table(389) := '50AE2F7F22F7B2C36D8B776FAB836D8FF76DB3C39684F7786FCDD6F4763B40F76D9B43798FB76DCFB739B8B76884C668F0B7689CB73AB4037CC3033BB8B73A88866D9B763988C6829BF778CFF73898F67E2F386DBB433B90377CB7033BC0373B60D25F04';
wwv_flow_imp.g_varchar2_table(390) := '113E30B495F9C37F8B3782FFF7D6ACB778B7B73AB8F739B0C33A94B87C8BB77FDFB77C2FB87EF77779A7B66D6B383C4477799BF68D8B8682ABF6753F78841FB87EA703849B033B68B89387B79347B793B7830F85B6BF7AA23DDD5380C343806F78866B38';
wwv_flow_imp.g_varchar2_table(391) := '8C8777D4488D8197B966D8B6FF6770066D9B8330A9B967B83967C043D53CF13AB0C338DC7978C3F83AB4C33A88C63A44CD9CD77692A7839D93387C9FB76BA33794AF378F377AE6B6633F6019D3528E3F654987637AA66BFAA663D23EC485A7EF43A86F77';
wwv_flow_imp.g_varchar2_table(392) := 'F7727AA97778A4A37A3F1053A46FBAA78FBAAB7F7AACBB0C778B8F3ED05E9A922826D9C33ED8833DC443AF67FAA59B7A872F4BCB0CFBB1233BA6A73AAA9B3AF7DA1EAA3F0BD7396143E77AA6177BAFFBFAAEC37AB273FBA9337BB707BBAA17D3B88F7BD6';
wwv_flow_imp.g_varchar2_table(393) := '1DFB3DC0FA3D61F9B45CF56A05C67A90FBB85B4D31D543BCEB83D5784DBE5BCDBCDFFBBEDBFBBFAFFAB293FBBED77BB9CFC5BF573BB8873B8802D4EC6D99A53BFBB2AF07FFA86F37C55BBC964B3C4DCE03B6DB033EE0837A6C62F766BCC4F343C0035431';
wwv_flow_imp.g_varchar2_table(394) := 'F1831DB763CAB33CCBEB837A10137CC007CCAB47CAA73AE5DABA4C7E37B6B43CAAF383C7B77CC9BF3CCBAF963D907CCB737CAFF3833D2C7DD3337DD0A73CD34BBDCD0314D45BFDD5FB3C3CE6035E5C3DD1678942E75388FB3CD47F3CCB37CB988C49D5B3';
wwv_flow_imp.g_varchar2_table(395) := 'BCD14BBD3F147BDAB37D3FC4FDDCCBBDDCEF3AC743FDD65B3DB61093D01793C763FBCFFBBD1D0F3ED5AB47A8237EE22BFEB6DF17747A36C0F2BCDEA7FCBD537EBCD77B3DE4433DF47A3EE043C1CF3BBFDB3A881313E7733CD0E73DC85F0BDA9F7DCAE303';
wwv_flow_imp.g_varchar2_table(396) := 'C28F3DD5AFFCE48B3BCFCF85A8877A3F807AEEBB7AA44F7AFF1E83F6D36EBAB92BBCB7932840B53DA78FFCD1AB7CF2337FF393E8968C7ED7E1BAF333BFC8DF3CC683A2EA6B7FB3F8FCD9633FF5833FF87B7888EAC513863FF38F0926A53DF86FBFF59FFF';
wwv_flow_imp.g_varchar2_table(397) := 'CA6BB6F35FCBC5D33FA6AFBBCC7CB7D79F7CDFFFBBE10304BF7EFDF8E9E357505F3E7EF80EF6D3F7F0A03D7E1229123C781163468D0D093A843810644891234982F4E76F1F4A952959FA2359AF5DBF7C3369E6BBC70FDE3D97264FF62C39B26750A14389';
wwv_flow_imp.g_varchar2_table(398) := 'F6F3C94FA8D1A03F990E7CA8AF6954A951E1C17B38F3A63C793BA776F52A1269587F62C58E24CBF56B5AB53BE9C5BC57B31D3DB4FD58AA2519B4ECD7B3767F86E5DB12F0CAA15AF9D1BCD70FDED69017FF3B3A740AF2A94190484972A4381623C5891317';
wwv_flow_imp.g_varchar2_table(399) := '6FF48C91A9C0A929E94686C86F5F6AD5AB578B0E0953664DAC38750E2C3A95686EDDBBE7F2F5FDFB6E557E6F6DF29307AFB7C4CF1A41B604FE1C7A749303DBF623FE362E57D6FDEC595C3E5AF0D793D2C9E30E9A783856C48A27174E3D33F2F28BDDEDF5';
wwv_flow_imp.g_varchar2_table(400) := '9EEAB7FC5AFB51038FACE78E20D966A26D27DE0C3C10C1DBF25B502A7FAA8A6DA67EB49A2B419F945A8AC10C35348ABA9864CB6E20D52A1C4FAAFE364C8B440C6D4B4A3CDB08AB693D97C61368C481C2A26FBFA8F0838EC4907A14E9C7158564CAC4D762';
wwv_flow_imp.g_varchar2_table(401) := '2A4CB6C3E0C147C69EE251E71C28A11C074A73CEB1D21C2ACFC90D299768ECA9CB8E5CCAFFE7A483583C114DA31E847142A56CBC524A2AE554674E75D4B99034BA2863D21F8606BAE7269B08C287C3340D9DAE9FEA889BA99D79764A4D4275B294739C2C';
wwv_flow_imp.g_varchar2_table(402) := '27B5D44A7FEAEB929F79E6312A1FBA50BA27A5C2B8B3C79E79BA7313480B833C74C806837A91A61859B5479D74CCD995CE5D2BFD954E75BA23115555C7AA8F3BD26E72E8461BC7CA11B8574B9296A7918A34E9BF000524D036A3B2C1E5165CC40DF7975F';
wwv_flow_imp.g_varchar2_table(403) := '640117DC5F70F9651D042FAC11560D1D8407C250DB2C509C72D715B7DC60CAD5B7DC61CA51A94C30672C582832A18DB724D7EC62CB43B8E4F2F1DB61C4BD389860CEBD98DF7691ED72BCF1523A6964852D6418CD90698D3031AE9012FFE7965B7E0997DC';
wwv_flow_imp.g_varchar2_table(404) := '7D3916D79C67753EA9BE9D410ED3A733C95BD8B7DD7CCC1649D9F871A71EAE4E4A66DD60D64D06994C0ED9041762F855779CA1D819861D7FC4710594708C92E79674FC31C71675FC4927157AE4712595AD664479C179EB9510B9C9FCE9061766FE4D8698';
wwv_flow_imp.g_varchar2_table(405) := '5ADC3824176488F917977004F3471E5B06668719A398319B1D5B3C09479C6BFC5167187C14C2BB29CFECAAEEC3A6459AA65C59340E461848AEBE05997FD5CDB9BB97C92E879F61DA39091E5BD42E87197F6E0907194F6C21FD4495E5493AD49695422A1B';
wwv_flow_imp.g_varchar2_table(406) := '99015EE50F331AB945EA737F59C571A4EA2B87EC69FC29A79AB10486FC96B0AF11E77C5A1423FA376A53465AC09998C6FF4CA969D655F717A010C3149840063F68ED7FB8E85AD03211004FF8030E0130420280E10F5704C010FEF04400FCE00F2904201B';
wwv_flow_imp.g_varchar2_table(407) := '6300C20E8A3719E60D6D4DB56A93B3BA613D5C04E3165F484301F7308CC595EB16DD40C93E44758D0094C11FB64840D34C90C16C04E008C8304400C2710D03E4EE841B421D5C5407127BB0EE17520B4625CE00052718101AB8F01E2E70D70F26F9010140';
wwv_flow_imp.g_varchar2_table(408) := 'F0403940781250042012FEC844129061007150A0888789A2BC56163DF610E46F325BD7B9D0A00222EC000DFBDA980E91120F7FA422004A30802B2AE1017F1C510AFE08C70FFD01834CF8C30F01B8853FE861A6FC8C47218C81156CA05793FD71C41F5053';
wwv_flow_imp.g_varchar2_table(409) := '97BFDEB0FF89569C6217768885D4F6B5C09EC8430A86A80204DDE00F3700C11F5C30441234F8002F88C3081488C606DE801C1239AC7923CA4DB78092C2081DC76581F497EB287187566C821787A8C43312A84396A4C40D86F8813990410177F8230946A4';
wwv_flow_imp.g_varchar2_table(410) := 'C02DE061880748211B1BD80A36F7383AF1D8678A346947150772C559AE0B0FADB8252F742935739151536604A51532F1057524C06CFBF082218CF0C81FDC0019FEE04024E047D03DB6CA403F71D0F360243D160A725DA000C219FAE0852954026AFB62A4';
wwv_flow_imp.g_varchar2_table(411) := '3F1C090A6682C2069428823FDEE0072294A31C26F00036A4900A7F544198A4342583B4D955FBE12F7F4CB388526499316618A215CE688631FA500B8DFF5DCC97467946023C410075F801887334C7031A180E4F54810B68B8C30DB2E10E2920201B2E6B1E';
wwv_flow_imp.g_varchar2_table(412) := '3CD8C18E74A423578F95D463255B59CB4296B2ED904770E85513E3F4CD59DF6A5D302201095F34C3199B884434DA2918774020120FA0C53444701220C4311B0420C235E080D72AC0A0B32F35929D885BDCE242D64EE9D82C49142531A739348BB2F8051C';
wwv_flow_imp.g_varchar2_table(413) := '54510B63F0A2AD16BD5D46996488041CE10BE278C0C0B28180BE122301141898094C40097F844AB820B9873BDAC10EE31A17B9C89D1837670A3D5BDD545D2F0CC51736A18A45ECA112C8D8182E865AD4A54683089560E6032241014FA4C308A948C20D6E';
wwv_flow_imp.g_varchar2_table(414) := '710D0A4482000343567E86230F77D8F7FFB8C4CDEF7DF19B2B1643961DF4020A2BF3B734863E2D6ABF20C62824BA0B54A8E2186F15575CFD5106045481009430040C9861004F6C10C97000451536C80C11D0C215D5A0F0588C42A30C416EB29A35873AE4';
wwv_flow_imp.g_varchar2_table(415) := 'D10E73C8C34EF26047391C5B8E74B4C5CDF570ACAE24658E7B02C99BF6FA23525AA8AF60C42212BBF085445DC18C17AA4B873C7B64244DA00464042015E6204215B2410C0410431D65B8433F024080B1C61726E6288739623CE63543D61CE9606C3ADCE1';
wwv_flow_imp.g_varchar2_table(416) := '0E5DC564240965D47E79360D8B060E14AA68052F50518B5C984B5F65AC0F1CAA708B000CC3002CE58301949000446838121CA0C70318218EE5C69720EDA03363CB61A7314B2AC6DAFFE63699AB05399AAA707ECFEAF3FF3C81085B6E6213A9408618C5D5';
wwv_flow_imp.g_varchar2_table(417) := '607F80E201BFE0C01B404184690420091C2042381EC08F50DEC20D0640F227194A1EE3E46ACCF4E0D589490D8FC7DA63CD920277AA55AD8E13AB981DA4A6C7A9657CB423E52F1FAFFC92FFFA158C57D4C217BBB04628822C4659DCC297EF4583E7686108';
wwv_flow_imp.g_varchar2_table(418) := '5BC0C00490F0C71D68D18F6BF821158C280717D4C1856C94C1036EB8766332240F5DA5A31BA97085389E91896CF8F51AD3F00432DC318C68A8E3199EE06739D4FE8C6C108F57F5C0333CA0679C3D8BF385B218462A76610C5F3843C759ACF74E9062884F';
wwv_flow_imp.g_varchar2_table(419) := '96630CC4B0020C6C116D295C43091400852B1E080A29D42342F185C7FFAE44ED0AE1750318EA080733D4218E54A4A21CB740FDABB129EB7C80C836578C5AD670017341C7A2E6D2C568779A768B24982012F6E08207F8508661F803197EB8851FFA91044F';
wwv_flow_imp.g_varchar2_table(420) := 'BC810363A007D5F7B8B454ABE31A9978863A9841FA6864831DD7F084C040310C5ED15D46673B37CBD8939A4006F817A9E8C339CF490B62780F7CCF72543280900238F8831818A1123228D3AEA19AD4A10A86A10CB2A11F52A1835C0A3AE801E244ED16C4';
wwv_flow_imp.g_varchar2_table(421) := '41F4C60F743C411CC2C1EBD28119CCE119C28118C481EBB02C1586A11B9801AA86411DB2C1136861B24ACE36C04A69548EACF625180CAD1860CE1A6C41183626185621E77AA26984421F4E4227B6E95DBA6C4342FFCE1CE02112022B0AEF8019BC2012B2';
wwv_flow_imp.g_varchar2_table(422) := '810BCAE01AD4C10460801FB8E00EAAC016DE20126C810B40C116AA20E4580D2DF4864DD28D7AFEE75C8681168C41D08AC1D00088C10A6464E4A249962261500902494752CAA11DDEE00DCCCF0D02807CB8C0826EE0ACCAE078D221CE44C2F560CF28A0EB';
wwv_flow_imp.g_varchar2_table(423) := 'D68AE1137CC11A72218CA46BBB24021FF8243792F0248EF04262E58448495776A50A22C1FC4CE0068A4CE8D0C00BAEA10CFC6018C44157D8E14BD4CFBF560890AA27C08201119280FED280110C4DF7864A5374E3537AE20843C60FC3A43CFCC1CC28D11D';
wwv_flow_imp.g_varchar2_table(424) := '36C8FCC620126EE1F9E8860B32411293801DB8E0161040F91CCD04CCD1134C800BAE2109AAD0162AFFE115EFC4E4B44540C4AA214E82E5D4251994811365EE1786E15C366608BDCC4600899B7C0432866410A3C309BBB10C206118B8800B9EA10C92201D';
wwv_flow_imp.g_varchar2_table(425) := 'CAC00AB0C10C95201BEE000E0CC110EEC01EF4210CAD800BD6F0777C44383C8B18F94C9064411690811662CE178E011AFA65F0A6833214821EE80150EAE12D8AF21EEA01F3EA811E0604DB0A911D3201064250239507886CC1045C81163C2015D62CD508';
wwv_flow_imp.g_varchar2_table(426) := '25249A4BA1F62B13FD478B8221190AD21A84011AB446F07286500EE21E3C651E860329EFC12012822F03C528B18D3A5E311DDE2009CCC115D02009BAC10F3EE90E9280180C6107AE41D4CC21269CA68FFE8B87DE6F960A21092CE19C0C889DC4FF65155A';
wwv_flow_imp.g_varchar2_table(427) := 'AA278AA53E50C5219FC221F4F2211C02BEF2C60929310BA5EC0DFCC11D48D21F22010D20080ECA20D368A10A92E00DC6A01FB8201C0C4F84E0C00DD0C013B20119466DCCFC034092262372C255A086189221196E211216C1113EE11310C1136C661572C6';
wwv_flow_imp.g_varchar2_table(428) := 'ABDCE55DCE7337CCAC1CE0C11376A00AAEC10B5E2157D0600CCA0014FCC10BA4E00710E10D88C00D684109200B0D4EF02525C59ACE033930C2DC00B1CFD4F21632C10FBCF313162113642619D4A5A556642954493EFE513D433437266B575261070CE106';
wwv_flow_imp.g_varchar2_table(429) := 'C6A00A52C10B2CC80A2C2E1A388019320E644EE23F30E32216AA47642F6366A611FAE03B3FA11042C176304A2CC56723CC434497FF3428F0814407930BC640097E8011FC208ED00011428E12D6485712F497368B4127C469B6215C70E11990A10FF600DE';
wwv_flow_imp.g_varchar2_table(430) := '5A610F0AA176D66534B9CC47A2917E3894498962F348ED19F64D0628410AD8411C8EC015F02113BCC01ECA2013A460E986410A98E1BBDC2109B2C14AB9C0163C600718E10E6E8102B2E1D58662BEBCE4206443AC7CC47F92E115FE600CACA00AC6600CBC';
wwv_flow_imp.g_varchar2_table(431) := '6055CDA01256816B8C26FDEC34FD9A8455046222A3451E44CD1D52010D9B0A51FFC00D6EC110CAB10C44100DFC201AFC0014CC31130CC1ECFCA057D541EE64B2B35408B400A985604837ABC00BBC400CC4A00AAAA00CC2713BE18749D2B3300065296D02';
wwv_flow_imp.g_varchar2_table(432) := '50E0152BDE02F30AFF432042259576B5EA78C513D02013DEC015CC81399D4F1892201232A1B7DCEC09632D62CA122DF8A15447011040D20B58D555AB000E2A615FC081CBEE9522BA634014022244F620AE22540D2A8A362F1DC42125FBF51A9EE10D18A1';
wwv_flow_imp.g_varchar2_table(433) := '0A88211394201322E10D3C8157F48843FAEB0DDB701BF80512BC200DD454152C610FD2600C32415D72484EC782505025A3B8E322324A4E65C246F4D52EF2411DCAC11DA2551EDEA0E798931876311223C11D22011CCB010DD22113D0206C39D016E0201B';
wwv_flow_imp.g_varchar2_table(434) := 'D2501CDEA037474DB9FCE3E4C2EA5A4D2243474145ADC00ABC4055C740235DF20FC025E7D2131075A34693426B7DE3F5244BC5444D1CBA4D572C50D41EABDB48FF0DAA268B12ED0C9BDC505BC309705EC10CAAC00AC4405CABE00CC46070D1E0157E415D';
wwv_flow_imp.g_varchar2_table(435) := '51029072A30883220973D74DB8EC6460851FB48DB288EBDB28D14EDC4C73498D6741E212CD923B586714B4C00AAE2055BDE00CAAC07559370EB68B501442D182E6BDBCE40FF96B4CF6E81ED630D51A8BCE200EE27E31D5E4E1356D033D6AEAEEBA611588';
wwv_flow_imp.g_varchar2_table(436) := 'C113A6600AD2600AD43469FB3709422119E2D435C2B76710C6710FC67E7E03CD760579415773DD6C659DD017C7CC174FAD73BB361DD6301C74A5DB088A0645F56F6D2343E1A07AA3F40BEE7385AF800BBCE00A5CE11788AC1A5C2174EAF61ABA611FD2A1';
wwv_flow_imp.g_varchar2_table(437) := 'D288A11C3C271F98C1163CE7166861F4DA86195CFF21B1E677419626B98A17B9382EB2A6188A31AB83E5B79BB275406AF29288A11294E00AAC8055C740762B568CABA0116CF7BD4CA26E2DB088C7ECF8B69018A2A11C1C271B36D0AF86C11EAA211DEA81';
wwv_flow_imp.g_varchar2_table(438) := '1634E91A68C116C26672C9231F184BC530CBC51639B2E081893BA45E5ECF0FADC87FD6C00AB4E00AAE600FC4385C0D970BAC6014648163EFD51FA24187B2217D3E30883489CC9E6120AE4189CBC116BA211C6C785B4FE8F51A8BB850CC4EECCB97D5811D';
wwv_flow_imp.g_varchar2_table(439) := 'DCE12999D8DCFCCBA66CA37A98E10D98A07F99A00E0E210DC8A07F97A00FAAE11518895B89E17346E98E83C8BE120B19B6221C6C211AD8C115A2816DD2E66AA3831FFEA31DDE19C578399E77FF999E81B997590CC536AB3746182B52AEE1FCA11A6E010D';
wwv_flow_imp.g_varchar2_table(440) := 'C4D80AD00011FDA037AF205C95A012665828D2261CAA01196EC11D9E011EAE211B52A11BD2C1152E29A58E8705692115A62178DCA1E80AD937868338BCA33DE4E3D3EE065BF7868BBB8118FE80A0C7000DFA40A7FB205555F50F984187A0E208C3211AFC';
wwv_flow_imp.g_varchar2_table(441) := 'A11EDA461D8E2713D20119A2C116C4E6A96F211B842188DAB317EDC11044501C9821B150DAE16C82263E94552CD12D9C2B28AE48A009770CB4E00FFAA0A906DA25ADA012826194CD842B2DE8158C271CEC81A598C1176F811EC2211B74E2195C411EBEEF';
wwv_flow_imp.g_varchar2_table(442) := '1974E891F1C6615A09651B039664E432B9386871010ECE200D323BB3EB6013F6FF2069556166145B26FC21FB2EE9939EA1A83D21B191211EDAA61D2A476C3CA11CC48118CCE1F8163B6F746381C577153974C60004E5FCB90DADB9375DB5705FB8700BB7';
wwv_flow_imp.g_varchar2_table(443) := '0CC60012302A2890611DE28119906118E2017DB0A11D40411CD861949EF392B241906BF91AF0E1F4BA016B01732DF24C42E6A71887010E10F762C7B870CF60B97931A81DC21F5410729E1A00B3211AAEC116E0211B42F0F88661C08D871DB2011858F078';
wwv_flow_imp.g_varchar2_table(444) := '5201FBC207BDBD822C67AD4720D615969B0AC0750C14BA75CBB50CBEC0131C3A77F21BA89921B16FC116CC41AA539C196E611AAEA11DC4E1BFE5C70585A136225C2A38A250CC4DA6D9DB2882F617464115F68009666886EAFF200D2CA1168A81182AF059';
wwv_flow_imp.g_varchar2_table(445) := 'C864AAB361AACB6118D286AB81211BB08176BE8EBB4D6FCC5ED06DBC1AC78D841F3D6B7F7C241AE8D015DEBB0CDAFC3EDB9C0B2201F76E816383C21658A71CE6985E52211BE42115200B14D2211C6821F5CC792B40C16BB76E186470CC1B44BDC1C96F2A';
wwv_flow_imp.g_varchar2_table(446) := 'CD1640C110DABCCDBF60B9975BCE6901059D86CAD94CAAB3E11A88BA1CD0561D8CD816B2A11741811D68211D86611A3A8C18E4C110B80FC21BBD299E172DECE11984011442A110EE935533BD0CECA0135201181448530AC378C48116C0C1169821D6639D';
wwv_flow_imp.g_varchar2_table(447) := '1E2A21A0AF811868BA1BEE7C18E8E11930FAD6713D2A42A67E6BE59891824C9121153A6113AA00C937B90EAAFF60133C21169A1C9BC9241AA6C116C61919988118F43D1E3CA1C99D5A1CF69D16BA8116DC411C86211C8E4FCC1BDDA8FBB61F4BD85B6EA1';
wwv_flow_imp.g_varchar2_table(448) := 'CA8B18C55FC1166C01C505D9165E0117DA25286CFD7C2E676DD8A11F9C33C107BB1CB64F6C8C82EB46ED6DC246DC1D5D8BF52C9C522F666CC1E3517C156EE1E7C5A5C973062A6C231D88211EF8E11A3CC71DD4211FC2411EAAC1713C501DBC3D1C48CD6D';
wwv_flow_imp.g_varchar2_table(449) := 'AAF57CD42C266BFE27749D546BF7E3570117C8DEEC813E665E684B94E36DE2A11DF881D45C42E6456D2BD4811FCA211AEA8B18C2411DE0611FE0C7EBC75DB2D7CF8FC2091C80FE156EE11562E11646C11672C116620118626615CA1347FD41977BD53CED';
wwv_flow_imp.g_varchar2_table(450) := 'FF841F4AEF9EDA81B1A241B9FE3BD5FA211C283EF0650A3682FBCC43E281538D57384FF6472D6C1EF70F15263D4DE6778722F599C2748B831807826B294BF68B1F82CD61FA5C036414E630789FB741457C1BD8EB577F5EB3E360E2C11CC081F37EC552C6';
wwv_flow_imp.g_varchar2_table(451) := '4157A8641D20DB144BB3280CE4E1217EB2FFC828B09FF3EA6C32390F3ACFC151E674671C373D97B04E7B9FFA93C49F810220FC09EC27B0A04183040DDAB3C7CF1FBF7C0DF9F1EB970FA2C47EFCEE11EC477022477F1F0B721C49B2A4C9932853AA5C89D2';
wwv_flow_imp.g_varchar2_table(452) := '1F3C79182BDEE3470F1EC8920773E6C458F221C78A1C27428418F3A7C7A31393B25CCAB4A9D39120FDD56BD7EF9ECC7BEDE8DD0CBAB39FBEFFAF60433E3D89CFE8D1B168D3AA1DE8525EC68AF9FAC9A36752A748A808492A9598D4E2D9AA42672A554BB8';
wwv_flow_imp.g_varchar2_table(453) := '3053A9EDDEC25DECAEDE49BE9023474E28B2A1E1CB9833437D19B3223F79F2B68E944C1AB2E6D3A835D3A3BA385F56D1412383053B39B5EDDB873F827E08572E5DDCC083DF9E9ACF6A6BAB8D2F1FC47877A95D9DC283BB844711EEE7D0D1B36B57BBBAEA';
wwv_flow_imp.g_varchar2_table(454) := 'E2D7DBC38B6FA9DBEDE27EF0B48E5FCF7EE454C58B91D7839DB679FBFB2BDB562FFED926FEFFD271D49D71C58107E081B7F9B3DB62FCA4471F82105EF65E3DAD79965C841862A6DF79F2F897E187844DB55F45062AF7DC89F68168585BBC01F5923FFB78';
wwv_flow_imp.g_varchar2_table(455) := '44128A03A98821711456C84FFF6334F6E8E38F400629E4903D12D4616771D5F4A08D4C9E8498779EB5331F654326D4E4782229685E6FF0DC039D53358A75E576FEDC034F711556044F97F4B4E9E69B70C629E79C74D669E79D78E6A9E79EF4D493DE88FC';
wwv_flow_imp.g_varchar2_table(456) := 'D4D3188169166AE8A18826AAE8A28C36EAE84C6B4209D19AF7F029673D985AAAE9A69C765AA79FF4B446537A6DDE634F3DA762AA6AA69EB6EAEAABAE8286A68E66BAD3CEADB8E6AAEBAEBCF6EAEBAFC0062BECB0C4167BEB992DC2258FADEC34EBECB3D0';
wwv_flow_imp.g_varchar2_table(457) := '462BEDB4D4566BEDB5EAB093EDB6DA76CBEDB7DE860BEEB8E2969B2D3BEED0730FA153E57AEDBBF0C62BEFBCF4D66BAD3B84C2050F3BEDF06BECBF00072CF0C0C6B2034FFF3DEBA6997071EB36ECF0C310472CF1C414576CF1C51867ACB1550FE53B14C3';
wwv_flow_imp.g_varchar2_table(458) := 'ACC22AF2C824EFB92AA1C6AD8BF0C62CB7ECF2CB306F8C709A12358C0F3EF7D47369CC3CF7EC73C62B3FACAAC78E166DF4D14827AD34A33F370DB3AA258B8C29D10C1B57DAD55867ADF5D65C77EDF5D7571B2A58A260976DF6D9686F2D36D58C4256D157';
wwv_flow_imp.g_varchar2_table(459) := '15DDBCF4A112CD6DF7DD453BFD707C13DFECF7DF80072EB8CEAB16BE6A9F86273EF4C48A375E8FDC15FEED59D68ECE36DBD1FABC6D3958782F1A7845FBEC63B7DF86C696F6E9A8A78E753E82939EF4CD0B690EBB3DAD4F0E7AE8B8E71E7AA112E9EE3BEE';
wwv_flow_imp.g_varchar2_table(460) := '89FEAE7BE7C4E723FCF1C8EB2E11DC34279B74CE8E175EF1FFCD30532FF1DA396E2DB9F1A273BFBBF7FB7C5577F3598F349BDBAC0B4EFCEC0B2DE43B3EFC2CE437FA6B37FC31837AD9D38F3D2049967C8CAA0BA0008BB7AE85CCA37D06B4C7010F884004';
wwv_flow_imp.g_varchar2_table(461) := 'F2CC7AFB9007EEEE91BB8A19AF61FBD01BC6324841ABB0CD501CEC2007334842119A307427A4A03EEE9139B86830677A0ADAC2AA6615EBA5B084255C17CE66C8B41C79E666F15BC8FE1A680FF0098F82E1DB9C3EC6E717BFF0C5894A5C61C3ECB18F03EE';
wwv_flow_imp.g_varchar2_table(462) := '83761E94588E6448C38725108155DC073D32C8C07930101F6872DE55A4E7B1F8B9B1816A34E2FFE648C73ADAB17B3A5A14D13E9846BDE483480811C81D41B20F830C1280131164E824E83B1809D2908FFF045221618444128A468D1DABD0EF1CF9C84942';
wwv_flow_imp.g_varchar2_table(463) := 'B2908DFC889396F494FE354A467AA94D4192C7498358442F44430A5F42A290F8EDEF96BDD39D23757712FE31847F79C18968F4311A7E204F20C02C48590AB22EE6440590055908322DD30F34160A7AABA2123443B7CB6EDA459BDF04652B4532C97DF4C3';
wwv_flow_imp.g_varchar2_table(464) := '930811E7891A124C51EA65396242D235D744CF97D4435BE950873ECF918E73A8C39FFA54473E034AD081AAC31DD212A84207EA8E806ACBA1CD12683A0C1A516FE9F3A1163D5742BBF5D0895E145DFC9AD6B6D2515167C9A31DEEA0674A0B55937ABEA45F';
wwv_flow_imp.g_varchar2_table(465) := 'CD82694A2D8A4F8F72B45924156839DAA1CF7DB9E3A73F4529C10606D45B4DAB5F04D5E7FF40490A0F927614A3CB6A874AE54134780015A82EB52A3CFAB50E77AC43A537E5D6B3A48AD07EE1CA56303D473BD6C1D675A855ADEB68075CE38A547719ACA2';
wwv_flow_imp.g_varchar2_table(466) := 'F220294F493A518A5E34A0E9300742DFF5AD7EF993A7070D6AAED255A865D5534A8825A8B6FCC94F808E23A9FA348746B7F52DCC2AB5A21F0D2944C1E5AC7389555A284D2942F7C5598C422BA9CF5287664D9B2DC7AAF460866A5097A0E60F5098800847';
wwv_flow_imp.g_varchar2_table(467) := '508270853B04290CE108435042118AF00320FC80083F882E70A5E00646380212D7CD2E240A8187EEE2810FE0F5031F20118AF23A820F85F8442828510835B8570D6E88AF1BBCCB073F88D70F8C80042532515E57C42216FEF56F2852FF410944E0410D5C';
wwv_flow_imp.g_varchar2_table(468) := 'F0C211166C042308E10865E0437E21A15F4A58D8C291808421F050863BF8C1C299087138EE011A37AD29593491473EA0D68F74D82217B6A0452E640C8C5CB8610938C0810E70C0021494200425D08010A880032A88810A4D108317A860873188E118D778';
wwv_flow_imp.g_varchar2_table(469) := 'C635AA718D6854E3CA579EB296AFC1E52E7BF9CB5CCE7236B0918D6B8CB9CC68C6C634C8ECE52B47E3CD6F660632E68C8C67F021097638C319BCA0E43338990A4B58321292F08424F460075570453F1087A90EA118348BDB073BCC4169739C23AEE04886';
wwv_flow_imp.g_varchar2_table(470) := 'A52DAD8E716CBA1CE2F84639DE210E7180BA1CA30E87A8518D6A7098031CB02EF536663DEB6C6CA31BD4E8C6366C3DEBFF6E74031CB980C63B541D0E52A3831BE880462DB8518E4E7C01107130C316A66D06344861B945A8C21B88A06D3F28E1B9440877';
wwv_flow_imp.g_varchar2_table(471) := '119290046C1721B94AB0820FAE70052D6C010B66084225C4D18D73541155684C8FF33A24C54AF9031926904112842B85E12A21B9C71D4274176E8385FFE0096E408423AC8B5D4758DCC077C8B877BBEB88F21218BC94582F22DC005FF9C6F70EF3BDC377';
wwv_flow_imp.g_varchar2_table(472) := 'ED8B0846801814AE88B9CC5D515E4A30A2106E2883149E7084060B41064618037EF50B89485CF8E89080437C3FBC5F4A44E21AF8988B9B1C5DA87E484934FE2002024CB083811F7C0843B040D87F60811498C0031C1041DAD32E02213C610CE8754421E4';
wwv_flow_imp.g_varchar2_table(473) := 'EE084470FFF7BD6AC0C37C395EDE5038E2BB21A7041FD4E0052773410D63786F7C37CE0744489CC29470047BCF7B60353C01094210020F78A0F9CCBFA0044290021E0AE187894322BFA83FBD1FDCC005B833E2F58CF0832DFC112AD6E9F6D13679C843FC';
wwv_flow_imp.g_varchar2_table(474) := '818D54FCF7F7B1C8C5225010020644800107403EF20F40000CD40007481043133E40031C7C600A79860434B6FF8CEE7BFFCD54A63298C70F66669C191BE4FFF234A60CE7EF236318C340863090918B2AE839CF7C5EC21474A0031EF41F073DB0793DA003';
wwv_flow_imp.g_varchar2_table(475) := '1C500581640FAC611D67B24A02510E94360EE3000EB0A00BBA700E16688194760EE3D00BA0F60EEFF00DEF306AA816821F1882E5105810086BB0460DFF2B080ED4F082B9966BBDB60D2E080EE4206CDF00823A080DE8700CBEF081763002EF060660D005';
wwv_flow_imp.g_varchar2_table(476) := '58100439007616000344205C6560053BE0011E60022660762D000440D0025AD8022A300439900341E00341100458400266D005B7400DDB700ECF24100BA2807F3412F8E00F6F10001CB003C805767A68012AC08729900213A07668E70122200229700462';
wwv_flow_imp.g_varchar2_table(477) := '307A12B78876C70724E75E8BE7067CD071E5F509DDA55E7E47784A36068957066A5006F2A5722B3771D64509FAC50888C0071C36063C97799B9779AE98016EE70685D072D63571D7F57A8EE00788370678807A918008A08075F7E00E23C22017021549F0';
wwv_flow_imp.g_varchar2_table(478) := '0030000404270552100447605CD16501FF42208529C00226C0027FE8766AE00712377774775E24B778DD855E213763E74589A1D05EEE75788A275F1B378FEFA5644FF0044D008B0F26044D7004F9E88F42007A5E80078E4771147690A78773892761A687';
wwv_flow_imp.g_varchar2_table(479) := '08B7A02038432127C6201DE20FE93387BDF77BB4107CA1C00318707C0C900120C9002B90010780012C60076E300554400327B00434C0044BC0047D200CD0800DD0100DDF077EE9D7935D460C66A6666AC6656B760DEB0766D500674AC90CF1077FC3000D';
wwv_flow_imp.g_varchar2_table(480) := '9FB009A8B00869300553E0924CA0035959031A10028588021CC000498075F3E00ECE030FFAC311A0240E94060EE7F0086DB0000BD0066D300BB350811AD8061C186A243882E9500EFF3AE881A6760E6EA9822D58832C9898E0B00D89C982E0700CE4F00D';
wwv_flow_imp.g_varchar2_table(481) := 'E8908339880EE4708397090D67D0872A6005D3068664E8031660037F489A53F8877FB88558A8023BA0025DE88562388664D8056B9008D3A086E7904C6EA862ADD1255BA1157040005C378DD0288DC605767D889A1E9002259002CBF96062D07816379D75';
wwv_flow_imp.g_varchar2_table(482) := '877390D85DF3955EA1F05F9F805E9F40738EA00662E05E890789F28807A2A877EAE9065FE0053BB76042E06098D78F51F00454F0045120042CE07678805FB8687114369D0A9977D755748CE0090E81110D2128710411C9F811CBE8015D579C4F108D4760';
wwv_flow_imp.g_varchar2_table(483) := '01172A0416C00284C89C1ED09CDE3889E1388E8E789DDE5508A1E00AFFB9900B74170AB990895EE05EE3095F25479EF6788F547004FA088BF5599FF7788F517004419A791C200403597AA6A75DD875736E309E786071AF277B109933F93091D65191FC20';
wwv_flow_imp.g_varchar2_table(484) := '37BCE77BC0170B6AF001CB770021B0011870022C70023A607C1800683A200634A00351B004724A037B000CDB9793DDA7934959654639943EF965C8100DE7777E4779946D66654A190D4C3967F3770C9DC00BAD20064CC0032EF9011F700234500325607C';
wwv_flow_imp.g_varchar2_table(485) := '1BC00006E0A9468013F3901884822F23014AE5006B96169772D9AA7339976D4081395882220898E92099936982A96A982AE898BECAAB2A780ED410993A18991F780C960999C7100507670157B006628805ED7663FF55889A2DF0873010032DA0AD360004';
wwv_flow_imp.g_varchar2_table(486) := '4560032A0004AF990362680563880560D008B8F082341848B2C220BEE91EFE109C127A6EC5158DC739041AAAA1CD590213C09CA0770404BA887567718570072A698E78B0081DB7A2EDD8B07E87076230A39F588EF1459E5E90B1EFA9A3FAA8A33CF7A33F';
wwv_flow_imp.g_varchar2_table(487) := '4A0539AAA325C003102771B7389D1527774D0A5FB9A861083A4BB467964463758E414B4AF0001E2003C075044F505C0B765C99670125F0A17FD89C2910A273278ED3D95DD76907DDB5089F900BC2700C7EE708B9009E78178F24E705F8C9B12CB09F61BB';
wwv_flow_imp.g_varchar2_table(488) := '9FFC788F3BE7B5381A05419A8F012990A3577AF92579B8187938E7A428BB8BB3270F11797B14997BFFBDC37BA0D0A59F1005617A0007A0013AA00138C000CA170118700038200650B00480C6045330939D000DC4B07DC8C00C9EEBB9D1C0A7446994A3BB';
wwv_flow_imp.g_varchar2_table(489) := '7EA64BBAEB17A86356A8E877BAA81B6655D67E8A1A7FEF870CB5E008A7800A924B032170021850A61FF0918C1B01866B0001B003300215A32A2958318750610FAFA682ACEAAAD45B9794296A21F80D7FF98194496AAD46982AA80B87E99835D80B722007';
wwv_flow_imp.g_varchar2_table(490) := '895009E91B0A98980BDC000DDF109999890EB9200420300213109B5BA00587A00ABE7008392685023CC0CE0902299085D70A0460E703E67AAE6B5009AB900C89696F3721102F8162F12A10F3E10708B09C45805C3E5B5CFAAAAFD63801FE1A90FFFF3A01';
wwv_flow_imp.g_varchar2_table(491) := '0F96774C3B9D7677602A890750BBB0537B0C2F6A71A1700CAEE00876F05EE5F98888270551E0609A570246CC8DB0788F5E9BB16200A46A9B8F4D800325C002105708D675C5D319791627A34FDA90080A4004410FC6C83B0FDA1063E0013DF0030B16C242';
wwv_flow_imp.g_varchar2_table(492) := 'A0AF17AAA3009BB4711CA2024AA29507B5AAB808281A6C56EB08EA75C35BAB78E2D904009B011960C4B0D8044DF0A347E6B562F0C46C0B8B25208B4FA088009AC5501A9EEE4590502AA5F28030F5D020F2B04232D11FBAB77BDCE07BB9107CB1C0071970';
wwv_flow_imp.g_varchar2_table(493) := '02CB470086BB01C7C77CC9877C183003944B0330490367B004186007C7400C4FF994C8400CC4C00CE09765E2D765EB576666E665FFD9400C5206CDD0CC65D77CA8B2FB0CB37BCC9DFB098BA0099220B9AF1CBC2120BCC957BC0760BC3D60911E8118F081';
wwv_flow_imp.g_varchar2_table(494) := '151A4112F100BE1248BDF80CAB80296AAB0698A8B66A7FF997C00A0EE2B082052D0E8A290EAEF09A5AB0C043100443F005D300BFDF700C155DD1C7D05D6FB0066860055F20056A600CD6500CBED00769A0C45480B63BA704E4368DF7195D0B2C9B63D808';
wwv_flow_imp.g_varchar2_table(495) := 'AB200BB7490D051D0F5BC1222953A55E32125EC2081C2003D115C20B86A116F004D618C7CCD9B62BDCC5D469B0320C5FDD85C79F400BD060C39F00B17F47B125175F6310053CC002467CC4FAD8043EEAC8F649054FBCA33840C9DF488AD3798B5ADCB2B4';
wwv_flow_imp.g_varchar2_table(496) := '78C58890090E7111FF330B1FC878B35C01070367B61F6B8D6B0C8B729C79474BC7516D718B30D551BBB01D67D1C2C0BE16F7099618C8174B780179C83BAAB63EEBC46A3BDAFC28043820043480DA936CA4B458772B3B715AEC086E10A3A3379D52AA2E54';
wwv_flow_imp.g_varchar2_table(497) := 'FA122DE41947621985840D2E5A0CDCD9042119CB869BCE0420CBCB8701C10BCC973A0350709554900ADBB7B99E3B67CCC0CD5686655846BAA3FBBAD9D0B9D83CDE85FABA6EA694794A67D85D0B7D20096440033390011890013A56B8869BDC04100032E0';
wwv_flow_imp.g_varchar2_table(498) := '48EE31C62EE40ECE0B15D3D00BE0A00BD490CFD50B0BA2666AFE9C4FA7B6AB8569CF2D48BEBE8AD0D490084A00D14100AD41108D112D0BB970BDD0708377BA7DFFDCE0A567F009DAD00C2B5E0BAA500BC7500C316EC32BBAA2361C0AC5100A7820042E30';
wwv_flow_imp.g_varchar2_table(499) := '043EF0D05B10045D200BCA900D30980DE050482171C1BDF9D31CE12599005C66BB7342FB60F0B9AFB048B42A2CB0B54D9D4B3BD550FBD80BEBA2594D0B5BEDC7DDF95E9E68B1847704659DB43CAAB620ABB6224BDAA88D033490DA349001542C89B898B2';
wwv_flow_imp.g_varchar2_table(500) := 'B1DDD589288E37A7D7A19348627C8CD651C6FE600852C0055CF0E81F2D051C0B8D3B97793A0AC720FA0404DAD87207C355FDD88BE0A25A7D607EEC088BB0B507A6779C0D7A672D046B2BA4A3DDD691ACE76D0B7A955C8B161779804E794E3AD77C307B1E';
wwv_flow_imp.g_varchar2_table(501) := '043FBADDB75BF1DBDBF95FA16007931C02F76DCBFFB6ACDCE98C013A8001B89CCBFAE7CBB150E2DE97A789DADDA5EBCC4419DEE6F7BADF7DBA58A6933AC9CDDD470CEA4D0CE04C0864E0BB0C00BC8C5BB8F89DDF2F004A1FF11EF101E058D70DB2900EBA';
wwv_flow_imp.g_varchar2_table(502) := '500A08EEAAB2200BD7FBCFC24009D350D0B006BE2928BE04AE98038DD3AB200562A80241F0050F7D705B700BC2C00DDFC00D267FA79899D5CA6609C5600DCEE0F2CED00CAA500C324EF3B120DCC5B0CA39CFBE6AD0C661888464689BBD60F2249F0DE5C0';
wwv_flow_imp.g_varchar2_table(503) := '3F4BBE25FAF2D302E1259EF0E890CE05937EA184FD04987EE5ABCDE59E6E7132DCF591AD5E377E607C70E67867B124F7C864FDEA683DEBA3ADC8F908059967EB790E7A5170D7B778F772DBD5FF2E8B8B7E100A301223616C96BCD30E4E2E11FEE0075EF0';
wwv_flow_imp.g_varchar2_table(504) := '057B87071F6DF5960E8D209B7926ACC29C0ED551FDD83D6C07626E0793A85E7FA7067630B5EC5B797957FA07E6054D80C83BAAF6AB0F8B7A9EDAAB9DEB99BCEBB32FA37137717020EC0A38CAC63E1A5B7AF3B1F0095430DFC72DCBB27CDC1A00CBBF7B92';
wwv_flow_imp.g_varchar2_table(505) := 'C16BB80CA0CB510005345093DCEE7DCA9CA8DB4D65A7BBFD5DA6A8CF4CDED6DCCCE7CDEEDDC70CEE4E67CC70087620097440038F5BEF184003CA77DCCC97DC01F002C9FB11C5C8BCED501600D14F603F7BE0B281D3D566C142860DC3B4B1E6ED1BB963C5';
wwv_flow_imp.g_varchar2_table(506) := 'A0393A6221852B70E2C07D04372E24386A244BEA22F911254892AE820C51E243FFC596203F5E6EC1850D1B379E3DA171FB098D1CB4639F8A6973A6CD9AD24DAA62E572454BAA2D61556DE50A85E709952152825C0912044C2959BDA695A5D6AB5C3C7F02';
wwv_flow_imp.g_varchar2_table(507) := 'FDF983278F5F3EBAF9F8C1BBD7F66D3E7FA0A47C518347F01729528E1C299CF8C993C3422C94B020E448E0428E2C5F76B468919AC078EC78C6B3C851284778387F8A1A8A0F6737AD03BB5123E6889012426CDFB6DD44886EDEB88540114223B8F0121958';
wwv_flow_imp.g_varchar2_table(508) := '3C51E3C7112346969B53C28C478C1A37959BFBC9B44F3BBFB7F4DCF1BB57573C3F7779FBF1C3B7CF9F1F296AE0546284A730E3C552162FC61DB936723C98312F328D333B3813633ACED488420D478EF9069A5C36E3CC3437FF0214C3B6DA7CC31037E182';
wwv_flow_imp.g_varchar2_table(509) := 'B34D38E24AD80F0F3E9C7304BA123123B03F441C41C40F5AFCB9871F19E192479FF1E481E72D81B8E326945C621970091A4A388081030E20E0C8223FD000030D9640E2480630F8E0000C988882892968A0E2186084818698618641A64C669E8926CD34AB';
wwv_flow_imp.g_varchar2_table(510) := '61B39A6BDEBC661A38E38CB39A68E094F3CD68C414F3165B6E19E6193B9F219450660E65A64C629EA9050A3208890283221980C2923D6650F2C8240908E0057FF61908C6EFC2A3EB1E77F069AB9FB70AA2469D47146A88A10B1600239163BCF1461BA542';
wwv_flow_imp.g_varchar2_table(511) := '8922852352A8A4A48FCE0969A55EC039961A65116209256AB2716588217C9036882F86C861882F64E166279FFF800AAA4168A029E6A8A59CB1C6994D0E89C4965556214B16797F919712370EE9A38F33BEF2018B524A8105E05E06EE4517F5DE7A2BAEB9';
wwv_flow_imp.g_varchar2_table(512) := 'EABACBBCBDFCF1E42F382869040EC2183BE209C50E8BCC312126B02D30FF2E0350C001A72B303004C5702497718F714465D84C0BB0091033C4B9C3DBA0F030B8E284404E39E64636513A31F0286445460AC94E3BBDBC034FBCBAFA71A79E1DF199671F37';
wwv_flow_imp.g_varchar2_table(513) := 'FEE28311391C992F63FBF0BBADE3C7801679E4CC4E2EF08C27A24870914F2C5B24946FEE2E2A4095058BED889B39A481B80C7BEEB936C33300BA3AA59763DCC49863439A4544E078B11E19F9E9272E1B19C631D57ED4C32695588AA1C48E288450D24824';
wwv_flow_imp.g_varchar2_table(514) := 'FF332D92071E7490F4800F9660E003D831A001071C5419E61862C23C141962904153CD35DD9433CFE4E98C339AE5E96466F845AF89E6D068AA29D45044CBE41E1A289C60E58C198C9CA17C3AA0C054C94D3BFD74A07EEA69A71F52F331F59E50FDB1A71B';
wwv_flow_imp.g_varchar2_table(515) := '6ACE6903D658172800AD48400E6B58A318D6D8C527C4E0AB1450821AE56009489C852C93340B24D49846229E30849754EB0AD832C32F74D2936F8DCB84440985AED2650C63EC82108780042870B10A79D530177343852A7C518C4D28C10A602005C08408';
wwv_flow_imp.g_varchar2_table(516) := '8B5E10D160084B985CEA121EBC782E2F9538C217BAC69C8B31666C8CB1C0E93AF631C9A4CD3273CB8C23D8161BB815A83F7393DBDD1A148AFF08BD060FB01143AF10A7B321956043180A1C8700479B0C94E0096EE85AE32C63A2E698460CD5919C1F4201';
wwv_flow_imp.g_varchar2_table(517) := '23F5A8C73BF2931A5DF8D10EAB9D071FF6F0071A32F605E6C84763F6B962163BF684B22167448E0023C9A47386282C26658B60D037B012CBBB7D626F9DA9590A6EB6213B5EE837B6018E1EF77838A089E832CF39517362369DC8AD8872FEB09C8C3257A3';
wwv_flow_imp.g_varchar2_table(518) := '1BE56820A0F3512C426187276020494732C0EA5847A50F9C8001E7C414068C848119D0400788A80A348611A66708EF4CC63B1EF3DE94273AC98919FD84D3F5D884CF34150A1A66DA9EF0A0518B3D68E214E29B01069CF03D27543453EB6341FB0602BF7E';
wwv_flow_imp.g_varchar2_table(519) := '88E71EEDB09F5BF0A72CFEFDFF6F21B35A00098250406BA06217BB70C41E5A308414F84158C41A474E4DA2ACB45050582CE9C5372841AD6AA9400B5B98560877920D9EECE427406990B82AC242AA9E4215BC30441F2A810B79DD4216D008852A50D18A66';
wwv_flow_imp.g_varchar2_table(520) := '94B519C610C318FE850922068C88033BA25E68B4B0BA34712079A1C40E9EF00540C427317F5D4C463C06B4DB4CA63F6A2B9918DEF684388A019677036B2ED4F88DACDCF28DB0D14D1F3724B89D01136782FB19720AD11C651E9371D251831D0A51991665';
wwv_flow_imp.g_varchar2_table(521) := 'E253EA51153DE21749BA50CD3CE7C1A41A7E70182E04E1AF890902D92263018D9172315E4CE5DAD4C0D894A961119255E3316849599A75E6339C8902880C771B5FEE068FFF3ADB6E6815B438485C063A85F4C2D156CB2238D8024697A3913E4815A3CEE9';
wwv_flow_imp.g_varchar2_table(522) := '453D3D8A8536ED10BBD431C000E114A7956AA7BA4CCDE0031FA0411416F1A57121E350848A46F18CC7A639559879D3F86736F659277CB66950C54BD433B6373C64A8E2109210444569300328E8A1A24EA0037F57170037C028541F8524FDF0712ACF71E7';
wwv_flow_imp.g_varchar2_table(523) := '20E35880FF1A12C0058405152E75E92E1641081514C10278D89F2C12F1AF529C64242259C94A4A52925E70430E52E0A0B438F8856CADE117DC98064FD2EC54A0800B28C2F8443376D18C536843139BE085275EF12E7921C3159F40C5215AE18C6238A3AC';
wwv_flow_imp.g_varchar2_table(524) := 'BE78C31F8238C45E08AC60074398C2E69B0FBBBE252F8CF8FFC11010F397C2F8B6D358B44D64EE331B8D1D7664002A50AA9969B7C942B71CD4DDDB1B03140516F491361CF2A56E82799BCDEAB1367DFC6320CF2B48CBA0B63A4963041F9AF61647BA23C7';
wwv_flow_imp.g_varchar2_table(525) := '5223CF6DFDC11D3C20660840FB42B6B3ED5B8D954DD4C525AEC8C098CA929D819976108D64D3918E6F48F71BAFFEC6274C735DC108268EBAECAE857EA96BCF0AF3D6DAF5A33191A9CCD2A6A832CAC1837BA3C91DCD5553479FF347E88AF194509C20530C';
wwv_flow_imp.g_varchar2_table(526) := '88C0398B14E0734660E3AC63C00C74A0AF508CEB7788827087DDB4F26BB01C79D0DB309D9E418C95D7DC4E11D69EF684370C5B58E210751004195EEC283248820E16555F0022F02250B9E5A351A3CB8EFF5135107ED8231B2831E94214B0100E128215A7';
wwv_flow_imp.g_varchar2_table(527) := '78E92E1E2A190B70611AE7C8C62BBE90085760010C70000318E4908844C8A2141F11D63874610E597C030E415081B4B2E5DB322743CD87C7C65383D2E650F0D019ADD885310E61894ADCE25DB7700523F43585296CA25CCEA8852F9AE1095B50D9ADFF82';
wwv_flow_imp.g_varchar2_table(528) := '0511C1C116EE2491AE76A9348CFC9109C4FCC00288C9B61A389D98B201CD3E8731EC1751F91F3550E1950A7275BBA71B8ACDF04DD6A639DDDF7E996BEFFAE68EA0455C824844DA6117D240AC7584B23F357E7FC8C31DFBC08724C543B57AA40A6116E3C2';
wwv_flow_imp.g_varchar2_table(529) := '132CE015357C010F80F1B4602D00B24F8E4D41C29F1B303A19E7120DCB802E763B06E8AAFFA5EAAAB759BBB5CED2A3DEE035F0FA3721401CE4501B642AB6E9B0034738383E7885F79A9186E39C1C4995FB02851F29865CF0824C29818C331214D00002F8';
wwv_flow_imp.g_varchar2_table(530) := '26020B0149491249C180138002485804318805792206123313956BB92374B90B6306E56939ECA1B9681806621028358130443914E919137D49832DFC1E16A303AF7302A14B9F2409001100068D52957A70B6F93195A9132971180758C83A05D8BA05E83A';
wwv_flow_imp.g_varchar2_table(531) := '4960855D608596D20313308109908265008744D0BD4490033C588335208C203882AE0802458CBB44A88452388752E006F9C016C0D316315B03C34BB334E3866768AAC51B976778855AD88456E0054BE0854DD8834820867981032E28FF032FA00226E803';
wwv_flow_imp.g_varchar2_table(532) := 'A410BD1D4A855B28054E288522FA974428A2479BB6485322F188BDBC00052E208C1F788220A83F6DF33429708CE1FA24F96B0F531B37BA391074BB0C567B8776534058A3997A1B1052AA8D0D399D07040EDDF8AE0BB910604B0EC621ADED2B0DC8110D3F';
wwv_flow_imp.g_varchar2_table(533) := '4836D782B866433FDA9AA44A5295B76004D800B3BF80C403092E6BB48087948CC4C81891218D002499D800C7709CAC5060B57693375CFA8C9269479D81C73B82C0DFE8B5EDBA4005B9474628AF7BE403D452900F742F7AB89C69DA1C49EA9C6B8AB86C7A';
wwv_flow_imp.g_varchar2_table(534) := '0A47E0AF10C0B80CD0B823D1000D20121AD4810C909229A18113A001B9E9835A6006611842E1E11E23B4B00D93130D1BFF866BD0B03A611366B00562889E7B2A9E42413964B88544199367888526F81E3288828A8282A00B43A15B27A4BC03684043688A';
wwv_flow_imp.g_varchar2_table(535) := '1F360429F7C12446A895AC43290700832020044DF83A3D742129F88357388B7290836C4BC42D0003445C0330E8CC2F48C42F000335588320900570F82A34D0C46AB9166989036EE989691045664885504086361B975FC88C45D8834FD88343D88434B082';
wwv_flow_imp.g_varchar2_table(536) := '2BB082C2B88224B0822428021DB0036DF085ABAA8562B8055F343D214A04238234D7931ABB1208547185377803C38822FBC383D15483FCBB46DB508C521BBE4F48AE421810E7C28C8E94A54FA025E6C3A5FCAC10DF80477FCB197DA30D10091A7B5C8E96';
wwv_flow_imp.g_varchar2_table(537) := '2C8DEFABFF8CF0F3C746F207D90AC848623FF77B0B4A8003F9280CF22C4F862C8C912C0CDDD398FF43258B442301C18C4FE8C8630805FB6C90BC89B57A5BAEFF0C503AD2A33B92470115917B840482BB0C99AC8CAE49386882AFB8E8A8127C38149CB89F';
wwv_flow_imp.g_varchar2_table(538) := 'B4B82389808C431206288124C1380DF0B8492130A79C012AE8833BC805641813EEC14A957393983B427D92C2E7699334B127EB0953EA71B0331193321986AA10063B60022760822EA4A830AC531D60022140022A300248D8077DD007B7E028A9E131B7E0';
wwv_flow_imp.g_varchar2_table(539) := '8E54788209B8BD20C8810608020720813A2481C53C03AF4B3297E2895B60845FA006D0DCCCCD4CC435D8825245D54404832FE80571F82ADDC31669F9FF02A21A0239B8CD4FE48950988D1F908250E08625ACA7E6F8843350853DD8834248032550026951';
wwv_flow_imp.g_varchar2_table(540) := '02E2B4822328021CE88366680555AC8563B0BCD31B98606C03628C2B64A42B2672187FE00B5A78033F208CBFC0832D300DF3F434DC002CFE183E4AB048CB884F5343A5C972CF58CA1B0674512FB0BE5F02509DE1195F03507A24D0EEDBD1D85083D56A11';
wwv_flow_imp.g_varchar2_table(541) := '3FA0048439181C1952BB58BFAA29488409057E4403C05883F2140C30288D00698F923D90F6088C4FA057545AD9CC109002B48C5088256148519791A57C6CC0CF300D52AABE0BD9B53C228E9E190E00AD8D2830B5D232AD4230240519113FC08317A187F3';
wwv_flow_imp.g_varchar2_table(542) := 'C01C12D44913DC117FE006D1C9AF6278FF82FF3A8000300006408000208008D8004E21000388000A3000280530255982B8450248000668108634953035F1B06AB01E42A1B09763427DCA9321344BB27C055B880A5A304B422186BBE5D238250A31403027';
wwv_flow_imp.g_varchar2_table(543) := '388119A828A19BA83E6D8226400224C0813290D0F771368F2A0FF7798B70002BE9F082766CA54B5D0007288535800242C043567029DB7DCE3A008769004DD144442C5803E02D55D1F4DD2DC8B6567D05687003C11B020B40AAE6ADD533EB89671086BFD8';
wwv_flow_imp.g_varchar2_table(544) := '2D23F8015AF85568F80546A80244480337D88429D8033418032DD0362BE00225F881148882B0DA84E7B408595006616CB480693430080383693A55519825A2B4DBEA287FB0057E84FF0334088CAFD9CCF2CCC793D5BD033990CB0840E800A303D18C2F52';
wwv_flow_imp.g_varchar2_table(545) := 'D13532D1BBB9A1736C4043CA0D00DD35DAF8101A25DA004D90116104C7312D443024404A9A42E08388FDC7061D5DF5A31FBBC05891EA8B02F5E19111D90F6EC0CEF8227A5D59348A4FD100A3134D5177EB60D0A8B792E15978943E81B590C001DA3D0A50';
wwv_flow_imp.g_varchar2_table(546) := '3F624902D551A5359011A9B7108C9111A426224D15BEC0061F298650B8831210CA6FE214B245DB3A6EDB005092B03D122EA9012A18034890A783828633C95B3BA1B0961B86B61C9380DAB0305D53268C9E6138143FB185C3BD05337986382D133915066E';
wwv_flow_imp.g_varchar2_table(547) := '50831D8CA87682023A880232680231B0033BA00278045DD3E528364CFFD46B228A639865ACF884D5108B942A053088823390043C3C85606E0674008654500759080244448352D54CD03C55CDE44C9A580365E1962F188120B000C0F32D17901640905EA0';
wwv_flow_imp.g_varchar2_table(548) := 'C8064A680F21D82D198003ED818323B0022418034498822AF0822B70C62FE0022EF08227388343500555B0844DA8054BC885635886FB6D3482114630E885789807CCF1DF64CC61EE1CE06188044A600E40609C8B7604915D6021E69B415259F74CA52486';
wwv_flow_imp.g_varchar2_table(549) := 'D90C06AB4F08688FF457C1D88CFDA462DC18E10FF91BC3A9D112D03ED3BAC7859D8ED59261F103958985877D2095D7EB074ABA1F7F080544600E468083A1199A202E8D8D1EE27A1B0DF70C51E828998C442599C5FF9B9A659014058DCD0010BE01D8DD18';
wwv_flow_imp.g_varchar2_table(550) := '49EA13583B9A51DFB819A33D11165E11444004A56558C1580E5708874FB949AAB58B9D6436AC0D855848854F18831560001AA441B245EC3A366CC35E1DAFE5011C608045F00340AE8A31191E4431C26AE05231916439A130CFE6CA9833E49B3BD32B3413';
wwv_flow_imp.g_varchar2_table(551) := '64705C4EA65975622751D6033B3804B9B9653710039BF102CF1108357CB68F0AA9139C65E902EE63A00857C003125800BB3B834CD5033DA0833A908462B89B6C30875790022C00CD47544455C5032C00593038D5642689AF02B32150010BF80115F0AD6C';
wwv_flow_imp.g_varchar2_table(552) := 'A6843313C59F70042148811F90812410916BA8A764084F2BD0EF3EB0822A1803F5D536C238822AE8FF834348034BE067CF1368822905BA73F0299BB278888750F9DF526918B942955B40EAA4668EAFF19A1D7D6A21C6A512F9687A1540CE805954E257AE';
wwv_flow_imp.g_varchar2_table(553) := 'AECFE6E3E8DAB68D76E42C2BD6B7EDE22E0BA1E92E26A4CB500EA73D1011E14750B8062472A4C0C4E1DADAE18C650434688D09C125FB83E0282FD9923535D2B072548210108DD9155F10068119176FC0D5D84FA039022ACEB7E9EB370C01B6FEA0688C7E';
wwv_flow_imp.g_varchar2_table(554) := '6B3F00E3C0A00457B8856998867298B6BC8687D7E3879DBCDA35CE2F478892AF4DECC35EEC4D41121A3C12043880706A020D98DB54F09D2F19066088C2216486CCAEA728BC0562A093309D863B096D818213CD163107E313EEA94A3289534EA6FF852A39';
wwv_flow_imp.g_varchar2_table(555) := '81CA3D8134700454704F4AF01161008658E0833BD0915439D4252A5DAADB87356EBCE03E066D38065A28EEB1E8854538033A200347F99E4F78876E080773E805BB7B05BA9303B95BD5CC54C42DD04CD20403D4A4056870058EE4488A8E03509083500085';
wwv_flow_imp.g_varchar2_table(556) := 'AF322164908FC3F8812A80034488B06198063FD06F79BE822B40DF2FB88200B78221F88122A8823B70C5432886618805655086B70283877C48840618B6F8F50A7FE8DBAABABEF882D66072047603286F230846D90E050C8F366295DD40748359ADBE9B14';
wwv_flow_imp.g_varchar2_table(557) := 'D5EA7E6D40005969DB288223801B1CEFAC5DEBAE7C0391C918A413619CA63D502EE88F5410866A9886BB365DEF20D723B70BA2E6FF613890022F480C2E508C0E550C32A70FA0E18F8A04E9E17B1CAC1E0D68B81B3833695A8699D0702E95967B2F988D9E';
wwv_flow_imp.g_varchar2_table(558) := 'D7B4D9D8E2CFEAACFE2CDAFE58614778493F581138AF374670855FB07339C1737CB8491CE1733F3F8F9E1C9D2A38A700C0FC39CE7CB2FD5A2409A76F6AF40CC8B80C00D83170FADEA9744A0F9E33B939819A0643B6F36CB0F33A59FCEB597CB12475FBBE';
wwv_flow_imp.g_varchar2_table(559) := '056C881ECEBECA3201065A1893AAF81261A0051A0880C0C1002870CF42F88458A065A2D0F55CA08583D928232F95C1749F7DC8053B68022AE8C0C61B1DAC500346780579B1259FFB654D20045010876CC80659B80539983B5738FF1AA23207A77FCF5C3B';
wwv_flow_imp.g_varchar2_table(560) := '70000861AEA01114FF46C951AC5CA128BD72F5CA963061DCA009F3A386CB98275CDCDC82F60C19B3464AB670B9F245CB95945F529694326488923263FA188A45F0D82F59BD60F54A6421C8CB20BA4AE9F267CFDF3E7FFEE0C9E397EFE9BD7CF0EEF9EBD7';
wwv_flow_imp.g_varchar2_table(561) := '8F5F3C7F99947891E2F52BD8205F9F3C11F2E4C8592142A4A8C1E388D227B8A11C7DFAE4C88E1A358B1CF1AD9B0BDAB763A13E853A6638141EBD7AF13066ACE688901F3087401652A2040DCB6A356FDE1C25CAE6CB51D4F0A5C4E8345FBE7EF8F8C1E386';
wwv_flow_imp.g_varchar2_table(562) := '912B64D36657EB56D56A3F7FF4DAED8BFAF4773E7EEDEAE156EA0F4F942762A49C7D42F988D72F609B9B1562C12C694773B7D3E59B387BDF5080C57DFB5638F0FFB14F89172D6EAC468C9016455EBA3C72FD327EFC9D856416D2A4895A973D8107230731';
wwv_flow_imp.g_varchar2_table(563) := '0209238820E2871F8E9CD6882BC93CF34B32B34D03CE55FC38D58F3CF038F51B3F1DDED64F3EFE6053182421E07040002DBAD82201311E40C08C061CC0E28D0C0831061F6E8C710728D000330C31C340330C48CC3C130D934D46530D945146790D6D504E';
wwv_flow_imp.g_varchar2_table(564) := '738D8457CE760D94C43083CC30A988698B97CF14890C31C8A889E630C344D4A630C88472C7277DD0B0881D7640720C41C04414D15FC6DD564F3B1F42D50E3E235295C97F5134B144147668770C2D8EC8F18A2CD38492CB31CD68728A2FB5C4028C9FB2B8';
wwv_flow_imp.g_varchar2_table(565) := 'C2854B4304F144105FAC81C71A728492C82BA5C8FF224B29B682230B32DF70C34D287D40921C176FC001882BBF10840C34C8A8F1C3136374958A47143DD3C8105F68AB051A5A7CB1051A5B9861C61A6668FB45195678F28C30D04C84CC2FBDF4524A2239';
wwv_flow_imp.g_varchar2_table(566) := 'E410C44FF38E13CF51FC28C594A1514D559552595102DD72643DE192576A34EC5559116F76445BDA593C586ADF2DB2885D741D53DE3BDF705A5E7AECB587C7228C3D11450A94BD74C40FA1E577995A50ECF75F67A339589A838C10E8C769B081F40B3315';
wwv_flow_imp.g_varchar2_table(567) := '4ED30D6E56E9C61B70C0F5E30E7149FBD3881672AC920820400D6181B67979CD1C59600B915CC571D11557C75EEF955A28E5B1930EC9E5E5F289DA8DA5FCDE112D48A6C2D6954D10A065FAA9FF4543099C155EF81178F0D1A31A7C04ED0743BFD8E20A2E';
wwv_flow_imp.g_varchar2_table(568) := 'D958388D34D39443A286FC70080F89208A885B52DC8012CB222BB008E38B04B438238D37C67E230B47F4114A27B144128B30C700738C2D43A2C98C924B3A2925F2C9CF160D335B5E59CD345E12637C9AC47849A4F5698209A79B7FC679D35D761416D131';
wwv_flow_imp.g_varchar2_table(569) := '7FE6424B28B624A59455F5B8D38F6FF9E0E3CE3D49EBE3CF1B2910F1035A4734718417FCE00950BC6215B6128F378E618D5DF8A218A10805282058896F994B5B6209C2055535042988E50B72A0862C68F10C7741433076488217ACA0842B48E10BB45013';
wwv_flow_imp.g_varchar2_table(570) := '41A0118A2388400429C0432E98D5AC69D8A21195A8840F81E8C3461011107288FFC31ACA65865B488820BF22864E78928811E460083E0842AE8A7214A501EC3702A30A6E8E320A2EAC2111AB00C31682C0B7167A2D2F60535859D05231EEA0CD2E78D14B';
wwv_flow_imp.g_varchar2_table(571) := '6AEAF2B174A423641F338C7AF2D218C6A44C0C90B1C011546081AD01EE70F9090D7F0C271AD238060F707004201CF70A61FC0214B7C846322A240DCBD9466AF4785FD34004B51125251881C0042C62492F3070908D5F50837416B630E698E5096D810B5C';
wwv_flow_imp.g_varchar2_table(572) := '2CD6318DF5852ED028071FDF018D5C04662E5E1B6463BC10991658A09A1648C1040477B8C0CDAC041998D968F020851FFC800B703827232A118A57888394D290C636B2218D6A60A8739EEB50E89EF23941F90B58B9180303FF6017A38106C075B18B9D01';
wwv_flow_imp.g_varchar2_table(573) := '22A050166CE00E6218432846958B580C0318A32295F640F28C8D56A349529A46F29007526238CF4ACCB845F19E310C330D8319456AD39ADA245361B8A97BE53BC6C66EEABD89268416C310546EDC073F2FD2CF7EFEE0C3118E60831408013247508212A4';
wwv_flow_imp.g_varchar2_table(574) := '00075964831AD3F81534BCA10DADA2431CDD0807365C4109D3C8010EAF4AA2B6B670AE56B1F55289B0C5AF7EF58D3BE8200949A8C215AA50841B94A120CD92615E10928B7611C416B790C51A3868C5215471042E18810A54E002453A760BC6F204367E35';
wwv_flow_imp.g_varchar2_table(575) := 'A152CC2B113E50D54F4A010B2DB26F29F2C8E7176FE30F7FF5A4149C98C550020106A0B011970E83A3C2B0E3FF16B40173986AB0C3DAFAF2B1B7C1AD6DE6A19B205146483C18522D8BACA610B249B3C271B39BDD544B5EB800192930E69294206037DC99';
wwv_flow_imp.g_varchar2_table(576) := '8DF0CA331CAACDCD29F3D934E1448D1FFBD8473C12818959600213A630C52338510A3080E1556A7D231C93C3169ECDE56C766C4B70E962DC724083307373841ACE20C89435C60E864C0153319C020E6493021C986E75B9A919EA0A015565E180077E8006';
wwv_flow_imp.g_varchar2_table(577) := '4354C215C92A873946E9D56D74631BDBA0A73EECF9394305677456F1D7898E3106D9199446083068000E900106D848C911E0010F4A5008448C2116B6085E2E8021A421C1544D293D5E48C3DC25E84509A466B21E488001269FCA14496AB25E9BDB4C5360';
wwv_flow_imp.g_varchar2_table(578) := 'FF742214BDFBDDEF261AD158D0625440ED07A1D49B8F76D42F69F2F0062A04019A1FEC4F0845288214AC800664C9221CE2208837ACE10B74FC2A1BDF40862B1E58978E756C2F853875635EF3C05FC4D57448E8C10E8CF0832414E1083B90811F62C827C3';
wwv_flow_imp.g_varchar2_table(579) := '1C2317C5285F0C29C1053470108341D80216B000062C1C1B835708C21AC090086903E20FA9D0ACBC7A82AFCF62912849F1576EBA0815A980F1C7FE28452074C109FBCE4214A650C4B4D100066D01589711AB185D0E124CBB688C63675BF0373EA190C124';
wwv_flow_imp.g_varchar2_table(580) := '6634EC592E739B90610C4FE0C3D9FC660A1C297147EE470AA812023685F0054050C215A0C08538D481B96E80C3C6349606D24CC9B4540667FF38A4DB873D46618A59CC221079E0042714F1084C94A20D8908841CB6C0165F260734BA4D8D81BB9318E016';
wwv_flow_imp.g_varchar2_table(581) := 'D32E7581705BDA389ADF52F86ED2E44F09382002AD9720E218DE4FCE3EB3B28579C16B5C4801043C400438301117AF48C52FCCA18E648C221BE030C738C0D10D658423431AFA9C7A43040F8221C544A0C80522885CD0821AC075AF63400934203B1C0841';
wwv_flow_imp.g_varchar2_table(582) := '077E40041FC690E5E0C582A2161D959B93B4D18D3AE949629652328691BC27A1394D441A06996E618B3655EFA571A6694462110A8B8622150F8C452A123251DFD302A8FE083470EE41E8DCDC461EC5B0C6025911851F14810840B83E7DBE800602D9C41B';
wwv_flow_imp.g_varchar2_table(583) := 'BBD80539BE218E7064031AE8FFAB4527EA528B51B37F30A3A6C442C4C38DAB46030F3C10C20E609D0219EC807F2FC80437B48B602C42211403A7F0494114C216C8412234602284017F810104F25717441B7F8541039202D6C8C128E8446701851AE54022';
wwv_flow_imp.g_varchar2_table(584) := '78DB6A118CB8E5436A319FBFF0DC2C980226B0012798C225F09C220402068681C3B045D1810668E05B773C1DBFE54582E511D4A18CD74CDD20B50573058837954036651387819D67F0E0D82DCCD71C410670801098C12B30C32FDCC22BB0D33948C32B28';
wwv_flow_imp.g_varchar2_table(585) := 'C3DDE95D37644ED2A0D7CAA5127BDDC67BC54330CC1CCDE5011B0C02273CC2235C02275C82222882CF39E0B48101AC7C815B201D113A021EE0C5102AE2CA88C167B4911AFF44817B6C8C256E8C2AD841142C4152A185C230871788811848627241131E68';
wwv_flow_imp.g_varchar2_table(586) := '97143002C88183386CC32F8CC22D80033D2883274C83326C03DE81C378F9DD3D810E70081EFBF443529C88EE7D0041C188E32D5E0030400664000610000B3C0122504221F4C11D0043F000C3445D1997A1899711CFE8190F934089E949C9389263D19823';
wwv_flow_imp.g_varchar2_table(587) := 'EBA1099BC9149ABC54F5BC1EF7E0DE30A00F28D459FA75823E7E022444D40385822BAC8FD20855FCCC4FA1E1863C9083352824F4D1815A1401100CC1A341247478C1227003393C5F31D0828BC90234E81EFAA1DF27A4DF276C4C5DFCE3497E822B44C455';
wwv_flow_imp.g_varchar2_table(588) := '5D151CF0C00FF4400FDCC00DC864FF3D412C4C043414C313FF4041137C02AF91C34D8402B1F1D7B43D200426A5B4492018B0C1523A6023C8010376D6D630960560422F144509865B5378513EC8433D04636EE8022CD0E120B04120C4E023E0D7230C4220';
wwv_flow_imp.g_varchar2_table(589) := '04A20346A02132466A1CC45B289D10EE45C738C2228822244E621B0D08215DE222A002C72CC2190048141C4172E096142C871BB5516240D3173C1520BC02C989033824C32D8C4237AC43378C4232BCD3388C4339A09C3E98D2FBC4CF2F0E071CC21735D0';
wwv_flow_imp.g_varchar2_table(590) := '9C6C8A021B64C124DCD77D5DC2204C822870426FC2921EF6DC23F45CAED80A2D70245F984C700521248AC1D8B54510A88D84A102F4F902F469833360E722EC0117B4911BB8C16442131FF0C52539C278FFE20120A4932D2443368803DED1D83864032E7C';
wwv_flow_imp.g_varchar2_table(591) := 'A6347842378466309483698E438E750EE0C50F30124C8960C3E185C233CEC8EAB40E8D18D401300001F000243C0112FC482A60A336761E460D09309C499A80A3381E4F3986593284A884540331DCC22D50D42D600F48B049EDCD544D0D892D2848212C84';
wwv_flow_imp.g_varchar2_table(592) := '76FCE303494AFC05E43EE44650B5C3503DC5FC248A3022053BBC03393024F4B10214501F104C64111841158C8123CCDF2D44251CC80120F84126D0422D8442487682487E0222A88298FEDE487682BB70C32D2003373C0323F4404CCA249DE65F1574C260';
wwv_flow_imp.g_varchar2_table(593) := '718323F824141402AF95109FE89E1AE4001674411728DB6CF197B2910005F61718C8C10FFF99912C5CCD32CC4BB2211B1665A55224055706CC578625C18C652FB420CDD1265A8A42A98A427DE961703E022CB4C123B401711667AEC84281998CA4E4117B';
wwv_flow_imp.g_varchar2_table(594) := '346763469D1AF8525F9E8123401FB1669A3514435F8EA2642AE12099A7773C2B1C30821C30C4346C033880C338B4E2386C032E28C33A808327F01D2E8C0238A80338F49DD2B06190AE97CB59451C52C3CCC52B6C4D421EE4C120DCD72C70026FF626CEF9';
wwv_flow_imp.g_varchar2_table(595) := 'A6288842598ED62C8C962E146C29F0259E00D7C6202C7B7C4663FA525EF89285D181261CEB562569926A83C6F2429EF001632C4E213842C822A2E328221CA0A727254337888366E2DD38A8038D959C2C6E83276CC3381043258CC236FFAC037FF6672F06';
wwv_flow_imp.g_varchar2_table(596) := '9E8F91883FF89318DCC801D808021880013000022854D21294EB88802BC4822784022D6023E75D992D5C1497B16899905E937CE8938468475503338C2D932849348049F6B8D497100F48D05E91D8DE9FA8D97B4C63FAC1DF03F91EF0F1C11DF4632ABC57';
wwv_flow_imp.g_varchar2_table(597) := '8FB60F90261FA254C5FAB0033A102BE3B20280FC80111041E4FE801778414ECA821C8041176C01E76E4119304228400261802998D64231D4C9031960AF8DD5FC8915234043581D019DF2400FD06EED32541F1044289CC11288C1AFFD29AF614CC832025F';
wwv_flow_imp.g_varchar2_table(598) := '14C858E96D446DE460E9904E72832C50C3BCC80B4FC00251804356BC57A77AE5C048CD38A0AA6CC21627D46B20C4AB29FFF82B2CE41727C452599A022C7CAF2EC01635102F2AE40961421D24C211294E222B142BC6928337FCAF2F6C42E3D0A55B8C2722';
wwv_flow_imp.g_varchar2_table(599) := '9A27F19EEC1AF0418BFDC278B1E2DD9DC33884C3368403C9F16CB8AE032D5682348C8339A46671A417CBB55CD408236CCA66FBB6E0FB72C220D82BAABA1B0CBB1BA9CEF0FB16EC68F5022AB4C227EC022AF4706126AC1D48D86820E1C60057149C0175FE';
wwv_flow_imp.g_varchar2_table(600) := '2F39BCC33BA043C6FAAF35F042216C4CC81AB0B3A686CFA4A727B5E77D92DCDD8D033BAC03CFA661378CC33A6C83677EEB2A18422428033BE8437F964887F0836FDC4380BAABE1C5020D30009331AD4251401672802053C0033CADEB7080271CE771DA42';
wwv_flow_imp.g_varchar2_table(601) := '2E64EDD6FF56D42D746DF66814D846C39280E33922CF932C4947A1ADD9AEA8F53CC3D9228328C3EDDCDE5E44F84927FC2DDAD4D9EF3990EE3D41216442E062EF8F06E93D0C29E22AC591322EB1B20221A8051040EEAC8D811AB40903AE4174FAD243090B';
wwv_flow_imp.g_varchar2_table(602) := '22E069E7898A343B82A88482013618FCB9C25B14483620831BC8C0AB2D41ED2EC10DF0801BF00E370012C700EFAE1986037DE9037DE9E812C6973A50AF19460C79C433D04B1BB44118FC7318F433511C05F69A161D8F1B588EC85590E5F7D2DCFBD2571E';
wwv_flow_imp.g_varchar2_table(603) := '04C225CC5C0CB22F6EE26B43C3166C4D035CA0C227F4B00F173121BC47143427822DE222D04114A0822F28311363ECFF6AD5472B0E1F14C2788E6715FF172F814CEB2D4CC378ADECB5BEEC3988F119A39C198F836882262E44C21F24037FAAE63EE003CB';
wwv_flow_imp.g_varchar2_table(604) := 'F1C32AB9EB0967B46C92252604425AFEEBBFE26B0AA7306C8DD60DFB822FF0C22EEC3048AFF50FB34261F6B02610C21944012178B43624A9133BF15D6F9537F8AF36942415DB345F8C67268502D1DC27DEB9ACCB863151CBC3388497397CEB2874F0B9E2';
wwv_flow_imp.g_varchar2_table(605) := 'C21FFC8132E8433EF4E78EFDA288DC0690A58223604004F0710464C0066C0007B0400D09B207880005246DE36D002570249F3172F06CEDD6CA9E3BAE09F1148F939432917854E9A5AD278FE3DB8204F3FCB697658FEDB5C92D0803A9C849214002227C42';
wwv_flow_imp.g_varchar2_table(606) := '26E8E303150278EA4927A80123D432A7FF1E9F3BF0583EB8039126C53EB0839236EE19D84C111073E5F6C130B8C26CBD811F48C2A79CC2211C821FD0C232F1AD355B732C38503114F8DCFC63818402234CC333B88214200194C9A40E2001242003611184';
wwv_flow_imp.g_varchar2_table(607) := '81734A09FD2E39B8B3E9868A2F7C4203997531345031A4F8EFC6D0444CC42066411680C102800109306A1BF8C33C14A9416B2F558C883F74EF0C67356CE9C22404C26EC230FB7EAFBC6A74C1EA82A6F8C22E58C30E7FF45AA382262C825BBB3548CBF519';
wwv_flow_imp.g_varchar2_table(608) := 'D0014B170339387198FB2F395CAC5FFB022A4CB1228AEC1573DC2B2083179BC3197E3151AF033DD043514736525783076FC32D44421CDC021C87B03BECC3085375585A753CC4260AFF6375A962C26D9A02C03A3A5936B92EF4022F98F55993F8884B392A';
wwv_flow_imp.g_varchar2_table(609) := '7CDFA7F3F0A7F73021D0C11984C24B37714C679AB12E313AA08337D482259EA7222A8E6B40033B98C350B303189BB13AD4799D9B83B582A6679AA6B55AF628E8433D748E3FCCB1670F1EE998482AB80103943603508008A08007B08009A48009B08007BC';
wwv_flow_imp.g_varchar2_table(610) := 'B609700002943B02E0812D70A4226BEDD68E4AF0A48930CCAD978D9E2537C96FAB6DD8DAFBD906F79278C9DB9632DCBED929CB5474938A30D0828294063FE69B1AE0007EB8812364422C08EE409677F2155591AE777B5BC3FEB2825AFCC03043AE17DCA9';
wwv_flow_imp.g_varchar2_table(611) := '4080810F403C21B08231B0C21EEC412530832D780224F4C127C4422DFFF85AE71D4381EB5E5C00E43FBA824ED2821B48F81220C19DE6C244ED1A45DC33AFE173D3D782E9D6828887823558F386333D3408250971039848B73070CAC10BC32B7C435628CD';
wwv_flow_imp.g_varchar2_table(612) := '8E8FDBF6160743BBEF903FF4FB4EC27C2D39CDB56F0ADB70C14E4325683A034539947BF4A8AB350FF3302190C1197C82AAA3C33B645A925A83B16A4313EB355FDEB4B3DABA1AD042AE9F83AEC7C3399C833A9C433B00BB18C32C38F0EC28F0B9DE6D8332';
wwv_flow_imp.g_varchar2_table(613) := '4442248070C59BB72A450D52C0261D5A3ADBB79BED8BF5C0CEFDC036396C81032C848A3368BA759AF5F715BFF18B3A2110C2272C3113BF83359CC2F72D90319C82316803E2373139384349DAC1222AAC26A08218FF9C4138B4C3AF8BF1CBF22CB0E3393D';
wwv_flow_imp.g_varchar2_table(614) := '3CF6E88383CE3EB68D6D6632D483CF02DEB38F0890B98217543B023C00407030F1C2830913306078E0E0A1E00D0A082026A165CB552C5AB96CD9C268EB952D60C3400E43468C18B364D5AE5583068D1BB468D19E3193F98CE6CB973465DABC7993194E64';
wwv_flow_imp.g_varchar2_table(615) := 'C34A22133A32645161C2800113160A0F1F478E3E417AEA68D1D3282532D070542893BF7DFBFCF9EB57CF5DBF7BF9D0DE7377AF5F5BAFF2ACC595CB8AD51921777F103172A48A9D5814C104E182E7D4A95D9A161DBA750B949F3149A6742A16AB58B15C96';
wwv_flow_imp.g_varchar2_table(616) := '2FE7FA142A942BCE947271E37634572747906AA58A75EC985268C75EB3960D9B3539D9956B15CBFDFFA972B150BD8F1593BD72654BE3D84427FFC66D5A397B60C1FA83278F1FDA7C67E1DD13DB16ACAE5EB37485173F8BBC2EF2A64C89D2056B167BF7A6';
wwv_flow_imp.g_varchar2_table(617) := 'DC8B179F2D932FFBF7EF5BDBB5EBD32E54FB01FC4492335021E71D74DE79879C5D0CD3CF98FDB431F04072B4D9659145ECC0D092453441E59026C839E71C78D661879D734C5C47457AD699871E16BB01679D7146A9669D6EB6C951195CEA69CB2DB2F8C1';
wwv_flow_imp.g_varchar2_table(618) := 'C7BA21F969A747EEF68927113698CC23104ED41B6F16514C99D2BCF2C8232F3E58C4A30616678A71C6995A9AA9C59766EEDBC51700F7D30F153A08B1464274166C7317561834464E0413A4D03F54000594175E5449C30F75544C54D115138551FFC66D46';
wwv_flow_imp.g_varchar2_table(619) := '09671C69B6C1B11B73EAD1479F7EF8E9471E78FA21F2D3ED42F5071B4F5840208107064A88030E1E7840A157178A0186041088C0834C6CB18896893202A6D78C3C528A2462A23926B75A54A9852568709269A669632AE9199D60A2A9269864226628928A';
wwv_flow_imp.g_varchar2_table(620) := '02E916616E494A1847D4706AAA42A87AC20B474259848A129A602414AFF6F1B19E7642B54E2DB6DA7A0EAEB9ACA1EB2E217EC86B8727AA702417616801030B4A42D9A560493044C61543BCE08187150AF9ED32D6843B26975842C9C533CE8E69091A614C';
wwv_flow_imp.g_varchar2_table(621) := '3E99B2875F268E38725EB3CDB6D948AEEC379F2B0BEE985066C3B93896B8418EB96FB2F9661AD1C4F14A6AE9A8F3371F78E82115FF2C4CC06872904944012F3CF244095B3DF6B2D4723DF3E4D3259B547A73E6BE627CE1C53E362DEE0F1542F4D8C51B3E';
wwv_flow_imp.g_varchar2_table(622) := 'D1D9EF4163F06C901C3E15F4C6BF530245451542F538C31C79D6A11C1E12D721914516D761111C71C651E71669C6E9461A69BAC9269C4D7DF487AC7E8744ABC823FBF94AC92CD8C8228B2EBA20A16B4CC436C53C2ECB9392EDB6C1C1C4196D8AD1064C30';
wwv_flow_imp.g_varchar2_table(623) := 'D14CD33E6B7C71531232C838C51A6FB4896B176306DF8F15EDBD91304174BC69E5BFEF7719D4974D90C8451F152DE79CF3CE5704A79B75C0C1659B7094713AD399831E9AE2943F3E551DEBF063543EE2873FB2E18658E9EA05147815051240000220E001';
wwv_flow_imp.g_varchar2_table(624) := '108080050BE28107FF24800278A088453642AC8F00635CE5020A346A4108499C4213692043315C161369ED7087D6D2164E74C80C62C4241A42F4D611C3252EA40023147CB803BB9E528845F0C10E6AA04214F8803231F0C00D9DF80A58FAE18F7BF06B48';
wwv_flow_imp.g_varchar2_table(625) := 'F870873DB61316791C831573614514A0701722FCC00844A8821788268C678421116BA084617641880C8122147730C20D5EB0824ED4826896E1196B1E36B49489662530CB85C958B312DA40831C2DD9E4278FE10D9205A737C2018E2959230CE218071AC8';
wwv_flow_imp.g_varchar2_table(626) := 'C906379A164B6EFCA21CD191DA7414789DAB65CD475B9343EE74D73BDC0D4278BAA8922ED4533CB6B5A76DE2B9C628B4C13C3085A918D1C34FF52C868AEB3981FF10BED006F706073EF0DD497B1142503A0EE48D35FD8717C6E0C5F7DE040979BC087F9F';
wwv_flow_imp.g_varchar2_table(627) := '62D43AE2B1A271486A1CC4B8D4E9B281BA6EB0EE47EEC865EC66B71DDB91620E7370521EF290BBDE75210F8378127AD2261FB135131CBD0013F32AF3D16ADEC76EC66806F8B4490627904110336C5FF8F0768A6F1E2E4107D2063BC157B776F6610FE7B8';
wwv_flow_imp.g_varchar2_table(628) := '27FE809AA8799C431AE6E8DF38B671BAD345631B99D2073F3AF529D8E58381F0084B5BF261AA1FE48A030820800172F50004184083AA8AC0AA28400185C4AA0AAEB0052D2C42AC89D062182AFCC8356A71063D48C21264380006F660B41D22432684ED21';
wwv_flow_imp.g_varchar2_table(629) := '32741893C4F6A4B0CC1809314002D961DC225C48FFB1C5303AA1063744518A5474831DF8E0063138250A4D10021EBE78D5D70D492D68ECE53EBE5130D9B282065048181D7F90842AF4E192C8804629C2C0083848021596204421EC008954F0A10728E080';
wwv_flow_imp.g_varchar2_table(630) := '5F6AF18951CEE628AA3C866772018D6F68F735B150CD6A6C6633A3D986938F14252A7F464AA1CD66952CC186D244234BA6D5526A60C1A5D5E0510FB188052CB060C31C060151874A749881C00446B3349EE335331BB1585E48432AA6E8B9B37A77EBAB13';
wwv_flow_imp.g_varchar2_table(631) := 'B879084DB4429C826B1F83B4470EF3A5D33F2F7D50FB4E510774E8837299BBE7FD12F5BF7E6E631CD590463594918C8112D4756589DD028DA4D02495421197B8C424902C8A497002130E8528FF1B02710928A187CA5552A6789227D2CA304F9AD66CC697';
wwv_flow_imp.g_varchar2_table(632) := '9D71520669C212A7E0F049077562BCED22422326C73B0537285E3483177488853D35F7D344F93480E028AA3488A10C1B4B231C4E85AAA7E071D0AA5EB554C37840041E4080004C3A001B340059C1AA2A0E52608430E8600F32710B5A54E4ADA5A645B9C8';
wwv_flow_imp.g_varchar2_table(633) := 'F59161F0E10C7BF0C22242812E0C15E335CF20AC501C2B146F0905283C2CAC6173AD6B900823244A19F6648F028A4278C10D9F4044670B116DA8385B0D7668C20B22E0852F16D42CFE3A23A9F4B10F4DA282158BA043138EF003210001083B4802153A41';
wwv_flow_imp.g_varchar2_table(634) := '336EC84216C065841CD4409545B4A216B1C00315FC801B473E12669EBCE4518EFF410B7415C20F7080831C18410B4DC22CBC15A7CD6D46664AF4F2CC66C67946D2403E0DA6CD178C6EB96F5AF2314F7F3CD02BFD8005292671E423C7FC128A08044403C1';
wwv_flow_imp.g_varchar2_table(635) := '863C2C994A549E8595AFAC8B71282315CEDBF2839977CD2F7FB96EC5D5C426DAE78C76B6934D70FEDEDF6AAA2063FC277CEDB4C61E36518F16DF0FC68AEA8632C451D46DDC4219019546360CC8EDB3FC7876AF8D872C26F108514069CA55AAF220143109';
wwv_flow_imp.g_varchar2_table(636) := '45043EE69CE08491CB46A58D828314CD2B06F71C1FCD5AC8AD162615D3F2C4E4BCCB87599CE29433F8DA694EC069439CBE18DC9C35B187747C0A738BF2A98842278DC5107A1BB8207438BA318E026E2AAA89169555F5E50FFF4A04800206A0B4063588E9';
wwv_flow_imp.g_varchar2_table(637) := '4C43240109E000013CB0015695E1ADA47E05B05291916108C316A0288301987008BB34410C8BF8C4859C25126FA9FFB124F9C93064028D5FE37A282311F6F6CBC5C290101B199018031F9AA01020810F3AAB2A3EE113A082120AC15D702003A260DBDA62';
wwv_flow_imp.g_varchar2_table(638) := '5FBA2D2DDA011F48851FEC611A7E612542613328C10FBE400A8A80DDEEC8108E419592861956A114122111626D115421066B610675A316A68BBA56E21BB66B2572E1295C010F84E00BE0600DCC600DCAA0122AE904298EBB72109466C3327C63685069BD';
wwv_flow_imp.g_varchar2_table(639) := '5E4307B54B3496231CBEA11BE26BE4CA8154C2E8E474096B568E3BFC411730C1C8D2630DAB8C134C41110601FF13080FC98CECF0A62C6C362A1A3CC179408ACB2A43E9320FF3364F4C3A0FCDDAC99D06E59BD00170BCC1A4C6E9C4ACA115EA201BEC6951';
wwv_flow_imp.g_varchar2_table(640) := '5CCFA7648FEDFE471994A11BC2011C5687A0C6C2A0E60EA18CC4EE4A21EF4CE112F68E4ADC70155731E664F16BE650F0906C123061C926A117488117C2649ABEE918B4C14CE80C4DC02C9A96279A9CE7CBDCA9190231CC9831F40E4742BCC11AB401CD1E';
wwv_flow_imp.g_varchar2_table(641) := '8417ACC118EAC01BECA1F5F6EC1CC6411CD5611CC6011C88C11382C11C51671B94611488C1A93805D114AD8122D01FFC608328ADD2BEEAD2FC11220012012820001200051E00068A60225CC11352C1151CF2D420E60F32C10B1E8D010E600AA060063000';
wwv_flow_imp.g_varchar2_table(642) := 'FF0AEC000ACEE013242E24DEEF27200BB29081B210AB27E48F19E44FFEEAAFFEB68F85888DD826ABAE7AC008C4E0092021DAF8608AF0C00E7ED20DD8C50E8400078420039A0002C7A21D0E4A2DF0C147022619E86D2A65E11964E1175C210ED06004EFC0';
wwv_flow_imp.g_varchar2_table(643) := '048FA6BB7C81430E41120EC10EECE0100E81158CA164A090BA6043BBAC101AE065076D8111D6E02EE1000D3CC1B734A966729093B80B36C801666E70363AF0914EF00493E26452A11342811290019660291BBE102AA92697B0236B3AA576CE9014D4F012';
wwv_flow_imp.g_varchar2_table(644) := 'A8CC0DEBD01496ECC8306110BE460E6D11F07071C90E0C183A414C422A9ABCE10F6BC16ECEC41993111905D1189D111997EE109D41C41651FF419AA17B4E6C709A411054411EDC415130471CC9317426A512FCA77450E71D8921EEC208487E4C764E1149';
wwv_flow_imp.g_varchar2_table(645) := 'EEAEC8A44CCA0CCFC840D3C8260135912CF0DC73F04E33F030E134318114128117CC64F26AE19B90F1366FD3F47413199D877BAEB16E2CCF1B1054F398F138FF6611290439DD499C9A611336613AF66C1DA6D31C8CCAA86224188A2A1C92611422E10FAE';
wwv_flow_imp.g_varchar2_table(646) := '6014E821530E2D817E8F54F40B0F2AEDF892CF1FFF91F908E001C84A8410C2136C21151AD2154ECD163C8112B8C0001EAD22FFCA09668009308C06EC20148E62185E262424AB282E8BB0A0E5879E6125577228802289860D19FC8001B88007C4C0119EAD';
wwv_flow_imp.g_varchar2_table(647) := '100810DAB6420DA240084EE0FF288F40292590B5DA0160DCC21E5EC1474B81164A612A91611AAE120FDEC00D2801055D8635AC4110584151E9E21028942E4489350E90BD604307B7EB1B8EE11384C16584610887700DDE000941A10FB2E83528E9529FA5';
wwv_flow_imp.g_varchar2_table(648) := '2F79E6002FE442CC520DD4000F62D50DF0600D6A750DBA600DC0605783400D2433962AB375C43033CB903375C133D1931593F5F08C8C3D054F0EE15311E8130EE5300E63A113EC66F29A479492CE6EEC66E9304F9AF833CC06E53711D41B248CF3660A41';
wwv_flow_imp.g_varchar2_table(649) := '1E94F4C2474F76E110CA411EDA4151C6614634141C8C0A14C12180CA011CAA61143C210EB4C010B8B3C70E8A48C29333C7F31192B50ED193342F610E908C35DB733DDDF3FF16018F142AE171086550E246A778A115CA3537D1647912546E443642CA67F3';
wwv_flow_imp.g_varchar2_table(650) := '346FA644EC413D0F7CBE4C12C2411EEED51C73161CF4071C72C41DB7214405B611467444792453FA6153547481ECB11FB2E60E5E941F6354F92E0D20C1CAF8D20A064C801198E18482F40E920056FAD10018A06C0FE0003EE004D41607A8001256A3BAAA';
wwv_flow_imp.g_varchar2_table(651) := 'EBD84242FB84A225B3344B59324B7D8BD7DECF4B81C2139E400C84800FA422DAD805013FC134EC800A786009B002038C404E9992B5D6A297BC820F9E20DF3EE192C20B19D480111A33BB44036758E34EE4841CA241179664142035528B211552E92D9166';
wwv_flow_imp.g_varchar2_table(652) := '395602249FE516ECF22E6D151484E1094A6003A840182E29FF398897382E4E68C4000B767557C3A0799DD779DB200CDA607AA9170FC06039B22196BEE10B1FC8E4AA06E5C87033F305167291E63EF37C2F21108A0C0EE770F0DCD716A515133CC163E56C';
wwv_flow_imp.g_varchar2_table(653) := '3F35EF634776CEC0ECF268D3794496179C014129E43893F1CBCC49C4B8671B3BCF18B44113BCA11FD4811D66A41CF7F5132B25A96EEC1604B61246D410FE0014441161BF93AA16D6768241111EE116CD373D57913DDFB07D07CF166F31F048410E5AA115';
wwv_flow_imp.g_varchar2_table(654) := '3601877178506EF38677C187E54C6451B679E4865048F6F16AD3173E8A7BC2ACCDCAA71A4FAAF39C41133A811DCCC11C39148305881393011704761446611570418C474119EA01691F2881E6EE1E16CDFF47B2E60D5E54D2906F8E63D46A030001EEF820';
wwv_flow_imp.g_varchar2_table(655) := '61C00BDEC00B92E007500002E4D81F19E0D20EC022CF9606846009CAB416724129E07689C8252663B2FEAEF46E570293858226FD161888E10E8EE009A202114E03123E81120AD70DAEC8B44E2002222029BF425FF8A514C7C84EA123165A1543CCCF1738';
wwv_flow_imp.g_varchar2_table(656) := '37179E0011A06192AED0930A66116FAC1712410E48A1755F83E2DE12369483922841E258E216F0600BBE2008A44009E280127AC06370208F5849398C7736F0C00CA2377A9F177AD7B979C1200CC0600D968139E8F995B8B7E52E738D77A958FB8B145058';
wwv_flow_imp.g_varchar2_table(657) := '859315161561E762910E6BEE7DE9905A3BC1106EF88673B815EC43151ABA157EB87DE46CFF5050B63F07E571323AF4F893F4861381A17881237113CA918239D47494EA74AA01176EA112C0388C47418371218481A4141596766C87C86298F092950E75AE';
wwv_flow_imp.g_varchar2_table(658) := '163536F068B162152111E280424F81422D814247168751A1A17741A229FAA26B8140C3A46E3C765B9D3AA39DC11886B34FC089CEC4E914C64052D2619FDC31199281188201175C3AA6718C8BDF1A8C9961F79E8A1E57D48DFD016AE5388E918F1FAB1601';
wwv_flow_imp.g_varchar2_table(659) := '18A0ACF2D8047EA0ABFE514665F4000CE06C0FF904A2400CD400113A21161E399229A2332ECB5C3879D892C216542926DF6AD43E3B5C58081868C10D7A800A28C14CA1A21312372A0AC10DFAC00B58390218207263390227D7DB6CD9FF2B7221E3ACE113';
wwv_flow_imp.g_varchar2_table(660) := '50611150E1000F90B7A44B39325508E880151631C77AA114C0601598D9995DA6259663694483164221392A810B74970853C10F5E80076A400862016988B7785F233672210812210C16C0BEA5D7BED359BFF1BB79DB605797E3695E69C0BFB0E42E13BF34';
wwv_flow_imp.g_varchar2_table(661) := 'D30C612110E0D7A71F36A2BE46F0523885058F7D3516351181429FAEA99B7AAAD527872B9AA2ABFA63BD09F2C4C48801F89B769841A369CE680A7D480F1B07250DAA411DC0E15F930AC74CA28B35188C7121189281135B1A8C63C1A60D6A84EBCE0CE381';
wwv_flow_imp.g_varchar2_table(662) := 'A1000C35635886030FA2000F35A77CF0BE26C2D7730E14A112BA80CC2CE1CBBFFCA1957A13CC8C647FF8A15BE1717CA1FF79EE97AAC1C41B78C151493680A5AE9DD87580E9ECA55A610A80E174DC31C7C6788323A111E2E00FCC400BDEE00F22C1133CA1';
wwv_flow_imp.g_varchar2_table(663) := '120C410B4C541E1128D1D6B88DDB226BDC20008C2F8E391DF9322DD2BE8A201F800376C004CE8A0170C51FBFEAABCE960018E004746009CEE0B31C61918806922539156801141A126E41021940810FFC60D811C113A081160C81111041D921E1236672FB';
wwv_flow_imp.g_varchar2_table(664) := '862129A4DD13C64007DE05114EB913B49D12A2622BFA804DDD54B761395FBA7396D3C229F7AB76F6E1921EA9377E632916A1135842078B41DBFB802ED08169A84117AC1BBB59A17C54C96856021D8A839E9F463438C3331A010EE25957F1001762C10B9E';
wwv_flow_imp.g_varchar2_table(665) := 'C0B58FE6FFBD5DC67855C90EC0A0BEF77B01D4B9BF1720113E9E041CA114B66B1A049C9EEF395FF2197C35332CFA2B11000C0E59B37D27F6BF040FF07ADACA69110E032110FAA00FC01CCC7398CC8DBECCDFE9C327DA1779D38849F69B9A81AFE6BCC5DB';
wwv_flow_imp.g_varchar2_table(666) := '871ABB27CFA72E0D2AA11BA201C7708C1862BAD11BE10F0C5D0BC83E122A81D10DC10C22C1C883E43B935CDDED81C9A99C7DDD77F0E640E7A8DCC9757ECA9DFCE7E7C010AE002DF7A0F01D954237A1A9979ACC07E586979A71D2DC7D264F6E1C3AC5B5A1';
wwv_flow_imp.g_varchar2_table(667) := '15F640127298CE3CD619D8B518DF29060F41073A411988C1A55741601BBD121AA1113C41F5D3DE13C6DE0CCC000DC6C013F4A11EA0AAF7F8A1D29BF6FF8D3B7DD2244DF8EB18D48D6FD36EC0040272AC2E8D001C1BB2334008A6800AC4E00E1601DB1D13';
wwv_flow_imp.g_varchar2_table(668) := 'B321F96584B713FC2F13FE226E8F02BCE3EA289001299EB4B2B6AFBA421B1820810A32400D200112B4BD033B1095B742B4A8E02831800100A2C9BE81FD0AD673C72F9FC27CF8DCDD2B58909FBF5478687DFBF4E998C68DB9628552138B1BB46FA9727D13';
wwv_flow_imp.g_varchar2_table(669) := '698D95B595D676B1DA6489152B7234A1D98446EEA6486E3C794EE3364D182D64B4F0C801B3460E9C5BC228E502260C5ACFA9527385BA790CDA273561C22CF00A660198AE62C380390B860498206AC040937532A8144AD98096F3B70FAF3F7FF0E4F1BBA7';
wwv_flow_imp.g_varchar2_table(670) := '10303C7AFEF815CC2B2AD19C398A1A0FFF6A0C79D0203679182B9AF338B2E4CD813AB3B1B367CF21D1872C6DDA740A66EAD3AD78F16A750A55EA5DAD5D3773E6CCD7EB56AD9A69D3C66B8F244BB579A9E2658CDC3B74D690D3A6DD87C99B64C492DD5A35';
wwv_flow_imp.g_varchar2_table(671) := '6A94A74A951A35AAA4DD93784F8DFE98318366CC1F7F10FBF93B9870A17C7EEDEA411C186F15E6CD99153D1E34491E5954C6DF7F926136472073E49147206658914684694C710669875C6849869BA0E25A2BB2C1C45B88AD39031C2F9B8CA88D37BBD421';
wwv_flow_imp.g_varchar2_table(672) := 'C88627B6E20B893439635C2B302531C50E86E0929D779590828B32CA48B38D32C1E0829D2770A08146194C5E018A3EF5F093503FF2C0139F42FC5CC95E4184B9110001018449E698FF6612408001063C1041980604B02605309880800175AAA926010710';
wwv_flow_imp.g_varchar2_table(673) := 'C0C0093C34E185186AB8518823907C124A2CC01CD351288ED8F184103C6460042DB640258C30C3683A0C329D7EEAA9A7C38C4AEAA6994205CCA54F2122060E6A74F249279D84022B258E3852C8226E881185102744C080400419D44E960AB5F3507BFD44';
wwv_flow_imp.g_varchar2_table(674) := 'F24523D084F28923A188649330C720C2482E2309034A383D912353B83299668C353421739354524D05544FCF4CF58A196B8001C71A8030C548A636EDC42E55DC682485144104F14510011F11841042442A84054358A0F0134F0451CA376F9DF44A0A78D4';
wwv_flow_imp.g_varchar2_table(675) := 'C5CD5D79E5C5975F0B09469861FD2016C8208CFD07196473B0914566FF92F9E7DF66092A1248836054B1471A674C588785845C389C25A8B4425B6AA9B576A271BCC458236FBE79D3CC1E7548C25A6BCD34E30D3ADAECB2CB6B969C31051366F0E849246A';
wwv_flow_imp.g_varchar2_table(676) := '8F12A434432A930C2E689BF706934D1AA2EC7B08C9375F7DF7ED630F2908F257F363974CC206650B2E9EE0623933C860E256B830051248E88039135350984668874872C82948BF86DA86BC9976A231B839D38C6B31A6E88C255767C86131BFD1689C1D55';
wwv_flow_imp.g_varchar2_table(677) := '2001C30D4A5CF1C71FE0B12DF72AE49567C61B6F386977936F8CE1C97B541A76653FF259094F97FD10F60699628A59E69868A6494102618EFF809C26A069409A7ABE89000B3C2021281F7D2072E8AC9F20D2C7AEFF48E070820C44400319D8400610310C';
wwv_flow_imp.g_varchar2_table(678) := '60604A539CE2D4A842E5405231F0540A8C8AB5EE20061EF40156B3A215AC1CC1073588C10B51E8150632102CBC0CAB1EEDB0DEC89095374348010EC2700537985109504C031BD9C8C62B32F18B5B242319C8A0842DA0612D556C026CBBB0C66F8EE18D9A';
wwv_flow_imp.g_varchar2_table(679) := 'D82427FB521737DEE59376BDEB5DB2A0447718C1084A3CC3155789CABAD6D52F917CC31678E0821BA5F00429A8E10B6AC0831DF100063C3AC28E60688B236431927DD1E2086EF8C9343CA69790B9301F24D35E5E60A198CBCCAC668D79C42304B498C5A8';
wwv_flow_imp.g_varchar2_table(680) := '6C3F0B825CCE28130424008109485802E674C0049F85463443D3C4E860831A54240D75BCB88D2F74FFA30A5F4C4D1B9BD043694CC30B6778431B343ACED84CD9032458010E7F688427D8760B5C10633B86085EDD9A84866B3AA90CEB698FDE16C937FAD8';
wwv_flow_imp.g_varchar2_table(681) := 'E730FB8887E010942003E541119CB884CA06A12005412E71024A1CCC6036862B8C619F63104315CE800426A0720A75085A6946C70B54946E17ADB384264CD31BDCB80E3729D2462B04B10742582298DEF046315A718829D020042888410B8000841CE4C0';
wwv_flow_imp.g_varchar2_table(682) := '0A57B8821558AA3CE5C521A63145831BECC60550488F4AD803E796B207912F9DCF7B6612DFF908F08007880F4DE983C10BC697A7031C20023C30C213D4B0884220E2567D500315965082107C400304CC400642C08112A8F508B610C60233F5C0FF614003';
wwv_flow_imp.g_varchar2_table(683) := '54C240465D3365D75165CAAD6E3D462C6A118A508C01808BE884A1A2852B3E14820F76E015127C75C208086B85EE00E73D1C12C321004218A110063392019E61BC823BC9E8E13486880C57B822167C800434A2488E28E2841837A1E24EAC78456C18D25D';
wwv_flow_imp.g_varchar2_table(684) := '3C41A34DC818D874ED6B2AD8B822BFA0910B470002108C80031FC258093950020C94608423AC0B063938420E6094C3B4E0C293571C810BDCA88BC706B297BE64A99126DB473F12A3C9743E46939778842437A920CAE4E19E9481D97EB160057EF6B30A54';
wwv_flow_imp.g_varchar2_table(685) := 'A81C133497068302B3430A3D452E4DA409AC698D466123518ABCC10B42D4E1A0C2F4A88DD2508313C86F073B40A91258EA522B68FF21796698A9F2EE105337DCF4A6633084F6DC031FBE2D449C7FCBCFE2F2300820DB2C108A9844900F94A0FD66210B5D';
wwv_flow_imp.g_varchar2_table(686) := '603209BAD0052C802111B678452E72918A4C40228CD575C3FF3457073D0CED34A243C52108B1895ADAE8141A525D8D827961E010420FC4799D3654C1040C8460052668410B5C00842424C1052E30420E928086E0FDC10F707843A36B3A6334E4D41FF380';
wwv_flow_imp.g_varchar2_table(687) := '883FAEC4C8C0FC547B427D13F8BE076AF611408047254002E404033485E9002210820E5E80042FD8C17E5A15830E3E8001069CD0AC21C84000CDEAEB12B000127CDDEBA64865D7B9425082133C95308AF10963B4620F50201B063ED087453802B18BC083';
wwv_flow_imp.g_varchar2_table(688) := '1D4AD884262CA109FFBE8A40063010858150F62F81B96CB2DAE309256C011AC5B805317EC123508C620865300320C0F38A5FFC841694E804B5E41A15B9A2631854ACA215A5820DA9FCE4191337E4342E2E8B2F48E10BA0C0C6BBD098C6DEF64418880004';
wwv_flow_imp.g_varchar2_table(689) := '25BCF31D9337C28B9490AE744FCE88EE24C21189F886C5A4428B3554621AD9386422DDA35EC0647A3085398C3F60C1069531683F48FE0F813AC9A02537F9C954EF42762E650B8F40821299C80423DCF0041C30010A05FD1C718E06933D68A296BB408D86';
wwv_flow_imp.g_varchar2_table(690) := '82E90BDAD43245B175862436CC2167D8CE1951F8400638608214B440054028C2105C4084221CFA0A6F50341CFAF06819DBB40C6E28831A6C6C321C2344E8E1ACFF4F97DC1B8F44B081E98E910C8130714FA94319CA030BC216B000FB2E80621555EE482A';
wwv_flow_imp.g_varchar2_table(691) := '28812D4A80221464C4031498408604FB12748420042A68740A5EEC4269A083FB215C39F78E52AD0E743844717801856B73C0032D800108029D0312073A095530031CFCB0683EC0010F8FB6A9FB275DE97E48841EF0C8B496B814547F80A97D655275A8ED';
wwv_flow_imp.g_varchar2_table(692) := 'B40108B05469F20026200263F2003A70045FF52763D0070F986D7D100227B46BBB066CBE66562590015EE0560B642AA5926CD0800CA2522AA6A240B6800CB570068790063330034C400533700287B0088720067A9006509006519083BF2704340059BF32';
wwv_flow_imp.g_varchar2_table(693) := '59EEF51EC5C279F70043F7E10FB1E00563500BB5FF300CC4800B47320DAF00044A30044350044AE0463A040A7DF00C271171E4F00CE860130B070C38A186D06086EA127111B745C685453DF70DB7D008AFF00C75815BEBF20D1CE32FDC800C886008DCC1';
wwv_flow_imp.g_varchar2_table(694) := '1D914088DD8188DCF11DDE41098D382DDC005EB49008B27071D9804820A35E23930F44D75EFD800989402033335F0CF218F5A47AAB87053E3030AF077B89300AABE00AB4E00A59967BA1000AA9100A8540054E904A9D63769280354FC3216DA750C0D81B';
wwv_flow_imp.g_varchar2_table(695) := 'CD9021A2630C74374C874006879066BC500BBC200618B001DB07027EE60245500440407844E002E5D778C1030770700777206395A70696A70688507405E10FF660843A960F3C7618FD107AFAFFB5198D61649DD1206C0065B087055740305B60053E2005';
wwv_flow_imp.g_varchar2_table(696) := '6BD008A0F00AAF700BB6600BB9208BA0807B8CB0758D682B87A00A2C480664B00738980696B00BDEF00EDE700A9AE04AADF0509BE01B969006124622D2E70B1D496727A2440324011E00023600022E206840E0023B3002DF57056FE00786E0078C8607CA';
wwv_flow_imp.g_varchar2_table(697) := '934D36A53CF0676998C679D8C369FA0727DF4354E3F33E0CC0016F725471F2025530065EF00454D0034B70045885085AB56D54C00019E07715086CBF16402520049F200CB9B05713746C22E856B6400B2538410AB428B6500B1962094EC00034B0072BF0';
wwv_flow_imp.g_varchar2_table(698) := '017A206692400882400795599964E00499C9040224404DA042EED50F39363298FF751FFDF05AC6510CB8806FB8700BD3D0082EC05227C6525C300ACF4009A1800D27C113D8C09BB7651336C70DC0F90D16C77317679CA73544C92070B2900CD3F00B75F5';
wwv_flow_imp.g_varchar2_table(699) := '7053E187DC505CBE0509C27388D9999D3EF21D39B4733C0117B62007AFB00C177717EE51188AA4899C6874A4D0059591328380098A309F39F349A838302E75053EF0044AA0068C000AAEF00A55F60AB460A0B7872D6194095CF7097D60231D9960055507';
wwv_flow_imp.g_varchar2_table(700) := '84D00ADAF00EE4C06692803430B151BC44071AD51BD2E70DCE500764B061A7B1099F100214C00120207827657840600383B7032EA0048E163C49898E753363ECC808EFA879C6D237E37432F8080A59400230D364F4441981FFC00660007B03630543A004';
wwv_flow_imp.g_varchar2_table(701) := '47200547300447A0045FB006315709AA950AA0B07B94E0076E700778E00788E0078EA006AA400EE8B0094CA09969A0071BE20C6FAA0984C00BE8400EB4916629B20974D022BB10931DA50A1D69A27BF0840F100212D0678307045A28A320F00220600240';
wwv_flow_imp.g_varchar2_table(702) := '7005CCD45C78E00670608828E71D7F700B94363D97567F42770F9B967FFB879543A5956A820022E06950F5000620038830063F303F54D0847D500885000987020925408117788175A9561920061E51127BB997B14009C11AAC99000C7AA5571D4898B5B0';
wwv_flow_imp.g_varchar2_table(703) := '09B5C01B7B300318000534E00492101BAC800AAC200982A0AE944907983903111001181001E9A66EC4D20FA8FF8A84EF7632FC406FB5500CC72037D1A49A68209B57B0A556C071A090099D505C6228723C615860D40861C408CC250771A01472B0061BCB';
wwv_flow_imp.g_varchar2_table(704) := 'B1F2B206E78105E7D1B15260433D515CC5555EC4E59B996008A07088DBB11D87D89D33EB1D9EC0733D010D8D5073BDC00DE6909EEC1132EC367425B3178801064BC664F4E44979000651D67A53AA043EA00452A0044FC005781046B64846620A0A60C4A9';
wwv_flow_imp.g_varchar2_table(705) := 'E7A7A68560077DF0A6CE90069A490775801AC9F10E17D50A5D236DB29422AD50501A3A351D65B6679B06D0180B4CF0008EAA02909A8545300236A002207003B0890647E9077CF0067C100927777229173D7B018FF0C1797DA3AFFC901F6C2090B1076560';
wwv_flow_imp.g_varchar2_table(706) := 'FFC006AB90087280054100021360012AC0BA2A3004AD3B044FF0056880B595505D8880087850066339066AE0BB6A200587000D173A0533E004D5A60728D20C14CAB6168534BF317D6A5B4B85AA0A8BB00714520B62F000D76802814B785A1894960A023B';
wwv_flow_imp.g_varchar2_table(707) := '39046810078C603F7D5009AB800BA4E0BEEDFB0AD2E00FF150181221953BC62526D36958C9BFE373000810011BF069EC130106200252F058BCEA8084923FB3E2961668AC18580227700225C0039DD0114F01577C690BA9A028D57A6C0D84AD0AA444A860';
wwv_flow_imp.g_varchar2_table(708) := 'C269371A33D004B1B10BE72A2E82C00A96E9041800C0F04AAF2B348F810143EDB50FB9208DA9600BEC1B4DB7F00B063B045CA09F4AF06F99FF70079980B2D479B211C70DA1700471D008477BB46AA1C56971165497165D400255A71659C0067070055211';
wwv_flow_imp.g_varchar2_table(709) := '8740A19BED725BBDD5098318B330CB1D31AB9DCE241E95505A40F1138DB80CC3799E7B21119918189B5832F7180C8970BA9FBB7A6C9008A460BA4130041DD001ADFB0384A7023FB0855C800666C0656084087C50065EE005BFEB0622440524890EDEBA02';
wwv_flow_imp.g_varchar2_table(710) := 'C197069BA03AB88135CDA01CDE8034ADD061CE400874401CCB7861BEB00976900654500B7DF0012C3ABE868B524330A93C090327A5058CCB07776008ABC0BEA440CDD48C0B37A63742DB7944BA17F6E00980A0B1026906219B14DE210768200516200112';
wwv_flow_imp.g_varchar2_table(711) := '3001EF0CCFF13C012930045FFFB09495B7BBA22CCA5CD0BBBE3B059B500CAAB08350A083676009B9840AA2C135E8E0356CD6A11DA50D87500722A94BCD500CC550287DE00547A001DBEBA87E66C9DEE867E2EBBA5A100788F0067DB009A3100CCBA00C2E';
wwv_flow_imp.g_varchar2_table(712) := '6D24A4B00DF3FB31A66A7FF5280FEE5095AC9A95AF6A2719400103982675C20212430562E0060FB80890D041B042AC1850AC118CAC19A006C7902AC5766C592D98214C4150710C9DB0218BB009D1E1046920A74C7006ACC044E2C20AEA7A99DFCA00F18A';
wwv_flow_imp.g_varchar2_table(713) := '014FA06EA0C94296958440DBC34FE80AB6701D7F6D8527B6A552F052C2C3B27C200C36970DD0C09B8D9D9B9EC0058D1006896016669105588CA45CDC055CDCC54DAB16A2FFFB058010723D94B23F714636F1C6956088D919B389A09D84E8DAC4D00DA4DD';
wwv_flow_imp.g_varchar2_table(714) := '458CD04396989EF028C843FB8EEEB50A7F2007E52CDCE60C08E80C07566001130001F1CC01EFBCDCEF9C0245F005E57853BBCB05FAAC06FD6C07546009C5E00C3D533653B0B7ADB10B92C90B5D431327997CCC6809BA0C237AA70DC7A00A8E70085E9006';
wwv_flow_imp.g_varchar2_table(715) := '28F00110E0A8D98878FD6D0323D002E3FB7D56F00680C00749D9094102D342120CD22011F600B407014E43DA1E54E20A95B01D8D90092BA7888D2007CB6506EBACDF1040E2255EE20F40E229C0855F3096A20C4771E40552102822B404692006DF860304';
wwv_flow_imp.g_varchar2_table(716) := '5D216766A296E00C7C8A6175FBDEB025D1468334B5A00D8EFFB0086A200400BCBD1E6002D968C987DB023C39BE2D30045A000870E0068BB0082CBD0CBAB00D626E24D4C0B9EA66D39CA7AA5E62959E66545A99263FAD54A5760076F20281320649AD5888';
wwv_flow_imp.g_varchar2_table(717) := 'D0411E2106BA766EC68A01C85AC11920049D750C9752410C94D51B7CAD5DAD40C3A082A7400862D0042FA8079AA0074E40089A70AE2E9112E1E2D674E004DF3A55664505756D10957584A4098FF7900B4FD890B37E0BB2000A842D052DE55252D01DBAD7';
wwv_flow_imp.g_varchar2_table(718) := '0988100BFBD29BD7800DD7000DCF00085C200789C0EC53267A893065D12EBAD29E5D677114A57B05A380B27D0814D0600BCFF00B79287256940A7EA0DAABCD1DD9A1EEA3E0DAB07D88B830DB3DF70C0DFF290E3D779E96B6DBEC657445E4095D87918DC8';
wwv_flow_imp.g_varchar2_table(719) := '0813CB5C70C00516C001268EF0263E015C5806D71DE32F1E30336E076390064A50058760050726DEC271087490069AB00B6FEA0DD620082CC22153430EAD400712761C01DD077680040CA0018DBA01C7BC8D4400E07F16E0013E045600087F70077CC0E7';
wwv_flow_imp.g_varchar2_table(720) := 'C1A00CD420E6DB000B440FE13F0B1FF8C03780618F96660B776CBB02CF088C568E7840B01630E21290F00A6F0352E0246EF0051BBD80472031301E286BDF043C2076067D08C0B70796700AC6600CAE2108266A7D1C45137B40061AB5ADBCF0804FC001F0';
wwv_flow_imp.g_varchar2_table(721) := 'CAA2515EE55A78B888EF7D2900024A5C097E7007633D0AA4200D44B20D300D0E678E5EF7FFCB486BBE3D6DCEBFA516E7061080428D26B1CA8E495D287C1E0BAF1F0A2700D5816E5627A430123CC1557D29568D298D6EAD1F882A84992A50D10953700867';
wwv_flow_imp.g_varchar2_table(722) := 'C000507022BBE00BA8A009CD6FAEE1E2C29329C3506D6E344003745DAFA1D942F89A84E809EBB5100BAF20A0B3FE0B6BA00284FD3B5FA0C9A0000899000A1D11AC9450085E7007C27045E8525C78C0A54801106BB0081488C520962D5B826809A2906110';
wwv_flow_imp.g_varchar2_table(723) := '2B41046A49860D1BB76FE1B809B3F50B9A2C64B4A671E3060D5A496EB9FC648A54A952244F2E65CEAC94A8D228978D1AE1EA96CDE7B45FD3BAF52CE7AFDFD17EFEE0C9E3772F5F3EA7F0E8F9E367B42AB34AA072EA04D415CE573868FFA458983001C259';
wwv_flow_imp.g_varchar2_table(724) := 'B469D1B69052068D9B3263AA247942E5C9DD2762BC8CD953A6CA94254C74A43964890C993A92361933C68B97A6C39250B572A6CD1BB94D882D6DF2556B531F2F3A3244D820C10488162E8CB800020206881BA8510F8153C9909B427D3A9152266DDB6F65';
wwv_flow_imp.g_varchar2_table(725) := 'CBB6E1B36734693D774D9F2E7FCAAF5D3DA447FD7902D4A8EB753F80C0BE3123B685040914D02680409E3C5A1052DE34A214C98F582E5CCA784922C4BE9025F8F1EB6032650F1327C820C492561EE3051D722421838ECD7871C61B6FB42183893D5AA965';
wwv_flow_imp.g_varchar2_table(726) := '113BC6A08282071EA0C083D36050A1082024F0A082D352044189466C1BA38F43765226181A83F16D1D7BECD9C79F1DE5FF8107AAE5F8F1D1B87EEAF1C78D000C202080250970F249030E4000810C0C60F2C9271F28410D37BA5CC411483E49A598548E51';
wwv_flow_imp.g_varchar2_table(727) := 'E3000C324833CD0C3288228A13322861CE12840845985C3802061861FA1CC64F408519864F42F7B4C550607299E20C28308082904550D905154B509144125632D594154204A1830E279CC08081347128818A7D52DDB14877FA612E1F77EE898E475A4089';
wwv_flow_imp.g_varchar2_table(728) := 'C59551467965D75BA450410A2BAE90E20A2BCC000590485249251760A0C12696275EF0E24F5B9EE1261B6418C1C38F1F2C68C102B2C0B5200570BB55E15C152CB0215D2B3C49E495649EB188A46784F9C5A35F6C71C59591503A2917392A91A391480A2E';
wwv_flow_imp.g_varchar2_table(729) := '98269972FF1DC55D976EE9C9A76CA8E946E26CC0F18748A5985A2EAAA990D2C79F5BFEB00EBBEBD6C0C3E42DB8F8C12CB3D2326F3C0FA4408311F60C79630C2EC688EB091E7A46E2062676588287256A48630C0029D404155E4E69851C724E894CD2CA20';
wwv_flow_imp.g_varchar2_table(730) := 'ACC3893D3651E533359E6021820736F0C00310765001082240F0C034D75CF30008405EB2C38D3E105945991969F46D9CA3AA4ACA9E565F0DF239A38CF3071034DE38F96438E480433BEDE030E38B222480C0F2F2CE4A4082F3CAABC08A3F40D9359546FC';
wwv_flow_imp.g_varchar2_table(731) := '80831146DE5002850D36D080820C28D8000721985862061C9860A28EA52511C41974D0D146122704D9A4C05AB4D1E690DDED38648C31EC308202F23EFF74AD052086B0610213C1F3E0EC1D94F823923EC4D8438C37460906A746781B279EE276BCD8C77C';
wwv_flow_imp.g_varchar2_table(732) := 'F0097248E38C7C23C926AFC4D2000320006C500A20000990010EA8010F77F8529852118B58E4221427C0009BDAD4A6268841081988D3094A70023B08E318B618E19EF6F42741056A50C230610B8171A8432162091840D3A39606193D7C8A0E8210042138';
wwv_flow_imp.g_varchar2_table(733) := 'C5431D86EA000CC8000D68702A55150E39FD70CA53F0E10E7C14EE62FBC8452AF6050A85ADE215455002B088650525C40114716084AD98D5893148E1095CB803324CF28C6798C48DC3A004252A61C74A84222BA070052812418B57B8E215BA7A85165781';
wwv_flow_imp.g_varchar2_table(734) := '8B7BE1821916790632EC850C5940E315FFB2D89730A6719293A42460038B84210CD61297D8C42638C9954C56918D6E4C231BE2A0462B7B62B18B156E29FCD8583EA44295BEF9C3155F30C31B4CB686AFC8C174BFC4C317869002B540E0012E3B8B049400';
wwv_flow_imp.g_varchar2_table(735) := '074F04321595309D1F18010729BCA07521D800373580031EF4600A38A881EEEA40204D08C218E440873750B1A0439C8217C6A8CC269C3085431C420C76E89A0710F0000E8CAD05D803820BD6061EB1A960073720021CDC733E311C6214A420C5281A310A';
wwv_flow_imp.g_varchar2_table(736) := '6580631DFC488A12E1E12AC1E5C339D099151CB8B00534A47471C004CB57BEA084968D87739ACB9C33E3E08A5BEC0A1434CB8427FCE0050E7428760F88400432C08212688006BA63FF02193401194D288F1C96211E213671BC565C3577BA13431FDC9084';
wwv_flow_imp.g_varchar2_table(737) := '0D9027A0265001F65CD082B5910D0444B08215CEB04F1889A10E697883277032308C9A631DFE98078FE6F723FB35077F47319227F8C724FF3DE900011CCD95161BC0031040041970031FF800A64E8C0982C7B0C3013EA0A63561300A25E0A0074BD0843B';
wwv_flow_imp.g_varchar2_table(738) := 'E502868662616B81F1A742B9D05030B4852D84F1092ACC80013368C253ED10AA502DE853AC00E2A7807B80089CC088194055AAA4B3C457C56A56FBA0052D4281C544A46214AB70850586F585B65E810B01B3A62724E88512C8A00A7740841FFCC04868B8';
wwv_flow_imp.g_varchar2_table(739) := '9119F612C62B6C1148D16111277DC4894BB4A2959BE042C0BF2086B5FFA0D12757C8A2BE09AEAE304E62E09474A5117FA030853D99139758B494A348444C4E998D694CA395ACA44636CC511CA4648C964FB9073F6EC9D17E54A51252F8C217526A06C6C9';
wwv_flow_imp.g_varchar2_table(740) := '010F8ED3B119C6229EB32CF365E6214F11EAFA8A9C8222128CA8442618C1051380AD4344FDA70838108215300109B61B501D08D10CCB40E814C5DB0C2A54D10A473061A94268821DF020050E2400A013F0400BCE06841670400262030110AAC0052F9CC1';
wwv_flow_imp.g_varchar2_table(741) := '0E9BB0C31ECE7086315CD4A27250DF38363A2BC081547023255252B0F9052E7C2108995E291E703CB9234C80039A9BA97938375317A0A112487EC5B118E1099F5AC10400D53307389480081020023AE081EEF470FF8834D0E110A830863676A13C4138A1';
wwv_flow_imp.g_varchar2_table(742) := '0E7BD8C3213641051AD460053A38031AFAA0840C90C744AFB1411188B03608A8A00A57B8424ACBBC094B58C20E69B8434B1A11878B2A43AFFE88875FFD41BFC08A74B04CF4072D08A024C42696008B45000510E0242501F0E011304106F080084440A213';
wwv_flow_imp.g_varchar2_table(743) := '107CA0046910DA0B66FC82733A011EA0C12C90B3D6857D32210B5D48DB43A93617B9E8841866C0844393C109BB9D41A874585C3AC87C06159C130D32F004553D3739CCB9473B64352B4A64A2128DF0841F5DB18A4678800BC19AFA17A4E01238F8211594';
wwv_flow_imp.g_varchar2_table(744) := 'E8010FEE100A5BD02213A1682F36A0D1485A206318C8F0C317CA50E32BD498C671B7FA166A0CDEB8FF0F0110B258C5BD8601C77AD557168377853064418B4872C3EC253906241061883FF421F27D88C3F86EB25D4F5C34110BEBEF2A1EF60B12B3B26217';
wwv_flow_imp.g_varchar2_table(745) := 'F39B8A6BF9E2A3DC633A4AE002DDEF8E07342CEE64569F4006C6A3CC21672E055F88847DFBD808465062A75F40A65A1E90800410000137B8C196CF70082824E614C73EB6370E71183D347B116730A2079BA040384700021FAA33F6540082B3AC88586578';
wwv_flow_imp.g_varchar2_table(746) := 'C31D8E77D543147A0C86583ABC3DA10C47E36356D00DE948A363E961A1311AB3BABB2BC097B280CBC99CDC33B5DD0304417A854A600440B0233890353DF3000EB035654200009AB62558827182823DD0845330864B91275EB89A25E82A2A6082FF1AA081';
wwv_flow_imp.g_varchar2_table(747) := '1040012AE8033EA802EAA18080420D1B28280F208F678A0334D0026B53055F383374DB03342898090384519086798B9FBF0212C1820722513D64A0002709B8264138E47A807F3320820B800CD8800CE0034890B8508885348C053321A2D00AAD9DAB3928';
wwv_flow_imp.g_varchar2_table(748) := '70820C6882954B143C79A1912BB9D78AAD163A9417AA2D5A80A095AB8525708226708219D8B90A9A8105292E990B959D9393397193A023AC76500E1633BAFFF3072EC00350D0092C020559800315E08261898F21D80257D00E3F88041DE80148A0054004';
wwv_flow_imp.g_varchar2_table(749) := '054F4805290805B3732466B8855F4083A99B3A29404560910229D00201042FABD3020B00045CE8BB5F18064C3AB05B10066ED817FF5B088545C8856FC0A492800648A81BC9EB036B7B8348188538E88287D8BC5CE9309C78856AF8866CB0852F780510A3';
wwv_flow_imp.g_varchar2_table(750) := '866F008755918E593ABDA980B17C583D620C021AE382203040B9230B661A32E44B000FB0023F00855B18859DAA0E4A00042E480151DB48F1684803D0801AD8012430021C5882732AC153A8105E680542080C2FB08333580223222D21A82C2E1001048000';
wwv_flow_imp.g_varchar2_table(751) := '0E98001368811DB4010F380B2040833F78832F18833750855A6885AC52373B181FAEB83F47D387FD4B8E267A157E70072329A9618C8F4D43C8021C8B985AC0F2D0B62430834A7085A5331DED288321181B0FA0B3B5B9352561800758811088805EA3024D';
wwv_flow_imp.g_varchar2_table(752) := 'D80441388C73B210FF557003A2D1011D40AA0D58012428833BA882B0A200134901823281CC51823730840AB482435884ACEA034BC8A731B0BC0C33311CC99158C2B7FBA142E3084866E080270900C4FA372C69ACC802A0280120B011013FA8A3352C8608';
wwv_flow_imp.g_varchar2_table(753) := '0A858B0B2DA39A8113884347848219288145C0133DD14340942DE8FCC3404C94B01BC4CD82841930222728CE38142EE33A0C459C01A3A2939F4B22C20A1CE6902EE9488A96A099504A30292802AB03961A338351008438C083D54184EABA0541A40448B8';
wwv_flow_imp.g_varchar2_table(754) := '032FB085F9F2C561F8056CD2024C13AFB863504CFB02063D4654744668140666E08638722364F8055A708550D8835AF01794100655E8833EB8833248D1314003FF2BC8011FF08106088206B02B8529A58B520574F8052FB04788298AAA90258D613117EB';
wwv_flow_imp.g_varchar2_table(755) := '98A308484F50024C8B8F01CCB4025C03ABEB16665240E4CB9C224083467005D2F983C7090B29804BB96C19E4731206400114788017E001C2380549608234208C56F0054858842440021CA01DA4CA002118833BB8C99C1C2B9F0482149080E31B4A43788F';
wwv_flow_imp.g_varchar2_table(756) := '2A2803ADB92A1829833D30839680B5BC5A07AA349C480B2991221CA4A80A9302CB2FB03B277552B95301EE29CB862CD5F2908016E00238003EEDF0B49742ABB8844B3DA31E0E549281338033E5813D5085299801FFB82A55288651B00113780163BD531D';
wwv_flow_imp.g_varchar2_table(757) := 'F0823238020DF090B1914C3CB31CE40381726351FF25A882BDD803B9301F2BA882F181D46970347A9BA27B03ACE5E8877D0B486470CD2CDCC22711A00750925A5DAC7F8B000142003C0885B1EB047EFD84501003525113A3C2801980023D10150CD03928';
wwv_flow_imp.g_varchar2_table(758) := '68825868CEE97C4EE81C14E844B9EAB44E088A8545D8391A70828D0D10EF8C4449C480F194930C908224320AFE732228C2189061049169913F928561B4020815403938963780B22A48055AB885874D8550308223F08248A0855FF0C53750014CB3826044';
wwv_flow_imp.g_varchar2_table(759) := 'C50545452D60D2BC5B835F78857B71B038320992D8DA4F584E93800674D05A68E8843B285B14B58332E8832A88D106680012E802F549066250066618DB2000032F588470F8845B283154F2D1FF8B498AA590348E2112231D404E05D5BB8B4F0454405235';
wwv_flow_imp.g_varchar2_table(760) := 'D514500F6401043F7803A3940240954BB894D604B0928013811DE88F14FC0024D8833ED09A5000062410015EE38117B0B212A8823100AA820B28C9B401B42ACB874CA92FA8822AB002E8D9032BD056E135C7988854AA4CB17AF8284BF5BF4CF5873F40C8';
wwv_flow_imp.g_varchar2_table(761) := 'EE30992F28A6C591BB214897512DCBCC692609904F1B43831AE30225688DB1F9520CA44B0352381330822A480309080126A8826633046CB805253001198081639D9323E099084800F21BA8D7D88020830013700125B0822128822448022240021D408224';
wwv_flow_imp.g_varchar2_table(762) := 'F80BF1F1A451A8067038077F80C27295427DA342A45057765D92D854BE08801DFF0AC04D7BB55785632C37C8044870041A0E134408810A12D91C76823490B903E0614574023EC013887D4E88DD936A9C5844A9AD5CA8AE8B8D05A03D8642F8000CE0D805';
wwv_flow_imp.g_varchar2_table(763) := '21849CCB39E012220628AA36D920934D95FCC944A2E3C4594985C749CB4478BAEE0A40611196808103F032013FA82D9F4DE2D74A8531D881247005A3F545380002AB23166114AF61111682CC34F10A2359B0DA5F10066440096BB1167A7123B1FD466EC8';
wwv_flow_imp.g_varchar2_table(764) := '4650D8E45188A0633804B725812018E554808668300972A8854F00033050032A40875C00056AB81613EB60C3E94716B3A57F3C8A8F9931BBBB3B94A2DEC5D9023CB03B63EC96A0D49CDC838009F8019A758BB7A31C643601FF3AA333B551668043380900';
wwv_flow_imp.g_varchar2_table(765) := 'C12AA8010D808129E00B4B18066C80B23395811760015BFB812A3082297BD616480113486665920022500225480207360220104924988207B64C4FF2049E9054BF398EA1EBBFE7888EAA68BB14ADDE1A135F62AADE899E4F251802205081D7E841090081';
wwv_flow_imp.g_varchar2_table(766) := '9E643D293802257802253802202056513311B80CCAE3E340289133B1791D0F488260298358C80662B8020F88011948016315011138530EF8A70F3181D798E7834A2BB2C11E6F230222D80118D0013E9E8B2A489C48B88564B0187BA88A1EF991AB141211';
wwv_flow_imp.g_varchar2_table(767) := '2E527F60861D78CD2D0C200488ACA212200AA0007B65000A780123F84447883848A0844F08C72688008C8B00FF06006282BD1A1A80824588205B50ADDA52E2E894CEDA62628B7D6208FA841360800F90432798C32D0ECF0340AE8D13023588874BAC874C';
wwv_flow_imp.g_varchar2_table(768) := 'BCCAA23BBA182B8E4A78034658E35D91854670E354BCBA4A70527CE6599F05866A141446D0533818035BB88561F045162DC0D69BBBBB63D2EF1A02BDFB05681C066680A307E3865FD8DAAFFDDA8BA80669580665183C1A198658D0863DF0812010EF2170';
wwv_flow_imp.g_varchar2_table(769) := '814D70866320876448065E50053C50033F38826288864A901871980673B0657E0C5220413D57F1075090998886E82FA05E62A25EB993828B2682B20237661681143882613C02910EE91FB08114586910191BCE413E034800FF714814D0800DA00023809E';
wwv_flow_imp.g_varchar2_table(770) := 'FF31C8846C608637488114B0811B90E70C8C811E28530FB1DD78E670C824BF3A0302B4210223D8011D30011D98827C1EB73EB86A6508077D803184E6877C638EAC24A95CF283158DE694528394522962CA3A46309D3710DFF8A88222D8810FF1F123780B';
wwv_flow_imp.g_varchar2_table(771) := '2948012170711BB8F040DDC967BDE6B294CD7F93B33D0B0F0A288232088B54A88664780318B08118E0DFD7E50014108104206A10818116388DB1290D14E81E13008222B8F40A4E022080811D580D9A46034388A66CE860AEFEE0AF1E9211F6876720822C';
wwv_flow_imp.g_varchar2_table(772) := '3C612CF9A7079812A3A20021680B37D8163F384348E003B9D081A4CAE10A12589D9B013A488397EB84635839C46E6CC55EEC406CEC267EECFF8B5D164760006B27D845ACB9205EC4CDEEE236E1803AA97555D987F39434A850CF14CB843FF08407948564';
wwv_flow_imp.g_varchar2_table(773) := '4003151016057D292D0005C74103CBD40A5A20946AA4851EE08027000537B0850D15EE6169AB6034E4245D5029B0BB21E0824638DA5FC085B58B23C02B8967B8A46F7496B37B8660908552E88552187959F086E4D9031528EF1C18021F18B463F00665A8';
wwv_flow_imp.g_varchar2_table(774) := '0655A60435008321C051B404456A280A14135CFE1629FF563D50900FF12D7AEB25668AC6839359034700A6304F525444260E00020AE7023428031B90811FD8FAAD97011308A81C4C0110E05C0248BE2771C859A5801DE8F3F548866900041558979E7E81';
wwv_flow_imp.g_varchar2_table(775) := '0C3401119832F2EBC98D5E9BFF1C1C1B13D841227860DF3582A836822498826059F70C6E72E54DE8495BE8E7F503F948D1B7135FD8F334CC671C9AA104300FF3B723731348017C5655C97771AE27111390805A9B001BB001F4433E0430FB3B979D3D1B3F';
wwv_flow_imp.g_varchar2_table(776) := '3E0F8B4A10077000857E8E8118F8E9D6D980000A9BB171F410996795361110289B4A57822B1803305A8D1AE0F42448C24A48860E8642D49C42C355F51F68D7C4B24D2DE10016986B3750039D81EF88F3033EF00223F0F51260818B1BD81C2E5832A8B91E';
wwv_flow_imp.g_varchar2_table(777) := 'CE4E554876656F6C80B0054C20B082030D224C38D016435BB968418C15CB55AC54B142E542C4E0C001061E3180C4306306868D0C226428C1218590966AE4ED8BE9AF5F3DFF77FDF2E1C4E90EDFCC7EFDFCF9F3D4C8D5AB55B764FD322347CA172557AE48';
wwv_flow_imp.g_varchar2_table(778) := 'D9020A90993F5CD0A40265EB56435BA164BC3092894F2A62C36EFDFA72850B97A65C940C891B570597217041C919D20894D15FBF86217BC60D1AB767CFA021E6860CF1626C864B41860539182E6FCE9CD5F13124470E0B43BC5469A50D1ABA5088128101';
wwv_flow_imp.g_varchar2_table(779) := '13A413B021122CB8CA66CE9F3DA03FE1C9E397331F3F78F4FCF1F379CF1F282968BEA8F9721CCF163C5FD6E0812EDD911C4A8DE0C079739C8B15251E522851C2E58D1F34376EFC004284C88F1F1E3848E0F0DD460B0909EE1B3040603F8104EF2900B843';
wwv_flow_imp.g_varchar2_table(780) := '19D801420D38B728A1820A37A4C002071C50F04004093C40FF817C26B490820926BC2781071C7AE0410B2D6C98841563585145123BC0A003124A8C618827C4E8139C4FB4D9B4DB6EFCB4538F4F3EF1E38F1F5C9451241A65B881869278A081871978E001';
wwv_flow_imp.g_varchar2_table(781) := '47949578024819477E3106175224F143115648F106238C9471C4114A3C214577368438C17C40FC000104F72190407F062420C106F0017844197EE0D18838E5E092840D37C4F0C20B226C40C1840C54F8A10920C0D002081CA2E0A1071E72F880043F5461';
wwv_flow_imp.g_varchar2_table(782) := 'C5895A8066C40E3B1861051AAFF833CF3EFEBC2A0F3CF9DC93133FB2F674933FCF1041807EFCF99A1F02113CF0204B463CE1072594448208225EB0F0430929B150EDB41F64804106199C00851E34CC40FFC6193330F1C931B9E4E290BAB920248C42EF26';
wwv_flow_imp.g_varchar2_table(783) := '2450430FD12291BD15E5E2C7061978D42F032561C051470C94C0524B421C21C44B3205574F3BFCD48AD33D3BE5FA932BA0BC72942DB2B802872B437CF1055352C4310A1C7154F28714A0B8B29540C20CC3080F42DC40891F9E0CF30B5A6A71B196125FBC';
wwv_flow_imp.g_varchar2_table(784) := '25851252B065061A6BC081F4C9952423CB518019E65861D3407398D5D03836CD34A5B4514A2F5F43938B36CD14B3470E728537C5147BF0E20D39A4ACB1401858608108302A7C714B32C9CC66E36DB9E9E81B70C21147A492CA21EE9C73D23957DD54DA1D';
wwv_flow_imp.g_varchar2_table(785) := '07B414520061C3E4653062C81B4524119E142AFE60027C1FDA50B90473DE775F7FFD7960FF210510FCF0051C7FFC218E38CA70D1820A3D68280284133E506C8826A40042F1308498FCA621066F44155E783146192956810408535871452635FEE84F4DFC';
wwv_flow_imp.g_varchar2_table(786) := 'E0A3234E3CD6936B907054C196FAEBB34FB414705092C91B682A9144124F247184974948E107234322EC4C9353029B24F03A0964C803760A00031BC8C0FD30B04E3FE00276E0708B6C80820821E2C00620F0000410A0810440809CF4A4A70D48E0011088';
wwv_flow_imp.g_varchar2_table(787) := '5002F0344202C0CE7E9C1B031ADE50862BA8A8081E88843FE21124A0C82A1FE11B1FAE7E940F7F2063070E5C22030D30AC08102B020840C10F8EF03C24B9C10D63D8E213C620048F702460335802199C3012331E400CC708452A7211FF0B7AD98216E9A2';
wwv_flow_imp.g_varchar2_table(788) := '4543E818C7AE74C58E10D9231F63512F57A42215A108452CEE9001033CF081FC39800823C0011118AC255C88494C7EE2B07E448C56EEB8C78FFA013E5B8CE21619430B25542005904DCE2E8000051C865209353122132CF38314DCC0050B1D21136EC844';
wwv_flow_imp.g_varchar2_table(789) := 'CEFCE24B5CDC0217C0348A5180290B611C5367BEFCE53000830C6430C33086A95AD59EE198ACC9621A5F13872CBCA10D6D18231690B000394160011520010969D8432DBC810B5024A2176B58C318A0310C5024631A7CB3CD8D70A31B5B092E4898F44725';
wwv_flow_imp.g_varchar2_table(790) := '8EC0BEB630456422DB92C8F0501D40088D7EE1A95F11C2F3864890890866B25F1594B083D6A990029282000813C0C4FEFFA48E001EA0A01FDEB00A66BC420A6EF240F03E884811D62978AEE3809C3C983A04947407F6AB9F15FAF08637A028075300011A';
wwv_flow_imp.g_varchar2_table(791) := 'B877A37AC0A31F43D411F93A19A46760870F15DCAA94B213A5EC64E215B488041AEEF0063C9CF5AC6E382A1C3C418B4C3029AE2DB521D0B873152559610845D82B10FAEAD7F0E4EF095F6004254051D8574402A940AB42158E6004231C81089C9BA815B8';
wwv_flow_imp.g_varchar2_table(792) := '23AA507574453080810D6C90843FFDEF0E657883216499894844C2107F08076D7EE88F2066F256F0309F3FD26188F69CAA3D3D88017A7A0059221841A36632C20F5E2003C85E110F7EF043276C51062150410D90100312C680073B44010A7B7842149650';
wwv_flow_imp.g_varchar2_table(793) := '08680843FF188841CCD5AA860D6C5CE319D140EF35D2EB9868A8971BD180063417C30CFA3E7331CF1C067881310C4A54E109CEC39F116EB00303EFE007C12D8217B8A006073B470DC880D53E9E6A934C4E8C939DF447397E318D6C7C581CAE00041C9EB3';
wwv_flow_imp.g_varchar2_table(794) := '063400E20DAF78852756A1B357A03813A98884FB1A3C063F002313B7B8C68741ACB51F276399CBECE5DEF6F6E36C20191B48CEC637BAC1E46E7C231B50667236C2C1647150E31BD41007D5D0418E5A08E3184C1943C864678848A8A213B940473672F10D';
wwv_flow_imp.g_varchar2_table(795) := '57348212C010C705C1218E78F0F36FFFCC494081E48F70000A4A50921274A203A542E36195B4688492B49324ED1CF5A83206851F8C8486B5DA504B5EFFB04219BC00073F84C72E57B04299D9D2D1CF25E10B7E88442A2A51095754020E5BF2029A02CC9E';
wwv_flow_imp.g_varchar2_table(796) := '2404380944A8829AB8C3D88E5234099C03421128985A38D4F00F9EA8046A51FB876A78B27BDF13DFF87AD4C91B0125DBDA064A6DB6EDED6F833BDCE21E37B9C58DED6BA31BDBDB4EB7B6ED519B1FC2D65645DC70B9D72D6E4AEE6338B629F7AB06A7EE6C';
wwv_flow_imp.g_varchar2_table(797) := 'FF04E0370A78B8095EEF837BBB3694FC514D3099930C5FDBDBFB7077B7B75D71845BBC36EEC673C529EEF18FBB9BDBE15678BFDB1D8F939F9C92B0FAB7C0FBA18F7AE8431FFDB0079ECDDD4FC0ED4670F46E37CD69138F8D6FFCE417C738B90D2EF0830F';
wwv_flow_imp.g_varchar2_table(798) := '9DE8E04677CC5D1EF3A7CBBC6238BA09FFB5AB7A6D7E603DEB5AD7BA3DB20E2420651DDF13A7CDD8C56E8F997B92366A0FB9C6DB1D6DA36B9BE03FE2478563D2F480A71BDD446F3BBC673555D9560CEC5B173BE10B2FF67E181EDF36A27B4C6072F8C223';
wwv_flow_imp.g_varchar2_table(799) := '1EDF4CFFD1AB128FEF7B5C1EF3F7D0FCD3F1810F77CFC31E9BDF3C3D309FEF855BB21D5497583B343CF09DB39DE26AE7386DBADD754F6A5DF233EFA1EC636F7B91AB7DED21F7DBB52B4FE192675BE521EF494C82141CB1CBBCE45EF733DE6FBE7A9CE89C';
wwv_flow_imp.g_varchar2_table(800) := '9FEDB678C2293E0FB4775BA0791F3F706805BEAEBB7BE6675FBFF8E39EFEDA5855E531B987E321E6797C10FFEDFB66F9B77FB261A85E9FD6F5C326295D01F25F9EA15B90FC5EF0D5FF1BFF21DECA8D1FE54120DC299DAC804FD6BDD66C8D5BDAB51CBA19';
wwv_flow_imp.g_varchar2_table(801) := '5FBA199FE1159F08425EDD215E04A2A05561DDB5C95C0BBADCD561E0B6B91650DCC36CE15FD651CCF8CDE00C6EDF02221F508460C201DFDA055FDB751C6DA4E003961C05CE44AEF45B27FDA06DE41FD6D91B6EE0DE0ACAC33C34610346DCBE1560C1E5DD';
wwv_flow_imp.g_varchar2_table(802) := '0AEE1C02760F026A5B902CE1186E181382A1854955D6ED88B5E95DE095A1CD2561126EDFD2F120C6FDDB1C6A1F1FCE84DF6420ADE4443FCC5B1D96DB187EA1D4C14A2346E106DE21BBD16124EA60275D928EB49E249AE1227262D121E2263E609EE5DF1F';
wwv_flow_imp.g_varchar2_table(803) := 'DAA1E009A0FF758F3F05CE6F105F297E6227C61D229AE20A6EE1C1A5FFA017D6A21FB6A1B4A91EB5F1861C526210BE0A2512A311AA9D6BFD90303AE2327E20145698078A1D334A6333BEDD4FC41B4E18E26C25207070A3F375231D56DEF829230A569E4C';
wwv_flow_imp.g_varchar2_table(804) := '28A309561231AAE33A56A3F7E4C86EB4433EB0A3049EE334DAE33C06A34C744F0A8E23254A9D2AE61C2B2AE2BAE9222C7A223E12E33922A425BDA3F858DD3E7A12FEE1043EEC03D65124DDC5E0242EA4C8B5DD4286E03AD6A307F684205EA33C1E62C069';
wwv_flow_imp.g_varchar2_table(805) := 'DCD66DDD1546623F8A238535621946DEE12D644D26A02536A44E1C5102AEDF15C69C4ABA563D0A654CDA6404AA9C03162441DEE13FE2DCF8F4D93E0E61356EDDD2911FBB75215516A5514EA3AD4C5F24BAE3F5C5FF61F95C251F66E540DA24199665BA91';
wwv_flow_imp.g_varchar2_table(806) := 'E4ACC4D6491A6012BAA456CE615AD225D8E124C4C0A3EBBDE2D125625DFAA526BA6204069E3F00249F09E401BE253E926207FE65040607F14D61FE7D9D3BEE195501E38DAC433774C3367066676EC3666A26688203032AA0C685DECCCD4370D05C3FCCC3';
wwv_flow_imp.g_varchar2_table(807) := '69DA43E8D1E1BBD1A1B79D1B31A2A55F0E625B6A60F7C483388466687EE667FE663788833CA01BADDC043DD0C311DD033DCCDF3E286745D6433DC863DE3DE352F6C46DE2A1D2D5E6DC11DF2565523EB4034FFC486D6426680A277182E66F8A03FCFDD03C';
wwv_flow_imp.g_varchar2_table(808) := 'C82375FA0875621227E5433D2C6763565FDE69273D2EA3621626F6B1E2BEC1836F76033810E736D8FFCE3620E870D61CC0A5A627D183F369183FD4032741CCE6410C2605096F98A14CEA67590687F73C4C78DA4A8F485D3608932CE00229C8822C044331';
wwv_flow_imp.g_varchar2_table(809) := '05D38CE2C2394C9CC62D200326DDF6D15B88FA68F7946436F25390D0193019935FDCC22D508630A1C52D8843C5ECA13FFC86B63DA25EFE68888AA14F349C8E10E0864D4330ADA83011432809539926A93A0C0E3F68A13F1CD1B64DE90C56E795B2631002';
wwv_flow_imp.g_varchar2_table(810) := '6853E2843C0C6823864399966930108391F2292EBCC293C29DBE790F508C68C179A1F8C9A95FDAC8B4551D8A7A292E0899C99C8117BC02332005928EC3AB2C1F28DC823F74C31B74833F30031AB0168CB9432470010F1554252061A3CA696ECAFFDB6E4A';
wwv_flow_imp.g_varchar2_table(811) := '95A8A2852F21C32B3C4B15C40233F81233E042A9CE9DA966C29F95011764037150823F644326A8C31D480130C803FA3C833F58A9ACD26596D2442FEE460E625B3250AA30FD4230A4C21D448118BC4290F94530DC42DFA81D43D0831F4C4324C043244483';
wwv_flow_imp.g_varchar2_table(812) := '3FB8822BF44336A0C8B5C6A9B6F2A334D66965E643400DA3A80E433094EB2F24C32DFC01637982B8FE126BFD446D64431930833F104319CCC630F8813CF8832D6C89380C8315DC0117BC153CFC0136F84359B0A9C06EAB963E8C2FF2833B8865F74CC3B8';
wwv_flow_imp.g_varchar2_table(813) := '526A249C411A90411AF48130FCA95FE0C26C749B1626C11BF8832104801F346D0018823FFC400098C303A0013330020460943FE0FF83CCDE2217925F4902DE48E22A52506A2C5401D0AE932D2043C5E6CA11DD563B1000923C803C8C4100748330508038';
wwv_flow_imp.g_varchar2_table(814) := '0440248443FE18822D780FD82226D1A9E05D72A95E0205C5522A33F86C1A4081D00A032E500633BC2B37E2195B25413818003B048F3F7881C712801FE858CC6AEB88EE65607A6580F6C66FE01DAE1A6D3074C218A40113ACD32D20C38BFEC2B036A116BA';
wwv_flow_imp.g_varchar2_table(815) := '42008C813F7041005C833F284100846A475581075C43DECA0805B0430070803F24011CD084E17A275072AF6042AAF80CA08F6C18C5524632C0812AF8422BF8C221D402DAEA0C9A865CF978C1D4FE802DC0803F44820994013110010788830954C12DB8C2';
wwv_flow_imp.g_varchar2_table(816) := '036482C84AA6F6FAFF847272AF6E8CDE3D4C277D4226AD129136FAD936AC288C3A422134C32EF882264402346CAAEFFE883EE0AF17804212FC8409A48221C84015D80211786E1964831B4000E156A3AC3E303D3C700EEB307EF2F00EE7F085262ECD56E6';
wwv_flow_imp.g_varchar2_table(817) := 'C49067B80A136510C3F9D602071F4231500692A229D6E159243CC00BF8833850803A28C10D18C2A7FD4939A0012DF85BA362DD7DEA700F4F67E929671BBBF11BC3711ABB5EE005E8C1C2AEB67543AE5A2E22148231B44233580224EC2E8B8AB0DAB90205';
wwv_flow_imp.g_varchar2_table(818) := '58013354010564C33548412A2801F11A4191F883395080B39A803A10C10DC88F1F601202CFE2028BE1244AA93B186C214A6AF7382E521802FAFA022FF4C131F8FF45CE1C2D37B2A63F580125844300A041008443265C491218820984430C9441A8964311';
wwv_flow_imp.g_varchar2_table(819) := 'FC80461AAE85B2433A98433443B33940733AA84335A78335AB033BB01BD9E24AAE882AA5224530D4022470302F6882273C032EA02DB1124E26544125EC0050FC802BA0812730020754813844801F2CEB3324002260ABB61EEC354B3336537335AB43341B';
wwv_flow_imp.g_varchar2_table(820) := '74423BF442AB033C60E8777A6B4E6C12BD39AE9FA219FAEE421FD442306C6AE606079EE5B30788433A6C31113C83174080211C893C98402467AB7ED20A3CB0C3423B34354B7339A4034FF7F44FE774363B3436E786DED5319ED6A2ECF66E3284C222FCB1';
wwv_flow_imp.g_varchar2_table(821) := '2AA042260CB23011ABDA798215F0811218420F3CFFEB0324AF3EB801F22C6B3550C03D44030CA8C30F5C43FF3202B6EE1F4143D54D6BF335AB435DD7B53667B33A98B2DED143CD525BF8469CE3526A2AA8022FF8022AD4822C87F43800476DC8831F3CC0';
wwv_flow_imp.g_varchar2_table(822) := '3570010CE4EF9F944126044036104038248017D882FC54C10EC8E301832D3CE07444B34339B8433B94C34D9B833AC8C34DC3833B50B3EA499D375370DA75838BFD028C1E4327A0821FF38230BCEDB8BA739078C20344423B3C006371003D544124F40301';
wwv_flow_imp.g_varchar2_table(823) := '70C02EFB01322C9707606FC0FE288F48339EB2033BF4353BC88A78D3B6789B8378D3435DCB4A3BB4433AC003348B37B77EAF260D47198AEBB832C328A802FA22F631302CA5666E6D6CAE1B24FFF73318403A70806606001CECF21B380FB672AB7EAE3734';
wwv_flow_imp.g_varchar2_table(824) := '97433BC00335CF767AC7373BD8344FCB433A60783BB0C36B9B7639C8C36BB7036CBB03345FF486B96EF6655B1EFB922CC44227A86F2BF0022D4C7521D7462628C12DF83207D882075401230400288C4125D80202C8433604403F00B43A3C803AD882D41E';
wwv_flow_imp.g_varchar2_table(825) := '6A2C36EA3D1874449F778AAB036BC3F68AC3437C9BC3C3441C3D98B22F86EF16FE04F90A782D347133C4C231B8AF48FFC43CF801BF66C29386832B100331940328C00325A88327948127444359F50D28775289BFF612BB823C788227C8032D0C033CD882';
wwv_flow_imp.g_varchar2_table(826) := '1FD04235285B3944B3C86E186E9F6138FB058C0A432CF08231F882330C0331F4FF76EFBAF34F640223CC56396447398C6CBE468327A843A571458C90B0AC02873A80BA387CF13548FA35DC0C32C00128A8C33018023B38FB6A21BB8ED9023B7802A8A737';
wwv_flow_imp.g_varchar2_table(827) := '6F58A2EA65123EE4A0B665343015432DF84233E48230C4BACEC0AB162243A8FAC12D78823B8082AE7B0230F8C33594D5B2F20669D7256B4B7326F88195DD8121888327F0013178021EA4823A307B362002FC788238D0021C0C8339F841390C432A4C831F';
wwv_flow_imp.g_varchar2_table(828) := '403B3517752ADAE9AD4C291EE76AEF02432ABCB22F1403BBC7BA8F3B2B2D1C3A3D80423464426DDCC2AB6F6C246443A1F7833978023C78023BF843265C2BC0FFA83FB403434B7C24B083B4B70333B8023C44435B7543E69CFFB439D8C486A939581622CE';
wwv_flow_imp.g_varchar2_table(829) := '0636CF52EAB9FB8235D80232FD12BCCA1D10219CD20B6C884BF30F648295C1C00BE4031A4CADAC85031714BC3844B3EAAD25214E306DD1F8B8128330B4FC31C0BC719771B6B5290D0245E4D3A6C0C67739A80333284126A001A8858317BC4139F8411230';
wwv_flow_imp.g_varchar2_table(830) := '433A70C16647C21DA00122A04126748321780133DC403840B33AFC3BC355B4261D71C009B6309DFB2E580330546E08232DF0ED619B1A6A196329D62D7439C0C317D3C21B20BA21F8411518423624012DC0309263FA0E60831418C21844831430C3D36602';
wwv_flow_imp.g_varchar2_table(831) := '91AC964E8FFCCD55E6EB26358D1B2D32D8822FD03FE31BADCE582CA22EDDC927B5D101443F7FFEF80D34E8AFFF5F42850B193674F8D021BF74E6CAC12BF3269BB93101C281E2D2CFD38F6C7CAA6413A7CE9C3A86FEE8B9EB970F664C98FDDCD543A8D05F';
wwv_flow_imp.g_varchar2_table(832) := '325CBF7E054BF6AB982A5FBE84410B260B5752733713CEBBD7AF5EBE97F760F2AB07152A3DAAF4E8F183F8156C58B1FEE09933ABCE138C619EC648196628533F3F499EDD8291499DBA72ECFA794DE84F1EBC7C54AB061E98B060B75BBF760663666BA82F';
wwv_flow_imp.g_varchar2_table(833) := '6F3C1933EEC6B4DFBD7A05F971F54A35F355AE30E95D157B1AB5C27614D3653B820659A423CC8679A0E589C82D6456C6447295C490AB2AF2FCD922E2E787B8747BF1F94D58CFA5CC7BEE9EE2CCB93369B060B53EEDB2060C1AD29DB796DA23E8CF1EBE7E';
wwv_flow_imp.g_varchar2_table(834) := 'FF5AAF6E86FAF4DEE8D4F31FF2B3CFCE2C3C25C3E0798994E40D60B870231B2FBE88A49C2AE028A31C2EDA41A38A48FC79C39031B848020E62600005A574E4714E20783E94291F78EE41E820C578DA29195A54F9A49863904126A95F6EB94CA081F8B1A7';
wwv_flow_imp.g_varchar2_table(835) := '9F79FC69EE297FF2E167C8CC123AD1C8EAEE29E82FFA9C84281F7526628719133CB9468A312AB1050D7F52D981966B88B8C39C89D259093A22499CA926CCAEEB091750E0B06311550A7923925756C465291017B22F22C400F5B3AF270D7D28CA32C5C906';
wwv_flow_imp.g_varchar2_table(836) := '122BAA18C30A34EE40431F34E048A79A546038C91C780AFD2BB0C1605AD2308512C385189E40F9038D3E1659E4103F5CA10C9770086A0850FF53210231D743E7A3472F759851C28D3FFCB8F41A5794F0A30C7DEE20E28D24FEE0C20B4FA470251C43E068';
wwv_flow_imp.g_varchar2_table(837) := '8788709653A7B985EA6927B351F1A16EA18174C2459938D7B0A30F5436B903925582E1E99671F631C81EBFFC24D4AB5E4D25D4D7BEEECBCF8F3B6C29039424C491E70757D251708C4C4CF8E3055A949898112EAEE1C21625B221A00A71D22A67A20FD315';
wwv_flow_imp.g_varchar2_table(838) := '911FC29634114583544C269855CB58649345ECF02315CA6EB13547830A3A4CA0A253C3AC6043FD596DA26868F9010D0C93C84409763C49229D67AA64869DBDDC6CA9E53587AC69259D7EF1040E47ABF0C28B2AAAB0E20B4056B1719C5B111B28C88386B6';
wwv_flow_imp.g_varchar2_table(839) := 'E92F1D0F3BC89FEA923EB4ACFF892231841804C5C9C4153480B9C50D4FD01E2658D3700AD5657E4ABD5B4557FCB0027431A8F0828A2CE1702519622E0311A17C6296CA2FD8FB2E7A68A9063FAD9D72CCC9269572FEB0E58D4C2647060D4F0CB9C61DE189';
wwv_flow_imp.g_varchar2_table(840) := '6126936CE0C8C41657CAC9449C32E1B1CFB971CB1D155D9CFA31DB9335AEB0428C2ACAF7E289B8F524CF9F78D01BDAAB98CF23FA6FBC5F0A1AE9A4BD92279D89D4D1361CCF00853BD2118937DCA61C95700333F8E1095A80221D9508472ADE308C724482';
wwv_flow_imp.g_varchar2_table(841) := '1DA9F0849C289792AEAC6C44A32A113DE4E78FCEFDE10A6F63DBE8BC60053FBC823638029CDFDC34B49BD40F45E932C8EDE60318FF812240CD6B472480978A6BBC8112A0FF905587E8B112B0118644FC6887E5FEF2934A58C10BD462DB16ADC0852AA0E1';
wwv_flow_imp.g_varchar2_table(842) := '167CB2DB8FD841427FA8831DF8D0913CD8218F1CF54325FE1857E0A6381D1E1E8A1EEDE85F3BDCA10E7798C51D6D44A33CDAD10E78A0441D2A4B17E662A23978302531B7A085A3B6C8363164B16D657885EAECD6B77B2CC920F5105C6704C28E47CA431D';
wwv_flow_imp.g_varchar2_table(843) := 'F96063FEEED810609DC51CEDF0635E64998E43E2471CEC90523A50D2C7BCEC05656E1498F6A4D30EC155F1178D001D17B880C54A5A41096FC005FBCCD3AF78A8E41E65240BB880853D3F0A891D7C69623F4CF9C85626A4442889253CFAD7B575A2D11CA6';
wwv_flow_imp.g_varchar2_table(844) := '4C472E7F899F5902332FEA906539D4418F22E18465248207FF099BE48F6C0CC3155F589B16B748AD2A702116C4001A4EF2614B7FB8C31DAD1B1A3DE07195C0F5852BD7A38A5F00038F349EF334FC8BA74909588E40B23191ED604720CBE44634914B6C43';
wwv_flow_imp.g_varchar2_table(845) := '9AA29B7EF206678E01A87618031A5AD84C50FCA26E5E31CF3068F10A7644035BD1F087389C160D750CC31FECB0053186C10F5ADCE21AB420463ABE8A5582A13422F5A8072175D9D670E6E5AD7175C70757C2C8C138926889194624A4E0452E94610C6500';
wwv_flow_imp.g_varchar2_table(846) := 'EC183019895FACAE2F0675853FCA010A7F54E319FEF044F598D10F5AA8C31FCFB0C534D4918A8CA4C21688452B43ACC256998613B5EC38AD6A572BD3D5CE54B54DC45EF6DA11B65119B36CBF30C315B8FF7085C00656B05D6466CFCAD13EF4F803A1D720';
wwv_flow_imp.g_varchar2_table(847) := 'C6573B5B0D730C0319E2B846365C418BDD492FACFEB8453432118D63DE517385746B38658AC6B79A178DE98DAB2ECBDBD67674456064F990CB467843816403197E90827005DB5F488D2142C808C7226F718B7484C316B610473952E10F6688E367E190EA';
wwv_flow_imp.g_varchar2_table(848) := '30B2810D73448218C529073D32418F685C0314B4B0C959479B903CA656BCA9452D1ABBE7C4DA42512652E41B4EA6F10A0835B30C7DD0B11FDED04CD055E2177DEA87796ED1C76148121ECEBD86388CD80E5A64361B50BE4539A2C70C78D8C21CB628B158';
wwv_flow_imp.g_varchar2_table(849) := '5A26CAD97E7950A435DAE5040345BCDE249270A88214B2D8073FE8B80FD4E2C2B2389910FF7DF8E31A99C0473640210FAD599619DD78863B1E9C0E640C2482D5B360866DB7651DCE10D2919EE1C0C4F5E298DC03B7E98AC62DC6C7DB32A0E10D7780831B';
wwv_flow_imp.g_varchar2_table(850) := '98094D2017D73C0521CF2D6C910E0B7A221BEA70057498B1647E10E319AED85DEF6C519C31A354D2C116F60C670B4235C564A0371C8862E0A0841696E10ED17E431FCA80C52AFC41A2A6326894EBD16B7B10231B9345C6357A2D0EAC5218AB45BE4734C2';
wwv_flow_imp.g_varchar2_table(851) := 'C18E4C740318EAA8863858E968EB0CFB200F6189A5D724E395D4F80F7700B0DBDA46702FB82172C4584A42966A526620631AFE480731AE210F57A8E3CA0EB6D5746371F157A4C34BA0883289ED9DD37E83996025155561CCC9B95B30FFE20D63A0421566';
wwv_flow_imp.g_varchar2_table(852) := 'EE369B8FE10E18C6513FEE9C8D5B30E3A0DD48452AC4115D575CE319A00DC735F0018A7000C31E56BB78BDED0D5E10690F8A98FE6E665F61883B78F16D6A2338C24341CDE3DE0214CFBD123D5C61CED05E231AF41E86D6B61D8D54E0C3162DAF7A2B8B0D';
wwv_flow_imp.g_varchar2_table(853) := 'D0105625D90545B02304FE0482DBDC6DF0820430265A10769F71B1FD18C635A6BB5875D0A21BCCD02E36A44A0B76548316BA8EAE27A834D1BD9F73DFB68DE214FF5D605B44C2CD70F0C3ECFF207B50E4E218C300B952B5CB6A2AD9A2B8AEE8C63D605D0E';
wwv_flow_imp.g_varchar2_table(854) := '5893351A79C7AA9798918E5BC8E316ECE8E4E9058572EB7FD9212ACFDCE65EE28F70DC8218B6E8441FE0C087371F6B11FF7DF0442E6C010CC4BA6EBA8B464636E86F0B7A7C1519E640463986F11871602B80DCC1169884FACEA957E488DF3E29D3FA0619';
wwv_flow_imp.g_varchar2_table(855) := '80C116720112DEE058E0A0F666AF0F520118846118968220964AFA6EA11DA281CF32221B80211B28EFABA44B7AAA211C16A73808AA004B4CBE6C8B2A4444D9BC0F1880E1182881FCCA0F0EDC8CFC54C10185016850E4F288411DC82DC2B2211D3C211DC8';
wwv_flow_imp.g_varchar2_table(856) := 'CDF98661AC3CC11CC843E128EFD00C011E1E6CFA62B060520FC644C5DFD2451C7E81181683566A6427282319D6E1B842A41CDA812C4EA21FE46133E60958E80D1EC48184D8A120D8A1DDE64A1E88C30B51CFAE4845EF0A4258CCF01798211998413B6826';
wwv_flow_imp.g_varchar2_table(857) := '197EA211FF93A1B89C63344AE491C8C225FAC1063FE91EC4815CCAA122A4EFBD0AD1EA2A6D7B3EA9C5FEA21B7E61187822187061166B513B687127A4AF0301433DE68A26E6091E500630EE2125C8829FB8822CC80215476B06E92BF082A61C52A54628E3';
wwv_flow_imp.g_varchar2_table(858) := '5E641155882119164E200AA21DC2E144744748A44244726969BC91B1D2811EE421A3A4E891C4891097F10BC126A7646C8772041ED6211E446410B9221E06311ED60120E3411F66C7205CC76FFA46681232B1768868E07170B4AF910C832906821EE2C11D';
wwv_flow_imp.g_varchar2_table(859) := '0A091E442423E5011F3B321E1A827E6E25241B0D87CEC321076798C805C616B06FDA211E5EF2253B1220D7811E66D20D07A29AFE067F1832476C4827FFA9EE249526A04428D966A826FF112937323038F21F6F922095ED8DF28D2189262AEEE68D825269';
wwv_flow_imp.g_varchar2_table(860) := 'F2E8D8568F8AEE0DDFEA4357FE2460FC0557B0F28E20F2AEB82F5DFA615FF6611F1E4D687CC55F48CE2CE7E3EA6A4B3A5A1121EDC13CF2672077F22A496B2C29ED53EA12F558C61961702A21CD2B1BB2219F444D3E49760CF34958C21DB632C658AF3E08';
wwv_flow_imp.g_varchar2_table(861) := '02E528D33317A9CC2252EFC4F2FAEC0321E8F233BD304DB28E2515A23976041FAA027BD063C80A33354F72062F8D1F9E91B41A097B7ECD00ADEF36510301554F26FA4133212224F36D38CD122D87442D9506289BD3DE88E9D25A5347500E9204863A9731';
wwv_flow_imp.g_varchar2_table(862) := '3765823799F337EF0DAD4A1335871301FF5F426CC6B03BDBB3AE4293E5A6D33D5313EBAEF3BBAA0FFB06E63CE753068712D9601057FA4E8740523EBFC23CF73335C1703DC9863FE79325E0133A47B341A9735CB6723AEED360F2533F27D40BBF13D9DE31';
wwv_flow_imp.g_varchar2_table(863) := '22C6734057A2400DB43439F42FE4516C90F344F0CD455F1446635446679446672823572E426B54477794477B9447316D7B06A31D0CD2478BD4488FB448FD73488A12499BD4499F54D8EAB3DFF47110ABD44AAF144BB3544BB7944BBBD44BAD542397324C';
wwv_flow_imp.g_varchar2_table(864) := 'C7544CCB944CCFD44CD3F44CDD411E70B433E62A1DBF544EE7944EEBD44EEF144FC1F47A048A4AF3942BE2344F03555007154F0D093303035009555117955117551FF7D4E4E0A190FF2695522BD5522F15533355533795532B55C53E1554435554479554';
wwv_flow_imp.g_varchar2_table(865) := 'DB411E34230C09A9535795555BD5555F155663D5524D240CEF41522F1256314A576595577BD55779D50EC526307E95588BD5588FD5904404554DAE2A0AE64045D4D19E555AA7755A07031499754830135BB7955985935AE732C6BE555CC7F5CB7034C640';
wwv_flow_imp.g_varchar2_table(866) := '115DD3555D612CEBD6D55DDF155EE3555EE7955EEB355EED631EADD55EF7955FFBD55FFF15605D260CD74432B9955951555E45C96017165BD5CA611F16622356622796622B56ADA862602F0D5DEBE14F3BD6633F166443D6631596602DF6615D46ADB8C2';
wwv_flow_imp.g_varchar2_table(867) := '64579662B54264FF343E4CB6601936A7AED55C691667735667779667FF2533607F166881566C82165E799661F7D568699668977666B7F59358166A2B366391D65A458969F1011F00166BDD3569BBD66BBF166CBB9669C7966CDFB566CBB669C3764DF892';
wwv_flow_imp.g_varchar2_table(868) := '6DDBF61EB0766BDF566D69165F17166E63736EB9755DA3366A9BC368ADF666E7D62D0797700BD72DF316670D5771F70171E7161FF6C11E20F76E27575B1B776EEB76B6E6117BF2D65EEF965E21F76DD35567E1756255B622F9711EE2214ED3911EE6C175';
wwv_flow_imp.g_varchar2_table(869) := '5F17766357766797766B1776B9E293B4A26DF9126BF3411FD40A761FD61EEA812FDD95631D76602BB72A4824773543ADF021653B56755F561E58B77A3F1614E3F65F49568408765D2F0D799FF6626356ADE4611FFFCCB77AD3371DE3C363D19561F5017E';
wwv_flow_imp.g_varchar2_table(870) := 'F5E193E4571FF6E193DC927D4F557FE3437F07F17CFF147DCD176D057669F7C175897777EDC1758BB7799D5773EDD67D638265A177639D625DE3767233186EEDD562D3956341D679A37764EB411F4AA334529663ABF44F8977A49C3662A542D2FA228AE2';
wwv_flow_imp.g_varchar2_table(871) := 'CB1FDC124A7D1421EBB148D5957B49E4487A7730F6453C7BD47033745C49F43153037BE2377E4DB346EFA17A35236B09632B89A463537694F8817001478867A82D6B78714B1435C6B25CBF978CC18C21BA7846459763F54179470A2E9B548D158289EBB8';
wwv_flow_imp.g_varchar2_table(872) := '8E8FB6689D231F24D68DE39839B3CF20AE341E7A586CEA011E7415A34C4A1C1699911B591C5A1092FF1F599223F991C3E11BB8E11BB0E19231991B38799337B9933B191D34D9934BF9924FD99431F994BF81953B191A3A191B4C221CBAA11BB2A196E94F';
wwv_flow_imp.g_varchar2_table(873) := '1C2EF9199E011B76191B7E99F282791AB061982BACC2282F1B0211910D6960E3E3B5F6291C5AB091CBE11BA2E119A0E1E1A06146A06BEEB0E195B9E19B43F995178C14CBD99CCF199DD3D99C294277CA9922DE599DD1999C178C9ECB411C7A991BBC191A';
wwv_flow_imp.g_varchar2_table(874) := 'F4399FBDD99FA101A0B5191BF6C2BCC2A9A3B255824DEA99D5A19E172C1C48119C033AA087011A8AE21BC2191A3E199CCB7939CC4277CC02A4435AA4475AA451A64CCC6222485AA547BA9D49B1C27EF9977D19A6F7F997F77997A1E11A9E59B5FF4E556C';
wwv_flow_imp.g_varchar2_table(875) := '321291316A39D2391CA0619779D99B6F9A97F33994B9C19239990949B1A3575AAAA73AA5A71AA4533A9E5B1A1BA6AB9F79F919B8211BFA399F8D5AA0D361BD0C292A72CA13B7EE193C4178DEDAADDDBA12322113E69AAEEFBA133A2112F23AAF3FA10FA6';
wwv_flow_imp.g_varchar2_table(876) := '200D025BB0039B0C063B0D0A1BB10D5BB1EB20B0197BB00BFBB00BBB0E269BB2EB8006668009788007C6C0100CC10C044B0BB88008CEA0130E810668E0044240B533A0047440085E5B087E80088E80B69FE009A420094C0006D626C396045006712B3DD1';
wwv_flow_imp.g_varchar2_table(877) := '53FCE2CECA21168E1BB98F3B149E60032240032280011880000260BA03200470000370600A96000796800974E00CA2600A8A4118FF8A82A29901BDD39B1976391ADADBBDDF1BBE8B3A1AAA01199EA1BDABE11AF05BBFE19BBF8B7ABD9FA1018981188421';
wwv_flow_imp.g_varchar2_table(878) := 'BF74800AA6A009C43BBCA3800A98E004B89B0670A0097400033200071C4120DE722002C360006F9CD2E51A6281168EBB1862A11872611168E0033200030E40BAA79B000E00039800034EE00CB87B09968006A8E0C66B21A0D5FBBFF95BC887BCBD6BED04';
wwv_flow_imp.g_varchar2_table(879) := 'AF6198939CF2F43BBF89BCBD019CAB281A12241C099AA009A6E009B07C0A8460058480075040079280071E800376A0C1E8611FEC6320ABB78A81FBD2A66AC48F3B17907BB9338001ECFC002280BA0920C6338005224008BC60094AA009848006C4200A9A';
wwv_flow_imp.g_varchar2_table(880) := '2016904103A10BBDFFEDFBBDAB41D2A741D2F35BD2997CBEE10EBFADF9C899DCD3F31BD49B7C97FF7B979121CAA1CB0F5E800A906009A6E0C0199C0A96600578400768400796A0072280037A80116AB8863F0352FB4D2FFDC1158447728E1DD9935D723A';
wwv_flow_imp.g_varchar2_table(881) := 'C113F2BAD9F9BA132CA10A18BB0EF6A0B2AFBDB2AD7D0F04A1DAEB80DB27FBDBB1FDDA1B7B0FCADDDCEB80099C0009A60009CA20120CC80CDEE00DD080376AC112A0A009788009BC9C078460099EE092B8400CB8600CD4E00B0C1EB07EE0072CC413E4E8';
wwv_flow_imp.g_varchar2_table(882) := '37DD5C3445F244B82115E63C172E3E1672E10E562004342003340003A23BBA0FE00042A00696800AC4600A4EE00498E00396E00C9EE013247AC92FDDD28319E7FF735EE7296F1A9E81E76379BA8819E8771EE725FDC39E01BA9001BD8FA10FF6C00E2C41';
wwv_flow_imp.g_varchar2_table(883) := '0CA23E0A70C0B5755C079820C7FD5D084220091022CD8FE4328F6D37BB5220988A166C21E32F3E1496A0C24F20035C3CCF2300BA318006A2E00C44070768C0E597400CCE001100BAA8033FD33F9DE8773E1A8C7CBA90B9F0F5DBE6E7DB9A1F6E469081E9';
wwv_flow_imp.g_varchar2_table(884) := 'C5C00E84CA0EC460096AE0D6B9DBCB711D0990A00732A00C3E0A31D6E3EF969410FF468072811658DFE2EDA0043240F6435EE41920CF4B800546E70C9AA0C6691CE6AB0012003AC8E7FBD2277D1A90FCF84FF0F80B9FF26A6DF9935CE8A15FC9973CBE1F';
wwv_flow_imp.g_varchar2_table(885) := '8E189001BA80A1E9E1650FC6400C904007708007FFB85B075CBB068C00097EA004AA008C01051F827D4D869D162A6183921DAEEF5F7284A7138467AF6B0120226D4A93A68EC13D7B0C2A14B487A1C386101D2A9CA8904E418B69C890A923A86347834C56';
wwv_flow_imp.g_varchar2_table(886) := '309962644C24436FD0BC3183A68A985096A034592284090E263A967851A3668CCF9E3DCBA8F962E4079732A9FCD5E3C7B49F3C79F9EEE59BCA0F1E3C7F4DF9F9E3962A96D75CB17241D2818101830327CA32C08023C4010C2BECF48172E6C48C28346840';
wwv_flow_imp.g_varchar2_table(887) := '61D2079A5F6ED09E317B46385AB46AD7AE214ECCB8B163C6C81067733CF9B1E36AD50C1F7E368C183362C98E7D52856A11142838687CA08103878E13193094C000FBC0117FF7F6F5EBE70F9FFFBBA9C0ABD6F3B7BB783F60B4BC26F76A27F6D90F180E44';
wwv_flow_imp.g_varchar2_table(888) := '90CD626D082F8BA64C61726209F7ED628E610B4CB8F061CCE82D3B9E9678723566D7B2619B5C593D62F4980F477B460C997F64D0D4D28A2A8BA4B1C46B21B096170D698590C106191C50066EF4ECA35B3FF4C8C30F3EC1C1230F71BBF9E30F36A0800556';
wwv_flow_imp.g_varchar2_table(889) := '58889C60D6016845884104AF1D1042097DD8D1041533D0D0445EA8F5218C60E519861F668AA9C79E7AF055A6647B4C5E768D7E867D46CC30FE1D23606906F270C207AEB9365B066096A0E26D165AD80F3EF0F003DC9A52B9738F71BCD1E249267EF86188';
wwv_flow_imp.g_varchar2_table(890) := '219154E2899EA0A402CA9F9E04DA89279D44326824B54462C91E05D591104205FF21C41044943E34111D75A4619146049191D1A71B35240847093151C348259D04874A6F6C71C51EA168D244144DC84493104B88C1D3AE63ECEA061E651C71C41865B8E2';
wwv_flow_imp.g_varchar2_table(891) := '0F3D4CF1E314545245E5143CFD34A5CF565D79E5D531634477D65B2724A8036B6B3180131362D030D2694BE070C6317EF935D860FB09B9987A8FB1370D33D1B4370D7DF15D63AFBF004F739F66FB11633033A1A942DA195030B8E50925D0305B040C64B0';
wwv_flow_imp.g_varchar2_table(892) := 'ED013DF873216FF9FC06DC3DFCB8530F9CBB21975C72B984A2C38A073070026C4264301B0618987B82184BD0700613A7E91C8B5FCF90671EC187056CF49195B1474CBFD9F06BEFD3890D99D993CFFC37CC30DE7CD24A2B76FF343CC3961F9CC020741F44';
wwv_flow_imp.g_varchar2_table(893) := 'D872005E1C9BDB85F568F8713F1E1227226FD8A4626258B5887131B709E290010DE11E48AEB9A73561D319B660C3CCE2CF102C35D4D31C09B9BD91F5DBEFBE4CFE6B6F7E9A558D4C67C344738CC2AD309C1A6C10BF9C41041158CC400407FCA0F13E4DD5';
wwv_flow_imp.g_varchar2_table(894) := '9366B36B4EE5269CFED002CA181E9870430C4024514515568C71871F7F403268A09EA412682D95243A90A38E22A4D01E84706F294397D681D1F8144D9491A31281E404125320615224ABBE91D215767C820A1451D05A2B4D4D88E1861D6A704300DDF02B';
wwv_flow_imp.g_varchar2_table(895) := '3CF0E10E5278821BD060ACA534E52951010EDCA0D514DE70C55A617104132CC622166180076CF940CBCE5216FF9D79A7564CA8150D1C018D630C031ACCF00F318244A4FB14C98638041831A23119F6D0473200430C7BEEC3B9C348C933CCA8C52250818A';
wwv_flow_imp.g_varchar2_table(896) := 'AED16006B1990EC5F676160208A11F1BF347C772D70F9191EC3827FB4A1FD2D2C196D12003B50997594E7006C3A17056345804348401436454CD33E6699C0D871844C925661A91F121D31873A420A2473399110C32FA838C622C6213A86094D8668001E8';
wwv_flow_imp.g_varchar2_table(897) := '50F22CDB220003D076AC0A5D28436A9260DC8C3322BB6110124B284B07D75283BFC1EE2D2D3B80CEB613052630210A53C0012486219877BD4B6AF312A4202DE7AF1DFE915F972364D48AD8B8C519CC60015A6213C96097D8D06C3AAF6300020E60000610';
wwv_flow_imp.g_varchar2_table(898) := 'FF000958B490B2EE01ADDCAD6977A4A4C52BB8000313B8D3041EF0403BE1898217DC600753A802B1FAD0873FE049150229034206AABD8560AF7CE23308A616B2073D38540F0D85681DF4901149592A24A82A4325E0870633C0C10C56B0432850118533E4';
wwv_flow_imp.g_varchar2_table(899) := 'AF09285D4214F8E00844F0810F7880034CEB84083F78A10A6FB883B140F6406649501E57C90AB5C2128B62C4C20E11084174CA18020D9885002C3ACB0C18A0AE10A4C6843A3B0632E808A0CFC0EB3C36A4D71FDB3343640AB23E85544C110DC39F672643';
wwv_flow_imp.g_varchar2_table(900) := '89872004C3C296161561B28C2C22400FCC1422DFB0A92A1FE24D88FA610B5A8431144D604009F0EAB29641359666A1015E98901786E92C17FF9FF38F22ED4834212A5399F69A0C32CE7A39A4014CAD9941E47E64D81F255A82106280C2D7C0A616BC4295';
wwv_flow_imp.g_varchar2_table(901) := '93F4C80D71AA428F6889F24322925BDDC0720CE67C40A9782D5B5E63F9160C30810A27E08ECE7634865C5029868B631C5831F3AFB11E4D87D128A4309369C8D4C6EB8E9D69ED22E27A0627A011362FCAE6C56E9B31DC684829E534A7EEDE444A57DCE20F';
wwv_flow_imp.g_varchar2_table(902) := 'C1F380043C5081788200062D00810D5A90E01BE800040F66820BA6908424E4730AAF2AC321C67008847478A01C199588431CE2874C8A10D84B88410852074210227DB6CCE89E56223F90DAC191742869FEA630132A20221499C8042518C1074338821188';
wwv_flow_imp.g_varchar2_table(903) := '60844DA5F00638BCC21FF630FF0E0471C70FA0464B595AA91B061DB10497ED0DAF51F5605A548381AFDD92065428865F5EE8CBA16DD7BB7E0C986096D443A3E590ADE551E4C1DEFADA86D10C037F03DC590CD04102DC9607656ACA3D3CB6267AA8231FA4';
wwv_flow_imp.g_varchar2_table(904) := 'BC8761316807A5BA85B1606E595A6660C9133861674DE80434646847C6354E5EF8F1EE690BC98CC590F6B4514B0C94CECB9FFF2003AE647822D9BE55DB421F8000B8DD983CD801953555E52AC5C14729AD750C54860BCC55C42B6D6A46B31CE10FCDA918';
wwv_flow_imp.g_varchar2_table(905) := 'F5A8B37BEAED1269D5AAF6E16006591F701FB273E55924953A530B4B1C820C33A064CD186496F93E360042985D85FA61BB7EE8B74DFC2D4EEF68910A1078E00F8DF8431CFFCCB0052BF840092E700108264EF18947DC054870810E1CAC030FA040784830';
wwv_flow_imp.g_varchar2_table(906) := '423EF7F0AA3120C40E874879CA25210917EFA1E52F7EB1A41EA590344001212F9E28A342A21D2368B4122989C34AE8170B549CE1E854D01F12BC0089300A9912426604230CC10529C0C1C9FE9887947D1A952A079529F9A016588C3A866E990DCC505D51';
wwv_flow_imp.g_varchar2_table(907) := '743E4096E656120A393B432CE848C777B919D5E0369ABFB231E7BD33A9CE7E346F7906F31F243A621184A0435A28169BA83280D0B7FD7500102D4EADF835778E0E386FE86158C3E6A2134D28DB5297FB58C8B20807227C0B256522D9B907C6D4DD46757A';
wwv_flow_imp.g_varchar2_table(908) := '34076BF6B47A49DD4566D408D6B8CD2E9219042244AED542FF7CB41B9A93BA25CEB0E9C1A1A9806C94BB51F67063718C50882104D0F135A6D7F2961A68ABCC1F5802144EE0856310A35D83893D30BF1B1F205E6371004B1A798FB4D674FB874AC4B88523';
wwv_flow_imp.g_varchar2_table(909) := '36410826C47B2D34A34968C72201203B19B20F90663BFC803BB9834E022727C4A00412F007D9200DCAA00CB8F00AA3000A1B080A95000871800657500549E0023BA07113E70120200115A78220F00220704F3B70033CB00421C73E6950057BC061878072';
wwv_flow_imp.g_varchar2_table(910) := '7BF0612AB6620491114CA007DD0363A732054050069E10092C217466403F382606546052F9A31394900B9D070AA1900AAEC0854256065687755A571C53161C56265417140BA1E008530068A5C75819B0FF020C705C2DA32D2C721767300534A006ECB266';
wwv_flow_imp.g_varchar2_table(911) := '30C46D9DF56DA785568C211896334C8C7148A9956740426ABFF00C87200684A0074EF07D25D0047808790710009D4879B4334E698279EAA079B8A1855E41097DB002D9574686C62256B54677A87633D0040CE304E1210CFE915D76874843D218698534AD';
wwv_flow_imp.g_varchar2_table(912) := '167F96D34389942F53D339FB1143FFF10C8BC03D96884965360533C05C86768DC8B70F73336CC5D621C8B61B59960AC5D509903005DCA77D2C92542A62877F164B27608B39E3232FE42EBDE88BE9B11EB1B677F05767F2371942822F8D98678BF3395482';
wwv_flow_imp.g_varchar2_table(913) := '0C3D588934A0160CA017A30766F8E60FF2B00FB9C16FD0C280E7A47971E209CCF0051B90FF04A0F00AB7F0855FF827A0E00A5F680BC8801C5ED18495702742278256A0043940042678600706033070033809030F66023C79034000041396046970062B76';
wwv_flow_imp.g_varchar2_table(914) := '064338846430057570081291104BB03EEDA3514E880650A80537667467F004F973525E400927630B7D020CC3200CB620966EC00557F7645166865C970FC77665FE267647550538B158DCB45CE9B846EDD34135F3165390333BB204D4270C86D91FBC3888';
wwv_flow_imp.g_varchar2_table(915) := 'F728307A570DD9100DF0418CD56030B7907FC3700B98890CFB2190BE6730A1C1044E200967B0540C000546181D060055AAF989FBA00FFA102DFDB068E69479A4440F5A980B99500567B0014BF04A850655065016DD8104AF84012B83FF01ACB72350100A';
wwv_flow_imp.g_varchar2_table(916) := '2E5490C82088F658437D3456EC5134FCC81F577399B770993B443479F69C8B840CC73005A17908D5C80033000529377AD7787C693391BB210FEA400FB9736C20122DA50416768033357002CCC5582FB20281E997FE890133A133683677C2E09CEF4234B2';
wwv_flow_imp.g_varchar2_table(917) := '570D7C741F853435DE3599536299DB790BAD866783376A32F40BC7009AA2598D6F619A7BD090CB15003B303BFB800F14199BFAD53118E90FB6E009C360081CD00265C008944009AE200B401AA4B2F00B98F98595900AA1400995400B447A0BAFF00AB430';
wwv_flow_imp.g_varchar2_table(918) := '0A523A0A9E90700B370631590442B9033B00022E00031016A61507023CA08305952905E19439572AA792062E70081B85FF0656B9125A700845877456482B5FD979B6E0859AE939B7605357670B50B6751B8286DF884543150BB5E00654C00399D69E0140';
wwv_flow_imp.g_varchar2_table(919) := '553C8003DAF2014C2023059A1727F009C2C02E6C663054127B0F4A2471A618E1954CEF812F42A28CB4461881C14854420E674006A74008537500F136031A518D71C89AAEE99A67020F5D0776F2391CCAB279B7190B903006D015A90478003AC00334A001';
wwv_flow_imp.g_varchar2_table(920) := '77B804BA9A9018E0040CB2080BEA9C8B8447D1E959A0C52487A18890796A9C736A8E687FFF810EED750AE6191DBBCA04F09657AF086CEFA98DCA379FF56915F7690F5B41548D3AA0B6C5583CF01ADBC27668A1226C911790609873547848E4A0F7C85D8D';
wwv_flow_imp.g_varchar2_table(921) := '910D107AFF0DCF1039FD821940D238A8EAAA8E386AF8F74219A1097A40A2F57AAFBE066CB20397B5539131EA80212227B4600B37E00132300443200552F0055F80077820073DBA0A41FA0B4A1B39B2300D4AFB0BC800A5AE100AA130B5553BB53F9A0CC1';
wwv_flow_imp.g_varchar2_table(922) := 'F00AD2130991F0077F60065A60055650053920610F560353B08308215169A00771051106B11D4C9006448006713AA7627B638B7074266585FD0396B16058AE400BD1800D1CFB0CC2000763C89686DA7C900654F7A98D5C01169F30066F88AFAE788DD211';
wwv_flow_imp.g_varchar2_table(923) := 'A01E84876FC1204C5008C74047D06030CFA95D8A996AB5A718CFE01E7F540DCF507F1C4A18FD0124E7B7A0C8F00984700A9A900697889C50E0044E40FF064EF06BC84B803CA00FADE99A5947AC01970FF0C00E029BACFEA00FB6E015A180086250039986';
wwv_flow_imp.g_varchar2_table(924) := 'BCAB391D21003BCFD65C5F134773676BCF0924E37A43E5EA2F45439D82E1A09B299076441885974476700A929006BB5ABCC46BBC9A7B5B69B36FF1E9AFC606B0BC016523F215974B05DFEB8A778846D2C85C6133034B40BA74B78BD0B9BAD249AE4FD218';
wwv_flow_imp.g_varchar2_table(925) := 'F741AADDC6AE9E03AB99F542BEB007FC7B06F1B6ADC00BC09BDB89462037B0D96F312AA3BCE33BA0C00C52C00129B0066B800558B0054160C445600116B006B2100CD320A44BBB0CFB420DD4900D545CC5BD10A4AF00A4D3608117280D60DC0DDD00C6CA';
wwv_flow_imp.g_varchar2_table(926) := '500DB8B00A1B18096800023F487348D9FF9432372A7BB01D5390064030064DC8126FB07057D007C5607462A063F983046220B8394B0BC3C018D8300D8BEB05835AA86E79A853F12CF719766B580B85708E01D04DDAE44D9C4B0014D38AC95B6D686607C7';
wwv_flow_imp.g_varchar2_table(927) := '900BD0C066F5A898C0F85DB2AB6AF9716EBC976E8311185793CAC2D00AAF4507C44B034E0005BC5CBC6480A22C8208FD10ACAF590FEEE06FC521BDA58815CA72BDD9ABBD104C458406BE8E4731656416F11636516007B9A08BFFA1BAEDDBCA8DB9B17E24';
wwv_flow_imp.g_varchar2_table(928) := '7BE8C699F81B9ED0C00BBB6CBC3350BCC0AB11C34C7A9A94149AE768DD48150ABC1B028B0D18D407A6271D8F375FBFF6224E05661FD0D03A6307C04077DB967EA42A7BF82867DD35FF44DEE69DED8CC2F8470CAA10577430BCF3FCB6C27CCFE00B559080';
wwv_flow_imp.g_varchar2_table(929) := '15E0F8A2FFA6C3E9F427CCE007F134040E77055BA0056B100741900339E003AB400AD2B00CC9300DCA20C5CAC0B44A5DD4D4B02FD320C591130C5A9B0C531D0C17580D5E8CD5D2500DCA100B1376A6437884729B062361C76310A76650636520525AC995';
wwv_flow_imp.g_varchar2_table(930) := '80EB0599400B2699B3F0B1C8D8100DC3800752E00770400B901C9F1A02B95E37B98B9A322B9357ACB3228FF78A23546FCB8549E6B208625008A66B77E6615E6F0667639519B427BB3B945AF587BFD965B257230C87A007742008C6EB04BCAA299220C3AE';
wwv_flow_imp.g_varchar2_table(931) := '8801B95026FAA02CF4308AC9EACCF7C0D2BC81BDD6920B85D0901810FF9C08F078E0EBD88E1D4B651647935D901D5CCED43956FEC84315EA19AE9B2FD83D35B29B7EA77BBAC4000C1D263EC14CCF74F0DAF05645B7A503CF401CDA78C0FD0C97D0D70F01';
wwv_flow_imp.g_varchar2_table(932) := '1D0AB96054B170D85135452D73CD69576F9904593751086300092EE417F74BBFD159AE3E04997A772FA1F32460C5A1D1A059CC70BA54020DE09D1074C0CBBE4C061B2E091A71BC291A01C0C0DBCAD26F16091C36CB1B62090AB7000AF134022EE0031717';
wwv_flow_imp.g_varchar2_table(933) := '713EEDD3A3B00DCAE0C5462DC5CBB00C56BC0C55FCE34F5DE4CAD0B4C120D5BF800BB7B00AB7800B56CDD5538D0B5EFB0744000457909436F7B638873D69A01D669DB750680687900A809CA7B42206715DB8B4B0FF34FEC20D91B3B87B0D07846A0FC9B2';
wwv_flow_imp.g_varchar2_table(934) := '2C1134C992DBCCF9792D7A83BCD5F13A06C0021910008F65DC078003D60A5516431B71E40867100A187E3553B28B83681971667B7AE7BA83B19D1C4D188C53E11F2D0C9460077BA811C3EB04E56DDEAC8D574B30DB1622ACB219BDF0F0CC4D21CD18140A';
wwv_flow_imp.g_varchar2_table(935) := 'D81A557675000F92BC4F252380F3B98EBE089FE0059D4090178A98163B7BD1FD478651888AC1AAC8A0A1F9F1245313EACC905E2FD4097630054849D64EC004ABAEEAFEA79755000D1A2370F4900E6ED32181C51B015D2DD437066514E866210211C0D8DA';
wwv_flow_imp.g_varchar2_table(936) := '7C002CE09BD151334B8008AAC005A1F0421FFD9CDD698FF5026BFE129975F624F8C2193334CB8DB3FFBE31B46E9F130998CB306430BC5040062C07C024AA9A3D300C26EED2353BA362990AA3700B40A0827080C641E0023E1D71341E07E0F0E3D2400D3D';
wwv_flow_imp.g_varchar2_table(937) := '9F0D402EE44F0DF444EFE343BF0CD260D446ADB519E8E4ABE0F44D7EC6B860062F60050485A66900627570067BB02812B6071BA5C72B610676500B5AF9B75EB9E6743D0D70CEF68CCCB857E7D7F370E76748157BBE1BDA387D46D5092B60E8BEFE3AB0C3';
wwv_flow_imp.g_varchar2_table(938) := '8911A001D5C1223A60ADAF93AD6263078ED00707BFA0FDC1489AE938F342AE99BE3413FAF0B62025BC48D155C338994590D0900BDB31EEF21CE2AA6EBC34F3012B80033E5226ADE96FD09BDBB5BEDBB7EEDBBF4DD051A5D0D71C550F20029E5CFF028BB5';
wwv_flow_imp.g_varchar2_table(939) := '22B345037600097790090449E9B75BD18498D1FA880CEC977FFC61D902995D29392586890DC0900648E0044BB0DAA84F07AA4F3327200485800CEC1D5CEDFEEE54E10E41058EFE000DA96054CCD909FED9321A60001AE09B0071E0C0030D281008C4A141';
wwv_flow_imp.g_varchar2_table(940) := '2083031F70ACC06127529F5AD0862143464C233366CFA2558BF6B15AB56BD7A6953459325BCA6BC448B23CC9CC164762CF6C82B4F98C634766C384591C368C5BAA29539C3081E2C4091432649C3475C2004386132CF810F3C7AF5F3FADF5E0F5CB1756AC';
wwv_flow_imp.g_varchar2_table(941) := '5877F7B69EED670B54AA54C9B84890D06814A9513EBA98B9E223870B2CD29429F3BB4DF0366AD9A41D2EBC2C9BE265D3961D863CFF4D5932CAC17EE1C2F56AD5AD559B83E152360A88954387F61C3A3325CD9933AA542DDA73C68EAA314C925C8914090D';
wwv_flow_imp.g_varchar2_table(942) := '9A38667CF709858AD09333518C1B1793E9152D5AB79E4DE3960DFAB45B78A4C0E1F3CADF3D7EDDFBC99397EF9ED8EFF0FC9DDDE70F5BAA5CB162E54284E140800311223020509F0781FC0C226860C800060E5A08031A6880C20E3B72B188988C1E242624';
wwv_flow_imp.g_varchar2_table(943) := '0947BA06A40A2F3C29A5955C2AE9A49728DC88239B44C488276280C928286086E96309A568706206A59472CA091A98580289257458641F1FF7D1072C77C43B2B1F78D4B9272BADFAD1A73DF7DC3B43A00318906A3E06748840200334A020CB291992EF00';
wwv_flow_imp.g_varchar2_table(944) := '0C4EA0618931D4A0FFE5418C3222A6230943A290C20C3D44E919625662A9C291ECAC89196478D2E94F8E90018618688411E6186210596205A4629C112A27706042882684C021137FF639CB1F7AD291879FB1F871C7BCB3ECF1871B506229C6BD42C23400';
wwv_flow_imp.g_varchar2_table(945) := '83FBE68B4007FEA6D460D603049C724A0C74A8618A31FAB0C527642EFA53A33745A2F0C2919EEDB01A0EE7D4932466DAD4A9239D9E1194239FB84514186116E1E14626608C74461A8458C208235E3024ABADBAFA6ABCB1C8320B2D7FD44A0514621AA1A0';
wwv_flow_imp.g_varchar2_table(946) := '031F0069840D17E2E802E1467CF081946D461965955196014730BFFEA2A61B8BFF7AAC306A2453669AC300BBF82F65AA992C98647009E60A134A336D8F29CE10FFA38F63DEF9669333F670230D268CB022B732D078E38DDF8A59440F31A228EE8C26A248';
wwv_flow_imp.g_varchar2_table(947) := 'CE165B6899291B6CB2E1661A6C6E81430A3CE0A065BBEEB4024F3CB1F881471EB4F2518F3DF76A11A257FA0C30C04A0602B895810C0CC8AFEEBA05C2008A4BA7E8045168BAB5695991AE89A6A66C49A2B61A66AEC1135A92A40DAA4DE6FA5D4B503B85C1';
wwv_flow_imp.g_varchar2_table(948) := '2828618681468D196094910632E8702AA9A79BC871053B7E04122C78C41BDB4824E5DDEA1E5B52712F14473E08F3CBF90CF07257061EC04F4AE7196002F623103936A8354554FCA3C67982F3A393A6B130C36C2EAF309A5B881986995B5C71652D5080E1';
wwv_flow_imp.g_varchar2_table(949) := '081A665044FFD09FFA387D8613646CCA2926C878FF5D1390C002466CAA539F0AD5A8E061AAADA00A1BA1085E2D90C01029D1AD3F1120007D08B03CE74989210C98828EA61009FB958819D5F0C8B2A0852D667CA45A1D7AC64B3244BE6AA48823B478452C';
wwv_flow_imp.g_varchar2_table(950) := 'FAE58A9DF40474A443D44FF640A6191491464F79CA12A2F0042120E10577E01DBDFA61AF7BE5A32C68D98A5A46918A5BDC02062070410EF4B217869531078DD8065D20160CC1804319B8905832A8210DC2FC2218B2F88532A8B1C7607C2618D398E365FA';
wwv_flow_imp.g_varchar2_table(951) := '089894254365CA884405C6F0864DFC61139050452DFA80886284A318554843518A528548FC010D6630DA6F6AD10AD614E73851184326A4668B5B30633AD2998630BA060738D8C21FF618DB77FFC24345B4A9ED2C495A4F7B3E51061A7C003F7843267F02';
wwv_flow_imp.g_varchar2_table(952) := '8037FEE42783F9D192406AE0050C50C10E88808645BAC5910931AB424131DF30A845B96BC4F043E4ABD03386C14215394850D0405FF544870C3760E00333A08A52F410052888410D85B0831796C003118C61539CDA8A91CC262AB4A963495BF1942D8207';
wwv_flow_imp.g_varchar2_table(953) := '8927E4EA00D06CE6456F2525687A502027A0C209A2F0CF9EAC699BD14861B3D4E99C9994EF25E5EB504C2F740D64B4321AD70ACA3A7B5852A018AE0FF62C6211C990863AACC60E7C18431484A0031CF0C11F418228024575B6B49D675E6D635526C67002';
wwv_flow_imp.g_varchar2_table(954) := '0DD4AD99CB2400DF9AF9D5BEF54A9A54F88017EC60886C3A68273981D3B34812FF0D70DE6218E37356495C484E1A322E446CD2484676024F8B180E18D0E803038A88011941210D433D031E004A8581B2C0A0FD40A8A7EA55C5B05C118BBF4BC52862510D';
wwv_flow_imp.g_varchar2_table(955) := '2B78000439D80B6AC3885A1FF0651B90F9CB605E3B998B094616B280A32CA84198CE786214C1A0633056F18A88F985189B19052EA4B18A1C4CC19186D8441FA4EBCF4F004315A961826A90C04943688168BE79431F52219CA535CD386308C52DA4768B69';
wwv_flow_imp.g_varchar2_table(956) := '84E317B6780E756659CB5BE6B26CBC5CA055A7A89E55C5A21376C8125993A94C675E94995A62080F7010024440A27088CA6960DD34A1CBA9AF8BF0CB6B49626812B93AEB72DA43E94EDA449375E634A7B1D80003F6970118FF11C20E8BF8C4271C518842';
wwv_flow_imp.g_varchar2_table(957) := 'F0410C3D3068ED123AA47A50551D58F4542E80170A485041A3CC4CA6460B5CE00E3281072728848385018C15656EC42D8CEB5C6572BEF48DC485E08B064A2A071232336EAF1E0954478E8553D10DE3182B50EC096C0405172FC2113246C422FA2006AB6C';
wwv_flow_imp.g_varchar2_table(958) := 'E780A09A6A5848C5C07E381082FE1D03052F3A9FB1361AC9CF9B120E70A0034820A2138432B1461297652FABAF58E7AB16E416E721B9C6298621D989099941589F047118B538419CC994A017C778C6341E830E728CD07ED0C31D53E4AC15F385965BAC6A';
wwv_flow_imp.g_varchar2_table(959) := '8BD57883044060852D6C210E63442D6AAF4047D96EA362D5CEC66E05B38C6560CC629FC9A3325E0B47381212FF17A3F0EDC9B6A0032D64720A4C60421AD2A08A63A822369A4CC30EB8BB9B509A8122A8A099298D43053150426AAF104636CA418B4AFC22';
wwv_flow_imp.g_varchar2_table(960) := '6BB2F41A7D71E99DFB52D5975B49CF03DBD3871A18F899C964E6AD9C995186E4879A4DA0442C8E41E5D1654EB02A7C56A0D077423D91D3859703C95EE78A8C691C0B7DEB6C53E8AAACA2D1C542213438819CC5800A47A0E213A170C53110950B4A180248';
wwv_flow_imp.g_varchar2_table(961) := '0FB5623E7A2CE8233D742BF490682C4251050D0C58991A1CEBA23308380A4EE1044BF8442C58DE72A08F98D320A109316E11E632672324313D094AC94C923EDDE25886BF1EA6DBFC935C84E000482FE21E3EB1885A402214C790BA3072E1084DF1DA5380';
wwv_flow_imp.g_varchar2_table(962) := 'FF5620A11D08BC582C62051B1D2B58432E72FA2C444A540841143A118B200E3D44149621B7DA943E0E8739F0904B499945ED12F5A10F747FFAD33056343AFB410314F2A1818C4ED01A183FFD3D538744BC7C948F7E78EAD754BC9767891D5A1D12A31220';
wwv_flow_imp.g_varchar2_table(963) := 'F0006BF302ED6893E2DA15833F38E26F6DFAC3BFDA8309CC6C95A1B291199265D2A80414B8823DC02432A883D3B08498C12E77AB0243E8AE4F329AF00A0E421003F33A032AF00244A01A56128774700546B805E9E01A29780389B3AF5DA22A42CB384F10';
wwv_flow_imp.g_varchar2_table(964) := 'BB29C8000C383B643A30B1BA28B1E20FBDC98012D0012F40823E88055BA0322AD388A09B30DC43A168C0931992939BCB2B09F196BD8BA728FF443E602816135391096A021AC88028903118A385CCAB3D61E0145ECBBAADCB8786F2BAEDA005E081840D40';
wwv_flow_imp.g_varchar2_table(965) := '818F83C391133981B8150D08811AD0012A98023B608F29ABB263419CBB2B33258416C601BEDE0B896C391F75F21364712762A08542B142603803E889BE28A80547A0885C082268903A0631A0A802BDB3710779D02F438B855A30028BA243B36B34BA59B4';
wwv_flow_imp.g_varchar2_table(966) := '5DF9801058811DA4021FE4442B5CA7ED31C292A0B93879A16CD830993A42542306F8DA88C042BE9E5811FB319C6358820358021AC0803388B145B83CA9933A2AE3447FD8947AE007EF0336CEBA226F84A85B20BF51E8221778011770812BC00233C08268';
wwv_flow_imp.g_varchar2_table(967) := '132317688471B83FF993AD6BFF1B0CFB7B3FC1E8067ED498C3300CD8429960708124E8833DD88334D88304DC04E81A8386CCAE34D82E43F8833228837EDB84F12204F3629A25420457909A5FE8C057F0835FC09A5FB08E12B4A579E0075CF207F0C007FC';
wwv_flow_imp.g_varchar2_table(968) := '5241F580204408011CA0C30C5A26B00A2B8D8AA65BC90023B8835040843BB803DA9BB295BB081129C2BB039F6A009F69B0CA67B1CA90A0130A29B161A005502049F491969F5B1307F9B99C1A1D5A98BD4F68824550033BF804303C944F4486F320C3DB31';
wwv_flow_imp.g_varchar2_table(969) := '4334D4AF20630B2F088112483DB2A243467326FA60002470834E4004E94A856D843064C8A66D413341C4CA52FB1EEFE1B00AE9896B414757A08575D28947C48836D10813FF1B1D5B983D48988245509050A0326D3C14600045A8EA3EA90ABDF3F0464383';
wwv_flow_imp.g_varchar2_table(970) := '8F106001254BBD031339AF12880840823BA8B43BE8835CF0892A1BC26CC132232CB5E8AC4ACC24B56B00BA61708554F04C9D52139392279FF0891359CB2500283B08054E0CA2A9A33D73F40E5F1B47F013362CEA07748C0588898568B8021470471FD002';
wwv_flow_imp.g_varchar2_table(971) := '2CF081BC10A3BDC002D9D2366B8B3F7DECC7D7A223700848FAD3188DD906088D508DC90605958637808143E88398B1844DF08613B1B77793B7EDFA838CD48237F8AE3E280680ABC090348E27D0C05BA00561100775A0054670B8691886AE2941ED804999';
wwv_flow_imp.g_varchar2_table(972) := 'AC38AE23346082A03E50088140B29FC49BBA693D2D318000FF60002130023708054FA03ADAA342205C11134A21E88C4EE944A9AD1C89214406941A866810ACCC411636D1C5E56C3547508345E0C4B9D4BC5CD81C61F046FDCA3AFC72282CBA87350C052F';
wwv_flow_imp.g_varchar2_table(973) := 'B81BA1F449651A4C4613100288801E488231E884F39CBD95CB855C00C2A77CAB37894ECAA4CA69A0CE94E8093BF9086C7144C032CBB33CCB42F9894F18033E601030AC531D8286A7FAB3044AC153E4AF58E8830D50BBF9505266FA9B02AB1B063002850C';
wwv_flow_imp.g_varchar2_table(974) := '05F648396EA4C2420991A8FCD266DD54CC4C09AB0CACC47109C1AA29EF5C938BA03BE63B2C4858D558B01F6D9C541DC25373ECBE7AF835B1804FF13B8B5B10AD77AD863F503669C382F583361FC00570FF9006F9E3D77EF5577DEC5703B53F71A0BF081D';
wwv_flow_imp.g_varchar2_table(975) := '8C6EA0A30A158C5470813D584887B4845A4087684087629099ECDA0312CDC831300308048E5D08381715C948B405935407945449F92241FAFAD1704C1BB31152FD02261614838EDA95252DD4A0ACC308C8001EC8803B70032FF8412A933B608844715146';
wwv_flow_imp.g_varchar2_table(976) := '6DE952667156B9E25462A8CE91D8CC9D00066E313CF4C15AC06AD35683865CE0834E38064F9CBAA9F14C5A7085BA34572181D933EC3A3F5DC34ED80F420DCA9083C50CD2008240811DEC032F009E5C3886499D545B181D77F21CC569DA0ECB863621B5B9';
wwv_flow_imp.g_varchar2_table(977) := 'D2A98EB88867B02B9F1BC2C02ACDB324BA5C2884074BCF637812F7C08650ACCD51E43A53FFECBEACB8D53118CC91E39B9FDC201A24080DB80111E0833B10DAF7680F6EA454A0BB16ECE9264DB5CCC6595CC2C3169B8042F8C15AB34C1164A03BB49CBACC';
wwv_flow_imp.g_varchar2_table(978) := 'E5C4BF4514CEEDDB34C9D3B3704F750DBF613B0B60A8CFEE8D0660D081FDF4012C205F33422D4FC04781FDD7F5F5D7D7AABF82158C6C330C083D8C6D18861C4883853CC04390D86C40875AA048ED4A8312D58231D80D505251E1084981A3023F680EC1AD';
wwv_flow_imp.g_varchar2_table(979) := 'D11B4DB858EA9AAF099B890B479AC4AF8BDBAF078A0537E0A8673200047852B0CA800790920C284A16D08142F00335A054208CC4290B22321511B8C2D4C37D96C929B59090B0F9B1135A401FBB5A27AD6DD370E904F6005CC0658E5CFF700521CB85B4B5';
wwv_flow_imp.g_varchar2_table(980) := '9DB5454388FA3A214B0524A08F6562B40858DD1BCC8000CB951E606137308431285A60704A7169392EC5E1EC615AA735B391984AC919426F491F563A112B8390AE9CC44EC805D99CD4BFD521F7688F508855DAFC3C5A1D5DAB32DD67608F3B58B20C4200';
wwv_flow_imp.g_varchar2_table(981) := '2FFEC92DB90F06D8120EE80114E80144F00334A6D4490D42E6DC88C2CD1E1D069F5FF43290C05A3F9909AF1CE2BA7310EB595EF00486D9ABD341CE05087292542857FD724F7B5957EDDD8A5BF8C1778D0565980230FACFBCB05786C9812E48DF7160DFF5';
wwv_flow_imp.g_varchar2_table(982) := '55DFD0C085F725D0CEF0665950D06C78031D4083863C0D0F450772D8848B9D823D30822AA0A532F0AE4FF2B7E0085981FF8B02072EC91A7D0540C85164F0832770033CB005B0F00E5DA2E2B4410B228D0548F0CD67F249B0328012D8000C220016308223';
wwv_flow_imp.g_varchar2_table(983) := 'E80448E88332A054A28D8561B0D3482C62B762D6386EDA6418861E0E55775253C3BB0560B0AB47344DD3B48543638F50D06957D0E9BF0D05B37585EADD31B3B987F13812EE7BA83F5D9531D02064DA1502C39B07E08007E01B11380223C8BE421803F6E0';
wwv_flow_imp.g_varchar2_table(984) := '46B993A84824DCB7EA5232CBE12F9D860899CAA944A9C9CD1CC31B062266EBAD553ED20B1E9DF62FB9EBE55408053CE50EAD9849D1655B53AC5E7F8006F670849E6CB4880EAB0D4831126601244802A4EC0337F868EE4D052A8C05B04E46DE85634D9D06';
wwv_flow_imp.g_varchar2_table(985) := '7592AB37FFC95ABDAB291451AF08B39E36034F44F99DE011BB47B56B9F2ED628C622747D4FEC65D7EE73D764B68551A80634400110B88238C082672BA3E356866ABEE67F15D860F0844408866BD3B6E9CEB691290C69E88651D0012B60C88794844D5085';
wwv_flow_imp.g_varchar2_table(986) := '750EE04CAA823E78032DD0487AFE58D67051A7A1023E4805E6B0058573053C084164A004375003351803506092830E52B61DD25481A050280190EB55D5439E08A0808B1E033FE0033F70833ED03C2A9B1A2A4396BAF39CB16616ED71D69B6A65C9999C21';
wwv_flow_imp.g_varchar2_table(987) := '4C85B72EB1642C62365DED79D2EB4EA08450A08417D7E94FA00447E0E9174F85F4589B2129EAA2B62275406A88BA875C00855CE8839193C1040F0004FFD8800720800CF0823B90F08E2665A2AD5465B454CE7E939472D664E0BB67314664A085510044DD';
wwv_flow_imp.g_varchar2_table(988) := 'ED095A3E6264E0E98D0E854E7854D86EB0367F5460109BEEF007780034622615D23547C286A05AD8808C826AD50B0003785D02408161917237E08361B0054EE45E3775B92B7BCECE6E56F071093097908C581F2B7C102BF363F014F554E8844C78F34EA0';
wwv_flow_imp.g_varchar2_table(989) := 'F150903148D06B9D4E05FDDA0ADB26E6EC05B261A84F89122D66880410D08132F2CFE32EA351A8986058866D18075D58865EA006E6E6570395854480985E0087DB0A863DDAA365E88CDB9AA3EB26862A40824380584910F7EE7EB79999822A289AF33E60';
wwv_flow_imp.g_varchar2_table(990) := '34000E54A083907CF726781A2F508332FFA8773CF0032E500361F8065B7802A8118329F884FF3E8B00479B018706083A6CB95D3D41772611D0AA2450031F941AA3750FE6F0C39976276DE9A65646E9523327EDA156BB9AE9F411148C389FD1444B514786';
wwv_flow_imp.g_varchar2_table(991) := '506074CB8B719D9679E1E103182FD6F4D0531E170FEE386AAEF8A5358C052F084AAF4A6C190C2BBA494A2318962207422719DA205C5340E9781C266BA7D5CAD00E89A050AF782A623C56712B1406620085978771CB9379BD9E2439A7F3BE76D974A08740';
wwv_flow_imp.g_varchar2_table(992) := '0BEC3CC54D6E384F44A020917B26251B4C86D081882F834288C440C662AA616D5BD87841E96C2FA563C9D17438D13B47FFB9921A142B8BA7961B1D44C9043CE00346807147987908FFE2036C6C7357E83EB418E6B028662093D1DEEEED5838465E770179';
wwv_flow_imp.g_varchar2_table(993) := '24DF5F8F3617A0E66D080687198765B82D65973F6558857D0D587038376827056AE8855290855E58866B978569C0A339928682EC0309E050493804416048708737999902504A77DF3003F30459A6111C796F82AB4E011990011B508114480137700E68C0';
wwv_flow_imp.g_varchar2_table(994) := '0331288D33A8057EA8079F47689B04087FFD06DEF3F72C54AC270718206060A02182040F263E88402000818C0428A442168B962D60B942D22A698B163061C3561263E6F219B367D1A2C9C416ADDACC993873DEACE6F399CF9B3365121B46EC283364CF94';
wwv_flow_imp.g_varchar2_table(995) := 'BA44C6F2E8CA952A87A91C33C611254A9F3285EA9A2A16C2426A0A85FF4AB54FE0C07EF9DCE5BBE7F61E3F77EAF2F5E337D0DFBD5CA93A8930E01001E00811284E4490D1C0614AC8F48ACC954B24485B23814545D634A64C9E3399D1D4D9D367D0CFA19F';
wwv_flow_imp.g_varchar2_table(996) := '1965368C19B1672D5DA21E86AC68D1A82A812173E30552A84E943AE5EE5A36561F35903A01C3CB4F9FBE7EF0D2C9E397EF79BEB8F204FA43FBAC16AD26040E18E80E9881C407142622D64880452C5BB1D24F06466B642E942957227BCDFA5966CD3B41F3';
wwv_flow_imp.g_varchar2_table(997) := 'AF36AD1A33A0094594512DBDB6544C2E15F55A5452AD4419176A38A25B27BCF9D6552C858881084267A5E50F3DEEF473CF732496B8D63D69DD75CB28B18C02CC8BA3105305082E5C71231658F8E0830B2EE4E082FF0FDB8CA3CC28A450D34B30B2F4220B';
wwv_flow_imp.g_varchar2_table(998) := '38D4AC92C828C18C03CE36E05849CA285026224B295C76490D984BCAA2CC32D95023CD34D2782281157BEC61892492EC21E71E693031C51E534C81061A6FFCF1C71B6698D14728D69CA1C71984289A28219A10628726761C72C822A87C624D28BBA0824A';
wwv_flow_imp.g_varchar2_table(999) := '2B9B14E34F72FAD8258F3C6D41C70F3CF0A035A23FD084020A0B0CC82AD844146CC0010714E8FA80611A89904A49B47C24997BEFD912524AC4DC52A052F8D5245434AC69366D803885568DB2460D134D6A4C35055B6C54892B8C30A1DCD10924C35DB8AE';
wwv_flow_imp.g_varchar2_table(1000) := '187850124B75ABAED5D65B6BCD55D740FBF4A31E22827D57EB0614E47A2B070F20861802900C136CFF64217D34992DE4926B94652F69069365D3F227934FFF7516CD30B714955453183BD52055B30993922B7CA4BBDB27BEA572E1188550521C5CC8F9B3';
wwv_flow_imp.g_varchar2_table(1001) := '5C7326C2E5CE74F1F663502A94848000770CD4CA41C001DB4A4102E519F00228C30A8B2C482001034C484F558C194DD77486E04E1AE754764ECC2C6B14B730B196548128AB2471287C5002C9279DC48CA16FB188D14727B49CE5A13FF588682274D0B993';
wwv_flow_imp.g_varchar2_table(1002) := '6275770D93DE28EAB558CD1F2BD4B8A30F3FFAE8E38FA46C230D965BF6524A30A5F4D28B96894869A595B26899E52AA5C8FE2535D3C8228B34674AB3BB34C1E4C0041A8258A2892482EC61BC9D69E43985167DFE1147A068D851E8A6D55B5FBDFF269B6A';
wwv_flow_imp.g_varchar2_table(1003) := 'B2FD22C42BBAA82FFB843A6AA988A3AA6A5AF818040A240F308440041010EC01FD1E70E08108057767000599D8E28A498E75ACAC81C435DA2246C5F0038D6740E31ACF70A06988312D9EB8E46CFB398DB42C53B1FAC4265CE2920A3228C1874F60E513BB';
wwv_flow_imp.g_varchar2_table(1004) := 'E98A1A9E20062FB8A113C2119CD0D4028F7DBC052EF050073FFC6197BBB8470D07709F440476BFFA11D16008F3837A4C3292019EA46B29730D669C951F9A280B1913044D4C825236D524C58AA821597D4E76B290496C6BE5F283231C6142BD75C5362BE4';
wwv_flow_imp.g_varchar2_table(1005) := '830B21210CBCEC831F3994473AE8E19C53C123688D239A1F2200BFC1D86A881E3081FDECC781A8756703FE3B4900B916AC637D10FF8124C30C3468820DFC44708A39010A4C26C82DCEA46694976110541AA4925BA844849F808456D8180A3B78410C54B0';
wwv_flow_imp.g_varchar2_table(1006) := '830B1D918B7DF092972012113E1297B8C50D0D2DFE6091E480C1A26A8C62051270411CB0F0072C684E732E688490B0048644904276A34B0438C3D90B70E86219D4284538C10986D979134CC990C52F82C13B6928431A7FD840190E01273919AF4E775ADE';
wwv_flow_imp.g_varchar2_table(1007) := '18D0600640056A0BD3F345A3BEF7BD33D8E15176B0C322164142122E420C51684214A2F009BC206720A432D573CEB7AA823C23156E805F4322C00113B0D404308001FD44403F13F02A2277B805004D1299F8C46265C0380A07EBE39205DA043F3471DBD8';
wwv_flow_imp.g_varchar2_table(1008) := 'A8850CB475C63E98FFE962184FE6C1B9892B177C284421B0A2154AA4910F48C80058D570B7580C0E2DF980073F48E496B3DE8B2E7751CF110C20C807DCAFA52648410A0E79481324003006A8C22D182699016A2D24B109233316F80C9B0C255A2F31AA27';
wwv_flow_imp.g_varchar2_table(1009) := 'DBE6994F629035AED12083E4C6CA950983168E40042260F94A48A4D10D3A2841094E300674E1AC8E77CCE31E43DA47EA508719B128835C95B60114D8F5A54444A4C11AE20760A4E76A020C967B68834006D547B1D8C08662A538459964465A4AFD226A4C';
wwv_flow_imp.g_varchar2_table(1010) := 'C64196A892AAB1E0031FD268C2F13A020F42F8C0093220863492B59767319C5A84692A62AAC81FC37045E46C11B9581CC5081200410E02DCA3010B180B555A46FF22C0B0CD44C82EC1E9E4E6E81ADC8870CA619BB38B5D2F9CB48A55E04E77F55CC50BAC';
wwv_flow_imp.g_varchar2_table(1011) := '608943C4C94DC86382F2F474853298C14F8232E8273E41072134A10942B8B110A2B008DFB82217D080C637A0210C47A8410A4F50031728C1D1E4F4E3A3E6EBA38A480A8A231040902ADDEB217D2B5399C6800311418011721AAC254A0625B3B9AC507302';
wwv_flow_imp.g_varchar2_table(1012) := '8D9FFE9893519422D8928236A37E0C26CC0A23CA5429954EB8810F88502323D2585E0EA9A10925C8407843114319D2AB1EF5602B5D76A82F606422560D19A24C3D00831B980057F4CB6B440CE0014F403280C79D0F65A011D5EA9E06B24F4D2A4F2478B6';
wwv_flow_imp.g_varchar2_table(1013) := 'CCB8BA35AF096A9E57768B94940B0F7808ED2BD5FFE8083B2082126A10026A416B0BE3D85139B04D1CAAA653DF923E01221B30C10B1049BF18C42091F48301071E02E658BC223D023C37B2A20255642CF01AC8F8E962A54B674F5AC659FAD98C4B4406D4';
wwv_flow_imp.g_varchar2_table(1014) := 'D7785036641C86B9FAF067BC3982B46E50E3B10F8DD550B8F72C211A917C9F43DF0FDD0272EA611130AA71051480E00AD1CC518E3217601F28631BDB188582C12087702AF8C10C6EF08213DCF2D971691AD430793676A78C344923195630823EE1540737';
wwv_flow_imp.g_varchar2_table(1015) := 'F9134F2A0E2841F934BD5D44010A5010C2D39F1E05471CC331B9100634B8318D6CD0020F4F9082148A1C098E369B54FA803694D3920F7F5C03125E56290B586082FC414D3CB9A280FD4C1083FF07F4150591082C249B2849F7ACCC6BC888712B54818A4D';
wwv_flow_imp.g_varchar2_table(1016) := 'FC58D56F8389BCDD66EFA138EBB149596E2A732DB121F7398DA4C52A1EA8D0043CA05007487084A2FDE121B5B0C567674D073EEA421D7A0CC30D4014C10E528002FBF10AEF77E7400A7EE0650450E00EC52A099993BB357139051AC750052F54A1785540';
wwv_flow_imp.g_varchar2_table(1017) := '6393A184FC9B3929EBC6525EF2DFE277AE37CB5947749EB48EC02A1FBCD08442A4E2136A60C11310012F7DDD8567693D15D05635B46B18620311E01F0FBC0007E40F044404AEE8CA0668DA0D504044984024A847B985C4B1DCC24950E0AE2D4B7D904B8C';
wwv_flow_imp.g_varchar2_table(1018) := 'F9C2276CC222FC18374497E4C91B024DDE50BC4D82D85A66698B54ACCD30D802FF22B84121FCD9F981DE1944011FE4861AE0C0FA319C2FBDD7E1441C8AA8C8D00CC328080B32E917E5488004608E13FE480E64CE286C832EA05CCAA59CCCA59382C9CE15';
wwv_flow_imp.g_varchar2_table(1019) := '5EE1CACDCE96508332C49332244330FCC234284336FC810BEC411F94583F25CFF25801D2FD019FC09835D04113385DD4D1982E755649C8023464C334DCC2177CDD117C81143002882007F99C1D1FC9838AE4D0357001023C4006C8000708060508C6453C';
wwv_flow_imp.g_varchar2_table(1020) := '8478084C96F1DD039441A9350C25155E8310033438822010C22910021438C127842034A0202E2A0853449E6A7CCDAD811FCAACCD66D50D1E2C82A0394244E1811A58941A7482DF08811A64C259C80B3C80940DC15E7DDD83FF2BDC80019A40042440AEF0';
wwv_flow_imp.g_varchar2_table(1021) := '4A465CE278088C4B410D0354412A9C84D51CCBD6BCE354B80634A0C29CC4A213D040314CC34BE422F665977451DE257D0B6C38C55414A44F116356A5512180971D2C6313B8415778C112A8412AE0858AD81FDA49DB1F5D831700C606BC4006E8963806C0';
wwv_flow_imp.g_varchar2_table(1022) := '43840705B89407F01D05A001049A9B2D58E04B2A5383FCD82228CA26100213D0402DD8220341552EBA46E481110A02552A898C6CB82031D260212CC24236A4FAA9C127A4821840232534DC2F415CC41153BC5447C5BD827E494E2C448327A0C03369018E';
wwv_flow_imp.g_varchar2_table(1023) := '5C818EFC48E660C1386C03296C53175EA1CCB59C825598CA752138A113879D49CE99099AD4D328B8401A6C02FF9CB88924D4819D185D1A5841155CC11DF089D2C5181D641414ECE1D3358123304C207E83EDE0C1111CC1131CA221148E2336993C40A26C';
wwv_flow_imp.g_varchar2_table(1024) := '49A2DA19040C5CA220050049A294016044494E44AE78000B48843AB263719D9B3084844F29852A248A267C02193000069C41D6DDE265E4226AA446F6B9CD53851102C1469E2DCBCAD80224A8811D08DA52F2011ED841312E821A8C8510204109B8417510';
wwv_flow_imp.g_varchar2_table(1025) := 'CE59F14330C91636EE5075440203268045C026FCF00AC204460294234D21000FF88FB0B84213A1044A0C03AF51863014821E1CC2A6400103CC801D64DD2FB08650ADC6DBA406F6551E9C29C80145057662A74FB990844002FAF54143129B58F4011FE800';
wwv_flow_imp.g_varchar2_table(1026) := 'FFB2398245D61F73C45674CC5631E5D033A4C0251A0C6C12004A610401885B10D1554A3E401510A87EC50205BE6405D2428862DD7036CA22404104A857E32116965E86256D6882541EC940C551140565AC042B95A92D50C21848480D2E0278362456A981';
wwv_flow_imp.g_varchar2_table(1027) := '1B2C028D65001EA85E2F158EAA08E110364E0E11032D78A57EB5C8288C4235E4C00680800FA0A50FE4C815640EE698DC362C89394DC3E89CCE9150AA392D432F2C83A6726A2F502A9850832C2CC33470EA2F80895FE65C1AF6CE1520411F14661C320113';
wwv_flow_imp.g_varchar2_table(1028) := '2C0F1020411234E618588116D8C1A5DC201434DD1EDA181EBC474900101A72832C3882127CE617280123CE831D2587D965645A38C7317D23FF035C8479EC4F900206604C040418400A8C070C440271B982B9694DC3A41A2D3C4114D84114406528A49144';
wwv_flow_imp.g_varchar2_table(1029) := '910B75DEDA17D90752E0A250755198AE209982A854D0422614C213B8C12760D5421AA31A7505F9A9011594000278C17A9AD50CF90CAAC05EB3C95E190440D45C046C62845F891B60D827039AC00624000B94817BC4C23A06507AF8146D00C3195001219C';
wwv_flow_imp.g_varchar2_table(1030) := '811A84C2446942281CC3BAED1B9662280A7E8D40A2926B2CDFB8A444282082174025FA15A31AED8DFB155A0930807AA6881DEDCC8C66246DAD1D2D54C403682B9022C07E064644E80A02C08078942B3BBAC292BE242D848C3B32032D1CC119ECC1134854';
wwv_flow_imp.g_varchar2_table(1031) := '28E001328602D64515E04695FF2575A92E62CCE585A975864C835CA02D64821F3C411F5002FA45941AF1866EB801D51E8017586588B8A7104EDC5D64829FBCC11BF48119A041195C013098C10354408D10588045E18E900238484395B08E388043EE5A09';
wwv_flow_imp.g_varchar2_table(1032) := '35E4EEED8A4395744393086FEF8249375083994C03CFED4EA9A6613D010208A0C126D0C961DAC9AC4E0113808033D96A120C81148881645266D3359D10905EB0B8822BFC82D6FD022570C11084E6130042E1D811F980548DAAE640AC1D231840B89A0790';
wwv_flow_imp.g_varchar2_table(1033) := '7647B77AEB373E4000E0CA0398C01804162D7C855782C4CB1A45CB509984364106948010441421EC9890212E077370400A252A51A7B8BCA383202833841E1E4CDD42F2C1FF2214635691901AF141143C010F444014C4105EB8C3FDB585B3C5DE40E4103D';
wwv_flow_imp.g_varchar2_table(1034) := 'FCC043806CC8EE8F77782BFC5000FFBC0003988011ACA32B54CD24A1AB2DAC442CF841151C000D104214583014544A77D602E012E5AD215065396753F01B305AE007D1862350410A87D7558527C39ADF27A47014080103A8418C0E0D46E29F46FAC3DA19';
wwv_flow_imp.g_varchar2_table(1035) := '8201F028906E0700932C4A45000504C0AD3C800870817BB882270CCBB11068DCAA071C1CC1019C00BCCE000D7CF12240D427D48701394550811F864AA7508D91083F482A2228D708C31D3C41E8FDD952E2010BBFB07815C245E10003448155C217E20893';
wwv_flow_imp.g_varchar2_table(1036) := '561AD317EC001000810B18810B4C410EE84024540213F648FFECC6AEA3E6001B40EA36846AF152C3F11EAFC97503379BDCF0A22AF296893464833A376F3D39EF28A8401510E69CB8491D38C1ACDA8907848004A0001110410BFCC0195CCA64FEEAAFD658';
wwv_flow_imp.g_varchar2_table(1037) := 'F9F61848A0EF2B4C033724C32BE0411184E622FA03B4965DF9F011FA0C443DF8C31B04000284AC46EC0F771C314450808FD2940CFC000045B127A402B0840432A40217DCC10FE4E70130011464C009400121D0C0401FC3C4804B193BC5405ACC51255617';
wwv_flow_imp.g_varchar2_table(1038) := '2585AA8D1182525554A4820E5081173C81235CD54216427896A71A18E354EA00051FC1560E043DE4291FC5A7ECB18307240011C3A611932D127F6B0404004DC1C00B08A827E4352800D0B2D0C2189441FF12FC1F061CC02C566914D0C116FB2D32088329';
wwv_flow_imp.g_varchar2_table(1039) := '8B516323C32D249074A5A085AE31880A032BD102122081FA5D7556B1A91BD841685F151F8881052F0106F0718AC86873706D31D9833FC001488B744694B4011C005C976C2183344DF5400F102825670228C4F44A808217948111A4146143C10C9CC0199C';
wwv_flow_imp.g_varchar2_table(1040) := '0150FBAD900D8390A1725099310629504F36755333902947C57CCC4D4AA4020F80A6179CDFF9B5F056C329534E250E08410650C1308B889E82EED08CC10E18411124410EF07715B8801904E633591314C6AE0B1898399B3398E46EF186F3CD412A3A232F';
wwv_flow_imp.g_varchar2_table(1041) := 'AA968939258319C65330EC9C32EC5C30E0C215B88025ECD361D681ACE60913A06C022681FF122CF3D419CA618F6F653641CE166B2850C22BC802373CC32D30C2101C011A249945D3AF69DAAF48A54547CB765B07E9431C8C491BC66BE64A0F9800259CC4';
wwv_flow_imp.g_varchar2_table(1042) := '5700902DA40224A08111F8A87808C642CC801380F90938C1F408F5C4144807BFE06A4C9E02918C6235759E8DF033F801038C0134A2370B87177A939018D8186A4500158CF555FA4C0FE38B5DC083096444C8D2E65B2B322816300564DB1DD042140FE849';
wwv_flow_imp.g_varchar2_table(1043) := '44C21D24414660A2FB1C00069C0028D3400608811DC482999F799E41366D3CD66473A9D1B2206653062444C01834C1796715786195A025ACE8D1000D084104A8F687FC7148E55F3115C41D60C4211F4090DAB622672BD942FA0FBCC0FF03A22FA51F0B28';
wwv_flow_imp.g_varchar2_table(1044) := '44821BFC0046284D451C801637370D9C000DD8C1D5619DC454060BAA79731D554F2E4518DDE2776B9E2D20031E043B0FA8295631A542AA91862C010EFC3A0608F30F0EFAE7AEF6878C810D14C17E1B017F4F810F54C12858C17F2DAAC5670EE744A1EDEE';
wwv_flow_imp.g_varchar2_table(1045) := 'CE324803858333C883BCC9D54E86D393CD49383A67C31966B8866FF88627833240EF214CAF9C48421AE0B389A3AC04E880159401177CC11938421E8AEFAFCE30DF660525300223BC0232FC0234C84228484111F049455E74FD3E19FEF6C3912B3B6D6B84';
wwv_flow_imp.g_varchar2_table(1046) := '6DE3B65F01460088479423C2C2E4750C56819781B422238D017CBAAF4301F89A7ABA4745E25EE06545A750391E9CE75AFF83D0420AAD9F892AEC31F2791E235B06D8F0A23D1CC62E47ECC9273C70C0A21F3222BFB5B77647000C06B68DC17D7902282002';
wwv_flow_imp.g_varchar2_table(1047) := '1C78416B7A074330447778BAB84301543EC6E6F994EB8FE94F918C97EE23E46D5730BA7E2EA881FA8D500D8A977831AD8D09010D60C01EF7B1D6B67624D296FA20B9B66E07773CFF6D932C23CDA678EC000B983D2587821FDC411578A38F96BEACDC3601';
wwv_flow_imp.g_varchar2_table(1048) := '7CFA980B01F8FA6DEB6F9EE2E27D733190AABD7F4C381E9E699E4FA542912141B1D56042C658C2AA1F4008C19101438428FEF625DCE78F1EBC7EF7F2459418D1DDBD7E172FFAFBB2A348911C49927CACE2C2D39B07127CA4C4E2A3438E0E2C7DB860334E';
wwv_flow_imp.g_varchar2_table(1049) := '9A3265D2FFB651EB464DDCB69EDDB6050D4A4DA750A339734AABA954E9329BD3940553B66A449A4D962449AA53C709933D6998C058B101C6983768BEA8F964ED4C143A51A0C08DF2448C1A3C77E5380A254BD82F6195B81CF982E795BF79FC10F793272F';
wwv_flow_imp.g_varchar2_table(1050) := '1FC488FCE0C9C3F8D0DF9D0004026426B099F366039F0D206040E07300040F64EC385245060A0A09107836C0F9F30103070830A0D1248A1D47B1720103264CD83060B76CD1B2756B587364CE913D932E1D1B3464D1B14DB75EBC79F3E2DC8121EB2384CA';
wwv_flow_imp.g_varchar2_table(1051) := '2747E71D7D529F7E911A31519A08C9902102157FF7F1D373F75022E474F826F3079E0D32D3AC33CF480B2DB4D81030ED81176ED8E1891D44E02082CDFF0258F033046A23E000DD78B3E393508E114638E24CB4C516608661EEBBEB90C96EBA67AC7B061B';
wwv_flow_imp.g_varchar2_table(1052) := '6CA2A19199EEBC03EF16E1F810220AF40A490F924F2071A43D2AE0932F0306D4F0C7A28CE049471E7E26824C1E7F30BAC71F372EC3ACB3D9C8040D8133676B10010A62B08108257A30C1830718E4104DD0660BE0001DA2E84DAF1251240E185B6261D1B8';
wwv_flow_imp.g_varchar2_table(1053) := '619029EE3A68AA63061AE9A07954BBEB78ECEE16617E5CD10D21C4A004BDF5CC73A410F79A882F03D10E4A0823FDF89B48A28A26EB47231B3A0AC9889092D8E18F4A129000A59480F52187615DC0621B708402A71B6499A586D9648F3A56286A989286DA';
wwv_flow_imp.g_varchar2_table(1054) := '9B6EAAC9299B94D942873E4EC94A10AEFFBC024B2C0974B0A28C2FB838C3116BDE920B0ADEE692028FB418C9CB955730A5448A22D078C3157FEC418C1FC518732C1FC8E0E1F2222FC1C4CC4031C7DC7034D2327CC0841F3838D34E3B673BF0800330F800';
wwv_flow_imp.g_varchar2_table(1055) := '072FC470433DE0721134C55440714545E288194698EB80712516574209C59544697125154F42F184BBEEBE2B8E455AD4E0D3D3F3D4A3643D47F8B0E33D214A88A03EFCF0AB67BF89FAA912408C04A4A0C030C30CF93633D3CC9002147E60C16305F1C4F3';
wwv_flow_imp.g_varchar2_table(1056) := '32032208818733C4103194588E116E38E168819916E67A1C061A6172C9259654520945715B7406A5E85890B699C5CD81C965D32692849A9250D44BB20F3BBC88EF030C1088724A59FFABBC324B77B6ECD21F342E0BF3C0CE38D490003529D8180504603B';
wwv_flow_imp.g_varchar2_table(1057) := '1336D012ACCD0006345802653E46044E1840878B05144F6259D150E270A6E571C863410698A08B0E2513C42BDD9C38A67528CF912447ECE4134F0B59C48DF79A789201FBF6998CD52C0D069985706D56440042478600921C18E10AA3F040023A70052C4C';
wwv_flow_imp.g_varchar2_table(1058) := '7025C37A490EB0A08CA350231BCBE820507C12146449CB5A41898A54A48142A544255BDB8ACA2F96D1081E8C215C92D803B9EA500526E8602C2F284212943084262C822D6E91577CA4C0084AA0C5118C6044CC5EF10A46FC8B0B681858C1FCC10F7F2C86';
wwv_flow_imp.g_varchar2_table(1059) := '1FF83018C2B8B690884D0C6D62B24D682E94210751C00829204004E8FFD4BB901D48033840421452B6084850A213C011DCA088E30A57642266C4E991304281073E20C2893FB30523F618094A64E268DE310EA658048A2794400C509BDF883E292A3CA8E1';
wwv_flow_imp.g_varchar2_table(1060) := '09F9D39A7D08780F7764F18BF050873D0234A0B3E58E629CC18D680C601AB751A007298880C7EE5426316D800748A0421ED3138A62AC487B8303452A08698B434223175443042222D1094479029292EC63A22C299C1F092715626081143E8188F9918E12';
wwv_flow_imp.g_varchar2_table(1061) := '52438F1BD4109F8240494A64AB123D02A8C5C8700D1FB7A36567CA281B34FDCE3414E0C00E4C60BCB97188340D350007902084268CA10F45EAC4DF7211B83F022316B4F004F690F69D50DC810F458244F8720109FF48407292C0A859FA04278C4C788107';
wwv_flow_imp.g_varchar2_table(1062) := '9D4C4F272E0A4AF314020F62780212F4F7048490AD1E0D0BA0AB6015A02FD0EA80401842AD3E720B2BF4AA022E68890553322C1F90621CDC624A36A4910D9E8890AC211C61B4B661AD9A48255BC1C0C55B71A10C5C18A10A9B388424C6D595AFEC70031E';
wwv_flow_imp.g_varchar2_table(1063) := '20CB0D54F00328E0C11A8490175CE2A3069FDD0B0E7E004428401159467041094F2842250CF3C5C534A63F91994C3FC7A8BBDC69266D67F24C86D6248417FCEE33BBE30C0344D084231CB3A247BA68E384010DC50DC3169940C41DAAE0095A0CC7663713';
wwv_flow_imp.g_varchar2_table(1064) := '062D688122EB40E739C8A8592505F5474854E1046330CF27E4C74E222D420C5438C27CB64640AFF5FF234B620B903B085420898949771EC25B2E73F9460AC0A007BDEB5DF23CC3000E18810A5E5043456FFA3740590718A9A00422C6C0858E5ECA668B1B';
wwv_flow_imp.g_varchar2_table(1065) := '462E66661D4A31F739873491706C210C4A6CD20B50CB6E2895D40731C8536BAEB3A795B0D4D9DA3DCC9FBBA3252D17C4D05C9E89033630418CE5889BD78A80BF55A02822547A51E9456A71B9E88421802B5C43D9AC391C256EA46084A809F36873C6C130';
wwv_flow_imp.g_varchar2_table(1066) := '2436390647F011BBA07C1A4FAFF6A4083CA11FFDC3C8785D3591A466C41F5C480110E0AC02381FB00820F0C41F7A85412C7481CF6CA8604CD8108E6381831AA348C4A12B9188698C70193841D6387A410A670583D21AA446B6564869A6C8552AFF5229C3';
wwv_flow_imp.g_varchar2_table(1067) := '0D2C8115AD74A50E6708CB0A24409618A4C002832D6C9FE2322F2808810B94A8C428EF82163800A2128CF882128A9002463044B30953F167BFA4C65ACE9236F469EF0328F00213B8768E1978015DC760873ED456C8C08945283AC187315041081CA0CF13';
wwv_flow_imp.g_varchar2_table(1068) := '627A4829234A51375B77A5AC3CB8CEE5820F62E081CA8E04EEA92DC27E56830F7DC2CB35AFF1C331F7F0CFD832D20E0DBC18430DA7D8031E10DFCD3C60032690416C5ADB5A041C0001111081107CEC863E943499DEFEF627C44D051E9460031AB8033192';
wwv_flow_imp.g_varchar2_table(1069) := '1B2844F148513307A7250325381555D3DE763892D4A416AA45F0A10F6A6812060A62622AA5039FE5ADDD7DFA893B8A95F19FBFA3FF406C30265F184CBB6EB7F18CC785F08431FCB7A4F98E85B7430109115761092B807815AC0CEFDD2E0E9C133664A598';
wwv_flow_imp.g_varchar2_table(1070) := '23EFCEF1C10B3470836D713A3F51D56F9454888FD6C65C66B2B14A6148ED27D9DA9C021B0476CE7026420BDE008A0424C005397081B0889583AC1AEBACC158C63464D18B6950E328CC1A441782800552A450294351AB4D82F10B6CB995F7D36844593691';
wwv_flow_imp.g_varchar2_table(1071) := '953A90A15C53D04108FA0A831BD8A0054258042A0CFB9658C7C70B4ABC175AA4F08322A80110BE7EC2107E30ECC32466B30AD392C3FA01DAAAB377BD9CD940049E1DED691F28771980011292200692F2E17D82B75FEA74602056270232E0044A40043AE1';
wwv_flow_imp.g_varchar2_table(1072) := 'C2B82369B827B7D8FFADC2E08D0181E118A0E11862017596A00F6CAB674807120AA1E8DA42B67400F150899FDC81B322226CFEA31F0E461FFCC11DCC66BD18AEBD1280026A890236400476406DE6E88D786009C4AEA20AE14890041216C16A9A80076880';
wwv_flow_imp.g_varchar2_table(1073) := '200830034A20039060B85084C99A0B19248C526E8EE65044DE882317440C0744041238B0673EE103FD0D3E68A009950E76500C6C68874BA0AEC5FE89E110E401E0AFE12860BE4C206D6663640220027480BFC6A0A48A848F3AC1118A2E758480063E8020';
wwv_flow_imp.g_varchar2_table(1074) := '30400336200458A01390419AE4EE66AC50719A6BE6F0AECA88637162E10BF90FBB7A467ECAB06A9E200AC88D070830F1CA4C1F6405CDD28C221E8FCDDCEC076CFF60F27660F2E0CC0694601426C05780E50A8045F484C50734E8D194211156211164A128';
wwv_flow_imp.g_varchar2_table(1075) := '082D27580F1CBA200B82810DCC60294A28AD94821A284DD3A202175601178221196E6108A6A00FB24212886FAFC4C20376C00876E007048B880C0B2EA6AF09AA8F12EE050FD0400A2C4008A4000E18010D2A4B092821B3C8CFD81E639F3042FD6A69EA22';
wwv_flow_imp.g_varchar2_table(1076) := '320212006D0C00E260000668E33218800085E00852E60E0AA11010A10FBC200A78E0042200E9E623033EA0040CD00033400C4EE4EEBE83DD248CDDE4AEB82E2C178AA1183E41151C610F18518FD2233D0AA16AEC6029DF23A29E903E4A103FF0E104CDCF';
wwv_flow_imp.g_varchar2_table(1077) := 'BC5AD01FDA21060D24A074674D6A29022840071BFFA4A1DE080132804FBC40DBCA4EC450F20430800158B21161D20061920F02650A35D10AF5F23A8EA6C216707A8EE1188052153AC10E980003FAE0BA3E6111946429D5C03D9A240D55720D05A40D550C';
wwv_flow_imp.g_varchar2_table(1078) := '0EFD21EA44CBE174C736DE08FE0C0423F7903338326F78E008BCC00D16011148D2249B602018203631A0254FC0096D730C2E89C99AA366F892C8B050185E0AEFBA30166A212821610F580003F80F3D9464114EE731F1671119E0DCCACCCCFC41166771CD';
wwv_flow_imp.g_varchar2_table(1079) := 'F0830B3C60F2725105BED30680A0053CE10A7C450BB04082266858446F58468159C0411A6441169261F5A2115AA83110C6011C828114E2CAABB2E5D2282DAE5288F72A0D0D70005C6CA81DD3FFC0F8C8A20AAAA00894E00886E8D5A44F2EA8400DDA090E';
wwv_flow_imp.g_varchar2_table(1080) := 'D2E20BFEA508B8C00F1A010F94400ABE6060C6EF60CAEFD81E32D9248E3377C70E27E64C602006CE260284C00884A0075053240BC10F10810AE8032E9B703E6AB3360B102627517396EC261345B7A0740133677010E913786113D2C009A6000A30E004FA';
wwv_flow_imp.g_varchar2_table(1081) := 'E03C3C900FEE420D4E5208846009CEB404A633028E808032932A3BEB3F12C305B372B460744C6A90B47E07015EA0BE0A040144E007CC541FDD6024FB20480B822533200416B5006BF30961B209624EE61405462C95136F92018F41156A4115F680099860';
wwv_flow_imp.g_varchar2_table(1082) := '0ABAD43706AF7E1EF324D1144D85A02026B39E964E762E5356A4440EEFB42B2FFF123439A3E36C6CB418E02379A07DF40F114A2A48F587006793368DD4094B40073241732AA939A0F437130502BB437D8A815337610A9C6009A64037F0E07D1C011116E1';
wwv_flow_imp.g_varchar2_table(1083) := '0EDC600C52710974B40996404DE9A30A62E53ABF6616F3C11D6A3123AC40F298AF0572715F8100042201CF2A0004D8D318B3CAF3BA601C44883F57A117C081D07A6284586F1CD8000CC04117A64285AA65D3B2C52894221BBAA11250C00A4E4113D89109';
wwv_flow_imp.g_varchar2_table(1084) := 'CE002C786807ACA00A94A044A360113EC1B0A0E042F148434714FBA4E0094CD489E0A044D1A0300A66215170611C92C5C024BEB8B2624EE59F96C70444E08D4C00099EE0087EF509D480A4481212DC20361BB125BD16599FFF500CB6D026BBC33A886CB9';
wwv_flow_imp.g_varchar2_table(1085) := '22700BA1A116A8E02B6680014C760668E0100E610FCE800CA0800CF4360DF4165469403E10EF2008682A87560561896CEAB4E1ECF4404E0302CE66330075DA0E8003C2EE09848007A2400DF860E85A33365D723E8E355995F50911011A86E32E8B6B5154';
wwv_flow_imp.g_varchar2_table(1086) := '370BB570388AE164D32004306006F6000368C00EEAF66EF3166FF1160A98800670200D5B91326327C51AF2E908A6C5243222376469D386001E200536E07758400892A0097440079E40DB466E08DD207409E26B0BD036594E0DF03273A4EC6C75EB267533';
wwv_flow_imp.g_varchar2_table(1087) := 'BA86E113D2E00CA6E06D4D9601C0D00EEC9677F1360D9A000A9CE06F97704DC92C40FE475ED7CC5EBBB305F4FF755F73713C7FD6578A650BB0200EBA80828BD107A4016183A21752CF5958AFF5C00116E42010966114462129A025286AE2AD5EC1842BA1';
wwv_flow_imp.g_varchar2_table(1088) := '1200210ECEC20A40600AAE4213DAF153C5C205BCC00A9EA0655FB6B0A4EF42EB4289D0400DB84067B9603000C10FD0A0084C941608A6D8869661D04FFDF2E44E6D290238006939230288A90CDC207522AA09AA4035AF09C83A210AE0527C91757C4B4008';
wwv_flow_imp.g_varchar2_table(1089) := '4221380C29533587161C0766964C0B4D44186241153621909D6076D3800666400F08611DF14A10E88091E9800C9C000A4EA023B5A60908A81FBCA68AAD9205B1F201DA6B7169634D3C59BDE48B03C6608CA3000974A009B69724AF490CABA08D43177C4B';
wwv_flow_imp.g_varchar2_table(1090) := 'FF00524B800A82E374EF12456C218F41EA122F25306B219037810C186006CE000730400FF440133481150841101C990E1EF97F85406BE883782DF331DE3023BC44EA48D3E16C29343A866909F0DEC6400AA260509F40088B04BB9A6025C3D78D21753EE4';
wwv_flow_imp.g_varchar2_table(1091) := 'F850DAF72607C57B3C2115882B534FB7448EA11616219099E0009C200D94B90E12991516799AAB99069C00F1C60C3365A580B3F37532420A12585F3DBA815B40096E210734A0035CE0A451BA60458F14A485D01AF6A51B761C647A3F8F2518E4000CBA40';
wwv_flow_imp.g_varchar2_table(1092) := '0E48C11346A1112AA11162D80CB6400BACC00786C0055A40055A00046000044C40023CC0A9F720F898C009EAA04151600554D60B80480982FF38FA102B2EC4E00B9CE80DD8C544D1000F08D20FCA4042D1408A53146134B9616CE768D96FFD3E838BDB6F';
wwv_flow_imp.g_varchar2_table(1093) := '3322E00084000F9EA007840009FCCB0D1649A58E041156077CE9D936D520174221155A464A8B23160C41A5262914F6186902DA1150411550C1AE9C60060AD90924011550611758C1A11F9A9AE960060A02F12C193F1E064E1B72050F468B12F7AE778778';
wwv_flow_imp.g_varchar2_table(1094) := '36C0930F24011E4004EE600C84A07AA960EC0EF57D8E0412541274E7B9256DB99611E1DBA467978121131C21122021127CC692A88C45067A135AA11550C1129880B471E0040821B55161B559419A217AB4CFE454B41956B91979BF7933E990343AAE631A';
wwv_flow_imp.g_varchar2_table(1095) := '0E8D10E0AF9F8007248A2EB4FFAD481C411532A1109810BAC5F7519FD00D1E277BA0CBA52C1B122EBB1340A18E7BA426B501B451FB140861B4CFE00468C012529B154EC1A10521BE1D199263FBDC2C1A5E5B25CDDCC11ED04F8BACA03B199881E10C0452';
wwv_flow_imp.g_varchar2_table(1096) := 'E10D7C2507B4C00728E818DB7314665A83C1611996813E57A1A71B610DCCC00CAEE00A9E2A0786E0A851FAA44100045A60044640055C0008CE5CCE7600CD15680AA67A13EC56DBD2400990A00ACA209DA5409D090BACA1605E6A5689E0C02EF000111AC1';
wwv_flow_imp.g_varchar2_table(1097) := 'D640A111D0E00894E00B0A23AE17031FAA72C528C3AE93769C1F8003F69AE308E0052C973CBC80A2B80DDC42610A0EE073DD58C26B598E8F01B73CBC8E33CC906EEE3BB8FF301700B9D6ED2A7767A0094E61C5551BBE59C1B5E9C00962930019A04DC5CB';
wwv_flow_imp.g_varchar2_table(1098) := 'B60DAE4A82B61FE894401497DA0C200138A022C784010C600392E072A360EC44EE4B0DB19C4A7D96BFB6966B3903A2A071204C97656E4574B3B8D2E7528041151601905B01CEE9364BA160D7776117DE1BBEA5999AC900B63B329B5D950DF19B689157C7';
wwv_flow_imp.g_varchar2_table(1099) := 'C179797527343200D31DCE63B437A28E490DECA0EC46A4679A20DC5B32741FD5096B53080A25DD71CE448C430A778BC994E6C22630165AE1F950A11070F710EC200D66200AF4BDD757BBB59D60903DB7A2EF033118623FCC2F80E06180B8860B4C605FD7';
wwv_flow_imp.g_varchar2_table(1100) := '5C3CE16CCD6F60578A5C0B24C80CB4C0F3B0DE05AEA012E2FFA0EBAFFC0AA4A0CB87400546A003C81C044680F9CA1CCD5BE0CCD11CCE5C8008B87C085AD60AEA5E09ACC00AAE000DCAE00A56760CBC20F0C760F0073F60F8FE0DE0C00DBE151546C9311F';
wwv_flow_imp.g_varchar2_table(1101) := '530DDEC00F0C010EF020F219A1123201F329010EB8400ACAA0D1B5488BB8C88BC8AF61F0438C3284BD2686360C2003CC66F54383059EE0093EDD0E448E0F20E1A22207116497B145D79633000F8EE1D57599279D6397732EA662011100191136410C3EC0';
wwv_flow_imp.g_varchar2_table(1102) := '09A260B4A1E00C507BDF59E1BD5B1CAFA879B4DF129BA3F23EEE011EBA0831FAC99582368BFC811DB47271EF2641B8F84513840038800A9220B945CE391DE1A2C81007004243860C18061A1C58224389FF85253E097B080C9830890F2B5A1C76B122B061';
wwv_flow_imp.g_varchar2_table(1103) := 'B78E416AB569D3A23D3466906132038A9E53A876B172898A954C3A82E83899110141840C11DCF8BBD72FA83F78E9E8F13B7A74A83C7F4CFDE1F387260081A952A54EBD4AC000820C140278BD8AE00082124F9E7811E3C64D1F3E9F3A858A55CB11C1B905';
wwv_flow_imp.g_varchar2_table(1104) := '0F9EC870E26E89137826468C280CA3C661C886197E28D862C461B1166D42B568D1191A4EA0DC54A9A9254C99326BD22133E34084D119A430EDC7AF9F3F7AF09C22CD071BB6BBA7AA55FBB39262C70E20BB81F8FE6DA3CAA8172840183F6EBC420509203A';
wwv_flow_imp.g_varchar2_table(1105) := '747001C2850A152E800CA9EEE23A111745B20FF99E234978254AAE94D1721E0D9A2D5AD0FF6879EFFE0B972B5692ECAE92248991FD469254B102601968DC01071E063A82071F7C20C847816FC001C71D7EF801C784154288078468B8E2CF3C48F5238F3C';
wwv_flow_imp.g_varchar2_table(1106) := 'F9DC131B3FF0B416543F4FB9118001045805E3552E22B041045E5995150108B0C0851A62A8916021887C124A2AA11C430503057D30D75C779DC0500942B8224C2EC2D8321162895584114512FDF597309D50B1C91E482CE1C41996A872081999BD04674C';
wwv_flow_imp.g_varchar2_table(1107) := 'AC482288673731C040040B3DD1943FAAD1E34E3F248E68623AF8A0E60F3FFEB0D3D58B54BD68D501064C9A0107383A3A29074F8CA1861A7DF42124256FC512CB180C30D9A4417729C45014B4F80526445D7E39D1965F2E16CB1E9658FFC204144CA47108';
wwv_flow_imp.g_varchar2_table(1108) := '2A96A421092AC6EEB2D94C766280C14E0BE1F1538A43A5230F3FB1E563E252B6AD88638C5819201607367E35D5A40694E045A76A818A4827A914034A2C4D1890EA404C3EC96A064DA4728C2D61066611C0816194D8AD8BA942E61E4B309166666D66662C';
wwv_flow_imp.g_varchar2_table(1109) := '9C9CB142D367779286AE9FA8FD19E8A0D7CA06548AAA7191C20FBFFD46041029AB3C8A1212A0E0010AC579801C742EDCEC8278497CA7440E55286105D0570C6DC515ED5D818619EBA527A07B43BF378616577CF185165F9C674515E6A1F1868077BCF186';
wwv_flow_imp.g_varchar2_table(1110) := '21918C4DB6218C9C0D488318C2F120DB101278C7D76EBC7107D76894C185271D7E18E288259EA8B1A0FEB0E8A2B7DF6AFFC5010237624540042FA8E186A77C14E288A8A9C492CB272114549741343441434251F665652EFF0A2C58975982196B2D53D871';
wwv_flow_imp.g_varchar2_table(1111) := '06034CB4D24A4BC7CA39B14C92D0C1BB4D18E4C9AA69A70505A8A07F1BBA716A8C56E568F3E56AC515F356E9C4811777D8E1E9228E1069642EA19CC080069D0FF4B9E80A85EE482EA69B1EE646B7AE2E2BEB11C532C51E7B6040C326B4FB527BED9CE1CE';
wwv_flow_imp.g_varchar2_table(1112) := '0A4278860C4E6896B35800AD90A9862846B956B602770FA8B4E851CECB8A5810C00103300F2B113041A73C052A48702F14B9A044B39A95AACFD1002F7949081E8EF1177FAD6E1812491D6220223F6010C3757B48C301A040BB56F8C258D6D0042B4E2113';
wwv_flow_imp.g_varchar2_table(1113) := '97E86E80FF4EC0939E4AC0022F246A63FD289EC73EE60E050A850B30305911BE08C630EEC0137FA059747096041FE4600A39C80179AAE083A2A1073EEF31431CDEA385376C418EF4191A7D8AE6C72BBC413D6630031CE2F007443622129530041CFE00C9';
wwv_flow_imp.g_varchar2_table(1114) := '4FBDA10F747B03852C34A13F18C26C80F043287EF136B6816D9073BB1BDEAC2005251CA1082960C46A3E040F1179CC44280ACA53A252B847E1085C08A011E3B2E2220AB000726EE083F63AE11652E5E209A7A2CB404E708627EC054A0B7155956CE1AF7F';
wwv_flow_imp.g_varchar2_table(1115) := '11EC8602CB6144604885342C01034C20842690850A49684280B90BA0676C52C0036080215460CA3E4E63C5E31D2A358A5A9E2E19072E4A29AE5CC0A4FF9E17F8E0063C50AE2D6F39D2180E108281748E06626802425A553AF9018C8601EB660E87610726';
wwv_flow_imp.g_varchar2_table(1116) := '4C61062BD8831D50C18B744A829D1323042BDEE9842646A0204228811AA22514A254CB81B10CDC53CA30C17F5E45520688000500AA95C63DEE7A931B522846950B2A1C8027E38366149ED4C226C40218D96C1F0D01933A5AC18AABD93CC614A6C004D911';
wwv_flow_imp.g_varchar2_table(1117) := 'E2314354A7242431A796D6C9624E38000306C20216982628A9A962A03E76AD2C8A6C6431505918C3988422D8E00DA348C21F465948B0C5A190898C431CDE60C7C89A816881348F1600F434F58C12929034442316D9884AA876B5AB35048548DB0708F521';
wwv_flow_imp.g_varchar2_table(1118) := '0EB1855085FC40B64850A2128C00852BFF1E04B6315CA10A3F4B02106EE0010F5080031CF0800952E001571AE5282092E5DF6AA9227FF821000868DEA5885AD44699AB970C20C0066C8AD0633E3516A9C845273EB093BA30090351508310F012A54254E9';
wwv_flow_imp.g_varchar2_table(1119) := '4A5DFD92EADCB73AD6F96BC0C71813060E300327E821339A8002191EDC3B420870AEBC8BA93CF355CF7BE2131EFDE029F252734F78BC20A81504EF569A375E033C800555E0C31D16844CA886020705114893EABB42BD2CC411FB659F5769E55F83C5F02F';
wwv_flow_imp.g_varchar2_table(1120) := 'A9D84308949426FD69820CBC6372EF5E4A6102CEE0770A1142046EAAC069EDF46FDA0A4A3EFC0107125F6AA8E1C5D4A47A49000EA0970F88800424D68BB94E6C2EBE07898218A080FF97F39560115502868F731898207F154CD8E46A81A77060721E6213';
wwv_flow_imp.g_varchar2_table(1121) := 'BBB084839DFCE43A3171060C902714C9729AD4ACE6AF80950D6DF8EA8F2FFCE08B49204211129B9FEFEC6C089E88C436C6016B6974431ACA50062E6E7DEB55DCDA16A3E8F52852318A4A908DB49645A46955EB89642B3BD995F044B3571B89458A6D93D4';
wwv_flow_imp.g_varchar2_table(1122) := 'AE36B5FF80080BDD419386F803DBD0201F25941A0626502E0412F0800440E0010FA0000524C001777B20017E782575FB364BC0A5E8CBA0E0AE7791BA95084CE500C02CEF01445002372C6241441A552C8E31067AD998494C828210EAD22A2A61D34AFD0D';
wwv_flow_imp.g_varchar2_table(1123) := 'B046058CCD8D03A33153403014086109429C20C195E99DA47B679329FF63004A2CC8C011F6A1613FE5133685C2C751708EF32790B88259D149A39EE722029860035EF0039B19AA4C60D8210211B5715D848003169620744F509FFAF81BA641170C30F22B';
wwv_flow_imp.g_varchar2_table(1124) := 'F4FA1091066695F310842820CB9DFCF20ADF845955BE72B492A2536B95C81DDA62CA533221E65F02932756999458C4C2029B0A4984707E7815EE8AAACE593C2FF8D5572E8EC1BEFEB6CF4BDE1C70C8AD148B3E943C2584E8831E6680FA98BAFC9DF0AC2B';
wwv_flow_imp.g_varchar2_table(1125) := '03B69E103E0D6FD37AEFB46053A4283F7C413D764B5AEFCD30C838446214CAE84637B6110E588FA31BE350873AD6017D589BC31CE008C736662D8DEC272318B7BE85AF931DECF05742FCC8666D25503BED48581BFF117FF00325EFC6859F1961073048AE';
wwv_flow_imp.g_varchar2_table(1126) := 'BBD39D6E74434002FB4FAE735B000340700449A004522005495009FE500F7C635D3CA76FA0060C08904B15647811C0014527810467230CC0021C80078EB03DEBF516EEC51319A0011A4071CC32530541032D580285800C1C5768DE4483431672B6900BB4';
wwv_flow_imp.g_varchar2_table(1127) := 'B03E7DC004BF720604A4246F4713AC175353467309717338A7313B872D44E1738AA284847315632616F4227012D85D92C25D2240016300096D964CA4720CA1B0020271829CE34C1940035022048E8079A573253F06186395439F670B0F970B8800053400';
wwv_flow_imp.g_varchar2_table(1128) := '0567B08794967A644061BD5384F344033565775996770EC47781A328B6302914F45D5A4101BD9481FF45D738CCF5814E950AB520869D8001028186065110A897176B5808FDB23E35884375C8555C950B388839C7107A4C400364E087058401A9C73B8368';
wwv_flow_imp.g_varchar2_table(1129) := '3194760287580211F00439473C1D035824727BA0060AB9E58CCFD86D9A340AAD36599AC448A3806BD2907CE3007DEB400F21D28DDD287DE0000EDB608ED9678EE5880BC1667EA8B54863B349DE5637653006F8C11BC4A15CE89600FBC88FECE66ECD9502';
wwv_flow_imp.g_varchar2_table(1130) := '36F003A6468056C00507899063403555A0370B786F0DD884F220328A820C14904B1B34151218010F2023E6E22219F00025B02090108698230C5E7057E2233E04C12C9C738B4E9001518025B1784DAF48761CE53E380972B188833A2886F29212FF851884';
wwv_flow_imp.g_varchar2_table(1131) := '4CF64E04246533977848A8841B663C84E2843FA7847E90231424233A6291C0E4225A110046D513944092458239563206A358173B411033200450B01062F086FB5583B142839E873961990B76108CB648694359314DE60447192511800738272D793728F7';
wwv_flow_imp.g_varchar2_table(1132) := 'F040B6F165C3705442D591A31189398200E565542FE86650E5758F278A4D421A19901296910154200C6DA979AC13687418119EE76738A83EB3180B697002BE52122D69127B297773C7102B548CC353451C764581A545AA010A8C905BC2266C8C048F6453';
wwv_flow_imp.g_varchar2_table(1133) := '8D9110075B70056A9403CEE93357B005C0F707D7780BB8A00CDA086BCFD78DF5400FD0470FE1590FE3390EB8B05AA70508890407FFC0E71E41735CE546010FB06EEC0601EE26011B905C2660022F200302696AC475900A899007E9055C80067E60086520';
wwv_flow_imp.g_varchar2_table(1134) := '6E55400499B0370FE9370E584B89E20FC87081FF763895684103372366C9073176394F150A9DE04CB2199B18D09733D0823C26113C39836FE98AB128A3B6E09398130A28E10494817AA80769743577F3C4109A624F4D0128FC906F860295F7E4078F4974';
wwv_flow_imp.g_varchar2_table(1135) := '53311A04D5910CF000115006230A6724140A341001F3C59209C699BB081A2B5A2570F85180E63E20A79AB9402A6B1A05BBA8A33BEA04304740453865ACE242829953D4527BD8D288B6A128C470A15429230830A5859795BD64107C20A26B4A2A9FB0929C';
wwv_flow_imp.g_varchar2_table(1136) := 'D39230C92C267102FF4E80033C760C35399AEF1397648583AAC9A870C10433E7042BB7A33D1A53528613769A01B9B90FF9C0311DD669F9301B83E50F8D746DD4A67EBBBA498DF0075263595BE0036C7433487033D1811C20300236131E45530666A049E3';
wwv_flow_imp.g_varchar2_table(1137) := '776BCA900DE9B80EF5D00FF5B00D9E305958203556900346E002E52601ECA68FEB0601F52901FAE95C30B01B45401E52E0056370376E10096E5006F4C805F49A1674E30790E009A9109C63A004F891800E991A21C20FF85022F2805D7F7AA16326155AB1';
wwv_flow_imp.g_varchar2_table(1138) := '911D9A135999270FC0006ED00994D0169FF00924392F2C299B644008B1D97A5100433C99519BFA9676A83EB218AA9F7071954A193DDA7A45281A03A166D59373FF7E520FF0B0B0FA841A40B70F8590744DDA4B39819591A8157982004F9009A19009C844';
wwv_flow_imp.g_varchar2_table(1139) := '098ED009CC44171130031F40077B30653340070C435198774D71D8553AB979317A87CA442AA342055346197DC97A735A8874B710191098FB309845B1A787C914108B15DEA215539A62494BB108A00623DA096D21429D80044A8242CD32034DD0764A1273';
wwv_flow_imp.g_varchar2_table(1140) := '4C4005983760AFE8B22F3B60334A0BB430B33440AA370B733E7A13F264960AE105402714C533ABB49A65AAE148707037BC2720E7911E5AF0AB7FE06C91509D93B5597FE40370441F71D44649E00255001DC76146D14104E55134681007A9D508579003D0';
wwv_flow_imp.g_varchar2_table(1141) := 'F1021250AEF9A76EFD671C26000230D00286E51FFF06D934A3F40608458F6390095E90044780044A7007906036909009CD160ACA46095F405C0D094B10494B8E58A11E20A814EB8F16A91353FAA40460571B200478E09520F895857042248BA27E987A69';
wwv_flow_imp.g_varchar2_table(1142) := '50AA4C0009FD42562E0AA371F9A93948BAA412A29973964CC0647A609476BBBABF431A8927454DA11AF7E00E460A1B86E98445AB84882081FFF4B40FC0151140B109C0B44547013D30069470B59050399DE008277042574C03307C6074E0C133C004A130';
wwv_flow_imp.g_varchar2_table(1143) := 'A61C1787A459C2A7B971A31BAA0D75712A8A8B4D26C377822775113A09C4B70BA4A73CD577143A0C083C855FA113E8C6159618014ADC5D19C90113EC9521DB169D50081AB0822D19014ED0C5FF5EDCC54CC063A659C675F879289CC6C7E00838118C64A0';
wwv_flow_imp.g_varchar2_table(1144) := '079FF160321C1A18A01317A506F280A77ED59480B58C884246F1C87E91F4077DF05860F30739305BC2775A8D1007DC6A479345BC85F41E810420596305CA9B583763032ED002C6811DE4EABDF759CDC7010439431EA0C535601321103248E0F6055E5006';
wwv_flow_imp.g_varchar2_table(1145) := '88E006514005461005FC21044A80078CB049C29909C9D6BF9E9009F15705A0A0800C18A1113991FEF00C3D20A896A8410690000CA0133961742C60044F500642E2088FFB097830061747552BC8007D79134E50073771069DA08AA6B3719D9BC943A63E3A';
wwv_flow_imp.g_varchar2_table(1146) := '98C22A1C0B6F410954F5012C1753314DA7AC6B962910457D1214F5B0C385D973FF49BA0F90400104C73C5A31C48D23C809B0B426600452905088C0086EE6958560074850102BB8820E366550D0D13370064712B370E8B29AD75FD974C6A1AAC2468203F2';
wwv_flow_imp.g_varchar2_table(1147) := 'C472302DD353264F2894014240037B2B328BB8775D8628C80003839B9168D6D796B8B40F20024720056A50088C10D18D1B098520063C40772DF93B92BCD17AE0D1BE700C22FC67653CD69E4AA329ADD224E4082764B332DDD6A1B1B403210442200640D7';
wwv_flow_imp.g_varchar2_table(1148) := '574C8845BFE90F99C06D88108FD1485AC01B09D1F19C66B00588247CC2878DBA860BABD06BCE767E965548C6DCBBE8C1595223205BD033DB6104E1E1334053BD982559B83C4AF47805F83A06C9FC335C00096E3005543005FFFB81043F2004497007F06C';
wwv_flow_imp.g_varchar2_table(1149) := '36BA55CFA0E00994508FF9BCCF109A6F12897B004D0492388585EBC00FC0012CF0039B52066E70074EED9508E50535951012F5C841897A7500053330050F670BAA8883FCF5B935E8799CCCA80D150B8E60574A4255A9B7A3A76CE29522254270C3C3A3D3';
wwv_flow_imp.g_varchar2_table(1150) := '3CEC80480A623847092200295F91B4BD64C483BC0126000347902E6590E094100990E0076EE00548800222C0133BF1C895B1D15B7D0697B73E3238642F7B9AAF28D2341A0B291DA2B1D0091B50E22BB8726F0AD974A7865847C779BA653CD7A7A0F60C3F';
wwv_flow_imp.g_varchar2_table(1151) := 'D0C7C034B1844A0183CC1522900247B0AF7780077ED06690C0E03C20022810018E7CC5607A133300C3165E0CFF1391799E5BD25BEE79681C0BAE90E9ECB5D2C7B0087812C7BB98E23B7A0076B5992DBEDAAD5CA4BD191BB1AC1A95E0079A0449ECB709B7';
wwv_flow_imp.g_varchar2_table(1152) := 'BD09C2A7053AA0EBC7C1AC39209D71808DC4100CB5260DDB907DC7AE0CC9B08EBD569C89845966701ED0BA59C91C3443A31E5B603760439D689035A8060449202059F31F41630588D00751300547B00442600442D003EC1DCF674309F3DCBFCD08C0F68D';
wwv_flow_imp.g_varchar2_table(1153) := 'B0D5D5CF20F2B0FC2DA8836A541CF0035530061972077303078660CE6590048927022FC00325D0E3119E066480A275001A4CC02F2E2AD2B48025619DE58436D220BEA646420B85301AA05EE2CCA2017852EA788B033890DAAABD94402BB447BA4F545409';
wwv_flow_imp.g_varchar2_table(1154) := 'FF11BB38E56274FB99046380E007FF066E3021085E051DC8022FA0EB06411ABB68190986F1339006C5E075FE128B966E939D47E964DD939E7D3997D3D22E4F5E66F901BF53EA4A128C872804A043C71AA653B2EA8079AC1A73DE225FB14B859B0126D003';
wwv_flow_imp.g_varchar2_table(1155) := 'E4EC061142E408EA07F99A042FC0023273033507E52BC8D51B4D0750800150B0553064835B5FD237D8D9B4A0E99ACEE924C407A00EFA928BF669CF8272DDF642A006460BB4C8F831CA08DBB0AEF0DD56CB9074EB90540B3EC0042EB0BD53104737A303CF';
wwv_flow_imp.g_varchar2_table(1156) := '6B05D1166DC00CECA3B00AAB100CC39E9DC7777CC59E7DCAC00CDE870BD2000ED9E00985E47B47A305C255067D44AF57F0DD4AB01DC66504FF5680065E30EECADC076E50055480044640BFF3C7DEF0ECD4669309A080FFA9900965405CFA0C10F5F80DEC';
wwv_flow_imp.g_varchar2_table(1157) := '274F5EBE7BF910F28307CF5F3F88FCFC312362C022018B19112088F08083081332521CE1C38892274388AAF030C283C50B162C8470C850330386194ED29C7132834E9A1953721DCB95CBD6315BC08CDA622A0CD853A84F6F019B5A155852A6578DE6A2D5';
wwv_flow_imp.g_varchar2_table(1158) := '35D6D754B142D142542203030611D01E40BB162D86122584CC6DD24488987DFEF242AC078F5FC285F0D2E1EBC70FA23F7E943C5C24D0D80082C7112864F818F2871B48913245E233A687911E1E5E8CEE81C2664D9C67E8E4AC03744F2E60B18E29BD7A55';
wwv_flow_imp.g_varchar2_table(1159) := '58D2A8C09C3A1DA63BF7EFABFF5E63B9FA1A2B6C261667232C57CB9CC101B6184ECCA53B17CF3EEC79FD0996F757E13D86F21E46F4878C4880C6E9356EA4F0D1430F1949F864A21F0991971E3F5E98D82F6366CDE5329881063A789AA10E326680E298D9';
wwv_flow_imp.g_varchar2_table(1160) := '80CB6DB7A720945018A7A262AA2B5A8633AEB85816B9A9ADB63000F1000C22988EAEBAEECA4E227FE871A71FC01492311F77EE81883C4FD078E38E3BFA78C3C73ECC78C38C20FF004182075CD00104103C90E04928AFF8230E2AE3D0C20C33D688030E2D';
wwv_flow_imp.g_varchar2_table(1161) := 'FF30A4914A3C1173945B8849A61A69B691469C7AF4A1279946CC4003CB39879C138D243470C1882BFAB8C208105030C103134C48C28A248C48A288228020C20B2F90D8A1FF071D74180DA423C62863534DF948091143FCA82206225CF14720820C424846';
wwv_flow_imp.g_varchar2_table(1162) := '861CBA51A26B760860565A6BAD15A3C71E7B6083177E78C28B31D470C38D32C67043065AD5220003287ACA69060C08382397B0388C05430C6D594ADB0B6DA1C55B6FB1BD96C354CA2D3714744349E50E0308B0F5DD59A16320031A58E0818712C6F067DF';
wwv_flow_imp.g_varchar2_table(1163) := '7DFBE9CB3B85181A8CA07EF6A52401786D75D7B1C82810C1572E3475038D62DDA822DEB30860800C2666F0D8090C0E70C3DAAFB0E50A5B70BBFD56DC0C852BCEDC5442014566483648F85D020EA8292EB93228C49F7BF2CA8B3B7E660C6FBCC2FCB9E6BC';
wwv_flow_imp.g_varchar2_table(1164) := '9B6F4D6FA30758B8C1882ABCE062D361C7E02306F4384220FF000513FC9801698109E52B5B62491BDB6F536E9B2B70570E9716573074A5DCBB634E175D352238A0E95A752E8186B884C8408DECF6AAE7C51867A4D1C61B0B2EE716CA2BAF3CB65192BA25';
wwv_flow_imp.g_varchar2_table(1165) := '122F3937E48F48223164F4D047C1E5746246796514D6297FE5165C56B945F6D3613753996CBAE9C69C75E659A79B5B5E11DE96E02DDFDC903189192674E643F7241531A30F332C4FE8B39E924828C904945440F11E94BA6979856E4F2249451D7FF219C8';
wwv_flow_imp.g_varchar2_table(1166) := '3079E0D127C656912EF81E57DE8083C7FBEFB87F7F3EFCF01F913F20C27F3C7283FDFC60084A9CC416CF80444942610B47F4E113B550C5221651C13EF42116DCC00637B2F18D6C84E38323FCA008C3F1FF8D6EA0F083DD58610B4138420F72438633CC06';
wwv_flow_imp.g_varchar2_table(1167) := '07B1810D6008900F7C80431FE080073CBC01883CEA1F221C018904263013D9D04BBFFCE50E80814730F8209844C411893BEC6847F8BB031EE0D03FFF853154597483FE10C108CD782216D7F0441F1091096050A20F94A8C5273671C13E2CA20FB6080736';
wwv_flow_imp.g_varchar2_table(1168) := 'BEE14712BE5084826C61380C990D4422D283354C24236378436C5C031BC8804418FDC0C321F2E80EFD2B841129F1094A382281E900DA8DB6938EEE180D1EE2895C8B5CF1C5370CAB8BFAA3E5172D29C0FC65B17F8680442652618B6B30C20F8808853020';
wwv_flow_imp.g_varchar2_table(1169) := '8187095670138ED8440663F18D450E3291221C213551A8C213A63085887CE10B63F84848FF7690169040C40E7BC8871EA5139DFF13651213188E153DC44530729C8C6A14B9C3204D1FFAA8073DFCE94F83C8E39F03F5679BEA71D083FA739FFAC0674317';
wwv_flow_imp.g_varchar2_table(1170) := 'CAD08646B41F0F5DE841F989508AEE33A2FC72223E39FA51907E547DEB2B88FBE0D710A48554A50F59694B5DDACA8842D4A533A5A94AF359D38F6A673CFF028C140766989BE254A8055BA943216A4AA186831D42656A4BED0152C21C8668AA64A5139B7A';
wwv_flow_imp.g_varchar2_table(1171) := 'D590B6F2A38539EA78B0FA55960A55687A21693FE609BFF53144A74EC4073EEC610F8BF693A0FF446842FB59D736EDB34DF968AB42F0C1D7B4BE55B06FE5873DFA61D81B0D56B0F3602C5EF5CACF7B1C34B2F7F86B3DDBDAD6B7E2A3FF1EF7E02C67EB19';
wwv_flow_imp.g_varchar2_table(1172) := '30C751B6A1FE30485B07820FD23A04A4FCA8073E3AFB59D8D693B389DB4767B153587B14761E83FD6BD1B0F3D481D056B8C3256EE2329A51CE1E94B1CB9D073DE2418F796C961EF790476D6DDB8FB5DEC32F54E4076AE1A18EDC6E35B208F56767393B5D';
wwv_flow_imp.g_varchar2_table(1173) := 'F4DE23BDD435AF8C163A5E7B4477B3783D2861F6618FDF1657B8F4F04726FCE01079E4361FFA085861F58BDFDDF2B64D9DA587753B1B0FF3EEEBA9524DC73CD22A915566B5AD9B356F873DFCE1A00977B60E76AB3DDACA5913DF48BF2B66F18A17BB5C10';
wwv_flow_imp.g_varchar2_table(1174) := '2B97B933E6AE61F6A55D7FD4D871EE40AD445F755C2003B93004F3313E812A91221BF9B4409D689393FC6428FBF8C2A9FF7D9F8C4A2A3FA24639CAFB5A2BBF82DA511563393BD8151A6D9B3856346307CB5096088BF6C5223397B9CBF8F0CB4907531828';
wwv_flow_imp.g_varchar2_table(1175) := 'B7B8CC6B6E2893B3DC50349F59D068BE873F52818D5438C4C26925AAA005FDE4153751C2A69C2AAB32DCE8ACA659CE67162E97439A9DA2FE99CCC31D74A941AD694927EE216E467291DB8C1858B7B9AC6795ED3DEE09E520474EA35AE675AF7DFD6B5F4F';
wwv_flow_imp.g_varchar2_table(1176) := 'B97D5546C89581EDE39642642F48E56844971DB967FF3ADAC7D6EA9AB573A3C5455160DCD572B48586CF7D50DBD9422D3428CC218F44B7881FFB6472BFBCCD67706FB489446D37D17ACA0F77B072B4F00669B5BF2A6E80431BDEC066B4591907DB5BF3BA';
wwv_flow_imp.g_varchar2_table(1177) := 'AC016778FFC31D8EECF6ADAAD8F47095C3351DE8B13E5CE31ADF291465E4536EBF1AA9D306F4C68F5D0F7F78221CFE600728D0770F769B5CA288A1342A8B66697D337BAB3A1F7797BD2C73A06F7C71F4FC2C8F53AAE69D075DE94BD7329563646C8F0EF9';
wwv_flow_imp.g_varchar2_table(1178) := 'C253474C3EC0AD1755637CE04CE73A4C9F78F3804DF1CB38C5AE5EBAFEE442AB7C5FF4A0853A267A54A6D39CC2A96455BEC39A6C9D5B5BD2FD3665C1CEFEF799D3BAE83DCE7BB3C70EE6A8035EF14D1FF6D3DB97524CE3D4CF185733760A46F2C5FF3DDB';
wwv_flow_imp.g_varchar2_table(1179) := '33EA87D8FD3D54AF2779EBE24EFBCAE1910D31B508EE4B977BC12A1D76F1D074DF5625AA4E7DFEF3CCE77EE88D9B51C293A68E6A24631AC3AF463510FF898D6A5C63F8C3EF063D1ADAD788FCA560F9A887D5739F79A77FC7AC154F9A3BB2518DE5177F1A';
wwv_flow_imp.g_varchar2_table(1180) := 'D98806F8973FFEA5FA99BAFCCD4ED06EACDE705FFFEC1D073BC8F1CC2F734C43F8677A46F9AF918C6848060104C07200B37C60A962F33BC3E0AC05B49187B03E802BB45430074F200648A8067558372263BD7AB339AABA3B7F7007FDD3BFFD53BE6BB886';
wwv_flow_imp.g_varchar2_table(1181) := 'F2DBBF6C60073CCB0BCEE29742DB87D3822B8888AA1A1C3DF96B38C1AB27DF2B9869801DD8C10562F80557708561200662C0855F50C25B401FA03AC01C43399BF2B31CE4BAD49238ABA338F9F107E05942D4F9055A488532F9856150C25FB8057138AC21';
wwv_flow_imp.g_varchar2_table(1182) := 'E3A8B582422F83C02A0C3AFA53A53B03FFAA87F8052F449D61781E3C3C9DDA4906BFE3B9C87BA98043395080836770052454B70D54BAF4A939BA83BDB02A18E0391D2F1C86BB19066618422F44C3FBF3B942DB39AB42BC38D4B8A18B2DDFDB9764B04433';
wwv_flow_imp.g_varchar2_table(1183) := '340425488232000566C0C36008865B30079A43B948E0002642831E60872448003FA0850730816B78C4528CBBC6B3322D6CA56EC0855AFC8560608648A88224908248C043695C42705043D472873278002EF00773D8014FF0877020020A48827C78035B40';
wwv_flow_imp.g_varchar2_table(1184) := 'C66434B9F1B035B0531FCF4BAC6080465A240638488224400357C8C7250C866498B0A431040A3002FEE2022EE80776A80213F80176E8A52F600118B88176E00238E8073824387F48FF879543064FB885535938D683C0538A44F5B1BB2CF3876CB80559F8';
wwv_flow_imp.g_varchar2_table(1185) := '859884136BF4826CD4C625EC8651F3077590020440846B18475BD09737A0002B689122F0039EDC015AF08758CCB17874B81DDC31C831A569F0435C48064F188221A80220B0826158C23EC445C3E0AF3708804880070A308072300057700738780171582A';
wwv_flow_imp.g_varchar2_table(1186) := 'F903AB9A9AB9655488ED431A89080762080669B4C52400822A20822418056D5C4571F007C39A077F308404C80660F00750A0802370490A408600000625C884528A43BBE43BAFDB3C4BFBA91B8907B19405688C0420A08224E80137D046252CC855F30762';
wwv_flow_imp.g_varchar2_table(1187) := '088067B8057E08870DD8807050070E18060FC0223830076B34240E80FF01B2043816E94BF529306493BD99FB391B43C9D7B3C7AA62A94A5C4259780525204C22508257A0C5256422EC28343888806CB80657E0007F888423708500E886A6640608B881EF';
wwv_flow_imp.g_varchar2_table(1188) := '328004800725308453C1BE3FF3AAC310BDD13B4556492B78D02988B087AB54C2AC04842AF00348108324A0857C64C2E52C3437F88132F0042E900171A0000A809E004882951BC4D0BC4BD792ABB96A51177DD17F9207D40AA9F6E9AEF521ADD87B332ED4';
wwv_flow_imp.g_varchar2_table(1189) := 'C75AF4042570A33EA0024F58C53EEC46C37AAA6C78011958B92318861F40067540801D900279480250C8B114CD521801287A10282FED5230FD52310D537F5A293A9BB2EF422C969A877C044C68BC032BD8844F10FF033178855504CC648807AF628723E0';
wwv_flow_imp.g_varchar2_table(1190) := '005BE8873BF02F38F0071388812A48073440847EF0833778CC4840034AC0D2D04C1A7E29AB9062AD171D53162D283295512FE328C1A00734CD51ED8449B1F45120A5824A48866DC4059D1C2B6CE89572A00519A04C22508714F88168F0872A78052E0005';
wwv_flow_imp.g_varchar2_table(1191) := '7820022EF0832F8804C6CCD2A6C254FA5A5666A52F143D1587482BAAF4A855F4436668044B6885564085458805B13C1D5C8408FE2A033F280318488518085150900743F801718087C5A38776508774300773A8D77BB5577DCD577BC5D77DAD577FE5577E';
wwv_flow_imp.g_varchar2_table(1192) := '55877A18ADBC549FC77B951D9546686CA35338854DB084213D9D7C5CCCF5C90787284A7130801408FF0038480718400325F0072BFDCCDCE3077A60877A2D07732807966D599675597B95D99885D9969D597320D8D184223B230C3B7C1325745344E80354';
wwv_flow_imp.g_varchar2_table(1193) := '688566BA853EC4433D052A78A58500C8861FD88004300175A8822FA8827E20D77E808332F0871D780004F082F4A142711B2956519F1BA11175B859978D59B78559960DD8996D5B7360071BA43475A007C7E9BCECA444A455CD60C8843B28DA88AD84988C';
wwv_flow_imp.g_varchar2_table(1194) := '495735A57D108F63B105F7F4841B38954848807448001808002E80071328072B08802BB587D50B3AD69A579BDD57D32D5D7D7D59B6CDD9826DA87942C5AA3C0C22C5055920064F58844DD8564838860BB5C5E5E4AF2A88044678807048007140FF000EC8';
wwv_flow_imp.g_varchar2_table(1195) := '04432851668047AECB077AADD776108C7480879C650795C5DE74600775505975500779F85E76A8DBED5507EAFD5E774887E8CD408F3A58A84B9A6784C65A740543408553305A3B35435CE8C68178AA4CF0000FB8833F30464A780064F0007938023F2002';
wwv_flow_imp.g_varchar2_table(1196) := 'CF8CDDC5CB87F1BD57F4E55EF2CDD9B5CD59C1A057F15DDBEF2D077AAD5B94E40B9E2D4D9F3D0CD454C2980C864E400454D8844D5005A495493C8CD6A7620613B80125488507988A04A005771D032EB0823BF00734B8836C400057B8055E74DE862B9AB2';
wwv_flow_imp.g_varchar2_table(1197) := '621F80D5E00E4E072ABE600C96E0EFFD5E0BF6607B65078168A5EFD2DB0F6CC967C44359088658F883FB7D61C49405C47DD526A2FF040E488132900723E00004C04413808132888407C8061D8E060FF0BE003847D03DBB7680592AE6DE742887F175E446';
wwv_flow_imp.g_varchar2_table(1198) := '46DF7EAD620E5E5B9565DD2D34D0A273607F68504BFC834350854D40053B88853605579AD30797F4E07080076660876748856A981C5B2025B295C3F1AD5779F0842A58DB4828035AB88637F0836BF88332B8056A4C0738608624288754189D2438A06148';
wwv_flow_imp.g_varchar2_table(1199) := '826BB80543288772CD04EBADDEF635292B4B58F228E37C54064F1803FB558543F00466085A5CB0D8EEF28776B885A644A47D898674B8867A288767B88602BCE5BF0BDF9CCD86ABA11B2BF8960E75855F6D075E568754B08231888668400346D81E768003';
wwv_flow_imp.g_varchar2_table(1200) := '71500747EE3B7FF1FF0BCEBBC782990722BDD00CDAD656B0835B40869854DA63EDBC6148B47BDE976C28876C48DF135CCC702807713846A5B1E58DBBB01BB987B5F5E037E0824860062F18493FC80457B0024F50075728827220863140836B400634A08F';
wwv_flow_imp.g_varchar2_table(1201) := '6108073FB8607780BBEDC8DB7AE45B902A638ACD8432D885DCDD035038DC5F58856ED8BB74F8168960075BC00672648A760887B7F6876A30876B70086628403CE33AA0BED76B28032EA0054FF08257B08537E01E2F58D74C900278686837A80666280346';
wwv_flow_imp.g_varchar2_table(1202) := 'F00497F3037190DE462B98D745384EAE56B1B482295804A3D5814E306D5C584E8E6CB695F2E7A003582AFE021478864C780375C80625408676B09F7208DE3218FFEE610880037A837248827418035740002EF00472D5E68B5E643FCB3EBD4CD8DA8CDF60';
wwv_flow_imp.g_varchar2_table(1203) := '38633730024B6861268003646045FEBDD18F12559B923F7CB36464E0825840034348826CA88232E0873F30026430072FA0806C105E43808331400676C88424480577AD5775B0BE79E468121E6C7F38E1815C85291083FBED032790C5940E867548E54F6D';
wwv_flow_imp.g_varchar2_table(1204) := '916775C3F471439363B29F7D597150025B886C1B78065171074F78D274788307B0054FF0833FB803347806B8ECE324C865761055BC15D58ECECE7DE94299C4853BE0014D305A26F0836450CD9C4C359C9AD1518C88AEB3DE9C1D062BA81F43A882FAAEE3';
wwv_flow_imp.g_varchar2_table(1205) := '3F48826710872AE08068101D1CF7026668874838FFF004CF5916390C4DE641C23B8C1FA44564F8823DC85D5498825AB84A2F0407F94132F5010FCFF20EDA0EBAB5ADDE5B38022BF0033438C76C48028728035319563F70072FB8853180030A6084E15607';
wwv_flow_imp.g_varchar2_table(1206) := '3400853278031310706AF4837C6D876E2636AB0367F81D422554063E78824508EF3440046E18C87656C388E827EAB311EF000F8448882A4CDF9CBD06C29C064AE08210AA0238A8C670B0052518D6543081379866F471852A488524B8E88C1E506805187B';
wwv_flow_imp.g_varchar2_table(1207) := 'ACC3C3A08775C643563D033118E54D880257780619FE053D35C8A2C1F2C3425B8EC433B083080776447A985971480225A005643882670887AB010530BF0623F88231F004188083A16C077A60FF0434880429A0E2EA058F210FEB4BF334E041DC60F08324';
wwv_flow_imp.g_varchar2_table(1208) := 'B084DCAD0346808694BE85B75E2BA423B38718B1C3B8D1BE5B748D73877E8D861DA8827088042E30A46816FA70A0854341846CBF836986877A40685068667B459F4F9DCABA831CAFCA7366780544D88350365AAF07056458C25B1887D62B2B7E8F3E2353';
wwv_flow_imp.g_varchar2_table(1209) := '7B82684480BB60794083898F81C9B68561F80243B0854CE0824C40836AF0824A28036260EE0078037348027328834C508274A080582C0343B8D57BE5BE82715FED9EF55F60863812833DD0D64D208431A8054D5CC23444ACC22830C0B8D8D457FBC13E32';
wwv_flow_imp.g_varchar2_table(1210) := '9D6738C1A85B649082BDF7833198065AD8FB2F0F874D8971384084373004C8BFFF853F80037530D1B57D9101DDE828EABC3B0B447517C25F48E33338845340EB3DE8035AD0460E5F69517B953E2BB8BF031A7D35F34CB0824C008268B88554085E250887';
wwv_flow_imp.g_varchar2_table(1211) := '37A802C82DE2617E0346B88549AF6F8F97078F0A6380E0976F60BE7EF0E0F9EB975061B75BBF7EDDA274C64EAB56A82489F9740B19C46EFEF6F90B2932E1488522FBA14C89F2243F952E5FC28C29D360BA72EC86718934E6CD986CAE3271F9E3251C9732';
wwv_flow_imp.g_varchar2_table(1212) := '998AC08133C6501943B7FCF84957A45C3A73EC48AEA4E7AEDF3D825EF3B9C37752E13487A0BCA49952C752AB3D7BA64CD9840BE2387F2DFBF11399AFA4499622F3921CB970266197F7AAAA1B260E9E2D73C3323D2BE70994FFBA5BA0C4C94396495C385B';
wwv_flow_imp.g_varchar2_table(1213) := 'EC903D736C8ED83566EA9E0D7367CB133373E6DCDD4DE94F1E3C7D5D07F6A33D386F375CCC6E8D9992A6CE215596EAA481D207D82F5C1EEDC90E59F02F60BFD2058F8C5D787BCC7BEDAA8A43D6EE16334FB486790A172E932B5BE5E0011B164E9CAB7499';
wwv_flow_imp.g_varchar2_table(1214) := '68658B36DA5C3A76F864A3540F6C5EF1034F3AFFDDE50F3DC9E0924C25540857C7269B485287709530F3503CF60C1692490A81889D60DC9148A23FEEB856CE30E608330C28A93C964D3893D1120E3CC84423A362A0D8226338C8A4A30E3BF4B8E40F3CEA';
wwv_flow_imp.g_varchar2_table(1215) := 'C823104106C9B3D03E2035C4CC2B622C01451A87B4851C147708C360377D8918669820E255A29930E5D34E39FFE684434C3AAF3C93892DB764A2DE7DAF9423CF79323666DE34D194438C6BEADC3358805B7DE5953B1C92E94F59BFDC91445A69EC710813';
wwv_flow_imp.g_varchar2_table(1216) := '64A491A927C9DC628E5D24B1138EA7A1BED70F3D6A86C30E3B79B1D38D3BFE98D3CD3EEA74C34E3AAE1A7AE64BF4A8D39F39E2B0C39F81E61C648E3AF0FC8AA4B1EE50A5263B54192B4E7FE2B473A44DDAAD449B6D4BEAE6216FB84463C812C2A9B5491D';
wwv_flow_imp.g_varchar2_table(1217) := '4C64BA842ACAE0224E3FF6B464E47CB3CDB76A3FDF75A38E3B4DCA938D3AFEA8934D3BEDF8CB8EBF76E96A663EC106F99E3AEDEC2B8F3A48162B8E3B0CA338F0C4E67C674E9300F6530F3CFCDC764F810706A62083C394215CA67B584206BA538C014C32';
wwv_flow_imp.g_varchar2_table(1218) := 'FFBFC4136F48F2B4E30F3B23AFAA4E3E5AB9430F3CF2882A0EB0B9266C263FFC9C5A158AECB873F490B6C2D38EAD36B133713BE608A8B54D1C2759E491497AC5245650E2828C2156BABC491AE8A6154934B77C099248D502BC8F3CAFFEFBB73CFBC0434F';
wwv_flow_imp.g_varchar2_table(1219) := '38E928FD6F914C374DD8C2543DABEACF55234EDBC6BD9A538E3AAF492E8E3A54113956C85BDD96A83BF714590D4455908B691D95A6450686B878DAD25EB60C734BA0EE11E34F36D7A4924D3AB4C0DA232DEDD0120D32C9B393CA33B630DE383FB41D5DFD';
wwv_flow_imp.g_varchar2_table(1220) := '41D4639F7DE1B4712F0F6DF4707FD0D126633B1B3CF9943E3D4229EDD5CD2FC8A001D7A46710B7475A7D78C99540FE5C430B3132A6C21CADFF398D2B90C18E5B20C978E9200F31CE038F5B0CC3163D6B5C89E861347854CD1D1AAC1606AB76340F8A4F83';
wwv_flow_imp.g_varchar2_table(1221) := 'E293073D50A79285888C6403319981FEA3127A3C8416497059A65E7708FB4D2116CAF8C53A3E95976B40EF3CC8F3872BF8838C7030E31AC360863BCAA38E3251D0692A049FF5C417C2115AB18AD5AB474C8CA40E7A280937077112DB88E1069709670FC4';
wwv_flow_imp.g_varchar2_table(1222) := '414E5C82E19C7EE82D24C078863F20C19967EC0314487B4638AEF18C5B5C23319E505CF4A2B89DEFD5C37BDEBB1EF5AE57BDF031B27045CA0A3CB892A8819C2E75B8B8852AFAC0C6B4EC611395DA442C7E53977DE0C51FC3A0DA3088010A8395231AEAF0';
wwv_flow_imp.g_varchar2_table(1223) := 'C4332AE30F64786A1AD70024FF3152710B7AD8A24D856C9C8760223A3281AC8B2979DA4BCCB72DDCE8C624FAF0476F8891095166EA65A23CC4266AE1C67070651F859A86AC80718DCB984346E2B8852BE4610BC3D1B11CCF40C635A2610B57B08319D978';
wwv_flow_imp.g_varchar2_table(1224) := 'C6550CB91D310134A0CD0CD0C8D2D642972C0817C330C426CE201C4C1DE2869B30843782118C1E56C78FA7B1453788018F6B886A18FD70C535C4D13B7530C31F05F127899EC6CC80C25444C63410180DBA3E3896F19AF6CBE61EFA50A93E78136F701489';
wwv_flow_imp.g_varchar2_table(1225) := '3CEAE94E66E4281D9111C733E4E10971FCCE1FE9482960587AA6110D933BB1F1903F04D48F4B62D284B289C65C6AA18A3330E15253482B1336C10B62FCC653A8DC0B02C3FF31CF70188916D58007F1F8EA8F675CC31FC408072D98014C84B4A71A5DB5EA';
wwv_flow_imp.g_varchar2_table(1226) := '57C1EAD8C73AF636D85288B6D2174D944CB337C878852A2CC556B6162717ECFA92C90A95A37D00321A09B90530FC418BABBCD31CB7F0DD351A480FC5A8B2B059652C6F27393A150EE4642E4C494291E10955CCEDB3E852452D88418C8BDA8543E9000549';
wwv_flow_imp.g_varchar2_table(1227) := '99518E3945C315B4E8C63004EB11EECAB698BD1D6FC20C84B6258DD12420D9C62DA2418BCE3261AD6B4D6B714AF94690800478A908C72DECC38D7BE2071A44FC57691CB390DD92172561CCC7645BEAD295A4C4AB8ECDE409EFF68B54A442158850C52654';
wwv_flow_imp.g_varchar2_table(1228) := 'E1E16ED66223B7A84B4BF2820C570C431ED500453654E92EFF1E95C315D550C79C88410F64848416B630693F98910E0497C8A5421E32918B6C642337B3B204515F60F6B2CE5FB82215B5D8B0215451E54D7CA216C7D82438F5F1557F84C3979903051DF7';
wwv_flow_imp.g_varchar2_table(1229) := 'E98F7B3A4682CF40713FA2811066ECD7CD32425882EB0C32010197C1074D503D7E338C541403121EB6B286998B3BB8F6105ED414073DB2219E6E00231B86CB0628FC98B9ED2A55BC76DE741769BA60B5A1E449D424CF2D8AD18941139AB9B1D8322EB2D1';
wwv_flow_imp.g_varchar2_table(1230) := '977D3CE33B8E5625325A9C0D6E80A24DEEC8063034A75808735A2642A6E0834FA895C65E92C2B2314732A2510D65405B19D280762FA60DED6064231E8652108848F821A8FDA749B321C94A49F8A995F2FFF6C8EA5E3792935C1BCBAE4F3AF7D2A52EAF91';
wwv_flow_imp.g_varchar2_table(1231) := '8D7BDF7B1AF796C6B3A5D10E7DB4441F5E9647A142268FBD2C441EF550D05EE8E1A1AEE4461E5F4677B0ED9CC2F4B590990A16C79FFE548D8F837C1ACAA84634A2918C6EF0033AA9142F760A344D7C8CACE2328F8979175CA09BAEC41D1D9F4635A62D8D';
wwv_flow_imp.g_varchar2_table(1232) := '9F4B6319D196F63ABC8C5391E057304F92B8A9C40DE4998F57C289EA8AB257524C817B191FF6C007C0C1C4B484E8CCB708FB3AD483EDCC9231799962E1CB09552270282A18250C56B090B18A9761DF9DE265B72A0A4786F63D2F33B87477293E86AC9094';
wwv_flow_imp.g_varchar2_table(1233) := '0B7BA0C0DEFBCC8D948E24FD1DE72BD14ECAE1658F79CCC31EF9A8073DDEEEA48F80FE23FF438DA3D54F784CC68FB7ABA4036BD5BD3E22D4C39EA5675FF265EFEEB4B80FDEF0853972EC657FA83C0B17EE7841DF57B06EFCAE23BEF7CA9749CD6DFAF497';
wwv_flow_imp.g_varchar2_table(1234) := 'BC9D4C499F3EE8F1BBFCC64B3DD962B5BAA6AFEFFDAB2A39B8B5D7F89962D36EC2F0FEFB14C433C6D35110CA1FF9F846C70BA3D4AF7CC79F37B847DB76C23C44FDFF8B9EFD6D9A57950E4150DDF62D4E4C3D9F009A1D6D101FFAE486E45150F731E0DEB1';
wwv_flow_imp.g_varchar2_table(1235) := '9F5718485E4811DE5560ECE545F3AD904148E04C6047077E9F82AC5EA2F043EB99600B7651F81544EDB9E00CBE049E7D858120130DD220FE7D5A7AFD93E951A00ECEDCB15DD2010AE111E6050C46E0021EE1F25D2041E020133621E3FF7DE0E3F5E0084E';
wwv_flow_imp.g_varchar2_table(1236) := '61071E5B01AE503EC043A12860188AE1189261199A6119869FC9C860165660485C1C06FE4BCA8CA131BD5E02966033C9141DE6211EDE211FD621108A49B6208957B050BC9DE1212262222AE2193E61A25C50076950244AE2245262255AE2256262266AE2';
wwv_flow_imp.g_varchar2_table(1237) := '267262277A623BD4C33D7021060D4C299AE229A2622AAAE22AB2622BBAE22BC2622CCAE2C0B0433BD49457108D250E8C3BB8A2E4480E2AFAE22FAA6230AACA2A12632D0E23311AE331266330CE223D248AC8B4A2275263355AE335622335DAE28239E241';
wwv_flow_imp.g_varchar2_table(1238) := '64E3378263388A6327560B348AE257DC4316A9E33AB2633BBAE33BC2633CCAE33CD2233C7A0F170E04F828D23EF2633FF5EEE33AF2233BFA632365D1400AA43F1E643F26644002E4402AA4C2152115850F41D663455AE445626446BA63094116BB79E447';
wwv_flow_imp.g_varchar2_table(1239) := '8264488AE44892244842D649A2644AAAE44AB2644BBAA44A8A2217DE433DA04F4CDAE44DE2644E9E234ED6E44D46164F4E1D4FE223F1E5E44FFA6450FAE450F6E43972238194E4534265544AE5540A591712043E6065566AE5567265577AE5578265588A';
wwv_flow_imp.g_varchar2_table(1240) := 'E5589265599AE55966A54EAAE55AB2655BBAE55BC2655CCA655C76E55CCA253EE8E457E6A457E6655DF62557FEA55606E656DE245A1AE6612266622AE6623266633AE6634266644AE66452666522665B5A66666AE6667266677AE65906040021F904050A';
wwv_flow_imp.g_varchar2_table(1241) := '0000002C09000B0047025A010008FF00010098174FA0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336ADCC8B1A3C78F20438A1C49D2E2BD7F02F5E52BC9B2A5CB973063CA9C49B3A6CD9B3821960260CFE03C9439830A1D4AB4A8D1A348931E2D';
wwv_flow_imp.g_varchar2_table(1242) := 'A8B4A9D3A750A34A9D4AB5E2B8396C2655DDCAB5ABD7AF60C34A7C24B6ACD9B368D3AA5DCBB6ADDBB770E36ACC22B7AEDDBB78F3B204AAB7AFDFBF80F1F2ED19B8B0E1C388ABC6DB476F5FCF7989234B9E4CB9B2E5CB98336BDECCB9B3E7CFA0E1F6DB17';
wwv_flow_imp.g_varchar2_table(1243) := 'BAB4E9D37521010085BAB5EBD755F918748388912381AC61EBDECDFB261E81BF7B0B1F4E3C6621D5948A2B5FCE7CE26D00620EAA0E658F6FF3EBD895077763307925D202FBF1FFCB4EBEBC6E31C1053AF2B40FE878F3F0E39B966D1B00F5F6C4A30328A4';
wwv_flow_imp.g_varchar2_table(1244) := 'DE8FFCFFB0C9C69C1706DDC607300026785A21DF15C79D40B239C2487A0A56A899238548C847260581571C7FFC592822678838E29F726AA8115D8800F071CB88305AA6A172FE8991628C3862A66125C439729B1400A801808F27E66864649910C7886C2A';
wwv_flow_imp.g_varchar2_table(1245) := '1E749B3000DC73E49480F9911C0028E1F7DA736EA88847848C00400B9564FA5508251EEE16A640FA6168228565C6F9168800C001409ABA49C89F1A5EE0C19F1FCFC929685B6A0888884178C276A28D423AC2871F700E2AA958421EC4882D00BCC71B2202';
wwv_flow_imp.g_varchar2_table(1246) := '1A64E79A93869A16310084F30F61D6E9C6271E8884221033E688FF2A6B5AD5ED56A41B65D8F92200D3CCEA2B57BB32134D8F703CDAE941D5F87A000152BD482A33A44E1A4DB2CAC1919C2DAFA482E9AF071D0080010219904153C350CB0C00C40C2367AF';
wwv_flow_imp.g_varchar2_table(1247) := 'D8B9FA4B360024C36DB7CC4610020B00B000891B0F1675CB33A14E63CE36E59533AF42074420041225F4F1D430A4EE7AF072E2843331B80044625021DB0EF5ACC482128C1DC80C75336B02001CF0841F4828644B2EB6743CD3AE129F1B27BCD981638E32';
wwv_flow_imp.g_varchar2_table(1248) := '0B49235037B18ACAAC4398C6A250B42ED98CEEAB00288D348EE3E07C5D36E08003C038F2FC3C4EC7068B8AB141B92804F34DEA2204ADD2544A3DE23AB32200400007C532E641B4840D11C02DD9CC0C32648AFF5CDC38EAAC23383D000C2C50D60B592CAB';
wwv_flow_imp.g_varchar2_table(1249) := '016E133DF7DCC20C330C327C0B048D41D54C8BF7C40AAA23103BE708C4D442E384038E34B7C4C1AD0128CBAC108207515E3900D808740D00C30ECBB982E3B463503CEB001F4F41E2588D90E2AEFB6A342DB1D832B741CF0B440C32C35C6E503100D8BD7B';
wwv_flow_imp.g_varchar2_table(1250) := '8CC103C0F642260B248DE29C1BDD1030B32384CA29DBCBAA78373EE3184147AE08943C00EAC25E0B0082188441FBD931C62E16F23DB675CF7BC05B8839A4518DF86DAF63D15308940EF209819CC112B5DB1C008923406328041E169106311CB841FB39A4';
wwv_flow_imp.g_varchar2_table(1251) := '0900A0C341AC61874FA4E255D37B5A095DB30B0F02A08636B44832A461B8191AC47C10C9C0B8FF08018043244920E9F3E1649A21106700808910D1C645CE310E7638C46A484BD5A050E611289C6011B48086BAD27510322AF12FDE7022007CC1102866E4';
wwv_flow_imp.g_varchar2_table(1252) := '7B0831C738E42810ABF16C1C02F10400CC209095480A010440D9D08420BD887CCD203360C830227746BF30518A0271E341C8010067403221E8F00600A4688D89CC51207E0340377886903F784D204333C80E529011422AA46C3311C3111A699401164393';
wwv_flow_imp.g_varchar2_table(1253) := '00288624D968105E268492002087147931916D48035E3E531B003CA147839052508704002051E64A8DB0282834A0E55076A18A5618441BDAC0DE1A7BD91026E252209ACCE142FC96AC60C80B00ABB8C52AE4B5430004E320E211542A51B9FF4F8F1C4320';
wwv_flow_imp.g_varchar2_table(1254) := 'C098604C6027904FA8469B37D98440BAE90BEC8973A1DE5463457821C087AC228F958884EA1EA2C52319C05B0CE1403429128A170220A0321168218C302E4A7C2239AE42E84C4EA15081B48217BCF02546CEC99064044386066944240CC1102072EB0714';
wwv_flow_imp.g_varchar2_table(1255) := 'A8889F1232C1B05DE9250415886A3A514199CE6413EC43882A04B23F367A931752BC2443D021C9845CF421CF4C88493B0A4D085C64110DA10200500080F96580AE124106230FB248582A24147D88024242D109AB5E95A6A8F02600D8D70A5E121300AA00';
wwv_flow_imp.g_varchar2_table(1256) := 'AB4104B18789F440208D30C82800404A9221C40D68C0E765366090164C655C37A8C853118281F921840310B11EDFA8D75781FFEC95218545485587C49F639D060437D88141AE60985DA0C2129A1088318E2B894DA0628007292B438CD18AAC1EC4062E50';
wwv_flow_imp.g_varchar2_table(1257) := '8241F8B8DD37841600A17D831BBCCB9D324C46106900401D0E2281171CC4959A88021DA20005FA0A56AE424199114430113B002004FF6BAD42607B0200B837B6001023FE6C3B112630400706D9ED8D048242D7D8202146888C2F50B189E42A44A702D103';
wwv_flow_imp.g_varchar2_table(1258) := '002CC18BB28E0B053080410B80300483E480082E10889DFE70A23B00C0C6B802408EC790184DA0D709029982418A50052564D820FE05807CE9ABE4311C0A0E956A0948133252887C4020E37AC806D410D584E8F57297AB9C5F2122E484544A0C67104313';
wwv_flow_imp.g_varchar2_table(1259) := 'A0001BE1B618FF003B704112B40B0053EAC5C30939AE4D05E261751E6413BBC8A9424C7B1020B4A0080731E589E08007F1A20157DCF9AE649810648140180055408887D9AC6483308212502E0317588231D87AE47F063941960DB26A8308A3CB0709B340';
wwv_flow_imp.g_varchar2_table(1260) := 'D4A5AEDB368401644072880D42875C1BA49AA581810A849B841C00C13075582F424E7188AC4A4221C424074F0D820A871C1B002378081C24FDE8C8580200AC486F9029AD103BB050852A84427DA153A49718E0011FC90006E40D007A23A4041111A8542F';
wwv_flow_imp.g_varchar2_table(1261) := 'E2AD26247221FD53E16B2E0C0039C7D8062010C8B5F5A2879A2E44B1080134454040E8211401D102810108922090765B060431E0B3C001D032145CDA2051FF88B292E7BB6E9978AB71A796F7B850AD90934B04A50CA648810D728A6A0B8488FD13C8BF5B';
wwv_flow_imp.g_varchar2_table(1262) := '438416AB400500D0380088901732A48188072184CF0D025D5EEF817D126D88070090F0821761082A20B84008ED99537C9B096916325EADA0DB84AC59212A0709010C00AE0CC0BB23F6AEB74054BDF38B24D1224036082B76C18A8538A1CA9B3181426C80';
wwv_flow_imp.g_varchar2_table(1263) := 'F4A4373E2F6950F6447841D9533C36222D5001A25DB07089F48214BD904C1FFCEBB031D8410B00E8C31B12B2DB852042D2233900B8600E129927E404F8360830B4D75728F51E7F91D337463A8910418CFC2011C8806CF4F19963237D04A6ED7A5F38AD10';
wwv_flow_imp.g_varchar2_table(1264) := '4A1A430F445485746FF81053030008D7463AFFE35B0002B137A417CA20C536D87A982958A10A3C36EF417EB3083CD41F0FFD3A1651A3326F9A6793212F43508C34808B346B13247C12915583D71018C000AD817107417E7EB1040B614955077006E1700B';
wwv_flow_imp.g_varchar2_table(1265) := 'C14A5EA711CBA0198A261044B5268E800770820777F0066F7007C50200AB071519E05A02215808D177D9B37B041550C030661D017509717C00300307B06AD7F41915B0757ED1329785030C710A7EC67D06717900500B9BE05F1CA701496510306003D786';
wwv_flow_imp.g_varchar2_table(1266) := '8414110CBDB00CD480258751247FA07A22B81080602261F21B2C68102BF8822C313F0400371A917CF3F65E197002B8B7102F7310B62612AC1074E02670BE2610F3832F91E21913505AC7FFB6031B051725805718016207C1630791850A070431768409E7';
wwv_flow_imp.g_varchar2_table(1267) := '018FE71095400A2464188702872E08113C828A0BA1043F3012AD9611F6467300B073B9871098026B24916B8798420AC1000EB81B1B6710981818A7206E08E104CF26116E2510E6B77512E00113E00255C07606A11F09B18A93614A76E630207177489187';
wwv_flow_imp.g_varchar2_table(1268) := 'B62711F713124E408B02117006916B012610C0E61A8FA68178A1032D23648720790791755A168199E71036761087808C987556926108FB67106708072BB81126600236607E459187078101340064B70850F6A38B1FE104057600E8E810345002CAF71A5A';
wwv_flow_imp.g_varchar2_table(1269) := '90647EF1023AC0030040054226621551057C00275B079108F1055A005736FFF56DA554197F70867F8006F2A70449000430E016B19810B98729B680832D41034C904833108C0FF17FBC618D7E61002B70032F8001FC051220B0032A000420D08C06B151FD';
wwv_flow_imp.g_varchar2_table(1270) := '821007995985231949B0033AE0011B20011A006F5CD4161F894806710CDA030C4B59126710840D1178C8671054695872D7381506004E30059505711661685E681068F0054A402010E133A3131972290171E9011E8002207060785141B4B02DB9C097A839';
wwv_flow_imp.g_varchar2_table(1271) := '12B911752E0900BD889402012AAFC17480114D04F201E406001E071239C0710DF10AEC121926E0012600023A0002478610DD16173B673763F312DAA310828910AE956581D21A40C0749D1718F8921008F222C025102FFFE0015D79112D36940B818DA402';
wwv_flow_imp.g_varchar2_table(1272) := '0EEC97174CA7045679106FE08D07A11F65400519265C68C18407F18700D5972D313F18307481379D07816F1CF81AFA5918A9445A0DA17806D19D13210108419BA1D10776369F023106A8670556E005DE78042874596AE104B9953D023136E5C8120CF03F';
wwv_flow_imp.g_varchar2_table(1273) := '277065FFC30051A9103C709DA841938181021CE0A0E0C507B0B703A9050029509E1AB1A0200807FF6810990600C4B5A400E0050242836CF10908A87B2E279500D08ECB018D94D8170610480E8107DA78104549A423F18A3C760BEDA9178F6804D77607F1';
wwv_flow_imp.g_varchar2_table(1274) := '79105420A26DF14F42313F18F372B7778BAFC802FB9728A0F10075A917434300CC92001B409608C908BDFF62541E417B1F9A8A07C174078518C9F97D095105BE39836D810808420B118413B4379886D9125C8431A405011C008108F90416E1995DAA10AB';
wwv_flow_imp.g_varchar2_table(1275) := '47204E8A088E863B9671A9003067079169F89516E2C00E594338A5DA179E630E3A6310E6900E20A10EE3900E78C410BE23AD93E13907610ED3FA41ECC0AC6CD10FE1E1AD42411AFB20AEC5FA12FD00AE0881AE34A1AE98C17C0CA10FEECAAEC571AEE75A';
wwv_flow_imp.g_varchar2_table(1276) := 'AE6701AFF82A1CF42AAFF6DAAFFEFAAF001BB0023BB0045BB0067BB0089BB00ABBB00CDBB00EFBB0101BB1123BB1145BB1167BB1189BB11ABBB11CDBB11EFBB1201BB2223BB2245BB2267BB2289BB22ABBB22CDBB22EFBB2301BB3323BB3345BB364FF02';
wwv_flow_imp.g_varchar2_table(1277) := '426B6AB33ADB1238BBB33EFBB340EB168813B444CB1288A329459BB44ABBB451510F00E0B4C4CAB4523BB5542B13F72025559BB55ABBB55C6B55F9F0B57ED4B5620B0060FBB5FC80B463EB2BFF904F68EB176B5BAF69CB2DEC6045EE4013D64A14562410';
wwv_flow_imp.g_varchar2_table(1278) := 'D95AB771FB2BD1900DD8900DD700B8824BB8838B0DD310B821C171B32414DF500EE5200E915B2AEF403E0281AC41234AE03086A2440DDDE0B99EDBB71672B8B7631089AB10A5CB112727043A40A233010B07F10EE520BB00F00EE9F00EDFF00E02210E06';
wwv_flow_imp.g_varchar2_table(1279) := '010EA17310D4B0B906F1B9DD2032A124BAFF8133818BB80090BA20C19FD9A40128B00241F10D0261BB0683BB13B1B9DC1BBCC10B0063FF080EC78BBCE5B1BC807B3B88EBBC1CE17F05868E3F90B324910EE5F00DDCAA10992B109C8BBF56E3BD6355BBDF';
wwv_flow_imp.g_varchar2_table(1280) := '800EFFFBBFD0004CE43B1CE83B0DD770BAA69BC0A57B0DD3521157766588886A524900AE6B13F35BBF0F613CFADBBB00200B6A99083CF209319560D61B4C97F30DC034021D50013950C0B021B800A04CA80B00CF100D1AF410E3926574E72D1F6513BCCB';
wwv_flow_imp.g_varchar2_table(1281) := '10415C0ECCCAC1C0DBBBE2E0BDDC8B6D02F1052F1C0400300441C005BF6010DF0066E4900BBE05C3AD713B320C8B1F006106E080C1D84F409C10BCDB350AF1BD07C1BB416C104062106F6610558C10DF60A75C1C1FBA83443C8810587A10667C1456330E';
wwv_flow_imp.g_varchar2_table(1282) := 'C693BFA1071139E00373FFEC03716C10DC0000570CC909460E035CC0D4071F7FE71053864A48513C02F1BB84AC0B4B0CBE00A00B0861CA08110443906D516C10B2F0C8560C0DD663C2B39CC747F919BD92C909B1C70E91481E9910811C13E4600DC3BC10';
wwv_flow_imp.g_varchar2_table(1283) := '416C3556730EC1AB0BD410BCBD30CA75941043E0030B810DB02C10D76CBD95DCB7424003DDFCCD85F9258E708A9B81C0368C2EC880360E613340751036281490B455066101D16C10D19A10CF3C86A60C0EA88C1B502CC500108A5B2010C1996000C00D97';
wwv_flow_imp.g_varchar2_table(1284) := '73CD7D9B4DE0DCCD00806F52DA19830B00C9A23BD4821178268345B10BC6050055857126730EE010AD468CBFCD6C10F97B10733C046F96032D160C8FCC2E0A7DD079FF5C98A7C1C022710240266E64F09A42B107AF28101F2810B210CD462CCAA56C3C46';
wwv_flow_imp.g_varchar2_table(1285) := '3C0D8CF0CF509C10C9300D8F9C0DDC20D58E0C0D8F8CD5F6E1414EE40CD6A5B5DE5C028494014210D19E710D99F311E2360387E8D39B0C13A750789DA4097A80A30291085F00006000006BB0D7AFB0137584CA5503C76FB6C80251C5562DD5D8F00C08AD';
wwv_flow_imp.g_varchar2_table(1286) := '104794B64220D6923D83670900B2791DE9A614A7C0D10291A06B09004140098900005B80074F2D10410024502C07002007CF6C10FF6C10038D10551DD3B09CD508CD0D7C13AA5BEBCD0CD16E9060A3D7417D408813CBB8801DB7105F00066BB0067A8D07';
wwv_flow_imp.g_varchar2_table(1287) := 'CCADD75FB00678E0DC07C10D4242CF06316A2F2C0788FFCD2B8DFD0BA1E00A020530CC70D962EBDB09E123B1E90895DA1BC2A0CE00C09F4921090A78810F61DD60101C60B0DC8B78105A10048D0707F2F2C8DC90C306F10CCF800D750C0069505538D9AF';
wwv_flow_imp.g_varchar2_table(1288) := '521077554148628D10421226B781DEBBD1C78459983E6D1385B7D9510800952599CD4DDA2A2E105BB00658D0DC6BF0054160DD00D0E043F0C2791DD096D32B78F3229562A106718A5490646370085A5006C485508EB0D76A21D659B688C2FD1ACF823F63';
wwv_flow_imp.g_varchar2_table(1289) := '367406A16E00F09700E0AA3501758537855C153A52E0DC6BB0057BDDDCB39D10CE8D07BD200E807DE32CFD668F57D4060DCB79ED4AB281365E300565E00769009F4A9E10FF4D15DE6CD308F16912FF2210255222BB091A7C732EE9723992C35A08710687';
wwv_flow_imp.g_varchar2_table(1290) := '90649410E13521085A7EBD5213045F30D0A1AEE25870107D8D07A5CED700D00BD0303BF4AC02730C2445DDD808915A8C56480291E406AB068DECD18E100A2FF5099F701B269914B917659420DCE4EC1A65C337F9D3108A75A244110EDF503CD300D80291';
wwv_flow_imp.g_varchar2_table(1291) := '1CCCFD1B669ED75890D739CEBBF5831B2F945970C0239540DEB303255C6EA400800CC9F007716C8D5F7005B0474BBDFE044210C742D0B8EAE12ABFEE082F051C41D21425C0E5C99EEC8C800887B2ECAE8136B52610B140DF07A1E9AEC6DB2D61093E58C2';
wwv_flow_imp.g_varchar2_table(1292) := '1F0C2AA3CD10940006AC7D10AFE02494E02AF53326AEB02B58FD0A8EF00563C005F0FF8706C00030C2900C94D062390EEE56807ADAC4EB95E2AAFAFE04B3F48E272FF02E2510116EF136E14A525A4D1B2E21890E00B5A11BD0621093BE600741F144E10B';
wwv_flow_imp.g_varchar2_table(1293) := '5F0D005052C541E0AA5250F60641DD009008AE9008747E100D1E6147100552105A72F03CB57C04BC6E10B22610A1455C79BD055FC05D8DD4EB0721054FC0EF8D1C0A018F10FE35E832816FBE3DD99D5608BF81890739EEA7913ED1426B5A5FF10E119D38';
wwv_flow_imp.g_varchar2_table(1294) := 'D14CC96106037DDA722C104790DAA65FE3B46E104F9069A3366A0A610225A092062D10CFE05908C1DA8030F2838F105C5E208E90EC0515EC499101B92704ABE6065C2004409E10C78433C7A40C6ACC194F3366C0700C50528444FFA10D9A140EE1D00DB0';
wwv_flow_imp.g_varchar2_table(1295) := 'CC2380B010692E10BD2E7C67C9054092026AB039557A10B7B02DAA4CCD0701EBD9A602DA2D107C140A00710DC04082050D1E449850E142860D1D3E841851E244895F00588C2265A0C62704F1500A05C05148918E08AA3139F053433103ED145CA486E241';
wwv_flow_imp.g_varchar2_table(1296) := '21256A0A2128850B8014038930DCD66D60B764338D1E459A34A23083C284AD2408EC98D4544AADEE2A980DE14A475C073AE233900F1E47AE00D872F8030022824C197A3153F04B108341B61C9433308E55BE7DFDFE053C118CC582511C4235F829258090';
wwv_flow_imp.g_varchar2_table(1297) := '8B16E2C1E3180F003B1A93467982D932002938118E223630344170814D9F06CC74985B00A072014815B26AA8D7A8FF258AFB262E21E2C59F481A444650E04213940E2E6E98280CC22E0713ADCA6B5BFA74EAA81F4D7ABCB0EB4035930FAA91D9518DE181';
wwv_flow_imp.g_varchar2_table(1298) := '4FC03BA6FEE507174306471794560DC03800E5A489D3575DFF7E61AB5717FC4DA500F723A890816A1BE8955F06AA2514A86A39A813844242869B69B889868F1B00C0C9060E77F08C9682A890280C3012628320301201E0C44A082AA5170267A4B1C65906';
wwv_flow_imp.g_varchar2_table(1299) := 'C28E134E00E0E49182DA78A494364A696AC0824C722C8AF136BAC8A28EFEF2AE203EFC00C00F4F5E8906216900D8861E82B601801970D611AA4633AB632B2137D8CAA43A229E1C48C4350000440E38427125945A3AD9B34F821C6910C281400A6E1AA712';
wwv_flow_imp.g_varchar2_table(1300) := 'DA70FFA04411422FA1210020E1C481B080744E155B8C2E91510058855319CF043554D42EC1642051441908160060310596596EBC112299CA23EF2400F038230A5606B2869CA41C71849181E0101680690812671C73E62BB3CC2D15E2475469A70BA51037';
wwv_flow_imp.g_varchar2_table(1301) := 'AA3342214A0953E83708632168A50B0B3A962204B54B0C00E36209095C60088206006E9E01609981889C365F7D273245947E096AD594826E54B5A04F50613426005A32083282E840CFD7A4E06068D982D6D9329CA1B83C689D7D3FEE0B5C90090AB0AA62';
wwv_flow_imp.g_varchar2_table(1302) := '4251259462DA1AC82CA4FA60A89693576ED0B79542F265A058563E289A787F1C68B981FE897664A3A5C54EE081578D5517007489B5205E004058FF21F41CAB5A256B78468A112A01A0571C70CC5156A175D6D9E65982C804E796A3DF9E69113BF8700339';
wwv_flow_imp.g_varchar2_table(1303) := 'E9766079A02807B284A0E008AA4564C68A61F798938D2388124AB86186A2630078FC71008B1114809C09B226146B0892FC207A55CC028C05241D281EB84F37B36084549D459782A9519D175F2E1F28EB8276B19D20740AD246E289A254A7A073C659671C';
wwv_flow_imp.g_varchar2_table(1304) := '76E64B685930070A079CE55187DE211A32000012C451CB5621490E42E6DD81240440E46272219CEB843E77089A5C3AE79CA062B85EA9165F5426887C04C9F9B9A0FE84B145985C5E7B852CB8113D02EE276A0771DD40A0A60B1915A31905F1853556423B';
wwv_flow_imp.g_varchar2_table(1305) := '8360050067D85C05773513546C62FF0F037107418E871079784C21CB1B47E30AB89FE0BCE7286199111016C20A846DCF0EDE5BD841ECB7B2DA7C224F08C1E1425853107230857D06D15C48B876AE8340638003C1C640BEC18D6FE46F8557FC8BEA1A1235';
wwv_flow_imp.g_varchar2_table(1306) := '70F4A272965B992F1EB80B5F5890206634C83B08620C63CC048D2334883C0020478F796921DD08CAF3B0381D171EC50B3332C20F484410B410C47696C0050084B5A11334AA7E0028C6E304E73278313121BB7B1C398E018DC741C37705E11A0FC71749AE';
wwv_flow_imp.g_varchar2_table(1307) := 'C5EB934E1C8856CA652C00ECE31FAEDCC71E658914A54104760779A0D4CA688D081E4413056923007691C1A4D46320EB80870901B00E3B2A93635A1A883167F9368681CA8A08FFE3852464120A4F0C840700A8014410048D6F004018F13A8625E165CA81';
wwv_flow_imp.g_varchar2_table(1308) := '641272EDF4C64142613883ACAF9D0779E21381334D7EEE075F06D146319CE10C82F8626AC66806310F620C5E18038D12999AE50A020F3902801ECC5CA61D4D67478468A51A1AEBA7D1DCE048EAE0CD209FF3032000708A812CA26E13E95C4824C78DFCB1';
wwv_flow_imp.g_varchar2_table(1309) := '4B9DBE42E700B9710C7DFA4A72B5C91C3D0D770C2311041BCFE046140D32C59036D536E320453102AA8D814855AA0871462E09A2894D9031987CF92A32C5EAA57598EE215B924F7E9C6A1BEFFDC721E8A18423C4702D1DD8E6270C598C81E2B4949FA513';
wwv_flow_imp.g_varchar2_table(1310) := '00EA7B8D1B601807951AC48A00F0DD11DB170BA1F2CC7C05A169FF64A3A8D46CE8333093C0CE5AFB8909826A83AAA02C862FE4A75584342397111D080519B28B07A2761704ED8B1E357B1AB7B815228AA1C213EA2AAA341944660CE169427231AB81ACC1';
wwv_flow_imp.g_varchar2_table(1311) := '0C6868D3DFD867D9C3BA8F7CF35CD95021C9446E54170053FC4636C201D2D976D72A9CC0C48E00B7B28002C01B02AD85316AC10BD21A84A0B0F5451B3F3B135EB09620F88048398241108B15441FF5E847D1BC6B95770DC32038F9E363600880DD86AA6F';
wwv_flow_imp.g_varchar2_table(1312) := '0439C407D377907212841B221AD61ADE50096804C729E73C4685FFDA4E4E7292738F7548E704379D5A0E98808AC0C4200A0A5BF316E3BC04692F40B511CF820220C70EF93142CEE1CC8204451903298D8B95FF0C184BC0AC219BEC1C4D856192C35ACA3B';
wwv_flow_imp.g_varchar2_table(1313) := '55410F349A2BE27A42D211B653C34BBA33668380A13914CE0697FFC2894BE048114BA6C81F00D00FFD647620AAE0852A0812D007EA9917AD706F42500B4A8930F421CDDB4692015026005422128DD80F0208420038474F3E0060D1403E5910135F578704';
wwv_flow_imp.g_varchar2_table(1314) := 'F94558A283068270A0044F38C68A0762C5221E8404653E481BC2D086A02964805A69655F2E81AA4A9F75202F228821BA7934D4CAEE20040DB26DE2D3904B53270194EE3541EC0027513D7420A41B88532467E27891535E24330B4D1704809D708662F5B4';
wwv_flow_imp.g_varchar2_table(1315) := '6239990AAF82901A00B31E08ADE32D34838421D303B11037D25CAE58465B3FC958C5B05791C8FF4EF5513A73B0F32936A110961204D005D1F34078CC176B270417C9084D220772E48D1705009EE0387522008000F81B0077704335CFE488262084140839';
wwv_flow_imp.g_varchar2_table(1316) := '2CFEAC6B10B3543121A000C0374B800476539873437CF702C2207400B4610104317AD00DF2C40B55B6B203E9079DAD72093B9B7C21FB054051D0B229FD0C42C60078B043B0026854E42E21AA78E07C1F42D088560DD703C95241206D90F6003B12340A80';
wwv_flow_imp.g_varchar2_table(1317) := 'A407E201255F4F5A451D4874DAE7490B43765C051151B1020F005958E5E8EF96F502E44D90592F47DEDED169D32D047557F265126FB67A42D0B0978F379A46791804E919B209967655980060FDC22132F1A468FC20C056C8150854F24A53FF023105F4E4';
wwv_flow_imp.g_varchar2_table(1318) := 'DF7E1659821C8BA6F07A45E0C16029984F84DEEFAEF5401E7FAB827CA3F1DC705BE1FB3208D0873E21A3C07D1CDE5010A94B27107328481D08928634301CD0AA30E32F15B28B870F441B837E481596E082BB0FE40FB80700B509B94A90B3320000031C83';
wwv_flow_imp.g_varchar2_table(1319) := '482300DE83B6813000BD73B1411A995630A3E61AB1C233BE8270058A598335B09344828420B2AC84509F82A00B00080221E8080B0000161402CFE08C81908578B1BE6FC0B0815825BEE83EEF23086908865B709BBB7B035233C07C590284380449703D3D';
wwv_flow_imp.g_varchar2_table(1320) := '53384DA8BF1E1B08FC9B882530811D48028378B9550806AE33083428C2814003772B3FEAE03D25FB04BF1B88960319DAC3A7FFE173226CC8C0E2D3A744300E95E286AA302C7D9A2CC8EA1CCB6809E22A083C3811402C851A6C377D1BC1CB0A83142108F4';
wwv_flow_imp.g_varchar2_table(1321) := '23883C70C4EE224252BB0330048031308431A4913F6ABF84F8A556682340DB045400B45D903D61A2A01F23048768811B7081EC01002BB00200A8022D680834B81682D0441E248861F0457332B0B859B08158821218390CD8974D22C1C88A176C48AA0BC9';
wwv_flow_imp.g_varchar2_table(1322) := '41A41AB1BF5117B081ACA57346273A2C4600043E38B7B9FB0A00C80B47901447908394A0292EABAC1C348D360300F4FB3A00C803368844EFEA8337B8039423C281F8421A0117F051883AD8034BE89BB2030049D88353B89C261C880752AD82D083853801';
wwv_flow_imp.g_varchar2_table(1323) := '0E780100B881FF1148882FFC833B8083F13B085CE445FDF145D6F08F173A8823248891CB177260064FCA1F7438ACC87A066744AACFC93782C83E521B410BC4B7FC3190FEA3844698BB46A00460A384BC08CA6A1416EB92850A43C3196103461415826243';
wwv_flow_imp.g_varchar2_table(1324) := 'BEF88337C0478270035C2C03374840E9A09484C0B06209059C7388272C88248C42B0538834D89E85688116700184B002771B96905C88608486603427A618226000BA998002EAD9977841872CE91C53D22927A217C6318869889771D10A005C3A7C6BA244';
wwv_flow_imp.g_varchar2_table(1325) := '240800AC8446D8CC869839A8CC02A91C9978F28655440ABB8483AFF148ADAC8EB828885BC88542220844784A88083B0038040080AD3A58C58A6388160081FF161888222808181808D7D41B8F1CC2ADC4CB83F830BF3C8820124C1A000064CC97EAC2066C';
wwv_flow_imp.g_varchar2_table(1326) := '40257C2B272AAAAE69502A8478866990056C68BC716B3C8408CF3634084F00C788C0BDA6BCB081E8856C58CFFDB88259548227E84702494800F8AABF680F38D89B035483FE24106E1A0894A318BD1A0874208787A3CEDA394583904200A88353C03FB404';
wwv_flow_imp.g_varchar2_table(1327) := '005E80800DE000BE5301B9BC4200C01B1030011048083F10CAE62C88FEEBCB18450855A051B33B08D33C1D670CCF346184A424080EDC8B73430833084B003003E62388C6C4B7B7431FCC6C344FA0CCCE2C8817C1B9726A4A4C738569B097D2E8B7FD9082';
wwv_flow_imp.g_varchar2_table(1328) := 'FD540282C88436D10FACA083DB5CABCD8888FF3DD8343270086C7206DA43537922080900801618D182B001E0E4BBAB7351FDC9361945884D78B80A950806A8CE7C89A237048028405284C88257630E12E802496DA26F73C6B7B3306D4C0A00EC4E681096';
wwv_flow_imp.g_varchar2_table(1329) := '69D054EA60C18150811F50012050812318882F10D2FD70D3D340845745885D2408482B52A3E0809990C0829802F51B08407BCB83C899DEC12A8368890F18880D50518270815455818168568550865E908665088690E345E8740BE92C0854788981700200';
wwv_flow_imp.g_varchar2_table(1330) := '80824E7C880318880CE85569A19750D0BD8500832C509148819482383383D8C37241C4CA42AAE13B0A1679915FA0061C7C861EC541A8B355BE58033505805D9D8086B5530828D5FD98AFFF3AD81ED26A0548B08A619C89A2CC84F72488D55C0808980924';
wwv_flow_imp.g_varchar2_table(1331) := '18242A600226E00BD9413100A00082F09081104E15154E13C04885A0065DD806A749A47FF0BEFD2908C0548833A08213E01B87C0518240D47DC94E2745086C134749910349815A7C32A7C0A04C82783BA1C0357EF0D950E9D3FDF0155400D6C028042BC1';
wwv_flow_imp.g_varchar2_table(1332) := '8565D85200F81400B087394B58451A08C51B962F908209B0D397F50B86E139724D885CDA0509B3840AF586ED9130893A080FF0001898D6BD1B08130080E074882DB197B7DD56E142084B88B89958DA12585750B94F3E283783B8D782C0822D08CBBBB882';
wwv_flow_imp.g_varchar2_table(1333) := '20B8024AB98B8318061141865F18B7BF4A44185D88B91BB65F3B08011287FFB7F35ADB88D68FD1AA865BCB8288000D388A3E705082580669E0B87FB087AF350840600439B85E4650BD817883D775593B750862A9044A785535E002561D881E0000F59D08';
wwv_flow_imp.g_varchar2_table(1334) := '27A803272408DFC9CD88B38323204C9295591B789487058169ED898620056588DE90044C6FF59EBE1D884390BF861004868093A8D31703F3C682F8DF8160411560C1896D010B10CED6188551C03A78F985E0F8056848BE6FEB57A74D0EF01B884E31086A';
wwv_flow_imp.g_varchar2_table(1335) := 'E886819D0E34900215D05BD45185702D35A370B28208E090FB877FB055E41C083F9083943AB7C91802089000FC1D88049080048080041808087858850084C910815DA5000DA0800CD8551E5802263881095D29227A87FF89B30484C9199E49831E1E8312';
wwv_flow_imp.g_varchar2_table(1336) := '458822500109F00009D855F85C852D5907E9FDD381B005602824BB298C063E88615D885AF10B190AD3A468491502804C18DF81304B9C7B054AC24919D43868188E81B8855F100659608D5B98975583884A48846E4AE581B8B78410076A2887D380833598';
wwv_flow_imp.g_varchar2_table(1337) := '65CE98801B7E1B3B385C00A0E299400431D883040300DBD3C585E016849813E6A3003BA5620870E2298E622CF68490D88C1B7E00001001A33588392D88618D3826082700D8837C44083C0500193208E29408FA70DB3F0600418E8A0B3A0174350C4B58C5';
wwv_flow_imp.g_varchar2_table(1338) := '1900003280028248DA195182721BDD86E0D80EDBCB5F3CE10F2608504884545068DE2D884EF9055CA0C6FF040180DA9D0948C33DCDE44200C80659D08D820087580A5E286955B8518545D867065364047062893804950B3C95E2B8B89DC5560D0235B04B';
wwv_flow_imp.g_varchar2_table(1339) := 'EA2B08BD75E63A05006796E285003629F00067F6000E00DF084800742D883D200432B0580E0500731D8815A001A3AD823EB803392688B82402751E085984307796084106865C10645B884D85B0CE8230646999C546D8DE83E82644788667B0A2052903C2';
wwv_flow_imp.g_varchar2_table(1340) := '08E8D1E59677CD64626E0A8698328720854A78914D6161C84A86818D61A188E5E98D5BA440CE8905800778809696161C3008214D000E9800C8ED8B65211AEAED0B668666298680C645082948013BB66382E865A4D001CE3E8170AA44848881688DD6FF6B';
wwv_flow_imp.g_varchar2_table(1341) := '06803790B381D8844F989ACD35089025EBB3F0D663E80428A0012848E982A083838855EA183F9DB0822FA8E982A0848AA45384E0CB8278D7F19E452BE0822B08E8932A88424A045AC0309E62C69D028045F8834D10BF3E4003276B84D3F5012CA8844018';
wwv_flow_imp.g_varchar2_table(1342) := '36F043E870F8865790096AB8B5E98812CD869E5ECEE387C0B304C6CD3878114078CFC91E88209082634E88B0E5658398ED87B8620098000E607082605F4B602927A06A40635F00E0EC10288189800340F0483BD88485DB841E4608764EEE85800A27A001';
wwv_flow_imp.g_varchar2_table(1343) := '7C5E8871D58F21E082ED2E083F183F168888EC538263E6F08138EF2AFF8246E634A412BE78B94198D3580040033B408331405087963BFF83E0024AFA06453B0DC27814B8A14E0EF8263CF002BEF3ED0A468A17F1B87E30ED8348EF2DF8822D40832DC003';
wwv_flow_imp.g_varchar2_table(1344) := 'EF956D063FF12E1C880ABE623C4E74622C08AA06805768012727880D3801EF468A31108333A8E934A070DCB398B7ED3CBC944D84C043658D88A5950E29D03D5707002CA75583C0B0BBEA452305EB81B802570FE82FD8F58BD03D38484F86F899E6FA1927';
wwv_flow_imp.g_varchar2_table(1345) := '135957F3D6A5EA8455100A6AC8867468E7D3F05EB578F07DD9AD12C8001180930878F486106630C7BD6A188776C07083208CB83074824067A418F109E03B0F07711490A12940810D0000AE5E749E488A2A3088EC99822900801CF07784302B1785E78410';
wwv_flow_imp.g_varchar2_table(1346) := '9946E16C8330F283204CFFDB90829AA60B4000853961D87D5A5FD82888371802DDB35BF4FEE77795020D3FEF8B2041F4A9BE403DBE9E3C866EAA0A70513582009762A7206A23885816B0C058832F8892E12D8829167A50E981FFBD766FBF7687B82B931A';
wwv_flow_imp.g_varchar2_table(1347) := '087D0F07758060841803520BC35BF982305C033C408342C783AC77CD722B02E26C017977941FF801C58D6D8730804B67627ED4024B7A0118B0F4899000D13E08E31C0881FFF189009FB66608445549E908022EC878864084AE145DB7098DC6CB782EE002';
wwv_flow_imp.g_varchar2_table(1348) := '6EE196C1B7B582A849760400ED4CA57A2908832B885AC01F6888BB812804E20CCF6E18D5C0F0F9AC7F5485B063BB7708B23F8A45190818D801112008BEC37BD79F63FF587C814429F8811805F9A033CB45F72254038B20353CF07933E8FAE6E7C6DF4E08';
wwv_flow_imp.g_varchar2_table(1349) := '3C56082100FA8100DF8340000468C09FBEF407BF168F1B0819908183F06D85E0BB0DE853D63E881CD0FBBD7F97D854A783F07B8270022267F5C00F8C67880B57278CCD00083C669200F00400C0AD83076D01D870F00E0062001802B0A250A14500572E5A';
wwv_flow_imp.g_varchar2_table(1350) := 'E1F20580122917471EE4F68B1B346ECF2E42C3A6B014C99807831C2C462E99CC91DDC001C097F327508578D60C3D08070E2092225B5C241854A10910299E521DE961240700534198005AE422101D30901801500580A191FCF8FDFC82E68B9B2F78D01C2C';
wwv_flow_imp.g_varchar2_table(1351) := '0A0700204A8D1055BD68E3EB0F85133C7868D162EAC1FF04041204884901C2918F543320F879D583848B306CC8DC11B52FE8D0A24793BE080CF401001848CE487DB00400D8A581CAA2CB31A39C37710EBACA09E361682023D7F03E88EBA2CB6728570278';
wwv_flow_imp.g_varchar2_table(1352) := '060D00B2E72BA329EC355B662A00E5AE03553392D1C1A423B92874CAFD3CC9AB5A018008FA9BFCC1292E7480989264E3C5B53FCBD8566806407F0765520978A389A4C2482A10A10205172160000209004081070E89F6000312C6F45B66EA1DD4DE416571';
wwv_flow_imp.g_varchar2_table(1353) := '04001200DC40047A29AAB822690C60C0C0410C1C1041062C20C62200BFFCE4CA1A7EE474DA413DF4F0131756886464480759411C0078C881179307FDA22372CD2987CC41D03CF38C4B382AF4CA34FF5E5E44544C8CFC47920A8185C6940A1E7A4981081F';
wwv_flow_imp.g_varchar2_table(1354) := '4E95028823757590701591B40312671D848F7EA37121D24195B078585F36C8C59D040D3E96980191E6045179625A7A29691A54F5800829B08023953235622800D9E5E4854CC38C844B4231DD22CB2DAC8EA4EA2FC2DCF21C00B89A845C4BCC5D44CD4F16';
wwv_flow_imp.g_varchar2_table(1355) := '4C205328324D934C98964AF105A10731D2C8454A3CD114680F287495840610C022010628D42068492831521549247127A06C5585071C7800D06EA1B4BC02C91B6FDC01C71D6FE091AF1B7D6504C017658CABD0572415A1C411DE913A5B15FF2AC4145355';
wwv_flow_imp.g_varchar2_table(1356) := '758329C59646C71D8A281E24D98ADC4CACD06E00F878102807A95A86428C70E185C3FF1765A390344F5139CD2FC91E042C00D71CF4CDCB3C7FD30DCFD9F0BCF3C4D950230E00DCC8E4DD4590542CDA93005042921B6FF447496F55BDF1874243708CDE13';
wwv_flow_imp.g_varchar2_table(1357) := '441C2162C30D83F4941F282BB4B042F6045AD53F00D8F3746873D31D37DD79EB8D9EDD2AC68D3700FBF40DB868F6F4FDD43E810340F8418C93F48FE38987E6F8E217F543773C6D4BCE22E57B03D5CFE59793D4CFDCEA82C6CFDCA25B6ACF3F76DBBD563F';
wwv_flow_imp.g_varchar2_table(1358) := 'A67B3E3BEDB53F55CF3EF7CCA322E96DFF2D77EBC1CFDD3A00B2E7D47ADFACCBDDF8F0AE9F7E50E29B8FB4B9F485AB4E7B3C6BBD5D5A3D86CFF33A8BFBD0A396F1A2C54E7AEFE5DB7E90E1712BBFF8E1EBCB3F3FFD17553F5ADCFFA0571E3F3FC103CF56';
wwv_flow_imp.g_varchar2_table(1359) := 'E74632B7E6550E7832111EF30288B8FB99AF7E2B529F037F72BD08B28F78F15BDC0429A8C10D7270830A0C0AE4BC04C10E2A2483243C614CFAA7BCB8B1457F287C210C6328C319D2B0862C221DF16CA8C31DF2B0873EFC21FDDC07C42112B188463C2212';
wwv_flow_imp.g_varchar2_table(1360) := '63923FD1412E84497C2214A328C5293ECD8554BC2216B3A845121E678B5EFC2218C398449C88B18C663C231A37280B9218C30E39BAC8389877C134D2B18E76BCA36816518C35EAE816EA58DE08F128C84112328CC1F889AA70C113B715B2918E7C2416BB';
wwv_flow_imp.g_varchar2_table(1361) := 'A8105E580300C2F8852C4205C94D72B29350F485948221494F92B294A67C61303409006BB4EA38BF68D5296329CBFF593A70111759232D73A9CB5DD2AD0AA8FA120070610E5E12B398C6E48E1558D6B26332B399CECC097C1432CC6752B39AC5EC0300C6';
wwv_flow_imp.g_varchar2_table(1362) := '3092385AB39BDE8C25CBFCA490747CB39CE68424D7E0C0B573B2B39DEE7C273CE339C3CC1D641DF494273EF349C50C9A509FFEFC2740032AD08112B4A0063D284213AAD08532B4A10E7D2844232AD18952B4A216BD28469F920F85E4A3A346C40748EB21';
wwv_flow_imp.g_varchar2_table(1363) := 'D2918A34A326FDE13D52AAD295B234A50A71294CEF019A96B6B42F347569556E7A0F90A6D4703C55294801A08FA19EB4A836D4295257FAC4A0C664A844352A54AFD8D1A952B5AAFBB82A56B3BA3D31E14370A80329586557D58B8CF5204F8D2A5A4958D5';
wwv_flow_imp.g_varchar2_table(1364) := 'B5B2FF75AD4EBD873EEE81D57BD043A6F790075EE9218F7DECB5AF0CB4A94C8302D2DD11D61EF3382C62F52A8F7B501550806A693E9C4A55429274A4814DEB2CE93A3E7A70B6B39E15A967392BD294D2431FA0D34F13531BB7ACB2761F1F9449F9F2C18F';
wwv_flow_imp.g_varchar2_table(1365) := 'D8CD1674FD809C6B55AB5BC8D5B5A5F5086D6F7377D5A16EAE1E973DA36D936B5BCCEA921DCE7D2E74D9D18E764477BAD4756E3AC4510EED96E31BD0F86EAEBE9B126E90F71BDCF8463ACAA15ED14CD31CE49C2649B6A3DE7028071BF6B52F97B0018D61';
wwv_flow_imp.g_varchar2_table(1366) := '40231DEE882E80A17BDDE9FEB71D0A618742EA71467330B8C1F0652E2D952B6109FF23B9FFD0C73062A1E16274A20927C0C001427C8010846009FF4BC00113A230853E1C0325CC78F14AAAF1946AE86C1AD8B0F134AE718D6A44231A5B7A063386C1DF50';
wwv_flow_imp.g_varchar2_table(1367) := '20610A486802159A80841308090522804126FE2157ED4DD8B6593D2D3F1277D63B32C364108E70956B6BE17EC81674FF90072DD29C8B5CB8010318A0818C3410011C44E10C54A0C10998700616EBF7C7D401808C8142E39729E4C63AAB068F7DFC0C6420';
wwv_flow_imp.g_varchar2_table(1368) := '8318C858841DEC208633E8600948C0C11274C0830D78A11FFBB8ED3FF201EADD9A1972B7AD5C20BFACEA15F1B3CA55E6EC50FFE10E0D6B38176260808B2280810CE8800154B0C312A0400326E0C00EC7E8F396A281E898844967D940068DAF910D1D8F04';
wwv_flow_imp.g_varchar2_table(1369) := 'D13DF631A385C18D5AA8420C5360FFC2094E80031CE039030C78423FE4FA6979E4A389AE76F5E2E471908DD62FD0AB5EA8E3DE2D617EC0431EB186072D62418B5C84820721C6400400C0820C7C800638980214224E8328C462397E46B4CE2EE26C193323';
wwv_flow_imp.g_varchar2_table(1370) := '1AD39EF641320E6844F378D1C810063478B18934E079061F08F787CD8D04BE5658D6F728F56E558B41FD9DB9837FBE37414D67BC775738B9F780073CE02A6B0D0FBC10350831034A908112E0DACD50684213AE0E85450883D1C8E8788C777C8D1CE75821';
wwv_flow_imp.g_varchar2_table(1371) := 'D960C633A4ED6CB5E78CE43D36393462818A459CC109E1FEC00CDC1C62020841CA9FEE873BE821667D4B38DE11EC3200BAFC8C9F033D8227A8A3A8DD518FD08530E7A955EE3DFFDA91747DC83AE001F782DE0FC070111FC0455040F1E9C5700C461303ED';
wwv_flow_imp.g_varchar2_table(1372) := 'CA5EB6426C0680B33FE3E339FBB88CAD5DF246C7DD127B88C20C4EF00137E33AC401E881944D1DF8FE595EE74D6C1C5EF941EFC637D2E5331002009C0080588891DF93B71CE195AB0FCDC77AD6010F451556437AD2BBF904349801B1CF400B6834FAEB8B';
wwv_flow_imp.g_varchar2_table(1373) := '3F08C90F52F69C45A3CB397ED9D81D1AA029DAA21143EFB15CF07D58F1191FF2E5D6F8D183A8855F722944CFA51AF5A5118C00C00C3401003CDE41A01C7468D13DF083E4118E042A973BC0C385FD033CD41A22E8C007C808011CC00CCAC8016000D5591D';
wwv_flow_imp.g_varchar2_table(1374) := '1488412E68098CF518FE611CD91D443600D9C78DDDEDE9CC8E29FF1A33F05E2D2C421ABCC88B2C200110C0F1FD436EF5433B08DE092A57BCC983055EA019AD06037CC04170E045A01C9664D1084ADEF574A16DA5603F705E0BD2022888410CCEE00C1E80';
wwv_flow_imp.g_varchar2_table(1375) := '06E00088B908AEE999102C023008C38BBD18108E9C8C212100E45835AC848E4D5BD92DE1351060A3614324E8411482180DD0808855E11582DAF881211C2E570542950E68C60BC0402A02409E3CD2124C0100C8221A2AC430201E1691E0F795501756981C';
wwv_flow_imp.g_varchar2_table(1376) := '729E3B041C224C010D60801E425D04F0808CB8080D9CDE0CA89E300083A3BD9842E4DE22EADF1236E28E11C33070E32D10C3B52D9EC9A11C21D4411A1C00FC1D8213E8A11536206F2D5F295260F49D14C7B8FF8011CC870BC0C07CB4C76F34D2122804AE';
wwv_flow_imp.g_varchar2_table(1377) := '1DC40C6409CA49C41A4AD154E9E272014029F6033CB483A82D5D2C408218A4E2DEE92106F0C007DC20039CC00C30C00C2C4128749DD7751C752C5B98909DB421DAB4ED18D829DADBFD183388D7261C421A7C240638C1398A58002041F2B1203C7061437E';
wwv_flow_imp.g_varchar2_table(1378) := '61182E54C948893210C32A1CA52144C26EA8CD41200188308188D051C22944F0399C2300C03100C030309A54759442BA5043BA0344DED6AC85022250010D1E4415D2E08CAC40E9D9200684E427F017A321E2498EC424F258003E62385A099021039019E0';
wwv_flow_imp.g_varchar2_table(1379) := '3158C22130C10CCC801334A613F024F2DDDC3E205D3D0C9E04CA2318AA5ACC1C04758C020078FF2654E2118CACC61900402E64C91AA21D428AA51B2E5759B6C36CB1602CE4422AD0C04190DE1E7264E9DD605D464127D0DFD7B95E103662EC05A0C719A7';
wwv_flow_imp.g_varchar2_table(1380) := 'DB112090C15D2D58021D90416342271914A3F1F50116FE03BFC143655AA6BE5DC4299E543228433090514EC44C352843348CC20E10D26A34C91920C27E1D04DA75D99F311E1131563EDC5C6B8ACE6B46640BE6823088416A304004145F6EEAA68CD0401F';
wwv_flow_imp.g_varchar2_table(1381) := 'D881300099EBFD194A8ADCEC3D62CE4C433480238F0180B251C772F25E1FD4411DD041744A0219E41DD48582A965673D44E065BAD07762D4321C842C24C321C58432E00479A2853DE251085CC4569244375E84BD195142EE67E8C021BF9DFFA544E60222';
wwv_flow_imp.g_varchar2_table(1382) := 'ACC6AE31400644400D965E0D54DD0CD0C022B8412A2043373A9A8642281266C3B2F9D85F2E5E902A1BFF1126970A432DD8C114A401133801196802741A1F06848295211D04C26109F5DCAADDC22AC0523005EA20C188198EC46F02097448441415E9E4B9';
wwv_flow_imp.g_varchar2_table(1383) := '26923E6444CE1AAD4DC10D46A98831C0061C8001C0998B845B1F14422C702931B41E73BC9E421CDA350059CE1CDA2DDC22DAFD58E241C730080336D4820E300114C829743A41DE610015A06885E5839EB268F831A46DF9695165438C12A74C102A2EE042';
wwv_flow_imp.g_varchar2_table(1384) := '30D4A81D790B4988013659D21A326AA3E6E75892651726A97FBAC26C42420D00C08CCC200B945E0448A988B59F18F0812DB0FF5EA32D1E9A869C22AEAAFF21E1239A6A87BED89A42C331880113C42963CAA91330C1895927E81C5D501AEBB11EC46DC95B';
wwv_flow_imp.g_varchar2_table(1385) := '8A6C0B40DD28002883EC8DC48D0683782A443FEE011AB9C6452C41137CC2451CE46ACAD67EF2E209F29B3BF8672CA4422ADCDA4178CB6E969E01AC1F06300115C0A7307CE5D771E600E222A0556234E858B355033370232DA4022880822D002C97020334';
wwv_flow_imp.g_varchar2_table(1386) := '7CC295322619D081AE464113E0C018602199152B9F4AACB29E475B0214792A43CC50EB3428C345842779FE411F6C8221A8020074C22214422D6C8716EDACB55E445A1C844430C796346A60D58309466ACCF68F3A68182450C18BD02028EEDDFA1DC00AF0';
wwv_flow_imp.g_varchar2_table(1387) := 'C012F04121D6FFDF83EAD833946AAAEE988CED1F8F75A99075E38B092D7F1982F5390114A4811858821A2C010BA8816D39EC9E76619F522C6990AC4200EF3F1DE5366CE64518AF4208EA489C41BF149244D8A7A5406FC504964C49DE489422B1C6EC6DB1';
wwv_flow_imp.g_varchar2_table(1388) := 'C3CC46AE155621F8BEE5811E000DE8401F74422ED46A3712668FD158E80E434228E1D1F26BFE354773CC275E0A19301423FC9DC1213802002FC213E06EC3EAE9CDF1AED9FAEE7934463E35EBAAC8C4901E84C76A0149C8624C30411A18591A792912C103';
wwv_flow_imp.g_varchar2_table(1389) := '00502F00B8E1F57661F6CAD63F706F2AA8010304C0F7B270F8C2E56E32411340422C046DD04E63103E62D332438EE958350C61FBEA4CD30AD9D7210330A4FF6EDC8540F041C12734712C1C033484028A7E9AEE1EF009F6EE8A7CAF3C6D0368C06DDC5EB0';
wwv_flow_imp.g_varchar2_table(1390) := '421C822500C01988EC2CA641898891AAC867145D16E0EDA2C4C26109F70F0A23016CB870F81E63E9891B159C412A082CBD0A27A0692812CA6FAA7EE9723621371AA42D08193702C314AC000DBCE727F4E0310803CA892DB106A5155F660257EC4130703C';
wwv_flow_imp.g_varchar2_table(1391) := '8103171F0429F30450105AC6C6441D1CC4181F84C84EC19BCAF24898C11B50512E9C86309084AF1C1108B7A6CB9EA0C39A30F7165C067CAF15BA305CEE211574021F74C231D42AA3F919F4FE702386C9B28D5DA311832BD0C22DD0ABA385B33403432C2C';
wwv_flow_imp.g_varchar2_table(1392) := '681F8402305CB23000A8D8F2833C7072D932FFE4D952858F9CEB4830B0C5CA133550C3CB6C0338EC04176F433708340010F4416C43362074295F841903455502007F9C891635612F47D11B4F901C231D31C7422888001E23F35B6A8B01E8C018744228A4';
wwv_flow_imp.g_varchar2_table(1393) := 'C225DBC211DB5F220EF2488C1D9ACA58A9F258D36E7344385A900A19CAE542490B2C26E7420D5F6776EEEE157F725518040084403E03C50C02D44E00C0C40C345417F44223EF41B4F2215C442D00401A1C441A1841691E84160488498930F89DE0266F74';
wwv_flow_imp.g_varchar2_table(1394) := '27680BE5464A00189F01704004B08017F4412ACC662EA76F5E269BF46263EB21DA340419C07E23E1962AA9AA8AFA764227A01C30AC998641433B932D02CBB3025385182C3550086F3EF9FFB33F2B04424B4342CF5E2973AB4C14C32CC2B211F8C9186801';
wwv_flow_imp.g_varchar2_table(1395) := 'A598C126140B19D7591490712D1691CA524C973532C528D0454B6C1CA3B546F74F3B70B406842F0320C00C520603BC80A6DD011FA0743A0FC311C3AAD1E684852603C9356DEB110330DCC211DF74A3A5EE5772B4301C0350D75A2A08C35561A701C7F3C4';
wwv_flow_imp.g_varchar2_table(1396) := 'F6056C6F0A0054060088C00DE4132A5F8403CF460603401FEC067E0405921D1169D30D31D88277A7082D1C4476FCD5BC158F08AB0E1C0E331DDE3512BC350B6B0B0B670005440007F4801B408296AE1930D8825E07E7740C72A291C434B85D4D13837727';
wwv_flow_imp.g_varchar2_table(1397) := 'C41A9B8C9059D2F9818249E37528E442CDE92EC4B6E83CFF0436148BD304FF8528034006EE001520753C51C336E04C55D8245084F52D97C11590754C44C16C2B44D6B8537C038547B1C5F7F1E7846B343086022D780186BB7000B4F903747815DC012220';
wwv_flow_imp.g_varchar2_table(1398) := '425EDB822D088361A338D1EEB9C6A93833DC822BA42E8D73A3577AE55786022598B4142BB614E78299F938774A6090CBC4E5644727AC404E58EC523F806623146803805354812004451AFC8719A0416892041900C0961F8477607923355A087A0EBD4578';
wwv_flow_imp.g_varchar2_table(1399) := '30871F859FF0CC864000EC6C0BB739013C081FB84149DB3950D30230ACF421265B86DEDFBD6273EE051982AF2F32BC2AA1AB4AD042829C33BA14F70125DCF5753A2C6335A499E11555DC2A00FC68536B3A00343550D8FF811F9CA640C982D164833478F1';
wwv_flow_imp.g_varchar2_table(1400) := '4F48822C4E411D244115C0FA48CCB6964301AB13810C980800440C5D98842D0D529755F76D8B46D68CCC4F4CD5418CF96F0B7370FF833AD04227E01A03404886440072B7790020C2300C9C4A37362D34F2FA1E229F5734715268A335615E065937A62E26';
wwv_flow_imp.g_varchar2_table(1401) := 'DB4219E081622B3A478F81A87E9A9449763C4EBA4C400328C4820597462A282A41C58C555FC4218C7A4C948144C70421E88142104258FF442DA04223A966C4CFC62F298E09853900603C4322AB040E331DD3C21DB42B033CC0036CC006700005248001B4';
wwv_flow_imp.g_varchar2_table(1402) := 'B91F0843CBE7829DB77C21A66E74F0F5A219ED90065A90956A132A3262D76A340E432A3842A24BB114C7FF4221B8412C843BD28D3BB9237D4E7C02056460681804452CC4442C78410D0C4948C2D5A7882634BC37A941B13802F7290E497854083FAA8477';
wwv_flow_imp.g_varchar2_table(1403) := '213EBCB35CB1202D8881013C400440000770006178000728060140849A19FB1163F257C2D874842E31F88AB571668FED705E325ACED76AB2633225148223303A1F3C811840021F74BE6B1D9D3C1075299E5965E7C4732082E98F46CB2B044000B3058060';
wwv_flow_imp.g_varchar2_table(1404) := '418307112654B8906143870F214694389162C13828225E29C3D00EAB8A1F4186143992E444470EF3E5E3E7AE5E3F002E09F6933993664D99F9E0C1CBB7EF1F3C5A4A183078C0C144510F1E52784040608C2D5AB46CE5720A0CD8306456A131BB0620FF5A';
wwv_flow_imp.g_varchar2_table(1405) := 'B46700983153D8152CB1B0C8D05E1DB656185500AEF81482F48992233B3A4A50E914EB1FCF7BF0E4D553699330E17FF2E441FC1A3241415AAF4A46963C99726500D996119446D00442417B2A421122048AC19308B9195473C4726BD711911124464C3287';
wwv_flow_imp.g_varchar2_table(1406) := '83FB14A6BCB7B2E5CB982F0B13FEAB93DF61503A100C35E181287313291E18F891CA562CA853875585860C5A7761D0A2117CF6F5995700CF9271157F1ED96CF76B870913660B5A283C721D39EAE3880F8F126342E9EB9FE1EEC927B8035D3A2CB1D70862';
wwv_flow_imp.g_varchar2_table(1407) := 'E0A05C188CF0203C24AC10226AA62148190032BCE2A03DEA00401084AC28E80F3416224D08009A50889A6F20630D802F00A0C4C21B5BFF8B6D321C0EFA87A17E58EA871FDF10142E2795FEA12793041E78010611387860280E3CB08103046000A53AA880';
wwv_flow_imp.g_varchar2_table(1408) := 'A1852AF89029A6135536C9851BF298594CBDF3C6132F2C66DA23063E616E694B18FB0AC9AF8F27F4FAE488283AD9679F7E86A3C7C022692AA89FC308CAE735031A020647CAEEE0E3344426C531438236DD6C220F09EAC30C84A238A834822034689A6C5E';
wwv_flow_imp.g_varchar2_table(1409) := 'C143463594C854D65917FAC415891C0D929F21814374A6E10CFC071F4308E08002042888CE800728A000CA073680C4292EBF640B9B4D0E21C4093B524BAFA067D214ABCDF0C00A6B36F886A9B32D5A20C10311470AC1C30E2FD408858F262811B49F7A72';
wwv_flow_imp.g_varchar2_table(1410) := 'A2E71E5F67328851063BFF5BE896810A1286D68FF0E8A390820A5964E1D74A31481ACC1C02EDA02A087AE38D88F8C845E1827E01601961E02048C6895986A83D1D254362C588745514E09B8E2C6E9F320858AAE7080C400081081E80A0D908DE182616EA';
wwv_flow_imp.g_varchar2_table(1411) := '6C693ABB61A0E9648F4508C1008763B041462C0060FE763D70DB1B464EB6D44D050F37F2E3C30E3BECE2438C12D418901F7EE1A1879F9B617A69E09609B28536BE1F7283204724067C320C65C9C6E26C367C680A8298C8E17100ACF09046859A10A24557';
wwv_flow_imp.g_varchar2_table(1412) := '683148166E361D0280270C2FBDC228583880E6DE6CBE19D8E2E0D98180D97B46C080A08566768307AA788A696A9181A4893316F96491E2A129A8BD83C242E8BDF8A0FF07E6CE31DCF8848F451CF9241447D4A0A2042FF4A59B1E7CEE06B8D7BD6F8C6594';
wwv_flow_imp.g_varchar2_table(1413) := '5818BA2579D313C2E39382FA809F246A30B6781A4F1B07E0944308F21984C060031ED841AC2867AA284061812D7A4BAA14728458298111F6B3A064A8B0222A408425FFD855AF5C97137DE4E31FE5884E0002303BDBE12E3914D81D0F3C410B4FB8A24BB4';
wwv_flow_imp.g_varchar2_table(1414) := 'B805321081030C9C010A34B0C3222CE10A685845215B23085A8811A7B5DC0218EEEB8418D460A9B8E4E7139F7003157810850111CA1D75FBD7CD1485BE08D90600B6480542D84710495DD020A53288C44EC3468A64461A1793C63496310D65F4CF060814';
wwv_flow_imp.g_varchar2_table(1415) := '040047C404008408002028881114B2404596460D4F49FF48C900203A14C9919220E1810639D8125EE10D67F0E007094D480014CE2E682C1C5AB35840095B50228656C98417228001063801034E80C2193EF11DE5FD8D36691A0FB8C09216B1A54B3EC2B8';
wwv_flow_imp.g_varchar2_table(1416) := 'A2170A914CB5B9212E6AC0CB13FAB2AF7E1DCA7C3111A36B3C7090341AE4169524C8CC9E0009822C820FCBB4833723C238927168437AEC1F003651903DA4C10906C14844DC48A1B718A4649B2A42411A814E814684740FA9199142088F11FEC31C094061';
wwv_flow_imp.g_varchar2_table(1417) := '0A6FC7C204188000A8F4832D40F11446F82106047800030CF0811364600662080541E403809115244D5EF98A58E024A7B165C7164F408217F2934C2ADA217319A08280EAD1457FE12D8C0B8A9008FF1C6223748EA1209822E7380937D08678AA20EF9C46';
wwv_flow_imp.g_varchar2_table(1418) := '30E4691041D4419000484321132206CC01C08D0881E42F2A41908DDC4AAA1282938436E8109768B27500031609CD81808792F27642131A018866823BD00214941843748616140330E0043480C22220B446005445186BE15A9BC215CC99AEA52A9468821A';
wwv_flow_imp.g_varchar2_table(1419) := '3EF12E2A16220A38C04104B4C813F17DB19A7A336A5B69E58515C5110085F8C4694E838399C15621FC6388C608F2381D0040023AB8C21D08225686782121B7F885307E71D27FF296BA20615D4C00B62BBAED86A100D82B010E1051BF1284033230C20F4C';
wwv_flow_imp.g_varchar2_table(1420) := '4081DAD90E0107002F0D9A608750E4E218935523310100356CFCB23CD8000034366BFF274A44010FF931701FC4F08426E080013F1DD46A896ACDD7B60C5295F442270A7292DBCEAF8DD50500350E228D6528431A240680B778A090104DA1331AB8C143CA';
wwv_flow_imp.g_varchar2_table(1421) := '0A00C115A4820479455A3D4C995460D88241324876B59B13EEE6F5BBB30300A48406800870E0071C484092234A51F09E800A76D05E2ED6980A50C4E216C328083072B1345A280D009EB06F65E5630B61404208F2CB1E25ACE7B6D222C0C1FB122A357D55';
wwv_flow_imp.g_varchar2_table(1422) := '54FBA9EE822F30C8FC785C103EE498219EC22A5611424800CC93201B282E2201F0A736D2A109A732C88C0F82B0196D84D022C91300CE080C710280119900DC3DFE91EA540340D5AD7675AA67520F79C0C31EC5217291C1BB5800FF7874033D3041049E1C';
wwv_flow_imp.g_varchar2_table(1423) := 'E5D971800755B66D2C62515F49B12F1563566927F88008433CC5109160A5C2D842155BDC4108A2ED045DE0A586051BA0CEE22BCEABD1EDA356B31A313E5254A75FB35B8384822EF453438CE3DA56103F72219238C81200B00247FB1900365882C4F4D090';
wwv_flow_imp.g_varchar2_table(1424) := '94E101108CC0310000116929C07B245E56A941FED6321FD71541BBE2073D846C6BBD8E5294B41BDA5292230311F895A2B73BC00690F0043B58AA16A138C67790110B3C94C13AB6F072977CAE16A8C5A6986D01462CC42D972AD6857062282D03A0F9E03B';
wwv_flow_imp.g_varchar2_table(1425) := '47D8B514BF9118465D10BA7018007D606E411C647500C822635F05C0063660901408A17000A0C3221D5890CB7D01FF0F66A8F1E8C40E9291AD942016E7DB7541D8F15D811C1E431E790A4B4E00253F00E514408109A26C80032080054F50C31DFA008950';
wwv_flow_imp.g_varchar2_table(1426) := '203B15A1F5020B30F0048154C52A16B78A8EE2A3B0B60C24176E68021FB67E5B727AA10925807A3483EA45AA2F0A31798F5081B54E6F00D096AC11CA810B2244D58524431A910081720B52CF2A08F29E0451810C0060076B10C4D20B41910A8EF0851A2B';
wwv_flow_imp.g_varchar2_table(1427) := '6165BE078955F8CE321FBB046F412E7C71CA7178517A579408B8520090250213B857F20460000DA8A00F100111AA6811C6200A78E0040000030802116066E8B82336D08F2DDA0200442614D4E0E0BE8DDEF4C3E96AEFF61E2C270463F7AEC9FC2483B9F0';
wwv_flow_imp.g_varchar2_table(1428) := '0012FF34CF20B20E2118D0357C2007E0674408A20EA660B814021508E2ED1A824684A00500C00F004170C8EFE14C70229021FD5AA637D80FC83E2EE4184AFE146FD78E8C020C2000968503588000282A022200079AC00DF20412C4400718000330E00332';
wwv_flow_imp.g_varchar2_table(1429) := 'A020842015DE27BF22703BFA8E0285E1188EA1186A611170E0048AE7B60AA10FEC400C32E70422A0DCA6890427EC085FE3610AE29C0C220218C4057C000026D135A8613394E117108D20820117006043CCA0060A028000E00CB80A0656A020882092626C';
wwv_flow_imp.g_varchar2_table(1430) := '91A2A009CA8A4266EC070A8212E0A0FC14113650CAEF34AE256422F004EF09DF2F0ABF6BD75448BDB8100144C00350280246A309BCA00FD48610FF31200432200400E0044A401BC50082D6222D504FA552AF0E3BA115A6800966800F09E778CE200A9660';
wwv_flow_imp.g_varchar2_table(1431) := '3430A010716FEAC048C272D142C480F63407009080E24CACB7142721F6E00C0802055CA00AAC80740A6AFBDC2E0AC860810CC216BF400D08420A6225E2EE71322445D32665E3B00B513C8E6EF001AFE4CF18B9300220A0E4288F039CD10B64460CDC4000';
wwv_flow_imp.g_varchar2_table(1432) := 'BD80CF00600D476A0D01000F526A0EBB833BD085B3EA709E66C0B198A00F06920C6E090A7A8806320004EDAC6EF00C51F42C232B83101642906840085ED035BA200E18641B1EE20F4605006020092C41132CA1206C500742C008ACC00B10A8C31E120AE2';
wwv_flow_imp.g_varchar2_table(1433) := '2EE2F0E00B260E00F2B2202488D3FFA85222684361DC625680840981F1403C8E404812D76EC76868875984E08A90200AA2111120E189CE70016B32034AE09B4E0A219C2216CC0C5D984818BC41152C610666600966E00C34E114344110E84010C8C00974';
wwv_flow_imp.g_varchar2_table(1434) := '481EA50E2A11F12F71C40968802070F2352A9132022AA008620B082209086204140207B38A095E20ED00A00A0A4A21188820287208CBE07208C20F7873242A50B264A58310CA571253C81693E448095990D1A35A9205900026C7101268001219700D8393';
wwv_flow_imp.g_varchar2_table(1435) := '222D706456490523C1132A2BDBEC501554A115B80A0A9CC0125061175881156453109C60066429EA9E72A8EAB1EABE735220514264D0326C0000460004900F005C0008487407FF80004501200792A04309C2EC0C6292AC93AC4E853B652C652821AD3E53';
wwv_flow_imp.g_varchar2_table(1436) := 'AD325422242B8D5A8120D21200C4200D4E000A74B0353AE8176F262473C21ED213F1B8306892653D29CF08A2807A0450F3EC80003E8020302003324001B7D11124453C6DA12A88CECBEA04008EA11636A11536610FF68009C8001516B44159810EE8C009';
wwv_flow_imp.g_varchar2_table(1437) := '62A9C1E651F72E94F77A1424C8E004E20E7EB4A02476C00556B1445D407420A20ABE0EFAFC7242C6496228C411690C00DE409F8CD308F7A9503F6211F6200468004601C0230E8215342132506DD5D42DDD5CED5772827C88513DFB2A4A20EA7658800ABC';
wwv_flow_imp.g_varchar2_table(1438) := 'C00EEE6011342F16C420EC6AB2261590457614A514223BAA024EFF3761111094099CE00CF0741750811508814F9D8001220004FF417C7882565D8DD5548DDDE4C1DD7E83542362175695410D820E2CC43911C2904882630E620B500439D50A39AF800B0E';
wwv_flow_imp.g_varchar2_table(1439) := '0981FE2909FAB120BEEE5309A29C046DD00CE20E52C620FC000E060D0EF4C95D1F42D32CC10E048909549520F01400B68F157490554762FDDACFFD463257112FBC164B041280766E8707A028262F3314420109EE1338470A004A400CB6491CCF4CA5C293';
wwv_flow_imp.g_varchar2_table(1440) := '2036C10ED2000AC860132C410F34014F49B641E9A03611201E29547CF06137315622E8C0DFFC475E9354446E040450005F29C30CB46092D0E05201600CB4C06D179546D0C043ACA044DE000DDC806D1762A3FFBAD320DE20623D35703BE60D04070DF672';
wwv_flow_imp.g_varchar2_table(1441) := '6B1742525A0446E1D5204E412104810643A230D9AF3C8371BBA254660D60C9AE50859CD10D66AE1070361720E10CC5140310351B7D9642D23461A4E7757FCEBE866113A620555B4115F0745BB7556AFBF45B3300372B94B5F24CC212117121625B17622B';
wwv_flow_imp.g_varchar2_table(1442) := '2BC305CC964557F47172A00AE272244AA420D0602C01200E3E862022A120BC33080B02B90E020EBCF30FBEB7E100A012C40262B79720DC404609C20B4A840870D1780FE218C06C0AA8A0AB40B620C2D6210E201E97152228D7728BC4490B0F94A4F000C2';
wwv_flow_imp.g_varchar2_table(1443) := '2B02DA33681E2032FB8058711618A88001D4D067A3A0A04A40084241182028BFA48768A1952AFF8081183A81096A800608017725411208414F09413623344C7D0AF7FA4578A5D21EED972178E12024C1640B825EE9F520784432DE402CEB0745B49720E2';
wwv_flow_imp.g_varchar2_table(1444) := 'E00F00008A2BA37B1D020ECCD720FA000EDEC03BEFC03B01170032C1DA8CD320CAA06E0FC204C8A8D312D5423E20ECB0952090D2ED0A421084D805018005088227708321D6EF30830381B94B1D1E208510AFE586A6573D4A08EE204F360FD94E4B0D23E0';
wwv_flow_imp.g_varchar2_table(1445) := 'B384604C33400CF057205CD74E5ED7BE96AD0A66E000D200150E810CA6964FF7944F014042C5147C78022702232A8B642A7B782204C1DFF6F42054670D3BB335C0D25B0A62153C110046812327425409A2123C01990FA2110C0122FE807CFF1782B9A617';
wwv_flow_imp.g_varchar2_table(1446) := '001EC02012000200009B736C0600803482334240B87E0C4213F4809610A2880B820C44C21DE8819364029079821D5E20004C724ABD10A266470484202E8A351742E126D5F0923E80064A2003F4C9848916A58A09A11126160E6196C4400F66C0099C804F';
wwv_flow_imp.g_varchar2_table(1447) := '23D75B25B4A0A3EE1FF201316A8DA866A20467799CCEC09C25421B7F733292012C01001C0E821DD8411D00601CD68120C0A11CBA6122CCEC20763A991522129A1921FE005390EB634AA40A56D120B4D92160A005764039AB0B2795D7675B235542D820BA';
wwv_flow_imp.g_varchar2_table(1448) := '8F9BD1399D4FB69DDDF93C0B4F50E881746867761A18E5AED000F4F95DF622D90A2102AC71016349A41AEB83CB6830DB223BFFB06D3007A2BE72C1119840296569A267934F6B331D095A0A04841F10A31ECAA7B50875A411A2FB58868A1962136F648CFB';
wwv_flow_imp.g_varchar2_table(1449) := 'A07D0100D20A929A1B032196DA21AAF70B982AAA37B434101542A22232588F98B9BA20A6FA20D0B90452BAF8E40A00BC9A93E0791FEE81A9A48CAF56E876F02F038400122861F38E2115788001D5100D67E003A0E0049E2079F0172236D20253E118FA40';
wwv_flow_imp.g_varchar2_table(1450) := '07A040426BA9B07B77063A3303A029D5185B1E76436B25DB20B8D92018E0BD6925A016352162A5BE2BC3980902545C60070E820208A29A25C0D1882221927A21B8C00BDA3709A6D9C39CA033A1E1AA5D3B17241C0068C03717C209D4B9ABDD5948DCAF1E';
wwv_flow_imp.g_varchar2_table(1451) := '04451EC6404AFF4D0E6822AA6700E00528A11342211572E1134A204C17301DB979BAF1A0BE068223FD8E17272B2AC22C1642A1B94F403567C0B0293A42393303C007BD11837CD8BBBDDD9B06DE7BB63305BF5F431F0C620DFC95200E9C2020E00198A468';
wwv_flow_imp.g_varchar2_table(1452) := '0C229B0AC64441E20FEE2EA879AB34686906C8800CE4BB69548A4BD214B62902423A27C33FE2701BA29DFD183177854078821E46BCAC83860196A294100000102003FC20143AE132F9404C3300035A7301C9C05A1D81EF24EB4CFB4E8D9A262A900DD90A';
wwv_flow_imp.g_varchar2_table(1453) := 'C1D235BC9435BC866DF8A7985C1E9C7C5015246F24BBC25B2612A438214AC407ACC0071A3C24CCF6202480B83A03044C00045E0C08A0BA2036622CEF000FFFC437A9769AD0CA39B601E013ACBA8C685D22B23DC314F04BBD4A7213025C3F829D9BB04955';
wwv_flow_imp.g_varchar2_table(1454) := '9627449CC485820222606826AA671EE00810A12E925B081CA4D2533595EBE004F6A00E234B3CEBA42A4033176861D4532115966096CE80366B53D56D78A3D3FBD5EB31B2A1DC20325890083253A6007B8F9920CCC02B3DDE20B6E00AAC3C24B09902821D';
wwv_flow_imp.g_varchar2_table(1455) := '008E822076800862A50AF4D56FE1407C476523041600BA0722948AD0BE6AB629BCC72D30C731F9236881E0AD2321B8AE20E4FB21528066763B65F981408A431E788676B070BD1080012840068EA00CF88011288112F8A00A4E8001D1100010B436A7A018';
wwv_flow_imp.g_varchar2_table(1456) := 'FA264DC5D320242B2AC06CD497261470E000FF267AA2295A35CF1075957CB10163302E94DD2ABE206281EBD6B09E32654401400B46C52B1F0E981502106EFD23FE69BA944009861300CCE063CCE00FFE607BD160929E9D20E2B2F4FFD209D2800CB612CB';
wwv_flow_imp.g_varchar2_table(1457) := '224BCEDF9E323A67D1657BE9E13B215800FA1A22486082B771422778021EEEC067502868882602442005BCA00CDC0011220112F8600C7440032A1D0D31E0C2357C066A4161AE3AF633AD8C0C3E163AC1F6826206480ABC4DB7047EB65C5D19967798E20B';
wwv_flow_imp.g_varchar2_table(1458) := '3F21A8FC353CE10A3002047050444954D70D02B30102C0360004092A2B8830A1428455AC144483D0CC1B006FCC144C42D0089A3209AB146C420509801F428C2C3C8932A5CA952C5B269CFF21080AC158047301B3990B404E602E7B228C85080003000784';
wwv_flow_imp.g_varchar2_table(1459) := '1E88E0F3DFBF95EEEAF52BF81440BFA954AB5AED970F1EBC7D4AE5DD4140804080B0083270F851E6CE1D3770F8DCA9B24184080D193244C00000CA0C3233D2C43AA6D3964BC18263194E15AB9308030C18DCCD80E100030C257008A1A1862B56AD573B7B';
wwv_flow_imp.g_varchar2_table(1460) := '9EFA4F1E007E3E4B9B3E8D3AB5EAD591AE80003005400E001E17466A140965B2D45B2C12BC7225656D23450A8E517807001500499020312964B5F4E92B9D9021E897A02D9C0981F1A49E1031C20843852ECC700275BFA6FD4813FCFC392B3C7EFD42E379';
wwv_flow_imp.g_varchar2_table(1461) := '6080407E041128C495A1042499303206113DB010430911D4F54106649C41FF8613341403CC5F0479B7D27700D842CB61B178C24304E491D7D80194092144134288F1CF3E58B9034F7DF0CD181A7836DE88638E3EE9F0800408A1E092456BC4A19A191015';
wwv_flow_imp.g_varchar2_table(1462) := 'F4C61B68581442422211648207091581114226F1C0C30B0401A96397A6CDE044790BD1E26542A1B821A64A0400805441D1B9C41E423376261F3F5CC15346007AEEB9A77E065000C3115E94E146196550C158060784C0971318D400403100184613992B91';
wwv_flow_imp.g_varchar2_table(1463) := '198B2BB1A4924A28A040C2C2017CF63959093494E0C63E5CF103637DFFCCE9598D65CE4A6BADD44562484FB7ACB26B69B6BC02C02D04AD825225A57552102599D8CA2C428E6C721236DC64F34D370A85536D36008493FF0DB6DDAA76CD862E0515144294';
wwv_flow_imp.g_varchar2_table(1464) := '84C315534E452515AC55F1A3157DFFD0430B1C00A8A5565B7EEC8B081C6EDC0147AE99206608A77D5052CB22886CE289B6047D432D00DD463C71B6E200C04D41DC5C830DC7CF5082C8BE6EE171871F8520E208252A8BC3D53FACBA23A3BB5341256BB336';
wwv_flow_imp.g_varchar2_table(1465) := 'DF8C3300F5A8A4D449EC4E470F3D3AD7B37341FAA4F473CECD82B614414A3DFD5ECE4D77C9DECCEFC93C5ABCEDA634F5424FF76C355449D34A5A3FF8B4E38ED8EED22C9AD26EBF8D63D1041D5DE63CF3C87D923EF5044DCF3D3AC30D78E00BE563EB3D3D';
wwv_flow_imp.g_varchar2_table(1466) := '23F475E28ABFAAD5D34FF94D8F3C41DFD377DF004C7ECF3DF96C9ECF3DF6D84310D176DB6327E800D8D3FF754B8413BE8F3DF7CCF3393EF5644E7BE67DF3F3EA53EDB4B378EF4D2FD57368F2743DB6E0C61FAF903ECAD39D233FEE9DC48FF200308F7CF5';
wwv_flow_imp.g_varchar2_table(1467) := 'D6E31867F10A75062F3C8ECFAC6AF8E28B4FBCAB0955651A280BA5DB2EFA2E867FF8E9EEB8A394CC61D7D7F6F5FAEFCF7FFFFEFF9F90AA696F216193CFD85AD434F6ED03000BEC09557C520E7824C479727A8AD51638950616041FF3830A011FF8C0F7D4';
wwv_flow_imp.g_varchar2_table(1468) := '0C80242CA1094F8842EA08B07DEC42DF42BAF7B39E6910211AA460FF58254107B6708429ECA10F7F084400AEA71E4DB3DFBB38033CDF29857DA3B1D9F34C03239FDC8F875E4A5D10AF88C52C6A314E159459F70A123C25460D004D7B22197564C69EFF44';
wwv_flow_imp.g_varchar2_table(1469) := '51876CD3A21BDF08C7384EA7294BB1A011DBC31982F0A31BC9484634A2318D6824631A831C5ED8F4F10FC3056D6F84331C8E06B812AD487187F99BD50CE588C94C6A326774944AD4EC074332C6E317B8C0053188310A66941217B7688727C7080079F86D';
wwv_flow_imp.g_varchar2_table(1470) := '7A89035CF7D288344A6E7297BCC49938ACD8CBD470516DEE0AE53F4649CA645442097E0806297F710EAAC00106E930842DFE11033F3CC31046A80233DE303CC2BDED966C146125CBE40503E4CA0BC16C271CC1014977C2C970F703651EFFB10E5206C316';
wwv_flow_imp.g_varchar2_table(1471) := '553042123CF10B52AA4329E1300232D871833B5CE30D65F00333FC1089546CE097E24C8D7B70D945CF90F38356B3631B99850D798A34FF8B17B3E1484D63B8E09151898AEB8724C9984F5C04031456D8441532C18C800E542946308438EE60886744000E';
wwv_flow_imp.g_varchar2_table(1472) := '0D03C5303CF1866700001F40939C3CE4A195A74A3572A1231AE91C2741DCB1347E5D13DECFE2991A139CF434A7086239CC018072FCD05A633D4DF6AE664F78E4A33EA30C463080F107556C021439C5C54EF1618E2AF841063BA0050C22410B6604150D04';
wwv_flow_imp.g_varchar2_table(1473) := '88C43FEA815196F0A31EF260873ACC918EB39A03B3E948C7663B0B00CFA60300EAA00755B2228FB9AEED7CC28B6C5B5F7B1AB4B2A320AEF461388009DB9474322A7784D768EAB38E60C894189050852A5E010D9DA2AE1B314842190CE1072E80A20C5C00';
wwv_flow_imp.g_varchar2_table(1474) := '402618EA8A3128C5B52AFFC9073FE4D15975A4C31DE5B8AC38C2618E7CCC361DE29D2D3BCC01B3A9A056B558639B3CB89B5BA5E9F316E320610E479B2B004C23856CCD6F4B3A49CC62C6EB293155462CCAA00A3B64E21902550A3C52C12D7AA4A31BEA50';
wwv_flow_imp.g_varchar2_table(1475) := '4738FA618E6EFD231B42430D3F32F75E7644E20E48758521AE7B0D3820830B9E18C68B53E10A78A4031FF2D58A3E8C2827E1193867B89005310090864DA002004C40882C844542738C414A9428486D4A180C005C6CC82B798A535ED9DB05E39394CAA044';
wwv_flow_imp.g_varchar2_table(1476) := '125A918637A812176875E919C1B814D2CC8B1E2E9BA56948530FCE7A2212633004233CE18A4C202309B6C8441922210E2E94C113F030478C3693DA3BDA97CB39FB05FF00CED08753400B2196462B7E0187560010810B70484E0F2D4D6996EC16AEF65B70';
wwv_flow_imp.g_varchar2_table(1477) := '2C4B398D505461137B08453456F10B73BC6A7A3F7E559CDD938F9D7D3A25B8BB8739CAC18E4CC00157CC38342D32F1055758C10FA0F8071CD090E374C843BE4FA56F7DA522E454DF4C0C00684541FA008023F7F00641EC066EC50D002EF236AEF401403C';
wwv_flow_imp.g_varchar2_table(1478) := '58798B3EECA11587B0432C020A8EA9590521CE33696A9692597554C20F4AB0261CFC400B34C0810B40F5832BFC608B48A8A31DF481B4B7E7C4DAA776E9DD94B6C214D200804D6C1AE5291456DBD4FD437C0C1BB643B420AB6526E67CBEC20B4CD8C32608';
wwv_flow_imp.g_varchar2_table(1479) := '910631DC82186D1E9BAB6A299D7FE8381DE2B8062D52FF718B5B44C313D7D087B0AEF18C543CE31AC4D0B67CEFD16DFB85DC4B97147732DC5090EB58620A4CB80E0A435D1075ACF51F4C85B742AAC64223E61100EB488627AA9086341C820C27AF043302';
wwv_flow_imp.g_varchar2_table(1480) := '8EBBB4D1831FF4F05EE3E9218EC8CB7D3AF7804739DC910E78D0231FF2D89D6876078FB46D1C1EAEFC3A3C6429F6209F533A9D50250DED0E8057901B3B4826481D901C09A5FE70F5240C07ECB7A7B3A41911860C664627009F863AEC610F53F00331CAD1';
wwv_flow_imp.g_varchar2_table(1481) := '8F798C381CC40887389E018F6E5C6318B708C72DD45151D59C18AA5A097DF9CF0F55846C7E2A27268877414EC070A706E5286FB24254252E2E47232127FFBDCD0AEC7F048160093627C4C777BF90FF0B8850075350078770080C330CE5A00FB0E361C8C0';
wwv_flow_imp.g_varchar2_table(1482) := '0CE6F00CE7750BDDF00CFC900E89742362B43D55910F30720F1D3723F1F75460A51275B0690C434AAF070FD9A07B06560DA806097B40104CC07205310C010884655273E71357A0914FC2D0097BC0044B38059B100BC4000E3F260FB7300CD71075A9100D';
wwv_flow_imp.g_varchar2_table(1483) := 'EE200EF0100EE84572365382F07082A84145A8111B9192656F461021256EB8100BB5D0099B060086606E04310C301784D40180FE3784F3A6778F864FC4600BA9A00A88605C7F500BB1000CE68048EB500ED9200E186879C3A00EE2000C67F585CD1286DE';
wwv_flow_imp.g_varchar2_table(1484) := '751AF8C37BA7812C0501804B9136A9F60C070100D20000CB4010D2C08A79088B3AB2FF423757807B570FE1C00CD5700DD7300DBAF847D5B00EED51155FE337DF4567C6138663781A65D813AF5810AA483399085B75241505E73CF5118B36C28294F656AC';
wwv_flow_imp.g_varchar2_table(1485) := '468B56114ABCA64714F43905F144EDA14760843CF700239C681AF8E37EA7813BF6063A3BB333D8F834E9D222BF173FD9E88F2A4444AFF48D9F01007BE73C9C930FCB233D33773CC9C89009C18C49313547F31449F48F178991A7E137DD38901A25493363';
wwv_flow_imp.g_varchar2_table(1486) := '8DD1C33C74238D0DD90E72F5901F9523BF93912DE9922A710F43B46B0E541059E10EDE755105678E064742F77092B8C49323181A25F692456994B4324402E912056793FAE08E5AA45EF3F142F8853F447994578995D471824DA1FF942D719059D10E9A93';
wwv_flow_imp.g_varchar2_table(1487) := '92FEC30F510994DCD51E4399956BC996A8B195F7581A0F0455EE614550831221E43460E3422509915F937733B33850C12AA63535DFC335BEF6896DA9988BB910F59043BB0399BB4310B57577021899689336A50800909912ECE099B4C5999E299AA91199';
wwv_flow_imp.g_varchar2_table(1488) := '05219AA3799992A9129C09278CE99AAFA91212249B05499BB3399B042155A2217208215529517EBCA99BE7779B2D9143B8D99BB2797EC6D99B275149CB199B086167B0299D8C493844639DD7799DA10300E1B7393B139D04314BE1A710B4138F9C0300B5';
wwv_flow_imp.g_varchar2_table(1489) := 'E3379B9310DF099DEE87907E839E99B33AE6199FD1B93AF0599F08F194D3C99FAF899DFF49340B810F035A77EBD92C12E4B941037A9EB5431005BA12054AA00A9A9F4B15A1F830A1E3599FD1E9A0FDC9A1FDC9A0E7D9A1B01710000021F904050A000000';
wwv_flow_imp.g_varchar2_table(1490) := '2C4800190008024C010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48D113C58B18336ADCC8B1A3C78F20438A1C49B2A4C993081D3112180AA5CB973063CA9C49B3A6CD9B2FF9005889B3A7CF9F40830A1D4A1426CFA248932A5DCAB4A9';
wwv_flow_imp.g_varchar2_table(1491) := '538A6E00A82148C951A57D4FB36ADDCAB5ABD78E6AC4E0D9E908128050FFEC7D5DCBB6ADDBB744A70A5C7914AEDDBB78F3EACDB80880CA4299F6FDC3BAB7B0E1C388D7CA4DCCB8B1E3C743170FCC24F01FE4CB98336BCE284660214788045EDD4CBAB4E9';
wwv_flow_imp.g_varchar2_table(1492) := 'D39277EA3CCDBAB56BC49D093AF2F3BAB6EDDB7043FBA184BBB7EFDF4C67031F4EBCF84D467C2803C03AD8B8F3E7D0A34B9F4EFDA4DCBE8810AD066059B0BCEAE0C30FFF8F3D90AEE581FFE2895FCFBEBDFBF7F01B0F9B16BFBEFDCCB60CF2EB77BFBF7F';
wwv_flow_imp.g_varchar2_table(1493) := 'BC9E0803C02FFF1568A05DA0B8324D320736E8E083104628E184145668E1851866A8E1861C76E8E187208628E288249668E28928A6A8E28A2CB6E8E28B30C628E38C34D668E38D38E6A8E38E3CF6E8E38F400629E490441669E4914826A9E4924C36E9E4';
wwv_flow_imp.g_varchar2_table(1494) := '93504629E594545669E5955866A9E5965C76E9E597608629E698642E34030265A64913060CA8E9264C33189041064244B0DD9B788EC4420479F6C9911300CC00009F34F869A847250050020B8736EAE8A36B0E94A82390562A11A596667A100605D5A5A9';
wwv_flow_imp.g_varchar2_table(1495) := 'A533705A90109F7E8A81A805BDE069A9ACB6FAE9068512FFF4426800F0E36AA3A802600412B7F6EAEBAFC0062BECB0C4166BECB1C826ABECB2CC36EBECB3D0462BEDB4D4566BEDB5D866ABEDB6DC76EBEDB7E0862BEEB8E4966BEEB9E8A6ABEEBAECB6EB';
wwv_flow_imp.g_varchar2_table(1496) := 'EEBBF0C62BEFBCF4D66BEFBDF8E6ABEFBEFCF6EBEFBF00072CF0C00437C64EC13276E2D740A9219C62210371411E0051393C2225B11424865C65585CE22705A93186C7290A13CA27A9B9D130C927AECCF2887255FC32888E3802F2402AAB5C500A3377D8';
wwv_flow_imp.g_varchar2_table(1497) := '12A66AE0A14654417BD104A33D6BF80D00B90814F4D06E542C46143C278D21340AC9AC680989022044AC566BA87514037D3D10D8615BE8C658659FED350D42749DF683B9B01DB45405D12937415008FFD104A9004031F77F7D01207442A442D144418B0F';
wwv_flow_imp.g_varchar2_table(1498) := '7EA0DD8613E4854280335402A99767E07878770F64874013C34DD0DE6F0BF1B5D99857BE3974B9607D0C41A9E1F1044295D3404309A20B5468EAA40BC4F6EAC085F2CDEB2DF94E101E9F1BD475DF8D1B14F7E59733C41B59C0D726FC31AF1F54F8E4A3E6';
wwv_flow_imp.g_varchar2_table(1499) := '8E50AC981F7484408E54457DF5C3A9D1D7587CFC3EFE13CD3B2FB8D704A93E10D97355B512A5B4AD2631FA9B79DD3772F189F5E1612C8593CC118630BB8440CF20F13B48F954B2123EAC0A8098291EF1C682BC4548460CA653C110043204FB1D4408F36B';
wwv_flow_imp.g_varchar2_table(1500) := '5BD9C6A2929D30C2117070041E56B29B016170334B3348E10A22C21122AE20D08B9BEAFF008787EDF8E185B41990805E0100FA34511A377CCC317281290078100FEB930AE0546001AF59A06AA36B8810325082F1E1410A065949F10AB20D0074238A8749';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(1501) := 'C7409AE6881D46CE70858B82105240AA2E9680031C98804082382A45798D74686C82054AA0829D14E41CD970A21B01900D381A66116371D9407E17C6124CC0935C03A3F3C8168527E0AF7E1C10C81B6C48907518641BE1B0E45ED470CA82D4926D9AB022';
wwv_flow_imp.g_varchar2_table(1502) := '2A1E220535A051329D2BC813E2700B6A240414CA20883904C21F59DE450C4F68202709B24B8368A3205CF05D303729C39DC04120318403232A41907200001C6F7CE3416ED18D7574431CFA70A65DA2404B8144018D07F105008A61FF4DCF15840F8E8058';
wwv_flow_imp.g_varchar2_table(1503) := '411CB11D3CC88112AF904541C6A10E3766A38D0721E7409A29CFB6D8E10C3AC462418A71CD81A06321551C08C4FC00434A858289134926440D118C6556F42DD514484C09D2976610841C00B00600BCB15300E054208B280440878A299E106820E600C723';
wwv_flow_imp.g_varchar2_table(1504) := '0DD20DA50A241A03C185210662AB977A6517BB44C52E0672337BD2E1203C2D88373E9A10A1B60F21EB58873ACEA10E5712841E0018873A1BAA8C8311A411565D8B2FF68A55AC2AE41D0339C52E58714D6B9CC21800206B41ECB008C61E020096B0E740DC';
wwv_flow_imp.g_varchar2_table(1505) := 'CAD6769CA31D0090C73AE8B18E78D4E320E388E52401A08F78E6552B36F5C556F52910D5B2560F82300862753A90ADFFF6F420A83805417CD18A3D00C09CF010886601000FB70E84B30C81E269B7C24F83F0A2B5BBB02D000EF15C81ECC218D22508620F';
wwv_flow_imp.g_varchar2_table(1506) := '620DAD16A4BAAA80EB66D7A1597904F7B80040EE42AB315AD12EF729CE68EE407CB15D636CD720BBA82E41B20B11C4A6E11D9C156F70BF6310B802401C0651067BA148D1F72A859FDA90EF7C01E00C83A0A2151BE10576B10B009B0AE4BC0446C83900B0';
wwv_flow_imp.g_varchar2_table(1507) := '8D6A38B51BB8A88672D5E9E0A5547820CEA805415EAC100F03E0BE00D0F043F8FB8D7A18D7202306C03AE40A805524A31BDB60904010DC62A648B8C27BD56F8D736C900A23D6C608D1F14068AB90738CA320CAB0088B63798B5B34D9C5DE384647650C00';
wwv_flow_imp.g_varchar2_table(1508) := '7DB216FFC61D5D88363A8A65845CF7BA1D26885D410B8E65BEB11ACA70A940CCB085332FA516FAE4689DEF6B631AE739218EA6885A0FF2C66D2059204CB4884022F18751181A299B40C526A44C105530A4161556052F4C4D903A0320CE02D1068E1312DA';
wwv_flow_imp.g_varchar2_table(1509) := '81B4B19202C18599D7F9E9A26CC2129B00402B308C6161EFA215C73E3600F25B1047F357B7B21DC84FB97C6355D401A9A255703288110C62AC4220DF3688A763D1E05E3B45BA33F5C58B25CC6A0A3F7621389DF540B20168E51A2412713008392DB24A73';
wwv_flow_imp.g_varchar2_table(1510) := '27E5149BD06DB00100ED810C1CD9A6DEEB4208016F6DF0B720CC4888A6353D103308E40A53ADAABF89E25B49BC7B130F97290054AD0A574FF82091FFA6883292810BD110040D0018D9C691E2DB81F856B7BCD86A6E03DEEE930FC418343EC5B52162842B';
wwv_flow_imp.g_varchar2_table(1511) := '34240EFD16081AEE008032DCA10C7F380F8B84810C010D43408FDA41410EC170616F37E020CF679E49DD6600E8612012F6881BD0E0868EAD6818551FC6408471F552E9800C6938FB21008E6154703DB2062938B2DB0CEB2AEF730A0669C1408000041F16';
wwv_flow_imp.g_varchar2_table(1512) := 'E40DDF1CC82ADD3E1713611D19C818C830E42EF781D822F38FB2631DAE6D098F2FE4DD1279330026A078003412002ED03AE39540903FE068F39B0740E709929F620D5B123726482E236202100C64084570BD0D00B0FC2A581C00B6F703D30B5206357C01';
wwv_flow_imp.g_varchar2_table(1513) := '45661148EE737F904DD462D8AC02B8FF41C8F153F00FA40EC08708085A4F101528BE05200002411001876996071428EA3CE7776FE16A023E4F32A3580661531D256F1031051845101EE07E03917CEE070230607C04E10777F2229CA77B028175DDD70703';
wwv_flow_imp.g_varchar2_table(1514) := 'C10400C004098827DAC06608D1750221800EA10AAAF03953500303218140E00245E00240D002AF972357C77FC2000C0921064D202800307C7E52056960051061720E712A1BB00112600200D07A3108023B300202B17E2E70057F30557E2050B60600B080';
wwv_flow_imp.g_varchar2_table(1515) := '1EB5227521C27F04C18306B109C5662818350663B00749C0043AE08107F15CD7957E0F710713F3828C37042E108105B17C0201080050081CC846CAB00C02610FFF506E20B2831AFFE87902817803410876D4273BC0044870033AD0034BC003003005C9B3';
wwv_flow_imp.g_varchar2_table(1516) := '1074807A0FB10100E084B0070040000312E0011E5010C9873306110CC1606FFCC00F628822C0600B66482B07410667671084608260B2011AB0012110023A00004B800435B0020581731F450ED026095AA57A088126AB577C08210100A0753130107EB007';
wwv_flow_imp.g_varchar2_table(1517) := '629087724023BC387700400533D0268BA3099F03284E400603C10A00F05560F20004A18F02618A2E881015764DBB540742988604F106B39300FCE8848008021E40014D08030761073557108D4071B8C822BC680B1C090CB9600B4D83106D5210F8282614';
wwv_flow_imp.g_varchar2_table(1518) := 'A010CB881061050092C0042509007B5028723316229000104001AEFFE87A026102DE2810460811A3100C33B28B06910BB5B0044ED004805210F4481074B0946EF2023D600409B109AA3510B32306388003D9281039E910DF27109165077F80578D607B3E';
wwv_flow_imp.g_varchar2_table(1519) := '927D34E00427B0104D7928BEA50950295254000034E08902A1396A70075C20020000013B39101279103FB9093D571016914C30628608913181F22B69606A2190105C291022904A5530100870920A814F02A1046370057B300667D0865650056F10090060';
wwv_flow_imp.g_varchar2_table(1520) := '11D1600E3FB622E98810A9E0196EC39495D20349900629490535270C58030012899712019805610449501069A004B44710DDC00E1A972337F3010E71007EC2021EB00114B001F207005CB04604319802D1030EFF618A03A175024104E5C92BC73910B790';
wwv_flow_imp.g_varchar2_table(1521) := '4CF1748B2A921F20490B0D31920531034B499D799927FC984A07A198027103042102AF5810A858101360024EB88006A1753A609C006084680923BDF7106D629F03C12603A139860298C429107F005111C17E0BE1843F090049800420A003BC2210B5D072';
wwv_flow_imp.g_varchar2_table(1522) := '45C226A272000CC00025204A69A28D1CD09307010E4A36104893102920912000464E38015FA92B02217303310520300527DA231CDA101150022680A35D820004600004401001A08D060107AFF0A302C1990000A605419CD869A60BB19E00007346480420';
wwv_flow_imp.g_varchar2_table(1523) := '40792D020DA09711545904F8944D62A29C577005D9F405D7979905817F14719AA7090084BA1070FF0073937125B9D825FDC01FFF60198C4813A5455A57720FF7400FF7F02019B916F86010FDA0165575A938B11F59F29CEEC1AA0080AA12D20FAEBA39FD';
wwv_flow_imp.g_varchar2_table(1524) := '10A94431A9B88AAB6D81AAA13A733191ABC0EAABD52175B0BA15B7089FC27A1FB99AAC2FC11FF5E0A902510FF950ACCC1A1DB35AADC411A8A9A09A7E700DD82A1DD9E407CA711FF920ACB6FAADE8CAACF40900996060E90A1D08A6A0EF1A1D26400C9950';
wwv_flow_imp.g_varchar2_table(1525) := '0655400CF3FA1C8C500556C0055C50067040A7FBEA1B99607B90206865700BC0E0A8057B1BE6C00EC1755E98A5670F7BB1189BB11ABBB11CDBB11EFBB1201BB2223BB2245BB2267BB228AB22C7BAB2C81A1FE56A12F910B332FBB226C1A99FFF3A2DF560';
wwv_flow_imp.g_varchar2_table(1526) := 'B33A7B0F9FF51E37BBB3400BB40C11B4376B10333BB30040B4448B10472BB3451B2DF7D0B44FCB1E4A5BB5566BB309C1B25ABBB2497BB54A7B10316B2D517BB453EB204DDBB42871B6482B10F910B40040B3D202B4EEEA1E6A5BB7767BB7789BB77A1BB3';
wwv_flow_imp.g_varchar2_table(1527) := 'FC50AE410BB729EB109C5A0F845BB8867BB8889BB8390BB4CF4A0F8EFBB8900BB9D2BAB76ACBB3879BB4D7C20DF7E10EEED00E9CEBB9ED10BAA23BBAA45BBAA67BBAA89BBAAABBBAA44B2DCBA803A7B4044C5097EBD160C07ABBB89BBBBABBBBBBBBB5BE';
wwv_flow_imp.g_varchar2_table(1528) := 'FBBBFB71BB6DF19B499280B6030021000562700690A0B904110DDE6A1CFCA171BC5BBDD67BBDC00ABCDA7BAC93FAAAAFDABDD4FF5A141900055E40BB4B620788279D06710C9AFB9BCFC014065910778913D85BBFF67BBFF8FBBDFCA1ABE15B1429B92478';
wwv_flow_imp.g_varchar2_table(1529) := '5999B54910CFC00CEFFBBE486190D2A9396D79021980A1BF8ABF123CC1142CBCBA7AAE48B13853000568B3246930053890064B3010028C7958A3AF504514124606BD2313E536A98B58C1323CC3D6CB4C30CC1567B004FF2B254D70029D8175D010714B61';
wwv_flow_imp.g_varchar2_table(1530) := '877332107C3213959AC4494CC34CDCC416DCBDD8222A27208751100ADCE09B048C141CC8C27C32A51840A3FA49134E9CBBC11BBC633CC1E2020DAF830C1157C044F10B3D37A500D0A505410076ECC2678CAB957A0FA5950F4B9CC7D5ABBFDE32C2A12877';
wwv_flow_imp.g_varchar2_table(1531) := 'D0400C082C14CCFFC00C176587675A100660000371C711ACBF4D8C8BEE000FFAA0C4D30AC8B96BC950AC2D234C36234C10FA8A14899C10D249C70740C7CDFABDA0CCC4F0E00AFD100ED9900A8C300C31ACBBFC505AA505C8DB5228525C109827C4410177';
wwv_flow_imp.g_varchar2_table(1532) := '1011C633C1BF4DECC7D90007FD700D91A004C34009F420ABD97BAC9DEAB8FA00CCD9A29F9C32C55C2810A72C14642809673003401814CCCCC4CE8C08FD100D7EE005FF1009EAF00F66DC0FCF2A0FF2E0B8FC4C0FDD4CC3A0FCCD02C12982823F8C29106E';
wwv_flow_imp.g_varchar2_table(1533) := 'EC13E56C9BE70714ED4CC3CE0C09FDA00FA09004FFF006F79CCFF2C00EE9A00EEAD00EFF1CD079CC2D23B90862B008582C10C6CCD00741076940106F4907EDFF6813113DC3F7F00FE140D1E9E00763D00D86500FB9DAB7F0D00EF0000FEC90C9FDFCCB33';
wwv_flow_imp.g_varchar2_table(1534) := '3CD0DA22C77DD119BB470C64B81431ED13CBEAC4391D0E91F00FE5600B546D0EFF700FB83AADE29009916008B6900DFAB0D4248DC636ACABD9C227EB3C10B57075A74C0C772A14B690424E691033A00127B0C32791D54CCC0FF5F00FD9D0D5B5CAC9B88A';
wwv_flow_imp.g_varchar2_table(1535) := '8BD21C0D016B0BFD000F00FDD614ECD4D7A2CC0721777A9D797A4D148B209C0BE137110CBE4D4C0FFFF00C7EF00FD7ACC443FD0FE6E0098C800655400B957DD94DADD9D622C90CC10C7B2D1466188A02D1966703057E0D1386CDC4891D0E7ED0CDD35AA9';
wwv_flow_imp.g_varchar2_table(1536) := '931ABC7E2C0E8810097EF003947DD9988DC6C1FF1A2D0160100760009C4DCC0020C4CC90C241010CC47B10517006761052CC841280CC0F390D0C5E100EFDE0A98D6DC67EAC0E99C044AEA0DFA595CF70CDDBCED2CA1911DC26510DA9CC10A9008D43B1DC';
wwv_flow_imp.g_varchar2_table(1537) := '33CC0FD7AC0A53900DF4100EF7100EEEF00F9D0CC3E6000FF9000FEAF0E14D3C51CB3A37C4D0D00AC18B2E9E102179DA636CE1FDF0074C800EF2900AEEF00CF000E2C04A0FED90D4EE200F678CE0E112E349E1DB4569D34E7C8B8B78CD885005E1400FC4';
wwv_flow_imp.g_varchar2_table(1538) := 'A00EE2D0CFBA9BB3062ED0DF0D2E09CDD2EFABDE30A1E40A21DFF47BC9315BA9461E094C100EF2B0D6E660E45D2EABDC3BC648CE2D332E106CDCD24401C400903CD020208F48E315CEA9B5FF6AE4C060CFF5100EE500E740EEC9357C2EC4E0E72E61E60B';
wwv_flow_imp.g_varchar2_table(1539) := 'F188C2200CD9B3E7CA7DC988EEDABE3CEAB5CABBBBECC479FE320F1E111A983D697ED83C5BAB7C5CD14C0DC3D55BE7A8BE2EAB5E12C310E611B1AEAF2ED1F560E4F8DCE5D25DBD9D7AEA151CCBE8E3EB4EE1C4F930ECC6AEC7B74E0FF2A0EC708DBB81AB';
wwv_flow_imp.g_varchar2_table(1540) := '10D02EEDBB8BEDD96CEDE0CEC467E69D4EEECEF7200FFB91CF8BD8EED57EEDE42EBC2D46090AD3134F9E0FD76CE3B8DEBB16AEDA9EDC629D40099F30AE93F3046E50EFCD7AC9FA4EE7F77B8B8E3BEE02DD629F20F0BC8107A5BCCC0A2FD4FADEF088EDEF';
wwv_flow_imp.g_varchar2_table(1541) := 'FFFE5E9050162275EE34BC1F1A9FEF1CFFF01FFF5E2083E61AD1BF0771C6FBFF81EF14ACF2F1BEE20E06311528C6375DC1348FBF0EEFF15E8EF3EF35CE1D01F3A49AC73F0FF4365FD2DB9E1080BCF4F61BF4109FBFF2FE5E3A51892F4F11517FCD13FCAC';
wwv_flow_imp.g_varchar2_table(1542) := '557FBFA9FE525914E846FFE9671CED13DCEF616FBF632F4F7C105456B4300661BE0F81F40511F5F5D0B7433DDDD5DBF4476E685D15411381F704D1F5956AC6EDBE88FBBEDF421FF86716504074C4857DC6319CD3DD90098C9F0EAE500D9EA0F9FBCEF629';
wwv_flow_imp.g_varchar2_table(1543) := 'FEE516130AE6EE116BE4416A40F82501C897FF0FD790029E900DE6600ED5D00EE9900DD980CFBA0BF832FCF60083088C0009AE0000B6C01391303D17D1099FC0FC0561F727A1C44ACC1DD25FFDD67FFD393D0D46E00699FF300CF0600B9440CBBADCD8D2';
wwv_flow_imp.g_varchar2_table(1544) := '3FA9607FFDE88FFED42FFD2C8375FC57D514D15577B43894DFFA791CC3897D0D26800691600B00216F98A75BCFC2FDE3D74FE14285FCE8D1FBC750E2448A130148049051E3468E1D3D7E041952E44892254D9E449952E54A962D5DBE84497258C6993133';
wwv_flow_imp.g_varchar2_table(1545) := '7EEA941111003E7D341EB149B2E250A21311F6BBF7AF5C1943C3B2F563762D159CA20E2116C58A116350AE5DBD7E051B56EC58B229910DAB19D3919D8D4D5E00C850F66256BA0C8FF2BBC7EFDF3F77EADAFD83F7F7E8D07A10F7D62D3A77A15CC68D1D3F';
wwv_flow_imp.g_varchar2_table(1546) := '861C59F246B46423C8459C19614284F7EED163472F9F3C757AF30DB51A313351C50A27BF861D541A0069D4FF00040B862BF66EDE20A1D11416D30DC80897A98C5D5D77F34278F4E43D94270F9E5ED4FC0AAB4E4EB175BFDEDDBD9794A6ECFB78F25D9D08';
wwv_flow_imp.g_varchar2_table(1547) := 'C1B111A8D8EC59978BEE27FD5EBF7F0FE7177DB8177B7BD75BCBFFDF0D9C8C6C03B0C0C9664A8B2541E8D848081A32CA8001B2F82BEA9F7CF819CD1C73F6CA469D61DAC9E734FCAEA290A1ED0C44F1B14A000044232D528431468E9C000001C64A1C6AB3';
wwv_flow_imp.g_varchar2_table(1548) := '7AFEE9069B573A742512BC4444ED3A1C17F34F4625C102A105104618C105153272610720ACDC61492D271324233266C0A0B1238DB2909F84CC49C71364D289249BFA12AA2EBFC3703C714B3B5F0262A3247248E24E3F7923E331FD06FD0700420F4514FF';
wwv_flow_imp.g_varchar2_table(1549) := '51BDF8C1A71E732831A41E57A2F967BE44E7BCEE524D1135D4D041FF0495A52D34DAE2453400D0E25400BE08B555AF18DCE832CCC6B4AB9FD3F2F9279C6A68818318716E09114ED4E4546DD0ECEA74355990CA38F58A17CBD0E28A2BCAB8025500CA5036';
wwv_flow_imp.g_varchar2_table(1550) := 'DBA00E0873565A15DAEB34CE2C64A61C78E63313ABFC6845565B6DABCD680C33D0D8E28D37386A04004F0080432700DEE8E38D3BEE75B7E08F2414F35B702DEC07C310FF79EE5CCF841D6ADD85F75BAD5D50BB3578A33FF24DE90D38FA80A35F9201F0A3';
wwv_flow_imp.g_varchar2_table(1551) := '63956F5418DC0B1DF6AC9E7AE491F9C2AA2C6E993B57E38A4BE5512AD957DF1501682492A239FAC3234492F6A3E49457863AAC9CE97BF9FF9E10A3832EAFAA529B5AE75631E01880B0930D3A23A0438AC49048365A1A009F32E20200258C88DAD5193260';
wwv_flow_imp.g_varchar2_table(1552) := '81E596CBB4CED64AE9A18F1E8A293213E79641A5446CB830E819C2B1411DE7B68C46C177ED8FB0CDA8CF8C3CD80080041EA8DB55066828E127E4722E733E73B261C6205F195697C49C5BFD80F16E1F6FF5217A360239A33FE278C38C8D80B001868D40D7';
wwv_flow_imp.g_varchar2_table(1553) := '68030936F0C083D0B36D5C6AD42FDCF19A5B52F1A41C5AD8192C4ED90F6F3503C621845AF8E19DCC8882073E4F0002E497D7C8F82C9FD7B6F442A5DFFB425CAF412B956C88D911560AF73D85B90B0A1991D5F31E00818C8000002600010C1CE81155D14F';
wwv_flow_imp.g_varchar2_table(1554) := '5BFB60CFF4CC04186680C2FF15D9C8863C304638AE4DCD5D67A85BE73222810902A1081AB14246DEA02A38882C23A7629505EF84B084EDCD4CE3EA473DD871AEAC98C94826D456A05446048DD00D0055D84805EFF536828DA1821981A20E43959E9478ED';
wwv_flow_imp.g_varchar2_table(1555) := '2453C31086F622C21112251FF79948884AA445575521860030C38B008006E1050F007F4003BC5EE8828F28818DA0F2024AF8C112303664517439CC3E22421D867826398AF963B2B680B96B4DCB237E04C01400C0C43BBC3192A11A0300305812D7A8C444';
wwv_flow_imp.g_varchar2_table(1556) := '5DCB0C9CC22811993D12499FF4D3BCCC07478D6880234E0400085080C5CCBD1096BF04092ADBB328354AC491FC990B3041750B00D8A223CCEC082894092A37A1C48B5FFF449230EBA2C87FD4034EFBD8473FF641A4635D739A329299CC00A08F8CA8531F';
wwv_flow_imp.g_varchar2_table(1557) := 'ECDC8839CF394F8B6CA73D21C9CA28D301007C0C121FF900E7E0E862CF792AC91E0050E747EA51508682443F1AD9544437459F871A8BA27B596846E4018078FCF0871795A8A71EDAD056E9439E2465683DED39948E94322383DC207758AA1A8EB06323EF';
wwv_flow_imp.g_varchar2_table(1558) := '14564B656AA28C2409A53F05EA9D16C3119E9652A624314CA1CC510F72EA4CA5E690873435F24E9178ED9A430D6A56B5AA24ACF6F4A82DD5884B39920F00C84357E13087380030488EE8C51E08B9DF57BABA55BAD6953CAF1C684F41A2977480221AE528';
wwv_flow_imp.g_varchar2_table(1559) := '07F7D8BA91B7169624F05C8958EDBA58C6C206AB790DABFF5E3542567A0CE319C4E806F73242287B74F61F6FE5275814DB58D296D65B61CD8A5E67FA0F7664231CEC782B3FDEFA0F6E7E76B6FE14ED494DBB5BDEDA64A87581E4565CB3BB0D75CAB6F390';
wwv_flow_imp.g_varchar2_table(1560) := '6D3F3D0BDADC8EB6B7CF85AE298D9A5AAF12E56FFDC047466A8B28E63657B7D1056F783DF2DB31E9E533A729D43FC6018B5EC082BDD4A08680BADB911059AD253C156F7EF5CB918A8A5453108D683F0E5AA8CE66A1010240B0001AD00039C4C31E5FBD08';
wwv_flow_imp.g_varchar2_table(1561) := '47F03161908674B323DD6F86F37B4A5A915391F1C80209143062050C40006C38873D4649549B9DD1668841AD73353CE3DD72784C4951CD3EEC01E20690B8C4273E473C14A95343A60BC6D5FD2E8D95FF6C571B53682EF73014773E6CE0113B4001051000';
wwv_flow_imp.g_varchar2_table(1562) := '1852BCE2182FE4A39941F292C56CDA2627262BB84AE63F409C850238C0CD0270008A85BC978C9075A74E6ECD98F5DCD86C52B73F112EA5180B054E8ECEE1028676401EB270012DCF5923BB1B5398F73CE9AD96993555E50E9DD70A0078CC81046D684316';
wwv_flow_imp.g_varchar2_table(1563) := 'E6A08B509F83D0F7DB1DA0F18C5F4AB7FAA77DC60A92FBE365B20E1A83F4984316DA608A30B481D48D1E724652BD52306BCCD5C7A6A753CB8BABB802C01E8B9E431B2E600A528761CB74AE4F3C91696C64771B96E48D75114504511E0FE0021768C3022E';
wwv_flow_imp.g_varchar2_table(1564) := '9085147364D8C4062E41BD3DEF6F4FF74800187746764CE5015C79C4724EAFB03F52ECFF2E2799DE075F19B8C35D95D31096C724B63290E3117000BC3B263E4578C6EB666F1C9969239FE5718213CCEE896FC4E230C1B8C6556EB0C7865BDBD9C4D0C7D5';
wwv_flow_imp.g_varchar2_table(1565) := '1C06129CDBE6890E72B34FFE9294AFDCE7CA6AB9ACADEA45A78635E632EFD43BEFA10FDAD296CB3B7749CF7F3E7550B59CA5067F295939024E1DEFB8B386757757A44E75B26F09BFDA91ACC13D0E6067CFF6B39FFD08D4EFCBEAB2D77D492CCD73754332';
wwv_flow_imp.g_varchar2_table(1566) := '5887BEBDB09F3A9D8CED3E7803E17D257CEF7B64E84E78C617C8F02A417C58222F94C537DEF2E3B994E3B1CEDF575EDEF3E369474642BF9176847EF4A06247EA6DFA79D6F766A31D79BD4D62BF918DCE5E23F0F80AEE390D0FDEEB45BEACBE6F7DF01953';
wwv_flow_imp.g_varchar2_table(1567) := '0FAB4159239E0951F2930F12CF34FF239E79FE4A9A6F7C948448F8D7EFCDF427BCFDED3F7FFAD4E788F33722FEF08B64FAD8477F8AEE91DDF4FB2920000021F904050A0000002C0D0019003C024B010008FF0001081C48B0A0C18308132A5CC8B0A1C387';
wwv_flow_imp.g_varchar2_table(1568) := '10234A9C48B1A24588992E6ADCC8B1A3C78F20438A1C49B2A4C9932853AA34C8C89140502B63CA9C49B3A6CD9B3873EADC79100F00483C830A1D4AB4A8D1A3488B024DCAB4A9D3A750A34A5DE9530C41488C42D99BCAB5ABD7AF60C3EA14A3C60D004790';
wwv_flow_imp.g_varchar2_table(1569) := '2801A8B4EF9FD8B770E3CA9D4B57A055812E5DD6DDCBB7AF5F8F4FFE4AE403A0A51FAD6D052B5ECC98AF90230821A74851E23163B38D336BDE2C1632C1C000A20829F8588DE2BB042B09DCC7B9B5EBD743413344DDD7F4D9427A33C583CDBBB7EF994F8E';
wwv_flow_imp.g_varchar2_table(1570) := 'C82E9802806DBFB4CFFAF9CDBCB9F38D5204465708F9C874BFC7053222FCBCBBF7EF08BF48FF311D38BA100BA33D1F391245B34B3EAAC1CB9FFFFCF8F509009E801E7DDCD12797FF01B0C85EDBD167E081BCA9F10500413C311A00250060DD13D1513810';
wwv_flow_imp.g_varchar2_table(1571) := '25FEF9379069620C1897237EA805805B892168E2897B81A1864F0559109A418451F2095E34DA51908628E6A8E38E25F904060078F8745D416A44C79D40221229E08C003019D55D8500801B1C03B1F6CF3EF4F0A8E59647C921D08F2E8181C78F08AD08C0';
wwv_flow_imp.g_varchar2_table(1572) := '916711E4881D6AD8981700A14C951D00880040096B5566C9E59E7CE2E4882372E845231E6F220460924DFEC9A640033AD9E7A390EE8987692B4E3A69428485E2925A8202B0E89F03E5021631D5446AEAA92A7121C582030501C090091DFF3A23A2050508';
wwv_flow_imp.g_varchar2_table(1573) := 'C0315DDD62903D6EA1EAEBAF1A4901997E448E2790830E1624C5A1692AE4E84071E20AA751A0E88A0CB0D866AB5123896C51AC69C63EF4898C38AA19EA40EF4083EB37B93CCB5328AF4453AAB6F47255CDBD054D33EF5B8100004B41437CB1A082B00A24';
wwv_flow_imp.g_varchar2_table(1574) := 'DA7017D298D031E5A4034039031D236A4F1ED66BB181F8EEBB97228F10D4C61A41E0118482731A6C908C677DC2E4226D12642B00EF449C4BA7910974DE68F85DACB36FF7260380C67499521027042572AC410F2284E18C762C5AF1B940465D11071CEC6C';
wwv_flow_imp.g_varchar2_table(1575) := 'F5D526F5F2AF4061008009411D27D2060060244249228EA8C82A4482CEC822005695AC50D306AD37D0135178F1447258F7FF2D56340201BE57AF42CFA20B0059B04190D081740C80E303B5217622A584510A431972A48D2F873464A6DFA0832538635B1F';
wwv_flow_imp.g_varchar2_table(1576) := 'CEC620057D3DD0E5A2FCDBBA29B0C43E502FD488A8C94281A911C575051BA4CD31DA14B408618E4419FAF171010E38D08D093D1027CE8B329029B3940E403611B547901D8B688F103905A1F2B6C202190F0095C8A7EF1433023DE317F5CE1F3408D102C1';
wwv_flow_imp.g_varchar2_table(1577) := '620AF5B0543F4BFD036D4D102A1001A040CE408886780300C5504541D0A49D3809A41BEA8BA00409D23A00ECCF79F93B9C066BE58B2609448002D98500AD511032A0E21BE4F006F80E424283A0820FC68B12032748C37AE9627F873B882E60473F00086D';
wwv_flow_imp.g_varchar2_table(1578) := '6BFB134810FF619143675943802204000005488745B4702107548887B877861A5AF18A0429E2BFB007006714C3195D54883576714482AC10660F4147F01835904FEC6220F2D0162AD200803862F18E00901E008A684181DC90215E0CE34076E18B5D7C62';
wwv_flow_imp.g_varchar2_table(1579) := '8C24BC5D4276610C831C101D66DC85245B018037F2E28D0048C53D0E228F75444A910068071E27E8B822E210877DFC2341B8681030366320BCF0452311A2484C1A03930B2187362809005F745020BCB8DD3B7663904EEE661DF140A68E66491051BA6394';
wwv_flow_imp.g_varchar2_table(1580) := 'C75304EA1072BF83045120E0D0C53514520C8274F09B0291042104218981DC92990E79E539715990753C9321D990468ED839907742D36FFB831E00A629FF90AF5DC29A0FE9E6429A618C57CA7290B704404249720E4F0E641B03E9063888A18C703CB03B';
wwv_flow_imp.g_varchar2_table(1581) := 'CC44E73D91F74F5310ED1293F0481405094881F8E2950441E94C2C1A0E8BFA45A51369E12CE9B9D18A44804FFFF4E13F3991D387F013009D10881703093C9312C419AFD48633D608006F38038C0A25085347320E00980300552DC8368841107DD4451B02';
wwv_flow_imp.g_varchar2_table(1582) := 'D5084D6B2A910804E0A60110480F04722D1EE594133D7C88EA44E189A0FA2EAC09816942CE3812718003A210344825E220904AD4632E502D06387B0911F04D95AC13418040D24A901EC0C0AD43EBA94242AA88906A5620AD50204114AB4055505281BC68';
wwv_flow_imp.g_varchar2_table(1583) := 'C62F0B02550088F622247446681DAAD587FF02409E02F1447C04820B00E8AA2F1D54052F5EEB90286A14B20E3940410C705600DC80478A1888671FD2D9E816E40FA025486879D190E1AEB6206F04E30141C890578E7521BFC545300C328A5B1C362EDC3D';
wwv_flow_imp.g_varchar2_table(1584) := 'C82FF5DA90821E17B90A31C07229CBA5905E641083E81700B03B104B6C622007E665081F42494202401BAF3C3043AC31CB59D27121A0A844230CF107C246C2208698CB2E842B90E009B415DCA5EF84F10B1102E837211B902CBD06615D000818009D03C0';
wwv_flow_imp.g_varchar2_table(1585) := '1E2C8190532884172836C81B253C90720240C10881692B96B0904610A411043E8857E742DC83E095C52AD9C10678344D6952779F07B18240EA00800B17C4C09A40F240C84B5C5CB6B6FF0E8220F2424ED1391C08E4B706E92D6E95B199F8BE92BB073686';
wwv_flow_imp.g_varchar2_table(1586) := '78B17C120250604F5EAE081BF2F0904310A2739638AF407C3C103076909E872033430E41068D9801006578835F34B10900FA19981D5C631D24C1634287E4D06BB51A1BB290102614E4C24606ED2E36718A48FB42CD1D7CA52ABE0B004A2F04051580410B';
wwv_flow_imp.g_varchar2_table(1587) := '0E82868298A1D99879C31D0080863E8CA1D97439C5813B2889439CA215C016481473EC6A90DCF40728E8DB283C910A07228D207B28A7250408406F8790D729AD2441A2D80A4100A0D557064006240207EEDC010D98C1CC5E04D88A5E1BF01464DE042695';
wwv_flow_imp.g_varchar2_table(1588) := '4A1016941B212F36888CFDB68A89112449EE1EC81E087208502AC4C002FF7C2C4178510B5F54F1D00D294341FC7007690F04DB99C164ABE37B1035130404CFBDB840940B802D9FCABF0FB1021600300AA3F95620B1104846EC84A450D8B5208418B9BF25';
wwv_flow_imp.g_varchar2_table(1589) := 'C2546FA8F8691B29031A64BE17748071139290700111A2C2813041D34716FA42107053BF0D8120A070C5280A625716D5A920AD30B38E2DD10A152364ED28894388051333A9EADB20A7E0F9409C900628E098387217887E338EAD1F2D68040229C20F0822';
wwv_flow_imp.g_varchar2_table(1590) := '84BB636A7C23813B4154D1EA81846003123041438AA085E514E4150421055F829776EDAA390D7106804A473A903E30E0D026680108540084721F800092DD40DDB145250BC07C214A40031C0081876917440C6350C3FF1818D20A5F1A501B232F88371248';
wwv_flow_imp.g_varchar2_table(1591) := '101D0040021CF00043400F00DB2FC4678B31B942EB8078811C03A6E937700401042E00042A0000360002CAD702CD774F06400000C079BF02080D0101110001055106E327107A33105E401600307E5E108200606B0421670D6172C4650754A00100E08205';
wwv_flow_imp.g_varchar2_table(1592) := '4104A667100D883E08210DC1100CFCB0178A044900A07A3D17773FB1096EB0031800831E207B0341803B401030708099172970807A12F0105FB08149000054703405710855C00305A16906765F0A4149B5A01020600300D08005A17C04D10708B10CB8B5';
wwv_flow_imp.g_varchar2_table(1593) := '837CD10CD6207907017794E40BC653030F008306417F23A086201085A7B20604913318F81070A07004FFD1044730054930055B58105360824AF4638627102CF8020B310115A0108EB819A8808706814EAA5065049102CB36108508000A88650317001078';
wwv_flow_imp.g_varchar2_table(1594) := '2A8C803E7880889E0100092001BDF88B18980011717D4637104830135558106A28720BD10FCDC1370671801E50011E50882DA00230A00490357DD9428510E08B12B08803118E33D810D7777D06B109E93710DE2009644066E425109657128D20079EB05E';
wwv_flow_imp.g_varchar2_table(1595) := 'F1B0157BB1097420114C066A9E818E8908001E2001F20700DA38101B68885A828800E02D03218C040101BFB8845FF0611221919EB8034B5045090177B986104AC801B1B71057E00677D06A9660237CE30902B10ECE2810FCD02BDDB18C08610670FF086F';
wwv_flow_imp.g_varchar2_table(1596) := 'EBC89007323202E1130E391010309409409113C98B15F10006310555201082406E42651036D2102690860000851948760516827BE0640241588AB19307B107396910DED7860BB1364A24615A19075EC993DEA19603A19645599111398E45D011C528109A';
wwv_flow_imp.g_varchar2_table(1597) := 'C00469900687404928D810ACB86C30908C05D1942778086529106FD967AA40644CE0890C718D06680288E91088500999D00818995570D91C6AB906ACD2202E2210C2288E61467516C15F25747940852B110200EEF71098891057F07DEB580995E0925645';
wwv_flow_imp.g_varchar2_table(1598) := '5B7B318F0551650F62710CC17C9939105720660E310D00009CA1E91C78E02D6A80730B3194042910D6F9890289103AA0013A908500FF0087CF20059321042F40990CF18ADF888109198300B004499006395005F62710EA40877D21062120108A491036D9';
wwv_flow_imp.g_varchar2_table(1599) := '11774704449010A3C04AD1D91D6BA0066BE013D3291D795988AF388EC5211D4AD03B06E101AAD91062C0053797023200003D50A10B11740551850D0804054A1049F09F03910C81D51722F07D03B10A00A06C02910233EA016038117909002B9A6EE20900';
wwv_flow_imp.g_varchar2_table(1600) := '232810BFF0303199A0B0F16904B120B9988B14D8104D2811070911B6E79C0261033610A2EB1903EC59852690336C0800E2E97E43BA907C917155A3109735104A08113933103F2A104900032F30A600B0784ADA1BD6F9A400D0A06B00078CC0089410A51E';
wwv_flow_imp.g_varchar2_table(1601) := '819513410D31BA0326FF9A1097F58A6F2A1006D98A0A51A0DBC9171EB0016BCA102F10A91E718C222A9E91300A58BAA7AEA1207389075FE0A785157204310478FA103FB0A215210E140103206002550A0024197F05317ECC690402A1045F4025495A179B';
wwv_flow_imp.g_varchar2_table(1602) := 'CA1037E0896BAA941A318263C09C4D0A00C370ACA6BA192583AA00B0AA00E0925C50A456200518EA10B45A13029900CE4A10454A10C23AA57D2101C558AE0D21910F218E555AA4670900C27AADAF311D43A296EB0A0055200503EBA25ED19D0351054560';
wwv_flow_imp.g_varchar2_table(1603) := 'B08AA194872690F759101C40018B7853E9EA8A28B0AB07316D4DB9AE34F7065AC9AFAFA10EE6A00E0761B2F6141657A50E0E7310A2C40EE960B2A13410F02018E9FFE0302BDB4C0D510E575510E9600EE3D0B30201B424EB30ECA010472BB2AFA18F4CCB';
wwv_flow_imp.g_varchar2_table(1604) := '17FFF0B410E18CD62A18348912C75AB54AFB1CFDC00FFA99B517C10FFD10B67408B65E5BB6667BB6689BB66ABBB66CDBB66EFBB6701BB7723BB7745BB7767BB7789BB77ABBB77CDBB77EFBB7801BB8823BB8845BB8867BB8889BB88ABBB88CDBB88EFBB8';
wwv_flow_imp.g_varchar2_table(1605) := '901BB9923BB9945BB9967BB9989BB99ABBB99CDBB99EFBB9A01BBAA23BBAA45BBAA67BBAA89BBAAABBBAACDBBAAEFBBAB01BBBB23BBBB45BBBB67BBBB89BBBBABBBBBCDBBBBEFBBBC01BBCC23BBCC45BBCC67BBCC89BBCCABBBCCCDBBCCEFBBCD01BBDD2';
wwv_flow_imp.g_varchar2_table(1606) := '3BBDD45BBDD67BBDD89BBDDABBBDDCDBBDDEFBBDE0FF1BBEE23BBEE45BBEE67BBEE89BBEEABBBEECDBBEEEFBBEF01BBFF23BBFF45BBFF67BBFF89BBFFABBBFFCDBBFFEFBBF001CC0023CC0045CC0067CC0089CC00ABCC00CDCC02A310C100C00C2300C0E';
wwv_flow_imp.g_varchar2_table(1607) := '8C65133C0CC23010184CC1158C5C1C0C0D1C2CC1199CC103010C24DCC164250C2A3CC206010C287C4F1829C2327C10A9A80AF1F8C23444C2237CC2E9C84B8389C311C4C224ECC208810A5309004E0000502078400C3A13CCC3269C10674005272010ADD7';
wwv_flow_imp.g_varchar2_table(1608) := 'C412C4C304E171046109AA88C5EA63C2444C10440CAA025172600C4DB6000CB6403E0611055B57109210C769EC376C5CC200700627A05CED6109053403004006C25940745CC756C3C6C0900B6CFF6C0BB9D0C60881010651C886DC376B6C10C7D0095040';
wwv_flow_imp.g_varchar2_table(1609) := '0350209C03D18F0441069DC61BDC4010D3E00AAE40C2B9F00DD0C00DAB0C0DD0A00A8D39C925C1244E400380AC10490C1BAE4C1047EA0A0A71C2201BB2B22C118E8C10A920101F401FC8800DEE5310A32CC108110ADE97AFC32C11778C10512720036167';
wwv_flow_imp.g_varchar2_table(1610) := '0591CBBDC10CCF2C10D02010CF3CCE0A010AC72C1F69B5AB0F70036980A6BE6B5790DC100CD01ACB3C10D3000DD310CE28B2A104916E14B001D7370619D1CCADEBC28DCCC50931CFDD7CCBF52C10DCC8186D25CECFC00D13FD10975310F4D71AF40A00FC';
wwv_flow_imp.g_varchar2_table(1611) := 'D5D104610695F00BA50A005C9ABA639C5C00C0D00331034407219C210CBFB0CACDFF0CCE476ACE129103BCB1880400D20481B0CC91003D2D59F06A880C80010FCD0007100119609CAE11CEADDCCCCF000DCC2C1152707774F4C57151351EA08640909C3D';
wwv_flow_imp.g_varchar2_table(1612) := '0D7D13E1A9ADE16209600012397A02E107B850D25704880CF1002290024EDD18C3D056D7C2CCD030D5EEC30DCFF00CD83010FCAC10F2670446300587608A70A19A4928102E4600AED9D31071B19C510445A08D795905DAF804D8160A4EE6C85C20CC3A83';
wwv_flow_imp.g_varchar2_table(1613) := '0C386D11054A04452A9799910DE1C045D9F00DDDF00DD723DBB30D00D47010CE90C801AB0584A10A91500BB1800DDF50CC736105F91A3056203000C0055C70A12712B60681B586A88F9C812723B20F5B61DD0241220801B508FF31657531B50301B5D02D';
wwv_flow_imp.g_varchar2_table(1614) := 'DDBFB115F30000BCA2DEFFB015F6F0DEF0CD1AF20D97F5B00FF790DEAE11936E61DE05C1DF09A1DDDD2DDE5241DD02610F52BBDDE0D1DEE30D00FC600F0DBE83FA09E0D129E17D32B55DEB1502FE1D53EB8C043E93F94BB6FCBA15D05DCDA3E4DF246E45';
wwv_flow_imp.g_varchar2_table(1615) := '047EE2F7F4B4DEADE22EFEE20D6C057CE0A19990B2303E41D8E5CF4277E137DEE33EFEE3401EE4423EE4445EE4467EE4489EE44ABEE44CDEE44EFEE4501EE5523EE5545EE5567EE5589EE55ABEE5AD710F5EFEE59BC4E57B12E60D910F667EE6662EE6CC';
wwv_flow_imp.g_varchar2_table(1616) := '01E6602E1068FEE66FCEB5722EE769AEE6766EBA3C7EE79A41E605510F7EFEE7800EE800400F845EE884FE5E7AFF7E14A2341049BB12ECF0E8901EE9919EE89012B6967EE9031193C79AE1FDDD15172DCB5B3BE70AD1E23671E9A69EE90030E202C1E999';
wwv_flow_imp.g_varchar2_table(1617) := '0EB6AA8E1418D0910C3BCCFC900FF7500FF430B679AE105C6B10A22E13BB9E10F9000F7CEE14DCACE2FC70EB843E10BD0E11CD4E10BF7E14F7000FF580E94761794DC004C75ECD506BEBCBEE16CFEE10E12E93729E14D38EE853C13ED5DC0FDE2E0F9A1E';
wwv_flow_imp.g_varchar2_table(1618) := 'EC0831EE0C5EEE48710FEE400FD64EE95F6BEBF2B0E8F19E0F0BC1E3103EF03BA8E93C510FED60474D7102550CE3C93EED360EED2C7E106E210FF7C00F7A420FF580F15E5E0FB7FE0FA69EEF35510FECA0F04E01054C7606C010C2AFD1086FC0A4B2FBF0';
wwv_flow_imp.g_varchar2_table(1619) := 'F0FF10F10C9E0FFFC0DAA43EDE4F4B0F50CBE23EFFB4212FF234710F25DF14078001F33C050060169FEE1A7816F3B63EF307D116D8F00455200CE02D93FA500E56100BFF6008E5500E5C6008E2E0097EA00499F00C9900F2527BEA0A71EA556BE21041F4';
wwv_flow_imp.g_varchar2_table(1620) := '359B1434301053D0F00291D29951DA0040DCB15BEB105F10FB50F8FB80084880046A000F85DF2BF7F00F6E5006C0C00E0C300CD190044A800852100908700B77000336DFF6986EAD413FE2BD92F31541F2F020EF46F1D24D020CD030C19AE1908E5009B8';
wwv_flow_imp.g_varchar2_table(1621) := '57BB823FF32D6EF8ECD007BEEF06ECC01A1E6EF386D094C3E007B6500D1E5006A9F006F2F006FF90096FC00CFF00F0A54F10A56FFADB4D0FEEFFE00EEDD00EDDEFFDDE0FFEE14FFEF0A0270441F7F900EF48A1D08CF10541C00543407FEBC567503FF804';
wwv_flow_imp.g_varchar2_table(1622) := '61F8EAF009858008000189DD3E7E000C02B807C0CD9D3B1BAC0CA380E65999726FC2C5E000EA5F3D00FD3C7EF478B023489222FFD14B574E9C4A962B59BE7469CE5DC283F5D8C1CB5750E44E9E3D7DFE040AD4804F2A008405459A54E952A64D0DCAF1E1';
wwv_flow_imp.g_varchar2_table(1623) := '63A73400CAA83AC59A55EB56AE5DBD7E051B362CBF7BF7E0B9DBB94FADBC508B548562A74FDF41B999929449E2C7C81B4394AC8C3187C6D30F3765FEE51B09522449C6210DDA34A70E9E3ACAECD4B16357AE5D3A76EECC614E175A334D843773EA149B5A';
wwv_flow_imp.g_varchar2_table(1624) := 'F56AD6493BF0A4B6CC6A6BDAB5FF6DDFC69DDB2BBF7C66D11EFCF74F2DBB4588106D8A2B121F805B7FC40D0390CDD6B5729E86C17B86CC5CBF618D3F1EEC97D8BBC17FF038132B33CC10284F915245EA96A95C243FD5333DBB76CB32E97C37EFA1D66D29';
wwv_flow_imp.g_varchar2_table(1625) := '1430006A8C000F544A2A0072C801802E00B80A8065A4A12642042FC430430D31E4CD3791D452EB1D2F2CF9E38C70E4028E9EE000382CB87F587431B8843C2A8831F01A138F3CF3DCC9040D37AC70858B67B8F0049B076EE10B0E4FA23104914826E3A8A0';
wwv_flow_imp.g_varchar2_table(1626) := 'FEE0F90FC00D776201A94E008006BA2B2FC4624183AEA0E64B33CF4433CDADC832AB1D9384DB279D3DDC50658C72F4A967AE837A238B373FCB0200B18EEA514CB11B6D34F4FF1F79CC81C7132580B122154AFE2823934A92F0640C38F820068037BCA884';
wwv_flow_imp.g_varchar2_table(1627) := '32FEFCB352CD9FECB8E318838641A653536B8BA38B58B5E8499A6D5EC535575D03ECF0AC37D53AE690E30E89451EB9F434A8207EFCCC27A766CBE2E79F424732283CF10AFD8E4579D281271322FC28231A5BB818A39A3BCA28830B2EFCC804994C5231C4';
wwv_flow_imp.g_varchar2_table(1628) := '1D75F0593650524BDD952757F36DED0A005CE8091C00B6B1905F83790AC0A0840FD095186280B9E56000C8AA071E373F94479529F6E863933AD288C4D8375D6411C6165DC436B1434BCAF6457E30630619573C6124125A5C31E416735C4905995B32F184';
wwv_flow_imp.g_varchar2_table(1629) := '18668861E79ED3ECC5A95E890D42040062A0D97769AD5CC801FF60911834E8D683CA94BAEB83083820000244628061A5A2AEAD9A680040263B8329B6F8C37FD439838934F6D8238DBBEF1414007A2233271D73CCC9A71CCCB2B906996A82F3CEB16A7134';
wwv_flow_imp.g_varchar2_table(1630) := '8945F3DA51A71D76E491C79D742E2B87B2C9B8DD1CB389EB9DB24A897100C010A78F0200186286618619AF97BA428B307B527076DD851A4AA9569FC10D192F6F41E6ED7B2ABED8A07DFE79870A2698C83B6F24D0C1931F7BFE49279A726E79461C64CA61';
wwv_flow_imp.g_varchar2_table(1631) := '269C6168A9E799675E6CDCDA951DDFE9C58A2DB69C9DF8DB993F7ECCE0F19374FF72923A152F0F42DBEE96D22091E4CE27E0D09A001568A6D7490C6EEC78933816718629DCAD0F7BB0885CACF78F724C43FF1CE120463686918D7084E31AE1108738B2F1';
wwv_flow_imp.g_varchar2_table(1632) := '0F7E34EE27D98A1C795C6634A3398B8635ACA1B39625A57BCD8E750B4C0A0A803844D5002F37D128DEFF7605B7E491471E9FA8021390A003264CA116ECE0080BFF710D5A54A31CB670052DA2F18C7094031EC33821FA70A4BEC5C01038243BC80EE5B8AC';
wwv_flow_imp.g_varchar2_table(1633) := 'D3F0E634BD395AE994B6B41F1A447644648A0F080848052201574A341EF244122D79000312C6D9842122018CE444EB6FFF10873A503837625C831DD108C7E0D4389EDC90851E46E32195F628B55C1CE48F841489100D2295DBC1D29668B285D49868927D';
wwv_flow_imp.g_varchar2_table(1634) := 'C8631F08910B3D84490F64B1281F2F0A4E4182734CC6B5105141612370B0F2A2831CAF1EFCFFD323BEF8954B00FEF19544BC05084030A69F54E296E744275876593238C9E31EFBD0C73DF084A245068A4D74440C1E9DA932F020259ABB6996FE54A94DA9';
wwv_flow_imp.g_varchar2_table(1635) := '09CD96B6589B417260403119240EE01098C0C6914E8A561429EBFC905A5EF4CBB914139A2171E3E39212D2AEC81169A8949A305AC9CD9E187181B130881900A0832DFC0100363D200020BA8D895AD4A762215EBE301A16432DA69F1F655F6A4AC73FAF01';
wwv_flow_imp.g_varchar2_table(1636) := '63550024A42D46E12A100C1229B08028357AF153AE76C5A9423D5EDC5253D49EFC732725614D3667E754A70ACDA0441C053763A10380F5612783B4EA417A118CAEF6152B7F0CA09A860A9669F5333C663D2B49C3A2D60522A3784394AAFF5463A18C99CE';
wwv_flow_imp.g_varchar2_table(1637) := '120BFE52E84E04B6935EC8A21709F46B687737D8AF7C07A44E41EB6A964AD0AE3D7681718D054B0120CBABFDCBB60749202900200BCF02A0142251C666453B5C7E91D62BA63D2C6AC9AAD41E3636660BA40500E23A8AAF7AC2043CA1DA4172F09A810523';
wwv_flow_imp.g_varchar2_table(1638) := '1172F0AD417E7B10DD12D7BCC50D2B04C70AD2E43625B5AA61EC79CD14315A50B775A300C03791320ECA1A040CBFDDAA7C716544440ED7B85D49EE69DDBB5CB1C457C01B1A067E614ADD5844ECC1BB8AAE48641B145E6C021516656D1CC3DA44B11C16B1';
wwv_flow_imp.g_varchar2_table(1639) := '4A512C58567BE12FB922AEB6A8F02860BA14368C631B81E80918581C16041824BAAF987186BFBA93C08AA4C07D3D30614FFF8CD4A436B8B93BD65064A92B5500A42228588B034F57C1934440F92B26E8B1120C326300D822C30038722B94A25F20863859';
wwv_flow_imp.g_varchar2_table(1640) := '23A64D9397C2E0C5EECFCD5EA68D2B6CF10A9178C22757A0655E77B28CF00240AB5A9505D7F0BC14186898165636C88617CD93249776C94079AF5878F3E44963080D664083150C220109584D4CA6C62D4FC0218ECDB2FA5608D42900C471AB6D50431C9D';
wwv_flow_imp.g_varchar2_table(1641) := '064A2A40018033B3F8CE4CA4E66AE43CE7617FC5C1B8D60D105C8004174CC1057FF0B353406B10AED5FA27DBD05A3700308D6C2C231B54F9F64EA6711015883605BC36889F77FD952253F4C056BA73592F8DE9147FE56503453686A620C829EC04D5828E';
wwv_flow_imp.g_varchar2_table(1642) := 'F536846B90FF5B8B04DB86E649ADB3B1B56E4F83AF06E96F551C6E1020F8F50107B9D94ED67D0401FF7AC4C19E1879DAD7A252E9C4E4271F5DC8FB51237F16DB2BC7CE376E1A94841C28C1075F95006633BB93884B6342DE36B438140D006D6F4319C938';
wwv_flow_imp.g_varchar2_table(1643) := '0865B3C1B5A5532519B240BA48C64DD9827555062F30882B00100A3FBC4124BDDBC9013200801370F5D7BD11AB0C59588E64B1881E10AC473227C64C92C508466A47A6827D52EF97733AE6B749421172B06F00EC000032FD09C045428D6E24701BDADEC9';
wwv_flow_imp.g_varchar2_table(1644) := 'B4934268090120EA4CD3845F8D6010110020024131DB015067904F8442550711868591ECA18961321AF260863A56149C74B82238C428878B96958A6E20FF23121C649239F8410C3F64C35DE5A88FAE59586C3AAB98547F0F500E9240F32934280E49F1C1';
wwv_flow_imp.g_varchar2_table(1645) := '6B6C6C7059670D81B04E0A687D7E10694883B2E737081344DB79A7E8E009067144280C028C21F73129A9D8D210F36131C4442B1BB4B08754C8064F6006FF510734000562488537A085A1C986DC73856BF887615009DE23A161D8995B081FE6F8BFDCAB37';
wwv_flow_imp.g_varchar2_table(1646) := 'BEEB0A3D823EAEA084AD638A21208205498248930000A800A0888AAAA30A0A3188C61B388398109E883884C3C188A3AC5F30081D100941F0890DC03A83188283200483808228E81A0EF801ADB02B00C83FAE28044760042B73248360844CF09A95CB1C96';
wwv_flow_imp.g_varchar2_table(1647) := '1307BEC804301A435BB085674885708003FF43B88648F0847080070008876CA0876198076240064A180660680766A0050F2A076CF89E340A0F907BA315618D95BB1C7B70B911040A4AF8042AA44483C00331280A9148C18A3B882150024E3488D7B01AAA';
wwv_flow_imp.g_varchar2_table(1648) := '21A0DC8990858B8E71EB068111B88111986E2838A0A00A6508060BC1050078B814B4044B00002234883AA81BAC93800D808116B00100800200F88425A4039170C2A5B9AEAE8885D3D30A2FE9A37613AAFD6B87FEFB87FF53074F40287128837040866CA0';
wwv_flow_imp.g_varchar2_table(1649) := '045B7883E2E3836C600715C98677E40C5BF8074F400666108768A0075A109F6C50876A6086749096616B3E637B3E486C0A48A0C2D253C6123C0831F8094E2C02204842A0C882DACA9AFF6B03870A29138103075830889E820DA0B8C58330BC43E0C59D58';
wwv_flow_imp.g_varchar2_table(1650) := '021D58819D680191688264DC092F3898686C0A3E480DD6B13FDDE18DB3E0467120067748C3676894EFF1034FC01957F01962A80673F887327A0F5B480771C8041262863778865BA04738C806F6D808266B0D1134C8A540C850F8844EF8048634089B0480';
wwv_flow_imp.g_varchar2_table(1651) := '26F88972C30A541BB852A0BC9E004900D8B2AA183AA078B86018370030109150BF34E8B70D9000213AC61480023CD8058368C6BE2A043B500D56C9C9A5D93F77E81B152919188187533A098380073CA93B0080876C70077A20BA6CE8256AA28776C8BB7D';
wwv_flow_imp.g_varchar2_table(1652) := '7AA181E40AB00C4BA4E083B3CC3FF99BC4A5884220704B8378C1020A13FF41DBBEA5D8862CE8028FC48A551849CA2A029F480326683414000220E80183100200B00626FC29316882EBF43CD54086C974A0CA14143A722784400C168A967C304DD33C1984';
wwv_flow_imp.g_varchar2_table(1653) := 'A0A6DE589E1959B98959B97E90967C603E108CCD829CCDA5C84D915083A550011BF881023527723A88A8C01A83A8849E3AB8A000BF81F109CAAA90AAF8858733085CE02B0DE5893DA0201DD880832882235002B63C083A8882266CC24C3498179081AC88';
wwv_flow_imp.g_varchar2_table(1654) := '0002318813C8001B25BBB1CB8AC71286233B989DB4CC64E19340611165F1939AA018BFE90D546AA1809A2339428C13CBB4B180B9FFE489A6494BBBFACBEEE4521D458A163004D5B92D9E908ABC323AA590035DA8CBFFAAA0D0FE9A0D9F40C51AD0398338';
wwv_flow_imp.g_varchar2_table(1655) := '833A20492BA80225900231138964A40314E5C24AC08332F88283900200F0834600008E2B33009887052ABB1B3530FE1B9D7B58A67BA007794088E3195293F9074BD53DFB642F9581CDC7E1CFAC904D2B058A3DE809981489CF438A713A08598D032CB8BE';
wwv_flow_imp.g_varchar2_table(1656) := '0769D08310180F0D0A5240CE84BB48A5308253B0044938883D80CE1500C59EA003987C460060044F19D043FD093ED3100E5088017DD6ACF052B0E814F1E4174A4D4F4F4885E01007DB8B111711873F80875B48057530842F92C7284D9F52E527D5F24F55';
wwv_flow_imp.g_varchar2_table(1657) := 'D50A1A7002838055A038460018020990D5CC6A10334520C95335ADE9021D03800455544535882D500AFF59B5042760023BAD2CBF048015E4892868C6153D084360043400002E300837F03A5CA9021EA84EAEB0D112302F8B5996B80B0757C0876BC88468';
wwv_flow_imp.g_varchar2_table(1658) := 'B80557D0C3482807E1F90777B8063DB305021C8661B805D973A67A7D447BDD8A54D5D79EF8B00FDB095F5C0ADE04801658370525D39E2813ADCA5091B83EEDE244416B8111308872B31A65DB818AE3C47EDB093738043148822950823270C9147D462860';
wwv_flow_imp.g_varchar2_table(1659) := '4B2F18D0943D8846A0044FF03337188227285400B0870B3100B04B8D6EF5ABB3E8907AA887251107F6201E4F00056440A870F88776C8845BB806A99407575021806C5A1323A5BDB391D4D8347C9BDAA6684C8338807FF5091BA8B896FCB3A05803FF8AF5';
wwv_flow_imp.g_varchar2_table(1660) := '89820500B6B50110984E004841124542A030592B380391D05B03A1959FC0033B5884C01509D5C18395B51400F0429F1AB29F928776A0918E008048A004A0C9044B71854659B8F0A88861888F74B085698006F562A774AD3B441C394514B67B5B8E799BCD';
wwv_flow_imp.g_varchar2_table(1661) := '53F8B05D6085AB251B06683F0F3808DA1AB50AA80010E0AEC24335817501651B021720821C00453E05000F06005A995E93A59532005E9405801B5856243082CD03802A000A3EC0033CE88995150938F0033800003CD0E12B311BD63806341486F0B52878';
wwv_flow_imp.g_varchar2_table(1662) := '608782B0D476308499C9845700854870855BD08761309F7F6086E25B5F71808370C804DB6B21F3755A26730CA84D0AA99DDD834005FF5658CCC5644C91A051C94D8A0DF0001400011318A7163408E1ED0925C80118163551038039D502AF43032DD05B34';
wwv_flow_imp.g_varchar2_table(1663) := 'D0DBE9F59731D0022D28D4423559AF058048BE03EF458A1C86031A06001DAEE44D3E8837700383886433A1C9D490B49F32E26649CF74883B76080E9C080E50604D4571657980877F38624D659CD35AA3793B55AD30E3333E8803460A384E0A1700011730';
wwv_flow_imp.g_varchar2_table(1664) := 'BCCDF3811594BEA6F8B4E91D1340E6892B30D94F33833728DB8330273F30089BEA8337B88395EDE1A480833728E7490E6583F8CB436DCE7402066E02575B32E21C3A26918B117958386562A1C740269461AFF46939F5F965A508E633660563456032D889';
wwv_flow_imp.g_varchar2_table(1665) := '129059A548674F39BCFF3E30836C8E03C43BBC3858598C06006AB68251160999E26883880400688492060A3FC0A94D4E47BBEA031DCE619188844C205C91A8E42FE00218DE090606009E8ED1736AA5C9C5A2B278168EC0BBD9B33B5556BB6B11687A7BC4';
wwv_flow_imp.g_varchar2_table(1666) := 'FE5425610E0A491004AC35080526902C518A77EE891D04805BB4B0B8EAB39D888395DE89684B374FA8043F5B6BACB0296FB6619E10358F65E00D80009178808B33080AC0566C35EBDD29BB83682561B005A73A657432E253A2A1507D231E921C613A1E9A';
wwv_flow_imp.g_varchar2_table(1667) := '5811A77D5A32C68AD8351DA9768A12A081874E0A8E863C9F00C9751887727845D03A3A83E0336B05004F18854A786DD7EEB304F509499224ACA00083B8EB83D86DFF91680118000246BD256120EC8338EC744AECC8C6A4487065FD7591DCC31E7948D740';
wwv_flow_imp.g_varchar2_table(1668) := '19A580665D31660DCC5E25CD560D313508EF3EEB83403A6D3387899A437A98439118877590D0AF7650883E08140680EA440107E609BD160920E06A914061F91E22993D8A5C00865C388AC2EEAAE4E6087800856C68075700A554F0599D75057EE4D9C089';
wwv_flow_imp.g_varchar2_table(1669) := '047160863404DD1A412EC841AAAFF43BEE168B48006F9F50BC9EC886D00649D3DC09CB35EAF73E883880836C0EE183B881EB1AD107C8ED83D871092865E5050A2FE00290B6A53E6A25C3E6AAC4AE07771C064C1A869989843F00064902055A38DA6C7806';
wwv_flow_imp.g_varchar2_table(1670) := '33630F434805A6E4F03076EAA7D60AED8E3711CF8AFF93F6091F302480313CEC4A660010BC9D40690B9386D0EE8847358835D80922708168BCB8074800FCE6091368C914F4580040174F41C8945E74741AB2952A3322A62823AE077C509172B0BD69D81E';
wwv_flow_imp.g_varchar2_table(1671) := '507886099F4A66209EE7A8065750874CF88554581C7AF8F2A60E7301CE8AD8A51733EF97B106806D3E087F11332B00342BA83917280231BB81591589779E53A5E86D910081608773A078033E5867A4E85E8A0AEA480B2D252F8B79CC0471E07262B88540';
wwv_flow_imp.g_varchar2_table(1672) := 'CC846900F561200631BA053FB00564A00538603BFAACD78116F3573F6859EF8A3EB0F58340E94AB8E8180780DB69E49E103525B0398105002018011B50DBB4ED8961540A34B0E14E3E08BD3D88FF75468223400243F289EF3D275519709110700347E5A1';
wwv_flow_imp.g_varchar2_table(1673) := 'FE0F4501DDCFB0E54CBD658B591475089470F01BCA51F555A716A89D52758A7779D70AD5416991A82591C085BB543D9396D89DD00293BD823290E6408E292D80E1771E8206C953A6B88267DF094738888A3F2F34443D222A73D12C1AA64A261949D7B8DB';
wwv_flow_imp.g_varchar2_table(1674) := '5FFFDD231722B6904BAC92BA07D3D86E9BE78A3FF88392D60110987B2144E605C981DA3988914C8A6853549B8AEB9DA8026A4603E04D0A20B80B223F883B8882296054248842BF922D5B98F60572F583E03FA559A5398AA364410D7CB116CB06807D10C8';
wwv_flow_imp.g_varchar2_table(1675) := 'CBFF097EA8877690876BDA7AB7070A9CAA051FB07B83A8021FE83771B21AD5A984FF4600049118055CB8C5D436881BC4459128870891293428E41A2FFA6257DE240082CD430399DC89290480297061C877FD52DA7A9A8DA3D68F337AF38AD4A712A6DAFE';
wwv_flow_imp.g_varchar2_table(1676) := 'AD7803880700853F089E068011058A3558833858039BEAFD87E579F2CB06706071910008346600A00100E0CD41830A171AF460C2A015860C91DC58284222C68C1A3772ECE8F163C65CB130DACA65B024C8942A57B25C08AF1D3F85FC62B6AC59B35F3F9B';
wwv_flow_imp.g_varchar2_table(1677) := '06F9D56B07EFDE4C9D4287122D6A14E4286023712D34F427922183919E2E2486EBD6288DB756DDCA184E213D00DB14625DB80A405786C32249F4C431D3D1B8723772CBF62D5BB67076ED320CF7AD5B5E007F03CF2D4CF3233CFF768783161ECA0F2700C8';
wwv_flow_imp.g_varchar2_table(1678) := '3A79FABC97EF70E3CC9A370B95A7D13380B0FA248665F8EF9F417DAA47A756B97A743D8CAC3DA2E66C7B68CE85B96FF35E997831E6DE1F67AA76DCF3E765E1CA970BA7E7DC79E8E80663A7AE37DBA83D00F3B66FBC57AF9E7700F898932F6F5EEECBC392';
wwv_flow_imp.g_varchar2_table(1679) := '25EE3698FBB1CADA184FBB6FCF10A7FD96FDEEB5930734FF79010A68543F333126D77A1AE504E0800D3AF82000E9C984DA4CF900F0CF4CFF5C66E185F75C8861470B42C66064241AC4A1713EE5931C842DBAB85A6B2ECA38238DCAFDB6903AF79CF60F3D';
wwv_flow_imp.g_varchar2_table(1680) := 'F09CD6CE8E00F0875A35E280A8207E25DA972043E5306461702DF1C40E3C2B46592396596AB925975CE623A141FFF75CA38E38EA98734D36EE0C538E38E238094F5EEA5C63E4959195C80F8679E2B9676D3115289F44F5B038593E5402556797892ABA28';
wwv_flow_imp.g_varchar2_table(1681) := 'A38DC6F5254C00E0E90E2DD33C93CD35B764530E33CFCC59CD3FF20C734D38E5B003A841F4E1F7279FAD82E8E7740CC593EAA03A15FA13A28EEABA2BAFBD360A694C789A930D326CBAA26938E10CC34C39B6F4770D3373AA531B7DBAE1B4237DD52AB423';
wwv_flow_imp.g_varchar2_table(1682) := '64FF509751AE29DD0A94AFDBA25A2EBAE9AA5B1EB0B47A1B963AEDE4E54E3BE694634E3AFCD0638E3AF2D473AE42FDECB38FC0FFEC63B0C1001CBC8FC2060F2C308A9920C3C834E6D8939DB6358D1BEEBA1D7BFC31C836B59B2A9ED8AA430FB6147E082E';
wwv_flow_imp.g_varchar2_table(1683) := '3EFF06BEF632CC2FF3335A4E7740538C30C700108F3DFFD8C33147FC6C9CEE81211B7D34D21F8D9CEA421ECA74609D29A32635C0DB7E881A3B4E72530C34FBC8935B7636096D68D1BC029D34DA6977BC74D51CD117D33FF1F43237DDB05063372C73EBD2';
wwv_flow_imp.g_varchar2_table(1684) := '0B00BDE8D2772F78D3AD0B35D480637722D4CC630F3E50124AE565677329B9DA955BEE683F2F15D5CF688F342000E8020C10FAE8A3833E8042A68B1E3AEB9F37D00038E7C463A050F8B0238F3D2632AAFBE5BDFBAE6862F2B5FD913EFF98D2C000C92B3F';
wwv_flow_imp.g_varchar2_table(1685) := '4001CD33CF7CF300343F7D01C94F2FBAF3038C134F3CFA8C37594FFED6FA3BF9E59BCF5CF0E6DA54BCE7CA835EFDF4D0533F3FFDAB3B3FCE39FFF6304C39469489CFFFF90228C001AA247DA91A5E478A77BCEA09600173B09EF2E85700E949B07402B8DF';
wwv_flow_imp.g_varchar2_table(1686) := '39FEE1340476E43891232008432842DF9CCA6A2D398D021B500001CC610E0EB4DF0523783DE751EF820550C0FDB8E7BD9549297C9601E008832844DF1990872D4961F5167001168EAE0D1768431854A78006B4C1890A10C0052ED0800BCCE1020EF862F5';
wwv_flow_imp.g_varchar2_table(1687) := 'B6D73DB8715023FE3BD410D3B82862A89133452CE3460EE639050C600EA053220B15F188390040112D9C03091E21C8412862168308441814D1864768B10017D0853DEEA18FA0C031233E2C5B1B33A949B5BDB1921839D802EBC8453B0A200B8FC8032674';
wwv_flow_imp.g_varchar2_table(1688) := '810958E8C2145D78441626A10BFF5124220BB08005261E618A465E607BF39864C96A72C6F16DB29803BA45358C5998C42CC49357DB51F138A1C20128600E555CE2056611065D9AB2950D18E423D8308759E842978B6CC3E9C438C967B2843255C2246F22';
wwv_flow_imp.g_varchar2_table(1689) := '110D65D2932CBF00C01200308534D453285F6247336B721A7CFC439AD553DE13A999C52C86E1020671401800C0D00B34B48B175800E81CF0C850ED038881EA8FA03C4A942918E41663E967316F714F853001A522039311E3F30F82728204CB4BDE059827';
wwv_flow_imp.g_varchar2_table(1690) := '0005D0117A0050DE154F57BAA0EE5401DBBBC7C086721CCB94A716C1388B335D6ABE5730632124952A4BD826D09916147937855E4F23F8BCAF5AEF8617E4A9180716D58FE2FF4AA4587D6B4ABA018061BC42219B600B222001805A00C02400F80A5C9F04';
wwv_flow_imp.g_varchar2_table(1691) := 'D3B51E104F9C08C2572FF8BEF74984758E659D5165D7B39EE9247C210D2C66E3529B6A5CA31AC904C0350C920D004C63B49995C8D28439939ECDA20B0B7D2D6CB3C890D8D256A3E7905D90C47649B70A4519A74DA38976339AEB6456ABED145AC97AB68F';
wwv_flow_imp.g_varchar2_table(1692) := 'D72C643548DDC73DE8218FE7D0E31ED61D18760FE630EC1256269625E66FC3AB1203F116ABA9951279B3CB3D7BF0EC62EEA52C007E6690ECFCCC6717E31E7EE31137EE9DC6AD6784276F78275EDF9117C0035608A41C73A1FBBA175B3DF3D985221C3649';
wwv_flow_imp.g_varchar2_table(1693) := '05EBC1299BEC0153248F0F1EB8C31E36CA3D9899B1AD4AEDC1D493AD4D4EA6B62A6D518D691201E23DD8418FF27EB8C61FFE674C75226026058D262396094B625C1A1B13B9C820093140BB8B110113C53E3096318D8D2C65B816081EEE081851B0A524F6';
wwv_flow_imp.g_varchar2_table(1694) := '24284800E25692AE76427EB8E31E3C9E329AD35C9476B0B91DEC78334019F26686B4190071A6339BE13C6700B499CD6AFE33A0C9238F41CB031E86868767407368890C3A420C21B4410E6DE844431A00A00149A12F1DE84D731A24285AC8A73DE4340058';
wwv_flow_imp.g_varchar2_table(1695) := 'C842D61D35A957242455A396D59D7E35ACE5826A8EE0A3D642C248ADBF172654DB3AD61E09080021F904050A0000002C0E001F00480246010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336ADCC8B1A3C78F17D3801C49';
wwv_flow_imp.g_varchar2_table(1696) := 'B2A4C99312A5201482B2A5CB973063CA9CA95050C13A3473EADC09D2C21385164AA4E049B4A8D1A34833D6D973708F20A64F934A9D0AF3274195008E0C143281AAD7AF60C396645A908C40420EDF9811CBB6AD42AC00841C61C9D2ADDDBB78EF56115827';
wwv_flow_imp.g_varchar2_table(1697) := '0D4E817B242DB599F0CD96BC88C51E91A255A085B98D0B3A3A28460C15813FA324DECCB9B345C202454ADA8316809EBF03ADD43A88C6B36B9841300779E2F3204BAB09F10C1413450DC25CAF830BC7BB02802482A801945668A6F5DAE1D0494A518355A5';
wwv_flow_imp.g_varchar2_table(1698) := '05812500587D220437C1C90016EDFF1603C04EC17205D3455FCF9E6732837B92930650E7B4415502B7C07923F08B2F006700F804159AB567E043BA0120056D086905D7278E7C0200780CBD539085002488877919FA76E087206A040372059135D0140445';
wwv_flow_imp.g_varchar2_table(1699) := 'E289406A0DF4C92EE69D41458021D668D0171E3AC6555C0A660580170251929018399E879078BEE9A68678DAD9E8E4930C8944501A222D774672554412090066C0B1566B02E93150813D0240CB2BB4FC22D034004C038D9A19C2016562787C01065C02DD';
wwv_flow_imp.g_varchar2_table(1700) := '56901ABA41F809257E4224A141782499216604D130E7A23626D1C71E8790C8D421674859502600A0118741342E840C36DC6433CD33DC30BA19188712A4867705252824850A85FF82A079091669EAAD1F7238E51800A073CC26086D09007F052D77109A00';
wwv_flow_imp.g_varchar2_table(1701) := 'C0C92600CF2023101E70608AEB57E03982AA40B01EE45BB500F839D9221BFAC664B70CF149D0B8D3A63B5C32C1C0594315C01E04CD8908692167416202A8D9650C952A101A7E54A2EE548CC8E1881CAD3AA25B8207F10140281006D92DBAD92E54281E18';
wwv_flow_imp.g_varchar2_table(1702) := 'EB5A505D03778C172E272231902AB56C09EC26D06803809453A088C8BFCF1164A541B6BC02C0BCD338CBEC40D04AEB3155752AA9A1A10078389923B20A1468D11A4F76CC427C2E69505DAC0A915D131CFFAC7551AB10A40C002E9471C8152B0B84E231DA';
wwv_flow_imp.g_varchar2_table(1703) := 'F4F1178A4C0060089765A8056641545C46A6CDB40CE4AC2CFE6EFF2D95145FE089678F581D11996EA11C3DE8B3DF0D0ADCCD031DF34D2E125E2C35419AA9F0C410ACFAED7951EF01F04A3002A16005536C0B142F007BB04DA31F026921912D000823D02F';
wwv_flow_imp.g_varchar2_table(1704) := '0EB7A9B31BF77E4ED3133F2D56D0170475C7526442983B9090AF86D79084DF1CF3B440CA6F4C50640829EAFBF62749735012C352540641BD0B442641B7D02E90B3AF84CA3D4F9580B14642819799E7F90F231D21B9E5691C3900E950CFE40692B485A840';
wwv_flow_imp.g_varchar2_table(1705) := '2B2AB04D7600B0C0F7399024D2D886403645AC8B541000E43988ED00900D764CC311ED9BC62F840480683DD0257900C02C06B286201C210839B295768470BE3F2D0E50E151837916B138617C431D1949A010FFAEC3C0AC9DF0881BC9060024E810681C23';
wwv_flow_imp.g_varchar2_table(1706) := '5208F9C297BAD42DB474EA7CB71048380A928D7909840F0243E2491EC1098284010C5FD8C216883738AB640D50481BC86474E508C50924800B0117BA0E620108708003D8C95303B722C6424A248203C901000E2125FC1C4424FCD2C2F806F286FFEC067F';
wwv_flow_imp.g_varchar2_table(1707) := 'A9008641DA970D3811CF902629A3404CF10851288437636ADC842634A845144942E049DAB68A8610861564281C9840060019971258CD887401A53015A20C6A780F007D1008AF9A62B633A028995FD0C2053F610D1A45A1530249451601D00D760C844DCB';
wwv_flow_imp.g_varchar2_table(1708) := '2A031C64F58F7D0C5323B0E8C5400291054500C0940649841C420106466428365260983D1912FFA16F15248307D963A28A879B28002F216E70C339177A1009942721015A425FC0F70700C80E0D6B81C32E047286335C137F0AA1DD7418BA1173AA1000B0';
wwv_flow_imp.g_varchar2_table(1709) := '00C025D8908583B81300A620482908D286443C6F7F0411C3415545100E590300C5F829006A618986148A207CF00323E0B054923254193E089F402C6109494051204CA89411EE40C9C3F0879A67A00300AE2990261CC4595FC89BCE9C0A92989E340F2934';
wwv_flow_imp.g_varchar2_table(1710) := '885B4DC98998D635A505D1C53706E23FE7A9CAA06AC0D1179E20C36214C41B86456A210050888A1DC40F2464AB218F09801A104412453556D95854418C0280179F108466C40A00B31AE4089AC19359F70052C95A64166E7DA74144F94EBCFFC6F620D418';
wwv_flow_imp.g_varchar2_table(1711) := '082A142243818C4B1302F10642841B9E3D2E568E0371582340E15A612A91B20739CE40EAD0B2845852AC51808266F067968124568CB644C92C60B142846062120381A74160A10B84FC6771E7B28379ECF05B8E8A6971E4008085B4410E950DC4199FD844';
wwv_flow_imp.g_varchar2_table(1712) := 'EE0AB108027F87B9C3004038D063204736B7255510D94046531A29990821D44485661DB2085488C712F0E55E6401F5041C8CC414E51D487B0B220ABCC27420E43DA9405C2C905DECE2454A03C02E50610D546C1400BB25081D1691DFE91DC4BF03F18587';
wwv_flow_imp.g_varchar2_table(1713) := 'C5E3304738AC10C7558F40CEA18E7308C49B560E0E2F00E08B1F3FD82470F0C01EC6A089A21A840CD83C882A0CCB0A20B302FF156DB68326E84B8845D499BE1C1243A7DC60D2F7FD09009115830E3C328BF6A6B820B3988528D47B9018A3541778F54433';
wwv_flow_imp.g_varchar2_table(1714) := '7CB19A82D8582041068050CDC78AFC2EC4CB06A1EF43FD7A10201EC81A21FE7247B2310A100804B303210C13A670618454D320A6FD8EC54EC82D64BE64C5B3A0ED4252BC628234A31896144897BB5CE3889C0221EFF0F46E2DD16120B78221F2688F3154';
wwv_flow_imp.g_varchar2_table(1715) := 'ED916C48C37BD52008708D139A9549C90B57C0E81F62868A4F6C180050C00370F2C66D940C82206EBD2D43683C906600C019DFE53297930D80362B04D4084187378C71ED5DB4C217AAD8C5961FD66782AC23DBD07106008EADEC7A5F2418CAF8DA34A4F1';
wwv_flow_imp.g_varchar2_table(1716) := 'B69B1084D602FFA9C232A54A10286C2CD70078DCBC96E145000C01009FDC1E571D715C81D821A123C9031BE25A904B08E4D009293600C6F135EB0A64E2C946C5B80762F0826C1B22BBD8F6469FFD0D7E1C641DF4580700E2B10EB27306E040FDB7DA3D7E';
wwv_flow_imp.g_varchar2_table(1717) := '11EF0503BAAF1E0D68A424615BC37B20501042DE01E08A82C802007D2B6421F8904C5DF7D6222F2D48202EB2E25168C319DA0838417C3171816CFA2C12410741189EF5AC23041E6217083D12B28D65B585144045AC7F91CCF6982CA120732317697F6326';
wwv_flow_imp.g_varchar2_table(1718) := '817CC3F44A18C8241D88AE4F74A25B87C7C8254C617482087B222B026AE423EF0DD6BBB7DFBEF0B7A51382A18A84DE20DD18C836CC818B6A645FC153C104FF0054A60DB449BEF5125986E901D0F4A6D4DA20B91F883538047382D0AEEF03F122E7C8E6E7';
wwv_flow_imp.g_varchar2_table(1719) := '7321D3967DA511A6447C2FA652003009C5071134C67AE5A771938610CE2710574714D9670EDF971493B00C5C665800178110A1716C970D1A6810A15310D2E5040621011C7073092410C540082EB75D50507F1B240C7CF3776AC03947F43200407878C024';
wwv_flow_imp.g_varchar2_table(1720) := '8B751926E611C3271009787C0C217E070800C9570B1D580C88E50C95D66F20987602A10DDA107D024781203310F52015A3E048BC508512E10D64586FEDB710A3211800D03605B10112400404D16E5537562E3710F42610EDC337AFB04FFF7244DCE25823';
wwv_flow_imp.g_varchar2_table(1721) := 'C109C397800F815ED9E46006717E0571860FFF1811F9D55FDA70791B110915050091A00F49817A08C181F80175472610CEE06F13277DE8C77E0551548210292828103D000028A0823727104AD06E065120BE817F952024B2000DDCF07727D4098EC083AB';
wwv_flow_imp.g_varchar2_table(1722) := '74128A607488687C4B788803B1228AF85F00706DAD801FD7B610D2776DC670860BE181155109C927105DD385492130D33832FF36850DD710A4A80A95A76AC7B47EA32010CF661C7FC10422C1043AE0011BE00106317FD8A55DDA4558A90200086383D0B0';
wwv_flow_imp.g_varchar2_table(1723) := '410F145902F17BA90612C9A852E8F59012B1097FD00AABC310111771BC2071DE158A2A538D09A179120800C680700A810BC400005D0300253810B7300A9A7814E815079B009203E165D5FFD80A0EB7653AA90A364910A0C86D6C02770080044575554CE0';
wwv_flow_imp.g_varchar2_table(1724) := '0438B1033A600214000356000065403C4C925D51400651D00451100597812303C10879038C39274624040924A108F7E6106999108AB078F75678AA6366026191D1F874F7311091375CFF318F05217D22B97137F18D08310A8D202C04E109A3E009612415';
wwv_flow_imp.g_varchar2_table(1725) := '02132F96700A9670919B700A93298DBC800A996610DAF8655FB30C440900233261032112488003B188027B219A00205677A85DC3A35403210C367344902021BF0700B7F91289871083B09607310700C006577508575510BB7591042171CF9810EF761013';
wwv_flow_imp.g_varchar2_table(1726) := '0800AAE0861071899110076AB17248D1085B301A02519C0B610999C60B0FFFD78E87857ECA300CB9172F75001A4C61621B00003B00047C653E98531088F005BAD10803D18727F4670F2331249142C0E952BE4910EE84968A3007093A08034A0A59202596';
wwv_flow_imp.g_varchar2_table(1727) := '32558720979AB009998910E4D96F03A1077B306EADD00A194A9E830600E2781069080061D41C5209005F7814836006FC576E046109137A1C4116710030759A3910D73671DCE85AA4C31F1CC2867C31100E553C98B79AF5473E02C10880F030FA991545F0';
wwv_flow_imp.g_varchar2_table(1728) := '409D50408B00973CB2113655A00D31A0072174666310698072807108C7519307F1A19479A107D10CDC090096706DCE405C15C15C04E11CAD8106B167146C000031AA10687108C0B5512639109BE065C9B665745A6FD2FF202C9A205D05C10412B0021420';
wwv_flow_imp.g_varchar2_table(1729) := '1037D053FF689507115EFB34A5DC539B41F2098D752840C211FD00008B079C81A0A00841740C91057D1A1BA929104BA003386062753710A7B091E2F96C53770A91C2A68D889CF061031EE00120600307B17B7FC85577F006CF8A4C6530AD65F007FF9014';
wwv_flow_imp.g_varchar2_table(1730) := '7218A604318403A159E4C9707DB985D2C75FCE20970F560DB83005E00345DD559492BA0220600406D16651400756E972B831067A9A1045C0AC5BE308E241216E0050AD95118B2710076B102F3508AB0A112B520B3E3310AF778704112FAD60AE1FAAA307';
wwv_flow_imp.g_varchar2_table(1731) := '5707A8A18DEF7910F2691015C50770D0076FE00677C0ACBC72AD49910AD914096F639606911C06819C82FFCA10ABD30A9B294CA423102610770561590090ADD9DA2DAC1020DA859500400562E08700A05009E1B49FB30800A5675120044C9002DAB31143';
wwv_flow_imp.g_varchar2_table(1732) := '87AA0CAA107D4A10618B109C2810763A102EAB901366091A4B92D6565591A28504B1A882602996140533A01040000439003EB1973B5C85B204E1AF4491082B39109950722E2BA623F16CC690A1A0940C4DF70202518704F1B301357BF639105F30967040';
wwv_flow_imp.g_varchar2_table(1733) := '094FFA1351CA50117011A4D00502B19B06D1A75980BA021104582010391004312310EA436F6A2B1005C44CA9F86C9B00A98D9810166A102DD0022A00044370732E209F21EB106830064F7A14DB641090400911DB10EF608A40661CC4FA9C02410652FF62';
wwv_flow_imp.g_varchar2_table(1734) := '91BC70080F304C250A00C0A2093841B3055120AC704D5060AFA52510D1BB109EBA3D6DBB100C903B15712D0BE1BAB1EB03F127108D313F02817F00B0B85F24108D458C07912FC6F097C16510AA78A815510439209F2330102E901868E2B22BE2C004E148';
wwv_flow_imp.g_varchar2_table(1735) := '96D03664C004745007BBA58DC2F5930AC1046480220661022DE06A0231047B0B023000022D50045C000097E831F70B9AAF06180A710476100AEF9BA914FB60C00B00ADD81141D00524E0BAB05A10B1414443500445F00353FA03D883A28289119049103A';
wwv_flow_imp.g_varchar2_table(1736) := '09B90631BE45DA0933C08FFC3810405004CBDB0200C0C374FC05418C1087EB15BA31066A40B891D8AEACB3103E8610BB5085DC980100FF301400A0AC38DCC1DCA3023B00002D70A94D91AB05611E41E69AAE6910BC722F42F2065631BA86340308E01158';
wwv_flow_imp.g_varchar2_table(1737) := 'A005B16B1051FAC305610113404403F10380033B1AC10B9B500719BA09D2975FF94210E5F7931F40016FAC022DE00272BC03C60C9A3C2C10E5931027CA135CC538053106A5BA59CE20C34DAC1045658ABC1015871C5C534810950AB20060CC3A3C107E60';
wwv_flow_imp.g_varchar2_table(1738) := 'CB1D338B08A150E3F3A74522AC04E10750DB8C0B4507A041101910018B950F2331BA460400E50B00098010AE7C1063C02BBEB117E631A26561AEAA397E0781C61F0BC7CD6B1090CCCE07B10CCA800BA76A14833310B3DA720631052221D100E069F9A2B3';
wwv_flow_imp.g_varchar2_table(1739) := '07B1518EA40A88601E0CFF100209A1022A6003395DC736308BFC7B425550055600240A05B547F3833F583DE5B34F8CB0CEFC510686F939BBD0667086100610D08CD0084E6BC01BF113FCD25354F07AF05166A6681375205D20480E72092C9257CE020103';
wwv_flow_imp.g_varchar2_table(1740) := '1B5C102DD8CC0331CD06410D4D17D244E10145809D03710449B0530901051726088FA90DCDE0BD06611391022CB5205007D182CB4CC72D900471A09F17E4408597C700E0077CF0D90E73CFCF7A07770007A50D00764DCD8CA0D70EB4CF0351BA02C1D115';
wwv_flow_imp.g_varchar2_table(1741) := '91D5F65430CE2C10B50B0112900047CA1086B0CEB157AA47D00449A0AE323C2596B507719A103AB9B3D493103680CC2050016F8C100128166FF306E3831B4B4A1096FF75DD69BA10BC721905DD10364C1077D0079BB0989EB32902212C88F007F1CD838C';
wwv_flow_imp.g_varchar2_table(1742) := 'C0088830190EB31F750DAD3C534882C00A84D06682E0DA18C0000CC4028ABC1170E00770000772E0E078303FBAE1CE1050E1BC7DE10000010BA1501CFDB1C5411062ED10534786585AB040B0BC02D1150AE19D06E17561A154E353DD00F0E1DB6A8D56F7';
wwv_flow_imp.g_varchar2_table(1743) := '10EFC9C82A70BFC88AAC8D4CC7327B42261B7B0B7E8952DB10492087CACAC8DC337B03BE104270CA1AA1066610E124CB087820077C803005A1DB03C1DB04A1E102213059E4B2F59B10625E10211E116D53B0045104712D1172D00895F035EBE0E261212D';
wwv_flow_imp.g_varchar2_table(1744) := 'BC841164D09C775734E0431030D002CA2A1047DA152AFF109503F1281814A18DD0087BEC317D90C7583A106FF3CC0A91E6FE9D1025B0B51C11E15FB006111E5E02010117AEE10960EA622E01365006A4FC10050D0394EB86EC3B7EEFC710C4FCC6907C23';
wwv_flow_imp.g_varchar2_table(1745) := '68E006F1429C3F621061240FF63010FDC0DA3991D92958DE07C1030281C9E19A1033C0AD00B0E7C5AC107B7A1008138F8C12D507212C93FE06980E003F20107BBE102890023260C9DB63E00F410342E0CF1801175C00389DAB100E85E1AA6ED0195E1107';
wwv_flow_imp.g_varchar2_table(1746) := '4D10930C002872D61BE101C51B9F07A105FE231E636698672E155F1009DC6E105CE001472A0112E0D6A5331067B0E64322973840032CB0C00651E80971184F47ACDBB34C256D100950BE0FA0E114FFC001128002942C10457B44188001ABF9129F8415B1';
wwv_flow_imp.g_varchar2_table(1747) := 'E1109ADEE5EEACCE7E50BF1EA0E20C3103210E2C6480132ADF102D00033A4DC707A1E80361097DE09DDE9E142DAF10494FF307F1B328E07292B00BC5493272B904232F10173DC0020102CA0C042030F48B5E1087D00776F0079910098B690E00C0B250C2';
wwv_flow_imp.g_varchar2_table(1748) := 'DF090D9A2620011AD0DB0451F30080B90631AB857F4E822C10B03D10229C111E82076BB4065F8006528027763F109ABE2596481019DD10945B1028A2D21321E30581F580B1722A1246E0000F5261F50791D0E74E10523E103230BFADD05DB5EEEC07D139';
wwv_flow_imp.g_varchar2_table(1749) := '0000042DE0FAFD01F7CA54074AE0D723882B308F1036EF01260002ECCEB9FABA107FFFE0099E0009B07F4251AC10478E119A7FFEF8B9059AEF10FFEE106E2C101E10FA07F1013820C3D35CF1429002CE2E0222C01000D102000409044D00409810A11100';
wwv_flow_imp.g_varchar2_table(1750) := '48A6549962E58F4200E3FE51C49851E3468E1D372A010222E104001E3CEA40E8A50480255E10F649B8832385081E2926C901C008109D4A74622C77CEE650A2458D1EE5F800A1C9172660DC506825A11B8AA0867AB28AE84B152913917E051B562C51320A';
wwv_flow_imp.g_varchar2_table(1751) := '676C7434B64C42345FB600D8F2650D802F19951C01600184050015461E4CA9D1E4C8A219128E1933D5020F003264D884B1D1051120443046C4582DDC58CE45A50048A170B04204140900A0608205800C861152DDE84104541147FF872429C21000E08CC4';
wwv_flow_imp.g_varchar2_table(1752) := '0080BBD859F8F0A3307822AC62D3CE1D8563AA20C9082921284F143FF7239E5DBBF6194ECE26C4C0406168CE6ABEA00180072E9E355FD4537CAF91E08F8475354EF03081034210BC8B9AC1E806C66C120805002458CA83D112C20B00C62C43E88AED26EC';
wwv_flow_imp.g_varchar2_table(1753) := '88248A12D868838D7EC9A8040E5E00E001A53A427023230452C825AF2864B1458DDE4848C284F850E8072128320411430080A4124F5241C8934CD078A28A1D5D4432498A3098E183B330D88887B4C2F2A22D84CEC3680DF6F090838F4610F243212E0018';
wwv_flow_imp.g_varchar2_table(1754) := 'C23FD81ECB8883092430C906E16C40D3A3C8445288CEC83A62084625F704A0348D3484AC368400AD89A8168E03A0FF8C3115820AA14A40C9864F49C19211009F10924A2A0092A3A8098F32A1C80D9F1099B4540AC50320BC0F4ED84E0D8AD0C3C33DF73C';
wwv_flow_imp.g_varchar2_table(1755) := 'E242538AFE804D3093804014C98344BA5321403112038045214CA20C188333753B030830C080841654A83A8A648081370844F3000610BC85815A8EB8480C0099185AB45975F1DC09082364EAA352006C2DCA5AAB0078E389CFD6E5F72B06104055A11356';
wwv_flow_imp.g_varchar2_table(1756) := '53888523F741CA5A2EECA3E83C8611CA04D431B89082627A158A444F8A209460BF22205C97826D35BA1800CBE8EB97B86811C270D091012802CC2329928D839787D3D864862249B9670078DA49378A7CA222214F6D6224A1502A41CE67A7399216A34211';
wwv_flow_imp.g_varchar2_table(1757) := '82AEFF336C02A3784C865D7DD83A253EABC28A4B31BAF4898462EECC0F9E3913D7BA23C67E9AB8979FC510430D6FE688DA0722C0BB240F0C4CA8658D389D0ABD67E25EB76A8C9248AE0AB88BE2030EC4279F3C9D7432620700783C52879DCD11B25C1D8A';
wwv_flow_imp.g_varchar2_table(1758) := 'CC5187F471C612FDAB7144376775732ACA481D752E07C09D846CA73CACD7C731071C00D229FD77E1115A07F7842E2F47A1725EC7489D71D239FDAB7672EF97F9CC3307FD2B7680A79EFA8BFEF97ECF7DFE41D8266689B2E769F0910ABFFBB0D6C708BB84';
wwv_flow_imp.g_varchar2_table(1759) := 'E477BFFEE1E4A75FA17EE43FDF7EFF33E2073FF4C18F49113021FCB848FAC442C0F311D081F6E007042518C1FF55905FFAC020062DB8410E76D0FF831F046108453842B01890842744610A55B84216B6D0852F84610C6558AA76F0E31EF798610E75B843';
wwv_flow_imp.g_varchar2_table(1760) := '1EF65023F9B8A10F8538442216F18335CC871195B8442636B15F48746214A538452A76A68638AC6216B5B8452E02C0865D046318C5E843288ED18C67442309E567432CA6D18D6F84A3FD9218473AD6D18E77C4631EF5B8473EF6D18F7F04642005394842';
wwv_flow_imp.g_varchar2_table(1761) := '16D2908744642215B9484636D2918F8464242539494A56D29297C4642635B9494E76D2939F04652845394A5296D294A744652A55B94A56B6D295AF84652C65394B5AD6D296B7C4652E75B94B5EF6D297BF04663085394C6216D398C744663293693C658E';
wwv_flow_imp.g_varchar2_table(1762) := '057BCDCC220FA2004DB07021085DFFA326155782902964D39B70A4810600C0001C7CD3282533A7133120CE740E2508ED74220B0A158180C153234140A73DF5A9451F00400B09210587F639D029F65321D35846A408BAD0253E6E19D350083500503E8656';
wwv_flow_imp.g_varchar2_table(1763) := 'D487062D050064D10B007CE33716056911390A8B90969488BD2805494DBAD217BA04211985454A47FA9B78B0D4A624F445331482898C64F41F0ABC69503BA8538CA09422D1136A5239580B57BC14003155290074E153045254A957B59F281002D5847014';
wwv_flow_imp.g_varchar2_table(1764) := '1C35C5AA2287818C4972B41466554854C39A4861504418D03803AB0C798C6304C3A8288DA951D7CAC8610080ACC2682B42EC80C86240431900302B473502D4BDFED137644586FF30FE8A917A0A32160809865A1BEBC8C0F6B5AD81754D21038B58CD6E56';
wwv_flow_imp.g_varchar2_table(1765) := '91644DC86801400B1A9C46918AEDC8FE4CFB4764A016008045886A014083420A34AA43986D217D9390BEDED6B8BA05C09406398C649C55213900EE531562D5E0EEB1B8B9CDC8310CC90CD22224087C896E4601D0BFEA027218C8A584428E018C63E4E2B2';
wwv_flow_imp.g_varchar2_table(1766) := '7CCC0632C44BA6EF1AB4BC8EEC2B9012928A50002015B138062DF418875798CF1EE4BDAF223BD1093F26A2ABA52885054690604B32F88FAE18054512B186206081C21F2E1537B0010D8570B417B038316C41BC62163DE3701E51208259FCC7FE26243E7B';
wwv_flow_imp.g_varchar2_table(1767) := '247142B200862C9000000BF0F13E0E3C63433A423AD2D101AB86FF154768900323D7BDAD305CD1DE6FD883BA446E96A07AB80884144D21161E22398E91E3CE40831B1439334411A2662C3F2D5830744421282267B90AB1C9633E8693B51B16279BD9CF67';
wwv_flow_imp.g_varchar2_table(1768) := '5E3300140A80679483B16D56D78866C86584B8EA680AA93100F20743724023CF00B0343902EB8D3D1765B47E564836BE318D6F887A1A243E34A24D850045C7B0107D70C360690400987899393E84C69D2D9DE36378632C22C606A015C28D518F777CE3AB';
wwv_flow_imp.g_varchar2_table(1769) := '9DAAD7E5A7177259CE00F80400D46087288048887D4648A5F1BC1D1177741AA21EEFA4956DAA8051800232940E250A61B6720E31C7DC20334672510C9B8C991B4EC6884701406A510F7ADCFD1A999661E806FF462BA4413BCCB5479DFC8D5C6B9BCCC5E8';
wwv_flow_imp.g_varchar2_table(1770) := 'B44DDA0A0C840029D208F1E8375E67C27FABCBB5437C740E8F016F78335CD808E9B47643F1898263040F6AB83142C090917E77BC67CCDE611358158183CF30B0FACEC8AE29E261858461E61E490418E4901052DBDC906EF0B210797B8CB6929CD8C2DE36';
wwv_flow_imp.g_varchar2_table(1771) := '46DA108684B4012161F07A46B88E078E4E831B66CF06A0FB816CA74FCAB5821B781F5C9A0128296E87274F88B02D4D910584A1EF085940D87F0CF6BF23E43D66D70802DB5E2A68F52987EF594268A718F1AD0360EB8107BB4216E06000701D00609005D3';
wwv_flow_imp.g_varchar2_table(1772) := 'B991F6B423A4AA8B975400783858849C606A45C43B42B84189452D40219C07C302C060F4841CFFBDA3B260B8460190B47DA31E907C50CF34B318F1BA4821089F1982058E2004B3F12521FA924246BF017C12DF48F6C69FD4EB6738D82750210A0352E299';
wwv_flow_imp.g_varchar2_table(1773) := 'E1AD10E4BAF43D33570F18F0007FF98301B945C815F8A528D9B69E772CF97722F533331C01003808932F010039A00447900346481A076CC006A4844460B8E0CBBBD2D3BF221A2B61B82E0E442EA408B930E2992FA1844A48AF46A08446583A00A804144C';
wwv_flow_imp.g_varchar2_table(1774) := '0847E82F33E30640631A36CBC01E0AACDA22AEBE82325BB02D45629A8458C12FA9418D02BA1B64A26150421EC4085BA023A08BBDA368C120BC170098418578281B44421D920E84504200F8C28CD8845A6885567023C4BB1A32BB1AA26884FF2004803644';
wwv_flow_imp.g_varchar2_table(1775) := 'C0E2A3085990A8E4E1B82D94A1E2E24128A30854400584B0042E5A439AEB36E2A8428CF0373CDC21262CAE0F44884D800984600200608233A8A24214B6D13B3B92CB8E6ED00885523C4584A1F3823261A0388D108326F80E4DD8A241440864B8853DE186';
wwv_flow_imp.g_varchar2_table(1776) := '6448886213C545D48853A4884D30432E3A9C701835D4820659B0AD171BC009E906894208D9BAC5183245E4724200E8A684208496D322407B8661F8851F4C881C8BB7CEA0067D138766342260B0855324158D20033DC80842208422FA05EEBA8668400881';
wwv_flow_imp.g_varchar2_table(1777) := '42885728308570C54400845FA3066504004F24C7213AC7D402002A9801F1F0144D182C27000027280B84600500A003258A86FFABE1438AE0AE78FB03439819B0988669104800100788BA08661CC8183A475B604960C8055BC8858DA82C8A6C22574488D0';
wwv_flow_imp.g_varchar2_table(1778) := 'CBAD5BE0C6E1C8865F18478992A8D7F907714B4918324779AB852570822670488A88C884A083A6F4216260066CC006B28AC5282439333B0648B0C6B0E0825BC886B1048072F829192B4A1EEA421A70823A53C7223A9C1CDBC9A01B0E6690827C14B4B4DC';
wwv_flow_imp.g_varchar2_table(1779) := '215DCC88F7FA0E5F7C318AC84884E8049870834854880600001268802E58856408060048065AAC0584788267BB056A38338DD3CB1C2A488DD0AF67DB2D8C784A257AB169C0061B1486F5034D00C8B0984408A2AB388CE8420070A984084A0048B5CEF4A1';
wwv_flow_imp.g_varchar2_table(1780) := '6803800F188AFF0310A2678086C3C106E2CCBB61E3888CF4811C50010080387288866A408859B30C7A541EDE544900804901F388990480EE4008E14408C99BA1616086E22C4E8430C6C0EC089C448809038077CA090088B88EA086E4D94DED44A168240A';
wwv_flow_imp.g_varchar2_table(1781) := 'F198C9F04808F3CC2164704F4C3B1C408386B9F48811002E2938834DC8B333532E8C682AE6E14F290A0F280180036000062801F228A2E3544F84584FA418029F480E5ED006745805D9A4885B4806351BB20C152202DD880828011310D11EE2AE67E006E2';
wwv_flow_imp.g_varchar2_table(1782) := '444EE33C509BE00B24808E3DA8CC979AAF84A0455AB4D1175A50CE608822D89774D9A16FE8869A4388B1D4D25A1C498CA8056138867DB9123840844E5085FF4EA0370080CDF48AD23742CB186296F1699F84D8CFF9C9887ED00784E85300F8D3188B5333';
wwv_flow_imp.g_varchar2_table(1783) := 'BA217A68231F3AB689CA882B330A7EA09F3B1C543782D4229AD33E7254FEA9D4489D2DF0811F46D5D4F262BB4FDDD4FE39B64C15D55345D55465285C804F55BD2F818ABA3DE22E57CDA2C84C083220833BD0465CF8050EA11D3BF28462C1085CA0D521FA';
wwv_flow_imp.g_varchar2_table(1784) := '055C88CC486C05A21A9D65B4A34DF0855DF0054D88841C0B8655D88C62DD215EC58559558836255662AD235605804E48475ED8046D8547641DAE61B5C77105805FC805DFA40872CD56759D2164C50562C08525B5060113D73C824F630000660D587CD5A1';
wwv_flow_imp.g_varchar2_table(1785) := '834D0863D0AD58B4239CE44B8C085384CDA1FF3665CFA3C223EC448862E8558AE5A15FB055F8B8C98430879F32BD3CE5A260F88551F00334D88445783500682A84C08589F5D818F2022FA8029D5D2C2F42592E7A0538489733A8022AA018C901805BB8D7';
wwv_flow_imp.g_varchar2_table(1786) := '9BE5A131211C3CB282C4B898CF9859A685212BD0022B288331C0268AF85931BA4D84400F8AE80653AD223FB8032B705A0008060C753AAD79835BCB08B785232C85913B2817253084BE325B260ADB4DD9D9E47883FEA25B3C1CCC38FA5B691BA36128B0DA';
wwv_flow_imp.g_varchar2_table(1787) := '945B85000647444287CDA33BF003C981833BE884FBECA27D4D080E39D6772DCAE9D1237B14A86E15A3CD515D79580779808778888775B05A2972DD3BEADBD91D224E45A349C5DDA4C21FFF94ECDDE015DEE125DEE235DEE345DEE455DEE565DEE675DEE7';
wwv_flow_imp.g_varchar2_table(1788) := '85DEE895DEE9A5DE15225D9B78A6EA4558A2D45E2512A039A20813DA9FF19D9F4903DE13E21F853020EEEDDE18E2877AB88776A887E080D4F1255F4963DF008A1FEC08A0FEB55FEAB95F8FE85F47FD9CF66DA17AA807F9454BFBA59FF30DDFFDF5A201FE';
wwv_flow_imp.g_varchar2_table(1789) := 'DFDC0960FC65E0F195E00236E01542E076B8877FA85FECF85F11665F2F82E001BE54077E9A0A1E8A7ED0E00D3EA18BE8601C92AD0BB6E09314618E08E108F65F168E9B0ABEE0FD61A37C202017866116EAE0F9DD080C06DF3D2D6149E3E122BE540B461C';
wwv_flow_imp.g_varchar2_table(1790) := '1FC6887C705D79B807023E62157ADF7A600725D688F1D55D27C68E7CA087FF24AA077918CA7C40603726E27BD0E27AA0877E48E12A56618AB80778680778D862CDE96215426076F8E02546A06CB8067A0061FD61E0F1FA071CEA9FE040B03CEE172BD663';
wwv_flow_imp.g_varchar2_table(1791) := '7870072DE6E24046A11926AFF5D9877D88852498823E30CB3FB5E07EC8877FA0852488847FC8863B304B50A8823760875470853228832AA806EA041F4B3E8AFCC91FDEC508F829DF2706803D760778206223E6E413BA077A50E0620EE57F08073148032F';
wwv_flow_imp.g_varchar2_table(1792) := '608248D02006D60758D6804CF0847E308400009224000018F0843188044F30003408873708806CF80722D65FCEF85D002266F8B9672186E28D506679A8874D7EE6118AE669A688500E656810834D508531D8847CE8D3FF7EF86501FA877478813B60077D';
wwv_flow_imp.g_varchar2_table(1793) := '18034F580B2EF89A6B280364F8871F50077170833F0893810E2064B689DFBD604C6E0766AA1D78C0E4656E8799B6697770879CB6697968E28408E88176E68216A183166385209F50FE863E706844A8057898680CD6073EA58732F0826AD08024D8007318';
wwv_flow_imp.g_varchar2_table(1794) := '831BA8827AF0825BF8071328875BA0000F3082A16C69976EE1206E07732807711087B9AEEB714C9EB22C87BDAEEBE5B9EBBD261D79B8C33D6E07812668A306A1680EE34F56687440045550854D880579C0206FFE876B700E2F280323A88417F0042BA005';
wwv_flow_imp.g_varchar2_table(1795) := '34808324A0857FA0806CE08224C8040FB886476E69E1086278289D74E8E974D89C746807D98107763007FFD92E87659E1D77E81C73B09C72B06D13B2213E36ECA246EC0F426AC61E9F5C380455F8034B500578A887AADE9FA1C4877F50079516075A1007';
wwv_flow_imp.g_varchar2_table(1796) := '7DB886672086714C055B304B5A30075750877F1886B225E2FB896DD2B9863788846C908E6788844CA0053FB00576F803F136043488866CF0834C8014661886D251077B0EA0A13EECE6EEA0E7A6E67DA00755A8024B80C43D4887CAC6601B9A607A18AFF9';
wwv_flow_imp.g_varchar2_table(1797) := '39C912070012E761671D8B20FE077830877648053F48E92AB0054AB0827230042E18CB08F8026CE08248700338809432C8840487F1301E6009676E0AE720C54EEA8450680050853D70E84D3804A90671217654F8756384B8A17B805F4395342CC28EFF34';
wwv_flow_imp.g_varchar2_table(1798) := '8E60FA66E0172F0775B0052980836BA8824AC80623C9042FD06F2BA8026650823170053450077DF08332B0024FE0ED075F724C5EEE17EE2480EC1931380469B43B5D8272F23AB66F3804A78EEC3D8885401FA04BED5FED76540000A27B2062B616730040';
wwv_flow_imp.g_varchar2_table(1799) := '603B762062460A1787877460075718032BC8042EC0866BB0052E28034310072378832A700334780343288354C8863118864CA0041847F4FECD0745DFE226F7A46DF8288590863D41CC5A388369A4C47C9A25ECA874A5261F79E0F634B0F20E4F834D3087';
wwv_flow_imp.g_varchar2_table(1800) := '0C62757EB053045A9F4846F16504E6574FE54BBD077650876888066610124370853FB0056280034FF00477B8064FB0856CC8846BF083FF54A08569788668901D79C088991E6853B276850886C39A14EDAA8234480817D8838FC4250B5788EE1687349882';
wwv_flow_imp.g_varchar2_table(1801) := '3440F74D807997B785EC66E27F608772E8876CD08772A007E2960771009E741087670807B1A4E809C6E77C7F6DEE510779E8E9146F07DBF69CD99187D9E1771267077EE77766A6887F98E94325A58EC7F6449C90494408D82426954F88EE86062898F93A';
wwv_flow_imp.g_varchar2_table(1802) := '90FB3DD8836DA687ECEEDFEE8E2F7AC884A257876BC88674408670188668A085A7A785B2557AD8C65F14AE879B4E88ADCF698460879CB6FCCA0780AD67874C3654B1077B77107B7382798A20798C88843F40032DD01300B1D8283803D7573EF603007378';
wwv_flow_imp.g_varchar2_table(1803) := '053F105D4D627B63FB07FF6CE8036CDE8334A88243D8842BD88454A0ECAAE6877CE8077A78066628FA6B707E170B079E3FFC7060867FB078105E7CB168603BE6613BDE1F209AA3E4C7A12022F57C48A22042FF005A7FA50E7B53FAC78044086A307B0A29';
wwv_flow_imp.g_varchar2_table(1804) := 'FD489F8872417B849888B10508336F00F48905E08C983351CE0068E8F016AD86EA5C311206609A30380E3772ECE8F123C8902247922C69F224CA940EEFD16B57EF1FC77DFFD2A9F2C2040993294C98A489748D9EBE7EFFFAE5FB57CED5AD67CCC4798A96';
wwv_flow_imp.g_varchar2_table(1805) := 'CA56B567EC6EC1EB77ABDC3573FFF8F5EBAA126457AF0EC302E8D7D02C3F8769F3DD03902FAD5BB7F9F2354CCB0FAEC37FEDDCB5FDEAF72FE0C08207FBCD468D70E0FF6323CDA069B8291400420C0144E968CBD63087801CFE6A880731E8D0A247AB64E9';
wwv_flow_imp.g_varchar2_table(1806) := '12E6467DFFD8E5EA6448D59F4D91666BEB06342CBF7FE6EEFD1327EE5EB6705DC50DCB26CE1D3366F2CAB91B4A9674CAB064A577C5CB512F5FE8DAB773EFEEFD243487531AEE4152C5E1958100CC0028F6490FE5C91C6F6D8CE8D0E2F7FCFAF77334FDB2';
wwv_flow_imp.g_varchar2_table(1807) := 'E33EF200A00F3D05D2230F3C060685563FB90DF5CF3FAA6DC51B0030399816515E9945D8861EA13612756509F59C877BF5C51F8A29AAB8A2240D5D838D3300A4D1501AE3F9014019653406C01B7D34049F420C45515943C06CF48A23BF70B322934D12C6';
wwv_flow_imp.g_varchar2_table(1808) := '123BFFC5B4CF3EF7E843A081F4D473256E775149D45BFFF7BC05C03D6502C0CF5C6B71259693224E17E247D89DD8269D75FE058E9DE42191461C705C510647C54446A4439515E2D18DD3E46967660DE19727945202D8CF9595567AD6746569CAD15D772D';
wwv_flow_imp.g_varchar2_table(1809) := 'FA91746E92D8919CD67D7A2AAA0DE1D9D136DF1D02002F96709446120D69E4112A0D297410004D80A4D1379D7D96AA8AC320058C458FB6E9DF871D85E829B1A151D721A9269A1A2DB62BEA02C032DB8C131238AD42A709007B3834A349F211EA10A01C35';
wwv_flow_imp.g_varchar2_table(1810) := 'DA6BB628DA0240A3C820C30C9DCC82156ABCA04D0B52A9FD0A3C30629AB4D8E21E69E090C619E36D24104774F00AC5486E3484CCB00487740D00D154E3D7330E0D63EFA7FA82CAAFC680FD1BA7B5FF29BBACDDB725E189A7B71E95220B4A7B5C2188437B';
wwv_flow_imp.g_varchar2_table(1811) := '98ABD219849C548C352F6F070C7DA8D6D392A4CEA26C74747096C8D7B52AC6322FD40493E250225FE5F09120AF72945EC176188D4C43D03CA336361D471318DAA99AEC91D4599FB4F2D4F754BD9F2D46626D77BCBD6C344A4372A0944D4363943486166F';
wwv_flow_imp.g_varchar2_table(1812) := 'BCF107005BB007C027AC009E92DAE1850C5ADC716F440CBDA0A71869B31CD57D3988A76F14709D06A11E2DCE95807433B73803F00B35D2945407487F38DE9110BD068FD21359E3B7F9604A2193B49D733B3DEAEB21E15D2DD54E02632400B40CF377F49F';
wwv_flow_imp.g_varchar2_table(1813) := '8211D22AB437444D36BA5FA48CF98E89CDF3CF1B5DC1D1E40DD1D1841014D77F52F1FF46FB02C02688E18B6A3F96D60E0A9D0C7ADDA39BEAF2D20E97EC0D45CC3BA0C0BED7916404A3331B5194433621B6F671C40A0E71DC1676F4097835040AC303C934';
wwv_flow_imp.g_varchar2_table(1814) := '64A106877C410A867819191CE2B9EE05B0250444A00121B891E95D6781F568A08A30A3C345C9E17B450480E190B81159C8621900201F48FA402E9EF1AC231E24C8E4B6D0106B30040A4DA098AF28661F8740831ADC605EFE5E46310088A12333B45B0D4F';
wwv_flow_imp.g_varchar2_table(1815) := 'B3AF1C0E51546CAA1603EDF40AECD5B14DCBE80535A801C83F3A1100823B4C213B220D0C66B06792E01D0098D090290001095F0380E21CF2098945C18B6B6CC81801F00A0B36E4084370C80B8D66875A284686C44006E8D0F64AFFA309F086CFBB631FED';
wwv_flow_imp.g_varchar2_table(1816) := '884B8EB8238F79B2057D80F1BF5CF2876600A099381C82A76E1CA623185C2447CAB08916D581830E01C10A5600845A6DA468200945282FB2248E3C21954673840EBB52CBD2ED308143E4E146F8010F78E8ED54DC23667EB67198C380831AE2D867439869';
wwv_flow_imp.g_varchar2_table(1817) := '1846366419D35864FA1A3202474AA27D3F43810442E081221861239FE019143A19055F01000FAEC8C5466C81B369B862234A80217C1C720C6428EB7271B4E52D41653AD4C17325F31C133E731A12663AA4991FC9C632B2A18C64342418C95006413B62AE';
wwv_flow_imp.g_varchar2_table(1818) := '3A4092231240014746C8C98C7E520D250D25376491553F98D262B28B07C14E00801274E45D345D27A7EA02A150C1FFE41F666A503BBB429733E1055A67B1CE861AC41527D5B421F740D09CDA14099DA2C8303D9D86511D6258001816A81F416A4394D191';
wwv_flow_imp.g_varchar2_table(1819) := '8602C009936C48083600828D4CA68B51A00391D2E8C65FC4ED085F70432A34F6011A6C24172085601C9B56210795831E43E95485CCA18EB2E4262EFCA8276A20B4D68DCCB521EC1C0B5FDD49A69B0211450C3000001040D8FCAC8A24D4D0A7B81E0B00C9';
wwv_flow_imp.g_varchar2_table(1820) := 'EA6A13B202405365D410A862523D6A40A7C41AF24587B4B123AF40C62F84010AA33180B50D7144315EABC3BFB2831E1CC9472AF0618E5BA8C3B6C285100040710DB75A051EC1350B3B32A15B3FA4E21FF420862DE0100E001027129EC8872700A00E5AC0';
wwv_flow_imp.g_varchar2_table(1821) := '411CFFE580832DFE910F6AA148B96C41D00FA72BC38E20AF7BD9FD4A42B9D5111D6C825C20C92C0C3C22348E7014002BE4C8BC6E4109A3E140939D68482E5AFABA7BC0431DF5E0483D6E248E4C3CE31986B8063322C18E7244A20CD71846249851AB6818';
wwv_flow_imp.g_varchar2_table(1822) := '221DB448C73FD4E18970D8831E113147266CD10E50FC6318D5F8C72D6C118D90C9231C4F098727CAB11526B9F8AFF46C6E1DA131AF58A402329EB085E86CFC1169F8F42F306857B93AF202A89AA02323040055D7E5998D94549450CB2400969C4B7CC843';
wwv_flow_imp.g_varchar2_table(1823) := '1DF688278E18F1064A80221395F8071C18E18A4C940314CF08072352018A6C3022129950073C72338D6CF4A6C2B7B806285221E10A8B8316D508FF873A88218F544C6318F41086A285A2A2030BF723FCA0353CF021638F4062B010D49D38B6515D87E4BB';
wwv_flow_imp.g_varchar2_table(1824) := '2447E5AE478CA0040D02A0450E398F0E36B0018F5823BD1BE1A8EC3E03875B1DD0B575A4B23AE6941643E463CB9EF0C430F2710757A8C3107B06852BFEE089F9FAC116E2480757FE818C70B8392DA0A8473A2A918A6C0CC31DB7F8C73588910D61560814';
wwv_flow_imp.g_varchar2_table(1825) := 'E5A0855620CD1D17D7639EF59C370084010DCFBDD1C63776C82A4292E390DC00009630F846240951900C89AA1C6DAF43E0800634E00110B256C21134E623C252394A1C810728EED10E5B308316CCF8872D22A18E6C18C210688E043040816143745B1D10';
wwv_flow_imp.g_varchar2_table(1826) := 'CA863A9EE10790FF7D189970B33AFF6E01074FA423137F2887E78B030764F4E31E2CE64FA39DAE741D2223332C1D86595167BB637664DFA490AC3412DA695C88440C73774835990083152CBC212D68C1163DF24987E0E10B00F8C10F1A03883298D2688B';
wwv_flow_imp.g_varchar2_table(1827) := '5003DA875877FF5E87FB6B158A3C6C6BDB0AA9DB2CEDA850590E4C176628FA2D3E1F0A824A0F137A38B859A7DF4FEAE1515CC2A26D64B1D7213574C336DC1838744116009C60F44F474C41C279C00E10C10E6C44AE5046AA3504176C841B34460BFC0000';
wwv_flow_imp.g_varchar2_table(1828) := '041B1A8896C078C146604004E4D2F679445B94897308855B4108572CCD6DB98559A89898D0C5505CD95014056F348885ADC56D4DC85EAD48FE3D1DD45D8C0EE1CC3FF5533F35FF84BE2993D61D4630545064FD4230F01E0272C419EC81D89954DC8584AA';
wwv_flow_imp.g_varchar2_table(1829) := '79442300C049A50C0630400976C40964805865C09455D995F5473DD4E00E7285A7A0C9999CC93DD4035DC42151D0435BD4431C760A5CB1459904E10ED5C5FDE5C7B424E28B3D9A8C5904ECB154A6BD4E30E818130280BE5D974374C1386CCB46E80E2836';
wwv_flow_imp.g_varchar2_table(1830) := '84345CE1278ED715715643AC4043580137750468ADD19151021C1C59439C142330C29100C0AD410D1B4210C6BDA15A081720C6593BF4033DB0C595B1056FB19BFA39C48ADD45A6AC9E103E0DA750193D419DE764863068E3FFBDCC15EE1B263A44203851';
wwv_flow_imp.g_varchar2_table(1831) := 'D689042935442384E1462481ACF818783160F139040856066815FF19003442F37901083A841438C43C408D58ED173CF4573C01DDE80997F6B05B85049739FC01C7644226D08B21C0433868D8BB41231D2D8A72F1433DC018D485027E0CC336268B910043';
wwv_flow_imp.g_varchar2_table(1832) := '2B194DA73921474816187401009463489CD246804090398409BC8A24308113589307E58F3D8216AA110A2234841A381F00B09D4600825196C12B004E0694402FD2D47211244788593B88834F10C330308321B0032D640231B04335B8023BFC833B1C0500';
wwv_flow_imp.g_varchar2_table(1833) := 'DCC22DB8822B3C432AB8423818C231626446DAC946361D3C00E374A502F6882400608F451CC331B442D6B44A2FA4504C16C110E4804C6E840D80400B74C00800010000810B44E00F44A00B004012E480C3C8FFCA1998CD7900C0688E26A17C1691AC9151';
wwv_flow_imp.g_varchar2_table(1834) := 'E2C846F81A28E85A112841BBFC23E09095549E60305E83E0A9438661983818822BF8413808DA2D844373C003973103B8A51900780230005EB4BD8572D5C922BA1B5EEA654ED90B4B81041FF10F3ABD0C179CA24348E6462C1400ECC042B9001050A6439C';
wwv_flow_imp.g_varchar2_table(1835) := 'D2109C94128827007850BB9CC718886043980DD9D80A00584C435C9F1DD8012D36042E765443544244F6911A088394190D3E0C246D3A84BC85831FDC8227B45C25D8C21D808227B443384482A241083ED0434456035310833AA01C3FA482811D58B628E4';
wwv_flow_imp.g_varchar2_table(1836) := '719585A30516313D4A4B01A6A0708413CC00BA64CB088C000850A60A6CA66516010018A99136FF44928E041A6881167C845146A04318414539847CDE814338C267686921C0011FBC81466069DA01801F501C04F98A6B01832D34A8C6FC22968182E1D182';
wwv_flow_imp.g_varchar2_table(1837) := '21640244788221D08227649C1FFC03288403D0F9C12B949C9879C21D0C181A44C30A52230029AA5AE0258D4E17B27427317C02438881244912C100410E74E6499D527C02800F00C0FBCC6747A0C11694C1931EA5A8BA4F195C41AAE2C8938E261ABC01A8';
wwv_flow_imp.g_varchar2_table(1838) := '0D84BD214A4799290060291CDC41AFBE0196BA01B0CEEA10094394ADE95F420D6E6E043D389E88E1836ACC9385019D2B045057DC833A98853CB4C33F200884381E4CBC49B6DCA5D3152148640612188D0F8C26006801A098C1FBA8076B7AFFC4AB9EE218';
wwv_flow_imp.g_varchar2_table(1839) := 'C4CF1BC481BC6E04E4780496DEC84730C2667842D57904A05C11111C50AB01C0B1DACDB2AE8E0DAE15820DC52DC0D995C145E9A9935044EC7031EAA7906B5E9A6B77FE2530C9C81200C00134C404C6CB1FC441A99E4463EC2B3A024024A863737244BF72';
wwv_flow_imp.g_varchar2_table(1840) := '441FF88E1FBC41CF7E44CD6EC4408CC1A81EA943700047A4800E61CD3DB98C9B72CAD2CC55A21E18510C5759CC459AC08570E5D52E9D0AC862A7B96E4477CE40B9A0822A80042B54519DDC022EDC42D6110E008CC27CD9AC48C88E47548227D82D489813';
wwv_flow_imp.g_varchar2_table(1841) := '470C6507DE41CE3A04175CE01896DA463CC0030000043404D22A6E1FCDCBC8A6CCC3D2957089C956A0C98A05D06F014095FDFF43D3A5030068491ED64383C049D76A645F7164B9866D47E8D746388C1ECC00D9C6CB3898833900C08675443080CEDB3AC4';
wwv_flow_imp.g_varchar2_table(1842) := '2854C2EFFEAE48D02DCD1A422498D31F0CA5981E5CC21EEDE20240E286040CB4C00EB4A20E8154E4BECCD3AAD53FA4822168455BC1E8B7261300B003E2A89571AD89B8464B757A84EA5E23EB7A443801400C0DCC868DC33A0040FECA8380748439D42E60';
wwv_flow_imp.g_varchar2_table(1843) := '34C2ADFE9EE2549494366E0200C615ADE6EBCC8B30D802F602CEC3A6452AD002B83D83987543260C432A5C03E8D9422A0C833988C335249A38A8432448452A78023B0C03E9B62FFBBAD3FB826DFC36442CE482EB00C007740406104CD6558334E46E60B4';
wwv_flow_imp.g_varchar2_table(1844) := 'EC1BC44F43D8FF404350C0F33A0404149F0778804A708117C86CF718AB150340D33AED40729F71B1C39EEA4653685B2520C22D7898E77DA52BC0A938644326B80233801C85D94236D0C32226629EC030D4CE130DC72FD6B86E47CCAE8FBAC0666D6A43EC';
wwv_flow_imp.g_varchar2_table(1845) := '08D64D62435CC91E37840A6C16042C6E023C40024340F472449051E618625263B8C1AD7EC41F14E8D23604F7A869D63CA8DD11572440083354D8C75D432AA84326804237A4823978425B9219327C1CA0617136D0423FE0431D634B5F9D4947866C0DB716';
wwv_flow_imp.g_varchar2_table(1846) := 'C36E440ED3000D3801A6A6CA1584AA15F880121072436C564340714874B248484047C0C0083CA01876041593042584581D41307EF8B1B2BA2171F5D91BA4FF0256FAC1F6BCF12C830236B84237D8726630C23078DBE489832B5C431AD3B1FA9A851DDBE5';
wwv_flow_imp.g_varchar2_table(1847) := 'D71EB343403048CC2E6BA51448300003AC087B1871D11E1CA85A413557940BB4C008201F086C664948294880E9DC0D84F3E127650080114401958284ACE554166BB195914A3A586C39D4833BF0AF3CE4833D2C8D1FCAC33D84033BCC6039944582CC5350';
wwv_flow_imp.g_varchar2_table(1848) := 'E892302F3443B3B343E4C277028058D99747F47045AF48257284ECB86C43C44108C12AAA825ABB16F216643260ACDD05720424F8E71454A9B9E602F6D4B4E4BA33A984AF88B8685784EB87E0605DCC16899CEE1DA7EE7532B44A00B24368F5A2E4CE8D75';
wwv_flow_imp.g_varchar2_table(1849) := '75DCDE6324B8ACCB36A9598B04C4408C48B0FFEB46FC1E000881119C908C39B45DA74CD3DD7447E0055D648A88A8857414175CB14942A3AE0C1F3662E73000A4422C84422CC4C22278C4199EE1469C0059D9669E1C954374034710D54680C3F976841628';
wwv_flow_imp.g_varchar2_table(1850) := '4E746F4474BF4F12D48A1134EF1D78104B6B74BA1E01121881492376CA04D01693C460CF36E018B61E933747B84E6A4D740F37044563402F9EEC67AF8816710458838464954F52637643B0470800C078BC8115380C009880363B4411582F0020C10EF480';
wwv_flow_imp.g_varchar2_table(1851) := '0EE840FCBA0E48E5421F9776AA98376A8B447AD7111EC7936DBBB747F82749108043909510D000597D887A6F47DBF21EDBC264437C8C723704589984DDE28BDE3AC47C954426CCF4317FFF433804C737E06E367C438E130B4C4C6E018D458C43CD88376A';
wwv_flow_imp.g_varchar2_table(1852) := '7B9B78C0DA0A1FF0818FF041AABCA158E415726DCA57E8C38098390000E22263795E74CFF64A8F6C4FB9D154795D382A9B87C45098844CEC398AE8C3FE6DC7316EC9802CCDA3DE39049972841EE2EA2058FA954E87D85570C5A8933323A8CCA8A183864C';
wwv_flow_imp.g_varchar2_table(1853) := 'F087341246A7A0F9A5E31394BB205D15459E1745E9C585BAC585D56A08612F6A6D5FF9A7C7BAAC9BE079AF8E3C94E5C4E6438B5A19A337C4F901803C5403C7B889A888C63E6C079D1333ACCF3AB3373BEABC796E8803BE884338B483712C9838D802CD65';
wwv_flow_imp.g_varchar2_table(1854) := '83396403B7AA43370C9E3A30C335946EB2BBBAC7A6B91E6FBAB3B7BBBB97FF0C5EAB95B194C32DB09FDF2143373C033264C333A4833820C34BB003630587389465E6AA4EAB7F053D90A55A08C6743A2ABBBFBBC44FFC8A3C6CB76603C6FB063380C23094';
wwv_flow_imp.g_varchar2_table(1855) := '0333A4433544C3DBD07B85EC163620C31A3BDE413F475F374BAF7F05F99A8E9CC3795D423CC5DF3CCE53E75462270EBA03FD9D253B880331E8063BC0C3CB954339F043F819FD81C8431D2774C28F443A805C18EED63CD843D4A74ECDAF7BCE77BDD7B718';
wwv_flow_imp.g_varchar2_table(1856) := '99DC3A4C9D0933A603AEB79533C69CA6C4F65E9FB9A5BCFD5F701F1EFC822BE002EFD9433CC4831EE2944A0CB3BAE765C47FBDE00FFE57D4DDD8DF215DBD0498D8059A4063600FF6422A6468A4C33E40432A088370C9FFC43FE043E0638A72D93CE187BE';
wwv_flow_imp.g_varchar2_table(1857) := 'E80F8659E4C340160588C3D5989FC43FC40335E8422FE80235C0C2EB0380ECD33EECF7422FD03E2C3404EC3704EFCFFEF8C0423F098E21C97EEE8343DE4B7AEA7F3E6075FEE847BFF4D31A3BEC229EBF3C4AF4C3B1EB02090880F77FFF4608004708C000';
wwv_flow_imp.g_varchar2_table(1858) := '3484F897BF47A0BFF903C0000840037C7F030C40DE03C0B1AB84E47F04ADB9833D40BFF4F73F400010389060418307112654B8906143870F210EBC278FDDBD7F0CFB651CD82FA2BE7FE348385030B2404993000A0C1C9092E00000035CBE5489B2004C01';
wwv_flow_imp.g_varchar2_table(1859) := '2F4B0E1070215E3C7B11376614CA11213F78EDE8F103BA946953A74FA146953A956A55AB57B166D57AF0FF1EBC8A17170A0DFAF09F475D5D60C22C20802D4D940763CE34B8F2A5CB9C2B79FA041B71A8D88447936E153C987061C387112756BC38E1C4AF';
wwv_flow_imp.g_varchar2_table(1860) := '18350A8CDCB0ECBFB302560E5070A1CD05942B6B9E6C59D7654C986FD302C05C73674F7B7BF9F65508582963DBB771E7D6BD9BF76EC716211305209C323FCB2414682E3087791BCD7459D61428BD604D970252AE6C5B127B81BC3FFFC16ED877B241A348';
wwv_flow_imp.g_varchar2_table(1861) := '6BF756BF9E7D7BF7EF6FFF167FD0EF70E208C303B8F811B966CE6CE768E326CE3C9BE382B614004024070078A40D05050843C19102BCA001051CD0C9BB9ED28B4DB6A268834FC411492CD1C41301902FB88D20DAEF2CEEFEDB49A0CD4C51E41100D8FF50';
wwv_flow_imp.g_varchar2_table(1862) := 'E41200F200208C2C2E30250B53C2500400537461E311E61C54E40291B0CB6B3FFDE65388BC84CE0B0CC52DB9ECD2CB2F9FBA48C5B0262B0FBFFD8CD305B99C3ACBE291271510401153F2C044175D4A114517006601204812ECD485134C02E9624F516051';
wwv_flow_imp.g_varchar2_table(1863) := '4497300450A0A4BC3A8488BCFB08CA32523031CD54D34D491CD34AE2282D28BCFCFEE10824476BE24C91391EC930C2451F7944C839F6DC338B598C1C444859F9D4E5115DDA88B5D14621ED273F49AFFC8B1D2D396DD6D967A145AC1E8A80FB1454A0ECD1';
wwv_flow_imp.g_varchar2_table(1864) := '050BB574B2E98237B15B8041810C1CE8C930E618C08172C9BDC0DD05D24DAE00072EF8279E2A1D4A1621AF988DD6DF7F010E18224F11FF1A6AAC858ED54FCDB452F3CCDD02E2741425EC46526D2DBA04C2CC6288D9026DDE2C7A9A12A80F95ED57E09351';
wwv_flow_imp.g_varchar2_table(1865) := '4E19DAAE1EB356B850CF340E24EB521B08D5BA062A492196D4A2C92475A5A47264920FE2F75295914E5AE91209A6AF3E9845052B4D123AC62CA69BD85A8BBB946E028A2DEC0468E0027BEE6D4ADFA2973D7AE9B5D96E3B3E8AEAC137283323FAE71C302E';
wwv_flow_imp.g_varchar2_table(1866) := '00D25DCFAE72786F12E60899A949B134DAEDC3114FBCB0A60D325832A0C2D3A79E79EE99489ECBE5D947F3CD39DF672079E8910700D1454F919ECA05D29C207B5F336E29C2414C5BF1D969AFDDEC14A9955BB2FA80D2479FCE3DD7EF35007CEAC9F87888';
wwv_flow_imp.g_varchar2_table(1867) := '47FE1F7B946ADE9EE101FF78FEF9E89117C8A7D6754F08F67D65B7DDFBEFC137C8B1B8C9845AD2CDFFE17CF5E7972FFBB5F72F52AA9F9FA21F68F9E8C97E2DE1D7CF2EC8A8EEC3174001268E1FF9C89DEEC44237B28C2A780251CAFBF413C1F9E18B2360';
wwv_flow_imp.g_varchar2_table(1868) := 'A114A95CC7A281A4476DBB8B8C02CF530F82946E80253461CAF8410F76C40D811A5120558ED6C1C611E585C4E1A0B50E56907C1C45849F3BE10F8118AD02CA431DF8D8DF0C39623E12D9B03632749C02F3E10EA404918A557C163DDA21432A256C3EBC8B';
wwv_flow_imp.g_varchar2_table(1869) := '60F9F6429CF9C0E622301B9504237346173A6E54FB69A3D01A070F78E48320F4B0E21DF1A83476ECB120ED10881F11B24776001200EC20483BFC68C83F1EB2900841BFE42305C947002032907F7CE42597028F1EE691939D640FE946174A508272217294';
wwv_flow_imp.g_varchar2_table(1870) := 'E3084B270F788C7020A60C652B7DB8CACFADF272A72C08E65269CA535ECE20A5A3252E45B994D3D1D193C534667C2A974C6526331FCD044033A1299065269320F770E641E8988F7B0CC499A87BA642A2E94D6ED2719BD224E636D149CE6D663345CF8426';
wwv_flow_imp.g_varchar2_table(1871) := '39DB794C79CED33DD3B4273EF0994F7DA6C89E09C18742FE7990801264A0F8E4A7400D2ABE724A04A1FBA4E74321FA1E7DE61300038D683103020021F904050A0000002C40001800F9014D010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A';
wwv_flow_imp.g_varchar2_table(1872) := '9C4891E0BE7E15336ADCC8B1A3C78F20438A1C49B2A4C993281B5202902AA5CB973063CA9C49B3A6CD9B1DF10CC4E3C71123819E700A1D4AB4A8D1A348934A7423908FD2A750A34A9D4AB56A43478E0040B2CAB5ABD7AF60C3362C24500DC1959EF6ED13';
wwv_flow_imp.g_varchar2_table(1873) := 'CBB6ADDBB7705F3205A053E0CF50F606F2FB17B7AFDFBF8003979D6B37D4BFBC00300A5ECCB8B163A5647D02C8B4EFDFDAC798336BDEEC922CE7CFA0438B96E82753BCD1A853ABCE5CC81122477E28ADE5BBBAB6EDDB6D7D3AC5CDBBB7EFA9AFFDFC1E4E';
wwv_flow_imp.g_varchar2_table(1874) := 'BCF84D46B033195FCEBC79C94ACEA34B9F1E918F7200B32F53DFCEDD399F50A7BB8BFF1F3F7C1100447401C823CFBEFD6A3C75850BA4EDBEBE7DCC620A527A0500F1FDFF0032360C00E2D8A3183F0126A8A05FFC28B6E083104E258C40BF5413E185184A';
wwv_flow_imp.g_varchar2_table(1875) := '954C321976E86151D97C28E2883625334E3724A6A8E28A2CB6D8158A2EC628A344D4CC68E38D0C99B30D8E3CF60880343E0689238C421669E4914826A9E4924C36E9E493504629E594545669E5955866A9E5965C76E9E597608629E698649669E69968A6';
wwv_flow_imp.g_varchar2_table(1876) := 'A9E69A6CB6E9E69B70C629E79C74D669E79D78E6A9E79E7CF6E9E79F80062AE8A084166AE8A18826AAE8A28C36EAE8A390462AE9A494566AE9A59866AAE9A69C76EAE9A7A0862AEAA8A4966AEAA9A8A6AAEAAAACB6EAEAABB0C6FF2AEBACB4D66AEBADB8';
wwv_flow_imp.g_varchar2_table(1877) := 'E6AAEBAEBCF6EAEBAFC0062BECB0C4166BECB1C826ABECB2CC36EBECB3D0462BEDB4D4566BEDB5D866ABEDB6DC76EBEDB7E0862BEEB8E4966BEEB9E8A6ABEEBAECB6EBEEBBF0C62BEFBCF4D66BEFBDF8E6ABEFBEFC4A2B0C33FD62382041D01C23C60701';
wwv_flow_imp.g_varchar2_table(1878) := 'FF470C00000F3330006625DC1E320C0340CC30D000F0F04018485CDFC0140F088C40087BDC1EC0036D1C0B0E0198CC1E330B0BE4B0CC05E1E0F274140F14F3803C1B64DECDDCC54CB3411302CD9E301B0BF40941C01CD3744B46773721280485D25228B9';
wwv_flow_imp.g_varchar2_table(1879) := '641DB57B9F84B2757D5E7F2DF6D8649BD40941BB954D1D2459AD8443090064A03677BB4551D075731BD75A41E6C1FF9D37739E01909FDD059D3DDFDFBE2DC2871D4CFDEC14E175213E1C593FAF24861B4DE820B973597DE208150068BE397378A43D5013';
wwv_flow_imp.g_varchar2_table(1880) := 'A3537744EACD2D01370646B04E9C1D4FC8EEDC1D6EE407C009110010BBEDBFF521901027005F1C6119746C7CE24C81BEFC6F6679114513423CEF9B1DD6134778F6DC77EFFDF72E722310360070433EF8A9912F3E00D37C23D034DCC08F0D3719A39FD9FA';
wwv_flow_imp.g_varchar2_table(1881) := '04D982BFFD9C5D431037BF1008327E1140FE85661AD04086307E010D59D8C280A0391F857E618B5BB86220D8C00634F60741C03C03004503E12A06C29F0276F031141B85416C218CFA9D70311F6C88045F08989C0DC48534C40C349EA14100CC30879A79';
wwv_flow_imp.g_varchar2_table(1882) := '86F8FF84983268648C8340840BC08638C4F3C550201B84C6348A9380937060202DF000B828563F6C3CA37E4414C817C9D70B59100702042140413C40818D685120300041434C10AD81F570835F04C013C7A7C78194A2170030236EAA08000318E0206D84';
wwv_flow_imp.g_varchar2_table(1883) := 'C00FBEE08737002222571C081D0922C783488090D1CA600CF7984700F84F20805C4E0208800002A031916D2C0300E4230E6538E48D0000010CD608000F4860920098A41A9D15C22EEE10837A94A0200D920BDB94D200BB14480010A01013262499026923';
wwv_flow_imp.g_varchar2_table(1884) := '002810C984A001004AB08236A115A27000C07D00E8C637B2314E8190F39B37EC4D12B039842B70C10A00F8C217AAA00483408D20F03C8814BC90FF84D555E120EB14177D2C0200BE84C72008B28D62FE31D0A8F5433B0761E8417F630F04F9A71F0EA2C8';
wwv_flow_imp.g_varchar2_table(1885) := '3DD693987C70A4A200E0877FA8E5A0865224A1FF316944B9955190B4F43F184DA24C674AD39ADAF4A638CDA94E77CAD39EFAF4A7400DAA50874AD4A21AF5A8484DAA5297CAD4A63AF5A9508DAA54A76A927650352A1EB54F56B7968FAE7AB5AB573DCA57';
wwv_flow_imp.g_varchar2_table(1886) := 'BF1AD6B20AEA1EF9E0875AFBA1569402CDAD00A8475C01708FBADA55AE43A9073DF64A8FA3F0951EF1A0C73CE6718F8114366A87058055DBC1D8C62ED637ED60875505D20E77B043B105D9AAC7385A50867A56A5B66128463EFB5200F455B3F94A2B41FA';
wwv_flow_imp.g_varchar2_table(1887) := 'DAA0981AA4B40AC50E5F5AAA0FF5FFB0680A00400299E8C18F7C60F4B70281ED4310E45A8406B7B834612B4914D3D5CB62680F02812E419C50A67EC0831E5D6D2D723902DB8402F72F18F1EA65510B21414457202BC02D41DE60862E59571EF9B88776B7';
wwv_flow_imp.g_varchar2_table(1888) := 'AB91EE1E57B86CA14D6F9D7BA13A0080107B302F43DEF0062EC103BEF2FDAD625E4A1FFC16C4BE89A16F5BFA21DA90E683BF1812B07F0D328682C4010D57D8923CEA3ADF951E56C21141E982E3F2DBDE36174364108824EA2008F36E9809007001003C11';
wwv_flow_imp.g_varchar2_table(1889) := '090098010EED15483116A107C14541BD503AF03DEA5162837C56BB08E10B3DEA81517ADCE31FFDE82A5A496C5ADE5A99AD0EAE4A8BC57B212840A10E87104480370C001CE756FF208DF0714162818A3344E10CCE8B929213FCDD81D0261CD750878225EC';
wwv_flow_imp.g_varchar2_table(1890) := 'D9B9FEA3B00C6D4898A932E6175F28C67B204474FDCB841A30210D3A0ECA40E000801013243F6988D27B49ACE082A8C5165440421586F18FBDF41900FAF8C735A4C08572F4C31399D0073F32518537D0C316A9F0031700C08576642213587EC9A21353D0';
wwv_flow_imp.g_varchar2_table(1891) := '89B4184117CE50A409A16601B719005398C2351772E7ED2141774C82073CE2DB648656E61B5E98C219749B0E8C6299AD7CD98B3A3670874884031E1BA04039E4F1023898C010C21EC60E3C908A70782001E2F8876A996D92D9B2B5AD106F6D67338AE281';
wwv_flow_imp.g_varchar2_table(1892) := 'B418A3F55087B409E2DF3DE038DB462883A601F08638747A2045FF7E829D07E20527893BBEBEFDAEB9FF010D316C021187004038C01CD3B6FE431E4940C2336EED073F44421F46E042126E61883BFC23126EE84726FEE00743FC83C9C145095BE1B158C7';
wwv_flow_imp.g_varchar2_table(1893) := '321600F0003BD8DDE10E718B5B206617776DEFDBDA8C7B4810922E088E5D7008E8A0A1BD05D602F610D2042FE00D00AE20C60F7BF4723EBBD6DCFB80C6CD55A18A6FF21C2379216E3F62A181618C01052FA8823B8E500423FCC30F68F8BC14FA51851898';
wwv_flow_imp.g_varchar2_table(1894) := '80085826AED6FBE10E73944320AF1F88380A620ED8BFBEF6002887EECB610E758C3BC23C77FBA3EB10E93A1082CD03D1F1404A2E102D086F20672808B895C48FC2C7FCF06AF9073736A18A3E30BE1CFA1834FF82E45D8637C020120FF0C31F28300C235C';
wwv_flow_imp.g_varchar2_table(1895) := 'A30CE51FC33FD0E0857224000E904040360EADFA9260141EEA900EE67059EAA00EEB910EEEA00EEC200FED3080B9E77B0DA80EF4C00E1A970EE9500EE9306E18B556FD207C11826400106004910653A05BEB156400100B03716704D1724D627DA5D6597C';
wwv_flow_imp.g_varchar2_table(1896) := '710CDEB709C2110EFA107EBF451BFD400F9E7007C4500EA94061B4300DB780819EE00AC8F00FCCC00CDDE00A14360CDDA0700D7212FD505816580E918006C0100D6FE00914030AB6E007A9600EB41009E9000A6F8086C40007A9000AD5900DA9A00EBD47';
wwv_flow_imp.g_varchar2_table(1897) := '651B88711A872153807C00E05F7D5007202810263710610300B50300A823382B116EE3865631FF2810FB700FAA30059BB0098B3005C7A00FF7A08307920F9FD559A0E8670AD76C89510F7C9155CB5611552680EA200E5690095C600846100E687007EA00';
wwv_flow_imp.g_varchar2_table(1898) := '075E500DE2500526500E68100963B085C8100E5C40097FE006F0508717D7817918212498067BB008B5B009672006392710B8051D025160050600B50000D558104DD0610F241000930DE2033F00C069780007E5D8221E256E75757D0EC20F95510B55C07D';
wwv_flow_imp.g_varchar2_table(1899) := 'D4380C9AA86BC0A556000073854561BD550F5D855D14B664FC4065FC8090FDB75CFF400F02980EE2E0055F000CAE4004C3F00C44C06355C00CB6C0055C000C7F90049590097EA070685006630007EE6081067287CCE8222EB007806008D7FF1407284867';
wwv_flow_imp.g_varchar2_table(1900) := '67D093DDB63D00C01F7A143F03310DC2A0139C6623E266904D5650F2000D967008FAB807AA100EF49083A52679A3E88902215F00B960FCA75C166712094987EA100E5E80066E008CE2100DB4D06B00600E77C00568A0966F207255400CD75005B7600B6F';
wwv_flow_imp.g_varchar2_table(1901) := '908CEA60873C770FCD182190F08D08C104EA65085A704DDD2810A840088728106790880A810DB74010B4202318D10EF2305F18B117E9B00953008D95D80787008D9E200FF580956D4561ADE6640C918AF5155CFC200F01580EAE600E9E400BA5010A7E40';
wwv_flow_imp.g_varchar2_table(1902) := '0CD10007B8160E69080ADE640BC4E007A0900AD5100DB65080EEE0510F871184D92187E00576B01506010455D063DB6610D1FF6767950900A0F377DC0023530442DB081614B3478B81110B087C3DB70FB1000569909F7B6009FE959F3A97833AC80FB1C6';
wwv_flow_imp.g_varchar2_table(1903) := '0EDE140EB59770E22081E1508000900ECC900DD1200CE6305BAB179AAC67810DC880F0E00EAC0900EC308191650E65970E5F470F8C5580C9F87B2DD69585092148760C0781645A801084409E04D16102514139BA88009099EBF815C4800C28E318F2B91E';
wwv_flow_imp.g_varchar2_table(1904) := '83C650F2B008F85907695007C4075DA5490CF5D09ABAC60F57160E9B390CAEC00EB6D00F52E80E0F640B6EB97FE1900AF0906C158A1159460F61E70E02A180031159EC30A7986555EAC058735A59F2C09A922796D779214CC06639177D06610886000077';
wwv_flow_imp.g_varchar2_table(1905) := 'D79E85B87208FF3130AE000821842387359F832610F4100B7BE0057550054C2A9557B0077F800E57197EBDA516D1800CE2900D7A190DE2209CE9400CFF700BD9000FC3600EF200ABAFB65CFF2810C4852068D59503115F21E562000956BCAA5A2B4A572D';
wwv_flow_imp.g_varchar2_table(1906) := 'BA20C877A8D25510873AA305D65E9B704F041105CE430BEF281080E04C6C110D9851A4F4A918FB900DAAE0054CA0984CE00297B6079E600E57F95B1E950EDACA0CC3D0AA81470BAF1022F4300CE1F00FE2700BEA600BA2459B1DA1A601D955F518907405';
wwv_flow_imp.g_varchar2_table(1907) := '56104757F5205FBC1A526CC7A222320C2333107B681068C05E00D007C5201062C082E04810995934AF901543F3983342A959A973B9900A86B0097FC07891FF6008B5400CE930AA1BF80FE9B01EE5706FEC300DE5F00FF0D0AAD790A0E1600BE6000FE120';
wwv_flow_imp.g_varchar2_table(1908) := '71370157BC2AB50471200FF65D7FAA22695005A539108D497205C6933E491054201C198B24F21976958A1D85A50F534A0FF2206E717B60AD8951BA5619267568B09975F1169B06CB5D51365AB299750B91AC59EB21DC10B2035107B1F307027105DDD85E';
wwv_flow_imp.g_varchar2_table(1909) := '214B0823CBA8265B108C20AB3D72589E099A0291839198837F351000BA81F6B8166CA55A68A556C26A6185D55B50EB1686BBAC18E20D0591060175979E467200E0353DF91080300CE8F80B7C200502410BA0C51942933435B16402E10E11DB94B0066B00';
wwv_flow_imp.g_varchar2_table(1910) := '8A57554B111527BB77A8AC2DB207BA750700FFA005AA6410844038963B109BB913B8900D144318D68A1AC4900AC3700B3DD3BC4B168FA496AB9F0BA0B5B5767FFB18A66B9DB47B21713710A10697E199105040A80531BE02210CEB0394B6919931430CCC';
wwv_flow_imp.g_varchar2_table(1911) := '60433271BF6097BFD95B1C17C7BD1F228202A198501AB91E6B1051400651000596990200200300A002C401AE02410C162C147565901B6C78FFAB50DB7BB819220932168875398803B177FFC5C06720698720C4420C009680C4BE41BF4591C3F8EB88FADB';
wwv_flow_imp.g_varchar2_table(1912) := '1C1F0CC4CFA566CFEAB50E3C1084B110A800009A50C6656C079A000052BC1A433A100023A43361C53B2CBDD1B1C5034C2257109E666006DBE60B05FC109F6007660105BC31A430431003FF72312FA1C1F0308F8F281D010CC223626D0331065A40608EBB';
wwv_flow_imp.g_varchar2_table(1913) := '05096CC83EC310D3671BD1F00C6F6CBF3AFCC858DCC1C4F1C11E281274B40102C14CBCF1C40B81776F80065BB0829E0C0050503D123C10CB5010C66B1BF0891375C5B0A84C8FDB516A758561201149360000B28C1B7D60090FF107753910D60000DB2304';
wwv_flow_imp.g_varchar2_table(1914) := 'BBCC9E05910DAF10396AA0043FC1227675C576EC1C0A960F117B593DFC1028E01B9B907334F6C5D84810090C009F4007DC6CC84D00D000900BE95B94D3200B75B13A31820F8E0CC959CC1CED3C65CE0C217DB0C60381CFBE630446004F5CB0BBD6107D50';
wwv_flow_imp.g_varchar2_table(1915) := 'B0C2018D10AE200BEE230C8030990070CE2B72CCEA1CC9928C51F920D119FF6202E129C2062C101BE0013B2010453010BB50640431D280574C05B19E05F148E85C5857ACCC1A01900805D58C11D1F530D1262102B6E102FFF45FD0E55FD4856DB9140212';
wwv_flow_imp.g_varchar2_table(1916) := '80024900040060D600600DFE4C102C0C31047DD48154D05F30CC4BFDABA86CC72A5610543BAC07D156442AAF349D12B894D5500C0092B0079290066E26101E100207E1089F2069211DD23BE135173410B2C00DCFF00B8C50044A704D3C9A22F1C5D475AC';
wwv_flow_imp.g_varchar2_table(1917) := '60C5CA95C0371F0CC5641B48B87AE1512E9618501DC00DE25D7AE115546DD523514DBC61CD7DE81062B034FE9CC22B3C1011331072400B03040DBFC0A36870D9B7010DCC80433131DA065976D1EB6EB0E989FCD00DF7FF60A17BC117E2E051BE2510AAD5';
wwv_flow_imp.g_varchar2_table(1918) := '5B585661B74D1F7BE117B92D22163DC27DC8C00611DC252B10942D382E6817E7FC0B185C7EB641DD3661DDF9C05853AA5DB206ABD7C00C459BDEF4910F8660558786BC85C66CD7E009FF100E6F900A58C60CB74086F4C084B6600850480B6F100ED90007';
wwv_flow_imp.g_varchar2_table(1919) := 'B1F00F17240E6229158336D3558D211C22107D700A06015D4C00032BA00120B0D504B1D6A743103AF1052B2D104239105F9094A3110AA190BE970D0A9E100AC310A9306157FC10595326D314760B1C6E0BA0F00CCF0007C36808FBD71205866BCF0003D3';
wwv_flow_imp.g_varchar2_table(1920) := '900D7E500EC2CB50178E9BFC000A0828E5E9700BD750E7E6900F17440BE59009E90078F39B0DC8568530FF5E6A811D21C120103A80A3055107840ACB3AF0D3007004A8F3D1DC4C07016D9947BED24ACD1B88F01317F48E90B012CC9B1218810F0CAD58ED';
wwv_flow_imp.g_varchar2_table(1921) := '400F15D56A18410C5C008BB6E009A01009FFF0857E006CF26008E2700D649809EA7007946008E9A00E0CC50FD1F90FD3C0E1F40BE68CD0E6CCF00FD9600BD7700DFD80BCD3D0852182BCA418159F8565116B55F14C1DB8201049105000606D7B106A2F30';
wwv_flow_imp.g_varchar2_table(1922) := 'CF12A0033620C34B2010925DDF54231078A0D48548107F071A4593EA3661C55ACEDABEF50FC3F0E56F980AC85B0699D00DB6E00AFFF007AE106CB8C60E65900ADDC00E676AB4AEE0B404FB0F99600EED30E2E1E00A67290CD64E0BE9E00AD9C06AD7FF70';
wwv_flow_imp.g_varchar2_table(1923) := 'AF1C8EE85111E38BFE208D3E103D6D10920E003C0ECB03E1C294090074B0C2C54D6CC64D17460E0072801013B5190343F0057FBF076FBAFF100DAC36BFF35BED1FFE0CF2900986100939C30C9E70C17F500EB24AEECF700FAE501ACCC0E1DD1009D790F2';
wwv_flow_imp.g_varchar2_table(1924) := 'FF009C9E900EC1260EA0409CE98092B5B7D74881F3330E21E96E109B50107B40A82820012BD002370000D18CC4DF9C882A8BA8DB5604C7DD1BC83033C63C8F5AFEDDC0758AED4D61EB11B7E4CE83022157D7555031355B61370CD77068F2C084FFDA9013';
wwv_flow_imp.g_varchar2_table(1925) := '9718F080570F99E8803DE3E71E1DB830420551D10811022800044610CD2AD00478B0CD468FF49EEC053C8A074D1FCDDBA80447504FB6FFE1F9382C5757FF5D698520A6F86E0505D5E3479DAA7F8AF1450F149618BFAA95F725EB879356C10F13959AF3E4';
wwv_flow_imp.g_varchar2_table(1926) := '01240571F800112C18008205096A022089E09E34530C123CA284202A8251A05834C808001C006A0816F9010090C687254D9E449952E54A962D570A834670983097356D16BC570F403B76F4EAF1EB171400BF7BF7F8E53BDAEF1FD07EFC861A040AA05EBE';
wwv_flow_imp.g_varchar2_table(1927) := '7E4585EACC07A068BEAC418F02FDF7AF1FC1B100C696357B53ED5A9341DD02F0C98EED5CBA75EDD2559632DB434B06F710DC40B04A15254F1ED28942268A414A00F07C01C0C5B014007E1EDA0230EFEE66CE9D3DAB35CA531E3EB763C3FE93AA931DBB7E';
wwv_flow_imp.g_varchar2_table(1928) := 'F4EEE5ABB7F5B5E9B026FFB3A236CA8F6949B49F7DA72CDD2F9FCF76BF8D1FF7DDED21AE879500C5794310C4944D9A14124C43704541C3120DD26902058078009009AAE162F24D11E4EDDD031806FF7DCAD7A2497BFDD72E93A17400C2DA7285A0DA1E1A';
wwv_flow_imp.g_varchar2_table(1929) := 'AB1C3F6CF9E7163FCA91C71050FE21068E72FEA1A729A1E6C3D0ACD286AB47AE0C3F0491A04A1ED282A0241E8201040FFC02C0122798A8A3242F4E0460B182A2A0A3C6260A22A98CF4087AC3323FCA288896108F4492AE7B76626734A6F2F907407ADC79';
wwv_flow_imp.g_varchar2_table(1930) := 'C6906C6E71E51A46B20927124FAE61671857A054279D4AAE49A59A4C5CA9862057BA89E49E0ADF4AD2B8E038F4B04E3D7F1B01843E4750C185408170610720083A34FF87247220689382FAA84309240AA2EC308B722C480D404AA264C4501A41E3883D47';
wwv_flow_imp.g_varchar2_table(1931) := '253525FB9852AA9D485CF9271B500C01309C54FCA0C50F754089C6966CE4E9479E4C7465E61F503CA9279B48AEF987167896A2B3D4CDEE8CCB5969D7DAC1050008250280210AB2C2BB82AE28A80A31BC1083A0310018A38C31D048C90E353C6A69C469E7';
wwv_flow_imp.g_varchar2_table(1932) := '2595277AEC51AAB6255DF124954CE0E097964AE000269504295107A97FEC0160CD5B6E05859D673CB9451E50F019905EBB4E0B8B9FD88AEB4D63913F02A08A92B640630B2DD805008D122333C864008A989420EFAC28088F82F800C0113C7CF6030F38A2';
wwv_flow_imp.g_varchar2_table(1933) := '8B6EA3CA38E279239D47667ABED59CC4AFCB486E6124FF934A6C49C5134F2821865563FF89441D009EF1C313793C79239C70EEA8841D4FEEA8E69F7B426EDA26683BAC3BEF828804408B2B5E06E08A32C025080D70ADC0B9A43B506A040046E0E0C8B1C8';
wwv_flow_imp.g_varchar2_table(1934) := '39BA038ECA1707806837F4E6FC33A39EBEEF4277DAF9A79E74E6AE879E76F073253E7A9002201D7E2894EB9F26E596ABB4CE6BBA3BCFDD35265C25402269C413A3D533C88FC80B1A09804A982108F393CEF522F1DFAF672BB426432F2B2C28513B6BA825';
wwv_flow_imp.g_varchar2_table(1935) := 'D541069FD7853B6B6ED4A014CEBFE0B05FA977F8A5352325799D2FE98F3E4A82BC20C82D2B082522510992A084460058110038303F06BA6449F6D11D0086B3A408E62B2C16524AF7B48214A704A7FF590D24D086A205C25119CF20A3709E27EE571043B0';
wwv_flow_imp.g_varchar2_table(1936) := '04117FF01F000D629E030280020549000400F00082504002362461101F529F2651E52DDFFB473E8A7214AD38452CAF83523BD4D19A7B982389AFD38959BA22C4B688106F5C4C922746518931DAEF218D3BC91B30673D8350E0862C69010C80202A3082F1';
wwv_flow_imp.g_varchar2_table(1937) := '8145740B6AFE210E46D8C2344A119049CC210EFFF0A31BF7B86020B572A13A6AC82DFC1861233FB48D870CC424C453CF1D58068024EC80201E40814178B8961F8DC13C926C203F4463C47C952313DD10873E6E11097684634DB6F0043C6E9189617CC91C';
wwv_flow_imp.g_varchar2_table(1938) := 'E6B84626D2918D6445021EE2F0042DD4310CB9D14D88C181E4175189A175488520F4FF30C91F0C11073898A16805D9010C08F200088C1288253101005AD0122F706193D304E11D47F3C804DD0235C8F0C4C45E9509ADD102606FB0452468918A3F64436C';
wwv_flow_imp.g_varchar2_table(1939) := '628A8F273211096210939175846624E1D99E6D28C72466C042F008254E0998739C3A84C002C569173F4062A241C40793EEB59B7F30E341FF7005311C478B68108319CFE02741CCB12A66B02312F8F44438EC91095094234BB571661023DA217A38E5A447';
wwv_flow_imp.g_varchar2_table(1940) := '32410245691210DC00084048420D09523F00DC010FD25389D59E1AC47C9C2A285CA187270C318C7218C210CC20C6306E718B67A40200E5888438320100641083A1AF44849568310D5B00A8996981A8177D37D6CF7812253F0400FF640D02846CA1646843';
wwv_flow_imp.g_varchar2_table(1941) := '234819B430861FA9810A2DD92B631B58D6EDA16A767B5487EDC471C5D4C9039B1DCA873CE0918F704C6859EC280700E4B15B79902E2A92949F6833942D22B0270938AB02B8CAC0D5926CF20E83FB9141C02A5C54CA131FA87A4AC750D341FF0C45375451';
wwv_flow_imp.g_varchar2_table(1942) := 'E476C9F214472695844B5D2C753F04B8773E240943308211D0500636CA0C004DA0C2A47E200423A8978B44841A2375C31B83B46FC04E1C8B537B635EA52AD6BFED191800B650BF2D10095C63D86C410C772E00E4C008C445C9E23E9B042420A1BF427830';
wwv_flow_imp.g_varchar2_table(1943) := '5921F8C114AF25B82DF64D305AA8E1FABD81B981E9EFFEFA8BC09815843D9505407F79C08317102494309E9F75B1FF8B641797269AE965B25DBA810BCCBC02332804C02D0AF2071312C3AF37E94400431B65F899F5A1646E097AD1EC197DE8E32459A407';
wwv_flow_imp.g_varchar2_table(1944) := '3601D06683B8D920A8290883D7FC3BD02D79CF2C51F39F3BA3197B30CC20F568B34E62530F4613248B826EA42A7B628FD3E2B937962EB022C75B4827E2F9A41C5BCAC720DD1EEEEA79D44204F075E9541BDD0807A95459CA77CFB2BE7C0DC5D4CF74F0A9';
wwv_flow_imp.g_varchar2_table(1945) := '75BD6B96E4A3CF8F04803AE4A147D4D0831D6249A2D8FC2396A1D4EE1FDD7886157F3BD117F3DADAD72E88145D83DD7BDC8241D700803BF6C28CDDC6551DE6C8C63011298F67C8E31AE908C72DE0A18FF0EDC9A9EDD19D44B1BDEF516B6F9EF8110728AE';
wwv_flow_imp.g_varchar2_table(1946) := '918DFF6144C31CAE80DEC06F710D70D7921861A1C7C0C301A670944E2CB77ECFBD91936F69F2DBE37F4EB593AF318D6C3C431DE12006286E118E6C60A31CC8C80633C2210E5B98A31FF0B8463890F16E6465D0D325B920C6EB72EF9FFB26D71FA7EE340C';
wwv_flow_imp.g_varchar2_table(1947) := '920CA49BC4CC4D19763DDA710FD996831DEA20066BCC710F7588E3DC73E6873BF2218E76F0031E19AC93EC18E6148DDBE92DFA6EFA34DB4E905FC4DD20A94695524EBB6C82C0C31C66613654661DF87AB3DACE2C19B05A9861D760F443338E9E07A537EE';
wwv_flow_imp.g_varchar2_table(1948) := '160E15C7EEC2950500EA2E05F6C45DC91124AF53148694AE88BEBC0A26AF8032769C0961231477563D9DDD2E14B85F1EA20098F243E07BF9CFB3FFB8206C270B200B52F4EE16FFB4F100072C0CD20B5D000016D40000F39D4F0DE533BF176A21C5F37541';
wwv_flow_imp.g_varchar2_table(1949) := '7D6AE86219E028F4EA3BC37128DB5E92BF0846E6CD0F8094DA0B5FA7F98D50FE710E3008400036B9FF0008228001F07FFFFABFBF8708C082B0BF06B80000888733E30C8EE907515BBF071C2BBC03BDCFD887F9230105C040002880021800FD3388012880';
wwv_flow_imp.g_varchar2_table(1950) := '0F0CC10E0400FDE340132CC1104C410DDC4082D8C001708030388778983BCE383A083C3F1CEC3D05E48C7D008073E80212D440FF1342FDF3C087E0C0125C41232488232C000150410DEC400190C17830B4F8A3BD8EC34154B224DBFB9CED799FDFF04120';
wwv_flow_imp.g_varchar2_table(1951) := '044115BC803958800BF03F254CC2FF266CC23654420F7C4116DCC00DBC3F0E14800BF8072B3C8EB7D3C22D04445493B47FF3BDBB408D31BC4000BC80362088365080168442285CC182104205B84325C4C4100CC027044107988319FC2DF1AB0BF20B4449';
wwv_flow_imp.g_varchar2_table(1952) := '92A982B08445B0BB1D143ABBE98731AC3F1014803950425A84C2453C4300B800057080FD9B440078840B680000708036B8000770803334C65E2C000598C23088073EC4C22C2CBF52642062A83B00D8030EBBBC41E49E56AC8943FCC12E80C436E83F0040';
wwv_flow_imp.g_varchar2_table(1953) := '4301E0455368834728085398048250045B048030680345080353A0455360834708833978844768833918004BECBF39588778083E51A40B52B44606CA98537C885D380441881EFF8FF3B76F34BA571CC73ACCC360CC8247C8823C6C8039300545703EE713';
wwv_flow_imp.g_varchar2_table(1954) := '05E51B0753C8820610C92C2088E6830536C8025D988559E0044E98057774C6839CC1A598C6B1A8BD87E49C90C18568308834C80E8370888F7B3A70B48931EC0228E44005980346CCCA82CCC373680336300553704777543E12E8C536384974CC82590080';
wwv_flow_imp.g_varchar2_table(1955) := 'E69B055360CB30D0850570800E2CC919442C8EB1416A344A306282EC70883D388382600200C88B7DE307D00943DFA840206CC112F4BF8FDCC502B880CA24883938C082E8455CD4455ABC803058005AD4455CC4C0678CC61ADC4BA2FCC3BE9C1F130280A7';
wwv_flow_imp.g_varchar2_table(1956) := '8C118338CC6BCBC8C51CBF579CBF203CC282B8800138C03BDCC0FF4794C48208C127D440170480FCD340E15480122CC8184CC8D4FB0C3FAC46D69C9FC27C4D838805A6C3B6DA9CC005FC87311C49387C8847C4C487F040103C89F4ECC0F674C3BBE44386';
wwv_flow_imp.g_varchar2_table(1957) := 'B40BEAB4CE2002058250851953050050855438067EF3CE429C4FDC0442FB8B430154414D344EB550C1FE7350034440E2BB4DD5ACCEFAEC1C86038081033782C886360150D20A301EDC8CC664031238C0CC9C8FCACC8239B007859C3D0AB550101A8BC323';
wwv_flow_imp.g_varchar2_table(1958) := '10A82CADEFF48C8521887DD807DE8A3382589295E0D12125D22225087DB8873643D27D0852099D50E118A1208DD1299D16EBB24DC6F4C187883CA72834042C09178DC63015D368F4528594C62B8C8785093CFFD5F30CFAA4D237A5177B310A1CC5D282A8';
wwv_flow_imp.g_varchar2_table(1959) := '400D013A86D15300B8427B50533F659885D153F80B0B43233EF9640B8EB33C3865D451418A7668876DBBD2E3B85382989D4BD551A27B08501310D4E4D3E23B09B4280B4F05B447720DCB93D24655D510512578708DF292CAF83B0EF113D501F58AD7A9D0';
wwv_flow_imp.g_varchar2_table(1960) := '55D5D5E3C88A7670D59F98D469128ADF22D5F8A1BC5395875D55560CE95578300AC073D234A38DA2B320A0CBCB581D3E9540B69F438B4482BFB9388DA0300A789087625DD6739D96D5D809487D087660D792280EB980D46ACCD5454509775DD40AB5D7BB';
wwv_flow_imp.g_varchar2_table(1961) := '903374F557E378B4BA8007001858DE7A08722588642D08842D8864655883902D95D8AD9470587585D52D7818D89398D88C4DD8855D8B54FDD790BD8BACD08A94E00AAE2889A290529295A09250A2256159206D59097A0DB638D993885998DD20207D8D97';
wwv_flow_imp.g_varchar2_table(1962) := 'CD0AAE280A9E15D9A1651A7C305AA33509957589942AD993C00790B509A44509A665DA94653F203DDAA70DD2A025DAAE2D15A9F55A2E0A080021F904050A0000002C44001800CF014C010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48';
wwv_flow_imp.g_varchar2_table(1963) := 'B1DF3E8A18336ADCC8B1A3C78F20438A1C49B2A4C98D9000803AC9B2A5CB973063CA9C49B3A6413E03DD2062E448E04A9B40830A1D4AB4A851A07804263DCAB4A9D3A750A3322D949292D4AB58B36ADDBAB5270031045386B2F78FABD9B368D3AAFDB8D4';
wwv_flow_imp.g_varchar2_table(1964) := 'CD40AB952E0AECC76FADDDBB78F39A15B354A0234FFBCA02A8ABB7B0E1C3886BE2E409606CE0C490234B9EFC1127E5CB98336B365828EEE6CFA043AF7554C811233E99E201902BBAB5EBD74C1139F203BBB6EDDB354D5BC6CDBBB7EF8FBA2BFD1E4EBC38';
wwv_flow_imp.g_varchar2_table(1965) := 'C44CC6932B57EEC72A80B28F974B9FEEBA1025D6D4B36BBF5C08407738ABB78BFF1F8F588D654403B1935FCF9EAB9A828C6C0D6E4FBF3E576200C2FDB32750B0FDFF003A455680041638D32D0231138D810C36085334D53828E184234D43E1851876348D';
wwv_flow_imp.g_varchar2_table(1966) := '39DB64E8E18720862862471D8E68A288D99CA86288E3A4B8E28B14BA08E38C129648E38D38E6A8E38E3CF6E8E38F400629E490441669E4914826A9E4924C36E9E493504629E594545669E5955866A9E5965C76E9E597608629E698649669E69968A6A9E6';
wwv_flow_imp.g_varchar2_table(1967) := '9A6CB6E9E69B70C629E79C74D669E79D78E6A9E79E7CF6E9E79F80062AE8A084166AE8A18826AAE8A28C36EAE8A390462AE9A494566AE9A59866AAE9A69C76EAE9A7A0862AEAA8A4966AEAA9A8A6AAEAAAACB6EAEAABB0C6FF2AEBACB4D66AEBADB8E6AA';
wwv_flow_imp.g_varchar2_table(1968) := 'EBAEBCF6EAEBAFC0062BECB0C4166BECB1C826ABECB2CC36EBECB3D0462BEDB4D4566BEDB5D866ABEDB6DC76EBEDB7E0862BEEB8E4966BEEB9E8A6ABEEBAECB6EBEEBBF0C62BEFBCF4D66BEFBDF8E6ABEFBEFCF6EBEFBF00072CF0C004176CF0C10827AC';
wwv_flow_imp.g_varchar2_table(1969) := 'F0C20C37ECF0C310471CE530140320CC30129F75F130C20CC431C6196F053234205BDC71C703018372C85909E3F2C90601C3B254910CE4B2C908A9A2332A333B85F2C92B1BB4492B026DD2335330A32C3342A8D8319013004091C6D1405D1CB4CA099D41';
wwv_flow_imp.g_varchar2_table(1970) := 'C509025942B551411394CB4196A8F2F5512A2F4DD0D248107488266747650B30F201E0D54151087290247AC7FF4D13DD290370C6090700100500961002C00C009001C5408AF7ED374C7403930BDDB6E452F741181824F9E433CD6DD0319D404103148F17';
wwv_flow_imp.g_varchar2_table(1971) := '444741649001FA509F08E4040D8C2B04F5EB2C6D7E502A027D803B518023148B408B0C848341B7FF4E54270275DE1003CA8B24B3E66333E47C414ED40EBD4011E809420A2068A9B643855F3FD00C850B54429E1E10040104021190C09A0C60B03D030744';
wwv_flow_imp.g_varchar2_table(1972) := '90010B7A9AD002002A50C8FC2400000AC00F4B1A78C803449002FED9E98026F0C0030040000A06A020F3731232A0C111220080085E10C817F40407DA2801004338A115B820102E24410A70E20F9EFA4110FFCC254EF5D8C73DE6E1271902803F03AA937A';
wwv_flow_imp.g_varchar2_table(1973) := 'FF004443C9F0831FFC39E211154618BD1C311F508C62F49CA244254EF128FDA04B159B7845A214B18B600CA318C748C6329AF18C684CA31AD7C8C636BAF18D708CA31CE748C73ADAF18E78CCA31EF7C8C73E462F8A800480149517C8A314D28F10B94742';
wwv_flow_imp.g_varchar2_table(1974) := 'A018BD7B38D2914101A41425C94870D543914FA107413449937A78D2209E0C652807F2C97A70515AF500403BAEC20E7600C0953669C72A0DB2CA59AA5295AE9C253CE8714A67D1B01E65B1A172B208802C1AD33FF9A0CB3FE4218F5E36AB1FEE48E51787';
wwv_flow_imp.g_varchar2_table(1975) := '69CCB910D33F34ECC73FE0C19B3D0CA40E9F031334EFF18F6976C4990441E7618CD90F6EDEA60E0201E71EEAE0CD194C01006DE3523E5409FFCC7282449D020168618EC94D8182C69B926302130CF2063360891FED2027313F225083E2A5885974A76DBC';
wwv_flow_imp.g_varchar2_table(1976) := '09004178139E04695B242AF1863764291FED00E64415E2CF734E869859DCE66FC0F9B4B621A10C95408E40E060062B5409A5F4A86642CA790F732E04A04D34EA408DA951D840410F00208437E759102008A4126640431CAE04C576D0A39C4A1D887FF811';
wwv_flow_imp.g_varchar2_table(1977) := 'D6FEF44393FCF8473EE44143C2A4321FFCB82400EAD10F79ECD33004B58DEBF440083D0802AA502588110050899AA1014B5DFDEA4A0BE2CF705C431D7459C8580573D71B22A4AC696167535FC3843D280EB0059982110E4B10936AE110A11888D69C0454';
wwv_flow_imp.g_varchar2_table(1978) := 'B01AE41F65E9472EA880042FFF0003AC4625AB3ADE60045BFC231C6EC8C63FAE518624B802007EB84515D050854CC0E30D184B2653B48911CDE2A60E87100421404A9034B8E0100C39C3139ED4DAC50E842CE1D0DA19A650857268D33F825124178C9009';
wwv_flow_imp.g_varchar2_table(1979) := '57F4231201F0C33F3C21024318601A0F18067EB9100D5B04C00BFFA0EB4BBE1856C2283598E93C485BDB899BC07E96204C48430EC680903E0C440C6788C2199A545EA3EAF01FC83843F136E10574FC23AD5CD4873E0060880D78829955B08511F4410B0F';
wwv_flow_imp.g_varchar2_table(1980) := 'A0810BE2E08039006002E156E116448850655D42178DBA8320ED783200DCE10E6E3E59CA0681C7928B3997CD6ED4A30000E93D8D5086F052E170244EA96B0DA248682CC2FF6CADE80336941961C16443077D880601AA10806AD002063BA8D903CA01000E';
wwv_flow_imp.g_varchar2_table(1981) := '5CC31C04B0420090934A98E4431D4306803800508E491BA41C911E32A60B82697568792018F5726BD29006A97A349CA2250869018006A709042CAC05AA500972917F70631388D8842A20F10EF3D2501FFDF0C31D76E08731C0201330288327AA608E04B8';
wwv_flow_imp.g_varchar2_table(1982) := 'E201934640360CF1804C58C10409B6A847502A90744C391DECE0263BDCA18E76C003D2AF2C47B8D9510E75C8831DEA00803AD4816977CC78A214B6CDE3BCF9597A0A76200E058049B7D087622C420FAB65AD57D77C906194CD6876E08645A649437CFC03';
wwv_flow_imp.g_varchar2_table(1983) := '186FC8443B5231694267C3B7B7E05DBC53510E5B54E31FF4FFA04541997C6E73A883186F3044383C011E5BC061189EF0832DD2618854B0231370C8843A6E018754780200D87005A4D5C1C950E386D404D9C3D40662040EB35A200107EFAB472CE2262CA9';
wwv_flow_imp.g_varchar2_table(1984) := 'C407B94827A6E061004CA116FFB8C73EA649D6620A159307E1223003BAE05596431E99F0C31B22E1853F5CE307AE304712FE0080675080D95CF004173281066C64C30B9930041AE0910EA65B36DFB599C2D4C46034819CC169DE74C11E1A01003394B9A1';
wwv_flow_imp.g_varchar2_table(1985) := '02492DC2A930E23407D5BCAB094C2CD2A0EB4D9C2116FD50FB4AEB42C37BC0B59875D9675153995600341392FB5C624BB2E8CA72B8C31349B84338B8E08669646207C818C31BC26188312881196EA882FF2722810894A3A10C6580C393D3D1F42E2BA70A';
wwv_flow_imp.g_varchar2_table(1986) := '4C4882156A567A936E1500B578B588D1FCF585C37E9BE8D0077BA06B003080DF10546B37105CE45AC4147C8A444369574C8D865922A14D4F660EF010095CC005A0A004A9E05868F0631C47047090046F907ECA5605D1700D5C400CB4F006F0E072133818';
wwv_flow_imp.g_varchar2_table(1987) := '75851BAAD0098B503CE2500C55307569B00355301026157000303C7A006B821305FC672489D552E9F10FEC8008A4B60787D00A87B007DED409EC20635C964D82F1855C965412261367E54AEAC00CD5700D91900A70E00A91170EAE00079EE009EA100E99';
wwv_flow_imp.g_varchar2_table(1988) := '000AE1000AC3600B7EE00AAE500DCC201FE9000FBC5744CBC41B76200665F009329306F7FF2410F964100E957F491862027138A1A03B86811F0B32194D681081710CA4060564B0079650070B2510D7A00FD2341F02110EEE200FD7F00FE2E055C2250EE6';
wwv_flow_imp.g_varchar2_table(1989) := '600EED5069F9310CC4106F34210F94066FEEB64A9E760FEE460FE3A60EE9108BE0264BF5C00EC618839F665987E81BC520105E30359AB7037B000808915A5F6189AD2719C8400CCF70199F581017F1094B303569C05D7590064C100BF520634B944CF240';
wwv_flow_imp.g_varchar2_table(1990) := '0BE1000F8C500EC4500EE5400BFD800CDD800DE8E80AE9D00FC3800CC2F4124B248C51F64AEA004BD2088C50066FB7248DAB240FA6E460FD218CDDD47900E0838F5833655610D9588E96A824EB5843FB900B76700669409369308087FF30069B400CF430';
wwv_flow_imp.g_varchar2_table(1991) := '63AEF85BCCF00CE9700BD9300CE2B0208E650EEC900AF49022FF900DE1101413267C82745798E47B83C17BBDC40FBF678D22F91B5627106960558487065A70756F50768AB37F492810C7A5897A918E94F19205F10D88B0073C20100B754F63500BE1D093';
wwv_flow_imp.g_varchar2_table(1992) := '5F5417C0700BAE700DBF1809D7705CCC800CD5D00EB6C01FCCE058D7C06535115934A880055149F3A1489545565C64885F2912854300077000A4791769108942238E05B18400400B45D25A06016CE1600BB56008E8513391A00A9E100BE54057138572E5';
wwv_flow_imp.g_varchar2_table(1993) := 'F00FEE10954F190EAB640EB5190EE1200FE7580FE6309C4F4181A00650D7289A03719AA6894F67C18D7B8004E5780543FFE850C5F009748084824310611324B2399B6C957632C68AF7580FF400986DC57B8321182069430EF690D36943FE6910A05912A6';
wwv_flow_imp.g_varchar2_table(1994) := '593811304179891587C00B02810EF9F788699004043106016752E2B87FE598244D685433A64333A6489F040032366B5DC89502819582740F8D261070B54FD48916034A12DD630085830209CA15E420969E37055340785A807E580700D9F81505E1759721';
wwv_flow_imp.g_varchar2_table(1995) := '9700D0898611455E45A201D576F8066AB07754F84919314A12210000085038423010855066E3C3145EA30A9D07A1499006717082577010816538974810C745194A0A0011721752E47F14C84ED94499BE119CA11912E9130104C03FBBE1619A2315E1B407';
wwv_flow_imp.g_varchar2_table(1996) := '121AA4E7FF671021760664E09A02B16A9131A773BA168C84A7F671A51E719A1444102FD0095E40052929155E23091CF54D41BA1067F038464A10370000FF737502B11B77219710520D97AA1677AA582F3A1D9C2A9A0150A358610558083705184E056152';
wwv_flow_imp.g_varchar2_table(1997) := '04517682D35702D1A608E10B0040AD76C10C04B120935918BDCA70ED11AC1DB101149001DB030085130AB4009BD5C31427F4106540A902E16A11513C9AE0348A9316D83A1048BAA499EAAB9B1A9225410107610BB0D914D22010A54A10928010150A005B';
wwv_flow_imp.g_varchar2_table(1998) := '90118EB00860F1AA68C10CD0B0AF87D1AF4E4A1E7E6A12289041E5FA0AB1A089B1400BB65037254314DC35105740A17FD0504428105E973A10A10692FFAA16CFC0410491AFFA6A16BDBAB11C0BB022C1010321B00461B2B4100B32A33BC010A63661095A';
wwv_flow_imp.g_varchar2_table(1999) := 'B7B2067158847710502004574BB307212379B13389D1AD53CAB1DAF4A72211AB0050AEA35037701914075B34E0A5370BAB104358A400D0A58FD3A509B10CB6E016032105867017CCB39E98AAB1613B1E31258CDA8611269010B7201F8D8B2045D1077043';
wwv_flow_imp.g_varchar2_table(2000) := '55063175AB8A104D0005465A08B4B0AE00200BDF70104AC008BF1A15199A2076F1B3852B1E873B13055B10B400B943B1095ED351A94A1040800439500563E0530EE10AEB4A0BBF900DDCF00B8C70044720104FF0B776B1089F1034C4708EC80000F8718E';
wwv_flow_imp.g_varchar2_table(2001) := '5B01B6A52B1DAD2B13B410A706D1B800FF700B3A4B132090B0925007DCF5882B8002033104300400E659109A9B7A06C10D043104E3A504CCDBBCFCBA4F6AB6BA1151A5639819DB2B14DEEBB4323102EDBA07A82A750331351EB0010251041EF403AD0905';
wwv_flow_imp.g_varchar2_table(2002) := '5180C18F8307DE2B10AFF00CD3F00B03A104099B1667E00454500C9E6BA7FDEAADE914565B86997167599851C03371741EF314E72BB58B8B10D63062AB5310EFF19A04918EB23010C90B00A4C7436841030030C47AE17B2DBC7BC0475D8C4599D2D57606';
wwv_flow_imp.g_varchar2_table(2003) := 'C1953474570C4610E694BD5261C332313C4F015E0BCBC0966BB912A00304710677133505D11700200794E00AB230BD0451C259C1000480015C4310B1700C21B1417A3C1352ECBFFEFF9A9F8CDC8FB0658864150EE4744465819FC964C52F4C10F910A033';
wwv_flow_imp.g_varchar2_table(2004) := '6C16640C13A080C3DC5341E51A145353BB51C7A33500001B103E080BC507F104E83910B23B105F40C776610B822B11872C1483B4C8C3E590D7C00CE9208CDA344D86600E82A174059156F0E00993090A701095EC801FC1F50FED009B6F700DF210097EC0';
wwv_flow_imp.g_varchar2_table(2005) := '0EC3F006F89177CA7C169FFC121E200266C15D1BB0013AE0BBEF8B1068C605EFE1167210C7038106CC8A174D8B11A9D009715AB09E100A9E70313411488A2548DA640BA9F00FB7000ACF100D3A270E86E090AE100968008786700D459009E9E007CC200E';
wwv_flow_imp.g_varchar2_table(2006) := 'A05016ECE009D1409C33F70FCF900A049909FF500DB6400FE5900AB6FF60984C59D2B7F00CDB0A775A71CE2D8100029100400DD44771A305E1C000B00204E4412874B305E108947058F84C105C00AFA0511A00C03B6AC308C8B1CB2751C956D44F2F065B';
wwv_flow_imp.g_varchar2_table(2007) := 'C3B0785C400B99900A86F00F7E90098C300C2EED078E65089E9009E6C008DE1C0EC3A949D9F00CE5940951E909E21009B78008F3900ADC440B1F0769F2410BD3000CB548C35A015BCBC44B35D41219041546108406510741A80312BC013060B65060AB06';
wwv_flow_imp.g_varchar2_table(2008) := 'C105AC691C20E3D5075D49BE0A57FF600B236D0B730800AEF00F41D70DC8E0096C9D0AA06008991009EA600894500DEE900E285778CCF00FB4306970F80FE5900995500EBC6D72B69D0DD7600B2B0800B6C00CDDFF70A29E3CB63561005261B6473D353A';
wwv_flow_imp.g_varchar2_table(2009) := '80020454B3F94C106BC008C231C103C149A0F13386E4DA4EF80FC4400CFABD39FFC00C207D0F91F0B7C8C0D5B6F0D0D9E007C4200EBCFD55CC690E31177293E60A95A00EB4D00DEDE0078C400BEDF00791C07386000AC32D6F9C1C153EED1A8D00036129';
wwv_flow_imp.g_varchar2_table(2010) := '3B0528102BB0011E000300A4140391C136FE3852C0080621043F30424FAC04498C1B0DC9DA2F31482A75D964F5855FA54965210F65510FF3D0E4CBD40EB16559F9500FE970DBEDD44E0D4D5D41F51CAE28D95CD1BA89FB1A67C00430B0021EB00300C0E6';
wwv_flow_imp.g_varchar2_table(2011) := '72CC337470E304A1E302E106876501163CA90000E4BC810C44EE688C94D09A4CD95A0CE6FDB0C975FF815B57DC7B74415DB9974C28075BAF75E865E1A29925DE98A10C0621C21071067B908A0341047C0E00D6301041CC7F5691147C0B00C9EB078D80CB';
wwv_flow_imp.g_varchar2_table(2012) := 'B0D1900261D0BE1CE80CC70F8AE460DA547C9A9C4E8E1459C9570FFBF45631CC4575A17C653E9D98BE196DEB109AA07552774F21E00202A10452D0AE0491B91F2610A457665220054F704274DEAEAFF0433012E88B2518B9474E519676502457F9700F64';
wwv_flow_imp.g_varchar2_table(2013) := '55542C1550FE24C66A71E288612302C1E911818A32BE0363C0D9061105413C10EF410926F5BE2C94CF477042B0E943B6811F7FCE127725E869A50EC18DDC02310CB72DA062450FE3E70EED6008B76D0B6F500EF4F007A07056554AD990A1EF85FF417A04';
wwv_flow_imp.g_varchar2_table(2014) := 'F1B028241001E410A79B10712E10340B8E227410230443E53E23B64E4C9BCCD210150D86900DC8E00ADCF70CE240099EC00CF4800CA9A00EC4E90EB4400CAED00D9E705CD990D6E110097ECDD32FB5EC94E1023600022DD0012300042E20F73BE0023B60';
wwv_flow_imp.g_varchar2_table(2015) := '550B71085630058B2ACF71EEAA0341E7AB3E10A0C0086F50043982EEC1C90E9170DBDDE00A3AD7DCAF7007B40007F25009D8A0D8EC004C023690FC900D8C70729E30D2C3AC56F89EEF6A0F19406055734FED3930C2BEDB106566076B5A5A06A1067620AF';
wwv_flow_imp.g_varchar2_table(2016) := '0C25109490533DB244623D104E0E0AA060746F400B610F0A68400B0DFD0C91309C599456C430FAED000C9E300CF27074F0200CCBFF9DEC7641D9F260D9625518128AEDF9AC055A609613C1D92174107C80078E800785C00770800770F006707007C80500';
wwv_flow_imp.g_varchar2_table(2017) := '25C4FF000100001E38020D1E449850E142860D1D3E841851E2448A0FF3E56B47AFDF4600FCFE318B04E05AA44C9188DDF204C0103157FFCCF9F99749DC3F75860C89CBE6C6133C4F6FC265BB53091EBF7E158D1E451A71E33F79499D3E758A46E0152D57';
wwv_flow_imp.g_varchar2_table(2018) := '0C96B9F245CB534602FD0C0400078FC03B610FBE11E806C01BA950DDBE851B37EEC58C1C0FB283F78F9EBA7AFFFEED53E717C0BF5BB7FED9234AB3DD3F00EC18D31B0C405DD17C722D5F5EDAF4F266A85620FE6914A91280AF0FE1946E88D62117299C5D';
wwv_flow_imp.g_varchar2_table(2019) := 'BF86FDF422008D45FF0F32CEC71880ED7FFCEEFD6B37ACE9BD7EC47B03C8CDAF1E65DBFC623FA79819FA7485AA17363298F2A0A1D30AFBC001DFE74F4183990050C24E160E9A32563C1B8C619082078132A8DFC7CF79766D84F7E811574837838A12D0A0';
wwv_flow_imp.g_varchar2_table(2020) := 'DE2A732E3F0513926EC1E9463B28254F2AD1EEA0900CFA63A13F10C910803B3A44C80B009438688307108200000A00E06045FA50733046191DAA8CB67F6C132837817CCBA7A87B2EEAE7467A2AFB071E73FA91A79F74EAA1ED1E81884B70C6FB1A94D2B5';
wwv_flow_imp.g_varchar2_table(2021) := '512AB97294892E44E8AB3ED802808B8552840806818A00A08A2AD764D3A0FD6E14A8B77FB231C496202162271BDDC2596CA11ADB7C8D4A40E19206215CAEBB30FF92F400F8B28C8380B8010014002013800450ACE80B2E1C15689E413FA5EE4DDE000827';
wwv_flow_imp.g_varchar2_table(2022) := '127166BAE58F74CAF1C4936132A1E799486C01651875B229279370BA61471C48B2E987964AD289461CE440DDACC13F91450A32C80060322140FEF8238E37CC00C02A816C304120084E148802085644E805006C108888D5BCB04E2012998517365173FCC7';
wwv_flow_imp.g_varchar2_table(2023) := '153D018826936B3CB1C50F501801A55F5BCA20C6105A3C89C4937F0C1926926E2899A60C5B483536CA78DD12F4E28ABAD966A135B6D8CA201B400817C51325D8C00413E86B0100758FFAA32B5034A6D9B5FD362A0A9F7F6CA18531570C8BC41562A6B1A5';
wwv_flow_imp.g_varchar2_table(2024) := '9B94D68984A783FFF104194F5CC984E95B3281C7FF90026B7E2A63AC9F024102852A350886117620A28877C7708A920A05CA04EDADDF4EAA467A6EA48C9F761831E496720CF1E319646C61C6956B84358712753CA105946E56F2249B4CFC70C59C48CCF1';
wwv_flow_imp.g_varchar2_table(2025) := '24956C8E85FB28AD3357A86586C8DC40213411BAA3AD37E0B8A32034D0F8E20BA32849C875CE678F486E9CE9CD279CC0DA0987B1E5E0B12D9FBCF8A1A79E720683479F7EC461722877D8590E47DA95F248B3E92942B388214654D33D00565FA8DD83AAB0';
wwv_flow_imp.g_varchar2_table(2026) := '2209A864BF3E7D846EB6AB23C122F3E87DBF720BF2EADDE2DC8D40F525DA7C7F89B630C8B5C42790212401080B799753DCE63FF5D9AE7D39B28BF4762410DBE0A82851B218031FD23F0D0AC4FF13D8320300D1B015B45D012B0C41428800F01EB7A08144';
wwv_flow_imp.g_varchar2_table(2027) := 'A9E820ED1C18430771B083C9581400CC201533A8660A12D8410EC6304083BCC77C0038200D9558BBCAD4468207C9E012E362430D6EE316AF00C02DB4740B836051250281210020142129967122EC7BA241A26846A850B1830F34883EF421907A30491F75';
wwv_flow_imp.g_varchar2_table(2028) := '3C8804D3C84636D2C5890C59231F93E2461ADA0300F3F01443EEF81F2701001F8284A44212D497F751504015BCA4FDEE74BFC844324E7E91073D2C66BF483A678E9E44A59F04F24703ED26413A224A8F8E43C138F5231F1EA1E01ECB48C854F6D2976EBA';
wwv_flow_imp.g_varchar2_table(2029) := '475DECE21175C8A340F7704C90FA11980109841D094AC733B241145D2E9197BFFFC4A627D178106284831FD710073C70850C7600801800304739B2918E70B88331D5B85536E051B47D04729741B25E36F599CD79B9AF1CA990E6309EF14F663C231AD900';
wwv_flow_imp.g_varchar2_table(2030) := 'C6340040CE700C033100C8C6E5B8C14E78703292D7DC67469738C33865031BD9B886391A5AAB9F00A01CC4C80632C2610E5B882348D70847349E918E751AA89AD0B167A0F0A9519EA6729BABFC4730E9010F7794C31DF0188639FE518E7AF42A1DE610C7';
wwv_flow_imp.g_varchar2_table(2031) := 'DC9E590EA5CAE337375522467BBAD506AEF2767122CA6E04448F72106893B4BC11633CF244385A265A06F9052EAE6648433E47AB5CC5EBEC7E0AC50B1A881FFCE851479013D609E67141D008A342FAB10FBBEE34AF8FA5E1FF5E174214C22A85AF023907';
wwv_flow_imp.g_varchar2_table(2032) := '3510A2D95EE80200B0E06C677B8114CF26A2B3D4D0452F460B006AC4033A77852C75B01A5B87FCD54695748D214DD180890860000F19800000F05B841460210200476466EB14BF304594B7A1EDA0644196E8D2C8AB6DBD8C9338D100071817000A300878';
wwv_flow_imp.g_varchar2_table(2033) := '876B10E292D7BB02F9AD71D36B10E31640B8E51548010A300E813056A74CA92EB20E35DDFCD2A8897483CE6EC53BDE84146000061EAE7A137C600020D8C00E8EEF817D8B10051420B9FBB0AF6B60DB5FE8040317C140482B04920C001C2ABF7E841374B6';
wwv_flow_imp.g_varchar2_table(2034) := '0B6100B4E1020B6E30710750DE03C337BEE46DB0700F22DF03CB97BE00C8306736CCE119FD4220DD20E556FBFFF91ADDECF6207338888ECF1B61F42A44C70D262F83D9DB5EE402791F7EC12EC61C4BE4350D4320B220716B0C65E413FF37CC97D92D710B';
wwv_flow_imp.g_varchar2_table(2035) := 'D086E002E0111770AF9D1DD0064500C0011169C01C16F05DF0CEA10DC2D5B100E47BE120276BCC64AED22F88218C83A0020087D84328CCD9DF25C7C6C9BFFDED9F5B8CE70264611661308522A00C803E23641600980327B260105D64E112506E8329E670';
wwv_flow_imp.g_varchar2_table(2036) := 'E7F12AA0CB18CEA5A3F10B6964F142127510481F38CCBEE93839BE6D8032AA1D50E1162364B50831454238910712004017D90600276671010708D7D78C86CD90897D995B54032220AEAE6439A3DD0628E0B73A5635B4270C807864610EAF6E034278EBD9';
wwv_flow_imp.g_varchar2_table(2037) := 'FF470CC2CE0717882E60F1885AB758C7BEA6AF3D82FCE6413E7ADD6DAAC31E888DE2E54285DE09AEB240DA4067005C60D04699C305020E802C2C200C0B20B7402AAC8BBF341A3316BFB894C820903D5802D29D86CD7617025F5FFB3ACA3756888C7D2B61';
wwv_flow_imp.g_varchar2_table(2038) := '000880DA0350800322FEE5FB3625A739C7CF1414920B4E3791E296D9EE8C1732658590BDC0656FAFCC15407360571DEB6B2ACD260C21904ED44220267E6C8D803EEF700741EC8866C89591A2E8A6D7B9E9525F87C4716B1975BF3D2EEE0680BB2F679042';
wwv_flow_imp.g_varchar2_table(2039) := '457E1DD17560C79D52195390E0C50BBAC0D4172F97C63BFE2D8CA9A6E6F9E966D523853137B22F8631DC147AD8DC29B297BD93E468C8BFFCFF45C38E5D96E9853F9DBD43271EF638FE615CEB5AB82CDF20F6B0076364FF97AF577CD8C3C77EA8BC5E7DB9';
wwv_flow_imp.g_varchar2_table(2040) := 'F023FACD05C0F70F12FDBA1EC640BCAFEB42A45F5FF2DFCF2F5FDE07F73587F3ECD7FF35EE989BFCDD52C902D135FC83893E8B7A88000C108988927EB83AA5003EFB6340217387E8693D05C12ADBDAA0089CBF7EA8A806D440CB709207FC2A6C42C0360A';
wwv_flow_imp.g_varchar2_table(2041) := '920CDCC012748B0EA4A4249B08FD513F86582E0B542C3D822E9B7A0A30BB3E13C441A82041A728A77660081F5C8872828E76E84183600721840D77C8C12594117890878ACAA784884227DCC1D8704284A84229CC420078C288D08C2864C2308C8846F293';
wwv_flow_imp.g_varchar2_table(2042) := 'E03B0832CC9146CA07344C0833360C3E337C12A8804300F891F5B1C31CB9883C9CC3C912C33E748B476A08367C0D414C0A428C4385004447C2874564C45F0A080021F904050A0000002C45001800DC0146010008FF0001081C48B0A0C18308132A5CC8B0';
wwv_flow_imp.g_varchar2_table(2043) := 'A1C38710234A9C38715F3F8A18336ADCC8B1A3C78F20438A1C49B2A4C9930028014885B2A5CB973063CA9C49B3A64D847806E2F1E38891404F37830A1D4AB4A8D1A346DD08E483B4A9D3A750A34A9DEAC811004853B36ADDCAB5ABD7828504AA21A8D2D3';
wwv_flow_imp.g_varchar2_table(2044) := 'BE7D5FD3AA5DCBB62D48A500720AF419CADE407EFFDCEADDCBB7AF5A3570E786FA6717C045BF88132B5E1C346C4F0099F6FD43CBB8B2E5CB984386CDCCB9B3E7CF09FD648A07BAB4E9D37C0B3942E4C80F25B47951CB9E4D5B6A4FA6B573EBDE2D94B51F';
wwv_flow_imp.g_varchar2_table(2045) := 'DEC0830B37C9A875A6E1C8932BC75869B9F3E7D009F2390E0036E5E8D8B3D3E6138AB4F6EFE0412FFF0280282E0079E1D3ABAF8C47EE6F81B1D7CB9FCF564C414AAF0014A6CFBFFFD761008863CF61FCF867E08159F17318820C3658933002FD528D8314';
wwv_flow_imp.g_varchar2_table(2046) := '56485332C958A8E1862765C3E187208694CC38DD8468E28928A6A8624925AEE8E28B005003E38C2B9AB30D8D3886284D8E3C82D8628F400629E490441669E4914826A9E4924C36E9E493504629E594545669E5955866A9E5965C76E9E597608629E69864';
wwv_flow_imp.g_varchar2_table(2047) := '9669E69968A6A9E69A6CB6E9E69B70C629E79C74D669E79D78E6A9E79E7CF6E9E79F80062AE8A084166AE8A18826AAE8A28C36EAE8A390462AE9A494566AE9A59866AAE9A69C76EAE9A7A0862AEAA8A4966AEAA9A8A6AAEAAAACB6EAEAABB0C6FF2AEBAC';
wwv_flow_imp.g_varchar2_table(2048) := 'B4D66AEBADB8E6AAEBAEBCF6EAEBAFC0062BECB0C4166BECB1C826ABECB2CC36EBECB3D0462BEDB4D4566BEDB5D866ABEDB6DC76EBEDB7E0862BEEB8E4966BEEB9E8A6ABEEBAECB6EBEEBBF0C62BEFBCF4D66BEFBDF8E6ABEFBEFCF6EBEFBF00072CF0C0';
wwv_flow_imp.g_varchar2_table(2049) := '04176CF0C10827ACF0C20C37ECF0C310472CF1C414576CF1C51867ACF1C61CC3290C32100E0361C76E0D03328002092332C96D8D8C0C32030D0320CA02D90233CB6BC92C3300340F640BCE5E6125D0CE3B1FB4492DADB402B45628CFDC7341A8A0229025';
wwv_flow_imp.g_varchar2_table(2050) := '4B4F3533CF2927B4491F033101001367547D94C83D0B034C4262343183409A881DD5D3039D6DD0264ABB1D95D92313F433005310FF44C8787673058C2D72978710197A1C440821811745F840105231030300340180267600E084E6640CC40A0074342E14';
wwv_flow_imp.g_varchar2_table(2051) := 'E1B6940E4C2EB6E49210E505852E7A51831B944B2D4B38D1C4E605754E101DB8BF8E94D0343871C242BAFB2E93DC08C522D0DAC63BF538422C01B01900341854FCA1122480900404690003157B9CF989401F387400A11020F480401B50B0C1405C840200';
wwv_flow_imp.g_varchar2_table(2052) := '3354FE9C3A2D0DB15ED00CB89F2F50067F3201085240100310200101008001D2C7010E14E40D8D48863208720328EDED2194D3DF4030A03F00026A0700E09E401240008240800322A4C00ECA000738FCC14D1CC480400EC0000694808081028242D24701';
wwv_flow_imp.g_varchar2_table(2053) := '827C01002F040038FF3244101674C9830D8940094C80433F99207D0698081107D2C32741E3661A3102008A20058170C14F5C7803418A30901F02C00A4AA882414061902ECE293E7AEA071C09D20F390EEA1EF7A0C73DF6B44786280851054250202D53A0';
wwv_flow_imp.g_varchar2_table(2054) := '3AD6718E165BD05EEAC88F463AB2795C31A4212199957FFC439275A4642535C9C94E7AF293A00CA5284749CA529AF294A84CA52A57C9CA56BAF295B08CA52C6749CB5ADAF296B8CCA52E77C9CB5EFAF297C00CA63087D9CB4112F3984531263227624900';
wwv_flow_imp.g_varchar2_table(2055) := 'E44399CB94C83D32490F815C648FD00CA62217121F6322129799BC0E0084B1CD83A0210902F19040A2F14500D4E30FC07063B1FCA7186208240A35E9C73C00F0FF8D2AF48D096348C740B6990F005421099EF8992106120914002000D940C0D27C61937F';
wwv_flow_imp.g_varchar2_table(2056) := '9006429B58C421C4100E7DE8C33007F1C30A0C030F74DEA01FA970A017CA51C5A6B463231F9553142DA38A82088F0CAE43C93E01D007A56D0200EFC84B390160496CA0C010CF482000B0010013C4803A5F290700CC2155845435A66F8A806580C1384110';
wwv_flow_imp.g_varchar2_table(2057) := 'C40950C8A949F2829645D474139D4887470F32C81718C20B2F68AA4094908E998623217DAC89395E0A00751CC41D03698739D871108116F44D350440044A98986164622C6900001466B28F5C1CC22A00384450898A905BA00100F4004A5E9487BF85B8A2';
wwv_flow_imp.g_varchar2_table(2058) := '1D439D893D0160CF3BDC821D91388F27C4088009FF01808DD9004A9D0EC0580020B12FB9E89BF55E12164B286D09C7E8076C0E62C9E6BAF39B09E9C7616B020929F8211B2014281C00908D0DFC001E5DF44225C6100D814422125200AC9C12B83E001C60';
wwv_flow_imp.g_varchar2_table(2059) := 'A689E98310668217007CE20C3D05401AC8B11F85E4A3A0D7BC473D04528FE91A24933579833804728D4A98807E9F85C40F91B1DDE3DCC1996F18031ACA405866D1EC034CE01FFF080205DB8D841DC720C84F55110EF4647320FF05C0200B7AD8021958C6';
wwv_flow_imp.g_varchar2_table(2060) := '378EC91804A2C6125D1832E948C21DAAF0D9377001144A78C6D0866105770894591FFBF107D676029C560E006311493A16315900504D2091AD4535652C906CBE18BA374186926F6B10314235FF7AB620061C52618B6B5CC31502E16BB386078013F0F924';
wwv_flow_imp.g_varchar2_table(2061) := 'FD2846DFC81059FDEA2E7C00C8EB82B28196F2DE9520E5787239B0481481BA031E041608A6D9610E00C003D37D6547353B4CD876E41552F4330AF206B2361A9CE1138BF884559407927D2CC26B0020B440EAE0337D287A20B158B021D201A005FF8318E1';
wwv_flow_imp.g_varchar2_table(2062) := 'B8C630CAEBD7ADB043BD03E9B040DC71E9313F8B75CC33493FE8518C1D4FA1D00219C31EFA605BC32C7ACD75BE456D03048074A80314FA0887BAB552D0531B24C7912AAF54F099B98240C86C1BE1C747995A075C0F04DC036EA6CF6C515A7618429DF303';
wwv_flow_imp.g_varchar2_table(2063) := '803B687191D5F625B5C75A359653068D148F1300AA0380C629F20D5A6FC21035FF0DE2D9B06A4D50BFF4470611073D884169BB753C6F02511EAD3152487A7834A6F4087AD0DD4947F85407C6F0C1F7EB424E103C0FA4B418D1C745F481967DE8A31ED51C';
wwv_flow_imp.g_varchar2_table(2064) := 'F046A68BF16FE97BDD4E613A4154E70A57EC3C23990C248205C2F287ACFD5DE506C0D79BE20895B8E4C5018B7BDC91928A424CCF78FABE4634A2B177A1401500F253DE180A7178B1AD59204C2DFC503A213F8144CF789486C65328F1094A7462204F0080';
wwv_flow_imp.g_varchar2_table(2065) := '179A078D67681E2A9CA704662DE7C9D217E4F10249754C3E519C8118CEB7CD6B852F7EEA14ACFCBD205A0485381B37BE9A0FC52A801B482776FE79E3D9A720C6A749F20D22042450D20EB5F0B8409041737BC28CE645A142FF09240A49CC1E2527BF17C8';
wwv_flow_imp.g_varchar2_table(2066) := '137800007CBE4E0FAEFE84F68B12967EAB21F93AB0DC113CA2F483950000FD76148BC007561116E3A36D0981770EA14CD0A480CF7200079001E5337662A711C8C00CD0207B1C617EEE37101D881187950DE8416603F10F0B461170E480E3020C233711A7';
wwv_flow_imp.g_varchar2_table(2067) := '1712B0561019F05B11D148ACA564C4F00CE590177B044770D06C2B216D04E10E94E021B325107E450B687057A0C65DF7E013808506D1D00FB1F52DB9807311110AA1505A4E070A9E100A2B83110708007C600762F081146183A04071A9E00ACC700D7060';
wwv_flow_imp.g_varchar2_table(2068) := '4F7E3021A0600865D06902B103BA5510EE90094AA667CC000AAE900FB1F50CB73060A0306F44970A26632F88FFE01378660B3E7115762786A1D07905117A1A9149AE600506750B2A115B6F000A58D11CEC86086C741023083303768200E01386B00FA040';
wwv_flow_imp.g_varchar2_table(2069) := '58AE700D05E10AEA046DF3323270C31195080080B37F340811FC50506BB81270060068000AE1300C6C0407CAF3428C405891608B99966A4EA74E0B9609E6908AD3B01202710BCF3077F5D23420D10907887C81C17A3C573330730BC3600BB7E07D7FF00C';
wwv_flow_imp.g_varchar2_table(2070) := '83740DE7750BB670790501732DF8680BE5708C0084FE820C45D31185C0350371043AA0581D710FF19149F2306614796AF4E00E43854708A14868B62F075912C388828AB44D0A920F17114885644704A1201D89100AD275F47233BC280C58F8107271100C';
wwv_flow_imp.g_varchar2_table(2071) := 'FF0040FB97115A47669774172035481761607D740F0C185D17F176FC529320C10434305F1EE81103268409D192D6949462020E02B12300800B5D42075E351050C06711A05519415886008417B410C7510FEA0007F8E3740531924AE925E8040023F0256B';
wwv_flow_imp.g_varchar2_table(2072) := '63961B9150F6000FCFE007DD300CB4D00D7E700DE51009A0F00CF000202FF5526E0800E11009FB0873E4082620E00200000279A90200E00240A0435AE23ABCA3411AA10E0BC55D000097AE500EB7B05D6FD00F99F08D125750F8930EAED00FD510091047';
wwv_flow_imp.g_varchar2_table(2073) := '10F6D625A0E9024690034590030281465FD23B1C71189E8067A9988A6E600B78664F9DE65CEAE609F7600B6C840FC7410FB7608D6352065AFFF0595BF0590451065B9025613910A68911C4E013460809FA481D28530E707011780844E5100D9F250F99F0';
wwv_flow_imp.g_varchar2_table(2074) := '598F666D6082065A0000E259065750A00030065A50A066C4250CC0971BD16CF5900EFD3060FDD061F800005077184FD66E17210FCDC60EFDC72557B0A00070A2036106DBF525F424122A4910EC700BFD700F06D60F6AB792D61426666010A90900A608A4';
wwv_flow_imp.g_varchar2_table(2075) := '8B82A39CF5267B681095E009415A098D10098650857FF0A374526FCE9468245810E9F00F98A60ED6A69186A18255E209A35009633AA600300A04B1878D30104FDAA655820127F07F9B58101B6A740385A50541906D120C0811096B6A5E8D1044CA382518';
wwv_flow_imp.g_varchar2_table(2076) := '5002D5734F145147E5308900FF600B695910FCC00C99A088E6C55DF2100E526A0ECF100E441A263D59107F0A00718010A209000F903E54E240197179F4930DD4910A0BF59A007233A09009A9880C8C80A910D79B62820F8A6406584010463002267010EB';
wwv_flow_imp.g_varchar2_table(2077) := '933E1B2042C50A03A1D9240E347C0E3160B4B0379E607103910DA91009FD6008F59009F9010091A06FB19509C350092308935A12AA0311570681AA72050230000237109A4970975F540666405B6FC007816124567910F570117FC0A82D2A8EA595090E07';
wwv_flow_imp.g_varchar2_table(2078) := '0F99806777E558E10014A9E05702259763E29904214203E10103219C068106B4F540652010A307006E808634224320616DD0C60FF5200F03260F81541878280FB1619220FF250F312A2666A0056AA443C3894E4A50103D6A4E0861055510B4247B244684';
wwv_flow_imp.g_varchar2_table(2079) := '765A771827395044FA9B6536279EA804275A9E5BF0064536B40571970C110553B07F42600450D923CF87760B7118DD244729B9A3537B2695B05D5AD0A3E37905216B10770B004AE00249E0B3C7297A04C1356A8404467004D60742665BA499929FCA20A5';
wwv_flow_imp.g_varchar2_table(2080) := '0291AFE62911446010D6D7033AD090002002B4E495B6F00A6B09008A781C680A196B64104A1A0BFC081991400955080AA9BB22E100AD9DD27604560FB60B5A44A711FFEA4A3B857408514D02164D907A10FD20756C17273376A74FAB1060CA4B55B5A3F9';
wwv_flow_imp.g_varchar2_table(2081) := 'F0521DA90E7DB49F20254CF5400BE5006ABA08BA58A40E1EFF7211CF006DB4C0A9C15450E2C046D77081DD388E03710D1047A305810DE0EB62E83A4B7901BFD7F00C04290E76660EC3700DAB853F05A56419A80ED7E0578D74BFB30458F54058F4F052E8';
wwv_flow_imp.g_varchar2_table(2082) := '410C02B5607ED56CE74A10027ABEAA98A52F66928104C2CD2B13BDBB31D96447F9500FBFE948C5F84C27CCC02D217055A3B6253897D10552308C12BD302016514A6425BC1A81169710040320100E50000A401003500002B1C44E5C004E0C12F1E05CA4B4';
wwv_flow_imp.g_varchar2_table(2083) := '478F00004C4C100250104F1CC50401C51981C4026117BB4B499750105BACC46A8CC54E2C00459CC51821005A091FFF30C2C673C607D1067380100AB0C41B91C602A100BA40C6A7B447670CC70351C400FF00C802D10659C0C81891C54C9CC4FA51C765EC';
wwv_flow_imp.g_varchar2_table(2084) := '3B862C100590C690ACC82501C7647CC9770C00944C107370C500A0C8B3300800300B02C10918610ABAD0C4583C10F620CACD33C49EDCC800A0089A2C10E7100679600A1D71C54CCCC4B39C17967448B86C3757BCCB909CC61740129B3C0EDE2119A784C7';
wwv_flow_imp.g_varchar2_table(2085) := '0C5100DC8CC80351CA14B1C95A5975CD6C37F77B0102E0CD0301C61B3100E82C10E8011BE5ECCC02E1C608B1C9F89CCE0200CE11C1C88A2CC7F15075A8E4CA41E1002558979F9449DFB447235812F270160A3749A6B44DF1601716ED1D1E8148016DD197';
wwv_flow_imp.g_varchar2_table(2086) := '84D0A98448844154DE111BB75CC928686E12ED4AB75CD22568C706D15FBF344866B6802E031210000021F904050A0000002C45001800C90146010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C38B1DF3E8A18336ADCC8B1A3C78F20438A';
wwv_flow_imp.g_varchar2_table(2087) := '1C49B2A449899000803AC9B2A5CB973063CA9C49B3269F816E103172247065CD9F40830A1D4AB4A8503C02911A5DCAB4A9D3A7509B164A4929AAD5AB58B36ADDCA138018822943D9FBB7B5ACD9B368D37E54EA6660D54A1705F6E3A7B6AEDDBB78CB8A51';
wwv_flow_imp.g_varchar2_table(2088) := '2AD091A77D6401D0CD4BB8B0E1C3346FEE04201630E2C790234BF67873B2E5CB9833172C0457B3E7CFA0D33A2AE488119F4CF100C40DCDBAB56BA3881CF9794DBBB6ED99A52BDFDECDBB77C7DC957C0B1F4EDC61A6E2C89317F753150059C7CAA34B0F5D';
wwv_flow_imp.g_varchar2_table(2089) := '88D2EAE9D8B34B2E04803B1CD5DAC38BFF2FACA632A281D7C7AB5F9F554D4146B604B39F4F3F2B3100E1FED91318B8BEFFFF4B8D05E08004C2748B40CC4453E0820CB6144D350D46282148D34C68E1851A4D63CE361876E8E18720864811872296E86136';
wwv_flow_imp.g_varchar2_table(2090) := '26A6D8E13828AAE862832DBE28E38224CE68E38D38E6A8E38E3CF6E8E38F400629E490441669E4914826A9E4924C36E9E493504629E594545669E5955866A9E5965C76E9E597608629E698649669E69968A6A9E69A6CB6E9E69B70C629E79C74D669E79D';
wwv_flow_imp.g_varchar2_table(2091) := '78E6A9E79E7CF6E9E79F80062AE8A084166AE8A18826AAE8A28C36EAE8A390462AE9A494566AE9A59866AAE9A69C76EAE9A7A0862AEAA8A4966AEAA9A8A6AAEAAAACB6EAEAABB0C6FF2AEBACB4D66AEBADB8E6AAEBAEBCF6EAEBAFC0062BECB0C4166BEC';
wwv_flow_imp.g_varchar2_table(2092) := 'B1C826ABECB2CC36EBECB3D0462BEDB4D4566BEDB5D866ABEDB6DC76EBEDB7E0862BEEB8E4966B2E61C320736E74C214240C34679CB02E6FC300A0AE30ED0A64C7BCB5DDA72E32C2DC6B1003FCDA966FBDEDE69B41C1B5A93B50BE02D14203010CBF868C';
wwv_flow_imp.g_varchar2_table(2093) := 'C300E02B10C402D150B166F70D546FC62473DCD7C7A18DBCF141C7A04CDB302603D09C40C700734C2EB1B8CC5ABDA910944A2800A412CB31B4E85C5B279D186D5BD24A37ED74B4400FC4D7D39E3992524A3AC8BB01D5A12D2210150531CDB564A36D0680';
wwv_flow_imp.g_varchar2_table(2094) := 'BC635BE6B540EE356150D400F493F66185F4E1C6BE95F50100D800DCFF3177645E7307C02700A86147142FFC8D1955853C01000E8A5FE6C6DA041D11F9676E5F6E5913F24660B9E68FB9C137E896B9D1871702658001004890FE98524B2CEC3A64FB0A74';
wwv_flow_imp.g_varchar2_table(2095) := '4204B323C6075251E4FED8BE4F5011050FBE1FD656F18F658EFCF2CC37EFFCF3D0472FFDF4D4576FFDF5D867AFFDF697420001F75B2500BE5520A400024104244000C5148F5F940D007C2F50FAEE3BA542FD5779F00000EDE3BF9415DF19C81000F005FF';
wwv_flow_imp.g_varchar2_table(2096) := '15E51F72336053EAD1BC0442662C09E48704733798BCF4031FFCC8870637A840A348F08315EC2050FA3117108650843F71200A57C8C216BAF085308CA10C6748C31ADAF08638CCA10E77C8C31EFAF087400CA210FF8748C4221AF188484CA21297C8C426';
wwv_flow_imp.g_varchar2_table(2097) := '3AF189508CA214A748C52A5AF18A583457FF7C640000184220CFC82241E4E70181284120D72815EE86240E82040075621C4817A3928E37212048758CD8528E2390D9C4E90040CA875552A18ECF018003D7A3C73DE2060F7DD4838144090700D0908D4C78';
wwv_flow_imp.g_varchar2_table(2098) := '208C65004024C670BD7C6410008B04003D0672C29870C18C39C3C61B003086E000208051640731302690E6A4C26F9E6887405CD10D4F0003006F70052D2A94C43C02C01D0068073CD281CC6496C31CC7240803DBC10E4085F14ACD5C483B7459CD816433';
wwv_flow_imp.g_varchar2_table(2099) := '8E88BAE6703209CE817C5120E98064390532CA2892A594A114E50C732610A0E522172471A03EE246FF10C040872113BC1EE10AD2959658E41FFE44680C43E108DDB024A1FE5CE1CC4241CFC2F1016E2581A842453833C680F31394F8C44007E2388C5211';
wwv_flow_imp.g_varchar2_table(2100) := 'A4203D082452A29AFE38911205ED0E42120A45C275A57705715B285C0A45EE387470AE18081FA7283883C4948A3F951A007A07C82A2655206E13C2DEAA483900D8A1A890A32A1FAA7AD41D32031ACCA0E546466A1043D250AC1EE1091E1C279012AC112F';
wwv_flow_imp.g_varchar2_table(2101) := 'A5D4562A3A115400140D009E08852784A1B28884546C55B5216982060060B0941143D508597538B2988D240A4DE0C05B63982FC77E840FB563EB0ED365598D7C05004D48010F01469226646EB265E1E9BA46D6D861FC72234B90AA40D688D329FF112000';
wwv_flow_imp.g_varchar2_table(2102) := '70EA2B48A00000270821AB5095120506825B02CC51262422D12FBCC4048F7DE901B2FDC9000170BF2C39010077CC00038E909E40B9007E2DE8000080305E17EC204B6498C1EA00108108288F494D15086E0F420523B804082EC0EF1072305D2558C14AAC';
wwv_flow_imp.g_varchar2_table(2103) := '1808190892810868F649F22BC81D65A285326861920F26081A220C25491C04B54E32C0710B42B105BB440B6898241AAEA0852B08E40A65303185A7346081AC1700706CD286E55B1016C0E4BF26E6E440DE10872D61E0001828C1930ED03FD90D04011D06';
wwv_flow_imp.g_varchar2_table(2104) := '806859B2CA82FC61208D188827B6B430211F58493316C88237ACB792B8F2209EA8C49405D2884894F99C86787293E8D025401EA0FF8B5D148108FAD2558F8CA21277CE335E09F2E52F47C2107F8E84FFCE23B681141A24B8404899A16C887302809C4D3A';
wwv_flow_imp.g_varchar2_table(2105) := '818DAF6400E31A00770FC8002207776891B4D3205F56B341E0271008ECEF49199042779B44803B6ED1D03E23893EF63990356C812040B0C1F90CF2BDFD49606B0028630B7640041EB55821317E928717D2899402600A00D00048045D905D17E4D400389F';
wwv_flow_imp.g_varchar2_table(2106) := '094000831110BB086764A588CD20903BE0C16F32BAEE9B3AD1D190B8A020091688040602842218E40E2136081AF27DCAC28D0E470423C8A4B7E487985645C7EC0D091AB670467B1761BF00A84241F26D90261BA40A564842B9852484648B842E7253A788';
wwv_flow_imp.g_varchar2_table(2107) := 'CAE086A44A7C0503F8793149246E85FF2E7CDFE43683C509325D8634810AADFB8110EC5BA21F33641FABF64808E72222A5F081E200B0710F58E28998DF7AC25A40B8840792841C20A1D8C5863100FE3B10BF812D094840827DA3ABB8AA480126E5184832';
wwv_flow_imp.g_varchar2_table(2108) := 'A25C9037C89C221A2F887D79C083C401000539229E96B22E750301E015B71845415E2165C202E0CB852F88988556104A642212B6F4C98B32918D8D5E09963451E140663D6B003090D619D13C0EF723CD842CB21EF164A2E80513D0D5AFF3F5B08FBDEC67';
wwv_flow_imp.g_varchar2_table(2109) := '4FFBDADBFEF6B8CFBDEE77CFFBDEFBFE4E73F83D160500FB020864000310BEF2971F43D23B3F1EF648CD15E3A11F830888F95024A1EBE913100021F904050A0000002C45001800000239010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C';
wwv_flow_imp.g_varchar2_table(2110) := '38715F3F8A18336ADCC8B1A3C78F20438A1C49B2A4C9932829014885B2A5CB973063CA9C49B3A6CD997806E2F1E38891404F37830A1D4AB4A8D1A3484BBA11C827A9D3A750A34A9D4AF5A32347002055DDCAB5ABD7AF603D1612A886A04A4FFBF6855DCB';
wwv_flow_imp.g_varchar2_table(2111) := 'B6ADDBB7459702C829D067287B03F9FD83CBB7AFDFBF801FAA915B37D43FBC002E065ECCB8B1E3AF637B02C8B4EF9FDAC798336BDE3C742CE7CFA0438B0EE92753BCD1A853AB5E5DC81122477E28A9DDBBBAB6EDDB8C7B36C5CDBBB76FB6AFFDFC1E4EBC';
wwv_flow_imp.g_varchar2_table(2112) := 'F85346B033195FCEBC39CD4ACEA34B9FFE918F7200B32F53DFCEBD3B413EA14E7BFF1F4F3EFA220088E6029057BEBDFBDF78E80A1748FBBDFDFBA2C514A4F40A0062FC0006C8D9300088638F62FC08A8E0828EF1A318831046F8953002FD528D841866E8';
wwv_flow_imp.g_varchar2_table(2113) := '5532C968E8E187506503E288241A95CC38DD94A8E28A2CB6E8E25F29BE28E38C1C5143E38D384E64CE3639F6E82342D2FC28E49002C548E4914826A9E4924C36E9E493504629E594545669E5955866A9E5965C76E9E597608629E698649669E69968A6A9';
wwv_flow_imp.g_varchar2_table(2114) := 'E69A6CB6E9E69B70C629E79C74D669E79D78E6A9E79E7CF6E9E79F80062AE8A084166AE8A18826AAE8A28C36EAE8A390462AE9A494566AE9A59866AAE9A69C76EAE9A7A0862AEAA8A4966AEAA9A8A6AAEAAAACB6EAEAABB0C6FF2AEBACB4D66AEBADB8E6';
wwv_flow_imp.g_varchar2_table(2115) := 'AAEBAEBCF6EAEBAFC0062BECB0C4166BECB1C826ABECB2CC36EBECB3D0462BEDB4D4566BEDB5D866ABEDB6DC76EBEDB7E0862BEEB8E4966BEEB9E8A6ABEEBAECB6EBEEBBF0C62BEFBCF4D66BEFBDF8E6ABEFBEFCF6EBEFBF006B260C330183482041D01C';
wwv_flow_imp.g_varchar2_table(2116) := '23C607052F480C00040F73300065358C1F32100340CC30D00030F14018581CE0C11813088C400C8B8C1FC1037D1C0B0E01A87C1F330F0B24B1CD05E120B377180F543381401B74DECEE5D58CB34114127D9F301F0BF40941C01C13354B4AB74721280485';
wwv_flow_imp.g_varchar2_table(2117) := 'C25228B9745D35809F84F27580628F6DF6D968CFD4C97769970709562AE150020019B45DDE6E5114749DDDD1B5FF56D07973F33D9D6700E89777416BD327B8718BF061C752433775385D8B3337D6D02A89E146133A54BE1D569F384205009D7B3E1D1EBB';
wwv_flow_imp.g_varchar2_table(2118) := '11D484E9E31DC13A754BCC8D8111AF3767C713B56F77871BFA0170420400D09EFB727D0824C409C33B4758062127CFF852A33BBF5C595E44D18410D21B6747F6CD1DCEFDF7E0872FFEF8E4976FFEF9E8A7AFFEFAECB7EFFEFBF0BB2A4102F18F0641FD9C';
wwv_flow_imp.g_varchar2_table(2119) := '9900420A0419404002313300FE18B303004860200920C000310384057EC604F713A0031DC385374C5033FDA8CF051B730F8768F07D097ACC45FA41C20D0EE4417FE1870A4368C2C590B0842D0CCC0B6118C31ADAF08638CCA10E77C8C31EFAF087400CA2';
wwv_flow_imp.g_varchar2_table(2120) := '10FF8748C4221AF188484CA21297C8C4263AF189508CA214A748C52A5AF18A58CCA216B7C8C52E7AF18B600CA318C748C6329AF18C684CA31AD7C8C636BAF18D70A409327A66B3A4C53122D020D81C8FA62296C5CB8F02615AD304428319ECE169773408';
wwv_flow_imp.g_varchar2_table(2121) := '200944C75C106406DE432483A271AF9E318D427404C0EA0672B2441E6418C8609A4286068063D8D1930040C6CD0C020C029DC716023999D450E9319B0D7220B4E824AD6898A68D19AD20B40040306909915BA452202A0180248929904CEEA7205A61E642';
wwv_flow_imp.g_varchar2_table(2122) := '8C390600F8449AD8CCA636B7C9CD6E7AF39BE00C67BE90C18C3C8A1361E71C482842314C570804149E08C5304E994D44F8C49DB6B8262492F9FFCDA4DDF29B07FB673A53B9CA817A4CA0E0B4641DE979A7002870550CE553DD04A240FFA1061C02091200';
wwv_flow_imp.g_varchar2_table(2123) := '70B1BE0CF0A0364910C808C0090217000004235501005C008406264F821445C81390C01996BAC0083928420E046205257C8F020739C068CAA0053400600B46254819B630BC032000210284E966D0A0050010B50C57A82A00C6A085AA7E61784F2DC84307';
wwv_flow_imp.g_varchar2_table(2124) := '6202D05C61AB0038EB40CC0087E11140A802016AFF04A8C0176CC60C0631C440A02310BED60EAE05916058998219A020A4129EF06B251A1109434442207FD0EBEB2A2A54A1B22070888826633C318A4A74B6B3001805410C0B80460CC4B1A8051FE80CC2';
wwv_flow_imp.g_varchar2_table(2125) := 'CFC50403219130AD4062FB8781FF24B57204F01F02180080085020709028DB63EA8110D902200E087129001E703FB30176200688EA41840B805838061F283403160862841194D5200F00C0FD367040009415062D25DA031E2AD5847CA213D1A469F3FE62';
wwv_flow_imp.g_varchar2_table(2126) := 'DC81D8D520CD35EF496100821BB4340921050017AC6A060B02E00D7C204CBFC22BD788BCF7312A25487907E28181DCD42068307041DE5006817841206EF05EBF621681E82AA410D79C6DE1063251C098410B55004003711A529F1204AF07B96D41AC5005';
wwv_flow_imp.g_varchar2_table(2127) := '1B2B184D1749500725F48007F8B62063B803E506F261110C047898B10200947056A46EE10D467D038E0B12608644610AAE138211B05726143A68447710881F3A3C101400E0CE069AA9445BB580D7A25E81CD05C1B3125C908419F314001F1E48F1628C04';
wwv_flow_imp.g_varchar2_table(2128) := '231C81A605E4970964F0D1D8A838D09C31C7409421D91B6399224430084D7BA083D239F95F5215DE8047C3515BBC02960431A6409423DAC918046B05496C2CA836904C4482128F05002868FDAFD4A1461F07A987B0894B0F001057231F14E33C0A928F84';
wwv_flow_imp.g_varchar2_table(2129) := '14FB1EC726260B09D20F7D2806D8C7FA47B20DCAED6E1344DB060DB2B751E8ED657B1B9CBD38B74006000001A493DDEC2E80000A30D0780B84DEF47EF740E09D6F75AB3BDF96F907B98514100021F904050A0000002C41001F0004023E010008FF000108';
wwv_flow_imp.g_varchar2_table(2130) := '1C48B0A0C18308132A5CC8B0A1C38710234A9C48F1201E818C0038F2B4EF9F407E15438A1C49B2A4C9932853AA5CC9B225C3272E63C6E4433094BD8E3273EADCC9B3A7CF9F40830A1D0A8026D1A348932A5DCA7427CCA6481D11F408B5AAD5AB58B33A25';
wwv_flow_imp.g_varchar2_table(2131) := 'F8148005004200A488C245ABCB4C66D3AA5DCBB6ADC1B002E18685EB1665BC7FFBEAEADDCBB76F4A2941A4481138C4E0E0230010FBA5C8884FA5BC8B234B9E4C7960E0C1169E7CE55A39A223468528751E4DBA34D62F6A0207016B01EE91C1A61DFA411B';
wwv_flow_imp.g_varchar2_table(2132) := 'BBB6EDDB3CD57C012058A0851289BB1674F4893871D388A602C089BBB9F3E712C1E84EDDF56B9484A2A56A2C68E7D3E4E4992043FF1F4FBE7CC18B60004807A046B0F08352451BB4A3513BDF4200FC1405100F80C78EF29827E080A4C9211018DA3902C6';
wwv_flow_imp.g_varchar2_table(2133) := '450E65E71D000FAA41D0837AA941537203D933D03FFD11E8E1877C39E2881CDAA5878754E92588D0279478779C8800D037907D0351A89584046504004820F6E8A35F6A5C84A384431ED4628B00B44823008B7867E35EC47CC4E38F545679151752EC5610';
wwv_flow_imp.g_varchar2_table(2134) := '8E003C21C5534F08F19E40D94128908C022D49D037C71C130A7B780479D1220C5A69E79D544A81D81330F1299084B045715D98035D579093F2D961078EC509748C41D07C93CB83712E3290A55E10758B40CC4483E7A7A00AD548225BC4559814D3E128DC';
wwv_flow_imp.g_varchar2_table(2135) := '11704921158BDEC9FF27D0226AA0D92842D03C6AD19FBE11D69A584200175334D5846AECB13B0502002C038161016C5A22A4D840474288648C8BD667662EE2A4E390A50385F5C3663F789502582D4D83ECBAECC6A4C82303719208005B7C116D41830971';
wwv_flow_imp.g_varchar2_table(2136) := '84A11ABD39A377E032F96439EF2C74519D00F02BC46619409041BAE66CD3EEC41497644A419CC08BAF407E264C1784F6B938DC760FE622D09C00203C2B930551C00100C202C0C1C3C1D65CF1CD3803D50BB30285C1C6200629AB5E28893022871CF6F2FA';
wwv_flow_imp.g_varchar2_table(2137) := '2DC8276F9990CA047D7C441304F14B92C43967AD7541545D3C0B009300C0062617138489408F940D401BA5B49188DBA5CC8B908CC615F4841886724990260279FF674D3102F94250A608051952365B27AE3841CC7E6DD0D78A98228A409C2CCB09279303';
wwv_flow_imp.g_varchar2_table(2138) := '70B12E03C18278424B7AF9E7BD310EA44D41C79C5E104D8EE057D2389F2F2EBBD68E03503941A2642E90EE8CD70E40EC0B8971109D03B1128A35E420747A2BF0217491AC0B013FFBF413AB2D902EB3700EB4413CF7EEFBA1BB1CC48AA5011744C81900A0';
wwv_flow_imp.g_varchar2_table(2139) := '32103A00B0EFCDFB0459C324B834F1815F218EF0C1C89BBF4C230E380DC11AF506C8AE595CAC6CD8E31CE344010B53C0A2765F83850207420D81ECC2179F081F41D4173EF51D040AA8F88640D87710F98D1000C658C426EE372B84A96320EA38C70B0948';
wwv_flow_imp.g_varchar2_table(2140) := 'C39C614F21BA70E0ED0612C182646F20D91885E0FF0407805AC4CF3B1ADC45F834480754A84E21C6589F42F0401F3D640A1EEC18C83A6AC8C5E9496E24CE28862F9A51230DC60F1526A4434148583C88F02D8300488342E0D1C53A268E778F9B20007A01';
wwv_flow_imp.g_varchar2_table(2141) := '006910248C8024082F20648D5D141200921008DF0C1245141AA46008F185121B228F2DDAF1927762431E16C2393D164417DDBB5E365271BA623C5120641C88194D281027008015A71088FC92E8100D4A1200BC302342E8B1C578ACC3971DC2A430051436';
wwv_flow_imp.g_varchar2_table(2142) := '00286212C704C0F60A82C7858C43190070C62907E28C818C1195E64B642BAC3148281EA419A8C8A5317499905E1E241B7E1CA63AC9238A4B94CD7A0351C444B4214D539A729ABC482541F4E9FF0B633492208DECA643FEA99060164480DD00073194110E';
wwv_flow_imp.g_varchar2_table(2143) := '8174639D1025CDC5DC192F7856C49403491DE014B2D182F41300F4A48819094A918686A3A1114D29693436904B500413B1A8C5208B61449096529F07996633044752A16C234A03D1874A875A99CBED7022B5A8C44152E70C55F04215D404004E0972CD88';
wwv_flow_imp.g_varchar2_table(2144) := 'B8CF1BD6986A335859914AC4412095A80751C73AA0B0415520AD48EB406A3A90B326448C829CE642BC91D34D4CC4134A1D082E00B029B2FAD52F97E0C41CD8204F831456217625C8269ECA3C83B482178FDDC5534D5790C63E2479D88CC82FF6FA0A8104';
wwv_flow_imp.g_varchar2_table(2145) := 'C320A3B88558FF4ADABE2C7320C57C8825120B80566C82791E242700CC88510BFFB676AA07E9694F19028A4A3402B49E1845244A4B5CE81C02007BB0044262E941833C55A003615E2C27D20CE84EC41002F9C31FCCF0862B14F7BB6919C4610F22DE410C';
wwv_flow_imp.g_varchar2_table(2146) := '620E8A98C3F630D1052BEC210D7590E3400E6189E30A641396B06C42DC8ACB8AC8B621E91CC87001F0063300600C00102A7817DC96F33A98206C2048120A328534A04F208720C4712DF1DF5DA06213A7B02C19C9C85F631CA20E8AB4AB364E39C8F70260';
wwv_flow_imp.g_varchar2_table(2147) := '090DF144410C5C600094E10D0CCE315F34C986C10AE40A4998024190C0041DE800219B906C2B766157E5DE379176D52739B511CB441664A362E8010B2062603710F80E6FB80300D0D08731A0610C86E8878ED70C9540A8F7FF2059E8429CB3209044D422';
wwv_flow_imp.g_varchar2_table(2148) := '159E08452710C204837810158BB420881D7B905608620F07B19A405400841C4CD8054548420E102C10FDC0810F77C8341ABC3C90320040CD6C0E35523649103A0B24085840F5405651938280222187D08493A9DA5A106738217415481DD4D8D65A9C0103';
wwv_flow_imp.g_varchar2_table(2149) := '197819006C209022E400080070C18407A29FFC0804C777E0B440282DEA6A2B050B5A10880FAC808551792211B8E8AC480461104DD8F514B1CE6942D2BA09557C602020B0810B002069000061DEF37E4819BE805D6BFBDB27AB21C81094301082E3C140E2';
wwv_flow_imp.g_varchar2_table(2150) := 'DE150030A410444B15B30381F84002ADDF86B4A0052A98F710E64DEC7F7BFC2AA51A4811005098C208A13002FF010400F00A00B41442CC04C111E118B289402784DC0A91632D42B001610B1C082A500100600082183884141F4FBA4CD620851448802013';
wwv_flow_imp.g_varchar2_table(2151) := '30480A068E06380884D3D41E0897C8A1AB83F8C2127BD0E529A64B4D44DBDC1BC5E0AF4024C0810AC060040301FA0E840E02892443E9785F495900000182F45D21593F888CE438863DF0E02069B0B240E85A8740E77AD600E0AF1BA280818280A0052E20';
wwv_flow_imp.g_varchar2_table(2152) := '02BC850E0388482318C19852DE471F12AB7B852562105E42EAB0DA7FA2980E9638453E0B5DC4D209E4EF03690100469E7B005C1E04236F0420A45D9065A453F4A44F7E44D6501008385F020978BA42FE600838109FC2410E3285FB7C884378D0AEC973E5';
wwv_flow_imp.g_varchar2_table(2153) := 'FF29168B5B84E0DE030060B40B5A30810AF45EF9F0FF49F4219000E73B040D041181CC06B20211BC802104450605714A6802005420100F501099976FD25711A0167F10384507F174F3877B09B076BC57103A621009D8771470107DA66E85B6044E006307';
wwv_flow_imp.g_varchar2_table(2154) := '3810117010404710E847700CD10872E0099F150F1A1281360811F6077DF4D78010207404910A0AF17709788100F0023A700315865C07E10D28261084401034201042060062807EB82710C826709D76074E6609F47106687610EBF080FC401537788306E6';
wwv_flow_imp.g_varchar2_table(2155) := '777C577F00507F4498108000081B38101ED08009B8764788045E00050DD1840211850040350AD17108E1079665097D000087A07207F18067FFF8882157104FD7800F0108CD060013807E0861000341012710820F81032700003CE00677B0770451774000';
wwv_flow_imp.g_varchar2_table(2156) := '021F68105550109B70087DB007713060BFF588B8781E0090860471816FB810B78863BB37105177104448000070640C512EE7820307610200400114008DF076850A21060E070095905700600E96948B37B8056B403A11F10678607A0B3101AD080006C089';
wwv_flow_imp.g_varchar2_table(2157) := '519310B43010292004FFC7023E372D2F0303BAD7790D0802CB56109AB704559006395005E8088EB9083503310445A00216000215508C05610511210177C88EC838105BA61068900232B0100F206CFA7810C508049A978587D70355F08A04361077879037';
wwv_flow_imp.g_varchar2_table(2158) := 'B806782093CCE708A6E76902FFE1820020011490851191029A2810091000EE9810708063CB401036F091081192E8A77B6AB87600B00307716446406F30999034C9207040098DC00807596C20702E02817F0070030C0102E54210EE4800459910D9504102';
wwv_flow_imp.g_varchar2_table(2159) := 'B10368E9102000034109001E508784881075979567C87C0321982DF76A05F10552F08FCC66960BB1032327017DF78B6F9910E5E010173974BED7792CB8011280020A7195806983D3C11E5AF706B2620558A28555600597D8104050048468004319002BE1';
wwv_flow_imp.g_varchar2_table(2160) := '731398800FF08B089104A0199ACA871A00B01B65E1055CC09852F08A2C49702C69104F011B08A17913F107731813CB0900628606D5E99B4AE72D22910EED7010DCB910E6FF0000E0600EE5E910E75011EA309EE3109EE34910EE2010DC199F02419FDA99';
wwv_flow_imp.g_varchar2_table(2161) := '77667817E241108EF8101E618647D10FFDE910037A9F4AC70F205186095A1220610F1AF2A0FC600F113AA1122AA1067AA1189AA11ABAA11CDAA11EFAA1201AA2223AA2245AA2267AA2289AA22ABAA22CDAA22EFAA2301AA3323AA3345AA3367AA3389AA3';
wwv_flow_imp.g_varchar2_table(2162) := '3ABAA33CDAA33EFAA3401AA4423AA4445AA4467AA4489AA44ABAA44CDAA44EFAA4501AA5523AA5545AA5567AA5589AA55ABAA55CDAA55EFAA5601AA6623AA6645AA6667AA6689AA66ABAA66CDAA66EFAA6701AA7726AA218F0017C38A710A80119C0000F';
wwv_flow_imp.g_varchar2_table(2163) := '23100C700000308AC988A710989109710033008A849A7CC8FF9891C0060007507900C0000CB0A8C907A800D0A8995AA9217010926AA978C789041000863AA9950AAA10C80219409B0251947D5A1034D067AE83AAFFE68E19100135C0000180A903C1ABB4';
wwv_flow_imp.g_varchar2_table(2164) := 'AA74FAE7A7AF6A109FFAAB4A37AA02B1010251AAC63A7AB439AABE8A1080D8AC974AADD67AADD89AADDABAADDCDAADDEFAADE01AAEE23AAEE45AAEE67AAEE89AAEEABAAEECDAAEEEFAAEF01AAFF23AAFF45AAFF67AAFF89AAFFABAAFFCDAAFFEFAAF001B';
wwv_flow_imp.g_varchar2_table(2165) := 'B0023BB0045BB0067BB0089BB00ABBB00CDBB00EFBB0101BB1123BB1145BB1167BB163657F94A1895A5006B180B1F24719144089A3E029202B1363F997CB9A0004A0A97B410145E0693879B239416CB8FF4700BAE916B6498E341B133E481A61D9B32EE1';
wwv_flow_imp.g_varchar2_table(2166) := '0197991603A7042E887202610556F0044AE06594000AD023B42A6105A637703F861255F004D342B59DF10F0F58A04DF10FF3E01065E81F685BAF67AB17A32513F4700F05810F3AF10F3C02A038B39FF729B67D817C2321A0FCA9B7DF9517826BA0760B2A';
wwv_flow_imp.g_varchar2_table(2167) := '80FB57833BB80481B7D8DA118E8B1790CB1C7E15B991BB1C1E71B85E2B20FDF0B88E2B10922BA6850B9803FA0FA41BBA997BBAA89BBAAABBBAACDBBAAEFBBAB01BBBB23BBBB45BBBB67BBBB89BBBBABBBBBCDBBBBEFBBBC01BBCC23BBCC45BBCC67BBCC8';
wwv_flow_imp.g_varchar2_table(2168) := '9BBCCABBBCCCDBBCCEFBBCD01BBDD23BBDD45BBDD67BBDD89BBDDABBBDDCDBBDDE4B11A6FFFBBDE23BBEE45BBEE67BBEA5010D402510D0000CE89B14CC000D00000DC32010C2C0AF6D6B47C85010C3000DF76B104E700267A076EFEB12FB3B10F2FBBF00';
wwv_flow_imp.g_varchar2_table(2169) := 'D075008001170600FE52C03A51BF00300CC250BFEBFB6204613212AC13C8300CC8A0C007611400200C0CDCC12B01C2223C10C270BFF8C1C12663C228CC12071CC209110B2BDCA508AA9D204CC106610B00F0B1333C14F74BC1B4B167431C13195C10B431';
wwv_flow_imp.g_varchar2_table(2170) := '2349FC13EE5B166AF2C4545CC5567CC5589CC544E51170ABC53CC10FE2A00F7CEBC52CF10FF58006E15086A44BC62EF10FECE009C4800CA51BBE6C3C126E9C0AFF700BD140C7F70A0DCC5047FFE00E40FC0FC3500D7C7CAF7FCC456EFFEC0974FB0FCC40';
wwv_flow_imp.g_varchar2_table(2171) := '0C872CAFAE2010F1B872A1E009173C3D6E9C09A40B0FE20007E140B7FC0A84EE2B10034640E9E00AF4000AC80007D94047035BBF07ACC9F0E007AE000AB7400BFAF00FF930B0B33C40FF700DE5A00FA9000ADDC0CB755CC6A49B0ED720CAF0F70BC69A0F';
wwv_flow_imp.g_varchar2_table(2172) := '2041BA63FC6F010600D0E457F23B0C16ECC35C940FBD0C7FD9FC57DECCAEE0B00D0F2540D9FA9FF057187D99CC25310220007720906FF7666FF0AC1243A0B4F93C12195810D9B6055A6096039DB50261043AD9CF098106D9860665807F5AA005DE050057';
wwv_flow_imp.g_varchar2_table(2173) := '5006DE956D3636B30AFD1014E95D5957605F651041BBD10DF10703718B09F107AD49D204A154323610A350092FFDD200FF70CAFDD66F2C7D10314DD302F1D232CD8D4AD50891D008861009389DD30E310A0BD16F2B8DD403410FF40000517DD24AD56FE8';
wwv_flow_imp.g_varchar2_table(2174) := '88D1C3E6D408A10F0A361091080044906F0070991050B45A7DCAF0A6101E5077267097EFECD4F9A6891E287D0D786F1396D05A5D106810729AF7CF0551636F10077D60D2240A126A96BF4C81B911B89ABB38D068F006F857634B6BA2A2D70FD5DC13021A';
wwv_flow_imp.g_varchar2_table(2175) := 'B68A3D7A9E60607B6D601AADD70451042E60047EADA5997D83952960335660C298041AE0025330D103418D5C9AD97E0B8E9BF20AB6A0D4039170DAD8D2628ADB6AB6D9A3A7B75C0D00F52054C90DA6C4FDDCB97D863538106D3B5A62550FD7DDC5585ABA';
wwv_flow_imp.g_varchar2_table(2176) := 'FEB1C673FF3CC78F58A008CA23C63DA5D0FDDC9F56DE397DDEC49DD70CA1A08D9CA0A27CB660EBDE0A01DF0ABA23F14D1560ABDEFDBCC668EBDDDC0DE0F68D10EC4CB99C0BB900600F918CD4CCCDD510CED508CAD5F910D5D35DE006FE9F048EE109D10B';
wwv_flow_imp.g_varchar2_table(2177) := 'BDC0391ECE2C224E0D230E0BD4C0471C6E1002300000C0E202210002E1E22C2E000D300E0BDEE0F03C000540102CAEE32C5E000310E4414E10E78017F60DE40000E4489EE40381E42E2E100560E329DEE249AEE350BEE43B1EE3535E10595E10300EE508';
wwv_flow_imp.g_varchar2_table(2178) := 'C1B879AD00301E0630DEE505C1E20A20100CBEB6F63D0BA4C6062C45100EB0E509310700F035DF63E77CAE1261700117D0E70981E660EE005F2EE888184E125D4EE889DEE88E7E1217FEE80C21E6888EE36C1610000021F904050A0000002C41001800F7';
wwv_flow_imp.g_varchar2_table(2179) := '0145010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C487160BF7D15336ADCC8B1A3C78F20438A1C49B2A4C99328174202002AA5CB973063CA9C49B3A6CD9B1BF90C7483889123812D710A1D4AB4A8D1A348933EC42390A9D2A750A34A9D';
wwv_flow_imp.g_varchar2_table(2180) := '4AB5AAC2422B2959DDCAB5ABD7AF6017FE042086E0CA50F6FE855DCBB6ADDBB7299DBA19A8B5124681FDF8C1DDCBB7AFDFBF65058EFD4BB8B0E1C35E7D225ECCB8B1E3C790234B9E9CB8905D0077296BDECC79B1A3428E18E98C87B9B3E9D3A8DF2272E4';
wwv_flow_imp.g_varchar2_table(2181) := '07F33EB5A963CB9E1D756C26D2B473EBDE8D934F25DEC0830B37A973B8F1E3C825B2D69ABCB9F3E700FC14620EBDBA75DD8500C0298DF1DF3E7AD7C38BFFA7EC07D1C0CCDFC7AB5FEFD816FBF7F01987FB674F20ECF8F8F3BB4DABBFBFFFFF000628E080';
wwv_flow_imp.g_varchar2_table(2182) := '041668E0810826A8E0820C36E8E083104628E184145668E1851866A8E1861C76E8E187208628E288249668E28928A6A8E28A2CB6E8E28B30C628E38C34D668E38D38E6A8E38E3CF6E8E38F400629E490441669E4914826A9E4924C36E9E493504629E594';
wwv_flow_imp.g_varchar2_table(2183) := '545669E5955866A9E5965C76E9E597608629E698649669E69968A6A9E69A6CB6E9E69B70C629E79C74D669E79D78E6A9E79E7CF6E9E79F80062AE8A084166AE8A18826AAE8A28C36EAE8A390462AE9A494566AE9A59866AAE9A69C76EAE9A7A0862AEAA8';
wwv_flow_imp.g_varchar2_table(2184) := 'A4966AEAA9A8A6AAEAAAACB6EAEAABB0C6FF2AEBACB4D66AEBADB8E6AAEBAEBCF6EAEBAFC0062BECB0C4166BECB1C826ABECB2CC36EBECB3D0462BEDB4D4566BEDB5D866ABEDB6DC76EBEDB7E0862BEEB8E4966BEEB9E8A6ABEEBAECB6EBEEBBF0C62BEF';
wwv_flow_imp.g_varchar2_table(2185) := 'BCF4D66BEFBDF8E6ABEFBEFCF64BD830000320CC30FE3236F030C20C8430C1051FC630340C0B9C70C203014371C38509A3F1C4060183B15F910CA4B1C408A962322A1FC345F1C4171BB4492B026D92B25B1C53EC3142A8D8319013004091C6CC5D0DDCB2';
wwv_flow_imp.g_varchar2_table(2186) := 'C5099D41C509025902345B2D1394CB4196A8B2745B16DF4CD0CD481074882653F7650B30EE01309841510872902466776D15D8150370C6090700100500961002C00C009001C54076A7FFADB6546003930BD8B6E412F6411818E4F7DF557D6DD0319D4041';
wwv_flow_imp.g_varchar2_table(2187) := '03147B174447416490C138589F08E4040D782BC4F3E64A1D7E502A027D407A586C23148B408B0C848341A38F2A81406568F1F4869D089478430C74BA010704A5920C831E1BBEFB42BF17E444E8C10B1441A3293C04C1115F0080C683563B1477F303CD10';
wwv_flow_imp.g_varchar2_table(2188) := 'B740253C4A01040A6D40501928328041F40C1C1041062C385A3D00012CF5A1060F3D20420AF5BB53FE081011F601A0084500C241AAA004253C617B950845231E840C68708408002082170492BD3B3D018358AA0FA2EC214286D80323288C513DF6718F79';
wwv_flow_imp.g_varchar2_table(2189) := '10E81FFDC84D0A09A2178EF0033699A9510ED713C382D49036FCF82100FFFE711F74F1A387C6D9E1EADC7211EF38F135505CA214A748C52A5AF18A58CCA216B7C8C52E7AF18B600CA318C748C6329AF18C684CA31AD7C8C636BAF18D708CA31C45548F3A';
wwv_flow_imp.g_varchar2_table(2190) := 'DAB18E739C493D0060473EE67126F7F8A32027938F8308719026A9472011291377C0831EF988643EF8011E46A2A41FFFA887240B694993E4E31FCFA0C53FE4B1C94E96E41EFFA0C51F98718F7B481289A604092A6D918D6C5C6394F738642C3DF2495B4C';
wwv_flow_imp.g_varchar2_table(2191) := 'E31FB678C63FE8A1CB5D72A497D980073F6C318C7F2CD2981F99E52DE9F10F6608B398D0AC082A69918D61DE22139128623637324B644482169E600611C539CE8A7CF21A6F28872B88910A76B633237AD1C73FD211FF0964C00696F7D4C8272BD98F7AC0';
wwv_flow_imp.g_varchar2_table(2192) := '23A01EB92126FB210F8482A41F7969073B0632518766A4A1E998281C10D10D8B66E41F072D4824AAE0518AFCC31D25FD083CD2010094A65423F568C74B3712437AA8C31CEAB8A9A79EC12288D654A6329D69449088CD4CF154A8484DAA5297CAD4A63AF5';
wwv_flow_imp.g_varchar2_table(2193) := 'A9508DAA54A74AD534C610A055B5884FB35A109F7A15AB52FDAA57B92A56B00A0B19C860063498818CFE6C75ACC842C651FD535688122B15BD1B505DB70A2CD09845208CC8447FD649587BF68A612D230600148B9FBD9A55572B2B48C4F2B357640D0319';
wwv_flow_imp.g_varchar2_table(2194) := '4DA3AC5847148C0961364076E52B87944190CE46A8AD028BD8C0BA171FBB8A481A5C1DC8360030DB81FFFCC2555725510B54505517D800042DE8C0081428901DB860AA407041728790838128C10A514D0241B4903BED69410B68D08240B22B102E0C0408';
wwv_flow_imp.g_varchar2_table(2195) := '249DE916AABB3D345C6121E68D6D1CDE7090D62095BD0DF1447BFF80D4DF0CC4139EA8447E09D28848F49720F445EA282A31E0511064BF22FDAF4042C6545C08C4BE0351300026680800F40100069CE91EF73810FB0202007F88C340CE6B10083C60A96B';
wwv_flow_imp.g_varchar2_table(2196) := '2808107E2B100A14C4C4009080FA00E00100B460072054EA89635C9011E0B8084A10C818B487063308E40E78B843364D4010191F04C800082F00EEB03D83A0A1CADE05801AA800CD20174120CC8D7241D0C05E33BCE10F1706007C0D52052B4877FFCAF7';
wwv_flow_imp.g_varchar2_table(2197) := '242974B5B7058198D9C86B26F1101CD2042A64ED074230422C8D7CE5EB0E592149C8011288C068816C70CE4706009793800424085A088C4CC6040952E5814C41023BC8C1A107526383BC992082E6010F5E201014C4F21605B9C52BEE0B00D42144BE05D1';
wwv_flow_imp.g_varchar2_table(2198) := '6F2A5E47104A809339A9084A2CF5A10F82D4431F78ACC863C7596C00149B1ECF8CADB4A74DED6A5BFBDAD8CEB6AB74D18B5E70DBDBCBF076B7A9010017425500B12DC0000AA06E00146020EF16C8BBE3CDD4750F00DEF62688BADB2D557BF39BDED58E37';
wwv_flow_imp.g_varchar2_table(2199) := 'BAA72A80060060010E00800208A20005B03BAAA6988340B27089832C9CAA7900802E00600A6D5FFB025958406CEF5D10740BE0E21E148FEDC001B0F294BB1CAA86B576CC9F5AC20E05040021F904050A0000002C16001800F9014C010008FF0001081C48';
wwv_flow_imp.g_varchar2_table(2200) := 'B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C581FBFA5DDCC8B1A3C78F20438A1C49B2A4C99328534AA4042095CA973063CA9C49B3A6CD9B381FE21988C78F2346023DE51C4AB4A8D1A348932A4DE846209FA550A34A9D4AB5AAD5828E1C018074B5';
wwv_flow_imp.g_varchar2_table(2201) := 'ABD7AF60C38A355848A01A822C3DEDDB37B6ADDBB770E3966C0A60A740A0A1EC0DE4F74FAEDFBF8003FB5543F76EA87F7A016814CCB8B1E3C74ACBFE049069DF3FB690336BDECC5965D9CEA0438B1E2DD14FA678A453AB5EADB99023448EFC5062DB97B5';
wwv_flow_imp.g_varchar2_table(2202) := 'EDDBB8DBFE7C9ABBB7EFDF5361FB014EBCB8F19B8C62673ACEBCB9F392959E4B9F4E3D229FE5006863AECEBDFB733EA1507BFF1F4F9EF8220088EA029057BEBD7BD678EC0E1758FBBDFDFB99C514A4F40A4062FC0006D8D830008863CF62FC08A8E0827E';
wwv_flow_imp.g_varchar2_table(2203) := 'F1B31883104638953002FD528D841866285532C968E8E187456503E28824DA94CC38DD94A8E28A2CB6E8625729BE28E38C125143E38D383264CE3639F6E82300D2FC28648E310E69E4914826A9E4924C36E9E493504629E594545669A56DCC1073E596DE';
wwv_flow_imp.g_varchar2_table(2204) := '690980970431030033C87069A66A5A0EA3E59A038979E69BBF11F8E598006003C03370E6799B9A053D038D9E808A76CB9C0281F9279881269A999C720260487A8A46AA1981C3342AE9A58B022027326562EAE9809A7E2AEAA8A4966AEAA9A8A6AAEAAAAC';
wwv_flow_imp.g_varchar2_table(2205) := 'B6EAEAABB0C6FF2AEBACB4D66AEBADB8E6AAEBAEBCF6EAEBAFC0062BECB0C4166BECB1C826ABECB2CC36EBECB3D0462BEDB4D4566BEDB5D866ABEDB6DC76EBEDB7E0862BEEB8E4966BEEB9E8A6ABEEBAECB6EBEEBBF0C62BEFBCF4D66BEFBDF8E6ABEFBE';
wwv_flow_imp.g_varchar2_table(2206) := 'FCF6EBEFBF00072CF0C004176CF0C10827ACF0C20C37ECF0C310472CF1C414576C71ADF978750F47F6DCE3F1C6172F55DF43231F858F41F5D593F162254F946082215BB50E0033B363D2391FA9B3903900C003403B0B9DC38E3A43B383B3D136F71C3354';
wwv_flow_imp.g_varchar2_table(2207) := '333724CE3B0596234E390899038ED50BF1285037D4A4A8F5439F6C11871C091161455352C001C711444074C5155B10040A00DBAC634F3D4BD3F4E040E6E8FF62A341E90CD40B41DF74C463D75F4F140E00163864050055B400800900A460020829384442';
wwv_flow_imp.g_varchar2_table(2208) := '1758ACB10A00E08C93F750E3F03CCB0205E90280E807BD538EEB54BB5E503AE69C030ECE28D9A002005248243900362C148440710BB40C00D48CD3F2E8338123501B1195F34D3AB05F04CEDF160D41500E037D7150E602813F101040E80E44418F1774BC';
wwv_flow_imp.g_varchar2_table(2209) := '38CCE7843B45E94CFF0DD505B15F1234E47C933F004C2064072F036101004410111700C00AC33B0835C0018E7FECAD7D2AF90F0006D710FA01407A81A3DAFC0A6241855CAF20BB13C8107CA0BD200CE10BB220C831A0710C81D80521CE2088149EE08527';
wwv_flow_imp.g_varchar2_table(2210) := '54C1204FC821150A92408450C31C1284204CFF52384189CC6F6A192CC8ED18420D7180431C4DEC852B82A004EE01200852C0E2405A381072708385DC18C89F04520B67C430860CC9050062510B83680F0B0781623982284494E8651ACE834544EC37106E';
wwv_flow_imp.g_varchar2_table(2211) := '3C7120E3089D40C0A18BEB614F21260CC2EEA490832124F0737D0C631801700C74AC901CA1208833AC01005FF88221B12846417C30901E12444474AC63496AF3C38A94450813001D1F07C93AE481A31784741EE854A74B114A81948E2488F70AC20D4942';
wwv_flow_imp.g_varchar2_table(2212) := '639206E1A4409A319058D00221CF5C08058FD78B43AA12263C738837BCA10D83582093BD1C080317884B6A604F7504E945914C4810ED6DE117752AC89FBE0800728C7120681C0821B0A3FF1035D86120573065297A018B815E732ACADC8540843004F129';
wwv_flow_imp.g_varchar2_table(2213) := '909CB78C28E80E9208250804980269641F0912C6631EA48DD6D00633057208F48CE216448467410088462EA4B314B0181C050FBA146BA042A10010430A8ED0386A94E376BD2C242E870ABA72A2F3903D54A4F74638906984711A00F02834BE71CC790220';
wwv_flow_imp.g_varchar2_table(2214) := '14D618A9405A4190CFAD2285C7C80557573A062F1CA41434A50938DA80BA89042F73D843AB124147C889124497612CA1F604A2852170EF174F95E49DE829908E1244AB04C105003E37C64D0040155A6D862FEE809098EA5120304BEB49D0D910569C0200';
wwv_flow_imp.g_varchar2_table(2215) := '0AFDEC0F8A801057144F0E60201B2491B74B5DCA35083FC8E840B8078760FF08E41B4E75EA17775BD530661221FD01804AEFA01F282CA29B02F1453E1132385DFC832FDBD1AC48DEF7905D7CF620E104C017D6F0852F60517BC18C1B18429188529C4316';
wwv_flow_imp.g_varchar2_table(2216) := '50ED5D0E347A90DC02801B78826A47C348218588E917B218CE18C43085251C4294920540315C220A81C07420311D9C651E28DD945C60010A1848DC4ACA0A9C0AE40F0859C31A06B206307418001AFE0218F080852FC8151A7431E540E2908C6720134F02';
wwv_flow_imp.g_varchar2_table(2217) := '7189189FA1D2855854093724482D5AE14981BC02AD052D288201368C6A5C631A471E4B0910B2800B08240C008082265801800AA3822168183141342C9035EC64C37215086CF7FA5D81C841A5504D08349C5A5F009C41FF1502F98C4094704282E8E00ECB';
wwv_flow_imp.g_varchar2_table(2218) := '05002E6E7159C195A214619829BF2E34906B0000AA49BE4AA70AF2842804017524D06E1300200900A0E2BA0C11F13041AC69306C57BB7F43C659061242C6018011B2302632491BDB369D5A2069A0CB1ED030062DB8D4203B048025DA580C68C82218831B';
wwv_flow_imp.g_varchar2_table(2219) := '284CC33C9093D9EB42D9303441D2AC6C6557C54E0759C40B0B5269009C82CA793608890150E2356C61C3DD03B13965918D511764040329938BEF020035A420B63D804354096205248C011153A882591BE28B4DC4821CBD90454C01D0E7E761E45F474EF4';
wwv_flow_imp.g_varchar2_table(2220) := 'A10140E8B07863217A0040C463719061C2B1CB06E1F240A8218B7B921A218B1E480F007007DE2C3A7D05FFB942419490EB8138F6B7BD20E84104ED2F440FA4E16D79B898C3200B2246BC20EFE8C6E2060249A074790B9E0683148A274E8F1B646E029185';
wwv_flow_imp.g_varchar2_table(2221) := '309089900B0D631A7E48DFADB5D0DD2FA8BC207B9D08CDE5957086B757D9380F4B287231E08394F420939443232A91881FD798886626881CCEEB8A831C2393C1B50542BEF0848210A81116DD3A00DEB669821CA129F371C8D8E585648254631AD11053E5';
wwv_flow_imp.g_varchar2_table(2222) := 'C3C292234CFA22BFA05016A51076176E98BCC1151C0084516382145E2080E83B413CBEEF81508825DEDBF417B68086836C610C9419083A0EE257816001A6BDEC0783D99566815C28EDA2F1C46FA3F3053310E4D6621E42E90D7C278FB6F980E11E63FF9B';
wwv_flow_imp.g_varchar2_table(2223) := '3D5039834C23F508690400E41007350BB720062C3E00E4FADCE5B92B1AD13088C2C52204C9FDE00751A010E4C045A7D47CEB07006A5310DEA55D41C00558040600E00AE877104A7004E9F627217710B63028F276102E3002BBF38100D00104E109D85038';
wwv_flow_imp.g_varchar2_table(2224) := '06E103EB3564FE51737E710442F0036D6310E2D00DDCF07D28888208A11502E1088BC083D3760BD3A08302D103AD7604A42504C341210468115B604A6C00068900007F000850C7431610048DD36035713E09E10A54F70D7C447108F10908110A2C316F02';
wwv_flow_imp.g_varchar2_table(2225) := '01633DD0033B30720421406A18673BA8050D016E02318579080872E00AB6E54604611999C5851D115D10711E02464902E10A29940BA1FF500B9DB0106648107D270CB9C50D78D00346008732003C05515F851780160165539805043185EAD75543600139';
wwv_flow_imp.g_varchar2_table(2226) := '908589000BE3201E84F812DA338307B15A72000803510BBF7510AAD009BC180BA1100A9F4009F714723B200406018751E57402210C2B2410BDB81017D70504317789F055009008C7530A7084877A6488B3C811F2400E1B11374CC71099244A0291860481';
wwv_flow_imp.g_varchar2_table(2227) := '0CD0B60345581028A01E05D18404510CA1206740C183D2D812B140861B3546C17048968556B5348E85280FC3D71167701690421014C7468E500B023946D338106870030C3146885810E440216A24898F180AC5100BF8184F05016505610FB5B17C0A1912';
wwv_flow_imp.g_varchar2_table(2228) := '40608B02612905F17673FF288D27C98E68318DA1C008D3E08C07F17D0030922A2410C5D0463AE60BA2C4949F34103C3910D056100B000624608A00F00FF30093311911ECB110AC2610B5771098E626ED286099940BA1C4760279107EF21029294604318D';
wwv_flow_imp.g_varchar2_table(2229) := 'BE8055BDC845714910C2000CC2900B2D440BB64021F1607F5D1911EC608E0C610403910A442910A8406505517B6B590CC7500C6AC48E19A9970DF1276D368003A1731F15950A4175D8C00DD0164622220BE9208E852911FF90340CB10349B01502114D0A';
wwv_flow_imp.g_varchar2_table(2230) := '61080030722B50109749496AF45BAE909910D142D03880E69897D3489996499972694FBC351022F25E92240EACD99A12610DD600990841048A2960467910FFA410CAFF89104D584C51750C148292DF79101EC742E2C99C05C18E04B85BD0594CD11988D6';
wwv_flow_imp.g_varchar2_table(2231) := 'B9117F929D0521046D4304B1E50594C5112DB49ED02092452910533510A1D0965B744F2D744909C145A2C49CCA195608810DEB86102262191EAA34F90911DC1056CA0400A2288F5E389B1C219A0A3A106AD4846A50167E8087722910CE594F6A684FBC59';
wwv_flow_imp.g_varchar2_table(2232) := '9494690D2F1A0A4D084651B55BA5F95EA7C40D1D4A9821AA10FD801A3DD79806C1151B85150C9197427955D3066265101D1E479453959705AA8F2D349E8A28463AC80DDF1046E1202248FA0DD9408499C109EF220C68F527B2D07A038108C230751E2511';
wwv_flow_imp.g_varchar2_table(2233) := '2C7A5BB33710546510852110C4D947F734A21711A10DFF910D54C3957E7109A6300902A10800A008942A108340A9968A09963A0983C02DB2400BA58077F084A720A99F2BD49E3959106F201073C3076A040DD0800E5375AB926810E1091C972010A67009';
wwv_flow_imp.g_varchar2_table(2234) := 'BD0A00A18A109380A905A158DC9299A81A550D6910F99710A1B47A940446688AA603F14CC7740BBA086E2FB4021B50A654479F09618D2B691128388881F1AB0791A90010AC975AACDDA2A409514CE20797D21A8D85457500F009B6196E00A004EDC70302';
wwv_flow_imp.g_varchar2_table(2235) := '81030881A6C7B442F8BA92D0030061C09217015D8EE1AE0E91A98360A902B10998F62C98B19C7969100BDA111F9B0D618482F4AA6D02F102005003CA981044989761803A6DE0B004F1B2DC61B173FF60B1D522AFF998A55715890ED1987D5A58E9F74210';
wwv_flow_imp.g_varchar2_table(2236) := '880BAEA01FAF274F08E1710DCB566110B30B00B50E2BB310486CC451B1028109C33A2E501A860F614F6D365F63E45E2E3628054136342A117F326A50F6B260C092610006553910102846DC200B853328EED81973C010A19A077D9B07083105DF020C7216';
wwv_flow_imp.g_varchar2_table(2237) := '462EF1B108B109C6906EB327AE1C05556956381B06816B0008B76093F62A66573443ABF8045B281016D8381698405385B7FD411706C8197D8B10806B103906003BD03F039106D2420BD8908100400B95D029CFBA10C8359A892A10F2E562F0350DC25009';
wwv_flow_imp.g_varchar2_table(2238) := '95A07E40F10CB267B713D13B9B66172336622FE408565B9F9BD1BA04B1B505C1066CFF60105C007C06D19D57220CC84021C300A548615BAF60B607516372069288B2107DCA0D50B566936458FF98A8578A1080809B670900940006059C1579E70860E008';
wwv_flow_imp.g_varchar2_table(2239) := '72209C4DA51979E0BDDC5B1059D0059B0300912610832278C127A5022C874D320CE9DB28C2B0BE5D216307F1BB08310CB54A0C8839A4EF5555EF65274F754C4E65C34427105F900A5309C30D8108B8D9089120108D4009451C1DEE480946EC8E5378B73A';
wwv_flow_imp.g_varchar2_table(2240) := '4809CBA0AF8F21B88320B80E41A3B4D0AFB0EAC047525F9C321095122A03610BBA6B14BFA058CA4011C357AB00000C5D14552F1C553016A8F085BF523C9A04D1C30C3177A94810487C554EE5C302910DABFB18810000759B72BDFF37042837C682E7A057';
wwv_flow_imp.g_varchar2_table(2241) := '522961ACB91CBC14670C7D055B3876820D458A102828B26916C804D1211C12755085AA90BB700D21140D918AD11146780B001CDC0B228B590201A97241AE1975044F406774D63B44CCCA5B4C103B11914D22A59A42299A7BB13B365648710BC9B0053966';
wwv_flow_imp.g_varchar2_table(2242) := '058DCCCA93749A52551045AC8B0741A36B607D036106706406DF4CC753B9BF75D25B08E1099520CC07B1BCD131C8EF0555949008DF307999E103E8D64EA55604490B087BBB258C92CC09810A57A66B1CD17220810BB776058DAC6661840D412B106F0B81';
wwv_flow_imp.g_varchar2_table(2243) := '246095188D9502618D166DC1BA9CA18786A4F32CB6846511C23C49D3C0120688AE8E01CE03C10105C101B1447E02FF01073C3B106A706B67D0070341B800900667301057869332422962CCBE00B0093C2D10FDC304411D11198001490B12AB105BC0FCD0';
wwv_flow_imp.g_varchar2_table(2244) := '06015F791C9DD10181719B056000D6A698C1141D696040AE64CD5185559A230B00A09CCA2071B7011D1A15301012B01162A006C03705B63B10023B10445DD425AC976E8C1062D0043320109A70112730D51E014F4A7005160500D85709C80C0021C70D86';
wwv_flow_imp.g_varchar2_table(2245) := '36955210CF72A08789F0B6DB2885881CBE143D8564434C7AFC27CFC00CBF805B314C12D330C7F7391A1000011C91B466A51FFC43BB03F1738D3B23CBDCC607B109CE7C118EDD11B2D0815700CC5F27111DB8D1DC060658E0D2410047E818045A10040884';
wwv_flow_imp.g_varchar2_table(2246) := '4078FFA8C703F10BBE56A325CD4F1F51247C611BB8EDAA451C09912710C00C8742B0B27F8D10C12D237BD9981CECD30241081FB9145240CDBC43119D321C29E050E527045BA80216F00316506ADB080A132822AC870CE23D81424B11A3A08705910DD159';
wwv_flow_imp.g_varchar2_table(2247) := '24AB01010920010920E2224E11DF0A001BA00342C0044B3003358010E8307C5456079AE058CD500CC14B22C0600B856DCC0541063F57108440080CA1D022F1DC15810CCC000D2A55099410CFF15C10A3108102F139AF800B674C107E322862924278F75E';
wwv_flow_imp.g_varchar2_table(2248) := '2E764F9590DA1041770060B6D3900DF6C33520AE1A250E0009000027BE109500E40F900100100111B1E3058103B41BD44B8D213E6E7B00400533FFC0000030699AF04F4E00004E40060341657430132E210557C0050EAD5DBAD87E1191BE696E9B123E0A';
wwv_flow_imp.g_varchar2_table(2249) := '739308A050E55775108AA5E5C4500DE00DBFB639C700000880D0C77EAC10A330E51BC73550D4A10090DEA251E2C24EE20040E21200042E5D1099943E14701006A01007AD4F005007054103001002AED7EC0F103E02713E20B0DEEDE1E3B630EEC0900BB6';
wwv_flow_imp.g_varchar2_table(2250) := 'B09E04A1E80551E935114BC05C10C371850A016362629602F17556807D036187DA6566BFF039F0E426E87B105A5C11535809A8EED6514710293247BFAEB38C21E2240EEEE04ED927D10A16A610835E102D103CC55EF1EED1E306910BB5B0044ED0048F1E';
wwv_flow_imp.g_varchar2_table(2251) := 'E4EB9EF22AB1138FF3EE6890F00DFFC10D65DC1098AEEF0661EF0521785A619E0F11075D608741C006A380EA9E90EBAF50C8D3F0372E09ECB62DECB80DEE43F0AA15475A164106925E52BEA00A65B0B2039101BB391014B0EDE407021E6F108610DD0122';
wwv_flow_imp.g_varchar2_table(2252) := 'A534E00427B010928E13A060E611210C29F4EE5CE075949DE900C5055994103ADF29CF34E409D17B035106064102EE2C10BA5E10DFE0532E991B731EE7082E10E0FC3B1121B0B5D03FFC9D10302D1063309B732E012600030000E1F651D808418689ED17';
wwv_flow_imp.g_varchar2_table(2253) := '2A4A106F10420ECD055C40CD8DA7C32EE5526BF0EF5FD22865824CFF5B10030A00867F4500D000244002C0100CC4D02162E2B35460CC1E1E9D2CBD1A774DE7B184102A903913FFE001DDEF1046F0FA906310261003A65F1039B6EDDCDE022670D70F0001';
wwv_flow_imp.g_varchar2_table(2254) := 'EA3FD9DE51E80821637266ED2A6F130DB87807081100B103C0408203BF00E062C58AC18500AE480922858BC3830070AD2A880D00378D05A7092B1892202882B108922868B2602D55049F10CC36AD1B807200F889C49953E74E9E3D7DFEF4390408101026';
wwv_flow_imp.g_varchar2_table(2255) := '0642D87964600A091E240005E0018584071E8A00D0524665C1142F5E0CD481B3050C10383D80800155ED5AB66DDDBED5F969E0879F07E0AE9532F0CA5B60BF00F8C53A11C0412915070A1EBC1727326CD0424EE3F68CDBDB20435C00A8E50D1AB468003E';
wwv_flow_imp.g_varchar2_table(2256) := 'E10180C808808E00C24D337757F56AD6396D50F080D306801403FF55109C00F4C1C00D4F09A20150AD208C182213882C6B14C00600535B3F871EBDA72D00B672D1F2C900E70C2703ED0ECC205DA7E2904A490200D673D82D005BF20A2E9C938BE2218807';
wwv_flow_imp.g_varchar2_table(2257) := '2203F02CE4E469D034720390A0604AD9E936177200C00782BCA9E61A005A122F4209A3FBE187907C0360369F3840AA883200F8B0A70D0CD8C9A8A608F2A085095764112AEAA0D24EBB9030901180F05AD4222F91FE182815A07021E8A0BD86F8490900CE';
wwv_flow_imp.g_varchar2_table(2258) := 'FB0517900AE2C6B1C83AE226154826EB6C2058084C2627040BD20C9D81C200600D003C01A088DC5A9C900334795A4843826CB8AA270936404AAD0812A81180B4062A2B360CD70434D0D568C4C03B061828A1FFB616ED1B280E38745A32A7610AB2023125';
wwv_flow_imp.g_varchar2_table(2259) := 'A43052A4350079148069707A52BF8D2403E09B4E108945540008744B4C00BAD8A2A057A6C9D2A67E04C53557A0E0008D2D0AD4E40D000828D0B5586309BAD1A7084A3041D135012113005776629420C042BA7620596CC1C52F59B42D489661C61529B281';
wwv_flow_imp.g_varchar2_table(2260) := '1AE3C6909A28C9C6D381C401409B92445231A45B40C148A44F8FE557AD69A37B4209370622D347B8AA1848891BFA65783568F0BB6BB42274AC56BA4E0121285AF6801B28128974CC699A98D44A46D42C677237A46CC25979A07442C1E61F5748CA461C6A';
wwv_flow_imp.g_varchar2_table(2261) := '3622A898F4061A23C4815489A49658D0E186BA570662AF61A501FDA7B55B97863A6A829A9E90FFEA81EC81ABE97806B2BAA07D06DA1A00ACEDF9271EAAEDC13AA4AFF7617BA07B00A0E59AA66FF9B49D82FEF9FAE9826EFDE7E97A00E847EF810497DAAD';
wwv_flow_imp.g_varchar2_table(2262) := 'AE0B1F081F82C84E1B71C71FCFE99E7BE8793BC2C6B9369B6CB19BBEFC27CEADD69C71AAFF419B74AE35C7A99FBE01B8E79F581C1C889669BE66AB1FDAF72E889FC321E77D277BF0C1E726CE7B277EF0E26F8AEE1FE4B126DDF4E601B8FD27C6AF36FD74';
wwv_flow_imp.g_varchar2_table(2263) := '009C471DA87DDE8E251C79D849251350F08E2EF0E2DD22FCD89B903FFFFCA6DF6F3FFEBB9AEEA7755A8431C493501CFCA7FFDDEF4A9FFC08C23E01165069F0831FEE0CB8C09C7CED1FC2F0433952218CF1F9EF7F0C7C0E3F0288410EAE68FF1F78EB5BE0';
wwv_flow_imp.g_varchar2_table(2264) := 'E8B7B60E96107AD7BBC707CB010A8871CD842F8461EF3E18381A3ECD7C31E4E00741F88F145AF082380462107515BDC1D15088EE0B21413EA8C325424F875CFBE111A538452A56912D4B5C22DED806422B76D18B5F04234ED88645263E318C77C9D619D5';
wwv_flow_imp.g_varchar2_table(2265) := 'B846C73DCD7F6C648B2F0E01806000C92270C4631E8F958FC901801E70F91B41FE580F020AB10FC7C8D63808B2413D36D2918F34962C923490D4F0A37390C4642635299E5D34432476DC642845394AD558035C0451242955B94A82C8839521F185305415';
wwv_flow_imp.g_varchar2_table(2266) := '8C57D6D296AC44044164414B00A4F296BFCC633BD201172918C227C314A21710361043E40B98CFCCA33ACC814CB664425A3DFF61C714BD50A96542D39B6BAC5C48D40194D40C449800B01B41DC010073D82D9C426C4848B2F74D7A7EB11D764BE75AD891';
wwv_flow_imp.g_varchar2_table(2267) := 'CD8164131E819C62C5E6594F82BE9291054568424D78508536D4A10F856844253A518A56D4A217C5684635BA518E76D4A31F056948453A529296D4A42745694A55BA4657AED4A51EBD07400B0A8F3FBED4A6097DA74EEE918F7CDCD4A73F915C4E61F8B6';
wwv_flow_imp.g_varchar2_table(2268) := 'A0B24E3C412DEA4F95BA469E36351FFC706A53973AD58DF694AA57ADA55509A2D5907015AB5F6D243DC43A56B1D6C3AC67456B482487139982D5AD5EBC675CE50A977CBED5AE5DAC615E6F5543B830F4AE7F15A05E050BB81BF6556F85046C4ADBD1D618';
wwv_flow_imp.g_varchar2_table(2269) := '0AD68889856CFF231D5BD8C856768D93F5AB65357B44CC6ED6B35FC46C663F3BDA0E7696B4A715626851BBDAC60A16B138F9611459FB51C64A71AF791D086205772B7EF4B6B77B9D2D4A6B4B45232A4F1E751DC83A833B55A15AD17CF46047397B929A72';
wwv_flow_imp.g_varchar2_table(2270) := '4877B9D7751C3CD2314D822017BBDF2D1E74B90B5EAC0EF78BF0A00479AF6A5EB8866460EABD297BBB88DC54840376F09D62951628DF301ACC9A0379037E39881F5515A433930240D2AED1A0E2F1578DFC240884052C3F622083193AB97085F5C5BB753A';
wwv_flow_imp.g_varchar2_table(2271) := '78C29E75D034AE110D070907721EFEF055F5EB13133738C52F86718C47896219D79845347E8B686D1C631CEFD8C7D0E9F18F853C642217D9C8670CF29195FFBC642637D9C94F867294A5FC45E54ED9CA57C6325B929C652E77D9CB5F067398C53C6632B3';
wwv_flow_imp.g_varchar2_table(2272) := '46705E2D732343118A5F6E39CD52440423AE690B390320129120E56BDF0CC72521782093027428DDBCE72022D8CFF721B4929141AE441F99D1C51AB4B1F4EC5969A4D431001846A47215E9624D3A8C040840189551E946439358030935014824457000A0';
wwv_flow_imp.g_varchar2_table(2273) := 'D504016549038D2B4E8FF4014290A2ABB44010208CA00523200B594AFDE211F0A9D80018810B80E0821D006107CC0640127290846163F23BA8CE091546834365BB8008D3DE92153285132B54610C5EA83624EB14120400314E0329831680B305E0C83B24';
wwv_flow_imp.g_varchar2_table(2274) := '5F50CCC20862846DA79B8D0658B548080080FF76E3100D59C10A56CAB0172D90872057883700AAA0983BA0E1437708F07FFDFDC5801324D40561811021AE979FF00827770040A7365EC5030C1C3CEC1E78BB9DF5423384C41086C073232A41909D87E40D';
wwv_flow_imp.g_varchar2_table(2275) := '7FF04348FEF0063FA01C0E415F39153B4E908277BC0F318C165B8C5910931BC20F417FC3D193EE45BB1C80442412810806E20847E071EACC1CC81D304E1025F47BEB6ACC65274422772A3602CF0341BA59384081DD00A0EF6F97A201546D8008F83D03C0';
wwv_flow_imp.g_varchar2_table(2276) := 'FA04DD6158D39C38CA0C01DEF540F4EDF775038002CC098951EA05781C12A0DD2E0F89E20160300ED6E3A04470010C9EF280CAB31E4500304A5A80C0792A169C279DF8447A0130050068FF80818DF8C9BA8D821610DC602849A0364268EFC84EE83E8814';
wwv_flow_imp.g_varchar2_table(2277) := 'F08D0762239265A221C029CFFAF2D9E887B21324BD632048E10D38865DA3C107497041115C406D6A2B8820356F541F4CCEB13100670C0B29F7B8B52FC432B8810FD407801520884259202D788338083087FB8D81008E3780BF8168086A5BBF3240832A68';
wwv_flow_imp.g_varchar2_table(2278) := '882AE8A6FD0BA25EE1038E198890EB01136A1752C309051C88ACD80B2550BF243082D94303F05BA6721B882AE03D0D8CA1F4029918CA8657A3233C43839AFB4100B8BE3748020D708129B882A7230814888DAF401822C80924B0C118824200003F21FAA3';
wwv_flow_imp.g_varchar2_table(2279) := '6EB0A317218857481A00D8B951D089F3D0098D9BC21752B92AA22C0030ABFF82D087BFD107A090AD33542AB4B9A4400AA43F8A293AF42CBF8A433E04C44014C44124C44234C44344C44464233453C44674440682056A800500E8854884855EE8055D1888';
wwv_flow_imp.g_varchar2_table(2280) := '4A94C45E00005DF0445D58064BFCC465109B47BCA9010000011800565C45557CC59D1080629187AED131545423551C8002D8C590E0455E1C0858CC0961C4094FC3458AFA4500F8C55D1446665C4665EC45556445602408050809E539468E224667E4096A';
wwv_flow_imp.g_varchar2_table(2281) := '1409552C0065C48981CAC694224691288059048001B0C6A929C7B772800250805EF49AD579C797CA83B7E89F7B74A94B080400980580E447CF6A030720467BB89D7D1C48936A4791B8803058803060C785542A580CC7818B6C4871A448BB82C5730C8935';
wwv_flow_imp.g_varchar2_table(2282) := 'DC48910AC78218C974F4C89044C9945449F2BA24A868C995CCA8CFB91BB1299D9E181D98DC28D19943D86A8BDDC2496F3A2CDFFAC914F3C9A1A4A79D648DAE414AA39C2809E317C663CA866A299198CAA8841CA4C2CAB5928EE61A08465C0BAEB44A21CA';
wwv_flow_imp.g_varchar2_table(2283) := 'CAACDC4A9D509C15394B0048CB470A080021F904050A0000002C130017003D024E010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336ADCC8B1A3467E05F3791C49B2A440305910CA33C9B2A5CB97300DF6DB17B3A6CD9B';
wwv_flow_imp.g_varchar2_table(2284) := '26EF01A8B713A7CF9A8D002002E086D1CFA34893DE84040094D2A7506BD28A0580EA405AAE00782A14B5ABC3343808A6F14AB6AC59837C06BA41C4C89140A767E3CA3D986960A54875237502B0776E5C2A024300C000258AC067D89E3D8BF6CCAFE3C724';
wwv_flow_imp.g_varchar2_table(2285) := 'F108940CB9B2E34E9E3265F2C417C01FCB643FE068C28434003FD01A3306CDBAF5C4424C29B99E7DD31366BD953A65CA8D59E0A6817BEA04A75D7309412600962017C88C393266CF894BB7EC168018824C43D9FB37BD3BCBDE053F13FF14EEFD65131A02';
wwv_flow_imp.g_varchar2_table(2286) := '9B00A0811EC03066C4CACB774CD9CD40D995680AEC0772BE7F8B98EDE5492D02ED315670C30924C81E0B2E588720FF5DF4C109348C15E18516457184612D894199408E78B20F7700F487E189057900820E2020B10312460834461F0094B1C71800EC01C0';
wwv_flow_imp.g_varchar2_table(2287) := '210048021C0010A278D1090034018540C04423E49200BC50D0110241F9525A6D01A0DD884C2EE9010A2000A003005D82B9830E63C2E0254155DCB8A38C05F298A543180070E441D0BD79A27A043521441442E8E9525A760A291E413B1414E60D0020FA25';
wwv_flow_imp.g_varchar2_table(2288) := '975C02E0C214480050C5406704CA1060EB592A249E07F5095321F9699A25679E19040400660AB4C2995DBAA0C30D669AFF6982A806D530189144D2422B8625E0E448218E30C24726F100A0DFAE42A6421055A422E402105DCE8A2AB2D40A59420942605B';
wwv_flow_imp.g_varchar2_table(2289) := '020D2CF46A13228EF8516D84C92CA38C41BA1ED42C2DB9C442555D0369F105004A8C2BD007F69697AD10ED1934674BC1029A6F795C00F04B3002FD22D032D950930D000E3F0C0D32033F8401A715BB9641A70008919EC7000B5B49C6FE2D33D02FB2A0FC';
wwv_flow_imp.g_varchar2_table(2290) := '8C2C039D3B1035D498AC8C32CB4C8330C94D7C02C01D02514C326B9CF67AA4C7FF826C12BC3F7B278DC90249034036CB5023D0CCD328930C00C92483703229B39C72C533449A7477EC814CB440FDAEC7EFBE19F9211B00DC6139B6744E03B08CD3D2E48D';
wwv_flow_imp.g_varchar2_table(2291) := 'D0DD4C4FFF93B16073CF966D9107D1C06FC703796CB840D762540825C7063E1DCCDB485D90E5D2583E50DD2E4334051A390A34451A63F1B8878EDE21F1847B923BE6E7405018DDAFB7680B3438E203891BECEE02BD5D10575CC1616CEBDDD57DD0C3004C';
wwv_flow_imp.g_varchar2_table(2292) := '632E4B3A62E34D1F75102F7D467B1EF4EF7ADB62BBB8E1DA02B031884615E4569503A901E85002453EFD74AF1C144CE7526B0D9132917C39D021631CF2C76F072D611C719C898FCF98A3A4F525A509522A88D912E72DC3718F6D2548A02328112C005429';
wwv_flow_imp.g_varchar2_table(2293) := '7C0251434118618B1219D03BAB50D84082C13283E08220DD7048A4FAB08948F0C28500A0912AC861958120C7101FCCA1410C63B481604B4E40649CC7FF7AB84300F081128CA0605B30289483C4271CFFB0874048A443B96CA36906811A008C9790F6B50C';
wwv_flow_imp.g_varchar2_table(2294) := '00AF184542FC06833E8C41477B980200C64215FE0D448DE8ABA20E3D3684233C2181424C08D188D8B10F19245C8E1058286C7135826C478E73D9063806A2488128F28A1379182E4488904878600F56000072D408004B50CA42161A1422D7771D00588021';
wwv_flow_imp.g_varchar2_table(2295) := 'BDC256EC8E841EF5606C757F14161F84272E00DC8262CC28E0282BD3484882A39104F96542847945873124073114888576C94C829452084300800A7EF08382FC907104E163F92C98BB6009CF60B4F0842BFCD6CCC760A1209034C836D20980451AA41BC2';
wwv_flow_imp.g_varchar2_table(2296) := '64A442B2F107149821218B28A70EF120FF1928590064A74C8141AEE943C665807600E010006029103E882B2BE4D4A76372804C46FE329E0B51243C1FB9C86E4032850791C63A13020D74483487F9D42041FE29100A281000BD921D4C11523081702021E1';
wwv_flow_imp.g_varchar2_table(2297) := 'D8864753B88D6C384D1F03F9C73EE87152A4E4A012EE9C88383A0A008FBAF3972055A73452688529F461388768C537D0C18DA2AE4F3278282507106AD39BC2D46364C55841BC0000977A4020EDEBE02A0C328E722CB21A0619AA578F72CE8B1624A91905';
wwv_flow_imp.g_varchar2_table(2298) := '40E71C9990BB01601BD2788340EC60107484C24D6B4C831278B6D70F566F200C3D081E543A901F08A1A603B9C52B5CC1CE82707120F16047657FC2CED22A641BE390861825228D70FF80290D651088242CC18B6314834763199D1AFB100700CCCB0CA05B';
wwv_flow_imp.g_varchar2_table(2299) := '6DB5ACE18B81588340930200680DB2D983F80110B544A139C4211073204F2120EDC740E4E10EE5C6C4070261C338100B80711C04B6162DC828125190A81D1621A5A591429610BD24D84720C805C03D7DF109420C240A951A4875CC1BA150788320DED046';
wwv_flow_imp.g_varchar2_table(2300) := '310C02BC0523447888684428FE0A807398436AE088EA3BD501007D98E81FC562704D8A2B105CC0566A251408CC1832578194C2649A23C8695140104DF8C847173E882FAC11053A24544E0A2D12C856B7BA6F50CC306748B08AA5438E84A4852B0431CA37';
wwv_flow_imp.g_varchar2_table(2301) := '13320E120F241BAE2D483AA60C1596994C16BD184829049266F85224FFC70B41DD85EF39109D11C4C804818291A45C10C892593ADEA8F24116C107E0A5C5110BCE866D0DA28E7340E40F8620463FA4F86798B8C020AB48448D0F325F382344166B1EEC40';
wwv_flow_imp.g_varchar2_table(2302) := 'A6E169821C4210408E9E41EE29CA5D14C3C71341C522500122F555BA32DA1848959B51907C1A312D7880463ACA819073AC2322B8F88C786F0D138A2EA41469064022E6CBE969D3B7126B063542A8E1B42B6643B167B4C46E731424877CC21A00A0352B50';
wwv_flow_imp.g_varchar2_table(2303) := 'B16E83D84112765844BCED600729638AD97ED90500D0AD6F81E41A00EFD0EC22F0E06BD41A841DC7AE0850F1ED93468001006816881C06224652945ADA36EEA2C990E7B454891B48A13388177004803828562276FF16C831180E1A7D9F02002F3F88491F';
wwv_flow_imp.g_varchar2_table(2304) := '0C004D74329FB4068094E1619084AF231EEB98474316CDF297B800BD04490418263E10FA4284BE6BDE3441B4F8DD8158C29300208F13740E002454410B6578038B41640D3C2724170A918214924BE9A2976517FC76EEBF754D8E7E036017BE50052FEC8E';
wwv_flow_imp.g_varchar2_table(2305) := '9075ACA421E7F269386CBB6CB78FC405155D18001E2E07A50FA4F10271FA41961E79A797E2156B26C8B910A60C7A0AE4144066D0780A740533C0E10F744E77811392AE74B12C1BC280C3EAEAC58579199E2CC62048EE1BD20A5FD87DF702C1C741D641D4';
wwv_flow_imp.g_varchar2_table(2306) := '9F1BDF2080EDBC076FDF12F79EC4200F0783E4A13F903544FEF26B5E862CAA260D9B15B220968090FF9C4387A8819CBC0C6868854184103B8470831B1105C0106CCFFCAE001F21E806B84176610CFE3F24E1E8444EB6150D2E530DDDC013F5B71163C769';
wwv_flow_imp.g_varchar2_table(2307) := '4D3110590157F4E54505E14511080099271055B7103EA26A02113D622310C935101BE62F0AD155052105097816FA660CF727102685107C97103EE7680311556196822C010E94A383EE74834D451052230E4B050ED9406A19C81087B00740761020600240';
wwv_flow_imp.g_varchar2_table(2308) := 'A00499541064706407912E00D0411027104A70045F108538A814C6C06BCEA00DB9967BBCF010C0C76B1B210DC480805FE811E3C0348E7451D4904EBE741069268750A33C04310DD2A00CE4246A05B11CAA52102D104DFB66074656187A763D57FF2810B2';
wwv_flow_imp.g_varchar2_table(2309) := '000DD0D0555F7004B4F7864FD15C314162EE650EEF744298981197561097360BF2241018451090A43917571055C310E1773A00B0750251282820011C500400205000B008D660605D4410B4200BDC200BC2108A7E31770F610D6AA8107EE5837FB080C878';
wwv_flow_imp.g_varchar2_table(2310) := '11A3485810A310ADD8100AF3874E73330621093A42883C000026B00112A08B02F104BE7860858127F6011709818ED3581663F86FCDA08C08E10CEA871051F530DF5509CD020052378F10D1050050511D3011C054331023523A958D82353511B50A2E9006';
wwv_flow_imp.g_varchar2_table(2311) := '6E2410B4981CB6220107516051E088D601005B6614B2800CC8204252020804D91AFE0711A0180CF13110C4800BB7300A0BB7920DFF318A39D0013EE06C0F7151DB200E235510207545DDE069A7351040F01B4B381075102300B00126305D399760FF4205';
wwv_flow_imp.g_varchar2_table(2312) := 'ABA306F3A29205B161E8883438E913CEB0106A1870089106F08810A3D00886D00871F0194151109110960B51013E704E039103D5581129E4348B643C0F8330523333587410F65320104288B6A28592B2580040085246064DA0565CC0075C7985B7303278';
wwv_flow_imp.g_varchar2_table(2313) := '449738A10A07A16FB5C00BAD108302017CADF03F09C174021109D248106EC89908814C89B78603613251B33412A15F82103D19799800400403E1238A9827E27310AE201B52C244B0791458F71061614B08C17902F17DCBF9101C6911D1865FED04335C54';
wwv_flow_imp.g_varchar2_table(2314) := '4C0F0159E5367E05FF514D00C05872C2886A953B806014A0C00821589D37D17B03E10BE0087396A07E6349109E790853F88113013A68F09EF0291009709D3891390C310D95B02A09510328B0011B20102D4010908964641005E909002737109739A031D1';
wwv_flow_imp.g_varchar2_table(2315) := '5CBC70860641087E0600F929102850013030A10621A068A058947507305A0665A05F1EEA1372F810D4391016520753A003B7F802C05910C3A9105F5006FF45107E74A337A10D829675078129DF030036E00249804C44900346900457501077504B6EE006';
wwv_flow_imp.g_varchar2_table(2316) := 'C9955B4CDA800311073E609030C16D10E124034106843810E80895FB6673B08316B925A005814396C249C4D30CBEB0099AB08F0A119A6B1495112A4D0231044AFFE00285422F35522A0D050732AA16651A9B26B10A7355375C949444498E05E104E3E79B';
wwv_flow_imp.g_varchar2_table(2317) := '04619E667710640AA904A10465E03B6F42081C984363F9A40491738830030301032AB0037B191168807E973A5B0A817817B14862E4A9329610C22A109EB44C02E1015F025A52B20874100586D188D2A59CE5B36505714828E20BA3A943CD499A39090456';
wwv_flow_imp.g_varchar2_table(2318) := '6A2A08E107A274A9C0195D08815EB34911D297A3C88A1036302D02C10A1D080053801CA952054990506A600DF556101C124704417F07113742820AAD700A9B700ACE1A38CD08A506A10ACD4910062A10436A2800A005D93510523790976A125BA005B179';
wwv_flow_imp.g_varchar2_table(2319) := '2A14813A0C3A1049808EA1A0AF2267102A85081DFF5A108577220EBB086E0405201938DA002119BB104D381044E0A82AC0A23030020211B20921882872A2FFA102D222101540104181741771AF2AC0B41BB109F9935B8740A3033106A9EA4C08810865C0';
wwv_flow_imp.g_varchar2_table(2320) := '4F025109236829C2291019300367400819493CF878107640051A10010B91B46022102ACBAD06612EB890B342A20A153B1F40A00207219B02D1012E20B918E102470B043970A5AA6A116233055E3868033770E6A9107CBAA41771008F81086930B4216A40';
wwv_flow_imp.g_varchar2_table(2321) := '52FB989BF01B13C6590E01B800702A95F007367A392E83B811720AB14AAEE571AF00E0016F05001200021C79B5031126235028971B4D45808805A1B5007005282B1027B7050381065D7A1099FF0404FE191E0AE1086CEBA527273C7740B81B4A4518E106';
wwv_flow_imp.g_varchar2_table(2322) := '8C05289FD01751410953581084DA4CA3FB000951011320103010260491A4C8122431379FF3A102732901AE421020B097BD4A1065C0BDC995BD00F09E5AA0589FFBB102F1056087B265704F66B0BB92AAA1BA0B007C6A0888F0072B8C414E2BA3954A1403';
wwv_flow_imp.g_varchar2_table(2323) := '41591D81BA6A6107492A1BB1F0B6DE33181910274F91BFCCC45910A010FF0B26B2E2025B269E0661224BE20484F0729A0872F2714F445004F502B0E86505568074DFFBB1A0F3C50461C100B0C103D1A5DC7BC1670A004111149E3032E1B109C5D507233C';
wwv_flow_imp.g_varchar2_table(2324) := '107DF0067DF007B564087C4A106F20A3046C1085922A16710006201006801E02FFE3087D110B68771D402CB75051703AA40A4CC0043FFB1001EB1095702EEBE0BB2722084EE023A820BCDDF10AC5151F73950A69491073B9100196C603211E7D6C170109';
wwv_flow_imp.g_varchar2_table(2325) := '0095D008911097E42B10795C104E2B1046E1B42A5B12360C0087ECB7083161B9F009CA8C102510C9360138004006B8BA3E4D79CD4906115A10A6FC730887C0587BD0A19E100CCE2724B9D78205410333C01E99351B4AA05808630E00781080D53227840B';
wwv_flow_imp.g_varchar2_table(2326) := 'EDC319A4F2C6A4029006E109A300C702C1CBAF4CBA05F1061B3A108F9AA83171CC05917203817600802F3E1CC97192014E801E27B0CD1E618536A4493370CDD2E3ACCFC9495C20021071A47DE099BEEC496370D0E2510EEBFFE0C4FFE1238B3B854BB007';
wwv_flow_imp.g_varchar2_table(2327) := '34F29C44F2CEB30108381414A078423BCA10E3E0895F0400A0C8D402710B4DED096F6C17BBBCCB287CD0BEACBB6690AA31527E05F10009000010C0BFE6C8016F952AF2381206F0CC9D31D16D4D101830A54492013E4B1014CD11B6600BB9D041568176F8';
wwv_flow_imp.g_varchar2_table(2328) := 'B2D1830100B87ABFD24303ABD2031A447215B109BE76086640D0A8C8732762733E72BF67D8076C651838603F66D51D6D4910F764C671F0CAB8409D082710F2400FAA4D5405310EAA050009D7D4ABC99641C1C720080038522F0D0CA10FB0B102618E3CE6';
wwv_flow_imp.g_varchar2_table(2329) := '0130B0A2AB7AC62481BA0420106C4DBF988501719DD10FA1D7C080851A81855301460341244E3003DB4D3C31FF322B87C9026A7CBC1361077B200637920657203CA4520DE020D917322773B2075837616702003220102290DFD3C1CBF1C298C5DCBC08C1';
wwv_flow_imp.g_varchar2_table(2330) := 'CB271466F4C013FD205E477DC15D3A0444D0022FC063611DD603E1D007B1C95D7A05678B10865009A060086C55110C10010830507E100A6FC3140CA1070D41DD1B5143224805338001FD028CA77A135FB00639BEE37ADA1552C08B04A1D200B0C9125104';
wwv_flow_imp.g_varchar2_table(2331) := 'E26B04C69104551023EB7A22E3F804627002D40C005846A500100303D1D91661041D4B2FE35B1386B0AE28AB043980B94660B98E72A501DE2502FC2C03B1057050CB00C05D00300AE2515120E00112D0DBFC0BD62EE55200C063B3B2228F920355E0AE35';
wwv_flow_imp.g_varchar2_table(2332) := 'FF2AC376B015B8BD10A0C01986300652500572CE101140E10090DC0701092AEE089CF4DC0E71D735C100812D107372B726B1762A352F39AE066BE0EAFCB40678A0E3D20500D3CBA251D1031911E0578E0328B00401AB0455907A068822BD12019D6D072E';
wwv_flow_imp.g_varchar2_table(2333) := '3E102FE00142FEA86D458E20D00202AC1044B0038F4AA704A130E500CA1EF10651D808906D10166CC1997405EE8A8ED5CE10FC0B00EDFEACC7DB0285C2EB04412327770789DE980261044670033F601F86A0E202E109AD3C29EECB100680006CAD107ECA';
wwv_flow_imp.g_varchar2_table(2334) := '10474288CB7E85D3DD11A9100BCA02D707D1DD2DF105AC8E075FE0F13A2E19F48707720028F48782DE712A431AB0BE592F81C201804E10B8FF8006556B532220DE14E0B7531A11499004B002ED66DC121D6E0456A005B27C10048D434D7EBD644AC6ABAA';
wwv_flow_imp.g_varchar2_table(2335) := 'A53E60058E5BBC1570BC8E7AA5017B058A9D3B36AA5F6530065AEFCBE971045F8E082A0C00914009A00017A150096EA0045280B00E01D40331144F2036E24DEA0CD1CE07D141B630F13871021840D223818052E0069C457FD637EBB3DE508D4009D84510';
wwv_flow_imp.g_varchar2_table(2336) := '57200543E001B8CE1A1220DC04315D208002845C2D400003E527DE2D2510ED6EF9016C02EB5E1030009C603FE446C00330308E3B13137319262E308A57E0037436324D0DB505F196DD7BF4DA6B10445EEFC0FC06389249C72F1055E0858B40054780401C';
wwv_flow_imp.g_varchar2_table(2337) := '1E3EB78C0693B2F40AD1FC84FF621061B1F06471F103C10007A0F70441EA0C20CD1DA1952A25F21EFFFE015D10B915F4986FD602A1EB0391492E4F2F630007005109C04082050D1E449850E142860D1D1E1478D0840782140A723001028646100D950010';
wwv_flow_imp.g_varchar2_table(2338) := '03C00A41233D7E00F802E0D6BF872D0FBE01F0078004170A6B32944630E7C064071BFD9159F04AC33223DF8C010004C80E234A01DC29E8A58A4B8299067A1AE8468917AA2E9700E0D155ECD883A00A320080E000800368C9BA0CF504A59A815C067E5193';
wwv_flow_imp.g_varchar2_table(2339) := '3225DD2F78ACD69532F2ED60C20C133C28F8916B412300880018C3B2F064CA0C21381EF8871142141E36584CDB7083840D102020069060C3C13B682A3F0C3A1004921C2EFFAAF838889BE1A881A3820553A610DC3A7DF40E9A81E9BA60929165AE284192';
wwv_flow_imp.g_varchar2_table(2340) := 'B4A9C22A5EF0B8844410D45F29AF1162F01EDE55420408C22F1CD31D0057295CD4704909802E80EE6E0058ADD25DCA542B4AF6D387E33C011BB20F8022089229C001170C4FC18350200D3500242CC80400281A6DB585166390218D8C7041071050002123';
wwv_flow_imp.g_varchar2_table(2341) := '1D201BC8909F108A2333000C4928999E0C8A6DA01609B242871CA62883A484AA4802C8A90892EB2138F8E8B0A174D449922A789A44889F7E064A87207600A8924983AED472A173A01C701C83DA19A84B00AE24134C351732C7A0270D6AB34D82DA2C0721';
wwv_flow_imp.g_varchar2_table(2342) := '73C669739C2AC751474C2B0150474B77AE5C73CE3BD3E193FFCF81FC1C081E78082D88D186D6A9079F790068479D733465F29C2BD979931D76C49407D22A3105944A33537528D053D79C1200C906DA67D64219DA07807D72CDB5495E078A67207B86BDB5';
wwv_flow_imp.g_varchar2_table(2343) := '58638F25CB56EFF44116A17A00A887D983F4A1B61E6BA365565A6D5D8A555900621D885A00A425685B83A69416DC665B22D79E7515EA275E759394972079A7C4079F77F7E5B7DFC1A825B75F7DA2AD74207E00C0C7DA71A385369F7CF4C5271F84DD6DE8';
wwv_flow_imp.g_varchar2_table(2344) := '606FFDC538638D37E6B8638F91D527D678133AB81F7BFEF9871F95935CF963975F86396699676E32E08446A639679D77E6B9679F7F063A68A18726BA68A38F463A69A59766BA69A79F863A6AA9A7A6BAFF6AABAFC63A6BADB7E6BA6BAFBF063B6CB1C726';
wwv_flow_imp.g_varchar2_table(2345) := 'BB6CB3CF463B6DB5D766BB6DB7DF863B6EB9E7A6BB6EBBEFC63B6FBDF7E6BB6FBFFF063C70C10727BC70C30F473C71C51767BC71C71F873C72C927A7BC72CB2FC73C73CD37E7BC73CF3F073D74D14727BD74D34F473D75D55767BD75D75F873D76D9671F';
wwv_flow_imp.g_varchar2_table(2346) := '084D32D3BC9D76DD37AF871EDF7FA7A7F7DF15161EF8679FCE77A1E47767BED87B9E873E1FE8EF91782087AF77986A71C7B5B979EFD5CC37FC88C5AFFE60A9B1771860F501FEBEFD26F3311F7DEC1312DFDFEC5FDB75577C728DD86195F591183FEEE13E';
wwv_flow_imp.g_varchar2_table(2347) := '020E887A2A4320005686407E5C0F61C21A16C50AB22B9299CF3B127417F506384083540FFF00CFF3E0071132AC7BECE379971A483DEC713F87DDE37805846165A474AF6FDDEB5E2853593FFE11C17ED4CA5E05999741F8610F9C51265EFFD097AC06122B';
wwv_flow_imp.g_varchar2_table(2348) := '7ED4434AB242D9C51A924405826B64418C6116A9228FDBB5C38B5F042399DCE12878B8C38C99F2E23A5875262B89EA4C83724741BEC48E73B4E34B0859471D01A04632B1238EEC2053A0CEA48E41A9831D4B5A121BB9842573B8A31DA27223A40CA2A933';
wwv_flow_imp.g_varchar2_table(2349) := '05721DF068872333A9492F6AD1936279D2F3A075AD7AC8C377D6A2473E9ED4264DAD031CCCE09339CC518E72A4E354EF18082D07F20E71D0B21C74020738C4B10D71508320C6DC0600B2914C00740300E2184838DE118E6F00E01BDCFF20472CD0210E4A';
wwv_flow_imp.g_varchar2_table(2350) := 'AC011066D8C216EA520472A2810B4978831F3E420422903309E424270094300425F8C00A5BC0C21AAC20876E88A31DF3B0870B7B67CA78D023A022FC644215D20EE37C4B32284BA50EA3C88E5FDE4917173D4746CF910E739C031CD4008735DF918E77E8';
wwv_flow_imp.g_varchar2_table(2351) := 'F21DDFF8463A6A99A7908614001F7529359CD94C640E841CD51C8838D0C10D6F1403A562F00116C000862E60C1073E1882056EA0042594810B363081095220551B00E1072DC0AA0A8690031F04C1AB5DE8421046418D6DACE31FF7AA073C50A64482BC49';
wwv_flow_imp.g_varchar2_table(2352) := 'A16F552043D73AB27FEC831EF89861ADD4510E7088A90D0B680300DA300B5D645417A5E80538BE5152C656A91C8B2D69FF3ABEF425972E2499201D0837D081D377A0E318E80000378E11051BFC4009E1CC4110B020050BB4200537B081072C9402ACB6C0';
wwv_flow_imp.g_varchar2_table(2353) := '064550C10F54A0D51CA4D60A5FED02208201D2739C555E695DEB0F0D06D7B7CA952574E5873CEE71C3BD82C31CBA08C302B4BBDD3674D714C15C6C4ACB11D9932EB69703010765317BCCCA02404CE3D8063906B2D9CD9243BE0389451386308220AC21A8';
wwv_flow_imp.g_varchar2_table(2354) := '68B8021A9020D5141478203168410C6CA08222E8F6072E18C210BAEAD52DAC410EAB580648CD8AB278C943AD92E915009E6441E66A51620DCD210EE1218F941DF11CE608E623020B80EDD6B80DE0E845354BAACBC76EF61BBEBC237A1102D25E34420E00';
wwv_flow_imp.g_varchar2_table(2355) := '00452208FF928B637C031A3725C73100F0091E8CA00239D04210B620864FF8620F34608107C46C21D90200042900820D5A9094AD2A21085750AD1C46218B657C141E4494172675A844299638861C344E0397D88F7C8CB11F33FCC78B83D9DD81D498BBBA';
wwv_flow_imp.g_varchar2_table(2356) := 'A046351F4B901F03A096BA14F24B414A0D6812441C4A068084870080208CDA15DCE00634A46CCD62E0E10D70003017A4800A67388317628882179EE0052A54E10952488212920000B91881C15CA570102A418A646403A4EDB0C70CFBF1C89015D1CF7065';
wwv_flow_imp.g_varchar2_table(2357) := 'E8A1AB17AF7C64B2C53A04872C3C3A631A3B1AB0BD88742EB144CB5E8674B22EFD287AE10D006A50633CA516E740DC0C8A5B4063204F8686BF030E80FF5C88A10FB5AE752D7C518C63303C17C5C845C401108B5014A3100D46AA96830006652C631AD408';
wwv_flow_imp.g_varchar2_table(2358) := '4736DA814479894A4A675DE2B515DAED406F9BD0ED502BA2D5218B4513C4DC8C46E98F1FEB0A68D42998EE1DC738829958631AB320C1A4862CA470542994BAD44A00052EB881D3817FF6184FFE042AB4510C6B38A319BEA885361E9E0B82C72216049FB2';
wwv_flow_imp.g_varchar2_table(2359) := '1B8E308420D453B589F0F834B8918D6F14F75EA2CA870E45A6F2A981676CF5F847F6E4C50F6F4B891F8906292C1A6DEE051C2314DEF0EC318EB188234C8012CF048047DD0B0E5DC0B41700D0C54B0DF2E981044105F9663B287AC20D824003A7A906C031';
wwv_flow_imp.g_varchar2_table(2360) := '3EA10D6768A3EBADD8442C72110B5AD8FF8216C200BE2D5CE188271CE1093EC8720EBA80D85E4C03DDBD80C73EE4F50F76A88386DF6290108A248409F09D5F6B01C007C2D68E6739EC5E847787710FEFF90594DBD161F88430C8E10D6F5823144D108210';
wwv_flow_imp.g_varchar2_table(2361) := 'E4900DD1BB57F4448729630A3D4DB3B7792A881C90A751903BD6FB377F0300079C38DAB306DADB8543508551788555900559F8850DFC0550C0033BE8033BB082DFC2825240AC5280855E60C173888723FA874792B67AA90C2928128210020B0000EE2B01';
wwv_flow_imp.g_varchar2_table(2362) := '0B8802F5F03E646180190000B7F01AF2FBA0BC1B3C6F83C18FD20558683F47BB8005208142F8066BB08662F0854F3803D78283698037CE0B296AE8BCCF333ACED3B46C4804202488FFD493BB693008D7934300288662D08666B086663086433804438885';
wwv_flow_imp.g_varchar2_table(2363) := '0DDC4068908550700454F8846668863BA0023920051554C15E58415838073C4399EA9B416BA30C203C821DD44100D0C12830884F708481708445B88E81080900388328988F20AC0CB4F03BF0EB9A678998F3634293F907272C85C5DBAE29240131E0BA5D';
wwv_flow_imp.g_varchar2_table(2364) := '10C645E8C21440836470B7A013BACEA3B77AABAC96A28669A8848F40AA21D08281B08251E03F067C86D07240073C86AF330663D88553A8854DF883A85B850E743C5468055F40C46650052F48041484055878C4167C4189C23B1AC222C2380229C83F0B10';
wwv_flow_imp.g_varchar2_table(2365) := '0297580447B00382C0B52710831B7445C2C0800F90458220C2ADB907FF24A49E1A3A34268CA260D2851973340508830688824214C65D20C6ABFA02309485554041A3EBBF01A437F4EA056E6884034489D4A28569804382E8467F4BB554CB055FE0055ED8';
wwv_flow_imp.g_varchar2_table(2366) := '055ED0845AA88555D0405980065750854DB0845AA8B56670864ED88446B4C75E784449DC4794792425BCBEF0D8C44EC44184F884840045F978C8D7F03BB1B9C867C9C823423FE33A9962320590ECC50508832078023B388593448533D8011B90823A5B06';
wwv_flow_imp.g_varchar2_table(2367) := '399083575883350003C74C8457280567043D4D9B0639D844A402802D88B02B78053844B581F8C9A084066EC8855A5085A2E48556E8035558855B588557080538108329D883B02B86AFAB054F68445170C452D005FF7D24A2B31A14B1A4C1C2F882202092';
wwv_flow_imp.g_varchar2_table(2368) := '8120481DFCB527B000871C45840809BA08C1D86BCBC220808298C8138002005804AC21BF7E98CB78A9CB7839998C6234F75B0007A04212F84B56600561448534488109500290A284206084C7FC823568BA23088223A8303090834448849092054698A751';
wwv_flow_imp.g_varchar2_table(2369) := '0B82F8F04CFECBAC6E643D81AB50D4DC045FD8045E38844D08865FF8C02F188331988234A04A67F0055F48855808067B44C14480C45E70413CE3074712CB1AA20C35C80B521382232848822C88E22B08519CB2E944C5EC7C0D1458082610BFAD914B8959';
wwv_flow_imp.g_varchar2_table(2370) := 'C2F443CF7F780539C82EF79B4205784F3C5003563885F9F4053D28834CE049709003205C838138C5FF35D882FF44832F00037190056E588327482D1568BA50D382CFECC96E0400570085D20C4A57E80344D8834538044B28833DB8822B2841A652821D80';
wwv_flow_imp.g_varchar2_table(2371) := '02AAE48514B5855848417C3C2CC4CABC78A0511BB5A17FEC8AF80802BA0882824408216043524C4B82C083544452066100B468D2816086C1B8869E74083FC598F134BF2835AE7CF8076810482188B02020011298422A0C832778024D084C616C06273384';
wwv_flow_imp.g_varchar2_table(2372) := '5F9886F8D80230C0032C280830880F6D958370E3063C18B581D08272FD8257E0BF67E0866970051F1502374086677806772D0448388445D88343188334B082CEE4022B48821F98824FE085D4AC0564B085146441C44A84369051BB3B34479A2EFF1B2A8C';
wwv_flow_imp.g_varchar2_table(2373) := '340580EBF88255253682E0D84FB8BC845884568DD5F3304282180668180664788B6B78886BA8068298D75BA0858170855760D95BC1482835CF5BD4A1748086507855815C8223380212A0C23650832890042F0DCC5350855A28837090053300003605006F';
wwv_flow_imp.g_varchar2_table(2374) := 'BD5A6E754C3568CC2008575910068C3DD68118822FB80538840676553BA34D013CC086B5758531E0833138843E48033418832BF802F8B00229308214E883734CCD62480666C0477CE44A1404831B8B0706A2D8E32C0C3C90033030D28C8D8F86B83C4710';
wwv_flow_imp.g_varchar2_table(2375) := 'C54F084F8298CECB2D88552BD9B158818380C00E89590018865B28089ABD056000805B2D94F1CCC81A3ACF230A87631006C973BCFF4FE0521218AA3670842320044270DA53200768C8057178850A734C3CC0586DC5023C78CC360D024A08B769C0031550';
wwv_flow_imp.g_varchar2_table(2376) := '4E0B48899A48D7A0FCD3F7480122300225008667888654A882F71D03BCE58F2FF8822BF0022938833E38584B500555388664703EC5ED85D0EB8530000370F0D443B38731BA0769A38CCD984ECBD55686C0034AE8DC906D086118885523BBD22D8C3EE884';
wwv_flow_imp.g_varchar2_table(2377) := '610093988D060070D9D52D08623096271DB4DCD5877FF886DEF5DD194E0430208147A08527385E3DA0833AD8046840876C10874A504E3C08A76CFD4F351D086D0D824490D367F8821FC0AD080B351590839D040064E0865038028AB80137B8035BA886F6';
wwv_flow_imp.g_varchar2_table(2378) := '2DC1127C0325B882FF31B002FAED5B29A0823E38843DD884392E8660703EAE44D03C0600184D607EC007336A604C1C0C476004D1050047384584984E0B26080C66089CF260CA00060D4E92120680D5B5E48350E142E9B6F2E3D98D94D27E786171C8854F';
wwv_flow_imp.g_varchar2_table(2379) := '6032DFF5866368846C850568C0833348033280022648036108877030074044D04A0083FEFC4F384D096FFD8204ED3D574885F1B83C40A80481B08580830664A0042930DA1E70033F00866878865728E346BD8232D08B94780E72F2823ED88443A88563B8';
wwv_flow_imp.g_varchar2_table(2380) := '856458C15E008309B0000BE0D6524060221A22069EC1C27003E54088CC8D0FBCC858B424081D0D458220DD482E0C4A1E086020869C7D1A16C6DD5B7CE16FC083FF268882912D06B3733C3C48040E64043BB0044290044B3884A993866958053968849B1D';
wwv_flow_imp.g_varchar2_table(2381) := '880D7CD144A004036DCC57008757F8B75C18C50E1E8F57F88581A30437E082F418034FC06666B80536E6DBFA050047A50F791A022928033B40044F78325C60868605031708821100037C9C510576944016E4AEE09082004269DEC48128921B24C4500000';
wwv_flow_imp.g_varchar2_table(2382) := '4636E4D15D083C4864837E8863D86464D864A9A907F2FCE4DCA587618D8228C0BF281083CF75053EA804A70405C9430554504A5B10865FB8858868EA20E002E8958350A847969E4C70B005BAE3864580042F00C53700045768E6CC6204A3550329F08367';
wwv_flow_imp.g_varchar2_table(2383) := '7E0664188635DE82CB46836BB45A33308335F882FF37E5023400066766865F60417686B0D41A88AE1EA2AF7660803488BDE0D8B3EE58846064F04408B66E083B986BBA568861008663905D996568A689CB24D4C8DCBD877F7085162002E33B0223688231';
wwv_flow_imp.g_varchar2_table(2384) := '60045048329D768563208766E0853A0C054F08055738323468D3E4D48F520BB52090822DD8685940866B32CD42E8B581680F50F80500A0642910011610024A706664608646A8041017889B048023030439684C336884C37D86D28C0664685839E02AB603';
wwv_flow_imp.g_varchar2_table(2385) := '00589867AF8607B00E6BAAE0D685E058EA1645421C08BA4848D02D08757815AA906E83D6E00E4E8868C8E48788F2984142C1EB59B58A975AA1052450821F1002F4353EFFA88465C8069E142DFFFABBA95B7E8654A0844AD88C35905E33F802711A700297';
wwv_flow_imp.g_varchar2_table(2386) := '0359A07009CD0524680C82304C5B60C03F75033570042673E66158D0523BAAADE22D15180117E80091408E4AB8266C6006E60303AE4A2DC51B87043619E61E4B051A0B50430929C0037F4688253F0847C0EEF0A48BF0245982C02526FB86502059EDCED8';
wwv_flow_imp.g_varchar2_table(2387) := 'CFC5354F445582EC3E0F1EEFAA7996062A99974B3F9479E177680542C0BF22300221202725E0024000055908870724076BF0859BA2BB5FA0385BFF04921D4547984EB99EEF50F0D36BE8831D0080E9683019C0030D5635551B08430F383FA05FAFA2302C';
wwv_flow_imp.g_varchar2_table(2388) := '28AACD7C33B0050336A804396084CFBE064CDF2AE49ECC7D34193372A250270BFF532088C6C45882584B8238828B2F084224D25624F783A893500805D98B6BF940555E078009288182488112108295E76EA7F1E462EF362C17E57FC8766BD88533680220';
wwv_flow_imp.g_varchar2_table(2389) := '28029F0782A6860F38A004F9F3855DF0B16C40068AAB0500E88481666B0B8E7A9E53265BA8021ED8811E607700F8812330014A80BD62E0834F60B8AB2BCD54408303D5E3A13260A2EA023018883C4E843868045C286E30603BB643C14EC7B30566A87B2E';
wwv_flow_imp.g_varchar2_table(2390) := '8C49E0044C78848350835F8B82ED03C556045D22FDDC812645EBDC6E8410E884E080943FF9EC0C6FAA296FFF91979A37AE174687FAC34256C8BFA628822148FD801C8358F88663A88562A0855788ECB30B85A6EF84A62F84FFF0EC0491FF045B0F855410';
wwv_flow_imp.g_varchar2_table(2391) := '0668E03F6190021E38891DB80100D881AE8F85803B063B58822818F9AB5BDE5C608427C0821A0E030030E0EF573236A8E13D56B244B8C98DEE0539B080A4CA81C0426079F17B7A007CC2100551E0044E907886C80BB84F08EC06080002017C7234D0CE40';
wwv_flow_imp.g_varchar2_table(2392) := '00621202789270914088A804A2F292F008438162A4A85998F123C8902247922C69F224CA942A57B26C29D0160098C384011B368C1831642E77F2E479AF5DBD7EF9F2F1EBF7EF5FBE76F08EFED3F7EFDD3B72E4AC596345474891AC448A18A92226573662';
wwv_flow_imp.g_varchar2_table(2393) := '8DCCAC01048852AC50B53AAD5D5BD0512D81B13E75FAF4ECDB2F61DC848DB9D123E18E1E4F280983762C4A13FF8286C9091318CAD1902D5DBA80A90CA00B1612602E6F5E5329D1A855AB1205EB95680B162C414AC11A17EF5FBF7EF6DCB5A3573476BF9E';
wwv_flow_imp.g_varchar2_table(2394) := '094DF1E604409140586D38957AF4A84D2900A5DAF44A78CB95488300D44411130500479010136AFBA846A01BDDE2C7932F6FFE3CCF58E8D7B34F1874E86DA14A61EFDBF7742A55AAACA2402142C408805EB8814C308D60B6C5165FA001495D9D00508B5A';
wwv_flow_imp.g_varchar2_table(2395) := '6B2D524B2CB11C93CB63D308430925C33CC3C85F03FD8504003874C2CD31763461C731C708048D40B97C0249218E38E287418C50120A8FA1E4124B2EC840332436D0FC424D2FA5F4024B2F4BF6724E3CB8CD06547CB99937CB409C88E29B290275F9882E';
wwv_flow_imp.g_varchar2_table(2396) := 'FFB0749950362139B2C876093DF1DD47D600E0A6487800C087408EF0211D43700020271C80B4F727A0810ABA122D2F013328A22AFDF41E51B8E1339F7DF5BD935F7EAC1002851040FC6044126330224C2272AC1184185E88614721864002807A00A4524C';
wwv_flow_imp.g_varchar2_table(2397) := '289F40584C2E307E920A009430124A36B428D103123C2C01000F3C8C51EB909F14524B8B19C10A2B00A11014ADACCFE6D2E290D03C034D29A4B4114818E1B601C023504A098F3BB6E16665799330640A2C036109C098BA00308BBD147D82CA27034D2410';
wwv_flow_imp.g_varchar2_table(2398) := '21D45937101E8BC899502DDEA05488400CD36927237B463C1035DF00008E38896ABC31C7E3C5620B4C1D8BCCD0A242356A54524B45BACFA4FF94527506A64010F143155E50628B1C58E0818824A89C72881D90D814CBABA1B45A4C5AC51C5357283A86E2';
wwv_flow_imp.g_varchar2_table(2399) := 'C934C320F203893CE8F0C21DC30C09408BD262CB5031C5D4528B33BEF802802FD684A236004A63CB0D34DC3C434A6559D80D06095990E09A3DB1CD96EE6D00C4D65E9763D23B8B29F3E21BAF4095BCB9CB2EFB66A489BF2239935177DD910380370A0350';
wwv_flow_imp.g_varchar2_table(2400) := 'C8228EE061A79D0C21434D39170330CEC8ADBBFE7A42B9241432EC1C27450F00F0E196F23F2BB7AC1F2BFBD170C40FFF7931862B380771A724BB68A2871AB1E8D449210E227DFD8FC5EC28902BA1B8C20D00C8209204B15314D2EA90C718766D429B0B54';
wwv_flow_imp.g_varchar2_table(2401) := '8BD8A19C1DAD35CF1EE376B6FF710F599330FDCB428B3064518E28C5061FEE00DCE004D71E51008071F412C82C60112600E42B1B99E817DA7671B67EA1227295EBE0BFCE4086F9ED443A741AC839CC710E769CA31DB57B210C1115B2420DE3503104143F';
wwv_flow_imp.g_varchar2_table(2402) := '72C88FDAE4EE64F25159EF58E6B2E009A1883FF84112BCC0875C280F55A7F09925B2460B4378210967E8847A2C24105AC50A3AB1B2C537B675A882F8487600489F61B8261072B8488D61131BDA8A112D355E0B5BE4D01F37F298470080AF8FEDF8C76DF4';
wwv_flow_imp.g_varchar2_table(2403) := '010F78D4A34AEC624F04B1944858CC2B21D3F00448DC043991D0E123AC10089C30A91D8400C00E96D84E6204E2C275A8E31CEA58C73A0080BB1BB2B2953DA1C52B5CF9A7FF7B0040873CBCC73DE2C3BBFAD4073F55095E148A2884993DC10B9D0006A8B0';
wwv_flow_imp.g_varchar2_table(2404) := '100A4AECE21496B0842384918931E8C06A8EA015006477A163A4E547D1D20BF8DA980B5A15A67D70BBE3D7D4D8B6374A6B8B6A6C56FEE0C60D6C70631ADCC8C637EC090076D8A328FCC8C72083B2AE43028A91129420482E3790B20984849A1C0821CEC0';
wwv_flow_imp.g_varchar2_table(2405) := '90A924E41400B02800DCF7119F01A01500E0C52E246A0E81C003002585C73ADC21CB95B2F4243604C62D84718B4311A3A5BAC9A52DE9D10F5CEA1252BC9C0A2BAA628D4B1571665D11432C84818C44244247BBB0861D0EE1885418A20A3A60C114D8120B';
wwv_flow_imp.g_varchar2_table(2406) := '3926C445C2905D28D407BEF5E5E25A3052DF1DD7280C8DBAFFE8180A535AD8DAD656AEB94D7D4392273DB9F18D6CE8751AD098063B00D98F7FA2EB1E032568791A9992626883AB0CE14543359849280040122434C62E8C21905D24842A037907002C9691';
wwv_flow_imp.g_varchar2_table(2407) := '5D409621F458C769E9815294E26E1DF140AD4D632B4B5AD8A2501921063664EB129CE6B0363BCDE5EEE663147C08117850C0D4CC90E8853EE4A230DDF2031C2C810A3B6CC20D9D80C41150208245C40242F713885705F2D5B042E31BE06B8C7A80012300';
wwv_flow_imp.g_varchar2_table(2408) := '34E68C03511F5ACFBAC5FBC94E8E70D5A65DF1A8C732E1139F266D8A3EF82148421E96638A4D092F7C618C6634E36C941B88242C3110CE62B624DDF1A86649B20E79C09621A9D42D886F08B25BC4A4BDFF211E08F5D4608728BCA02439FD6D4F9762147E';
wwv_flow_imp.g_varchar2_table(2409) := 'FCC31CC238C6BE5821842818A107FEA942153E618BC24C4316A548042046872655C4C21154F0831C43E158AE1DA33186B9901A43713038F88111B138EB7A37078DB4B6B5CCB40ADB38E94B65F87EE3AE71C3465EF90A806C64031EF5192C40099C404425';
wwv_flow_imp.g_varchar2_table(2410) := 'EE810C19872EAE310A6774C7198CE5AA4207D20C002C1A009CD5842530BA68903284B328C9EC5345F2E1846CFAC49EE6184C6239909A7E9A5AD279021500100100FC43243A54258C05F743D80CF61FE0F8053464C423477C410A454822172051E5793E43';
wwv_flow_imp.g_varchar2_table(2411) := '344C5D442154A18AB8C02FAE5D65AF8BCC7B46D961E8085C10C81BD0100968F4CFAB5B13FF88C5D0DA98EFB60D436EACE319CBABC76FEC351CF9DCAB40E2C14B7EEC23A045D1986F2EE19B84E8621658AA462A082DC7C676A76DBE880BA31BADE8843058';
wwv_flow_imp.g_varchar2_table(2412) := 'B3A54D8831206B69008096E2051F88668D81D93484431E0CF1B840CEB10E919FE31C65024034B6D18D60544320E018C9BE2F51EA99A30457B6A579421826101C080409ADAE25C96AD95BDCF154D629C30D8DC5F10A5930BDE9C318C51FB870843B40A230';
wwv_flow_imp.g_varchar2_table(2413) := 'FAE3662B9E29894370FD10ACC870DBC0EBA26C85F68C9FC8451E4D0C0033508219676C8CD52D36E6B1AAEFDCE08D563BC50E7700008368A1E84428E849E76FA86C1F84754721112B284C0804389870D77B3DB1E84403A03B5C4DF0C3FF1342E8850240E3';
wwv_flow_imp.g_varchar2_table(2414) := '9557B4669B0176905478E20369874A05D269818C5420D210C83606D20D008C82D42619040026011C9CF39E21300105002C0280078418D9DB7184474AB0840834E1E71FD1213F5409009E06D71DB4A671365CF1BF5208A314B260C6349251093FDC813071';
wwv_flow_imp.g_varchar2_table(2415) := '839B375CC40A415C120096D844F03AC7AA7ECD35DA69FF4463B8F18B89E90912CF08451FE0DF7AE9951EC1C895B51141A0029AD80103E2811AE0011EB8011EAC0105560618C8411050025FED1537BC467D1C5EE26D8CEE0D8422401E00305E2A20DC4074';
wwv_flow_imp.g_varchar2_table(2416) := '87E71C5CE6259A3650DE40CC8F376894C2818437B849C631C43BCCC3EA318439BC5C38008032084438BC1E00C481169CFF84BB9860EF3DE1472080A7AD8A4050A1100C440460C447EC94D0ED10EED48361219D70F5433DFC832BAC892390D7D63C83AEF0';
wwv_flow_imp.g_varchar2_table(2417) := '08DA71033A1886379CC22E4885322C031B2442FC290CB9A51B8CEC913084826DFD02250CC41B548230884106E84058A1DD7A95D7D61CE09C700118844125860B2602C0B8B401276A2200C8811C88C33DDD5336C8C3BCD51B3C00D79EB50EEE0140243084';
wwv_flow_imp.g_varchar2_table(2418) := '33089C0C6A1EA34D19DA38943668D44874C70D62D22690C33C88C436BC1C00BC5E35AC0243180200001F48C89C9700C01C341E143E21056484019CD82714224B409FF481E1BAEC90F5C5C63DFC0337F0019A2C821DF04B950180E8F49D23E6111B9D8235';
wwv_flow_imp.g_varchar2_table(2419) := 'BC03362CFF4330C80129EC21B4BDD77A590CDC5082197D88405C1BDB614409B8C18DED111FBDC8E6B45531044122884BB80844188C0B4384412254C634D8933DE193BC7D202AAAE22AE6CE9F38E147A8C22608442BA46448789448148342F1822A645E42';
wwv_flow_imp.g_varchar2_table(2420) := '0D04395C1C2D5AC23A98C338A8C33804214348C3C905C3479098ED8904E4B5E2342E65A95142360AC4C1084406600002349FAB0D1D0078A31886E34EFDC33758C81B398202FA825AF0018F1C431E7D83302C0214088236A00336940618E4232BC89F7CF1';
wwv_flow_imp.g_varchar2_table(2421) := '91BA09441ED182B470C32B7C81190C84AE584D0938829B2584DCDD5895E14125B641182C401878A2630A046402404556862CD4533DE55307061161A5FF627C68CCEEE5DE6832843301C083558EA3B5C22EB8A440A80200C0E6404C1964D96246281C3A54';
wwv_flow_imp.g_varchar2_table(2422) := '9A40F0421A0C4439808350A29C4024032E9018ED85C4288484BB94664228C22030275346E74A3908150EC41264804018C148BC1818CADA60A11EADE583577E598BB488D278572E4044DC7CC3D27C8225488236BC43365003353055FCADD18BE427623E43';
wwv_flow_imp.g_varchar2_table(2423) := 'F7B84225C0811C08C41A248F1750C11D14C61E810F5E7EDB3180821460A2B82C8065422664566464EE4929E411478E62E17DA6482A5E0CA1C2269CC288B264E6FDCB47D99736A8602B381449780E43C8E6ECB51C4834C24098C11B2444254442608E8449';
wwv_flow_imp.g_varchar2_table(2424) := '26C4730200EE39A77416E90DD5853632FFC409AC1A49E45456E68377826378FE4338E0412C70C32794677962881BA8479B85C237A0838BEC420E5AC32EBC5FF0480539080939C0CD40F4913E3D037B09831F000018F8092D1062732168DC244485A40F00';
wwv_flow_imp.g_varchar2_table(2425) := '2459B850E8660844255A60100040107C81F77D832C7C0323E04147B2032FD507BAD407ABE1464240E9C81CC21E78AA8401C0884A184689042FB8E6A235836BBA84476D02CF0100331C2543388E40784272629B408CC11F28D0470C69201829B006AB4044';
wwv_flow_imp.g_varchar2_table(2426) := '9F407C21A70A8E94C6068D3D4319444C9385C22342C36378A92BD05398EE02FB054FF06C823168430DE6E7232684660A44360C839EACC127D20232500232FD2143842B34C4C2117CFFC1A226AA140C81053C810508C1BEE6AB054881142402343C2A37C8';
wwv_flow_imp.g_varchar2_table(2427) := '821A3C813D71833A0491A5BA03A6D21A88BA8E44ED81401C02001C822480C4880A044B7ED4D9F8C2AA42D440AC2467B9E848D8E84748434DE1822B664419FC81F3954420CC411E44E3CC0A2BCEBA4EDE7592A2746137D292AC25AB50FC033358011C00D0';
wwv_flow_imp.g_varchar2_table(2428) := '3354822B6C64363083271427F8B9422A3C0330D4C226404E6679AB5BE5665AE1917E02003D3D033D610333001FADFE025F1AE04286C431B881157001C072C417402063CA49A1DA291E8029C1828F143C035FA943A586E43E7827BB106BC718C10E2C4188';
wwv_flow_imp.g_varchar2_table(2429) := '0000134C010048D44790D6456D822674EC6DAAA42F28DC26E8012124FF04576983E90D0489E428AD8A44197C041A00802144EC330EC41C0CC21CFC6ACECEAEC6CC0843800E00844746302948D092937667D082A7B2FEC32F58011ED8822B408332D8EA2D';
wwv_flow_imp.g_varchar2_table(2430) := '804223DC029D855F34202F28F4818BD4E0E69003A9AD576EEA179C01C033CC93DC802F006CE4346008AEAC175E2AE840A82F2D200220180220F0811F50821CD82F25380223EC2F283AC2FD820124162C1E48C12FF0556055AA3BA4E2E042EC0B715242F0';
wwv_flow_imp.g_varchar2_table(2431) := '4048482E0088E829C826433418E66604C572DE47BC2A4ADC81CB86C7188CC4CC2A25EC02C0CDD2AE0A674463208352E904B70D830BB3C4097C0E3B0E441FA8011584524660805586C4EF022DB20A6FAD25C3DBDEFF422C0CC32FE00228AC422328C11700';
wwv_flow_imp.g_varchar2_table(2432) := '42258CC22D4CC3F422422AB4D919D51D3A0CC31DA555FB2A2834C0D934C8E934BC2900B882147C412824839BEAE547AC9730208221EC6823DC712550421ECB4125388EFD864223844225EC2D373002203043991C302F1D10A60AC4E0D64E6D0100247D04';
wwv_flow_imp.g_varchar2_table(2433) := '1350561D70EC048BAA48B0642FE6E24734836D0E840D00C01000810B68A70B280143FC418E32841B94C12BAB81328244EC0A04E3AD302E87447B711B34E804000C834BD08027D9414401401A4001CCF4260E40010E5CE149BCDA17D2D256D29A5364C318';
wwv_flow_imp.g_varchar2_table(2434) := 'EC0185DC4430E0423600821258C1100C81125C811F30432AF801367C436E41431C02003A10830DC1FF8846C14D9184AF3DF7299DA5B12BFCC2F7C2716EC531F8C06F1FF7F13266841C80021FDB2825FC0267CA822B681F9D29727D30F2230B04EB26CACD';
wwv_flow_imp.g_varchar2_table(2435) := '25C4248344C6BE27C69926C6268426A0A8481C9C44710000788040800010088429038011B8401524449D32042C03C0E99E441EB001165C06436C412EABB030007342D0422ED8DE50A3C409CC0044652C48308113A89A40444145930CF4F15077E6C67772';
wwv_flow_imp.g_varchar2_table(2436) := '258D85C331D4022F24F112E3C23498811268C13873C115C041327842275C0301C2D93C19A082B2DB9C29E8349C9C409C31F826030024433024830CBF191AEBE51E3D2224D4F1401374234012CA2604F0416F1E3D03282482DF4EC31FDDD93E50FFB47726';
wwv_flow_imp.g_varchar2_table(2437) := '84E16E0C2C0904332282402469C780C047D8800AD8800B00812AD73400C0C1C1B841EAAA41EAB2842A0B84141CC110686150CF6E75468283047326A3C225393500D0812064047636690EFD6C9412B178BE432C18DA2D0C032EE0C22FDCC2376BC1155801';
wwv_flow_imp.g_varchar2_table(2438) := '1A5841238042266482B5E6D63CD1539375022564421F1B721CC8411CC4819E64C41A6001050200BA4A4125B02F990CC43F0B4426180228F4B1275482274C32823BCE1D0300CA4AB63DF9675EEF1352E4503E70F6E05E34A280C224530269CB4921F80169';
wwv_flow_imp.g_varchar2_table(2439) := '87041980842A78436E7E041D842A2533440278804AAB400B64440BA03643F8011FB47224508242DFF14697840A30840A0CC14010FFF96F076B7BD95663CCC44CFC724A509640B002495B0543486104600043C4ECB03E37D149B3B282A73F51E9D814C32A';
wwv_flow_imp.g_varchar2_table(2440) := 'DC4271E2C22888F31770811558C117540228FC0125D0131FC1D91873432C3CC11A340218B00143900000E84D172444179040A1774116C8011870812D882F1C9709F8A8772E7C03327442242CF8461F7822D06AE902DF2B74433D4D832D304232640366FF';
wwv_flow_imp.g_varchar2_table(2441) := '433FF1833D149621C1101CA8C1B581079B0844C57DC42CAE8484A541AA25040880C0280B84917F849E8CB84868794948C00430C404408040CCF891E36C52B31730DB90494039492744FB0D040330000064C0AE0B44CCF256F44573748723203D8556DDC2';
wwv_flow_imp.g_varchar2_table(2442) := '2B94F92F54420A58FF01145BC11A1F3823F40132481BD8C2193D85C2165482255A6216446616D829A013BCA11A7AA0270216BCC13508446E091E67F2D1372002426203244442265CFA824BB28E364E2208C4286403A84FC32BF841F4FE91AACBC6208924';
wwv_flow_imp.g_varchar2_table(2443) := 'ECB4F2747C814548011788C1AC6F51A239AE486CCEBF985E6A8284470C840900006B17416B0B840B34FB40C0C11FC07631B644604E80044040D48FC4BC8E41AC3F3BD60B048B0F44260D842054524968F95593FB34A38C9883422CBC82DABFC22FC48114';
wwv_flow_imp.g_varchar2_table(2444) := '58C11570C1175C011A78022390372200431FD119B1410320BCF9406464465AE2C7F77980DAA9A27F22005C412364433AAB333720C32D3C83DF72033384834174FF023250D58EEE28004CF12884FE287C46231878253442C87783A90B832B88FCA9A7FCAA';
wwv_flow_imp.g_varchar2_table(2445) := '83A6A6C690F035047624441A28C14C0F0413648424D0241D74AE4BD8381010F90808BDAF27841518C2AE86B840280335B0041AA872B267BDF5B304064979945F7B89CF00B72784F3193B344F5F187EB98C0D6D385048DAABFD2A0C83120CC1DB5FC1DCC3';
wwv_flow_imp.g_varchar2_table(2446) := '412344422AD8422A20C227FCC11820024040C386ECD933646EB6C85983654D973500B66089F82508008800B40008A205CB9557D9B8650BC70D192D00D000D09AC62D9C1F71F23A5132142952259B950078B209A0118044A3465904302A5BD16CD37E65EB';
wwv_flow_imp.g_varchar2_table(2447) := '96ADDD3F7BFCF8D98307EF1EBF7E578566D5BA95FF6B57AF5FB77201F0E4C813AD5E00EC295365CA12265E8D09B5A4D559575F42D16A8890B5850B002E80808001C086D016491E3202D0C70F58C768D000B0C0410204095B1308BD2C341325388E418716';
wwv_flow_imp.g_varchar2_table(2448) := '3D9A7469D3A751A7566D519345565B257DA501F61E00A8FCDAD1B3CD0FC0D57EF9DAB9FB7775DFBF70A162C51AF56AD4AA57528648B122E58A15409518818A954B18B6544F5EF029898D1B366170E01CB1D0C2A205C916555850311F800A8B6680E24A06';
wwv_flow_imp.g_varchar2_table(2449) := '801B006CBF90F905805F5C71659A701CF9E61F78FAB823139A2201A0A69B761AC5935112B188A8A5A8E9869A0EB359C729A8A4A2CAAA7E564BF12BC5BAE201891B98D861091E4A8BEDAB4DFAFFB04884AC3C20ACB02240E8D122C1B8BAC3A25B82E90A45';
wwv_flow_imp.g_varchar2_table(2450) := 'B0D610CB220AB2820082042448000200325351CB2DB9ECD2CB2F45A3232B3A0811040056CC4CED36DC74B3CDB7DFDA8167B87F8A3BCE9554806AEE952194B0A23A2BACA8A411433C89059858DCA8C28B312089069A829E79149A4A2801A0D25070020094';
wwv_flow_imp.g_varchar2_table(2451) := 'A05C01E0158B3EBD4516A1AEC18619618611F0175B5E714518711809679FE220F90342086F4A44270C2FB46914698EF250D865847B2AAAA9EA39112B30B54464AB10368056030096E8610AA1A04803805DE632869C77BC11EA905378894BAB43C4C86A2F';
wwv_flow_imp.g_varchar2_table(2452) := 'C3FE020088AC36A80F80168C104A8C3DD0022018524A93038FCF84BA12802AA7FFDCCC4AA1FE58EE1666196ED8E187999D612B420048130032009881010C445B33B77F6CEBED2AE0E4EC87CE7FBE2970D34D5701450529BEE0E28A2BBEA804903F32B1A5';
wwv_flow_imp.g_varchar2_table(2453) := '932358F0820F43F0B0251B6888860699616EA165615746617A949533D4B41250005865150101280819615E91E597576C9185165BBEA1841B3AC3C9658C48FE687BA6466E1AA5110B81F289A8A33AFCB09B69E2B1C79E7E8E7527D937213EAD274A28B568';
wwv_flow_imp.g_varchar2_table(2454) := '5DC52DE2602B280EC94A1BAD0499CB2255B212A20900F09002000420A0C00321A304C00310B84277AB46E208CA227BC08ACC22B336DB4A4A2CAF5441F64FB792C20400042E5CF8E1896798E3AFC87002002718086D49DE78FFA30764DE4426D9B77CFEC9';
wwv_flow_imp.g_varchar2_table(2455) := '263B4A40490494550069E18B2FAE90998B4AFEF0C313445EA022675732C9848FEE0CB20519641A8BCC8A2D84DA2266980140BE2B684A160B3B894184B10AAF814D18C2201B23BE110A68240A1186F0C31FCCF0069E54224F1C1C45257E3294691C651AC2';
wwv_flow_imp.g_varchar2_table(2456) := 'A2060044E4B77E484570CA5A52F144B393D0DCC02255A098E478E19533E0000019B0881B1A0780077060025D610F00C4223BB974C513CA28CD1052A0952BD5EE32544AC1178E04432D6E918B2982C25B84C200E569850C623ACD6D0020BD9089EC1E711A';
wwv_flow_imp.g_varchar2_table(2457) := '4E3FEEF10F5B70C115707B9A2CFCA0822F50073A6600C51AFCC08817242113C0B0852D42E10A37F0211AF74BFFD52FFC2005B170E10B4A08A0E7C4323E2968810B2AA8C42A70818B9360C368B700902B9E410B4784221D9DE8432720C18D3118E20F7D78';
wwv_flow_imp.g_varchar2_table(2458) := '03641216892E60C1075D0040202C74A15144231BD7082435461822A7FC8D8583F34D17BF02083F20AE312D20E2356B27941AEC000953D0815636010054E410004C58C2192C02462F45EE1071881000009115EA89A6889899526A3C40010A4000010880E6';
wwv_flow_imp.g_varchar2_table(2459) := '3F01FAB00F2C8F061213CA182D923C8492C6636AB44AF5DCF88F393123138DB84EF77E818621ECD10AE38B83CDD050851B44626C86740524FCE00557406318A9420620001899F1950F8B01241F16ADD08855088568C8C88A2B7261074470E31B870A472D';
wwv_flow_imp.g_varchar2_table(2460) := 'FF52C1183FDCA10C6540C3157C90031F3420085910E62A2C64914F6023128C58CA52DA610FA7AC702AF878D30B032A143FC401008D01403D350325B044CE4600B0435692B004167CD32225F8A61BC6403AAD44312B7FA8E1E5C2A91A346C010F8C1DCD3D';
wwv_flow_imp.g_varchar2_table(2461) := '8FE8180F14D10312906B5A319B592D0D542B743023578E179AAADC263716E1CDF5223AA76C44C20F704B842B7081062E00708F72A8041CB86002951EF290C0A0452ABC60042F44C216BFF80520368AC5F2594128340D20CD002007A1004828DC98864562';
wwv_flow_imp.g_varchar2_table(2462) := 'B18863608394DFC046385CD9A032BCA10C7D28C3541B40022C64211AD160867B41B1053050A116C4F0445196522CB1E2035967952766F160FF061E5904AE8E990239B3D28A541CE30800E02B004AB095083C203465004015AC308631E06B0F1BB6821970';
wwv_flow_imp.g_varchar2_table(2463) := '92A9D16CE121B6235856A8149AC966C5715F21C214AA10AD6E6A96C63516CA2298551BE8A5F11FFCC8874546E64693996C1A7EB84E815EB1A73DF2710B9468041AAC900238D8E216C0B0323086610B3CECE008A9B88529FF3004B1480700D2B1A4CC0298';
wwv_flow_imp.g_varchar2_table(2464) := 'E62FC41300CC0000321E850D8B3CA33FC380B39C2D028D68A402147C1E452A80D1892060810441F0C11A8A868D6374620D4DC243383CF10CA3C84985CD54968D23C385210885B03DEA5195BCB20418D760A0691883509E61911700A00700D851BC844261';
wwv_flow_imp.g_varchar2_table(2465) := 'D224A15E16A95715929084ADFFA8C3645D11F01ABE8007A13CC4491621827D06F60009980075A599C03EBFB2810D5846D765D0422E6C9C6D6D6F098DBAC9C78F510B8FABCC691A70B84E9265010A2904413AD4A95923BE600525804269B71006966D5186';
wwv_flow_imp.g_varchar2_table(2466) := '3BDC610CB420C63070010725948F92CBB5484D85E2B99E08852002C1337FE44C3488132319CB90453082418C5B7863133EB082A18760055578231ADC38462D1CA1063CA00514B710C752D4E194E1D8C31D2D7CA68D2DB9152232DB220243800108209404';
wwv_flow_imp.g_varchar2_table(2467) := '7800051AD0C065D032864C68A5305AD9016A8850845A3BF85A161983064583873568FD5F8104001C2263618BE8BA34B5232C8513400003704502F122C20F01B01FA1C460FF30DBB6BBC3920309001820B45C6A2800BE7D5A38950C70D9F343255CE11C59';
wwv_flow_imp.g_varchar2_table(2468) := 'C8A1084AD8E41EB5000A39A021663A0180BDED47090EFC80127778C5BF034E1DF35D12BA7BAC0800065E89510DE82473463529B9819282044316A5B03D00345E0C550081082EC84174FA500B68A0E3E494F8021CA4908B5AC40110B7A08639DEB84277E4';
wwv_flow_imp.g_varchar2_table(2469) := 'E6D23426AC5084303A0EF4E87700B86C020CB0768BC8BAED6A05F12FAE2B14190080053BF2C08E4EF376A11861D563AFC263EE131933083B318DA08461856D3484A008BCA2059AED73D22EE83463032CEBB294E8EE2010EF84A210B2E20038A67954A4A1';
wwv_flow_imp.g_varchar2_table(2470) := '7EA32AC26D4EF8217B18613914E8B8D60066948093B6E0B6FFD6E00DBEA0CF308F1684810F5EA00710417D88E11786A149C6273A3CC75D86800087E007E0A012B0887700C0CE9E81949490CE5042F6B8CBF64A01160040168EC11BB461135C40097E6F04';
wwv_flow_imp.g_varchar2_table(2471) := '86400C2C411BD061183A010CC0600DB660180C01042C8016B221E67C83E6DAC1999685C6A2CE882C02D4B862E83820781CA6E990282B7680AF302C2786A12B02D022B48E7334A8123C412810CE31A4C0927A502B5480086C000F2D62ED32034AF2C911B3';
wwv_flow_imp.g_varchar2_table(2472) := 'C21C22301461080336860130D0349E072A72038EAA02A2C44DA23EB01B3CE1CB44E516861066A4C073CCA0115AAB11AC00145CE1160EE9DECA000678C00F1021131EC90F6866B634693AB8800BD6000DFFE0400EE080AD4041EEDE0C25FC031B522DCFBC';
wwv_flow_imp.g_varchar2_table(2473) := 'B13C9EA1147AA11CA94116ACB018362109946008A24309A6400C78C11B82A111C2200C24C2150C410A5E611AA6E11C7AEC2A68CE1DE8E144EE2EE706C6220AC30FB5224B125234BA2F45DE0500982B2B8C4007EA656D20B1CCFE50351A4C2826600FB3A2';
wwv_flow_imp.g_varchar2_table(2474) := 'FB14B0210D2001FC492BFEE016B2C15D44F1255324164023008482004A922BAEAF2BFEEE1E3830C84AA6C7B22718BFEC6B8E003AC827121F82AD3C211AFDCF1522C10BD662037AA0F32261188861408CCB2244C92256E11656A1104DE9F2A60B6B7C0A1A';
wwv_flow_imp.g_varchar2_table(2475) := '982109B30625B80152A6C11C7BC1E4B4411B6AE11894C003E2C30380600AA6E010EACB15FF12A1141A610B32011B46E11692611ADC50206BAE20E770DB5AEDB202262B6EF273BAE20D56E11B634D28C44F4510F20D06680A72E0051E1000F8602BE0E010';
wwv_flow_imp.g_varchar2_table(2476) := '0160E968211280E80DF0C0355DD30DB02E76C4E20A2671342D820091CD2294E0092263E940C5EA60723899A507684828E4EF8C5451377852F048E68D3E501EA2E130B3411C7E8111800D0ED6000EDEA0125AE51770E115D080113CC113CA400ABC201AEF';
wwv_flow_imp.g_varchar2_table(2477) := 'C01632E116AEC1282CC21FA7411BB502FD0E1300AEAB2501A025B3E11BF6D33FFD332442A228C4A140630F1DBC2116A001F9C6E70BCA602654A11680011D58F217420114C2811998011CC4611EA26F201913ADB6ADD8B8C24FB0C849FF48D431B8E0097A';
wwv_flow_imp.g_varchar2_table(2478) := '53093E3245FC40EC521300442C3440069A44943875F46172F42B6ED42B76B2157DD2BF2C824EF601007E1476B242497D14494146E65EA748C50A4961E746614749256A2B9ED422666556E2E14BBFB438240A459EF446FB411FD0344D6765386C631E8AF4';
wwv_flow_imp.g_varchar2_table(2479) := '8D00000E9D29147FD447D9D431EA144CB0A247C14249AD629EBAE864ECE14877B450B7A836BC62B4A0228D008F032DE23941E6ACC4EA46656E4A01201E2A55ACC46A4DBA741FC64D28AA344AE3B4528BB454C58A4F7BA3388E944EE2614D9729FA1A7356';
wwv_flow_imp.g_varchar2_table(2480) := '00404C4DE61FE4011FFED4495F67310D522B00D550B5C24FF314625075DB7843E6081558012A59779470EA0100EE011FFF240A16E3A45409A7547B0349B1F54AD7E858854255A1F4759E744AC9D529965434C6D4485D1549E75044C5744C2DA21EAE1554';
wwv_flow_imp.g_varchar2_table(2481) := '6BEE1ED0EA47879538F3758D94F5348AB55FEFEE48059638756C5175A31E10D5B482032C1AB33185675AB5B44CDF685A61F54D2D5628CEEA2A7EF54DF0A1E6064759F141346E0E6049B664B9626007362B98D5EEBA0D00EAE1C784023784C33132765F41';
wwv_flow_imp.g_varchar2_table(2482) := 'A338982563757649C0B53874D6313AD6E6FA15704CB6688DD6467B964E663552435151D9A41F5E562B822352876C85B2355B95052A7AED57B3E26470D66B6D7635DE4462CF8A62B354646AD66683F6638FB66DDDB668FB2169091567433115A3C7651316';
wwv_flow_imp.g_varchar2_table(2483) := '7016766CFF87D5619D9462B50216C3F64B76F6E620362B76F66CB9626DB9F66D1DF771893347011726BB0D6A6BC3376436FA9C421C2C621BB6C122BA217445B71BA0CF3686435E01001F70D55EFFC15EF3E11E60964B1CB670AF55604FE66769C3631B17';
wwv_flow_imp.g_varchar2_table(2484) := '7279B7777D978B0AF6691116C8F496F04C0614B5223C4369794D4938AC165AB5357A7B836213564F69775992166D47365175F777BDF77BC117628277158777DC32D764621117C0131782E1160C2109FAC0B8E497189A223A19011E86E14ECCC113E0E11A';
wwv_flow_imp.g_varchar2_table(2485) := '32E11FAE410AFC001619E67AB1176C71F72BEEA17BC3B7811DF88151038E825464FE01389CB7F0C401497081195EC10ECE200DD200129E417D6F504EFF3E101E88C016AA00194C80190C20132A4109B0C10460981D2A7878069778335627A1221FE0C11D';
wwv_flow_imp.g_varchar2_table(2486) := '5A11828578888998879FB6393B5063FF011C4C493F3C61136A6117540111A0817D718118307585F0A10C28C015F821096E410AAAC00FDEE00E3CC116E0201D6EB861F2A11EE8811EEA218EE5981EEE411E74A34DE2155A5FF71E9E356631B7877F986DB1';
wwv_flow_imp.g_varchar2_table(2487) := 'B58809B9907F97B4BCAD27070F3AFF411C9637194661133A81175A01118E2118C0F317A4A71FE6811EC68003FC801D944018CAC0154C803B21811608201CD6184CF2811ED8411DD2C11C661900669996CBC19667391DCAC11C401114D3C196852298DDE1';
wwv_flow_imp.g_varchar2_table(2488) := '446EC3875BC8909579997B570391D827FFA1B31FBA417DD517006A4115285941A99919B2D81EE8410A86A10832C10486A10AE0E101BCA01A0CE00D3C401C5AD94BF8C11DD4C19717364ECCA11DDA411DE4811DCA411D62591EDC811DEED91DCCC11DD241';
wwv_flow_imp.g_varchar2_table(2489) := '1DF4D922CC811D5EF6989165779939A2251A589D59919F53891D997D0100174ECE178AE11852457D7F211E7AE32968411D90C113522183E5011998E11F68010D52218757E31ED2411C7839130C211D32C10FBA2113188116DE2013CA813D5DE10D08251C';
wwv_flow_imp.g_varchar2_table(2490) := '1E441C3C211C5C9A26C4411DCA01881D1A1EE4F55F273AABB5DA589D76159F799195789AC173A38F211478C1198E0617BC66A4CD759E287549B04771E19937E441AAD92113FE8012FF52A10A22211394C0153CE10EDE8019D0C004BA810B52E10ED0A033';
wwv_flow_imp.g_varchar2_table(2491) := '32019433C10ACAE01ACA6196E3301F005970FC76AB357BB36D6C7C995391DB88F03ED091C113E316CD17B44118984116441A53A7F56F78B22AEC1576E1088E99857AF6391DD8A10CBA211CFE800BCA208C01C015F83A1BCAC00B9E01128821128E201B9E';
wwv_flow_imp.g_varchar2_table(2492) := 'A10CE0603A68810BD298962BFBB20599B3B57BBB312B4895C57A9498898341941AC10EEE001516010E52E117C67BA435955F37566462967833307A049A1D22011122C113AA6018F2A10AB2C113BCC00FE020D7E0C0106EE10EFC20120C01120C61181E20';
wwv_flow_imp.g_varchar2_table(2493) := '13AE410986819FA91ABB1F8ABB357CC3B5887A10195A2FB7372C1856FFA739182A410BAAC30B144551E2C0158CAB6F60C7C3F3B520DF14709645AE53231F047A960D8111DAA1A9D5A1AB3C0119F24D24220118A62115BA0112228173CD01B00D81166659';
wwv_flow_imp.g_varchar2_table(2494) := '1DE0C1B2311CAB393CCBB55C4B829751875764CED72AFEA11BEC8BE0AC800BBCC00BACC00B60E615D87A44E4A129E4E41FD8A1B4743C9F4D861D6E1570DC612A683A3460D99701C01D00A01DCCA11CF01900101A1E047D9EE7B91D000014FBD99F1DBD20';
wwv_flow_imp.g_varchar2_table(2495) := 'D70499ED15CBB77CD339DD345AF6CB35766A7D63CC71210E06E80ACA600C9AAA0CA2910B22819B65EE1F5E4118BAC1DFC20114327818CAA11B0C8919B2C115D2C115C4211B902113B2E1CF450B9F6339A0955D1DFF00801D62991D14FDD92DC2D99FBD1D';
wwv_flow_imp.g_varchar2_table(2496) := '62F9DA2DFDD207FD59F934763B3DDCC55D494CCB60F19678C3DC64BAE116A0EC0AC6000DCA180EEE201A95C00F92011E26D51E5C4ED88B0914CA0119E0411E98E11AFEA11A68C1159C7D18AEC11D6E01C7576372530470D6C4C790E56AC7FDE2311E2CD6';
wwv_flow_imp.g_varchar2_table(2497) := 'C4CB1135D4DD616CBBC11622E10D30ACE4ABE0E4F58D11607D535D6118B22115AE411C6C41A26CA11B9E211A007818A6011E7C1D14D8C116A49559905DE3271E99BD3DE3913EE97DD5DCCBD7E319391B6C611862010E081C0EFE80EAD5C7CAB8797AE5A1';
wwv_flow_imp.g_varchar2_table(2498) := 'E1C3A125892115CA2183B1211B94E63D75FD16D82115E0E116A407A203EAD20319EE95BEEE37FDC3FF415D6F2FF87871106B2C02E3AC78BCA7615201471EE83CE6E061D26DA31ED4C19DFB41B72DC2F0E181EEE3FE36EE2190ED3EF331BE657912DD453D';
wwv_flow_imp.g_varchar2_table(2499) := '5DE5E152BFF45251881ED6611DE201F5B5F5461F8A4CB5B5D7AEB64E87BE8BE4DEAA295FF3715FB3131638BC2D76AD223846D66CA9764FFFF66CF79468810CBEF91502E53E99B7021E000F7A737FFA37FB5917F551FB61FA32361F54F7DBD0743736DE77';
wwv_flow_imp.g_varchar2_table(2500) := '29BE1D60972BAADC22AA97FAD57F997FCCFAA9078EFA019F77F8FA977F370ED987C91FDC85E2FCA57FFD010280C081040B1A3C8830A1C2850C1B3A7C0831A2C489142B5A8C580F003F7E03F3F573E7AE9F489102370EE478D2E4C5952C57E6CBFF07AFDD';
wwv_flow_imp.g_varchar2_table(2501) := 'BD7C07E1D10470AFA5CE9D3C7BFAFC0934A8D0A1448B26A4494F234A002FE1C1033032E549822A8D5A8DB8D11DBB97356FE6BC0A36ACD8B164CB9A3D3B911FBCA42405F6ABB7B61FDAB911DBA9934B37AFDEBD7CFBFAA5CB71AD4177EDDC3994877820BD';
wwv_flow_imp.g_varchar2_table(2502) := 'C549FF06A5A74E5D6383F21C5BBE8C39B366BD5C01802C689861BBD1ED3C7B06F97961E8CD0F9DAE5E8D93B5ECD9B46BDB6E988F5F6E00191BDEFB0DFC37C197C46FE60D1E5C61BDE5CC910BBF0D3DBAF4E9D0893BFF2A1DF8C2E29D1D5EC73E103CF5F1';
wwv_flow_imp.g_varchar2_table(2503) := 'E4CB9BBFCABD78D8E715891F347E3EBEFCF9F4EB5B46CE94BBFDFDFCFBFBDFDC9D50F8A5F75F81061E38DF77F7F4A618008C4DC6FF12830BF6C41C830661F7A04015F6761D821E7E08E258B011541A69A50170E240EC8CC6CE8A288636A245293634634B';
wwv_flow_imp.g_varchar2_table(2504) := '2DB628908929DE08408BEDB8186290420EC9125E05FD8364924936F44F7FFB3C09E593250DF41491565E89A5831A4DA9114D4B6529D03E4D12C7CF3F5C1909669A6A1234CD7EF4C8C5114AF7C8B31B456D7139D048FD6CF4656D282DB65B556B0E9A6535';
wwv_flow_imp.g_varchar2_table(2505) := '005C03409B8A26CAE8A2D35CD3263202B589A8666FA289936015DD79909E7C46C7D13FF0D069D047849E0A669B930EA42AA3950E744D3690427A593D98664A4F9F10DD5A90A78242372A7C5DD6886AB11ECEBA6AB2AE267A0D33873E9A0D00D162F6A641';
wwv_flow_imp.g_varchar2_table(2506) := '704108D5414D22C4FF6B9E237D3A9D53F7F4990F3BC69EEB61358642940D33CF0824EBA3D23E3B6B35AFCE656149F4B433995C988E59AABFFD2429A8AFBACEC6A753F4087B30BA0EF3B7AE43D7446390ACF1DECBD79E5FD2C30E3DDBEA69E49204092C90';
wwv_flow_imp.g_varchar2_table(2507) := '99F5FCF94F3FC2A99CCF3D49E553196D09AF051F3F723D25DEC33A87D82EB3D222DAE6B4AD665C103F1CCB93B25B6D6D1B4E36952D05325EDB32B42D92B2CDBC30550255B973D7414E53CDBBB212242900C33886693E473719B546FF70E3C51465885332';
wwv_flow_imp.g_varchar2_table(2508) := '5423E9F34F344AF8F10F3377A8238F21490C538E27917861052DD9BCA1CE3F0DFF74ABC876776BE44630D1AC35005C7BCDF98194D20B2DC500BC1BF159396B1CFFDEBEF0A41C753FFBF403C912673011C93D56FF638FE3FFA843C11DA0F4734700D1B0B3';
wwv_flow_imp.g_varchar2_table(2509) := '43193064A2C4301C54710D23015CF3CF9B8FAF34359F50471532EB5115DDCFE5F5080B803C9B774E3E7FA1BBFA795FA72F65343DEEACDE3A3FFBC873881DAA8881883C22E58E6499F220E18574B8630C91F0433B8CA0843778620C0078C330FEF1864C18';
wwv_flow_imp.g_varchar2_table(2510) := 'E21F1999DE459A448F9890C6344EE9E06A9CA2B9A7C0C356BEBA5CD6A622BEF2A9B03FAF9A16A3FC222CE99DA41EEE835FD4F0B10F7638621385B04427E4A18F3DB94D4F86980231366082189443091C00C530A4F08F32B8E21A0F20021106063E9EC043';
wwv_flow_imp.g_varchar2_table(2511) := '1DE5104739BA58907200C01C63140819C5381001FFDEE35BBA79CA09A794C215CA713E8F7AD4335E452BCDA8841F346C870D41263F78D46211AAD8442E2AE32F24E1E31FE528C318C650862444C2080018C3344CE0072FFCC30BAFB8C30E324101645030';
wwv_flow_imp.g_varchar2_table(2512) := '28F7608739D2F123736C511DF048C7A8CAB12255B6231DEAD08A3A68494607E5C6720ADB121CC737C760D6A7749611624738F694A8592D1D9BE8432155810F7DD80C64F2C8C41BC2418C72F42356B680C73040118D7F10431CB6E846DFB26126A0A88596';
wwv_flow_imp.g_varchar2_table(2513) := 'D9804326C2F107503CC310AE884424B2918A54A4831168C886380CE1097D82221CE970A547788939140253980C1D4FAC00602F79DD82186543CBFA96A23676AC6E9A7ACAC73FB001853D6C62FF0F01BC879826670F3D09041F04D9164DB6E5B17FE4C482';
wwv_flow_imp.g_varchar2_table(2514) := 'EDE1223C6CF1873BF8A10AC8E04224AEF1035A94230949084719FCF0073820C31655B88517B2C10E83F2C98475DA521C1B8A55B1D8C1160080C63024450C002023AC3CA986E88E73902F194DA393EBE83FC27106FB1DE210ECD8C75754CA8F710D2C6533';
wwv_flow_imp.g_varchar2_table(2515) := '5DD0C0E8B1A09C2CCC983EB90717DD418C2A1882195CA0C52D92900A2B78021965F00231B870076BD2231D55780300C471CB6422F48D565D68564F1B94285062206175964E5485A86BD88B98A62B5555D7FA473DE903009F106921F7500C76B445241C91';
wwv_flow_imp.g_varchar2_table(2516) := 'CB4B36D2168F02C0717259235E7EA5137E98F2A65620E01B64C5082E54211CA0FFA84267EFF005438CE116B6E04239FA19199B4C556159342D6AFDD2073F0000110080442DFA50080084C3430C00000DAA3010FA1EE419EF3A086D13924781606C2EA7BB';
wwv_flow_imp.g_varchar2_table(2517) := '2D323DB5A77F7C630F53A8C3215A71883DA40111ECD08773F78497A4E4044EDAB21A5138C68E670CC316A0C8442452C1886ED8D313E18846266E910D5A54C30FB6106A2AA00A389B8DF6B6377B6F6D0E0100357CC8000801C641C27A568218EA16027132';
wwv_flow_imp.g_varchar2_table(2518) := '44657B9005EBE574E33A89EA202CBF4E40210D64D88325C89C863440C3414114223CC4A18F6BF4231CFD006D3AC6588E7444039BC868C7D484220F5C024E2B9A035C8B6899417644661EEC70873A66193E3652952A453632FF66183890344C4120C710C8';
wwv_flow_imp.g_varchar2_table(2519) := '1936AD6924542112F5E9EF010000E0FA0200189D8EC8BBC66A108C25782F382BD54C5062343FFAEA1FF2E8C398D35C873AECA10E4CA88587A5A9B27F886318F50045369EE18E5BA82356CC4006339C750BE899582846D3E08D7CD4A31C1946D1A6390D62';
wwv_flow_imp.g_varchar2_table(2520) := 'DAAC319A24B42495B6F45F487D90B90E640F0058C214D2201043D8470304B90300724190B34D8452EA3294AA1E355BD91ED82C0D360E6E772D8F5A8821CDF716E91E0C110D7AA05B24CC18C67EC72A0E6494231BE508C735E4410C7990FCCF41B11E545A';
wwv_flow_imp.g_varchar2_table(2521) := '86139A704829D3CCCD998A4BDC36AE5B23ED76F75E160E80435802007F0000BD0732854DEBBB0C00E8831906FF128A5698C70D7DA832C0115260870C0D56B3FDCBE9BEB7947DE9CF57F7108625A6C084B433E1DE8678873EF096325ED3C21638CE4626AE';
wwv_flow_imp.g_varchar2_table(2522) := '417764F8139D87BA4638583E14DDEC52292F99899736A21D6FA99429ECA5B4E67CAE993A2804DF94248819D0D0C03E14030067E07C143A6F9BCA0F241502B1452EB82A906A67DD2251DE0CCB702DF6D66D3316AA30C42622517B55DCA21C6F1F89A8F427';
wwv_flow_imp.g_varchar2_table(2523) := '8E70B0231B7F1F3E30B2918E70D0021EA7047CE07BA514E817CD201C99F4496ED62DC893451ADD10C8286C5010491864D300C077AA0BE2D958A0821067F8BCFBA3837AD4174452154D90ADABFA6590A5AC1E6FDFED83E8C17F104612C62417555380FD33';
wwv_flow_imp.g_varchar2_table(2524) := 'FF1655932D0BD82B5383264346694FB15B404100DA1711DDB00DD2908100A004E4271092500B00800DDCE00C995605F7361057807900F0749B770662601EB1207F56060064651F0D66127B127BB2B70F00B00FFA4043CBF1760B2812BD5712BB94571594';
wwv_flow_imp.g_varchar2_table(2525) := '57E022333A475A36F3784421021648113B80640C510749D0597F700500B0829E150A00C07EEF070051001DF2571036481059D77AD99156EC2376A5A234025384BBD5833DD8296D015DB60181D7178541C164547811552008410700BC3074E5E7691E9810';
wwv_flow_imp.g_varchar2_table(2526) := '67D07E9DD7794D4010B4B01F510674AC713A54916BF2F038ADE383FF202678C81F43C63E3D278879A104029106472710842010E4277903B1FF8202F17400B00B65D87E5080104C571F51D686E7B1890AE189A1088AFE418A7EE85EA76815BF400DD22010';
wwv_flow_imp.g_varchar2_table(2527) := 'CE381030A8099A60748578854627105F68069E850655870A0501056648103200002A20106E301078301E05160DEAF28BC0188709318CA0588CFDD187ECF687CA5816D4A02C55700875908884406F1A761071408B5E680703C17EAE28869DA7090C59109F';
wwv_flow_imp.g_varchar2_table(2528) := '0000D6201DAE251014A365B79133D4178F6B728F3C978FFA38173920107B408D0451889E26105AC08B45C78214F18D76408D09691B16393A06128C83F29150988C2229167FB001985610AC381042C982B3F8099200910EF10976A064BA781BCC000DAB67';
wwv_flow_imp.g_varchar2_table(2529) := '8C62475341728CF8D8933E19FF163080104439104CF7067FE0595B2010BB208E92881061781062F004EBB86604619337491E39E9914E5833A6C89566610544201043276C2979104FE7595E381074D0044200058AA9986A0900C2C055BFF00DD3E042D3A1';
wwv_flow_imp.g_varchar2_table(2530) := '0AAAF08D73310C3408149862976A82788DD711D8B7917B3914D3A00CBF100C5BD707E2379009C17445870666C95B65080050398904210CB2F00D02A18E03A1048C201D9DF09864210CC0300CA9800755B7125BA92FED103377790FA2A995A63916CB8010';
wwv_flow_imp.g_varchar2_table(2531) := '9B9088829910B32810D6108903210402E10800400B57F70ADCB07502F10413141DA0279761010C12A96446F19969129A3BC793D61916D2400D953910CCF981B1487E4860FF0446900400D0855C30109F40070EE10ABC390DC2000804119CD2B1089F200C';
wwv_flow_imp.g_varchar2_table(2532) := '04415114558362A5863C415E0341932C91892961953A9957EC558A21C99F57A10C43E39D7B409006210148301056F09D021105E1E8A309B19E02219C185A1671090054305F3F812D1A91A212C12923F35C57C91A3B897D2F4A14D9200D598A9AD3809D03';
wwv_flow_imp.g_varchar2_table(2533) := 'A102E7271082108B03810209F10985E8A351D0048E5910A8C70DAF000045401D67E00454500C5737178B0039451387D9C7298E33395AB33D7B781BF9F9847A69A53E110CC90000BFA00C0010A390CAA80751A3B1080200B0011E109100F0A03DDAA30B21';
wwv_flow_imp.g_varchar2_table(2534) := '0B0241A147908AD241034966167070107CE013B7D2A782DAFF3F22D1244B122738E716B8F61239E7169A485C4FDA17869A979A937D89AA13C1F01087C09DA8060028B0018D789B5140079F8A10B4F00B02210B6158045F401B0C400018700205110BAD16';
wwv_flow_imp.g_varchar2_table(2535) := '1F68A283D0A97F80DA0E7F9734784146B3EA381EE12F75B3AB1FC3248E01AC8E070FC34AAC3C018D0261AC03B1082749107590064C00032B7010E5F9A002D10450C0A60601A7025109007004E5610B1B1A161BCAAA448117DFB28311560ECE820CDDC00E';
wwv_flow_imp.g_varchar2_table(2536) := 'DB8624918046D7802804F30FED9009EAD00D77804E21F707AEB03BB71009AE000F919009E910099EF00F9E6008F5E07C808197F8BAAF46F1A804B1B400B00927C98AAC88B008B1940C2B1052A08E6A20FF078E2007B4400BB28086BF391DC0C09911910A';
wwv_flow_imp.g_varchar2_table(2537) := 'C459115C850306F1099420913AD1B1C4F5B11ED50DA9F00FB4E00ACFE009AED07DE9500E998006D7E00999E00768500E8C600EB6200EBB5309E5A06CA0F00FB61009E6A20EC8F00CFF300C9ED02CD570B7B7100EB7C00C32E517542AAC493B14D2B00C4D';
wwv_flow_imp.g_varchar2_table(2538) := 'DBA802110328391075D0793AD0AC07F109AE98A6B8C9088C20B6E5699E565208E5497AC00009429A090EE1096B291068BB129361356FE10E488380E240406E30B895000F9EC008C75B0E86D00DC3F006B6C00CAE6008A0500E7E86B97FE70AC8E00E2B06';
wwv_flow_imp.g_varchar2_table(2539) := '00881B3EECF00AC2C00EDD500EF0700BC8704A97CB527D415C4E713223B3357FA6AFA6DBFF12FF1A7EF3866F30100207A1A70FBAB004519F04010894000A424A1013FB210287B102115661B5C108110948CAB605A1A71711B7E53A76DD232D364B0B9540';
wwv_flow_imp.g_varchar2_table(2540) := '09A9700F7EE009E5406A320C0ABE730D845B0EAC64268A2B0EA11B0DE8740B86700DC8900EAEA00FCFD0BDC4400CFF407CCF104E593417A4EB9CC2D40296810B58D8795E9910AEE8A90E2B105E3010DA6A987850A14482B11F6C362CB15A02B108BF1905';
wwv_flow_imp.g_varchar2_table(2541) := '153B1127BC89234113E5F040CC600B2BE6C488100EFF6408C3100990C00CA9500DD7340C8BFB0FD5900EA90007B4407AEAF04EA930727730C383CC0C7080B2426B2B7F41C5032C4C972A1012D0017B61C00421A04EC0049C07003A50FFA6654A10251AAD';
wwv_flow_imp.g_varchar2_table(2542) := '3F0A00624C10DAFA0345A00680C0085FF0044370255FA5C616219109097A51C002009001B6E910D542151F1B1BEB0A0F79B534CBE5316E031725532629430FF2900A6FE231C33030FDD01848220F4931ABF6CA78FA59A53EB7030231010571053E0000F4';
wwv_flow_imp.g_varchar2_table(2543) := '5C16AB90C500C0A8C0BC09E2277EAA3805B28B024000043D60B5D6A007E2188EB6C9A0E9281029608E04F1044AD0C642820CC3CC12E80800384A10E2781027EA65E6FA5CE52C536CD33FA3A43D6ED1BC7A85242A23170CD2D22616772AECC9478B8C2A63';
wwv_flow_imp.g_varchar2_table(2544) := '64E047D0578C105890032E60CF40A1BA05919A05E19DF3069FA20C00095A10B32CAD0891CB00C0CBAA5AAA162DAA02C7FF13E3B904E3090011B01020AD18D0992D20A6572533D3C59583BAB146BFE1386B2410C705AF509834D33425A06C16590992555C';
wwv_flow_imp.g_varchar2_table(2545) := '110150816912D191E09209419244210D434D10DC27105D6809FF7C0663FACE5EC0D4E008AD6AA9648C80C104210500E007AB25C75C350FC1440600C00438200418A0CC0CE0D169F1B14294241E0119322573865715FDC0354AB25C2D051D9FEC13CB2C10';
wwv_flow_imp.g_varchar2_table(2546) := '1568007D7D25EF7C1058800571D0050659CF40B10D00B0DC0351AD04D1088D40102F90049A600943E704D8F802036D05904D106F4B07694A10BAFB05B67C1052F005116B251EEC1327E0D5027104A25810202DB7222DAB00000A7F70676374BC03A124FD';
wwv_flow_imp.g_varchar2_table(2547) := 'E309404BFF0B7F400F388BB986E00E52AA4736AD9576DD1219C003C5E2020231D84181DCB409002ED00223D00220000320A0A9E1B7CA69561055F09610F1066AD0D046CD8168408996D60445DB29DE52C722613BC800B4EE80B7D9E00AD96008E930C4CF';
wwv_flow_imp.g_varchar2_table(2548) := '000FAE104E5B0400CC700B994B0BCCE0097367B7F952A80C9ED704CC13130E002D50CA190E042EB0032EF0030040D0009003910D009227A004717E252C105040060D6B10BC08008D50D16670044770D42B94AC0411DF7652E311960F9400B4EDD4E4E1C0';
wwv_flow_imp.g_varchar2_table(2549) := '0899F00739CC0CB4A0AEB7400BCFC00CEC704FF21009C3F34052DC84D6C76E20B41381D8DB08F1041C4D285A30145BBEE5439003C0CC813A4A10AA4EFF1030584908A1AA03810A7890B5259A6F0551BCEFF5CFCB7B24E4FCBC7B85241E430B91600B7E00';
wwv_flow_imp.g_varchar2_table(2550) := '0A4EE4078CE00A8742093C8C24AE000AD540E8249709CCA07C00B0BFD2D1BF23F4257891AF00CC12147010A7362865AA034341E62C29EA68B0EEA20E006560965740C6E03710094AE605E16F0080078EA08E7CE0EF7E800770F006021FEB9A0D0070205F';
wwv_flow_imp.g_varchar2_table(2551) := '59C50A0F2C10E46EC228FC2DFF700D867063916008C000C9E39B0AF5D00E936BB3EDC00886A00E9EE007E9900970A00EA9F0078E3B1EBAAD1307800008C1649C9E26E21EE221FE135B5006EBEE855720EA3E3F105AA0AD64CCE202F106FE066F0551C302';
wwv_flow_imp.g_varchar2_table(2552) := '81F0016FF400B0B104E106474F10E62DFF4C0FFCDE2B51E3769323002040FD800FF050B2EDD00FEC9BAFBB63CD7E263EE44CB47529E536E3140EDE10315F10C02D102640285E69E5143E053E30E63E5005AADE85166105836F9413E15909EF0705FF0743';
wwv_flow_imp.g_varchar2_table(2553) := '4A10015F9807C174AC2E1067DC50078001117002C97C11B996AFF1AACDCB05EC446BBF95612665E236323530B623E37CF8F6B4FDED2B41000E2FEE0461004C56812F40287110F96F50756660067F80DC2CC8FB1411F902F1077F20DD9120DD02D1DF0C01';
wwv_flow_imp.g_varchar2_table(2554) := '077D0007D17FF0092F10AB5509432AF000A0D107C10100C001DF0F00296064A60DDFF4E81055B189E4325803B8804D0285B24A30E0D2FA974E9D792DF70BE1F0B62F10740F100000FFF01158D0E0418409152E64D8D0E1438810BB255C2510D72884952A';
wwv_flow_imp.g_varchar2_table(2555) := '41DC18B1A121817F10FD0100E70D49845C921CA47030814008123CCEA459D3E64D9C0EC9E414D82F5F3E7E02F9D16B278F5FBF7E0090FE639AEF1ED27BF7F81DAD97AFDFBF74F5E8D153F74F6BBDAA3CC58E5538351F3C78F48016B40A001ED984040018';
wwv_flow_imp.g_varchar2_table(2556) := '3800A02E8B1202114182DBD7EFD86DE1006C2B4818C03A76E3D62936B86DA240650092E102F00A67A384910CA2ECF3060DC3960865226CB163A592BFA955AF7648A7E08C0C2C6CFA5CDB6F68D1A348F301106708D9BF834C0B32CD260F80BC6C6C992E67';
wwv_flow_imp.g_varchar2_table(2557) := 'DD7CA159B46A0D1E75EB3CA123009F1052B2DE1DAEE6827100A0BC39FFCEDC38B870EE7C36B803000A0F0C1F20FC4124A1958263BE14ACE7DDFF7F88760280011AF292ED8887EEE9E99EB500B8CD28A4904A27926CC461279261D48984165A5E09C7135A';
wwv_flow_imp.g_varchar2_table(2558) := '4049471C715C11A71B793C19261D575C31271BE0006C0EBAB41A74302978FA51F02F020C2000010600888082BC0080241419935432A1751AEA6FA13FE278C30CB88AA8A98A25B394D189D78234E889181FA22DB707C9FCA79A68984A251B4F5C3124125B';
wwv_flow_imp.g_varchar2_table(2559) := '3289E416465201C5954C52318792546CA1C5963F32B945302DFFA251ADA084EA07ADD50C3060AE84902C2896422B752887295C10C8084D41D0B4A00E122A43209000B885B283F4D1A7211540F0000208E613E801FF0804A2203E00701D2B154B7B758E4B';
wwv_flow_imp.g_varchar2_table(2560) := '01132A418A30197247A09FC8A4C71D7922CCE79F7068612A937FA2C9849868CAB9C513756CE906144FC479C59657228187184F98A1A59A7FF0F927515F713A74B782A87B2BB5471DFAA413BE004002000CE22DB423F20AC2CF0A1FAC40D88A1C94C8C108';
wwv_flow_imp.g_varchar2_table(2561) := '1F8030088486C07B68348A4D000186163645ADA032CC60EF0D826EA2643F8153CE2958B2C64CAA4CA48EFA2712DF90F1235D5B5CE986964ACAB1259B169FC96418579EF9AC1B6490B1E5967F7654B9A6790DB28AD125F77D5A492A73E8834A87C46B083F';
wwv_flow_imp.g_varchar2_table(2562) := '257C0040094D8118A18511189260038124A01800F70C4EE80E00DEA8BB0C2D46158B8BABFBA66906FF83023628059A92552A28DC2204802971DAF9C7C27F72CC471F77EED147C77ADC114C1E68D919CA2DCEE1F51BA279455FF45EEF0A61C420CDC42828';
wwv_flow_imp.g_varchar2_table(2563) := '83D19DF304008AC536638B8528ABA820CCC89B520B00D843E88B2B46DDC2E1225C286288B19B2F48F893FA10C86E00AE704378B8C6887D7B87BC440807D723E287C144614E6A717A97A3873FA5905AFC7C07817B7671A644E7FE397ECEAA115E7BAD1BE3';
wwv_flow_imp.g_varchar2_table(2564) := '0E3C20C40B0010414122703FE7E800040AA49DA65C9030DC0984188DD986340C12198180020091684494E00032AE01003F088960080D72058158496200288315B024C28FE5046508A4A1F714E205E140C4700E228A711C723EF75D4528D3514AFFB168D8';
wwv_flow_imp.g_varchar2_table(2565) := '90A8D50B47D6A11B00FCA03781A000003738E26A3651892B506C0A02F1411534A50317BC8D838DE0A04066B78A55042319C13008380E520D835830390AD19E16B467903B2661254620821150E8851102A00A23A402156C52062C69B08A8BC42300F6D110';
wwv_flow_imp.g_varchar2_table(2566) := 'A7914F283D64248092A828B7C08F359A1960259B13C2078C268A0511E54180B70633C4610D5E2BD5412658100BF6671D181419006AC9352A85A02076DB22004C20905FE2C7080A899B278D391321D464876552CA316794BFE8D8E8285473CE3001C03767';
wwv_flow_imp.g_varchar2_table(2567) := 'FA2516B630D5660CF12652B5F2950B39D52D2A52CEDD494620849A073DB6710B818CCB20E9340833869190D931A413D9E4A743B8FFB3B8882C9392CDECA7A1A059A3E92CD13B252BE858D6A79087D6431FFD591500C0225181084793E7BB9C260F623F55';
wwv_flow_imp.g_varchar2_table(2568) := '21A4A2AB7AD293C4D450948E45A0B821684AC7523A2556C7A547BCA841BE0280F555D4A2AB99474FE76110E9ACAAA20AAA87D3667AD49C1C0B00F8A08E5296D52C80BE6F383D29881033FA0FF8F1031F1EE567CCD0520FD1252A47F8A82A521919145585';
wwv_flow_imp.g_varchar2_table(2569) := '94AB64990A423CBA56B3C6F5263BC46951229494ABC82F7F57B1CDB36CE313F739887EEF42E9256F2453B95E4D718A6B69621D9B4D06EDC6273DA4CE52D4F1961CB2837EEAE0478CAEA259E230A32BF4EAE754EE114D78B505758FF5156359FBDA864A92';
wwv_flow_imp.g_varchar2_table(2570) := '87898BD93F86110EFF755C431EE228C735FE610E5784231DE1304738DC950D775CA31CD9B08582480B91C08E25BA06D51FA262FA16A3C256BBDBE52E5C5C669B1E46A8B3ED480531B2715B6610E319D5B80632B2818C745C0346FD08877CC3518E707885';
wwv_flow_imp.g_varchar2_table(2571) := '26D3150B7FE162587BC1B5BB032670811992AC9885F7AEDDC80636AEA10E66B8E2B6D1E0CD3386218E700C831DFFC8C67B2B04A3B61EC4BFFEE5C95280E817C3AA56C00666718BBBBBD2668977C3F9609640E4C18E6110052DE5304739CAF10F79DCC342';
wwv_flow_imp.g_varchar2_table(2572) := 'F5705C4D487C9320AEF8260056A88B9DFC64EEC2B87D4B090A7062248F745CD5B356C9EB107BE25A86A82AC43611B33DEC7157141F543AD785729BDDEC58BA52FFB67D533ECA54BA5C959705C536F91BF39495BC9A8E1E79C96A966693DF7C68441714C6';
wwv_flow_imp.g_varchar2_table(2573) := 'F68BAEFB3A9B513145E81FE7A0062C16A28B65C0A2D29BB6742F34DD695D08C4D39CE6742F00D08B752C07AFFF2534FF0C9D6858C79A86EEE80F63FBF154BF0807ABFBF887291AE0910108A020C10EB6400430808514BB01B088873DB0AA6BE9DAE6ABA6';
wwv_flow_imp.g_varchar2_table(2574) := '13C86A657D6D6C23F0417FB92BAF15D100071440010A18C0000A0080029CDBDCE81EB6410A80EC83AC5B20E50600B205D08B78EC83D7EF42734E988CD86C075CE057DBB65F247D8F7F7CFBDDE61680B0E16D6E6443FCDCC37EB740DE5DF1829C5BDDE9C6';
wwv_flow_imp.g_varchar2_table(2575) := '37AF3B9B1B418B8FD00905F8C04D7EF24215BC2FFF074F7803C87DEC392CE00219CFB8C4D12D6F76D33CDEC6EEF87240FE678704A5BACF0D30CA8D7E7419A93CDA566E5ACBDFED0081CCA10D171080028C9DEE848CBBEAF05EB8C51B3EF102DC3BDFAA06';
wwv_flow_imp.g_varchar2_table(2576) := 'F3A0874EF21C215DED6B678DD25B1621842B1C000A6843B0E77081B0C73C0B8F98B9D5E71EF60B980200591080031C30F5714B9DEA503FB700A8D16C8F977DC900383B9BD97E79CCBF74A02D03E855E2DE80775F600E0D177DC3F7FE88470040119700C0';
wwv_flow_imp.g_varchar2_table(2577) := '1CF2D006005C20F5A6C8C22406318E304C42117330852214710105A45BECFB267BC81FF2EFB4675EF9CB678811DD1E6DCF3B3DD86DB83BDF8F2D7B4E040216BA80452900A08B5990200C6D20FFC12C00300B45D0FE11BA30052744F108C2335C17F9E6B5';
wwv_flow_imp.g_varchar2_table(2578) := 'E4CD1E4DB4039DF9FB47BAF3375F6249A39FCF433798A33E4518000568005380BF59788439C802001807C163035310BC47508430A8C0509B8559C8C047A8BAB07B3C7D5B0ECFB23FD219B9EBD23FFE5B41B57BBEFE823BE95337BBAB3B0558000080BA0B';
wwv_flow_imp.g_varchar2_table(2579) := '803DBF8BBD98E3C1991BBFD80B0300680372434001D0057D1BC17EF33714C4A4E4634128643E1704C0E8FB368428B70BE83B747BB9740BBB7A133605683862ABB7C6DBBA01A03A11ACBF259417CAC3BF148C4238543BFF2B8A956B1FA6F0361288B73344';
wwv_flow_imp.g_varchar2_table(2580) := 'B6896B3778DB398598387BEB057B18413F130BE453C1385C44599BC29CB8ABCFFF13360090C46243883E6C0849F4BA880BBB8E5342139C894464445114B839340A838B107711852EF08E2C700058B0879F5344246A35CB1B455B4CB4ECAA97FF5B392A83';
wwv_flow_imp.g_varchar2_table(2581) := '977D880A7A701A23C209E32041BC92C5591C3A57AB8E5CBC45674434477C41A448C27828083303007B28886ACCC686B087666B366EAC46813033A6B82B646488507C46756CB339B4B6539C4683E0C66CE4466CA447673B0867CB472B2B4447BA47ACFA44';
wwv_flow_imp.g_varchar2_table(2582) := '79191F3774C2752C48176B8784E0072273C7B7EB37218A916219C685C8C7849CB28AAC97B9BA0779488BF2B133663448901CB076A007E75B4889748EF3319D358C97F1910777A0878E0C499924B0ACE21F9344AAB09AAB7AEF808797EC48FB9949A0642D';
wwv_flow_imp.g_varchar2_table(2583) := '0569B4B3F0A188C8A1B252084D2241821A46AB220B12C42A8380AB3F9B2C78A887242B08860C4AAE74A9871A8B76404883D0AC8708CBB06407CD0A4B846007B1140BB4344BB5EC0EA3649FAEACCB7EBA87AFCC09E39007A3A4A6E3D0CA82D8CBBDAC8E8D';
wwv_flow_imp.g_varchar2_table(2584) := '0CCC6A9BCBBF8C08B4F0A1B7104CC42CB9EAD84A87401D93B24BCB2CA8663C889FD8CCCD5C087AD991E76AC6DD888AA8A03C00709A9F100806C909D04496D6DC8DCF4488CF244DD24C90CBBC4DA4222B84C007DEECCDDE5488DF3C08DD54CD82184EE044';
wwv_flow_imp.g_varchar2_table(2585) := '887B30CEBEF04D86D04DDAAC4D87C84CDC9C4E4F0A4EE2A4CEED0A080021F904050A0000002C0F001F003D0245010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C4811E29128472A6ADCC8B1A3C78F20438A1C49B2A4C9932853AA24C9A2';
wwv_flow_imp.g_varchar2_table(2586) := '6013815156CA9C49B3A6CD9B3873EADCC9B3A410004D84040570E465CFA348932A5DCAB4A9D3A7067F26940AB5AAD5AB58B36ADD7A93C640AF51C1721D4BB6ACD9B3687B7AA5518286588234A008A131F727DD12424AA4DDCBB7AFDFBF7EE9D230FA522E';
wwv_flow_imp.g_varchar2_table(2587) := '00AA5EE70AA40AB8B1E3C79023DB34CA98EE4FBB79F34ADECCB9B3E7CF05A114FC69142E14B075F1825ECD1AAB100C065ACB4628FAF062DB06F5CEDECD7B6784DEA0E9E23EA878ED62BD5433025FCEBCE481810C9E37775C9AA0E6C36E6F4B150E40774C';
wwv_flow_imp.g_varchar2_table(2588) := '468EC08BFF17E868BAF9F30C0F44078001FDDFEA0044333EAC5730F6EE3F4B4C88090740798294F8C7887B041608000306EE25444CC3C5279068BA0190986099E94615258C8027A07F0976D8DC73087A589672024578D8500281F5967503854789232F6A';
wwv_flow_imp.g_varchar2_table(2589) := '38502122D688DE2D363EA50200524C241441AAA931E0417E3852E44099DCF24C8E4C3E16DB120A0D330C4E5336695046420C018096088925845C86FD14D3750286171E0045E2E10700FD09C48C957036F644800701231031C8C4B9D34F1664D4A705F4CD';
wwv_flow_imp.g_varchar2_table(2590) := '57505B62A906C01300C878D030AF0C548D9E1D4A231915008482108EC81003E99E16707918A0782157DF4082868AE843D3489ACDA6EE65B38DA40255FF51D0266951A2461FB600004C2EC00873103279DE44CC309AB20A400613906A618426D27750B248';
wwv_flow_imp.g_varchar2_table(2591) := '7A625037DBA4B4C6176A08248518871A7B1535D2540B4015391C62874092ECE2EDBA044100000713C08B6C062588DAE062511875EAA002D1724BA338AA14084289746B30BB5085DB07007B00908640B4BEF34D2D68F1AA2B41C0DC5225C23DED0B008308';
wwv_flow_imp.g_varchar2_table(2592) := 'A981871B067D315037000CE3CA28286FE34930D2A03C4E390293225025720020C71A7804916D428E7CC2B14D2E333C86409A68A20A00B558C2572EB6583C344ECEF80280170C894C101E8CC0C1881F5DAF799038E0A06CD02AC49823D0AA269982C9C002';
wwv_flow_imp.g_varchar2_table(2593) := '99F2C84098B451F041AE087D50D0538FFF042B00390C5407D203ED31B8C365E502002D06D9D9B74CC768E388253F43B4A6D8133D3A4A3825E501B7409C802E0A00A5840E00279C8C5E102C00F442D0B9FF3D3E12DB0295C1B024961C22C91E84200EC0E1';
wwv_flow_imp.g_varchar2_table(2594) := '6345DDD333C5B2EB8D3702A122101F8E14D27CEC34C6AE9039E70C94CDDF086D634E3FF850B48C29084D22D025B3803F1027E6C70D40F9B3CC02802E03A1B2B4D0A82CA23C41DCCABE9134D813A4C940BD3BDC19D26084C4314E7F3A694641F8B00800F0';
wwv_flow_imp.g_varchar2_table(2595) := '0100342AC834C4B111B3FD8119FAE89E44E2B13E84B8EF20E933C5074D018B59C04217AC1B882A7CD10A75156411ACD8883610B80C8224E1208710C8C37E479037940518B140E04CFFAC51105FD4AF8103792041D4E19075CC6321DBB8852100A00F9C88';
wwv_flow_imp.g_varchar2_table(2596) := 'B020F02B220076F1092E120415BBB85F44C8A13FD709441AD75B9318C6F03F000882613CDC6141E25016640C235834C113C790B79045D801891E5BC81313B20DCE896B25A34BDF40586742132AC41ABE70E12EAC810A226E51881C79010072289086BD31';
wwv_flow_imp.g_varchar2_table(2597) := '0D4E2888EDD8849629010B932B41C70C4F61094D2CA28DADD88DD5ACF109630C6417B8A464444E61CB8290518CC642633206D24A4910A40E4C9802F0AE8086B3088318C2909240AC86CA95F4B215BEE822354562369364D121282408266648906220C41A';
wwv_flow_imp.g_varchar2_table(2598) := 'EAF2C53617E2428158B26FC32C88269CD6C981A4610F53984215C680FF8638C0C1875B18A556A2290C5F01400FD59C092E8DB10B5B36B48DFCF0483524D58F9AC0EF9B09298636CC29106798538104F10511D7291132724C19C95086320CB2BB3702EF61';
wwv_flow_imp.g_varchar2_table(2599) := '48380300B440CA8416081D218DA5401AEA42846AA41BC9781400D05845958842910C290500364ACE8458CD6A2015082138B990532804970078679C68679086158E2056B80200046AD3E5F0A220EF6808AD00B08F0A0A84734D7186408AE10D8D1EE4AC00';
wwv_flow_imp.g_varchar2_table(2600) := '006954012057B90E84A19714482FF96810ADB28B9EC02B88096255D6E9F432228FAD4837BA618E6EA0941E28C1C42504223E8460E220B5902B39E9AAD15A8094A473F5AB40F6BA546BD85281AC258831C8D9CEC7FFA5A10E37A8814024508421A8A0088D';
wwv_flow_imp.g_varchar2_table(2601) := '658E6A6932C5946CB6219318844006F159009CD5B41413485D99C60B5F9CB519202DC670B5D1D48D441652CD44D71E8CB91025A005010261C0094E105C9A5823B61389C41FE2F0079D28B7209F55EE28963690B3DAD5B9FC1D885C9B315C8E10166165B0';
wwv_flow_imp.g_varchar2_table(2602) := 'AA1B0FA2030F34A63D4C80527B3D628C031BC496D650C526385811528C0200B8C8C9241431E2CE02401102698473753A10D32E0DAF0569062F02DCD1E80A04C60D218761F5140C008C0209B2C21D1C99E084C1F100078B9DF0403090810328B140B6FCEE';
wwv_flow_imp.g_varchar2_table(2603) := '4688318A5BD42327243EC82A20569056B402AF6B25480B55515B82C0F720AA25475A0772E626A181FF090761C23D91A05B0AC0C00A00082F41A200852890016459710322940C91EE1E44CA207561621DD2884800C013A3F084B48A7B131403E0BE03B134';
wwv_flow_imp.g_varchar2_table(2604) := '00147C10546CE214A8501E9909C20B6C1658204B2BB031A4DC3710104410832BF2E07400800D78A00A55E8116DB832E84F742216A9D84A7B5AC36252F3C219AA28F55D5508E788D4B71186A0A3190452D4A4387ABC03A12AC4384D904F03E07EC9466D47';
wwv_flow_imp.g_varchar2_table(2605) := '09E2345E1843AE655E57308A872E81347B201200400F8030907311222664E04A1F9448A7B1C0060F92C17142F4106687D01AC415591800EAF18FAAECA161B923B7824B7D8A4FD3AACC0A14F7415698A06D1C92236F2C886E37309ADE01800E30FFE9736D';
wwv_flow_imp.g_varchar2_table(2606) := 'AAF2E4817C62D000B8A14034E01424ACA82FC58E253D0D92EC820C6EADBB30B43D01B0840246E40DD3AE5D19C8DA142620E1DD0989258CCB0D00A7A1A2D80359A720F6C069812B7B3A1FA7886EABEE7300D03ADE02B98140CEA5094067456F0689C0B005';
wwv_flow_imp.g_varchar2_table(2607) := '427292EBAF15153FC5977761899D2F64ADE44588083C00021BD8604B0EB9439E152F1034D8EE0F0D6F8AAC624EF481ACDC20EADA84269427F05D40759A03F146530FC1ED84A80008819B0D1606D2BF860895EC0309A5576B0D8382987C2C24CBC0070A92';
wwv_flow_imp.g_varchar2_table(2608) := '01F6EA650327E0C0096440278326250321F24B2B76AE71831C6F8B751084B61D42EF86DC6194241348E495F261817402118670B4FF40249C10AB1EE27E9E6EE34266E8538168C319DD3541920B3204E00AA4BE98EB8CA49611F68D1C9C0802018000702E';
wwv_flow_imp.g_varchar2_table(2609) := 'AC10137CC66702310630D714C33677067102259001DD3106C6D7379620640010669E365508A10D2675500D7178040104F4960393977F0271076EE04363957D4A510936E30A066129E4B107442647C474086D044C03A1536DC46A19E85C0801032D50103B';
wwv_flow_imp.g_varchar2_table(2610) := '32043764067ED0269EB152FBF710D5527B04C10489357F00140AAC20530731240541222C211094226F07971012281019D07B667802F482495E357B02C14A0381810531431636109BD00A112410AE56102E00047D781621F60A0704009900099456296B67';
wwv_flow_imp.g_varchar2_table(2611) := '10829006927056E8FF2057A7407A3AC58342480E079658AA6009BF41102AF05B0361032E508403515FEED128993010EA471028507B474379A1F1317D763533111BDDC22D8272104CC664EC51866AC85EEC25444E705B9B670C38B5530050876256114590';
wwv_flow_imp.g_varchar2_table(2612) := '03F4A60252E8020811075314078040474DC13832080A07017358E70464B0439B20740C5160C1281A7E7710C0E50230E06AB5275628681E45B88704317B1E70704A605E4F60079F5080AFD88A06C1742081204681030040297620682E0714C99701EDC190';
wwv_flow_imp.g_varchar2_table(2613) := 'C7A28657410092D10CAB748EE336108250700671383320011C50104050047D188F52F805A448108D22105BE614A7E81F0F54066350390F813C844089080184D9FF96001BF09100D002A24810EB288549D41A43E0023BF210B452074EA08500B002046104';
wwv_flow_imp.g_varchar2_table(2614) := '47F013D6B00828878002913F44C28502F105FDA611B448106A60070C143BC1361011C0900E0900BD3861CE8057C7568C68767B795510E722063CA00114E00184D70223E0874070947A288A4C68103DD6143EB4268A27505C809508310564E08692700802';
wwv_flow_imp.g_varchar2_table(2615) := 'A710BCA040DA700C7B752E05218F00009800C099270919477903D00800233002123106F464070B3306874053B5030024037048C4940681062E286925917CD98207004710A11044007096BA782C0E5816D5C6174EB36833846DD2758CA93863C740101F80';
wwv_flow_imp.g_varchar2_table(2616) := '9703F193D7899AA2589AEFF83EDB5043C1100CF9FF90145833105C208B127108F4444FC5B86808A15390B0086EC00300B07B0291020060039E0800D5D70220408492517D03416FA559114A8083F9342E936710D183078BE0A02393442C8812B1C1180A87';
wwv_flow_imp.g_varchar2_table(2617) := '88034173BB988B65981B05912B0050813A815E8F91435E958A0B06009AD04267E60B36761026D0977F789DAE268A8D00082E784692F24DC9B913129004E72910E57943818410500700842009A8E00CD63099071178BE40236780020521857E7878204092';
wwv_flow_imp.g_varchar2_table(2618) := 'FFA90470500970C07880A10457A0045660055A2056B6937400A0A609719E3B60740381676285108880088E80074AF49B00A0A70E04006F30A122211D031896E40109A1900A1C451067B9890DFF1135B600A24821817A91877C610769E0157BB073B14458';
wwv_flow_imp.g_varchar2_table(2619) := '2BBA0BA7C6105608001350017A289400A08D06914285F9145AB9A006D1045320044B70641A8163B5B009E7227304D10230B02340E06A0EF699EBC8195AB0050631A70381AC7906005FA005E105A605F106173A1088F007D56A0887D84300F70677C0AD80';
wwv_flow_imp.g_varchar2_table(2620) := 'AA671FF1957BBAA70DE4089D2010B1A03802519C69C91020EA38215A25D114A2C2000CC300AF29F11B42B089E3F918B402639A104A0931AD6E3782F026101EA0023B000202BA4902410A21262D8D810400500363779309E18600E08F00609DA60A8D1300';
wwv_flow_imp.g_varchar2_table(2621) := '02C1AA8702217E8EA1ACC9AA0565C0A60461088D50090671A17D505F7F2AAD2CFFF80777D09D047107837910327078F8E9110780007A01700B030904219C05719C0CB12B0C21A232C1028C0A1921177A03A1773DB8044EB00497F710FFE92903619B03A1';
wwv_flow_imp.g_varchar2_table(2622) := '6202210FF6A0145540B609410102C1B625216164857605E16012E001D0B2A0B80A00622B0795D07D64B105E00A00D668B212418AC535B30020B3A159103D5B106CEB2E096010AE3A11240A0004C92170E711C2C314DCD1199155B572B95E00300503C193';
wwv_flow_imp.g_varchar2_table(2623) := '0B617F267307EBC9308C7933CA000E05D10F1555151CE02E0A417E9680830286103300166138106EBB105760320491438790067A060800B0926751099E00B38F4611E147108B7B7F6F505F812B109AC493B6FB0003E1BDEFFF020022600231F011822A03';
wwv_flow_imp.g_varchar2_table(2624) := 'E561A81C511D900AA90BB13128E1156D81267FB101A62A1054A74261EBB012221046310623DB104CB7094E23067B40B6D42810E0000F4CC1058D208307F105C9022FEF62BB04A176F20400382910B4B6165EC0A70901BE03019BA8B67C0291A37B2129C1';
wwv_flow_imp.g_varchar2_table(2625) := 'F00B03C1BC101109D9EA077D10073EA4AC30A04908F100EE42011C2001F3070402685EBAC605E739BB1431B406F16BA1309D13011620FAA800E0BE4B213D7B11B908918A340600F4A903972B10FD61BA13B1086BB5077140B800500EEBB014D0B2101360';
wwv_flow_imp.g_varchar2_table(2626) := 'B7086BC107427228F0004E0900C6347D05C1042F409FB53610456A10720B00E789C27D700865107E9510096AFF0B0067CB15696C10EAF0C80C215FF255104A90042408030EA6011020C26D2B0128A0978BD50237B003F63779573006418A356870345E80';
wwv_flow_imp.g_varchar2_table(2627) := '671E917C20A13850932BC020C547D12C7D21AE094155C570041C809F5D1C9B1A317B627006564047CE0B00F164C45601CB0010AC010C005F6900B46814F9A6B77748107C8CC31CC0C7E6C510807905B2423276D086E84910E3C0615BC1C208B10E3D2A10';
wwv_flow_imp.g_varchar2_table(2628) := 'CA2B106FA005247C03A16A00910B0112B00175EB0154FA940201CD04613B6590CA41FA07BA49D01FC10188D009E74AC513A1AE0571CB4AD1A17F910012C9CD02C1C704E10AD38010604C114500A7A4ABABE2070EE9701410900070FC05282C052AF0936E';
wwv_flow_imp.g_varchar2_table(2629) := 'FFCC10B446055ED02C98A37632301022401019E0C90511B93E5C1049400445607F495005708A16059ABD0711CE87B758104001702C100F30B22F40843B90044940A603E1066EC07865100AF987066B52AD33F80765906BD51B110640011E4D10E7BA1190';
wwv_flow_imp.g_varchar2_table(2630) := 'AA38B89C145AC9170420AE383CB5044132292003734D112E4004F406803D0D004870D25600D53BB1C61E809F4A10A403615ED87910567C102DD1380791028327103DC09312E801FEF99312C0CF05D15B0584C18D91D90B61BB9B6D770831B97E7AA12CF8';
wwv_flow_imp.g_varchar2_table(2631) := '40885206BF6B040265B2A0100A9E000A2DD923CE1C11BA7A10AD3BD1C283AF4C718B68610004B0D109E107664027CABB0321617FFB129223FFBC14F809023F0004E1AC0432B00389DD1095DBD7D45DBA0EF1D38EAB101E50B7812C10E15C10E5E9173EB0';
wwv_flow_imp.g_varchar2_table(2632) := 'A044605EA889104878DF07D1B86235065690DF1F43B10661080B5810123B2ED94A1188D0950371B11B71CBCEAD142F80B47E61C5D2AD106FA0BCDDD411F3EDDA06A1C94D21054030B25CF04F5C60022208003FD0109BAD1065E00700D9102610942010AA';
wwv_flow_imp.g_varchar2_table(2633) := '03A1B02DD0B08C7D033A80C16FD0925BA162F3C582801B5E5760CF0F01A805212BF75810070ECD05CB1034182B111E1188D0B803A10372D71179CD31E25AB90A01BB0351BE1AD1CF1EC093DAED0547739E472D104960329E70DC3911E400C0D0760E11ED';
wwv_flow_imp.g_varchar2_table(2634) := '8D123E6ED407B1036F5A1687FFA40CABDAB20541C2C44C106320568E27106F0A044637AD93C77818F1109E40836FF004BA5611809AE39151402F00731195161A3DDD0AC105A488473600DB1FF1047E0E0046A0DD4AA104C44B104AD0237836E30A41A2D6';
wwv_flow_imp.g_varchar2_table(2635) := '6C10DE6B7F20D1CF1240013A2C100830D27E8AC264810B8A6E10D873650701D9B2820656C0D40261E909410563E0067F9C1099F0E08CF511BFCB194DAD271BB0EC0B41696510EA4721055660D9B112CEAFBC10225CE3250102018DEC425D06D05E16F335';
wwv_flow_imp.g_varchar2_table(2636) := 'B608B15261D72670D01F60BE4F1591EE0AF19B70C007604E6859C1441D610EE300006AA310EDF0F14E910EE7900EEBD00E03C144E980F10F610EE0A0361D0F002BFD1131FF2F10E9E0F2E380F1EA60F200C00E03C10EEE3016E320C90C010F982510EBC0';
wwv_flow_imp.g_varchar2_table(2637) := '0E412F10E7C00E8FBC0E31AF0E4C440F2A4FF30531F554DF10EC30F3385FF422D2569BF20FDBD7107ABE291515F6B23BF658A10FFA500F6C2F10D6EE10615F6D6C4F0FF4D0F60DA1F6B31BF6B2C30FFC80F616CF1311650FFD600FFCD0C8807FF6A9DEF7';
wwv_flow_imp.g_varchar2_table(2638) := 'A9DE17F8D03DF9900FDD830F8B2F108FDFAF0E31F97F9FF99ADF1A6ABFF99EFFF9A01FFAA23FFAA45FFAA67FFAA89FFAAABFFAACDFFAAEFFFAB01FFBB23FFBB45FFBB67FFBB89FFBBABFFBBCCF2A21F60B01D3FBC20FFB2CECCEC37FFCAD1F62C8BFFCAE';
wwv_flow_imp.g_varchar2_table(2639) := 'DF2894CAFCD01FFDD23FFDEB42D05E60EFD49FFDEDC50578FF56067816E973CE051FF6F298AFFDE6DF378AD71F68709EB57EFEEE3F35075E05965D05F92E0666FCFEF8EF2DAFA0B406D18A00910BC04082050D1E449850E142860D1D3E841851E2448A15';
wwv_flow_imp.g_varchar2_table(2640) := '2D5EC49851E3468E1D3D7E041932A4AD57C06E913C684BE44A962D5DBE841953E64C9A356DDE5C980E804E83E0DAE1041A54E850A2458D1E455AF35F52A64D9D3E851A55EA54AA55AD5EC59A55EB56AE5DBD7E051B56EC58B265CD9E459B56ED5AB66DDD';
wwv_flow_imp.g_varchar2_table(2641) := 'BE851B57EE5CBA75EDDEC59B57EF5EBE7DFD5264072070C376850D1F469C58F1E1BF8D1D3F2E5B4F72BD8194274F06404FF366CE9D3D7FE62C19003E7C03EDD99B372FDE6AD6A71392861C5BF66C98F9FF6CE703701BE13DDEBD7DFF061EFC37EE83F6FE';
wwv_flow_imp.g_varchar2_table(2642) := '9D467E7A29417DFA683F871E9DE36DDCBA0F92C69E5DFB76EEA47D0F249D2FBC3DD6F1C823E7C70FC0BDE603D34B871F5F3E43EAF5AD1FB46F3B61FEDCC40B1A37CF3CE4F6D90780D3F403299FF4165C703E071F4C8B410927A45042F7D403A041F70EC2';
wwv_flow_imp.g_varchar2_table(2643) := 'D040D4026C6D9F790AB4E7B67BF2D3AFBEFE50645145085F84F1AB7E66EC07001A6BBCB146827044E8C6817C1CE81F21095A4AC87D94534E4825875CCAC71C6DCC314A29A5B4F1471D63C432CBA71403E0A72E1703B3CB811873C79D76DCE9729D75CE51';
wwv_flow_imp.g_varchar2_table(2644) := '671D82D881130078D439271E35BB342F1F7AE431134CC6FC5CECCBC2C4FC524B430FBD89FF1ECC00B8AC51471F8534D2464F3C071C70C4E906806EB611E71B57BE79058E358290420B2E5239671E21FBA9871EE15E8535D67AEE2188B77AE4A10C515D77';
wwv_flow_imp.g_varchar2_table(2645) := 'DDE81F1D695C8EC8258725B658638F5DF59F7800B0541C710070F61B6EBEC163082986C0D68A5156C367D81B9105375C0088E5B55C732BBAB29F0567B4724A77DF8577C655FB89A797527A8176A06FF605000F2186B000DB2F56E156C9780F4658C779CF';
wwv_flow_imp.g_varchar2_table(2646) := '65B86186D205B2DD84279672557EEA0DA30D71A8E974DF6FFA3D820B158650E18B64C8EBD6578A57A612CA2B1D861966765B66B9E61C2FA6068C36A8E198635700E0860B25CCB0408592B3218F1F836D5EB9A099AB8C396A7335A411FF6AA66D26B0DE05';
wwv_flow_imp.g_varchar2_table(2647) := '76A6E61B6ACAC1230A681CE1031029BE50C18C6E0ABEBAE61DD9953AEE72DF93F8D7B657CE7A99AD37DE381D470080E69B503E0925932FE00067B57C96BE1BE1B779943BF22CFB5190EE275D6E1CE1AC7B21A18D5EB8E91A1C46A49846F0508AA1858B38';
wwv_flow_imp.g_varchar2_table(2648) := '12378FF1CCDF75FA69C9677F5147CB9D7C3D6102CFE965EB5012E97BF46973292614619E0084F57B5CCFBD65976987BE76BA25AEBB797777EF25633C68099E8B67BE39A698638E11A31170D6596D9F79ADA739E2E8DF87CF3FEA31677FCA7DF839A794AD';
wwv_flow_imp.g_varchar2_table(2649) := 'B7DFB81CE1C539C6E984510850508335EA5359FD2E7739F835103A1D9A9F02DF75A4FC2D200C787085387A910E407021FF70D0F8442D72118A5F50A34E045A9F04E1C64007B61032943308EE54982323D9631C8908C302D4400B8E81830F5C9896301C51';
wwv_flow_imp.g_varchar2_table(2650) := '0C47840200D9A8533C10B82415D6CD854F7C8CBA32E444FACD7046EA1B47187268875CC8A114E2C0C3174A970BC2892114D3A006FA9498C21956A96A5084A35F2088B9EA59F148590C0309C4E00A3C48C1157220DD3784180A2F9C511607646313E91847';
wwv_flow_imp.g_varchar2_table(2651) := '46EA457E8BB4E2CD8EA40B302C80048EC8C517C0E0083C1C811AC210861BF0D0044A4C43162744602457F8C646B6D228C340464D20082455DE487DE0B00009C040B8356C720D52C8062584A1062A90321BBF50632A55393F574AED005A11864184018D33';
wwv_flow_imp.g_varchar2_table(2652) := '9C80251AFF5A64156728A478840D0F6EA0041FF020873ECA020FC3F4821772318D69A03291B56CE6EC101015620C041A0389252809628796603362B59C91D2CC418B3E16710DE35C0300CC39CC279C931A484CDF3B1558C578C68D0057190641A2691006';
wwv_flow_imp.g_varchar2_table(2653) := 'ACC49F6F046840FFA18E5B80420A8B08C517D6200734484116521086149EF0845CFCC215EE4CA015295A51C94DC129B1D42800321ACD8D66E09AD3A36548FB31529594C10DD068041AE0900847BC820BC248E713420107332032A76D8C124FC52A1364DC';
wwv_flow_imp.g_varchar2_table(2654) := '02004405003006420B1A5C54241F5D254005EA075018C210A910862B18718B57BC420DB6908214C4200C4000C2ABF00CEB5815DB126400F5AC1BDD28FF41680012B8DA4DAEFF3007173C918A5418E20BA098C62DBE100A34BCC20B5C500337E02087C32E';
wwv_flow_imp.g_varchar2_table(2655) := '33B18B852D47EA49908C9ED5B604B9E7340D028D6344D62295ADA30AF9B15473542112B4484524B8F084574C430D95C0C32FC896DA3530A2B591DC696CB5DB91DA0E449F413D0642C28B11E06AD37A291C6E3658508667002015770027329E408950B8E2';
wwv_flow_imp.g_varchar2_table(2656) := '082A38822C1C2107F2AC516512CD1D15B73B608F74B7209428C8316C210C816464964ACD1181D8E1852808231CA940841F52010C1D40E218B1F8C216D6200B46F8C11EE730CE5715493F02B798BB05C9682A0A920A236A243D108BAB04E7E5AB7BECC36F';
wwv_flow_imp.g_varchar2_table(2657) := '48C0C33762010944C4221638F8442C8EFF010639C821117860447F99A74816BAD8CA131986300C9C904E74020094F0F26F87FB38CBD6B2C7E9088510DC108B2E77828C2B8044317281073030E2C97E88479D84345CEC0AF8CA7F964896BFDB90BF217822';
wwv_flow_imp.g_varchar2_table(2658) := '37366F2D55668F7DB0E3184DB0432620D18950B0790588A8452CC68987523082B5AB318ED296AA62EBF919D0A786C896293B66EA0174D1FB500734A26007228722142364821D2AFD094AB8021AB238E56A8E43EAFA91F965A8467642D42AD4817CC211BC';
wwv_flow_imp.g_varchar2_table(2659) := 'FEC8F4126DC557BF43D6767004222AFD611A14E2C3B6A68530FA7A0E142B89CF6D3475B2D52DCD8CF201008E0073B43B0461792DFA1FE5384614CE4089221BB9164B305E008D978BFF46C82189C6B1073C59BC6E8633E41390F88447A44DEF1B8DE81DF9';
wwv_flow_imp.g_varchar2_table(2660) := '3663118B616431C482B70028862DB8016CD60829E17D5E78C3556E1048AC04C78ACEE988CAF10928D8C1D9765072788B218C6F13241CE94BB1C2ABBC72A217E4096218482100708223FC4D22B67939BD19FD0E9A2FC2118E104300EF790CDE6E3C17D098';
wwv_flow_imp.g_varchar2_table(2661) := 'D63EE4B1C47383D57D455739220CA2060034E12035861A7DF2117508CBFC133428621FCE103E6E8CEF9EB1301ED0BEA1441412BBD843A78B4ED081F6BBB8819FEE06401F00408581DCE1E97327F3B4D9A73202BDC3113428A318E40C8D9DF396785F9FD6';
wwv_flow_imp.g_varchar2_table(2662) := 'D80B5FEF90329EF18B0080D20FC2028A403DF3102690DF84F0895CF4FF2114BDCD85B7FB3E42AE03E01BF750FD8E0DFFBA94DB851CAED78B9779ADF427000003472810441014C19012A81C84FC8430500AF64FE8FA1BA45772E0C221F6D5531C2FCF5F3C';
wwv_flow_imp.g_varchar2_table(2663) := 'F4F102FB81E8C0FAD88FC8F69F175C15760BDF458C055DE33A10F2B863C80523CB8554F806F69B32809A8B6628080894BFBA5804D90300B65BBA818882CB7B39FE93A0C529076888855438063EF83D6800A14FE0BA63408442400437B80677683FF7730B';
wwv_flow_imp.g_varchar2_table(2664) := '6D280867300685F0061B9CC0B7703A1EB808DB983790EABE7F080748003CD21B406808053738066ED0AB3000035BE886E4A338566A0B6FF0061D24082DECC1B5A08488030037A03C8CD0BFA4BAAC74F8844E8805FF74B085274441471803147C0557D022';
wwv_flow_imp.g_varchar2_table(2665) := '5AC806783892E55B26B8D8C22FBC0B68FB1BC92388138800063082EC7B0821CC3CCDAB1FA54907160486DE820672780661A0042784065AB04330780571508735BA42B8790B6760881C04C4B5584331240821B0A6B60B1687384322BC2C75888562888662';
wwv_flow_imp.g_varchar2_table(2666) := 'E0064B840661C8043C404100480430080359F88650043085930B094C45B3508927080184088530EC08DC18C21C532548AC055B984455280674880626F4B8B129224EC393A0BB42B8D8845D50085F6846B0C805A7E3A785E003C9DB408BB0C64654AA7DE8';
wwv_flow_imp.g_varchar2_table(2667) := '8774F08463008662E8036F400766788654C8056E189B27100229F83578F0AF517C0B5E2008773C08FF5400008A0400537CC7AFA046000833A32B437C941F3474B574A8055A008658C8857044C15C10066C980646C0033CA004591006798887060428F569';
wwv_flow_imp.g_varchar2_table(2668) := '0B8B540563E0C88E1C8B5A0000FB5308779B4783C0808998456C8C2448743360480514BC2768008669E2064A80034AB8496100B56444B9B53006096447661C08424088A124CAA9A0BC0F48083EB08328B8C7B603800C68CA08880245944505D1C79002C1';
wwv_flow_imp.g_varchar2_table(2669) := '11A2B4F0B24A987C866970054A900323FA85B0E4439D820B8BECC23F6C4BAF3883A63C0828488381800200600221A081CEBC4B00A8CB45F44BEE0328FF1B213188A56740416408375980C24AE8359C2C98042A3B78FA079F740B4B3885CA048BFF1968CA';
wwv_flow_imp.g_varchar2_table(2670) := '33982C88982CCC6C825864087E6044D4AC25D58C053580066C5048645048B093055AF04A57B0CD78183560C1AE2751CEB3B0044DD0480020044B00CEE0F4298610043AD888A72C33555A9E723840E9C4065740849A548344383F57080539F8995B888779';
wwv_flow_imp.g_varchar2_table(2671) := '08BAE3C8069E9C285F610B8C1C885600803A9084F5E48A4D188833704F56E028EB8B008960CED36431A502415A88853100066EC8043F38283CF0CFECF44AD02250034D167728836AD83365ACC182804F0ACD0A278808413008048880A6ACBEFC2BC9AA81';
wwv_flow_imp.g_varchar2_table(2672) := '30A529074E34D16CC80446588335800357504800A504504886C68C07A5F19591022D5BB8D1C33BBBB4F8CD8C2C084BA003F5944CFF1E858A29284E8800D2F83CD299512A254D054A508348E0864AA8844628B816CD05AF3CA36780C80355874AF80762B8';
wwv_flow_imp.g_varchar2_table(2673) := '85302D35C4330B6B88D03835083A380436A50A4B508582B04854D05000E0540098D081804F0CC04C007853ED9BD3F98CCA7F40333CE0824E48855740832FF8023C9005B0B35250C8866970879D4C1675F00421418661784CE65B0B5EE0054D28885D6046';
wwv_flow_imp.g_varchar2_table(2674) := '0BB5D4A93804651D08F5045589C081C9C30893CC46CC02053790825F8884519082A259835710066608D44A38A3B5699D2E05D67F280D662086626D1CB660C78238845338CF67CD0A322808411004B5F4A8DB53A52511280040032EA88438508651008551';
wwv_flow_imp.g_varchar2_table(2675) := 'B80559400666D0CEFF2B4D06761D167640D47F60876C308472F887DC641FB5D0843A588835DD4C3BD8037E6D8A0DA4561F35084965882818CF86B8461CA953CC02005AFD034008864A180588C58561988658400475FD856C10906461075048874A608648';
wwv_flow_imp.g_varchar2_table(2676) := '280778A0578AC9AEBA6805476082572C080A488007E080096059A2D0030098018490D9687B1C635B557300053550A951C0853800002B78855FB88569488542F0044F1006A54D12A5510734700557A0587908D99175D4B3B8D78498AC1218080C04800880';
wwv_flow_imp.g_varchar2_table(2677) := '000AF080B1158AC912CDB34D083AF0D78EB8590F5420A5C90646985533A8845500042BB0022CEDAB5470030D7B05A59D87EF348E3CE4075048059015D97A5DDCFFB2F84D08350837C05085F85ACC1D0ACE2D888EFADC81F0D1E6FD88B00AA96E3107438B';
wwv_flow_imp.g_varchar2_table(2678) := '0340F08446B0822B0085867D8554E0823178053C4C9A554938252907909DA831358B9595D684788182C8001E18033CF002834801E43D0A3280DE0DF508E9ADA5F4E0D684AD0440A80439B00225A88464C0855BF0843B40035B4805DAE5D2513BB964A95A';
wwv_flow_imp.g_varchar2_table(2679) := 'A6618B34C854835005B8C30120040011180829280808D05FA2804B8480D98EA811A4425247B41EFFAB0438F88251005A40B8822BF08460F80566B0854C788392429A769592B95B5FF61D8B1E488234D0010D0080F664B68290011EA03D83E850BB408107';
wwv_flow_imp.g_varchar2_table(2680) := '90800D18082D28035BB80682B8011888A3907C88FF8E22AF07FB15196E1EFF0385374083A05D8538D85E4F48066260866AA0052FB00546C8C32469BDDFD50AB7020003780014F0800DA0000AF801A45388FC25881EC00B08D8802EA6000920083400806A';
wwv_flow_imp.g_varchar2_table(2681) := '30081980A3BF6100353688162E882CCED6BF04A8FA8CE337188546F0843818022B805A64208667B0851EB805377085564147942364AAD064822000B732001406804606801B00003878834648068478010E18E1CB3D0BB1050010B0014906800498A78148';
wwv_flow_imp.g_varchar2_table(2682) := '000078006B1E8823182BB5238851B6BE84C000C8CD08CC6B35459B113846033FC0E14600041738955F68AC67C8851E70853B30847F90875F86CCE6E30A1446800420800408804386000EA85CFF0840E6BDB0012050818208E78B320000B8648F4E887258';
wwv_flow_imp.g_varchar2_table(2683) := '2C527E2682E0001610026EAEBD397563F6591E71F004343084A05D582518627E46065C36024F28834CF8077A3068C80C66A8680100008283200003208079A2000EA00083F00340C89469B00215F80150BE62B6F080FC55698308808E36808E866A5C9806';
wwv_flow_imp.g_varchar2_table(2684) := '002082B132E40378688220E1821002A784673A82B0C549075B78037B468346B8855178055BB8056240866B48050AA00446B0857EA087A59217605662AB30818140800090EC826868C8268837800338B805BC55026B7E6ACB5E8B2F98558200822228082E';
wwv_flow_imp.g_varchar2_table(2685) := 'B8023448D884A00582F8029EBA811D2808231888FB7DE7B8D6D682C587703084FFBEBD825190866888866488866BF0645B3895D6FEE9E1CAE0BB3136AEE0823718082518022550822BD85900E0022BE082E966082BB06DBE18122BAB5985B007B8C6B118';
wwv_flow_imp.g_varchar2_table(2686) := '0AA9A590877151176009D9CC700F79E007C9E85DD8612077791E561AEAA758AA84A891F2EE8B65290E82400DC6E34BEDA33BF5CE1CD1556C0601967161D021818D717170528C1D0046525AC4F0ABA09584980700480D1B39EF843BEFD9580A693B946313';
wwv_flow_imp.g_varchar2_table(2687) := '0B69531261591283A8D922B1F01AB7701A5F0E1A0F122B49B4223137DCC8F11C97F0F10E92208FF158347271090B2962F0379AA3B940F22982191C1F0BF9CC700EBF70D75A202C8C971E5188FEBE8A278F0DE388192A574EFF16B78A476AEC2FBF1AA178';
wwv_flow_imp.g_varchar2_table(2688) := 'AD8800F33F63D073511FF589F07E289004CF0A35E76F1EA7D3B769E92971892A13F41E41F3744BB62671183BDF72B068CE6C322F076F729B8D7196801D4367732C54B7138F193D5FF3344F55B6EDF2A779123A3DF4F4280773A8076C72B9387F6E8623F2';
wwv_flow_imp.g_varchar2_table(2689) := '141E082BCFF2528797E60BD97F808761B88570A8F456FF74000F765947B5EDB3F5B1549A76E8AC6C100764C8C39678738870756277B1E6DCF2839E227948853208877288043F800787607561EF7269771E6A6FB80FBDF25A3FF689298864A78548F07567';
wwv_flow_imp.g_varchar2_table(2690) := '0F5908E28713C1100B6972638D7474273ADCE67077679977C72C5BF0846990075B98D70FCF907C9813756807FF7AB0461597A0E0F2F795A3759C15F8A6210881A2055DCD862A786A7A588E7B801378A0077850107A6010511FCB8B5737DB73CE8D4F180E';
wwv_flow_imp.g_varchar2_table(2691) := '19295700856B280757A00592270878480762F87650000564D09389532A9857399987A4008B76F7602A5B88866119887B288C4C88841F30042E4006897F0F537740A56738A6CFEDA6B1F5FD3308A561875BC0C30C79F1F5800778B8054478035A188367F8';
wwv_flow_imp.g_varchar2_table(2692) := '87CAB11A0813FB75237B52D460BB69882B511A7800853F48D04A777877207ABADA019F66F91BD3F8D6EBFB64A375762F7741B71D3931843160062609167A50876C70856CB8864CC806E644FAA4AF7C64B3F2C9575C24551A77F0032E180693A76F76A087';
wwv_flow_imp.g_varchar2_table(2693) := 'FFF9861373480777C015150F747E6FFD537BF47F02A8C56987DA27867428FD72A8C282908776887B94CF103167FDE207B4E38FE1909AFDDA4706E7CF8672501A19DFB32111F3E1779C5BD7FEED67699797A06487032F408670A08574080777A8D97CA887';
wwv_flow_imp.g_varchar2_table(2694) := '890708000207121CD8AF20C2840AFB316CE8F0A0C288122752AC68F122C68C1A3772ECE8F123C8902247922C697260BE7CFC0C3614F8F0254C860062D27CC9EF9FBB4C7E88854B256E98B87FF90AF24BA9921FD2952717C65CEAF429D4A852A752AD6AF5';
wwv_flow_imp.g_varchar2_table(2695) := 'EAD394041DB2ACD9D4EBC3992FF15543760D5E3D7AF7EE254CEA1669D5A658E7D2AD6BF72EDEBC7A356AED7A502658AF33C5B62C5C7826CEFF74F66EFE6BDCF66DD2B872F752AE6CF932E6CC9795FE85B8F52542D00339BB7409F16F41C7FF2842564A95';
wwv_flow_imp.g_varchar2_table(2696) := 'A6E6D8B267D3AE6D3B22699905037B46E8FAB6C687BF81132F6EFC38F2909D138A66893BB9C5E6D0A753AF6E3D76EEDE7E759BD64E10EEF5D061C3932F6FFEFC52CE5C778F372D717879E1E8E7D3AF6F7FA1C0C6FAEF93D4EF9D3F80010A789C3C057254';
wwv_flow_imp.g_varchar2_table(2697) := 'A08105D1B3E082E62128CF80114A386166EE10D44E46ED60A821870459E80E882162389085D57548218A29AA58553EF7D443503D31CA38238D35CEB8965139EA88958D3612B416906CAD382491455A3554473DBE78579014F5355090514AB99691555A79';
wwv_flow_imp.g_varchar2_table(2698) := '25543A3E09159516AD94E38FFF5262392699659AE9E48E67AAB9A699F05966549669B239279D744E0980940CD203809E1ADDB8568C1CD598509F7DFE79679D892A1A5E3B255AC4E1891A0ED40E3BEC8C5869411F02E0E8441B3E5529A600800A00A4EC88';
wwv_flow_imp.g_varchar2_table(2699) := '6AEAA896926A2AA58BBAFA2A79FAC90A80ACAB4964AB71FBE8AA6B51E081072BB0C16A765A3FFCFC27E1ACBF390680B1C70AFB2CB4AF0D361352CE0617514BD011CB5DB4DD7AFB1AB74F659B5C67E17E7B2EBA25AD07D5B8D3B59B2EBCF176F48FB9CC81';
wwv_flow_imp.g_varchar2_table(2700) := 'F42EB36ED2B6AEBCFDFA3B11BFF65A4B58BD8421945264FB4AF72FC3FD721B307B03736558B9EBA5B4A0636AE17A194C0D7BEC717BBB75372D73BC4DDC223DF0C0A3DA3FFFBF56D6F1C7313B0C7177EB6967724CF9D4F34F3BA0DC640B28C4081515BE14';
wwv_flow_imp.g_varchar2_table(2701) := 'C12C33D2E886BC15C1BC350D563EF4FC230E1CFAA83346199900B024514AB96C6FCD45BB2751C55F277D76B00B876D33CE5E453DB51FFFB0F3061C7724540F3CEEC0230F3DF5A844F6D36DBF6B93BE681B9EA8DA8153DC9BE007BD2D4EDCEE54F107177B';
wwv_flow_imp.g_varchar2_table(2702) := '12048F3AE6A4A34E3B7CDF63F6678D4F66D3E1A5C39A386CDB89DECF50FF74137736701852053B2D93A88E3BECA8C30E3C7DFFCDD4EA381B6B3AF18A2EAD38C4A099ACF33FD7C42D4F3BCC5CA34ECB48DDC34E3AAE3C734D38FCC853CF3D488A173C6CA4';
wwv_flow_imp.g_varchar2_table(2703) := '177FFE9C6A076650E8CBEFFC4CDCB52A85773AE11CF1862BFFC300E039E8E4B75D38FA023824D71C0F79F5324CD312C810E631E30F4259CDB2FE71BD72A4030D3B484534BCA716F145CC7FCA130E0005284209FDA68035098D5F6A2696D2CC8479D1889F';
wwv_flow_imp.g_varchar2_table(2704) := '406E929F7CB0C31CE2A8C20D52F18CFD6D10781E040BE84628440979865F15134C693E784200E0436AD8F0423A68B59F81C8831DD9880430C4218E7AF04F5F3F546243420815020CB18C94E1A0110D281AE5A95126F688070020C1847058AD1CD59007AE';
wwv_flow_imp.g_varchar2_table(2705) := 'F8813978946377BDEB21B6BE58441062850001302322F3A2926D314E706DF48A3DE601803F30A11AFA100733C2613928D1835296E21B207DE841D505112A0720632253591702B6AB6D1D349940ECB1A7FF484CC11CFAB80632CC61BB1802C02845498B5A';
wwv_flow_imp.g_varchar2_table(2706) := '0A1716A72970900E11E35350A9CA6552852D8C7CE5FA5627109D0120122148073B80910D083DC67A310A9FD1C837BE3022F32406382533D31995A13CB3644834982B01A08F7CE863189BD09D3AC4413D37ADA4282EFA5C45FE5330A641B39C4E39A73A13';
wwv_flow_imp.g_varchar2_table(2707) := '7A9245AA50646021E86016774481E8A3A2158D913E6815C2A2B4C8A0D31A180BC7C990522AB4A4C469A73B8FE61C9CD14A9E167D2949BF13D39398CFA423F90535B221AC680CA41AF7312648D913D18082D4A21BF1E8480897973EB80100B69019350090';
wwv_flow_imp.g_varchar2_table(2708) := 'D36528E40A7B38C31E5EE5D381F0943E89231BCDE65353BAF461207C706A2E92568A570CFF641B034982110070060068C2555B15C85DC52A36B0EEF53C639D0B1704520882D0422069D59F40101BAF64004016D9882A42B26A094900801059CDAA9ABA7A';
wwv_flow_imp.g_varchar2_table(2709) := '8D684423AF7A1D6820FB6A1EA55626AD48FB0555A52110D50AC40A7BC86A5DF720080048620A64DAE140B00100CFD627AC5522ED5D0A7B38D42644090211C464098259002CB748C820083422E45B2301D7A61AA16A41203B903800A00C09A16C99A0F18C';
wwv_flow_imp.g_varchar2_table(2710) := 'E84A77BA44FA2B5D9E7AB6554815006C95853420AB8C815421217548C815DEF087375849BC05C1ED4098411EF39E97907679452C9E6A0B60C4AC140A99C66A05720517586220B26D6E41D030490DAFA815BED84479415B24F45AF7BAFF10068032A6118C';
wwv_flow_imp.g_varchar2_table(2711) := '5FCC77231A8683953E0180E7F287C043AAEE5C188CB655942211CB98C6321ECB5AD67AC40C1C1E9218104263F4D8784538C64A2A9CEA8AA4395620D4886F36A4218D696C19235300021208620523D9A116C72008328891E6190340CDD6F92A75E5A39751';
wwv_flow_imp.g_varchar2_table(2712) := '24AD1B52E53284893C8D1603C0041579810450E0822928A108557244800A2812111787C473A1C59491F663696423C803D933A605E2828A7820040249021000106A811002457AA0C1193E71E61A8B563CF811EA759E4C97296B0DAA0309C644462D11136C';
wwv_flow_imp.g_varchar2_table(2713) := '4021BBD00300A01005614341402500801D0494BC914514302B146AB6A24D30669D062E4895CC312B23DC8F0959208C05FF0091F92C10C94A02C3690000083CAD106047810E51684213EA73800364E00305C985697F3AB88E4DD488C394A86E7A3345CB38';
wwv_flow_imp.g_varchar2_table(2714) := '9A2E9E0885CCB6A15D84B096CF67D8448507E204E6DA56072800000C06F20500C878AEC5FEF88480A1E3923C63188A7DD9B80489B37CFC831EB6804738CA718B5B0C431ED9D807C70C9C17137820660B070076C12DEE6F03A00FA70080202471EE814C01';
wwv_flow_imp.g_varchar2_table(2715) := '05BDCEB840022B103A00C0DDC2064014A2AE0600E0813FB910C652464EF094AB9C37F7E8073DB2463771448219D9608490509E6DBD24402008A8BB01D0B60C2D1304D700D0811DEACA5C829C1B062B20481200106F6BCC75D8C326882328A1613E308211';
wwv_flow_imp.g_varchar2_table(2716) := '73A28453FF3333ABFC48B1569EFFFCE659067AFDE0A3316518C63340610E4F60431CB4E066653CCF68AA20C074CAF07B417021102208A4C2B3A5C80F962010602BA4120251038C1D51098403001004C1FC959E7B72CAACABEC60A1573EFAF18FD3A7C215';
wwv_flow_imp.g_varchar2_table(2717) := 'E100C033CCF1F28DE945D674A9FDD9B42B6E81E07E208788F8B8D3D074006C40022F908145921C8A356C1D001B8731F409440B60C9926146F5591F10154B24188221040D32B083384403F9959FCE95D846101942E8DE404402080000881584FC15840D0C';
wwv_flow_imp.g_varchar2_table(2718) := '2042C41B41480100589E4070D80FA0012300821A28C111D88019F91B6A449B2B4D8CB33944F6B1C3E7C8833BB4CCB2BC0CC15C9B055A042EB0178A01FF80A1955542A0C00A78C00E10C10E10042A949A40389E0906A0FF01800A08414118570DB612CC0C';
wwv_flow_imp.g_varchar2_table(2719) := 'D3F8ACD00E7E50CB440DCB85CF6A18A15498DF1156C495A1D82FF85D30B41F009881401C1DE1D9D606401D46581E1CA8C117A0C11314C10F14040A9A09D88D5DCAA1A124020625F6DB789C060B31446364DF414C2005CEDD1C76843260604164834E01C0';
wwv_flow_imp.g_varchar2_table(2720) := '9815C41E3001001CDE44D04113141B0024192560DE17F49F1832930D025CF9F01B44A5462F0D9C01CA59287A84060E442538DF40649C25680265B1A2FCE940AF09442E0280356461D5BD1B413442D445841278D79800C323426223595F45304639804250';
wwv_flow_imp.g_varchar2_table(2721) := 'C0E154145C315E44E25584254CDC7D65FF8409FA1FA221041EC05877A5D20122A0B5F0C3CED8822DBCC21D948327EE851CBE63448C0008B8800A00800B0041A8ED80AE51A385215B1FA4811284993E12C4B04141BC25594478822734821B0CC1136C1C00';
wwv_flow_imp.g_varchar2_table(2722) := 'D88310FD23024AC43F89433984C33524A4425620435AC4100C84155423005C014278014976D71848C4222CC2D6D941FF4504E65542ADA552AD1004048D5EE7E1CAE8A9C644F0833AE8941F78826CC85E50ED24416C81866D4142485D150E445C01409801';
wwv_flow_imp.g_varchar2_table(2723) := '25D709C459098423E04121F0011C749D42F8013FAA124C96DD44B44C39DCE4DB85C32EE5DC31B1E31C6A81506AC11838A61610041A08A515A4A2DD10442428840AC6655F0E44DD7CFFE665AE207F0140230E51F2E8E0E2208FC16CE53DD0833A48CD3FEC';
wwv_flow_imp.g_varchar2_table(2724) := 'CCB010235956C415A0011FEE614144023702406722041CF0654130E00B028027FC020084668635D5C67941416CE6089D262F82D1B45DC41BB6D46C82626D528421646641185F4104E71F1084722A442464026F329F408C6641DC0000F45C2201D5CD1CD0';
wwv_flow_imp.g_varchar2_table(2725) := 'C4AC4DC071044EE6C5426EE7777A422580653535827772A71F0C4479128412C463CF4D23003CC00340C0030804054800070040858EA7000D4F02B5CF335562EA78C9D0F0035BE4275EB8237F5204784A04228CE71DDC017B5601EF0D0407408040D0E840';
wwv_flow_imp.g_varchar2_table(2726) := 'D828004CC03202C111209286B6474C52C43FAC8C1461E73026E6896EFF046F0AC4800E04380AC40FB8A707F45ADD0140954A0410181A4248DD18B0648632D486DAA7FF54C4D430833864832D484D7686D158262941C4011C98017B2204844A688426C40B';
wwv_flow_imp.g_varchar2_table(2727) := '00000D4AC45102801770811B60A819FD28DB00A690024038B8823A94433610696698A89B2A840BF89904DC698D36280048C034FA5947A0818B16280080420A0E2A4A0164BDAC847E64C32DB45CCBC5C67E466A44E028418CC0146AE940A0011ACC695345';
wwv_flow_imp.g_varchar2_table(2728) := '4424308221A813A14A5B90FA46E7850333FC43380485ABEA24AC22C4840A8407C0A70BB425797218DDF4018CE1EA177C817302801B645D28062B779CD0BF79A8872A04AAB68C8BE891A33E2A6D366B42E440E229FF810F08C451E6A6441C1942ECEA1C82';
wwv_flow_imp.g_varchar2_table(2729) := '2990AE8F7B7C45ABFD0D63906889BE2BBCFA2400D4D70A0E04BE22444F5644144C418F0A811180A140300222FC6A3A892BE0BC1AE384D445B88662820B92266C86EDA1164CA6505E01388ED964F6690E20418C8E191754412A0A4459D5171218C11184D9';
wwv_flow_imp.g_varchar2_table(2730) := '5AFEAAAF3293BFB6DA8D212CCADE2A1FBE011F6A58AF855959B9800EF09C4584590FE8800E088408144453AA92B8B6298A406AA4162441DC424210033144E54088AA4444652670A14279AC99BC6AD26ECDD62C4946659445182CB0525BD8CC2DD226AD24';
wwv_flow_imp.g_varchar2_table(2731) := '71CD40D4C3456D0D5B106EA41A8BAD4C255522045642EE400823462C476C8865DD124544E8433F70FFAEDE26ADDC72E80DEE6012552746142CDFDE05DD662EEB8E46D192212C99EBEC8D06CFE00DF50C21398E54EBEEAE45BCEEB8FE10C990294DB64336';
wwv_flow_imp.g_varchar2_table(2732) := '7C1F04311231894BE0F22EF38E46A9368EE264C43F10C32DA4C33394434BD18B98BED352886DF3B26EE86E2FF4EE2D3CDC422AB40332D89943216F192AAF767E2FFCFAADE93E52F25A673B94433D704EF6EE03BD3812BB306BFCF26EF8AA91028D8D40D5';
wwv_flow_imp.g_varchar2_table(2733) := '84E7E9CA3FE01CB3CC033EF86FF7027000B7EED70A8C259AAB28B56F81E84A42EC03049B84F74E30BC567038892C51794563F4C33EC8C33E8C0300F4022C40562FAC43CB8CAFBA2CAF08D76D04516E49885E56D2CBAEE441030080000C440360FF422469';
wwv_flow_imp.g_varchar2_table(2734) := 'E20FCF4AEA6204E6E670FC365947E04C63F06F183480020040016CB10094423CCC03BD344B3C2D9A044331EB4AF146348EB1083141144017C7C3034B535295B119D72D1A0787E020451890C00010710110B1172B700D8FB17214611DC3EF1D4747DBF807';
wwv_flow_imp.g_varchar2_table(2735) := '52B0C1055C401147B217DB03FFF62F4B9144081F72A4267246088E3DFCC31C34C01C3CF20510B1287CB1108A71FD16F2C96AF2EE7272099B8C7FE0033F844129B7C105CC012E63423C08B2E8CC712BBBF2191BED14E7313F3872165CC223B7C10290C217';
wwv_flow_imp.g_varchar2_table(2736) := 'FFF20DBFAF30DB313177F22293DE3FB0010084812ECFC1235C002F0B720A6B9F2503EC4764F2346F272C5F8427837203F431005CFF401B0CC029EF8A0D93B134A773C2AEF309E3CC275FF10008C0050434009C320B97F32AB37218E9F330CF6E1ACB720A';
wwv_flow_imp.g_varchar2_table(2737) := 'DB433F843200C073403BB33D7FB072E0304327293FF7336F48F415577445FF7138EB4A438CF34361324777347F2A1A3E9B8C440F0209104416380038C4C32713324BE7B34BBBE947833402D34BFF428958F42F420B06D82A7250FFB44D35B55003913DB8';
wwv_flow_imp.g_varchar2_table(2738) := '644B4A9146F7F4423B35BC4275543F844AF303FFE6C7F1C292FB56B356172357C73268E01CCEBDCB4AC4842AB74B3FB10F5D3FB4599FF51CC2743B7E44C916F35DE37549A1515A63C546314B5D07AF35FF35609754E3F2B046E064423231EE7622E5CEE7';
wwv_flow_imp.g_varchar2_table(2739) := '784C91676C4C640B9AE9E62DB6268F0846448AA40C04AB9C08692704A8840AA478366B1F08EC150484C08342184881EC8D6CC7F6FE208840E03642A88C6FEF4F6E27886C17C46D0BC47003F76BB776F34E49DC25C49334379CFC0807B548F800C934A584';
wwv_flow_imp.g_varchar2_table(2740) := '90888F90B0459314048E0844F80C0507F5124A50B79828F7F732777327043EE0C38F30517BBB377833514408897CCF77983037949C777CC7777D234A0005040021F904050A0000002C210018002F024C010008FF0001081C48B0A0C18308132A5CC8B0A1';
wwv_flow_imp.g_varchar2_table(2741) := 'C38710234A9C48B1A2C37DFD2C6ADCC8B1A3C78F20438A1C49B2A4C9932853AA5C480940AA953063CA9C49B3A6CD9B3873EA3C8867201E3F8E1809F4B4B3A8D1A348932A5DCA94A61B817C9A4A9D4AB5AAD5AB58653A72040052D6AF60C38A1D4BB66621';
wwv_flow_imp.g_varchar2_table(2742) := '816A08B6F4B46F5FD9B770E3CA9D5BF629809E028586B23790DF3FBA80030B1E4C3865DABC85132B5ECCB8F1C3A08E234B9E4C79ECE1CA98336BDE9CF332E7CFA0438BDE2846602147881CF9A1E4F6EFE8D7B06373F61C34AAECDBB873332E3D30B51FDD';
wwv_flow_imp.g_varchar2_table(2743) := 'C0830BA7CB4875A6E1C8932BC75A69B9F3E7D071FEE6132A1E80D66EA36BDFCEDD2322DBDDC38BFF1FBFF0F0220088FC9CB54EBEBDFBF0BC05A67F4FBFBEFDFBF8F3EBDFCFBF3F5C5B06F193917F041668E0810826A8E0820CBE264D360048D3E084147E';
wwv_flow_imp.g_varchar2_table(2744) := 'B54D371566A8E1861C76289C39E67828E2883231030E8928A658923203B1A3E28B306A14CE40D2A413E38D383A24CD2D39F6E8E341E574230D317F00C0CF8F48FE98CC28493619A334E17483A19354A228A1843356A965873376538D845B86996137DB44';
wwv_flow_imp.g_varchar2_table(2745) := 'C3A2986852D8CD38034198E69B0B6E034038DB0C590F9C78FA77629691E4E9277FC40CD4DC9F84FA37CA2A00F058E8A2E3AD424C3004E132903E47326A69747D02D06725A378324A9F995E2AEA738D14A9A9406FBC31EAAACE2573E6406600FF808640FA';
wwv_flow_imp.g_varchar2_table(2746) := 'B06AAB70AA1AF4C61846DEEAEB6DB302F0C61D68DC51461F650090ECAFCCC2C6071C02DD6197B26EF0DAECB5A1F1E1C71DC202402C006E94B12CB6E4BE5646B0E5A6CB19B40000120720EAC61B1A93F2D69BD9ABF6E63B192CD22883CB80FA8A464341C0';
wwv_flow_imp.g_varchar2_table(2747) := '0854B09F720A0470C0AFE5028CC30C475CD8C1B90C348C30025D0CC030C00803CC301287FC15C40B1D1CE63A0B8BCC19C984CA411400F2F0A5F267269B5C72937F982A90CC336FF6300036F72C74560F03634BD085BA36346747FF39E8D29F0188B49FC9';
wwv_flow_imp.g_varchar2_table(2748) := '640935664737FDE715578B0660D7603775F0D46F2AC16B254A87ADF65144FCB0F6DB48A15105DC74D76DF7DD78E7ADF7DE7CF7FFEDF7DF80072EF8E084176EF8E18827AEF8E28C37EEF8E390472EF9E494576EF9E59867AEF9E69C77EEF9E7A0872EFAE8';
wwv_flow_imp.g_varchar2_table(2749) := 'A4976EFAE9A8A7AEFAEAACB7EEFAEBB0C72EFBECB4A3DECEEDB8E7AEFBEEB8D7CE6C3DC0072F7C3DF3143FCFF0C20370CF3DBEB39ACFF3D0479F0F3EF80844BDF4CF37BF2AF5CC67EF3DF47CF1C50F3FDFE72350F6DA5B6A3E00D8474FFDF5D2F79AFEAA';
wwv_flow_imp.g_varchar2_table(2750) := 'FDD40FF0F8F8E7AF3FFEF3D35F3F00FFFB87FD0648C0012AAC7F7EBA1D00DA21107738D01D0CE4DDEE16883B78209051C8CBA0068757BD3B5DF04F02ECC73F4648C2129AF0847FF91F004AF841FEA40C262A2CA00C6748C016E6E97F34CCA10C6DF8A27B';
wwv_flow_imp.g_varchar2_table(2751) := 'DCA95215D1A110FF0D48917AAC8F87C9792145E4210FF2015122431CA245FE010F7A20D13F4C7462419E2890B411248A51AC083CE4714585400100F1098D122792C57C00D12FFFE022F9A0473E00D4434060D4A118C958C60F10040300A0C214006087D7';
wwv_flow_imp.g_varchar2_table(2752) := 'AC51224C140810FF718F746447912B44611CF398438A50B1896514480804C204829C2116C78046A0B83346821C491EB518433AFEE116BFA8231CD7B84638D4210E78A4221CFFC8072567189112C2031EE3EB23000E10021D0CA40600F8C4784A39A97F40';
wwv_flow_imp.g_varchar2_table(2753) := '630F6938062B8DF40F71BC810B7F28432632F1071844A31FBADC25112589C28190F09794E2E10A86094800B43321C8400633A2C34C5A3953159D38C675A8C9FF8E1BDC221368B00224DE908A72E0519CE40B1E3D98C8507A38D4A10D5DDF39E191CE1632';
wwv_flow_imp.g_varchar2_table(2754) := '20040C50C8208F01B2813C639ECF19A3D26A050D55A80263D9F9073B28400C50F8810B4AA0041A0C914B71F6E31EF268873AD4910E7394E3A72032473A7AEA53A1B2C38A133D620B2360908C1E80069D14432D9001007942433B22ED62ADD011095570A3';
wwv_flow_imp.g_varchar2_table(2755) := '2D5D14071ADC90894818820B6FA8C271C249497ED0831DE968073BD8A18EB9B6C31CEA70073CE2BA5375C8551DF7F80B158159C60D08840000C8E80C00C004479CC520A3744E56FB528E5AD4E21DD35C61396E11894830E31AB408470CAA515371D2231D';
wwv_flow_imp.g_varchar2_table(2756) := 'EC78C63388C10C5AD88216E278862B604B8C6CFF5C231BC388863A2CB8C25F72F18A18C8280D4E3090A73C836CCA11E948E5718C62C803AC8A24A74DFBC10F79A4431C7030041CB6EB892AA4820B70884426B25B86488C211BE9B0E0087FA9D44C0AE49D';
wwv_flow_imp.g_varchar2_table(2757) := '00E8435595220C908265B203B9C73162C10EE81A898E4E34E274FB210F783C0314C3E08221FC108937D0C20F9EB8C5188811892AC0010DC080E09106DB5EF71E6020533004C694D2D18140E31862F02355EAA98F11E60211AAE06F5BF631427DD46A7F73';
wwv_flow_imp.g_varchar2_table(2758) := 'BC075BA3280F776403119EE0422A3C71D6481C010EA928832728F1062F20C30FEC7087F92ED9E14C0E4C2069DC095501F00C81CC731825F68C5494BB427A84620C63F082183ED15F1A9353FFB024A4243D76EA894C0CA31B77C8844BA3610862DCC210A9';
wwv_flow_imp.g_varchar2_table(2759) := 'B88527FC608B761096CAEE4D881F3E11D9A344B6C403812F5398D9626854410C6A1E43152AE616798863A878158775F16A0E7994231BF2C8633EE40A0F77C095AE758D755FD3C1D39DD263C363FC6DA205028A1117A5D120A32AC80EA6E2A930D32FA0F0';
wwv_flow_imp.g_varchar2_table(2760) := '4219D03C863318E23AFF504736A6FD8C6C3C231DAE18C66D9F610B57A8639251A4073C7067D7DBCD55D67DDDAD44C758E544838229CC2818C84036E258E0200053E107334798092F140BCD5580C434D571DB700C231CCF500733D8318C6C181C976DCD87';
wwv_flow_imp.g_varchar2_table(2761) := '0FEBE1C385CAE3A10E05DE43EF114C44EFBAB82F81F7A33B0A6900E0A029F5FFBC4726AC30062B78C10A54E8042BF5018F6C7CE3B3FF0847369031ED7B888316D3D8312525826B79B4BB8C9D083900B4068046CF64CB0219E5BC0942D513174418C2D067';
wwv_flow_imp.g_varchar2_table(2762) := '51F6FD8F6C18E20E70B8C31D0C910DE832311CB6604636CA410B6618DC1CE110C7802DC9EE8F0BE46B208B85C51C4D103013A460BE2648E073524F00E843DC0E7CEE3E16F98F7AF4C3C6231461E35B1C42712AEC9007E1B0DD0B7255A04965F00251E640';
wwv_flow_imp.g_varchar2_table(2763) := '80710CD21BE5D80C714D30C717C738CF9DE82B6422F3366F905C7C8D2981C7D8BB07120AA56F9D8FBA26C8082F7FC00117D0924CF420ED0F820CA7EF44181A5BC82742D115EAEB04F514317E0D27F28F02CF7EF37A3F58FFC9E9CBB1F12304110038CE4D';
wwv_flow_imp.g_varchar2_table(2764) := 'B09F90E17FF1F2DAB71F00316F90EECB43F9760790DEB1027563031F8AF0177FC8777FB4B77F5731622306099F4009A2A714ECF71003127F44D44BC9B77C00400B4443556781089FA07E49A16FC0177C08114312487F07B161DE27823C747B64C1805EF1';
wwv_flow_imp.g_varchar2_table(2765) := '8159A5820B5182261820EB757F3268431543165C81727C04112A1480DA378077B47CAF15175EE00502711E25D00442611385977D34C87D15487B00C2231F2310B7607E4BD18303511A5160109D604E3211851331855448809BF75A2C98281B730D596107';
wwv_flow_imp.g_varchar2_table(2766) := '4F711E00101561781750F88300387F12487C0F617FF8B779B4700BC040886081078F75102F801366084525FFE8870E01889BF70A4B3717CAC48000E0055480031110055E04138D181168081128080F1C6777AE0000A928177860078978721980049FA812';
wwv_flow_imp.g_varchar2_table(2767) := '20B811A3F810288883B4C72344C10502C15461418702D104005002C398875D74244A356555768A46C20F81A54BF7004E4347776AC81FE3B00EE3A00E6C42250630162FE8155120043B514F2464743E040F471558CB0347911479D2154613918B45681FDE';
wwv_flow_imp.g_varchar2_table(2768) := '600F212210F93827E040266492302F02014D15169FF08248B16F20920D25440FB4F00FE6C00E24C40E10525BE16008ECC00CB7A00EB4805B06577942344555781FE7501074020075022160923794D00905092E7DA0843A518B2B340CE5600BD5700BC8FF';
wwv_flow_imp.g_varchar2_table(2769) := 'C00EDCF40C76F659E6805BFF600BC3D00E99500ED3400BB4F00AD1800CB70007E6006E7A348FB1A78BF7310DFAB80D75520DCAC00CC9E07C77F3099D40093D8817009001923613A51458A9F006A01009B6000AA9900A91900D84060AAE804B71270ED940';
wwv_flow_imp.g_varchar2_table(2770) := '0F6B470F08570EE6F00C4B0991F24884F6C10BBC3010D3200DD5900C08A13376D3092CC980E8574800B004198013B5980F41490B9E900AD9100934299A91F00C91F06DF9A0977A790FEAD00DC2200EEA1098E9900DB4E00E1E199511418F39181DBB105F';
wwv_flow_imp.g_varchar2_table(2771) := '4C6006D52029AB408980337D0551084F410531594A7E310C3F9709D7E00ADDC00884E609B6700BB6A090D9200E7E890C42950D99C00C99FF400BAED06DB7899BA43895F5A81F91D00805012692A22875130A98080069E10577088CEBF78317A78EF6500E';
wwv_flow_imp.g_varchar2_table(2772) := 'B1494BECD00E004A4604970F39A591390722EC100E8606951F6998F6B10302012DEE0900AB800BC42029035124E80237066910E40848FA4913ECD77A926424F5D0446E043C92745052648DDF471E280000C6040036A00207C13505312CE0422CD3322E57';
wwv_flow_imp.g_varchar2_table(2773) := 'D30762261027C05467091332098D46E4464EFA3C4CBA3CC0038D12A73002A23FD5989BBD250F336A1F4530044050045F9A0405012DEC022EB2122ED5F284742304C4455CC448134B3A7C8165443AE64392643ED4258007E4101BE60E46871F2D20104300';
wwv_flow_imp.g_varchar2_table(2774) := '003AEA0245A004B1221045FF72073E3A56C9322D75E3049D54A2725A4A23D40DB640450062420A970DC0500E51824B7C385DF327950000A847171E2930105F2A1039BA032E202C67FA1B6FE00663A52C420A3774F0478C48468D770BB7D56DD5860CED10';
wwv_flow_imp.g_varchar2_table(2775) := '0DEC200ED7300DAE900A99E00AC400A1C687AAAA6A1F2080103A3AA8658A0770C00894D0082DD10895C008BBF7366420100800001190A42B518B7EB191E1E00AAEC00C86E00AB7704BE1000AE6200E9EF00CD5F00CD2FA7A05417F9552ADF5D102DA5A10';
wwv_flow_imp.g_varchar2_table(2776) := '2D00023070AD5FE007F072101CDAA774C3000C9099CA5913CCC9999E9094A0600B70C00EB4000F23440C3909ADD700B0A56A7CB3887995D20E98641F2AB003853A1023FF201020D002B3FA0680C007F2651090D23A980A0FCCE009464B0946DB0EC49009';
wwv_flow_imp.g_varchar2_table(2777) := 'AFD476E4990AAE100D016BAAB097AA817A1F880A00B3BA032330A80B5B04ED2210EA01380CD04EC6F84865F88379895EDDF06DDBA9523F550EF0109BB609A3D35AB5065B1F3680A82ED0B00070037F4BA8D0F26C85F0B303A10BD2D02F7A33304F301034';
wwv_flow_imp.g_varchar2_table(2778) := '1613E6484291447070865492BBB2027B82085174AB1A1E4000004450107E6B1076C1A1FEA20CAF328BA2534F54BA4246C23CD128714664B7D3E57E535477FD2101386A107B2006625048A4202917EA37680BB97A38427EC13E2ACA6E12A76340F488D6B8';
wwv_flow_imp.g_varchar2_table(2779) := '9BE121011420103000002E67050691060030287210B190FF683AFB760FD5F06D27940EF2C00E4F594247728B10E171FDA1BDB98210C3EB3A32F90FCC000AE9400CE2100EE1500E6A775DD7F00FCF200E6D5BB743583F3C6310F7134CE684BB0D62077FF0';
wwv_flow_imp.g_varchar2_table(2780) := '34EF973A98DA7500700DA0000A86000A9E70077EC0C1DD300C46EB07B7F094986BAAD4A510B9D45E9724BDE4F16CD82B109BA00A03610763A02AA1E23ACC9973FF000AED600BB6100EB45009A0800C0D970917790BE5A03CA37824C15747C207C1BA810A';
wwv_flow_imp.g_varchar2_table(2781) := 'ADF06E46F0115F00006673057BD06C63B007555005F3DB3725608C35518B23340CF30A97AE300D99600891104FAE500DCF3A88DF46BB54CB105AF4C0572B1AE96A1054B007276104642A1048000069FF900355F0A17B438E5250BCED5A4F17290FD7A0BE';
wwv_flow_imp.g_varchar2_table(2782) := '77F553171922D72054E6400F536B531501BF9BF18D00806F0060022850BD006004CAE68B2551044610BA0241A1003005DAEB37ADAA067A68BCD1F566C367424298B90D11CCA49C19069000A75C101C0000020900BF5109BF501080DB11603B103BA003D7';
wwv_flow_imp.g_varchar2_table(2783) := '3B3859E6CBFF653E6E04C5F8E346EC833F11D887EF0B67BEC5190940000640008815C8BA5BBD3600CD2631A8D79BCBB7FCB9029104D612289DAB121CD0CC7F7287ECF1B8A0188252C8A77FF8C084051AED8C1014EA0739230E00900C5CD0022AD003A9EC';
wwv_flow_imp.g_varchar2_table(2784) := '11599C89B2421020300555C0A3378158CABC28AD4A86DEECC08E28CA1911817FA8CE7FFF9C1B70E0076FB00ACFF00A52300102F10021A1040040A6DC0200BC920353000265D00F0BFC1156A0CF0471CD03A10425BDC58C22C92BC14C55BAD02A9CCE341D';
wwv_flow_imp.g_varchar2_table(2785) := 'D08B21D407210562BD105200CB21716182225E46118484A2BA59CD47F91088A268400013A3A34CC594518339B1307C9D12F8D0D479D2A569AB4846A411316D3FAE41443824D3DC77CC91310F06113EF650D900203E7F6D1202B413892D4274C34C2FE4D8';
wwv_flow_imp.g_varchar2_table(2786) := '0791D800347C707442F567CC7B04C39A317C993D178BE4D6708390B62949F4F090C83B7C9CC942F5F00F3DF50F047ADA76C4C0BD64CC7AAD19603D19FC600FB76937FBE6BFEA600F381565BF940EFC8091F200773DE50E3DB55347FFF50FE5E00ED7300C';
wwv_flow_imp.g_varchar2_table(2787) := 'FF104BE82B6E9FBC11821549C7BD2AB69B37FBD60DA02A0EC460B2D5260CC4109B7EB673F50DC0D1B073055C4DDB290EBE6D0FD5766AD7C0DA08B1DE3798DC16985C7C544D7097AFB7350CAF940DB4640BC8500E7AE9BFCC500DB0B49DF7900DD8107739';
wwv_flow_imp.g_varchar2_table(2788) := '074BD3505BD8200F701D89E604D9A3C2D87EFDDA0CB36FA23A6E727B0DD1C00FECE00A725B0EE9D00DEA9BACFB8A7643AC53B30491E1705DA2AA732D2E110DFEE0E4716CC22C0EED4045E1105892BBE5F3D00DE5100F0B330F29BA7A1BF6E4EDD7DE524E';
wwv_flow_imp.g_varchar2_table(2789) := '4F3FC83F65CE3CAE01A59572246D51423436E775EE666E86DA795DD369BE1DA1F88CE78310F1700E843E0E847EE888FF9EE88A7EE8F6100F669E7968DEE7CB2193124163BA40020390E90350000AD0E99EAE000EF0E99D1EEA0E40EA17300EF130E7A937';
wwv_flow_imp.g_varchar2_table(2790) := 'C57C2EE9D0F1E70B1158BAD0009A5EEBB67EEBB83E00E7E0E8585D7FAEDB5BF0E0E0AE9E1B941E11B28E050370019B7E0105D0EC9B9EE9CD1EEDD16EEB05100FBC5ECCEEA779C38E55BDDC7E2624EB0DA000C97E0102A0000500EDD2DEECE63EED9B6EEE';
wwv_flow_imp.g_varchar2_table(2791) := 'A8CE4AEF9D79531CECDB1E1DC5FE87B21E041770016DD006CC2E000300F09A5E000220F0995EF0EAAE00E070EDA997EDEC55EF6A4E11E0AE00FB7E017330EE7350F005EF00FE2E00FF7E016150EE040F0EF6A0EAEFFBF0101F52DDEE10F95EF1FBEE008A';
wwv_flow_imp.g_varchar2_table(2792) := 'F00873FF9005339F0517600A33FF088A40F38AB0EF23CFF0274FEF293FE9B0AE1013BFEF7370010E10068FF008A6300BB3F00859900779A00BB350F54EFF080E00F0E350F208CDC2F32EEC43FF1A45BFB98E7EE9A1DEEF6DD00059D0F48F1006BA20F54D';
wwv_flow_imp.g_varchar2_table(2793) := 'CF0979C009BAC00993F00817A0000280EA260FF60E2DF6631F1AF71E89671F04D21E062E1F068A1F060AA0F761300761D006913F077C3F005DEF5F7F88F2838F1C659F7967DF00A1CEF7FBDEE9041FF0078FFA00BFFA997EEAA9DEEB2CCCF99D2F1C9F5F';
wwv_flow_imp.g_varchar2_table(2794) := '7F968EF8A2DEE9AD0FEDB96EEE01EFF7B07FE6423FFBC151F82CFF0F972E00E99EEBCC1FF002B0EB99D5F05D24FBC4AF1BB56F10F90EEAA50EEAE5FFCEF7DE5FEEE0CFF7E02F00E17E0E5E6FE669A3EDD50F1CD75F7FF1300EE3A00BF02FFFF03FFFF63F';
wwv_flow_imp.g_varchar2_table(2795) := 'FFE710FFF8AF0BF1C0DC000140E040820501FC13F80F9EBC7C061D3E841851E2448A152D5EC49851E3468E1D3D7E041952E44892254BF25B68B09F457BF6FEFDB397D05E3C97305FCE7C19EFE64B9E3C35C2A3D7D0E450A2458D1E459A54E952A64D99A2';
wwv_flow_imp.g_varchar2_table(2796) := 'A48790E0CA8CFC10F2B4C7AF65CDAD36B3C23C68911F3F820AEB39459B56ED5AB66DDDBE85EB10A84A8B2F23FA4C28B5E3D8B2F0CEC6051C58F060C2850D8F84AA57603FAA82F90E5478EFF064CA952D5FC64C949F3C7A74093F1E1834F368D2A54D9F26';
wwv_flow_imp.g_varchar2_table(2797) := 'DCAF1E3DC6955B4F451D5BF66CDAB5FF3DC283E70E9E4179BD7BDB061E5CF870E26ED91D6707E0783B00ED9C3F2FC8DC2072EAC92F522F9E5DFB76EE71EF7D37484F3C807AE5CD9F2F0FBEBCF8BFE4D19BC778DEFDDFCEDDEDDFC79FDFE8FBB3EDDF0BD4';
wwv_flow_imp.g_varchar2_table(2798) := '07227D02A4483282FE3BD03C7CC0D3AF41071FCCCE408784AA081F7C00C867400D37D490A27C2804E0BB7B2C14E8C37DF609F1BB0B2164B14517F5038D200E6724F0A3134F7C31471D773C2D400DEF592DBDEF4EBC879E7DE8197240119764B2492747C4';
wwv_flow_imp.g_varchar2_table(2799) := '479F7BA4644FBC22E52912491EB7E4B2CBA4107C281FC60664ACCC9E6EFCE7460DC762B3CD01DB84334E7EF4E987CE32FBE989271021E2CF4B3FFF04D4A2E4DA49471C71CA2927FF1C68B089061B68A0E1E61B6E26E5269C72D249C71C4D352DC79C4E3F';
wwv_flow_imp.g_varchar2_table(2800) := 'F5345450471515D170B04135556C9E61349A74DC998839E79A738E9D76AC0B34575D5D6CADB1B2AE492596588EA9E28307306080010C34982289258468E29347B1B9E69A68AC8D265B6DB7E576DB67BECDF69961A0A9C5882A9A4542071D5880E1050E88';
wwv_flow_imp.g_varchar2_table(2801) := 'F947C287EEBC73577BEFCD919F7CC802401F646201269758764076590642D0C10B2A96D00109441C65B45A8927A6B8DA69B099C66289ABB9A69A671E05A60F3BC69802091E7AE8E1851D1EF0234695CA04802ABBF0A5B966FBC6CA27287CFEF137965C86';
wwv_flow_imp.g_varchar2_table(2802) := 'E92359653508818129C66018071EECE0069A6FADAD369B6BA4A67AFF6A89AB965AE26B3F26E6D15AFA9882091C6AA881850D3620E00E7BE6F9875F9BDF861B429C91E4F799586C01A68A03900D6183153008610924A015C20B611E85E6DAABB1C986716A';
wwv_flow_imp.g_varchar2_table(2803) := '27CE3AEB8EAB091799718FF99A89134E9861830F22D02000377072296ED34FBF595F79EA19EB9F6A008E658A030CF860050D923DC0E8268458228A58A041C669C517B75AF2C835C69619682E87E4101C66F80003640D6040F4994A473D7BED814388AC7C';
wwv_flow_imp.g_varchar2_table(2804) := '383BE89F68EECEC5080266C7C08003D63F4087254AD85DDAE09F8986E38AA3861C7F8E298F8619CB8539C622EC308319488F01EC13DD3FE4318F7DE86566DB83600447730FCE58E51FFF0286213470BEF51D30FF7718F840064E20041A140271F4AB460A';
wwv_flow_imp.g_varchar2_table(2805) := 'A3C6B1ACA95072D7C8D8E4A2212E681C23179B5882F490E5C10304E00EFB00CA3E5624412216D132F548C94B90E10A5A8C417D1C14DADE3070800C9090124D830633E857AD14EEAF635C5CE1345A4839CA018F5C7DC001030A384504BA611FECE8CD5514';
wwv_flow_imp.g_varchar2_table(2806) := '63443AD6F12DF45848432E488B4CFC407DEC3BD8090E78C0253C01079D30A316EBA7C28CED2F63D1C8580C6588AD8F2DAA137B38C3DE662048F6A5ED8DF2C0911D2572025196F22878ECCC4B88410B43E0C0007F441F0B8A86011A20A1093C7004340EA7';
wwv_flow_imp.g_varchar2_table(2807) := 'C845EE8F63911C5E3598310C62104391DF42DC31CE30C00338E10C6C3C0001FAF00F77801245A6FFC4663695520FCEF0E45F9EA0C2ECD8B7BE1294800119A041042270023EE8328BE052E11727F64B6B814B5BCF6086F210B787011250731D94A6426EA4';
wwv_flow_imp.g_varchar2_table(2808) := 'CD873080A007DD48DB8A540F9E0C2316A13842EE3A4980756640A219C8801A84810C64E413852AB4DFC6B4563F6F79F463B938C41E9C30032830810908E48342409917840E64060471424D751A9120B5EE5FA04082440F4880F32D2B770CF8000DC4208C';
wwv_flow_imp.g_varchar2_table(2809) := '5D32235BF194A7D41497C2459614995F4B831398908634306106D13C4028147822B7EDE56D961008190442033A10840E373D1F01763AD7209DE81F0E8D45508536D40E4E31594B7043288087CFA742358694E3E20CBB95CF6921620F53D02AFF19D20085';
wwv_flow_imp.g_varchar2_table(2810) := 'AFEE0D1863256B59B149073DA835A706A1C140A239D79AF263A1575962133FC880DB4914747B8B4013F88088610C83A3CFE862350050B1A9CE109FFCC327E2A0518CC7BA54B26460C21423808D7DDCE3441FDA5355E29606007475209A206D7607625A7A';
wwv_flow_imp.g_varchar2_table(2811) := '30B4810EA5051F8EEA410368E000110881FA7020843E404218C41C066EBB08438A8554985AEC58E590C15468A8C2A54E800280BDCA802870E346FB80AE36B1F190CF120459002881760FBA9A7BB46E18AEB0C51D3AC85A06108001AFC4DD077420864ED4';
wwv_flow_imp.g_varchar2_table(2812) := 'B698CC982FF2C0283100F8F698FBAD21B9FEEB04009301074C30422EFE6124047F08A16213C84A09A2D6822041C2D9E44790F6FF755757C4C20B42651FF5D6A7BE1034A10AA1884647E9D7CB19A2586BF3C4E72A41910A62586E18C200863267E0041A20';
wwv_flow_imp.g_varchar2_table(2813) := '97095388020F6211A2E7FA589BC300801800E004523678CF04A102008C70647B6936A14946921E1D9A891EF010ACE3EC300E90E0854E882B9F55BD869983B9421717D398CA23063080018D4310D09967D8831BC4B08148FC635F6CAAA91D403890360380';
wwv_flow_imp.g_varchar2_table(2814) := '0E6700801D1CA106001899D0BBF2D55E940C007E3814112890F2A3D7773EF5658007908805536DBB2D6112E316CC10E9E4C8784F8F5A0E18D8E8C30166C084333842159F8004155A5DA3FC446330D00040086C3A104218840F6A78C1AF73156C8E20BA1E';
wwv_flow_imp.g_varchar2_table(2815) := '0D29B62BCA1081FF893E9A00D433000B78100A5BBCB7CCDAA21C3EF15BADE1E5B77FFE2BF33087216A68D881002770C2223EF18968770218C426AD270642CA0F00E0130681B7BE75C56F8E2C942CFE4AC5116049800070309A0CD8000B9E30865C00E3BD';
wwv_flow_imp.g_varchar2_table(2816) := 'B7ED2519ED3BCF7C72B4981D25C6C6476D0826B8EFDCC738863072118E0165D7C8502088230AD1090000D0EC320FD4BE40A2D0D511FB1ECCF0040B764E549F1B200A8640042500767464509B7FF55B71C7A26E8B57781A19652E666D1DFA8931F4E11869';
wwv_flow_imp.g_varchar2_table(2817) := '1635D7D97D1F7717E6180FB93CDAEF65E89A77B76DF47846244460000EC6F5E01DD64015A00D8AA23355CB7ECFAD17EB79E9FE1DDED38A1775C87E07F95848FF9EB4788EC8D9359F2BCE57254821027D2428D0F3B882D5000FD08011CAD089A217FDCC0F';
wwv_flow_imp.g_varchar2_table(2818) := 'A736C4E7CBB1FE7DFA199EBEFD306E11F558983CCDB6C8452EB2D12F073D83327C00C0E5739179818462F87F2AFE466C5EA4D02F9FA8D1348008F8B00D40812A70034F10355B68386272AAC2FA3B6EE13E8CB3BDA8033FC523069FF1198111986FE897FC';
wwv_flow_imp.g_varchar2_table(2819) := '1B0E66400D5AB8BF52EAA99C61864CE000BA63360AD08008D8801880843E480561C01B51FB34EDEB2288B3A7EE832FC5EB415C20A65C48856248855AF0048189856BC010B5B30F642088CA238D541008111C41084A322C198BB7F3841850419E0BC004D8';
wwv_flow_imp.g_varchar2_table(2820) := '8031400319A441603831DAAB8664C8ADC2DAB2FF141297F1A34013F34160F0844EE8044F08854E808454488505B3077CF040E1600663AA0C4A8008FBAB4222BAC27C689B7C40064A30818353C19E33000EB883313084A2C39B5B6040DAE3B2BFA32ACA61';
wwv_flow_imp.g_varchar2_table(2821) := '064EC438C483AFF1A3054480844E088550480548F8044FF04340D42E4810085B74085060C55498A344341D6E02B87C6006487800044800068880627C250278806051C06704064E3CB16850C3D82B2C6E7B3AA8B33DF842064FB0033B64C5508885424084';
wwv_flow_imp.g_varchar2_table(2822) := '688817ABD0AE4C78B9875884B2E8876BF245B841086074BB6778030478807CDC000EA0000440008ACA040504066824A68CA3C66E792A929A21DB6B3AA79B435A8004586CC55684043EC086FF78D98740CC264A80C54E584783C083788420601C8B7A8806';
wwv_flow_imp.g_varchar2_table(2823) := '2E30000AA0800D10010FE0800D78800F8B8481C41B5BA0056028488F42C8EC5BC87C6ABA32F341A68A05551C394810032FC0033CB848E7D2486C72844FF0C83C04803E08B4FA13C9EDB9C27BF890B753020458490F300113F00011E0000830004300065A';
wwv_flow_imp.g_varchar2_table(2824) := '78C69B34438E9AA1BFDB326FF12D7C9238A78BBADA62AA50E803447084BE14830C68024AB848B2AA4583E8030038810CB8458B1885AB0C942B649DB118861B78800DF00014400197F480B34180311806B55440B61C97E08186AEF19870512CBAFC1689CB';
wwv_flow_imp.g_varchar2_table(2825) := 'A7F0C3CB61A0043EE84B5528844FF082127083A5EC3142730448B0038208ADFF76A4085DA804360000390003C7F4927B980B81B80595E400975CC997DC000A60802AB8856784C651231755408462B886C4F9162DD2A2F1A4CB9FBCCB33632A614004D944';
wwv_flow_imp.g_varchar2_table(2826) := '843E10833B08052A780261C0C87CA8B05FA382AAD488C654CE3FC9879438885450C90D80807C4C807C5CC9043082BB014D811CB55AB0034B98824DC0A22CF2C90CD5D0C30B4AA6728542280448784F35F08245E0832AB8AC0A2B92E8FA4F0020858C484E';
wwv_flow_imp.g_varchar2_table(2827) := '0088D1E444CE16258E009587AB888407488057F2477F4C8095A40013F0049BD4CED6EB833D5884377B94C36B3AFFD1509F4CBC391486507003BE2C043E28843E700335D001B1AA8713098A07B2510028855E98865E583FFF83485300E805825806816853';
wwv_flow_imp.g_varchar2_table(2828) := '00A08632150EE6CCD183788300A04403F8D1041552B4141608EDAF2AD883915B845C68D232D34628855287543CA6A205471803444004725CC542F0020C80847F08530A933944CC886D28087128086A00078200076A10075465D5571D883AB553DA604E78';
wwv_flow_imp.g_varchar2_table(2829) := 'B88A32E0D383F3516354D00770035B188558504B9CF484B189021AB083BDCC85C3FB3EFFE9A88E7A540E9D4364C8842750834B055158C4032A88004388174F5D9DA6AC29E1D408595D5500E88658A5866E585700D88655ED867795553ACD866C58866900';
wwv_flow_imp.g_varchar2_table(2830) := '006990060058BF7D9DD5CCB807DDB8D55C3DB83F4DD007E0002EB0053E74855BF08431D081F2A281136002FF31088582B43DDBCB228E521EFFF1C1331B863BE0813100D12DC50344500321880044B0097A70077A40C723B38342D088712055702055526D';
wwv_flow_imp.g_varchar2_table(2831) := '5583D8866DA0069F25553A45577A9D57814806819085A39D0665F8D7CBA807DD081F5CEDD33F65807CE4002B60225A7805434002EA49960F3801A5DA3B1F0C35DBD2A28DF5D80E1D0321A8D492B5542AE081954D931D7B5916AD299A1D082FE0086598D7';
wwv_flow_imp.g_varchar2_table(2832) := '38DD59764DD7A0955365C0576A58BF6C28DA60F885601008A695D3A6AD0C248207B2F8072E603ED2FB516334460EA8025700053FF08207783EA101A1254084F4FBD868B4ADE0E9588E8A5490A58423B80347E04B482804374817036059977059D120ADFF';
wwv_flow_imp.g_varchar2_table(2833) := 'BE5C47BC15828F48578110079D6D5789F8D93A45DC87705CC89D0C249207CAF502E6D3D5CC253D0A480223F0806264801E05B10FE00131F8845C403334C3C9BBBCAD4741A6FF59CF61E8042AE0CBDEB45D3168021C380047F807B641257145A8261088F3';
wwv_flow_imp.g_varchar2_table(2834) := '3A8288C8018178579E15885455557755608708DA7DA5067F8DD37C855ECA905ECAAD02EB9DDA570A000AD8017F8C007F541FEAD180255083454805F315065A1856C55B58D65BE154104762584FA6A28428504558A40447A04AB963D97BD8B1DEF05F3AC2';
wwv_flow_imp.g_varchar2_table(2835) := 'C581E0E19004E08BC082E71D88E6455C531D88037E57267E087FCDD709AEE0C3E8070A620D81C860EB2D580420BD0078801E2846115EC6FF123082C623B9BD5B584F8836DB4A054B050560A0044A88045A0059FEF2032480044760458FE4032FA001DD0D';
wwv_flow_imp.g_varchar2_table(2836) := '110040259AD3A650F804447CCA5CE3B58BC881020680E7A5067C9586F57B57C11D88E2555E0008062A1608C6CDE2C04832A0C06030D6D56524E31788003F5D4602D0802310832B6D64A3CB8550B88332B8C9DA52C08DDAAFD13C1CA3CB3AB071044AF0C8';
wwv_flow_imp.g_varchar2_table(2837) := '1DA64A576259FE45E59D6A64A82C8890248808A0825EDC8873C5082B266582C08552760C2482D99750829EB3DED911639E7B00137865D2A3280DE80135B88342A00471FC044AE5010DF00364C0C9487D2F5DB2AD1A7EBC31A0021DBE6791798242D65F86';
wwv_flow_imp.g_varchar2_table(2838) := 'A207CEB05B6CF2488F2408FF6AE68871705782E80559D06483B06882D857BE85885F200859F866700E0C71B6A072EEC2F3F930A27A8014F847D23B001430022FE0034AF88442B05F1AC0A80C30818BED67C50BE63DE62FAC1B8333804A4676043B888226';
wwv_flow_imp.g_varchar2_table(2839) := '28E41F0EE2549A2B3B8C080DC088031E884470855240577925886DC8822E80854AC0028F36E9D138E571FE87242058BA3BAF7F3C80077801770E80084882C683843258820C501611E2800C3082817CAFA3933669534F00AA05489882291839475804F83C';
wwv_flow_imp.g_varchar2_table(2840) := '03217025FD7566A996B934C2885150607090866078530048D59EEDD904165C4E366B69A8D36008869216085CE8E6B36E8BB4B620B65EE9B8AE1E0F7B010420631DE801FF2FD8CB3BB89D9E16A112C8A88D7B2F900DE6E3DE2868880555F002CD81027313';
wwv_flow_imp.g_varchar2_table(2841) := 'A0338802282021DDDD5F05AA20425B82DDD91D52BA0817280870908557100854050028165A8190035DE8E881605AD3166581C8062B86EDB54069723667158C6B030800EA41010478812730973BE80343A0020C20EEC4C428E276046458C0A36BD233D3A5';
wwv_flow_imp.g_varchar2_table(2842) := '6380864E388319A081963A84CE3A83C982021AA001042884B95D88B3C0E69A02601A700212E26B8E306D031EEF81200558008044B8E88E18340040ABFB668AFC5E6B82653E2A223DEAC98032F0821EE0816B854524C000E14ECC111A96DCAB4957480560';
wwv_flow_imp.g_varchar2_table(2843) := 'D8AFA2AE8545A02C26700242900442D0835B23030D6780FF126FA06A929716F581F1C66A8E4EE08160DC2E9003171D884A28082D88081318081090040090042FDF838190371F1F0AD97E09B6DE6FA232800C90E908C88031189C2A682F74FB1B06172111';
wwv_flow_imp.g_varchar2_table(2844) := 'A2021BA272888C045058C01A02865AF804555029262003544005562004411084329F8108D0DF1369072CF9B5B61A0883AA084A76883AA5865E08065980881C00821C18025E170810106F10180115700115100817D80120D80100106F0098024AEE710038';
wwv_flow_imp.g_varchar2_table(2845) := '842A48822900003430F4930072DA5EF403D800003C272338026B2D8448F89A73EAE9C4246E3C00A0865B4F5B78CDF5CC85AFD9043B380432A0835DD8855360753A2873E9D1DF34A975204EF19A1284FF5CD7F58C688481300333B8022910882210881130';
wwv_flow_imp.g_varchar2_table(2846) := '086807001B00018270012010882440F68710F72A108831D0DB32C83500D002981F7792D8E2DF100895663E4A4C7766CB8027F08231B8D24E888531D0A1792F011AC825F3CD3A90553C773A8654D804C75AB31920045428F85390043A58A927C7C57D68F8';
wwv_flow_imp.g_varchar2_table(2847) := '0A76810E7081B277760028021748FBB577012270812100801CE0788940032DD802711788BA6F7981B00122500282308241AB0296B7829A478C725F743E0D40E78B002F500337E803A28F852838A7278FF2121002C1CABA1A36EC1AEE043BE82A42E8F053';
wwv_flow_imp.g_varchar2_table(2848) := '4005833FF8959A810C5878B0C71232FDB508C0081718798280FB825082C22F7C00B802FF87A87B71A77981D0822BD0823108FE2F007E837803BC17883730844C307C9240F47F28E79DE739640C00716AFC3BB8034410C750A081738A001A2021E23E83F9';
wwv_flow_imp.g_varchar2_table(2849) := 'C39B1AF667343B064838831A38045E400555D8054D6085FA17043D70020C48FDD50FFBE10388120006122C6810400E004A94F8A832500B002D68B6403443100D412B07075ED938100E1C828D220DF473B0CF46931E57B26CE9F225CC983267D2AC69F326';
wwv_flow_imp.g_varchar2_table(2850) := '4E7EF5E0D1E3F7EF5F9200010810251000018200070C1C8830860F9F4CA072156280214304214D6894C8A04618D85CC280811536AC2C3060C73AA539A1C711AA438424B19A2B888C130C333238FAB76F5F3B79F770122E6CF830E2FF9B1800B0801907C0';
wwv_flow_imp.g_varchar2_table(2851) := '9B817F00C4B1187925C48D1611C3E903C7CF9DCF0042262E6DFA34EAD4AA3DEAE409E02797A1468B223040E0C0D20C63FC20EA942A96980327326088D2A4040D1A8EA0E5122B362DD86169A1C79A72C0C9214B67C8D0212448101DBC33F642F20B58F0EA';
wwv_flow_imp.g_varchar2_table(2852) := 'F4EAD7B794C4320300813371E1BA7530D5284F24094EF6E8A9927F000230522330FD81C8687EBC61D27EEC39F82084A8F573586BF40CF40F1C43C9465404B6DDC6000B6AF8014927B1E422440629662084105C0921962DC2C4680B74604DA79630B550C1';
wwv_flow_imp.g_varchar2_table(2853) := 'C0197B38310377DF8597D75E94F8658F3B82FD1421934DAA760272348DB3CE94E3A8F3D22A00BC0253259E1454E097FF0018D22041A41504849369AAB9E646131A56E18519CE669B0111DC4680010C50A006259D4C154A04290E77D5092788210C8C3792';
wwv_flow_imp.g_varchar2_table(2854) := '75A32D8D92154B1A424441241DE0D1E1445E276060E43E48A2C726A8A126B6D94BF200B08E4154AA330E382F8D62D048038149D0655C0C64040026A0C0C1400F88FA2BB0C16E04E76B7E68489401C9E2992C020FB8D14928A9E4A2C6551FEC75150D2738';
wwv_flow_imp.g_varchar2_table(2855) := '22CC31312AFAAD2DCDE5724C2A503871C27874A82BDE0C9A727ADE60C2CA0BA120386D31900F30D9A7CC41E3C0B3513D1E156808007FC4F106A9066DF00004BD364CC1BC114BAC26B1FF183B1B9EB52D952C0311DC014A289EC4E205031F645028063440';
wwv_flow_imp.g_varchar2_table(2856) := '51C227FF617DFB72B8B1C82C06064CCC80A9BA988E37DC277EF11358BC130BCDDE6200C0D7D214392031900B3B00E002080541EDC240533C14199907D9D3CF3C04250C001023C00000040D17C4300014487010110024415019654006C9D07547EC666115';
wwv_flow_imp.g_varchar2_table(2857) := '1BBBA19E0C246B00027EBB014A279950B20406899F0085CA1934510C30B90043E3CB69D118B3CC9DE070337797EAAC57099CFE03F492769B6E5A0404752506413EB1D491431D119443122E5441754CB3BAB476AE00800003082D000144126F1BF4F5E9C9';
wwv_flow_imp.g_varchar2_table(2858) := '078B3761151B2254C611488F14027866E006249450824808347C80C1094CD020C40C761C83E8E4E9C3DC682E32FF463313699081D78F33805F4226FFE601AD3CFF85156D503C06E23A5979A4322FA942431082ABA68DA0050351C1463650900A0C640745';
wwv_flow_imp.g_varchar2_table(2859) := '30C81830F291D044E60D65D0C2186C35102A0000094740C2D2FAA7C2D3392F0074A21EE022F0800DFCC00D88884427FCF0040D842071D912DF1962718CB4E48272959B5CFBDC079C03B44B67F6F3E10B4201807DF02349415B21165B32030020802691F8';
wwv_flow_imp.g_varchar2_table(2860) := '83EE0E02A0C70CC422189148660A92193368C12104190242AAA0048E00002366B8CC650A7287325C41841E4961160329B10AF1E3359170A1871020C30770E00863B8831F3281082FF4400311F8DE0968E084259C4015D018E21115D528F7498B0A0460C0';
wwv_flow_imp.g_varchar2_table(2861) := '0C421082197C2F713AE08114FF9224FF7D08B29607390006181013A821240757D0427F70C1AF8150431ADB6849D6F843AA396A6420F7AA23C2F258900B02C0081A2C881B071205140EE407B6FCA6619897937AC8C34286C4180114C9012394E10E368483';
wwv_flow_imp.g_varchar2_table(2862) := '177E8082170C0A038C630213A62044F5596E7DB6A00529635105DC244E03B93CC00744D0831EC4721F49DA07386DA94BA3E1E0803EB01A084040B57C65ED55AF0240309241906E1C731BC60480328821C69098918D00905B413A02C28E28A17646A0E61D';
wwv_flow_imp.g_varchar2_table(2863) := '34E2053D562D0980EC4144834A1371E26427E6FCC7210147BD0C70800546608424AB20041DC880032548DC0CA0C004737DE218E39A0EE51A255647358A16008DC56FBC90A73C31FFA0AD0F50A84F41611E76C803A2420D64EA64C2BB81485032C75B837F';
wwv_flow_imp.g_varchar2_table(2864) := '0A820B660CE498E5B0103D8241B082208C5600080100A6A085C84C010428E89D41A8D9B682F0800777FD6C84E0E493430AA5B41AAA930888E085B8B961A00C40E878F4928A62B8221766B5AD59FF69D6DD9AD515684D05C8621114D396F6013578010A52';
wwv_flow_imp.g_varchar2_table(2865) := '619E8782368B5679C91F22B1D88DE0022659AACF2D7E01806A0CA41B03A1C73ABA515D8F6C6923C994092532D1DCF5B6894246BD5036EEF0063884060F7CF0037EDDE98611650218A980442C100109446C0211AA880637B2F18D6C8463C10DCE0684171C';
wwv_flow_imp.g_varchar2_table(2866) := '61086723C1D8C0463640011AD0C0810F90844424281109712CB7AEFFECED1F1F000009BAD9849631E9C7845C7C137DD092C603A9878C5742548294EEC4ECDDF14D7452CED7BCE62746FE47918FAC64231339C94B7E3294A1ECE423FB841FF030B18F831A';
wwv_flow_imp.g_varchar2_table(2867) := '30006C9920F4E8B23EF2F1207AE403C700B05097B3AC6626F5E31E431EC83EE8418F79C8B9CE752EA79CEFA1677AC4D9CEF5C8473EF8D18FBFFC05C6FC3834A2136D8F450360D18B8E873DE621E9494BBA1E82EEC7CFE471E9353737D1850CEDA1010064';
wwv_flow_imp.g_varchar2_table(2868) := '4E93DA23A39E89904D25C05003E0D0847E35AC637D6843C3D92F486EC94F7CB2A42AFF83D7031460606E5DEA6113BBD84E3A354D846C2161B7CED3AE26F4B3432DE84B6F7A8AA5F9353FD8010F661BBBDBDEFEFFB6B094CD9A4FB3DAD9E646348C612C6A';
wwv_flow_imp.g_varchar2_table(2869) := '64DB24D7DAFE34B8E32DEF79CB84DD3121E7B207820F7BE0631EA1C6073E5A7DEE81A77B42EA36CD92B44DEF8533BCE104B1374CC8A96A222FF94288CE47AF035D4874637AD60537F8400EDE6E1E2359E10E3F39CABB0D719788FB35E680F034BA918D6A';
wwv_flow_imp.g_varchar2_table(2870) := '54231AE2B0073FF0418F7F98EA1FF112F33D30DEF18FAF7C2609FF57CA93AE7435179D25E24672346E410C62BCE216CC20C62DBA810F8C47F9D686BE34D19BEE1224677BE24B3F3BDAE9FD740044831851AF02175E110D6664C342F238821F9EE1896C88';
wwv_flow_imp.g_varchar2_table(2871) := '80169548C20F2021574B833DEC89217B60D2AEF8C57B7BED6D4FC61F8A6788AB77631EFFE80617FFC49109346423095CC8042322E1892AF8DCE3611779410E0DE8D5079A35A94F3CE3632F7BA6BB991E064FC6309881883EF4011153CF463CFAC18E1F3C';
wwv_flow_imp.g_varchar2_table(2872) := 'C3168670050544CC0C57A4C20DDB8671D7995C907E485C1ED6BF7E39AF4F8F72C2BB1FB09F3DF8C32F547EDC831E016F7532AC9E0A4420A21652EF463CDC918F677041092200451568910962B8C20A06080700DC83E99D9EA815C43DC0433BB4033BA803';
wwv_flow_imp.g_varchar2_table(2873) := '3B2CE002A6833A442003B6033C6C593EB4434F889F066E6016F5DA3DD4C3F9B19DD5D5822A204231FC9E3DFC433898801744921FD0C21B18C23564422548C53F10DEE9A19E00DD433BA4433AC0833B28A03AA483CE691B109A433A2409C65DFF600672A0';
wwv_flow_imp.g_varchar2_table(2874) := '133EA1DD20193EFC1941E0DE2F404209AA42321043E52D1A33A4039D658339848338B44334C0033C84C33F8859E1E5A09BE8C402FE012418022D18C20BBE4236F8812B804219D04236A443063221BC4121211622B048A1F95D48354C1DEF59421F3CC330';
wwv_flow_imp.g_varchar2_table(2875) := '64C3A7FDC43DE4DA4FC80339899998B59A1BA65BEBD4433B94831F54C21D44822D78C22D788127644219B8022D7C412CA0E14008A221D6A22DAE890726E26B4C032E54832AF4C1266C42360C8377711999AD1E0068DCA70DC600762241DC033B984368F8';
wwv_flow_imp.g_varchar2_table(2876) := '01E665C22D1C81212C0833D80217A4823BB84321D1E22D8E2339B2079295DFF9FD433650DD2104E326DC0231D252EB29A3EA01FF5AA2716227E28D4EB4833978021A8C4134A0811E464219284836660233A883A6B51A060E62393E244422C64F4C613AAE';
wwv_flow_imp.g_varchar2_table(2877) := 'A3194CC11F6C021394013074438D49DF6BE85AAF959B1B1E844EB8433A844336D00228D0C230A4823A30D83002033384439284634346A44EEE2461F8C59C5D4837D8421230C11EEC411AF880366C43C01C201ACA993CB8030094833894C3B4195A3E7A62';
wwv_flow_imp.g_varchar2_table(2878) := 'ABD14304A2213C406057BAC33DA4433BFCC310721F4336214FA6A55ABE44ED611C3E64432A54411A58C11ED481158C8234E803CF2143353083385CC3354443364443347443AFADDB559AA49BB9033BB4833B20A0023A66635E193D04CDF7AD2566666641';
wwv_flow_imp.g_varchar2_table(2879) := 'E483F5EDC33FE8FFC335000322C86551FE013048430ACAC333F46539A82432D05D39B083D75D25B26D9CA7091C6E2259E2719B66F6E64E72A63C601C680243274C01124CC114184224D2523A0CC333609D4B66430466433914A0C1E5E361E8A6D9F92677';
wwv_flow_imp.g_varchar2_table(2880) := 'EA643E5C99670240687A822A188221A88227104336D09239FCC334604334B0C330DC42390C4338A4C3615EA733869CD8F118005C66770668390267EB8903345C8382650360A28339D8D8852C49F9C959EB59E77E1A46AF01A88066682D1E6070A69E3ED4';
wwv_flow_imp.g_varchar2_table(2881) := '439D99D9AA211A6E725C0122E6C1B9497F6EC4856EA786BE28147EE7423AD93ED0988BF1E64BE4606968278CF628217266132E09440DA9B5C184C8E9E8E101B4C04DFA28936A20F9556641905D4D7CDCC3119D4D80DCB05C99433629972A1EF951A1F21C';
wwv_flow_imp.g_varchar2_table(2882) := '9A967629992EDE976EE2BC60A94188698796A99B2A9DA1E5C38A1A840ED6C4911D0492E1288C95D39CBEA99F2E5E0316460226E09F16EA43FE8B8B0280A9FC0B1ACAC3951544A2AE04F629EA40201D416CE7A31AAAA6A29D9E5DD1405CD160E443D0019A';
wwv_flow_imp.g_varchar2_table(2883) := 'A77E2A4D90EA3376EAA7762AAB96EAA6BEEABCB1AA41942AC001C0F9B9AA4C005CAD1A60ABF6AAAA966940000021F904050A0000002C0C0018004C024C010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C586FDF65DDCC8B1A3C7';
wwv_flow_imp.g_varchar2_table(2884) := '8F20438A1C49B2A4C9932853AA5C69111200502C63CA9C49B3A6CD9B3873EADCB991CF4037881839120893A7D1A348932A5DCAB4A9538178A03E9D4AB5AAD5AB58B3222DE49292D6AF60C38A1D4BB6E950006208BA0C65EF5FD9B770E3CA9D4B37615400';
wwv_flow_imp.g_varchar2_table(2885) := '6E067AADA451603F7E75030B1E4CB830CEB402CF1A5ECCB8B1E3C71B85429E4CB9B2E5C1792F6BDECCB93355C49E438B1E4D5AA59AC4851C31E293291E80BEA563CB9E4D9B206800881CF9A9CDBBB7EFCEA707AAF6F9BBB8F1E38D875742CEBCB9F3B899';
wwv_flow_imp.g_varchar2_table(2886) := '9E4B9F4EDD2922007E286974BBCF6DF5EFE0C3AFFFF45348BCF9F3E83B222E9F1ACEEBF4F0E3CB47185CA09FEBF3F3EBDFCFBFBFFFFF000628A068B718D4D6800826A8E0820C36E8E08310EE378D34006413E18518D2D5CD361976E8E1872086B8DF38E5';
wwv_flow_imp.g_varchar2_table(2887) := '8868E2894911630E8A2CB678533503A9E3E28C34A2C4A140DBAC58E38E3C7AD4CD283D06296445E184B3CD2D8600A0CF904C36C99032A93829E5940074D38D34E150A9E590CA5458E59660EE084E85D25818E6992D86D34D3230A2E9268ADB8C2910856F';
wwv_flow_imp.g_varchar2_table(2888) := 'D61962370098D38D32C9D063E79F11AE88270049026AA883B80C14C9A1CC112050008CA2440A908946CA1B0203396AA947B704430C419F0A544F3F9BCE1641A920352290AA9E78324AAB84A2FF4A9A010714A4A9AC174512C7AA02996106AEB265006C47';
wwv_flow_imp.g_varchar2_table(2889) := 'C12453D01B00F421EAB0A161CA2C47EE195446194A3E6BED7399DD8186B67794810600635C2B6E7377EC86D71D3F4D3BEEBAC6F9C1877BE8BE9157196E84CBEEBDCCA1412DBEFCFAB62B007100F26FBF04FBB64AC108D7164CC20CCFB6CC32C104934FC3';
wwv_flow_imp.g_varchar2_table(2890) := '1477A6CB404B56ACF1C61C77ECF1C74CC9630FC8240B06C87200AC436AC92CC715304180B52CF3CC343FB872CD3863B568CE3C8755CDA03D07ED941642176DF4D1CC25F105009EDC8CF4D33919B103D454EB54861493995BF5D636B5C3F5D732F5E334D8';
wwv_flow_imp.g_varchar2_table(2891) := '648734F2D9007857F6DA21F1F38FDB31B32D774770BF3DF7DD78E7ADF7DE7CF7FFEDF7DF80072EF8E084176EF8E18827AEF8E28C37EEF8E390472EF9E494576EF9E59867AEF9E69C77EEF9E7A0872EFAE8A4976EFAE9A8A7AEFAEAAC4B574FEBB0C70E61';
wwv_flow_imp.g_varchar2_table(2892) := '3DB4BF7ECFC4B2738C0F3EF9E4834FEE1EF72E3CEEC06F7C4FF1C8272F203CC42B3F333D7E02F0BAF3148BEDD6F5D423CCCFF66267EF7D44717F1F1B3FF44C3F51F76357D53D45D0E713BEF89CDD9C0F3CF0BCFF90D8F86395BF43316FCF8F3BCCB31FFC';
wwv_flow_imp.g_varchar2_table(2893) := '2CB33E00CCAF7E0CD95EDA0882BFEEFDC33B3783E0038F52C0040AC47FED80473D0438C0CAC88F7E1CBCA0DBDC021808365078F7E0473F8EC70F16D623852A445FFA6252C185F46F7B19DC600737C3BD811C307C131CC803FFD3518E20BE667DDD99E03F';
wwv_flow_imp.g_varchar2_table(2894) := 'FAF18F7B3C708400F05F036BC892060E04300AB4610E43F810352C6D8772F921418CF88F74C4620F67E0C66BDEB64452B9ED1AE2080734A2910E61D0EF19FF3047266C318FBF4C918A25014C03B9B732C0B88F2107A407171DA286A850420E58AB8B1068';
wwv_flow_imp.g_varchar2_table(2895) := '304921C02E8B0211E341FE210F5524210D6728843CF6D11D0074CF897E30C4132AA10466202013E22082384C900443B0A38D569C2144FEA84B813C7089BEFCA53087A9B682E403808AB44874B88007393842317299A44068C010D58C2E7C9A34C83FDCF1';
wwv_flow_imp.g_varchar2_table(2896) := '894EA8A216AAF8C63F32D6BD7CFC831214F0833EAA908D2AC080166F788317C2010A73BCED8F15E1A5D8F271FF8FE9D54E20F228DF0BEFD14FE8D1E31EF4904740136AD04316E47FF048E6447E07001B00400D8E90435DA809004A7694205170031FAC09';
wwv_flow_imp.g_varchar2_table(2897) := '00AF880E930604E118D5468F5A78F3139F7887DD4CB944276622007EF8471290F1063F00E10D6530842D02808C7FE4839714F9A3FFE0C18E74E4C91CE5280754A59A0E7558551DE6C86A3AD801D5AE5275ABF2685E143318BD8B14E1070B7982050060C9';
wwv_flow_imp.g_varchar2_table(2898) := 'AC48B3921C2D015BA3A0063FA8662877158A493BA7421FD2CFA105591234BEA98A5CB083947E59A239FDE00722D8C2B1556087091CFB005750A0A8E67CA01525C24B7EF4CE1DE958113BCAC10E7798831DF050873CB8CA0E7600801EF068876AB1CA55AC';
wwv_flow_imp.g_varchar2_table(2899) := 'FFCA031EE550870EAF88DADD6E44084328C817C9224DB696A0AD0028C113442A94E602C01194B8ABE7B0F95701EA431FDFA88576D131CABEE0CF6DA9A8062DFE90896B2C8A196FF847263C80865BC6708A49552A3D580B8061B0C315F5A4054C32C10C76';
wwv_flow_imp.g_varchar2_table(2900) := '3CA31AB7F0842D98910E50A8E816E97886385C718B72A423AC30EBED221B422D1548E10B5FC470100020852020372BD4AC64728520578240B3A40068AE35C5A0063794C772283D206009B22479C4C217B5783062A3983F62FEA31E0F04B27762B8D2F3F1';
wwv_flow_imp.g_varchar2_table(2901) := '321FF250873B5CF1873BDC420A6FC884156821652F9443095520461240C1054318E20EAF40402A7A0A07649863AB14BD206A53B8113470A1FF08C1050018F01015356CF8096539EE88ABA9E2EBA8410C7678EE8B27F73E192FF097BE04803A8A118A62BC';
wwv_flow_imp.g_varchar2_table(2902) := '8394DE75A02101E04482D22E1F0635253EF33945CF26591D6508872DE0E0063F80A20A99F0041AF85B86314CC30FD9700317E4E1093728C10B56F0841198716675A4398AA895A845A2351035AC010F60B86810EAA3151177D492722D3100882310462844';
wwv_flow_imp.g_varchar2_table(2903) := 'A4CFC59C02EF01C0147A471FFFE8CE3EA081883EA4A610D018E575D717EEEBBA8F1FB423E851FD48E98190CA7DFBBB9F7C5BFB065744221256888538ACA08E54FC2012863842110C51663478211B996078240C200E5048C1C1ECF8353F82ED91BCAC8111';
wwv_flow_imp.g_varchar2_table(2904) := '7268E65D04C2ECAF5052CF24FF3671172522D6C1F98FDB1A8C9B3E8E978E4F88A10A67188318BC2006448463DD2BBBDE2F99C846B58D2D6EF9764867EFD1D46EB8C110E2800457CB00875420690CD91886213C718D4CBCA20C91C80624CCF1064FDCC115';
wwv_flow_imp.g_varchar2_table(2905) := 'E968873B8EC7DB886EC4A480B026499F0B86A1241B2C244EB95C3F4C6DE158DB20D8868A27B68310DE216EDB5BC4983ED2D1872A88610C5EE0B91876EE06712889E8650CC73EC2618E7C74A31CEDC8463AE8518E6CC8A31EDD686A3FDA518E6E8863B34A';
wwv_flow_imp.g_varchar2_table(2906) := 'D7A73C9CDA0EAF3515005E138855D351D5D0AA831D57A5ADEF554B8FE66DDCED17D1DA40ACCD08901364E45FD1B3710712856A37242D7DC746E5100F0F360B04DCD0F0C2FF18C6DFEA568FBF0AB6901EA9E8F10F6408C316C420463680118E61883E1AB7';
wwv_flow_imp.g_varchar2_table(2907) := '180633C2010C7880221CD9800D51824B808410FA343F04C10EB5A780ED007C57057CC0A7760DD85A14C80E61F53EC7C77615112502E10668E0818DF40577511F2478151C851047201C02E115D6E613E632062D0600AE0000D3F0250BD17282F372B58749';
wwv_flow_imp.g_varchar2_table(2908) := 'E6040C56307E6EE00677E006ADE60555900A2BB40F48960FCC700BCF400CD8200EB4D00DE1800DEA500DD7F00FE1700BB4600ED1C00CD1000045854B11A14FFD9050F2202AC7A350AF35502F644858B43DFC844508C174DD77117BE50591245C04F10442';
wwv_flow_imp.g_varchar2_table(2909) := '104929C86158D1040A115D428157CAC757DB730FB5674CFFFF600B6560845CC0055EC005901779A96054FAB03DFF300CC8000FAEC06BD7C044D9800CD3F00CED700DD950222AE209EA700BF240861CE159F246870CA46905784175B86620816743A00402';
wwv_flow_imp.g_varchar2_table(2910) := '21056A208C03710442608C78060081D81450805CCD587D02510274555273070878A01B29F6779C83785E13376EB3605F7607770007E2B82DA9A0792A443EFA900DFA200FE2600ED7600BCF700DC31047CFE00AEF480B35080FC8C00ED7800F6DE41172F8';
wwv_flow_imp.g_varchar2_table(2911) := '6E09017B07C14176A88116717700B0050030042A8010C92810CB5810A1E0089F40099F601495A46725466278C60723471CC406001C4810D94021BDB4382FE70EEDA04013C40F4B720F0B250FEE7093FBFFA050FBF01730A9599A450FE0F64B2AF463F050';
wwv_flow_imp.g_varchar2_table(2912) := '4CB8B892E0D33B5C64900F91901C410A041108033189C1315CC1080013291C17190A00B09100007D9F809137212CD12857D09810457110D9900D40233972580FB18552C1A436E1166E90A6444FA48B0B744542674A3C866F34749412E1596B36610F310B';
wwv_flow_imp.g_varchar2_table(2913) := '00C00902210777F72D03918CC9280413199625E59502B1080671622BB1770A2104293001960408035120EA502602B12100702394E33FF900972F594246391090369B3B09410B5143FE23975594740F910FBC7811A4703106210AA5D00607F1044F008DD5';
wwv_flow_imp.g_varchar2_table(2914) := 'F704771196CE391023B70896391351805C78368C02C10503F103DFC20CA3090EE7508302FF310EE2602500700DABF99671B948B4096919E1170F3164B959134CE910BE79871C610AC239108F9098002095520900A5205C74A618D0A5106229135E701025';
wwv_flow_imp.g_varchar2_table(2915) := 'C76170800B6D5910A3602C28592D6EA99EAF996809216E751944467410B81987F4C99BF6F99B1B310BFA6910B3200AA6A008FDD9069CF008A5F008B0D0068F609C6D500A033A1007331069B108985913C42119D90600CEA42A033126E2A09A09710EE090';
wwv_flow_imp.g_varchar2_table(2916) := '258486A1BA2944B1E9172B83944A519F0D719F0AE9119310A002610A03210A03A19800000B00600AB0600A28AA0BB3B09F41CA133EE11ECD248306610EE700004602343A72101973A1ADB99E46069F57A1A536C4A586491183301028FF6A0A64CAA20321';
wwv_flow_imp.g_varchar2_table(2917) := 'A66C9A109F800A957A99046107672006519016D5B7087810A71C511E23356D80D0776C599E63A20EE3201065751011FA16DA802F52AA101F6A6FEB938B49412AF0051184D97D89BA10885910FB591068BAA60231AC05A1AC26E50B02B10B34014DB7F00B';
wwv_flow_imp.g_varchar2_table(2918) := 'E22027E93026E6009EE7B00E02B10ED363260BF1A765E10DDE202EEAE90E5C74AB568A3E568154BE8AA81D21A60751AC698AACC6AAAC03310D95E00BD32910D60000A86010BB800ABB809974709617411C238755E3900EE7100F797A10F1C0AD7A3A9E00';
wwv_flow_imp.g_varchar2_table(2919) := '500DE3D0AA8A2217A700AD0551AEA1917EC0300C9CC19A70E90E9CF615BD0A115C6A12F89AAC678A98683A0BB0F0B202FF910D95D00C07E1AC0331B01E8B0AD6D00A87A0070000B216B1089600008BA00900600750906E29D38002D15ADD4A0FEB60B54B';
wwv_flow_imp.g_varchar2_table(2920) := '922303210DEA8027A85920588A151E1B1BB4100B5CD819260B0F281B5F2A4BA209749FBE4512F20A00B3F0B2345BB709E10CC5A0B702E10B3A3B10BCD0B3D6E0B17A40B4E47011A700B08A2B107BA007E5000F00908669B8B6F070B5963B0F02110EEB30';
wwv_flow_imp.g_varchar2_table(2921) := '0EC050106C4917C6600C0020BAA3D1B9A291B66B3BA85A61A80AF1ABDEE71159D00559800906A19F332B106E4AAF07A10D7B3B10CE2010C6C0B3BBE00BD6E00B3C2B108410B81BD10AC6C00BBC30B69090860721BDAF45B15F620E89620E65220D572217';
wwv_flow_imp.g_varchar2_table(2922) := 'A44BBAA3FF410BB6400BA77BAE29BBBA6E8B4826BA115299076C60108B7A10366B10DAD7BB0AE1ACCE0ABE05A109CCABBC20210FDC0AB9EB00C00BE19D02A10CD5D0257822AE60D10C816B0CBBA0BF04E10DE8C019B6600BB7F07E5FB1088E20AAB368BE';
wwv_flow_imp.g_varchar2_table(2923) := '6C8BBEBA8A10BF1AB71531099780C29700002B2C10EF2B1098D0C28C3AB709A10DCEC0BB385C0CBCDB109AB0090321BA102CC11011C40421BD57EBAA0D7124CAB0275E42163ADBBC02C10BA21BC19E917EAF401623D7097D8867187004B0F1AE818AAEC1';
wwv_flow_imp.g_varchar2_table(2924) := 'CA4061BBAB4759C65704AF1DB1C2349CA60331090040BB0921A66F3A109E60C309C1B3C7BB10527C11D0BA0B415B07E03A10D69B10C98027C9D025B7FF5816C6F0B7BEFBC3CA4B0EE850C18F1125E44B167690177610AA03A10302D1045FFC109E15C6F1';
wwv_flow_imp.g_varchar2_table(2925) := '85C61474C64959982021C308F1A58A80098A00C70331089340BB93C009A2000CB5F0BBC50000BF5B10B5D0B707D1CB08F1CB11D1C7A4EBC8F4432400700B051217816BCC04D1C802410EE4F00E94917E30B1A000F0005AC11E3E5A7D274091A1DC10699B';
wwv_flow_imp.g_varchar2_table(2926) := '7B7A69406923406FD3577EF9CE13F31747154573E8AA95362AF5604E4369CA16C1BA09E1BA638C10FD19A69760A6AC7C1093A00871ACD0B06C105AFCB7BDEC0DC700B8CECA0B8EEC10E45AB400D00CCD20C40431AB7FECAF03E11A100123E0A0C8BF9224';
wwv_flow_imp.g_varchar2_table(2927) := '0C7C15C6ACB3C76BCCBF6CC3DAD00CD2FF3C107FDBC7FF6A18CEA212D000003DDDD31E71164391950040881301C2999436BFC40E04D54213E36D09C544C5773BFEA35944A7D4C0649B553AC21BC1ABFEBC8BF8E9A5647AD0023108668AD00511089310CC';
wwv_flow_imp.g_varchar2_table(2928) := '04C10BC45CD3AA0000C7ABB3350D00FE4B10CE70C30C91D3786D09E440D20EA10C05823200B0289E2016C40C00B3BAC7311DCCD25CD7A36B18146010068012407DD93EEDD3C340B21661527640D4008004478DA105510FD9C00FAD270EC39436D7100E0F';
wwv_flow_imp.g_varchar2_table(2929) := 'E40EAE8DD5B4830CAAAD0EE1D0DAE5100930410FD9E00AB4F088B4300FA9E00AFF700BB6D04327F1D560DDA53211CB02A1D003D1D000D00A16B1C70BE1D10341AED670D100C0D70FFF410C3D6A10953216B32A106C0D00BBEC0DE56D10C75BC1E4C0D176';
wwv_flow_imp.g_varchar2_table(2930) := '5D1DC23010F32D10B90000B1B0111939147DE006B751D4559A409E75B205710F86F00F10F78AA9900EB4200EF7E00A70900DB6300CB6A004EC900AD3100EAA9DDBD950DC2F410CF0100E99400FE1900AE5C060AE900ACC200E03A65F1D3E6F24E1D5E9AB';
wwv_flow_imp.g_varchar2_table(2931) := '102D2B12640D007370E30981097FD007A760099B00E44CAB0AD0BA09AD90B83DDB0ABBA00A77FD11A4ABBCAA50071011DE02118684D10A796DB40EA1B31E4BDD004027CCA1C545AA9913A1C59FE012C902005430103B0D3E486D40FF0076706008C3F006';
wwv_flow_imp.g_varchar2_table(2932) := '4D9809AEC06099808591900999A07599400CAECD0FADFD88FD200ECCFFF00FE25020AE600EFD60757194E8FA270EE2D0E15CDDD533AE104E2912CE0DDD00900700E0E90D91073E5C10A5BE09010B00A56E105EAE0A3CCBBB900DD908E1DDD8BD10683030';
wwv_flow_imp.g_varchar2_table(2933) := '03812C70C1B34DAED80831B63F2CBABCE0E505F1CCC5B1D9F55510A14211960909439119B3D83B043E104EF407E1E06FC31009EAF507D7E009F5C00CAEE009FD460C101EB946F50FCC900DEA600B083E0CC59D0DED90099D880FD7300DE2F00C9FF80CD9';
wwv_flow_imp.g_varchar2_table(2934) := '80E80119E3A81C11358E126C10BFF1DB106370087B3010873011C0DEB7718D0AC46E10BD8E0ED6D0EB125109870D007FF02B0070054912D04D71D7BCB0EA5AAEEAADB0090D0F004C6E1086102A8D80A4C7810C02FF21F317110A623E10418AB01531CAAE';
wwv_flow_imp.g_varchar2_table(2935) := '093385FD0F5D370C8C400FCC6008E6900D8C95090897EDD76008599785FF500DF7DE0D5A180DFFE009085EE988F00A629709D16008AE207691E00E3F6612327EE9C6B4BE24310859C0067330106F3F1109BF10113F10A9AEF23A6BF10AC1DD8B2B1189B2';
wwv_flow_imp.g_varchar2_table(2936) := '1C66802CD4320686C0CF4D91B405A1B3AAF0B7EB3D103E5CDE892D10A27D1094820B543E1BC8E0899E58DF03310C9C1F111929108126906F0E18902B0F19D40EC7237A8A6E0EF440E9F8A00EF7A0E1286B54FD705F29A4504CF788ED900F00080F593531';
wwv_flow_imp.g_varchar2_table(2937) := 'A60755ED6CF89C95E909B1E926F1087990050451F00B31F948C00300800300B0041671F703D10AF0FF4D100B6F10CEA0BCCA22103D600410412DD4E28102812E7F10E058C10B3F8E10CA6BB4523E106F3D102B2010306003400004000140E0952B00AC14';
wwv_flow_imp.g_varchar2_table(2938) := '046046E042860D1D3E841851E2448A152D5644362C63C6611D875D74E868E122006E162E010991DFCA7CF5E0B973F88F1F807F3457FEFB970F274D993571D6E4974F20BB7CF7F2AD1CDAEFA7CE7FF804CE0470AF5FBF9455054E9D6AF51E3B78F7AC7E05';
wwv_flow_imp.g_varchar2_table(2939) := '3008C09C407300B0C99387E2183B0D514AF405D1D2C2B8025B39E4A5678FA486C516D2008063219094774C962C0356F162C5C600F07A2CD0D942C77B343D9C1162618B886816FA81F3060E63D2A54D4B14B6F0A36A61AB15536972B274D0962FFF1DDEA3';
wwv_flow_imp.g_varchar2_table(2940) := '974FF751DAFC8CEEF65D4F5E3DDCFCEAD1A349CF2BBFA9FCFE513DFA1CBA50DD594F3FA48A956A4ADF5CEF41BD6E314F168AC0222661A847A02554154F2DDC75B7D96488F49D459941A18407CE9CC3FF07F0AB6618A20F006D04A2E310BA1C82C186858A';
wwv_flow_imp.g_varchar2_table(2941) := '10C80500206C888F002FC4D022645213A643005A5B0898D42E4A030A81D2080C0AC13260A8A6AA5872A99D987032CAA67A8E22CEB7DC9C7351269B70EA271FED98C3EAAA0C21CAAE48EEF269079E7A66DAE79F7D2ECC820DF220D2020B875C792894850A';
wwv_flow_imp.g_varchar2_table(2942) := '89A221052F2AB021720C74A8165EC4008002B0EE78A3A423E78C481B542E03E0944D049A4FA03DDEA3E8AE070432018416400062FF88245C204C4281E25C080E3C0442E30D340EA33353D272A165980E391C9121F31663C28986A67C312897DC414AA07F';
wwv_flow_imp.g_varchar2_table(2943) := 'C2F1A41C1A3DF9A9569C9CBB269574CAB1A59D7052010056AF84D44EC9EBB6AB683B632F0AAAC927014076CE2D82B0C2A02194F84224865EA14520600160E4B4B916FAD321BFFE73035281D428430D4D8F7C4712BE1CF2E6C03A04D9641786CE3491A15A';
wwv_flow_imp.g_varchar2_table(2944) := '1E084102130068618444172514041386A8B6213822A9E45D89158B04004832F910548854E1D8224210140400321862F12B966A83E9A97FE889241A75C2B1C59C4CC471C51C5EA381A79C6AEE91C79361D47925155A68F1C4955B3CA1E51FA98A5D9631A6';
wwv_flow_imp.g_varchar2_table(2945) := '2952D63A907C7316FF4A178FF441090094D05A892716A2C44B004201452046C235C90F4400585BB153205B888E711F3295A10704060B128700F164E2001D6BE8AE5D0E7CE840C2C905608F0400F0C083855C801088430B2538225CFCC6FCA25804F294C3';
wwv_flow_imp.g_varchar2_table(2946) := '8C21DAE4AECC01A0ED1E78DA69D5394F6CF9271B435C71651A503C3104E96840B1051E006831E49A6BF2F1E4997E2241461E57982EF6B4A7278A3A5A8B9A75C72B4D556048852254F881423414AAB00C2FB880089D856668684089CA1CF9A13D035C6574';
wwv_flow_imp.g_varchar2_table(2947) := '004587086E6F18E28597BAB469DB0B0034D080020E0A55818300E0820032C43F0F59863212A88C60B8CF810EF1D08726820A3B304120751388BE2C12010C986CFF25AA3A5D4C68618B61BCA168CFF004223C210F7178221C3BF9073B22710D7AAC8E1E99';
wwv_flow_imp.g_varchar2_table(2948) := '18063C8E873CA9918687CCBB4A0F9F970F76B8A31E738243C324328109446A21651803F8BCE0853138441BB548497BF0343F0068A20E7C319F5D2071082FA401050B719C0D5C40040010C1053638A04594F140D37C2C2263521F2F34181143B5C051954B';
wwv_flow_imp.g_varchar2_table(2949) := '18F522A28B6D1012000D040F1D27D69A50014044113903154EB0103BC207157B9C48093C08C294B90A1E47A3452518E1095064A21299C84439F061887470E91FAEE8DD2D20910D504482967EB8464E78E8BCC5EC3222CD7B11939CA4C888484122554843';
wwv_flow_imp.g_varchar2_table(2950) := 'B510D2903A90C1129894C81723C2000D046C0302FF11A0400A66831100C050430080218879A43DF0096E0B9104FC00408E7256F2211060C80E28C41010000006F5A4C8320030C7448E53628D64482E24121F007CE222E48B80400063950FA28C21CE0907';
wwv_flow_imp.g_varchar2_table(2951) := '33FE518E6CA8231FE6B8863A60628E54E4231DF4F88738B2F10F7774A32623D599747C691AAC1049880D012677EE51353A5960211248491593F0B5869C01006318433979B0907139411087789B7BE827903E0824021A6808A3C029907BDEC050F894C836';
wwv_flow_imp.g_varchar2_table(2952) := 'B6A1407FFE870C69B0C4FA00C0C5C401008B3FA5020516E726AA5A6F2115189840B02A916004431A02B14757FD26A251894A204888089E1EC20A90BC54252CA1876D1E6A2B9ED48A162F7C0EFF8F90D523A014493BE129924B0D0B2D6835CD22C2FCCE91';
wwv_flow_imp.g_varchar2_table(2953) := 'B6C0851F3491AD2011E717BCF0053570810A00E8410F9880841BDC40206F59C8C8E616913036441587480C0B04C28185ECC04184F90A2960AAD7AA087621DAE00BBEDA53A63AB485641099AA401C070001A247228D20C51CE3618FAB311773B600862D04';
wwv_flow_imp.g_varchar2_table(2954) := 'A22D872C820E0E21AC3BC38358C53E941E3972D54CEA518F5BD166BF41BA513F8844ACE5398D694ACB06E934FB4BCF52A4595DE9E775D680870903600829802743324C118C31A40A0BD980660010021C0C752153B0E04204C10B74886F225300C021D8B4';
wwv_flow_imp.g_varchar2_table(2955) := '90C5316EBB11D9010062C0464A00400C7BD09F40946BDEC53877216475081304FF535681B8890212E0401C1D42986556C41C029907913397DE1001E00C2738C04234F131F2C1F7BD170480130E90D085BC96A141496C275DC513DF3847C14F42AC8C5AF2';
wwv_flow_imp.g_varchar2_table(2956) := '1CE20489749D45DE7F9C238F313C43A5BC64C86597D4A4D05E68340911C88621908049577A711B868827C2058041D598010241017157201B8634E34C115904140063E2E12200D30CF1003CE35A052E0499213E5D4823E2A065ABE8018F0E091944462D10';
wwv_flow_imp.g_varchar2_table(2957) := '93401500C405410C0409923A7886D78A4C2F3072915E5BE442BD3D8542DD9C3049049D19007418D90C3AC8103707331F716E084E86C10C9E34D656AD53474D325A936869B6C0B3F9873A40C10C62286DB341FC774482E29DFF0887675202990071176269';
wwv_flow_imp.g_varchar2_table(2958) := '4B3FE41500A898407A5C111D08E40C7B40914566CC6D4C0120011C98405C1B824FF001405D0CD903209EAD98853624A949AEC1881DF20008E034050010A4076A3C91430097212A5FB9FBD0EB90637422DB4DA85B07C7DD90F44184A7A93A777D01A09367';
wwv_flow_imp.g_varchar2_table(2959) := '64A21AF26046345AF78C6C64E31ED1C8C630D8518E7C30231BEEA007D8FB017678BCD0DEC92B8D9FD591897F74C4470B5996A2A74644081FE90B0B51B844E039012FFC0100AFE012000CDF088648C003203FED425E30D424D080D58B81E7FF480308C607';
wwv_flow_imp.g_varchar2_table(2960) := 'BD221B58BA43E6824537B05AB81B38811118B2F39B43041027B7C8953DDF551A60F0214D3F4D43D1CD907BD0FFBD75A88C862120610843F0CE109148452660A98E54D82213A998061AFC608BA4BDBDC18AD1493AFAF60F622063278086E9F52702DA8287';
wwv_flow_imp.g_varchar2_table(2961) := '670D0B69E2C2774E638100E1E47F78B476D38FF0570FF721297E887001A07F2194A48A9CA608C303800F03005510AB32D80385889888498671D09DD973880320008780318718856C82880C18140EE00FEE4A09026C88871B0700C82B089C936B9B8832AB';
wwv_flow_imp.g_varchar2_table(2962) := '8A0CD024B0D03DA9FB077BA0957FA005AEC804B31B066200856BB0856EB08548080757B8866188041602052E1906A53834CBBA0EA1D0BE95018067888644731EBD0309D09A93BF130870AA3F8B780375F180D6B38A0F88888AABB816044104883C8AA802';
wwv_flow_imp.g_varchar2_table(2963) := 'FF2B002A20DB83A0AA968AE99B8528BFA03380094480B84A021183081998880CF38FED82009A1308107408F4F0AE859842BC8A1254314100E1B289280400C080DAD314DAD83D81D00962C8846940064FC8046448856848055748056600856CA00546F041';
wwv_flow_imp.g_varchar2_table(2964) := '5000855002002234C5A4D9A580AB8AECF3BD74C8063F10071FC93BF11338BE6B340CD9023CD04200F80187A0B4668488C4D0C2149880ED4ABFF9030004600803788834F83F87B881D6A300D5038B2410470050BD24480225803D2389446CD4C60448009C';
wwv_flow_imp.g_varchar2_table(2965) := 'DA0008B8B186308118004486788187B8271310B99B3201290300DB5A88458C447F32280C98016E9B88305B889BB3B525893A39E3116230B4FF6AB8067B280777480775300776308776F0C872B8057830077900BB7D28077500805F241240B342C6700E7D';
wwv_flow_imp.g_varchar2_table(2966) := '53079F3184707087F20A3F5C8488ADE88A23A1B0A0DC828A98001110C385302640D2AEC6F947002080040800A76C886BDA01A0EAC6F0200C2220827234B124A8822B682A004886831408044800033080C5A13400C0290E982786B8391888818AE08CB96A';
wwv_flow_imp.g_varchar2_table(2967) := '1C89D80182FC238118856E204B0C310F6B13A8874885C134000CF8348750C185281900E8BF19E30EFA92B38580219F78B7774B342ACC0AB8BB8E9531215020065B9087BBC3BB2411C688F049E9B9902F08CA093B3F46A8B085009FA36C887C5C0819882B';
wwv_flow_imp.g_varchar2_table(2968) := '9CF2A6384A8009848807C831FF488308161001C629CEAA7010365A082330818A03802950A2BF344BB3A43109F01F0880A76464080C9C0810800100A09C0DD04D8A7001E7648867F84BC08C886FB1881970C808684C868887C894CC87A811DD50B00FFAB3';
wwv_flow_imp.g_varchar2_table(2969) := '0F5A0E3FA30AA8B8AC983C8D7F78067600004F7021D20C229844348A20C60C39B88A5022ADB135010202E504BC264A81E01C94A7F44DA93C3678024EEDCC105B4B022498AB8722CBC5C146ECD44D784A8C8500076248897B8281EFB4B185F8C765140828';
wwv_flow_imp.g_varchar2_table(2970) := '1208D5DB81724C4F07F24388484C4D4A81FE038023500C4D94BA94B00E9EA4939F2807B773086411D08A48CD0CF982F3A330771188D77B08201020675BD28630488A0880FF77E480F1FC81C4D8B5969C230041AE6A89D1E7040024A8960E1BD285A04E04';
wwv_flow_imp.g_varchar2_table(2971) := '80103C180DD70009289300F114884191082350822BB80334408331D09A3E9598C463086353D3414901FD73CC4D9A48B088D2069518DEF8BE2B354D29BD0DEFE05229F8BB929383895B88491588B76C3F8708CED3184B88D0C6EB08CB2BA80274340134D0';
wwv_flow_imp.g_varchar2_table(2972) := '07A730AF2B48CA299BAA21505625B8962750027789987079B8D2C83110B8D5858893C3F08488A1D40C410668200D36C2D0BFEB38A8FBD4AF0855620A0AECD8CC2CA5882DCD143390568670834B315300B88394D09F479BAA92E382BF43C486C884579838';
wwv_flow_imp.g_varchar2_table(2973) := '2BF002AFA98227C050C6F0038630A588EB5657D14900D107FF205AAE880DBA1274C1FA44D7A8993D779D0878C5107B984F92B507481C50CA4C3745AAD8D21488964DCFCBCCB2939D588CB5D9D2A8877DB807944D15387BD2A9130AA8419656A98AF26A15';
wwv_flow_imp.g_varchar2_table(2974) := '51652990950891CD90BC72117BB0877E88DAD3D05800C8B2ABCDB29BA5238D652C578912AD05DB076A29D37940BC73D9A1C5BBEFA337E66057689909EB8021A4A8592CA5C2C5F809866A1262CD9052ADD9FF28C10FBAC3B0CD941814DCC2D5AB868A9174';
wwv_flow_imp.g_varchar2_table(2975) := '338778ABCC9FE007907A0E9CA0079BB91AE4485B3FA389FC2A0A9E110871300727E1878E541668519AE5205A8BB02CA55509F28BD8C0355C89699A7E784429A1DDD9B5DDE778DDDC250DC07528CAE4BEFF6C60877648077B708776A88776108722620776';
wwv_flow_imp.g_varchar2_table(2976) := 'A88772408E6BB80575301D73100771E88795E4877218BB7480879C6907DCE02F71008072C0BA5EF9877430BB7210C97F908776608779D3CFC2E22CCE6416D6D5DDFB3D1254C5DFFD9D2F1809A116B1857018865B18067118E0ACB3051C7C0650CCA57B10';
wwv_flow_imp.g_varchar2_table(2977) := '6066B88670C8065BA8065B003B08CE0629CC0666B0856C10077D689DB04BDE5FFC8768D0878A8D06F47CDF0936879C38DD64995FD57D88072B46FEB5E11BC6E1A0F35F8A0400641029EACD865418866C90606C2086721007669060F6E5E0676006760807';
wwv_flow_imp.g_varchar2_table(2978) := '756086E49D626618E26BA88622FEE07EC8066490E0700807900A876A280762B8862EAE06FFAEAB2805BD082C956187A061D7CDE139A6E33ACEC41D5E2C22560776500779E80671808774B0BAE0650771B0BA9C480700D895B393077550077A50878C8287';
wwv_flow_imp.g_varchar2_table(2979) := '6C88E054B8866888E2182A07F46C64E70580AE83E26C80878C0A876BD05BC5A0DF2122383B66E55676E50C41DCFFF5DDC6C509759886D1C4097310E5527515A5682C8648873F165FE6A89585C08723FAB3168941A800DC99885FA1D55F3BB4DF57A6E66A';
wwv_flow_imp.g_varchar2_table(2980) := 'B6E69EEDDD873A0A0523D55B219DBB1588E5D00DE6B0B39FD8872879B77346D9ABC1099E4DB7CBA45DE639CD19264639BEE67BC6E75676664E6216D5249DA06D5B6889877320E88226E8853887C53068838E877888672499E78778D0FF7CA6E88AB66627';
wwv_flow_imp.g_varchar2_table(2981) := '65157BDE498950E77FE0840670000550800150800228699146698670000008E9885080907680987E69981600708887732EAF6879E354FD498BF6E99F9EE393D9C4AA08B82919CD4768800118800B506AA52E008A78EAA79688A6A6EA01A0869BFE5AB36D';
wwv_flow_imp.g_varchar2_table(2982) := '1EA48D888906EAAF066BDDE558A22E6A29D907A4666AA546E9922E80A80600A57EEBB66E88A66E6B937EEBAA566A01A08693E55925D9E986F0EAB016ECC1C6D8179CCCC28A16CCD4D97FB884A4266905B8800B10E9BA2E8001A8ECB6560000100086B06B';
wwv_flow_imp.g_varchar2_table(2983) := '8138E9A86EEBA656809ABE6970E6ACD28CE685605AC266EDD68E44A1FE59D42D6A9C7E8420C8EB0B788436680392D6ECFFD11600D00680A71E0081F86D81186EA71680E4A6ECD1D605BEDE6898D40A5575EDE9A6EE9583EDC36E63A43D6710466A931E80';
wwv_flow_imp.g_varchar2_table(2984) := 'DD1680399883E4268F0B308BD15E69E27600DD1E80CD2E8005D06C0730EF97FEEDB6266D9A65B0D40E67E9AEEEFEF6EF71326C50D5EEC546EA92FEEEE4366F01688039C8ED470803F2B0123660E93078044550842C480B5D488B2C980353988330B880CB';
wwv_flow_imp.g_varchar2_table(2985) := '2E80E63E6789F86BDEE3EFFF56F115F79B58C6EE64C1C57DD089026FEB3990EC3958000710802C68030B7F8459D0055D30050018F22C780412207200100558E88259988547300527CF82BA266D9CCE4CD4E6EA9E4C7116E7F22EC79086321D19E9588A20';
wwv_flow_imp.g_varchar2_table(2986) := 'AFC616E9FFA5D6ED4718EF06680053707053D0853060035D00005D68802CF0704ED0703098053DD70558D00536308536108092160012CF6A7604B82CB7CF2DF7F24787F4D90021D4B18A792EF306606B92BE80F0CEF10668830B008030580045B8803608';
wwv_flow_imp.g_varchar2_table(2987) := '83366880526F0307286F8168830FFFF04F1F699246F4BE85EEAA58ED48D7F55D8FCCDA10F34ACF727C606C4CAF6B912EF4F1DEECE456F60248F6B7DE6C676F6FCD1680F66EEF421FE902B069FC8668FD8E0A47E7F56F077738F6DF5F276B32FF071AC7EC';
wwv_flow_imp.g_varchar2_table(2988) := '332FEEB74E6B505F6ACD7688CC7EEB915EEBBA1E005D706877D64C46E7697F0EF77F07F871D7E8E79608F21A8406086DBCAEEA8678F6A95678CB4674FF535DF4E8EE6980B778707771019F8818FC074C080266D7F1424FEEDE1EF9F826F9D146F9426769';
wwv_flow_imp.g_varchar2_table(2989) := '964EF6901F6D90DE86D2BED889C7756FBFF89BEFF25826772865F47F38877118075D007AA10FFA9FD7859F5F083A1F41A1AF730028FAA5FFF9A18FFAA21FAF5FA2F994C8759CD77A15DF67941978CDB408A8C5098726D9B1CF5CA86D37F222419C70DAB2';
wwv_flow_imp.g_varchar2_table(2990) := '1788AA7F7B872E6668A67864DEFABB67F10F8A91AFC7F28AE0787E20AFC0177C1284DAAA15B099D049B4E7F8C05F7B5E5E503BE4F66EAF78BCA7FCEA06DCC41DF38D67E7ABC98ACB5C5017D92CD336F17A8BFCACAFFCD31F6CBD97659E8F7CBFE9A197AC';
wwv_flow_imp.g_varchar2_table(2991) := '7BBE47FDD9BFE849977DF05BB9D72F7DFFAEB07BDAF7FDAFC68A7C78097E7F67D137AF529D0A5B77B02681D9DF777EA08687E5FD0A79A07E79C05F7850872679FEEDA7E8EEF5FEEE7D718A68875F1F7FB018FFF33FFF9440FF8758DEF66788220A7FEE97';
wwv_flow_imp.g_varchar2_table(2992) := '7FD6A68DDDC04F89D82F7AD0FFFDBFAFFD02080000EEDD13488F9E40810515122498B02144870927529C087160448A0737DE4358EFE3477AFB12E29B08F2E4C78A2A57B26CE9F225CC983267D2AC69F326CE9C3A77F2ECE9F327D0A035511205B972E142';
wwv_flow_imp.g_varchar2_table(2993) := '9313F5651C08401FD4A850F3E5AB18B1A155ACF7F0954C48AFE3C68331EB75E52AF42CDAB46AD7B26DEBF62DDCB868AFD24DAAD2AE407BF600E493EA575F4BAA77EB626528B0A4E0FFAEF2F62D6EB8EF31E4C88F25CAAD6CF932E6CC9A3773EEBC931F4B';
wwv_flow_imp.g_varchar2_table(2994) := 'D07FA1AEA42A9827BFD4A901486EED3AB2E7D8B267D3AE6DFBF64FC050EFF9ADF795A0BC7BF2823F664D2F38808323F7452D5C78E2E999584D9BD6CDBBE0F1E18BB70F179E5DBBBCAFB8C7932F6F9EAF407EFDCEB3C7E99B5E3D00FDFA459DAF6F3EFE7F';
wwv_flow_imp.g_varchar2_table(2995) := 'FAF7EF7FFC6F9F7E92E1A71A81A02D15D56A32A5D64F81F431C51B64FC05E89F84FBF5A35C7B196AB8A15BEEB8C30E8721B2C40E880094234E39E19C184E38DF54030D8C31C6C80D34DC70F30D8EDFD8584E39E9A4D3A3394106598E39E5986862914912';
wwv_flow_imp.g_varchar2_table(2996) := 'B9A4924D3249A490512EC92395E170838D8D306279658DD060E32534FFC88823103BEDA854A28869AAB9E644A08DC9A686F3A9D78F60F2D8924A2C79C6724C243A7CC000A007083AE8092B4C81040F53F4D083184D7402CD33D844336934D5504A2900D1';
wwv_flow_imp.g_varchar2_table(2997) := 'DC8469A6975EFA0CA8C80C030C34B52081C41487A67A280F3AB8EA2A0F2B6C70079CB5DA5A6B55B7B6C78F6F00A8F64F3AB4E4924B2CC0C442CC210F308001B3CD62B06C0D5E8821460D35E87002155440422334935A5A4D35D75C33CD35026583CD4BE3';
wwv_flow_imp.g_varchar2_table(2998) := '62330D00EA4EB3AEB8F1CA7B8DA5CF20438C30D008B3891B76D831C61949F0B0C4C03C186C301228C0000F6B02FD97DA3FBA5A7686C415CF948B40B108F4090E1158DC596AF0C0031AC4E6E499CB312877A283A0FFCB3EFB81061FFC89431F549CC1030E';
wwv_flow_imp.g_varchar2_table(2999) := '53E0B0040E767409CD3594861B2FB9EC8E7B7436E5B2CB2E33094D930D0050434DEED1F4566AE9A4C820136331AA40D2C7144CAC40030D35E0B0C2092184B0810614BC00CF3FA0FD830F3DF618F8F15AC4405391104B649001DE815344ACE09DE5E30EDC';
wwv_flow_imp.g_varchar2_table(3000) := 'E9019BA7B1C6F681C1A0077C10020D859E80C1074B3021C6124B4CE1F91254E42223A8DF564335BB50573DAE40EC02D034B9E65E934DB854878BF5A7F7C2484E27AAA8B207146487F04106279CA0410411308000011CC8133700FFD8030F3DB9162E1432';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(3001) := '003CD35206345C7F2BBA131D03C0121F7C7F59C4ECB813B1C3EAE479CC9EB52401F9A00CAC10C2B3FF8002FA01159F878D441396F089180D234CC4B81AB8C4E53AD71D2D7602695AD2540780A78D8B5CE0C21DD6EC858C7C1DC3778BD843136670390C28';
wwv_flow_imp.g_varchar2_table(3002) := '4F7F06382101280037B94D8F1E773B9F4F86F1BA846C4220C5B3A1C73C3611061CC06130D490C612820100E8F0876F895B9924E4BE61C5C2169160020F2317021E46F100CC62421468B0041A34A1092BB043BE60C48C31528A5EA763DD04D31835A5BD6E';
wwv_flow_imp.g_varchar2_table(3003) := '76E19ADAEA2CE82D4A856A6BC2E8A01DF670061A88F003CCAAE2A002A042F6490F1EF278A111772243815842207C5CC9010C000002F43091ECE106003046911558122EF968473BD8C78F7FB0234FB430D61928F0ACC8B1B265CC3A4106D49633FF1C78E1';
wwv_flow_imp.g_varchar2_table(3004) := '1831DA1A338496C076B54E814A13573698518DA9418D974513D7053FF50C62E8ED18C7D8841DD2C0470C9C808FFA63650032B04285204E1F88EC644EFA4008009CC086E5544925C1C99E581443636220A706D47996BBF1231FF700E57E46A90E5AF01318';
wwv_flow_imp.g_varchar2_table(3005) := '88E841069447C9030CF40081E2212CAD08800FEC4C0776B0258CA2F10C893EC35266BC60058DB9C6D70D6D76516B57D2E275BB4A4DEA1963E4DA222C3185193CEB8F81C2A636A107007CB4031EF7F8A63C69A28A4500C00909C9A14A2839C99D4823A746';
wwv_flow_imp.g_varchar2_table(3006) := 'AD153FEE194AC5ED9316A9C8C418581001410D949206B01FB33E6045FA61000762A0C20A162123488D71A2DE0257BBCA75B4092AFF2D1BC818E604436AC10CDEEE5B1465C6D6A0510C311CE20C4E3028034E0005400E349BDB1C08E26E7A549BFC6222DE';
wwv_flow_imp.g_varchar2_table(3007) := '03000216ABA69B49362DF6C467C446C90E7E66420D47E0C154094A55C04620047DD35F06021B05CFB1400CB9C8D7309081D7B29AF56ABC6C97D1A8C6D190D20B00C418C63088718BE04E146BD530E918F5360C748CC1097BD8030F31E0043B9C217204A0';
wwv_flow_imp.g_varchar2_table(3008) := 'A461657A4F9BE2B4B22B59E4449EA5161000C011149145427E815EEFEAA4137D58AD4008909074B2F72649C56CC4FEA10E57C4221594508310424B554A0EB4043C288106AC48036AFEC978488845BEB4266164D416A3E5BAADEC78E9CB6ABCAE69A03229';
wwv_flow_imp.g_varchar2_table(3009) := 'A84A1A8D31E2F5B7FFCBED031336A187191C60062E26C35F0775DDEC1AE89336ADAF6C682190140864080251031E0442094AAC4220EAC5314EE48B64D4D403BFD1DB6F9E20E185101840B4A325280118A081E2457722B0745484B5465B5D7614B713615D';
wwv_flow_imp.g_varchar2_table(3010) := '3466874C0080CB53B59D5432922BAA611CE31096B0441A5CEC0432CCC0094C60F16803C0816DFEC3C67859724C8648878490412D41D842108A2010332863BD8D4534A6DFC22B279392BFB1088511067AD59762D9A018C840FD4C9D81123C011261820689';
wwv_flow_imp.g_varchar2_table(3011) := 'CB4A667125A45C49E3A5452FDC5B365B4A7B6F36699CB556C06220E210696082139C00853AEC990C4C90F10102F0048AD8B82AEBC9344C9C90068A09840C4324FFE84E38B0923804210713C9C63294310D65607B25E36BB74E361D4AFD448F1DAEB8372D';
wwv_flow_imp.g_varchar2_table(3012) := 'DCC0004A6AB9840CA8F240A9385500F430021810C222DC908B67C09A19132D2E02CB2C105D972BD7F42A97C3DB7C8D374B34CE63D41A343A91863DA401C63320431AF4200967033A00D1C6C37F12626878BFE4B114F1697CE94B134F9840DC2330F70800';
wwv_flow_imp.g_varchar2_table(3013) := 'E002A14F641BCA9006BBD95D5481506319D4403735A6B10CA953DDBB9AA4B94DE44DEF7AF3174F943801BF57A0BC0888A0CAA9D640080C6AEA1320C1117CE0037083CB4C0A5F10AD6AAD08B968F70C3557DCA4A27A2B1D4115EBE43223167D38431AA600';
wwv_flow_imp.g_varchar2_table(3014) := '053F93E1107AD8F30C5ECA8250C45C20F960073CFF0093991A14914D64808240E82009A0B842201200C01A2A920317F800007100C03212220D6ACC5E1AD9B0BDD354B28CA5CB3388095132D615D4E479E7D7DE9EA645145CAE650C288B8701D0320AA68A';
wwv_flow_imp.g_varchar2_table(3015) := '820D3020211A70951DFC800860FCF65E62AE3B87E3F5D1330B24CDE2BF063386D1B44E9514B978952D3198A13768EC81094C58FCC9614C0693CF8072AEBD874CF103E675175CE000450CD1396D08130040A39D5C452C0B39DD0428008015885B42544242';
wwv_flow_imp.g_varchar2_table(3016) := 'F840EB010016C49E4A6C03EC09C4EC6503ED49C3D2414D516503BB7592EF059F7D0D5F7EE9C77EE1892B848210F0DB2A1D80066C8055311F155592A06C000E20811A40C2300883DC8959C4A5FF159BDD9604F5DAB984D4ED74984999D16C5D21331D0331';
wwv_flow_imp.g_varchar2_table(3017) := 'A8C29FE15FB2259BB33141E7108C1A88448D0DE066541FC1ADA188D8DCCD558411D4C42824840490571C60600E9881EB7541236CE04BB00B082644BAC51EEF19553184C212B8204DDCD752398CBDF5572AF08106545114F19055BDD4A8F5D001F0C0A954';
wwv_flow_imp.g_varchar2_table(3018) := '412AFC9DC39995E92490FC758A19DD56F8F196B8440331F81632D0C2BD81422AC4DF6C31D36F010337D8419FE959B3DD5F1344411434010F78813CF88AE5619EE665C6558517004C0100208186CC80CD9DDC9E254413E4442C4CA02D80400BB4801F9A9B';
wwv_flow_imp.g_varchar2_table(3019) := '40B41E38BE443024442006037A9DA351758240C4530010C03BBE230004C024D1FFE324C9D7754D4425794165BD503D6156FBF0172820C211A456410D1841999DA8FD54146C80178C41283C83308859280A8D5AA51F3370DF858154A6CC0E36F0DD440140';
wwv_flow_imp.g_varchar2_table(3020) := '6C791F2D0E9E2D721F34A80206B8589F4101E29D811DF4C15709010F18C1FA1888008E4C66D0A326AAA1F7C45342400331640F79F40103CC404228DB44E041C2918F4D8C422ABC0200540179AD84060E1D4C484332504491B104095E9A3AC5233C021FF0';
wwv_flow_imp.g_varchar2_table(3021) := 'B9841B7AD73F36A23EDD9B2738821198DD8011D87561D97509952465C00B94002240422A088330000370698D285ECDC6110360664AADD5DABC5854FBDD15FC2517330DC3700D432C40114B42811D2C42217C8223204221B8FFC11308013BC8D4E5655E67';
wwv_flow_imp.g_varchar2_table(3022) := '54190FE9404240824000834000572BDA860C25E03911821D50041F14C218A8664E7800006CC116ACC415AC604B9020EF2D9DD4619B3CCEA36895A540809B17A8A164D1D327A925B0F0572678C103445273D6E5587AE75CFE1B01F04006204127140B1222';
wwv_flow_imp.g_varchar2_table(3023) := 'A1845558BBD48B2D6A8AEA408DA600133285CBA4C49F8925A16C01D72D081770C58256F1110D1CC227A8422784C26BF96528F0C1FAC81C326E869249A7404402848DCAA888E47920E50CBC5342B0234E4C200080A84AF8A1408CA34D8003CD299968A904';
wwv_flow_imp.g_varchar2_table(3024) := 'E0D4973F56A7285D272D40C20F6400C075273CBE63A911C05589C006B0DA11DC412ED8C244FAE5483A5C19D9FFDDBC24A6628A94DF31C32DCC1949C29FDCF5E72D4EC107FCD9197C826616832D1D03910A032D34687AA0E165A4130496C04BB4E2FA9147';
wwv_flow_imp.g_varchar2_table(3025) := '06440100A802007C02301CC31DDD1100D842C3B8C4B5C5C21CBA260098C04460811690284C0462456C038A2A2AA32A22CDA5658CA6037FDD810E84D65CD6E53BC2E3951D400424412164C2DB850232846960CA16C709045AB52787715842745405698A70';
wwv_flow_imp.g_varchar2_table(3026) := 'C5022DD8422B4ED8BDC89F89012660E6422D848218F4C1212C42316C905FBE1630D8028038E88D71461CAA04A0CA509B8E472624044FB98187EEC428B460455C8138CA04A2520408F29E3828AAA3B61BA42A4EB0A44219644055615900BC2B41E9A8F31D';
wwv_flow_imp.g_varchar2_table(3027) := 'FF401250C11D78422A74422AD8822D0083BFC65645D291A6F01AF9B159C50DCD052D13927E1C0020C32F88992DE627120203126243318C012240949D0E4B2EA4022D246B992E2B6E00AA6F65084FF5849FA6ACE9B900EB5D0100F80016508489DEC4B88E';
wwv_flow_imp.g_varchar2_table(3028) := '83A2760338306A3780E0CE96AB3C19C8B59DABAF5C672A784104D4A59545DBF319405D468006BC000FDC811B94412C0CE990F26BBF022C925E4AABAE6AAA664AB8344D5D4954AC899940DC4BC4DA227021A1850A43EFD4A99DA68CB0E4022D0803C8FA0A';
wwv_flow_imp.g_varchar2_table(3029) := 'E61D9A6C0411C9B2074FE9E931D4692601402A0040D5CAC42DA8840E0C5D0E902838B69E270845CFFAAC8BC22853DD5B157867420E180350FFC0BF712AD4F6401F8CAEBF1EEBC412A9D66E6D483621AAB22AAA664AF62013BD98149B26EEA88AA4DCA96D';
wwv_flow_imp.g_varchar2_table(3030) := 'DC1929341C432AF465CA70AC29E5822B7C2CFBF045DE9647AD0E258700C3D5654CDFD6440EA8A60FB8EC44F800387681CD02C038D4C4B79A238A522E4C6C4FF99D8FD0464F3AC8E21DE4E8A5D2A50144C006288B01D4242444C21DF8C1BF120B30F0932D';
wwv_flow_imp.g_varchar2_table(3031) := '4429897DD8A43421A7ACAA6D65CF28B222F3B6A264C65DDAE6E7DA420330D402B1A442285470051F430D12CBF324444EEAAD651442190040F4AA44FC2504F96A4828D0C422256E421C02795DC1EBBDDE4A746F2086EF44D8F0A15283F8D2C4C0BE2EDE50';
wwv_flow_imp.g_varchar2_table(3032) := '053E2504B0A4822B40C203CCFF583CBEAB5846C0033C000224C11DC0011FDC812194AE2D9C52EE0E256D8922EE945F9B2126EE9851A52CD32DD0AA400C656436F0EEFAAB2774821BBB71057702251C680583C24D86AC07C3051F24441F64929E7E4CE1CA';
wwv_flow_imp.g_varchar2_table(3033) := 'A12DCCE144480056BE84D1F5023880832E7860A2866FCE22F20EBF440F2326DE9CEF10D3C21B2000D382278F62EA2797811F20C11850E8B1A66CB1586870C956C0560A45B02A8705300259CD7149A64832D3FBA1ED6FED72DCF9AB7B150224BC71055370';
wwv_flow_imp.g_varchar2_table(3034) := '213842286442281C56076B063F02801F4C8426E998302444ADAE491CBBC2B5B904658E829EF22D082CA01E0A84CBFAE1214FC432C84239B20408E2F024D704F95E4D255BFF0C26AB832C26018F1A00023040023031053C400624000AC1E3183003FFCEEA';
wwv_flow_imp.g_varchar2_table(3035) := 'B1F2EBB1EA2A1AFF6F2E694A17FB700F9354069562C3CE96D6E86EDC59A8BF8E411904331C5B700D16021F64422A1C5669E67166E898C514C244004836B344138D0230C8F42810831580C00B73204BB03300AC970E4F44F7260438C842228C425197424F';
wwv_flow_imp.g_varchar2_table(3036) := '237545C802BB38B2A346EB7C7E0F1037E2933D9509E033022000056C3507743507F433F35C9717DCC2ACCE2ABF5E6DBF66ED2A130388098D2B5784A60C2C49794BD3FCD6EBC896840D6546AF31C586C222CCF12758F0A721A8238C8123A4C2061F233CD4';
wwv_flow_imp.g_varchar2_table(3037) := '83F564C6F30A4E1FCF44B602002127042751840B80E33882FF4321024029F4822CFC744B187565B7F34A44EB097F0F26078B213CC03E3FC056A3800798800978000A7435042C4F001801FF622DBFE649BF02267085098599149CB16AB40AC4F6C835EE90';
wwv_flow_imp.g_varchar2_table(3038) := 'ADFC91D88439F0111EE15FFE25250073277CC21C8742217C95187C022414422C3C8FDCE0833AD8543EBCB46953C4B5CA442CBCC220CFB4C68C020A248416448240647639B3442F4C442224C438C0826803C07FAB447F2744393AF553438A119D6B7EA983';
wwv_flow_imp.g_varchar2_table(3039) := '2D6C721353C06C9B000C5C786D7B8008700004308F0978429EBC02DD2274D5FA6BC3EA8EAC554A32444332B02A4551C43B2B532EF95D74CFD9DA5237C5E682483B42764302672E0215D0400608011F50FF026243CF3FD4833AC803636F86549E8F79CD84';
wwv_flow_imp.g_varchar2_table(3040) := '9FDA424C0F576C866339AFDE0D4B4381278452B3045237424BACD72A746531B533C3514472A7F69ACCB32D580103C03607CCB66CBF800C888086DB360724803E5771139D757067AD70CBC888B122C785D8C349D40CF9DAF67C98C3E532DA66747A8E4A5F';
wwv_flow_imp.g_varchar2_table(3041) := 'E3413143822380F722E04128D88110644013F038790B849287477AA7F4158BF01F070E4BCF44E9553637CFC4D2790218240218C8014F74A50782A0823BAAEFA0C20F61B23B80020A20C00678000B6838073C40047C75571F3B0C6C004073C12053B96F37';
wwv_flow_imp.g_varchar2_table(3042) := '51420F7701D5822AF0422D6C422AA00333740BC325F7EB34BA722F6CD992E45EFBA508FBFFA523B841313B02BD17821D34811850C2273C010E586B62CFD49237F97A57C427E0042DC8749E0EB26750C3560A0471E29ECFB2E334178ED08E123CF841137F';
wwv_flow_imp.g_varchar2_table(3043) := '7513C336272340026CF50370406DC7AF11804259636DE98E0A12EA4BA9EC819DADD8227C438CBC4E355704F92297FB41B774C7DD2DF8A5B17CE6BC23C222F4811AA80115780124500215B4DABFE3033B98BA7ACBC5AA0BCE81AA010070684CCC61100DB2';
wwv_flow_imp.g_varchar2_table(3044) := 'C6442E4BF800EB5544AD27041810B84A8CBD4B944222AC42689FA009AA51D0392AB75D0FA466D63FD0C31818000544C0BBF26856E37302B8B69C1FFB03A04024507913993542FBAB5F42432CEC811D58C222400106A44197B4A2DEB0FFE90C698D9A3774';
wwv_flow_imp.g_varchar2_table(3045) := '497DDCCE53F730106928A8811B74662188741FB8011F38C2EAF74113E8003122B9D333F9A96346E91DBC770D834A67CC648F68CC726B894E0468A3D7341C787F9FB3D3F50235F4377AF5C232F477F34F4472460DEDC1DEEDAD1B713AEA227C42BE94EC25';
wwv_flow_imp.g_varchar2_table(3046) := '5BEED09A830CE0F37762F509797C047C7C3F73F806BC01D7CBEA6FDB02A5DB02343802BE8B811D14C3277029408412066D180062D0003003000019B386C41A2E64E670624564C8880DD3B8F196B08EC25C21F2D20792A3457C0A39FAD4A913A53E629064';
wwv_flow_imp.g_varchar2_table(3047) := '1022EF5F3E00FFF0B19357CFE6429F3F8106153A94A8505745912655BA94E9D24F4D7F46820367E19B37688282F0E902FF408EA5E0C40110070EDCB69F61C1750B4B4D1C357000A865032AEDE734BA00EE42D5BB976F5FBF499F32FC3B9830547EF9DAB5';
wwv_flow_imp.g_varchar2_table(3048) := '03C00F40BE7FD71020203099800103082C5F8E8CE001050310286C48E2CA562A50B168D91A15CBD63064A9EEBC7820260A061A6216E58E45901831830C7D63EC2DB122C588CC7A6FF4286CD8725055D43C4164920F4A47903E6177E365098799FF1803A8';
wwv_flow_imp.g_varchar2_table(3049) := 'A7935EE1C2A5CDA7571FB45013BD630018716144AF0FA1DBCCB2850BA01BB56E3EA901009C00B7692B3FB90058269BBBE4BA6B1A651E5C4FC209295CE80C27A2A805006198ABD043BE0E4B6CB19A1E9B2C00024ECCCCB2CD228B20010210E0C0841D2229';
wwv_flow_imp.g_varchar2_table(3050) := '2D951B63FF1905185BD0708308042238E004213080220A2343016618DF1642081A88304266A167A88466222B1B82E6A28C340286C38E8001C68D1EBC78C2A4420AE1A30F37ECC0034D3178C0810524E8F967A17FEE210F807E3E642A16003CE953D0A4F8';
wwv_flow_imp.g_varchar2_table(3051) := '5043072100C0E009A66C482229AFB60ACAACB2167A4B3F9FF0F3CFA7FF86A2661ABCA60966A15F9401A0D44F074D55D5A16800008F9F845955D69F4254CC26C79E3991B2CA3263D15703388001063F68492596576CB1051443AA78008104226000810368';
wwv_flow_imp.g_varchar2_table(3052) := '98E184136E8BC5CB8D16F24D2362840106192AC9ADF21987B4C468232F3BBA05185A8CA0E2083120290411341DC9B7A431A8D0A18412BEF3891E3D67FF2DEACF82672D01AA2F762022A81CAA18C527FB260EEAAEBB145C08BFA292092A2EB8B259261959';
wwv_flow_imp.g_varchar2_table(3053) := '3A5E08D552114E593D0608C0E004A0423946E5596B6D0C807BFE414657CA0C3880D71537BB2C80074C30E18D615C4925923192E00000CD22408081030E88005B1AA27024160E3BF4494962C274ED2273A139D7CA74B96C8EC3E6C244A48A28F02869BAEB';
wwv_flow_imp.g_varchar2_table(3054) := 'B2FBC48D2684102283088468C7CE850686A7BC997F022550C205C5E18408FA7214002500E00A2A94170A50C0FF06ECC62CA4B6A1A6F36DF2DA4F9965502D19F1D30B8B157541F9B9A71D770E132FE79D799ECC001835934CB20458F8E1872476308182C9';
wwv_flow_imp.g_varchar2_table(3055) := '0088ECF60330A39A0123718BD996B587FF01261700945C68C98BA4C406006C9E1997FBB209D288392FC91F8612238EC837DF4F28F9245F3CD4A022EF0C18E0419D7DFE0E9C9E9E10F74084D5FB24B528EC853E0070D40DFE00800700A00244A1D83836F7';
wwv_flow_imp.g_varchar2_table(3056) := '13CD658E52940A8A057F1220692C6321D2508607EF522A2D009084500953093DE43AD83106673A4391ED7665BBDC51060122D8C1FF58E493DBC930514210831D16110A8184AB43B9F0046B6E61BDDE20C31600485A2862C1C458C422149EE8446BB846C4';
wwv_flow_imp.g_varchar2_table(3057) := '30090312463082BEDAC712F739820FB421120384A00EF0008E1DF0A8C73D4E87808524408E724421610638982200A0084A70D8283CA0141F840E28FE99540405043A0ECE25833FF1FFE04F7EB1101EDC9192954C553FF0E10E7884071F0CA15D0C65683C';
wwv_flow_imp.g_varchar2_table(3058) := '1A5240062660D1ED1642009F19000025E0810FFB901228E6827C0088DE423A118B5B2C4923C800051F1061084844311486A044243AE1895CA88D6B5BB4851F78700446388212A1E84428D8E7BE429D416F0CD0813A00B08F858C471EF3080FE11260C9F4';
wwv_flow_imp.g_varchar2_table(3059) := '44A1807C2982C37C9204C72DA48143F101C5F2220DBA64E353E238E45B10D929A8404E9D05555D4107D3BAD7C5AE1EB37B21284319811DC2E8012FF000665049BCC950AD044F9082186209896BC622171CD212003AE1872A182235B6149F2D52132B2DCD';
wwv_flow_imp.g_varchar2_table(3060) := '74185A624E1639E4A55CB801075E808448B34909F52D227E7A8B800EFFD8214E36C2E31EFC231C2B11EA172FFC84014FE0535354E01320EC512B4FD34B402BB5B165BCC527A4105006C19A941E2C44135175EB5B9B720F4DE6C3260D75A1AE4EF4C9CB3C';
wwv_flow_imp.g_varchar2_table(3061) := 'C000BAE20C0B449019CA2CC4001100D813D47087583A62A454048023A2830414000005994006307CB22486B8467517C1E94DB9768C3085C20E481043FB28D112F71562116C52431496808108D0001E6B0440E0EE0147B8EE162818E00B10006003E02E04';
wwv_flow_imp.g_varchar2_table(3062) := '082D3083C4F8D20B00C8A217A8FAC936C8B21E31F096BAD5F5895CE1415700E0C3A101F02E8A3E5999078037009C1181097E4299038800095428C31DF84037F7BDA4093828410634A0010A9480035CC02C50382BFF252915A439C8585B168FC1A16340A3';
wwv_flow_imp.g_varchar2_table(3063) := '166A68821A3AB1924F60D311ACF54214A2D0041AC81607EEF81B9E74C213EB52977150B141567DA282E10200147E59452264711FA4586EC435B67151B09B0FC6D835AF2FECF146296A22F18A20063AA4280790E08532A009118878AD0E32205BDF66E004';
wwv_flow_imp.g_varchar2_table(3064) := 'FC6DE50B2871D90EB9A6205282863006CC35669AF418C788452DEA35850FD8A124635C441FEC6007359C016F8B8B000EE0A1D47F90F38D378E6A0D4A0C951FB460283638DC5E644132B80CA828640D0AE57C12493F4F7AB739DEB1437D2CE45D2160782F';
wwv_flow_imp.g_varchar2_table(3065) := 'BC0C0762C0CA00AC17093D5802740AE10744F4A1040CC04006604D658529CC691D2DE97F99446003FF8B8FD7261DC83186A18A4EA8E20C389842B5ECF009F7E5E6255468C212F046033BE3F91FF8134F1B9B4AE94A2261090A534F57F9128C552877406D';
wwv_flow_imp.g_varchar2_table(3066) := '294B5A898232423A52DBED2E213FEAF1BA6C73D7850FC5EB460DC0000AEC2CDF1B784161757004F90961247DE8032220B104069C00D60C6F7806669D01167402215EDA10F49081908CF77220384DF026CE7086192C2F0D33B0C321F470063290210D6438';
wwv_flow_imp.g_varchar2_table(3067) := '031498C00427382102B215023BD6889376C823DBEEF63950081D9438604129A26AE45002A15CA548FA2786F88319E2F973A9AB8A1F55E7073D5E27621EF7F5C7FC2EECBE7595EF08BC400D6378421390D084911442983F7578ACA9DCCA8578FBFF09B9C8';
wwv_flow_imp.g_varchar2_table(3068) := '85CC62658B1DE514A6A0000598C51CAE049779138BD8041400E08429CC800C8490842634210841D081F2749839CD6DEEB7F0B84E1E4E9DBABB835E141F404A524B291518BAD0889FA8FE275B58C81016826210C0E02726D8C3E7715F21ABC35BDE3A6EE1';
wwv_flow_imp.g_varchar2_table(3069) := 'BD7F8CEF076C807652E3811BA8C083265001A47D508948EDC0800FC03DD672FF57090A41C5E965D14BAEF8692432F1F76636F318C5F8442B54D18A43CCC0096470021D5A810A549C821584907CE59D30030CD89C26D7DD391CAF2AF70A46107E827132A0';
wwv_flow_imp.g_varchar2_table(3070) := '30840B0040201590826288A2174AE61584C20A00009E82C2055A600414D0056CC00580C0035560073E10B89220071C671300200DFF00A00FD24009DA490061B029760FEBDCA1A9E06D76FACADE76C53232E001BC8E014440E0D4CE0EFAC04D3AA116AC49';
wwv_flow_imp.g_varchar2_table(3071) := '075E2DCAAAEF65E64E269C677AAC477576A4979A63CCB826161C611354C1F02CE110F6000A9C40125061177681FE588115268FF2F26FFF3200096A8B31AAEDFF3C2F0653850E8222020E703080600784E20A7C021091C2F52205003A60040E1104FC5003';
wwv_flow_imp.g_varchar2_table(3072) := '89C2038700F600C007AAC027AC601217A20C0080020160BAC6003EC6A00CC6002BAAC20E497128FAE114FBA11E34E91EF8A11FE0E8AEC02B865684031020457EA604AAC00BBC00A416A1103EE18842A10F4260FA9630D6AEA504AA2C02C440184A8A7A36';
wwv_flow_imp.g_varchar2_table(3073) := 'E4E2D6E6E2AEF0B3FF8EE15E0A61130E21FF2EE4FD34A10C778115BE310D298F0C6640FF30A0049A001EF66421F061E7F0E19C4AB1C6FCF027404007C0AD28544C03570CB820F1F51ED11F01C012CB400BCAC0F5B6000DB4000D5CAF2017820B1EE706DA';
wwv_flow_imp.g_varchar2_table(3074) := 'C902178202A76A21A8221E317206B34EC7B62EF8F0ADDF72D0322AE3004A400CC6400DFA601110AE1352A11862810A1800EE961000AA0CE25A851298517A8222A708CC4B722A4CBCE418402A0C99000A2CA115F4800EE40F15C0310D5941122A8F1CF50F';
wwv_flow_imp.g_varchar2_table(3075) := 'E28EA0B6EEA41D792E1F0210236F0C054040027400295CA0049300F69480F48A82107D2221018020014010AF0013470800BE2028D0E00DCA4014EF000022E127FF1821120C812B4B5123DD81276E1016C3CB322260DF64E8002E8305C6804D42EA9A8CA5';
wwv_flow_imp.g_varchar2_table(3076) := '134EC00D5FCD6A848006A86C0F9F00B34E0828A9271A5D4A8B80929672410CF6800766C01254C117764115768129D19015E8EFFE2CAF1CF74F0488A0FF1682F37A4E306F4C1181C22B1CA70A2491A07C222F05F10F27F20A9A3313E10300CC4014DFC00C';
wwv_flow_imp.g_varchar2_table(3077) := 'E240282EF227F63228A8C20F1248386390306DB0233D925722C0076DC731AB86ECD424BEAE098A8EC10E0E00D68A11079E40DAEEAB0458C011C28596F4CE192DAE20C6275C807247A40718EC60094E6006CEC01250E11334C11234811008E1299D920E26';
wwv_flow_imp.g_varchar2_table(3078) := 'CFFDCCF104524008E2E16F6E860EC53361264439FF7F2281CCE00D002081B21300AE332804D10A0011138162457DE245FF80F592E20FFCE027FA000EFAE00FA86248858212580C46E180454B94D276EFEAE48D85FE211AF2EA3C1D336AC2CE32AAE6F8E0';
wwv_flow_imp.g_varchar2_table(3079) := '0B111A2B1742010722400FE1EE0CC4E0FA14A6EEA447EF44937A7C9243DC347A0E14413B610A3080011CF42809010AE8800C34D4FE048115F0AF0D5D86054034E7B012009B94D294C1747C621570E11692C82746E1D07EE24583A2120E6D1434352822A1';
wwv_flow_imp.g_varchar2_table(3080) := '1100132AA6622102D3271CF2711602BD2860516DEC496950B7F8E11FB2E176BCAB4A69C8003C83572A635A384006DC002544CA5862E118F8804CA94FC3AE8506ECCB3F11944DFFEB8462A520FFE6F4406D21C162C10E70E00098C00E2C010ACA71E6FC54';
wwv_flow_imp.g_varchar2_table(3081) := 'F2D6D0F2F26F063E800600260E63D51E4894553F2403D07542DEA01216A21B30675316621CD6E127CCE1B98642028BC2523315004055F5FA325417C2477D022BE0C38F8662817C4202DC75C45CF5757AC231CA01066A35D36C2746302A3290070132E005';
wwv_flow_imp.g_varchar2_table(3082) := '8029B54E83A472A10962724CEDF3006D830660560A7241EFD8B489BCE62744735A93C5EE44AB16CE8006A0E0E5F4EF5B35B468D9B00DB1255DC1635DDB7562DF350A44B43078D45301805E8BA23CE40128F4751CFA7528C601008C4E603F7521FAD227FA';
wwv_flow_imp.g_varchar2_table(3083) := '000018F6275E80B220C02720B6287E40229D16AEC8732162D51C7E201669E776FFD2B33276F53218E001380011520B4748EA132E530F5FEDD5126506688009D0B51084C159FF6B2717625A817267ED6E8AE6F371CB1503CA91F2D6F0FD3EB7CA00264463';
wwv_flow_imp.g_varchar2_table(3084) := 'F51FD8352BE1B14F50E92732C06900E017734F0802CD43E6122D93C001A1EE5101A01A84621DB27628060728542F0EB6F3276C6021565529D08B29AC20147F746ED5A96E47241D8E40C8F6B6B024434B2FE332F4D00F1A2B144E63BAA4ACE66680097413';
wwv_flow_imp.g_varchar2_table(3085) := '724F6009B485964E28293077476C211768618A482A16444EE6CA91FD2AAF4F2F4F373FE05F84200EFF417575223811A67951EA2718F0E7F63055B8020922670389C271CAA07703651516221B02AA1E7E82E802323E5C00BDFF24E06D17A26D0160030000';
wwv_flow_imp.g_varchar2_table(3086) := 'BD0229F494331401C00DCA362918B054A917855CD51DDCA19346441DAA201677B0B022409572475AC6D400DCC013AA88253A0112742004F6664C23000AF4C00900207D5BC50E84E1189205418B0234E7746769C17EF1778A3A8148D2F7FDFED7FD021874';
wwv_flow_imp.g_varchar2_table(3087) := '5FAD048CA0B6F6017F80532B6505AAEC4828B20300F2288789E20F6A98123331139B5309E6034501209016C202357128D6160018388517422B4C0004221928A6933BF1A03B9522FC00D992762F1F5E75211C431D9480EB60486A1E00D6001748240A3322';
wwv_flow_imp.g_varchar2_table(3088) := 'A007EE20127E0A123281B422E0033273FFC8C05B6700E6D25720BC7847047428303759C8F88C716411AC8609FF5CAE4F57EEF2F28F015C6DFFE4988E0FF88E0B06AAE40EA51C0197AA6911421928A6003B93029D03712E17624617C20425A705E2991123';
wwv_flow_imp.g_varchar2_table(3089) := '1600248085EDB9AB562C1061B42AE0E00EA8020DD0E00BEA7221D460218C809D5E102832A19C45D9EA68B027621588330D687C2696A526323220058E20B1DAAE1322810FB8A006304003A4ECD5DC0F03C860F1A6A01344CB98D91429C65899EFD78C63C1';
wwv_flow_imp.g_varchar2_table(3090) := '584281161021CA3E600670809A674E3731E000DC50089AC0C3C4A9DA1258A9020800A045810080057CC20FC2D927901400D62A516ED75DC3B382BD420B7A7721E2609097C22D2F919D8702B88C2007FA4809AC4009A23346575093057A0C1ED9273C79A1';
wwv_flow_imp.g_varchar2_table(3091) := 'FF85A2A11DFA8EC89331269A0B68B576608401A8380344400608CE0DE0C00F6ED90FEC2009A238BF7879FF30C009AA45F19CA0066A011A448B9600C0668722560C945A938516509B994F830F0EC09ACDB57FFB1774897AFF4E000784800AE8F826F62181';
wwv_flow_imp.g_varchar2_table(3092) := '5765033C609200A00C7E35282671B2644B03FA3A29B6E04589C1E80000AC1C752154EF0F30750281829D7134AC83A208F2B20A34D1121762F90060097E4008F43AB92BE949E3AD30ADEE1FD4A10C063B4B8184027A870BF0800FDCA00CF0A0C9B6C3085E';
wwv_flow_imp.g_varchar2_table(3093) := '00055E8007382004F66F689D0098D3C009564015482A6771562832B75969FA7E69C11562E18962810FA6866A2CFB0378996A88FA03B0E550FF90A00A70AE8E955A1EEC8170F840141742AA7B60B21CFA0F6AC1075C4007D0322828706A7F021770C15430';
wwv_flow_imp.g_varchar2_table(3094) := 'E52DA401747ED7B98322210FB22DC700AD17020DAE603ADFE99DDE120DA6EAAE17820AA8602190803E1065281EB8C5D01B712A96BD7F780C304386BE373D63970578C008EE201332811218610C6EA0077880CD7B400744E0047A1A749D40E50E5C050BE1';
wwv_flow_imp.g_varchar2_table(3095) := '18EEEE406FD64DE7D44D6976D1610AB5537B8A8CC50F42205A1820DFAAC69A5BFBD56AA007B6DC0892ECC46F224F545C6590540A922282937221F4A0495DFC9E7F8291854E28D6200ED62081006121ACB65B4A06417C8272AAB37771142BF05910CF3BEA';
wwv_flow_imp.g_varchar2_table(3096) := '0060C5DA299265DC3B8329CCFF5767F7D6BB1EDA9B1DC6A056ADFDDAFD2A3D45E0078E40C984BB0C84FB0894676A82D9090E403767E0138A2115EC6E669B48999365216C767A9AC87E1DDDD12D3C696EFA46AA2815FA60BCB0FDDAAB4604D85C0750A00A';
wwv_flow_imp.g_varchar2_table(3097) := 'F007C5777BD453C661B860938702AADC2F511615180E266149559085E2C70D82830136286E61152615007C1C00A2411AC2E1AC3446DE5FE1163EBE2872DD270436283A012A68C1D9C59C30A55D0EEFC116FEF99FDFE09FF1E09FFD800FFCE0E88BFE9FDD';
wwv_flow_imp.g_varchar2_table(3098) := '0000E0A010C02FA7872113F860983EC1173BC1241641150E0E1AB8811BB2E11BFE23E501E0EBBB211B521EEC0140ECBBE11BC6FE1BB2412EDCFEEDBD1E1BB2011BEC1E1BFF6E01128E9E0FE0800FE0EB0E00BF4B2101FCE03C1284C14EF007C4B26B6600';
wwv_flow_imp.g_varchar2_table(3099) := '1A0018812880E1AA4301000AAF0B37010F4221E5B5A783D37EECC55EEA867729EA018483622B17421F505F1F4E5FF585622B593F29F481F47DE2F57D42444DFF14715E94ED16A2B3AEEA16E3260E38F8857FF883FF2684C24E4C7F2170FF4E807F42A2F6';
wwv_flow_imp.g_varchar2_table(3100) := '27ECE41FFA81F8A9BFF86B3F1FD481E1D5894F8ADFF4A53F0063754FF864F90570F48B573C64DF43567C1E880284CD9F1EE8018ED23FF76D0C155D7115C91F1F728B1EDEE81E0082DEBD81F7E4D13B08E0203D7900E4DD03B06FE03E00051F0298676F9E';
wwv_flow_imp.g_varchar2_table(3101) := '468CF5F2F1E3D7EFE3BF7DFF3EF60300E064CA7E2CF7B9E4FFA7EFA3BE98F9EC01B067EF1F4E9D38EDC5CBB8715EBC7AF4826AC459CF1E4B9400F8A9936793A9D4A954AB5ABD8A35ABD6AD5CBB7AFD0A36ACD4992AC5762D7B551F00B566DBBA7D0B37AE';
wwv_flow_imp.g_varchar2_table(3102) := 'DCB95B3FDAA5E7CE9D45AD2347BAFC0B38B055962165EA23AC323161A9FFA63646BCB471639425253365C9AF69657E9B2B57CDF7B41EDDD1A44B9B3E8D3AB5EAD5AC5BBB6E8AD26E3E7AEDF47EEC9AD96EE07DB767CE4C397125E4C589A5A2B53A99EB52';
wwv_flow_imp.g_varchar2_table(3103) := '9488C3DE6307EF5EBED7D4AB5BBF8E3DBBF6EDD5EDF2AB577BBA549B36F991D7ECD21E3FC04DBDAFF5DD9E39F1E1CB530F0F9B0FBA74EEFCFBFBFF0F6080029AE51D3FB4B9C3D9543F6576534F3C99B7FF8F3D2EB5671700F95CE8D155F4D587DA521C7A';
wwv_flow_imp.g_varchar2_table(3104) := '955F74E20D486289269E88628A047A574F5E2302F04F8C32CE48A38C2FC9F61186199E74DB728B09775A591E1ED75588FBA98864924A2EC9A475051E98CF643A89334D95D554334D36D33C330D96C974631E8C29C9132351FDC4780F3D00D473523DDF89';
wwv_flow_imp.g_varchar2_table(3105) := '77D27CAB0D2956881D11D9649E7AEEC9679F4C15089E3B51EAF4CF3AB7DC82CB3089BEF2CA2DC4E0F2CB2FB8E092136532B214E39932561552732BCD09E455B77DA65F3E78FA896AAAAAAEBA9D77077246E83991CEEACA1756BCE18AA4BF04F34B3CFFE4';
wwv_flow_imp.g_varchar2_table(3106) := '83CF3FA970C0453FE5C480CC3F652400073670DC11430C913C93043BBFD207EA8F565548FF95912FB20A6EB8E28E4B976C81E696133BB7FC32CCBA6FC49004116810130CAFBFACF3D83F444012CD3FA02010C93F49407243255594C34519EAFC81C030FF';
wwv_flow_imp.g_varchar2_table(3107) := 'D083ED571B9E7A5C81168F4AAA88E46ECC71C71E738A588B08A264D339EB427ACB186314328617C32433292EF8FE7366260FD8F20F17B4A0014F12CC4223C53F8C78224F198CBCF1F08C3026D7558D34F6F3D0420D1D244FD5F05C8D35D655572D214853';
wwv_flow_imp.g_varchar2_table(3108) := 'F1031D3E097E4C76D966FBE96A6D1671B60EA4C430734B1FAAA8B2481FC0C42CCB3A27C938CCCD1C50F000C255F8114ED08664924D001CC0904E3FA6DEE7D5C4DFC183523A00A4A38E3A98679E793A9EA7638EE79D8B0E4F47523D07FFCFB767AFCE7AEB';
wwv_flow_imp.g_varchar2_table(3109) := '24B2A8766C850E132931C4A8E2C7269B7C720CCC93AE032B3F5298E0051A49645345246860A3841BC5C211891F5E64130331FFDC13B17292C3037A3AEDB4C38EE6ED64CE0EE6E3631EBAE6E17B6E8E3AA99F0E9DEAAECF4F7FFDD4A52D285385428A0BDC';
wwv_flow_imp.g_varchar2_table(3110) := '766CA28A4DF4A177C490052ECE21A3793CE315E9288739FEA18E6C88031EE5B84637E4618E0A5A2B1BE92849F6B63231C7B1A31CEAB845190C018032D0A2127048C51B52510E5C5D830B6FC8462AD000094F64C313A27B11EAE467BF200A718871815DFE';
wwv_flow_imp.g_varchar2_table(3111) := '24B30E45E18218A048C318366189291C036EB808C63976B23419912946B0921253A633B1C8494E1DE5604726FE60083FFF54611844B00533D6F88C1BC0C11686A0041AE0C00E5A54C1107718A13A44C3941F127190842CE457F0B7977F9C0352C988C62D';
wwv_flow_imp.g_varchar2_table(3112) := 'F6D007DDEDC11BC950E2032B858FC715E64221910E8FDC4491C731E75312DB9053CAD18E54EC2013AEA842388891BC317423135CE0822788600848F8E11FC4E0821FDEE0473505523F862CA6318F492103C54E32ED8054306CF1873D007013D2BC053326';
wwv_flow_imp.g_varchar2_table(3113) := 'D50EBF98846698F1083FBC69218A982E846234E508DD010A38C0010D6520862DDEF0863154A30CBF1C831FFCF0072EDC228DD5784303DB214C94A0EE21A742A6410F5A36238EA850B748C628AA90843A1C829A6948031A80013376F4434259BC14371FA3';
wwv_flow_imp.g_varchar2_table(3114) := 'BF5F8171FF43E5A44F3EEAA1390064031BC870052D5CE10A71C0F416E9100731B2918D6B5C0314C39846389E8139790052A0F143A8518F6A36854A891DC4B8C51D96508529A4E1107560421DA610096610E31C2141497EFEC18E85FC431EF090473BCA0A';
wwv_flow_imp.g_varchar2_table(3115) := '007188231CE56013488833CA92420624F2C05CF8DC519BABA56321DC731F3BFEAA0E77840FB002611051A383D4C42A765CF89B8E48D4358C3248350D53A8C31EF640D93F5C531D8481202DFEE10A9C96E319E110C735C2013766A4E3160EFB2058426820';
wwv_flow_imp.g_varchar2_table(3116) := 'AC01001EEEA02D6D6B4BDBEFE956B7657593610F6BBAC50A77B87C62918B9A122C760C4318B5384445292BCD3AFCA116C1C0C5386204237330C31CD1FF784634702A8E6C94A31CC340ED3F24C84D4FC5254E90F9D4A66654988B7DB32AA80B2E71EF8B5F';
wwv_flow_imp.g_varchar2_table(3117) := '1529B43D101C063062A10AA94E81096960C21E22518C641083B334E3254FB3110E5710E3A5CF20E133FE110E086723BDDA6A0D7BB522BFFA0231BF242E3177F0971BCEA80318FF2D462410A10A44C0B813B5701431D641167A88431E3F6DC7309E41C668';
wwv_flow_imp.g_varchar2_table(3118) := 'D0A21A6A75454DC5E1C1F6BAE6C359093174EC6BE2284BF93A80CA8B61FF018F955E031BDCC8F037B45C8D6B84F93D60E4266734D50FA2AC491EDE81DC923BEC15114F79CE746E0DA06AF35B94E8831EF5E8F39EFB4C147AF846532549718162E3A34FC1';
wwv_flow_imp.g_varchar2_table(3119) := '794E8BE64A7DEB0CE9489B06C555F18DFFA52F4D68F940AEA0D9613258E42CE9508BBA2DC61DD96B7FE4A194A89AD39D0E9557AEF7E451CB7AD6F8C1ABFCB03B980EC7C9355E83CDA93FB4955F1193D6C42EB6A8683B620D35FA35ACC68A925F0D3678B0';
wwv_flow_imp.g_varchar2_table(3120) := 'C5D8D4A6763EF0BA97B32CDBCE2AC93308D5DBB4104DBBDAE49E753FAE969966877453DFBE4FA23BCA2931C907BB91699AD206A32177C843DDE5EEB7BFBDF2D780071C007F45093B50B2DBABB4232B0B9FCBC1FF0DF18863857257A1B854C83A5BCA693C';
wwv_flow_imp.g_varchar2_table(3121) := 'E356292B43AA8256AC7CBC215919394A4CCE148B4B7CE52B170F41B2EDD5987F5147349FCA740662959BE7632F37C739451E42F39A7FD14241D75138598E7489E3E3E530B70A3EF01A415F819AE5E952AFFAD3AF8E75A8A384EA59EFBAD6936E95800000';
wwv_flow_imp.g_varchar2_table(3122) := '21F904050A0000002C4F0087008D01DE000008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C481122BF8A18336ADCC8B1A3C78F20438A1C499221BC922853AA5CC9B2A5CB9730E5D10350AF9EC0993073A6DC37AFA6CE9F40830A7DD80F80BC';
wwv_flow_imp.g_varchar2_table(3123) := '7BF7FAFD03F0AFA8D3A15033E6E3E72EAAD5AB5855CAAB778F5FBFAFFCC2661DDB901EBD9364D3AA5DABB02B0078F7EA5D64CBB6E8C07FFBE4C9AB4AB7AFDFB117E1C9142BB0A9DDBF42C11ECE0BAF1DE2C7907F0676272FDF54815FBF468699B9334179';
wwv_flow_imp.g_varchar2_table(3124) := 'F0D86D1E4DBAE44577EEE0E9CB37D033C1B904351F665A5073EDD6B311DBED9CF97368B4A5830BCF783AF5EAB9AE055EFCB79469EFA700F8DD03802F9FDB7CFD2C0F9C9E3C32EFDCF0420FFFF7CB60C6120050C6732C0E6F2AF2DE04EF894BA76F1F807D';
wwv_flow_imp.g_varchar2_table(3125) := 'FDECE75ECA3CF6D2B9FF7597126C0ACDE55541B089F51E7C1781C60E70EA01F58106186890900E1172E4166AAAC5A654730285A3CA197684B3CF89F0D1060F32F70CC3CC33E95C93CD3FD95CF38F3A9E6492CE3F07E686123F9761F65A516101E95E7496';
wwv_flow_imp.g_varchar2_table(3126) := '1146206FCABDF55B86401DC0D0094C0C840394146D981A6BB8F5C7D4377B4C91461A9FB0B3CF3FF818F6553EFF88F303301CD8F2C3305E3CF08F1F65A8C341125CD8E8958F22A578108800082A2453CC25BA1493D139291A00D361F992945202F0C10706';
wwv_flow_imp.g_varchar2_table(3127) := '3150D0959246C41E9798A5488C2AB590BAC83B4DFD99199BE21861832BFD10FF31CC1B096462C81D7E7C918E2B33AA8AD2AAF59845934F7A9965535C3E094B935132D1532C3DF5B0E65A60E2750A13A500546AED4793B5E7A197FF60A34A27AAA8024939';
wwv_flow_imp.g_varchar2_table(3128) := '282A95193FFF94E30102B600206B199E94B1C31F6564F24C007EF068A847BC51A50E00E608547039E69483703AE9A8E3F0C0063B0C00C2089B634E3AE6A8C38E3C7F0E44EDA3DBB6842D43E50D140A340010030D33003C13727CDDEAE361663297534BA9';
wwv_flow_imp.g_varchar2_table(3129) := 'A49AB98F3E01FF13CE119E50700D11C448714B36FC0E13002D4AF891DD772075968F3BEA142C10C2EEB0634E6AEA08867155EE9C45F5C655B79371D5F4B4538E3AF230E8E8CB2CA1A00101038D2C9094180090F7798B08FF440C41C8C0ED31001C825A68';
wwv_flow_imp.g_varchar2_table(3130) := '67FAE8C38E3737D7428E3C27F22CF53FE9C0A18F1F8618924D26CCFC03872700646243153362675BA05FD153B539EDD8E249399BDB528E2BA054437B38EADC72CD309EA4624B38E278728D3AB6A893CD33C113A3703B6E8707B2E028556A610D061C40F7';
wwv_flow_imp.g_varchar2_table(3131) := '409A22140D0081432F905BF01837F357FADCA3CF378DA703B99AFD1C58A8A2AFDD541800A617D59C80187DF58F3C0ACB034A1986604426BE708748288116AEE0021AFC908E0470211B3F88041C1001004AA0010001C88427BCF0064644E362EA988A5D3E';
wwv_flow_imp.g_varchar2_table(3132) := 'E63D9568AB213328C8DFFCE6BDA284CF5B85D15F3F78D614F4D5A218E938117E18F58F7BFC831E48094B51FF66920FB31CA5630521944632F30F78284C1D568011172051063F80420991704519FE808C54940100E280033232510538F4C30F7EB04215C6';
wwv_flow_imp.g_varchar2_table(3133) := 'F087481C211C165307123F060F4095F02301B81E051A820448000319C3B86393387438A77CE54CFD084727FAD007482C6211C73013FB3E84177EECC332F9A8095290423FAE58A72B1721D2BF2A921978A4A31CEE7883F0CA1009D265A30AE9184612AA70';
wwv_flow_imp.g_varchar2_table(3134) := '8B2A70010699B8C32D2231863284839565B04500CA000F3854411DE588CE6102230FD1C84C9022A15B1E092025025CCF203500C01808020D64B80C7AE0DBD27778A68E50D8C10B5510833ABD70063F0CA36D94845F6BEE323F81D80444F63BD4463253FF';
wwv_flow_imp.g_varchar2_table(3135) := '8FAAA5231C6E78C3355C978F5FC201149E188614DE508E54F82113D100852D4031864A84030EEA30C443CB400B75A4031EEE6B94609C094D9504A021AA00402005A9A5933C2771EA280415D429062F78A1A636AD422A24A7BF7FD4A31BE1A04738C2D1A6';
wwv_flow_imp.g_varchar2_table(3136) := '6BD0831DD960073BDC918D72502EA9EA384B39862A0F252EB11FAAB39AC30E960E76346C601ACB18C6182631AF4E8C61715447D84E47C2920E25152B0506008471C76E15B250FAF80734BC30865EFA759B62004015DC908EF6B58F5DE1A0053668718B61';
wwv_flow_imp.g_varchar2_table(3137) := '740300D948C7EFC4C10C660CE316E220C630DA918AA122C316B4B0C7E9F699BAF00944341A6B473BC2A75A76688C1DED78543B50D35AA5FFAA23B6ED88568A984952B70A051874A56B095B5A48B0FC23157CF54219EEE0863EDCE18B635863382C79227B';
wwv_flow_imp.g_varchar2_table(3138) := 'B44B77C340C635CCE10A64C80319E2604734220B8FC6BA421DC460C635C4218E5ED991949D299262BEC3C449162A2C4A4C0E6F01F04CDFBEE40E02012ECA542AC84FF1662A5E54A317B8B0E0BE0AB697A5F3CA45CCE1097388A3BBE600069BFE618B6A64';
wwv_flow_imp.g_varchar2_table(3139) := '231A53BDC633D4F18F5BA42313E1E846340CF311A8BD972176D4EF5B9AC95FFFC22412B110C6316C910BC095903D776D5F415D018937B8E10E77800392DDE0064F0083C4406ADF53DB84B0680003B3CF188638BA818D5410831ECC70453898410F6288C3';
wwv_flow_imp.g_varchar2_table(3140) := '1C441D2D69F1179118EF76FFC6BDB5314BE43A9078B9D585E2E44DE2FA718FBD98257C4A3D4ABAFE640FA6248520927B1F7530438FBC3E85C5511B254764ECBC42C9F925B118C60ADD6AE080C5B39EF73993A89DF39C7529DA2E8B724E9170F317A88994';
wwv_flow_imp.g_varchar2_table(3141) := 'C6FDBDB4AC555294C2758639A516880E75589844C966228439DC63284DE317CFFAD81DE9347D0BB26BBCCC4F4D9676487F0ECB6ADDBCD97910427649E26567E1DEB1A5F5FB107C16831751F76751E336B64164A3EEAC10DB9991D236496201003B739A70';
wwv_flow_imp.g_varchar2_table(3142) := '795E76AF3D74694A574BDE25A1C5A595ED6A8017D736FB8DB5C143426FFF12BC3B5E0A959C5DDDD68587A4C703C7777BE83B9B880BDBC61487738D2D0E127B97D43291FF22A4BE49FEEE91935C24F1BA45BD57FA32D66847E3075733C0433E5297BFBC23';
wwv_flow_imp.g_varchar2_table(3143) := '760EE42DE80A8C4D6F0B935CE250520ABE709E3FE9E71E01ADC90120576260A3E6981488CA99DEF46BFF1BEA1F61AC5C655E42EB683D35396FF7C4199570B08B84E6DE333BCE39AE76DFF2BC99D976BBDEE947BFA4A37DE55D9F96C815BE77B7677DEEDF';
wwv_flow_imp.g_varchar2_table(3144) := '598A0F1B65E99E02492C9A810DB5A523C4ECC4E52B5CA9C73F8A1896A96C5E2E75D789D39F5778B703A9EF6777E9BA98B3E1AE2549B7FC70D60FE9A1147AC45E3A86C5F55D08B59C26116A37C11E4BCB095FFA9FA33CF54BD71F52FF81E66C545551D339';
wwv_flow_imp.g_varchar2_table(3145) := '7161D4D18DFB2D255A32624E6499110E78800212B7A05CFF3752010A9F1922BC94B0C53F9E110976F4502DFE7E54BC8B0FF69B2BBD373ECB048D5E178E5430431D99E054C3100986A00EA0C00CA97004ED700D9E200FCF5047EC100972550F9E100E86D0';
wwv_flow_imp.g_varchar2_table(3146) := '39E9E009E5670BC3904C9B130D91B065A0F00C12C514B49716F1477FA527775B2765E23006A9800639020A6F000F869023CC9009001009E5700B70900A91100E7E0000B4100DEAA014E620738945239D230FA9900FEA900A4C910AD5300CC7D50EF2E00A';
wwv_flow_imp.g_varchar2_table(3147) := 'CFB062B4800FED8382D7066B2AA877F6F7774C140E7F900EB4A081A0107E5C0051A9F05894800CA07007B4600BE25005BCC21CECD20DEA2766FF100D7F730D026759FF300C1A537EA09084F2200EB7FF9085270886EC9670F3378624C71A40766BDDA07F';
wwv_flow_imp.g_varchar2_table(3148) := 'D9403BA0E00AFF000AE7670E0114099EE00970400C7F6081A0C00E9E708434F20CEC000AEC920D81E30ADDD00FA9D00ED16045E5000A7E700BB6E007AE200E99E0079D1324C2576A6D67892F6773D8A171C9F715F8701269335B75440FD7E054E5200E82';
wwv_flow_imp.g_varchar2_table(3149) := 'D10DE55014CD740D59530FA9F30FC8500D3CE22CFDC00EFA500E02070FE1900DB7150EFD5423F0A00EE1A07358E11960F136A1E78CBE058DA997733C4220D8B114ACC1623C4210CD61194AD10E9BD715528626F4902887D39001423FC1E76ECC38780269';
wwv_flow_imp.g_varchar2_table(3150) := '7C2967869D112C4887495C7111377719F5201345440F2FC92699A44CEE932AD2F28590FF321D98B8161CE715D8169222599089C71C41D41435D179F7301547B9613DA47806017AD1A64F9BD193FDD073C40794B38674C8575CEB178089820CE1D71C1E37';
wwv_flow_imp.g_varchar2_table(3151) := '13C1830C87088AE5E0093B920A2E136EE3B16C1587950BC782A9917CB51809DBE58AEA300CA990960D730BB7500EF05023EC423BC6930A95200CE4975000E007E2E02FFC3895F44547726971740917C2762391D039D9400B91208CE1E00991208A9FF50C';
wwv_flow_imp.g_varchar2_table(3152) := 'AE600B61710D6F400CE0A50E9FC96195F00FD7B062D1A81E8C22525F5799C8A6951A176E52E60AFE97096F600BB6B04B86900A33920A4F886BCC91099DE59AB4C00FAE9009F4100D7E129074719BCDA89BBB598670716BE680989EFF090A3FE80937789C';
wwv_flow_imp.g_varchar2_table(3153) := '56480BA0900E91C01CAE1009B4200E911084A2480CD53084EE0099D8097F29C89D00779907870FD7700D00A00E20C636E530620FF20FAEA08EE6C02EE2F0803E3323EAF00C33110DE27057B6C97620E99F59897ABD39944CF97B34E20AF280196C221029';
wwv_flow_imp.g_varchar2_table(3154) := 'AA7987328D11C2A15659891EEA5F87676B01032DA0745F978113076924B4D70F3671115EB179F3C419BF02A3B939A37256A3F9766B3E15657DC725585528F9D01E36677B406479951799A4717771A6A4BE3517A062A3F5955DD6D51488F21F84920DE120';
wwv_flow_imp.g_varchar2_table(3155) := '10E9D039CA2196CAC4A5922978310AA6977699F56318A9E009C4C00EE5600B82619DE1A08ED9300CE1400CFBB035D7FF700B66A30FB7800D6DC20C66E37E6C361A5ECA5F328AA782C4A41B675CD9E009CC610E8C900AAE400B6810098C1009C2F0069150';
wwv_flow_imp.g_varchar2_table(3156) := '406B480B7EC0659E700BA2990D059409C84054BEB2A1CD23869C3A9098546BF9C62ED7507EFF1066A1F30AEA550DD1D03B1948619E900DC2C02BA0D09ED9000AA9E09ABEF6716F19860FB29FC19A2136371064CA2EF5900923580EA628701C480CF19209';
wwv_flow_imp.g_varchar2_table(3157) := 'DD1084998062D5F007AE430BF53A0DF46A0BD58744DF6AA77837AE36469795B12EEC220FB6D039E2400BAAF330C82498A85430C4D37DB4910DFD200E66B336ECF3A25EF720042BAC7E77A23DC387F224A709811CF404B0BEBA4C6F13B26EC5A407FB1D49';
wwv_flow_imp.g_varchar2_table(3158) := '191DD3FF5124380B1D90128D45811D12164A748AA9E0EA73302B38623AB269F773C3371209F00345BB16C7876F24CB7506B7B41E31044AC00500F004170400A1D0082508005CF0454F3B146538B5B76971FD59B6650791529BB42FD772E2CA10F670266C';
wwv_flow_imp.g_varchar2_table(3159) := '3B164847AC686B6AB5A16E38ABA1128193064120AF41B89C31B4737BB79B1116F82010E1430F69A228FDD123684A1BCE016ACD2144699A1FBCC614FBC02E8D8B9198D17B51891920E22FA0F612F264690EA2B8D043906F7B6B193B3089C22EB3514719D9';
wwv_flow_imp.g_varchar2_table(3160) := '14C834301F82164A711FF771A21E7720FB93A2C9C40E1F520EE960106C127B897B55769AA4AE7B74235B3FEC9232E1F55504031A8D583554A317E5FFD03669590D3BA23654E54447F116D9604AFB60363059449B6723E6200FD7E00A3B025981D47DE500';
wwv_flow_imp.g_varchar2_table(3161) := '93B447BFF79B13A337BD70C39BA881B6D76B62C40098BBEA7FB6B03DC870A8BA930DC0D0393ED37FD5500DE2300DB470C145980DD0800DDC800DDAB53BC4308FEE570F6C9A8EF2B814ED6096FD100DD5800C189A0EDDB03B4E65382D11C002BC2D477B76';
wwv_flow_imp.g_varchar2_table(3162) := '7BBB14C8600E4D3554B6E00ADBC3A65B180DEE206235AC7D08180DD1D00EB8638BEDC00DBBFA0C8094A1D70054C7730FCEA25D852A0ED7301DF5400CD90000953566D6890CD3D0540D79B8D14B7A3BDC29067B70FC700DE1605BB705001F950EBEE355EE';
wwv_flow_imp.g_varchar2_table(3163) := '20C59440C1EA333CE5700D4B6556EDFFF0A66C130ED0C00ED0003AD8D08D203530C430BF16E37EE91038EE10A1F2100E4A1C0ECF5055A287A4203BC7740CA2057C70926B10C603314C013B8F22BA02D1B8A93B1029663CFF50681E176DA8862097FB5EAB';
wwv_flow_imp.g_varchar2_table(3164) := '863A718CCAD602BB05AC2AAB7219623AA47CF88FB4B1265DC19B1256B7A1762656651F9E8B17565518DAACCD0BB114761B69C56CCC586224F687851C97B2CA2864AC66B84CC10FF3700EF45C10E39012F47C0EF1C0782DF6B1E67CCC4917AE7407126722';
wwv_flow_imp.g_varchar2_table(3165) := '0B0DA0000EA00005B0D00500000AADD000D0D00581D00A7010154DD10251D10EADD10AD0D124A00BC04BCE2E3B5279F7CFE3617F024DB51B515DA4200003F0D20231000221D10BFF41D313F1D21F1DD2FDCC562F6BD2E48AD2753449CF8B10D5B50A02E0';
wwv_flow_imp.g_varchar2_table(3166) := '002FDDD11D3DD3360DD30421D30421D12F3D000C7D1053DD00BAE06C223D3856E9D31152A3E12AD421911FF660D40E700105D0D11770010EBDD00321D3543DD3112D100220D772DDD075CDD40520000580D320ADCDBD9C3F437B955E0D19D901D641ADD2';
wwv_flow_imp.g_varchar2_table(3167) := '1AC1D2079DD605D00690DD0617C0D793EDD67D4DD3712DD1790D000350D72F8DD779BDD0548DD5D635D6FE5CD827ADCA299DB61D515DA5D0D80570016D20000230077390D60AD0060D2DD90A50D79B5DD10BF0080B50D12E3DDCB47D0161B00017D00033';
wwv_flow_imp.g_varchar2_table(3168) := 'FDD2A4DDCDD03BD2D28BDAA311B559534780D7DAFB100FA490D0BDFF7D010B70DCB3ED0000F00802F108739005E93D070030071790050D300B73600A79A0DE79300E73C0060090050020DFEE3D000AE0DCBA100FD09D116B4BDD5DAAA229B7DA979A112C';
wwv_flow_imp.g_varchar2_table(3169) := '7DD40B7D018F70010E60DB47DD000B600AE8FD08A600D2B3300B200D00E40D008100D2BA200AB3D0056C00D2A670099CA00BFC1DE005E00003CE23054E11C3B7A908FE17B0FB1BEB4CD067D2D20E70D90B70098AF0088A80D00E40E30010068FA00B6D00';
wwv_flow_imp.g_varchar2_table(3170) := '06E62D102440E379600A98A00B790006BA300800A00BB3000B5AFEE40E3DDABA600FD6656E9376DA3B1E1C72F71B421DB4137122FF20E46E2D0017D0DB6120D9E4DD060BE0006120E16150100DAD086120007BFFCED67300D9ED1D067B3EE82E3D00A49D';
wwv_flow_imp.g_varchar2_table(3171) := 'E6DCBCE63C7DA76D0E19621A29709EDD1CD194A4D0007B9DD4080D00B55DD9514DD70791D79B6DEAAE6EEAB41DE00340E304AEE6963ED2C09AE99111B59DAED80EBE0FF6500A10DED700DEDB979DD600C0D60601D7193D10CAFED49C0DE0655E0093CECD';
wwv_flow_imp.g_varchar2_table(3172) := '37DE661F5BD2BACEE39CBEA03FEE1127C2DDA23ED5508D10AD1ED31571D5B350EB957EEB5C3DDDDBEE1737D7EBAC9D6CF1F0DA0E70D4E7AEEA47FDEA03A1EF05B1EF0391EFF96EEA0A50EDD8DC11561BEF8F31EFDEEEEB12E171F9100FE3300E216E1015';
wwv_flow_imp.g_varchar2_table(3173) := '0F00164F10F7FCE5F7AC0BE7F0E5E7F0F1192F10190FD2165FF1E3700ECC616EE36CE083CDF088FF81C33EFEED1FA10FF840E04AB4CBF1B0CFFB8C28FD600FF340E00050DA464FF4456F0F3DAFF41EA7F318F9F2D1FDEE722CF33CFE16AB35D02131B917';
wwv_flow_imp.g_varchar2_table(3174) := '81E6BBCC0FA58D105E3F3FD6F5F544C21463BFCB685F685CAF10653F11695B69543F1A8DA17AF5DECF886269ADCC7872BE6E3A776E0991B80202F7711F19814CF70DDE2980DF1D823FF888B15A0C7EF858D2F6811BBD8E41D88C4F1694211892BBBA2F33';
wwv_flow_imp.g_varchar2_table(3175) := '6D1491F74581858E71F990A15A3821107A71A22FC7BDAE8C1AA4FF177171A220AB5AB4AF5A11A1540361FB09A154BC3FF52951FB0541FB674710AE2F11D878FAAF4F17E6C8679D5413CE6F13066116D23F13CFCF159C7413D0AF499152FD23FF01FD03E1';
wwv_flow_imp.g_varchar2_table(3176) := 'FD390929C3F2FC00004404E1FC3341FD34B149DF9394387C24C98F1848810FB65C13F370FFF89FFF6DC1FEE4BF1D0071EF9E3E0005EF154458501FC1840D1DE6731831E14181F50C52A408A09EBD8D1D2D3A14781100BE82F84802C80751E24A962D5DBE';
wwv_flow_imp.g_varchar2_table(3177) := '841953E64C9A356DDEC49953263E7B3D7DFEB497B027CCA100162ED4D950A54C8121533E0D39D2E4547EFC1AEEC39A755F52AE5DBD7E051B56EC5898267FEEB387162D4CAB059716AC7A942159964F2156C5EBD66EBEAA291D6AC54A57F060C2850D1F56';
wwv_flow_imp.g_varchar2_table(3178) := '8A90A7C9A6F7F6393E58AF313D79940138CE4A99DE3D799C1FCB6D4AB8B1DEBDF9F435BEB759A0EA8397015096175BB663C4B5FF6DDFC69DDB613D7CFFFAEDF3BDEF37F07FC58D1FBF9AF55FC17F5817F683AEAFEAE0B6D00154ED5795A73DC6F902330F';
wwv_flow_imp.g_varchar2_table(3179) := '9C15E171E4AFB7EA469F5EFDFA98ED00B883AFAE5CB970F4C589ABCF0D1B34FEFD1372E306000001F8A6C06C022C279D74CC31078072CC2927A1072784B0420A2FB430C30B1D6CA8410F0168703E11C311B02068008006C000F7E386BFFDA07986447600';
wwv_flow_imp.g_varchar2_table(3180) := '70AF9D19D971873D1D77E4F1B67EFE092795586211B29858728184070C1E608081039E849281103EC0618A25749802891AC4A0A28A58A089069B68A2B906806A0A8A06B131A379E6996498416618608011A616210040628A26A6A0620A3F01D02150415F';
wwv_flow_imp.g_varchar2_table(3181) := '1081052E22EC07FF00DFF8B927D11E1F8534529C3A7B8B9F7FB28985965C7289C5166062A922040C46D58081510168128015A610C38B334A5881870F9610438C50F60B339A33CFBCA6D769002813A669B099A6D76C102AD3D7827E6DA8D76AAA19F39938';
wwv_flow_imp.g_varchar2_table(3182) := '9141069A631CB123DB5AFDEC61896E79D0A1072478E8A15C0DA2690E00EB3693B45D77DF75C81D78E0A1673C4531B565D34D8F592484279B0CA1490C5638018081C7E8834F004E98020726AE84A43F31D77CB69A60992DF6D76313DA18806CD82C339B6B';
wwv_flow_imp.g_varchar2_table(3183) := '361EF91A66974DD64C007485961862A8E5CF17555449180A1D6858A1861A70A821840834D820E80D1E78E69F931285479E1CE165BA691EE5A537214B31D534FF976372F1640A27A1FCE083107838810651317898092F9800C0CA2698E0C10E61FC5B5357';
wwv_flow_imp.g_varchar2_table(3184) := '60813539A25F339E3B9B6798D958E484EA9EC6E267131AF3D9BD5F46069D6354F9A4154296409B861342C8E0841234882082261140C080A2552AAE1D78DC73BA74D37383BA5E84A6CE74D32311C10103280F60E004DB43309876000EA0E18C259698E2E1';
wwv_flow_imp.g_varchar2_table(3185) := '2880AFC53F6A9921866594ABC1BB6E8F9F1F3670664AF65864EA2D2E687036572E3C1AE49121C65A5454598490269C3861865119D0FC00031830C000F70360E61FD0FF117DC6D3F7E7BF3078DC9187BD2ED53AD7D96154B33B00003E90AADDE96E063A88';
wwv_flow_imp.g_varchar2_table(3186) := '020D987082259C01003828C4DBF80300663083FF7B66BAC699B297108C056B64DE1B19B0FC164210328F85CF4053DC0E47AD63C4021596D8C31998F001DB750D034EDADA930870800020C37EC601C0BCFAB7442686851DA383C77214551CAA0D29164912';
wwv_flow_imp.g_varchar2_table(3187) := '5510A194100614A47652FAC0C242003C1C88E118FC2106073BC80C9689F06F737B23008A353DEB91AC8570141CF7D8E43D97518B1CB1D8C421D2E0840860A072923BE0EC864844232E851FF28087FE9A38494AD6E489ED58DA1407A8295BA4420C1AC840';
wwv_flow_imp.g_varchar2_table(3188) := '931639C421A2AA8B5DC4000D64F7C319CC8A0734588406C1F48C3401E019D00AA11B8155AC82F42D64D740C6997839B732616C65798C569BF6C60C6854EB139BB00414D497B9429A124AA4FF7C5211EDB7BAD890AE92DF04274B2E9949756D9216A18084';
wwv_flow_imp.g_varchar2_table(3189) := '113277CD0310A02006C0000E34B030DA352981B5A382EF0000090D16648DCCA0659ACE54CB6591B098BD02E6AF8285906285708F300C16B4BC47CB3522831C90D0C321F4E0847A3280064DC0C0EE0830526C6AD391DD0C674A558A907132A79C5403851A';
wwv_flow_imp.g_varchar2_table(3190) := 'AA20841244A09D424CE0EE34F7011E80F45F2738C007AC8483088EE118C38006523BE8CF368DA959CCB31BB09EE1BC86226F18C300C0306E310C62DC528F6D02E8F7C2778C8D4A620F2105C00C989043D95D73A48C94A25B20E91E47ADD4AEFDE34776AC';
wwv_flow_imp.g_varchar2_table(3191) := 'F2BF2832E747981A5227DC10851228B29DEE7C6B0D785083790635761F28ECFF054FD08450084318C3001F42005AB8C1C5446ECB63D35261C8415A726F6F6FEAE0CB86F1364B3861138498C101303003DA0E9276420C40368DA88F44F1231F49F3E65D85';
wwv_flow_imp.g_varchar2_table(3192) := 'BBBFBC40F1387FB52225DCB004212EB29D080900AA0C5902206E4DBAB68B422784312D647410860135932EDDB8D082048B4CC79AC6AFC8E4C634B5094D145D661FC3570C4B58421375A02D009C3048279021B6CD2522018AD6A8EBDC635E33AAEB70150C';
wwv_flow_imp.g_varchar2_table(3193) := '2FBCEC5574C71DA015ED80009C1A4073061029499BF481083430A7A3C28010A8E00864BCADBB1EB4E59A46E8106685ACBC2BDBE50805BA26659AD67BA8FDDE6A3F61894300800C4E98417F0749063230616B04C86D007EFF508E7F3084510756D782A5CC';
wwv_flow_imp.g_varchar2_table(3194) := 'E0E9185793111E12250A0B259F01E07D19FE5793ECD940549D200A7C18C39790014380967670BA74493600AAD0F0224F5763BAC6680B02DE64B8895A30EB431D044D07263861BF74D083248AFC5F2212710CEAF8CE932369902957FA5177A9F283FD8AE5';
wwv_flow_imp.g_varchar2_table(3195) := '5484420C37C5000AD8C700A0CD8E81534AA06C4D65E64E14C20DB6B82AF8D2C841A7C65985BD42E1DD1CCAA667DC821865AA25AFD1E4C1973163B5B5E8431A940D0526CC000A74B0841E88CCD1D965800FE9684E6F0D3CBA285BDADB3AE24B7135AD28E4';
wwv_flow_imp.g_varchar2_table(3196) := '5A31178EB0A96C4BA58179CA8F003F13F59374103031A792063A284421F8600B62701579C4F0201B09EA90FF1422E44C7AF36009A1050C80035C84CA5C6AC0B90A3ECC1E43874C80425A7DFCE3FE369BB63CA44228B06D1D494BF2DB275F8FB8FB5A9072';
wwv_flow_imp.g_varchar2_table(3197) := 'BB624878981D06DA070014448000EFFB19FCEC996A54E1200454188321E2C45597119B8D7046591C81558DE915EB58112D13326CC9C66BB4398DDE33766AE5B4B866671CC886EEEF8F99C0B625204108491047B60B0CE504A3DCEDB751795CEF65C55050';
wwv_flow_imp.g_varchar2_table(3198) := '42081F30F59350B53B2F0380491EEEA2DE9B208429782116B106689F6B0943F176D7E0BD32D3C6D2340DF4967770131F062D5C9E8A54D8428DFF76D95585C10D3B04397D6027F2D88177062A34C1ECE1F807814BFE76DAE3A6C149D4B414239C0A4AA8FF';
wwv_flow_imp.g_varchar2_table(3199) := 'E10436C5E64D118B9046E7F49407E001124230863443A3D86B4CB1DC441842AE02C0F309C15E08217FD0699009796A94F5AC3F9FC6D0AF161AAA982D6D830C0565A7C10E8BE8C318A820041C08011B6A9F7DEDF58F98B85F6739971212DE138374133E92';
wwv_flow_imp.g_varchar2_table(3200) := '1A2900882E77424005749FF7E1810840824E808458B0ACAB22BA0E2A9C110A2163E3AA61F0A08E39968343968AB9065DD91B5C7B86130180134BADAC0286D522865C889DF439012780023BB08442E8844F80044470B52790016E883D6D63BBD6D8BF2304';
wwv_flow_imp.g_varchar2_table(3201) := '8B4CEA3F4BB99700748312909FC33A2C246BA7E88AAE2A2C08F7E922088C803108050AAC40AC72196250BC5DC92533413164D1C06AC006FFBF91A3F0D23E0F7A867E2B31CCFAB3AC0280ADBA85171C86585801DE9901DBB103C6F9845A488563D82E6108';
wwv_flow_imp.g_varchar2_table(3202) := '053F80BD7A20C2496B3B249444AF5842DF00922F0C8523609F29344000183E91CA292FCB000EC8002178822680847CA1136100807E03380C1428952993C1D9985D89888ED940AC0300608806A98B93970138F0B98556DC2A0B04862A102A1A988133F884';
wwv_flow_imp.g_varchar2_table(3203) := '455884503823CBCA053A89052633C2DF82C449D4C6AF282E79892B7B00C058E08312D8B2910A00928A2E4F243E212A8808488242888442B80346A0935C08C3E311B881AB9882122FECCB9E59AC8639EC3757D0BCEA33B63B04BD34B2C0D5CA854E88854F';
wwv_flow_imp.g_varchar2_table(3204) := '888245B0833E2886B7B12CFF6BC9175A48BBB7800FD231C26D04C99A08B74C8BA2FFFB916FE03C3CC000E74247243B47841822F9C1300348022AE8832F8C854EA00560F09439C1AC352AAD3D3B26A86A088BF915377A1685D215F091BA3659337F9B35A9';
wwv_flow_imp.g_varchar2_table(3205) := '1BC331C4AACBB243AC82043B408468E4CA4D71855448BB86C0A4E00AC9B29C899174B095030070CC862F1C0303BC29BD7BC9F7792B0088800D00973B708334B3055BD0146000005AD8C59FF4AE5ACB1E5B3C197F7C16363238A7924A0FE2C558C3438498';
wwv_flow_imp.g_varchar2_table(3206) := '4A3C143D61000664C80544D0AE6340C4ABC90557D0178DF48D44598E76404D788844B364CD885042922C0E72BB9450A085B794C29B1BB3E862000A8800F9B94B247801FF1DF0833E7083589813CF63C5397941168CBEA60A2F120AAF376B195D4916C3C9';
wwv_flow_imp.g_varchar2_table(3207) := 'AA97F127EB5BC8159C4AF2B34000100662008650D8C54D0100D70905AFCC8554803D7BC124046BCDF87C896E54CB7BA14D444000243340772B8821CA00DEB4B90D308224088548D0CBBE9C934C094C5AB0855BF8333984A15A83165D92D05AAA068723A8';
wwv_flow_imp.g_varchar2_table(3208) := '80ECB75674456018C6EDEC4ED1133D64F8142B8A05F20C85503844454CCF50684FD3A41177804FF9A45189A04FB99BCD54C8840C30C700F0511F6D88777B80DEE48031B8033FE0832355CE61F0CBAB721984A096EF4293184288192B8864E82C0FE215D3';
wwv_flow_imp.g_varchar2_table(3209) := 'B2AA57C843ACEA40302D88A9145139198650E8844ED827FF00485300A83B47F884144DD1FB8BB2D37407B2ACD13C858B2AF34684C887D9A4053FB0B91E25A9772A881F959F078004343882324004E36452001892C17C410E3D315B823187C85033C1D281';
wwv_flow_imp.g_varchar2_table(3210) := '5A3113F4A05BF03C5FF3A03F73450EED37119D9354E8833EE0CC34455137A5043CA0044A08854C9886E580D1B1D4D35EDD533E55CB3F0D925838829B731FCE61800750560AC800263100038C004AE8C34EE914C0B48557B8BEACAA3EA95BAAEDD1B38143';
wwv_flow_imp.g_varchar2_table(3211) := '9333C1D22AB5C56841065F7B527F32D5EE4CD5D5C24C61B8833180841D54533975D31355035A0D856C68B25DBDD36EF3D51ABD5197FA076CE03D0EE01C03408008A08086E58087F5000EB0CBFCBCB9FF08300460605006F5BC7C29084FD9C556F4B79529';
wwv_flow_imp.g_varchar2_table(3212) := 'CC2BD595A55299E7642FA41C1362F3B5D1EA2E6A213F0EB540CB5AC554280447A0844F80554C4CD158700431808450B0C6E378CF80D5D3DBE3ABB8FA1183E5032659D807A0000EF00013985A13108188E500677D1F3FB0855818858D3D4F49354E4F7152';
wwv_flow_imp.g_varchar2_table(3213) := '59F32EA11459A6C354C239D963AAD2D002805FE8AEBD594198953A306DD7AD52CE4E58049CDD414A70D34F50032FA00231F80447B803A18D3DE2C01FD40458A3654D4CDBAB3E2D897FB8065770030B4380513481CE858117880118F080AB1581AC555803';
wwv_flow_imp.g_varchar2_table(3214) := 'F002BFA4D6BE44D0499D13533D5B5A82A13761AAD1DA1E2A5DDB29E5207FE2A315F4DDFFBBD5D6997DD75CD03744F8044A8084E3FD043E50031AA0810C28814598D774D8077A60DCA2855C8105D6B8FA536C880525308021A580AB4581D1F580D07DD8D2';
wwv_flow_imp.g_varchar2_table(3215) := '4581ACED1C18888557E894AEBDBE3929083385190845917E9B25CD6AAF142B2D3D134A146BAF16B45BCB0CDE5B10060456443CE85B47700448805344E883E31583E71502072E07AC688EE5800F04FBC8EC2DCBB8C38BDEC8064AD8800848000E7801F3DD';
wwv_flow_imp.g_varchar2_table(3216) := '00CE89DA0D885AA98501144880DDFC83AE855FEBD361C15CD2EDE28F63A80555F0855AD8045500861789B8BD9152804A88EF62626FED205FCCACFA5D48045660C074030070E02D2E843E888211F3D928600137800471D0E0E2D887FF79C15310D6C6A541';
wwv_flow_imp.g_varchar2_table(3217) := '5AD1B98EAAB8874B29030348000A7881137E8082E81C85050008A08007E0001380810DF0BB31A0056AED14EB534E28B5480070863DD8034D90844253851619D380DBDD26262D8450E2DC5DA334923A845848ADC24C6048053E70839B75604458043CB083';
wwv_flow_imp.g_varchar2_table(3218) := 'C13DB35080C828B80326A3870DDE369363E390945CDC8B22BCA807CB3D82A7754902E01C8AE59C0478803BA60000F08040060250E85A970BCC8DA5053901CC8B2C863DC0C1563803F53903614087594B43DFF5A773D62C01E6353819E559BBAAACDA2ACB';
wwv_flow_imp.g_varchar2_table(3219) := 'B20561E80435708356CE373E00003760603EB003E615021E1002D8738CE648E3489287D5ECE54954B938CE875C2606FFDE4C806356C0F8496600488008805A03185D0878818BEDA44CF13CC03C3CE57C9B3E400231380335F884627004007846A273BE4D';
wwv_flow_imp.g_varchar2_table(3220) := '1E530EC2CE152CD5BA5DE73B1CD3523665044E0544780237F8041FD4B79BFD049D3D5C35100324A829219CE3AC38B000FAE0867668D8CC8B7FC88400B0B9731CA9F8116B0C430000E01CA825000A3001684EDD4EF20492B68551C8947986042F58010628';
wwv_flow_imp.g_varchar2_table(3221) := '5CC9B941892C845048AA593B11A6CCCE82186518F2C58458D799C5AA3CBC2C04868423C0832828887D5E847C83539CCDCA2880EA0CB8BF395E8E5DA634ACDEC6370EE6BEF88748080003F8D103F432B136EB8C7E80F889661830024F706B50480549A505';
wwv_flow_imp.g_varchar2_table(3222) := '5F3384FF312883D8B6A9C99A8108E89DDE09053AF1CEBA1D65CC8AE7C23E11662A55688013386957C0546004EE4B295882278802A4D6373EE8835876033EC8372FB8371DE080CE46E8849E51D1D6C6BCD2EAAA1866D4B6E89B6BEDCE79ED85F5B2040800';
wwv_flow_imp.g_varchar2_table(3223) := '0EA08018D80143A005CE7B5F9E04854828030AF063CDA130DB99011A00001AB083438CE75684522ADEC551E6E414DC9B66A26E634CE010DF2A50D8002F5869004004A4DE6207868445F08226600172CC8001D3652873EF9014E1AAC8654838471FDDCFD6';
wwv_flow_imp.g_varchar2_table(3224) := '9EC964CE4F04BC631880013FB8855400854CF8833248021378D6CEA9E1F7F9177B83822870047B74C18658AD787EC1343A11296D13E9866E989DD9FFEB7E575A70832A68023EA0844240842D3EDCE35D842710822510820CD0F361D860E0006DD7B87124';
wwv_flow_imp.g_varchar2_table(3225) := 'BC07D28E637EC865FAF6F14235D49954D8FC4480E8A28014E88101FD813C869F9B4B58FB8E9FE7A2812B570338B54756ACCA82C885612C08C08C4AF78291FDB0256CE0F038D15656A45994A6042438825606001EE4410786E553343B99CB006140E8E600';
wwv_flow_imp.g_varchar2_table(3226) := '6D860E74B71BF41C37F4D3EEF11F574077C2E8CE314702780011F8010F88F6B27EA767ADCBF7F1A8C2B50347484FC004CFC52692C04C08312451CD2392500005CB4A6450B8D554A85459B777E544047189F3E4A5047A5D6A4760DE3368021CC89C601FF6';
wwv_flow_imp.g_varchar2_table(3227) := 'CB3830723AF623840EA4911775818EFFF96EF64E6C8868E7F6918A000ED881B5CEE8677D564F14A28C170221F082802E84383D123A29085907001DEDBCC9C42C57E0033F400448E87764A00548B0F94CE804504808CB02CF5316063547812A88F334ED84';
wwv_flow_imp.g_varchar2_table(3228) := '14555E4728043BF0822820F808C80068585C00C00A355EF8F78EEF65A76F0364ED84C0E804506D92BA63196001201F3E05DC9D071082237802310868E34DFA4D61C513F914142F833190D4748FD43961C50BBFCAC55EF9A07F574F128127D079A6FEDB2D';
wwv_flow_imp.g_varchar2_table(3229) := '5E04371003182FF8A2A907E0780CB67B8932C8FA297B68BC38F4897F494F4C404F7C9F3D6E768665016CBFB94FDC1D06C8001D38022F50833B206FB98F858478733138823B09E4FF3B484351266CC98C350D07CF9FB72C61F84C5B808431A0157EEF849C';
wwv_flow_imp.g_varchar2_table(3230) := '4D5E800F6F35683D1A2824CEFE87C927761BBF6A87C0FCCC1F2E88808EB48CE3D760F644FFFCFEF444774A5604F471A83DFD1FCF420E100223F082F186F3E4E541897C7121B01D0000880C19386CD89084963060C4003004300CD94361C8004C6C388C61';
wwv_flow_imp.g_varchar2_table(3231) := '45610C851D13C691E322314BEC50FAD429D4C94F8E0AF55113854A94252722087CF6EFDEBE7FFBF6C183C7AE21D0A00DCB082D6AF428D2A44A97326DEAF429D4A852A742CD07801F5600F0DAC1FB87951FBD7F9102042040A02C5A0200D4AA3510E1C1DA';
wwv_flow_imp.g_varchar2_table(3232) := 'B26E1FBC7851D62C00040C226C4052654C1F448211898922646684FF081832302CD198030A440C81595C881199306814375E6CE8D123B463C762D582F4C90E8E0C6E1C39A2C4BA101F3BB2ED88692244C8E29AFF00E8DCD9F32700AB4989322C0BC0B871';
wwv_flow_imp.g_varchar2_table(3233) := '866AA9326FEEFC39F4E8D299E6FBCA4F2B57AF58C3424A7BB7E1D9E5061E3C08A0DC00030475CD92E58004090F1E4F0023E283C84D08060C16333CD1F04406256C00807BB46C64D144103DB499660E59945966C74053CB27AA888103134B7CF081188EA8';
wwv_flow_imp.g_varchar2_table(3234) := '54C82278D0F644134B2C0185104C28A61B4EBDFD36DD01D3C938238D35DAE89C75D8C1C3103F56FDC3485AE19DB5D679E34570170106E865020A014480C2115534C1831000F4D1071FF6218203030265E01F63FF000058C240009470822346697411329A';
wwv_flow_imp.g_varchar2_table(3235) := '41031166132DA85147121E72C619343030439E331C72881E00D001051964A44146136430B1280D89B1A8D34D3DB5D31471375A7A29A6996A1ADC55596D050F3FFD04D7CF3F867887175E44A247C191662539DE033A94318617252211C513581622D8277E';
wwv_flow_imp.g_varchar2_table(3236) := '60B018064139C618996436044C2E0050660B309479040C2DB1A4020A301325E4D1301E89764C319B789B060633A4E184B88468A2892484084207BBEC92E184132760D06506D0DCB41B00F7BCB829BFFDFAFBEF74397E1AEAA8A59E8A16780028B941AB77';
wwv_flow_imp.g_varchar2_table(3237) := 'B985000F77504165145E8861C72288980649275374C99FB0009409000B0084C250B29E650B4C27FF86501249269E38AB2C009F01C3512D8EA8A2CA26963031C3BB4E10820AD1A7B022892482ACCB2EBCF3D26BD34E3AE9EB1300A2027C35D6596B0DD457';
wwv_flow_imp.g_varchar2_table(3238) := '3A129C0FA9A60A7997716DAD8A4000079865805B06889004124D5071F1958898144A288E7C905BB06182E998631C34910BB2C872A61166B908B3D0829D79A66D2C003882CA26A8FC49C81E406BB20BE746B3F2392BEDC27BC0BC2CE6B4CFD43F59BD35EB';
wwv_flow_imp.g_varchar2_table(3239) := 'ADBB5EE33FFD880A8F3B3BEEC6CF3F069F1524916BBBC5C15ABE2B69E613545421C6958BF0414928A98452CB13C0FEEA7763C4069866423517B566CD8E0395D0CDA114D2CA229BD8F173A13338A1C7E6BB10CD0A2A472BCDF40CFBD15482BDFFF7ECE6DB';
wwv_flow_imp.g_varchar2_table(3240) := '56BCE1F33A000328C0A8746D60ABD31D59D8E3AAB51C806D0FC880AB92A43086B0C00B63B0831BFAB02B47742215C570052432303D8604CB3FD51BD6135236199A05A559C218C6456EE6116535EB18C308C922A2A028321C8221749044D1E2B70BD0B162';
wwv_flow_imp.g_varchar2_table(3241) := '697420D77EBE240264404A6AFBBAC700A328C52936A4805C2158BE0C668020B185816CCB4079D6F6AA002080056A50831B30E6088E852216B1C88517F6D2370C440000346882B10027B984D8A285D9D348CD5EE83D9AD9C216B980C622A670081AF8A915';
wwv_flow_imp.g_varchar2_table(3242) := 'AAD8852A50E13E560080889F9B1F1DC830831990EE042F600136EE0500D4ED8B8AA63C65EB04C695AA55AD1E06431BD9220880FF06222003AD7A9592DCF282326450839438492ADE28323A8A7098007849B10204801402A38F0050216566A6BD8BBC7085';
wwv_flow_imp.g_varchar2_table(3243) := '7D241CCB7830854D9EE110A888E421D045084248C292462417273150022188C026FADB094FA886CA79D2D35FF750253C6427BBB050828C090C4FF066E940E5AC856D083040065830063EF8F2246D7CA318BA44135B02200234A88DB11AE20861102E177D';
wwv_flow_imp.g_varchar2_table(3244) := '74E6B128B391EC79AF9926CDC52268708003F0C99BA82854A102A52E75296D5DEF9AC1BC30400376DA4438FC485D3D832A544C597147FA0C4B2A92144B21BD2A02143080C292440004AC45042C70031F0A0109BCC5A28DB908C54CC254D18A0AA1095F2A';
wwv_flow_imp.g_varchar2_table(3245) := '015A4B10856439FFB3994269562001F9D66615F2182CB3E3019C20064B10E267EA2314436A2A3A72858B062C600107EC650F51F1031FA51C2A64230B9DA2C64E76FA63C606B6B854F1CC05019E55185401C0000E94C03E6C0CA61B8F2106478151AC22C4';
wwv_flow_imp.g_varchar2_table(3246) := 'C009D25A024718CEA353A16B3369918B5CD8B51662A00114CE900600CC6B934E20030004CB34746600074220934DEAC158A0AE4EB2D6BDAE5328AB4FFD5DC3030650E090F0A2A40C50952106CD8B534B8007D370D58D5FC5014D12C3906206EB033800C0';
wwv_flow_imp.g_varchar2_table(3247) := '7DA3400B6481747B22B588832643D742E6C2BD8ADB040D1605009C866B067448EED29C7044C29EE0043428010742398FE9BEE83AD8FD30888D82CFCAFE031FFFFFC88609D8164B821E0001756C88413DFB96D202B3AB5DA5C56A6D499360CD800927C029';
wwv_flow_imp.g_varchar2_table(3248) := '009A40033B6E5471FDED2F539AD54C021BC88D10B52300D0B94932B46BC2F0DAE40CCE5A021184D29557A16E88C32C66EB70A5769515D58965F05DF0066F2E0C308E67F5A297B744C00D28C15B287E090979E95831008042A03609859F01E00CBC8D26B3';
wwv_flow_imp.g_varchar2_table(3249) := '90BC14DC32D94000703244F7C4047809AACAF0BA34831783D61470E326A703B39843FD61EDCA8E37D9B881549184DE07B2AAC5FA91EF4119400121F00112918004AE9937868FE9F85785229713A0C048267C822322FDAF53E00A8042DA8216CE76A32BA4';
wwv_flow_imp.g_varchar2_table(3250) := 'E5C6503401031F08761AF400D3A05DB97EBFD2FF34A79B484AAA5557D4E61E2AA9FB918F131B41A911F42CDB18F2E208C4390322308214D4E0075C43E29788B88317F2234247856B5CE1AAC3CFA6D009BB3ED3A48A4E8A92975D48003C3B5AD206453091';
wwv_flow_imp.g_varchar2_table(3251) := 'B09F70D9F1D298DE24E97E15811350A9D35583E76FDCD10F289EBBE5414DF7BAAF91045721892D4A8A6F0448FB02213CC10D7880835671FD6F2AE800051BD080F482F5677492619B4B28064793E556887B06287065B6B3291E0B5700C015A9F87A287040';
wwv_flow_imp.g_varchar2_table(3252) := 'BA8D2F78C152DE4FC803E45C217CA3374EEC9FCBE35ECFA2EA53DDFFA8C611C0EB2AB6B925E72930C2187CEE065EDE01117E70C3189050F40DB040070040FAAF66C09060173C0D3D5EB847FF53F6F0A320FABFCCA6F8B3B9EEF5367642070760C0E9F5F3';
wwv_flow_imp.g_varchar2_table(3253) := '2BE2A27EA53308416C5940252418211B9E4679FFCA2DF7DD0F10E6277EC29A5F2541193F80031C60C10F8C50864C309F118618830E8CC0031CE8000730E0C10A3610029C4A1E0A837242A19DC0845AEC96855039761F973571D067DD8D60EF416218304B';
wwv_flow_imp.g_varchar2_table(3254) := 'F9EF473FA75F0C0B7A2004DA23E10848E8F43E7898BEC8C3A4F09E0146113ED5DDBA654312908503924551B88A8BE59C0C08C11158D01DA4111A8CC11D6C4003AD5E5E410171A90F061CC0D33D14C531042D2099A331441FE9D60A0A85B3D1822B445BD7';
wwv_flow_imp.g_varchar2_table(3255) := '7D1D00605C288042E931C07200C50392C501448008A0C00BF0800EBC001284FF033FC0936F10202B1DA014BE4EBA558D3CD0C21BDC4116C2C11D70E11BF0011CF00100F0811F94211972A11BB8C11D00801F20422478422ABC501946821BED4A28A8C422';
wwv_flow_imp.g_varchar2_table(3256) := '140243F441277C03370040367C43366403208603211AE23774432102402266032202E2373044204A222072C3205A2237608326324324189E1F640943DC8128F2C1281A42AE315F2650422AC8C36EF44300C6D3A4E8DE14CE22C0D05DDD854AEEE462EE40';
wwv_flow_imp.g_varchar2_table(3257) := 'C5EAD45DA9E14B43C84E2B2EC53EDC08302E852EF246EEE8D355381614E60B2D46E3D554569975852ECA0E3ED48336D6C33D74633DD0433736043DD0833C8C6343C80300A0E328D1C3287D633DD8C33CC0A33CD2433C8CFFE337DE833E700A307A58B955';
wwv_flow_imp.g_varchar2_table(3258) := '57A9B9A23EE8433F5CC757E4433ED80343D803302A24422624377E233D6C233DCC034556A43D5C643C92CA2EF683334E8A8731C4314AA348DE08652DE340868A2C2AE3FEECC4282D0556F8A23EE14E3196DA51ECA250686430F2C64DEA13BE7805487A45';
wwv_flow_imp.g_varchar2_table(3259) := '2BC2244CE20E510225EED4DD97494A148E24531295A770C550226550D86400760D4BE6E475EC843E7CC53FCA4E8E744A73A4E48DC06452C25D539EA58D40912DFA223F20645BB662EE1024415E0543ECC44966050004644076CA47F2485688E51491E54F';
wwv_flow_imp.g_varchar2_table(3260) := '3D165A16A68C94E4990DE4625D853CE28B3D10E44AC253ECFC657018A455744D51D0643DF96243A48E3B18FF266806CC5376852FEA622E320460C2D35D36845518245F7AA5A8D024604A116732045085266E36875A8E6662EE46364C03704E4336448370';
wwv_flow_imp.g_varchar2_table(3261) := '5E03000067354C433298C3631E653F7CA3A8E4433D80E4CAD5438F54A63CDC433ED003D80C556D0E26B9B15C6E8E275490DA6EFC4338DC022EFCC230B0E72FD4200010C32DFCC27AAE673CD4DD79560DCBE10E488A6750FC631479A575FCA55482672C92';
wwv_flow_imp.g_varchar2_table(3262) := '278266972DEE039A89C37AFE02841203202881127CC12810437D064332DC673F28243C18C20394413F98C30F80C23F30830950402498431944C20E1C010520832DEC403AFC03D8CC26D694DA805E8760825A82FE2852088C99B9E240FE838342E83024FF';
wwv_flow_imp.g_varchar2_table(3263) := '0328BCA812F4001A104330FC4230E0C28662E33FD8020120C32D505C028C41D725812B184035984036D0C206BC4239700102A4C23F48178EDA88500AE551F4286102A99D028589E95335F624EE1C297D3283215081C6EC011700C394E2022E04C37DC6CE';
wwv_flow_imp.g_varchar2_table(3264) := '3FA48312EC80714A812B284138204302C0802194C30ED0433BFCC03E648317D84212DC844EDA882EE24344A2A33DBAE3AADA4337DEC3436EE336DEC3FF2463D5389659DEA9AE5651BA918A9FCE6724940FCFF8412E20AA2C90C22FC40350B6A95870C035';
wwv_flow_imp.g_varchar2_table(3265) := '500005040028882A1744023B98003B94C30DA84326048007204038D8E8524E474C6EE74FA4433A0040BAA26B3AA88339048539A48339CCFF6BBCB62BBBB60338A22487F984CAEDAABFF2A5560C294F1EE994128327780BCF2C5C94CA42A2AE832E32430A';
wwv_flow_imp.g_varchar2_table(3266) := 'DC4019F8C10E54031C54012848813A6C402460AB387840381081215C830C64C24D6826B97A253DB86B39B42B009CEB4FBC6BB6BA2C00A843BB9AC34FA8833BDC6C39A8833CDCE8BEAACEBFDEE93D9D643A668730FAEA83E2023118C221F04C2BD8C13124';
wwv_flow_imp.g_varchar2_table(3267) := 'C32F30ACA22A64EEC803310C833D844339ACDC21F643385C43376C4536A8C335E484398803D0D248DDC1C3BCAA832748811F0C438BDA021C44822D584126B4832778813A64EC1B84032D94812730C2350C4325B0C3BBA26467D6E9D022E86E5E07ED9026';
wwv_flow_imp.g_varchar2_table(3268) := 'A9282D7DE282DDA6C126B4FF82254C4131040386266A3C5CE432DA24004C277582E475A2263BFA249CEA693998833ADC4124BC412418812B18C21198C38CDE423994010C4C4324444217964137980317C041191842B602003E68E66D46AE9D864A5610A0';
wwv_flow_imp.g_varchar2_table(3269) := 'E50AA3831E6A34F4C11E78CB29EC412D54C3E826EB3F286463D5033EA0A45C7667BEA85BBEB0A3BADD03CACA48DDB5C3ECB28321C440245C4315D88239BC81A45641350C831248C11F64C20D188227A0813EDCC31BF8418BCA4339BCAF8EFA28F522688E';
wwv_flow_imp.g_varchar2_table(3270) := 'C883C00A23383CE82D44C21E1CC226F0C226EC81258C0234D0E7866A877530638F54476B7E59AC5647FDDAAF3EC16D39B8831F30428B2AC12DAC20DF26C1346C602454FF011A3C5F24182E307C0133780222C04339B403FDAECE6DFA6706E3E6E4A66307';
wwv_flow_imp.g_varchar2_table(3271) := '63EE2D68C11454411D58C209EF411A4C4124240395A26FECF8883F06477EE2A45F32638DC4E43D64AB395C8338242E2D80C22D640233E4A02BD08238B003331083210E433764C23044433760C3D9FA6C15F3C8F466B1061790C032EAF62282114CC11490';
wwv_flow_imp.g_varchar2_table(3272) := '010A2BCA7059812D104332CC0389FD033CB0A23AFC4344F6033BA8723B50313D984338A443379483E3BE2955C4E640A223EDAA833AB0C32AB3C333BA833BB4433AECC8BBDAEC3DB48330B3833B98833C6C254D1AA8250329622AA3832243192CC1149C71';
wwv_flow_imp.g_varchar2_table(3273) := '1AD4C11E9473388F02956E184AFEC33530C33FA4822186FF8339B8C28986433564033310723964C2355416A6D8313AEEC88E4CCA67D20E32F744E5BA033BB4033B2CF42AC383414A65BE28253466B31657CD40EA482E62AD380CC333D4421F8873387FEF';
wwv_flow_imp.g_varchar2_table(3274) := '1EF4812ADC8229AF83467A45363C033B10433490AD3844433A54833894432A98C33098C33F3C433B78052FCF8844ABA469C6CE55548787F1A8444F4D015AF4788E582E2A6B4713C331A8C21830C11460F5A270AE27A07435D08340928A397C5D4BE3F435';
wwv_flow_imp.g_varchar2_table(3275) := 'F4B14797433ED0C2CAD9423930432BDFB00095DB4B2EB5A47CA6535F34267785E92AA43800C330484B2D680C22EC8C21A84225D40231C0345807E43FE4B23A604335C00332308338DC43A5C2F334B8FFC32D0C033B5C833B9C1915C9626D5E0545E7356E';
wwv_flow_imp.g_varchar2_table(3276) := '8E9830EE62365C03363C03367043245603205E036D574334844363F324EA5EC7649A233F6427590AD5700300320B2D6A87266561F46ADBC337DA835E4EE7389A233B0664D262F47508473032D61C07F50091E56ECC72016A77729FA56AF3F6462B235220';
wwv_flow_imp.g_varchar2_table(3277) := '251DCB5D6DE64E3B287479A7F668A2267A7B855B720D3FEC655F4A617103407C1FE87C9F2579072C4403057EE6675006283FD2E5A50C37A904F8808F67E5FA274F922784FF4380EFC884832657CCB2756EB75C076683F7771DD7668427733E753868CAC3';
wwv_flow_imp.g_varchar2_table(3278) := '2ABB2F5197EA768765FDE24BB9A1AE5184E4302AE3884F45480245512B23ED000716B3A6B8AE3674733434703444012E3943CCB2EB347553FC043C80A391472E8703853A364496A72397334496BBB88B6BC596A72387CB4399634D9A37454416F995DFA9';
wwv_flow_imp.g_varchar2_table(3279) := '6B728A9B0B875588A76B1678673204796B67450705CBF92714B966370A7A380A856542E3AB1A456B5A269EEB39A3BFAA9BBFF99DFE0F50447A50E003A6DB261653BAA51B05A5E73943FC0F14657AA20B05A68B3AA21FC5A99FBAA7AFBAA42328ABBFFA52';
wwv_flow_imp.g_varchar2_table(3280) := '04040021F904050A0000002C460018000A024D010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C28715F3F8A18336ADCC8B1A3C78F20438A1C49B2A4C99328155202902AA5CB973063CA9C49B3A6CD9B32F10CC4E3C71123819E700A1D4A';
wwv_flow_imp.g_varchar2_table(3281) := 'B4A8D1A348939A7423908FD2A750A34A9D4AB56A48478E0040B2CAB5ABD7AF60C3862C24500DC1959EF6ED13CBB6ADDBB770933205A053E0CF50F606F2FB17B7AFDFBF80034F5433D76EA87F79015C14CCB8B1E3C76DC9FA049069DFBFB590336BDECC19';
wwv_flow_imp.g_varchar2_table(3282) := '29D9CEA0438B1E6DD24FA678A453AB5ECDBA602147881CF9A1B4966FEBDBB8733BF6E954B7EFDFC0DDC6F613BCB8F1E35119C9CE84BCB9F3E7362B419F4EBD7A483ECC01D4C66CBDBBF7EF06F984FF420DBEBCF9EA8B0020A20B40DEF9F7F08DE3A94B5C';
wwv_flow_imp.g_varchar2_table(3283) := 'A0EDF8F8F3AB165390D22B0089E927E080A20D038038F62CC60F810C36A8193F8B3928E1846011E7893002FD520D851C76E8D52D0084F24A35C97868E2895C4983E28A2C1E350D00DDB428E38C34D668A366D98C824B372ADEE8E38F2175032290441699';
wwv_flow_imp.g_varchar2_table(3284) := '913205F5838F914C367910380349A38E3E0B3A696593E06C239021C4F413E09560121963986432B9CD9865A609249A6AB6C9A28AD26473200055BA692787E1DCA9278ADD6C83E49E8072680E2E1B066AA8845A1EAA6883910854CFA290E617893E91565A';
wwv_flow_imp.g_varchar2_table(3285) := 'DE28AB58AA2978B80070CB28946E2AEA71913402C0289E8CD268A3A3B61A9C210044FFF2C71F00BCE1A8ABB81A878640FA4498EBAFA999B1AB4068A03106B0C8A666EB1DB60A54461F0018E26BB2D472E6C6B0650C346DB5DC3AF6C61D73B9916DB7E496';
wwv_flow_imp.g_varchar2_table(3286) := '6B2EA07ED00A481C809CEB2E63990A34CABBF40AF667BDF8C6458D2E2A2A83CBB6F9065CD532D400B08CB60227CC9532A20070AFC2104F454AA749466C7155F45CACF1534119B4D7C620DB44AB74E6AC13F2C9458903C07D28B71C9374CA94CCB2CB349B';
wwv_flow_imp.g_varchar2_table(3287) := '140700D21D384ECD3C9BA44441C9E4D9F3D0201931D0B144275D92194A372D5219B6CEECF4D41211F1C3170053AD35436854B1F5D7137107F6D864976DF6D968A7ADF6DA6CB7EDF6DB70C72DF7DC74D76DF7DD78E7ADF7DE7CF7FFEDF7DF80072EF8E084';
wwv_flow_imp.g_varchar2_table(3288) := '176EF8E18827AEF8E28C37EEF8E390472EF9E494576EF9E59867AEF9E69C77EEF9E7A0872EFAE8A4976EFAE94D678DBAD2EEB8B3BA80EED5F36879F4C8FEE83DAF23058F6217A94ED33F5273D54FEFFDFCB37BEE43E1BE7B3F10568CDCF002310F21F3C3';
wwv_flow_imp.g_varchar2_table(3289) := 'BB8EBC50F900000F3DFF40FF1D3F10820F7E3BD713B57BF7DE2B465DEFD1A75F3E4ECB0FEFFE77C393FF3EFCF0C8EF3B41C1570CBC6AF573CFFD6C028FFCE94F21C0F35ED6F8710F7E2CA981D9639EFA64978FFD892542E2B3DF006B5240FD010C78FF48';
wwv_flow_imp.g_varchar2_table(3290) := '8738EE6111F9F1CE3E7BE9DECC8AA798FB549026166C9EFA4E3843BDA84E7AFC6887003718937CE4A383F3538C65FFFE518E62ECE10CC7508B0987F88F05958319FF18463690C18E6884E31FE14086F15C11896CA06F26124408FB0C7211F0296641D24B';
wwv_flow_imp.g_varchar2_table(3291) := '481973B8431EC2E48706DC563F2C930E4B50210D69B0C33B9A78C095E1E31FA920C22D38800C0E30430A08A0072594D08F1BDC800BA0F8624C2C689FE891112120AC18F3EC973D37BE048E26348865C2A18A4EF0C2178B38061FD5671B7BFCC3163FF881';
wwv_flow_imp.g_varchar2_table(3292) := '2DE6018368A0810286F04419227104750083187CA12448FA918F4765CC51C71408EE06323B65DE831EB5BBC7330502CD06566C7C9E94C90F79B71810F2C532E228250054B109685C6678C154E62B2940816CF0C304D928832E77F02D38B0E3013F18E34B';
wwv_flow_imp.g_varchar2_table(3293) := 'EED1FF8E7400C01C0201E83F01500E81F85320EA304741019AD07298C39FE900683AD2A10E7724537D9BCC660F9727C382A8851DC5F8042F54F1893DEAA357BEAAC73F3251854C78201C1EB846155C118E0070211A0148451992F08F0AF64F24FDA0473F';
wwv_flow_imp.g_varchar2_table(3294) := '15DA0E7750D41DEC30473BE0515179241400ED50873CE0E13A7514D01CEAF8A73A28BA24AC76527DD8D4A84BEE01CA206A671FF02047287CE18B63B04389EECB471423F10F2E64C20FE18884160D61887FB882084A00464F85D9917E30D5A1E948852BD2';
wwv_flow_imp.g_varchar2_table(3295) := '318D4CDCA21CB4F044346CE1896BB0A31AB7C8462640410B66A483189E304716D5F18C704CA3B2E630C7F1CE1856B1A6649BD4B3CF7DD4B28F22FFFA0200EFA02D3A11B6329629882FDC1BC80BB565D6C2FE23A9E5688721FCE0074FF8010D77F0841240';
wwv_flow_imp.g_varchar2_table(3296) := '310C2518A20AEC288301A6E18724B8E20B9978C3724111806794010E6300C535FED98E2A95311F1A74ED4960CBC2E8014F1F432C622D00F00DCBF0EE7F05B9C73FE4A1A4DE3DB31EF9C8983CEAD151E70DB31FECF8A738AA508E6C8CE1B96F4845120C71';
wwv_flow_imp.g_varchar2_table(3297) := '0B2F442213D128C3176201003F88630C5518463BC660882370810B9E18C3AE526B3DF5F95087752A8F1AC882084660473B282BEBB4F401BC74C4A20F7D88CD2262110ECB5CE43EC1EC153EC487BB6502201F0CF4A1405EC8BCAF0235A958F5C2306E21DE';
wwv_flow_imp.g_varchar2_table(3298) := '2A5C231C4A0847389250054F4462FF075E80E41BAEC1855D6E68B991080028D26105E2A81661D2245F8EAD9315D7D4C765B06D30A5D871E43354A10AFCA9C219CA100A71F4EA7F59ABAF2585EB2B4D0FBAB04EC5EA34A09B0D50B8A21EE2805A2ABA5886';
wwv_flow_imp.g_varchar2_table(3299) := '3130231C6FF08427B2E1876BBCA10CCCB84524D4214F3FDCE119EA902AC2EAC14F3A8107114E51835906829D74864CC803A1143C2041052F8CE1585E108318BC00802AB8411CE8CCA43BB2910E78909B1FE2C8863CDA918D08C343CDFFA0473692BB3211';
wwv_flow_imp.g_varchar2_table(3300) := '6603DC8485483F9C4AD108073B1D0E65C7440140D1AD62F5E00835284109FE5075B0C31D56BE08B1E3EB1D642364BD2DA36F84889C0D318C813F001843AB01B06D2F548116C4FF9CE13F98810C64B8E2190008072DBA910E5B84431DCCC8862D90614557';
wwv_flow_imp.g_varchar2_table(3301) := 'A8231B9EB8872D341B8E7C4724A8F2701DF922CC0E870BA4E9058FF0D2D91161A80E24ABEC582A96097291401B5BC75C10082800108D98231A88187C659C01500637B8A10F77B8C3B5BDE0054FD003BF00C0C71F99118D6800A31AD130472A9E018FD2C2';
wwv_flow_imp.g_varchar2_table(3302) := 'A31AD9B8E2309E010A718863E8C390C73042491205D5A94A397EF20A25F8D30916FBD3CFF9495304920A0CF50C941DCD9E2D5A5D85B55B4120ADBF76267A75D2BCFF8318B66847345C41C55BB07018CCB84634B2A10E6200E01AFFC84636AE61775BB491';
wwv_flow_imp.g_varchar2_table(3303) := '2B2B04C0C4BF3E1D3838020FA26789D2A02D10F095E315910017FF00EE502B71B9C110B1B806EDA59CFC955D6377D5B0C52DC2718DC7263E15C350473952718D7BD79C1FD5400F46F71412F779D5F11394E00A9EA2802F62109D07311A571094B26FAE23';
wwv_flow_imp.g_varchar2_table(3304) := '0F49E70E05440F24343C27553C299442DDD3427482698B410F72B5327E518014371D8E602A00900D6C2210DDD0802D730F1DD460F6D53E00A6162BB3167D24354F16217C914011325C6CE15ED26780E0310D3D32107242333618470E46109801658B515C';
wwv_flow_imp.g_varchar2_table(3305) := '0E512758E8152A487DCF512205D18402B10D2A438327138594F710DC91860E81695E3880505180EEF07CDD110EA0F030E52086CF86865B88494EA6830FB8195DC80F5E561EB6B00DEB100E50528368C7107DFF881B5D681E8B9834688883DE2171F52068';
wwv_flow_imp.g_varchar2_table(3306) := 'F0B10DC6C733A867418FB81A48486C35661E850200ABC02A5EB83195088A70381A72B88AD691550195289BB687732849E5118BA0371D3B2310E3203402810BCD1432F7908BA1E81C98A889DEA13257A72530280DCE8832C7280FBA081E2A4887B3088CD5';
wwv_flow_imp.g_varchar2_table(3307) := 'A08735888CAF081C91081E79D289CAD0844F7832F9508DD7483F49C88CE63126D9A02231B831EB088EE7918DE5810B2092283DA28800102AC6888FE63188E0F13004310A06F28DD6E83E1F083C15E42B448851C4A51715C44068D453F7500F5DC70F0C06';
wwv_flow_imp.g_varchar2_table(3308) := '001A88300C148E38318EE58124E1D02337432B0C194A0B124CFFE00EED554164553CD3D40FD2FF043C640541CCF33F2FC95B22C85BA0978C466190E0510D99D231D1722A19C78EDEF30FEDF00CFFF073E1600E00C64AB4E04502416E504688FDF06A1711';
wwv_flow_imp.g_varchar2_table(3309) := '0EE5307CFD400B91000AF4C00FD9400C86100EFC000AA9F00FCFD09600E00A9E406085381526E91DC1302406E19767888F7B910E74A50E6D590EB7600BEC900A50140E9E3067D59009E5C0057E5096B7000FC44088EAC008C33060A9D00D91400B53390C';
wwv_flow_imp.g_varchar2_table(3310) := '7F907CA9100ECC0000CC400BA9307F72720DA9400B28C785EF681EF34210604833F74860D0B317BC765791E009A08006E5C04591700D94900D86D07F99100994600B6C1909D1C00CFCC03DE2004CE1600B58740B7C610BE2E0572A837BC4FFC00EE5A09D';
wwv_flow_imp.g_varchar2_table(3311) := 'F5470CE2C00EAFA04F546194DF6106E26510D2C2902A641FE5F007E2800C99E00AAE109791E007B6F00C99F00FA0000CB66008C1190EAEF006B4500E7CB1176BE9575E740DDA990E9530959EF00FF5E757A2750BD7F90FB4100EFE9472C2539BBD381DA9';
wwv_flow_imp.g_varchar2_table(3312) := '221D71D02C48D392F5454403AA0E70490BEEF707C4200F6EC6A094C10866D90D7E800CE69009C4947C54040A44D60D82C50C9D390CD7200F6F9009C4100E701009E1600899300CE6002B45770F240943266A1E91002BC3C276A5E9A245E80E384955AD23';
wwv_flow_imp.g_varchar2_table(3313) := '606A960FF220A2F8500EE1E00EFC500EFD906EF2C00E12648DCF209500700FD63887F7000A682A0ED3100EF4200EE670A787FF4A442B1391253A7DE7810665407ED7B22BF3498D048942D3B33284083C3F593C3079826B24AAF0104CE1F3A0A71A210276';
wwv_flow_imp.g_varchar2_table(3314) := '6503D1AAB8D3A55EEA7527DA1D68C0142D1A648DF8AA1A5888C446885EB6201B290F69993155226018895110D23D84189474E2430B6289516146177163DA081E6D57066A002B2EB3ABB2756558563C098665C4C6A51BC94ADDC717272882E14A10B52A16';
wwv_flow_imp.g_varchar2_table(3315) := 'D4FAACDDF71E684018CB563337F894D79009DFC917E590A13F0521407745AE809D996095B4004C4409AF68043EF0051FD702006AD0765FA09B8DB817E2F013E2000FA9500DE5B06BAE100DFD3059D990A8CF6095F21009B6600FCCC045A0E50A95E072D2';
wwv_flow_imp.g_varchar2_table(3316) := '39588D11AFCDFF7AAD075810A562B1F9333D72C50E91C09D8FC7618D770B70C00C65800CA0100EA9F099FB460B7EA073F5F0B150640B99000FE2D099D2DA17D4EAB02B285F24E1ADC0730B99700DA05006B4000A8C7707C390A100000A5A14824D749611';
wwv_flow_imp.g_varchar2_table(3317) := '9609DAE90A99C06E5A2BAB5361B30FFBAE60CB11174B44A0307600E0096E900A95C01C70300C42EAA4E9700BD1106FCDF90CD7F00799E0981C760D86C0080EBAB571E1B75F1BB8215140D7980DCF1054D7200E0EE70E67060FE9F00F415A0F15353CCB07';
wwv_flow_imp.g_varchar2_table(3318) := 'A1DF89737B71664DF418A22B8BA4DB11CA2385B2651B52D349FC1782A2FA5F7F0A6557C6B7254AAB7919BC1D61BA0E593BE10A3D35E94344884E38B92019FF333CCB0A3ED01BA9C748BD2521B6BD45563EDB40B8C3405CCA79C3F3AB1A484CD6D4195DA7';
wwv_flow_imp.g_varchar2_table(3319) := '84E80B12BB0AAAB9668DC65B10F7010FEFC717DDA095CE4A27E55B158338BDFB4B11D9E3AD00400B506A0EEC600B79170EC4500EC34075961B0ED5900F560922C1260F368745CC805CBD9B19EEF9C0D54BBC4474A1940B0AB33606E1B5599E0007C4E107';
wwv_flow_imp.g_varchar2_table(3320) := 'B7E009A96008EC000AB7900AA0C008DDB04B500A4546E818BC28234C502FFC30B8E200B0E24057B2990AE9E009EC209C32970DC3E00AA0F0AFDD400BAED057B76097F0C00857A819FA7822098002B007001B502FFDDB0F9E9009CC200E383C0D9150C57A';
wwv_flow_imp.g_varchar2_table(3321) := 'EC09D53078B63076EC80B79E002241910D91FFF0B1B7500D340B196DDC210420100F40C91230C757702E3E24B6F4300CC4800FEA600BE5A00FE5000FA55C0EE59054C1F650E5B955EC60C2DF290EF280CAB10BB87D11C912620008400009100000000112';
wwv_flow_imp.g_varchar2_table(3322) := '4001722C0147F02E7C2891E9E46C35B41030E9AE0BDC9E49588A14C2CBBE0C0100C00102410145500675512EC71C605CCA4067344665F4750D44BE35193EB708C95FCA21060000930C0012C001C12C10157B2EDF5C90EDEC2101900008E0CF0401073A81';
wwv_flow_imp.g_varchar2_table(3323) := '0BD8C02DEB28C1EE283BF0D82040500445000043F0D04940104A3017459C0AFF1172F70C2CF9BC8BB519165E93C95CF0052FF6381D8D8DFBEC20F1E04A79F12596F1D281882BDCD77DA0FFAB10CD439431BDCC6294147B2921396D2E51DC5BF79179FC93';
wwv_flow_imp.g_varchar2_table(3324) := '832878102C9463559249B5F1313A2DC050AD2D2B3C14DD4427FCE03ACFFC3C0EF8D3C9C27DC0530EB1EB8643484DDCA342E84354F5A95222C842A74A46431AAB204950EE701FE620403E79D443E1B76CB124F08A185076195CFD2BD0B617F0300CE100BB';
wwv_flow_imp.g_varchar2_table(3325) := 'AE735CF0500FB05B0E5817BB02073C667B7353A90EE1900DBB63C1FF20CB222A55FD406FC67311E2500EEEA10FB7400BD6730DC8F082F2A032269831CAE7AA38F1BB1CE24AEE0AD80E01D3FE352A831D93B6600EF1370C864D0BB7700BC8507FD740A199';
wwv_flow_imp.g_varchar2_table(3326) := 'F50CDE196F72E20AD9100DE240A1CF900DB4505AD00073CFC00CD8300DC8FF600BD5A0327C9127D710A5FA3710C6A7A1DB0D23042C103067653641DB12027A801DD8B84256F96A1FC5A70E18270ECC000AC11723E1100DFDF759CBF79DF0C00CC4400B04';
wwv_flow_imp.g_varchar2_table(3327) := '4E0F55395A53540E30070CE1D0A7E2006CC3900E733DDD652727D9C03C859D273C77E1C8B096D1D00DEBB5753721DF1E124457592E9F3810F2500D37277052150EE989999E100E51B554C470B0FF700F16DC6E979D75FDC454EA000DE56054C800D61752';
wwv_flow_imp.g_varchar2_table(3328) := '0EC4403E03D60EA8B96E522710A9499E299CB5A69CE1C02B137A8DB32E3C11319EAE026C1BF59078BB9D0F89A7690E781098610ED3D00EDDA00E00F36400300FFD63BCEC69CB22C1E263BE1165BE65E4ABC0589642DCFF5449E8D4AC84183EE2DB75C053';
wwv_flow_imp.g_varchar2_table(3329) := '851971192828360C61DF13A1D781EE1165F510C09A3E3E342DD2DA0FF1700E07310EA6EE12E7600FB64D1280BEE918D1E9294164BA40020EE0000A40100A50000591EB06A1000E9010B82E10B9EEEBC43E10B77E0EF180DB7FDEB0370BEB820E442E4164';
wwv_flow_imp.g_varchar2_table(3330) := 'A6D000BC8E1103300005A0ED14A1000AA0ECADDEEC60F5B0D0AE119D9ED50741ED4190EDC63E10D74E1005F0EE00C0ED0E21EF0481EBE08EE9598846CFBAD0E51E11E72E122F4E64B34002DB9EEBC11E060060EF0B1FEFD96E10BCFEF003E1EB03200003';
wwv_flow_imp.g_varchar2_table(3331) := '00EFDC9EEC2BADEF0DF1BB7EFEEF0611F02741EDD69EED0570018F00008FB000BB7E010C7FF1182F1030FF2FF30220F3333FEF173F00DE9EEFAE6E49CD0AF2B12EEDB3FE0FB3D0000A00F36D700100A0008F70010A20004A2F0061B000F0EEEEB9AE0873';
wwv_flow_imp.g_varchar2_table(3332) := '90F350AFF44B7F0173B00002D00033BFF3F1B0ECAECEEF8438BA6D83EE6CB1C90634ED446FF4DA7E016D2000B93E0717A0F417300B59600A04C10606A10B02A10824A00859A00B7C3F0802F108A69005787FED641FEE21F1EA6EC3F662813B3FC49B6345';
wwv_flow_imp.g_varchar2_table(3333) := 'F424F0F003D0067300F5A680EBB9FE088FA00881600AB320107E0F00AB0F008D4F0203A10B9C400AB22FF80070092A9FEBBC0EF5E7700ECC5E79F23AFC71E32B0E0C19D2648302F8F11B2160D5BEED0BFFF9A60F006160F7007001F1100681B0FA81FF00';
wwv_flow_imp.g_varchar2_table(3334) := '8C03D100B31006BA0F0098D0058F8009B0300B880F0BB09005E350F7BC8EEFF1508596FF5E775350035175A05165F0406000C1AF1F0082050D1E44985021C17BFF663528308060810200043878344700C147172E00C802E0429630042F026833C741C82C';
wwv_flow_imp.g_varchar2_table(3335) := '171E952C38274C1B000A001450A0E05CBC7D04FB0D5C1854A84F00FCF211E43754E952A64D9D3E851A55EA54AA55AD5EC59A552BC27BF5EEC193D74FE0D684FF1ACE0A326000C58A0214A86DE3B6A0DA8D6A0F4A2428716D42BC14095E18170FC0BE7F64';
wwv_flow_imp.g_varchar2_table(3336) := '0D0EE497B4A861C68D1D3F861C59F264CA41BB7E0D3B36F23F5324ECDEF44BD76D44BD1F257E3438C02600BC73DFAE96D8D6C1CE8240FF0D233E2AAFF26EDEBD7DFF061E7CE865B0626D3FE60CB1B5D0E5581DE88CF78FF0F1AD628DB6139E5DFB76EEDD';
wwv_flow_imp.g_varchar2_table(3337) := 'BD1B3C7AEF5EBEE29A1F1346BB9AA0838D0A363A587F1200FB821BEBC3679FDFED45FEF4F1AF130C32DCB053EC3B030F44304105970AAF1EF2E831AEB19FFE29EC9F78C641E81C5DCE014017823CC4F0430E091A31440C7509F12014093A91C3000903E0';
wwv_flow_imp.g_varchar2_table(3338) := 'A7DB8ACA87C0056FC431471D85130F80F228EBE71F7B0C82313A212904201E7B8C1C92A0000D2A2CC92701887249C1FE390E4BEAB4B2AE46DDEED9314C31C724F32A7EE089714BC7061AF21F7E0A7BD39E7E866CB3C9188B52CC1E379392534F3B913A12';
wwv_flow_imp.g_varchar2_table(3339) := '4A2A855253AAC4FA6947FF1E7EC02CB351471F85F4CC340B1570422D6524A83018A5421249192925EBD0441785B454534F55F04C787E0215D5CA04E26754465DA5B5565B279314D35B9D6AB529E3F86147D1597725B65863A382071E248F552A4AAB2AEC';
wwv_flow_imp.g_varchar2_table(3340) := '955969A735569E44E5D18DDAADE4010BCD82B85527217AB425B7DC53F339CA9D76D4A58A1D00B053CADD82DA81D7B776D891D72077087267DF77EB758A5E6F0D1AD65C830F0E33A9C4F201131FA1C635A89E7A0AEA11808909BA9821850ACEAA608EC1E4';
wwv_flow_imp.g_varchar2_table(3341) := 'F8A03F2596D8E2AE26160FE5F108461761975F6E145DF1F0A9679E79142A39A18A2D56085D7D0008B9A09F25EB8A2B86E8299A207BEA7158A88F61863AEA31F1C1E7FFCF8376063A6885F4193A3274BF061B21860F6A39EB8AA95EF8A8847A92BA6DB7C7';
wwv_flow_imp.g_varchar2_table(3342) := 'B4A749B60B2A3BA8A4D43E2831AE8916AF6FACE9CEBBC0C0D35668EEB70F477C3BC10BC2A7E27DF6B9679F9F912E881E792C8F5C7282E401795CC823073AF4A6B45E8864D335A618EBAEEF8198F5A3E9D9E772C301C03C71DB6F078E6A00F261759F7E7A';
wwv_flow_imp.g_varchar2_table(3343) := 'EA479F6595623B4AE97A8218A9C5B362B5794C8112C8BAAA871C8F1FC2A47316CB9E662F6878EE71073FFCAAEEC9D62075CA29271C71D267FF9B6BA07966216E089A1F806F0AC2E69B720028C79C72D2318739002040ABF8CF800344A000098890052224';
wwv_flow_imp.g_varchar2_table(3344) := '7DD0A01F412008006E70031BD0B020042F080D6888C3FF1DEC0098F84438C2D11124797712472C54980A00C40200B9E844123EA001063000000738080642F0011E4C61093A6802125820862A542116F07B463400708D6854231AD7A0CA339E518D8354E3';
wwv_flow_imp.g_varchar2_table(3345) := '1A56C4221413A244293E0319C418063086118B2510640A4D984241A6904600F000076D44020A3400032F94433A7723611EF5B8311F51294899CA062D6C918B5CB8F018C0B0C30A308001007C00000C60E4231B59032A8801005338410D78F08125583214';
wwv_flow_imp.g_varchar2_table(3346) := '1C5CA2129BA845004C83940999063612520D662C711A04C90636A6918D6B640300B17C6529AB088068789118004006075541103BD8E10C449C020F08B2041EE840084B30C2117AD0030DB4926D2BFF3BE11EB509BEC440097AB78C852D00708C82748207';
wwv_flow_imp.g_varchar2_table(3347) := '0C38800D3FF001487E60051F38C00770D0073B4C810A34A0C11474C0841F166282D1502200E2A7442D9AF295D730282C73694A5A9A1219542C0814698910284211A2BCE4223388F14B0040A3180028442BC4C0042600E0042B20080E6800000C68000021';
wwv_flow_imp.g_varchar2_table(3348) := 'D840061E808C7FA88D77F4A007DEB6B9D3C425A5219982DE3FB2110B42E68220A9D8030D71F8C8100060053A38010E30F081192C01075038030E9630052824130076C8C504BB589080BED2940AC1C62953590D62D4B220B44428410C0AD16AD4B5AE18ED';
wwv_flow_imp.g_varchar2_table(3349) := '652B89114C74744215AA38C4144A6A524766A00427C840041E5943021880A6BC9B50FFB2BAC653CABA2D313FF523A0865AD4581C231253502A416A48831028129207582403687086329E410750A042193B810C602283B61A650615E18AD05312A496AA04';
wwv_flow_imp.g_varchar2_table(3350) := '0070B3110D8E46D496BCE56D41EC7A57810AB4950419C6315AB10954D8410F3438C1096610010C44A086E9B4E101084080003C9655FF68C7C02ABBDEA875F31FFBA21085923254711632168B084106D069100D6020BCA2652927A340031C9C80096740C2';
wwv_flow_imp.g_varchar2_table(3351) := '09FA000C68D89619B46D6E5DE35A515342F41A0895A52C97788D8702E0A2B784A259AF4890BB5E347ECFD02B3286E18D426C82106280C20C4C8AD8454A9220E2156F79779729F4B2D7C7ED5D543FF625A3288543852D4C0524A6FF90DA032C35283A64C0';
wwv_flow_imp.g_varchar2_table(3352) := '09167902002C210A3A10C31181D9606026112104A5E841E26AC5E3DA32A108B5E212D54CD62ED29618D01086740FA10727C8180327C0274B6B080003E09000073040796B8AA5C4EC4BA73F4634B92E8B5E77582A46F42D642AEC8082C4A2F3CF06C1A162';
wwv_flow_imp.g_varchar2_table(3353) := 'D3194F1A60209D8DFC401A690056084B51A0037D22449FA8E68AB23AAEB3546E2E61E94A572F11B80025881721ECD14558220D3390310222A0691B1A00000420C89F0F20E89F26062C754B74B4A5B5E87539FA1FE148052D72910A4A50210219F834A699';
wwv_flow_imp.g_varchar2_table(3354) := '2AD5977EDAD32C3D4113C4B0041AF44118056146FC724D628330B1D5AC46C8140F7ADC357B589460D6E289E347DBFF6140A3167B98738C0D800048364108372C08B28FBDECC7C6C8D9D2C638B91A32E43F0E64A8B400851DBC80841294A0C97D3EC89E4B';
wwv_flow_imp.g_varchar2_table(3355) := '800421ECF7CEA85D8255A380032FC40218C2B02D6D214C9080D2DBB75A04BA41B391DB0997128ABFDC28748901502DE29A20ADA4AD30D0610727E8C1124EB821036690063BA441924D3EF69F057D14EBEC6BB219477BADBE568F7EA0494B6E0200B66341';
wwv_flow_imp.g_varchar2_table(3356) := '8B50DCE1092DF7F3C42FFDE708E840A5FB3D810EA64A0348E253079F7837976FCBF3A52C54B9616606AE01DACBE63617C5F2468646A1C1E0563841129BC0FA52814D0719A313870110BB797F022607A5DDF5B76258DBFDF893A47CC3152EA4441F9AD0E4';
wwv_flow_imp.g_varchar2_table(3357) := 'F19EFFFC207F8664084A80CE453AF9CE3458022372318C2DC77BDE3E3788E3A9287D844CC38917A6ABD3E74D5B5D1364AFDEE8832534B107320060064E2003196640863A9BFED8C7460036CCC2AA1AE5F4F5F737D5DDF2C176B7EB6AA82E4C85428800B0';
wwv_flow_imp.g_varchar2_table(3358) := 'E3B36133009493B803183676723282982A00D0012A70839B8306E75BA584B0A5E993AB8338A834BB28BB1225839022EE03A6BDDAAB5AD8044BA8033AC0BA1980823460413A60BF19003BB14B8274F8077D6095A4B03FFCF34148D93FD97B3B583AB26DDB';
wwv_flow_imp.g_varchar2_table(3359) := '3D89D3001AB2A108E83365FB2E9682B882883221588431F884C56B2E25FA30A1C8A5E322A86C50B568C8BC2B8A3C5202A8136B2553433A648004FFAFAB833D28292760823A2003491084198438DE730377908EE6A11D68FBC1400C9320ECBF3FA2A0234B';
wwv_flow_imp.g_varchar2_table(3360) := '855070830840B6036001EF7A2414D82F6333BD283B373DBBB325A004481883587033834006300B335D3A335B82A5E4F2308C62065B7828271AA55EBA3C14DB2815438658E8834B4A0332800227403F41D00400483F60BBB1033801484887C1382FDA591E';
wwv_flow_imp.g_varchar2_table(3361) := '4164C6054117FE9BBD28C186237BA14FC001E063A796AA210368AC24440194D3011A82420C58291DE80344E88354808661B0AD5F7AB0789BA2E813B385222562A025535C22B6BA0582C8BCC96BA267B806790300661806131C066180864D000026800232';
wwv_flow_imp.g_varchar2_table(3362) := '6082196082F4E34516343FAA2A01FF3108053BF29D0969876C6AC68F5410428C462AE186DB23885870047013AD1A620002C0001468321B4A4274DA2F8350AD15400231F00360F0BE8184B79E0B3353FC3027F22D31F337002086568A370BF349811A8661';
wwv_flow_imp.g_varchar2_table(3363) := 'D028E633B83490C35D943100E045F6734826E0812508222A0807C939AF8E5C4690344BA640069E748CA310C921FC076C48856D0B855088020594B827640094E3B3D392B847FA340658022440022AE804E64306299A3C5E52CC7A6BCAE7B2AB3593B7E43A';
wwv_flow_imp.g_varchar2_table(3364) := '28260280A70423007085A31227E732CC8D7A4A83C3338200B689443F27D82A2AA0822910022490BF7B689E8E3CCBD87C0ABD828C671442197913B8A48554F8043C280126142FFFBDBBA13F23CE64933803B0A11B8AC010F00200E88406D339C64BC5262A';
wwv_flow_imp.g_varchar2_table(3365) := '8857E249795BAE1153CC58A2B72BB222155BBA6878AEBD12C1CCFB22307AB358C03AD1CC4A3A3C033B28843E10032AE8011D788167983F56814DD9E44FA56830F27C8CB6D415B874A14EC0830C20CEF17ABF282C88D3433DDFAB211E28011D800448F004';
wwv_flow_imp.g_varchar2_table(3366) := '60C0D09E14A89EDBC268B8850FE5282ABAA87B3B4AEF54B3F8B9A25E324F83D82862B8053142C83110BD137082F7B40448A8850A45844270832780019A8A1EB120CB43EBCF227DBAE7F21A68D4923B215090E28165132F89EBCBE06CC46543BD1B424E02';
wwv_flow_imp.g_varchar2_table(3367) := '888024C08027E8845828B80C45CAA70328271AD1C57CBA543488FF2722A5EB53530ECBADCA64BE8284B75BF0CC1705006060863120800FA08119380128580455F8844FA885CE02266148053FE0869ADA41B23452A9B9C503C93C0D650CB654D24FB9A554';
wwv_flow_imp.g_varchar2_table(3368) := '88854E7802EF423DF20A8A930BCE85D30011D8801E18393EC8050C15060C65BEA4A4372AA24E3505B10FCBA533A5B75E82C55B18866A603E8204D0CC03D1E27ACA42D000AD025400F8844540855C388660CAD356A50571803BDA83D448959A57CDB75602';
wwv_flow_imp.g_varchar2_table(3369) := '4ADE78B0E25ACB4CFDA37FE086507005476001931B2F640B8065038077C5341CE24640D3802440044A40473F00D356AD4CDA82865F12C83535088832ABEA94CE7B8B8658B50516CA4C77443A8D82B02F3288FFA704064F38543110034B10834F70216838';
wwv_flow_imp.g_varchar2_table(3370) := '066110D95CB00557B056C5100BDAD9316D3D18503849822059B50426664052E068C7001550DA0B2E5008401150B6B0FBBDC6BA313EF3B30830022AE8035020AA2F0586417A21E623D86F85BEE8A3AB6B68A50BF3305A85CA8114CFC89BD934DDB99E845A';
wwv_flow_imp.g_varchar2_table(3371) := '6160C782B34535E884638020B58DB34172858C843B8B53469645187FCD535B08A783A8D4E0B0AD315DCB9CCD146C0885587003040034BD5C2AF202BE3C8C800748D517F00337E8445BE0499B7B215795D5CABB40359535B29AD989CADA807A30F124062A';
wwv_flow_imp.g_varchar2_table(3372) := '824A7165D18A15A39B1B860A3D22723AA44883595AB0A3B148597A284BBAD5165A308877EB0EFF0843DDADC0D4DBC4946B40573CA84982404E26AC5702D08007C8CB03D0001410A21D40C73B70DA829853CB3C082E52A264D840B9DA429E7322C7E439F1';
wwv_flow_imp.g_varchar2_table(3373) := 'EC49307A865BB085E20250EF83DACA94D331AA85CA8559FB32AAB90385931D0821C55DDD3D18993D08C38437341D5F2024D7C0F50457E8840D90571C3ADC057DA40DD800EF22001630822A480543B845CAB55F622824CA8D5F8530D32662AE824DDD3525';
wwv_flow_imp.g_varchar2_table(3374) := '5DA8755164B005E6DB47F94D5DA87D4A76DCB6CDEC548298CB63C0DB160A05FEB5B86C05E0F0F930A9251301ED9E6BC8845448051D50D0B05350C58D570378801B7B8131E0833EF803373084F815279EBCCCCB84200B0C281125B1A1E4D0FFA6BCABC853';
wwv_flow_imp.g_varchar2_table(3375) := '2262B0855770637E9CC5CB6C4ACF84AECAE4C950E80482F8843D9E4B4870843DFE84B9CC0637E95F1E5CD921C69DA12C15248EAF6C505A48D8804BF33363B3646E8C5764EB3316C884314802378004CBC5DB8605802FF6DB8230B5085B53557BBC0B9CA2';
wwv_flow_imp.g_varchar2_table(3376) := 'F871D15B4006591E539A45885FF8A5397D5560F0833E28048280843DD6E150000037A0044A08054A080743965B8F54E4C3092826AA5547593BE2AD906C08055AF08203C4210448000678802AD6000A08E726248800288154000617B2054192D9CD94E182';
wwv_flow_imp.g_varchar2_table(3377) := '7CAE1323DFBB8A47237E3EED43DFF8A54D297AB083E0A83915A350A8823EE8843E1666621EDC5C080531E08350C88465B65DFF1ECCDD6776998155A503A6667245926C48854C1001064000637B000AA00000D8000EF00000F000721E69633B0011000541';
wwv_flow_imp.g_varchar2_table(3378) := '1AE53C7DD9BB05065F2D4807832068405FC584E5DC024A13EBDE2B7A061745CFE73A4C9A0DDB317D4A82B8396080844280044AE863002066179ACBFB1A034AE80471288A471D1722B5689709DB097215DB2CC46B4E054478800840000428690F40011328';
wwv_flow_imp.g_varchar2_table(3379) := '080FC06B948680BC44694AA085581885416AE75246088EFA25088A1F3626AB07DBDA2F4BD354A4ABC4E628142B088A2DEC61F0550010D9584004477004E704004AC06A47388327880235F8043E2804B80D528A2EEBB7811FB4A615C0CD4D5A28DC044000';
wwv_flow_imp.g_varchar2_table(3380) := '94F600BB0600FF18E86D13A06B13006E261CE93BB885BF6EE71E6E211752CB30D63936264ACA4C6CCA43539EAB59B2AA86529345A5E64784A8E13C158650C0834270844FA084CFFE044758842758A90C1082F2CE04FEC556677EEDB6819F8318D8A6DC91';
wwv_flow_imp.g_varchar2_table(3381) := 'D82BC4A210AA58A802614B000AD86DBBE6000030811B3001952E7011806B03480201266CB5146131EA2809EAA8FA41C80B3AB5B1E2392FE3256F1541C5FCE9CAFCA5E8F4EE5B10861715065B70843BF8E5F2F6ECD45E8450288401CB002A800444D89F89';
wwv_flow_imp.g_varchar2_table(3382) := '1ED2FA6E9B56F00585543B8EA6926C0069B9DE80145870957E000348000EE0000A90F2DEBE010E10361388045A10A4BC85EA706A5A8358478250055EE085FF61AA05741058CBB3C08194B7EB4665A5742E8E0AD7A67ECA1527086100853EC003442808CF';
wwv_flow_imp.g_varchar2_table(3383) := '5E043550B7C15D842660013C50E6C1F0238A266B2087994F002653F91AD7ECBF18C907A1720328A70013D8000430690A786900488092AEE2DD4669C77D0371EAE1CD94595D663E72B20400908453A803392C060EBBADA63688348CB75EF749EE96E3310D';
wwv_flow_imp.g_varchar2_table(3384) := '5ECC16D9A6A504379854CF2E842C5683F914834540C926788242B89F498915FA767498B1A4EED6EF32C9D97EB8F46C4802617BF200803FC5E2C6B81EF507887282F0802A36A25B006C922D65B514D3C423873EA88343A0AE16EC036EE0A0824B4AF384BA';
wwv_flow_imp.g_varchar2_table(3385) := '60D7DB0EEF760015D73905807D04065AE003FF3520EFCF468445C0033B70834528043C00804510031C10022328E4EBF1DF8ACEF683B1835AD0EC4807424ACF2C70FF0764E0806F0E809A3FB6851B6900C86D51078092D6791820E71DC8045BC0DBB95375';
wwv_flow_imp.g_varchar2_table(3386) := 'BCC55309F2843448833100808786F4CFEEAC9C2B41DAFC67CB2EEC892D885964F9015E71617005D16E4E405E043EE0831947E6F46E7621C8800C98200AF1DF443E79B779EA96275E98F704280F34732F88B8D6799D6738512F690270F2182883764E054F';
wwv_flow_imp.g_varchar2_table(3387) := '0827177A8554207AE6F3843E300203E0013B68820C58AD4520084700538EFA229DCB5C138FF4EB8ECE13AF5882F0D57DC4EC317A0237F0022B04A9655F84CE665619170387FB4DDA0293FFF9368AB9879AEB3A03483F17FE8EC64B8F84003036BE3F4E63';
wwv_flow_imp.g_varchar2_table(3388) := '2308BF2F88274F8096BE8124A085C6F7044E1D05A31F064FF8823BB801E4B4A12560020C9881338882AFD2ECA7A6D3802D418A55CB56AAC08E82BA0A34CFFF84AE1AAE61151F863B1001310008246E1C012854880F9F3E76D4F4E153084F941238744440';
wwv_flow_imp.g_varchar2_table(3389) := '0600C0BF7FFDF8B5A3C7EF22C8902247922C69F224CA942A57B26CE9F225CC983267D25C5902809D90C36AF2EC79315FBE7AFDE061EC67F4DE3F4801080008008080010006A022900AA02A80084C1110E04061C78F4CB652C51A0560D8AB5486DEDC2080';
wwv_flow_imp.g_varchar2_table(3390) := 'E001C8031800CCA03163469345B18009BB486C27B1B3812FDAB2358C19B4FF91D09E31B388B8F1E0619225DF1A06CCF20B235E84147284A8A0C18B8E1C7DB243650980123422ECBC677463C78F3E67D3EED9B736EEDCBA779F3C7020C30791B966237BCC';
wwv_flow_imp.g_varchar2_table(3391) := '9B65D0A1458FFE3314C0E952A6000E5C8C0A12AB54AE0FBE0230341654A63F6592BC981AF5AD01065119609801800900359F2EEEDC79B23280E2892F267EF60C1A62172113D93095515620308C7811851794780600228E4002C9279038621A0042E00040';
wwv_flow_imp.g_varchar2_table(3392) := '06AC01704F511C7994CF71259A788B8929AAB8624CB10090CB6D2CF2069450446904403FF534B75453044817D254552180400241068000053DEC9044123BBCB00102415635D50158511700064C4471464EA10073D197FF20D90200302886341834D100F0';
wwv_flow_imp.g_varchar2_table(3393) := 'DF9AFD61F30C00D158149864F489294C285508C1C77C115E349F2385B8A106154D348143041D42F38F6B46FDD38E3CB2C948DB97C30110E36CC258862900154EFA29A8BACD575328A1845A1250F9B866A35100E8E8078F3C5AF7A354060C791154573DF0';
wwv_flow_imp.g_varchar2_table(3394) := 'C20F220C895D04D6C52515031C2E2106007C02108B30C084D92C00A090452648F6EDE42200A984420B3263C6024A289EA4A2699D208549262549E0C00700A4510240289D00E0E0227898D6C46A8A328A633F8FC223E9A9321D032DBCB4E8D6D7972EEA00';
wwv_flow_imp.g_varchar2_table(3395) := '80BC128E1A30C4119B88082300B802802D15031009C4FC2065E33F1721E59C74B48A6480AD5332158001FF0F78F08309448264AB75D43D8540062F0010C5187DF4E188A9E682A429B600182C52827774376F2EC8981A09259974924A7DD686E9AC2D7EE8';
wwv_flow_imp.g_varchar2_table(3396) := 'C01922947C226F27A67E321A1F7688D1440911A8BD285219FDE34EA421852C314BC780E4622717EF66EAC22075222FDD810B4E927D2FDD56F8591027C76A3FAEFEF3078F25498732000C24E0A3740F70D083AFB35A1715750730C0C3115478D17367F02E';
wwv_flow_imp.g_varchar2_table(3397) := '1B52B7A97437C6457A87746EE2D020939845F92133D9EC5F3A1B8B1B3A201121258077321FBD8B108AAFDA11B09D51BFED0000F0E027710A801B17597ADC188EBC5B3DF8E1BF64AD48BB07BC785117E94832AE2111E0D4E42D6BF5D453DBBD208279FF93';
wwv_flow_imp.g_varchar2_table(3398) := '5F24BA062C0851C518DCD08742B44B7517091A1FBC800400880024B94B5C7D74270C64F46518B6ABDA640AC7176791A9136A40421408329FE3BDCB118B5844D9EE952FE701601F1A89DEF44824BE928C8A0A00D880062270A9E3F4410C3570C3278A37C3';
wwv_flow_imp.g_varchar2_table(3399) := '21123125BB435CA854A59C1BF563643CF291534002BF993D2002CF614ACB28F0020F60B17DD4D1400F8CF0843138041114921722F820863380240320D9C04D40829FF201001AC3B0C811ED73C4B3D80753C210C627CEE6057785E213A1F09A097B488533';
wwv_flow_imp.g_varchar2_table(3400) := '44410827C080BE90E228B81551244B284106309043376E005E96390EB20040219014B292A62462B91457A3E5388E7D2B33595C5AD614FF5C1920020FE8010B9642B9A84440033C18E31D08D82E37144A0799BC880E01700237DE10002C2849EE6E57C709';
wwv_flow_imp.g_varchar2_table(3401) := '0A633F7CE4DD59FE088C63C4A216AA80441F9A800131442888640389D9CED0042108010311586662DAD62FB8516F88C95C513142A18A4FA8C287C1390E2E4E29509FEC67183132E8A780B22A56AE2F72EF7BE52CB1882404440E010C88400C58B0320068';
wwv_flow_imp.g_varchar2_table(3402) := 'C00800E801009210C08314C20F4B28D63D43928138327324E4BBE3032948416AEE8482D0F8A3308E212F551CE23D53786414163136832C62216743421390B00428B4335119789EA3A43750946C703690F00500D240032880E467A21989102EB2CE13AC44';
wwv_flow_imp.g_varchar2_table(3403) := '1A531D5C1F3EF399B9CCFFE5AC2D49553E96D8B80FFD035625EB115EAB931E0A5074726FB95F0018C082233CA1093C100215ECA0340242420C0CD0401B47B2D20C70607664D2E01FF578BBDD51F08E13BC485FC8318C63F4610F7BC0417BD2C004069CC1';
wwv_flow_imp.g_varchar2_table(3404) := '127BD0031B419206004081AB4C80C2239D6A4D8DBC2D6E6E95D16C55E2041AE0A0A92DA1060002FADB5311647FCB7D0950FAE10E5622C5AE4CA1D55D51C6000E1820725179800676E0863178619D0068C213DCB0080849A813270D0E33C9CAA13882A404';
wwv_flow_imp.g_varchar2_table(3405) := '36441A5FA84598D5E90DA197DA09B480A10D555862137B980E14C83003271C42129A60852404210890D0810E0070821332C09E0C64C0222E8CEAF4DC7A829BF04045FF67A8014B861B931C3C37545F03C05C8ED96294C055BAD4ADAB4345F2D05A4580BB';
wwv_flow_imp.g_varchar2_table(3406) := '4FB4D5031080843B3CE1B0E815831D1C421A0A2D823D1C6AEB456EC24C6696A0B92201F0A55231A18D6522169339685F725A8B8BB402159BA0C30CE0E3040B030015A8600500241161095718C318B8288791F18F7DBCE651213E6B4B77D30A91681524BB';
wwv_flow_imp.g_varchar2_table(3407) := '00C02966D382118C40052A7001105CB00320EC60C62632D5022109654B9B24BAD37D215DEDDA3EF7CD0C0111D800E6241AACC122350A4856DA68C27691251CE0911C02C93253B3D290D0C26E301249669D85503BDAC9A5B528C42654B1894D00E0108420';
wwv_flow_imp.g_varchar2_table(3408) := '04860971915DA022D11761C584EBEC9E3BE779CFD0F3FFF36FE9ABA234CC200A2C994BB14C428448473A244AB00248DECDE9E3B808BE6C9DB749F8C18F7F804C6438BE2B495086330A4491725731800E9E40853126F92290E8442C42118B3E4032B21769';
wwv_flow_imp.g_varchar2_table(3409) := '29265313128499E436871B495F8E118A4D1064117D80827BC8706132680215BBA0362BDECC0A6C0B820E6470C20CE48281137020312E741B3D2535B7224AB90FC8D81E6EF47002277015249A08092A4C62B395A0010D5B408316B6A0052D00400B680849';
wwv_flow_imp.g_varchar2_table(3410) := '93F04D9BED553CD0620789A719FAEF1EBD8F7EB1640005ACA8575C31E0056218831D04B85E47842D16B148453B9F7CF1FA924418B900C6E1F5BBF118698AF1B323ED1E16910628DC96109B40451DFFF46068561C1AD1D8BE88CD71BE611AB0C0E7DFA6A7';
wwv_flow_imp.g_varchar2_table(3411) := '0C4F29DF1405D7247026897B60C2F5325C440B5FB8C2D97383AD0868FADEB9477B5C3FDDAA57B12CAF22398076B9EB231D4740066A28831DFAB00833F69D4C8548142433C9E10C3952D771FCC4306C51A9946436CCE672D63180D18734E464063D05002F';
wwv_flow_imp.g_varchar2_table(3412) := 'A84D6D6B8764E674A603CE73FE8112F0A0F42DECB3F4D4934009C39850CB06FD513625A07FC9842FD01F00741E49140B243DD3498C01EE81C41680041C00C01F884407FE5E4DD81094995DEEA58A8DDD083F105F55444714C5527AF858170D49CBF0801A';
wwv_flow_imp.g_varchar2_table(3413) := '0850418C12590C071230808C5D1C0DA813091A1EC60C21D2B8D497681000D88D2D1CFF03244081B9CD401A1C022AB4822A5C84240000215C2148CC1CE8DD9C7B30C00CF84F09E4CEB705E072D9CD8B005BB554D0F58CC4974CC114544E486015A2B144B1';
wwv_flow_imp.g_varchar2_table(3414) := 'B85109502049C4C1071AC2C6004025A0841F7C2008C644A06DDAEFD598F0A9CF3F44C291B0DD14C55204109C556447946C800E30C4005188B8B8482E4042A27048324192B9DDC4EA19D0980083F89144986CCAD098CB2A22DE22ACC07440A1B4B5426CA9';
wwv_flow_imp.g_varchar2_table(3415) := '9C1EE881203CDB45D41CFE891E038C180F94C030781B6F418A001291B89984B5B4E14ACC85E501C0D38D041DBCDE4850C75CE8E14978822754C2378644235C04C780042116E24B84D2947D80AD1562DA811A3EFC432A40C515E5FF95FE5040255A459438';
wwv_flow_imp.g_varchar2_table(3416) := '130BDC011F2C022498CA98A5C27044010F6EC745C458235D1C338981E109A14AD04E49205E1276820F1D000DE8C1211C82CA2D9813900119541800BC5EE83941E5CC806AB04087318ADB348E3CA49EEA698F1286490116DB4A84092D0083EBF4C488D140';
wwv_flow_imp.g_varchar2_table(3417) := '4A988559984424344239A2E36CC0173ABE63AB20053388C08EC192C0E1E3E74C07021C4004E4211F4488AC61CB31384228E2634A0D9E4F66C82710602A8A1FD2819C495CCD45B88830C4C26931C1199C01CECDC55DAC1900D0C184E5E5CD390118D28010';
wwv_flow_imp.g_varchar2_table(3418) := 'D00026E959DBDC886F09540610C470885F4DCA442E8CC9D13466D3CD44043CC13E94043824D74504A2498CE3391AFF654F545C22061F2BE5C33F5C430C4C0574001CCA440004F848901C1CCE3C800E140285485C2DE442E251010FEA1033B51587650053';
wwv_flow_imp.g_varchar2_table(3419) := 'F9A4439E654B54554824DE97D882A5C088230C1714E41F752C988565DB4578E10C04876062D2F3400F00C80300C0642545C1C0600C0735264C14C663D2422EC4826E5E44EC99049B9944C69D443D9004208CC4155C60A581A67FCE84090A5FE3904836DC';
wwv_flow_imp.g_varchar2_table(3420) := '00CA444EE4F0D82C61C73E72180B2082BCF85DB684422E2002878562047CC0070CD70CB4871308817B0801851220ED48E471DECDF6B8A71DD4C57B98245DB8685EB21986C1D80CE0210B944062D0036FB9E43216515AFA042D04E9EA6CCFD29D224A2453';
wwv_flow_imp.g_varchar2_table(3421) := '0934FF234BC01B4AC00500E0E37FB6441AC4D64560D858C2C862FEE829056869FE43361801E63C47AC5C0403C08579D8CA745C4756DC41BC98CAF15C0412F412EFC1185D689E5FE6250D384109D8415F3067C7DD642A62CC628204594CDC09CC00593901';
wwv_flow_imp.g_varchar2_table(3422) := '7C50D87CE61F8C41529296DE3FE828A81DE629E582AF199E89CE84B790129156A94A8C6009780148B44A4A38E949C04094D6C46CC59E1216207A0E94520EA89712C1F2B5E055D85206E063555E94DA70456B520012288B85304C28F0C103685287D02913';
wwv_flow_imp.g_varchar2_table(3423) := 'A401CE010048D60514044DAC6EDC4D82C963624B59FC9DEBE4C2194480B49281E65D27486058CE2564A200668EEEE8778A67117D021AEA46D188FF0406FC13009CC15E9A0476800478F20B4CB88047AD2A4DA89C49A8675F68E9969226A899663624C154';
wwv_flow_imp.g_varchar2_table(3424) := 'CCD245C8209544C090144B554CE26079811BF80124FC492780D31850840640160694ECCADD4547D2C01E98CA31A02598A86544BE4861C4022DD0ACC5B882EB10A41868E30C6C88489824CE1D40CEB9D33BB1D3A250AA61F283BBCE506EC2226DD8ACC590';
wwv_flow_imp.g_varchar2_table(3425) := '85C4610B94C1286D100100606D128804EC98014A5CC11D94C1157001005481156CADC08A441D30015EEC17B5D4E4A656D2AC4ECF6926013DF688C1D98A53258A0888400A1C8117E0011EF88119BD0B22B841152C4C0D40D6076C5A7C3A811E98E41E60EA';
wwv_flow_imp.g_varchar2_table(3426) := '7232A62ACA044DE6C2D1C4C2C514FF0D2D50815CD0C5BDC5A77B9C6BC9AE14600A0137FCDF6B7CE754A55FB53EEDB480445822225D906958B6441580C4D67D9DD75E8419BC814918011A948115EC2E00588112A46DB9D601C1EEE48B5064EC0A94525EC4';
wwv_flow_imp.g_varchar2_table(3427) := 'BE21C311B04C245647AE42000BDC8014B8813F964119B8011C7C4619880112E8C00AD4800EC0C00A84C0457C40872E58745ED819ACD61E604BE2AD624C4864631A0CE7726B2A4C417AD84CB1B807FDCE856F64E7099C40EA36C1127043C8F043EB5A2A11';
wwv_flow_imp.g_varchar2_table(3428) := 'A59F98C46D6EB0CB48A41B944D9D4F8E654B64204888ED058604ED810411006C1124EF1D3029F386447C4E4173229E2AD6A42D406311CDEDBE3143120C09163DECAFD8120770FF8008C8C00F1C011E6482275002232042E222010FE8800EBC000FF48006';
wwv_flow_imp.g_varchar2_table(3429) := '84C00904877B38C16C99E41990DB1E7053CB4E6F449EE5B9A0E7E6664B2C24410EC92199C258B188CE04B2D312AC531434C1A25CE605F7E80CB7C49DC5C55CC857589D974A04C34804AF48409647F5410A9B4048206F2097EB5DE0EA4840EDD1C86AF5D2';
wwv_flow_imp.g_varchar2_table(3430) := 'ED35642F2693848F54C9453D800828C9139CCE1D648F1B94411FA00053D4315D50DE9D052D002C824E89042DA0714BCCABC5644BB4944A28C4292C89C47358A56A00260D00E63784CC6BF0E8596D728AA8014B04C06F00804F968010B8D1655EC4D08144';
wwv_flow_imp.g_varchar2_table(3431) := '3760CC2BD8C22B98C99898090078821C91042854F245A8C27AA1FF443864C337D073362C970FF31B2DBC011E5CC40686C406FA0100F881405F841FE0C12ABFC11D1034244402C4010331F82124A4023020C222BCE9DE5D042E030036D44438BB443670C3';
wwv_flow_imp.g_varchar2_table(3432) := '355C43261802221034428084D2F0813FDE81214C082578CD21D1823C38F31F9F553800C037AC48C7260B1C340400F4C14808B4F7C0843E84C47DBA4A3DDCE75283843E24B53B8B04F4CC95BF8EE609CED53F7C4446D444E3B4AE48CC155843CF517B75A8';
wwv_flow_imp.g_varchar2_table(3433) := '3C3355B3C456E3887782E7D212D1589F758AF40B5ABB900BB9843D303552EBC35147355F4FCFBEF55BA9EE033DD8C33DD0C33D8088AB1C36BF82043DF0AB3CDCC3633FB661CF0300D0035453F63CD8C33CCCFF4363AB4F3E00724BC0F5456C0448FC833D';
wwv_flow_imp.g_varchar2_table(3434) := '84843D98F6696FB6C8D4033D34F6525B7652B3F645D843376384DB7C6756976A5FD7063E807648F4A83EF4C37017776F33EFAC9AAAA94A755AD7754B58B06893C47047F74B50F7685BEF3767F5379BC433A3447763F07187B77807CC3D28AC685BB7BF42';
wwv_flow_imp.g_varchar2_table(3435) := 'F745EC4337B3B7BEAD77A9CED57B73377A9BD277B7F578E7B77ECF48789A7749F0436ADF088E00CC47B0F768CF37F001058293447D4FD5461805A484E77E4F3885CF887993B53DB48A3DD8C3BE31B769DFB646CCB7BEA5DE828F44833B3884837785AF38';
wwv_flow_imp.g_varchar2_table(3436) := '8BCBC43BCE4DC8A435496C77485CA6BED5936C2CF84758F0EFBD8632B6389007F95BF5F75563FFB53C6443364C0300DC33004CC33D4F83925F8492AFC3696FF5DC74358F0F785C894C8ED48369BA06700BD4332B237E0BB9999BF9DC5E8439DC022EFCC2';
wwv_flow_imp.g_varchar2_table(3437) := '3010032E10C32D80C22DFC4272E14240DDC2369876698FF6673BF3D0C97548C8B77DC3B5003E38349FB9A22F7A7FFBB75A97C32F443A487882F25A412444FA2FC88222EFF947C4A33970C103C0C13F84C30FB8423F64C30E70C01BC0C31B78C20FFC0007';
wwv_flow_imp.g_varchar2_table(3438) := 'F8413ADC0028FC835014D1725B2F8343F78F33BAAF073997825ABF9803A6E7C72D58C10F5401D6BA4232FC022EC8022E70BA69D7150764C3317AC20370C13F0CC30D0C830130C30E004338C47A3AA4C2035441569F7889C8786EC704A247FFF8AFC7FB8A';
wwv_flow_imp.g_varchar2_table(3439) := 'DFF85FB3929AB7B9B333C32854411F805315744232AC822CC8020048FBBE4DC33389033F24C1301C413660C303A4001AA8C30E64C33F1C0131FC83143CC30E584498D346565B76BFAA4F67BFB63CD8F63C20B66283443DDCC36F9FB5DBF496BACB3BCD07';
wwv_flow_imp.g_varchar2_table(3440) := '72B09BEA3F8003BE07D428F441B2B5421FD482323C3BB4EF7995F7434DA3C1115C03029840007802C797011AFC830C3CC33FFCC02D94830138BD1F4CEACCD38451F0033DB0030098C345A40300A80300A403DA9BBD399843399803DAABF9DAABFDDAA703';
wwv_flow_imp.g_varchar2_table(3441) := 'A4A4DE98AB78CDF73D5FA7F93F94439B2B32008C822A20C2A02D0B3330030014FD567F8427988009C0C11B24C135F8811200FF4312B8030C18C20E1CA309D0C21FFC4036308207B043AEEFC646C8833ABC3DDBB7033BB083DCB7BE3AB4FEEC83443AA803';
wwv_flow_imp.g_varchar2_table(3442) := 'DED73E51E87E39A8836FEDFDC7FB3DF183A622C203A85D0438447A30E042308CC221285B2B1C422D240333343F2E80C386EFB63A54063D64833AD87A36A483C597433564033B78A93A8CBF464403EAAB083F907D39B0832778C11B5CC31BF84160BCC12D';
wwv_flow_imp.g_varchar2_table(3443) := 'C00140DC21A68E8BA77400B8502A67080E2843E540BD0260AE5D3D0017FB656C278FDF458F1F41861439926449932751A654B992654B972F61C6943993664D99F900E4CBD7CF1D807F193D82C3F50B002E6286A658DAD42A0D8064C370C902B0ED9FBD7F';
wwv_flow_imp.g_varchar2_table(3444) := '3F7D7EACF7EFFF23D78BF9BC02B8770F40C67E364FE65307A09CBA3799D0783A9269588A5BE988F829772BC618715C5C01786348DDB32391AA806A57AE1DBD8E653572443B997265CB973167D6BC99B3499D3BDDC1FBD98FEBBF72B8821103102D529D4D';
wwv_flow_imp.g_varchar2_table(3445) := '4BF76CAA460C17AEA9557DF61B7B8F34C6B2BC7102E0D7911FBD9DFCEE05EFCC6F6D39767E76E855E2491CA81BB4AC443287A68C92615C8CD07A03EA9FB82A99B8D07247912CE4C88F3BC7973F9F7E7DFBF72D7FE6293A636970CC820180985AAE888D17';
wwv_flow_imp.g_varchar2_table(3446) := '000ED9A3136088F9051770AA3AEBABB242E227380BF3A9E71E8BEEE147C2CE7E52C79C72E081C390323249C2956168E1C2902A3C01E6074FB8E00EA14CACFFA025152ECA81239589DC51CEAC8D2CC4CFC823914C52C92563C249A7FD46BBE81F737049E6';
wwv_flow_imp.g_varchar2_table(3447) := '1633A6A8A28E3D5401A08E3AA640E316DAC4F9C7C38CF8B98A3409494BF3A28EC22A6B27F932A2E7A074A209279B5B6CF1E49654523167984C6C41069E6C9061C69C5B10F5241A66C2A9A69B74D8310EA321256352D34D39EDD453CC3EFBA7A7D1AE0200';
wwv_flow_imp.g_varchar2_table(3448) := '9C062301628A29D2A8C3923A984863D5486803A71F7BCEE28A9D79FA51E71F79CAF2151E77DCB9079E76BA29279C70DC89B3B38CE011F1A2B50090871D78E449471E7800584F1E794484C71CB1D851271D75CCA5E723B3CECAF4D377E18D57DE789F1C35';
wwv_flow_imp.g_varchar2_table(3449) := 'ACF27061A60F24586DEACB43BE9C220E326FFFF5892B46FF89249D6CC251C7157EAEC946E26768C9261D5768E1B6BE8CF201D6236E870DED22620118B66400DA01809D8BBE95A71EE52E6DB7C87969AED9E69B35731234833D2A8F98686AD9648F290090';
wwv_flow_imp.g_varchar2_table(3450) := 'D5350437F1A41A00BAB9D52B76AEB9C61D5AA679269B72AA2947627502B5FA1F3DFF99D33E674F5273660A870BC9AC6AE1C3D9EDB7E18EDBB37A73FBA89C618801A6933E562D7A8A58AFA865147282E9469F36FFA9261557BA41269D4CB2D1F1166CB2F9';
wwv_flow_imp.g_varchar2_table(3451) := 'C715D186E9261B6CC27EFBCCB63D5ADB5DB9492FDD749AE92E152B4187C9A5965A0C51C5904D54F90380D78D624B1F7DE4BC069E74A6B9A69F619E09279F70A2490579779EB1459D70BAFFE91C6EB26366FBF4EBB1CF5E49FD46058AE56CAEA9A69A8801';
wwv_flow_imp.g_varchar2_table(3452) := 'C86669F3A5A9061D650050871EDEFB49932BA0CC5C13008BB892871E3341C7FE3DED011840016E26756B2B553FF4818F79E48377F5A0C7B7D6B10E7868EC706CF24847F2D1B6B374844D1FF21F64AA3540118E908430E15E6E2454AA37D9C327C3D9DDFD';
wwv_flow_imp.g_varchar2_table(3453) := 'EA6111DF949025EC22120D7198431DE66427DCFA095678E611AB58C523BB831F85769812A08C2E894D74A2DCDA53161F7AAF2B5EF18A0769163FFC882E274FF4E217E336452CAA108C30E16219D198C6780D8B5DDAD3E27D44073335CE918E489AE055C8';
wwv_flow_imp.g_varchar2_table(3454) := '5812D2506F2558945266F8289F9FA44C1F72F4581D119948CEB8236529618E473B1A099395852492D96B073B562647456E929398D198C648C2AD438E045B211125294358CAECE9AF8B9D74E52B6B62A1E160E8339F09493EC68293288204971789A27234';
wwv_flow_imp.g_varchar2_table(3455) := '2996567E64972E8199728AF9119D780497C914C9324BB2CC60C2929AD544093EB009006C6E939B23716649B2699FF6E02325E4148B39AF89CE8BA8D39AED74E74BC2F94E794E2620000021F904050A0000002C3E0089000F02DB000008FF0001081C48B0';
wwv_flow_imp.g_varchar2_table(3456) := 'A0C18308132A5CC8B0A1C38710234A9C48B122437A16336ADCC83162BE8E20438A1C49B2A4C99328539A748771E03F953063469427B3A6CD9B3873EADC2912633F9E4053FE8317B4A8D1A348932A5DCA3464BF7E449B4A9D4AB5AA55852DAF6A751975AB';
wwv_flow_imp.g_varchar2_table(3457) := 'D7AF60C38EFC0820ABD8A943CFAA5DCBB6AD418C2F15FEB337376EC39F6E35A6CDCBB7AF5FA6F51AF2B3CBF063BF7A86EFF13BB8F8EFC0C67B1D4B9E4CF9E4BD8F8115EE1378AF5C397DFA12F6235C1032C17B3A1B47543D3172E5D7B06343BC471B004B';
wwv_flow_imp.g_varchar2_table(3458) := '85FDF6EDE3A6EACC9E6F00F0220C970D00AD6EC3F6D92A07E0DA3300EC3C6512C8DA66BEEA08177F64DD18FBC1A75D658BFF1F4FBE366A8CDE012C1676268DC042EC00900E2EF00E1A4F329E1930F7C0C3BF325C0040411163B8A29E563FFD23DC435091';
wwv_flow_imp.g_varchar2_table(3459) := 'E7E083AFD156CF79077E07402C00D4A28A3300BCC3CF820B4662C40DEA984341394724E009246FF851053CB608B4A04C2D9905004DF46476908E08F1481078100629245F1252681A41EB6528902AC08556D03F8145628009F49443813944D0520511708C';
wwv_flow_imp.g_varchar2_table(3460) := '6148390628F1CF62F39D449641CC09648E40E910B426006DB6399039720AC48E3CD8B936E49E7C6A954F916521F9CF98832EF68D86AA00504C3ABACD08006A70DC01C70ED93C60CE06D93003C01FC300E00A1A3FC6748F3BEA00200E3B44B5D90E7434AD';
wwv_flow_imp.g_varchar2_table(3461) := 'CA4E39E9C0FFD366AB00B4234F3AE6B4C39C3AE9D4932A4D3FEAD9E7B0C42AF5673D1306DA1DA183FDD3D931B564480EB08C01908A27F55491CA1BE9BC110E00657802002802758A9A4C3499538E3AB68062CEB7AE98734B26CC0C93C933EA6413A327E2';
wwv_flow_imp.g_varchar2_table(3462) := 'DED25C26E198430B00998A03CA2D9EB173E6530D16EBF0C341F1736CB2662DAB206DE844BB28B5F42D941E4EFDB823903B99A0910923A054E1472455FC918D140028518E2101D8BB832D557832062865440300BF65BC61083274AA73AE8C0D43ACF4D237';
wwv_flow_imp.g_varchar2_table(3463) := 'D5A6AC7C7509B4CF4FFB1CAA689B9B214DD04B1FC103E53F671E6D634CEDA89B8E12CCB06305255CF80140156530C305228684C3851B8698C3853B6828FF01C97F912401B71F9EC0C04C3AEBE2F363D24C37EEB84AF50C3A285D940B144E280239B20800';
wwv_flow_imp.g_varchar2_table(3464) := 'C7D4F9D4403F2DD61866051D5DD068025D57D2AAE5C06372366354B20332EC24310C3B4A00E0872D1CBC010332320370C71BE668CB0531008C414F241EC0CA8EE9A385F7F8F4D48314D868F6D04568389DD8E105155E0814BE1BB1A4B3E04B8EDAE5A88F';
wwv_flow_imp.g_varchar2_table(3465) := '8439CA514BE98453061ACFD812093DEABCC1852B7E84F38617AE880F0010610E386403115F488538EE400F3FC0415C99A0133CCE141C6155EF82188C4860243717BA64430D07099F40FC502782C4471DECB88639FE118E6E00A054B6694736C40100A29C';
wwv_flow_imp.g_varchar2_table(3466) := 'AA8426E107FC78052718AAA344EC78933AFFD234A739A9431C727A533BE8C19AE865F08950744866EA32A89F5521790319C340AA20062F3C47388ABBC5333A058018295060E23007327C468C6C640343D7C8445C2281927AD08328278461AD44C62683A8';
wwv_flow_imp.g_varchar2_table(3467) := '6355D001A440DAC18E76A0861F4DB460141719C5291E682888E082088577873E10C40AB970D430AA810C5A14070099B8863C88510E773C8786C0F8D99B5227937CB81249165A0D2241A7C8EA398291B8BCDE63FEC10E4600609203099F1504128B7E3869';
wwv_flow_imp.g_varchar2_table(3468) := '20B6B8053C86410B66B02B2EB6F01900BA510E6464C367D700C03332C10F5A8CCD2AA19BA58C6AF93840E0C1116E3BC83470393D1F05871ED7488521DCF0863B10040D77A06336FE71FF4C81548328CCD04738AE3130713C6720A000063CBE35275AFC23';
wwv_flow_imp.g_varchar2_table(3469) := '1A910B0B2255E34428DE9211AF10C62F52611069AC939DC522CBB9DC093AD400322A22E39841CE070027DDE329D5A1E8C7B49248A2CCB4718CA08441B2210D1702401A0C05299F16730F64D90623141448152DF492AC91C67D1FAA908C94AA1DC5B84F2C';
wwv_flow_imp.g_varchar2_table(3470) := '1515AA5699469B73A1272259EB986026BAB582B8F2A656A1605631A82981BC0200EB484836B7BAA73F39EDAB25216B435EB916B59213833E1548A9C0F149BAEEA9AB02C12B49D0FA1871AAC5AFD213EA28C0A10E7004D5B04142ECD3700959A18E8320E2';
wwv_flow_imp.g_varchar2_table(3471) := 'C26C9F2494580024158A9DD56A35C6210E5C8876B488FD266A8315595CFFAE031C00B8852106D2CFD7CAA6AB97091448531BC573041600CA38486F7D3B9ECBC0A31E57CD604D17F9916E8023AE82DD4637B4CBDCBA3E37BA1874EC5A33989571A8C35FE3';
wwv_flow_imp.g_varchar2_table(3472) := '70A13400B08DCB76973CF9F82E5026CAD8AA88F7AF171C0731B6618EF5F2B4B0EF75507CA10B949754517262992E2EAD6B8E60B8B01A04D946801DE45C02EB8436E1284786395826ABDCB7B650F4A9840902E009C7A6C2E04D093F68438B48302246CDEA';
wwv_flow_imp.g_varchar2_table(3473) := 'B07D298ADFE9AD17B93E4D2E002C6B62F8CA3721F5D5483EFE91897D2272A960F93048AB5109826C5720C8EBB178063C23C3F4633B15F90805FF149C7B64851EFF8884CFF2319ACFFD84A45251322E69F85381E818FF0057D8AD9423541B782876C8A67D';
wwv_flow_imp.g_varchar2_table(3474) := '493AF231217E64266C2DB9CCB94C57ADD4E1C516C4888BA3825C14353377B973EE4B5133438F7E8C8E60C599E1353A1C093D5E43473FD132F25E920D7520231CF4F004255271E56BD8E20FE9F887213C410F6630421CFDA0452514C3689EA8F9B4910E36';
wwv_flow_imp.g_varchar2_table(3475) := '58106B674B0B2430A988912B5CC11C575C8364C54106B8D4A16B00FC805C9E78B67CEE918E3F1CD413E1F803F20426674F8863189E80B0B8C4110D8E0AC41532568AA35F0B6961BB85D87845CDC05C518616CBC80F3ACD8621C4E1863541C2137EB80628';
wwv_flow_imp.g_varchar2_table(3476) := 'E8889CB46443DA9F7CB8405251AA54ACE99AC328D5C07C360C78C53B29F366E71FEC7D627C2332D4D6FFCA843A2A010A4F241B0056C8043168C151433023157058383B0C11890006E723D2040573EA652A354D4777CC780342D4918A8F23E5D7200DED40';
wwv_flow_imp.g_varchar2_table(3477) := 'AE3055924BBAA835442ACA53E12F60D0C213AEE0682AFC908D76F8211365B005CFA5E38A6818A21BE2F0C43F30128D6AA843EE0493B62DF4FE494880E2A002F184BF5C7295904771F07F503A0040E5A5145B3D2CF896EA50BC268F76ACAA1DFDB84736FF';
wwv_flow_imp.g_varchar2_table(3478) := '512A75F0E35BF0A0C93F66A8D4EB6084163E3B0C4696588F4CC82330D928C782E6FA95E9F65A69A05A3C3ED150067BFEC1E98FFF0A698BCD1A0589F5CA78399AE23A76CCA7D8B51FECC087A3F0E18E2B0F04CD5E31FC22DD604F70F1BE0CC1A78CFF3B75';
wwv_flow_imp.g_varchar2_table(3479) := '68DA8F998E2C182130E9024368EAA827F3D9B134B0AF325EA1BAA10C6ED854F8FF42BA270D04EBC6973A48655AF4A0180BC31955F7288ED717F50745F5B478F7A706F9B77F8ED17F04410FB4000A82440C642455041139D2660EFC906D00E033F0700FA0';
wwv_flow_imp.g_varchar2_table(3480) := '3057B777164F5163D4F3066E8006F9077E6A004214F8173C826CE4A20EE1A072B730309E500EEC800CB7100EF2E042EAD00FEAC008CC400F5C6708CF910AA0D02975E38195D18042550980708338781ACDC108DFC20C03631CE1900A9C0200E11009D900';
wwv_flow_imp.g_varchar2_table(3481) := '0AB4100E43B16E4DF71CD9442EA3276DB2D18220864BAEC5857E6181EE07008C300CB6500977B06CC45032B660205FC766F441434DFF770B94F01CE2D20FCCD05677E8824F140C7CD8177E0865A91009BA3576B7E00923578872970D774064BB120999D0';
wwv_flow_imp.g_varchar2_table(3482) := '0D6A0700E54047C8F00C7F100902748979B889BA981398713EECD046FF4043A5220FE6300CE62040CF2077B1F228CFB04FF2F00C6D520ED5F012CC40430B4812A8931358884BBA200DD2F066BB287CE6B159A7F31D3F010F9EB026324651080832D70812';
wwv_flow_imp.g_varchar2_table(3483) := '0A46577B4878E1B81513731EC64610648118134516889415AA2131C6762E86A1130CF313EFB811DAC748F3588F6701288AA52071518087841A87540FF28017AAF3271F82653C71909F13130BC94872B0850E0979C0458E3FD10EB6500D78511D49A50ED3';
wwv_flow_imp.g_varchar2_table(3484) := '2810CFB04A4001920CFF0313E2C53827D993285124B7A11AFFD00E86700BC3307AB4105FD5100DE1400CFDA046E2C00CE1C06DF2400BE2500EF8C36CFC801CF8200E7A24133899932A466351317F50D40826E9935E919278F511B44046E16008A9F0966F';
wwv_flow_imp.g_varchar2_table(3485) := 'C0087F8008D1F00699F0061C350CA0900999600F86700D91F089E2C00594308525061361299627118F5B252ECA600ED8A59655019115821AA9D0569B0988B6C00CFAB28691D00F86200F9E30869D462E74140931A23BE863138D19928F495B5618453E60';
wwv_flow_imp.g_varchar2_table(3486) := '4900D064A023114020101BB002962913102931EE570E7E700BD9800D72990AAFF099AE500DF2A40E7EA00E85292E3D170984F98900600872120EF91813B1E9988BFF459667610000400001400000E0013B0014570400665010EC1064EAB99E1E20201200';
wwv_flow_imp.g_varchar2_table(3487) := '73C1292AC7561A002030FBD40DB4C00FBCE20EE95036A8866A9E314D038A95D4A60EC7742A37119E094911236915084000F549000980021EB0011A000040004C30A1030431068A078E11B101BE5904FBD94A00307E034116D9281F53352308F918C737A1';
wwv_flow_imp.g_varchar2_table(3488) := 'B18912177A15092010F5292000000138F10230800400203803110B2AFA1014501070007E2F8A129DE87E5A161CA2E381C25190C6864806B8133909923E4A9E5F61A4412A100100000610A41210A5464AA536B10326FA36C304009D6296034100082010F9';
wwv_flow_imp.g_varchar2_table(3489) := '5910725AA56612A38FA95706899363093A3C291643FFCA0103B1035FA07F2A6105C0640548A00346201074D4101A2A107DDAA70000AA000007B9551CBD29A820115CD8E71664AA123F2A15EA39A49EAA11EA699E19310668809B775AA73077A70601044A';
wwv_flow_imp.g_varchar2_table(3490) := 'F0055F70055650AC6810A94300423AD508C681AA6341A8AF219B654A4BB9C8147F70454A50AC80CA05308310AEA09BDD5A1047E00552F00413914EE0B29DB979740010071C610FCE3AA8AB1A5E8B53AD6051A1B15411C6041AFC2A11F01A0F00903D4AB5';
wwv_flow_imp.g_varchar2_table(3491) := '0F7311AF7564108B015E5BEA9F3AAA10EC88B03B7A172B9857B439B13BA11AF6300F192B10F3A011F7A0521C11649606AFD1650F6165B01AB118CB47A82C3555F3C158399AB06471B252E33EFFFFB0B208211CC0079B2E818947C141D9E1585EA120F88A';
wwv_flow_imp.g_varchar2_table(3492) := 'B214C1961E280FE2204807B220F2E08FD4D119375221C0421671E10E342B551B0411450B968B7A156392B36121AD466B1945652404D19485C40E7FF49FFCC03AE970A03F048BF1910FC3C06CF1718CD9007AADB30FCC910DAF62A3920124F646B6656B19';
wwv_flow_imp.g_varchar2_table(3493) := '14E381D9907164F40CDDF07725A829E1C00C460900D2562AF14150966B0ECF400BD7300DD13410C929875176109D728BF7FAB51366B8875B127695B8DBF111936B0ED9404DE1600BA9100D6E240ED7900DC4600EE7C66EF1910ECF700B9F990DFA00B8D9';
wwv_flow_imp.g_varchar2_table(3494) := 'F00CEC007800200C34746AD2E417DBD8BAF12A3198491643A60ECFB02B22E30EB1FFF74234F74322930E5F4713F2F043D7000FD7F02D7CC4269AA22B08E52FB4C380AA6BBD288B99FE9710ECBB42034114E5B0B30401AF03F1BE3A5913848BBFD63B9C40';
wwv_flow_imp.g_varchar2_table(3495) := '0622081B17093B7DACD41859EB1809ACC00BDC9FBD861DD891909F750E3501B0F231182871C1188CBFF32A128B610A0D00000AB013B845175DCBB5D57BC2069BC22111188FC013055000B825C22951C336ECAC386C3D00C00903D1C30451002F3C0019E1';
wwv_flow_imp.g_varchar2_table(3496) := 'C40201C506F1C2D42035485612423CC4825AC41BF114A8F1082D4C100E700159000005801067FC100A300005C0C604C1C64EAC0002805BE0E9B35A6C995CCC1184C6C405E10005210067ACC40291C61571C6730C00405CC276FF7CC73E99C71BF1C5667C';
wwv_flow_imp.g_varchar2_table(3497) := 'C62F2C107E0C0002201073F0C60271C90FC1C900E00002E0C93DAC0BF241B041BCC88C5C787BE2C81E7BC40331C900E0C48A30C82440CAB34010652C118A70CB61E0C204F159897C12269CCA12E5308161B114C109616CC600D0CB00B0C30300C56D8009';
wwv_flow_imp.g_varchar2_table(3498) := '79200A16C1099C300BA45CC966AC0B269B43664ACC827A34061C139710CB02A1001760107E1C06E750C6B0F0595D2011BA200AA4AC0B3BFCC22FFC59BBA9C2B429CEE30CAD4C5413E74C109E4C100AA0006D000059B0006CE010CE8C1017C0CD00E0CD85';
wwv_flow_imp.g_varchar2_table(3499) := '4AADAC04D096792C03215BD8281097B0CCBE3CC80621C50DE1C4078DC6095D8E2A1CCE1ABDD1587754C2F9CCCCFFFCCA35EDCB070DC51760D2533C003BEDC203B0C62F4CC872FC59043C9E8A0A0FF6FAD29B18D36581CC1401CD37ED1084AC11973C0E20';
wwv_flow_imp.g_varchar2_table(3500) := '0CCE4833794CAD962BF67FC22513485C000200CA666DD014CDCD7E5CC972ECC20220C7665DD66F0DCBB02C1046ADD5E3A4D45DAD964E332AE0891759AD0BE340CAE020D883FD59822D10A40C00E3805B869DD8BA00C2895DD10C310EC07CC521F1614BBD';
wwv_flow_imp.g_varchar2_table(3501) := 'D7FBE734A52513070600BA21C2F1F012742110A5FD0FFB100FF6100F9B51DA016BDAA69DDA1D94C8472DC019C18E50B1D99CCD871E9D4309221FF05AB07641DC4A650FFD00AF8D4139243C10476DB8048CDB1B81CABD1D7EAC7C1284823E9FF312CDDD10';
wwv_flow_imp.g_varchar2_table(3502) := '98FFADA3A4F1DD24C1DBD57D83ED07521F52CEE55D8F3F71DEEC94DEEBBDD1AF45DEF1FD787A8D59F280BAF55D8FF070797D224096B7DFA9CC574E5D19EC77100508AD12E1DE02EE93E772D40F6247C802E10ADEE0163E6C08810F1A8EB317AEC51A2E64';
wwv_flow_imp.g_varchar2_table(3503) := 'F6D8E1EB7DDEF710560C2E355D5580F24068279E148166162DDE7E7C25E2555AC108A11B5564CA5511187F26354A05E234EE904CAB611A260E8CB810D00000C071106F520EE660934B210EDC7010D0F00DD830E50801B80641147A1AE4E13757A9100BD1';
wwv_flow_imp.g_varchar2_table(3504) := 'C23999800418800109F1012700004840053A800353D0033A300654200631820DCD311075170DB4B71344F7BCC020064B20105320105460106FFF6EA2268A0246404633ECE513D612C2D181CD6A0BB9E0051FC000210A000C80E605810304110238C0AB17';
wwv_flow_imp.g_varchar2_table(3505) := 'A2E704016135D1E704110D962810632E1062700605C10383CE030381043CF000BB752E5105B2903E671CBD44033B359D920BC63E107D100203C10021E0E9CAEEE9833E101F00EA3410ED9F30108037BD40C171C8D0EDDC900B00A00A8B70084BB0043420';
wwv_flow_imp.g_varchar2_table(3506) := '103A90EE38A0EC195002BE49006E23E9FC107A50FDEBEC742C3FD112AABD19C250EAA55E0B49C00007301018F00100A00334B002E70E001830052150E83430054D00004DC004267A0C48A1ED6C246DD2060AAD00009B20EB00B0F000700227E0EE18A001';
wwv_flow_imp.g_varchar2_table(3507) := '1110AA0C1000F634D0F48127F6FF2E6CF86E67C38EA705910B8550039E2EED0090019C2E100C30104C400550000551B0F04C8004980300C8F3F49AA2ED24510DA86EEA09810CC4200CAA800A8B60097BC0040030032780E69D3E100730F406609EF907F3';
wwv_flow_imp.g_varchar2_table(3508) := '50E1EB333F61359F15A6DC29B1900B18520B55C0001F30F0A1DEE97C0F0067CFF0120F004C800150000083BE081D080D6DD5EA15310DBD9B1054AFEA0B810CC770ED8740085120ED6BCEF0057100692F3C844AB4F4FDF674C5D1655145A853EC02110A7D';
wwv_flow_imp.g_varchar2_table(3509) := '50032190017FBFEC9F0F001FD0F3612F104D50030000EEC3000D1C5F89CE2B11BE2B10EB940DD90460945FF949AE0A9B40101990012770F804C1F7B62AFA53431F3665FAC0FF5E542113394D35289D420B03130A5500F4805FFB421FF4255F02438FE618';
wwv_flow_imp.g_varchar2_table(3510) := '70025100F6CF9BE421710D6D750D9F6B10D9F451000140E040820487013886E8941E270507323870C080C0030026DE11D84FA34078FC1C7E041952E44892254D9E449952E54A962D5DBE841953E64C94F9EE01E8E78EDEBF7F027B0E8B158B5628442200';
wwv_flow_imp.g_varchar2_table(3511) := '440050110081030406A2A8C1200486A31818108C7246080044D03E3E7B998DD9C76902CB0A04FBAC9A4862D0902114B8870C00065719E06842556952A61701ECCB4853F060C2850D1F469C58F1E296F7EAF503B073204F61AE0074125385050BA4069A2E';
wwv_flow_imp.g_varchar2_table(3512) := 'ADC80029801A517484FE20F0C414263C009C10934BD84066C8FFC60200CBF21AD86CD7CC5E5B2BF0E0B05B02995D8B169218B261D06ACDA0B3696E5200500EEDC1B097A2DF9B38FBC103E091F178F2E5CD9F479F9E71F776F206F6EB391B402C4A6AA894';
wwv_flow_imp.g_varchar2_table(3513) := 'D04E91690000187AD42841A0AB6838E084130E98418713960845A0B7067AEB99DC549A26B98282530B006626C42D38829E19AB3661C8A9858C3A50998B01AA0422C309880422C0298130AA67207EE0714F3D1D77E4B1471F7F1CCC3100DCC9D127008049';
wwv_flow_imp.g_varchar2_table(3514) := '0580541C11C3351945422A831594B28B2E006810E8135B1E348E43957CFB083900D6B2D0A13235BC0D19E6A0D9442049069A612027A68391A200687C0F477C80E4B34F3FFF04943CF68A1C081881520945FF8C271F7A11800094A22A8403AE12108038AB';
wwv_flow_imp.g_varchar2_table(3515) := '03800F61B8C4EDAD3351CAA64330A7F150A5DA6A830B0041D2988E4E3AEB5CEA0143F3798F48F102C535575D77E575A0411D4272204A3280B5338A069AC84A4A2BA5AA8942C4681099DC6ED38DA0B308AA6D1A30BF320EDB836AF142A03AC860020027D2';
wwv_flow_imp.g_varchar2_table(3516) := 'A04390375F752A0023BE71C8D65EE7A5B75E7BC7FB15809E7A0A36955800A08229023040615916069AD44A00707068860C9AE8041100683928A66CAAC9062CDF4215C842090120462032AB79E653000E2286985C16D9030A82E2AC03003A1A6A88A003C6';
wwv_flow_imp.g_varchar2_table(3517) := 'F8E61FC80622F25E9F7F063A6894F2DDF7C882F88840290D10F68C2EAA5610908715AF4AEDFF04000A11881681428E09B9DBAEE96D4C30AB4186988F3B8E26B907C1AA989861BE51650A00CA75B96600C8C05BA0193E38A1094442DD9923428526BC70C3';
wwv_flow_imp.g_varchar2_table(3518) := 'E7CDD7485B926C100031EA1A0883A6ADE6CFCAD13EA2EA8433C64064988A418669DBB2AEB9162DAE71A3D641DC1C12669863F60869CE9A99D80A001672F9A73B817A3EBC77DF7F0732F17DF815A8C14F4A8048A9886464C029A790624AE1173198C2B52A';
wwv_flow_imp.g_varchar2_table(3519) := '927CF04C2F4D0A2E39B07DAB665B87684912005040C7CD6D878E8162062C4182220A00A2880209111A9F0C47E0F7E71F3D93814E1C4E8C968B5050420CC4FA0C5FEAB4284755C4002FBACA12A6A0013100A016B98186D934B43D830CE3FF4CE01B9B40B6';
wwv_flow_imp.g_varchar2_table(3520) := '558DB5F8E636201AC83096831666AC3085C718461A5664A9EAD0810E69801D00C6F08425BC400499884CFE06D73F2216F1251C4C4EC58A0300E088AF5789E307F15C51C0272C8B20FC6957000210238238855213D100120EF51166DCA61A650213B53E17';
wwv_flow_imp.g_varchar2_table(3521) := '3E26020724DD5B5D0901601B0D11E44186E21A24A876254C01C01100A0C41F0170072F788012FDD0DD3F786744463652266371A1B5EA15C0F800C0326AC8C01619E8A8A538AA72367BA067344005068C0100B9381900E42392B5042764A9338B080B120D';
wwv_flow_imp.g_varchar2_table(3522) := '1216045503B90530CA98C2CF41081211D11B0D2CF1892C0904189B7245212C1338450EB13C18A0C2405A078C5E3AD29A7FFFF28DB6A2E11B27E68A92AA0440281CC1820C28658B03F9E4270B5291156840043B1088213ED24B5A26E78C05B90637453626';
wwv_flow_imp.g_varchar2_table(3523) := '11AE2554A14ADB4072431CDF98CD6D213A5D2A41060C627462057DB39A1D04B28862C84620B610882BC002189FE80F3D0C13E33545BA98CFADB225A5A257E2E0A3CA54A4420D25C80001B4A84547C968939D1C481500108942B80111B930947C86A1A6B7';
wwv_flow_imp.g_varchar2_table(3524) := 'C0724C280580343C7416360E844CFC3C5971FE35D48110E336B70959424FF62F002C220A8B38C3228E710C9060E32F42544F1F305210AD8ED4AD33C1A871A4C54828424618881203020692459AD2F4494A91E90692C0154FCCA750B6B0C5314982549338';
wwv_flow_imp.g_varchar2_table(3525) := '514D19AA2AFF845A084BAD864C18C258841888A9CACB0A241771352BAD3AEA4CF5A0F2ADA785495CDFFA4D2485420804F00C179D27A30018C033C90280063260041444620C65C8856931AADA3966CF21C1291DA94A874F596E6D6D0A5DA243B04A90553A';
wwv_flow_imp.g_varchar2_table(3526) := 'C70F46532559B5C6555770E3ACA3F5112AA9A93AD496D7BC2761ADBF9E505B9C3A45AFCE4340069022910CB0C00822480224DCD00700D80295A6E5ACA18C3A105A5E88244DFC502A43068CFF55167D157B8B27C82A10AE869320A1F0D23F3CEA234381AE';
wwv_flow_imp.g_varchar2_table(3527) := 'ADE70531415C210CE25E3380C63C1F1F6224531627702011E080401070801EE8101488B8C3754B8C4BAE79E58D68E39EF6D0E790120F9820C008052A19FF47905C1CC332A148C55B38AAAF0DF7A985C6F9DFEFB2B10C6928431A212E492C56A9C2393A32';
wwv_flow_imp.g_varchar2_table(3528) := '5F81B34561F578C599B2589D4701801100E0871C8FA1131DAED870D4B79CB6FCF8B8259110872C738B6A12E47485FE082506F20944281A4205D1B07B74A79EE13094BC46A406415621906C641ACC2301B048CFBC335B8482166E10587B9B825B819C9300';
wwv_flow_imp.g_varchar2_table(3529) := '4F004012741A89500705BB0A7D0BA73EC2589204F464B6C86A99E7A8BEC81A44209020C8271C7DA806FDB1139990325AFF6464FE65BA2CC1A0C6973FBD6D81A814278B4BC50B2AC23C0444002914581AF40862046060546BB80446748F145D356D7096B8';
wwv_flow_imp.g_varchar2_table(3530) := 'F1F549D232A1CF858897C2E9A57C62F104FF3720FB235006001ED4F0C7688397DB0F87B87ABCDDDF643E40AF2379008C04768477D3E2DD478A455C137BEB94410396AD1C8BA74C929C80EA1A751B7A505B6F311BF9301A00061F48282AFC092F3882126F';
wwv_flow_imp.g_varchar2_table(3531) := 'B98778220D804903C9AA45944529C00180640040169C5E0641721071D47EF316AE2803022E0E80187B002414B0B8407A703E5AFCEB5F713DBB4386AA4103AF0E2D29498E56E9686890915938D434142A25B6E82C89810A5410432128E1064A7825E8FA1A';
wwv_flow_imp.g_varchar2_table(3532) := '7AA0E64EC4A70B2418BFF8C81F0AA20941E490EA46ACEB915271840702E0011C30010C0812038178E0055CD7AB0134100960C4E21524F99C5760896081AE645BD4E294DB828DCB1466FFAA20C8FE041FC42004626540A28CF0CAF0F655E5CB9347DB0479';
wwv_flow_imp.g_varchar2_table(3533) := '81159A2FEA1AB5C746901986274E2F901873DFEB308881D70702830DC8B80C4ADAF148B8860E331158259FDA5ECAB6666CF90003E77EDC6C21F0F0094750612B427084423808D1A232D29ABE99288555288581C83469783E81B0022238040098C003C43C';
wwv_flow_imp.g_varchar2_table(3534) := '8168077A788F9E20863B40808C330AAFF3000E408A8C2B881D88010AF0BC1B0005D723325BA830E118086F800455F085818006AF808609E120E94A8B0D2988077910442B8858C0833EC01A8228043B888227202626A1819EE39428623E0B348C6978BAB2';
wwv_flow_imp.g_varchar2_table(3535) := 'F8856098066520884DB0048110042BE41F21D10982C03E22F8C0187B80FF0830411829B781D8001310888C4301799A98FE523BBC33946120870FD30600F0B12372B91572395C9A8D4E1888BDEB2A3CB00335989F700A052A88023520AE285A2432440C6A';
wwv_flow_imp.g_varchar2_table(3536) := 'C80669D8B22E140817D0A90ADC8331D444DF610F0DE489F050120E4800004800193180087845A798085A7443CFE38018DB002E40ACB2ABB01DEB3036390390988DB2C9A05329AAA222A33A8A0609F13790C9B50F1B0643B1054418033E18884228043E70';
wwv_flow_imp.g_varchar2_table(3537) := '033BC003475884845B0421E0810C6890EEC887663A45C2F0344E93866C1B086D2B174D5015D8C9A17201892B6847C4A93E0DB41100F803037800560B89727B45588C8107A08024381F25A1B082288EE2C0865A909BFF0A4A361CEC33AB0A997A83240DE1';
wwv_flow_imp.g_varchar2_table(3538) := '14581A30BB9348610006ADB9832728844FE0460040C22CE9044594A826580A64BB097EC04403ECC794E834A8BB96E5F242102809F2F3801D5082C192829DE4957F3412C8D029046020DB9A08DCD2AB6531010AA00018B883E8FAB851F89725EA843BD881';
wwv_flow_imp.g_varchar2_table(3539) := 'BDB01A87509FB2B123B404096A2BB65B88AB9212062F180331F0024A58046D14086D84843FFA23266C02164000ACD1409CEC099D54CA92E8068288BAA42A0B699886070400152888CA4B038728BF382382C93CCC3F11920CDCC05833802791918AB83804';
wwv_flow_imp.g_varchar2_table(3540) := 'E8BC2B82000ED88018A8025BA085871C88B8A28431780314D80BB951BFE27A8B483A0966D4B5252234FF4341B67081C482B0836FC4834518C70AD201216000ACB9C99CDCCC9798064E5CCC64683C00280B6598866008C581801D41881981D0291408096B';
wwv_flow_imp.g_varchar2_table(3541) := 'A083F9899FF8994E1EE98E337C0F00C8CCCA6120D3DC3A828800D8E23A20308254F8385A38C9F341033A148808B02282701955CAB39038C90F0B895B9ABFA8CAA561380211108317E003AC11A4BD23264818473EA28B24C4C9280200C36C4F90E8C94E83';
wwv_flow_imp.g_varchar2_table(3542) := '4C501C88A61388097C1349D883F13489628C1F3A8882046D476630B943348FF70448C403801F0089BFD2ABAD2380FC04000818D218F084E2282C81E02D19BB450098319230A98F20B4926046B65222932C1E2EF8BB6D140847E03F4AF8043C0000FF9AAC';
wwv_flow_imp.g_varchar2_table(3543) := '9DC00C22C2CC447B21C279A1866DA8D37714882F5B0665E04E00F04E81488342B0C78128973AD02900580109D0012E100834C0C8F44C4F9AA4C913450F5A0920C880A7376335D8C22D252D500080A738030014A080D0B4AD2E92319020A6B8CAD27FB1B4';
wwv_flow_imp.g_varchar2_table(3544) := '93C0060E213600084E93A28526510345FC2348F8045E15083C10830A120221C0000C70D3F0C0C921018F9F81A1D89CD37BF13281584C81D8027D040049A883F18C1926D00181B8018160D48128C61CCDD13515082950D3E2A4D4C550A99EF8D6CAC12290';
wwv_flow_imp.g_varchar2_table(3545) := '508A580C4D818000D1DB80531D08AD5309C57208AE220E93E8B054F08450F0840E3B19CF41585BB82B2F38813150345F5544320D56FF8120160310D1640D9AD998304F0835C3995682808131380531044F0058021DD8800D78013953824804003D288849';
wwv_flow_imp.g_varchar2_table(3546) := '05004660043575044010A4753D8C3D199222594519E0A4372B889BB252DBE1BAA3B588A55D89D9405895C8845880862431B8821DAF23A92686A504FB7103477084896D1C34ED2A818882F7C1D8800C1AB27ADA4632822A08C36B1D081A851A00104A1B58';
wwv_flow_imp.g_varchar2_table(3547) := '344200092E689C2F505340A08487640482A8049E8D89C45945D1E30FA2FD24F78A80FB4C961DE0806499AD7A558CF41BC20C1A4290C8053F400216E0AFCD121641E2033B1003F9B958C144D621F1990799B08100858FEB9F507D138238036EDD00095801';
wwv_flow_imp.g_varchar2_table(3548) := '13F8560BD0D1EA20D7FF0485C44AC0832F68D4840380C11D881420DCC2C540A0ED09D24BDCC495A98208CD231D5A81584D0E701E8DFB8870A18984AA986394C18FC0BB54090537A08225C01A3405220078C24624DB362D84DCE987647507A0D921AE8B80';
wwv_flow_imp.g_varchar2_table(3549) := 'A5D143DF9105C8938564F0421D2209F1B38116A89D81901F8758364854812250034060842F78822120D2E57D89CE745E00405C4F72B3ED25080AB83875EA010E88D7BD5A89006189D9085F643029171E5F703A066868102AA0495F6D904E30D36E64C268';
wwv_flow_imp.g_varchar2_table(3550) := '828212400A371DCC5BF19908982181E804073D1C5C1889DA55D98220D20F1D88F51408EF2D0821904C8280350CCEE0E69D8C9EE8602DB2A973DA2B0410E1762188FF1D300A9C92C382B8AE9328BF1258E391700B412C882C1D06932A86C659042A380100';
wwv_flow_imp.g_varchar2_table(3551) := '04A46D54538180C4052E4B214EDDA081A912E83E2372D182C8A133D803268001F314882238829715892D2E0829F8812298B34618642ECEE0EADB60A18DDEE9556587603503D0AB12E6240228BFDA8926AE3889B244898A8106CFF9371786061656A55A20';
wwv_flow_imp.g_varchar2_table(3552) := 'A6B79D1B4C31D381E80389B2E125688249FD000C380144B65F52268C4E14087E1C5400D88334909B10000200A8024D768828A0039A1D099B05002510676A6E09EBF30930BE5E9288A99B2ABF0838BD2A58027324880C051800488D9080A946BE28CE1209';
wwv_flow_imp.g_varchar2_table(3553) := '1F73E1B7182A5E16C463980D48D8564AC90B28B003FFBC95D9BB49509AAC99F709D120021E6A32A93C3E1C4088833710886E25888698E4510D5590484F721589A49C33403857E205807900B3E1B8B5F4706723415C9ABAA28228B70D20E3540580231008';
wwv_flow_imp.g_varchar2_table(3554) := '4E969F3EE08371440465AB010008017FB6585C2E880CD8E263E8308615882C3D94A19A265EAE4681182B8138850A6482CA040042C05B81586B53BC1BD530372B854E7DE188220269C28101A1FC0872416B00B84C2F18AC716EE991708337F00399A66976';
wwv_flow_imp.g_varchar2_table(3555) := '7E09762014788EDE82186ACFDB002E2A08064802F41D08EF4D422496A8D4C0006219086251E1813898AC1109448884401E31634B2543290600D8045E008085301732988104DD85926505551188FFF4FC08379DB465BD97D1DE9F16180120700120C862E4';
wwv_flow_imp.g_varchar2_table(3556) := '4EE782388362D466500680F383699AC55128208326D0519976884AA884067903503E3FC566899DA6EB306E35DAAAEA377408D740D92DC6830CC5B94EA00106F8800C38629018ED12CB52AD2EAED6699D800380D706805658045518884370193D400590D8';
wwv_flow_imp.g_varchar2_table(3557) := '6D39390AA4880089095200106E7BA16AA1F9E68298BA9208970F1F895106007054D78108DC8200A2501065F27E09CF9C0C0E8E67A215100E38508198881EA0025853D79584C811478ACF2E08AB8129000810D036269240D8BB4E25A715865A5804036F13';
wwv_flow_imp.g_varchar2_table(3558) := 'B9399781586B00D805961610D190AF3FAAF00BAF1723FF991C18AC75FE08341808FF2DE0027E04801BD8F05823083237DEBCCC143CE84694800316770917E7694E0A0989E0BEFB2C881A2B0844B8BF50A8811F07F3811872D13E89B5553BA3C12C8180EE';
wwv_flow_imp.g_varchar2_table(3559) := '2518083DF06D0060855D78F006E76D8788801228012E27082F9F97D18E0560F8585E41033430838228832DB8662DB8E632B8029A2E03591F8837280334186FFE2A88483084130FDC3B7F6381B8F33B800364BF03927E83C2760333C7F3F2AEF0E7E5F33E';
wwv_flow_imp.g_varchar2_table(3560) := '3F8AC9068907100237287126B3853EB80AFC760828006DE236C9F47B7470020943494227C0803D68855610885640852B27084EC7F44BAF99CF26BE3F0A6EA1C16AEA3AA6F16A1D05357840B902531A083337033868F5387063FF87F0F53983033FA87881';
wwv_flow_imp.g_varchar2_table(3561) := 'BC2E4090E09278033337A5708D7669FF4C3ADCA44D8A00A17E92D433E31E582B98C49F58708DCFFEECCBC1C8450696C442F723A13990C02860403226A0022C998B92E58530D4848A9E4C53F4ED38C18022F77701B270A0919FAC2E88923A8882EF135617';
wwv_flow_imp.g_varchar2_table(3562) := '08C9DBFA48688446486D0088D291F803C336EC41B2F882A084B04F090A103FA10D7994D0730132EAED8D6C82C88037AC5E190B103720884E0885C601063EB88ACB01F2D02E729618F86A0C6B798B2B44601881D05142D051481584DD66854B1788EC780D';
wwv_flow_imp.g_varchar2_table(3563) := '218880B9DE197820755ED16891E830ACFF93B1278851385E4FA884B1F7FA82C0C3AD5FC43FF083EBBA03AE2788FF2FB06200F0BACB84450878430E5041268DFB93E087B9870C349071873852D93ADA038800141001FE5AC98935AC58A81D15FCD420BFF9';
wwv_flow_imp.g_varchar2_table(3564) := 'FE72F44209FFD83C12E2B2836E9D01E846EB38E95DB7BEF462B51A1AF87C34542456FC728218B98FE06A3FF1845100884AA304560250C91380840A01345A08C050244309210140F447E11B005C005471E8512104851E12B64858E423CA942A57B26CE9F2';
wwv_flow_imp.g_varchar2_table(3565) := '25CC983265F263476F61BF87060C000840A027809F097F4600700081500308823EC8F0A210008A00522904C68741C20C4D2364C0C032972D00C07201535936A5ADB36115DA6142E3A39384740401A00B804E42AF2770080180C011809BFDFAFD83076F26';
wwv_flow_imp.g_varchar2_table(3566) := 'E2FFC42B4F2C12961058DAB58A275306B06D6130948D2225DCDC10809F3B655072A00020C16996404E566EEDFA35ECD82BF9B5BBA9901F004F1408F8F40954A1D0A20A0D1C5818A18723C00042C58A75CC562C21C2013CC0F0216BCA5CC2D64AFEE8D831';
wwv_flow_imp.g_varchar2_table(3567) := '4AB5B6722D3CD629211926798BCFB85B176509851100CB0330B8F0E17BB2F77B7C02E039798FF137A047B6A9F4471C0B5991D00D283D80D20B0094A4D24600785161424A244120871D7A88984D0BE1A65B50BFF1E6D0033C052594420F44C083540A3117';
wwv_flow_imp.g_varchar2_table(3568) := '4B1F1178C515065E39440314E57137992DDD41E7D02227CC408313EDC95442068CE084DF87B2BD054D55914579A54344A8004242A63924C103FF126C30120030C0A0D086099531DA1B4E7EE4C61B7744A5909B58DA796787213AA49B8A4305301C707E25';
wwv_flow_imp.g_varchar2_table(3569) := 'C49352D321B2502D940040890E0064E0D00909CDA063A43488216095889515642EB4780A802B00C442D5223460E0C45B71B554D4A31950B2CF3E0A1586E76BDA89B51664B46219E64720ECE0108618F1E18643542461C444863899C941BA3AFBEC6BECD4';
wwv_flow_imp.g_varchar2_table(3570) := 'E710281BF4E99B8A11349510021160152802191C5108249F54A4901B0C68A01006C2D1D1A3435314030059DA75E710782B05B8162D09859A10557630E095133DE285D2B7DF96508272391166186ED0CA14A3C4577A40261044A489914270BCE131006F94';
wwv_flow_imp.g_varchar2_table(3571) := 'A1C518E82684C4114824D4C313FF7054FC32CC204E9B504EA9782014013F152728007D16555453262874E844000026060AC6490AAF42711D92502EC70070EF4C6185F5A9A80AC5024A280008ACD05B4A36DD1E06076030B0A300D0F0AA7EF7B97358CC2E';
wwv_flow_imp.g_varchar2_table(3572) := '491DF78043E490E182577C94D14263A081C6180B2EA884D10A21A132B23DA0D435DD8DC75CD3CCF64D3552CEBEA154140700782044126310AB104585D891100E49A34486D80989710C30CFB9B656A7A2D2126A2CFFD2EB050058E9B890AA3BA7AE9023FF';
wwv_flow_imp.g_varchar2_table(3573) := 'DCB3CF3F00FCF3B6E32F05A810D5C9C774051A5B008046C8291101800B1F55D11100774431C51127F7E53CF98DB71379CD2208F5A7470C3C90B9101BE121E7E78CF4A150E9FF49EBB0014A4D0030837A54C5BCA9E56A3FB603002862E1859DE505003ADA';
wwv_flow_imp.g_varchar2_table(3574) := '1DDA00109F84404108CA219EF10C53BE8F50CD4A1B848919D0A005345C61341EA15E42929026235C0F701F911300A6802C95A9041400FB200EF384BEA908CD234B5108051E65022118E10988F0442612E28734E9204200E8010F121202077E240D1EC9C5';
wwv_flow_imp.g_varchar2_table(3575) := 'F2AE843B0008A73811F0564218509C0F4CB0824D68820513824128E5D023CD5388308011C739CA31876808E147F8A7900559CF081B5B88E258C2074310AD8D8694CDF93C420B2FB9842808A0801301200613026034775817A40020C0DC25A4188CBB5228';
wwv_flow_imp.g_varchar2_table(3576) := '6C080A2AC4E4040B4B881068C0B85865106E87244F2CC032B5FF43B2E41592B9C528165290841063264984C92B6829CCD648CB23E9F0C41DE2C4B785F0010E7CF08343F8603244A56218C3B888A8B2E890FBE5EB4AD9C00638B1819085C0D02177E00322';
wwv_flow_imp.g_varchar2_table(3577) := '1801984F50C25CA148871A13C2461C724321DFE8463600704F00840300D9E8A73FC3918D7BFED39FB4AC0700F4A1D08426441FF5A8873E7032CC89C24C4F34331E6CFE513C8F0CE6238451C86042EAAC8DCA0483FC78D83073A2D1951A8FA41475883DEC';
wwv_flow_imp.g_varchar2_table(3578) := '318F79D843210875887EEA818F97F25457B571483F22F6D07AD414003755888152420F03DDC31E475548513F12D136D6741EF838A9C312729888C9738339E1C73FECF10F7E9095AB3D554959F9A18F7EACFFF5AC6EA5D54F359A10B2B68478AC940D5BDD';
wwv_flow_imp.g_varchar2_table(3579) := '3ACF361266ACFF086947DF2AD8C1BE2C1F00A04D525B2257A0E6E4B066A5EB4CCC3A51DCE047B23CC5206133AB592CD1E6A90BB1476325A751CB6ED6357B2D2D6A53ABDAC474B6A59F6D2C6E683A5779461525815D6D4A4E8BDBDDF2B6B73579EA4767C2';
wwv_flow_imp.g_varchar2_table(3580) := 'CAAC4A2E2186952800F2A15CD46AB0B7CE7DAE6A5BEB90744C631A09994636A291906B78241BF1301E568D4A987CDC23A80AC90761EAA1D27BD063309EED29659B0BDDF9D2F7ADD25D88757F718B5F006018BF70452A7001805B2C0417E6982D498BB7D1';
wwv_flow_imp.g_varchar2_table(3581) := 'E376F5AC8055896EEB2BE109B79136FA7188751DF207C271C1869901007FC78151DC64C308FF0840C83360F08C7F0CC3041B80A6155CF102203C441D3D9C6C6EE54BE11DF3987CF7554836043CE06780426300D8C1178601005CC842C0E0A059F188D011';
wwv_flow_imp.g_varchar2_table(3582) := '6484CC00A3C944125C11806C50E01AD9408021D4E1090348A11F0CBE535A3B8A1B917E44B9CAE5473E20EB9108F7B8CE7686963B6E4A52EBF61200C990082254313A5AFC42C80010B14A41858031C8231D3FB80607DC418BA5F8211D142887E6B00180EB';
wwv_flow_imp.g_varchar2_table(3583) := '2964A777AA8F3C421DEA84841A1E4BA5873C504D0F78881AD5A95E2A6901601897DEB9D6B6B6532231BC1066446213AA00C02644C55F853C39625785870CD0308C00C40000CC788511B800CD078803001498463898FD100044CE43F551FF473A0E9C9074';
wwv_flow_imp.g_varchar2_table(3584) := 'A8A3DCE006003C1302EE748B1B00EA50B7A9E59C10E4DDBADEF6F650AEF1AB105CFC02219BD8C42920718C5F0443C822EE2A1A6E40814C28810BD9E0C218522105793C20121BE8E703A2B14C594FF543B6C1B439CC5D0E71A77BE4E83E30CAC16D0E76A0';
wwv_flow_imp.g_varchar2_table(3585) := 'FBDDE668479C1742E77BD3BCE68A29A6AC00300D4303009B5A0331006471E88D16AF1BB488C63FAE01EA8584E319D580473EAEE18E6BBC1B00CFD0952DACE00666F8010DC8C8041A80F18731DCA21D65F0433F24E23250A0C1138CA8C635C25C0E75D0C3';
wwv_flow_imp.g_varchar2_table(3586) := 'AC33B739DEF3CE927CCB35C30AB9421A82AD8925D48219BDCC8C88E761DC0221D73E66A5C799A3C48E7288A31D8630841FFF0C21053F5C23069EA04715D0D0742024019E65F10317C2510E2EC001F5EE7037D41DA263BDD3BEF628C1797133CCEFE9ED21';
wwv_flow_imp.g_varchar2_table(3587) := '219B38432DB4AB9083E7241F47FDEA6C8D7AD17A18563F868D357FFA317900B8C31326288339B86088720C03069E408334C75E045BBC610799007B4293E907371C461DF0E8782B6D2FFFF92B24DF0E9BC62F7EF16C48ECE110AA68C529F45F7F2904CBE5';
wwv_flow_imp.g_varchar2_table(3588) := '964744CCE3DD0961B403A9454232FD411544C23390DF1D70C11FE4132594C146184215784212788292D1C23070813C94033BC4DE42CC1EFDADA0CDF15DF1641828F0110058422BF49E15F9013108D83984567271D4E2F1E0B3084FD555C33FD9C22DFC92';
wwv_flow_imp.g_varchar2_table(3589) := '2794C3D50DFF583B88C32D5019333C433764C2136643363003BAC59BECB9120B76E1BD495FB7E91C2E30031A20411A5851EF91011924441A780216561D481D96A7C1DC3DB01C0332A03CA84336881B1762497DA45B423020B71D0603BE1E009803AB911B';
wwv_flow_imp.g_varchar2_table(3590) := 'B8D1833AB043D5B95FCC6DA1174EE2BDE19E424C0331DC42154C01134C8142EC810D02402468D7C16D143DD04239C80323D00331A403A6B198385CC33560E12152853C00E19578963B30A061C88361F4A22F1EC62F1A62600446DDCD990A52A232F29825';
wwv_flow_imp.g_varchar2_table(3591) := '5ED73010832ADC8F154D411A3C4D1DF4812A8C0231100338B85439444336A8432A740332501EBA45C3C881823A0C43370040370054CC00963C8A149B71FF55E4C99361E0E232EE637DE51B9095453144421AA8474210A4AF6D233198036134D630844A3F';
wwv_flow_imp.g_varchar2_table(3592) := '619A38B8022820433488033CA442F1D042B535CE4A7564473A049C45224ADC1D3F96246FF9634D65033010432C00C0792C844478C2BC784330C09361154635F0432C56833DD80277D5C733840A33D00395B54341095359E9A3AC24A34936E56EB9E0216A';
wwv_flow_imp.g_varchar2_table(3593) := '1A77819342C82200540300480356BE5F71DDC6792D8460F003DCDC566631A5539E256A35A388D8433CD8033FD883F12D952FA61A4429E58441C985A1A55EA2963FA6444C01404D21D442D907ADF11849EE2562F6545FDA47688995884814F45118BD2526';
wwv_flow_imp.g_varchar2_table(3594) := '650A166D745BF170554D151558E1DDDB907E576586E659092246215761E61D578AA66A52543BF42125E6C76AC6262D2DA64AD8654BD8266366D6F124575ECAA66F7E1031B64401F2C77012D67BFD267226CF5CBA267F1CC6724E0BABC9DA72721B45D507';
wwv_flow_imp.g_varchar2_table(3595) := '73262776C60D83DD639BB50468A6446FE254CC84677696A773912762E4257A26C47A3E4B7BAEC47B366540000021F904050A0000002C25001800290245010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C27EFB2C6ADCC8B1A3C7';
wwv_flow_imp.g_varchar2_table(3596) := '8F20438A1C49B2A4C9932853AA2C080900A8953063CA9C49B3A6CD9B3873EA04C067A01B448C1C097CB9B3A8D1A348932A5DCA34251E814F9B4A9D4AB5AAD5AB584F166A4929ABD7AF60C38A1DBB52280031045B86B2F78FACDBB770E3CAF51AD5CDC0AE';
wwv_flow_imp.g_varchar2_table(3597) := '95320AECC76FAEDFBF80030B1E2926AA40479EF6B505D077B0E3C7902343EE1914C05AC592336BDECC396CCFCEA0438B1EADB3505ED2A853AB5E5DD15121478CF8648A07402FEBDBB873AB46E4C88FEEDFC0836F86FD59B8F1E3C8DF12AF94BCB9F3E756';
wwv_flow_imp.g_varchar2_table(3598) := '33419F4EBD3A4E3F5D01B4C56CBDBBF7EF1D0B51FFB20DBEBCF9F3090B01500FA736FAF7F0CDABF98C6820F9F8F8F323575390912DC6FA05282072C40010CE3FF608B4D8800C36781B5B0E46286164ED81728B40CC4433E1861C0E360C009EB8324D351D';
wwv_flow_imp.g_varchar2_table(3599) := '96686260D39CA8E28A622563208B30C628E38C347AB78D27C148D34D8D3CF6985338ABF828E490319148903E8D11A9E4921B6D33D036E6F4830F93545619D1383B02F00733FA4C69E5976026E464986496595037639AA92699E1ACE92693CA00908D342F';
wwv_flow_imp.g_varchar2_table(3600) := 'F6F3E69D3C8283E79E4286D38D8B7C064A2338C4C429E8A1316689E8A22B1A22903E8C46DA6125F5486A6983A48C72E9A60C1638CA2D95722A6A798D4402E2289E780280A3A3B6EADD1F0034FF62481C0098F1A8ABB882D78740F52C98EBAFC7BD61AB40';
wwv_flow_imp.g_varchar2_table(3601) := '65140BECB1C7DD01001ACA0A8446195AFA8AECB4B9DD012D00762948EDB6B8DDE1C61BC466CBEDB8E4963B6E1C8EC60108ADE6B63BDA2B0305E9EEBCA20543EFBD9DE9B2CD320004134C3EF8063C983474EA3210A40227EC172C71DAABF0C373E1428A41';
wwv_flow_imp.g_varchar2_table(3602) := '49426C315CF25CAC3159CC19D48F9D1B873C15ADAA82038FC8287B550E0009A6EC7253AA266332C82FD76C14ACA602004E3A36F7BC53120555A3A8CF44CF54C4405A14ADF44EE02EEDB44D5FB447F3D354A364C40E63485BF5D622952105D7609FA475D8';
wwv_flow_imp.g_varchar2_table(3603) := '64976DF6D968A7ADF6DA6CB7EDF6DB70C72DF7DC74D76DF7DD78E7ADF7DE7CF7FFEDF7DF80072EF8E084176EF8E18827AEF8E28C37EEF8E390472EF9E494576EF9E59867AEF9E69C77EEF9E7A0872EFAE8A4976EFAE9A8A7AEFAEAACB7EEFAEBB05F04C0';
wwv_flow_imp.g_varchar2_table(3604) := 'C7B1D76EFBEDB8E7AE3BEA15EF3EAF970000ECBB99533BD658EFC3A7765FF292DE3736F377F21558A8D07356FCEC082DEF983AD53B36F5F5649DDC103D07B5D33D6409FEF3F1F2E23BD60D2DDD64028A2BC398737E60202728BD41FB64EC56CE06698938';
wwv_flow_imp.g_varchar2_table(3605) := '5A02A21B0CE40B001883910CC23DEADD0F2CC80349C6C087929511C40B002488A3C4B12C44F06C21998801415A861F37F4A437D8D10EDBF287A0B6CC63209D18C826D4833D8B080F00F77020054DC205E930A321E21843D3FF0AC2058294231D0E344F7D';
wwv_flow_imp.g_varchar2_table(3606) := '0A82081AD20D4207F1C25900900BEE7DC57E18BA4557D2D11E2D412463CA025739CCC18E7A44D03B8E788A18C405003C2446856E83A242CE60050020421D08FB8A3A3E58102B02201D581C08CF0229107594E388E960873CF271C6EEF8C13005C146DC10';
wwv_flow_imp.g_varchar2_table(3607) := 'A4906B8D4120450490552A663E85F87120EC60074244A98E45EA670CFC01802B0090A2A1ADB08604B92441D030102FFC672CFCD8618CA2E20A6400AE8E0914881401408B917849979C5AE540008537A20CE40D76B916496CC10F66E0039992FA85300492';
wwv_flow_imp.g_varchar2_table(3608) := '0D82CC09967583873B08020FF391EF1E09C9E344EE413B6075A39B009046369C948D6CB8326FB4FB47461683FF4D89347254F22C489A1E68A60B9D234504E9C63D096AA651006A1C00202443EF748B6E9C63A26E2264C730FA2665AC63A11C2D5334C661';
wwv_flow_imp.g_varchar2_table(3609) := '3F5C84344CE3681300204A222C9D144C9082D299B6812600DC429D2F15D20B0DB48E7100A320F664DCF31AF2B1764ECB1CB8C8D29CBA4127C5FD831E435D889D6857D45F6D431CE360C6980C05009006AE57997045540F52D4B29615587A4A285711778F';
wwv_flow_imp.g_varchar2_table(3610) := '7FCCAF40F9602443CC4AD5AAE22A1BB75805333D76B8B67A221DCC18C6536F2855BA1A1557D250D540A4D1A65B5CE86EFF1C889DF201D672FC231B82FD073A07C20FB9568A1EFC086D3FEA61277AB0931FF7E84B3E36CB29959228ADB54ADADE58AB10A8';
wwv_flow_imp.g_varchar2_table(3611) := 'FF666265FF78C68718C28FC5FCE31FC28BECA69471A18D9A4A55FD0C9B700BC2470064CC13969587397AF98C83644C7E8D21862156E68954F0434307C21531E4651093B66DB90EF9C71BDC110D66F8C116DAFDE140FCF0D8815C6395D57045345C018AFF';
wwv_flow_imp.g_varchar2_table(3612) := '2CD055E4158886248BB8FD26C1139970AC05776B10A2FC1500C820467D91850676152412382DDC1F3C210F60DC1700D545887408728B7FA4A2B9C0AA8462FF302CCEB22DB41F09473610910D5186F820F21D482688A1520E6682C1AD322973CC002E6936';
wwv_flow_imp.g_varchar2_table(3613) := 'AE1EDCEB07610F423EF2B1321C4E16084271052D68B981968EBBA166EF115785D4A31DBEA22DB2BC2510379401CB8C6BAB262F72D87B8D81FF119E4BAEABEE002E36CAAD1F63FD482EF1F52D82A8C1C86ECB33D708583739872DC0701374D9D69AD3466F';
wwv_flow_imp.g_varchar2_table(3614) := '46D161DBC63694C12F479369620431B4A56184E94D97A91116F6B4A803835EB201A2118FDB69CD98938C71B48F70B7AC99159AA65881947A2421D880B91AB36484440314B0EAA233D584000004800001280AD00030C4426AFA231BA08004747D0577814F';
wwv_flow_imp.g_varchar2_table(3615) := '9DA2E4A038FC3710E085C900003040B2C19D131E10E40ABB02C05E6502018148E008A3AE0A010850100E4080023431810E8C008029001300A3F86F4C3850103CA05961CFA612B913A01004CE0409201048126459A05B93C4E1F16E8A01E80D807613E407';
wwv_flow_imp.g_varchar2_table(3616) := 'D00AB549BCF06F0054610A20FF408240469C134866BC281B0700C705426E8B249B2356E843D3AA20101380E40A5F8BC811945090FEBE3C27413F0896797E905764A7E402E137CF892E912E2ECB8B99D828AC8E7E1C4827C4EB07D1075D6B42C2974D95AF';
wwv_flow_imp.g_varchar2_table(3617) := '04969DDA2792F0DB44701E65474ADB2D8267EDC4DD3E60A716C8CEBE107C542C49CBF36DA62D3E77E0F0C31E85074CDEB925CA858859AA06E96442E4F1EA86589CEB9A192748C411E58168DE22DCC67C7EB8710D0D4D6318B71870410AF449D1BB1D9C25';
wwv_flow_imp.g_varchar2_table(3618) := '810600A2A17AD753E7F21CF9BCEDCF93F8DD0708F7B0C7A1EF7D04FCE11BFFF8C84FBEF2970F9701305F450578FE840490055324240CD2D7CF051C0000EB0FA40D8F1844FF203861308298820D0DC83E7C1E3110360040010058006D12310B5D9082049C';
wwv_flow_imp.g_varchar2_table(3619) := '2008F701907FF58307FE0AB07F6150000EE0008FA0006170017300005970016D900500D00002E07FF0117D003007052000F0671013E87C07318114681D16581023481003B0812668810370012518822E483702E0001A2810204883FB271000388337F882';
wwv_flow_imp.g_varchar2_table(3620) := 'E5310EE5370EE06030400800E7A00B1065843E78842B0500E5B7524DC883BF611BF1401BDA3185BFB54F76170F6D01216CD116B4F15BF6D0325B0885B9D14203B1855A2386FDC016E9135A09D21876F20FC5478692C14F6D1187BFD517BD25676D46877E';
wwv_flow_imp.g_varchar2_table(3621) := 'F8878018881A5379820800BA5788EF612773C81A5D86888EFFF88890188927026392681D8FB7887E580E2AA5112B836255C10D02010DDC308A920411E38489C3D76B07910AC52010B910431BF153D5A57AD5100DA56713AA176113A10303B10122508911';
wwv_flow_imp.g_varchar2_table(3622) := '910BB1F05300100218800100A0010DF1010F710D38710D0B0464B1B0104BC003E61675FC068C0D318D08710002C10003510203A1038B7006058103036116B32710370613292270FF552000800EDC38104C50030671020221021B9001DAD810B9E08A0911';
wwv_flow_imp.g_varchar2_table(3623) := '02CA5802E248103460104B00004C606739110D46525DCFE04BC4000D15590CAA201069000503A18F029190FF1811F538101FE08D04218E0739100C808C0C09005440104D3010BE1461CC502002871210FFB98ECFA07AF2080DB2B708A870164E00002730';
wwv_flow_imp.g_varchar2_table(3624) := '030A317392A88A05218C01190A0070001E69101180103139100B299300F021CC207B20A61202A77A3CE94B400600E62810196094088194217910C53410E87810353711C8E04B03D18E24412224427BAAD78E352910745910C848034230032B59106AB996';
wwv_flow_imp.g_varchar2_table(3625) := '06110B0129102100002C2910F4169914F19732F18ED570930251209469108FE98D3127734FA98DA1924403D1960080028629739E090025F08B2A89104B50028E200CB2E74B5C996329A12179296005B1990D6192AA89980B91740B018E2A099C1F100505';
wwv_flow_imp.g_varchar2_table(3626) := '710C3FC560BEF911F25520B7807A172270CFC00C21E69B96A010C60999C23911C0396F04FF100142401007400335609C2BC90400509E38060019F21153A6213B4910B48710CF39100780968FE99D0C015ADF691007406E33870111100229998F024109C7';
wwv_flow_imp.g_varchar2_table(3627) := '5010D7391298E9A0081158F2F89B0E718A2139920E3195020A8EFEB80451E04403C10C3F64971611A1BCE91063698F013A11A970108D09000C009C0241A30561A30761A21EA1A304B19B5D491074891669201043591045DAA26778101ABA8F00C0A1DE69';
wwv_flow_imp.g_varchar2_table(3628) := '00071001DE88012029A38E8901C96910BAB812CE3810F70961F07910227A106480A4043136CA24A01A8001503A101AE08F098196B838A224229105819B00B04D00C09108E1047460A60A110B4EC91F2689010CC000C9B6010769004EFF9A103810022FA9';
wwv_flow_imp.g_varchar2_table(3629) := '115D3A6507310D5DEAA5063160AA87A70971A40040064E00AA00C0035709A800508F19D0A80501A5047000367A00E008AB5629104BFA10D5C0A30661A94672990050A1AEB04A2F410B3F44A209B1904E10950221AA535095B183A2706171AD3A1087E98D';
wwv_flow_imp.g_varchar2_table(3630) := 'B12A1031294B3F040D73F943ED3510112A5F5DAA9B0C619D13DA8E1FC295564A1064900664608E8B00006A400548800304573AB5E7AD362510C4580DD0E817B59A960A31A04FD90305A1A704410CB84A10BBD54D39992297AA10EDF5B07ED99BC3F021C3';
wwv_flow_imp.g_varchar2_table(3631) := '408CC728A70B610290B0789A535D5B4A10120B4126F10471A9AF0EF1B0F2B8400F9B0DA5F810C2A08B7F49978F552004FFD09D00600700909189E91BB6E3B097492294FA15A8C8102D116B07518B79F95F107999D9C0AF08E18CCEE8AC09810CC4381063';
wwv_flow_imp.g_varchar2_table(3632) := 'B90434809641190A0D3A10C0900BA6293A099BAB02B2AB232210FD6A5FBC8A10B750A199B99963B94D9D700CE986160361B000000C636BAA1E3162486B11698B10969AA91A420C02278F709B95BD290C40B6985F2B10C5940AA0E8B720110B177BB05C89';
wwv_flow_imp.g_varchar2_table(3633) := 'ABFF85970AE1B90931B27F298FC350A1576B1988900AC760B0C0308D8B09002FFB8F1E2B11FFA1A7150BA61031B407B1B6070BA62BCAB89469B1799B95AF78B58BF9BAAEF0AF960B123F5520259A21F73A11543B1012B67ABDABB700F0A200500B07218C';
wwv_flow_imp.g_varchar2_table(3634) := 'D91B0AB2FF57B4CBBBB7CD5BBA32C9ADEB1812BED496C4D0BEF8B910DCBBA09D008B00A08EE34B128F555FCE0B9F7AF9118B0B9FC430AC11E1079F00009450C008911D6B76BF167121C39895C0208F258AA91EB15B121CA6D42B10E6BB109D80C005110A';
wwv_flow_imp.g_varchar2_table(3635) := 'B160179040BF0CDC113F15B8123A7BB568A2B5F8108B8B9B9CAA10EAF109077C10A1E0948840C221D97B10610B576BBE73297BD0F00C7C6953655BB5F0E94BDD0A9F3F440C1BBC104201099F104324FC0400B0081E8C98B716033030103E6711322BC420';
wwv_flow_imp.g_varchar2_table(3636) := 'A69B39A9110B7463F2D59759E9C408A1A74B040008EC088BA00634E09176D687664A7006A46B02214211010C996B10951B1244CCC4235AA16CDCC6D8FF82103AFB09560CA4EE2189EE409A0B9100C526101E47100C9000049B10B180C200207BC7A00ABC';
wwv_flow_imp.g_varchar2_table(3637) := 'C00B06F10CE8CA114D9CC10CD1072E571F6E40055E60BF8849C90B4100E0C6700401031EE010B700C8809CA702B14D7A20107F4A06C5508A5B19C30E21C099390C21DBC6C4D82CEAC807E9160591FA9DA1B23F0E516C0910010FA010B6A0BD08F11F1FD2';
wwv_flow_imp.g_varchar2_table(3638) := 'A0438A0AEFEA98EB2C9334B911FF7B10B780BD763410AE5C107CF014EEF98FB67C9405C1707C6C10B4A0BC7BFB21AA52962EE797F9191173D9AB8C0B61BF2B0CF39C10C561C04E19A0FD8C10C576C903C170E1DC10B4A029112C0C99E0060BC99E509001';
wwv_flow_imp.g_varchar2_table(3639) := '501005A86018160C61F11C119AF9BB60FF8B10D6CC07EB9CC51F59CFD0A3C43FCA14935C111C1D01272B10B7100BDA3B0AB1300A8B692A6EF0C5D68A8ECCB810161912D3B910F58108EBEC0676C0D515FD96E7139F54112AB30B00DE5CD4F0E28AF5E506';
wwv_flow_imp.g_varchar2_table(3640) := 'BD9C1027E004FDD9BBCF6C12FFEB1A024143B4ACCD69D71006006EE016010C8700E0F6D102F11FA0602A63B06CE17610C059A5387149CA391022EAC1A53A243435504BB24DC390CA48415B41AD2D16D1D70671047B1C6E1C57D43277980C71BB1221C434';
wwv_flow_imp.g_varchar2_table(3641) := '5D105E40B00A3C1084A6066569963E7255DBA027BBAD26AC7D149F3D11B83C109F09000F200390C9D1009000A2CD108B4040F42C10A9504C571BD336EC0917ADA7D12D10F57A1703FFE1C1A92410711D23DD440DB0C5DB04410D42F29C2F2A0C90006790';
wwv_flow_imp.g_varchar2_table(3642) := '904137010F8FF71034AADA13D104E1FD10A0CC1094100A8AB54DDB34D1FAFA53465002CD2210F41B0A66B1DF665D2301D50DBC9D25B03524DBADB70B3D13C12D11E076A8021100E28600AA4ADCA06913E88A0C02AED90AF1145DF109A190C585D0CE03A1';
wwv_flow_imp.g_varchar2_table(3643) := 'DC32826A00405300C02F03152410C52315ABA7280ECD8E2BCCD03C16B88CDA0A81E404F1C60B01A71391E2C210E5432ECC7B1B90A960074FE09E349C1D8EF009EAC10776618E8E3D23B29022DD54E1E0B00D3D2E24C300E4A13C97B49995199E1526096E';
wwv_flow_imp.g_varchar2_table(3644) := 'F82D11B34D10315AC179FA21023E100D2A0C0DAA0691ED080A7CD106FF21040989AC3192D600200EEA3D10919E104D2523DB4497DA1AB3DB4D15C9866CFA29DA4A8E148E4B9B510E0D3F75B5B1500B1EBCE7702C10326E0762D0041CE98F2580B330D20B';
wwv_flow_imp.g_varchar2_table(3645) := 'BFA033E63DE90681D93572E9B429E4286E14F5BD10C776730411CE77FEE1DD4D11096A116D3ECC546EB0AAF0098700004379D28741CB8F0C004B2004293DE22A3226696DDE9276279B3E1854F00448C003FB1C11195002707A90A7BBB7E93ECCC8E0E77E';
wwv_flow_imp.g_varchar2_table(3646) := '2EE8D0F0C6C7B8A7E0F8AE7B70DBECBA9102C1A7E2CEC3E0A127B2205009410AB0A024628B1005F2E7468EEC04918D4C2712615BE00EF1E7521EB900A0090781969250107F4A2669B5E6F6D2057220074FA3964EFF6E1008F0C8E519D9570CEF29E99A02';
wwv_flow_imp.g_varchar2_table(3647) := '3911C0200C3FDF9C02B109AAD00AAD40107C3A104109008470F2583D2363320DB2F00BAB000A9500F303516D40A024F53E169D4E73F4A6011A7073755E104D304C6ED00779AD10F28E10AF1B11510EB63F5F0BEAB8090BC10A042108825010DD39A693E2';
wwv_flow_imp.g_varchar2_table(3648) := '101137102A5036C53695367AC956EC053A4BDBA76A190F31F3C3DCF51F0F0C942F10A1B0098EB0098B508E04A1B102810A78AF241DE00211E70203E10240E00245A0FAA63F104590034773316524DC3357DC08A1063A5B087E0FD60811EFACC9BC857D0C';
wwv_flow_imp.g_varchar2_table(3649) := '857006763F107B20107B7F10BB80F7AC90F2350202AD7F1044A704C0546D00F06F5AA0056F7070CBFF225BF3429A5DBC107D5D6C1C80A308A1FBD28DB20B71904E9E1D01090CB704F4F74E10B7F41F323E10BB0000A870F40511FA000140902000050D1E';
wwv_flow_imp.g_varchar2_table(3650) := '449850E142860D1D3E841851E2448A139314B482508BC23200B6381C7365E19A8A254D9E449952E54A9627EB2D0CD09080410E132101A805CAA00E00193044E8993043890C0881D902960B184561086D09EBB4248A41429B76A93A5590904256740822FC';
wwv_flow_imp.g_varchar2_table(3651) := 'D052EC58B26527C63968C6E1152B683632445BD050C24A66EDDEC59B576F437E00EE1DFC07E087C1980462AAFC5450A7429F088B162C21762952A44A0B25DC84900C55820319EF051D5A34C25BB800E05A7510D4A8BA07E3FC89E80980A74AB4FF0B466A';
wwv_flow_imp.g_varchar2_table(3652) := '1469EE68DEBD7D877E59B02F808E33251E8618AA60AC5C3C802A6CD250582E00475322458883AA1D3A073717ECFAF5E081B0917F9F475F52DDB883E9008803D7AD1B4AD60AEBE66E0440B77E00BBD3FF07304000DA090E007EFAF28300E3000860C1C310';
wwv_flow_imp.g_varchar2_table(3653) := '28C800090D80D080842E2B48B9828E4928820C9E0BCA201A0EB2853A95AC530807270A8262A1EEBA4BA80421468CE0327900084C401D7704E0C682E0A9C8348722E96F2E3878443249BDD809EEC07C0A7AA0A006195C5021020CB852A19B0088A5965C94';
wwv_flow_imp.g_varchar2_table(3654) := '2A8801C70CC2E020210050E3293055B2C521260A5A1100311F2A33217BE85132CFBD7250C2A0370068443600885126A175003834FFA2D6127A0B801DF48434D2968603204A86B04420020811B210000F1BE2A3CE83443D888613462CE8A8A50A6AB3A255';
wwv_flow_imp.g_varchar2_table(3655) := '253A61A1EF0E0AAB2721409434D7B15C00E12010785DC890BA6E61C81E8680B0C1204BA184A0595D9F85F6A1072044CE308322C0F5A04D0DC2B0A04E129B688682D460D528935A5D3516006849C520130198E14D87E24C88917FF08C36DF8AAAB0C20784';
wwv_flow_imp.g_varchar2_table(3656) := '7200C007207C35C8058344A2C8590F121A585F87A1F5840206177A20829A24BAC9919268706209B2DA6C33175A0E72455D0DCB9CA14538BB9BB5A0033CC595927DEED9E7619B6F83480B843102A08A839428C220150A026168872A28382134EE40E84834';
wwv_flow_imp.g_varchar2_table(3657) := 'D0F8E28B9BA7FE0FFF140E2C442EA12AAFA5800583FC30283144001843CE8866B06331005A6DE9DD910B4A25EE8462850844F3F6E12747AAF55DB42140605BE80A2D3A2A4867893202E0CF83FA28482D83082FC8E7BD278F5484852829A80C2A7830E8B1';
wwv_flow_imp.g_varchar2_table(3658) := '839C5039A1632A5315BB96D48DA56483469E694E0CC48D555C0030A09D54F36EC6200D8348A74CD548810500F1828249C6206AB691E6A0420B1A0567B4D42AA351833292DC8C461D5728E885ACE89372EF41BBD8210A5E50886900C00660891A6A706886';
wwv_flow_imp.g_varchar2_table(3659) := 'EFC848838997DD350845BC344488016C0B921D800364A71B00A273B3377D6932F6B319911A018883AC6215C10040F10AD28D6D000079DB2894900A520E69C866FF0B68F0885BCA20122D8C612321F9971100500423EC0C217D70C3F764A8172C01404207';
wwv_flow_imp.g_varchar2_table(3660) := 'C900054420821EC8251307D95C414C000014DC802700086041CED010B6F1C6521042C0A69E73000630C0734208DDCDDE7510047E0F0E71518890B25141731C844809790308FF14A52924646108314212B4771024DC608677FC0D88CEE48582D8A10C6328';
wwv_flow_imp.g_varchar2_table(3661) := 'DB060A422A83C88E8ABF01857252711189589106238ACCEDA27580971D6331A803007568D1C45CEDC720C4C005B19AA7905594263505210600AA81907918E4156B7BA5416E71CAD998118FB7BC0BBE58623EC519A4138342861FC6D62E83D44263005005';
wwv_flow_imp.g_varchar2_table(3662) := 'E3AAD31B6C640300D7F89A41E08087866C092135FFC311B4CC07006C18241CDC004038B2110E6815A820BA2C88DE0AA28F83F4A320EE74483FE009007DB053212FB16744D4894B7E32844076D1DB3C1BD28FBEFCC39DFF406842F79917782AB49F086DC8';
wwv_flow_imp.g_varchar2_table(3663) := '427365CE7C02A01E156DC93C5AA9D17A74D42015F5683DFED24F929A64A40AB1C75F4E7A92BFECA39505C14743E2118F79D823A6BD311600EC110F7BBC44A30F79A9451F56537EE4A366D8A45A3D95DA9B790AB4A44FA508934E825489FC83527CB1C73F';
wwv_flow_imp.g_varchar2_table(3664) := 'B2EA9BC048B4A4F204C051A13A56B20A48AA7BC9C79300204FB00AE720FCC8AA57919437BACAB5AC77C56B5E459353882815A36B75AA41AEAA57C216D6B0841D6C420E7458C636D6B18FB54BFF62213B59CA5636AF795BA96535BB59CECE50B2E8596C67';
wwv_flow_imp.g_varchar2_table(3665) := '453B5ABC1283810511141E3F4B5AD6B6565F994D88048FA084C1C8D0A06C354843171A18B6F636B0AE056E70FFF30B00DC221A0719031FED62C7DFD4034FF480AE737B04DD1BCDA3A3D79547749DDBD194AE55B8DF052F5ED8A1906410B7211A140B0CCE';
wwv_flow_imp.g_varchar2_table(3666) := 'D71B3C99A38CEE756F3ADC930E7394A3BEE200007DCBB15FFB9691BE65CC6D78053C60D064A6159B5085416401C182F0152586E0803C561B9AF11A441D00B0EF43E84B600E77182FA705002AEC900B664050485B55093F90E10E48A93521C7F5708C65BC';
wwv_flow_imp.g_varchar2_table(3667) := '92611CE414F2AAB12CC4228F97D855BC11A9ED8C853CE49524831990F3563701D2605EC74E98C84F16EE3E893B174B1424330939C7C3CA01652E77D92E99114F1F889B4A9B6D199A06F10427BDBC663633445EF103401A24078071F83852FE1D103B80D4';
wwv_flow_imp.g_varchar2_table(3668) := '663EF7F920BA4B88EEC86C673DB9B847F0D8B39F15CDE63616640F06C94C3486310E07E74BA0B85D74A6A1FCE83FBFA916AFFA1EA1353D6AD20636129B304482537D106210E3C2A48675AC91840D6866E31AD0AC46F200808EE5C9DAD7BF468F3D7ECAD7';
wwv_flow_imp.g_varchar2_table(3669) := 'E064F7A3C04676B27B93A37A22E4B7CA8676B44D32D8ACE6F4AA7F9576B6B51D91DFE6AD1FA2DEF6DE02020021F904050A0000002C240018002C023D010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1E2C27DFD2C6ADCC8B1A3C78F';
wwv_flow_imp.g_varchar2_table(3670) := '20438A1C49B2A4C9932853AA44480940AA953063CA9C49B3A6CD9B3873EA248867201E3F8E1809F4B4B3A8D1A348932A5DCA34A61B817C9A4A9D4AB5AAD5AB58573A72040052D6AF60C38A1D4B566621816A08B6F4B46F5FD9B770E3CA9D2BF629809E02';
wwv_flow_imp.g_varchar2_table(3671) := '8586B23790DF3FBA80030B1E4CD8A41ABB7943FDE30B2063E1C790234B9E0CE06C500099F6FD734BB9B3E7CFA0BF9E0D4DBAB4E9D338FD648A87BAB5EBD7B027167284C8911F4A6EFFC6DECDBBB7EBA0517D0B1F4E9C726D3FC5932B5F1E9791ED4CCCA3';
wwv_flow_imp.g_varchar2_table(3672) := '4B9F5EB512F5EBD8B3DFE4031D406ECEDAC38BFF1FBF914F28D6E4D3AB5FAF701100447701C8634FBF7E7A3C78910BD46DBFBF7FE6621444C92B0030F6DF810816370C00E2D8E3183F094628216FFC3836E1851842869C27C208F44B351986286261B700';
wwv_flow_imp.g_varchar2_table(3673) := '10CA2BD52433E28A2C0E264D8B30C638D634007423E38D38E6A8E38EE165330A2EDDBCC8E39044E2D44D894526A9244CCA14D40F3E4B46296547E00C248D3AFA4038E5965C4204CE360219424C3F067669E69907D988E69A6C16B48D9A6DC6B9269C72D6';
wwv_flow_imp.g_varchar2_table(3674) := 'B9E48BD264C320005ADAE9E78EE1FC296892DD6CD3E4A088EE680E2E2026EA288E603E2AA98C910854CFA4988E18893E99762AE128AB782A6A84B80070CB289C8EAA6A7A913402C0289E8CFF5269A5ABD62A9E210044F2C71F00BC61A9ADC092878640FA';
wwv_flow_imp.g_varchar2_table(3675) := '5818ECB1CA9931AC4068A03106B2D02AE7EB1DBE0A54461F0018626CB4DCF6E6C6B2650CB46DB7E4BAF6C61D76B9116EB9ECB6EBAEBB7EF00A481C80BC6B2F6AA10A34CABDFC9E7668BF007F468D2E2F2A83CBB801270CD832D400B08CB80A472C9832A2';
wwv_flow_imp.g_varchar2_table(3676) := '00F0AFC418CF454AA94E66EC3160F47C2CF25B4419E4D7C82857C5AB75E6AC93F2CB608903007F30D7CC9475CAB44CB3CD3C17150700D631384ECF4417A54441C9045AF4D2361931D0B34C47BD931952578D5319BEEE6CF5D62711F1C31708732D764868';
wwv_flow_imp.g_varchar2_table(3677) := '5431F6D9288187F6DA6CB7EDF6DB70C72DF7DC74D76DF7DD78E7ADF7DE7CF7FFEDF7DF80072EF8E084176EF8E18827AEF8E28C37EEF8E390472EF9E494576EF9E59867AEF9E69C77EEF9E7A0872EFAE8A4976EFAE9A8A7AEFAEAACB7EEFAEBB0C72EFBEC';
wwv_flow_imp.g_varchar2_table(3678) := 'B4D76EFBED4DFDF58FD6B8F7EEFBEFC0072FFCF0C4176F7C868E857DFCF2CC37EFFCF3D0472FFDF4D4576FFDF5327285BD9F8844A5465ADBB7D97DF87EAAC18540A000A0A2D2E46F195C2A1DB6BFE64B03D128FF96C2FC2290FD02494323EF85E34C4600';
wwv_flow_imp.g_varchar2_table(3679) := '98B16CA8291BD2B05190D887B88CF4E3813D9B869006A2A7C539505CCA0B988A0442A07548631413DC86CC1AE7C00CC24C1DE0789109FFF64008429068B708D53ABA31C2FB456968032999405658B8DDD94C45916A9C0FFF0F32C49435CA64369CD23AAA';
wwv_flow_imp.g_varchar2_table(3680) := '341057E16D77501C6214A168355B28631C0C24D6DD74E7432A4E91803C43D240E094AABA497166F2680717F7B3101E4AEC5015CC5B14F9F40F6218A28B544C480B5116286258A96F34CBC73F6CE10A5AC0E31F7D2208CD5AF8C28F296384DD60943426F8';
wwv_flow_imp.g_varchar2_table(3681) := '4482089216D950872B0E599044EE90918D71E3BB4A05A66008A91C7FBBE498C4E18A2EF2891F9E64A42C337631F6FD488EFBE9473DFE410B66CC2C1DB7D0DD270952A10716B385F990C8A57E65AB1136897D3FE39528D756CC7FDC82183EB40528FE710F';
wwv_flow_imp.g_varchar2_table(3682) := '0074932097CA483DF2D18F7BF4A3427D89583542A5435CA54F6FC9ACC63500608B6CA4E319A048453404D2FF2775107366FFE8C73FF2718F7CF85162C11063410ECAB7120D231268F0042D8249896E84CD15FDC84436DA81CD7BA4E30FCF70C83CBBB52F';
wwv_flow_imp.g_varchar2_table(3683) := '8B0964835ACCDB32BF600B38DCC110B6F0442A0C412B846403149988443690F10F78080419183343B508B22CBFB123130402001AE071BE052504119170053B029ACC7D622C56028943B5C6204DBF212915B420883B14C22B7178E21F21B32AC62AF58661';
wwv_flow_imp.g_varchar2_table(3684) := '0DAB0C7F0063DD7C2A107624F321F4600700F2A1255760CCAD776056B6A60937580AE49B0B292304117B5785B9015D68280362EC460F4F22C4B203412CC4081232862413B3D042C3649318A57391164D6DFD96B5D4F085D32E890FAEAA290018F14ED7FF';
wwv_flow_imp.g_varchar2_table(3685) := '16E915B8D8986DB774B181F025A0BBE5D1321E56107CF0A591C1DD51C384B418B9263744AB685230A63BC1DD11F6B908C216C7B04BA43488C18972A85730F67332EEC6680CB225883D806B5E2239B7BD12B2037C8B740566056DBEA77900476430100EFC';
wwv_flow_imp.g_varchar2_table(3686) := 'C0234800C014949004FCC2860009080001004000FD3E84BF23D98140CC3690518028230E32306126008014741800092848002CC2010098000010E0C80E7400032418210966C395862343010F00A00505490082177C94150FA4BE3549F08C63C26100D8C0';
wwv_flow_imp.g_varchar2_table(3687) := 'C80611B2446E00001614240220B10212984CE1998C78C832E10007526063068FF8CA1311418A45A2042F04160063B08249ACA0662C1F85FF0B70F08312DA0C80F36D2409472048812DB22EA0A5D7CD81B110728FA21BC79411D092C1C73CB202DACEF1A7';
wwv_flow_imp.g_varchar2_table(3688) := 'D008835282DE9BDCB122A49BF4980FA233C40E4D0F4466E568F4A6D71352856063D42D3A22AA43A4D755BB7A6CD77D357B442DEB5ADBFAD6B8CEB5AE77CDEB5EFBFAD7C00EB6B0874DEC621BFBD8C84EB6B297CDEC663BFBD9D08EB6B4A74DED6A5BFBDA';
wwv_flow_imp.g_varchar2_table(3689) := 'D8CEB6B6B7CDED6E6B47D5DE26CD3C47AA106840A3180559020DC20D996A5855AD0341063A62C16ECAB81B00208277BC3BB409002C420F3898C1BA01C0000CD43B30477C46347C89103D00E0043310C80904C280838F85DC2022B7BE07020D007CC2127B';
wwv_flow_imp.g_varchar2_table(3690) := '1848061E0E050C18DCE265FF19F735C85D106410A3E3098132000E6070021860203CB6380A4A4015B5B25C200C07AA531F9273945765E80058D0B811E24B6010A4DF093980D1733E620CF4C02A0C5FC830BC510C2608E214143FB9D10B7200AA131C2EC4';
wwv_flow_imp.g_varchar2_table(3691) := '40065001A0094B2CA4E2450FF7CD194C001E8B9D2C69478813104200A94F1D217ECF0931AE01EE861CD40B00A8034198307689D460200667C00C463E93903243A110714FE33D42F393E38026B628BC439C3A0581A461F31B6140C54F70069A945A237B47';
wwv_flow_imp.g_varchar2_table(3692) := 'BD4502CF83D2D30F2B348838F3360E97CE36E624A51748283A8E0C6810C3F2AFE7FD479821F47837E4EEC07B3D41F6E9542411FEE759F13D49A4CE001E505E204E2F08FF33B25E92D78388E1E44F88E427DE3C5FE6BD20FCFB8AEF63BD11610883184847';
wwv_flow_imp.g_varchar2_table(3693) := 'C9E04BE4C761487F2181173DF3340DD7100D4B9715EC307F34C150C9A07C23810CCCE747400554B7600B08F1784D7002ECD73B0E7810A2977D37010DC3007330310C6BF7530CB510B9B0084DE076D4A67D30010CC7907F27F10C8D720DC3E07F3F357AD0';
wwv_flow_imp.g_varchar2_table(3694) := '200CC750086AE008C7306D301813C0008102B1702B010C34D8104EE70967E183022185CED659F4771569070CCF000C612511C8406F02910B0000865D287B0F81744DA87F02B120E1D711C7E05766B810163813299874260800F847107578102D3110A110';
wwv_flow_imp.g_varchar2_table(3695) := '8711B12FE1D7862AF10A6B278100005484E8109FD08780FFF810B6E07416380CB7908300C00C7EB44FCCB0701FD8116A471069E854C220868FB81162188905010D40050DBEF40CFFF71113B88308310C4ED786F0518A1431876B78507EC48A24080056F5';
wwv_flow_imp.g_varchar2_table(3696) := '8A16F10C6BA776C8E054C39082B7103F03011F8DF8099DF00904410595818B0A3187EFC70CAC6810D8C71143178B07418B48771690F08CD6E81073488B2DA712BCF8890B928C06817904C1158EA07994408DE76810B9008649C78C307182B25810CBD886';
wwv_flow_imp.g_varchar2_table(3697) := '78D007B728105C812D4F208DF9388B4CE874C3200CD0308403A17850A00DD7B076CC37127B987425D221DD51108B101C5410050361926E408A0D097E00D021DE000067400800800A080154E9571295FFB8880C8107EEC1032B29903BD992223881486814';
wwv_flow_imp.g_varchar2_table(3698) := '9DF093B3080047196004410367B0089A2710EFD79123E18F5D7116EE811706418D2C307748F90628E0954B20040F070050E004E063956A97768808111BB910CB2810010200DAC307514910C181940AB1601127701BB8107EA4931B2198EF719004F10979';
wwv_flow_imp.g_varchar2_table(3699) := 'A9970B110127107B0D3174849910E9977FB7107EE743055EC1126E200664A9980CF17904D186564910F2586EAE0897C0107E6479940931970411802192032E0000DB8043026123DBF0255FE227C8309AA8110150D60403C19091691043474811210C6908';
wwv_flow_imp.g_varchar2_table(3700) := '001B101111900108D022398005BD25100FB30C70422768E257B6C0085E11098E681A3EFF898F11518603D121794909E6E9159D903ECAA99C0F8910A37510F205006429764578213900004C2410D4204108940D4114446B8286AEF1040DF18B00E00560E8';
wwv_flow_imp.g_varchar2_table(3701) := '8FBED9726BA79C1B3192787006C229733212440D3310F71529D2D09F66220C6BB79CA67116AC59110CD59BF9379AF1E354C7A08B0E215F62209C0080A13A729D00107F03B1A166D29B2ACA1B47391A03A18109117EBC186FC7389476A810C3700C1DE2A4';
wwv_flow_imp.g_varchar2_table(3702) := '002006E4A9102569960291010C60983BD20DD4F025048A262328A100391C197002252610287010C4B0A6B2E854CDB78653D821123A8F12C7106A70065140967F292338B40D5FEAA7208A2600F99EC5B1A70AE14712688226E89B0AFFAA948B07008CB704';
wwv_flow_imp.g_varchar2_table(3703) := '0A8104C2090550D09967272355C244B2E039862A103C970199098A2D1A9049A7A20B22A7020173AA707A0441A302E17009D19927179DDE0423805A4A06C1A3051108BD0000A40000D2B00D94B424EF0800C5D919DFF77D09710CA96910C98A10C0500C27';
wwv_flow_imp.g_varchar2_table(3704) := '2A108E29109A301074200844B29F04A19B5F8A10B9291060B00660902FF72539E6A910D50AADE1A70A9BB00B07410602419302210982200983620543300402E1AF05010291838A16C18C427A10AD2710F2EA10592A225A6010405610477310B369032A20';
wwv_flow_imp.g_varchar2_table(3705) := '1040E0023836102E00040291043900B07D7302CC5A0219C07304F1A026C10A0B2B251D50103B309B45E002339BB1FEFF0A0443E002FDEAAF7B46105A50065BA054412B100F8B065AF00557D05A744379268BB219E09A29AB12D63093AC60AF6692034900';
wwv_flow_imp.g_varchar2_table(3706) := 'B056E003005065110B6466A00591F5566870050F5B0657102E5A30060F2B10119B3742C01591288683280CD15A11AC007652C2B553C0B50331B107010705D16700700574E6B60511B46FF006711007BCE23181D79C2B8178F4A4129A90AD5C822D716006';
wwv_flow_imp.g_varchar2_table(3707) := '5433109BFB0642451087DBB605215454F3B804F16728F300186A732161B2003072EB668192080C300A12564B10DBCAAD45220DBD552A25A250B0E2094E24107FF03305611D3AA4108DD02AAAAB309417770BE6641D81B253980BB60B002A191269600787';
wwv_flow_imp.g_varchar2_table(3708) := '901082FFC0BB4512292E4310E6C09FE1E0A705110C0C555204112B95E0BEFA6210CEAB303CE695D169AB21C1AC2D81BD0371BB1EA1030C21BE3B6206D10400CB5B2305E17BE54B10E370BE05F1A1E12A108D601DC55BBC19630006700037E7951E010500';
wwv_flow_imp.g_varchar2_table(3709) := 'C073A3388AB67BB71A01C20241730541074332B40C1109D6710BDB0500EA609B9CB50EF570298746C1D902007120B8880B004470032080021000010ED62E7D670014E0C10B66ABACDB03F0F18715710203378A2B11718CA77B0241AFDCCAC249E2024C69';
wwv_flow_imp.g_varchar2_table(3710) := '102F6B105AE02BE9F522DA49109D2B1046E0022706001450101290C4026102020B001E0BB863302C6EF0BC92C200493C77FACB0011109D07C99AA3FFDA10030700CE9A0BBA08C01FC18F560A00F4AA24A86B103E60B80CD1651091C708210102010300F0';
wwv_flow_imp.g_varchar2_table(3711) := '022D206100A004470335BDA2107836C6A362A305A1A512217050100BC7F0A29168C21FC178047CAD395209CA6BC09EDBC609A16656900304B69F4000023B30023706CD043166032101A05C044703B8ADDC2B7E30540341B90060924610054E639F4AA095';
wwv_flow_imp.g_varchar2_table(3712) := '92029B0800650F10C7EF71108827CB0B510BB5E8BF922C12E023108DCC25F962108D80C1D522B65AB0B6A4FBB60351040080D00361054A0064CBE2CDDB7C05F3291090601753E0340186A9A232722C700308AA103A90A600A00110E183D81B89A878CF1E';
wwv_flow_imp.g_varchar2_table(3713) := 'B1BD051171C09C2320309B0381BAE3FF2510E18A52F4E32ABCE22B3F6B1066D36668E0C2099103010604495006455510D832104250CE61620842E128EBCC01EE1C1FBD9298684A11A418C9BC3C12189001264710D01723313D107E5B294EB4BCC9A00C35';
wwv_flow_imp.g_varchar2_table(3714) := 'FD2604510D6CFDADD9601D6610B4415D060FCBCA85CBB663006449E00249E0B1C8BCA03E0D000196670080CA428108519D2814C0D14240040B91A62F10035A0D0C2C0D13EBACBF0681011FC0256B60C06B80BC3974107962103256BA00A02C233D10BE12';
wwv_flow_imp.g_varchar2_table(3715) := '7C26E0C9875B1048B0033DA003020C002230B8B582CA00E006A37573151711997D12A0F0040CE0C4534253520900338C103124C302710BFA0300060400E7EB7B16F80AB72B4641C7E34BE92A11394509B4924F9E82D56E20B885600847F94E7F801C948C';
wwv_flow_imp.g_varchar2_table(3716) := '14D8D08D53922AFAC029CBA4477BB4C348442CFC5D10F78DDFF90D00FC2D680641699EF24257184A838612083E249D450FF430E0F9D0581FC1178BB6C039AC45F4700FCB34E09E2911B034E286351261E342219EE22ABEE22CDEE22E6E3A0DFEE258B1E0';
wwv_flow_imp.g_varchar2_table(3717) := '325EE3132169A6311F99166EFCD00E201E1910321FE9804A2807213F6EE354D1E3388EE45601219AC5E449DE0E4B0EE55361E454DEE40030E557CE143D7EE45BAE14ED503801010021F904050A0000002C1F001800310235010008FF0001081C48B0A0C1';
wwv_flow_imp.g_varchar2_table(3718) := '8308132A5CC8B0A1C38710234A9C48B122C47EFB2C6ADCC8B1A3C78F20438A1C49B2A4C9932853AA6C080900A8953063CA9C49B3A6CD9B3873EA4CC867A01B448C1C097CB9B3A8D1A348932A5DCAB4261E814F9B4A9D4AB5AAD5AB5867166A4929ABD7AF';
wwv_flow_imp.g_varchar2_table(3719) := '60C38A1D7B53280031045B86B2F78FACDBB770E3CA7D1BD5CDC0AE95320AECC76FAEDFBF80030B5E2926AA40479EF6B505D077B0E3C790234B36D8332880B58A276BDECCB933D99E9E438B1E4DDA68A1BCA553AB5ECD7AA3A3428E18F1C9140F80DED6B8';
wwv_flow_imp.g_varchar2_table(3720) := '73EBC68DC8919FDDC0830B0F1D1BF4F0E3C893CF2D5E49B9F3E7D0BD668A4EBDBAF5A27EBA02689BF9BAF7EFE04316FFA2743BBCF9F3E81B1602B01E8EEDF4F0E3C757031AD1C0F2F2F3EB87AEA620235B8CED27E080D011034038FFD823D0620436E820';
wwv_flow_imp.g_varchar2_table(3721) := '706C3D28E1849CB907CA2D0231130D851C7628D9300078E2CA34D57868E289904D83E28A2CC295CC812DC628E38C34D628DF369E04234D3736F6E8E351E1ACF2E39044DA542241FA3456E4924C82B4CD40DB98D30F3E4D5669A545E3F008C01FCCE84325';
wwv_flow_imp.g_varchar2_table(3722) := '74E68CE38E3BF1ACB30E385A5EA926534F52978E4066C2B9E69C5275D32674E7A833D03A6596390F00E094032828DD9893269D88D214CE756502505BA290EAA40C00D94803633FF21D1AE9A62381E31D3D00D0B38E407D1E440C9ACA64C3E9AA2085D3CD';
wwv_flow_imp.g_varchar2_table(3723) := '8B022AFF630E00B8B06AAB47E01033A980680250CD36DD047AEBB01469EADD38EA9C6310AC0349C3CC4098122BAD438608A4CF73ED1C344E98B302F0A4A5BED64A503DD396EB5025E456678EA7001C0ACE8B180250ADB9F43244CA28E0D969A9AAE01284';
wwv_flow_imp.g_varchar2_table(3724) := 'EF4047D62BF040068E724BBACFA5396932C10874CB2AB7E0A2CCC4B4366CEDC0E636124988A378E289BCDFBD22D0289134F28740F30AE43100FF623CEDC98D18120700665CFC5C30C9886B10201A0F14C91F86BC8186CB44F721503D0C22273243C11838';
wwv_flow_imp.g_varchar2_table(3725) := '5019430310CB5E440FFB46CD0295A13574CD0924A4C53A37746DD5B6DE01001A660B8446195B267DDC10036D4190D06F0824F4D976A94DB6B977B0FF0D40DEDB55574441EE1584865D65B8E1F7DEC3DEE146DD00245E9D0B360C910341BF4105071E6FB0';
wwv_flow_imp.g_varchar2_table(3726) := 'BD36E08C87BE9B0B03A9C0D01BA04B2EBAAD71541B072033470704DC2AB400C34280AC6EEED2000849DDE000800082092010AEBBCB163F07840B440864C340308030381C8C20148C28C91FBFAA2EDB2C034030C1E4835C0B02B90084E9050DEE47E1072D';
wwv_flow_imp.g_varchar2_table(3727) := 'D30B2ED444AB3DA4D258AACB40632307C40800B450BCFFD11B881F4057905EC8C800F3EB082C2695BDE3B4A005700380078A97903758A20F1F1B883282D18B27C92F8173C205290CA224E154CE7415F080403CA0821DDCCE10D341482256E1BD15190001';
wwv_flow_imp.g_varchar2_table(3728) := '0040200B702010D07C028415910772FFD007000910C40555B00241C620903314A4112C4220411E00801708C43EA110C8D48E41090C0071215D2B483F3EC89AE73DC41200D8C3191607804AB40C45089422007820104AFC9020C77802413280810C7C5120';
wwv_flow_imp.g_varchar2_table(3729) := '33FB1838E0A11CF23104159B3848EE0E08002A02C03E9709452C72710C817CA08F5E04001FFF58104129083E88C844242AB131008C038E392C88590C420506F0D18F99E4648800908C419271372A30E342C67088345AA10A0699C63946D5A1082020020D';
wwv_flow_imp.g_varchar2_table(3730) := '596541FCC8C99395121C6F4A8E04280001004080820429821180209029000009060147B63874CC810400011990C1417E088925086493B20440120A520D630DA79A07290211B829FF90242841204C5C11020CE0C8232824A0F14CDF40B4701D0978C0A109';
wwv_flow_imp.g_varchar2_table(3731) := '79013F01A0C41501B3208668894158000064F631A105815C745478102328910B0389C11C8D20903072C8A0043184710C82834C3213A404F9827B6E291C0970002124F54241268AD261F074426913487F1292C95882D4083B1883DB8EB301096C00021070';
wwv_flow_imp.g_varchar2_table(3732) := '24005070253D26440A1CF0621D701A392950E7A11430C81892CA2975BC4950E9284739D401AA2F4E1539DD1A473AF46A0E76B0235B7A4A54466EF38FA4DD95ACD129ACADE6B18F3F21F639497AAC64274BD9CA5AF6B298CDAC6637CBD9CE7AF6B3A00DAD';
wwv_flow_imp.g_varchar2_table(3733) := '68474BDAD29AF6B4A84DAD6A57CBDAD6BAF6B5B08DAD6C674BDBDAFFDAF6B6B8CDAD6E77CBDBDEFAF6B7C00DAE70874BDCE21AF7B8C84DAE7297CBDCE63AF7B9D08DAE74A74BDDEA5AF7BAD8CDAE76B7CBDDEE7AF7BBE00DAF789583A9318EF7BCE84DAF';
wwv_flow_imp.g_varchar2_table(3734) := '7AD7CBDEF6BAF7BDF08DAF871A5342F9DAF7BEF8CDAF7EF7CBDFFEFAF7BF000E3055DCB197A30A986CF700403B4035C6042508009F742D248FBBE0B644683BF565AD239E220602FEB61FEE60F082220C5B3F1886B820AE6B3F483CDB312CD5150050913D';
wwv_flow_imp.g_varchar2_table(3735) := '6F9BE2811CD6B55171053286CB8F10EF16C60361966F6B7CDB5F084320AA1A48A5006060DAF6B8AEB7ED4692A5918D2765231B33AEED3DC427900CCB96CA05B9D38131F62C8701E01CD378C5AEDA95E5E63659FFB4DB5255FEC61C3A5C60E81CE058149D';
wwv_flow_imp.g_varchar2_table(3736) := 'F7D6AD962269BBE6F5ECA4DABCDAA9512D24813648A235BBA183CC39B599484573C7714A9FC1368B09DE473FFE9160858CF1D38106F5A7533B0A69A8C3586F06ED090000093EA8E31FF2D887623A9D90F29A77D4A24E7567815190243399B52FE0C31352';
wwv_flow_imp.g_varchar2_table(3737) := 'C10EDBDC9820A16632AEA3A5EBCF828BD0A4A5C237BDA00E611078D60B01B5B2B5AD6DD38A03006506C09A63DB84ED00E3D500B8473B649D912F410BD9B96E3667ABC1AE6DDC4219DD18376B7590011EC8431EEA88453960ED0E761FE483F1FEA0973F2B';
wwv_flow_imp.g_varchar2_table(3738) := '241E256357EC622D1D33294478087C1FEC3078B63FCD0F6E2FDCB3FD6AD7406E112FD60A01002CFF05403A72418961FC23E3B23EF85EF2D1F17E888F1FF9B8B597B9FC6B82DCE3E39CD47389225EB36A3D1AB50C4042390A810D4494631FF780F93E6E4E';
wwv_flow_imp.g_varchar2_table(3739) := 'E09E03201F85C5FA3FD221BE9FD783E708A107AD31AB0C0C857163196C6D064A00096EA40218D02038BBF3F1F37146AB2F57A69438AEB169C5A29618BE3348D852CBC70808411EFF80462810248F82CB3A1F342770A03B0D2057B842AEAEB8863B32918D';
wwv_flow_imp.g_varchar2_table(3740) := '6373D677166BF4A1511B057746800102A1873CD221EBC6CF1D1F3D3E74A7CBE08A32D02212A040433FB2935A34C46E6EAD15C2AA0BB28F58CB43EAFA80BCE46FA98E4A10C516FF50A2D34C5B890CFE016B57A816D03F2B6D780EC4F8C76777FFF2F391AD';
wwv_flow_imp.g_varchar2_table(3741) := '450F84D7007085A407324EEAD3AC6E6C1B8321E4DD59A7024088AD473E63EC7E10210AA41DF4C7596CE3065163367FE079A1E551C4577CB1266BFAF073557754810676A8E53887A338B2854C04917FFBA00FF923790D418122916001883104F85A340000';
wwv_flow_imp.g_varchar2_table(3742) := 'C32710B7C16E5547100B965B772052B005050AE1773EF764BAF53887A35465B054AB8543F6B71031985B70D012503410809076A9857A115184B9B50AAB2042B375530B517750965B2137107D7161A6750002B1820A018159885BCA400D061121FC808099';
wwv_flow_imp.g_varchar2_table(3743) := '850118E0840FA18356A75B4F52436C51829ED51D02017990C70FFC875BB8D030CA400A14B3176B685B5B4677B1F70F78585A76FF000023645B51A0107CB8888D385A6730065DD30833B32BA3C65A5E75107CA87CDB7189A3B5078B6410FF7088AC358909';
wwv_flow_imp.g_varchar2_table(3744) := '017975578AC2658AA4558904C688B7C546B2550256F88A8A788BB4085A01F506A5245B42D08B06318AD9828B6493001C710303410129C7112C9504FE545B2500006AF028206500046000019043CEF810D0381274244F04710B2F722DFCB07DA12505F871';
wwv_flow_imp.g_varchar2_table(3745) := '3C2A0402FE434D0541001BA1425A65114660023A60044930054A7432B2A506FE373F3E5510E32845F8681448804D08155BFEB78AC7F35322D10300600205B18F1C510553503C15951246343F298010F1B837F824411A2910DEA8111EC09100D0901A9104';
wwv_flow_imp.g_varchar2_table(3746) := '56603400700517FF9512576056BA78106635302845106C883111595155F04F0271050451065F500566053C0DF10444F00349200555108A1411350090092ED55A43B93A388814D13236C19859F7700F624715EEF84565E95D77B5967B462FE2230F841497';
wwv_flow_imp.g_varchar2_table(3747) := '7BE363042128E67074764936D7D097C7237A80C938ED379886799816019788392D6DB998F3D3988EB926221899F5C29794792B815658277999E592119CC09902931197009AF5721B055000A4392DA6999AE6F299ACF99AB0199BB2399BB4599BB6799BB8';
wwv_flow_imp.g_varchar2_table(3748) := '999BBAB99BBCD99BBEF99BC0199CC2399CC4599CC6799CC8999CCAB99CCCD99CCEF99CD0199DD2399DD4599DD6799DD8999DDAB99DDCD99DDEF99DE0199EE2FF399EE4599EE6792B01231707A998E7291282093000102FE8570DD7909E5E7190ED7914CF';
wwv_flow_imp.g_varchar2_table(3749) := '0000C8307D03F19760B19EF9A9142A529FD550222A9215ED20A0030A13FBF910092A16F8D9A0E731A1141A1E167AA1DF31912BC16B203216B9A0A149E134B4507260914502010C8626A23AE134FD29169DC06A2C8A132B4A30FC191628BA9597F1A133BA';
wwv_flow_imp.g_varchar2_table(3750) := '12244710C3000C06820CCC6020EF5915A9B07E8E104393D9A3253135C0600B262A10D0C00CD0100D1A7214EBC110684109D0E0A430110BE82710C330A404F1A0BE92213A211490F0099D70470371064205097DA051601A13BC460C3C3A10FB890D00100D';
wwv_flow_imp.g_varchar2_table(3751) := '077A149F60471A550862708C2A680794A04C77FF7A12634A10D0300C5F0A00E830153FF40985F0148EE0448D2A1300229F7BEA0D760A009D800EC4F00CD080A636B1A55704008F2810EBD7A9784A10470600E450AB04C10404B16330710BB84A10130600';
wwv_flow_imp.g_varchar2_table(3752) := '86216D02216D6A0020B22A13CF504902B10805010D931A13C2E0AB06C1A805C1074F7172C98AA7003A10CE4A1094C4ABDB2A1AA3303518320C1FE34E0CF1A2379A128FFA109348033834AE23110BC82A101EC643330000AE48A602810C65FAAFC4B063FE';
wwv_flow_imp.g_varchar2_table(3753) := 'D91044CA10C0300CD5E305E516AC077162F45A13AB4603FB4A10EF0AA400B0A71D5172D9D8AA080109DF1AB13781013340034E2004AFDAAE0A61A2551AAD0621AE366AB1F11291EB8108C1FFFA09784005EA3A100E2BB229A1AD167B10218A7E1ECAA3FB';
wwv_flow_imp.g_varchar2_table(3754) := '99AA0901B30611A5B58A91DA4110707A1600B0B352440F900960C3A0B1AD7106FD6116BFCA1020726435DA10C3F0B504619107D115DF7A06FDFA7D5F699892260C90503D90508CCF010A00F2B590F0148C0009316469B45AB6C340AD07C156396A470030';
wwv_flow_imp.g_varchar2_table(3755) := '53053176AFF9AB4A1B1C8F5B10C230B90211A22A0BA42E2B10C2A0B50811A388CB1ECE8A16B9890CB56AB6C9A10149CBA3596B105AFBA1B50A0C967B10A1F0B9CA14056D5B9BC2000D9B1BB9AB71622510021491B90341BA652BB9C25049C7AB8DB7FBB4';
wwv_flow_imp.g_varchar2_table(3756) := '8EE00836296DE5869BA44BBA198B1C27B07603210216F1ABD0C06BC0A0B702FF01BC04410985500836591050C04C1A289B7B2AB8BB71BDD7AB49BC5802686B11BCFAAEB540104E30B500A0ABDECAAA54D004EE14BD43E8B331D18BBC3810252014F75ABC';
wwv_flow_imp.g_varchar2_table(3757) := '0E41BCB47A456345103638107B6010514006FD9B821DE59B067264A6DB191F401062981047660BAF1BC20B710CC7A00A05E1BF032109066C157EF4531DCB1044D1109B2B109BA00AAD701015BC0B05C10A74200809C1AA33BC123795C00080B6B6900B2A';
wwv_flow_imp.g_varchar2_table(3758) := '7CB10731A6D64A107A3010A86010748010EB9BC43031BF02C18B1C95A233B10B59ECC548B16A7EC44CD978AFE7071152FC1042CC0ABBC00A002008788CC649C1025D31A66E6C10B8AAB1510A11A760C70641C47ABC1032FF59BF217172607C16C80ABB71';
wwv_flow_imp.g_varchar2_table(3759) := 'FCC69CFBC70B21C307410882B0C589CC1019308E23F1C800908D276C0B92BC10616B10B760CA10B1C5570C008480C802A1C100C0000C800137DCC9009056E1B812509C0B513AC928C1C90681CB1C9C7A7338AEBD3CAF0421471F21863F640B96AC12156B';
wwv_flow_imp.g_varchar2_table(3760) := '10B43C1034707208E008F6C0B8684C0008808FCCEC11279782280CCCA63CCD27B1BF5AACCB06D192060186224103C3770CEA7C12C73C035B4CCC05114BBC58C5683C502CD951E5B411D57CBC4F0C00C22C12ECCCCF07817A564809F6B099330C872161B2';
wwv_flow_imp.g_varchar2_table(3761) := '4B500CC200CCB1BB12C377C564A0C1D7AC108EF00F56EBC5322910C6B4CB63FC11A05049F6BC14B74C1042AB50D2DE9CC43F250242304F0531AA1561CF929CCE0A6D13D5ECCE0FFD001460450391367750387983023540118616BB835C1311D047450DC4';
wwv_flow_imp.g_varchar2_table(3762) := 'BA9C016925023D308D05A1521CF1C40B6D12C664D10671535000B4468D10DABA566590B231090005BC10B4401329DDCB09D1B1C7DCD69933106F60368850B74C681FB1EA164261474FDBD607F1B63758588ECDD8923DD9945DD9967DD9989DD99ABDD99C';
wwv_flow_imp.g_varchar2_table(3763) := 'DDD99E7D5D98022AE6D067731210000021F904050A0000002C0F0038003C0224010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336ADC78719CBA7520E99D33B78DA3C9932853AA5CC9B2A5CB973063CA9CC9529D4076E7';
wwv_flow_imp.g_varchar2_table(3764) := '04C6A3C9B3A7CF9F40830A1D4AB468CB71ED06C65BB734DE4E71E000881B956D5C38A358B36ADDCAB5ABD7AF2B99025807B6ACD9B368D3AA5D2BF42ADBB770E3CA9D4B37ECD89D77C91AC4654E5A356975030B1E4CB8B0E16AE3001033CCB8B1E3C79085';
wwv_flow_imp.g_varchar2_table(3765) := '9204A0ACDBB67089236BDECCB933E773E3D8190C5670DB6281FF3CAB5ECDBA3557BD05CD8D932D30AA3281D26E15CCE7BAB7EFDFC063CE16587260B7DBB804FE09CEBCB9F3E716B749CB060030F5829E08DE86CEBDBB77DFC50154FF03102C99C055B756';
wwv_flow_imp.g_varchar2_table(3766) := '252B0F38587281FDBECB9F4F5FF32A819E2A458A233012C1519D00F04A7D041668E05AEB9D665023911832902186FCD18719075668E18558DDC79032BA0D84461902A5821A86249668A24A8D0C340A650275E8507C27C628E38C12E530108537BE818640';
wwv_flow_imp.g_varchar2_table(3767) := '68BC01801B3E0A04228D441669E4422E14E487416E80D8A41B474629E58C40A850C41004C131101C78BCE1C68E653439E598641EA8C240233004C78E037D59E69B707A37441100B80003080B2D17E79E7C420784402DDC0943417CF469E8A1BFA9004492';
wwv_flow_imp.g_varchar2_table(3768) := '009C2910082DFCE9879E06F5424A2F8866AA6961360854E59F0561F947A108F5A20C29DBA4B6E9AAACBEE542A79002FF0082A05BDE91D032AD3E7440AEBC020583A28F7AA0D01D7D6C520941C1F4B20C3500A8DAEBB3D00E65659213E0296B0B36E00989';
wwv_flow_imp.g_varchar2_table(3769) := '7F0855420A60D11674800100EC5A820E02F5215080E1B6AB51A702093B900A565441901D02A551D0B1EE0AB42B4111008083408E00F08940C50090CB2701F7EB70432D4074080087A4C1A6408D68E8F0AEFF02208340908452502E5E10844106183CACF2';
wwv_flow_imp.g_varchar2_table(3770) := '418E2ED48A2507A5B872B900345C30009DC412CA31B90874F2C93E6730F3D0141912897E329BD3EFAE04148408424F60F033004213BD3210113364C71E008CB18712062D330E5ED0321001020D418250CA56CFEC01040900208109061151049D00240180';
wwv_flow_imp.g_varchar2_table(3771) := '110695FF9313B411C42D10010650C0C341013A3245D06D372E01424318B1C34046D80B40C90E1B8040C37A272446E3A01FE48104A32704C3E40261DEEF13062142C9413500C000D56C874EF4E3070151F21503DD00C00D9D67D26EE70321A225423A34FC';
wwv_flow_imp.g_varchar2_table(3772) := '81ED567BB001427403F03941A803F00500B7381B6E90422AD4F00CCCCF2CC1061250F00004037110BE415428E44506019FB1BECAE3E34E5098F347948E4DE900504E3AE260873CF2C7ABFE014036EA30C7FEDA211AD1101021F171D63EF64110183DD061';
wwv_flow_imp.g_varchar2_table(3773) := 'FDB0E00515628F0E6EF059FCD0E0074748C2129AF084284CA10A57C8C216BAF085308CA10C6748C31ADAF08638CCA10E77C8C31EFAD086BF28882AFF8E411A5C04E31699F9A112BFD3215E14E417B258A214E5538B5AEC4220C208E27BA6C8C5F9041100';
wwv_flow_imp.g_varchar2_table(3774) := '5FECA2187FF38A633D0D006714C81113C38F31BA5135322B8817DE901D81280D1F6FCC6367AEB0877A89017396034054DAA8479470E172577005009228C242C6847756188317A6F74447A2C40F20B2C2218DA4BA38F5484294E21D00649144DE58922287';
wwv_flow_imp.g_varchar2_table(3775) := '1C8315BC6085CB0D0489440A24426EE1161955A16491AC4215C670CA8DD0C2154B621388D0B023E11DC348BC04C0870000A232404291455AC4909A09003B0C4918BDC4882D6E018C5B6CB39B031290916CD14DEC25678B523A270070819E6C6644690654';
wwv_flow_imp.g_varchar2_table(3776) := 'DA40CA610E73FC4D46F24C87010B92FFC028255120367127461A29D0AC6490A0054D285CF8C1D0862AF4A1108DA844274AD18A5AF4A218CDA84637CA51BAD4A31E1D0D69DB3E2A52DBE1038F26B9C73DD6A25284905421272D69E8F2614A8E4C90A1FAD0';
wwv_flow_imp.g_varchar2_table(3777) := '47574EAAD2984684A72BA5A94C4147530AAE5420FB386A45EEA10FA632D52B4005000519B2523C06B5A6351DEACC844A90A952508204F9C73EC4FA0FED8D150008350A6FFA51D66621F520A95195F6F2C1D00C6AB56DF080873C92221A06B2031EEC5087';
wwv_flow_imp.g_varchar2_table(3778) := '6804AB0EFE117620ECE85F62CBD14077FC7520EEE84964119214003030A0A2E91FFF02CB8EC0AA231D9D152C3DDAD18EBCDED561F0A0876A01F0517AF4A37FB9B08540640B8C5CFF88010935D0010E7080821284A0042728C11474D004313C617162A082';
wwv_flow_imp.g_varchar2_table(3779) := 'BAC4300C6E44231A0289C63588F20C66206320C098A418E437C93388C10E54588217A86084CA25A1073BF0822DF8418FD6DE63B502516A41540B5F0CD1231EF4382D44E2E38E7AC8038F38FD0737A0299058C422177D2881066A263B8130E00004384008';
wwv_flow_imp.g_varchar2_table(3780) := '7020DEF69D800727A0C21EC4C02E6804A51AD005C03306428C615C5718D080C414360CDE31841700E802C0E184C0031EF440071BF0025BD11A9F7BD8431EEEE0473D940A0F81F043A5212CD13DEA4148FD3EC41DF490C73D1A9A8F7F642315B988050068';
wwv_flow_imp.g_varchar2_table(3781) := '71604AE0000311600003162CBB0F94E0000C388118FA10052A30E1FF034BA00113A6C084A741031BD008714F406C10640C031AC410C6338EB189562CE21053A0330D4E30301DD020041A40C10A00C0010454E1A00068233DF20A8F7CD403A503E187A7EB';
wwv_flow_imp.g_varchar2_table(3782) := '41D7B4CEA71F9EA647569DCC90FE4A3984FDB887804534905CA4420C18981D9A4380321D64C0D70C4819156820863847412071B6C331429CE767E8D922CC18314440CC671103C0CFD018C69F63E10B55B482CE8E3EC10C3E40031AC80E031B6080010266';
wwv_flow_imp.g_varchar2_table(3783) := '847FD855207B754791874C1079C47AC974C510AAEB410FF9B27A21ED90873CECC1E3B16283D6598EC52790303B7F31800519C041061EECB3037C400C5358421496B0042800600AB5B86E419031E2F100601A00FFB8C63454DE106254E31AD9503936563E';
wwv_flow_imp.g_varchar2_table(3784) := '8D99ABFCE60331394190410C910B0312A8D8C422CEA083139C0000183801CAC23C3B038C2B00EDDE875DFF210F769456C8FEEE07BFE501520C1D59AFABFEB74178335A79E7E3A063E58688B49C8B50E021E9148F30004E6080D911EEC152630215281C02';
wwv_flow_imp.g_varchar2_table(3785) := '2688010727E80330AEAD20818C78BAD778B9781A32DD6A64031B0389B940A67B1D825C03BAD17036004CCC73641C031196B0841DCEB0E813A44C036176FA409EFE837F9C9DAD54B77AA7E92D5FFFEA35D34D2E90A8EB11F0261739EC621F6D5EDB98C1B4';
wwv_flow_imp.g_varchar2_table(3786) := '63B91807FE8410A816779A1D00C2BB7A709A31C004D31B1D0A53A0C119B4ECE1C530E322312706FF74515E10944F77F20A390D3198010C55588210509801CA90AD81BA730C004D0340008420D64CB3B5EAA5E569FE0600F7200FB7C75006D146848480DA';
wwv_flow_imp.g_varchar2_table(3787) := '7310A6D618A2267CBE277609515AF2407CFD607C00100BC5100A6A70021F90011CD334D0877F0D77001880031F407148F7713460073DC311D3257E02411D2C9772D3B072058179D1555DD7E57DB980089AA0074E3003B9860121A86BFF927FFAD7036295';
wwv_flow_imp.g_varchar2_table(3788) := '41650580B3275FF9558007987B3C96410C55560D381076950FF7806ABC216AFD40865AD775831181A5A553025164147810A5050FFCE06E19F80FD8100A09F7094D003423B87A0C3069C1866646F86012B6046710677D300CD796103AE710D3FF900DE287';
wwv_flow_imp.g_varchar2_table(3789) := '788F487930878302311E2196793BA718CF100B62F07EF1870028987433F02FFF1200BB12003CF084112485C0C75A06788108081F07558665950EE5700F535541EF5610DA0323A981852F417C0841481A648C46E685BD186AF9207C6C08006EF88603C11B';
wwv_flow_imp.g_varchar2_table(3790) := 'EC206FF8408773080DA9807CDF250480273B10E62F2818024887030C572E0C3003C1C60451A003D9B77DC2F06707216DD1E51097570DE4777ED5C00C8AF84A00C00CCF256D99F77D8BA818D0D0074EA00784A08E62460387700834F07CFE42004D13004E';
wwv_flow_imp.g_varchar2_table(3791) := '2875AD287B024153BC010F20156560378BCD428763A50EB9B0077B000D13548B11C41BE1900DFBE00AD1100EE9000CFF900EC4FFF00FF4000A9E600EFF208C2D8180CB186A0C5553229985F13194B8375AF2906FD0288D04910F80256F2B557CFFA08D06';
wwv_flow_imp.g_varchar2_table(3792) := 'F6096AD004CB876634C384CF57034BA00318308A4BC0001FA0826C83039F200CC0C07904116D114179CFF072E47789DEC70C20166D75F96C7259907F560B3340078BE004618601E0E30475508A4B1861AAC88AF0267B6D2454350592AA368BB53887F2B0';
wwv_flow_imp.g_varchar2_table(3793) := '0967B007677008E9304168359AA8F60F8630068C600594C005CC1000EB4704FF50043B5006D7F09332D1560A81695CC86323E956BC88696AD8946E158D502995D5080F55698BDA580C0BA306547082B2C38424186CE4263BC1669DBB320334800388700C';
wwv_flow_imp.g_varchar2_table(3794) := 'C8906D0541908EFF4810CF257934271E26F76C23F78F242610D0B00892700A92E0041F80014EC00400E0041537388EB98A6108235278641CC91B1F198B74D564073587F08008AA500BC5B008E4F00F4A755055960A446004FCE00A63400C142005B6C005';
wwv_flow_imp.g_varchar2_table(3795) := '919004E9400BD9609B30916AAC4552510600FDB664F1455FA486862B05A3AF079CCD187035459C6F485353090F78A48557990A06160A62D070E5E295BA967FCF87011A60A4FE320321406E53B008C0804D05A17907D188037197D9F00C23467E2B576DE8';
wwv_flow_imp.g_varchar2_table(3796) := '39107A860DD7555D02E1679ED7079A400864A09F33000569F0A6004006EAC83415C907629564B17775004053F740A02CBA69F0A00F750585EEA699B5D0A0AAFFA00A1EB68B07256BAE600036D00F9E8006B480069160026570076F200E0FF007AE77A2ED';
wwv_flow_imp.g_varchar2_table(3797) := '900EF5344F072410FA545836514FE65058B8E8AA06B43FEAD069B5F8A74C99A35049103D3A87568995CCF90921A08435A36E0F46913463360DE62FFE72024CD00762500BCC000D672A9E3B281E8997AD2F679788570DCF70978BB77E8997728A075DD226';
wwv_flow_imp.g_varchar2_table(3798) := '9ED6450C3D570B87B0077540844E606E67E0048220084E50841D13001A400B90D9A74516A86058531F9557F9969465954139750C8DDAA0EFD07FA891416118096EF0076E90095C900A55F00F0F4004D510009E0024FF80862C910FEE9040E5405AE6F057';
wwv_flow_imp.g_varchar2_table(3799) := '85058002C158963540251B709A95B2E90065A6FFEA0EA55686EC85A384A4A33BDAAB2419A4066660C776A435106607900167C684E442001A40666876003370024BE008852006B9705D223710D6AA9EE5B7A599777E648A0CCFB51899687800100D04F90C';
wwv_flow_imp.g_varchar2_table(3800) := '9DB718B13006755007750A05F74A0782700A74E004762A910410002F60931819995707B05C2564F5000F385B57A84192F7800EA15045C7C00EA2498BFDA00FFF700B9E900E5690099EC00C8CF00FB40007FDE00A459004B529B22B410F09F4AAA9600BE9';
wwv_flow_imp.g_varchar2_table(3801) := '700B99F0729950629E700DEAC0B6989B0AB7200ED790092F190DEA300CE2400CA9100EE5A00EF4006B9A86A303E1B314488D54C963D9B833C8770C85A084C31A014C4733E8963201800321FFA07AC1B66834B0089FE006B1E0678AB1BEEBA7735E2B10E6';
wwv_flow_imp.g_varchar2_table(3802) := 'A78322460CE6797ED1700BC3C00CEB478F5E9AB66B3B0CEB5762C2800D8B00051E4706F107057490B7758AAF00A00125D007D000990020850408A8823A6404ABB85A587CF7C00EC7E00BBE500EF23041CF889423E25655F6A78BFB8A28010FB8E80E7EE0';
wwv_flow_imp.g_varchar2_table(3803) := '0791400B5530C37EF006D7C005A7A90E4AB003D77004336C085F900965900904B0C391C005C0100E9F050F097AA34DD9B3BB4A109219B4DAB881075608CBF37CDA4B8822C0004DC30019507FFF7282E33B03ED23781EA6885ABB7EE49910F20B005D0ABF';
wwv_flow_imp.g_varchar2_table(3804) := '38375DCFA5BF22075DF68B0CDFF70CDAA6BFC38062A1D004F78A9F89A99F64FF00005080034CC0034D90044D100918695701BA911DB952032B8787FAB021F40F20ECA0EF3056FBF08C498956962B0F3A797686DB8C51C66447A912ED600EE5200E44600E';
wwv_flow_imp.g_varchar2_table(3805) := 'D780497E10215E400C5CE007A9400C5E704886300C99400499D00F6FE0073FC00563400B446008EAF03FF6A68552CC1BA9E1BC14385A01E85673A8760556C80660001156770810000650690140910CB00108C0CE4ECA008BB30447D009565A90F4588F09';
wwv_flow_imp.g_varchar2_table(3806) := 'C1723A787E374810D3B0B5804C0BAFE00AB4400BFBBB79F95B6200200CDCF009E54603FA79AF1E0700F829044BD0044880043AE00674081F012A5F9D4680F5E00EEEC092B03756F7F0D07D800888B008C7A00E6745B9EEFF66A8864A53F9155F7405524B';
wwv_flow_imp.g_varchar2_table(3807) := '466AC498692731CB8C2505DEE407566008E900072252054AE0097E50044A90097E600B95E025DD50067E00097F1000CF4504CC9040D55C86D73C9A554C802CCA4041868DB336A47DA001C31A6110868A7D8B7F83432E01E02F75572E3840052B3049EC02';
wwv_flow_imp.g_varchar2_table(3808) := '00D0C00CD69AB639C7887C0CAE95381EE6F70CC4700B24470CB2F50AB22572803C0C6C8B4DD8140B8B668449E7045140071E77067660075EC0953CE0069826B872581023BD64268DD2B0F70D90300655700663F047627007C0A00EC0081F7005D4035156';
wwv_flow_imp.g_varchar2_table(3809) := '396D105D8811F230CD29C7C3D16008E1000F996005A06008D7800663D00DC8000799100DAD1B0965E00AB0FF1B0E5CE0096F8008E190B2AE65CDB99A64652D10A3558D359A76A1C08194A006C33A38743D38773D10F9277711F6604B50021F50087DD009';
wwv_flow_imp.g_varchar2_table(3810) := 'D030789B87CF0831D8F5A883D18072348773843DAE64FA7DC8E0C70A7DD9042106D939B54E20DA8780079FF00988E00662D0042530061FADDA58D869125AD2EE40876C658BD840DB5D23497F7406F50209EC307565D50ED950AAD9D00FEC900D02940DE9';
wwv_flow_imp.g_varchar2_table(3811) := 'B057D9500EFFA00E449E0EFC0040D9200E2871DC4AC33FFE530E001050FB0300FA34105D4E10587E404A234035CA50B94AD6EBDDDE382BBD6B1D0B88B004CF97DF775D91FA5D1014790068233B4810015400095A66A583DC8F5BFB10D0950D267783D5FF';
wwv_flow_imp.g_varchar2_table(3812) := '90E8E8776DE75A623D2710CC804D7E168F6E890C6AD034E6969F76F009A8F0099410DFC2700CB480077A6A41FD70C9A1869C29DA0E91C592659509BB34106330EB363E06577150D7B8D0A040727E060F8BA10E893E0CBB6B62EA1009E9300CD19009DD50';
wwv_flow_imp.g_varchar2_table(3813) := 'DC17C15E9BE65736D159AC9EE5FAD4599D3510A465599ED5BC867AAB63FD80FFC6CD6B0EA4DC10DFC5F00462A67FF7BDCEEB1C8E254882491B661B2006A7FDE7552A10DAC69E00D9885A6AC73A570DC900AE8D88C7B7700D807CE08B2172B6600BFD78CF';
wwv_flow_imp.g_varchar2_table(3814) := '7D100029287F62F0098EE0083B030DC290F1C2100B3619E3F101587E1A6AAC35A8A405E350C80E7EE0055E30069D4A2C7720495E5006E2FF50B9393587C4700DB7E00ACF1073AEE00E2FB90F31670EF0800CB4300CEE60D9C8E00ED7C5EC1A216A392B94';
wwv_flow_imp.g_varchar2_table(3815) := 'A7DC9BBC998CA971CA47F9EDEBCDDE68BD56B6A876B900092150031D331077DDEE24D8B44D43000CC0035EC0076EE0057D900A27966D5ACB9E0FF1CF27B78FE3717377C973D0E40A3DC7D826F6E88AA1BE05010C8580087A78068560078B900BD080F119';
wwv_flow_imp.g_varchar2_table(3816) := '2F10B9C00DEE468B3D6AD605E1EC5667F273980E865006BAC405C34CFAAB540665100E342F6AFFB04DF7600BC5FB0CE15056D5000CD9100DE2100ED7300CB5CA0CE29009EE700BB28616B977CDEA9DE65B5F7002060AB1B0082BC084648F7F2498F6E4B2';
wwv_flow_imp.g_varchar2_table(3817) := '7A2580045012DF99100BC3FF000CC7405B71696D0DD1EF7A6989790FC004B9B5FCB8183D775DF93E10940ED81E160AA3ED08C7700C568A4DA21E0AC3B09B00D1AF1F3C76EEE0F1039030213C00FCE8D52BF80F80408AF2A281F203E0CD9D8D6ED0F4F164';
wwv_flow_imp.g_varchar2_table(3818) := '2BDD3F7D02F301B8E64E62BF6CC8525D0B770B40B670AE88E16346AB1B367CC4DA3D032051E150A2458D1E459A54A942840AF3D16B27EF64BFA555AD5EC59A55EB56AE5DBD7E051BF62BD4825405F2FBC72D55AE310C0E287C4B000081000408BC4D8857';
wwv_flow_imp.g_varchar2_table(3819) := '03871263DC78E944CB56AE58C380E54A080C00B184CC92569B76B45A6366D9AA5D53588D98E384C39831F3CC382132C7C38A0A1B262CA1B05A783EA90620EC188063B1FF62D1A205ED9FD089F20A1EBC9730DFC086F4A0AA4C685660497AF0DCC903E0CE';
wwv_flow_imp.g_varchar2_table(3820) := 'A0BC7BF7F62DEFF70F213F81F784EEA697BD61F67EF44EEEDE1D5CEC7AAD08A14A9DC85EFE7CFAF5EDDFC73F9F6CBBE4FDD0720BE5183B0E3840AE000008000103120AE0800822600080033488E00521FAA2440C4F143B6C18D18AE2ACAB64389BE69A69';
wwv_flow_imp.g_varchar2_table(3821) := '260B9119D472324D21641222A6C5D886522D144A8E914DB6D8620925965C68010098DD26F28FA0761802201F25F961C8A17ADA6947288A040A2AA8EFD03B8AB7A6C44B883B2EADEC2E9FA6F2C38F9FA78E1C934C35D764B34D37DF0460BF29F7490B945C';
wwv_flow_imp.g_varchar2_table(3822) := '1021502E060D5810C1BB4228C1AD004240820535202964FF0C500E532C97616CF15131C65EE42C9AAD364B28B284AA710C19629069D116626EB1C5B44F3F5408B5D80C0B05521E434905805800402C965442C96548AA986407CD7B941CAE4BE37A5D49A1';
wwv_flow_imp.g_varchar2_table(3823) := '21FBA30A807D125A7659638DA2A82185A85AC9BF24D384532C849E3C285B6FBF0537DC70F7DB4D203AD5E2F184B9EC0AA02E03E76A3082103298908A3B3AF12351C48294D5962063846634AE264B28190008DEB41A8389A1E516646E999431D390F1D443';
wwv_flow_imp.g_varchar2_table(3824) := '19871A2695543A0120148E390600924E660D05005AE864CA3783F8F97549618FE3ED282AFB71B659A428E227E7A1922DD73F33B115772BF7D00CBA68A38F463AABE0C825F23F3B43F92021BB866A57FF2E030F30C04144D4E8610C353A01C616C564FD57';
wwv_flow_imp.g_varchar2_table(3825) := '18D586B9B82B4B11B6349A68646A18005B5E24ADE253D13E0D994C0AE1A3934E442E39A15816C123944C0070651F3A25E2C737A29594B638A8A22432A163A74D16E59D792EB621A089A2F2F3A4971ABADBD14F473DF571DBE9B5BFFF7015038008FB5C30';
wwv_flow_imp.g_varchar2_table(3826) := 'C207F99C6B5D0620B1C5931E15135B21485B3C7BB117075EDB520080B2D4C3C6363BBEB3C500B07835C3860925893E0A11F9934E02E7311647EE80A447C5712668E59683951CCA98554FBD74D1E1A7BF7EFBBDDACFF5B46ED56176061878400428B0810D';
wwv_flow_imp.g_varchar2_table(3827) := '00800314A040041664170420C25F09198CD862010CC1F04B2113F34A359277308C4DEFFF19CC88C6673863371A01402672E3432128F189157E4F563C02402AC4E0874E24EE3AD9695C3B5696A47CDCA3294E72DFFD50B72DA209D1884744A2CCC8F58FB3';
wwv_flow_imp.g_varchar2_table(3828) := 'FC031BE2C3008418A081017220212C30A0074440810400804F1180032D5C711B5B0886820901D203D3A610A064E519CFD0200713120DE801201A6D0400A544733161DC4218C010862D10E1088E11F213A108C527EC800700208212878A05CA98D8B8DF00';
wwv_flow_imp.g_varchar2_table(3829) := '607D3F348E0EDF97C470C92F3E9C04652853B734D6F18748747AA21B1EC480086C40041E4081095E900213B0C0031EB0E5031684802794D11509C9C503FD35C152514F46A8520A1E8982B039320319CF20CD0747733C89C548217EFF548C303A51080038';
wwv_flow_imp.g_varchar2_table(3830) := 'A21051E0032458888726948005193854264E76C3225512586212D6939023CA4E02805BF3A3673EF5992D76B4AE694E7485170000210A78E0050991650C4C0080577A40A15D44800936448BDBD00A8D8AB9C5D88CC2CCE5598518CA64230801509A4F196F';
wwv_flow_imp.g_varchar2_table(3831) := '3169F363AAC657086F2262709458044BA940830CE0C09BA1F887E2D03290DFA4C93D0E81D93EC10515D309D5A84765533F4DD9C46C64E205088800044C404B037271031ED8000538E00113DC800208484006E00029B2419082B120559080D122C7C4A216';
wwv_flow_imp.g_varchar2_table(3832) := 'C5A8852A6603006C8428292005E9481D33A9E9A50D3680A4851BEE50084414020FFB08851DD4D08442A4A2104F2841FF141881539D0A247DC0614A9C801A44A4BAE94C45ED6C6845BB1EA5EA2F1B6E78406A6DA9D50322C02E0F00000410C801139820B5';
wwv_flow_imp.g_varchar2_table(3833) := '0FF0026E6E0324E10D452668A3D82608018053E8010A9B40878B960252664873319F7963C44E7A1A602886126E00004B176187DD8462095E88821B78A4061DB821148ADB075AFE71599665961E9BA5DC68D744547CCAD7BEF73D8A52AB85166CFC00010F';
wwv_flow_imp.g_varchar2_table(3834) := 'E00003FFAB4B031060410948006C2900000F00E0013BC844192B2A37080E83B7664306343671064268420F333880138AC18D3C0E257A4481AE51DA58B76A2A64AD349289300AA1069642820F6AD8073C102B863EC4EE1354688210F89053C53191BDEA91';
wwv_flow_imp.g_varchar2_table(3835) := 'D67B33FF195FFCDE87BE4D8672948BA2DF7F1223810FB05ABB008000047871CB0048400400F0551350E00126808330C42818369731A341120632626187339CC10E1D0300233F91908035267A273EF15046D8415505E916A989CD5A6DD109358801119070';
wwv_flow_imp.g_varchar2_table(3836) := '441FECA038769403008B70841AEC1005161C400D3955964054069C93F850B34BDE64529255252923E5B3F56D75AC8D5A5A22E5E31F94400004180497027B39216045C00610B0D53357C115FEFA65194D968AB0A586169930C201EC0C052144E1CEA800C0';
wwv_flow_imp.g_varchar2_table(3837) := '278E011A4F81CA530203F7554CD34760FC76DCD42B0323BD4089ECE2810FFB80C6379A60076E3A02BC2C608017884C91239F24C9F04D7551A814B9FF9B7509CAAF9675C2E54B6B93FCC30F5CDEF5D414D22785FC97CBB635810C32710B5A802286BF7CC5';
wwv_flow_imp.g_varchar2_table(3838) := '5A5D610846DCC0C100F8401A12E204009CA1098B48C53090019B38CB5C21C420063030153066F01C1ACE344A6A622C23611083121418C311FAE0083EE4D90E9FA0C131F0A0064CBB41083890DD1340CDEF9EFECAE04A9EDCFB568DB9B3E84CE14541F8D9';
wwv_flow_imp.g_varchar2_table(3839) := 'D53E6B7F363C23EF5A1751FAC4652E2720001C90AA09FC000C57A462CD72F304259ED0A700BA65064EA0011300E084267C229B688B33F56E3EF9BC8ED4E717B42651CEF6831778010984CD2E00BC40753E84420C998E8210D4956F5D59B6570781DCBF51';
wwv_flow_imp.g_varchar2_table(3840) := '3D70FF34F11FEC1BCA243D073AAAD4FF63E062EA473D8C53FB7CD44322C1B987797625C4CF4E65EDCFA727C3FBE19D8C20E84071EFB5AFBF6C00BBCB16006846862F03FF0623708001BB5448842234031A94A0097DC0D569240F9BA14023C3CF8006FE8B';
wwv_flow_imp.g_varchar2_table(3841) := '9261E921E50E55103D4A7084C2EAA63D2B8445088545A0022158021C288103D0B79EE115F5398993689261518929B135ED582F76F8877AE0877AB8877E283E89308E21293E12F48F9EB19CF890087F0B8AF3E019CB8135A33113A2F221AA4012E8E34123';
wwv_flow_imp.g_varchar2_table(3842) := '923EEA43905D2B0AB9D8252E4B900439331878823BE08224D80114C0B2EB1B0A8A43B984A0823E1899B9AA0AFAFBB9E5E933360A37A3500C5AA88228708D41820471623701E403FF2F688220A32908448FECC8077880125253880BA48782209215040071';
wwv_flow_imp.g_varchar2_table(3843) := '00807210876C6035264A8854500789300771900826BABD7E60875B88127750876BB8068988845BF8077320864CFC075AA8847B7886C3618748604424531D33918723513E00600854ECC1584C9D1F74B8205488EB331022DCB204408023FC2F0FF8010FE8';
wwv_flow_imp.g_varchar2_table(3844) := '322F1A46B91B8A03C080EFE2313CFB0AC59091C1A0A8B9A13F17FB2D4FF08212B803010C19EF5921015C04371083202B0108918239BC3D3B4493D87345C9610786A008EF88B97F4805640887325287E5F9876CF0043808874CC88654E0027DA00562B088';
wwv_flow_imp.g_varchar2_table(3845) := '7FB80762F0839160866B00055BF88774C80457F8075040866C0005FF0B0305573087631BC84880877AA81F553C927A08961D94C593441DE9C3875AA48B96AC8B97941A3E81AA5EA44900DB011888800460005EECB2025B200999101AE0016BBB3400E098';
wwv_flow_imp.g_varchar2_table(3846) := '5C38068DDA4248808384400446209941620444909599931144832043788215E003471027BF490816F2263EB08327B81008D1BA463CC7AE2BB575DC2C77EC8E7FB0052EF0043F480550288313890443B8067F44847018063848054F00804C888467B84486';
wwv_flow_imp.g_varchar2_table(3847) := 'B00573409C7F508767582F50704CC99487631307757005AAB0054DA48591A8417151C57614411D44C9D23C1D5AAC3EAB210A2D23C2FF328000784D0378000A880118188A61CCBEBCC0012488022AA037EE3944FFA380A1A4881520514AE9C93CD4A0BFB1';
wwv_flow_imp.g_varchar2_table(3848) := '89853EE0011618A4150A1C0060376FBA033158C0716480B464226BD121D8831C266147B89C3EB9CC0475F08454B00546F84438B0B0A008095008A36188064370054BA3085750877048857FA8C77C74C85B080779EC076230877AEC8670A087485044EDA0';
wwv_flow_imp.g_varchar2_table(3849) := '1F91FCC892B424D3A4D0A241CDDC69C9D5CC1DEE8BC2059A4D00808108294609591007610121A0020018033BE08341324A8B1A1B4850081D588A2F2CB10BD2BCA168948EE9032AE00144D8338E49244A803444F846EC14021A404B73ACC33B7CA7866088';
wwv_flow_imp.g_varchar2_table(3850) := 'A7D84377E843EF38B47F90095B88047A100743880677600400F00350C0886188846C8084682807FF4F78445A60875FFA8772D0C461E8867FC8844FF4035AC806438884708004509806628003C2B416F881509224CD0A55D46F41880BCD1D78A11AA9910B';
wwv_flow_imp.g_varchar2_table(3851) := '0AA00BA9F9D01870AD05E9B50308800A41511EE383A52B1FA3748445B8833168021D288184C800034A0AAB2C2163420A40329B84E8043BA082281019A32C19BF613A3B18032FC855D5CB00D6AB9626F51560210EA06AC73ECC0E7A088AF469077AF80771';
wwv_flow_imp.g_varchar2_table(3852) := 'A8D37B3C927050077C480779B056DFB83D25414F2593877FF0C06C90C874C8866C70077130077E08876C28079628D7CF04CD7C58C508D5C1B15BD47E6D13D4AC0B78514D5B941A04A0545C9CCDAEA242BB308008E08123F002375884EC8204FF44B083D8';
wwv_flow_imp.g_varchar2_table(3853) := 'C13A0D288A554D8827480A991B06689011509955D9208C5A080548A0821598824F48C34FF80447C8AE45E003708C0238CC8062D53AF238C7EF64196071CB618107439C41EEE08E86F037184488DBB39C9EE9A1E01BDA1ECA99DD780E9E595AF520898980';
wwv_flow_imp.g_varchar2_table(3854) := 'A707C5D7766C4593F4D7B05513A54288B84CCD4AF5132934300230D8D72C580A30811E28B0BA388013D5011D3882654CA142982985103300C880136855A21001AA0CBACE10D9999B39A3F82B6108055FF0854D488329380326608025F026999DD98B7DC3';
wwv_flow_imp.g_varchar2_table(3855) := '28580224008012C08062F502C5A9353BA4C02ED1C376EC4E9C310ECF814169495A60A90779F0BDF702AAECF0A11F8A0FFF1093FF49A20AE02338AEF50D78A087115C47B1555E32E92777988AF284838085BB5B9C0B3E79800C405B034B00163001BAD000';
wwv_flow_imp.g_varchar2_table(3856) := '1E48022A58821E8882310080A6DB1E3160800F18DCC13D8AC8A28569C45150B1BF3E5315E249B4D5F8843AD8033298010C488325C00028588443B0833D388334808233000095533C0010020018DD08A002D3350974045BF164D60C9C9221F940E02B8F5F';
wwv_flow_imp.g_varchar2_table(3857) := '39DEE1483E3391928430BE86D80DB3EB2C08FDDAE585E1FA68541D9A0A9671385C0C5821645803C88005C345D9A4001400402F788229E88125F04D6E4A084770041A18DD271E5DA2105C75610199ADAEA3B0BF16A185E34C0CA554054BD8843DF8DF05C6';
wwv_flow_imp.g_varchar2_table(3858) := '0026182E429004FF4110043A50083270029683820CC0808E355DAD45DD57148EA0DDC3A19D927EA8CC54800E7B8A95E478960FFC07CC080700008501A58561F8876770857A0D2D172E497E8DE14B068BE60D8EB88C5ED594425CC41A04E861B5954D0410';
wwv_flow_imp.g_varchar2_table(3859) := '013F280324E00124A082D1EB8346EAA65A50035695608598E3A1185C2F88955611C3508804EA4C0850905F0B4A88B8028056D80432889029980132B0046C638553000042506385A0032798810799E3D2751612C4609F5A5DF2F40E4F70856C4887326287';
wwv_flow_imp.g_varchar2_table(3860) := 'F304856C80878711077A58D77D9087C381878C090957A88467B84B5A30C849EE5AE3455EB0C5E481EE8A5E715EA3F50E2EC8610641DBEA35008315B31F5620FF0E788223F8D431E8033778B443EA04A88B000CB865A458D52A3E06DE0ABA59D997A3D0A8';
wwv_flow_imp.g_varchar2_table(3861) := '6350854D00005440854DB0843D380428A0013D40855DD8055640055650883566636C66A539AE6067E9D923210A0D16DAF120C147668472C80784BC054F10075A18533418864C988658B0057BB00757F0836CB0857EB8054390877038537800127B45A243';
wwv_flow_imp.g_varchar2_table(3862) := '95508286EB822E88E75D492958685B3C1086852A0EE8458530300511010078022AF08BF35D845D4524378890AB1003C448E9A340A6A310865C68696C2B0431860232503C282004984E089FFE693A086A0C602539E6661AFC66F538092ADDE0D66DEA7F30';
wwv_flow_imp.g_varchar2_table(3863) := '84432B0357F08468700538C84845B605E8985AFF7A80045710484350876CA0846BC04C076D6100C8D7178EEBE6CE0A83A6EB7F10A8470D425CF4A286E500B7951AAC310011900231F08B3E4821440019A364828F96635C0EDC562D8113288112D8B35CE0';
wwv_flow_imp.g_varchar2_table(3864) := 'E2584D0DACDC3F48C06931388329A0013238044B200328D0049E66056BF069D0A666D1F65FD206DC1338ED18BCE331B1C0F1EC43B4B88554389C4888045BC8844A48054320D37F18064F2807479EE74C5848C4B98648F004B4E64BA66D617C65C5B776EE';
wwv_flow_imp.g_varchar2_table(3865) := '1A5F8AE62DDBF2B46B3D11C2EDDE32019ADEB91836BF500337D81EAFAC8554280660E0830390E3F4065C00A0010070EFA1686C60484A5BF8A3CE389B2E578A5C100648F0EF291860556885FF5DF0855340854F006DD006009F06EAC5FB5F06C880F67BF0';
wwv_flow_imp.g_varchar2_table(3866) := 'A3062D3D6ED60E56076218509AA0877480076630074D6A6473F50FCBB8BD68808E6B30876A85CC80CB0F4B2E131907E844B5F14CCFAFB60BBE7F7003D8A45EBFE693878E800C9042BF8E000E908284C0838925A41EF19125C08B284F082138830856171D';
wwv_flow_imp.g_varchar2_table(3867) := '250A67F47244B3EFA2D0F258A05C2818E04380E95DD0044D4005496005D0C6B669066A379E8108A9A91378823AD68E239B96D5E560F2280A0F1E1275C80453522F429E882B895DA4BAC191A4714D777785D0AFEE343E3F00F51E9F0BEE16E55ED46B2F22';
wwv_flow_imp.g_varchar2_table(3868) := '80547F829AAD319089856350E28408E9298F028568EF5D7FECAD181B604004FF013E8019E06C98268433586300A866388FF337FE1F0CA0019ABAF66599A45193703D470E81E8CEE403C99CA940C831BED665A2E170882E118F7457774B47D4E47DF79EA7';
wwv_flow_imp.g_varchar2_table(3869) := 'B2B84C8504D935B535B005A180D79C9A872E300ED8002FE09B9049F26290955C88020688625A9FF208E658081EF820916F7FA9AE3F127BAB089ED8E88433088103B8694B58043DC066272003326063416005D14E083796100C388190CF00AD5B96B33079';
wwv_flow_imp.g_varchar2_table(3870) := 'A2E0766471C4DD2049124E92E010BEEEB4354BE28E12E6A1E14DEE7CDD7981EE791BFFF9F2548C3EA10BA2FFA2A35FDB50E693731A83012C9F5498958197D9AB378A5C97F219810D7F111B404A95D5A80A7FF9915CE884FF3DF80028D003399F81194808';
wwv_flow_imp.g_varchar2_table(3871) := 'BBD778006063377602AB7F6F91DF3AFF18B5A4E676994F8872A085444E0E2DB192840887479F8901051DE4F6E7E225C985B87C9FE7745B7B8600A35E5C34B00308A0BBE093BF76100E88003510C04E50F25819F82758DF270608000205661808A0048D50';
wwv_flow_imp.g_varchar2_table(3872) := 'C272010366D020306100844504362CE24383B600E48A25F098231A4E9A3899317086133A8204D1A103808C9392184E94280120C3937DFB00F4EBC70F1EBB76F0320EE5478F1E3B773C7BF603A02E12AD70FF6865FB178E98B961F4CC3D0B876C283C64D9';
wwv_flow_imp.g_varchar2_table(3873) := 'D2A933970A9E3A64E10054CD97F12DDCB872E7D2AD2B975F3EA4F0EAE56B3AF49EDDC08207132E6CF830E2FFC48A17332ECC2EE8BFA5F9FE3D130180C0C000040C0CDCCC41206683061064A0A02613A550003C16CBD5E9C4430C1966C016C80480930C62';
wwv_flow_imp.g_varchar2_table(3874) := '32E60A2C116E2E5BB4567FB483C1096E931870B71C881C378608196ADE7CF20F70BF7F3F93C2E3F7B0E8D1A44B7DFEB3C5ECDF3F579E325D2B13090EA461700CBD81EAC9959F74A06CADB795CAD01FE180F28F5B8D19782000DED123145F7E21F8208411';
wwv_flow_imp.g_varchar2_table(3875) := '4A38218515CEE5DD63ED44D6D364CC7870D943075C664004113C109A400610404004023120452899A826506A5400105D74196030C3196498E40419B809F10900C06C54A4400E0170A44114BD658B43BD01301C71021533060618D0C0044A6490D11C6EFF';
wwv_flow_imp.g_varchar2_table(3876) := 'CFCD90E3740279A11300E86DE74E778001D017784829C55476B44CF30F3D7EFC93CD7DE2B8128E27A9001A4E2AA064034C36C8A4E24A7AAEA4E3CA35E85938E95DF9C823143D7D01004F53947AFA29A8A18AAA58860271F80F322C80285000239608C006';
wwv_flow_imp.g_varchar2_table(3877) := '111080408B112080C0AC00D02A452790400280239074B20800D2DD24D00C50B8342619500824C6314C3E04E5921001304C464656CBD1701E09944A2CB988B1A3487410F29240CF0984C1012516549314D72DB59D50F9B899E05079C9395E76E644620BA1';
wwv_flow_imp.g_varchar2_table(3878) := 'A04422D035A9F0E9C935945CB3DEA199D042CC7AAF089A0A318C7A37EAA478E9D5E0A6187BFC31C8215358AA64FF44F303000668D6EA8AFFBAAA582CAD0050F080AD19982084177700C048B0947CE2C81D4B30205B96194490AC8F2F41E10413628472CC';
wwv_flow_imp.g_varchar2_table(3879) := 'B6510F66A492B950C99B1D0CCCF08113382C0D934133CC7040BB19982D84106AC483664F40B1F9908246C9F90F9DD995E38A38FFDC525539EEA4E34E3900B453CEE0E6A4B3913AF01CCE8E3AED182ED5C5224798173B7B692A39E6996BBEF95B249F1A0D';
wwv_flow_imp.g_varchar2_table(3880) := '112BAEFCD06626DADAA2CD4F8CE1061E0020C2080090F03106153AD8D4E24DB2E1E62C004CE851521F483EA4A4611B0957A541A1E4E205011830008049E9227BE301434BC74109290821C6DAA6F6E3767706C51D9E3B74F7C4935B915D7C71649119D4BE';
wwv_flow_imp.g_varchar2_table(3881) := 'A9F0372529E70FCA79CFE5FFF5EBBF3F631BF04F97E7FA3119D085A655A0C10C029EC7011108A10A0028C3181EE887D7F9617642D0C1415850822C19444BC921C3199C80813DF04620D43A0C9362E12D8FC4025C4F20DBF396B31CE829A77AD2A989F684';
wwv_flow_imp.g_varchar2_table(3882) := '000035C8034D74035FE41204007AC82D291BCA0E4FF8510F9EE0CF54FCF0094F92E81DC03CF121F9E04710FF97987A24057F9DD2A2611E00469185C6031018235C02384022188033A049510223B0010EB040084638821B7E45094320620C2F10020B3260';
wwv_flow_imp.g_varchar2_table(3883) := '190068B0203ABA8913CEE02CE4946411B9809A944C68ADC3582D23A9584D15421081E70D64860C101141529043003461876BDBC90FB903B72116B17C07624A82B088C6FFC450CE1D4D9CA55D2860901DE0F26301F8258A7AA9C67F30839770D10C671260';
wwv_flow_imp.g_varchar2_table(3884) := '22062080023D384215BC500681B8619A63501D0F0CF03C067033594B13080D66528C5884225C1E118ED582C39858D0C22397544D2A8E202B96B14C20226219024AC08251A6400DF64065DBB813C4F1CD6D20EEEB65C8EE57208432747F5C5042128A5004';
wwv_flow_imp.g_varchar2_table(3885) := '253CE10BC20C8AF7F8F10F7518820800D8C10E7EF0831DC840063FE8811188600400ACF4084630020C60F0832328C10B63D0991F42418B3108810A6E4004159AE0863E9C610A693843139AE0855C406320CC78C833E2120D6C44151BCCC0065591010064';
wwv_flow_imp.g_varchar2_table(3886) := '3C1500D0D0AA4186010D27DDA10A498026158C005281F0FF920844F88114B8A0066A7E410DE7B9C73ECE270F818A8F95E43BE8411B3AAA5A7A51B06F418315945085222441208D30ACC7020B4692796F30927D08FDF6E1A6839E0F2E3BE9D465E312DAF7';
wwv_flow_imp.g_varchar2_table(3887) := '25E68B73619B5FF83A90A610B11E05852CC8B868CB85C2B6B6A19A874024158F7878C73BFBF8C74EC648D9CA8A2F8B8241E58504A20F7D40A81FC13DAD9B00A3D97D2C97B96FB2873D707B8F7B01602778CDAB5E057A2FD6B6D27C7D0D4C534C1B17F536';
wwv_flow_imp.g_varchar2_table(3888) := 'C6B81E53287B618B5BDB56881FF6C8ED5204F2DC59B603A3A2A59B7B3D2BD9CEC265B40FD96F84D01417EB423196B90DAC6F07B257A500001F42EC543FEAC1C5A1BCCF7D748B5F9AA2F816F4981789FFDAE1894ED4871E023FD8C276C94E7A0D3C29D60A';
wwv_flow_imp.g_varchar2_table(3889) := 'E51E0186EC7DBD135FFA4A68C7FFC3907F891B2AFA49762746FE71153725DE7C30797DE4E3D7A6C431940D3D5820F258624F489C0E730C657E4D59224FD043618302F83AF448133BC4A10E111BA42955A407863DA63106D196C76CB6F384E8845020B7E3';
wwv_flow_imp.g_varchar2_table(3890) := '212C864B169D0BDCD00AFAB7869631818F6C64E03AB7BB9AC362A780F8A6260BA495E3D1A838984116BF71B11D42315C3A18A7E172E0634F7FD290E1B2A10E7A90E51F810B073BCAF10F7898431EFDA0C73DFE918E74C0A31DEA48853804920D620000D6';
wwv_flow_imp.g_varchar2_table(3891) := '81030060C4F10CED247954DEB994E5F02C6D08B957CF7529347043C6E7D59ECFBEFFB0FF473FC02DEE70B3977E6FC1F6A1E522688318BABB54E61CA40522E9493B795F4C998C389091955B0C231BB6F877348801B06800E019873A8F55B241956B84C316';
wwv_flow_imp.g_varchar2_table(3892) := 'B768F830C2110D685CA3E0D788862D88118E70D0E31FE608C7356EE18E604FA6E2FD8806C101A0E6673CE316026CB6A8F0026DBE4CBBE614B2364229FBE7BA78D8C0E81E345D7E1EDCDFEA4FC7F25625FE289DA0273345A3DD78463AC2319667B882180C';
wwv_flow_imp.g_varchar2_table(3893) := '0779369EA18E6B742552F2B886C09FA1E67294831952474639B0310C64643A1BD110C7DBE1E17182990300F2807334B2216C8130A31AB6C8B43EE28D3199D3D9C7363F3C5DCC7D6EC3FF2F43EECBF23CC061906E0C641B930F473AFFFCCC8F5C2B315366';
wwv_flow_imp.g_varchar2_table(3894) := '062E5E8728407AB8F8DC1921B18C299565F30EC4E84A7E5BD26D5C69A6F744A3E98846E3783D387124E5169764C782C49189685C471DECC8063CAA110E0A1B3F1D62878757E4F10C4F88831864FF873CE0918DAAA025F3EC7846C5412E8FBCA7432DAC1F';
wwv_flow_imp.g_varchar2_table(3895) := 'BCA52A4773C4B3BFFDC975BCF9FA05805F000017B790C52F7E718BF9D71F17BF180633C803B79D1E98CDCF88DD182EB91E1025DD15CDDEDCD48D64911800D44336C89AA498433608A05DF45C05968338845B5C80DB5C401102EE1C82101E3C64CA81AC82';
wwv_flow_imp.g_varchar2_table(3896) := 'FBB5202E05904699C3FECDDF2F284A1F54C11800C353E51F31FC823C6C480C42029EF8811754C33FA4422650062894FF0304A9433570811B6808020E59605C96022E99D20DD103D2C9C59C8F4F780789355D18D65E03AE0F53E45A64281866E957B6BD05';
wwv_flow_imp.g_varchar2_table(3897) := 'D121D8B5319E62C85CE5A86062B0E0405403FDB9201F365E52E8589681C3FDD55F3074828D90411A1C02316855FE05A013FDC335504039EC4015F88107984319044038508214000305B8423520C01FC0413A9C98A8289E611058E4ACC95F08440312D15F';
wwv_flow_imp.g_varchar2_table(3898) := '89D67824480376DB42F95876C483419C03008C03A5C4833DA8497E1DC8B3D199BC1506FD91D01408C430105B1F3E63FD3C863BB80553FC4337F89F2CE042302C022234032FF88225A40233F85FFE696096550311A4C20DA44915648221EC001744C21DD8';
wwv_flow_imp.g_varchar2_table(3899) := '020530FF4236B08014041B1582D9043EC499B9563F0E918619C499BD49677521BD7058EBF9D56BF5983EFCC32C34800300800208440128C045662400148060384045CE850338C03800E3F91163FA598E831406241442330040335802244455FF511E34D6';
wwv_flow_imp.g_varchar2_table(3900) := '24C804C5347A8F35E202FEC942307C822A00802FF08225D0C253C9420F9A23BEED802798003B7A021C78C21D3C801F00830978823BF4832120403710C8A7E443F7D55DE6190E0090A559EE9A586E1951DC43ED754A420E14431A519EF5C3433E420370A4';
wwv_flow_imp.g_varchar2_table(3901) := '4114C000D8855EEA256114800080C36E95A481A020C728A460D0DF227C230058422874954D46E64DB6434E56E335E69F4FE6822AA8822FB4423334FFA34094234F3C643155813BEC00118C0107A8433CC243008C012D20802700031AF84102444A9D5108';
wwv_flow_imp.g_varchar2_table(3902) := '3FB083581E853AB803520C5152D0833AA40371AAC3DDB1433AC8C35E29E7509803F03560A5F5DADBF4152C366473F543AE9942100CC00014005E7E245EC2C57892A75EEE65790A8402288060C643FCC92161CC590A6A0A620E4627B82400ECC22BD45F36';
wwv_flow_imp.g_varchar2_table(3903) := '02004D4A26807A8A34F645EDED64FE0543300043281883311443312003B1E59F0F2AD73F10031CE40D3B18021A54C52D10DFBF89C31DC0413640C218EC5F6E4EC875A44339984337F8811F289C1F10C32DC4282818C258FC4134948321F80133A8432644';
wwv_flow_imp.g_varchar2_table(3904) := 'C22DDC423A009B3940E715B9E5BC55FF5A5CBA128274564FFC965DEAE57A3AC0055C804792E74008805C80675F1AC45E0E80470A66301ED1095A0AA6D0A762F8824010437F06A89B0A6852502379FCE72FE0023438042FD4C23120439D4AA8060A519A44';
wwv_flow_imp.g_varchar2_table(3905) := '8E577AE5017E0A3FF88D9AD9021730021CBC0100444312D0423724412488832D04C01F64C313A4021A44C28B82428926C15840A78DA5172B6EDE425EA75CF698A099420300C000ACA740B4411BC4EA050026603EC479A66796EEA54068E979FEAA02E842';
wwv_flow_imp.g_varchar2_table(3906) := '30FE167C16061DCE674A16862DB4E443B4E99B46EB84E0A48559E6FE1D28336C842F14C33130439FFA5F418E2611F9846BF585176D57DCB816774D4A3EF06639A4033124C11B5CFF4335658321882A17DC8138A0C11D48413624011CA4421964C33E5C83';
wwv_flow_imp.g_varchar2_table(3907) := '12BC4112605E39B043A94EA778A56A79CDE56FB9AA02C4EA02CC810008C01C2C000008C005CC81026CEC05FCAA7A56641BCCC1C802E6C86AA9027CEC05646CC5C6AA028C6430C25299425BA62C2B61B882503E8D56DDC21E4AABD042C880CECB3F88032E';
wwv_flow_imp.g_varchar2_table(3908) := '004032E08227FC4119F4C1226C821D30022D244323EAA29FA90FA0AD56E4986084C8838A1E8E148C412594C19F64831BBC81170C433478C03B1A4215D4A61F188280C0413954C1A8B2C3913A2C9B448EECA92A9346C893FE0327BCEA45A2EC0068EC1C80';
wwv_flow_imp.g_varchar2_table(3909) := 'E905CC421898822208041B08C40584C10590C02C00802E64C11C64FF812900001BCC411ECCC123B4411684C17962E4389CC3A01D6B7C9A690ABA497D0E461F6CC222D88140C88240CCE0D0F62E63640820664737006D2AC0010058811798C91958C11700';
wwv_flow_imp.g_varchar2_table(3910) := 'A9D5AE0367A1C76418A097C1DC9B7C581259083F14CE35486A24A4C21B088C8D66021C64C280D04226005B2484032418C22D448527848339240EA4D5DEBCB90541ADAAE06AE73FB82AAC2AC002B4410138C0235C004656E423E40100646EE6EA82406441';
wwv_flow_imp.g_varchar2_table(3911) := '16D865E4662E279402167CEE247082E68601B00AC0CCEE96B1BAAE6018269AAEAB5D24AF1850811720AFEFB6B0810450764C0331A44215C495998841F272811754E22F10033BB4599AD84B81C88BA9205B9A20FFE76ECADDAAA59E811067DD9505E3B883';
wwv_flow_imp.g_varchar2_table(3912) := 'F1296750FCB09A31CEFC9A437F1527740200AF5DD113B9D90232D91515856BE96F766EE7AB7EA7C60AC423CCC15D2A8022E8021868302680412038F040E8021B7C2E27748122700227CC822E60020004C220E8824756A4008CE4DA10266390B0CE0E06F2';
wwv_flow_imp.g_varchar2_table(3913) := '5AC16E1CAF03B9B0262386E319EDB019821478810D3FD00379011770C1188C428F9ACF3FB08327DC433B80023D84C3B22DA1D4C9832DD4833C0CC3DF75AFF3B9C22DD4031347B22EF7577F3D449FFDB0E03C86E00C044629453BD81A14351D5008852BDA';
wwv_flow_imp.g_varchar2_table(3914) := '4BE4C422ABE65AE1C22A477AB00208C0C972E405B441C88EEC1C00401884413A8F6C0193401B58FFEE2384C1C986C1AC62EC010F2B7085F083A060CE768C09D7450409C4349972F26ADC2627746074723566C32DBC410DDB144EF541F0987215804232A8';
wwv_flow_imp.g_varchar2_table(3915) := '43993D8539944326C0C3343C833CD042345C43367C9FF6E9DD3F0C832BC0C3530D033B0CB381C8741CC652B751E75F3099EC2D1D763E485370F31A8367386FE4002CEE446A69960E84AF5A64C7262E5C783047AEE748A698D726862477CC61BC81CEBCC1';
wwv_flow_imp.g_varchar2_table(3916) := '3469F2400340262B745DC0E09ED8027D8C41589F8140544115B8C11D88E30F6391AE994736441C00080ADA51C50C579C3988C32D185C857AC2534D21FF8431BE50669BE8F44FF0341AFB34FFFAEF526F24ACB22CAF66C445C2AA7AC62A005CFF40AC6A36';
wwv_flow_imp.g_varchar2_table(3917) := '475EE40753B5080786C6D4E1892A861DE8CC6F08EDC000808BFAC11F8CA258CBC53039B4C045421FF0011F18AFF1FA411FC482C311C39AC9753920C334D0B233865C3D549DBEBD5D335EC3300C433A608BD9016A2F1976425EF34E6B616337A9A0D96564';
wwv_flow_imp.g_varchar2_table(3918) := '4F4AC63AF2678DB65DC827AE99B741FC818BFE0122B88EF14E09F1442BD026834004C32F04C36CCF05599B033330430F2683802BAD7E0BF82F00F834C89D8EDD833C045E33FF835010C85EE0493F8C5C3D8C5CE3D4C36E5A7702DEB42A5DB35B6AF3FEFE';
wwv_flow_imp.g_varchar2_table(3919) := '962804C1783A80964EA47A0A008A1FB58A7B30525324004CE447762C8A1B048BBF2ACDFE1624CFE149A67762E8370008390DFAFFAE001EB9DD0DC43A60ED7E1B442727117AECD63AB8835008203CC8C33A283949AE56881920184691768C569611F6FE60';
wwv_flow_imp.g_varchar2_table(3920) := 'B7A491F162775E771FC886FCC33AF8E22EEA029CCB3900481E9DCBF938DCB92FEAF940E4395C38721B56F561C827C72006586C0A963379932FBA930759870D8482B1182A0EC634D397D1F1C3A554279ABBE21907EEFE0AC498A6C93F01802E4606768598';
wwv_flow_imp.g_varchar2_table(3921) := 'A105977B024030B2BAFB0023D64AD66EDDD700F633E5445B9392D6D00A3AA34B63A0750ADB64C413C992D0623A621BC4BD6C9E6CD13462982AAD6744AB83BAA8BB8F7D05A33D6894B8997A825C3B76816095F1BA551356FE2C06EA8558EFAA7742F7973B';
wwv_flow_imp.g_varchar2_table(3922) := 'DCD830837B1F1AFFBB50A02A41DACBB28F8A9BB519123DD8A4AF21BE8F07F6A6498F87BB6CDD5284EC3BA36FB2BA93F96CC37BF808849B64CA3DD43BA397F66C61F5C15FFC81781A3C9CF6C133FC5BF085BDACB942537C13CD2EC69FFC615439BAB7F0AD';
wwv_flow_imp.g_varchar2_table(3923) := '21B6DF725B125F7C4FDC43E53C11B3A33CCEC385A7F559CECB9B14F37C5CA005F0ED3787655FF6191F3CA4A0C9F73CD3CF853B8C19D30FC5FA213300B009D41BC66328B35CECBC4030F3A878FD433CBDA725C698A560D39F7D6004F48C41A377B8859B60';
wwv_flow_imp.g_varchar2_table(3924) := '17DCC7FD4068D8406A6141D23D3F66C4406E9741E47DA8D4FD104D20DDD7057745D7BA6E97DAA3BDE27B4CE2E399DF8720DC8F4AE31B089871173E949E113FFFBE614CFEE2773EA89830C77B7EA8843EB271BEE89F3EFF907ECEAB61612C9762E426B1A3';
wwv_flow_imp.g_varchar2_table(3925) := 'BEECDB19DF4B3E3F0EFEDC8F0ADD872B82EC443E589760983E5D3059E93317F00F04F00BFFEC2F3FE628BC6EAE97E4EBC49121C83DE01A738970EC23061685F117BA22F37FBF9B76B4F81FDB5C88C3B17920FA9B3FC68803FB974338B87FE0A45C62BC2B';
wwv_flow_imp.g_varchar2_table(3926) := 'F967C4F8DFFF8AE63FFE77F461040E40982B670E40418307112654B8906143870F214694389162458B173166D4B89163C78BCF0C320389B1DAB592271D8E640660A5C161C388F5313805401383513C368CF590C14568004046AB16ED9AD09C0CAB297C36';
wwv_flow_imp.g_varchar2_table(3927) := 'B260CBA34FA146953A956A55AB577312C5EA30FF69346C0799117B064C214D263CA6C6A255D01642061A0A62E869F0408887A9B815642AD424806BD31A5EBB56F1ABC1C107931A4C4C8C1834645B2147963C997265CB0F9FFDBC9C309A4164CC56D65298';
wwv_flow_imp.g_varchar2_table(3928) := '21618413194877CCE5700580030034E000C000C3C4A5003A03189AF86FC26BD9A6FDC596CDEFB46CB929762DB89BA9441C343647973E9D7A75EB57AB396538A360061A250E7E28C88000C79D05CFD75678E27B443BC29A4243EE1B40F06CBD0D02162E18';
wwv_flow_imp.g_varchar2_table(3929) := 'E2DF6A80234246B3874E082182EB104C50C105A71B061AEDA6638A9864444328350C22506FB6825E3BA0877F345A2D96D5E2B210BA899658A22190AAC926B1E50EBA2F1B6C7EC3661A6C5EFF6448BF820E6BE83162180C52C821899C0C9A610080A6B9EA';
wwv_flow_imp.g_varchar2_table(3930) := '2034E8B4F1AACA6527D118104FA1B912527121241F038BA9DEA6A9E6BFC17ADB0F001B250ACE20A18C5AA84B87342C52CE39E9AC3349CD804CF097952C99E8358FCE2BA88685FE54C8CA84645B88996896CCF122C05CD4EDA0A27ADC12005536D183212C';
wwv_flow_imp.g_varchar2_table(3931) := '179CE1443B410D75C15C84816F9825274315803CB54B8DAE820CA02B8042375ACB20D20E3CA8BC880EBDA82FCB36D9B4275AA7938D81D73E9861092800F0E2983C458D56DACBE0FBAC49AB844215B4837E01400C4204818E81580F3A5656A84470954300';
wwv_flow_imp.g_varchar2_table(3932) := '76858ACD8DBE1AAC24DFB4D20B28A7DE0480908310C8554806189801271565FF4272DA83118E0C997CADEBCC090034D134A1DAC82580D8C858E0E8DA8DA04528DBF90E7A0C3E83FA0475894F011839E195597E0A1A611E64D8BA3320E6905383DA95EE66';
wwv_flow_imp.g_varchar2_table(3933) := 'D73E784ECBAD468A06E482863E4818722A0CD6358376261292525F6E59EAA93142861899ABFBE420276A6322410C32386121EEC4062097012DAB5421832D3965DF838FA15AEEB92332B82955A36B0500490C9AC1096611F47762B18538838F2405DCAC68';
wwv_flow_imp.g_varchar2_table(3934) := '852496E8E2EA68268BEEC9293748336440CADC3A610E498806320E22C389C7A1FAB3E92B99B6B39882D2D003F0830401BDF2D9691FD20BD14686A9E3E984A10480347002800CEE26B398818C012097A14F0BED5548240BFF41E8F5821E56C80B06BDF0E4';
wwv_flow_imp.g_varchar2_table(3935) := '65AC6BEF1ED450862C0CA1BFE998F88315129DEAF485E40A78501DE414869B4F0027437683EC77E2E1DAA06324AF05C1E73D0146CB0E6603C030AC06801F71EF3264F99943968004AC102000251041432E16022A108918922B88D700403CEAD1E1613800';
wwv_flow_imp.g_varchar2_table(3936) := 'A11000602B048DA10F243AD2006128272134E1137643DB758001A431944D213480C2F474A69007DE30418FC90508AB57162149700A9D7009116318C5392DAA3A1D74D06C4EA02127680A27054C0888A2B22BD21DC474054182956A81B7A30C464D192186';
wwv_flow_imp.g_varchar2_table(3937) := '308EB141E9D1210D6930C8189E0000E421C84A7F30C8EEA2B3B0830C43655234A49DFEA6295438C22088A0FFCE010C309703084170859CCA50F8531168C1476B0B4144283E018983B0201208821F222A749D0729B04B763BE42B152816EBD8E2250B59A4';
wwv_flow_imp.g_varchar2_table(3938) := '233AC9A02A34ED2580EC483596B2388D9CA07AB94C48A0ACD38954B8923A1012462D01000A58C6D09741E22142A098A042DA6D2543D18D3093839B8C401300D35B84D24485247062453B5C2A0833A7D9BDC6B0448DD7B14942E206806358B23AB6808F07';
wwv_flow_imp.g_varchar2_table(3939) := '1D54CDEB0410008BA0198910D2963AD553610579E63301000C27C693A2D21186071D622B7E4667A206F12703A59327838D6C110010659212420B690649A1084220441D5A51183203A4455A8B2B6659905C60B45A7A616846F07511F8940A00A1580432FF';
wwv_flow_imp.g_varchar2_table(3940) := '8F918B5C844285FF53D06A241716EA20839C0A891E42659AD5C88422141B450856A3938BB6AC06495E9D8A3B2992A78716A4166D09942D6211281532C895528D8EC1AAAA5529EE2541A100AB9C76620B5B0834271BC3C84A5371CC63E03414A9A8E966DC';
wwv_flow_imp.g_varchar2_table(3941) := '9AD7E81003260B59CB5CF5EABDF9386A339430A69080710BC9CC07A71B0985133F614CDFF96E48C0286B6589D1929F4E46B45DA2444733DBBDF9AC53AF82B5531F568BDBC416E4B69978CC3E9E5790C7628581AC6544411899DBD9054D4CBC950C6E4B2B';
wwv_flow_imp.g_varchar2_table(3942) := 'A49602E016B584466C81A297CE0C8551D1B9434342711E484C14B9D2558868C70000467482B5EE9D9B763AA3360465B748B60006460524FFDBE5B4093104C64A7D1D72BD4E2CD73A820C12243ED1894F10D4BE2CD3CE6CA923C73AD94D4099490886ABE2';
wwv_flow_imp.g_varchar2_table(3943) := '08477EC2B3B805C013C4B0884FB801C145A2E98301E03B13577865CC50925651D0912ED9B833F9B5AE6470E9595C5AC80D9F782E8D1DE208CF2E19C973F3305810026284C5A0201C30080C3432CF8238953A183DA941DCA090C335B921A104C0271C1166';
wwv_flow_imp.g_varchar2_table(3944) := '32274C15AA404545294001006C609C183D862A0E520B68ECF9C995E9031E18E205472073CD492E884C8257E88439D1ACD721F454CA23380098C0041621E4308E91CF834CCFB057E968741B821337FC55D1058D5EA95B46B3A6283786B18A000232FAE883';
wwv_flow_imp.g_varchar2_table(3945) := '28141AE4E883224B1AC23EFFE485C157712443F05052B4A0FA20BF2676CB548C52C2CE4E79924EE8701B223E6F011ABA4765F5B1B19DED8C08A3D79689828621036B8C74E20EC376080283B44116284FDBA7D676A8CEE08428A472483C4021B88F422E76';
wwv_flow_imp.g_varchar2_table(3946) := '8B3B21B650297A467110DFBDA120CEA6D398DF6D103CE0C10E6A4838A8A043ED9812E90856F953AE2290B382A890161E4443A50D72205A39415D8D8ECE2710FEF04594D4118500F5C319441E0C5CB3A8754A74540E006B9D4720000681C04144EB894C00';
wwv_flow_imp.g_varchar2_table(3947) := 'A00C4690880F1D1E244AB8E10C283C88BBB51D5D3100000742C8409C60BEA0D55D744E379FCA9F12C01023EC0000722600BB1B724F83701D9ED351C31312ADA17BF023FFEBA9C377DDAB33E305A941ED588995AB7306012C274F79094000BF25E241935F';
wwv_flow_imp.g_varchar2_table(3948) := 'C60E5EB00969C8458F7EE09DF2A5BE7B55343E95639065F193217141939E107A1C1B9412463300D42CC182E4B1F20BEABC6500BD4175611E00FD2A0801706F8007506E112947C83D265F6A275218F5530F79EB918F11031000F1025475C225CCDA451422';
wwv_flow_imp.g_varchar2_table(3949) := 'E5064FBE745F6090CB436557B0EEF954669F20A717247AF72835F1B58F10AC5F3FB37D07C0F633529E00B40BF731144313962004B1D1BCD42FEF21FBED4B4584E081E02F2A10E0FBA8E204382003C0232A06A44FBCC66BC6EF2042CF209625579AAFD472';
wwv_flow_imp.g_varchar2_table(3950) := 'CD209A60866628FC0050A698C5098400075223022A0E2BFFE40C2BAC0C0032E0CBAAA2EF1A4778D2800CEC0800980085D48353C0E8D898C56B502604DD8B06B0A4097A50A680411B4CCC099E0F2104A17C1CC2D8608E0692480891EC08DA6B5A5CE5D448';
wwv_flow_imp.g_varchar2_table(3951) := 'CD23EA207414025C9E30217A22021C491E8E10E6ACCF0A0D090A15C2085B8654C40AA338E2CD14C20D154210C8302182EFE10E200232600DD990CDFA400A218215AE8F15F0F0204030E1D6671013E613AA009D264212F4B05CE8E618B6CB2ADE0C151071';
wwv_flow_imp.g_varchar2_table(3952) := '1710D12016F1569E4B1EB24E3D1A1112A7053E90E010A660FD24E27E60F1601AB02D8061A7AE2214ED30221A1000D230DB6AE3407A51155B86263602030E00034A60185BC6BFBAB0235A81172C4112FF4A262114F112E982870C31E1C6881857061939C2';
wwv_flow_imp.g_varchar2_table(3953) := '559E601FFE210B1106AA36B12340E80E0BE21A0DA27A90F150B6F1DD1ED11BA705186261032B6214914C6C3AE706F370213EE00486B11EF0AE04DAC31EE7E67E1E421609526A7CE71615EA193582094E842121020368207D14B22343C5EB1E020A672E63';
wwv_flow_imp.g_varchar2_table(3954) := 'C0032443450C848154D2112AAA1021301221B883195B2F083D325A302B160D0203B04E0ACCF1282C0600760F2B64232513820E73426C68D22152B12699B2489612745AF22038C00B7AB223CA83F904112ABCC8A3226A2A4844842442180D621F46AF29CD';
wwv_flow_imp.g_varchar2_table(3955) := '1254A272822843828041135B6A259FE240A8302266F12CED1291307194A662F90CC200FFD02E2A0268A7E0122A6241CD1AC26F0E4270588012F6A12AEFF2312D832211827484E07A9E22F382B22ADAD2BF06B332EA113241D33A0E60580006003E80621C';
wwv_flow_imp.g_varchar2_table(3956) := '420C1A932A322005B0E21681C1162FE3EAC4E33343F336A52302182057BA3121A6EE1773E20138C0CA26302AC4CA3AB2123795B34ECC2D61FC4D219EF3397381169ED32797F33A5966E800C031A5E51BBA0100C28138C2D33BB3613CC7933800E01BD0F3';
wwv_flow_imp.g_varchar2_table(3957) := '1B0A221BB80C3BE1733981333EE9B33EEDF33EF1333FF5733FF9B33FFDF33F01344005744009B4400DF44011344115744119B4411D949DBCF1071ED4407FA15B0671F2A00D0088A020DA416ECA1200F081EE26D47B2AA1202A7410FFE9C1146F206526C7';
wwv_flow_imp.g_varchar2_table(3958) := '1C080200D2C11D46B47B50A115462137820112BF8076D4C11CD2211D0A821D806F4629C70E2BA1D388F4290CA120FCA8204C31492BE70E5602170A421CFA104A9FE20EFCA843D3411EF0014BA786F510824AC1342AF2E10DEEC010D0404681B44CA5C60E';
wwv_flow_imp.g_varchar2_table(3959) := '36416F08610C6AE11690D44D3362BBD40100F4014F5B66173A4715ED0186C2A1DBFC944EA6E00BF187FDEC281960E8498334460D5241E0811F64F45029C28E9AF0812ACF180D42446BE749215548EE14530FC25301801273341CF06E0F94E6196E011CFE';
wwv_flow_imp.g_varchar2_table(3960) := '613E893113CA419C4C7522D611F95ED217AFD41BC341CA7215007E4D15E6B1EE4A29126AA116A0A51FFAF45787153247C9A447A4A12000A4EE12A31AAAB52F4C1154EDF11FCC2F5A1FA20FF5A14F930F1FE8E1430BE259C57539F9E15DBD95FDEA615201';
wwv_flow_imp.g_varchar2_table(3961) := '005ADB1534FBC15E932F5F0F825FEF952302020021F904050A0000002C10000B003E024F010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B162BD7CFC2A6ADCC8B1A3C78F20438A1C49B2A4C9932853AA5C39105FBF8C2C63CA9C49B3';
wwv_flow_imp.g_varchar2_table(3962) := 'A6CD9B3873EADCA9119B3900FFF4F11C4AB4A8D1A348932A5D5A501CD3A750A34A9D4AB5EA4E48D9FE59DDCAB5ABD7AF608F7A0A4BB6ACD9B368D3326C07E016805F6AE3CA9D4BB7AEDDBB78F3EADD5BB51FDFBF80030B1E4CB8B0E1C388132B5ECCB8B1';
wwv_flow_imp.g_varchar2_table(3963) := 'E3C790234B9E4CB9B2E5CB98336BDECCB9B3E7CFA0438B1E4DBAB4E9D3A853AB5ECDBAB5EBD7B063CB9E4DBBB6EDDBB873EBDECDBBB7EFDFC0830B1F4EBCB8F1E3C8932B5FCEBCB9F3E7D0A34B9F4EBDBAF5EBD8B36BDFCEBDBBF7EFE0C38BFF1F4FBEBC';
wwv_flow_imp.g_varchar2_table(3964) := 'F9F3E8D3AB5FCFBEBDFBF7F0E3CB9F4FBFBEFDFBF8F3EBDFCFBFBFFFFF0006589739E3B8E34E3CEBAC034E37023678583A022518A183141E768E3A03AD832082F300004E391E82D28D390C5668225E080210CF892C4656628B309A450F00F4AC23D08607';
wwv_flow_imp.g_varchar2_table(3965) := '11B3A032D9C4E8235ECAFC84CB8F44DAB52000D56CD3CD874536B9D538EA9C6350320549C3CC407E39A9A5516C19340E813F01B00D00D20854CD9004D5B3E59A4999038E402F7A48A55B0018C2E69D4C75B34D993D9659D028045583E7A03ABDA80C00C9';
wwv_flow_imp.g_varchar2_table(3966) := '0423D02DABDC828B329002808BA2020945E8A539BD22D0289134F28740760EE4C95880626A2A4BC12483A641803412C94091FCFF61C81B689C6AAB4A9A32140C310495512B00B10894E5ADC47A54C940AB0040E9AA0D595AECB31C0D31D01604D1FA8640';
wwv_flow_imp.g_varchar2_table(3967) := 'B40280861B03FD0AEDB7211551101C066D0B40196E9401EEBA1BB960C3103910E4C74078C081C71BEAA2812EBBFC46E4C2402A30F406B703EDDBEFC10C0121AD0A2DC0B0102008470C91B80080008209208C2BF1C60D01E1021102D930100C20880B0723';
wwv_flow_imp.g_varchar2_table(3968) := '0805230AA51C47DC82402E00117041E2FA412E42CBF4820B35C3B6DC2F102300D042C643933C901F041FD48B7306F89C570B2D480B80071927F486257D8C359032C1F43266CF4E7FFB6EC015782090072AECE0B021992494C82ACB2C6700020034CD020E';
wwv_flow_imp.g_varchar2_table(3969) := '02F121D02761A3FF3533001210E4421556103486406714D488DC053D00C00B022102402802057B0C2518F4ED95C80F5902C01E67A83B5025A52AD774D302F12010257C1374CC1304658041069A5BF53243A86C7210C44C03E03800924F1E4A2CB91C23D0';
wwv_flow_imp.g_varchar2_table(3970) := '07B3670E80ECB5D38548269154F22A00E324777A418E20440503B2D3AE7CF352A9C0F942631CF2B915551834CD393616170102113494FD41B4834F9504144000000455135484114010C8140080048380A34BC381DF400280800CC8E0207C83C41204C23C';
wwv_flow_imp.g_varchar2_table(3971) := 'FB71457F072902110228902428412087530E020CF0BB23282484162C8B043CB0C284BC808300289C72D257104340E2202C0040FC6697C2AE98ED2046281C17FF06120300F0C008023996714C481043E80D2138505EFD7A6815097000213FF442416038C4';
wwv_flow_imp.g_varchar2_table(3972) := '61808D387720881A14A2BCEF51512A1B90C006200081DF010005DE815D42A4C081CCD5E18C546121050C328630AA471D1002513ACA510E75CC088F4709D338D2B14873B0831D6CC11079F601004A0AE41F5A1948261149154CAE671EFBE8102797A20F98';
wwv_flow_imp.g_varchar2_table(3973) := '8CF294A84CA52A57C9CA56BAF295B08CE54AFA000C59160B4D9E481C1900D0872BD9D256C1C0059500A00A8194A1180090C52F4D0517647CAA190389C52F86240B3A51D11800406632D7051783289393BB10482E24F58B6986A958BE4C082ECE69415FF0';
wwv_flow_imp.g_varchar2_table(3974) := '0200C2F8852C70D1CD7E8D1317CAC405B3A808FF0D7DD65362F8B4660A7D01805A0E846512B947A5148AA7EAA5B01007312700F001117E58341F1801404636B994F4850A548034CEB516C5C92AC0E158C1B845F52CEA908C2814A3FDE8473E18FA941EA1';
wwv_flow_imp.g_varchar2_table(3975) := '01125218062568D89BF40D11005518C3150422C3759EF10C3F95C2407E4251862834939BF4A4542034107600E70A5CE0C2187E3A90AC964E20A6AC1D0A09B24F85D0026CFFE8513806E2945BC84329184A078424299C9BDDCC0B3204003B2D088791164E';
wwv_flow_imp.g_varchar2_table(3976) := '6B0D11A540CE798DB03E25A62F89A9617DA3458170817064DDABFDACE085C60240890DA12B41A621906764C3152C12DD4092C6493B18D30E6D1BC64304B559D50EE41A0261063658640B92FFDA42A0CB04AB6401600F7632481E4D75D039CB31C88180E8';
wwv_flow_imp.g_varchar2_table(3977) := '8C5F8252F5CC710E0412EB8BAB741647734BDDEA5AF7BAD8CDAE76B7CBDDEE7AB739EC508755C70B00F29AB7BCE515AF78ABFA5DCED4E3BD0279AF7CE74B5FF8B6F7BEF1ADAF7EF7BB5FFC5E061FF920083E064C608110F8C0081E3042EE41D3833018A3';
wwv_flow_imp.g_varchar2_table(3978) := '0C667048E8216100A8E92004CEC780319AE00E7758C300C0A87F2F83D1129BF8C4284E314660B28F16BBF8C530B66449224CD3038758C538CEB188478C191DFB38C50269F13DF631E44A1A9992483649845B6CE00157F8C750E6B166A04CE57CECE31F57';
wwv_flow_imp.g_varchar2_table(3979) := 'BE3296B3CC652D5F72BA0BF9E23D0EAC264C9A192866FE4780630A003623F6FFCD708E739CA57C1978D8F9CE7606009EF7CC673EBBA3BCF0186F781F49E8F08AD74006E208A20DF448F11A3A1D836E073DDC616779F4F9D298BEB341E4D1603AFF25C09C';
wwv_flow_imp.g_varchar2_table(3980) := 'B62F8D474DEA524778BEF4A0F03D86418BE2C5820A3A28C10934C083252C410C541083183AC10D6854231AD1405242587B8D6A5C231BD89846B2617B8D6B009B1662684215CE50852624A10A3D30C218B2D10F7AD4431EDEE6AFB8EB3B90195D38C40899';
wwv_flow_imp.g_varchar2_table(3981) := 'AF85DD6B5FF065441E728EB7BCE56C5199DEE31FEE8885BE73C1870330E000040800033EB084289C000751504534A0F18C67003B21D378060090ADEC669BA9E10D478630A0810831D8810A53E8011290B0031E502012FFFF88A93CF891F234BBFCE52F1F';
wwv_flow_imp.g_varchar2_table(3982) := '965662FA8F79B443A60116C89FDBDCF2330305BA6791F347FA91F21EC29BA5C29AB7D2155BEF99FEA31DB4205E2EA870007FFF1B034BB0431478C0041C2C021B0C6F78B0397B10663083E2CB6EB6B381FD0C8D73A3188838C41274B0820DD400052B3000';
wwv_flow_imp.g_varchar2_table(3983) := '22102B8F7C2C7DE905B168CDDDC18F1D6309CE6DD64CBD5F62F4976464F17F573A3F70FEF45CE8FB132CA83A034E800106E000E44B100213ECB071B08B5D20CA0680B295FD8CB36383E2AA6F36B0A3D1F68D17431553A0C1093EA0811230E00104E843CA';
wwv_flow_imp.g_varchar2_table(3984) := 'F9D1F7C82B7D201665B9CD01708F9C0B841E297F3367EA8D740B1EFDF193377EBC3149F4C2575EDF908822FF03301081CE3380010567C2AD73010D64408319622F36B3A7716C6620A347AB87ADB1A3518D8C430318AAD00767400318407E1160000C1000';
wwv_flow_imp.g_varchar2_table(3985) := '28B70FFC000FF9107DDA2774604574F57073CD571010087424517818B55861917D1AE834F2707DC91781F3765195D76A7D90011A707E0C507E07800134300573B704B5000DC3F07EC8C00CFC075B64776CCFC02BD9706CCD666C48427BF6F77F9B700803';
wwv_flow_imp.g_varchar2_table(3986) := 'D879FE760008100090F00FF7D080F56082F1967414D80EFC7081CED766880586285178EF55855D01742518823E63698C978658486F0FE80E96170B4D707E55A77931A87B5DC7039D9083EF2776633710D3900DD1400CF30700C5560DBF8684C4F07FAAFF';
wwv_flow_imp.g_varchar2_table(3987) := '600734300319708704700001C00854980FF070856F287488558138671010288687E7891A710FF5E06D30E1815BE178D9D743F0D08619D18970F87D8EA003FF76877788014C307E34C004A1000DC2C876C0768888380DC4407F43780DD3A088BFD6704998';
wwv_flow_imp.g_varchar2_table(3988) := '0BAAB0079C870155470095288599080FF890819DA885FD50811C2810CE277D6C861088A7106E668E7E710FA966866836101881110CC58A3A015DAE587DF6030F45C752B488588507602C976FB1D007BB77872E787ED638034B4005C1288C18C77FC4467F';
wwv_flow_imp.g_varchar2_table(3989) := 'F4470C43489166C27F18470CC8900A7B9006FF460319808DD81800884085F8C08DDEF886A5386985478ECF0786E9681012888EF3166265FFA85115087D5F9666F4D08109618F8127948957106E86250C918F44C93119C18F6128939D4886AA886FB1F009';
wwv_flow_imp.g_varchar2_table(3990) := '629001FF968B0C4003341083185003B6D609C2200CC8300CC4C083FC177BAC350DBE547FB7450CCFD870C4200CDC6007644080342006D658926EF00F5DB8892B89852DE95CE506954F498AF26694916751A9D87C4FE707E6E097FF100EEA600EE2700B6B';
wwv_flow_imp.g_varchar2_table(3991) := '4561198510FAC8996BA6817F771060E317C93779F6437C4E392CFF1853F6906AF5C072EC607962C003D6A89574873C5C190227B008639983F0076C46581063677148A88818278CDC60098410053330034C40030C40000610007C8065F7B089AB798E4947';
wwv_flow_imp.g_varchar2_table(3992) := '0F37679333598A5988947FFFC7983F097DD99004EA4085FF5005B4900970500659A199AC08732E877C307593E09825F849104A5994B5839AD1079E6F5878AE099BB1100AB389905557809D678D32D807C790838DE870694910B0F50CC6360DF4B7886CD7';
wwv_flow_imp.g_varchar2_table(3993) := '7AC8E07E9660095030034E50A2345092534864D8999DFCD96D6CF185346298DA29A073A69892C70FEFC50FD0270E7F909E0FF806D9700726600BFC580FCDC78A381A6EA9480F23086E559811F7999DD26794A5B99412538596368A816982F8808AAFF974';
wwv_flow_imp.g_varchar2_table(3994) := 'FA46755A798711809033A00385B0718DF89B8A288802910D57427FFAE78C0D0700CF200CC0000CA8B0074E3003640005238A0001170B29570FEEF08052AA85DCF94533FF5293EB9898FE897872F69ACD2753FF500E3DAA66FFC005E18006086008CCF00F';
wwv_flow_imp.g_varchar2_table(3995) := '3FD99960D50EE9600EA88AAAE590AA8EA4262526A535D966559A42591A865B1A81FC800F53996FB950085A998B4FB8A00C3005BC090D1CF99B48227F46586C13C78C73DAA1C8C091B1400875400625EA0434100101C700C890729386A8AB399809E1A8FA';
wwv_flow_imp.g_varchar2_table(3996) := '09A945E917F296727D57A944970E91900EEA5906B6E00949E005B720AA2B268A4F5748EA650EEE105E8EC40E9BF8A42008AB534A9A25789AB57A8E529A0F39FA0FEC100BC7F009182070D0A98B78380362E006888083C47096152A88C7166CCDD68CCE08';
wwv_flow_imp.g_varchar2_table(3997) := 'ADC4300CB9C0846960AD808A01512802D8E0AD8477ABDAFFD7A2DC896ECC47A3DAC9B0E6CAB36F9672B1881134A70E94E0A3FFE00AD5400BB68006D7F00F1741AA40A10EE2C083C3C00CE2900AB6300DE2600BE2E0B02B067906CBB0B37A9A7A16A0F9D9';
wwv_flow_imp.g_varchar2_table(3998) := '890E5B855479A04B207058F9822180951F90875360079D800CC0F0B13CD8A602E183705A0D72CAA1B4477B1F3A0CC8700C4BE0044D50A250209234A006DF609D5C68B3C687B3841993B15AAE3FDBA273D6808E57B495C00E7E8966697651529B0FF41009';
wwv_flow_imp.g_varchar2_table(3999) := 'B6600886E00970400956302B55E01451EB86638B2555AA862D939A9C4B8BB9FA5E71B86F4D20702E68001110017658804B30069D90B266E97082C28C482228D9800CCFE0AC00C083B0155B878B0CB9FFB0B84C00A850E00442D00442000C855AB9E18AB9';
wwv_flow_imp.g_varchar2_table(4000) := '8C2AA3AA89AEF07B98E229A942ABA5F4000AA41B602B3653F398AF06017D86D09E86100922300DC3700D4AE007E14561B87BB380272C659B1A88C0087CD03632661A0B3BBF58D885DED68D04F9092BF06FD269009A67C20BBA025E900BC2300C882BBDB0';
wwv_flow_imp.g_varchar2_table(4001) := 'C5BDD920286DBAA1AD770BB7600BB6607FAAB57162700234E0B834D0044DF002AEE097F8C00E7E27B626A8988B9A7339D7A8F49BB69D9B78DBD70FBECB72AD7B257E07568F375317B160ED30C0B6000A99A004D98008AF60085CF0B40E58B063DBB3050B';
wwv_flow_imp.g_varchar2_table(4002) := '14A2313F03E1084FA41AA0E6BB546C820EEB6DF7966F9D20061AA00100077095780008FFA8C834800463700CEEB783C5D8BD0040B29C65849CD57AC3600BAF000C3C8CA7D0600733F0013300A81ED7042C70C432C50EF5E097707CB34E9CB934F29D403B';
wwv_flow_imp.g_varchar2_table(4003) := '67927AC5F020AB93570E55A00463F0131768BA6906A3E4080F393C0D9E9009A9500E6F1009B45006E6000F0E1CC73319BA8805669C81084F344604910933871A1BDCC711E8B0654895085AA6241970878CC23A400588900AFFE7C2DCEB6CC4700BC78688';
wwv_flow_imp.g_varchar2_table(4004) := 'C236B88A8884D13A0C63290CB170020C300351B0089FE0086AC002A0E0CAAC6CCD2CE9BE041160F450A3567CB91C2C93F7AB5800E00A847304475C0FAB0A69F260AA544B0F8B6551EDC00E72054895094890C60EEE7011D45CCD50FF49C7A1A1CD00C0CD';
wwv_flow_imp.g_varchar2_table(4005) := '16BA1AE1CCC1DA07C6460AB1B1D0096F1B700190CE558700E7570255100B78EAC2C3E070B2F70CAA4591F2277BB3C70C1C5996C3000C63190A34F00134D00A9FF009A1200C6E900B7E990F0DCDC41188982EDA3301A626B40CCBE24C73581C7D2C1709BE';
wwv_flow_imp.g_varchar2_table(4006) := 'AC04704085AB6A0EE2C50CB4900DE2608FAA4B0FF0D00E29CDD88E2DCD443BD3339A58B63A1A7CA0068D050AC2B656AAD1D3D949CE411DB1A1B002881C000170C89A7780213006FF7CB568696CD5900CF4177B977C84D580BDF6D7CFFE4C969D7002BBE7';
wwv_flow_imp.g_varchar2_table(4007) := '088E70D6C7E00A33BBCA13EDD6107C78391BD1B96C98361A9A91A7AEC337797E500565E0057FA06696190EE5F00FC3FF100DFC88CD06C152A05D864877B0F8888FFE9974BA3B792C25DE9E910AFFF41478800761E1D9AB09DA817C0C7E1045A67DD489AC';
wwv_flow_imp.g_varchar2_table(4008) := '7948A0066ED009D0B071F0E77006B196FA872429EB0AB470965A0DD52D2C0C782C067D100B070E0DB9100E29C7D6C7FDCA105CAE39EB7C9A28A39E1B793E2D7D0D38DDFDF0075580065560086A260EE2E00EF06A91E1D0690D61A521A19AD4B751A7810C';
wwv_flow_imp.g_varchar2_table(4009) := 'BFC05A36CD148B80078BD015F8FD8FFA5D797DB09701878D55670026FC0494D0094E9D0BC0B083687910D46B26D500973B18ADCCA05AFE0CD5DF200C8B108CC7200CB9100A59B10F20EED0B4B89D7F66E2694B93B06CCBD7DC0FF2307C19F50788E007CC';
wwv_flow_imp.g_varchar2_table(4010) := '2053FDFF500ECC405C41C8D94A01E44CC772A1114FA0457654615A6051ABE79ADF4BDACAEC000C5E708D2469E5E4570254300688A06F798AB8BF196C8262E9266B26D7400C546D761C09BD694E97BD7A0C6F7E0CC0400BE17065FCC00ED087DC82195393';
wwv_flow_imp.g_varchar2_table(4011) := '2653F2B8E734B9E2FA59D3329978C427C1F9F067DFA60FF7A00FF42014D0970F810EDF4681AE8E77E49F910DDD900CD9900DD2D00DEB3E0D8E6E1451201049BEE40060DF0321042930159A5ECB3FBDA4131D9B6320EA0157A607A00142E0056E0009B6B0';
wwv_flow_imp.g_varchar2_table(4012) := 'EAACDEEA106726DB7BB5C3700B5C0DD52E0C0096070CBE9E0BB4900A33EB97AC6CB9168D58CBBDEC9C38A57CFEA833CA9F48292C6DE6ED49679A74FF5CD99EE4E33C11BA367F19D3E0277012156A90E47640EF96050025603645CF14FB7ED7C6F7C7A9D6';
wwv_flow_imp.g_varchar2_table(4013) := '0FEAD0ABD708E00C10023168046ED00762690BB9600B88BB83141A6C07417682A2D5CC000CB730F1157EF100AD6FA9A06F070A0D9834ECAD9CA86FF6C4CB8EE22D2A9A47D93321285387F4CD9532C5E08E14949DF38F314C00A029EBC0F31EF2146A1005';
wwv_flow_imp.g_varchar2_table(4014) := 'F54DEF0AD1040010EF4BB1B0BFABB6FEEEF4000009246CD4891C016A800877100B9B0C0C5DEFF50FB7E00391965B6D96BADDDAC0900A9DF0099DD00990100AA1300C98C4D6734F74066BF7CC9773149D94F2CBBB61A8BAE0B8FC67987D866F19A0702800';
wwv_flow_imp.g_varchar2_table(4015) := '8021E5B00DDC661478100400A05439FF4D10D660107DA06B053146F6BE137B3C8ACE3E9E4CEFF4B98008D76889E91C015E50057CB0F0690FFB750AF6ABDFFAFC77E600710BD94066C8880D13360C18804E902085825808522700FFFAE56357CF623F8E1D';
wwv_flow_imp.g_varchar2_table(4016) := '3D7E04F91140477AEDFA014009201F4A9029599E74E992634C99305FA2CC478FDF4E9A335DFEFB4753E850A2458D1E8DD98F1F477E489D3E851A55EA54AA436FAD02304E9CB8AA5DA746A1A329A5379A6451E2415908251F476ABDBE8D290F9EC59A21ED';
wwv_flow_imp.g_varchar2_table(4017) := '82DC78B19E4676B9C4186070C0C06004040818F0932A96AD5CB680011B368C60B49894A359BE5C0D59E482C8001404200C18325A6E103D8418AA50246CFFF661D4785776CB97FDFF4A5E4CB972A448B847EFDDABA7BBF770E24A9912479E5CB9D4712E3D';
wwv_flow_imp.g_varchar2_table(4018) := 'C95CDEF5494A358BEC2025EBACA8233ED1A5CAA59B72F678A0FDFEE5C387EF5FBB584218BC6710E14104C28880D16AFC18F23062C8983DBB2C9A679E612640943263863F000824D033D18411C611483EE9A4935062E90392D65ECB282F8FF8016AA9F160';
wwv_flow_imp.g_varchar2_table(4019) := 'F2A8A49856AA8736EF70AA871E7A5684F128A5966A2A461B6F7C8B9D6D709C0A95453E0180153BE800C08E5D0028062572D021C7A5268F72C40F001CA9049964784C891FF03AAA6D44BB80FA879F7CF2F9C79DF6DE8B20030A38D80001040CB8E33E5BE6';
wwv_flow_imp.g_varchar2_table(4020) := '4C882066FE0B9099832843A99A3E1364E6B33B07522821681071E4FF134A4271A40F4418C9264C7E3AE4C8C37FD8994BC41177B3CD1D9572EBD22718F96951272C719C512994823AB55557FB1CAAC6578B3A03006BBE49E91D6D00789226727A75898FEE';
wwv_flow_imp.g_varchar2_table(4021) := 'CE72752579DC092F542F3FDA682732DDE9448808347840041350F0E0810710E00398586899D316C9240BF49A01292B484000F85C1000FFEE1C74B307634104D14F20B123833110F9C6357C28FDE89E7F6C7903A87BC6138F237A3C7549371557CCA74579';
wwv_flow_imp.g_varchar2_table(4022) := '849B75B95465AD38631CCDD9513C8D5D42C51A54502204C898763985A65D69B2040F3B1649E91498516AC755646DE274D9D9406427930D22E00005146080C1040E3CA0A08CFBC00526A183EEE4861B68A01110FFDE01CF5D175EC9063248A15B8489A590';
wwv_flow_imp.g_varchar2_table(4023) := '421C21DB912584400419D7EE61879E543B1278187091D574B6DD16C619C587BD23D5C51A59FDB8382E03273C395B9401609B6E52C2A51EC2AD790AF2A37C7129655E5C52872678E089F1E6BA74960D4477FC4853040F3678C0030F3860B30A57BE0D773F';
wwv_flow_imp.g_varchar2_table(4024) := '629E39469563A48606A5403F7B66C1DEA329A8B3AE85F93A133CC6E64E0D479A784218D7EA69FB6D8E3422A69B763CD1A86EBB5E325138BD791BB5D4C293DB69F0F1CFF7EA9698160FDC97238DA12965AA80058072942E47491F94E459079E755E8491E7';
wwv_flow_imp.g_varchar2_table(4025) := '1206BAD095C90D0FD8C0062890000220E00114A000047690895C302D21918146312C718643A003FF00B923864B7A472097E8692007794C2E10C107E4D9E1098E70031562F1BCE895AF231A1946A0D2E10A8DE46359DD03558AC00731F1A16F389A326212';
wwv_flow_imp.g_varchar2_table(4026) := 'BD228D6C488370C6F08535A2083FA2E02F3AF2B0D1CD6C42C09DADE7080688807CDED4406D55CB0FB6580C301C230C641CC30E7B48C3076AC10D613408342861D067DC65908320E43EC2225B215CE6063B8820146B6B9BA43CA2915B5403283B2413C214';
wwv_flow_imp.g_varchar2_table(4027) := '6612EF0140881EB151DF4CA544AF6092939F2C4A380010429438715D1DD318E59A514500C08F17C63892507E559575A4841EB58C8E1607C8C59088EE070168A09B0693800798E08186A820D36C5147554CE14796F8C4D43C839210C2EB4E7BFFDC4C6422';
wwv_flow_imp.g_varchar2_table(4028) := '231A57B8010F645B040B0BD18408400291F450E40DFF710B6600A51EC3C8449864C3BD9A35CC927B7B0ACE90222617E50363A07C8A0DF50950822A832B04A5897650628CCB31D425AB248A31E0C7502B6AEE460254162F3B022275F400988331C0611E60';
wwv_flow_imp.g_varchar2_table(4029) := '00A321000E6874852BE6848C4830E10C5078D9228A218C946C4650A0E1DA09B5290C5BA8C10B882A040BC3190506F0E19CD2EB87C06C518E6C5C2313A078863CB747CF13DD73884819E850061AB17ADC8362083D8A40C13A565C040300E02086299F68BF';
wwv_flow_imp.g_varchar2_table(4030) := 'AAB8928A4C7AC7507621D1576134671AF50899C25198C380D4000F0840EA2830065AD042A5C270051F5E708025D0C009532844FFD390218C10F2E76AD0101ED7B4090050F0400C9408AAD8F8A006F714E2A8024DEA3F86C1084F78823F529DEADD6A56C9';
wwv_flow_imp.g_varchar2_table(4031) := '4B9A0FABA28A0A3F7EF3D5B11645ACBD0528E200B0B81D2DCE161FBB5C3354E91488BA44A128F1063A3C481387CECAAE780D89C0AE118090FAD54D004000053C4004C518D6135500E30166C0041A4CE1130E4A892D66078D016136779A8D0C36FCC08332';
wwv_flow_imp.g_varchar2_table(4032) := '40426C632B841D70C000D3EE037A6E432D88C4018A7F3023159ED09E8A2659D5DAE276245D12CA49349CD50BE76C4C200A8A0F25D52C00C88323F9F80DE09428561503177D07455C384CF906E4024015B14C497389A20D6F90C31B2B4389339C01649750';
wwv_flow_imp.g_varchar2_table(4033) := '31C7AE9A0B4C50FF8BDD13FF631ADCED2B481100000320800347005726D0C082082020028171020EC4100B94440600C0B88564A6F68CA931031A9ADD0C33327184315002128E384D1F9A80030414981E35D41E8881728B7294E72EB501224E94F5B9ED35';
wwv_flow_imp.g_varchar2_table(4034) := '5AC39CC2304FFE210F00C2E32441D1F04A80020010552489486DB18BD1570DAC3C47D44349124D745CB824A364C94CD62E94090000C3A4C44D1C4801179ED02690BEE7001858421FC86CE6E3426820F49DDAD4DC1599CD1083195570C32710D516352061';
wwv_flow_imp.g_varchar2_table(4035) := 'C07E06344874BB133079A82525AA27A8EEBA4549CE732677119839C261E27C0C831DE2F8C75C88710B6284C316D360AA3C36FD69D486FAD4840B86FA628215FF8D6D422AAB764A5C01A0501CB7AAD59C8E3076C9F464C3100098B39E35782960020A547C';
wwv_flow_imp.g_varchar2_table(4036) := '300700390396608748E4A2CCB400C532018010C70C4434268F4C65814185325042429F28841BC4800303601BC11167CA3D808E49705358C24C1E0F8AFF910D6CA87B1865880428D4518E6E00E319B660473990010743846955FB2E1CA8FF6DC451C4E44A';
wwv_flow_imp.g_varchar2_table(4037) := '2821F3AC4EB189B59F0A7F2303403670F4F0576337D616AF38ADA35CCC0C08F33082F9000FEC60A1632493B3B4A85328E0E0875000836C90B8A04280E1092ADCE1E677EE8317F8EC73A47E64E8B231913DC7BD4BA4DF059DC3884438EA0D072E0043DFF2';
wwv_flow_imp.g_varchar2_table(4038) := '104739E0910E7994C316EDFCE7F9C43E76F499FFE10D8688891908778A8A0EA5165229BE4B76A10AA1E0224674FF3C17270ECC005C9CD621354C025EB0ADC11000E4256842150A71219343C3169DE0432C10320C34D20232A1D9294F81410921F481128A';
wwv_flow_imp.g_varchar2_table(4039) := '92361EBC700202BBE6CF3F6732440B37451BBD8CE225D2230927A30573A00576808324000675B8947260AA6C8007672306AFF3347FCB98DDE3BDF1F18451A8040088031A038031F8830EAB984D18995D6805A26838A4408556E0056D782E1BA38948703E';
wwv_flow_imp.g_varchar2_table(4040) := '00F883115C11E82BBD8E2093EDB2B8EA03262AC33EED7B80BE328C0C888231B0034800805C38865480842728012A60A30B1A883D7297D0783961E8842628840AB1393E70A112E833FFCB36FFECCA9992C01887019F203C376D43A7A662877078862A4083';
wwv_flow_imp.g_varchar2_table(4041) := '6B30877F08876C400660B80666000543F084DFE0240FFCC0C28904E043839428833FE0C018A1823AA815009084433805E6BB9C4DD00416440983AB8A62C88E98580218B8019A200500588560283BE4380920A44381A13823AC38C1300C04808104803203';
wwv_flow_imp.g_varchar2_table(4042) := '60012450834240844E40843EA8021A00000D60003CC89D8458B97171090861A36380842A28460AC1172F588212E8BF7DF8BFCEE32201C40D027C183ABC8BA57007CE71070A040078688749930B796887725007739087E0C8BDB0D39E4A6CC459418332B8';
wwv_flow_imp.g_varchar2_table(4043) := '0300700334884443E0B01B498334D8034DB484FB118A5D0045A9D8845D50A8FF54030065048016B80117308294B0022B00802AD002943041E2A0C520BC3B00080096340C5D6CA01888808F62812310034729042AC0810FC8800C38810C00804C70100C72';
wwv_flow_imp.g_varchar2_table(4044) := '17365A39080186C2AB853E5882B2592137F08226F046CEABBB65B9B0A2ABA402F4984773342E199C3AF43C11031C56598A55A90830012546FCC7F141033738C15791C28F4C093D4009B1008017148A5378C894A805BC140A3DD84BA1B01600E8C8A12883';
wwv_flow_imp.g_varchar2_table(4045) := '94F8833B808393F48A243B89AAD4285B4409BC330CC2A84C18002C0D10011E50033E588442E0010C48891328810CD0015A80BF717946307C905AF8843360AFB259842788822810026F5C0436044037E49485A92AAD3440FFAB14094FE2B48871B59140B1';
wwv_flow_imp.g_varchar2_table(4046) := '9528CBC7DC47F451CBB5249C327083325003E01B9F43908486448AE42B8AE46B8116000120C8812440092000802100001A83039458CFDE704C8843C7BBBBB897440006E02E041001C0E20124A0823EE00344388308088198C80035584DC9F8208440CAC7';
wwv_flow_imp.g_varchar2_table(4047) := '10864D480326602F4B78A333880228389B138880DCDC07796843BC12C0DFDC9B905834119DA7E2048A17D12D32E936E0422AE83C1F345003375003F44903BA04803AB8CB25F1869479C856909F1B740AE68B00A1488222400917B08116D8019AC003137C';
wwv_flow_imp.g_varchar2_table(4048) := '83B68C44A898C58DE0B471933827A3BE8A3B0C064000EE4A8008E00237888227A80E875046A04489120080FF0CE083C9A2A9959BA6D0D08FC253853D582F26D0034220043AA0032820831398810830AA0DED500F25094FC9CA1035370F051175FB87CC01';
wwv_flow_imp.g_varchar2_table(4049) := '8AA60A876B4887A058D1B4442D172D9C8204003590CE2FF898252145274809518C48A82083A350011748822100021B4889F0BC029AF083466884AE784FC8E4A5BBA34CC108A3FB648031F0022118833E183F3B88009E3C8194003F4AC8050859B9F38384';
wwv_flow_imp.g_varchar2_table(4050) := '4C90D3C73886BB540527A0013240055460054910043A20031A38813EDB07702C548DEACD01FC14AD4447BB20957FB8865B88866BA8D772C8A140BC866E434BAFE0091869514DFD1846888948B8D58C3984DC71092850B5A330B2A210835A108307D080FF';
wwv_flow_imp.g_varchar2_table(4051) := '94680115304F00708125450913500123150AB3AA8A4C398EF8C452CADCC5F9E02E0300802338022F70834540844F108303004AA05CD612108250A0C695F316F73BB3395585A175506EF5565620043218D740D5500EDDCD200C3D71330E4F2A3D2BCDB417';
wwv_flow_imp.g_varchar2_table(4052) := '110762B0053F34846718865B508770400674E2577FFDD71509588155DBAE480352240AB8330AFA218A2600000492801768818D2C4F9A50010098559A50865E9086650806E17A0A5DD2552EE2558F43800DB0CF267C593B90080B698203F800D104CAD2F4';
wwv_flow_imp.g_varchar2_table(4053) := '0268A0A90B82C60761D05A58845680022860023AD8855DF0D63D1D570C6DDA7465B2445309CE39C777FD889CA0344390AF74A08589B986FFA9CB0641EBD7AA1813DE528EC724CEB5555EA958022AD88319A58943E80ABFA4890D00001300011BE85B9400';
wwv_flow_imp.g_varchar2_table(4054) := '81EF040010F85E25200A6AD0856DD00500703E7F74895C8D3E02B2C5F9ACCC03A0802E358C08780237B03C0BE98401C3800820CD9C5D8467844684A856FD38043B505A3DD0034940855D6005A4EDD313F8493E38D7704C5C024A34AF5AB4E0A4432D0144';
wwv_flow_imp.g_varchar2_table(4055) := '2EF08454300778B806DDED066C88067E053BAA1013E34D8EB45DDE181E0E1BC50E4940894380DB985813ECBDD8F3EC58944881A1E803B75D8652028022B607A7605F9325C25CAC32FAF8A80778823BC8900B59040CC880FE4DD312C0814FA0A985180694';
wwv_flow_imp.g_varchar2_table(4056) := '4808FD780C5BB083347002FF5568856E3D0556F0564120032738011AC88045A860D8C5AEA835C7211A47AB24957C98BA7490C07080876C08877230070954617FD56080CD541986E4A3100294108225208E4330B84D80C223C88007800A13288AC2050052';
wwv_flow_imp.g_varchar2_table(4057) := '5006E152DF9448C9D25BDCC3A8CF917A490E78023CE0030BC9854548D69EA4011A288112F00200B8566A2460C953A3C7B0032680024BD8054B90044978E03DA5033976820828B00313C73CA6A4209230AB15CE0DF3247E7A918959178D58D153868AE28D';
wwv_flow_imp.g_varchar2_table(4058) := '91A9B5AD4856E798D8000DB05E0EC081A1901F7926456DC0C83ED061978081EC45091B980009F000094089ED155F9A58855604804A5805275A877F48E2A370CC6AE625FFA01842F83D002F8B808A9BB227F8CF0B39062AB0590CA0011CD0E50C70C66785';
wwv_flow_imp.g_varchar2_table(4059) := '3F080963323EAE42702C3B40853320033E15843D750239A60169D6CD74724392982DA99D430EE6E6AD8434AECC12DDA20779000F7A8007A69607A1239F3139E7475EE7AA76090AF0644F0600358D89C0740A1C60821A00804C0400EB85000E1068BD1D02';
wwv_flow_imp.g_varchar2_table(4060) := 'F0750923154997D8835A4183E31B8A87368A250EC2F3F8077300AC5CC4E88B8B000A7882D3488563088515C0629FDCEA9E0C6000503968158D339B93293C86326080638E022780023EE5D3389E819C2E30B6795A755D57A3E3E3D1233A9FA843D4760931';
wwv_flow_imp.g_varchar2_table(4061) := 'A90878A03479D01217719CA8766159E4B4E4B5EADD7689FF0300001ED00194D80342900AB11EEB3B18480A400981868116805500086894A882BF250AC6A40ABC0E428EE280F97CE23709A921F50247E88458380637C080CBEDC9F4DE5961C88585689A84';
wwv_flow_imp.g_varchar2_table(4062) := '785335728C650286626E022798012798E970BD6991D6E97DB8877618ED032C6D7BAAB02DB2526DDE1451E189420313E1550E7376E4BAE1EDAA9E80E8160A1E600224008078A609EA158A65AD022A4689045893EF1D0A388883A2D8031AF3C1EB0E8F0BF6';
wwv_flow_imp.g_varchar2_table(4063) := '929D10934795812C150C611A8CBA55034A203CF3CEE2C4FE49218805933BB3D040F2230F9739C905BF702C0CC080991657FCF6C9FFB6E0F645980207EAE4B5DD6E5EBA6748877098D46EC8867D1087FF6CD01FF2694E59A4EA0A97610FB8709778800460';
wwv_flow_imp.g_varchar2_table(4064) := 'D994088108E08194784127A08334B0E1BB8C89780E810DE07094B05E97C85B9AF8BDF6748945B0843ED0CEC6A452199F716E53871BD0D2FACDE82AA3800C70834C98885CA082C4BE593A1603F66EEF23A7892547A35C70840F00540CE0F367A6F212F8EF';
wwv_flow_imp.g_varchar2_table(4065) := '0047274A5FD449CA1BAB22CE2EF7A42134876CF881D1C884ADA80243A8EDB1E2660B73F3B59D009AE0000848098CF36D94B0E4660280344009BF4C7466DD80782E8323A8586A4F898C458A3DA8823D18832AE88A299D095D4F3A7FFA8774C0748D16A3C3';
wwv_flow_imp.g_varchar2_table(4066) := '18D20818834EB83F48F8009B9DE313708212A0019E658C854889A6892FC74EA6588805FFA29A013F9D721AE85F5B1FD47A107089D6A8DB48543E06F6DCF8876A90876CA8823FB4855BF88732682700022B7476F66787E4B42E8A2498021400001D70F786';
wwv_flow_imp.g_varchar2_table(4067) := 'BC0694201AA1980E9A8081EB158A82760923B8012498022B90CB918D712CF7127FE2A81B370C064020E5068C2E8B002F688850E8835F8B009DD556276802323BAE8517E3F86A0C5BA00588A70547C0801938833EBDE9193880B0CF0047A021B7F1A7005C';
wwv_flow_imp.g_varchar2_table(4068) := '57D756B40367B477C5094034172FE8067A00856110072F70057AD08735E7370A97F99878A0E5F50008D06A2A4389C180800D389DD401002B288359953BE8BE81A13F0A10D8670FA0090F60FDB6CE7910086EA6C7D56451F065A171FF6E730713F8283721';
wwv_flow_imp.g_varchar2_table(4069) := '802E2B8C08E8012FF84F3C7B0228C7809FCC6F1A5884266FF8B357F870A9A06FF91648C88019207826D0560CB87B1C28815498B47DC06302A22AD153D42E87382D090773300776F887720887B015077D93FC246AF3CA870B1308EE940088316F00102C68';
wwv_flow_imp.g_varchar2_table(4070) := 'F020C2840A1732240882200400081210A0480021852206A3118441504643002D3C9A20E861830400123C2454026007C11C05FF007805A05F489CF0FEF5FB57B01FD0A04287120DCAEF28BF7C3DE1A10840C0000102081E4488C0E1881737862089617102';
wwv_flow_imp.g_varchar2_table(4071) := '43840C5F674081520C582E60B600AC25B816185B5BB968D18A152B552E48181830C030E3EF01061984B008F5EFDE3DFF76F4FA1D2DEAF831CE9BFDE8B93B988F20D19F922173DE8C3368C1A4F9F8FD2BEDD3B4E990AA57B36E4D909F50D7B267D3AE6D9B';
wwv_flow_imp.g_varchar2_table(4072) := 'F50E1D37A6004852E53670851C44B64068000154831228148443305C4198AB5B808001C2C44A0F2B259800B1C3BBC1244576943CC84CB54E9E0639B3677C349FD27FF03C043060DF80551E63DC94C183C8CF182CB0900106009C40C3074ED0B0C7316815';
wwv_flow_imp.g_varchar2_table(4073) := 'D4D65B6ED922975D77E58248040704C65760189420440A86C9B38F62FF34D61E7B92D1D38E6500D4931966980125D94D35CEF8D9509EC5F61A7CF9DC331A3F002435647045DA061B68462AB924444C866405005E1064040A044D012500C338599B0A00D8';
wwv_flow_imp.g_varchar2_table(4074) := 'D0D072FF1C40C05C190699834B6BE525941D4B0070008441571084044144C8B6536432A2E8D87BF091068F08F51D17C1031CB040841F9940D2830825389A8158344021041469C4D2602E6C3134E15C15C682880819F0356A7E47086118628AB9B7676740';
wwv_flow_imp.g_varchar2_table(4075) := 'AD08C06500FCE8228C4CEEF8DA8FA36DB96B6B27CEC82BB0044DC0D0704CB690C2430C19419094008C01801274F216AC6BC386644002082090102ED3006067480FA884124ACC3D109141DB020027414908F4461957FCD65A7A3DF9A423AB42F153CF8FA4';
wwv_flow_imp.g_varchar2_table(4076) := 'B1634200013B85405508BC604419778C51861A310436030D333871821DC784120B00B9B4E516C700D045975DA9A4C2870606384540C00444C08210FF2664F2CF3E89D1632292F9C2E82A8B06C55A6B9EBBE6C36F90D40A9D50CD3D0FBD640200A07C346B';
wwv_flow_imp.g_varchar2_table(4077) := '491484C61D683CAB11006532DDD017682C6405D7687C71844B0A7161B56B583A2DD20D0ABD41132899D086E7BDF8DADC4F3EF4D0734F4FFD4472430F7CEF60C411441C61440C464851861B94948184187D8801C5194D2C0280300040F30C34007084CD35';
wwv_flow_imp.g_varchar2_table(4078) := 'D73C130DE6CC40830C32A30F334C26523C7144154F106144115E7CA1C61DE5F024F3AA73DFEA6A65B1C24A6B8E31027BCFDD415F2DB4AF461F7F1B1C612754864B52381FC992CE2B04479986645209F50439B73CF805950640DC07E5593E43E837542F42';
wwv_flow_imp.g_varchar2_table(4079) := 'BA1B458F3C2FE2841A42E317B48FF8FFA795B64F92E49F6FFF4294779020E12E793762D54FFA518F76D0AD209791DFADA845BC7B182F7CBC0A9E0533B8AB7BE9CF34A0A9A00611620F82D86384F6181FFE42289B7AA9CF7D8C811F047FA5907DD0B08600';
wwv_flow_imp.g_varchar2_table(4080) := 'D8873E904490141E047F41D1C70D6B28441A220600FA40CC8FF0710F7BD083203E2991016DB69EC930D0770FAC9566B644BC581D052120BC970085A7421D8D5136239CC73C00904684CCC31E3819E16C8AE740D728AF84252C6343E0084012F2108F0CD9';
wwv_flow_imp.g_varchar2_table(4081) := '091817623FD410F23442829F3D4843BFD2046F1FE8E349920CD9BE1A29C4784034A2908474149EFC031FEC9807070B294AF549927CFFA8472643E344FA09B294E46BC8224D591AFF7EE003473EE907FFF82723102AC490EA3BDE2D59E947F4FC841F8904';
wwv_flow_imp.g_varchar2_table(4082) := 'E18C78891E7BC9888E0989E0309DA8995F467321787A4DD05034C5A0D42D7E3A7C66CFF628235FBEB27DFD9B0D4E64A649DBC81067BF23C8CE302837B9FDAA28348A0D63F0268F265EA627F25047696A699AA488431EE988DB01C518BEDCC9B09AE8C107';
wwv_flow_imp.g_varchar2_table(4083) := 'D3C2683E7B4AD4A11675CD35D7A927C898936E30341E69426A22F53832804121E70EFDD7D0DA1C46311AA54D3BA9D8A218C6D48528BAC73FD4D10D75A4431DF450873AA0D30EA08AC31DF200803A00408F70A8031E07758C067152B48B8ED19156851956';
wwv_flow_imp.g_varchar2_table(4084) := '4B4AD5AD022BA35D24E3676C44A304C2EAA3AF71235AFBE1C6C888FF73A35F248D0FCFC952757E15A67972A7CE80B73B9BA2281FFF084736AE718B6C60C315E5C8C637C4F10C005C83B0F2B09D3ACC01806C640392A059E90085C6D08A72B5B39EFDEC6A';
wwv_flow_imp.g_varchar2_table(4085) := 'BC1AA4B935B39BF5085A6A7CC9593DBD128CAB9D4D4B9B5857744A55452C8AD5AC687A57BEB68734E6E82900C2A1D8726083A9D9A0C533D4210E75C8E31FF420C65A000AD54ACE76579BA52668B3AB5DEDE249AAA395A2CE6098497174A31BDB306F79CD';
wwv_flow_imp.g_varchar2_table(4086) := '71CBD124F128F7C0473D7CB74DB6B6309CA32424F93CB99828DE4C79317D555EF19540DEB2E71FBF8D8738AE718F6BDCB01C006047379E910D761C861FF0C8863800500E7B32A447D4DAEC76432C62EE5AB68BFFBA33082DE1418F20B5E317B7F8C52F70';
wwv_flow_imp.g_varchar2_table(4087) := '016319C7A3464D1CE53D9816DB97D23681AFB2E246574A60CE98F81F074D073CD6F30F71B04348E54B64EE6C0455F87C387923BE32962F2A5A1762E628EE78D13FD8016364DCA20C916006329201486694C310B7B846388891A848BC0C95D8555269E8AA';
wwv_flow_imp.g_varchar2_table(4088) := '4C85F877B73F9EA380A738D1CD0C78B797BD2B929032DAFB9DF086FB9326FE38A852CE78385820CE32A633ADC2EECE17817A72C762FED10E5C1063186380C22186818C5FACA327A0F0C30DE0E00634F0E10DA0F002314E099CFBB2329DAAE22F47B7B999';
wwv_flow_imp.g_varchar2_table(4089) := '3F1B44B7019C68CF30CB67D1F82AA441A1E13A58138F7858964FA3C1D16BD12924686ABADBDE16FF1AA70BED6978F6A31D3303003C641C8B3EF8C212AF60C62FCED1135ABC411CA97003170CC107504841BDF295CD3DEA410F81DBADE076AB07D03859C0';
wwv_flow_imp.g_varchar2_table(4090) := 'A2695333D806F01C8D6D697E04FC478FE107B5B3D0800214A0200A4088031A8089783812323D922B939277E76FB3BCE5B7815BA7F7F413A57C1927EE90F1857CB1095AC05BDEFF184615D4010A38DCA10C7EC8862DA460A2DAFCF3B7E9707A3A9E1EF5A8';
wwv_flow_imp.g_varchar2_table(4091) := '2B1528B1DDACA7C31A1488C333C8D9BE0D5088C72FAB13E51FD35E80031432008308A014F138A1C9E18372255DD7E576BF3B70602E6E994B06365F2E4D8B71218C50A8A216AA2686BCDB51065AFCC00D99489DE3B9700717C926483F6DAA3AFFD8C18ECC';
wwv_flow_imp.g_varchar2_table(4092) := '0375A89B076A52F3FC6B869F78EB95093016ADDB0FE2D143298E31FB3FC2D00000703C210318800204408AB7579B28439ABB91EA8EF7E1133F27E8E6E4DEF90E14D2FCFD1FEE88F13062510B6D108318F1CEA92BFAC1086664231CA8034524C4F18F7FB3';
wwv_flow_imp.g_varchar2_table(4093) := '061EECC8861F86E10A50A40214CC6086276E410B5734561DED10FD7E499F2F29CB14C88176523DBDD062084521C5C33A5C80035CC0DA1144C711C400745CEEED1EB5A10651C89D3CD11DC3AD5CF16DA0DDB150F235DC4D28453BBC08003CDF2FA845311C';
wwv_flow_imp.g_varchar2_table(4094) := '43F5B1DA4FDC176D1C053CC0C330580122440228ACDF1F30422AFC412610030FB603855D1DB0C9DCC35511A0A5DE967C863C34FF97FEF5C439FCC31C08401B28A0001CC4EDD19E008C1CB55D5C7C25541266200786A118869BD78120AC945B3D94863B24';
wwv_flow_imp.g_varchar2_table(4095) := '43323043F41D433458DF3A988852C4977BF1CB69D58685C103309441DB18822144821FFC0125F8013188431544823B04E1C2D914FF11DBEF481CB07C06FCF41E01BE5D167CDC0528C01C5C000008C00584A2275E40DB3D2164509CEBA98775A99C18B662';
wwv_flow_imp.g_varchar2_table(4096) := 'F191A1FBA018008C20F9B44332FCC2D06D422178C230E0C21C52929204490CDEC21818023180821BD0C21F8C811FBC412654039DC90385ADDEE8396211CE141202E04D2CA12512E03F644102024016E8421B644116B4C1249802415C40034C423C80D2C5';
wwv_flow_imp.g_varchar2_table(4097) := '21861702A095B9FFA23DDE1DA799D889BD061AF6443B448321708D1754C118444232B0086318D2FCF8845F696042FC833466832B3C5EFCF9C133DC0246BA822B300331C4604FD4433572999E70DD3B65A3ADDC44255EDC3FD8033886E2389EC32C3C0200';
wwv_flow_imp.g_varchar2_table(4098) := 'E8822E70C239B4413B4E5BC915C5BEE04DDE7CDD0AB1E23D0EE5B789163DA5C87A8C604FB803337C01417AC1187CC11D0C43B4E50D69581D3CC5602AB9463DB8034FB90313655ED4F11450998351B91E3D84642CEAC902BD53495E60126E6373BDDE4A42';
wwv_flow_imp.g_varchar2_table(4099) := '61035C4027CAE42C844116CC82298CC34D0A4020909C2375232A921D50D21118122563665A3E3661C32D9F5242242D58C1185CE6C2A0C12DA4A13A745F36D0FF43609943F79943340C832D1C54E5E58334B6430C022110B2433BB8E64D204913E51F698D';
wwv_flow_imp.g_varchar2_table(4100) := 'D5B0E5CC11C2A536F60337EA5F6960A203DCDE052CC01CB481025C401B00C0023C02028E1C3DECA4EFC9E34FAE62D138646366E7563DE651A688504CA63CA48265A2811B5C661910434FB0C330745F3AC461E798033D44439CDDDF9E8544F98CD26CBA8A';
wwv_flow_imp.g_varchar2_table(4101) := '5AF21D6E6E9D6E76DDFFA99E5C76A3BD9CD01CCCDE0078E22712840054E1028E1C0D11684F22A67512A0765E68886D59E97D67A82559D179C1408A41FAE943981143385C832D74033044832D8403F785832DECC4D0A4A56CD527318DE47FBE25B7F5664A';
wwv_flow_imp.g_varchar2_table(4102) := 'BE5E09C91E03D69EC7E15EEE41288132C6D855FFE7174E1586362968692869E9CB64B6836946C21DF8011C18422C10C3CC34993854433464C37A02003354C3305443361C948D2A098DC2CA9AAECF8091643CEDE8494E0613D2653C80A3033244DBF11E23';
wwv_flow_imp.g_varchar2_table(4103) := 'F95E924252859E9493162A5741E93E020578C6E1FBB1E12D76835FB9D7121A5573699EE6DD038BBC6991B4697539138EBAE59C02DF9228E15C3EC609C95E157E62DA1144EEE55E03885C0979D074FAA4652DA9851A2AAE3AD463AEA58CB4438EF5443CC4';
wwv_flow_imp.g_varchar2_table(4104) := 'A63BC4E03AACC3556ADD2B29D2F82C9DD070AAA61EDBA7FA9F49065F64D829810ED4398CC34C8E0338E8C238E842B682ABB602C03A6CE19F0EC561629BAD8A6AAEB66B06B9832A7ED57479FFDD4198C897E58F2C0150B5AAD002D5283BC5E96DED269DDA';
wwv_flow_imp.g_varchar2_table(4105) := 'CAEAE9966334DA098DD03ED4D84ADAC3DBAD92C931E9170E0576BAABC5829BA076D401E54843CD123CA01236DD50C80E13C5995B30064557BAA95BF65E44ED091CC5835ADD1269341A4771D805E90B695CACCE6610194E526B78EC8D55AC0A616A13D11D';
wwv_flow_imp.g_varchar2_table(4106) := '502C5003151BCB1E4F008E155636AD29990F9C921500E22C4416EDCE66EDD1F4EC6D002D68952CD61609CA1AA141E01463B06BBBA26BD084ADD6B62DAF702D70E4033CE4D8672545FC9CECD1E62841F864CDB8AD8E74AADF06EE920012420107923EAB1F';
wwv_flow_imp.g_varchar2_table(4107) := 'A12D1D9906A626AD41E097DF8A1241B0ADE056EE6D801AE5BE9C3B0CEB502EFFA13C24194378EE51EDECE802C05189EE12EAADE5AE2E6DC426936C5E93D9E3E9E50CDD26446CAA6E426CAEEE1684EBB248EC86C4EDFAEEEFD286A55A6A4818EFED1E84EB';
wwv_flow_imp.g_varchar2_table(4108) := '02876EB226EB3EEF6DC81717291A6B04C9CFDCCDCE285A5D19CFD9B68687512FB0F40895A9C6F8AE06C81E04C29D2F41A011FBB22F6B041C421C9CFACE46FAA66F48D8EFDE12C4FC2244EDA26FFD225C42942FF40EF06AF4EFDE221162ECAF6AA82F0227';
wwv_flow_imp.g_varchar2_table(4109) := '30DD22303C19F04220DCC0E9AF023B49CC1411C0497080310400AB51FBB2EFFF36448EFDEF076312041F0462E08312A5B0FE16704268307CEDAF1211B00D1F4F036B706DF8480E73F006E72FDE955008B7511BC1D11DB1FF86F8BE2F0BBBB00AF730DD56';
wwv_flow_imp.g_varchar2_table(4110) := '9A5B02DA0D4F7196F1700E030044D98687919FCBD99117DB030D8544A7263193882F1423852A651615AFF1886930BF2046D8B2F06C9071D9363009D73162E8831EFB4835E1CF3E8CC83EAD46061B51FF5EB042C87148F43022C353AC1C91410051E6B2B1';
wwv_flow_imp.g_varchar2_table(4111) := '248B5862D64F39D546B279A3B70DD11001E342006EA16992F66E061A4FB2295FAC3938982AAF4639641841B4F22A33981F614E41200341D8726BA87239EC322FA7838349562A0773390433000073311F334118B36A38D8310F33339F323463DA629D0799';
wwv_flow_imp.g_varchar2_table(4112) := 'CA463480A9E61444346C3337D7063020031F4453D2D807009C8C6B60C3E540033A63CE62315648540341C0FF3300C03333C8F24670733717443B6FB33647B33F875834600347744E3530983CB7C63418F46401C0346083B730963D2704985EB32C1343E6';
wwv_flow_imp.g_varchar2_table(4113) := '54B31F6180B800400400C0A804C607A8C64503C03A3FC3E76003415CC343A77463A13443BF7436104436B473424F436005564DA774411C744130D862A95AE9FCB35057931D40C3486B0E37770E47CCB36C503383C5744C371643C0F3523335417024417C';
wwv_flow_imp.g_varchar2_table(4114) := 'C22E54130300408100C0018474437C42415CB449BB733C5BB5B7E07442DFB44BFB346325345A17444C1384B754034FF7F34214024384C050FF35B5E080429CC752F3734DAB34621FB66233183154834D47745C277662173436EB73488434069C4009D0FF';
wwv_flow_imp.g_varchar2_table(4115) := '40F87C40067C80606FB66AE800001C8341B4733C5F335EEBB4B7A8344433584337744348B65CF7735E33C419300160EFF6F1D0C0271C0334548E2DDB326A73C46D4F754F4F1662E374635D43412734651344551384969029331483414001829C00476B50';
wwv_flow_imp.g_varchar2_table(4116) := '0894400470F66A40019D14849620033150B374CFB36B433644BB756DCB747347B55CCBF3718FB78110C45E10040304C60118C001F0B6801B49A614C4FB1D443438B76BAB46631143982EF78217447CCBF3741F04313044067C161420C430648E7A77335E';
wwv_flow_imp.g_varchar2_table(4117) := 'E33562F3744333984A3B346305964148B55DAF766A57B66B9C80580F388D2B49137036761BF841A0B641C0737BB736905F4334A8F74223FF8482DF374230433200401F1004777B75888977422C5685BBB74224B453DFF4643DF75C2B788523042EB38601';
wwv_flow_imp.g_varchar2_table(4118) := 'D43899CFC68603402C648E308CCE696FC44E47F842B7F74C27B784AB784EAB062EFF82413C7947AB50803B898BB7465D87A98F4B356C33B4952F44989F4241747542244799473A6B4CCB422CD6591F843CC3369C27F46245787CBB0631A077359F8124E8';
wwv_flow_imp.g_varchar2_table(4119) := '811300C0984B3300587A36F374822339821FBA2CAB3842147455730433F0B841EC8141F085A4FFBA6BF0066F3481859FB6AE63FA8F6BFA55DBB94154376D2C966E4BC219B4DC791CFB971F4462DB754FAF7442D47340033BB8EF0A773BFA0C14C49A873A';
wwv_flow_imp.g_varchar2_table(4120) := '91AB865CCB356CA336645FFFF3B537042E47010030BA47FFB9A611F7B133445BCFF58A1B3BC0EF3B4290411DF0B7AF873BC22704B903000DE08023987798B786636B3A742738B717892F18C45F00C099635AAEAF376BD8F334C47B43903C437C75C2A73C';
wwv_flow_imp.g_varchar2_table(4121) := '415C844743F9B467CC51BB06621B444247436B07564107872A00002114C4C49041A609FC6CAFB4B7983C4308FDC0EB36423801D013C001B0BCCA4BFA57E3C11920429658F73310B6BA2B7B54CBF3BA27BA6B0043CF1F841374FCD540BD93A837D8D33C53';
wwv_flow_imp.g_varchar2_table(4122) := '3FF49C3B492D1804D0473DDD03805F17C4C39F412840035CD4F26AACB49DCBF2611B09EA00C019A4014140C1A92FCFD303400D3049A8CB7C64B37435D8324E17C98567FFB741D081BDD7FDAF77F58C174427F07D758B7A6B503CB643B76BDB0256CF46CC';
wwv_flow_imp.g_varchar2_table(4123) := '13C40C90C1DC0F0DCAABD09DEF74C47BBEEE1B49AA1F841894362EA3F7859B7E487CFD41B476A6C3FA6A688910844F2EFC7EB0A47B43D4B5D727445D0FCDDC33016903C012ECFE5FE37B412C41145042E50000E9C8C662E5FCA76BFB3C5FFC6C9C0E00D8';
wwv_flow_imp.g_varchar2_table(4124) := '41E81F84E213FBAE94C0CAF30AD22378BABB37405C033090604183071126444866098028008E0851389162458B173166D4B89163478F1F41861439F2A281030C065699F84CE3B56900046673495020C961C384210380E1C3078264E8105433521FC15824';
wwv_flow_imp.g_varchar2_table(4125) := '2F326306E019B368D1AA298C36B0DACB81359176E43390FF4AC3AC5FC186153B966C59B3667190BCA5F35A5400D9002C9DD6D62C0D2784002C2A580864D18407CE12AC3635A12D00C46002701B5861A15A941C151441A91F63CB973167D6BCF93231644B';
wwv_flow_imp.g_varchar2_table(4126) := '277A266875EE4B81739102038618E1A7459F007CCA0500DA404890FC66AC3C30562A8204C80AF3387771609416697156BE9C7973E79A8765AC760D2ED6C435AD63160E72376F003406120820FE2C5400E6114EBF18F529CB902B0034A13183E0A262B307';
wwv_flow_imp.g_varchar2_table(4127) := '021366F8797FFFFF010C30A1CF98022D24E2B23B6B3BA442090C990733222DAA69A2CA2EC1913A39C621A314E246C00F410C51C411991A4BBFB2FEE9E79F7D8019688CE3C81AA6368E2604E0A5E2AAFF294E2CD8140A05AE7D480C52C821893C8840123F';
wwv_flow_imp.g_varchar2_table(4128) := '11E61825135A10A37F06023214DF0224CD20D05023CB0F2A0712AEB7A38A0C53CC31C974AE935434D430B9835CF90848AE0800CC32F726D231BDB186C9254300F0E333172AC12C53D04109C58C30C5024C25D03643D170A054DAFCA84101ED3CE8D0B034';
wwv_flow_imp.g_varchar2_table(4129) := '9C14002E094A45D342410D5554A48ABBB4394A0C423524286F19A98F5151ED04804C648D6DD45B71CDD5231C9FE3712C5002FDA88C500B8104804E542D68A84C2809253A7E748D56DA5B09BBE6A94A394BD6BBAC4019C8008FD62C08985B6C69354C3726';
wwv_flow_imp.g_varchar2_table(4130) := '4A854A473219289F69E18D374C3A01C006D1FF7C05E0D3AC22386BB5203F81E4935A0BFFFA24964FC49855DE85191E512782660490924FB47DE2BF585E21A84F5BF81B883522F37D820A000AD1B6E19351F60F9A67220631B2ADC04AE2220F126A35B9A3';
wwv_flow_imp.g_varchar2_table(4131) := '6C89A54583A23B6C20689871CF5A6C9D33F6203B524E5A6995E92DB120032DCB772C13268261A00D088A61A2A380318CBF167BD6E9631123CB2B213F964E5B6DC65AF16513018DE66A330E2000808381607800010676E0D45C00808985E31681E9393A6F';
wwv_flow_imp.g_varchar2_table(4132) := 'A41E88E5A69F7B22E182127672EDC929FF0AB687FB2B7BB36F1320880200AC3608CC7007FA1BF0E8C871322826BCC1A636CC954364A045F880D9A091D5E8B8F2DD79FFE871001E869A33BD9443008004FA1D08820D36E8FC0B8246FFC9288D895AE6AC6C';
wwv_flow_imp.g_varchar2_table(4133) := 'DB7BCF5EFB91ECA80500E1604FD9F8813A4788538F7814069A9E896126FCCC5E1D68E27DB7AFDF7E8B6EAABC7C821E88010EFE8045105A446F670839414288219AE560EF200F010002F8723F096E4F0F343843E29413C181E02133E31BDF409237101180';
wwv_flow_imp.g_varchar2_table(4134) := 'AE20DD1A452C46819F4810444E053920196880B48224F07D97A11DF10AC2C109EED07E2500800C07D233E7F0058799F9D603C977C4CF01C015280400C60AE2069A2964063438E0458821B9C0C8CE3645E4E117D576800364C02705E953DA0CF0AD238290';
wwv_flow_imp.g_varchar2_table(4135) := '3C780340C7D02633E07CF020077402CF3ED487277885205C04E31FD376945C685169477C00000860BC04606D2045E8FF41418083448530C1810439116D76463AE69CA1091201400608428FEE0092940BC3A07F3EA1C187803230913C9E411E200384D071';
wwv_flow_imp.g_varchar2_table(4136) := '226210031F12973F00A9E177A5F4E52FB3029B507C22328E40D7407C189816C2282CB311C68984F81C3E001198D54C593497D32047F88A8181F916038E1300B340237004E18273BC684D75AE1323B0911D1FE2871902A4F195C12C482C64A541002CB13F';
wwv_flow_imp.g_varchar2_table(4137) := '2363E73F01AA1048688E202CB88C9CBEE54A9120828157B49B809A1050894E9420488B0212CA22CE3602E000DFD21B593060901270C0A000CA4048299A52764A64099E34A2420932C28FB0922025C8C0DD00E495906680992AF52920C9B01C9A1A4407FC';
wwv_flow_imp.g_varchar2_table(4138) := '044909FF6C6AD3FF40C120FD3A012D7F1A553042E104215C8E060E0992136460AB00B0294E0544839E4A95AC5F3C017D9E33568F24D33F92A00802085A56B9F64E100471825A459496939E9420071C6A73503157C192D2AD03B9234122F0D7306540A9CF';
wwv_flow_imp.g_varchar2_table(4139) := '614560072288BA0E96B2DB634550C8A40385B092ADCAD9C5412E5B57CC16A40491A14765519BB6D116440A200A569124BB59828C32B5B5B56D42228081C4A2942011552C6634715BE102920A2B82D288FEFADBCD049520B11DEE73D3C6DC223173B70551';
wwv_flow_imp.g_varchar2_table(4140) := '6E904E0B5DED8A6AB563CA406E41695582C0866303D19D5898BA13001CF620A39D4167B71BDF5149B704E019C81186D49381F05559B610469F0A68FF1606006606DD0580747D625FF92E9850EC9D013339F084E302A80F8935481915720CC3B4E8BC6271';
wwv_flow_imp.g_varchar2_table(4141) := '825DEC4A110C6C15BE0C36F190EE28DD226980227530482E38CC61B3F0D622BCBDEE89712C20150F0AAD64E06D15A1100B47CD66C33306C001A7B75E03231621F780568EA12C20B40E84C600480199A64783432044C66209C56C5AE8D0823861CA1840C9';
wwv_flow_imp.g_varchar2_table(4142) := '8DA39C66FFE01507BD1CD331600CE3C0282A613FAEB27A0D826635EF59331800255E09E2857F4C98444ED003423A6C16951C24A46895D3947BCB674993680C007853905C6C105B9CB13963E5C1A4413D2297860930C720186342D12D005041BC141173A8';
wwv_flow_imp.g_varchar2_table(4143) := '612DB181109A448BE883A32E930D7BABD56B23718BF5AFFF5899CA4089B6C036F6B1C7548F7B209BD9CD76F6B3A11D6D694F9BDAD5B6F6B583B4A259639BDBB55D7676BB1D6E718F9BDC4B4B87C2CA9D6EA9B64966EA76F7446F3090760BEFDDF56667E8';
wwv_flow_imp.g_varchar2_table(4144) := 'EC9D6F6B9AE00D68D3F7BF011E70810F9CE00537F8C1375343842F7C72480B06C3214EB9242B23E215B7F8C5B16D89837403E31DF7F8C7616D8881788FD3203779A162220D00A8BC1AD260C7C9612EA87E143BE6F10D080021F904050A0000002C0D0018';
wwv_flow_imp.g_varchar2_table(4145) := '00240242010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A24586FBFA5DDCC8B1A3C78F20438A1C49B2A4C9932853AAB4480940AA953063CA9C49B3A6CD9B3873DAC433108F1F478C047AD249B4A8D1A348932A5D2AD38D403E4CA3';
wwv_flow_imp.g_varchar2_table(4146) := '4A9D4AB5AAD5AB2B1D39020009ABD7AF60C38A1D1BB3904035045B7ADAB78FACDBB770E3CA05EB14004F814143D91BC8EFDFDCBF80030B1E4C524D5DBCA1FEED05A091B0E3C7902347360B1440A67DFFDA4ADECCB9B3E7B0663F8B1E4DBAB44E3F99E299';
wwv_flow_imp.g_varchar2_table(4147) := '5ECDBAB5EB8A851C2172E487525BBFAF73EBDEED1A2854DEC0830BE73CDBCFF0E3C893C765443B93F2E7D0A357AD24BDBAF5EB37F93807705B33F6EFE0C36FFFE4134AB5F8F3E8D32B5C0400915D00F2D4CB9F7F1ECF5DE30271D3DFCF5FB9988294BC02';
wwv_flow_imp.g_varchar2_table(4148) := 'C062FD1568E070C300208E3D8DF173E08310EAC64F63115668A163C679228C40BF5473E187200E760B00A1BC524D3221A6A86260D2ACE8E28B614D03403730D668E38D38E6785D36A3E0D24D8B3A0629A44DDD8C38E49148AAA44C41FDE093E493506E04';
wwv_flow_imp.g_varchar2_table(4149) := 'CE40D2A8A38F835166A9A543E06C239021C4F443E096649659108D66A6A9E640DBA0B9E69B65BA09E79C47B6284D360A0280259D7CDE184E9F800AD9CD364B066AE88DE6E0E2E1A18CC2E865A390BA188940F5446AE98791E873E9A6078EB20AA7A01A88';
wwv_flow_imp.g_varchar2_table(4150) := '0B00B78CA269A8A886174923008CE2C928934EFF9AEAACD8190240247FFC01C01B94D2EA2B786808A40F85BF163B9C19C10A84061A6318EBEC70BCDEC1AB4065F4018021C43EAB6D6E6E245BC640D96E2BAE696FDC51971BDF8EABEEBAEC6AEB87AE80C4';
wwv_flow_imp.g_varchar2_table(4151) := '0148BBF492F6A940A3D4ABEF6885EEEBEF66D4E8D2A232B884FBEFC1712D430D00CB808BF0C37329230A00FD426CF15BA48CCAE4C51CC7454FC7208B3594417D856C7254BA5267CE3A27B77C953800E8E7F2CC4851A7CCCA32D3AC334E7100409D82E3EC';
wwv_flow_imp.g_varchar2_table(4152) := '2C344E4A1494CC9F43272D93110335ABF4D3379901F5D43495C16BCE54673D12113F7C61B0D6607784461561974D927766A7ADF6DA6CB7EDF6DB70C72DF7DC74D76DF7DD78E7ADF7DE7CF7FFEDF7DF80072EF8E084176EF8E18827AEF8E28C37EEF8E390';
wwv_flow_imp.g_varchar2_table(4153) := '472EF9E494576EF9E59867AEF9E69C77EEF9E7A0872EFAE8A4971E173B00A0AE7AEAACAFBEBA40ECA8137BEAEA4814FBECB3D35E143BBCCBEEFBEDBC072FFCF0C0F3AE503BC8278FBCE96556EA103DD0472FFDC7D0D7E33C417BD9538FF6DA5BCF3C52D6';
wwv_flow_imp.g_varchar2_table(4154) := '87EF3DA5E2976FFEF991E5A3FEFAFAB4DF3E00A722740F00F7ACBF3E41FCE43F90FDF97C0F113E000CA0000748C0024EA480084460FF08930FF7E9437D0E8CE00317C2BF050A247F18DC93FF2A52C10E76D0221E0CA1071F133F099AB04118640B5BF2C1';
wwv_flow_imp.g_varchar2_table(4155) := '0FF5B10583FD70500637C81111DAF08600B8A10EF9974306DEE31EFAF8A110FFAD27C41FBA4F4FF653A10A05C216822450801AA42143764845F5E94F208DE98716B7C8C52E6E91315EE48CA68E18C1FC80AB1F99F9871AD7D844267D6D8D5274083CE608';
wwv_flow_imp.g_varchar2_table(4156) := '8039DAF18E78CCA31EF7C8C73EEA5120F010CC1CE5414878B8E390863CE440DC018F76B0C391C673873CD441C9DEC1831DE650C739D641C9DFFDEE1C94AC6320DD71B9F001E07AA74465428AF84381B0F295B08C252BCF47CB5A9A8F1EE24BE55F3E268F';
wwv_flow_imp.g_varchar2_table(4157) := '74A4431DE930473986590E7114531CC82C8739C0D18D663AB31BE2400637BEF10D6E40C3168E4096169470052B284109454842129430042558410B5F888338E6D1BDF1D1508B60F4A23CE7494F2EAEF19EF8BC271AB598FF4F7CF2F31FFB7C8B46BE280F';
wwv_flow_imp.g_varchar2_table(4158) := '73984317E018C739C6418D641AF31BE508263826BA0D6682831ADD982635A1F10D4A3C010D5AB0C2085C60852180E0062D68810D543084207C410B95008779BEE6B80C5E71860BF9623D77CAD39EFA749E679C4B0BEB38D1362C401748850544DF518E77';
wwv_flow_imp.g_varchar2_table(4159) := '8803A2E910C744A971D18B5283A3E8F80634D051881258E19C2675C10E6CA0D21FA8C0052DD5C21A5E215335DAE38A92B3299670CA9081FEF4AE78F5E284781A4FA13A091E135DC002DA4058583C351DE5A0263127CA58AA4E949ADF2007470BC1822F48';
wwv_flow_imp.g_varchar2_table(4160) := '610B5680C10E76E0821BECE0073F18424B83B0065988231E6E856BE5A2E81078E6F5B579E5C73DF21A177EFFD8632F80058760054BD8C40EF3A91065AC707B518944382214C7E08630BE81870C48E10B8840041274F082EABE2005367081128200D35E9C';
wwv_flow_imp.g_varchar2_table(4161) := '5631FF28591CE309DBF2D633BCF4D8AB4FE5928F7AD0E31FF018472F76CBDB6F3C1599CB2C0763113AD14488560A43004538AA190A357CC10BAA28C621A650852450810A4938024B7D808555F4A21BA8550C664042D3C499F7C3F3FC473ED27B57B9DC03';
wwv_flow_imp.g_varchar2_table(4162) := '7AFF70872EE6BBDB30B4C1BEC804C73285DBD844482108370EC534AC090D68E4C20DBED0462D9A118B62C42216A92884688320075950831AA8B5075BB0B6C1BC86B78BF9B8470BEBA1DED78A98C425860B3EE6F15E79E8A214F47531447B4C63FE3AD6FF';
wwv_flow_imp.g_varchar2_table(4163) := 'C6381E4222B841676108E3189F688633B4C18B62E42217B10805228620051F246219BDD84694A54C65D37919BC466C523EBB9CD77CC8231F788D0B3E506C6658D0D715A5384628A280071A5795B1FE8D332896C1E31EE7A219DA68462B62710C5BD82216';
wwv_flow_imp.g_varchar2_table(4164) := '7618821582308A5EF4221BF188873D14939F46870EB6B7556327CA81467864231CE6A0C530B27165D85A7AB6617ECBA6E3B10F33A379B7942845313E21842FEC77A2FC4568228EF085200CC115746EF5319A510C679C0218F8BEC5310A61872A6CA114BD';
wwv_flow_imp.g_varchar2_table(4165) := '28C532CEB10F6E6B468D55C6AB62506B0E317C438BE97801170C11030F64E21FF5D8693FD5D80F4B67FCA726A607B7E1A10BA30AD60172FFB8453150C16EC78203A12EA746255A0A605750C39A3C3E46318AA18D53A88218C4F8453154E10931C801E002';
wwv_flow_imp.g_varchar2_table(4166) := '27385B862D452F0BFB1FECE80330FAB10F761881110FF0C018A621E27AF2A31E840C3B21D3EBF16CBFE5C4F1B8073B601186DD3A000F89E0052ACAED72AB3A961AFE05B0145C910D9CF7181AC5F0C52E36E109600C2316AAA88527FA908880F762E0059F';
wwv_flow_imp.g_varchar2_table(4167) := '721C7B9A4F7BA0961D85E08616D9F1034A7020006870C53FF001D079AADDA0CA44BD3AE8D10F7960BB9EE485CBE8A15775B6D3F7097218BC10D4400D5FBB1CE6E09003CDDFDD77BF43C317B568452B80718C61446213CEA8C51F5681F45E289DD13133F6';
wwv_flow_imp.g_varchar2_table(4168) := 'B1150E5E7674221DFAF8C7FF358E50064670800F9EF8C7EBE5298FE041D277F2802FA5E5197BB8D803C5EA6843DB174082053C610DADB00B42C005D9E00A722007899008A5605A13850784E66EAE504D3CF60DC7500BB5A00A9B706B91500596500C9E50';
wwv_flow_imp.g_varchar2_table(4169) := '0CA50070B0607DE1655B0E82700977571AD60EB1C00E98310CB79009CCE00632907EEBD745FC400FE1C00CC8400B400700C3100E7D010FF317465C1417F74066DDF60826C77F5F0007A8C00B2C2005D900076B20077AC7646CB50684265AAF507C5A654D';
wwv_flow_imp.g_varchar2_table(4170) := 'A1B008AA7008B7500B57500587500CB5000C480770E7307AB7C55ADF6365C3960EB1200F53964F98414FFC200F0568086F900970603517C70F44986962E65EFF200E60FF000682D5764F880AA88007B9F00B06B60660F0056BF005780006E2E080EE3604';
wwv_flow_imp.g_varchar2_table(4171) := 'AFF00DB2C00DB4200CD0700C8BD007875005CD520548B007B5100BDE200AA5000B211887B7C56593A7826E0575B1700F4A84192AD417A5A757F2200EAE10097EE00A86100E7E907EFD000F98B653F5A76D28F60D432004164002FDA70657800AADD063AF';
wwv_flow_imp.g_varchar2_table(4172) := 'F00572B006EAB8065BF00594000E60200400468A7D4709424009D0000C7CD00776B007397006566004B4580CCF200B6F780ED9E324DA273A56165EFF100E88200C99A1446BB4532C740DC890094A900955400B867071D57883D8084F6E7162F1A70EA180';
wwv_flow_imp.g_varchar2_table(4173) := '075110052400065D1004E40809A1700B9CB8059AD86E5FFF9008D48007161004E4F485D0800747E005DF700B6A500663B0079855053CB00989070DC1807489108701345EB0F50FFAD0075E3006E9B071C9284F88A80E946008A1B72C90300C00050F2269';
wwv_flow_imp.g_varchar2_table(4174) := '845DA48DF1970E77160A8E000659000641B0099B500CC4800B66B006A4B50678D08E3AB90616404EF4280C6A70044F900DB7300548590565303663B0097E500BE8F08653E9170014334D57698DB8955E900BD5C80EEEC016EA804C7D384FF4004C949449';
wwv_flow_imp.g_varchar2_table(4175) := 'B1B37AF0B596F4044667470F6F790CB8790C61908041A0077B000CE1C097EAF8055B000672909300B0062AA077B7900DB4F00403C80CC3900463D04D6F600655700787B009B5400CCA9080091887FCFFB099BF8857F7F00FB6A00465E0058C510ED8C00D';
wwv_flow_imp.g_varchar2_table(4176) := 'D9A00EE1100E94F05EF4740FF26048EDE00EC8C348B3A596254692646192FF900EA1608BDE00060AB805504006B1500ED9F00A89200760C005C36961945009075809C2F00CB4E00542E005D1800C63600548790563439D7D100BC3200D8D600158500AE3';
wwv_flow_imp.g_varchar2_table(4177) := '705BF84087CCF35AE7090AD9590553A70ECF800CD8800DE1900E94107F45A8455F373DB88469EEF071B0A7531D761526C90FE9300676500BB9D00872B00C70B09DB1100EC15009D4B70AAB900895B00673260BAEB0A6AEF00AC8200C6EF00465100DCF50';
wwv_flow_imp.g_varchar2_table(4178) := '065CC005DD6405E334069D400CE4D00B8D900341500AE2690F4E529E77457AA950055EFF5005C3D00FE5600B9EE00AC0F00CEEE009EC506D5E97415A940FEEC07A23E95A516A15260900E150055360079D100A94800CAEA00AAA100BD1000A3EB05D5708';
wwv_flow_imp.g_varchar2_table(4179) := '0AA5F00ACB300DD44009CF8507B6C00DAE60044F00091869A75F800666802C280A0C40D70B8900A3841A5E358A8229A870D7600877E007E1D00FF2190EB6200EEA800DB6A0A978C50F9F1AA0A35A159B560F0F39054930055E4009C3E0AAB5500CA9E009';
wwv_flow_imp.g_varchar2_table(4180) := '9560065B8063415004436006B2C00CCC280552F00494C00DC820063D100BD5300C95C0088DA0A1F16206B24A0CCCB00C959003312A9EF86041EF649E7D510FED909FB3954613197F5F79AEE94A5B64317BF1870D3B00AF53C005C2FFA0B0C7400EE9F00D';
wwv_flow_imp.g_varchar2_table(4181) := '950007806085C9BA0570000AAF300DF6280547A006CF000D82960BC8700BAF5006E4E40254EB025A000AD590B1D11AA3C2F656207BAD76059631240FEEBA7147FA5AE8EAA4EBF5166CE15EFB900E87D0044860044A0007B11059B5404DB940099F400990';
wwv_flow_imp.g_varchar2_table(4182) := 'C0087F00077EC0A1A128044730803D060CB9700C4CFB05BBA6054110B9587080A0100CD0EA0283CA8B6DD49950DA451CD771F0F05E5EF9B91F86AEA00A72628182EA777FF2F00EC54008422004E1540691A073DFF00EB9100A9FB0BBA1A0BBBBCB516EC0';
wwv_flow_imp.g_varchar2_table(4183) := '03A02504A1C00D9DF009C9150B70505C89F0882E998072D06B1B9BB98A419E9C2BAA629B0FA13BBAA46B5EA6AB88EBFF2A156D4B0F6F6B0DD6400850500445D00365700CB9908AB9BBBBAAF009B5A0BBB9C0516380033FD0034610816A60078C7B0CEAB8';
wwv_flow_imp.g_varchar2_table(4184) := '9B61C0066010060A5A090A1AADD43B9E36EA6847689164CBBD2086A42DFBA45F94BAF7740FD6F3B6E4400ED64006866B0468300D9E70859EE0099D70BC9F70A09FA08AD0A00625B0033DF00499000D547006AA780C94A0065800063FDC055D708589900A';
wwv_flow_imp.g_varchar2_table(4185) := 'A59008912B0B857AA89C79A367D45323269B15CC45DF6B7663A17EF3300FFBF00ED600C2B0DB0449E007B810075BB00591E009F55B0B8860649DC0B4B9C00725F00342D0035E10C3008C9BB1E0088BE008BBBB73B6D063056990BD400D71C8165A16B2E4';
wwv_flow_imp.g_varchar2_table(4186) := 'C55342FF34C53B95B68AE8166C217255D7C5D6C00A4D20044AE007A300075E20058BD009A9100BB5D0C2B1D0C28E90C73C70042CF004B1000D9F500CAB889B1698C6C8750C37CB0D479C0861A0C49921650F3C3AE79A65D7C8C8F38488A7BBB6E11B1591';
wwv_flow_imp.g_varchar2_table(4187) := 'ACC55C6CBEAC10BB5E70C666B00896D007581ACA461668AC1A0AB410BB3D80084B1B0A8B9B9BC5100A16B8738BFB77CD5B97608090FBA0C5BFCC9058D4532D543FC45C4FF0A0B63D0517E35BBE95FCC54A5009A000858700C02B5C8B45D6BBA1E00AD0C0';
wwv_flow_imp.g_varchar2_table(4188) := '073CF0049DB0C3B9899BB96081A1B073B9694D6FFA0BC8200BEBF00F64F656E3F5C47E28CCF7EC451C07A02027A0608170FB609BAD5BC9A8100542FFD00440F02A5BB0098BB009C78094A2FC670A7DBFB900099D900B301CC0B8B97317ED67C5C0B83DC6';
wwv_flow_imp.g_varchar2_table(4189) := '0DD8900D52AD1AB679A8D61AB21669CF27EDB9F035CCFBCCD262F1877AF80EAC50C9977C045CF00AAF0008655808C5B0044850648BABCDB9F00DC2B0B8300C0DE430D13A77AF7E869B7F07D53B960DF220D6AA84A8C56CD25B6D4F21A9AE6F21D6F2F00D';
wwv_flow_imp.g_varchar2_table(4190) := '95AC06972C0468700BB8000817B8089F800451D009B446D1E26C4D78BD8A3D96B3C2E00D3A77D13A07D8D04067D3900DB11D488474D8D79BD8F5E0D58BAD46D6F85A8F6D9BFB20D9ACA006421005E4770BABD008902006F3AB03765064B81997C9050DB4';
wwv_flow_imp.g_varchar2_table(4191) := '908A7F2759B19CD4B9F0D74EFDDA7DFF27DBA8659B5F8BD860396267CBC869A9DB6B7BC52FCD16E5C08A347DB878F00AB2F00A94F013B5A0069F10DAB66CDAC280076FE007A060DAA71DCB4C9D9B304C67D830D8A815C5234DD2C59C83E73DC5E9EDD86E';
wwv_flow_imp.g_varchar2_table(4192) := '716DFB500EC2E00A29F904478007C2F00BB6E00A945008A35C0B13FDDAD090C75EB0ACF4DADDE47067147DE0D35D4DDF20D5DC805AFB503F0F3ECF9B0A665B34E15E568DEA8DC16F3162E49B0EB4200BB9200B8E20058ED063C2500B964008826009CDD0';
wwv_flow_imp.g_varchar2_table(4193) := 'DA31AE55A140DD6BF0069E100DAA880E529E9BDBFD67EE7B0CB4600BB4100AB2F00DD3A0E31FDBE3890C96391843B3858C7D11E48A3DE4BDBDD2C92C1523A6871A6E67C2200B78FF100AC8B08ABC20099BD00A92600CDE500C77F6DADCD0E5B66085F9FA';
wwv_flow_imp.g_varchar2_table(4194) := '094FFD77EE1B0A7C6007F6F1066F708072B0057C076C9991DB74EE53AC3762EEC57A1C6769150950428ED2446EE16461697AC80D6AC0CD3D461EA7CD0BDAB00DA380E57BDDDF5C4EDD7100079EC0055EC0B8D62459C7000C8570C06190EDD9DE06CD2B0E';
wwv_flow_imp.g_varchar2_table(4195) := 'F0A9876CC1C423ED53F1470FDD107FEE804CEF254CD9800CD7F00C847D250AD7D8807EE48414DCF6411EAE705C1CF50DBC400ECB70ECCE400EDEF0775AD5CAC26006576008498004C0106F7FE70A66A0EDFAA7ED60500ADCB0633ACEE33D4EEE8D480BF4';
wwv_flow_imp.g_varchar2_table(4196) := '400C81680BD9604CE5100DCF960DE560AE94179BBA3E16DDA687E2FFD0BB9F705CFCFE0D9F5007004F0AA730F03D460E38470BD8E00A4F1809454005966E4D76ADA115BFED2EA680199FE398C1F10FEEF1E60007EE400B6350095E107AD91055E5C00E5F';
wwv_flow_imp.g_varchar2_table(4197) := 'DF0E2CCF53155EEF904C488D68D4C80068A19009D6F4099200F0A3B009DAF0C19DAE5CA1C008701007A9C0059967E9AFFD0D724009FA37586DD7BC8DF7DAD3509A86DCEA3D157FE57071939A0914E007FD5006CFD00EE2C00ED1200EF050F61AD7D52F2F';
wwv_flow_imp.g_varchar2_table(4198) := '1683BE0FE1100AA9900AD6940AA04081D0B00BD6600CACA009CE40E69D2EE5AEF0B3AE900AF76BE9B00C0D148AC008ECBC60B05C25F20D06B70FE26E9591DF88E57A0B8640045C000AAE700D9E00A1B6300CD7FF60A4F3FEE7EB05D6619165EF950D8810';
wwv_flow_imp.g_varchar2_table(4199) := '0B90000CD8000AA08073C62009ACC00A92AED7498F73AE800766B0A6B71C6F14280500A1268885231686587802E69B3846A1A8C9DB17311F008A152D5EC49851E3468E1D3D7E041952E44892254D9E449952E54A8DFD5CBE8409935E3F7EF0FAB133A74E';
wwv_flow_imp.g_varchar2_table(4200) := '9E3A76FFE4A5CAA6AE1CBB98458DBAFCD70FDEBDA34701B864195565BE7AF4FE657303CC96276CB1803D8B05AD952A6DDEC8798396161D346ED0B061BBD58852A554D0BE71C36B379594235FD4E001F3174FA869DFE4840A076FDFBF7D13A53E861C59F2';
wwv_flow_imp.g_varchar2_table(4201) := '64CA952D5FCED8F425BF7EF5FAFDFBC70FF4E8A43EE525A5A9B9695278F954C77CDA0FF36CAA56FFB17A1A166B14B06CCC90850A05EDD83168E4D2B6C58BEDD93468B26E8512D6F6AE74578CF03492C388911C398E429512E78892B878111BCF469F5EFD';
wwv_flow_imp.g_varchar2_table(4202) := '7AF6ED67ABE627AF9FEB7E4C69F2E3972FDFBD7B49F3D37FAD28D6000C3036F722CB871EABC2E923155B8889A40C435C79C613E2881326ADE3B8590E9B69A671850B57A6C1AB44BC62A18412B91A59B1915064F9261450B271C73C7C0EC431471D77E4D1';
wwv_flow_imp.g_varchar2_table(4203) := '32D5F2B1E933D0F8A127412141F32CC0D50654122AA87A4C8948ABCA29A3965B9869C40A1BA4A0A5126EAED130AD6F8E736BB9696471851B6CD84A0E1B6E6869A41239598CB3115064A1C61557BE294F2228FF043450417BFC3148D0CCB9E6FF1624B3B9';
wwv_flow_imp.g_varchar2_table(4204) := '269570FE21B04998986CD2C04147921280723C01E5966822B9820B255271259B12C5E4E6AE0F574D669A649821514D35DDA42592542A8913575C3D41261B575E9946313F2F25B658638F45E947F9F2F9A79C548831249D67CA2166185BA281D425CE247D';
wwv_flow_imp.g_varchar2_table(4205) := '09B4D624B514598E129CD293588689A6912BA40082D36CD6FCE618F12861041039E090630D7DD730038F64B88975565B2201C51339759533993C5FE1D3BC7BC4853862898DD50CBF7AF2112D9D61FC28C30F2EC251E7167690F18FDB98285532DC892D4A';
wwv_flow_imp.g_varchar2_table(4206) := 'B09E663B89E54A438A50828B483CF906CC704271030C9FBB2001E82EBAC0C2677FBF7153566E0636B892A6E5F44416715E29D5FF1DC6F45B396BADB75E0F3E8C91AAA6E6486861271C4FCC81A727D1B635D9DB485553596B225DDE346662D018828B8E19';
wwv_flow_imp.g_varchar2_table(4207) := 'C9261CBCA6F1438E44C008C3673084F6B9926C4C75F32D6E80892493839D96339164B6A13A9B7818C3C731AE3F073DF495E0E34C34732231220957FEB906946168C98629B64D167229709FE47AEE6653A1C5165BAEB0A20C38FE18FB19A4A7A1048C44E4';
wwv_flow_imp.g_varchar2_table(4208) := '50DE67367C66DE9377D74CEEF1C82B196514EC0F0E669B5F64A1F16ACF45275F50548C3166175ECA8FEAB56DF971279C729E214A1C71CA09A7A7D46847EA9F6F2BC5DDD6F8510FBA81E257AF50821594008748B822158CA044AF5CF1857CAD010B58D842';
wwv_flow_imp.g_varchar2_table(4209) := '1034F88520CCE8FF19D000C6306405B9484C2E11DAAB842CA4D18D6E042B34FC615F0CDD83838F78438629E1D668DC218ED1AC6D76B443598102A8B5FDD0CD13BFA245A8920088231283165548053290C1082958C0022A50810B8680452954E217D340C6';
wwv_flow_imp.g_varchar2_table(4210) := '3080E10A61B869602584DAF62A110C692C2E1BF0F80700B076433AEEA81914B1214534D18A3A7A8476171B4D55E851951F02D17F6F2B10D75E582E578CC21356B88212D040175078C10BC24006AC40C1884A80C293D91B052EA6F18B670C438AB6700532';
wwv_flow_imp.g_varchar2_table(4211) := '1EC70843442257DA1B452370B18D6C744373A1C10F00E2D8475EF6681300E0630D7A69116EADED339CA94D91F83729A520B22971CB5A7E5C260E508CE2158DFF18021AB8C0054678A20A47B84326A0818C5FD8826A057B9A2B92818C64DCE216C2B0052D';
wwv_flow_imp.g_varchar2_table(4212) := '54090C56FEA14E6A9C652DBB613500E47298FF3C501A0070088A4C4198008D8D92FE110E978DA61FA7C9D63291D2CCDBC9E6739DEB4F362AD1484014E10A68404324E0908454C46242DCF8052540AA05969A810B5F78C32F7E810D5BBCF316E3E4863018';
wwv_flow_imp.g_varchar2_table(4213) := 'F1873F18A212AB00652570E1C65BE2871F0845EA7A98E0053B5401A1C54C4A36CC518EA98AC31CF2C8463A4223D1DA39D32943CC1AC6AC922E4F5C530952F8822118C18537D0C21590A010331891375171C10A751DC62DD6694A5A84A22DC388441FDE60';
wwv_flow_imp.g_varchar2_table(4214) := '4F2C98C191424D46233E741A00DC637C49852CFF4B4E01003290C122AA0080102AC2020064A004BDCCA138A2718F6B44C313D5A00528AA910DAEF6EF7FDCFA1C2E5D360D4EE2021052C86625E060854CB8C2166580043386410929BCD4AE5FA8C217ACF0';
wwv_flow_imp.g_varchar2_table(4215) := '0A7222031AC2E0C327DA028D48A0A10C63F0810FB090885B180C428B83633F8F1A59F28EC40019A905132CF24B8AD8C00416E1400874C04B4989261B24B3473AC2418C4C4482345C755B454187B1FE88234EBFF043CDBEE0092E48C115B4004024949089';
wwv_flow_imp.g_varchar2_table(4216) := '5F5011ADC7B582726DF10B643CE3838888859AA0D1893EA0E10F5808421C82518D58B82113AF68E13CE2E8CFF2D6B8245350C20A2C72883FA003174300400C5E90021A6224011488617D95FF720D71B8A31CDD40C6C086821A8906F135D05C997E164489';
wwv_flow_imp.g_varchar2_table(4217) := '54AC020E68B50228B880869A6AE5078C88061C94A0843228789B5CB8C52FA0E1616E38171AD778862D40118B58A0180DC4E0462DDCE0870E77231E1499A38D31F20045674402287800928D70115C7081223280C130F9F70F7364431EF4D8A155D53193D6';
wwv_flow_imp.g_varchar2_table(4218) := '5A196E60CD1A3D4ED38D46B8E2166B288214AE00082EFC218CD01A4326E47AD62F7CC1B849B0429C3BFCC135418319CC48062E88510B2D58A10AB1784728C6A0865754431CEB88233E6ED4688D1020010120000008C0E81A6F000014303745DC008A6458';
wwv_flow_imp.g_varchar2_table(4219) := '24069A8649425FC32CD49086CA00F69F3E040C3A789C261B2FBE85AFBF8006FF387C0110AE064612C6008A299ED50A0F973511D0700B62C8D9C3650AC6F782018C5AF86008484004378A818605230217F6A048E7B80D80148020051248C0450250110E78';
wwv_flow_imp.g_varchar2_table(4220) := '8022101089086CBE326F87BB2214E000CE2F228EA4C2A649F9B1CF7DF0D3DA89C243DF26039DFFFC5D899A16FC0B7080031700310C5CD82209650006332221052924500940B0821FFE700B72D2D92DCD91452964018D5A0CE1084610832D72B186E1F580';
wwv_flow_imp.g_varchar2_table(4221) := '18280780CA575E11A1FB7CE614F100D0855E863E2220010648000228C201095000E75FB0483990CA3FA31692E94DF7AA51B0BC3279F89BC2B760C4179400884A98F816BE3342198621D72F9461CC0F4FEBDA91410C0F7FFFF01AD790452F7A518A63D4C2';
wwv_flow_imp.g_varchar2_table(4222) := '0A4330821762910BEB18C210E449F9B61BDD028A48602331573C4530FF878DBCA0220F8840465A0002631DDE23B7C8060080F054DA19F5F3020A30D441A7A07F88C31532FD41D9E150093FA0211591E00213F03F6220067732400324065C188661E030E7';
wwv_flow_imp.g_varchar2_table(4223) := '7A8668908556F9855C28062BB00021A08242380657788307F1B46CBB915DE23672CB08C90B090E008008903C9FBB0874E300A043B21CB1828D288287BBAB5079838A50038D1803CC83372791B7A3E8BCF783BFD77AA697183D89A90DFFE91B6E00043CD8';
wwv_flow_imp.g_varchar2_table(4224) := '3F77623D46A802DE42BF6CF0B068888664D8C2D55A9C7068425BEA866DD80671E00662008637F8023C8884FF4E18866C78166628077D88BEC1FB8819DC0857A8048A9002EB2A0337B8AE2F70034BAB88BBC243AD013CF28AB7206C0AF7D38C8A88B794A1';
wwv_flow_imp.g_varchar2_table(4225) := '2800B228AEB98741120DD0B087D1D89C7FE8447B03C55014C55DFA874D04458AA0C33AB443F29A078C98874303804313418AB087C550442424A68A59BA89B2A82BA308D9380A534B24AEA90778A8078AD0447B90B152D4C47FC007A3EA27D0F84564B407';
wwv_flow_imp.g_varchar2_table(4226) := '53AC458D008D78D81C538C887EF2467E70AC55E4886A1C2F8F40BAC6DA078AA0078A48C7A32AC74BF90C5DAA884464C759442A7BC3467C0C8D5F94C6538CA3510448D09007531445791C0D5DB2C7ACB90763BC886694C779584668048D458C0DD4D845FF';
wwv_flow_imp.g_varchar2_table(4227) := '6DC10F9483C5746C47F7D38741AA4471BC08A40009690C1D244CC81A830D467C126D49908C30C9002A8A8E701B3F4242549B9885A487A3AA46663490A460C41F72A88A78478C08C5C5888838DA874F2B4A91B4889474CA3E5A4996B428FC289B9D600777';
wwv_flow_imp.g_varchar2_table(4228) := '584878188A74F8C578BCB79084C99AEC8848144B85EC37FCF8AF6E09CBCDF0C590000DA48C4B79B887A68CCABBDCBC4504426024CA9B0887674086D52A07FC91A257E81B7830108AE408B2E408B3049D625C470098874D9C9D89141298F0BCA92C49A4E4';
wwv_flow_imp.g_varchar2_table(4229) := '4C79A807BBC4CBD0042DBD748A6884072D64B26C10876B00436CE81B61308724DC88386A0D9B7492B35C997BF83484240DDE74A898C84CFFC5FC087B5B1BA614CDE30428D8120D003007F96107796887A060877450CD7E6B895EC44DD648BAAFBA49DC9C';
wwv_flow_imp.g_varchar2_table(4230) := '187C50B57FA00716D227165A877EA84672EC9C24F9CD991CCE5DC2C5F1324EE4A44FA9842DD7789869A408D1500738B207A302BCCE9347A394C7DA2CCBEE041DF03C8D7450C05F70275CB885714046841CC953F34E8C884F8A98CFFAE4D024EB4EF7413A';
wwv_flow_imp.g_varchar2_table(4231) := 'FDC00FC702C7B83451C6384564B44781A4C7CC70CC8BA23F7320066620863788846AC00573F80775F0955BB8866900063F682C70B1CDFDD4D09DECD024F550AA34CBCDE0076D83C675388729A5D22AAD52A8FC4523343A79934D88C9874FFB078D610643';
wwv_flow_imp.g_varchar2_table(4232) := '40023F2040095507828383FF3260B054088DB6849B01C55027C9250252D23B3D49269DC9A248CFFF4C474568001268000720540120D44175800660835A4C4548FC0CA578BA2344D0CF890FAB30870584044A800460F8051D8D872FF8BF3F34045B609600';
wwv_flow_imp.g_varchar2_table(4233) := 'D9167AE8B75495075555D5D2BB98117DACD1C1D359ED9AC4B45098E8537B789847688001B8800100D660155636888746FDCA4775BA47E4529C544230D5186208854E0885B08B4D79008209318424C80434B04CF8A0097750077530877448877125D77135';
wwv_flow_imp.g_varchar2_table(4234) := 'D77450077740D244A3D5778518609444CCE4873EED0F5E15D67CFDD50120D6BA7C0A79F3964815A20B8D982FB5D46120865880845440581D850743B0993F288332A882FFCE8153E09C0F7075878D850777481B766D87766087906587FE3C2A7725165EA0';
wwv_flow_imp.g_varchar2_table(4235) := '056280D77735A46EFD8C6BE4D55F2D800200D60B28000500560160037ED8874665262DB5D00173D65B102398D93D1D750773780562584D647053AB50A876A80762488554F0044FD0354F8083DE21065462869045B4586509D064895F68595A95573D35BA';
wwv_flow_imp.g_varchar2_table(4236) := 'B3B40A5E6D837C0DD65FE55900E8460199C479255AAB4807A315865038974E65C6DEFC87CF7452CDF09F74008537B8832A00053878032F30042B600438A88237A0AA76185B718186619005B4C585B44D5279ADA8CD28C5C598D90B50DD9A55DD0650805F';
wwv_flow_imp.g_varchar2_table(4237) := '6503BB4DC720144649DDDB30F5DB50A085862D45659CCCFFAA9087AFC1C8465CC870B8064FF08290CA0443A8825B508258880422E84091DD5C88C185D015DDD1B5D538C5884CBCD706B88039508030088336C88230C8823930850220D6BB7D8A89D4CE2B';
wwv_flow_imp.g_varchar2_table(4238) := '9B54AE31D830CD2B3EB8034760C0D84CCF67C48FFDC0C88B348A7C70877470853F40044F48053F30843200C0B12102460005B19523B2059445A008444885ECBDD3B51D585C44CF7FD8D506C8820B20812CD0055D20814BC88259D00507205694EBC76EC9';
wwv_flow_imp.g_varchar2_table(4239) := '5BEEBC4DD0D14DAB500761F08327F0822A40845FE021A31A0D7B9809D0C018473C8A4FA385D3D23353BA0657208652B1853F1087B4AC6062B1823300802AE0E243E4E0D125DD475CDBC4DC877EB804FF12688330B880363005F365031456613638876D6C';
wwv_flow_imp.g_varchar2_table(4240) := 'CFDA05E11BBEA8D2FB077648853100E431083370382A7958077678CECFA88A307507011EE08E6D079E40E4702DD992D54A9EF8CCC6B2E01EB12B4BB2823120440040866E0863FAFCD065425DF00DDF059803D59D83F27D0405A06314FDCD8994A3233CD6';
wwv_flow_imp.g_varchar2_table(4241) := '2E1517DD3C8D76A0042F08642FF803FE65060A2186FDA20571A89654A886AD828FB44164440ED976F0D88E45E4D638AA7014974F76AA52E6D0DB9454CD4865B91D0001286701E0D95A8C884D9CDD027526FD9CDFADC9E17F700748A8023700C42A80031D';
wwv_flow_imp.g_varchar2_table(4242) := '65875B008570B00575B005644094AA8159E2AD4B50D4964B24D12C26963B605C6FC653FF7046E57EC057721ED6788088C5304977FE8878D61ADDC4873EF68431A8822A48DEE7E3B46A30CC7210875BE886E64C8569D09F94D94F014D8D5F1C2F94359631';
wwv_flow_imp.g_varchar2_table(4243) := 'E8038936658AE61F7DF8878B06D69A95DBF64D4A931C8DA5F8683DA65F7A580C75A8103F408409413F7AA68769C0C270188657280777EA0675B858A3A0B15CECC5FDD4664111D23F686B00E0038AB005A0464EA1A61DA2E6D5434DD4BD265407E05979D0';
wwv_flow_imp.g_varchar2_table(4244) := 'C6C558CE0935D0032D634B9407D16087525AC0DD1B86478923912D87704D077AC84A552B26174DEB7E82A141C9B8600000B405ED8AF805AFA46BBC3C65D17B4AA13E877170EDD7866DD8AEC6CDB145153DA4A73EECADF9D2FEE087FF70A5E4768087563C';
wwv_flow_imp.g_varchar2_table(4245) := '48D408BCB23E42BB04E1B1DDE43F910700E8B775386DD1A448A11E89DE4D4F48F9C84FA3077DC8C47714C122C16D5D4616703C2A80DCCF7CE89C210CCED2BCCE8BC80FB31D142C8DEE959B4A2014EF79DCC4FCEEDD7CD087FEBE189610CE24D3089E6E52';
wwv_flow_imp.g_varchar2_table(4246) := '2E4509F89EEF04978AB6958A8EEE27EE7E0C5C44AAFC98D3AFCC4505C7F041D1CC6309F061A2F00C07F1AD917064E9F05E3AEB10477171E9CD883948C822D81487714029BDD28BF11AB771D099666F66878AD05C0A1E09B18DE61DBFF121E79189E08F89';
wwv_flow_imp.g_varchar2_table(4247) := '1051FD50F22557F26F0C89FDE08F288F7226D70F2997722AC7F226DFE5C6CACF90B0D38721203B25F231DF912E8FD5FF2EAF08C7B88763FC082B77F38B70F337B7883847F341A9C695607332D7F390DEF33EF7F33F07F4405734AC39F33747722617F444';
wwv_flow_imp.g_varchar2_table(4248) := '57F48D68C4CE733F478774475FF44917F4D8D408CDD3944CA7F491708B4D0FF1078C068CA88651BF082DA4886760068A30754F0F091CE0818AD031563FEDDFD38869A08869C0068DB80600F8BD5EA7F5A8FC758959821E00006247028A60841797755AAD';
wwv_flow_imp.g_varchar2_table(4249) := '865B4709466114008876917CC0AC39018AD880134041F35B766F6EF61F05F76908F771177771AF886B483F700700AE5E39C0049D6BAF080630C16EA7EBDF13F76A00777CBF777567F767483FAE46F7805FF7816F765B272F6428758A6876005878883980';
wwv_flow_imp.g_varchar2_table(4250) := 'F3A2F7FF593777735FF75DAFF881AF8867A0088BDF7868E7758C872C611065E7126500D078858FF894C78C5D9F789677F98D80767C67F86B9079F21A0668008063CB798BE0787139808AF879950F715B37774609F55B0F7846F9D173A7F8C8C2798B38FA';
wwv_flow_imp.g_varchar2_table(4251) := '8F47160C10B7A0177A10B77575E7F5722FF98017F7F43BF78CB7B1544FF5896100A0BFFA10A77997CF7A698FFAA627406ECB0591477884079D030800AB4FFB045F7A6767F868F8FA8A6F788617499D9FFA8BD0FBBD57707BDF7A70F7F7B507797144F893';
wwv_flow_imp.g_varchar2_table(4252) := 'D79AC457FCF96EF98B7F8697A7F955742EBB2FF9A8BFFCD16789BEBF7871077CD347CEC127FDD637097E97F69EDF7AA98F784D1004D7CF7096DF78FF8C68FB8BA738D0677527A0030098018A380178C77D6FE67A8B5878D50700D1B743969D18CB020026';
wwv_flow_imp.g_varchar2_table(4253) := '7002CDCAACE40FE3506706D96FFA8B807C71847E7171028C888263D7FE961D7F8C282DD2AF038AC0608A10021C48B7F4AF4FCA877A0018868DB0758D07886BD3AE012868F020C2840A17326CE8F021C4880E8949AC68F1A242449D3A61ECE8F123C89022';
wwv_flow_imp.g_varchar2_table(4254) := '47922C69F224CA87CC0A5244782D1BC16A0004A6AC69B3E2B0963777F2ECE9F327D0A042875A8C966D9AC16A310F2225EAB4233060C3000803400CD9C16AD100687DFA508DD7B062C7922D7B722BC86B4A659A2D0B8CEA3061C88641A388F6595B867B0E';
wwv_flow_imp.g_varchar2_table(4255) := '1ECBEBF72FE0C082D10A160B2C9741FF64580BE22D5C708C4161551D53AE6CF932E6CC076919A4D8B872A18293FB72A6958BB3E6D4AA57B36E3D722A80C59711270C55D0156DD7BA77F3EE7D99D6B0DCA953154398EB388050A0A0F96EEEFC3974A0B614';
wwv_flow_imp.g_varchar2_table(4256) := '5EB5CC1100254AB6B11BA414FD3BF8F0E23BDA8AF5F6E0549D8E3F21B4ED06C0F5F1F2E7D3877EABE07485CC64176426335A35CF1006582878D477208209BA668B2DC04C07DB41D0ACF48C805D2104E0803F41F28977B529F82188210A661E7AEA31C39C';
wwv_flow_imp.g_varchar2_table(4257) := '41198A0509001C2244854190F4C1A28835DA78E34EB9E477907A2916A4A2591C7EE20842276047238E492AB92446D301739F41E72D740C9062398264217D18848341A131F92598FF6126C4208900C4551073C7A8B2D033287A85C8415E52F1C427AE18E4';
wwv_flow_imp.g_varchar2_table(4258) := '456C62EAB967883B3A24CC317D195447422B59094021852C62209F8D3A1A2267B1A036E679D814442843C810B31F7F42C1C9D0A20008F128A9A546F74A2C00C462CBA466DEF2D635F1658A508F5E7DD2097B6A80652AAFBDEA064CAA008C82D82DC11A94';
wwv_flow_imp.g_varchar2_table(4259) := '89449D3EB5C8433400F0A9AFD14AEB18949EC492CA28AB1EE486091F5D4591B237F1B1081F06B9B18897061D00EDB4EDBA5B562AB4A4226C2E505E241C75C3480914910C45F02EC0F349E8A6733100700B28A044F247411B1800C0C326ED1BD42778C088';
wwv_flow_imp.g_varchar2_table(4260) := '50BA016BFC1D34E1F676C40D2C6C60100217D932594350CEF52385FF04DF84E712056160D03DFC6C7C736BB42083B278148C24CCC40941581084B180F2D3195100F02F02E5E2FCF46A76DAC2088B917817F4B48874581325EC310A35D8BA0D3DF49E5521';
wwv_flow_imp.g_varchar2_table(4261) := '0BC018A918BB10D929651C36DCABCD3577DB4B86F2891F621454420611EDEC931A67C43D786A7FE7291A6C6FF10C2297251CC441B255ED5C77486F8F4A38E6BA2D1E62DF19180900072588501156CC5545394927FC9B39EB79411317EA5FF2CD37597600';
wwv_flow_imp.g_varchar2_table(4262) := 'F0044231037042C9ADFB4E56EC4C66C037E464A541461A07416150060CFCFE7C59534D85F58DB3F7FD94260F390E3DF7826D52D029355E2F162A0711E25004EC76BFBE58AD00A025007B9C314313E1D7B7BD57FF8217B48BFDECFB4F19B33EE004A519A4';
wwv_flow_imp.g_varchar2_table(4263) := '7C0839052BCE57103200C079012BDF2EFE2741C01C42770A61450423880A5600401282F88EF5A2749CC3F8247C180400070DD8900C300200F298200C796287341C000A2A2CE0425841870586870505794B2EA86792F2D92F8511C1DF3F62A8449E58E220';
wwv_flow_imp.g_varchar2_table(4264) := 'D913511083D8134D3C718956F48B1E0EC240061684100A9C8F103AF4163FF9248B1579DB15D3F8915C68C9810068220D6690900F1E6487E23986837A62073B760401FD52232043623B00248F8BCE730200B8A845FA20268F3F91A3450AF10F7A04B29218';
wwv_flow_imp.g_varchar2_table(4265) := '418E42DCE89013F8B0396210C6C982981F32DA64660E9941DFF007807FBCD092AE7C482E82750CFF59394491D111C22784419B06F584090BA1A3428637BE5712B323C354082235C3038B80E5184EF28BF38E698F7D14B39A0FF944DF3E07114DF6A618BA';
wwv_flow_imp.g_varchar2_table(4266) := '14A24D20D9840F928181C944882911428F7E58B39D0AD91A069C30837316849E09E9E45F56C0CD88082A4A407182B318C20007AE4E088EF8C73DDCA9D03811349D0939C0CC56671021E0C935C07026831CE4489E6812929934882A172A5200B4AA200638';
wwv_flow_imp.g_varchar2_table(4267) := '80413400009436440CFBA0666B1A2453A7F40E031F78C8F2463AD2427432020EDC27003010D282E82D89AA418C8EF043D3878C4A08501082D290A4D3A93204A59A5C666B8AB11D558925002B0C2855154A1083C0090E7CB80343FC00803F16A1E46C30CD';
wwv_flow_imp.g_varchar2_table(4268) := 'CCE6D6A39DB0EA949DF5F9473FF29A99B7D2B5AFEBBBC73C56E9D7C112B6B0863D2C6213ABD8C532B6B18E7D2C64232BD9C952B6B296BD2C6633ABD9CD72B6B3D5B4D90BD3510ECF92B6B4A63D2D6A53ABDAD5B2B6B5AE7D2D6C632BDBD9F6661AB8B845';
wwv_flow_imp.g_varchar2_table(4269) := '4569AB5BC7B065B7BE750C2E0A120900D8F3B7C60D4B6F0F62884DA8624DC77D2E59A451906540B7BA4EB12B00FA610F00D8CCBADEBD4940000021F904050A0000002C0D001800420241010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C';
wwv_flow_imp.g_varchar2_table(4270) := '48B1A24586FDF65DDCC8B1A3C78F20438A1C49B2A4C9932853AA5CC9101200502C63CA9C49B3A6CD9B3873EADCE990CF4037881839120893A7D1A348932A5DCAB4A9513C02A13A9D4AB5AAD5AB58B3F22CE49292D6AF60C38A1D4B56E950006208BA0C65';
wwv_flow_imp.g_varchar2_table(4271) := 'EF5FD9B770E3CA9D4BD7A0543703BD56D228B01FBFBA80030B1E4C98A618A9021D79DAE716C0DFC290234B9E4C79A14FA100D832AECCB9B3E7CF747D821E4DBAB4E9A685F69E5ECDBAB56B918E0A3962C427533C007C5FEBDECDBB3741448EFCF81E4EBC';
wwv_flow_imp.g_varchar2_table(4272) := 'B8E9D9A28D2B5FCE5C30F24ACDA34B9F3E3613F5EBD8B32BF5E31580DBCDDAC38BFF1F6FB210A5DCE4D3AB5F2FB11000F77070B39F4FBF3E4135A2110D446FBFBFFFEB6A14C4882D8EFD67E081D711034038FFD823506308462861716D4D68E185A3C507';
wwv_flow_imp.g_varchar2_table(4273) := 'CA2D0231130D862086D8D9300078E2CA34D588A8E28A954DC3E28B30D695CC8231D668E38D38E688E0369E04234D373A06292453E1AC32E49148EE942241FA3C96E4935096B4CD40DB98D30F3E5166A9A547E30009C01FCCE883E596649639D19466A6A9';
wwv_flow_imp.g_varchar2_table(4274) := 'E643DDA0B9E69B701A144E9C74AAA90C00D94843633F75F61925387E06BA6538DDCC28E8A14F8243CC9D88367AA4978E461AA42102E923E9A53656520FA69CAA48CA289D862AA282A3DCB2A9A8A8FAD74824258EE289270050FF9AEAACF5FD01402386C4';
wwv_flow_imp.g_varchar2_table(4275) := '01801995D2EA6B7F7D08540F84BF169BDD1BBC0A54C6B2C6369BDD1D00A001AD406894F125B1CE66DBDC1DD60280D783DA86CBDC1D6EBCA1ECB7E2A6ABEEBAEC461407A57100A26BBBF4EEF6CA4046D6ABAF6EC1ECEB6F6BBA6CB30C00C10493CFBF087B';
wwv_flow_imp.g_varchar2_table(4276) := '268D9EBA0C6469C2104F06CB9DFD466CB164B89062909317775C983C1E872C187406F5C3A7C8288BA52BACE0C093F2CB729503808330D70C16ACC9B47CB2CD3C57652BAB0080934ECF444F954441D5405AF4D247153190164C473D95B95257ADD417F1ED';
wwv_flow_imp.g_varchar2_table(4277) := '6CF5D63719B1C318D8722D764C654831F6D936858DF6DA6CB7EDF6DB70C72DF7DC74D76DF7DD78E7ADF7DE7CF7FFEDF7DF80072EF8E062A9A30EE179B7A320E27C8F111FE3755731CD1BD3BE710FE4721B322D004763EEF9E74B9B03FAE8A4976EFAE9A8';
wwv_flow_imp.g_varchar2_table(4278) := 'A7AEFAEAACB7EEFAEBB0C72EFBECB4D76EFBEDB8E7AEFBEE39B603403BEC00C0CEF0C40FAF0E3BC71F7E3842CA03B0BC42CA171F3C43ED546F7DF50DF9EE3BEF22DAE37D3DDECF23FEF8E20370DBF9F43894BE42EBB7BF3E009B9E3A9083F6806F7F3DF8';
wwv_flow_imp.g_varchar2_table(4279) := 'CB5F103EFCF7CF3F41F7B81C3D0648C001022080DC9B0F3F16C80F7C78EF811084603E0E5690095A301FF7A0E0413078B0CB219020171408031738900B4EF02226B46002D7830F7ED8C385307C21CD6248107C9CB0822A74D8C3247243118E90811F4961';
wwv_flow_imp.g_varchar2_table(4280) := '08FF57D81C8E15248211F49F420EA68F1D0260880E1388091FB38F2A6A2480F7A8E204FB8144190291205F2CC80F4B08C6C7388966446C4E0A03883FF291EF7BF9C31F16EF813F81D0D12075DCD4E5F201C73A16A48AF790C73EE861C57D3CD08DDE0380';
wwv_flow_imp.g_varchar2_table(4281) := 'FF16E9407BF0CF7B8C6C21090D72C331A5D12446240C3FF2D1C206B5A5410DF2E1022738C24A35B18900B0945F36494112F26994FCD88C466629904232C62DFFC8A52E736932EF0C6497DEC96530B1E5967CFCE51F7CDA99D62EC91C78C0C31DD074A6CB';
wwv_flow_imp.g_varchar2_table(4282) := 'E0B10E673AAF9ACF74C733D9214D6D42139A00D066F0B8194E9701601DEB70C73AE2B10EED61CF9AC313483CA5970E738C0300F73C87F30682FF3C73204F9EEB60873ECF2150009C631D0725E841039ACE6F86737604D49F4DDE0718016A301FEC48473D';
wwv_flow_imp.g_varchar2_table(4283) := 'C7718E7364031CEAA8A739CC518E7494431CE1284739DEA1D277A0F41D0090D940CA01A8A075031CE298924E09228C817CE3A7DC40C7318EF18D50A001106BD88252BF7005000C410956180217D05084220CC1AA561D825695B0551F5CE10A5A502A20A4';
wwv_flow_imp.g_varchar2_table(4284) := '218E75D8231EF6D8473DE491BE4DA1717581A44726C3F3CAF4998C4FED48873AC6010E58E842171CEDE838C6410D7098231CEF406C3AC4C1D2777C63A51ADD2838264B8D6E50431CD498D265A901806D74431CD040074C618A8ED016E318EF60C40FB4B0';
wwv_flow_imp.g_varchar2_table(4285) := '863560610B4118820B54A002A8FF5E61082600410A40D08216A8C006BEBDEA088690031F04E10A58304322B6910D7D12441EF9E8E5EA76B6567A68503DF978DF5FDA41D2C9B661016D08EF5F75718E477CF41B2E6D6C3A1CEB58954A76B294054761393B';
wwv_flow_imp.g_varchar2_table(4286) := '5FF98A4369DF00C037C8710C7290E31B7878416DB11004E3C2360513A06D0B3CD002DEAAC0B740A02D10B44ADC2058780B6B90832CB6B18D7378F21FFC90870D5B475DB65ED72ACBACCA5A07B25D7388031CBA58808C671CDE36CC821A3F456F4B57FA0D';
wwv_flow_imp.g_varchar2_table(4287) := '74A0D7A4F604075F0B0B5FF90A84B335150700D0C1E4FCFE97BFFC558310867005D806610B5FA06A0A6C00841DC0A00529E8ED6F81E082086B350743088215828005302462FF1A9EF53028ED018F7A4CB275FCA0073CE49A15E98224CF270E499ECDC98F';
wwv_flow_imp.g_varchar2_table(4288) := '5CB2C31C30EE057867CCE8365003C7E278AC4ACB91637188A31C8806C7398A2CDF9A1E391172A8442242E1955084021A00E0467FBF018D6344810513188215AC30554884420C3880C10B3CE00114F09A0526F8B20DB84CE102C3760D959085322AAB0E50';
wwv_flow_imp.g_varchar2_table(4289) := '36A81DF468E1EB060D32ACDC35C51BB9479D4DA28F67163A97F650C76475F15D4637BA17977D6CA42D8DE991625AD3F1D5C56401C0597A83A31752B0801482A0842038F50BC2C83134FE7B0C3EB8010F659382183EE10C67F0620F4D880215264E718A57';
wwv_flow_imp.g_varchar2_table(4290) := '21094998B00FFA6DE146946219D9F02C3BFE61C867C3238373FF451D3DDC51ED84DC9927D70E89B6292A927C781BDCFF300735CE618A729B5BC66D80452F2CFD0D76D374D3F0E6747C07D2300094E20B69E6825301A0842DD88219DCF806375AFD8D636C';
wwv_flow_imp.g_varchar2_table(4291) := '9D1BA95083258AA18D6658C318BE2886DA63518C5CB43D16700FC51DB4EA03E306610DA4E8C5327E940D76A415DCDCFC209E57DEF282B8E5DB0AB9C702EB71B0C66F528F8AEFCBB5B1FD90988364E626B1B93BBE9D4B9D8323BC3F077A1B6411E9A28B43';
wwv_flow_imp.g_varchar2_table(4292) := '16A1A0064D950EE34ED37B20357D3A850512DB2DBCE219DCC87DD7A1D1EADE3BA215C5B08636CEBE0B671CE3B4B938462E62718C58D422136E18C2BE392E07582C43EF203F8721DB628F76C883F1B05B39FF3CD416CC72800C9560CCC72EFF31AC42838B';
wwv_flow_imp.g_varchar2_table(4293) := '970098FC5D2D32FFCB431B93F0F0DD77FE918E9D833EF489500ADEC05F43256547500A2F065F7C256F9DD6744D3710B237040311043FF005B7300DB9A75FD0D075ACD66AC7500B64670DCDD00C9BD00AB1900BB9600BB6000C2C080CAE80085E80044730';
wwv_flow_imp.g_varchar2_table(4294) := '6BC69577BD7083BD300D1E464284675DE1A74D61F317FB500C53D00796E2442EF40FD7603899900DFF300CF06069D11009F0400C9E000FFD105DF247790D517F1F510FEC407382060FC10362EAD77FE7F07F8CA6000B4009B83080C7600DA1000516F004';
wwv_flow_imp.g_varchar2_table(4295) := 'AFC07A0D4859472610F7260B529066D2B705FFF60B18987BD0B075BCC77BAAA676DA307CDAFFD00A87D00929680BB75089C4300CAEE0066260097B700556E00301580AA28083BDB08302A167269672A7237E07710FFF700C53900655800EFCA0787FE142';
wwv_flow_imp.g_varchar2_table(4296) := '6DC105AE30061EB003E1C001A0E00986C00552600B30A0040C720F5BC88592B785F1D74BEB178DD2084C223410F4C00E852712FC4086BEC418FD370E8B167A6EF00BD6600DBEE00B8E700642200489C07AF25658BD0063AFC787BDF00A50278169F6875B';
wwv_flow_imp.g_varchar2_table(4297) := '200CD9906A86D881E4908800107CDA600CC6C00B87D0079EB00AB7800BBFC00CB7E00ABFF709C5500B68600560400AA3280AB0500AD6770E68D483D2E63AACB831FF900AAA500B7F500BA804446D0107C3F80F65E00755500586900A68FF100BA94004E9';
wwv_flow_imp.g_varchar2_table(4298) := '400FF2B08CCC089477B549014440F270946C3540F53040487994F0709481768DD93886ECE07E85660EF2167A6C48025F5009BEB00B60B908699002ECF8627C355893158F6A6964B00700AF10044F20817049815B800CD3A075FFB881BCD775C70000CD50';
wwv_flow_imp.g_varchar2_table(4299) := '7CA7A00AAAF00791F00AB8E090C09009ADA00A0DE70CDAF0075E400A1ED99142277420698D4F695DAA683AE2874B10F217B19092AA100BFA700F3BD440FF60086E201C91500677E0071EE00A5C4004ED400B49900EFFA08CCB9810425957F2D00EEA600E';
wwv_flow_imp.g_varchar2_table(4300) := 'F58469C4299CC6D96EED660E27C762F0838D2F1712F2E077BB240EBAA0683E27630EB0002430048C800ABBE09DA8D004EBFF5809D4D00BA5709E44C680E3D67AF5560AAEF087417004F9A80266F00BD9C00DFE78887BA981C7F00907B90BADB009AA300A';
wwv_flow_imp.g_varchar2_table(4301) := 'B9700BBF300CAFD009777008AAA00D8DF9077F20991E3999E67999A798992FF43A8417364DC40D291909EF905D55841BAE980D47800C47000949609BE16000945006A9400CB450050A520FBBC99BBDD90FF5000FC7230FC7C3A3409A5187A64DFEE40E21';
wwv_flow_imp.g_varchar2_table(4302) := '6538DB5620F5A00EDF177923119DF3309DBA000BA1979D2470046A700ADEB90B963096132007F7160A72F00A60B00660C0086E9608B2806EF0058F6F299F4EC5053E300466000D185888FAA98887F881AD500BBCC00B9BA090C0800BC350097050065590';
wwv_flow_imp.g_varchar2_table(4303) := '06B5D070B5FF500B9EF00AE7090B94590A37780EF1804B22B999A5D39962D444E5D0A8B1900E47B90F7FA10FF4F00F940007FF000C32000AFF8008EC9009C8A0A2B400046F6032FC70A30791A3260386E9D00D9E900DC8000AD7000AD9900ACC200ECCA0';
wwv_flow_imp.g_varchar2_table(4304) := '0EA9E00AEA1091D1100ED1A057D0F5206058674E2A12503A33B9449DD7899D0B100657AA06AC0096BBA00950200425C008E0608F6EC6086B000070B96F47F005F1EA66A4270BEF195BF26A362AB006F6996AA976881D9888A8860829B90986B007B1400C';
wwv_flow_imp.g_varchar2_table(4305) := 'B7F00A65C00563900469D009CDC00B0DF70AB610A9927A9EBA500A964A3384C7789A4A3A256910F7C00E15890EEBE093A49A4AA9944BB74472BAE44BBAFF9485B9EA8C08C1AB3A3A3CB2790770E009701009B2190EB4E001D7C005366908AE5006B78006';
wwv_flow_imp.g_varchar2_table(4306) := 'F5C40EA7929B8197ADD0299DDEF30F640A06A1A79D0EA0066E2009E57A0AAD40086EE00AB200008920056AD05A608007AD9554498561708B80BD9008716936FBE6546B60A7DC808187686A01A79FA180B07B800887B009555006637005C4580548D0034C';
wwv_flow_imp.g_varchar2_table(4307) := 'B0A87FAA0DA542A993590A6DC0A66DF117F4E07D9AA9A1ED307EC4124BF0F37CC3204882A41147184055440FF36045697540FB8025B80A943BDB9BF1B7A4EE900A5C900A7EE007AD790B55F00C915004BB68086F700DFFE007567007EA200EEA6067C2C2';
wwv_flow_imp.g_varchar2_table(4308) := '4DF560B520119D9F14A5C8200542600116FFD6002430BEDAB9006A700492700A60D90ACEF00DB14009E2C0081816B7AE15B75B000600000672F00508887AF1A955FE06002A0007CF5088CF200C8EB08E6A900B5F170A7D600876B00963D0077B300449A0';
wwv_flow_imp.g_varchar2_table(4309) := '044A200555F004483005AAC00B29E90DAB300C91EA91E61980960A620734BA97137EDC842DDE88087D80B09D900EFBB0BA8DA14B56044AB4B44A1694B35E98BB42197FF4900EECB0939E1009D1500E6F30B4E670044400078BFB06AE200E86000C6F6052';
wwv_flow_imp.g_varchar2_table(4310) := '613810D72A78DACA0EF840728C210EC7100A8B2006E229044FD0005CABBF474008AC700A64DB0A0ECC08E6200700806572BBC7AD85655FC0BFDFD00B95F087B3E75470300D18887BA1FF2005517004428007B9870CA9E0057D2006146C0563306B656006';
wwv_flow_imp.g_varchar2_table(4311) := '65600549D00376500B969092C0C00CBF609EE6D991A590088910B202D17DF050B29BFAC27F040D6A40055520065E400576C00D383C4CD1784BC00C21F2A710394AC4C7730BB49009918006868008B7E006439B0D659009CC3CB499100D9980A41A74ADF4';
wwv_flow_imp.g_varchar2_table(4312) := 'D0C24FCA0E97034A7C3954B9F0098E800724000624B000A1F0047A200987A009028A0EA56C0E6B60066060AF730B0666E0B66890C75F7083A86701C5A6047CCB0DB2C00DC8C00D8E70BEEBE805C350C0A190045E90046F5006497005D5A20563500657E0';
wwv_flow_imp.g_varchar2_table(4313) := '056330980CAA0AC4500DC9709E37589DBA006AE090483333BAB26CB2ECFFE00E10A20FFF900D5E20D2BA2C0662500567905F9BF10FCF340FE9406746FA9BF9F70F27B558ED100EE6F00F5A6879BB9AA336079CC7999C25555223359CF5F4A3D7D5C5E0FC';
wwv_flow_imp.g_varchar2_table(4314) := 'C5E3CC18E1900B1E3854DE600D89E00824D006C2F0057AA0077550D7AA800EDC500ED940B7578661F34BBF79EC74DF500A94406116A002844C09C9C00DBF000DC880072CB08E4F8006B4800CCFE00952A0B456D0C99BCCD15AC0054A900468B00723DD07';
wwv_flow_imp.g_varchar2_table(4315) := 'AA000CC9300D37580A699A0877DB0B86F4CADC84782449CB03210F9990CB1F3D06BC6D0755D009625C68D9800DF1000CE6800CEAF00AE2800CD9900DF0800CE9700DC97A0BD730D5545D32439C85F84386D2D3DDC6FFC30EC0D30E2C2751625D12D17930';
wwv_flow_imp.g_varchar2_table(4316) := 'E4FC09A1907CA73554A1F00560500AB280076790066470DF7B900DEF8053ABD0DFAC2C0772D0C7AF8561658A07BD200BAF807A89E00A5E01078DD008AED0D8BC270C78D004E2F9047E200CCC30AC11CB0553F505B3F6C78E5B934950057D70087F700CC0';
wwv_flow_imp.g_varchar2_table(4317) := '400CC9B0A68910041600BEE7090EF1F0B2DD270F6FC53A7966DB02210F7720056580067D7007E4320694EC43FF200EB4500EC8500ED3200ED860D9D9100EE1803CE1700BE5300CE1800FBA8ADDBB89ABC68441581447193441D73B47D7FB72E54D12E75D';
wwv_flow_imp.g_varchar2_table(4318) := '204A380651E0058BF0096E970BA1E008632A0B8E6007A870088760099630E5280D0A72B0E0B270E8E6FFB90AACDC08016EA6DF200BC2200BD0600B8C000AB6F00A0BEE0AB6000D8D4DE16AD0D3B2FA0CC8F00A5CF0C77FECE1B3C6055650934460046380';
wwv_flow_imp.g_varchar2_table(4319) := '069B100BBC470CD1200BCBF0E2161604F26DA9511AD3F230D39FB340D7387EBF640F7EE00556B0D3ABEE05354929B97495C020DDC8100AB670E5A9600BAE800D4C5E0DE5C0ACD3804C3A6BCC9617C4D528462E674C04B1E6E17C300BF40FB7F00447D004';
wwv_flow_imp.g_varchar2_table(4320) := '4720066AA0DEB9E00894500AD0E00A7CDA0A9FC00B685D0DAFB005C5F605F31B6A89300AAB500A094E0DD3B0D0DFE00A78E00547F0046A80079420E1C2200C6AD0044F20D2B6800C1B7E0B52F005A56EEA6870055F600670600668C0C971400CC4FF800E';
wwv_flow_imp.g_varchar2_table(4321) := 'C4C00CC9100CD4400A3E9003E0EBDAE0004A33C372C0EE39C2CEE3B9340C9100077030E444EE069EF00C35FB0FD19B0EF7C90ED3500E461BBDE1300CD3100EB6900D978685C53C11E43E116ACE4DDF6CDE55E916619C0A3D9004486004E249058B100AAE';
wwv_flow_imp.g_varchar2_table(4322) := '500A1B4F0B43750CBE0082B5D009C198CFB0B56F5F1004FB2605736AF86B90E076C90DD9000D8EF00451F0045250F9A7060DC200F9424003428008C3E0D8C8F00B9450090F2E070F7EFA80805470B00586700B338F0BD160F3C1609EC69503419008CB40';
wwv_flow_imp.g_varchar2_table(4323) := 'E38D71E3434FF4C30E216E913E0594940114F53A4CB33A3CB37E81DECF78DD1151F6126144D77ABD6AAF412739054BC00348800414FFA7048C40880ADD75DE500CE4E052DF300DA00008000EAF78E0D74AB55441F005AE90E0DCF00CE7FF044270044720';
wwv_flow_imp.g_varchar2_table(4324) := '05F8AF0600F10BDAC0638EEC38CA756CA03060BFE048F13144498E212E2A8E7091C38515337F3C55C3C62C99B265A572E4083224512F70FFECFD0360AF9D3C7E006002C09953E74E9E3D7DFE041A54E850A2458D1E459A54E952A64D9D06E5478F1DBC9B';
wwv_flow_imp.g_varchar2_table(4325) := '36FF5DC589356755AD3B6BF6EB0700EC58B24F718E35ABB35E3B78F7EEA5ED298F1DBEABFCFE71DB64A7C9922445A6184952058DAB5BDFBE41D356AC98E16FDC6C85FAF48992E4C98C10F9F10347332050A06C65CBF68D9290234784FCF861DAD1406EC2';
wwv_flow_imp.g_varchar2_table(4326) := '8EE52A9690209C3141FF9404C1BD05CB6EDCB8BB8049D4484EA35BC97EF552562A88852039129502F71227BE99F9E05EC79E5DFB76EEDDBD9B8D3AB5AAD5A460CF92458FFE29DAEB6BE1D57BBB5DEE3E98F9F641B3660D151D21488C1819220989BE40E4';
wwv_flow_imp.g_varchar2_table(4327) := '1361C8F9A4987718A32514C81CF904424720FC04324A00A0E442681A9B060F2188100280107F10420A61085A6491628E61111A614251038044664C240C30C0B0F1C6DF800B249151D618251859A82165B9E69E8B0EA67FA893C7BAF1BE8332CAA14204E0';
wwv_flow_imp.g_varchar2_table(4328) := '175CA4C4324B2D810A8FAA9DBA3A2AACF4C634CF29F6E0A2872DF8B89B0FA67BF6F9263F72AC39038A259028A288218820A20A357281E698547279E5955F5E842CFFB2C81C592432C8700A2516401BFBC60F1E7EE8C106117FD014196400F8248A293E69';
wwv_flow_imp.g_varchar2_table(4329) := '51A15CF808620D1B57C5B1461C6F64438E192B9143D65E9463CE02369669E9A52567AA694B61B35CE3966D70EA469961976596BB7CA4F2122E32D333EBCCB4DC734B3B98E4A20B807DE479879C39E724040A28F214D0082FCA38261C61E458438E2E0019';
wwv_flow_imp.g_varchar2_table(4330) := '25954E3A0905DF5A2253259462524925144742396CA06F10E1C1881E7A0040062164E022179C1631D79152590C658D21B0B8118CDFB02081638FD70063B8CE56794596524AC1A2B744641947BA5F69B2A9599BB3EB062773C00180E79B7F061AA967C5BB';
wwv_flow_imp.g_varchar2_table(4331) := 'CEDAED8C06CFBAEEE4B2EB9F6FDFB166CEFCAC29B7FF3F24AE16A38F616469048C2DBE40A30C433AC9045F076B89A59646253D26964F68E1C69581BFD974E11E78B8FB0531000DF58C5A02558845B7195DA4900929FCA416C51252081A6EA6F945965B4B';
wwv_flow_imp.g_varchar2_table(4332) := 'B9B517CBCF71C92626950EBA73A7C651679B6E8EF5BC74D3711A3ADAB490CE8EF5D37392A71DBA9C0637EAA9AD61850C218C40628725C460041A5ADDF8420CE3ED4004925462892515B4F7ADC5DF5C7271506E4A1C194698276440E26E2178E0C1116000';
wwv_flow_imp.g_varchar2_table(4333) := '802696B559244721008E513C945ADE4FFCFDF7A56F9135684A49A48D306A0C63E573E2B9CACC38F73A02FA641C0058C739D681136515D081CCEAD2939A5216EFB88E80DCBACAD36E971F5640A1FF093FB85A13C440095BC8010D7C7083242C61093BA8C8';
wwv_flow_imp.g_varchar2_table(4334) := '16CD4BC5BF8A118B194A2A1594C8442828A143613C831246C8090F840009D7380E00A1581F8B94B8BE6240665FBEF0452DA2A89819AEA8718EE34622E400862CBC8A0460E8854BAEC2A4603DD08CEAD8093D00D00D6998C38C6FC452EA24C8140A56302C';
wwv_flow_imp.g_varchar2_table(4335) := '7029A37730483BA8498D15ACA81A698C400531A4A2845828C42234B18B43E80112C3C805250AF18918C630166D8B858342E18A4D92CF458EA80212788084424C0F180381064E02C7A29CB04F7E09F2572CAD583F2CFEC296914BD92F56318E7FD4448070';
wwv_flow_imp.g_varchar2_table(4336) := '0426027392B36016733B11949605AB25A63B36E5163A69E6D2D8910FA77D2B4E53FFFB631484B0CDD450C10DB428A116DC6088539C0215960805303AE1062A50016D554C486C20B349242E847A8E80442772018C63080327DC581FE096C8A262B4CF17A1';
wwv_flow_imp.g_varchar2_table(4337) := 'F0051563139BFA71038BDC80E8E324DA0EACFCE31EEC689231CD380F7ACC638D3E1B4535C6110ED269D4A448416632A3A99D3A2AE52DC300003BB024176AEEE35B736205EEE82404286C93084F7802246CF1AE2E402212BBD0C40A69E88724D080071562';
wwv_flow_imp.g_varchar2_table(4338) := 'A812A737BD4C120CA2ACCC85A484712268906320014DDF310090BE85FAAB89D608C53156344B543ACEADDCC0C6E3BE318D69B0E32616C5E8004F7A337800001EEBA007601798137100C01C570A1D00B20100691476AF8FFD49FF4A975926EE30B3296F79';
wwv_flow_imp.g_varchar2_table(4339) := '6696685A4D79E01477AC88424F49431A29848216C84844250C01895DECC2129BE88427C6D0031A00207A5155A25423758C8289956D2EC249A006428E229243956A554C28AC011BE4AA9571816A8C43232AD7693CCEAE59B96846217B3379F004B03B19C7';
wwv_flow_imp.g_varchar2_table(4340) := '30B6318E6A309698DB45AF4E24BB1E654E76A548894F34343B1798D8F49A7F644513B6499AD2FCE944B2488421FC70CE1622A21665D0010DD4001982E676ABFD4CEB8616028054D00218FE4CE558DBEA55F5E576AD8A516B889588CAE946741AD9E0068A';
wwv_flow_imp.g_varchar2_table(4341) := 'EDEA34BC6A37BDCD522300E27194F3BE18B2EB35537BD72396F71EE52DB6D0124D6D625FEA45280ADA244D9E94FF50885342431900AE84660C57885A80E20C6AB82DE358B4D5B6022021C2C8051E00E00700FCC110B100683FFFE9D5AF763589CE5D2873';
wwv_flow_imp.g_varchar2_table(4342) := '6779C5B7C2F57128CE465D7B893A60D58CB236FE59357CD60D5C54431AD200747A713C411D9B89C76671AC94849C956E9CA84102C383148E10202B204221D87806325EB18A543402128550852AE437C3DCF63370050B54853E210500ACE10D6B304324E4';
wwv_flow_imp.g_varchar2_table(4343) := '4BCBB6A632506F6EE231CCDA6085B0D93010A514684E9C0D75EC1900F9E8334CFE9C689B15671BE1088632C241EDEDF263D174345A8F27F8E8B4648218519A343FEC910D59C84218A570B72C68D1082E28416C0A41073602150B551C42139238C42100BE';
wwv_flow_imp.g_varchar2_table(4344) := '0BFF67ACF592FD24EE8618938B4F40F4168C00001CD600874A3CC3452D420744C9E150E14AB5D5C28E4D42A63A3D5AD0C215AE0045284E7C626E606E1F38E1479FCFC3ED9B49A312C3CC496609E80C6D3883E691851657BC4D4D00E4B12EBD8CCF56CED2';
wwv_flow_imp.g_varchar2_table(4345) := '4BA23F8B1F6FE9C73D6A528F46FBC4B27071C5B3BF2364253DC315B9908542B83A0D5ABCE10EAA180634F28D0EB5FEFB8FA738C42934C10A6D68E31889DB32970DB3A150480C1AC388C41AE210873564221A9458442CD6E7D0E876B5E34A0C052A526407';
wwv_flow_imp.g_varchar2_table(4346) := '35A8010F97C7C3C46BB5C55A7D610D2CA70637ECAA3468D34CDAE2FEB994B6CD587044DA0C39413DB39A01009FE3441B382986339AC18BD4E7FF432EAA0BE03FDA418F7AF0A3F8BE8F4AF0A51EACABD42380FD08FE5DF79C0F31890529577F4A8CD13DCD';
wwv_flow_imp.g_varchar2_table(4347) := '21FF23154F5083236801285402A30F94F08442AEF18C6790A316A7D0C6409691885A1882EEDE506B2A5CCD1AC64083E100E08661A08435C0353300054FE081101083D780A80D69C08E0B945450831D09830AAC40FDC1C030D09F1AC18352F8063C13BDCC';
wwv_flow_imp.g_varchar2_table(4348) := '01807B70079A99B9D46B169DD30950309D56C0095FE8099FAB85DE930B77B8AB7BC8067988866C083E9B288761B80A7358B18A62B67F08875460867F488768F0047818066260874C0080767806E8530FA3C03E3A620B7D90B469AAA67D40063E708442C0';
wwv_flow_imp.g_varchar2_table(4349) := '8345408863E08650108348C985FF88D2B762380572388C5E48045088849CF206D7E8A7E1721CC6F806EA698D6960842F00002BB802407803F0E1814B0240C67BC055C2350D94C405D09F3058000BB4C04400835290283C6B367BC0897A28415F2237141C';
wwv_flow_imp.g_varchar2_table(4350) := '9655E00915F41CDE03001704005604006FA03D14F43D76B0C1AC800764F8874C30876BA08523FC0771F88361B00562C8844A10875B708770808937100778A0856BF0047940866BB8865418064F902F5B08074FF8076AC1C2AA0B8A7F8087EEEAC29AB2AF';
wwv_flow_imp.g_varchar2_table(4351) := 'BECBA4084991C828047DE22D6EF80664D88429D00472D0373A4C0555A0BB846333D6802800289850D8905B40030224405040301688026190AE885238C0118658C002FEB144FF0BA4444CBCC01BF9060FBCB36968B660A9877224C56933452C79859F1885';
wwv_flow_imp.g_varchar2_table(4352) := 'D741859F28065A0CBAACA00743C8043F003C62B80543283950400641048561C8042414877FC8064F68076448070A9307201C065730876E08877448C2617007702C8A2C5C8A7F9007EDCB076F5B9A76A0A66AE2065A009C7D6BA262B00547E88467E08670';
wwv_flow_imp.g_varchar2_table(4353) := '008650E8B7385C105D280550C8847E142E5F03C888FAC34DA204388017CDB0854AA0822A8004F279C8AB6A0CE1620412A8914B94C44AB444FD59004D04A3C7A9AE69982BBBC287502C47CE31C99394123488833FD80934B0BECE51859C38854D88C117A4';
wwv_flow_imp.g_varchar2_table(4354) := 'B994FA077AA0856C308467B0057380044FE849753039437085FF6988044F480772840434B80557C8457808875B50077148876BC8866A143E5AA0876F6CA9A1C8CEA560BE7C688BAEDC0EDF034B6FB9877F18865262B85028228688853EF08470E0066068';
wwv_flow_imp.g_varchar2_table(4355) := '43B6DB85A941AA15DA056FF006AFF2A4C40CC8543A0657B085BF94033888035BE0A43D6C44884C2B87122B3C78950A7C9505E8980A950230F80659F8C050C0835FD84C671BC98C3A3DD114964AF0044F28B3D733234D0080532051988B499B70876AD8C5';
wwv_flow_imp.g_varchar2_table(4356) := '6AB085747005A3A4053FA8844810AA5B18865B88062014075AA8866C080734B0855B90074F888470608448400643880678B085EBBCC2AB2C45B3B02877A007A90BCFD8B10E6FFB875B700350781144A005FF2E83865430044FB0465AF8406E2007FCC2AF';
wwv_flow_imp.g_varchar2_table(4357) := '4DE005676033AEC2A28792C70CE306646004CD30D0178A05AE9A2E077C4068A0842708822F0802290882D112020B18024BB5000B90022978850C95C74A78825FB02E1085077A00CDD87B51EEA8843F78839D3004541D165E804517DD845D0080D7C20958';
wwv_flow_imp.g_varchar2_table(4358) := 'E4B6349187AAF0BDD253237AC8417508077D28877290077568877028C17FD00723BC067710876B1886D8B986BE52877A60B67EA0072B8455ABDBD2A6501212FCD23CBA0EDF738731A5265AF0024888850BCB045BC0866878860A13D26A4805571806616B';
wwv_flow_imp.g_varchar2_table(4359) := '855D30066DD04F6F88066F7886C601403F05A880FCA7B801804A68044A40864E8805FB89AEFFC3603C82C0832790028D55832FC0832080D0CB0303CC8350399585146B5461000DBB12C9CF84BD54DD9232400334B883B0C1893F98236621040068499D70';
wwv_flow_imp.g_varchar2_table(4360) := 'D1D52451A9E8D59CA889A651921EACA81EB40BBFB28AEE92A06FBC8A3BFA569EC04AA7E8D2720DD3742D3A6AB205C3649E68B0054FF8855BA884E03CB16A780660A0854CF03472D84F812586B4733CD638D8E90240C404A869A8925748B95420B112BB58';
wwv_flow_imp.g_varchar2_table(4361) := 'C739154790033E00034700034A385C4690034A6004C6CD1047708506FC864A38025B483196F54C110D57988D12374003D0758332389DB803804D68C94320044D983D9CD80416CD095E005A4513DAF1A8877AF08AA2F336AF34BEAEB40EFFDCFDC6AE8CDA';
wwv_flow_imp.g_varchar2_table(4362) := 'B380397E400B71DC89AA1557722DBE6312D39AA00F64A8023E8885621C8642A9042E400338880450B80564C80661E88461185262885B6F20865E53BBB7C2066CB0466BC486697886EA7A9C50900233C8BA0C53D444B5D85C785CC7A58487AD845048840C';
wwv_flow_imp.g_varchar2_table(4363) := '91834AA084026EDC44709CEA72054600DF6C28CE96E5DCD0F45CEF085D9D4084D701384290849E058AD67D31E3C3289828DAE6CB966CB9DDADB58AE8EB41F4D85DE345DE9E300F0BCE4A720553EDE087D82153FAC08631E88341F90562C0855F00052B50';
wwv_flow_imp.g_varchar2_table(4364) := '821F200229F0029BF4844C40B1B882067D430764681C8EA35B6E60BF6700B5F6A5AB640080697805571055404D58C0C522FF5B60844A70D8362E604A606338668446A0E31D4A062DE606BE654B0926D50A9EDA0B868BD1550337C009323B9D3D008034C0';
wwv_flow_imp.g_varchar2_table(4365) := '096F78076D6849166DCD9D480349704D113E29E39B895EE2076A42065B585A6F9CCDAB28CF5EA20757700773A00575000557108754184A18DEDD2C550AE5658A2E95871CCE8E1D76871E3642F6C90460C08561C08560A80425900225B0022EE00243C8C6';
wwv_flow_imp.g_varchar2_table(4366) := 'DAFC86B8CA37500B4064A3949CA0AB3CA32B9C00630038D99345862C3EE3B89A2E2E1E86373DD14A2860046E04365EE7767E5850B8E3EA6A90EA2A420A2E231B0664EE205D35205D07026174D0849DCDD59EA8034DD0559322E1A1B5095596E05B2887F7';
wwv_flow_imp.g_varchar2_table(4367) := '1C0673885BFF690D077A584A57A0855B78866C40846C7005BB826519A6A03F4EDE19160A8B2AD5E6D5E1E765B16FA8054F888520C5055C4806404066653E66E58984DA14E79E665448C8840C795C460004409003A38E033988835A5B039D204038F8825F';
wwv_flow_imp.g_varchar2_table(4368) := 'C889E98AABF6759CF605BC6364E3ADF684AD6E63AFF604BA7A9C31FE05D098E0CD7592CECDE7ECE08348888400BE904670A03A3803CFC56485FE877AB08572488754C80428CE8407B6856720066670BE74A0855178866170C272F8036C38BD69A9BEA5A0';
wwv_flow_imp.g_varchar2_table(4369) := 'E51BF65295C68E9A10D3EE8B8648A8055A08526176882190022B38E632E86A3F4885288648881A64CB04832F22812EE882D9B6EDDAFE0D00E882200000FF784183644825800280AA7643E91206A0EE511335D173F66AB05EB93CA60459008D66EB4C0008';
wwv_flow_imp.g_varchar2_table(4370) := 'D1B4C6E7B5F68E9C3D1D49280AD8BDE47A2861987B36C28804EE45068FC80676F08472D04A7A780623BC8369B8065DEC8761F036C9B6CA3031E971645E73BD8ECD62316890D88CBE855BC08555A837D3E602294083A036044A9886F6B533647B852FA895';
wwv_flow_imp.g_varchar2_table(4371) := 'FDE1A20DEFA22C00003000802CE8029CF0980F5F83464034140B673B93E2008C84BF6663AD66634F1805AEF66A65C8337663845B98EE3DCBEB51F43392D66EA5C83638A292A1F06E40BBEBFA103E8CB6434388845460844C00C22705C26BC8848D060575';
wwv_flow_imp.g_varchar2_table(4372) := 'A0CA703004FBD6EFC99EE5FE068AABC5E5FFEC1070FA7806B489854279855B7805244EE67A3BD3EEA5849FFC66796CC06C18441A010E4DD44439600300608392F9701297912D00056AC086D0802B64B0B814B333B772EB175FEE51C0741AAF841A4FADAD';
wwv_flow_imp.g_varchar2_table(4373) := 'C671D0F885545836EAB689102D49211F726E3B729D40E453D83DDE13049CB0049FD8035CD58912C0090870A084366198600673A8876B505673603679A8874848937F500766088766574225AC06AAC0CEE3550F54872632FF89ABC56C34F742168B065060';
wwv_flow_imp.g_varchar2_table(4374) := '1E5A28145CA8041530E664B682353604CFF08450F0843B5003BF15064897053CF88291050333C08235D88D35D08D2DD80200E06D9CE06D80C7856C687400B80660B0056840060B9B74FF87EA8448A88463ECEAAEDE74AFAEF1AD0E866E50B664C8066AA8';
wwv_flow_imp.g_varchar2_table(4375) := 'E7CD3DF5548F126A9086062A9D10D181A1302E0020839D787900D803175C043B180300A0800430235ECF0AAB08CB00B28B6CB005174EDAAB203A1E93EC71CB6EA4F8877CB86C00878B49A30B6C5865571805AC7F054000022B30ED640604285FE55B1086';
wwv_flow_imp.g_varchar2_table(4376) := '6160041DA8825C3891B176843550814C55814B7501171881BAC7089CB08811D8025730949EB446641806487FF85480740A7F064F8072B74E6EAFEE744CDF6A5CD8866C88FC6CF0F822CC09722D4993E78E55509660F07C44FBF9A0A10011D0011E580200';
wwv_flow_imp.g_varchar2_table(4377) := '3881DA1A8A4D704D002886DBC3093BC8093B00A207C80910808116C009FF15F000009080DEBF199FCF09A7EBCAA17BB6E8CB0AE41F20FDCEB1A63F0A94C6DA95F6C211FC876958E5ACCFFA55400315B80243FC022BF8834660044FC8E84C28032FA80237';
wwv_flow_imp.g_varchar2_table(4378) := '00066CA0776E70374A685C746663501805FAC7F495C48994A91264F885F9050864B798211328CC15AD67D0B0314C0529922188912255AA587154A5449E4625AA848B5AB66DDD4476CBA6EE1F0000FFF2B993C74F25807EFD52D2AC69F326CE9C3A77F2EC';
wwv_flow_imp.g_varchar2_table(4379) := 'E9F327D0A034FB00C025F428D29D0F2250002002C08AA3AD006C02800300139A770034A520810308002A0014496A3628BF7AECE0A1A4F9EFEDBD7C00F2D18599EF1FBD7AF0E4AA7C3B97A6CC993263069E793626E1FFC33757C2CBFB52714E7EF2D8F1BD';
wwv_flow_imp.g_varchar2_table(4380) := '1B0D942B50A346B9926505C8952F5C46FF69E4A7922B38307A8CF1830891306CD0A0C912268BD6AB57AE5C711EA5F977CD4AB47E09FB85EC19B35FB46E297F25CC3933D9D8AE813264E80F76EC8D2C62DC3CCA93A74AA4BA49CB96AD1BFA6EEADCE66BE7';
wwv_flow_imp.g_varchar2_table(4381) := '12B061C8F2E7D3AF9F464CA3947200010896F21F3F6DD577180400240000010FE8C0434A7AD434D54D7500B0474A54D040C309005441541219A4C4C18021A694D65A02FEC30E2DE5F8F5168B7E5D23CF3FEDB0D3228B2915161861831D26587CF23146CF';
wwv_flow_imp.g_varchar2_table(4382) := '3D8F8528193BF8B4F5CF2D8064144A22AEBCA28412A259F185159998E6091C3294010A2D9E74620825FFDCFC028D30B6C8E2C81768A091E6175F6801409A686C51C6177036720B73C73D83CC2BB614648B30C808030D37CF3C834D2A88FCD1871F7DC4F1';
wwv_flow_imp.g_varchar2_table(4383) := '87211591D29D7718ADB24D36CA64531E7AE91CD9DE7B36F62822A9A59A3A462439D9F3CFA8A6EEE481041E0050E003346DA0C3124BDCB48B2682DC24461F54D014020054F4C1474A0F4020010029B80A595AEDB0E5166EE288734D3DD764138D3ADB3E63';
wwv_flow_imp.g_varchar2_table(4384) := '8E39DD3C938E39D784F34F34E984430FAB39DE58D88E38D2F7CF3DEE38462A91770170CF3F5852524928A0BC92C8115C84268512688012871F70ECE0862BB6D8024A2A9DA0818C98C2D88607176D7E81B015535E018015A1855C042300DC42CC2FFFCCEC';
wwv_flow_imp.g_varchar2_table(4385) := '591032B400EA4828DC70331B37891AE2681F68FC11092071601104169B8587D12BE7D9124732D39C77124DF7B8F7124A3A3E7B35D6220A98754E137830C10400305B604A08D4D4434A924CE5441D741C028033009471D3062B1841535334B5C07552D14E';
wwv_flow_imp.g_varchar2_table(4386) := 'AB123BC300E00E78C44CE407339130E2472A9E30824C36B66452C9306EBC42C949FCBC7B2364F0CE9B4F6341E22B4F3BFAF20B4A25946C97882D95A8F0F1155648B1062870C0A1C40F9E486C0B309E40C20523C3D8569C235278FC45686DD244659A52DC';
wwv_flow_imp.g_varchar2_table(4387) := '790B00C31C07CD710044DC871D846A0F4D2E8DBE514619636861850F3E04114416A304E25D458DD832CC17BF386DD291F8B4443562FF7CEBBF7F4E76E0A48C39D6C1BF9BC8AA2613609681524200031080264800802AA6A01316D8640357194387B85213';
wwv_flow_imp.g_varchar2_table(4388) := '1B0CD0277E3B123C6EF10F71DC421EA0D0D63586718B6D0D2313CFA045363C910D7678221CC478CBE672182FABF90874F2A887900694AF233D831172A0042840210B4A0CE16352B882149404872FFC000D3293183062118B37F40078C3F9051E8660BC8E';
wwv_flow_imp.g_varchar2_table(4389) := '59010D64E40200B830253428210EC3308E710C058D69144A188508C56C70860D602CAA0F6540431FCCE0032C3480044108033188118D6B1023136F78C31DA0E18964986786F5BB1F4C5AD5C14D3E6B640040432568920C1B71B227664B890168B28324A4';
wwv_flow_imp.g_varchar2_table(4390) := '410221D88104CBA08AFF68DC42092690010C5EF0829A5421596403C0DE4A19990FD2041EA0B08538C0830C450EC316A978063152930D5720631891A0C43088D1C2CCE5D07367E1517D18F3C320D66788541B0620289108DCC8020E43E082146477854A34';
wwv_flow_imp.g_varchar2_table(4391) := 'E20D522002256E018C7D0E6318C030441592C0085AD8C60F6294423C9F282583C513790000049EE068A842D9AC5079BC996C98618B51C482A3C4280616AE60C820AC6118D040073762E10838E0A10AC7B00531B2410DF508C87EEFA99A2685A953F93CB0';
wwv_flow_imp.g_varchar2_table(4392) := '9749A80931DCB2539B900D0107A2C9033C002B0D00E0A70018C32800408C2B982006CDEA090C406082A1D6841FC404C04BD4610B7A88E319F550878CD4A10E76A8FF231DD7CA867BB2F12273A8231CEE1055373B979879D50B48E4ACCF642AF30F5BC0E1';
wwv_flow_imp.g_varchar2_table(4393) := '5FAF90C52BF01004842A941280404315A4908A57F41318C410861BCAE0872D31A3387830DE1782301A35762C8D5740A3158A90CF9515C450CF28D434A0A110ED71231AD1488632729B486F78420B55389F183F718C93D6E2137C7003153A310C5A88241C';
wwv_flow_imp.g_varchar2_table(4394) := '504BC93DE0210FBE9092ABD64D490191B24B9C8C421A88B1474EF7B7D5641988000930C0511300AB0D0000442941432AAA911267C1C0AA3CC96A5653B28158F1B7945FFD4F8BFA42A3011318AF78E5E137E5351F7AD94B74A4221D5FEA81242539E9B052';
wwv_flow_imp.g_varchar2_table(4395) := '10A368A560864AF8E10D5C78432674D74F62C4C208FF30E8C31F3C919C5F7C6CB1088562C8AC9046389541095CA8C42BA237A6D7CA56213CD61E3692910C59F44216A420C62D8A518C80E6C0074350421F6A410E741C43158E50831AFA000CA0C9B01D23';
wwv_flow_imp.g_varchar2_table(4396) := '02003D5AE2E0EB06256C3FF1807BF376E6A7D00444CE02C07883A2832448F0A78600402C9431D4ECD62401083865021A981209A819271C048A0940000300C84A02288895A255008343EBEFBF60BD0758E5423502FBC5AB60F5B4810F2C1F70F2B5C17FA5';
wwv_flow_imp.g_varchar2_table(4397) := '4F6051C2AF61346260B671851C3EDB312EA041717EA0B5EE6E21BC6178220930007124FA890B3420D4894A1842118000042B1CFB0B9E4003205CF10B1DF7F8B53C06C0F6A0918C6094A214BDE8FFC53EB5C18B800EA1DC43D8431FBC810E6140020C6050';
wwv_flow_imp.g_varchar2_table(4398) := '432362C1840A80621AECF87298A74B66A15080CF3CE100A1F35627A46437BF3589F34E9010674F0695AB2D28C2586E72A0041C8802148040A153028E86FF04BF00084B4D60551309DC8D6F5EAD87B4B696134EAFC82F35F1E68048BDE0BE8E3944814DC9';
wwv_flow_imp.g_varchar2_table(4399) := '5D90018A5B1C1619B05E8314B44025509E060F5FC8842DFA243C0018E105B50EF62F6E61063669614D31BE021ACCF0C83800000EA0F8C51B87E1321F43E3171625D4A186ECED5E940219B9D0462D02EA8272B3D20E52BE0523C200062CACA1D79E084632';
wwv_flow_imp.g_varchar2_table(4400) := '6644937CD77CDF3C3133A57552200E583C2573E37A4EE21C81A3D6A4052948410BFFE2BC55AFF99B643449422F0D4F93F1060027016020640AE495FDB2172781B60911B8C60F7A94A8263572CB807FA2E0FA70AED47E2D153CDA11A07F18A91AAE88A82C';
wwv_flow_imp.g_varchar2_table(4401) := '42518483A6B60C86F0032822E10534843815771803175EB0813B5807A6518FFA2D5681273CD50417C4300AD8A7DD4F00206336638206B6F368A8A67D3B1BB2D0462C9CA18D327860042DB001119CC1141C422D100328944222E0011CD8422CE08279B8C3';
wwv_flow_imp.g_varchar2_table(4402) := '91109EE8F9849A71C09B0140E9DD44009CD24F50C003D40AEA054000085A7B49C006AC1E5078010010054D94DC5049C127C98D4D281B0D2EDF113CD9110C1C64C858E829414AC0C0FFD9C456608D57D1DEDF0098CA2105CCF1FFDEEE410683FD1EA9041F';
wwv_flow_imp.g_varchar2_table(4403) := 'D51889393043D3648338A4C61BD8CE23A186272C5326C0412480422670411554811570812770C9FC348D904D8390DD563220C32FB44C3218CA34A4C4796443386403007C837900A2209A47375003350000357C43FB91432C404324D01AF8BC0122A84224';
wwv_flow_imp.g_varchar2_table(4404) := '14C36C7103194643353003B8C0444A10DEA94D204DA0D128DA840FD6C41754C129E6C4E5A4841578C11956C11310811110C11124C12DA6C418684850DC011A00408A4D0E4DC4413488A24F24A14F0C467CE8434D3063750D1089C088ED79224E78D54B58';
wwv_flow_imp.g_varchar2_table(4405) := 'E3A7819AA721187DC89C8FD05C28CA871442D7AABCC53EB01C8D20A189A4C4AAFC873DD8433CC4833DD80437F2FFC48AD0C43EE4A327EA033FF2D06330A339D68833DA84041A633286577831613DF685612CA128BE233B02803C02C0AA9CA34122C5ECB1';
wwv_flow_imp.g_varchar2_table(4406) := '83340E134A3C86355EA3477ADA63C88480F443382AE15ECD9CA9019FF0A9443ED88390C0E43FCC0380084910B1483BE6033FD02444B2234AE0E43FCC633FCCE33C0A0844BE633E9EA35226E53EE48F32EEC33DEC833CEC03447A1553EA634AF06356DA04';
wwv_flow_imp.g_varchar2_table(4407) := '5E88D94542C63C50E44FB04A5336257401C03E9CE4579A456078E45AB2E53D682460601A60A405901C587CC4875B0A1858690D321E063E34465A924A3F8CE3A7B98BE6F4035DE8505F84245DE24F5FBC638D588D89FC645B6C1A0E75934C5C6550F2C355';
wwv_flow_imp.g_varchar2_table(4408) := '26FFA56616C63E4CCD5B9EC54B24E4CB35648FA066692685CBB1666BDE04891C2110FD035BD04B6DDEA64A48063D80D55B48D85BC0483FFC2658F5433DF4A6E738244F28E759D04BE8A8E559B0043B3C06CBF18457B1CA607CE44CB85C39DE5E7C6C0D76';
wwv_flow_imp.g_varchar2_table(4409) := 'E6CF6220237692E4809DE33FA0E7EDED443E682475C5E6516C277CCE676BA6853AC8835BD04336B84334B0153C94433894433BB4C37DC24836E0453DA4033BA4433AAC553B9803E8A84380A88B7395A7532E644EF4DECC350610910AE84CE7880465EEED';
wwv_flow_imp.g_varchar2_table(4410) := '043FAC4A617CE4CB51638A7623E7A4A78B2A657A0A457BEA1B7DD6A88DDE6835AAC5DFFC433D30431F62030C89830A85C32DF84950ED27302CFF922D64C3332CE935D0C23430D28C64C33084433B98E4BB3CA3EE35A16238E7BD88C88706085FAE8A64A2';
wwv_flow_imp.g_varchar2_table(4411) := 'E8978D88891A0636BE9C98F2106C06C5BBFC248C722650F0837BBC278EE6A99EBEE5C9D55E5F30A9A1B8C235748B38F8683880C233C84395D202312C473910431F4683396403366483A764033230033C30E69B02464A7E238742A7597CE87BA2633A8224';
wwv_flow_imp.g_varchar2_table(4412) := '80548D766ECE4D74EA96C24B3AD6A94DD8298DEEA9ADDEEA04F62904D6843A94833A74038086033BB4433998033B84C3A586433888433618EB5AB595745D832B88033CD88B8A9427970285373A61747D698844573BD0654AC483B5A447499C6B7A980300';
wwv_flow_imp.g_varchar2_table(4413) := 'E0C34BD8C33CA4453DE083BCF6FF033DF0433EC46B8E64E664BA6AABF6885FA826BFAA28ADE229AE16ACC1FA1789EC2A120A1880DC8565326C3AB2C8B2BA2B350EA5497A1578B5A34D80D74776EC6906AC3D766B878AC83D908E91F48538E082F9E10273';
wwv_flow_imp.g_varchar2_table(4414) := 'F0DCF8E1C22A2443890E5F8DB0C870B64862B26AA900AC5090D38C12ECC106ADD0CA9E5A28AC4BC68557E5C33DDC033DDC85BD42173F30AD4EE2035DE0C33CA22753BAA8CB1DC97F8CE79104584CFCA55930D838914A60B6C3C9BE45370CC42F44033378';
wwv_flow_imp.g_varchar2_table(4415) := 'C2181C012830C3CA2AC33CC8243CA4823954023054C3FBD84326D84338540123382D6342CB9A82A457F12BA8E19C7B0E2DE446EED524ACCA35AEBDF2451079AC67B6E3398CFF83E776EE389C83E886EE39DCC438E084E8A6AEEAA66E3CB85C0F3DA7D906';
wwv_flow_imp.g_varchar2_table(4416) := '9FB8FE4338E0C22F1043324442154CC1148CC131D4212E2803BBCEA33A70011CBC412474180788C30E108307F8812BA84368A224EE9DA9A898699D0611CAD5AAE476AFF7CA47D4B283D162E4475265803C4203388002384003084003ACAF03088003CCAF';
wwv_flow_imp.g_varchar2_table(4417) := '030080000040FCA68402E0EFFCAEAFFCD26FFA3A0018B4AED822C54AD8CBC87E6BB5E24388D6AEF9FD421F74422DF80222C4C2B605AFBC82153C248107D443F266C20E3C221CDC4136F84138686632E2655B26EDD2C685D2B6F0BED0833CC08374D5F00C';
wwv_flow_imp.g_varchar2_table(4418) := 'D3300DCBC30FD1854E0E9E9889EAF706B110CB665C8E6F73A6FFE7AACCC1FB16C0001400130F00144731000CC04E44B1155F71169CC3AA88A913820E142A70B8866837AC6C3274822AD4422D20423104C32F04EF3B06883B280105884318528227708111';
wwv_flow_imp.g_varchar2_table(4419) := '74583820C035ACC4E1EE048F6C4EC97A19B9808B21176BB19A03B92CB222336823D39582FE90B882594BF4F0105F3226EB04E5CE473EAECA2034C0055CB128EB04154FB1285BB10274C139B42E1777A91727F080806B3DB88503AB6C2C48B02A08573004';
wwv_flow_imp.g_varchar2_table(4420) := '032E48C33BB28B3958012328C116FA41344442005C8307BC010C9C4B3EE4D572BACB8DD0033CA88322CB03B42E68358B6F83BA033B503381D2DE5AA5838C4C463B346D4D806226AF333B8355D116B03D7EFFED5B78720344F105DC3313E733149BB2FE0E';
wwv_flow_imp.g_varchar2_table(4421) := 'C00528400100B4130F34412B800064312BC7AA6B4657D9926CF0CDF27FD4EEF911033048702DC4C23124C32F0483DDD2043B44AF705C033298433B64C23C64431964823C60E91F03720ED10381A6433918422A64031CA4C235F80131508221840333A4C2';
wwv_flow_imp.g_varchar2_table(4422) := '2DF84124C010223083B476C3FB18C20CB903447FA257B633540FF126FB88882AB1025C4001B481560B40133BB10014404D5C404A08C0FD42F11377F5590B802A4BE682BD321023852CE31CEDAECC2DE0023278022FD4C2310803CB6C743C8095D5A6AA80';
wwv_flow_imp.g_varchar2_table(4423) := '0508BF64E6C55AA38261A83417063693B31F64422420021AC0811FA0C135C0C19640020764FFC3188042657B827550802B8C4115A48238808B97F9B03C4C7254B776E44EB5134A6620BCAF00CCC102D4F63D5FF505CC01FE7E3559EF6F1BCCC100C4EF3F';
wwv_flow_imp.g_varchar2_table(4424) := '8372186075141FB4160B761723F05B1F05B8327044B7AC7178021A030334B00CE0FDB5D5CE833CC4830ECB033DE4C50FC9F074C944C726364276D37F162B17A4C330A0811744422A94013378C11B5C43191041E23CC31B8CC13C18022254011744422658';
wwv_flow_imp.g_varchar2_table(4425) := '418096035B3C863ABBB6830F2D6C77E94CFEC36C1BF41C5C406DDFF6053CC21C3C421864C1870340183840163CC223B0411800C02C84C1872B028787F20028F716C333503C212CD7C7D93EE65CDFEE282042191C421FF4812AE002336CFF3758BDA33DD4';
wwv_flow_imp.g_varchar2_table(4426) := '4392E7453DD4430B232D7A5786E6889A4E74933C988382C34126A4C2F7DC03686783177C811BA4E11DF8C12D940117544724DCB1120CAE27B8433AE0A76A17DE83D7B9AD46F86104888459B5002C80705FB80390401B00401B98822EE8C22CCC82296441';
wwv_flow_imp.g_varchar2_table(4427) := '16E44116CCC2A163C2A3CF82285CC22CC0F80020348D07858D3FB750C4B56F12293154C21578811788C119548117DC81B405C33A1CC9F0EDCB333B2C5D60A761775ACE2A760EC565838A831FC01030D8C333DC412AD80233BC41BA1C533724041C20C335';
wwv_flow_imp.g_varchar2_table(4428) := '4487274C8E38B0C337D7C4F6D2F94E0511C8DA39B7E3B962F04B85FBF31C68F51CB8EF1CE84218187A1600C0A1934089BBFFF82364012660C2A19B42873F025767FA2A6F7A8D7B31B6CB07B8EA3891EAEE2BBE62158881AA5F412A24C3ABB3083CDC2D8C';
wwv_flow_imp.g_varchar2_table(4429) := 'F0033BD0EB5B808E3EC4887046173CDC034B2BF662A3377E36A8380380AF4E065BD18335CB8882DEA7836AA40EAB434BCC725B5CBBE13D734A9CF39473BBCE7B50461AF1B7FF431EBC6F1343B100B4C13F5F401B384018B4C18707B7036C38FEB6411604';
wwv_flow_imp.g_varchar2_table(4430) := '7770CFC1B86BB8BEB72E5F852AA9047C03E3C21B10F81884CF188C811870811718C23484A54AACC3CE0D03288443A65229B30E832B28AB2B98832DA4C393BAC2706A68956F4E5AE0A7377B993BC808B523BEE2B7C3E1E370F0B195463AB9B5BBC7BFEFBC';
wwv_flow_imp.g_varchar2_table(4431) := 'E5F369CFF3FFBB4EB82E5AFE83128BF2052C800218F4FEDEAFFD0A0040DF6FE99335EBB3BE024071166B2C8035A7C87A7A50787D44DB026471C11DC0411FDC01D957012024436FAA843AE042350C43374403313CC3B6FC0323D54338241D3BD434165603';
wwv_flow_imp.g_varchar2_table(4432) := 'B67ABC0AA3B761986A818D88D236390F4FFE6ADBFEFED0C2E5A7BF75D29ECF8FEDBE787E3D8B3259FB7329EBC440A3F2E8477116836D97F61540D4E307806041830711263C780F5EBB7A05FF75A365A88C952A55945C4C62E54EA464F2FE01F807AF52B6';
wwv_flow_imp.g_varchar2_table(4433) := '68A0BA3113F72FDBB36BCCE87523768D5EB56BCFC255FBD76F67BF7E0A8102F039B4203FA3038F26554AD0685082F5DAC9BB37D06955AB5781A62A180EFF6B57AF5FC186153B966C59B3670118A5C7CE5D48B4FCE6FD9BD360405DBB77EB1ACC7BB04001';
wwv_flow_imp.g_varchar2_table(4434) := 'BB7EED5E1090E5DCBF7FF6DC96FD77CF9D3C81681132746830DBB05BA90CFDF983C810E748B46E3183070031BC6BFFAAE5BC154DDCB368D598DDCA26B1DCB470CFCC65DBD9F3E7559F588986A50A552A55C8C7016452570D80395BC8A147973E9D7A75AC';
wwv_flow_imp.g_varchar2_table(4435) := '6AD92636CB0F71A0200A1C3400DFC041F8F20E08A2570F400000F2EFCF975720C081802EEB0EFFDB7776B13B7A53A593EC1E83CC898618629841E6C0618841861904B391871F7C4282A71F78E891C71C73D431679E7CD849871F78C261079E7924A487B7';
wwv_flow_imp.g_varchar2_table(4436) := 'DE8003EE37B28803D03AB3D401809D1971FFCC51C71D7934889FB5DA42EE9F73C6194717228F3CB2485DAA6272C9278B8C321EC4F6D16EACFEFE330E39010DFA871E78D85147CC31D531119EA99A12C9277E7832EC1F360D6BEA27AA82FB8AC5AAEA142B';
wwv_flow_imp.g_varchar2_table(4437) := '462D7B744A4B3EFB0C54D0410955E8C776E0B1D22C370D43CC4D7BE209899F7C0098C7D24B2D75331E8222B5075200F2D1873437F75B94317AF201142D2EBB64D4D5570BFACDA854F34975525BF1A9F3B73B91CB33AC7BA2A2B4D0AA8C5375D863914D16';
wwv_flow_imp.g_varchar2_table(4438) := '397AA28A8EBB51ED49CB1E7EDE340A1FA58CEAC728C4D24AEB514F3D8DAE1EFF8C3D2B1F77DA11163940077A31475EC3CAA71D7ACA55D6DE7BF1CD573866E519D45DA1FE658A5A840CFF3B6BB8C9A6E3075D75670C585F82FE91979E8729AED8E28B0FED';
wwv_flow_imp.g_varchar2_table(4439) := 'F7E2848D82EAA18417D6D1E187DFF46FE393514EB9CF1FE1D15865C88EBA471E86A1CB071E77067C175E9247A4F7E59F810EDAAC7EE8F95868B44686AC9F7AE8D9993A452B9ED9E9A3A9AE9A6A77DCB1BAE2D1B43E8E9EAF99E5BAEBB1C92E5BD01BBB86';
wwv_flow_imp.g_varchar2_table(4440) := '476C82DA69BBED1BD146BB2B76E8AE1B00B7DBF14AEE82EADEDB20BCCBB2DBECC109AF982A6C91BA35ADA61067F3A8AF685E08A15A292FE89ECB310FAA5681A9A27C73EAF0C127DAD04507B79ED33F4EDDA9AF137A08F39CB132BA20D46537E875D8AD7A';
wwv_flow_imp.g_varchar2_table(4441) := '08ECA26B2FDCF7DF8F4DFD21DA0D327AC0DE41A59476E415629EA0CC01FF58BEF7DBA53FFDA0DDF781BEBA683D1D10DC68C332FE727D721E509FF3452D28F4E771D7D1FAAA9C075EFEF9F1DDFC76FAC5FAD4207CEE09D72ACFD1973ECDF10F0097234BE6';
wwv_flow_imp.g_varchar2_table(4442) := 'DA873F052E906C9F63E08E3E0740F469AE72E6DA9C031F98410D062D740624C80541F5C10426447B05F19CBA3C78B950854A72CA9A5801B3778FAFC9A3545819100A29B8BE028ED02AAF2348E86AC5C30D0E9188F8E2D3509068A8A024ED204901D8D406';
wwv_flow_imp.g_varchar2_table(4443) := 'B726A41C27899C33CE4E8A98452DA2CC1C05E9A239CA419D305E0C1ACF400834C4928EE66C6843611CE341BA0899386E918E7514143484010D6614241A7DEC23416C02C86B4403008454C83500B0C7AFBC86918614FF06C5180000041084000138000034';
wwv_flow_imp.g_varchar2_table(4444) := '80153312241AD80040350C6948853047944E790D22998310513E63937674E52BA38346825CE31ACC610E220B320D82E81200D3F0E4346899903F828596B864CE301409806310E4108B3883417420841E3140030F000006006000B03CC393AE29642D0D82';
wwv_flow_imp.g_varchar2_table(4445) := '4B5FCE321B6129673975594E00E09296C024252CE1194FB1F4E118DC28482B0BC24E5E02409DFBB4CA35D449908026A41A053D08327E511055146409043901423050020C3CD43A134D08369D02897B02C025AF2928387B89CB6CF0F21ABCC446363CE9C9';
wwv_flow_imp.g_varchar2_table(4446) := '520A749DFC2C29401119D34FA6529E35B5E95568A01033E253972FFD643E81E94F8230231AE52C293FFF058A4BB4CC000019F80042324090035CB23A18084154BBD2D082949120ADA4692F0D02CC5CAED397E34408401162504EBEF3A66D756B4270E008';
wwv_flow_imp.g_varchar2_table(4447) := '3C12448FC428643E1122D6708A55AF60CD064CFFDA4BA382F5AB08B1AB42C87002AC0685010498510672DA1526D0D5200822C66BF67A90690416A530552A563EFB56D18EB620C5C02334909110701E35217C45A450853ACBCDB694B662C1E8C5B48A1066';
wwv_flow_imp.g_varchar2_table(4448) := 'E8D1205F7D695FC98A0D5FFA1428A92C2C6991DBD62838810AB120C83000204BA004D3B521B5AE53D07A90E32624A100B003414A60101C28C4B11643466A539BD6826CF7ACD938EC3AFFFA5798B237B9F585676EF338D4837855B640FDAB6B5B92FFCFF8';
wwv_flow_imp.g_varchar2_table(4449) := '66F72B874DA641220980F2BE2CBDF72424666779CBA004369FCC896F84596B5F0DDF17006AD82A00DE3BDDD0BEF6BAB98469504739CCA19AF1BC0DFA453200B0074214E40093ECDA814559CBD08613AC0751AA2E81BB6121D3B1A15160825697F91514CF';
wwv_flow_imp.g_varchar2_table(4450) := '12AC20256B419001DD1003E5C0663B06300000DDAA48B8B5480D2D49871C6657E614A34F354883AFD24ED61EF5263ECD702157699528BFF2CDA324AA98F1BC41AA62F30493CD4565C392619380359D835C69571E891027DC5683B1CDF3A3B7B867003035';
wwv_flow_imp.g_varchar2_table(4451) := '0ACA44C833AA5C15B106D6C24F1E8B9615320327404168A845E31E0F4CDFF6E292903D5D2FA461ADC104F38120F9D5EF577C2A5697FF04192C688EF1414E4006ADB5F2D041D1ABA1651A6B653F70B100280400C4508B297785CD7C65B25855DD154A7C77';
wwv_flow_imp.g_varchar2_table(4452) := '0A0411B6D514541045165B21C00C28850189CF65AF7B701198344242318C447BA5A7BCE4354975698B076D3199C43023B97D5C5B102795DD05F71D551522DDAFD074CD40556AB6B192DBB139A84158B1C934E80B71836FFC67DA4CC827B48CA0AE6CF2E2';
wwv_flow_imp.g_varchar2_table(4453) := '6405A95135EE9532CC00074E107564A946EC9F92C59D8EE6F8CD5F76000350D50B09B12BA639AAEE578795C46835636153EE146028FCA94E70821E00000531383B65A8ED6A3258094A883BF9209E8C30CEC15E35981304CBC22428006E41F63D0652E033';
wwv_flow_imp.g_varchar2_table(4454) := '47CE0A0832836603E0FF1329C3F2BC41FC6FB7179618D0354934766C1080879DF0BF63318F091A78B2A0F9A14E10032A1C810A0084C215C74834250C51437B0903CB58F675C047C9F6C28FDE77D3AE4AD1694A529BAC7E906611862D8C5090B9AB4C1878';
wwv_flow_imp.g_varchar2_table(4455) := 'EFEA55B2A156D2EFDE6C655F3147CBE24EC593E5CF06F1F041149E2FCE176418D0A8F8B89D62DCE8F39EFA427350A6B7291DDB7B3721C5A7D89F6D910B6080FAAE58D1257B795D7DF55F4CE4281386E515F2F961391700B1A87DD9A16F15E91334E9EBF7';
wwv_flow_imp.g_varchar2_table(4456) := '3FA17C4FFE2EC6FB68811608422B5466F076E9F4FEAF012BC6AEDE4BE8EEC51542C1000DC2158ACF02F1E5CFE86FFCC04201DDCE01451059A4CBF42AA6EE0C0205FFF345CB86C1F746F005778F1212E2D928661460F00679EF134201215C415F3ACF0571';
wwv_flow_imp.g_varchar2_table(4457) := '3008718E123A4121A6EE616201186CA1ECB4CCEA84F0091FED132841050FA2EE340A5F6CE1390C0B8D24100ABD10D228C1112C46CB14E419908195100F5F1C810ABFB00DF3450615A204DC4D5FB430CB080219D088FC00C0D6F0E5131C6111F0C00D05B1';
wwv_flow_imp.g_varchar2_table(4458) := '0FB142F3EEC503AD82AB0671115F890685A6F6A00B1A24610F08820EA24E1B864A0005850F688D113DF1581CF16794B020BC0100A0EE201661ABCE6BDF86C50D00A01301000F52F1136911596C4C5F6E01CB86C1EB08E2990C020FC42FF9345147C49020';
wwv_flow_imp.g_varchar2_table(4459) := '286107EDE0086B71190585072E06183CC1150D2203FFA0200A240FD02C8605A88E19B9F12C669120BEEB67CA000050C0209A8020A28AD49C424152CB0471C40EF8E01B09820142B11BED912CC4B01EABC609664F211864FB0825C1EE9119F170181988A9';
wwv_flow_imp.g_varchar2_table(4460) := '722A1CAF22EDFA8412FAE00910021106B21B9F410F37489A0C02188030219830BDB84911ADE3993072B19A6622DDD01586C122CFC2118A1100CE31BC84461EF7F00E1382210B62DE52010167440CCE31AA0C401F4D120AB54218208111000012220100EA';
wwv_flow_imp.g_varchar2_table(4461) := 'F02B76F0133AA1EE0A2110D1716C8061F900122818E10AA5430A5F31289911EF0CD22AEA2E0C0B422AB3282CCD4226BDF2138701198421CAD0D22964500C01516B8AB020B482120AA1E7BC2225FFDF910AD6B216DBF2B9982FD11E692381E213F4F1058E';
wwv_flow_imp.g_varchar2_table(4462) := '262A0B420828AA20603211A1AB2DAF121F0FE21C03D32411D32A5CB10934338BD028B5A0EB32CF2203186D33A1D02DDD523A1A4A08244E6B3240B12693503C0C300D421D33402055130A4D932CD4B16C4EA0043280383900004A400C7D4F1854923AC820';
wwv_flow_imp.g_varchar2_table(4463) := '0DBE8D203012004EE0167BB30DEDEA917ED32B98800678F3688AB31F0100188A4F236BAD336764ECAE9319AF7113C262D1C866324500005A322BAC43129C0201EA733D3DD13D2D8120C4200D4E000AAE31212C31EE521368144BF6881339018016962917';
wwv_flow_imp.g_varchar2_table(4464) := '2E7329F9B342CF4222438006D2C0205801215841133AD420302A03E6F067661321FF4A6032976F4758611758E1142C3428ED60B214021524CF1A0080150AD4778AB3A9665209D13328B613214E01158AB4205CB42A9213005E2846BFF010A6000398A015';
wwv_flow_imp.g_varchar2_table(4465) := '88542104411082822FAD46088A51FCBCCF1F6FF22096B02B429420CAD429160B8A9C340835C12076147F1A1400BC4018C48F4215423B39D2206AC1A1BCE24AD7D4247D912048ED40014010CE34289EA04A0C31657A940542E1399E2348C3540FC79420B2';
wwv_flow_imp.g_varchar2_table(4466) := '100074E02AE860C60E552124F24FBF30165211E1DA143E0F8250E94742BF142C961052C96E4FBB025515220280125485B00FBC2DEA08029B984A561F6855B1A20EB3105815C209100B281CC11E84C856473016920CA282C257FF09A2D2AA460D6C814E81';
wwv_flow_imp.g_varchar2_table(4467) := '3452597514094203C7F31398C0580D02E110E24031E0A9C6CE1E9A94596F90168A2F1776F02B3080D132400A16F5656820148E015225D52B6CC15B0F82069C403D01405A1DAA47D9F513231321A2F36530403CAD425BC7825B0D30167A702CB0A9440962';
wwv_flow_imp.g_varchar2_table(4468) := '1FD635619FD0111ECACC0E425C0F42632BC664110D322A560375F220A060C69CC0600100650BA85E3C560455F003448DA980E23B1F260468162840A120EC942C3490FEEA4F210436280E604409820528611FEEF56661D0116CEC6119EB9ACAE618C40F39';
wwv_flow_imp.g_varchar2_table(4469) := 'EA50032F361472812F312A41E38E016E0B62A916079196C612EC03B0C9E354C66C8122FC7664687B4E6E7D3628DD42736DA11011609201E6905C656F61ADC6B9EC763C77A49A10600E05D2DD228937A1400840933EFDB61B1D2B68F1456E9DE218EEF241';
wwv_flow_imp.g_varchar2_table(4470) := '29A6362F5708791100FCE015E100573D15003ED5620CA16D15E2598FE50DACE218A7106208424D4777FDA0C677DAA477F1A55480777789B78EECE12174B77895777999B7799DF779A1377AA5777AA9B77AADF77AB1377BB5777BB9B77BBDF77BC1377CC5';
wwv_flow_imp.g_varchar2_table(4471) := '375698748DC6F77CD1377DD5777DD9B77DDDF77DE1377EE5577B71E117EE607EF1973AFA2F7FF9372C70A17F01383AB4328009D87F0BF880C5A21C800E8119182B02020021F904050A0000002C80003800400108010008FF0001081C48B0A0C18308132A';
wwv_flow_imp.g_varchar2_table(4472) := '5CC8B0A1C38710234A9C48B1A2C58B0CC7A95BC791DE3973DB308A1C49B2A4C9932853AABCA84E20BB7302E3AD9C49B3A6CD9B3873666C3730DE3A9FF1648A030740DCA86CE3C2E95CCAB4A9D3A7357F025807B5AAD5AB58B39254AAB5ABD7AF60295295';
wwv_flow_imp.g_varchar2_table(4473) := '3AD5E7415CE6A4559316B6ADDBB77015561B078058DCBB78F37605094059B76DE1E8EA1D4CB8F0C573E3D8190C56709B5D81FF0C4B9E2C99AA4173E3300B24AA4CA0B45B05F3511E4D9A706681210776EB8C4BE09FD2B063EBDD262D1B00B6B60B7A22D8';
wwv_flow_imp.g_varchar2_table(4474) := '59B6EFDF565303A80620583281AB6EAD4A669C6DB0D602FB019F4EDDE92A819E2A458A233012C1519D00BCFFAA4EBE7C4AE68F0D368A6468A021437FFA98314FBF3EC6EB0C95811E88A68CC05490D927E080093532D0287D09B49F43D211E8E08300E430';
wwv_flow_imp.g_varchar2_table(4475) := 'D07C13BE81864068BC01801B1A0AE41F84208608800B05F961901BFEA1E886882CDA07840A450C41101C03C181C71B6E5C58068A2DF6589D0A038DC0101C170E94A38F48FE36441123C200C242AF2529E5744008D482933014C4C7945CFEA60210240200';
wwv_flow_imp.g_varchar2_table(4476) := 'A44020B450A51F511AD40B29BD74E9A65E3608F4629505C9F8C79608F5A20C29DB44F6E69F6FB9106799008080658D7724B40CA08C8605C397647AA0D01D7D6C520941C1F4B20C3500F8D9E8A757C148E2044F16DA820D4F42E21D429590C216A8B05AFF';
wwv_flow_imp.g_varchar2_table(4477) := '15A740920EA48215551064874069147469ACC03ED50244870070481A450AD4087EC136CBD4980BB562C941063A6BAD5B8644A25DB5E65CEBED4A400CCB901D7B0030C61E4A18B4CC38327DEBEE491E4090000012986010114530094012001861503930BD';
wwv_flow_imp.g_varchar2_table(4478) := '2B704912203484113B0C6444AE007831F0C32A792081C409C190B0400E43ACF148051F0484C3570C74030037F00B40261BA73C91071B20642F0062147431005F00708BA72AE7AC90041B4840C103100CC481CE4473DCB3413B16AD3445E90884993AE6A4';
wwv_flow_imp.g_varchar2_table(4479) := 'A34E3B8A29B6F4D522F5D320D65C27C4CFD65D872DF6D864976DF6D968A7ADF6DA6CB7EDF6DB70C72DF7DC74D76DF7DD78E7ADF7DE7CF7FFEDF7DF80072EF8E084176EF8E18827AEF8E28C37EEF8E390472EF9E494576EF964EC541D91D54DB5E412E700';
wwv_flow_imp.g_varchar2_table(4480) := '688E91E803F1C45356F4A49EBA40F46C5CCFEBB0D703C03DF71844FB40B2DB330F54AFAF4E90ECC00310BC40F600503C3EF8D84EFBF2B423EFBCF3CB379ECFF4D48BA6CFF5D867AFCF3DFCF0F3946802DD6E50F5E4E7D37DF7229DEFBD55C81BD4BEC0E5';
wwv_flow_imp.g_varchar2_table(4481) := '777F7D41C903B0BDF7F8DBC38F3DF57BCDCFF40201204ACA573D81A84F20EFBB5C44BA07BED90D8476D4BB07F2F8913C7CA0EF20170C20F944B28F0ED6AE83FB30DFFA8847427B98B01FFB930E0AD187420010708494BB473E90778F7A308F78169C5EEB';
wwv_flow_imp.g_varchar2_table(4482) := '4C58BC82884F20AFBB5DEBFF5A273CD95DA483B393C74090D84381CC631E3C84221479C8BFFABDCF84387CDEF3BAD73FA6744F6B60D49ACAB8880F197A2F32FBFB871AC3783E7BA0107C5A431FF6BA07C27D7C8D8102A408CE00B08F4E21448D90016474';
wwv_flow_imp.g_varchar2_table(4483) := '0000469CA911906B24A49F0CD9147738F2918E1C183CDC01004A3E121E95A4240030D90EAAB9A41D9484C7240522CA4D5AD29203818762DC014A4C625293955C87262D4310252A441EEA60872ABB058071A4A35B2F51C739D4214C62F232972D198B6278';
wwv_flow_imp.g_varchar2_table(4484) := 'C29173BC0400E7588733A39939582EC588C22BA2EC6EF8A6D6D9928806A1473D5417BE7BD0431DBF945A31B3D18D8F40CD1CF0446739C4218E79960300E5B8E73BC4F1FF0E7CE6339F0000073D070A806DD0731BE0E8060014AAD081E4E21B05F9C637B8';
wwv_flow_imp.g_varchar2_table(4485) := '818E631CE31BA970431CB8B3858E6A410B5C00C01094F0052B28010D6648D7BE44CAA421B8D4A54A70A915AC70852B68A1A35B18C536BA018F2702201EC993073D6A67124CBAF07FE843E4210909C63FF1C39CA2692241E051BBE97DAD90E8C4CC38C0A1';
wwv_flow_imp.g_varchar2_table(4486) := '0B5D8C4317E7082B62C6318E5EA4839FDF78C73BCAB15600342DADFC2CC72FC14157BA86841AE228686AC0418D6E502335E2682841DE01516890A318C77807258470852D80610D5D08421086E08321A840054A508216AEA0041098C0039E6D410B546083';
wwv_flow_imp.g_varchar2_table(4487) := 'CBAAC005A875810F7C1004D6AE010B6B90C536A8A198E2FFF1233243450926FF57C0300E248C60E3523E5247D4D38D4F9C0DF4DE3BCBA18B5E2C60016D68C3231ED1D5719CE311A5004738D29A56B6A6231D8485E837D22157CC8063AB44E114A7F8CA5E';
wwv_flow_imp.g_varchar2_table(4488) := '6AB4571CD4E08A40D0215E7254941CDF4047218460011504610B41008064BF6059D3AA0004652A9305467B591780C9052F65AD64FFFBD844FC751BE7F8870901490FA99A84B7F9902153C5181DDFBAE91FF7102A360DE20E79A4189CDDFB873ACA010E73';
wwv_flow_imp.g_varchar2_table(4489) := '34F7B9387E6E74A3AB0B894A74ADEF00EF5BC59BCF7480E31C75258A92D55B10A21004BF04410700BE410E8190E318786842117E70053304A1B11D45830A52008016FCC0062D48419A455B5A208009FF4C4380B00F94F0E52060410E8D90C585DBA1467B';
wwv_flow_imp.g_varchar2_table(4490) := 'AC519C301CC96E45E3BBDFFED6C4206A6A42EE010F79D423B853653411FF71DB7F18D91CE7D0451B729C630040B70DE5F0315BFF994F1FFB93C67505802ED23B102703805389904325124189447C6220C7E0C6940160D8291F430D254881078670051F7C';
wwv_flow_imp.g_varchar2_table(4491) := '810B6F080524C4A08317D8CB032880F66759F08218C4E0063BD801105EDADAFFC23611ABD0D44ED5D16735F2031EF408B44806BD4979B4D020886EC8017DA36884305AA8C3F5A14084DAE240AA511D743D4774398D63814417AF129D273D8B82CFEFDE33';
wwv_flow_imp.g_varchar2_table(4492) := 'A0A94EEF925FCDD780F6E20B2A1802816524901CF8011B02E1C6370CFB8D6338420D78FF704349BD208545D4A219CEE0C5219A1005001C612054C8B9CEA95085241C61DB949D7010E4B00A592C631BE3FE071251E80E7834902483EE47D3217D6834AABB';
wwv_flow_imp.g_varchar2_table(4493) := 'C40399B71F4B53EF83DC9B1EA2B1E640845ACA4EA5511CD338F2C009BE8081B4819EF91CE8C3CB618EBA227933AA1E08A702AA26330C210852C0C240A4A08438DCE219BA1639347CCD6B6E7023157618832FB4A18D6658C318BC00403100108BCD172316';
wwv_flow_imp.g_varchar2_table(4494) := '9D077D3152F1092E1021074AA8ACB749B10C6548A3AFD4207707B5960F507651D0940CBB2D0F02C6E909D2D0F5BEDDEBC0978F16F2C386DEB361BCDBD27583D4A3D1E9A687D8F74D8F469FF1A9FF004736D4CEF6E70AA414A590A8FF38BE41CF6CBCC215';
wwv_flow_imp.g_varchar2_table(4495) := 'D44075AA0523106AB8F7FD7CD7C54064B1068E07A16602F1011C70B1780070031A853510D0000DC7F0097DE00C96A70DC6600DBBE00B88750CB1700CB9008111087AB5000952700474D66D43A729CAB00CD3400DD9600E7ED647FF900FECE00E57771193';
wwv_flow_imp.g_varchar2_table(4496) := 'D40F21D60EF260489EA2359121357DD44783F40F5BA346F77048EB435491813377843F38B1820DD17C3ED46260673BFB260F4D576994F60FE780149AD67D0B10066D100AE4B0851068725220044F500AEA775E03B16AEE257F78C777F3476001060000F6';
wwv_flow_imp.g_varchar2_table(4497) := '5270F00B00800D8EF77FBD6687035880CEA00D7BB880ADB009B5100BB9600B84680BC07088C2000C9F90654870044FFF6005AD8505A5D00B93280BBD400D66E5674C557BF0808328C10FF4C00E314810BFD70FFF500EB5900655100E4BA748949646D750';
wwv_flow_imp.g_varchar2_table(4498) := '0EFF100D99601BD9F00CFF200ED1900EA0E009F4900D94300C3AF835847413467884247610280683B9357D00200FF2004A5BA746E6400D99668517000060700CDED08DDAE080679002422005893014EB578614578612A75EB240602225105F100445A002';
wwv_flow_imp.g_varchar2_table(4499) := '70900CD3107200B86BBC368004180BCE500CD6A00D01297388500CA3A01CAB507445270BB470727B6007764005351504A4500AB0408917D90BBD700EF1A0835AA30FED000FB75712A0C80EF420839DA20FFFC00E7B90067B3005AA303FC0D53D7E9604B6';
wwv_flow_imp.g_varchar2_table(4500) := '700B06FFA0040F100E7E1000EA900A5C900A060007C3C00155F006B4878424015CC9C81087F4944FF947F7D00EC4654006018D91E46FD578636C77010B900524500C02690DBEA00A9F400842200443807EE8C55502217F9CD2269B71864B460DED380452';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(4501) := '6010430008C731108E37658B5758E84080C52096D6D00C98B70963600808220BB2800BBFF00CC8900B94E008AAE00BBE500B76A0046B9008A5200ABD009A16A991E010196004923DA51225799208715BE10088AA500B7D704FB7C546C7F70F5EE00A49E0';
wwv_flow_imp.g_varchar2_table(4502) := '0AFFF0067790090F5006AE8006B45004D9C00C04E00A54F9455487114C497BE3048D00400FD2399DA9334EAA038DF2D068D2096806B18C558910D0FF288DFE360EE2A00BB0D07D050000244002A8E00BBB800A0D880A76C00242A002A0E05E6475645BF5';
wwv_flow_imp.g_varchar2_table(4503) := '6AEEB76ABDC055ECF56A16670B6C2810782952434023DC901B7F998FF9F87FC7500BBEE00CC6600CBBB009AA600896F20AB80099BF000CB1A00A9B0073CEE00CB5B0093EE009E0070B16699119C9911E291D2149549F188AE00495A6990EB0A90AAA6035';
wwv_flow_imp.g_varchar2_table(4504) := 'A619475FF30F5C900947100EFF900970E0078CF0063B0007AE600068700FD760026810474A7911CF990FEEC00E2D1135F9640E74874F512310E4054F624A7768AA0E4B488A532954367A954EE80E4A957D5CB5690477015E0906416007F2B90B808A0A7A';
wwv_flow_imp.g_varchar2_table(4505) := '20042C600194E05EE0570A7A4657ABFF867768080E011A5076E90A4170737F37102EC508D3708F04515823E77F03280CC5500B98D70AC67008AAD009B1800BB70099C3000A94E007A87AA208580BAAA005D7F1A22EEAA29428A3BD57A3AA89A305518AEC';
wwv_flow_imp.g_varchar2_table(4506) := 'D009B11909C5A00F7D0446B7653EF4600B26900D77F003B6C001C200077CC00E0130069EF002D9800CAE100930000F33DA9C5A0A5CF4F05D6CEA56A2940EF0D00EEAF0AEE6A018E6109233064A59454CED500F30049ECD78105849AE41D829EEB5769CA6';
wwv_flow_imp.g_varchar2_table(4507) := '0002215967800AA7F0A7A850076999026B80A8720007A5B0068F2507002007E0A6A8EE475704D10BAEE052950A8F7939041A0B000E0A0DBAC66B23F77F23F709B50000CD700ACDFFB009871009B1D0AAB8E00A8050065E30053049ABCD500BB55009B2D0';
wwv_flow_imp.g_varchar2_table(4508) := 'A22E0A7ECD15A01DA948284855C16A927B4410FA400FD0500BBC500BDC200FFBC046FFA00FFD000F6560082876073B9009FFE00ABC490990100D3D5005B740043B600B94D620E66A11C0950FF04077D9E009B6900EB4000AE1E00AB6F0B7C3600ECF700D';
wwv_flow_imp.g_varchar2_table(4509) := 'EA400B9E900DEC600BA0F00CD3500ECF600EEAE00E4FE7AFB5E38C013B1041785E06FB5C5E89B0021604622009AC00A8805A07388003290007EE27075CD0997280075BB07179296068F058609008AF00A9B2900852E0520351332E5509D3D0A021E7B210';
wwv_flow_imp.g_varchar2_table(4510) := '858F0338AA8760ABAD500B7BD007C4700BB7F00A7020055C200649FF30059B500CCD50BEB5900BA3200B00B0AB2EDA06A580891CA9892718922BF661A1388A08713DE980A2B1900E5E5B62F223B687B40F03DC2940383E62D4944B1946F5C00EF50A0017';
wwv_flow_imp.g_varchar2_table(4511) := '020A45000C915006D1E00749300DE260025EA00E55F00765000A6F300C7E6008D9300674970EE064C0CCD8B92E5410E349A741785BB1160661C0760E201024D0A784C00AA7C0BA92200685700B21380D5E86076B80B17800060090C43423105BB006B80B';
wwv_flow_imp.g_varchar2_table(4512) := '06E5400DDC4009091A043FA052224509B2F0BCF73880A1100AB91072765808906009957208385B056550535C20058487044BC004E3CB0BBCD00C8895BE2DDA0B4B9B0817090EF1E04684C489F54B92F7BB489EFF823DFD900E465B0BEFA074043C62D7D3';
wwv_flow_imp.g_varchar2_table(4513) := '0FB4D30FFB300F43B50FC513197D140FDC53462284B728015CF53063EC9009688008C4F00391600B37F0AA47C00CB6D030D3E00586900965700D6B4B046EC00533A6C23E64922206004F05C34E28B006F40FC0F0044290021620590DD09E0EE095240006';
wwv_flow_imp.g_varchar2_table(4514) := '24100562C00A0EBB0B83190B90400DAFF0056B10C54E4C214D2C784DBCB15F508EBD200B9530591C477822A50497728F8E870CC280076919059400AACF000C7D0009C6B20955700865300599355226A50448D003E25B0CAAB0B5C7000D458791A3090B9E';
wwv_flow_imp.g_varchar2_table(4515) := '995D834C830040BF2B210FBA741026A80EC7D0077DB008858008C2108320C4AC2844C04A670FF7FFD047F24BC071343D55356227B1B733E60E99900468C00C55504FB650054B4A0F65900444C008B862086EE009F090097F700D5C004FE9707BF9A00EF5';
wwv_flow_imp.g_varchar2_table(4516) := '2040F96043B5E484BBA70F9D120EC7100A8BA00667D00425308E92B50024100660100567E0C33F7C0A1A2A9B7DA00EA310C5E4ECC46B20104C1CD858F005E44C8EE2E0988C70041C27601CB79602310DCFF00CD0C0075EE0CC472004A1900DDCA0CF7730';
wwv_flow_imp.g_varchar2_table(4517) := '069B70058A39056F3C0665800668706C5280043AB0079EB0099680C7C0000DC1608993A8ABA500061C3D0FC607D22A21D246D52938230C77E0053C77065570064FD007C2F0D26114951E468A05B135C4681233C90EE5E00E86CB1E68E00791FFF0069E90';
wwv_flow_imp.g_varchar2_table(4518) := '0AE95206D9700B771009D9E006B7F006B9FCB8901035EC707BF7C0D5FF1340603D76624D10045C72166551B9F0098EC0076BF005701D06A5200662400892A0099A80D7C5800EC090B895F0056080C451DC510391C44C0C00B0350489000EB2300D7260BC';
wwv_flow_imp.g_varchar2_table(4519) := '6222C7407204A0B0A9DCF00BDC200C6AA006519096478007D3000DCC300C63A004555005289D0375A00516F25163700555E00565E0A37BE0A39B400CD0A00CC170DBBDD0B41A0D06F11B84517BC82501DCA0BB48A080045E80E05FFEE56260DCB180C9CC';
wwv_flow_imp.g_varchar2_table(4520) := '2A6331580E41910E32160FD028636A540EDD00353C250EE1400F28A4C0E71A46222D35DFC54B625A1029FC4BE8346358EDC0FBFF6A3BF4BD3EC717A758B97B7CF40F23D7DFC7A00DC770650588CD9E89075140087A40077AA007879058D5100EE0F007E4';
wwv_flow_imp.g_varchar2_table(4521) := '0C5B5FB005B0B5CE7726D86680054110BC218E078D3D264AA0025FE00A92AD6BD0600B4F000032EE066E800CC62E0C5CE00563E0C66540536F8C065A50065A90E35570077650051AAAA1B6D0E4CB500A00500A89F0BB899008BD9008B2C0C99071E5213D';
wwv_flow_imp.g_varchar2_table(4522) := 'D204715BECB0ECCA3E06F23EEFCBDE07EE06463D680BCC0000AE900D3F090FB6F00CE2E0EFBC5917E1200FC3700DE6400BC3100D776BDD33597DA6635C2E31109993395493F156234A3DB8475BCDAFEB13628EBE9DC10D19DFD009A1700C0F780CD68058';
wwv_flow_imp.g_varchar2_table(4523) := '9F1004BA5D0A9FFF200651400764E0046440069D100EE1200EE6200BAFB00AE34E6B602007E5BC0566B005006006180BC1A5D00DE3710BA05009AE50098C30108C40F50060EC62FC045110E347E006882099C8F00B7860055C30E465D0EC3525ED57C005';
wwv_flow_imp.g_varchar2_table(4524) := '5690044690046280D27B6008DE700BC4E0E4EF9C08D16C011610F3D9D0D1CDEADB29118A256FCCFF100EC93E066E70077CD007775006F25EEDEA90E796DC0FCC000CEA70B8E9F00C00700DB7800DD9200E027F0DF0900EED300CFB6E0BD7D00D2896B714';
wwv_flow_imp.g_varchar2_table(4525) := 'C194FFC33DB4473BC0033B47E582325443C243545737DF206FDF239F952EA446CF30064BF0047CE008BE30818845097800BCA5900B6AA0098B20098480B3C5FFB05DD7300DAF206B89400B8A3A0DDE5E0A429F089550F4460F00B2200EAFF00BB2000DB2';
wwv_flow_imp.g_varchar2_table(4526) := '100A547F7E0311FFB5CCE2A1A00600E146CD13316E68417B360C991F295FBE70013026E2952B5CAC28B9A824C998327D3A0183460C59B060BD64250A92D2029852A5CEC5B3F72F26BE76F0EA01C09953E74E9E3D79D263076F27BF7FE1C658E4E2256915';
wwv_flow_imp.g_varchar2_table(4527) := '2F5598F651D74F6ABF7CFDAE3113F60C192D50CF9E950325CC162885E998D962268F1D2D5BE5FEF1EBE753EE5CB9FDF8ED8CCB931F5CA938F9E503CC77EFD07CEAEA01C699AFDE3D9DF2E4B973A7F3DF3F5A4A8E1C5972448C1D47C56275C2E3AAD4375A';
wwv_flow_imp.g_varchar2_table(4528) := 'B48EF952854A55AD50C79EFDFA0567C8EC2047FF827C59935B4EA544AF5695FA2D8B1A3559D0B8011056A8D0932752DCF001E04A180068D4434589F2C40B154AD090411B060D8E12005CAE7C39FF058DC32D68E0A03163A68C9958C4A0A1C3F52C983200';
wwv_flow_imp.g_varchar2_table(4529) := 'CB120DC921080B8230E9A57864FA079FA06EA2ABC1B9D4124A27A2D879C5133FEE80A38F3B36D4301562E499AA1F7DF4C9269C70C411A61C79C241469E84C4D9271C7586B1C59C616E09279B7C9EE1CB411FE7BAEBC7BE00D86BAFA982F42B31C3066B47';
wwv_flow_imp.g_varchar2_table(4530) := '31C672720C329D62CAE487242E43028925A8B00392585C79E595527211E69863B4F1A596626AF9A492502A91C38C2DBE08428A94EC04408A9C86B86D8B55A8B9459869B299069A4CDC3862FF2735A6AB4E1861C46041081AD4884518EF86610614462AD1';
wwv_flow_imp.g_varchar2_table(4531) := 'A9924A1A01151040E48043CE3F6E21261A68AAA9269AFD7AE9659520020CB0945EC0393026996A62F0475F018090A77F0EFB07007A8E95879E7B461C51AA7FA6D2E79F7D729276DA7D8A2D16A77EEA79369F689FAD67C85FC7FD352FBF8C1477A7C2E861';
wwv_flow_imp.g_varchar2_table(4532) := '929FC51A7B2CB2C988FAA7932890D0C10823A64882DF2AC670651A6EB2E1E69B6FCE2C469B770028E79B5F5261440E46C070640D3CD630038D2D00D818A7DB820065155064396E50475E4834A7227E60E4199CA081269742EC28C433EAB8110618615CF9';
wwv_flow_imp.g_varchar2_table(4533) := 'C20A1F94F001400086002007154618C105177C88A38F4862B9261B57930140FF199496AE559697269B8957727F042A42C9267BB62FB243D4362F2391B4ABD8C1FA79364900B21DEC6BBBBF0ED15C09F961479EBA15DB294A77AEDD479F6BC971841032FA';
wwv_flow_imp.g_varchar2_table(4534) := '1D02087E9350820B331211A6E083C9F9C41A7400F8861B9C43F90474473EA1C411001C7104113F00F103003870AAC4155798E146605B9E30020022883882881F7E382213EA603613805C62396678683A7948893A53DA020BE9B148A97A30C060231136FE';
wwv_flow_imp.g_varchar2_table(4535) := 'A804976C92516619594A9935C0204A91659B5CB9F6FA6EBA20CC76ECB2D34D97DAF8DDC73FFF06F3F6896FBF837412BC20732D9CEC631FDEB046020901052418C1054828421286908486F881119F8006397CB10B727CE3FF1D9DCB452840F7894F8CCE84';
wwv_flow_imp.g_varchar2_table(4536) := '9F0000E83A4109D2ADD07803E386A172F70323ECA0073B1002F0A4600BEA9869118B280600CC740CE2E1010D009043229418069C301100D7EBC2F5C0A0C44400201171A8842C64012B59E5C08B4148C4AD0EF4965DB9031FFAF309FC8435BFFAD50F8D6F';
wwv_flow_imp.g_varchar2_table(4537) := '84234FF8D713FFFDED5D508A17E10CB80F721C2381D660C51918080423CCA671457802171641C463B4E615A358453076364212A210003F04C02758033A4E1EA3729D4BA11184B0035296F2073D70437560B6082834619142CC609940C1852034110C61B8';
wwv_flow_imp.g_varchar2_table(4538) := 'E52DC3804B5E5E8F0D53E44D23D6908855F4827C16C8C180C2388E3112C51EED30631C1B1394BAA04D9AD7FFC4265EACA997BE1D263177C489E000602D03BE831CE7248702A1B00420407082965183230A968B46C4A10B72C0E72852D10911862E749DF8';
wwv_flow_imp.g_varchar2_table(4539) := '842A20C19A58A44284944885E7A0319D6FA402093904C00E6ED0038AFEC00DB1E8A118D6F9CA97998916A1A0D31A9E783D0074417A26050316A2B8067C560214AFB8C52AC4644C3054EF7CB7B2474C9C09CD33EE241B3861072E70D28D9CE8AD4161ABE6';
wwv_flow_imp.g_varchar2_table(4540) := '54B2B954382209006ED4493E82228F27E5E31E4F0A67BC7462C074FEF18F847082108C00842494D50B62A0043756510930ACA13D66B8421F3CD109BA8A3014B5A8452C54B1884E182F17C773442E3EE78850E0CC0B00A8614E26CA831750A1B0C7E843FF';
wwv_flow_imp.g_varchar2_table(4541) := '14CE804222C2D24CA05B4421328B08D45532746A2A462ECC0433E33C631AB20080496CB55A586D6D6EBB82474F79F2D370BC020095A0DAB8C2763F9DCC91A9BF056E62A6CAA000E2514A3929A757FFC80A2808410844202412C420065030039F6BB88218';
wwv_flow_imp.g_varchar2_table(4542) := 'CE60873D00A01088F0522CC41B8A62A4824D79F5CC3172113A579CAE74B6E0061EC4FA0321F480073D402C24C804B3508C4E8842240700FA788C6290371499CC8926EF4AD0D09AC95230ABDD2F12518A5DEE32116D6809AECA06DB5EE5441C3901473756';
wwv_flow_imp.g_varchar2_table(4543) := '31141FF123583EF16D70557CCDBD0C17004D0227B0B4FA5AAE2A3781CC75AE1192A06331948116B79003169E23094B6C621376E8C3278EFF618B828A371541341E0052118B10762213A1A004422921585BA8A1070DC4C90B9EE0094791F618AC79594EA0';
wwv_flow_imp.g_varchar2_table(4544) := '31C4025BF213BEF00500D2540C3AA777B4C7882134B2818C91E2320B6020C1F54A2113673D33B60D226A4E64EBA0DDA2789B2B86F48FF2D1A016C3431E37691256B37A5C9CDC838FCA65052B1628842600A10846600A246C410B3904A10F7F90042A5A21';
wwv_flow_imp.g_varchar2_table(4545) := '8933F40118C0880525168108F4C6C233A10D2DE8A2939350544E18A9E8C31372E2854EA837172FAB4EF204AC13361718AF280C5D81B5ED6BD13E18C29EFB855688A1C55B68F1156EE10B6C17AD13A2B61B1CC988863E7ED5E89EA438D2F7C61FDF2C7D8F';
wwv_flow_imp.g_varchar2_table(4546) := '7AB4A327E2CC89E1BABA5CFF5638378740686715C4500B5CBCA2114178C31F50818A539CC2C8C8C84524C6408529F4C1D7DC26F0F13899429257478818CD492A72010CCB92A34C8CA24E4E8678E6020300AF3607409D813D44D2C6BC3AD8C086E7843E8D';
wwv_flow_imp.g_varchar2_table(4547) := '69A8435A7991AA4DE8B28D6E301D00F2AEDB5183C2DBA23E1ADF57FF9ABEA9DA61014606B9FBF06AA851410883FF607749A882AD87818B4460A11195D8C52E3421893EA80218B5704312708003319057B443CC492C5A93C203C7F01BD579364E8A010C69';
wwv_flow_imp.g_varchar2_table(4548) := 'E3F9C1B04CB3CB014F673585C21ABEDE7931787E33E32874E8B5FB86C0D271F4B8249DEBECCE49A2754B4D472B15EBAF2797D6F99DC6191710ECA82078140CDE3B22A0FFFD13C0400631946886486CA219BB20C42254118B487841073AA0411FEE2A5ACD';
wwv_flow_imp.g_varchar2_table(4549) := '4B3B277F0DA1683D879C350B91F1D8A00E39AA237E93C7BC87032670CE71F2ECF4073117D5276DE78C0300A17B8E60038386D1F11137A9BAE3F4A9C70969A806FED08749039BA96B3DA882BD05940BD9FB3F19E3B4A7FB34400AB5056A02E73A82222882';
wwv_flow_imp.g_varchar2_table(4550) := '7F49054B89065218853800044B408543483EBEAA052F4081136802D6A805C0FB2F9CB094E409855C28BFE489055048859C40876188419D58B36F10B0E9489EE479BFF753BC20AA3E07232D6890BFE37806CF1118822194D123A07F30BDB9C0856A004022';
wwv_flow_imp.g_varchar2_table(4551) := '3940B19123AB63C031A4A3A99ABD7F93077868872B8C89FF6F10AD4F40055688820B6C821FD040B4BB0332F10A6508065248047CBA0348D02C4428864C382B036BB0E2410E985BBFFF3A864F700300F8839C8804968BB6352BBFF2B3941E2A1EEB3B3025';
wwv_flow_imp.g_varchar2_table(4552) := '24309E3B86C3F33CCF013A8199866F201875182703929605F189100331A2823AA79A0BA44A40A322C35DCC0907A43D3524200088896C288E46122147C0832F50020DC4088F83306620865558053F440443503E550828BC0AA24E94C119AC8EC3C3894672';
wwv_flow_imp.g_varchar2_table(4553) := '0457288423F802003003D7790350B886681386003B8ECD51A5CA12A222349ED0CAB9F79B3922123F9CE89C7FFC4782A1066EA0866F38873DBA962CCC0973102A0000079DE0C271E1075C0C4331E4C5FF5DF44534748735CC96982814591006F4D1225978';
wwv_flow_imp.g_varchar2_table(4554) := '854A80032E208231F88362B88F68C8B358A8854DB0044998BB3EB0834300805DD0868421308C1A2DE51142FA5B2FD2A20540808335888335F8835100806730B9CAAA0ECF8B4A7A54BC99CB39F20AC763A085BF628BD2901DD9A1045908BD6F284875B087';
wwv_flow_imp.g_varchar2_table(4555) := '3DC2C2F601B1DC020066C08938C08907940B8ACC89AA9A0C717196B7782D2FCC1BB599B4BF9834C5B80977810B00600CC2D4C58B6C4033948B28E1C879F9875F100D5A68095A280E9279064F78833EF0038C0A3A74C8206030865023CD4DE8834DD00456';
wwv_flow_imp.g_varchar2_table(4556) := 'D0066D30134D122246212283B9991A8C2100780546C00940701D5740064F58844FD844FF27EC3C705425F46BCD1F5A043B100837C083E6BC1838C027309003E95C0330C0832DF8054251C56C60454F4B4858CC896AD8069D68049EA8454A0B1B7399B46C';
wwv_flow_imp.g_varchar2_table(4557) := 'F9077580077E7397AA008C63B907B22996BF940AC618967C980C00E04F6A79C0B2D945AA6BC07648164D0B9C346C8720714547888278FA84FD6AC24EB8034F10AFCA318E352B865D60056FF00656810536D0864D60056BF0D090E3BEE1E11CF903805850';
wwv_flow_imp.g_varchar2_table(4558) := '32EAB805DC04009132835708851E58011A88D06230BCE18C21975B2807E3832090222632D29C68030068833058D23668834408033C188D29CC06EEC4C29CC807B5AC9A5BE889117BBA790B0AF5FC876C600776A85273C09662811BFF75C8846C0907B7D8';
wwv_flow_imp.g_varchar2_table(4559) := '4BFEFC876E080786B90650A085B8C9064308877FF0045AC00757F0847F6887619087B748CC7BE3877BB08B1233506569CCC758D071AA965C708445B8D41F1A1D33E1064710032A2B2CFA532868883B7440076950065100835B2051136524A834B9EDA3BF';
wwv_flow_imp.g_varchar2_table(4560) := '357305D29285D6A9933C69843B78012460013B1086C43B0E511D55073B0650D0932AC289245D8024058005A8B068C5253090055404BD6C48072F142EA5D38948E2092E05807AB80911414F042412A230047AF8874CC88672B0056430875430BA6130049C';
wwv_flow_imp.g_varchar2_table(4561) := '888470F08337E00757B80673C886C98087321806CA180671D8C17EF0846CC0065020865BC8846828075A00806EF003FFA333C005743D07E1077738D048DDC8BBD0A332A9333641851FAA24BE3A8658004868F88428A0835D40876B508664300536D02B56';
wwv_flow_imp.g_varchar2_table(4562) := '30066F103FF20B3F517D19506A0DCF018573CC8935185A1EE0011D408461BD99FA3B3CE229132C10A99C0883055856AB05800A83D60A9B22B2B4BF81293A6DF54F2D85CBF9D8893F30034F9037B1A58BF4ECC57F300446300443C80457408374C80446F0';
wwv_flow_imp.g_varchar2_table(4563) := '104F20864810075030044F70856788044F78866B988C67700571900750F04F5770876C7886A2F831338D867F68AF7EB885D1B345ACCBD88CD58B474550015AD062D9077AD88760E586941DA2F7232F8CEA044800066E083A83AA853E6005987D876EE806';
wwv_flow_imp.g_varchar2_table(4564) := '5DB059FF5528519DFD8E63004D9C380E5935B9F5FAA8F2C4099102846130C42870031B343F9FA53F00004D220A053032D2245D52AB5DD2AA95565C7A855EF01CAFA89D55D4CB6D95CB48888337C809C7B5871F99C8BE891FA2888468B8864C00055BF004';
wwv_flow_imp.g_varchar2_table(4565) := 'D7F9836AF004B78804E8350450C8065A80035B30BA312D833748856B40867FB805A3F3047528875BF8075B4887A8798670E80779E060441DC3BCE8CBFEE1587A9834AF4BD08F25927C90877DA0053E282C12AA144F2A1326F3034800BA6CE021CFF10663';
wwv_flow_imp.g_varchar2_table(4566) := 'D0C904DA0500B0044B484D6BE8A326BCDE6105C79CF80661288DDB241552A18487A941988BD5ED2330D272143CB8A5AC0503AB3DD2271AA9EBB90DFF29ED9CDA110635608441E10656D4290EF389D639A22302004F48D4FE018A437DDB4C80877F480550';
wwv_flow_imp.g_varchar2_table(4567) := '705800B8053E15873F400446F0844830045B88846CF0836BB8065BF80778F8DB61A00578B886D7E9064035044A00004966D70AFDD70A26E15D3CE19EC8D264B9589E70CCBBB88B98488532C8046448054A60045A400661F88ECC84044F60869F4A8570E8';
wwv_flow_imp.g_varchar2_table(4568) := '1C746806D20C359CD8045ED0066F40874D345EEB65DAEBCD095A681D39E08335A0046610214671C2699EE65185065176883B91023D79022138020B70E777E613299083CE114B68A00521C083419906CEA51743EBB0742C033CC68932280FC705533F3E17';
wwv_flow_imp.g_varchar2_table(4569) := '77501668A207A11853B72807719807FF76E80675E08772E8870F6B6832FA0771D0607830111CE9077F15877F280776E868EED40779D087B8D8E37B73697BEBC5141E5DE39A542289094F900244583568B00546B0056CB8066CE8CD5BB88561980664E85F';
wwv_flow_imp.g_varchar2_table(4570) := '6440865830B2B8338667F60662986A72B00FD2DA9CE32D3F6B8EA1E378180068044A90835440861A9C36EA586362ED5172A0053C688ECB48E773FC0230500330381DEB744E3C202CF355A857380237D0E7D12312F6E1D6CEC589238AC4413DE8FBBD0BC4';
wwv_flow_imp.g_varchar2_table(4571) := '7816BD9C0C39A51697C689F8618C7BA007FF2C169B604F132E2ABF78E9AB5B65BDA0690060617851C32059D47F00852340046000855C380B4E798554A8045BD0E74161065A7085FF58408466F3500F1D86A9060F9809B026EE6AFA033F938BCAAD3EAD50';
wwv_flow_imp.g_varchar2_table(4572) := '00854C403998D909A1E39CFB308E50E08388C1039C90032472048A991800D0653910EB8829B6DAF11C5A30C728E44E6124237B004F9CB8039F10685FA95F84C65215B68B2201CC737DE120C1ECA7AA4FAB829B7FB8AABCE0BFC60620052C6199F68BD2A6';
wwv_flow_imp.g_varchar2_table(4573) := '3D17EE34CA48823E381E60508857708551800329708FC2B5856180B761F08454C086E2CEA0ABCE20EA3EDE593D0E4AA6E4690000A27BF11A07005A7808A08E3959D509EBCE506EC06647086B4A60DE44A0042C236F5079BBB00EEB2CF2BC5B70044A1894';
wwv_flow_imp.g_varchar2_table(4574) := '6C30879C4210F9E6D69C8083FACE9FFCBE1F7AC1C204F74F76D996FFAAA00AB8B04FFBD40BBE309722792A077F708B2412D1F5D89BA65460D88CBC020662583B5C48063800822150022590022B908248B88654B80364A0DD184A71EA400766B0C4E48E55';
wwv_flow_imp.g_varchar2_table(4575) := '00C0866700BF68C8F46930AD6748069701005908855788C2340BE7EA7E99AEA685507E3B4FC18903F3144F69722367724A707454BC8552273A6A480798C8722D05003C789D2FEF63CB6E4F4F40DCC9280757209BD74AD3497B861D34874C4887BFA58570';
wwv_flow_imp.g_varchar2_table(4576) := '20065768877E6054D78373D055CCD11E0A09D7483CBF9683A9854E88853E5F3BD8B8822440742BE0827ACF8469F0044F08BAFADBBE262C18A63D5E7DC6091AD709D4AA716828945FF859ECCD896A2656E3C006FF5BF803FEF5045070A9B7EB145AFF9427';
wwv_flow_imp.g_varchar2_table(4577) := 'BF62F5E60659A08457203A6C05F698F067B979033888044E711F30A7160088046428877670053AA5047300057330875BB0057AE860B780076670059EBF0550488769F0836860576599A32211F77187F0B1EDD8D3C6A3D4462EFA83C954B0050D7FF75BB0';
wwv_flow_imp.g_varchar2_table(4578) := '027A470A29F0828AA7045008BA7D57A897710448A8844CA80446807B4668045141A238F86E919ADAEFD60934580337789DADC689FB1BD6208F78438804D8E914F29CF5C5AF048557EF5F088544E08665E04E98D0152D7F405268C8BB715B6AF15F004887';
wwv_flow_imp.g_varchar2_table(4579) := '6180836D0F8754F084BC658661200676FC8743AD866148057310651BA9874C3084A870733957CCFFB4A1737EB0F309BF6969A18E5AF08462C0855BC085E3FF0550F8FA7A3774297883D3F7837B07BAFAF3398E602B2922010020812EE8FEEDF7892E0000';
wwv_flow_imp.g_varchar2_table(4580) := 'E979A2389183DA34DEB3FFA917CFD0670006BACD844858F93CCEE3FFA57FC6AF044FA8048925986900885F94184DCB364D5DBC7FFFEC2D6C07AF1E808812232EABA8AC57305CD42672EC080F003F7AECE0F593F88FDFBF709198B9F2E2CAD3B0488C524D';
wwv_flow_imp.g_varchar2_table(4581) := 'FBE78999427AFDB201F8972DD29B7FB6B2F5F349EBDFBD92FD96766CEAF429D4A8523B2EAD5AB229BF76F2E8DD7B2A4F9EBB76FC7AFEDB0760582750B66EB1C5B5EA579C2156AC489162858B1F4F32E10CE3F68C1B366E82BF01E076EB8B9CFF4460C22C';
wwv_flow_imp.g_varchar2_table(4582) := '0693A5A9E32E00C0002001C67244395A464D7B36111BCF883CB11586068D1BB048913201605DA9D2C4449E22BEAEFDFA15806CD9B8C90A250799B883FB162AB4E710A2BCA6CB280220B56DEAC49023FF4DFC770B14284F9ECABCD46B08D42D9BC3B201FB';
wwv_flow_imp.g_varchar2_table(4583) := '570E4EAA70E26801A0E7499EBA4C91B29DB40AFD3EFEFC4EAD32C5EA6E6B57EE34F555586329D49530B58C12CB28B7BCF2202E6B28A1C45D7755C18827DF6542892DC898C6CD37827103CD34952096088A9401A0584460C8C1061831C2D8911C6098B1CA';
wwv_flow_imp.g_varchar2_table(4584) := '35D780182236C33CE31988A409769A3094A8164925AC6907C028A378D22493B58D524923B875C38D41AEBC525036EA00C0104AFFC63DD4D16C003C07002CD24803127ED2C1435D44F998870C3BF43C230E3BECA4538D3AEAB0F34F2AE2C893CE3FF46483';
wwv_flow_imp.g_varchar2_table(4585) := '8C39E53CF34F3E7FCA730D4FFCF5A71FA5954225A953FCFCC79557608945D63DFF10E3492CAE8CF220AA1352C805175694A1DA4CB4A49249289DF0310624A609030D33D9C881D81A6B808105165D6031D116586C018016415CC1911941C091CC34908693';
wwv_flow_imp.g_varchar2_table(4586) := '0D36C2DC020D32C0D8F20C367F9D36A27CF201E049254B9E1BDB93B535320A00DDE866D034F276F9E5490B8D045147C100E06F30FE52EAE65526297430750A01D05536AE005070C2705E75153F985A7A31C61259DC91A600022060470482BC0FC9FB2013';
wwv_flow_imp.g_varchar2_table(4587) := '8A2BA69AFA6025FF23503817AB5F54620825A9B862CB301E8662040F8E08230C32CF4C230B25C10E6101D22AA830C20843300D800B50E710D1D4166891882BB7FC12CD6E8001800C00BF20638B2BB45C03AE60E17A0209008D1C09006C7047C406BA534E';
wwv_flow_imp.g_varchar2_table(4588) := '9948259C6D63AF6ED47CD38D9728F594CF711DC5310A2EA43432513CF6F46496540477540F3DF9DC734F3E96633E164A115337D6C311299C4FC54C159C31EA956ECC51C79C82CCD157F0BCBE8F3CFB40038A2BA0A4328A96B2C8A1C25C565CD12ADC8618';
wwv_flow_imp.g_varchar2_table(4589) := '920A2DB6D80209175E542146273D9E66DA2FC2FC124A2394D4067722A044046F53AB30238B67CCE4380D32B730334C326CBDE2CA306763333F37A944D20820FF86A8A67F2470BF36DBDDA654376550231BCBE8060211782F93100E1E5DE14819CA040040';
wwv_flow_imp.g_varchar2_table(4590) := 'A84E721C39583F367739CB952429A1A2874248571F8530A5744A491D0A29B5BAE86CEA810302CBEBCAB28F6164C713A0C0DA2B560107E06D810B57B88B19EE67084FB822135E10010FAA700748F421157E81C62FB855BD07A98C4911F11E00BC078AB861';
wwv_flow_imp.g_varchar2_table(4591) := '1137B788083392F10C640C236BBFB8852B7EF18A5B20231AE19A1F3652613C3FFCA18E7544929456D4A426E16D14C1D8C634A6418D6EEC4D1C803B89E81AE842A8AC293FFDB0A049B2418B7660F06020511800EA810C7E65231D3D290A5940C29F149212';
wwv_flow_imp.g_varchar2_table(4592) := '3A2B9408E13CE61491498464806204952A7143FF57C8E20B2AB8021A7EF8052BC02143867045246460043EA825159E08051F00800D6420A37AC2900523BEF005349801005FB0261A22F2052D94410B68F8C2B200100789FC2222631C1B1B7FA1BC610083';
wwv_flow_imp.g_varchar2_table(4593) := '1811C10634E6274744F8A10F7DF8C326E2100724452410E76A927604A88C6D642319BA594636E4F527D0318A1DEE586444EE0000D5B4CD52D291079C2E790D480C431DF0B08597AA01A96BF4E36CE540863CC4718F5B64C31CFB08472A64478C70A8431C';
wwv_flow_imp.g_varchar2_table(4594) := 'F5B14F2973BA9F5162452B9C5A250C2782D13FF82111B0ECDE285661972B48732E57684425FE600846ECE008998845F272412A44A0215C50AC1E00F020CD6F02400A4AF821007CD82A2EA4FF55095A004295C2C64C003C038A5F63062D5C210C50144218';
wwv_flow_imp.g_varchar2_table(4595) := 'DC00C0F4B8110B4418E29E7D30C31BD0F08748C481583EC0C21EEFE6894410231BE120061C5E918D02028E4D717228BF00900F525E34A33DC9843A1412096356E35599304434DE90093F18C21699B08521D2918967640277A990ED30C2938F53EA34A7C4';
wwv_flow_imp.g_varchar2_table(4596) := '05490B3F063AA1063522FC60C82818210739BC26110F1A8214B4F0322B7CC1138D80C31B9460023F204F79C08885210AC1054A54CF16BF105B1CB830CD6B4AA40C12F9025B999A4B2B9053227585065D9F210C57C4E20C91400700D0611AD30003117FE8';
wwv_flow_imp.g_varchar2_table(4597) := '4319CAB0072DECE10A3EB870037C40825104E2494D024523F4020C6C586114FFF3CA063BAAA348A980AF27F1785CE44482D1EA440225E16004A040E1A34321CF1CAE98C6B9CC018A6CCC8A18FF88842BC4718B70148AA7C57D72448EDBBA00BDD01D3154';
wwv_flow_imp.g_varchar2_table(4598) := 'C82F000108EA624D168938EB2EA5F0433378021070F8820700908A5C28CF16C000462A6251861F7021B3C318C62FE020852FECD987DAB42F77F96BCD1E46E48CE58CC869EA8A8D6B842B157D00C6884CA3E06C2102006F18C31BFAF0863F5C21080D2001';
wwv_flow_imp.g_varchar2_table(4599) := '098A15B06854231AD078051CD6F0853EA0E3499BBD568A19085AE742A51AD5194E8CD93163E7FEE31986184637569B09960C831964F3443640810CBDA8A3889E4046243CA1BC6AD82215B660D471A19CBAE3A6F2A7557EFF1DBE6E010739BCEB41AB0004';
wwv_flow_imp.g_varchar2_table(4600) := '7627F4432EC4C113E095820710718B37D35B1800C06D128CE0875B04F7177EA033F1F8EB43FCDE05007389482E01809B66822D5C23CA11FDEA9A6071C5D3330B5A10308A818B3F04010B240802C86F410C7260031DDEE8C42254ED85611063C809EDEC72';
wwv_flow_imp.g_varchar2_table(4601) := '1B18DA52BAC9B43DA1B63CDA610B73D0A34F7A328739E0610E7600BD1CB420FA3D94DCF376A8A31CE5F88793B5AD536E2717A8563609435C01074054C2BAB2B8C51AA4308420D4459A5C3F7312AC803B60FC0C68B71BC31DFC80064A30832D791E8234F1';
wwv_flow_imp.g_varchar2_table(4602) := '3B3C41CB570B3EE42E0026B4B8B394D343CA5426693C0360D3C0131BD178863294110CC907E3CDDAE8830FFF3A1D841CE44015B1F0063AB0710C5540020F6B880225A0518B6518B24BD4B9CA3D0A17154388C6E658998848DEC43A84290C6117E4C8C458';
wwv_flow_imp.g_varchar2_table(4603) := '1775A99792EAAAFC36EEFFE18A38C81255B534EB9EF3AE1AF02A111499A005DBDB0E091CDC80B09120A3D6D0A084BA18BC427691085B0180062B242122B7C085BD91C18C1F019634120170A4A3110D65244316BDE8052904CC311443311C420E2401E70D';
wwv_flow_imp.g_varchar2_table(4604) := 'C110D80122801E3408C32750C217808118F40136A84223C4812B1CD2C394443DC8DE547846E4E0DE74740407F143529005EF411DE7D4033F54CC093ED25828C5A4109F710D1F2A55DD0BB503B885CA2B50C2A9BC822CC8822B040B170401ABB00A2044FF';
wwv_flow_imp.g_varchar2_table(4605) := '021CF801179481CD645FDBD9410FC4801FBC165B10C32FA041763D0B76296011140100A88012484425F84119A682FBE5CCFDD1951B8A206041C3E305832C944229F442292C032E0C6031EC8112244107E4C01028C1198C812A801E37E04F8CA8C11F00C3';
wwv_flow_imp.g_varchar2_table(4606) := '1E54400B6C496A75602681E0531841A5B8C94E55850AAAA069498AE974E0E9D8E0D4E1609CE860C8345744E0837578420E69CD2F80981C44DF2E7557242C161C940128244FF2080330E4C218B0800994012534229EFD8219E49D35998114104F5A515336';
wwv_flow_imp.g_varchar2_table(4607) := '6D1D1CAC0B3931831B2A138079063C8D88E345C332D4E1FFF542FB788336C482011281202A601A24C121D4C231A0438C840109A8011CC4FF421568C12D50CB2432C5078E490A2D577B94607560105360D25564142892A2424699298A5672819B44B0129C';
wwv_flow_imp.g_varchar2_table(4608) := 'B0224BACD1192543231C415DCC851424C117BC96868C0117404226B84228B80117A8C111708008C00124C0C15AFC4270E1C22DC8822DAC82C2E5E444E0C230F0242E34D317899C3B810D80C91F0058A3872C5834845132DC21354C432EC4823638C328A8';
wwv_flow_imp.g_varchar2_table(4609) := '0208C0400558400AA8C0144C411AF441310803D99442D1A0413BD14420A51609FD433FCE5C29E59ECD1124276A4C0D2EA45D025F43E6032AC28E2A02002B9AC3E3094D429D211AA00178FD011C64C22B10113110032DBC012364911F4841155401AB7881';
wwv_flow_imp.g_varchar2_table(4610) := 'CDB89C410000B5940F6732FF431831C32F58233344C351025947844347844661CC4BBC20902105C7AEA0432C10833770D31544D81B204224A84227D402347CC3F48442250043380C85D3E91E59CC8325A20E40C2E5EF89620DBE2075BE205E160C7682C4';
wwv_flow_imp.g_varchar2_table(4611) := '0C8EE25DAA505EB6103D406444B09244E043E7AC6046D99E5360D244E083494444E3C443E338CE975447C614059CD8833DEC0343D003E57C857FEA03592C850995CC3EC8E73EE80344E8833E80124AA00473FAA34E416747409D7D800EE9704E49CC2043';
wwv_flow_imp.g_varchar2_table(4612) := '6EE84470624948CC8776277E189FEB205F793E9776EAE786FE033E98E75A92C568415D5930049BB828225968C2F48444D027254E848FB66757F403E4F06844908C758AFF0E7FE8C33DD4833CD4433FE867422444C9C89081DA033E30A83E908E0A864973';
wwv_flow_imp.g_varchar2_table(4613) := 'A6503FD4C348009F493CD223B9A791B6A825F168E73C0C2B66123E14649475057B92E87DF05EA6C0C356A0E98084E7477420875A45E7E403441848C28C85591C8CE084CE237D129C6494E33084C49C0E4236EA253DCC3EF4479D02A4741229C95C4E942E';
wwv_flow_imp.g_varchar2_table(4614) := '847EBA9281266828F18396DA0775D8833BF8A37A620C3F88A9726A279DCA839C78503DFC833C7C042215058186684F40844290C4EBF50408B547A180D05CDA695448D95E32D7D5190C09E167A7AAEA91AEA92856E752F8DE7BE2D487BE9E9C3E455DFE68';
wwv_flow_imp.g_varchar2_table(4615) := '878EA27E6ACC70B8927A7A2B53C85C71C5AA408ACE3098FF833A10033D88433F34DD41345D9F50070875D23FA8033DA4833AE48338A8433A248A3CE4093EA8D4C130033BB8DEB232ABB836E4947D0C8A8A0EB8E2E7B4AE4E9BD2A50CBEA055B0E7B84A9D';
wwv_flow_imp.g_varchar2_table(4616) := 'A49405713044BAA26CC54E4ABB7E290AC1EBACA2C433400A3308593644833810034B6103BF55831AA6043BA8432AE4AC2B54C3304CC35A84C3337448360C0359B0C306D2547D840EC5B6ECC446874F51592A462BF0BDA07E8AEC76FE6A098D858D662B75';
wwv_flow_imp.g_varchar2_table(4617) := '8E6CA5DAA5AA0E47A43A4EA9B22C552CEBB6368A84D29CACDA5C3880E6A1804265A94338980368864339BC047DE4463880C2350C43D15E963888C318A543373043385C03461DE7354CC39F94ECD57EFFE8777A0CB88D160090A7B4A2E7535427E7802BE7';
wwv_flow_imp.g_varchar2_table(4618) := '886C55D4E95DE2147ABEEA28B26B51B8AB4EC9ACCD319D4789C33500C03584C348246C3A0C2DC0A6C333486E39E8863AB8433AC003D179143C88432A0C4339F40325B94339844AD676AEE77A2BEB6C6DA778ADE8ACC3E32690F926D44474C33AD4C70BC6';
wwv_flow_imp.g_varchar2_table(4619) := '8379BEA80BD2033FE483FC6690921EA48EBEEAB6E1AFC60269BE886BF76267EDEECBD4C92CA59AEE8E5205263D2A7702403A1CC49784AAC4380E75E2A553D8439466707454270A4919F88AE7E8EE6A0CF54437DCC22AE00231E0022E24032E8C823BE102';
wwv_flow_imp.g_varchar2_table(4620) := '00A8F02B74C349BC602535C58C822CF746C7FF52C5750AB06811B071E1AE093A170C5AFF4E3D082BE810E8E534713EB827A3DC43AC7AA259904C27EAAFA5788E915E8CB31E5FD7829B4264032C8E2633A4021A4C016C35262E30032ED03006A3842D1043';
wwv_flow_imp.g_varchar2_table(4621) := '3930822DBC42382042BE4682AEFA4115B802B66D2F29E194A4A02ED8225253D420ED8A16CCA64ECD61C528CDAF9CB86CC55827248F967B46A93DC4C3386CF23848C43900C0397C72448872EA847228370E169B92C57E30478C1681B4839CF0A84F680D0A';
wwv_flow_imp.g_varchar2_table(4622) := 'FF8221A44115D44115D44230104346E0C236986951BC011C7081216402170C43007842393C403A284111481BA1726E071FE4DC966D926245366BAC85D2E5C2144E72D05CEE616D03670AA7460443508303ACF33A038000380000B0FF333CC7B37E28803B';
wwv_flow_imp.g_varchar2_table(4623) := '47840044C43A2B80033480222CC47D5AEC43BE90F386164A64830AE3C22F10431FD4822A38741F28430A67443097CE3F18C20358C13F64021ADCC20FF4802D280128184139E445FD96F3FE6EAB07520E3DB4743D684E13FF273C544EE6CCEFE538293CE8';
wwv_flow_imp.g_varchar2_table(4624) := 'E956D48314570C4356E2DD9216855E3335DF47A82C43033840012CF50014C00000C0003C350A154044447554FB7326A7B25478B017F365414BC441D3B20A23C243F38221A8020BFF7245E36724780011F48327BC812DA0812BC0401264C20EB40317C480';
wwv_flow_imp.g_varchar2_table(4625) := '0C0232EA08AA48A483279543A298434494030014B6271976629B8360035DC23AF663136C264D8C072EB2730EF50FA3FFF45450879C2CC33A5B75541797535BF50534C01C6435C674B1B7A5E257F39A18FF820A13432C3CB443D7E62F040C309BA942A001';
wwv_flow_imp.g_varchar2_table(4626) := '5054811F7C412C24C13F1C4100A8C30E28C11800C1230D5751733181C247C27A143B94C348F4093C6077758FAE3AC48E9EC8CED0E9893B50F7D0853325B6256981B5660730673FC5029B05683B80685FC00530F56857F55328C00028005543B5544F4453';
wwv_flow_imp.g_varchar2_table(4627) := '8B366A6772FF7AA7F7B210E812343BE46A4FA04409CBB60A03432D4CB83B464442073381FEC33044833918022D3043371CC54F04ACDC2D8A995A6DF12D45A3001DE0E6053B44C21D34264CFE1628B0C333444235F8C115D2826AA2D6B389832B5CC31011';
wwv_flow_imp.g_varchar2_table(4628) := '6C9DFCFF347AFFA37AC7EB66630CCA2A4368EFF71CB48194EBF77D0B80003835805F0054DFF396E7F3685B79695BB503CC013F24C46A0B34E89EB37733F825217442130332C4C26D03986CCB360D978EA49EA7B146844E1C6A7367F37397A88AAB83639B';
wwv_flow_imp.g_varchar2_table(4629) := '0317D0025D7341FFBC411964431964421274831F20003344021A20BA1B64882728010AD84219A0C11D042ED085F3551C794E35F2211FB87E34793F0F80005C401BE4731BCCC196D37A18CCC10558B90208803DF37A94CFC195E7F302EC7A035CC01C0C3B';
wwv_flow_imp.g_varchar2_table(4630) := '0084396AFFC38B9DB9AA3BD740BBF68283B54FA0B00A27030D4D7831708B42DBB98B56C53CD0433CE8343D3C293D64D2E8B607816AA737A7343FA4FF8338A4433670015CC301A66508173CC31D7041268483655E9F2138BA15A8C33594C164264147FF40';
wwv_flow_imp.g_varchar2_table(4631) := '264CF7B99F3766AFB6266E62A04705ABCBF7AB037BB1B7413C5F8029840100B441166401AD47441684410300C01C3C020064411ECCC138CC411894BC229882C85F80552FBB9943F7B323575733D76B5FD234E0190B7B821BD8813D193D4CBC571B7F3B81';
wwv_flow_imp.g_varchar2_table(4632) := 'EA273EB0B47F6E90E5D43427728E28BA7BD301DDCAF9812B54012DF4036DA9C31814A621ECC01D94A11F304384D90F47DB42127040376402109403C1363C53C45E50FF63DE4A7C7B4B45C52F35AC5F80032882E0AF731BA8BC223C822ECC822998822EA0';
wwv_flow_imp.g_varchar2_table(4633) := '7C03A87C16C00200E8422900401760FF822E8882297082293C82688FB97E6A75B3A2F989762D2C537B6CC7B5155481179C81189C811778011C8C82B713A80D93C5D3934EAE7E4E9445CC25290C0D3A7B3F647739A8C334F4123B784238C8832DBC81F794';
wwv_flow_imp.g_varchar2_table(4634) := '83BB45833C78022D8C872D74031C18823914ED35AC161CD0C9F28AEEDD3F3CACEE7DAAFB357EF0A7932BF57E5FC025247EAC37006AEB42183CC22C00401884C1E30300405C6800A08D2200BAC2B0313548574353B3C2CC5AA060C0000173FEC5FB078063';
wwv_flow_imp.g_varchar2_table(4635) := '478F1F4172EC3792644800FCDCC9A3778F9E4979F2DCB9F3C8EF5F3662A0AC54B1E28567159E3CAD78FAD5ED5FD17EFFECB103504F1D807FECE0FD8377AF283C7800EEA993E7F4FF5F3D782A4702E867922C4892FFF2C14B678E9D3C78E6DAADD5AA345D';
wwv_flow_imp.g_varchar2_table(4636) := 'BBADE564AA53C72E1D0079E9DCE985E78E5E3B75843B8E0590AFDDD4B28F21F3AB0755F1479225213F46AACC818302031414287041409B390504102431E782E9D661DA0070B0E0519B0661006421D8C6F49C39B42F501CD0608E3D8DFB36660E79396C48';
wwv_flow_imp.g_varchar2_table(4637) := '7E7657927D1973664D626FAA7019B39DBB182F63B8FC195A14E9BF64AEAAD972952D5BAA72D78699CB068096AD70E1009863464C1DB25BA9D8F9879FCA9433E9327EAC82A71D00DC694C4100946A879D092164A79D98ACBAB09D0D27DC8BB07C140B2B1F';
wwv_flow_imp.g_varchar2_table(4638) := '76DCB9A7C01339920CAAE42C630E45B300888733072AAA88A30200FF58203805042840010004002D4800401B0048234D12C0010104108EB878E20100B9171373D1B994A29309A4E9644A8EA66E6E4123BB31D080A30F3FDCD8CE0A25EEC0459C7E069CE7';
wwv_flow_imp.g_varchar2_table(4639) := '9F5FC479859872B2B9C61575A2B9E61F6C00C8669F619849854F5AD85387190109A4D2A3B1361AB0D1B2C8AB54317EF8C9E71E4DEFC134C4B11883A71E4721837332782615E932523BDA279E5E3AAB11470044E3F133238DBCA02C8B420B8DC80144F331';
wwv_flow_imp.g_varchar2_table(4640) := 'B48A88CB884547994BF5242C4D7409262D53FC074C43D0B0220925AAC8165B9FDE30E41671FE1949A3FFCAB1C51375AE01809E7FA679863DAC888966D16CC2010680729061542C5661140B33B2304D919F14F3FF19D823A39A13F1C251F93550455497B3';
wwv_flow_imp.g_varchar2_table(4641) := '92D47DF6B107561A6BA455345A1D0D16495A81AD91348C8E3B16C5644D7A4EA56643E2F2A39A6E192615430CF9C36644FE40C490486CB9E55B01F9B1E71F629C62C69C6888A1451C73E2AD261C5A8611271B5AF82C279968CCA906ADB1946D98DF80F7F5';
wwv_flow_imp.g_varchar2_table(4642) := '17CE4F17239161AF417AD8645557E517B9651A68A03307E4E6886E0700A87BA0909454B223BA3DEA0C00053A53B201458C5BFB64893F5239CB969F75AAA37FF02586186630CF3CF3642EAF261D01F119A99D01E1A1673071D469A71C7CF0A1A71C73FA81';
wwv_flow_imp.g_varchar2_table(4643) := 'A71C75E899A71E7906FE17EDDD0D6C5BE112797F941F7A28EB5D7756E719671C5D94D7E59CE6CFFF717E1C8EA6274B1700960FE97AE7A567FE9C7884E61765E7A06379CBC8674290410D1BDCD07DABE69154D2B0FAC167F2A224752A74A746CA3DF8FFC9';
wwv_flow_imp.g_varchar2_table(4644) := '622511990D8057519BF19AE335F244090089EB88711A380F09CEE3231A511C5736821C8A712471173CD1F840C2989531A823F768964A6262B04755AA52227914DB4882A94CE58386053BC962C4223F19E60F803D145B65E05436779C2D78A6824A598EF7';
wwv_flow_imp.g_varchar2_table(4645) := 'B5F0716423F68093D0C2D51115CEC41E370C5A13FBE1C4FE21256855DCDDAAC0E69111ADAC2558D1543DF2C1117AB8031E69B48C51EE87C1E478307D2FB48C0FF1F8A87F052C54440CDE012396407E15258F98B114A41AF6A94B4D91236394FF074B3C72';
wwv_flow_imp.g_varchar2_table(4646) := '0F3472A41E6C6424C2BA96474DFEAF6D022B9BA8AEC2C9870530899B342595C617C68E389225EEE087892499C67AACB18D6629E5297199C83DF2B13126DACAFF00694B41E6929899492523CBF692569670534B91C786FCF8C3624E537C9DE4652D7BF8CA';
wwv_flow_imp.g_varchar2_table(4647) := '235E903CD4F4666608E9AFB4B5A31EF7E807C34C184B355AC58D07EBE637E179A277CE445463F965F0DCB297C7BC249EFD244B284142228072249D6E7487855CE24F8542EE25FC04093C8E78C4DDB1C42D0BE5D7822C6A15A55CA559E93461850030508F';
wwv_flow_imp.g_varchar2_table(4648) := '6C882313326947DCC7118C42C6A44A5129497B78D21EA6942C5A4A090077781255364EA765916164F8D54E907CD42435AC2133FFD31992A3EA7487C88C641A8348D0A41A8C864B0180FD1E688F51D583AB5CE5A03DC0FA18ACD263ABD1242A95A2F991AE';
wwv_flow_imp.g_varchar2_table(4649) := '96A5A3CAE96A5A091A12F3EDCEA84225CB56D565553546323326846B66FECA4C90BCD5AB91F4E85C41420FC596912C1E659517F9B5294E8DCA84FA282147F491D97E3AD6AA70A5C73E3E8258AC58D46BA225ED69A90456CD2E261F995D2D3CCF2AC6AA62';
wwv_flow_imp.g_varchar2_table(4650) := 'C5B4A8B5ED6D71CB910DB2D6B596EDE76CD3C70F8A1935B7DEAC6AB3ECAA9C34C6F623757523EB925BDCCCF0732BF7786419976B51E2EA631FF4904777478B955F3257BA3DCC6481C856A09F96174519E42B9C72AAC94E4AD160ACC3876B41CB95FCBEEC';
wwv_flow_imp.g_varchar2_table(4651) := '31F7D8476DD97BFF2273DC6BC0E6785D39026C516E0060C11FE98B39203C600423F8B6D0E00837A0F10D6C343824809250824FF48C6744E323D5B846344CEC11123FE6198E5A3100AA01E2CC50410700100300BC608B8EF409C5D1F0710F7F0C8074C5B8';
wwv_flow_imp.g_varchar2_table(4652) := 'C43026150F40826411EC401832564E8B3B92AE8E4C43C854BEC6340005806948D9244476149685ECE4C7E0802C28AE468CB9EC91F94419CC597ED17CAE3C1F2A5BD9CB9011C31900B003002C81077C5E420F0080042300800286A0A398419266367344CA';
wwv_flow_imp.g_varchar2_table(4653) := '8A264B9CAF912738AF39D1612E4B2B3A02851A7B44072560EF273EE263225F23C55BDE32A3A741694BB3AAD13046F163166109003001052BE008996D0D000DFF9460039E2600A259CD91536BB9CAC24E97A9234D34635B3AD255BEF2B38D4CA50C7C2003';
wwv_flow_imp.g_varchar2_table(4654) := '34E0080622905B28CCDA0D1D61868501F062361F1BDA68E37235485CE7137D00D8AC3A06329001807897C5C4571672A9C90D9961A3CDD3D7FEC80138C200800BE1BCD35CC21200300C903003CA8C46B349AEEC66E558B9DDF13C46930160E1862FFAD954';
wwv_flow_imp.g_varchar2_table(4655) := '9E72BEB3A1EE8F48DA2331F6B8A36600800C14770A210941C20B348D6AEC5BD8D8C0329821736CAFAD9C233C0700C02B9E992884821BC2B030E69EC18C2E7BE4D44D77F4479ADD6C52F5C1231158B9B5718B010C7484DDB7FE08B801B071008A3CE8D484';
wwv_flow_imp.g_varchar2_table(4656) := 'C631A0316F1587A4E38182B6A9CB926A52DBDBFFDE5E033A6A73DD9194C313D965A7A61D3AA2706810A3C54A0F3747882CF293D31D0086873AE20F1FF902E15910586740044EC05E06F4B3EE7E2F26D60180F1C67BBBE4893EB5CE3B1F12C32B9C4A8E07';
wwv_flow_imp.g_varchar2_table(4657) := '801E42C2EE5FFF9C0077F73CAB5C7FFB62669E55332F37DC41920D28B738C662570E9E35F118DBEB9E5FB9677E2E0B710CAFED9BD47DEA7B358CEF284D68220DCFF73EF373612F7ED15DD5A8FE7E66967F7EF57364116258C4F4A37EF265FF8F0E1CB136';
wwv_flow_imp.g_varchar2_table(4658) := '19728B81F4AFFFFBEF074028580F008821003363D8186FD9688E5FD4200DA240EF5E0FB71880CC028EFF28B0163842D98841ED1E83DC4EEED44C6CD84EED1632D051246EDBA46BEB26F000FF3E00F428F0F9740C1A144E030BB0D8DAAEF43842DC1C45F4';
wwv_flow_imp.g_varchar2_table(4659) := '68C009F2CF23360F00040E055B90F92841F45004073902CEB48CF1E68EEC0A44FCD460D666C0DA9C80074F2B02806EFF0A040987B0BCE2CDF982CD239EEE44880118588F014E6006B68E06F02FB77EF0EE8490239001DC98415E448D0BBBF0B68C905488';
wwv_flow_imp.g_varchar2_table(4660) := 'AC0353AF8778AF231C01003E810F1061A16A0FE81800C9F2B0114945FEBCC616868100EDEF0C3E611140ED136821179C4CD91C51CC28310CEFAD099DF0458001090C8023F60E24C0EEB400ED2342B1F1D02DC65EED13F5D023922EB768A1231A10F03E62';
wwv_flow_imp.g_varchar2_table(4661) := '0F036CF0F0D0168B8B199021FB146A18F6300A41E218748C18A13197E02DC1FF3A41FACA02186FCBF0E4251A8B4BF43C91BD72E11838D1235C611C5D811BD111806290F48A2B16522124ACF11CD3D1510610E6E651ED6450BA3AE11328E12306711E95C3';
wwv_flow_imp.g_varchar2_table(4662) := '723882197EE1020132E83A2124FEF12021E31600A02043021B19B2BCFAF12362612221432089E61B3152CC42C124BCA023C942E186A11E4552F73E72214F922348922443CF215712C4FA110F3E02122021263D820085E11624B223400D27712B037C0E28';
wwv_flow_imp.g_varchar2_table(4663) := 'ED31F4846118C4CF2406B1108872A11A902C0EED247B9217CF601041AD046E6C2A9B7293E4712B4D222941C2FF00E0090080263BC20DC6D12BD532B716C12C3DA22D018011D7D29BB4702E3FA2103E6110F71100D4400DFF10CE2E8BA9099E4008005322';
wwv_flow_imp.g_varchar2_table(4664) := 'F900000E93106F921099510201339770A009B26D2D79F226C5000900E01F1721313D82291FF333A7292945A0233C93347D923341939A8E402D6F41FCB8C0230EB110FE7131DDE00C0833357173935A53FC0833216BD2239E200AFE12031020377D480C9E';
wwv_flow_imp.g_varchar2_table(4665) := '32353720243E12D498D20E42D22350D33879872C73B3DB3CC23729E127A97393DEAF0139A03B7DB2224D2215C5F33C7B683B5512247E103D77870578513C3FA110168119DDB38730D32392333769320A7DF13E83873097E03639623F71F33F01F47FF08F';
wwv_flow_imp.g_varchar2_table(4666) := '097040085090010C344125B4614E603201E008F66B4235146D9A202A37F4433B4210C8024341B444CB4212924C3445518415EACF23EA52456194235A14002C34466DF4DFB0ED04E0F34679B42384F008FE614A7A1444DB704879744667200376D44855B4';
wwv_flow_imp.g_varchar2_table(4667) := '0D1980063C0D3E57934937D40A016006DA93239EC043A9343579B04841A204A4804BBBF431C1B44C61741501200E012005D05443B3D42370E0C6DEF43C3160E5E21424BC209CEA1444C7404AFAF44309345041B422C9344103020021F904050A0000002C';
wwv_flow_imp.g_varchar2_table(4668) := '00000000580264010008FF00FBF50390AF60417C08132204C0B0A1C387101F26E4678F223E86142946DCE8709F3D8F16158A5C38B2A4C99328535E7CC80F80CA972531DA7308B3A6CD9B3873EADCC9B3A7CF842E5106C597B162439543750E2D5A3469CC';
wwv_flow_imp.g_varchar2_table(4669) := '9E4339DA13FAD32553A300A6A674AA901FBF81060D22B447B6EC4C8E68D3AA5D2B35ABDB9967DDB29DFBD0ACDDBB71E9D6C59B572F43BE7D3706F64BB8B0E1C388132B7E0B982C5AB88DCB0ACE1AD97144C8952757B62C38F3E3CD8F29379ECC106CD87C';
wwv_flow_imp.g_varchar2_table(4670) := '7C17AB86B80F22DCB7721B0E5EBC59F261C08971AFDECDBBB7EFDF9F2387F6AC5978DBDAC14727D77D5C7973E71BBF123C9D1A78E2D67561BFB6CE18746EBCB9459BFFE54EBEBCF9F3B2C5572F0EDDB57AF069914BF5DED9F8F3F5EC9947DFC7BF3F7FAF';
wwv_flow_imp.g_varchar2_table(4671) := '5E85855E44A7199458810826A8A080882D58E06A0C1EE6E084145668E1851866A8E1861C4638E0872086A8977FFE61D4D27422A6A822790C16B4E28B30C628E38C340247627F00F2E3618D3CF6D8508BF9F828E490441669E46E37FE07E08E4736392090';
wwv_flow_imp.g_varchar2_table(4672) := '0EE5E8E49454566965885E1D36965D1B2589DD95424A49588E27024026998D6944DE966CAEC4964260C2D826590BC569A75A591AB6E578117979678F62FA052046269EB9275E6A7277289D6EA675E89F292EAA15A494B2542661F87594245D7942D4E96F';
wwv_flow_imp.g_varchar2_table(4673) := '2E3618247A81EA75E989677A25A959895A27699D6A1DFFDA68A56B7D1AE5A997D284CF5DB0D20AA9ADD3D543CF5F2DD5A3233EF31C64CF3C8ECDD42A7F080579CF3EF878342B00FAE8C39F43F9D4938F3E0F1264AC99B9CE554F43F4E8A3AB57D91EC596';
wwv_flow_imp.g_varchar2_table(4674) := '8BF7DC63E94124E26360B5F7F4BA519D4192A52344D966EB157FA3EAC38FC183FE984F962DF5C3CFAE8D66A42E4362D9FB6DBE2E519B56800B57F4AD3E70315B16BFA779C5ECB41F99E5A6BE0FC5AB2BC924314B2FB684196CB1A62E05D96D4153A1956D';
wwv_flow_imp.g_varchar2_table(4675) := 'A814E7136D3EDB0655509E2CAB7CD147F14EEC6B9C0E739B4F3FF49CB58F7400EC238FB3F9C4E31059F1F493CF3F0439EC9565F0F83B1B43173D3CD0B9F68A9DD059FF1C34D65C59F6E398C80C35FF9DF5B0FD9CEB90BCAE914536006603E8303EFDF407';
wwv_flow_imp.g_varchar2_table(4676) := 'C03FFF31A4EE40084DBBCF3DF5E83753AFF77C5C5AC0F7D0D3928E6AF3632DC0FDFCA3BAE7E48E9A73D444D12C5780F7FC93EAC12D9165B6D8E7FE3315A36CD7395390FDCCB3CF3CF7A88C62432EA34838D86167ABB73DFDDAA33743F5EC23ADEB47ADD4';
wwv_flow_imp.g_varchar2_table(4677) := '798000CC4328B914650B2D3FF19CB5F83CF8407EF9F200DCF3308A05B5CBCF3D3F0B7DE354645F8490F95FB207E11057AEA7396920C15B584BC6C19073780D00BD88870423F8B86D30641FFF48DFE300008E07DAE370CB6088D7A632BAD26445472D7187';
wwv_flow_imp.g_varchar2_table(4678) := '63E0213E7CC0C369F20A873AFEE6380CC6AF21FC3817E518F28F6AC04375228C9F3BFFF43110F4B5E68702BC210ED94691B30C4B1C045C989954B7ADD61C4E7AD990C7D48CE738449D451E7FE987FCC836AA8301001E60E48FBCD4110E33D12970F0081F';
wwv_flow_imp.g_varchar2_table(4679) := '7F9C0600794CAC1F0153D7D4E4720F767CE91EFD9021D93EC80FB2C1636C393A9CEF0689AD8941D125CD42484BFA173500B08387E2191D0AC5B84172C9CB1C7FB1473CC838357C10F18317E98639C8360F305ACC6E7D439CF5BC32AC725C1073D70BD2B6';
wwv_flow_imp.g_varchar2_table(4680) := '28E2B56E50AC1FF2F063D108B2929904AE7FAE93172001D0BBC7D9A35D8293CDCFACC20FF1890394403320952A8990F7A5A321BA385C22EAA20B00B0E11100C0C497D81008B20D130059C8DA5FC6C7105000801EF230073DFAD1FF8E86D8F20F6D64883C';
wwv_flow_imp.g_varchar2_table(4681) := 'FE61085FB2E31FF0688D1BC2A7C4E6310200A9200818F5F10F79FC6186E680841F00604F6032048A978C1D436E11A5868CE1150000C619C9468F754004120C09852D67628870F4C31D5F8A052D4E5848DD8171A37F18D64001D08E8166421D7804C61F00';
wwv_flow_imp.g_varchar2_table(4682) := '900D57148FA99900803B98C590854EA38EFDA1C7E16EE1095B5414810C79862D1048894204B48E00582A5107D2B850308F5CD10400317E4139B2E9231DE990C7D62ACACC1B9ED5A50D211B22DAB148A2BC0F18C9600832A42A9086E4951E8403A33C4BF3';
wwv_flow_imp.g_varchar2_table(4683) := 'C0482803811B65A6D0AE958C7EFCF02F33DC073DEAA18F61A92E86F68C0760B391B56F008011E0885F6B8AC585C4FFDE62B109EDEB43DCE14F4B8E8B210FBD155BC19A0A9212449B56AA64968665CE71CC822159508422CEF1105834E40224780826E019';
wwv_flow_imp.g_varchar2_table(4684) := 'CFD688221098649B1211578F6ADC01A22E450400A83B8C4EE8A31C4860C8250D614B40741200A3008718A575CFD2DC83186F00C04E29610800ACA31FC2A8443FC48184481035158C30872B0A4C365ABC82A541ABA7719F018000D783186A550243840153';
wwv_flow_imp.g_varchar2_table(4685) := '000821AAEC880524C4418B48E8D71EEC70445417F9C1995C1200F100C48DAF01004F3062183FB085EC08FA0400B4B1120028072246E1B580A2541E590DAC2BA2D19073A9B50A0C69AFBA7A00095BF076C5283DAB53DB418FA3E9F61503F9054322710F43';
wwv_flow_imp.g_varchar2_table(4686) := '64E2FF16B770851700F04879D8D313003002384601806E78A21B03E1304398E5B07D782D154206C03000705E789478D1008805A3CF584F4F00010028EDF136C0CAE7AC55E481AB600831BAF18648AC6418C2A0C51762518E3EFC81B77D00059ECBE18A7A';
wwv_flow_imp.g_varchar2_table(4687) := 'B2160005BEE04776C51034C0811E70660824248B08E6721400D0E0A82FD10A00070320D1106508B401808832E0227EDC436E93B87911308E1300D965483919620A872823BB83C88339E7C090ED86E102F364C305D0D948C78012A29440E9405E815244CC';
wwv_flow_imp.g_varchar2_table(4688) := '901FB4D82825BEA9E694F6187100F8C418708C3B87E41A00B5060024681171DE0A58AA00F8E63320FD864C50826C9160C740446B90614574A491FFF847A7EDF96C665BB221CF1086278401804A646220AE65DED90E07003F4C03CFAFC00720D2310C389C';
wwv_flow_imp.g_varchar2_table(4689) := '1C83E9C86C2E1AA252893FC4E7F77C27006E610B6813A31CA0386F43FA118B3E380419C3000530DC50094A3464865993574BC407803120B9E90D81073040C173003023D194B805DD91C1884C74F421901B9843905C9A5C08E30FEB083B43D4C10897E21D';
wwv_flow_imp.g_varchar2_table(4690) := '17A0D807DF392A0DB0CE53A091F6425457D188810C63A3C4702A24D411097530C3E99D50FCE98FFD0F6E3CCE9D444108CF09BFC16BCBC3116847F6B16D098C31E8F791D3303B43CCEE5664C422D32D97A2B6A754C95061C714F16C881CE82D426A402410';
wwv_flow_imp.g_varchar2_table(4691) := '2438471EC00B804138840D0008C3FFA093779682CAA3C0AFD887238CFBF274FC031A99604439AEDA0E4AA87418E2684D27C26108D6CEC423E25353EC0053C8C750FD540EFF906019170D6F000F91200C68800BE2E035B1E054EAC04244916DA0F00A86D0';
wwv_flow_imp.g_varchar2_table(4692) := '4F3B556BAF300AF7F310B664600E010EF2120901D63789D473FDC00E05566BC2E707B1E06C49F60F88100B6E3575D9806791705546C6540C0159AD712EA0300C03710B7FC00ED0F6063BC510EE070C51C51070C00E91000CD6060EAD216964332DCA276A';
wwv_flow_imp.g_varchar2_table(4693) := '00970A86200F9E000C80F00FAFE00AAF400CFA8008E6405291900E94906891607695B00DEAE205C1451003332CA0400C102769EE105191100F34D76988000EC63543AEE009DCFFC00894605FD910480EE607FDE035D52259C2F00FB1C067F0E00AC86008';
wwv_flow_imp.g_varchar2_table(4694) := 'FA700BB1505CFFE007B6640B94706F8ED8080DC15A97540EEB1052B90300EAB051D0A004B8D008BC2564F2B008E70084B8C610DB50097266530D210E86D00F94C00C8CD00D8C100AACB553FFC00842F62DD9B67C445249C1B31260C006BA500AD4E51073';
wwv_flow_imp.g_varchar2_table(4695) := 'B00E0F144FE30006E3506EE7200BBD0000DF8863D6170FE3007E376419DFF406C4700D80684F998008C2276CEDA052ECC0070C510EB9505033910B76000A5E33311A610E887007C3C0630D91090566717CE008E6B00AAED00E70F00FB5460BEAD512F2D0';
wwv_flow_imp.g_varchar2_table(4696) := '097CF00BF1903C05213E8B0500BFE05A68107900900978967146FFC607AE087100000798960E4BA75FEB900A55E30ABCA5402DD10EA9A00FBCD50E48260ED9E00895300D1167677E600BEDF00771840C6F980E7CD069EA80077E6041F54014FC302CABD7';
wwv_flow_imp.g_varchar2_table(4697) := '1068D00982634F8CF04DB6D48192A60E5E9771B4906BF8302C2B682233018887130E77900993F30D012757E6E0068E302C4CD846D06076B7F00B50740D1C960D8B253FA643381CB658A4866344190E428607B7500E78F050A3A00E2A5509C8D00866870B';
wwv_flow_imp.g_varchar2_table(4698) := '80060F75896359235A00900C89956C80E909F5000AFD900D42F606B890748C302CA65993C80009940088A5C10D70C00833642F0BE10EAED01270900DD91098F0400FFB207C33040899900C5C256995700EFDFF500E89360CE7F50F9500074FC810D10007';
wwv_flow_imp.g_varchar2_table(4699) := '91C05AEDA28DDB76222E820FD3C2438626413341360FE43564733858506E1294155EE39FBA562DD8A126AAA33A6CE710F1B02D87535C8F6345E913360824368353771B04564102448FD30F47F87A19744F5A254BE9433DFD324875C77387036536D41048';
wwv_flow_imp.g_varchar2_table(4700) := '183F8D153B27923885745C8DF51008F40FD97345ADB5520BBA1D64031627A22E3CFA0F44D41AA9833D6C233D9CF4870BFA0F78745C3894485FD2488087388D252F1864432D4144FFD91A1F413100E238FFE210C342512D1A58F2F49FAA23100183406761';
wwv_flow_imp.g_varchar2_table(4701) := '3AFCA13A772410033131FF40555B2739A9B3A4A9D3A0036199DD24A685E44EB1F92552BAA43CFF84A7D8223603A13A93541A8C8A1179249F46C28D38940FF320411AE4A94154A1A3F44100A00B33A19F9E3AA0CC2232FE6210E7D2AAD4C387B5235BA575';
wwv_flow_imp.g_varchar2_table(4702) := '0F71F411FBE030F2A23ADE7216A3022F27235B42430FCCD53EECB312D8703641C23E04A10F795911715139BBE23049A43779C94CD8C91F651624D96039C34216A3D20F924426F143440C7541833A39D9222FC2B20F01355AF13232376431ECF230A6842D';
wwv_flow_imp.g_varchar2_table(4703) := 'F5300F227396F530463C03594278A4CCF2300F531166D9119D9397A1732EE91230A4355BF7D42DC7555ADD320F8D733CFF8039851220066333D9732EF1F25B7C28AE1E013954FA15E062AE2DB1120433A5DD820FF500A920933CED8A3FEAFF025938BB0F';
wwv_flow_imp.g_varchar2_table(4704) := 'FD7A22F1400FC8831D8EE32D5E21AE0A2B5AA2533F302B3AD524AEDE42AC65193FA4355ABBD22EC35266071330985A249A9A27FADA3C0F2A41F9A935F12254B10965F2322CF192B6F8C32A96622606D23925A3303FD28DBB32400FB13017312ABB62197C';
wwv_flow_imp.g_varchar2_table(4705) := 'C26B3724343A23341C713B39E21F0E73A1BBA33802A149A542166AF7156623390643196C0759F972116A1BB2706B109D334D6A6315D3F130093B10A56316FC11ABEFE215F84331415136452A39BA149BF6B9B1709A23CE6A9F2E432641E21575432E78DA';
wwv_flow_imp.g_varchar2_table(4706) := '120B43B4BD52270273B566522208CABA3774B9D932AEB7423014A34C7D133B9B856DF9E23AF699AF332138F98039B80BB314FF93477494B53DC26DE6631D76353180CB3D79B220CB9B1875B22A3D133C8921264A9223F253BCC0722634510FFD6A268BDB';
wwv_flow_imp.g_varchar2_table(4707) := '1236BBAE630B59FD1AB2FE9BC0FEBBB9FF13305B9211971216BBC2AABC22527A71A92DC336052375554AB8CEEABF6D43B86482A7246C3650D248C50B40A74B26175122D3914D0762202EA1C0349BC0CF2340098CC2F1591EC0D223307CB77A7B2D89C16D';
wwv_flow_imp.g_varchar2_table(4708) := '41A40BEF68C40D617D1C044EE2060BE5346EA51AC54F5CAABA8089DAB31206F2159D8220D15142AA119F277239CAA4B6207BC04C7A4157AA294A22B96692154F1B3E7C43AEC7252CA3753409E31F98839D381B3AA1D35F08BCB9CD832DC7E31120611037';
wwv_flow_imp.g_varchar2_table(4709) := '522D9E91B673FF1130AD7123B1D910EA52405A5AC2EAF233747C2E27621289FA4ABA9BB9C4E432E2BBC36E3B4DCC93B6B36B22400CC3762B386A4B300672C098A3C00BCC4CFD2ABE96AA16391A2E3E13CAEA72B9954338BFBC11993BCC99ABC911B110F2';
wwv_flow_imp.g_varchar2_table(4710) := '622F13A33442D334E0222DF759CA814C18DC141772006E0ED10559A0CD5DE010D1C7106C9005E11CCEF054CE59104F60E010C2123FA1332C09ECB4C292B6B23CCF74DCBDDD6BB9C49ACFF94CA2FA8C4F7A250F683BB68FACA10BEA101A1A3F7114476764';
wwv_flow_imp.g_varchar2_table(4711) := '2CF59347D1A457F7851826CB1A8FBC41262B0FF7A05784C3A2517AD00DD11FEE7339C7A3AFE1D3B3753A175D4A4521CD7325420FFD040F0AAD55DAC32D0EFF1147C6B6181D1DA506FDA65F91BB23D73B1EBD11B6F3CA979C3D6451B26AD1A55EF2A2017C';
wwv_flow_imp.g_varchar2_table(4712) := 'A3F200D30205D0B9223FF2C05B0A7D46C362C78362CB904C33EBCA1FA903396E0A441E1A5E9DB4A88A94D339AD372712D45B5744AF7741FF9918E702D3EE00D5763B35C0CB104505AA0C110C7FDD10CB00D86880065BF0055FB00557B0D85760050C1160';
wwv_flow_imp.g_varchar2_table(4713) := 'F6F50791986B90E05AD8C00DD9800DD8C05AB7766B84910DDC100ED9D046A2BD119EFD10AEE71054160DC8C00777A05E0EC1078850086E60077750DB0BA5067366649285A60552D7600446FCD00D858D063DD9936600076FB006686006BDF6106500006A';
wwv_flow_imp.g_varchar2_table(4714) := 'E0109E100AD57D930E410990609C0C910911FF2569A1D0099D100A4BF75A88E008B0DD100F0553C29709A1E0564F280CB7000CC020DFF2CD1037C90701E606D1BD701B654F2C176D0E110A9180080F75720CF10DFB00D56844691BF1CFF2D0125EF0050F';
wwv_flow_imp.g_varchar2_table(4715) := '61066FE0DCC60D00141EDD6540E163F0050B07078E00003B080AEFDDDD0D617694D009012960A14009A1107194C0088EC008EA35E2AFC508DC3DE010B77489467300200CD0E656EA75DB6D370663E0061B7572A1900A4D1E6D11150A906008070E51086E';
wwv_flow_imp.g_varchar2_table(4716) := '71674466775B4764DB5F02660BAF2064624E0BB640E6662E643B450B691E0B9206009DB00800D00770BE090C31E771DE10AFE97570BEE7D446E78500009B5008811EE88B30E871BE0925FFB6098840E70C61070D717291D00899D00870B0519F00007620';
wwv_flow_imp.g_varchar2_table(4717) := '060B270611A1755AB7517C800665E00786700DF500D0BDAD453F1235F2E20E71453690C6109226697690010CD0100740000DA1EB18D0EB0000054E80010D71060090060C010DC8906CC8160DCFA0D9D1800D54860D74810DCFC00CD7C063D720ED1071ED';
wwv_flow_imp.g_varchar2_table(4718) := 'D880ED00C063D00EEE1B07A33DB704543005C4FE102700003440030080034B40032770021980790D21DC61C10F600444D753601E00002A300401AF02000F0016D0101C30010040010C41010C5FEF9C4E6D9905008580080629DD0DB1501081071AFF0978';
wwv_flow_imp.g_varchar2_table(4719) := 'A00645E6100B37DD6AA0061ACF107FFE10353EE27800005E20054820042FFF000026F0022FC002F56E020DE107290F117B080078D0F3D1E829FD3440FCD00E0394A30C910244F010040F0029C010094F0113C0F056CF02D28D070659087F9E592DEF05D3';
wwv_flow_imp.g_varchar2_table(4720) := 'ED062D0FF40E8108D3CD10382E05BBED0563C0E90B97F57830F6C20600C2E708239E59737604509F022580F50050EF2910F2295F088E50F1D486DE0629050B175C0FF592570A0FE5B2D187130D9960731749785338856BD66C99E06C7578E9BF4E066960';
wwv_flow_imp.g_varchar2_table(4721) := 'ECC50E004C0000A28FFAC54E0664D0107540076950070E9106B05FFBC63EFAA56FFAA4DF10B80F003500002F5005865060148ED80030040DE10400F0011920EC25C0104DD004007004D25F64BB6D621C50055E40611EFF9A6D7AADCE0827A50D910BE5CD';
wwv_flow_imp.g_varchar2_table(4722) := '10A01F0100C000B6CE0007C0EE0CC0003320048E0E004DF001EE3E03A76FECD0B0FFCCA0EC000100C0B581020D1E3C380D9B4281D7A65D4306005BC36C03B3119438AD21C268D79E618B0660584462220F9E0130E5C4091D4C7008C441E304CC037E0EDE';
wwv_flow_imp.g_varchar2_table(4723) := 'EB270F00BF7C3DF3F513F8AFDF507B006CAA003244CAD22000A40C017044854113004CA4009082058028061939428808801B847816098C150B40213E0801A81183508D1B3C770CF2698BA7ED413552A20A392824CA60B76EC42284F49511A4B106C11A0C';
wwv_flow_imp.g_varchar2_table(4724) := 'F56FDFBEA1FDF2B903900F613D83F9EE097CF042A05F004F821C3902E087100BAC0D62C52A500D80C707FFD9CE568307C0DE429F5209A454C8B6C1D9C4DFE2A12B50F75E0078EC08F422300A60838405A6DE3A46376DEEB5058A8D7B5820A383FB04EAEC';
wwv_flow_imp.g_varchar2_table(4725) := '6930273D00953FBB159809BE7C4F9D3CC9B7DF4960A74D06F700F8EFA03DEAD843903A040A100042F40080C10605D14310000E6CB04200E800800C811664508F03C9C06109009000201284CCB8E2202860A20E80E8E202600CF89ED841A03F00F8472881';
wwv_flow_imp.g_varchar2_table(4726) := 'E881E7A09FF831089EF770046A180072890549B70E38A0040C181061031D68304EA013045B51A0458481A64B66987946A06A4212B31A00CC4C0823813442E8A28B0CBAA6A28AD054F34C00C2BC5320648C3C92178374006005834A7809800822C8C0FFD0';
wwv_flow_imp.g_varchar2_table(4727) := '83D8EB879F9CDAF3291F7EE4D1A9517EE6118800006C38C22F29527B6A88237E18D4AAADAC3AE830471001CB11E69EB363BB8342E12E1783C480AB38B78A1B233A81A830A845009A48ADBAA8A2680280120472A310F10C624C2047C8F28A3B83CC330F00';
wwv_flow_imp.g_varchar2_table(4728) := '7780EC0C00CE04DAE733ECA23AE809D25E2BC1831252E020DD125AACAD90C716A1F639E7F8588412833E61CE2D1875CB4DAEB8BCE8AA0961AB7B2261AEB83AA28914961D4BB8AFAC75A46247848BAE10F220D15718003EDB074879E0014AA07B2665EFA7';
wwv_flow_imp.g_varchar2_table(4729) := '92230200944A040245204F0ECA04BF9AE5BB593F00FEA8A30A0AE1734B903D08A94368081DF4F0C234E8587A6932D2505A433D384C3AFF4B81AC10280E00CC7803802BB05E848C26A0487645C05032688C3174A5B6878372FC47A06F0F6A542020713228';
wwv_flow_imp.g_varchar2_table(4730) := '6E8172515220400F6260A66519100803F8A610080A28CEC8A54B00904186993CC93CB31ACB2F47934D8DE43C93188704BAE8218D08C2E89ACB098A061B3C05329218965141E5A00C42C80083DA056280F0030C508F9EA11CD5491F7D7CE276A7A10CD234';
wwv_flow_imp.g_varchar2_table(4731) := 'AB23A07A8A340B8E700D3E218A15EBB1C70AA1B639009E0380125B8FD91700571E83513637E6322859815810A2847521E6EA09179F88ABAB85037B4B386B19AB4D2C5FC7A38D27E286ADB86D4B330799DB64C825102244E5534F79C210840015834CE035';
wwv_flow_imp.g_varchar2_table(4732) := '08F1CE5A04C23DE79C05FF0F850885AD805625E50804464D509FB200B015ACA41000628061149E60BF61B9850F159BD863286131B8340787370140C80442328454CA51FDC087412AA1040054810B6540831F6C52A21102406702E9C384FCF3330911A28B';
wwv_flow_imp.g_varchar2_table(4733) := '0A320881DC7220A831CD2069A8031A0100B50A1DCD43506082409870051369CD205CE0C22762B722B20140084B108217CE570600A0010065280359A86584420AA41F39929B5BEA66109CC04D6F473A523172F19C131C00702FD18027018081033C692688';
wwv_flow_imp.g_varchar2_table(4734) := '03C00956C484990843189003C097BEF48C68840473B7041D002AE290385D83180F095D2FDD048087A0C972625ADDE34A5212007C42139A50107566A2280688529484FF6B0F00F45119830C2F3D946AD450D8C3181128AF5800804A6A2CE0470BA22B05B1';
wwv_flow_imp.g_varchar2_table(4735) := 'A9E2F6E46916002CE213B4009FB544F81684B8C19F0211C2A9DCA7423F22AB2B5EF002FDD0C6158395EA54B469D5C420E108F234467B006004796805AE1CD1C3809B29D964FEF1040EB0400606810A05A1C21A21244A850F5BE7415A659042146236DCAB';
wwv_flow_imp.g_varchar2_table(4736) := '674E0592CFBD555157A51208FC06233F1852E10C4F0096401A1A5483E86562D282A8BEF880072F048CA215FD581081C4A39219C488431912002870100F98E0053700801118992284D4C713B53888CF26F41F096D0840062ADACF300435361E24693FFB99';
wwv_flow_imp.g_varchar2_table(4737) := 'D41EC4209408CA2086A8041CCC0087AE7D4120B14B56FF13448404EAE84691D96B8B1FC6F0843274AD3D90F496248B078024E60D21B12886BE00400351C2277902F980413E70821930610A64A052E386310C627C2996B5A4DC31CD345C3369844D0DF1DC';
wwv_flow_imp.g_varchar2_table(4738) := 'E74A174C621AE498763A4844A4DB3D4D10220A4E00C0073270021AB814000660D20134254AA054262724F3A6A428D51E710AE407A8915F5444D51A511D21A6ED14486C9AC0056B012D56CF398B406801006820E413E42B4E6ED4301BE80120030F3348C3';
wwv_flow_imp.g_varchar2_table(4739) := 'DC2243FBA110303410029500DA15474C71A660218FFEE0F3B22096D8A3A38D24B8CCE386061E417E7E19555450134F1ACBB39EF6CA294F0FF289788A0130897AA860043243E950818628340895A8FFE45DA81A445FAD72440F3588D5AC0A9151456CCF11';
wwv_flow_imp.g_varchar2_table(4740) := '4B6B0B4300000400F0804140F00213C0000600F81B9AD19A0483181241069104000E21104118289E48ABD01EF4F09F3D33284049831A211AA40706C5512048C05A25E2B0D81D03006D0593EC11F0A02F4620C22670B049A5C5E3874858326E733308B74E';
wwv_flow_imp.g_varchar2_table(4741) := 'E62DA080766FC530C84CA699298304E09A9EE4EE9304320300F41100C77846440A0CA66402C0960739E6E79ABBA686287797BB1C48350862B98E40F7719063A68A0E6238DC79927799F22421E511CE4769131FDF0600381DF9AD172F850B4B498D105EEC';
wwv_flow_imp.g_varchar2_table(4742) := 'C7831C01C2F76BF24116A10600E3C12C22D6318FE18307057BA109CB3A1860904563FF0CAFF6C725909FC66AA318DA5059831475442620992D7AB403C5A4CE51B69C321AD248013016588A5B52F3300EC4B3A64DD51E3D21136081F44B36B272A1520513';
wwv_flow_imp.g_varchar2_table(4743) := '8573028D3A34D0B0419E20AB1C028738C5790C5641B65522861A00291348690562030F28410945700110600002136C400226C0BA0E76B003ADF3800700E0015AB77E832990280775B0C21E6424A343EC61CE0269FB9C2551A0A22548205303901805D257';
wwv_flow_imp.g_varchar2_table(4744) := '3E13FA0C64A881A1AB00804ADC48B166F8022163F7AB81331200A9803C00E4032D4A60758AEC4D317CDEC3196E150F49FB34882709307A0068CA76076080E142304A51521BBB046619320AFC8C5ED772236732DD412AA24B838CFF0ED9BD2F48B281EB6B';
wwv_flow_imp.g_varchar2_table(4745) := '83900400C488462CEC600983200000D8C49D4044190002B49651DBD449D24BBBDEF272E637FC44C88C11125F76C28F3B0E5F041FEC40EFEDE014689F90153F03161D78D610DE425E2A42308CE1650D943697073147502DBE08403F888C01320876E08903';
wwv_flow_imp.g_varchar2_table(4746) := '4A317ED887A2680B2E200B372B8D2A3A27FC1231A0A1B745708EEDD8A800D337B7E0379DFBB760F123F54996D4A830693338834894AAC2A11F8AA85B990D8961043FB0852A23BAAE3208A43B084FF8050080003348065C8019125B3400D00200C8011770';
wwv_flow_imp.g_varchar2_table(4747) := '8133AB8A331B111D700140F9321040812F432B246033361B8333F80FBB03004B983B4228100E11080A51A30DA11AFF0A31348188044F780333B0A3430AC1FA4921B1C80557001A4A70B3CBABB18FE92A7E204483500BB80280D5331C511A3DD28B00A0A1';
wwv_flow_imp.g_varchar2_table(4748) := 'B65A8B821539812D1186DD1289C8C99383A01CD22126E5129DE0831336A19CE3BB056218868EB03DCA610664E8ADDE32923734806A5A23F8088000308832F8876D23C447E109703B8F2CEB87B9712C39A00DC7821EC0203F1763B78779A728E02F6891A9';
wwv_flow_imp.g_varchar2_table(4749) := '3E780E7A039AB8388B2ED9A812728B83094481A0920C6B9FF6819FBDA0288A1940F0E30E3F900FBDC916054C0F83F816C94008383088A5B000F20B0CE8B180774914F9618E10AC27E75830755483008B82F239063E948DA6FA2983C8126F6437700C8C70';
wwv_flow_imp.g_varchar2_table(4750) := 'EC3FFF948338B7000BDC38BFDDB8051D3C3AB74099CC2044CD60864AF805339000227805DA03005BE0435770855700805770855BF8C84690034030033310081F480217403381000109D0011090C233DB01B40281312BB31E98822A48832A50BB3D503B00';
wwv_flow_imp.g_varchar2_table(4751) := '71B49FA94543F322421B90373C0833A0C025048056801194180CC7538B8348055A70CB7A9CBCA2B824A0C19B83289E5440923E001624201C5A6C444DE11D0C580217322C1A58115A1B965CE013E9821C6428C54EBC0682181DCDF99CCCE12581883662C8';
wwv_flow_imp.g_varchar2_table(4752) := 'B5E31B08DA5B1DC9393E62104D0000065ADB043AE01DE703002710B4D60200EA63967EF88CBAD1099E303A5EE4877F608F8614083950037389AFFFE06C918FF3A32378487D5305E3280E3148489D12886F100868A01580D98E11CC8A83E03F713C88981B';
wwv_flow_imp.g_varchar2_table(4753) := 'CE77791782AA8D7314C0FE8A0B7B030B3F10C07DC8B81DD9897834191CA147ED290E39708490ABB9EB00280058270BBACF0CB2CEEA10839DA38D830C05E82C0B05E337DD1082F601280DD33021309B1529B88243086FCCC8FE6A2A29D01544B8C1F2D08C';
wwv_flow_imp.g_varchar2_table(4754) := 'DDB44B79481942340F66983C2FCB9E5090055B788516A5C99879055A88515A70055080515A488598A98446400825F08126443310F81B331BB32F43B327BC811B4002200082304223BE5290A1F11031DC8F4AF0C938D09A31A0C021FB15128184B534085B';
wwv_flow_imp.g_varchar2_table(4755) := 'D84C8498227BF80720010ACC009AFF92B194423C08FDA0820F78AD4C213DD39B89D5239CD8720B5AD38FD853A692A0256083933429883729544E842E3309936700135E138846C5CCFD1084673288489C35E4293D812024BBD92647D28783A89471D3483C';
wwv_flow_imp.g_varchar2_table(4756) := 'F8828421BF27480DFBD24FFC4C0161891683380B3538AA84A4218310211D8B3F84E80A97EA3F1A78979CC39F2A32BF8C14CFEEA992F4A3A8BDA047F3A8078B138878AC87473A538140035239882078310A4A98D65855F8C8208410032F302AE9C8A92ED1';
wwv_flow_imp.g_varchar2_table(4757) := '31BE48D0876C507004D65AC3CE893C08EF84183588A873240F8693290E450438C8C1A13BBA1EB1CB501B0A8D03805BA811252803DD80839891D1DE93855FF8851C1408170D42FF83F88DB6C42481A01513018038288314A9821C603381A8422F93000908';
wwv_flow_imp.g_varchar2_table(4758) := 'B343C24A843804337490FFA881359A023A9A192D602C33D08232F0854F1034820196A47AD501E3C369E0865F285AB0788332DD09D0BAA4E2092B422CC461C0CB4A758B59CCD483D080440400D4DB5A2B19A597A00460902ED09CA55E83AE3A6193602AAE';
wwv_flow_imp.g_varchar2_table(4759) := '3A898645C513CFE435CF8CA5471D8961F018009004491084D7E35BAAA553E028197ED82678402F2C13557DA1A02FF882A6D8386CC547968A0AF9999E5A1DC0000BB0F82A1F8438D7796B0E050B8C0CF855712C010C1382648150C0808276ADA2007432EF';
wwv_flow_imp.g_varchar2_table(4760) := '8011EFA804F5D4B86FD10C9F6887B929C44DF50BC73A08D2E814FFC0889E0A44397D09C145D09F33F08BB8988D02750B03350E1C23D7D59A482A819F8053323FF24E6151033EC821C510C099520E8941043EF8487FE51184D82AE3992481480600C84225';
wwv_flow_imp.g_varchar2_table(4761) := 'B8821C208D21500A2B08023850060078D8879D86695886E3F25F6C608620CC413E0C055AF9856DD80669C8DF6480585CF8484F7819ADF1497442013A0380BA0A348370100088A391558597F1C9AE21243D3ACBAEA002F5614883305AA2FD0596418892F9';
wwv_flow_imp.g_varchar2_table(4762) := '87790058BBA12436855A20311230E55A81B8B608983E8378C427113DE9239C1910111989CE460513832845A039AEE67AE2690809C91993641308E00A098258546888366DC8223AA8030D118833C010812063FF560B801798086D12DC47111EC36D8F6FB1';
wwv_flow_imp.g_varchar2_table(4763) := 'D67C3408C59D0DC7A58E9832972AF95E8134A127E0C88380CE6F10A172D895EDD015F7691FF5C9B0F4499CFCACC8712CA8786BB8EE19CF83688BBD088578B8967FA807057CD69EB8DD50335307F223D2080235586500C0D67CB4006EE5D28DA38D0313C1';
wwv_flow_imp.g_varchar2_table(4764) := '007D21DDC0A977D8A911AA4696AB552A71215B834849C65E06C520EFC52AF2688BFFE15046D80EF3AD611B668F23E241C9F1000F489135E88238C002636C0A17F00100580569E8DF699085FD4D86645806655086FF5D066AA006DEAB88694886066EDF7B';
wwv_flow_imp.g_varchar2_table(4765) := '060069100869D806DD5386553888034990962D9001B13BC4E1583448422DB5AB71652881E0C3FF1C7C05617806A205006E3088A4B5E19D00004C09D8F70C2DA8D50CA93D88BF99D36BC3266BC3266A73B5E83B88572A3E96A9BD865036657B88362193CB';
wwv_flow_imp.g_varchar2_table(4766) := '0C0957641364884CCF74C958C213666026661263338A2332200356A82BE92B3D4D11028DFE8C37AE944F0555F500E9B780B1561608C50D8C989AE52A0264EE61390048078430500F0A98D9C855E0ADB5EF0C56E0C5B0D49D48FFB3E426AB8DD930473FD0';
wwv_flow_imp.g_varchar2_table(4767) := '978C032D6EB1DDB9B187928946B106802F60E5DF04A85846EC7391161E73045BAEA77F396B0028075E860FB78E95B7E040A0AA356129DDD385829B4BB271946B0C92162A038BAA7283A0E3D76BD9C180DDCDA1D08C6432010930880EC881FF71F66D81A8';
wwv_flow_imp.g_varchar2_table(4768) := '84FCEDE76CA0866C8867625A0673068064E85F629205360986E8068060304200F8857C168860488692C8D1994108BE2263419B109488A3BE223100E89A25E4854F401B224B2A84F8850223366470B8D1C294492A9E249287FB06126E0153114A9E0D3800';
wwv_flow_imp.g_varchar2_table(4769) := '977A448178C410082F43F1246A938925008B31880523B95B4475E281C008CD81938A080936C9BD6B8806D0E42D3411EAA1067100B8448F09302648638138630D813EF8C91691C9B2FE068AECC3916F0998213017DDC0033070E5DF945C00B02021F08BF8';
wwv_flow_imp.g_varchar2_table(4770) := '826C99DA206E546B00D846946B487B535784A85E3E8A6470040C881116EE0DCF27532D97F30346688B898B9B7BB0B8FE2EC4FFA2B01BA080E62F80EC2F0083820428D658A7E90916BF98348AE1B1B3BEEC5911C1DC805E5D119686CA39AB0956F82801D2';
wwv_flow_imp.g_varchar2_table(4771) := '58E68360E6ED6816004004B1C8414931B18EEE41479A5681F83E26828171C60200104A26CC811CE85883908665000053DFE7535775E342756A30755477E7EC160881060023C4855BAFD846F802133883C14308824EC3346A22C4B1024840C25C54855D38';
wwv_flow_imp.g_varchar2_table(4772) := 'CB5F49A118D53D81D0686A9D221E9C07CC480F1EE4414722CDFF2E046C32006AC3A602279C0C201C03D00095862D83E8832C0ACDC77936B74093841808609AF7522CA631992540F535320989273608BB85865498029C9BB5D7CB1081C02E1A2894F2D187';
wwv_flow_imp.g_varchar2_table(4773) := '5EBC6A9F0846FF8FE68C574858FE9202C525551EF71413AC397D048B1D02E47A0AB06F758BCBD695288FC8FD835713BCDE83A855002AD611B209B8310FDD6C07F888D69DB8B86259839F8A727D540E4AF804A19FECC9DE8DF57BC8260764B0703F7B4308';
wwv_flow_imp.g_varchar2_table(4774) := '0975577695C870DC3F649EC81B9216D68D376AF9720018B093B1CDF3750BDFF989B9548B30B1BA5A17881CE8742614CA2028F557F7E76DA006BAEFE7795E06CE9906736EE7781A8555A0499AFC0523E4432A78BB43107647FB8FB7030055B00354EA3284';
wwv_flow_imp.g_varchar2_table(4775) := 'D854308A02B40416BF60D1860560F9BEA86CF2684C69DA1B0E2DF5D876B4000011E95A1F16880DD8802AA245EC5C822AE8046028893D6119D0840F33B177FF84B806C9799369A09387E82D182E5860B8055BF8126878064C140860B05B8A648219505DA5';
wwv_flow_imp.g_varchar2_table(4776) := '1A4C2188005AA90737CDBEF48AF8F6F88C8F044481F07125071A0D758C03E331F40FB0E3348863E029F73F081E2F97AEB87213B4F2D19D5EE9653780C34F880308468E001004C0A8201F35041701E0C3880F007BFFFEED03F0EF1E3B7EF9F2150450AF1F';
wwv_flow_imp.g_varchar2_table(4777) := '417E2009FA51F305001E302957E239D9118042002EF1741CF8D20DC1422F77123C768CA09A453101080510A509002148090AE958A244471A4D774ECD6094E04047020F1E04E0082200316A6C76B4C7EF2C007AF0F875640BA05F3EB62301C42A28010580';
wwv_flow_imp.g_varchar2_table(4778) := '4A8D300188D3254EC11C0583010846ADA334FF00D4121FCE266D9AB4658B971554F632583282BF7896D1D187E09E82540846030D0011CF2D3CCF108C028035414A056D01E0968DDB34DCD008BEF143702E80796F0BBA05708FE0C78223EB12741381E001';
wwv_flow_imp.g_varchar2_table(4779) := '020408063850D0FA0104D00118D8BE3316B38EC84897E609E0D6CB6BD59E4DBB96ED5AC1F604AF4D9B4F8C60F882B1460103C00C1934E3ED260C00C30040E0072710A4200074905190186244D1D40B04D173963EFDC843903E1B7104C086BFD57320008D';
wwv_flow_imp.g_varchar2_table(4780) := '1004874D64813110181D0D55104D05C9E6C8278E386247413492B5D33700FC54D05034E1F1846B3B412104144E0100555252014043524D9520C4945E19A49557025D09244A5EC151E244FFFDB0F54F481F16941C006815F4901C565AD9E24E0A81A1468C';
wwv_flow_imp.g_varchar2_table(4781) := '5E3942C92778EAD9118E04D5F8D227047DF3D32731D224549D4D35B11494E611C4A4545052F9E492253C81075803C9B6E68E3801F0A51BAF84A4515AF010740F476EC1551C4175D156900F80158445411D14E4C92800C8D21161AB24D60D35D4D407C032';
wwv_flow_imp.g_varchar2_table(4782) := 'D21C264D30CA289B58619611949832C96006403295ACE085250595B1491F7D78824D3975A59146155330D1111A6FBC840A21E6C9262A7A00DC46D03305799AE66FC1B9D35641F78084E67004169484550110444000D30160DD4E0A6FC700004DE010021F';
wwv_flow_imp.g_varchar2_table(4783) := '7774820CC60612345EBD8E76544D7BD1D047DF7CE98DBC5EBDA555530D00FFF06DCC8CC6E7BDC4C00C1800300300498605C0273A79D1840E679E2512871DE6A30F4121BE35E22D8C70C5881C8EB499A3905D9AB723CF2FBD18A8793F1245274C5DD2F422';
wwv_flow_imp.g_varchar2_table(4784) := '5253323955535325F5A4DA1DA9AD1525031D44161F108941101E3451226A3F7D57544F463BA1C98F3D00804290964E13D466565EA584779D0A0D94676C3ADA84074358FBE9E331DF84126850313144D0DD11176476414B2DB97A544D562A44917766A5A5';
wwv_flow_imp.g_varchar2_table(4785) := '5636A9C145437586B4CF3E6CA9F592AA710DA7DF28D55861820B8211A43C002E10744541A410C66B418C5123CB2FB288BACC3600E042D02A8A25864BF80028C3EC2F9B4D839E110018A24A2DAA7442901D7D40534C47FF6974648616EA02A02ED744D391';
wwv_flow_imp.g_varchar2_table(4786) := '4DD1AB36BBAA4D47FC50097C154438FC528E47E6823461D425148840C2740C9630F3446761079B4E779802002F402215FD01C6308461208C01A063046199A35C064397B5271B2B0BCFCAAA110D9631A363E311CF3386318CFB00A03F2AF4200D9C700227';
wwv_flow_imp.g_varchar2_table(4787) := 'B0667478A2CBE7AA30BF7B0C4D436FD10716910622E58C086F5FDAC9D8EAA43B8248A123017CC922C4622737F9E81B5C1B94D7E854A7A23065080569DB9174B63A27F1644A6F539C5604F2A5BAE54836B61856DFFAF1370676647085330FD8E8F4A29794';
wwv_flow_imp.g_varchar2_table(4788) := '510A6A88C99EBCF2A731B2D1479F7B091E24B9881831E40948F9C1134E57A5A41CE9254C628AEA087229FF00C46D468943841F06C20531B881110B04C0B000C03B8EFCEE81AB1A1E5D3AB2010030CF51BA78D64E8C252CCB74835A3CF91E007E112C0094';
wwv_flow_imp.g_varchar2_table(4789) := 'AF303B498632CA008243A081205518D71400508C62A0E62549300400CA69863798C10C7778C9198A84385ABC8236D920482A7E318D69FC505D0B1C095B1C489C7EFD6B2E2011D8E10060308906608305918EC2A6339D034C1400D3F182558A584460A8D0';
wwv_flow_imp.g_varchar2_table(4790) := '40C3400631F2F342F1AC543E2E6B59CB6C783200E4B01AD7706147C2F34300D0E61631A3E5010E50020CE04C156ECA0500A021B0859EC58AFDC8A21695D68F2E56010052C01D17A4701297A8A18C0549255388E4A8400DC40E4309E08F7E74469480FF0D';
wwv_flow_imp.g_varchar2_table(4791) := '6F5603C0109E708427B4CD3C8D2A0814629923ACC40D6F0F71C41769F92AF9A4499164A2473B58859C914844968E52885701F084544AE109653C8255CD6825AEE9A4263C5B6B47723190D099C702471842198B14528FAD4D8F05D1675F6D924B44F0010E';
wwv_flow_imp.g_varchar2_table(4792) := 'A1F4432A8691996C648620C32C15F07E233CE018EE3E2000C14B9AC9CC518CA37B3B01C736C041906A0280BA0070EE75A9478DCCE082308909C62DC2971FE402E05C0078100036411400840600E9742F41CCE0B1D28D260A6574C52DFAD99157700371FF';
wwv_flow_imp.g_varchar2_table(4793) := '532023831392019F0A391D796832ADC2518976046116ED60083DC88327C4C40DA1D809C658D8C38FBD04862D6BCF3466980CF7804C3DFFD7B8C67F64460B82A474630020E24EE29542005001228DFA8C2D08442068782D4D591C0954A35A907F74519672';
wwv_flow_imp.g_varchar2_table(4794) := '25C811304BC61735C5356075148D0245474D1664371DE9518FF3B69018B9C6B499350F958470D7A9204575B08B0D1BB1D49581E8F617EC21483846B28FC3A669238D2C4863FD47A4274B16286EBB236B6774469DFCE9255E2394A13A92372FB8A6080419';
wwv_flow_imp.g_varchar2_table(4795) := '8292D5F6CAD521456D4592D25E6B27103FD4F6340070053298910C515BC61C20E19DEFE0011CDF1D73A5CCA90B1024C0CC97F8A02353230876B39B5DE95E171CDD902E74A5DBBD61EB9A20CA980635FE599FF010C37905A9C31EB245904398E70F002883';
wwv_flow_imp.g_varchar2_table(4796) := '16E2FBBF4FECA2741D71FF8DEEC4918E5FF8261BD3C88FFF8697506416C75FF9E21089623106EE208CA21D3198C3AC438005038005558044283A313F920200A9C23822C758EB32F8D487B0F099617B3C8C9F02D98218432CD07D76FA62F384E77EA4AB05';
wwv_flow_imp.g_varchar2_table(4797) := '4184B19B632CD5B743DBE253B39834B8588420A090826A006086320EC10232091B4CF8BC36CCB6353681DAD41869E4A81E43B28E04F9C10F9C322982DCF5AE4A17021E34D72550F433A20DDF0948FE9558332DB61FFFE0079900A0843500400EF20580CD';
wwv_flow_imp.g_varchar2_table(4798) := '71DE91C88275B25D0A85D0E37EA3B75AA947E97889E7B876C95132A44E16F8811D0180D9B4BB726D0519B3D9604713B03844277EE80A2D40819E1D9E0F98BBEB88A9FFF8458F00B38C3904290300C8DB11E509067ABA488C34A4F1CF821CA623AB876675';
wwv_flow_imp.g_varchar2_table(4799) := '09C2EB6D58B720D958CCEDFFD98D37D4405D87D05F4762A15E9E18E2EC8022C8194AE71A29D0E416CEEF863A9EC10857CCAB2B001666032DF2A17637F437196A950741481D8D5E873A418D00032280029CDC21A20048054F574C9B939286B53B5959414E';
wwv_flow_imp.g_varchar2_table(4800) := '5C2F137B7888387D298B690C3218088C758430F4472E40442EE8988F945C41F00EEF6C11ABF4033D8408D174842810441B24C2170481109CC450E8DCDAE813593802DC41591BA9033B5CD9850149DF3184427459DB58400AB84D95A00E93AC96D6C4884B';
wwv_flow_imp.g_varchar2_table(4801) := '00D64B6C86BC30CBB08844228D886245108191021B04FFC22CCC022C1004AD4496A3D0D5F1F989E584921D300459E19DE7F044DEE4CDE8948E0A0C810A00DA042445E241C5A411840EBA08CF7D896F1084815403330CD43F39C63598C35B4CC470A89AE6';
wwv_flow_imp.g_varchar2_table(4802) := '05D835A4C22BEC070094060A98004FD45A0EF840AD015B47F0DA4B748FB0F95AB1F59A737503EDB15EB2255B36FC13135CC126EC411DA481B415A2E7BDC41FF00F6FBCC11BF84247E4536B50418CA047EDF5D7333482127C411C4620412814811947F75D';
wwv_flow_imp.g_varchar2_table(4803) := 'D15C20C1458510C4380CC474440664000E100424B8C13DE5822D00C3290A51416C5834E014796C234FC850FED1D4CBF8872D94871C5A5C475CDC4E1C2041CC4F4F10C48A150452F517045684A3C8FF03485C60290402005C0227C0022C64204104C1D858';
wwv_flow_imp.g_varchar2_table(4804) := '124FD0D593D5489E202459488ED0151C41DC1D41201568B995EED81CE111040784D9A3D85F52D897E04D0054B84425B8C22B4C833950837565433724C6EA25D25405D8628D0A00E44A41CC0200006417DC1C4C545247C85514A4121E6C4A8DC8C69F98D5';
wwv_flow_imp.g_varchar2_table(4805) := '1871CD3BDC5D28FC8435ECC4E8600E533485051481CD9DA10878C01AEEC4A4AD211516C497780200BC423888030084437565A2726851D264DE426D9E5BB0453580C27EC4422C1857D0402100D41A41F8400E38CF384803247264414CA225020025A22575';
wwv_flow_imp.g_varchar2_table(4806) := '61A2BC1084152441B6A4811E505B7F6143C9B14612F4051AF48FF1018035C0066BC0FFA26BB88230DCC22F7CC339B8A3B931838900C02ED2A3803D10307AC45BF44D8600430BEE4447D5DB01500055B00058DC015211DC6C14114AF9470B15044E916334';
wwv_flow_imp.g_varchar2_table(4807) := 'ECD0FDC10732485C7958DC7DCCD82DF4C72D0843C615843916E081F44711D1652CA4425D88A730E4420B8EC73C4AE0816DD11EBE044016842970C24EA4923EADCD93E908E5342400E0C8E860C527B4A0E4A81D8CAC17CE594509A4C0197200EB68244F44';
wwv_flow_imp.g_varchar2_table(4808) := '016629199758450A60563FBD8A389C4336AC42368C03388003591E5811D6D94B8CC8A9B966410C0241F0453E260200B488574581F2D5C48E2064A0F4C9E690C56D12452881527FB6C60470C019A60090622400D4A0A39CD95751FF98171004047040097C';
wwv_flow_imp.g_varchar2_table(4809) := '0128AC987E01803AE0022E5493395022CB24D2BB05975B0E4F35A4022DCC25636E800BE8655F9847AE09E64E4C0F7455139C76CFF7108632AC5E36F89EB725558FF04412A88B167C011A6CE627B4CB6BB8863EB90241DC8238A8C334C0012D985BBD2841';
wwv_flow_imp.g_varchar2_table(4810) := '5F80A5D7FD0371FDA2BB7D4422D56628AC18C350474575D4443D07FA310C2574023CF9013020952DC4C23B16C811A5547868E30E69E34EA80C0BC1506944A7496D1C3110037616084752D0E614C4856D4A2C700D81CC194540D04B8448DF1C872E4C0F00';
wwv_flow_imp.g_varchar2_table(4811) := 'E441415C0241602B00940241244228800125CC094F604D0005E84E888165A1ABD588205BC5841AA8CD11C00E84B6FF8693C1C4922A9ADBB400EEF45636BD822B50433C5043AE648373E9E14BF58D476C1DD71DC703EACA4BE4812298C223100427708222';
wwv_flow_imp.g_varchar2_table(4812) := '702B00244257E0C11A74E025ADC84ED48823C40859700D4D44084CE85391BC20FDA8811DBCAC1834C1D924D9BC16C913DC8D1A0DE85BFD40198065387443367CCF2D48573280C2AF7484387C1FE6AD5A5A006258C6822D0C22414880B35D019A0A06F38C';
wwv_flow_imp.g_varchar2_table(4813) := 'C323F24474E99A59D6DE60F6DA741106362986EE11441A801E00480200F0823A7D064130016C1444B6C9DCFFF84267BE6247E0176916841F20AACC7881DA5AAA98F4627039EB488889891A4007E1268379D401A01F0124814E184119F4892D48232DBC6A';
wwv_flow_imp.g_varchar2_table(4814) := '110DFFD1AF32437E3C437EECEA330020CBEC5079B04CBDE450693CC333DCC7ABB858A8A994C6CD9881941C245C8D1DC8462864826FCD9989F64B5A28CD4B34A129D864B6028029DCE425CCC123BC671BC0421B3CC2069602C66E2B00E4A8A38C4E14A881';
wwv_flow_imp.g_varchar2_table(4815) := '7D9511D97DD9A11444535A8335E08F1D3C8117E4295024DA50F04156E0C197C86F418843399483ED15C436186D37DC02338C833AC49E45CC595A2496E0CC26F601C02C1C2F410C421674842988822238AF7C4E6C4170EB061684A8B882B7B6208ED8A895';
wwv_flow_imp.g_varchar2_table(4816) := 'D489DBB1D62E342541E00FCFF4C9DD4C12DDE9AC95C0811F0082CC004096CA5E35AC02FE4E174F29033B8C4338046641B0E5807D290070040C8DFF02211244D0E8A5ACE4A572994F87F24414CB9EA31C462FE09AECB51E161FC63624835EEA811E488226';
wwv_flow_imp.g_varchar2_table(4817) := '588225EC81200080FEBCD7B5C501B6154439710D14C0467D76C5A7094325B801F5E1D31DEC8398B8852F3252A6CEA698F4836D0240121C00E316448411440214C4061D4012205547D046AB3207E71A08E81650479023CB485CFDB5D033D45447381F4BF1';
wwv_flow_imp.g_varchar2_table(4818) := 'C47810D1ED9A9477722422C8C6B24E44F03E6BD6552A003CE1F1CEC2330DC2122A3041880226C8E74D5EB02848EC2D3B2100E8C236ED042A2CC4E8786F9FE9646411AA351C83099383369043317C821DE0811D40842314C240F4E84BF841DEC801234414';
wwv_flow_imp.g_varchar2_table(4819) := '9C0EE6EB01403C682D41F49639B8FF73D6FD4D46D859BF106E415C31412CF03301001BA0E83E4F4241C827413F42299882293C61473C13B78E0E4388F3CE5896657D418C5C9251B40B35FF08391084096F594374564180F49AC0011CD0F1348CA5384857';
wwv_flow_imp.g_varchar2_table(4820) := '3B14841E02C03A008027481730444266A40344BE841FB625E7F194ABC4C2F7B8800E385B5EC24A9B924287AEA9613E57378C83B300805113842C10C6366C03B3848F2C241B4B1644BB6882244802A1160413ECC114A4531C04AACCCD131AECC2A0A2D779';
wwv_flow_imp.g_varchar2_table(4821) := '89901008C11134415DED46139CC11ED4A75B6C1E6C0E4772D02621C39F0620800118000320C0733C0000F066623F4023679411BC4A7FD042E6F6C73476C42A7FAE4A15E272C2FFC786C1900E797228E750415483C6E50732686301A6504911C41D7C4626';
wwv_flow_imp.g_varchar2_table(4822) := 'E94728E4824EE4AE6F5144D899C78610CD6DF3B24213C42404421EF0857BF20403F77341ACA617BE562AF11954922F35A3C33B00C04693AF35A0C2E8E8045878D643D4C966A06435F11A009F264188833B1784594E973AE8C3885444D81D2189CE851677';
wwv_flow_imp.g_varchar2_table(4823) := '04F202377C526C04F7364130F0313F213894822AB402002C739C38F357A1041F70F32244C1577B034F784347E7C4377F739A41C443C8862CD407597AA83B073038B0CC799FF73A6C035896E54B8C8410E30B1173C43408222DD0E438EE4424E4245153B1';
wwv_flow_imp.g_varchar2_table(4824) := 'F700402FF482F51A263890023751067455063765ACC3CAC2F516FFC455EBEF62D6004184F1B4E94168005F1D0040118C817CC541BA19096CA05714404191CC2D41B442B69CC2293C2001CF83104F2012BE053F54442CF001023000612740064000417800';
wwv_flow_imp.g_varchar2_table(4825) := '07780091F2A67518C0650E276D44364FD10681A0D4ECE24766D4CBEAFA47CCA80C4F74324F8C2E8CB1907616C48CA990C04044EE7E023B6A2F445C0CF6F5CE42C9B2AAC837F216443F0B3730C3C2F2E6B702C38231F3C42E00805A3F5616DAE82248026B';
wwv_flow_imp.g_varchar2_table(4826) := 'B846A06C34AFBF833590C3AF1304B013041F1482B117C222E8844D1CC4AB66785203C0698AF74E9C261149037A18C2F7B0057BFFE29970294150064FE8423F07028ACA6704D7A402DF322CF4F333E9823EFBFF422BC4FBBA1045AD17847513041D44012B';
wwv_flow_imp.g_varchar2_table(4827) := 'BCC47473B4746F34C8ADD7C87E8548672F7A005B4BF3C43ABCB4342CF54BB3344F805D1F7A69804D0349B6EA4C16840E80C0139B07298C028F736B8EC7B734341710CF64221CD03B2B06B56643B11404BF128426ACED1EB44B94B3D758DB2D00C8B0CCB9';
wwv_flow_imp.g_varchar2_table(4828) := 'C12758C322EC3B2BA0C2CC0BE62208F8CC6F08EF90C93CEC4BA8C7E67124D29A1784616B474178C055A68090E2390088000058FD4B40ED3BBE8AFC0180C699FDECCE6ACA20670B91E34B308327276ABD6CD87898362AC398ED12485D4878429EAA238C46';
wwv_flow_imp.g_varchar2_table(4829) := '33F20C448CC77134D54E08CF8089045BE8332F236FA943B0AAB73A2F2F6F139A3A00308B2FECFF42AC83162A7474AC17041DF0BBB01744BF7744331C7D1C46F84BAC20FE9E833A9C43C2073041C4433C4C1724B28C3954D3F71882D71144D819F08822B0';
wwv_flow_imp.g_varchar2_table(4830) := '33118471038040F772E4EF732D13FF3E3FBEDBAA825AEF42E613C42E08B8BDE31541A0837403C03B4C37836FB4367484357C022A60CAC83A4EB1C359008F83EB9F430FDF9D3A3CFC4E247C418CC33F9D5DEFEFF61FCE6671B4384000B0050000335B2008';
wwv_flow_imp.g_varchar2_table(4831) := '02B882054B0E173900B848382E61C552BD4A5504B06AD9B86DE0C00148342A914682B2966D4BB86C99349312EC0090A44912A18469004CD9030049C53F7008BAA9C80A55424D8B0821B52329A69D454E01108A42304A4C00FB00F403304FFF23BF84F7B4';
wwv_flow_imp.g_varchar2_table(4832) := 'D6CBDAAF1F3FACB178308800208207822C08CA4801C02D00136C1320887007984093B4681114360C19C161159F117CB698203366CF1E038826597234CB263546364C2C2131CE260F0F06468C128045003E0180F4C9118042A9599458EB3A213FAF00E401';
wwv_flow_imp.g_varchar2_table(4833) := 'B86DF2B65682B374610E0E60D62C51A266C132052BE12C8DC383BB6C96D0973582D6011445856A97464D673479C3DC3D21F98ACE082EC2D3F4B4A5336700B83BE78EE039FB00CE118C0760FFBC71E2005847A36E00E886985100F8E72A05EF61879F7CF2';
wwv_flow_imp.g_varchar2_table(4834) := 'A9E89EB1F47BCE428D92238EB9DF381C0E005D7AE1653A827C31C6175F08DA4545F334A2233500DEC1CCBA53344207006300FFB0040F3C00E0D1344B0862073F01F313302178E259679E250108090095082C90A05B08F24D4100E0F18DA0DD6A03601A57';
wwv_flow_imp.g_varchar2_table(4835) := '008865145B460166946A000801B38A72B8629B6DA8B1282391125A25A1380120A5A2461292A5229508B2331B97B201C015B79602E0100004D9A90E2600A883A73DAE00008E38004003803250934A2328126ACDA45CD6C42AA179E8EB92207CC21AAB1FAC';
wwv_flow_imp.g_varchar2_table(4836) := '060A412F00608081051100E00082BB08E2C0035C2B4A22215A621988206002F30B80C39685E6196072292696D49C758C99821E8B2CB1C400282C9A6B4DE23631660B4A88D9738511060075D323089284FAE81135004AC840427DF42128372E09A2A72CDD';
wwv_flow_imp.g_varchar2_table(4837) := '4C6523904030FF732E215D4C3178CD0F3572292167D0D3C81A54269E18001509120400F1088A91461601C06E4D208B02809784D671671D23F1EB97BF75E289872B291332671B42BBC9461F05F76150B7082B128BAC8410CC63104C08F2F0C235990B0E96';
wwv_flow_imp.g_varchar2_table(4838) := 'E1C0110545829A99AEEA13519C7A618953C4F162F26204C0466DB20332A1567869858C4AEE59793F93048CB93E828C0C872269BA89B2CA8AB2ACE8B62BB3220841C18189854A4D01F0618B3521C284A28A4A4A080CCCFC5C33233B335AA617597AB91380';
wwv_flow_imp.g_varchar2_table(4839) := '6C9449C80D492421688F9D12DA69072B0802AAA2560038838C8440054088D32AFA86206AA061E40B2E9EE0428D3700C8872CAD50AD4DCB84EAD1EA7882C6FF008001825E20A82E000C000002001EB05E080A1260C0834C00082C166581E96BD96E992DAC';
wwv_flow_imp.g_varchar2_table(4840) := '160034A9889C640A4306DCC630E3B65CFC0BB2FFFECFD6A42E7601A00F772884A80A619A8478E11360D2C8846CA325A0B94C4B58D193490476B08A0407386B5258700AE50C6D38A31811D3C82E2C4622F8D12121E2E1D88DBCB6357478036326E3052FBA';
wwv_flow_imp.g_varchar2_table(4841) := 'B3090078421FF0A007DCF813A0244D641CC0005435A4518D4225E455FF100B6684B6BC35214D384963D806AF081C65140300DAE06209215691AC5903859F28CAEC30630C6BE0288698B1512B7671328D586209D0A007CBF886B22126241CABB019415C12';
wwv_flow_imp.g_varchar2_table(4842) := '0E82E46B6FF0E84A6E30138B57F86514E79BFF8C04160611C1BD090072000018C09088C969726B0401831C2677C939BDA2147ECA462F7E318D60002018D320082050909043D8446304990200D2B0044A11E40F04F9021A3E610DF84CC57604B91D004895';
wwv_flow_imp.g_varchar2_table(4843) := '0B5790CA4BB2E0C3111232064E65851FC87387967633A18A90E5362F30C0F41280BDB550000004C01E03121081EEE52A21E424C82B52419064054618B6B0273086C1AC5AC6EF0018480D32A051986E2183A01571CCFE00A03FFE818B33CC02E0B1D6250C';
wwv_flow_imp.g_varchar2_table(4844) := '6048D4116AE8C3BB1C719A78F5C82AAC6942139E40907BE0AB9A5B320922B3622A00B0210F2B5D691748D0852C0C821348738EC23A98B49C56E41A08122117BB085412ED426B04295D42FF689490189287155DAC113A9CB10B559C0C872693098CEC6192';
wwv_flow_imp.g_varchar2_table(4845) := 'FDC40D664A3A4737CA310ECE08D22584E287827C23167E01409B26998346B220D32C60E212CDD920709CA3B48A0443A84E2D06D94E0880EA988410AC486A27C5A611132684AA3B61079200F04394BECC248F7B9C948811127DF8A61FF230A4DF4C324100';
wwv_flow_imp.g_varchar2_table(4846) := '0C8E4C04C1850E24201182F82021AA4D08A03412CA4B468E2095004017109B0852522319005886325459911D6006759102C0703355912F7CA16400A81D1484503B93C8E21BD9F8052386F0842470C10B9CEA873DCEBA95AE7CA555C7D3E6371F604E7306';
wwv_flow_imp.g_varchar2_table(4847) := 'C09CD8030002DCCB3D8250E07A803154B134C2AE6108E3A10409852CA131FF508212941805BD16333C83506C1994C0CB7A683EA90480BEA44F18F124E08B16C107826818009448A01A8480030294861E5ED90D97FA418F7D6945A58F50040026A18849AC';
wwv_flow_imp.g_varchar2_table(4848) := 'A9A50030C5C2F44A10508C30215E042C414E7622EB4C2D7EE5990E0EDB5811AF850DC84A3546774486253C06714DD230479300800B825423744CEC87137F26DA2702401FDA54C499079190490C82601549F38D6DAC300E9904697F0500177D2C23C19E08';
wwv_flow_imp.g_varchar2_table(4849) := '7E04D14451AC0332AB9A871C26298A31928CB2DCFCF0870BEBB232AEACE58480A31E9BCDA3DF269B906C180E00B728D3840190831500400B660080A931238A712C4324AFA06D494041A7D156649109A9F59C2A07006AFF64831AD290C6360AE5B084E8B0';
wwv_flow_imp.g_varchar2_table(4850) := '9626B92500AA4010345C619A2F2248139E5D91C038D04BBF0080124C025E7B28882BBEC14736B532A1E345C80DEB4D4800DE6BCEECAD3B7B11D81E41BAD783480CAB7C120E93B1D6359003DC128D3E4A48400B3A608210F45AC43868B73E432E7235F433';
wwv_flow_imp.g_varchar2_table(4851) := 'B718468443834F48C48B0A88304D21FAB08845B426142FC283180892BD41DE665F0B230B5636F4084E5CC21475258E8D5D9E6682CC78E5A20080CD6DFC1C34DDB922DEE0E26251841EEB342386551B9131788123AADE88E9886DFA613BC9B242114319E0';
wwv_flow_imp.g_varchar2_table(4852) := '088796F1A612429205CC6B1D739913726397E79C20311FC48B673C63977302E726B960317C4EB61F0B96FF4410B34633166B74207727E972ACC8DC09829E271364F0D371034A330D8076B06C1D5DDEC6658366697DF5AD3689EF566D33413E4300A097F1';
wwv_flow_imp.g_varchar2_table(4853) := '8224412409FA8601CA49796B9238763DE9274D7A1920A18638A6B1EB384D631983A2862B2B220D3E2544127B28B646600082225801DB04498D54A4AB1166022014B2E0C634ACCD852328C10BDD0580B6B97DCDDBA0786F263D0203D6491074C717010630';
wwv_flow_imp.g_varchar2_table(4854) := '007CCFAFBD761A8620E47385036DA1BEF379800218F8801ED802003AD8810C76F8E7C00BAA22046AC112E23106B05BB2050088E13016B0D312425DFAE205BC0000C48012FA0011328C8014880F5A430D68A09812421F2208912628C5E4C1795E8520FF48';
wwv_flow_imp.g_varchar2_table(4855) := 'E1111EA1E54CA1E5CAAEE59C63122E61EC664ECD9086133801007670617C8EB14C26C9780CEF02EF46F20EB116CB3C44A61D4CE21CA66C40F8482588215F860600D4CA24BE8E900842EC5CD02464AC2214011366CC247A501442676AFEAAAF30633AE46E';
wwv_flow_imp.g_varchar2_table(4856) := '618C2162AAA6C9D6C41BA28CF0A822483E2B40F0431D00401DC6810F13C2B65E2BF2980833F8C1F222C108902D21A6200798200E102496420DF42022F49A8492746DF576871A00254EDE04B67627132B22F5A4C195944119A40115DF690808A8C8F6E0A8';
wwv_flow_imp.g_varchar2_table(4857) := '8C8B0798400236C00358D1062AC22600200AA0809808C2150223596CC1F9AC0D710080757403BC0862665485AD0A512BBCE208444E23FF08C0FC302302080002022001E8EF0634021440219ED8C50B108003D4691A85000068000A9CE003CF67300883FD';
wwv_flow_imp.g_varchar2_table(4858) := 'D6E7300E7032F207329EA130986530F26B5DC66003008007840200322A81DC403D320E00EC200A4A802066E38722C8A40AF104ABC9376681AE1EA1226E0CCEEAEAC5640E00A8E8235F2C210681A600A013AAA61600EB18BAA816A6C61778C1179C210E09';
wwv_flow_imp.g_varchar2_table(4859) := 'A218A6C31B20A6194EC6845E68B13AC62470C43C922A1EF203331EC71C9C842042C261E6CDCBB2E20A35E2EBA4E81238A10B5BCE06C7F0CC08E2C5C210240942E6F4E47D0060B1EC0CC8B206009AA184BA083DB4E1073103F0DED0E9B6263F8A3221CA01';
wwv_flow_imp.g_varchar2_table(4860) := '24C0416F222DF2AE442BFFF2704B2C8F2E88600714D1056E491123CCB52C118B540F1C54021CA8212909E231A9A11B28A91B64CFB77C0BF77E0B00BA8C20AC2D18BE6009FA4C126A095208A22700800224000892A00552009A00400DE880176DB322A864';
wwv_flow_imp.g_varchar2_table(4861) := '9142E115A0C1F96E01109EA008B8E00B38851FC08BDBC6AB10A3E85F14D124D64D23AC110108209C0880031E60076440C202C3162C6C0C928003B0472F1E8001DA0B0066E0044EC009A2C011B8285D0468BF280CA268E10001C05902AC30228319044AE1';
wwv_flow_imp.g_varchar2_table(4862) := 'D6651826EAF290600209720313C2D9A00D004EE0BD5C86E47EA622542C2114E41F60410C3352236AD0C666ACC6646E0CD36E2BC7D0249B92176AC1EFEE8C17A68A3CFF46846A7A0C08D7842D67726334421BEAD01AC8E61814048F2E2B2F0BE4D730E30F';
wwv_flow_imp.g_varchar2_table(4863) := 'E22012762670FE21ABF8A1AD4C025FF2C424EAAAAE7A70127A50CD604C2B618C20A8680C2B4215DEE7078B4A85EE2C4559B218B654B194ECC70A4D3C84501534621DC6213FCCE17174341CA4011C7A2BC2362F1230E5879687F200736B8AA02294400920';
wwv_flow_imp.g_varchar2_table(4864) := '420B3ECF07588B205C6B103D87D730130A3DD3D7808B50F084D544B12242A75257097A68E2AA12425296A00656D39DA8A229A0003E08A21743CA50128211FA041A622D28B624AB963139F7A67902A722CA93200EC000AAF156A7B19CB48702868B0F22C1';
wwv_flow_imp.g_varchar2_table(4865) := '0DA629DDCEAFFCF402FDD06D2D9CA009E0A3168CA52FFF207059F62B9FD4073134023F21E37EC8E501252A9AA02D350A2181E645230ED45E0C80472A4D377C835F54CC7900070014E11126E1116C50236ACC4AEBEAEC6E10002E61243BC1106EA8153641';
wwv_flow_imp.g_varchar2_table(4866) := '150C163D487445E82E450902275F74AAC6726166521B6CA4D0545464B4A11554616520CF3201E0D75C420A035170A6840AD34A37B0D037246F4A59B6EC6CCCE664EE5E634C495F4763156B445B416377018ED074A82AE2E7004015349661195645678820';
wwv_flow_imp.g_varchar2_table(4867) := '002F6434C21C8A322F3D16D83EB61A246DDE06678722AB56FDF29016260988A008FA340920A239014002580B0B30A5227CC0053A800DC241251C46D85E0B4012C2D77C2DF52E5313A52119BAACACFFA6011543671514F1142C0116018009708209740005';
wwv_flow_imp.g_varchar2_table(4868) := '00B222D42064ECA0367B110AA0CD0BB80000FC80202CA91284E1177AB322E040554D0C3901279B0882562BA207CE2D7513C21AAD3102D00D01B6F1B87E40BED4AD2272950076357B0E00003E80984465A2D24530C24478470319DA477F8CD778AB4501F7';
wwv_flow_imp.g_varchar2_table(4869) := 'AB229AD7DED82515C4002E2AA23528A113000011D6A32232000310C04744B0A450762235428A46D25FD1D7C6F2C06816666627C14A15A1670100762AC24437817E2B42AA58F43C084215E2923A34428E6CE43A6812855A210D9608CB846D9524ED165681';
wwv_flow_imp.g_varchar2_table(4870) := '182EF548F7A6EB44CB1907492B4801EDBEB05F67EEAD68702BE5B54201805F134211FFAA967ECD862074087F83567F4DF4646AC11B7A727F17866CD06180EB3021D20110271300F496208201175E6115B4EC143F93792CED4AFE727C4DC21060802092A0';
wwv_flow_imp.g_varchar2_table(4871) := '4F418F082A022126B10342AD030AF5B5E0562328E92340F14FFE441AF02421702F2142A70C6CC012748851365552667103404040D1800B70C71741A509A66238D5000D2E97125EE1166EE1174041FABE000F6CEBDB60B5DB9A519B68558AC44F756D3721';
wwv_flow_imp.g_varchar2_table(4872) := '60B7579FD821E18B1ACB8900D06D7A3C9520FA805C91895DD4271740E17CF04B018B77872CCE10100111CE273020C11020C10F3261A24243C206685D00E05429C1111C2135FEAB1328813500C00D402E2118405D6D437CB9EF04FFB3225E35E2C55CCE4A';
wwv_flow_imp.g_varchar2_table(4873) := 'C1D0244AB222E60013DA2C21D8D86CDAB8B9E2681750017F610745BC8886D15223C4C34413021DC8E18512421570426E5D228203B11136EF4705B1B600A02909E21FFE613FD68A1957F62B47784AADD90B41782BBF5011E6C04A35014852982008363B4E';
wwv_flow_imp.g_varchar2_table(4874) := '0176D2A63C349617BE886CA603622B625176E126113646896EF008820A08C2633D139F01A01100A1970060F312C2133CC10C10E4913B6B89D74A238CE06B87200984C50A5601213E8F20700B00B438223C33293FE24928C9311D53251EF38B29D5254287';
wwv_flow_imp.g_varchar2_table(4875) := '8C5969523F36102FB9747C2F7500E0934D405834E27177317209E2091AF70B2C9711E4C0C21609AE01E00D4A2374FFC50BB4448AB38E478AC60F000220B009A21A1D12DD7A3557442EB12B02DD7800DAC4202121211442E11DD745A0D8850F32C116D4E5';
wwv_flow_imp.g_varchar2_table(4876) := '3338C313282113E209DF30831F21CADE08021190A004F02098B197B2B1F71320E15DB8D757474E5F16E61F2A322B60810DB6E67C4BB8A1199A206A0C00F6E010905B23A0AE223461138A8245D8528E36A13BE4797E7D613AA42A09116DD840456A4DEB82';
wwv_flow_imp.g_varchar2_table(4877) := '30A311FEC010C87BDEDEE00D8A7541AEB6992BC2A0F36515DEEA9AE17710D8600EE620CDE600B835224315A111B4A0F71625472C5A874EA18DE1A8AA0A7C7E5FF8BA8B5687844A103641879A014558B88B10AD3BC883073C014D420717248D9712824F30';
wwv_flow_imp.g_varchar2_table(4878) := 'A511FF22A197D07B0F46A1D2FE1A4BB416B188208A8565086C0119D3768B13A250BB391579F466AE3A242433F71C661B54F163EF19904C22C2FA4C106AE970E318005A8008A8B8456CB3172B4255818211A8AD1180872036CF386F83912592ADC2E2AFBD';
wwv_flow_imp.g_varchar2_table(4879) := '02B9045BB0D18DB02B2202D6C21A01209CD809BE0CBBB0B1C70022E0057AC20B1A975CB1371796CF6ADDA00A8E002E76D9C1E8311EDBA731EA67800EE33F05425D78040754033542A1133AC1D908420D2650083020021080C34410B78BC741116968B422';
wwv_flow_imp.g_varchar2_table(4880) := '11EE1B9BD18C20D8A024451284B31900DE2A10D8200DAC6027920D00A2479608C2124E813B2E6613121C7FF92E8C00A08D35C2269AAB084FC86CFF202519ECA4112A41DA49E1C3B5FA8833A50CD0A038AF42BD75C336822604F305D54738103CD2A13FB2';
wwv_flow_imp.g_varchar2_table(4881) := 'A5805BBF3F52D6DFE0D66327DE35D01202DCD775A8AA847D133401625541AA64D264E4774D60A7C2DB4813F6003E0C015CF8844F2EE833F1F9BC3905D5C8AC4A7A5A2EE9E2B800C00880808A8B20079EB829B1784D580B53BAB814562123389120780DCB';
wwv_flow_imp.g_varchar2_table(4882) := '94727754024FB89A522B42D2942119D040D26982700962165713006CC006D231218689CA35C275000010FC001076A811CAE04F8F8053B0AF10C31C2CAC706B06FBCCD94B2376D7390172B86E157B0E2000A607CF67335E36CABF0812E300800A5037041E';
wwv_flow_imp.g_varchar2_table(4883) := '400336607125AC5B016818026A59FFF4319F3442EF75B95BA98034659B20B097204439DA1C52C3EAA199B5421EB430214A5D4B0826BEBFF27CEF35BE0721D52F9F2008A6B893E0D86E89340982542B4287FA3D3B4C22C21F663AD046230E01FFCCC6A313';
wwv_flow_imp.g_varchar2_table(4884) := '42F5374117790009B46064E75623E2E00DCC60DBA7C90DD0207A00A767D4AA82BFEE36DABDDD83DBB709E2AD323F21BAB9B873822796400748132792795124C112E088B95718155698A8E410006A21622A9C7EE50E87D0740FA6800774405822816A9334';
wwv_flow_imp.g_varchar2_table(4885) := '500842BC952D2110275E40411FF6C1D4010280C08100F8C92308201FC21F04930844334A4202005B06620180C5870B003900480327105C2284D9064ACBB66D9BC0917204060BFFA60CE1C098048309A4A903C0294902990C9C5203C0060E3064D82048E8';
wwv_flow_imp.g_varchar2_table(4886) := '0C802874A000700AC0D0C037080131A24A2485407BFCEC11EC3790DFC07B6001941D784360000200D81258DB76A00199031FC80010008001B60319E404A06620244800160DA411024006C5425788405162A03060C38601B03C0C1934CD9A050A0380ECB3';
wwv_flow_imp.g_varchar2_table(4887) := 'E581A33FDB0250EC582D2F007810ECF4C9D160007DFA28154803C0890802EFC9143B10ACBC7F67570ACC43501142E500E6049A83900D72E96CC208F431A5CA142A03FF325902E04C9D81AD04F212A869130063003669A2DBCA97406D74553523BFE9100C';
wwv_flow_imp.g_varchar2_table(4888) := '0E0052A80000440E4A54249019661408801968F4F1861B6FA041FF1B0065B851861FC1F1F34F3D052944906FFDF4A38F3E0090D2DC20D0093408419708045D8A79E43107720451275016530844057748F0E09A40370AB4C72103F1A20A009A9CA29E7C96';
wwv_flow_imp.g_varchar2_table(4889) := '00B02400CD38E38C405102E08D404212D21E6A550AA41E0E1E7860830D3BD075601F03A171871B6A3658C6406D0677163C080147109D4000302610470D5404007D76E0420E1D10B41100850E34CE36D208B48C40D40CF4E8400D60E41100369944503200';
wwv_flow_imp.g_varchar2_table(4890) := 'E0028032BF640A401246A80780246410C4C40612BC60C40D690D64D853043531101C6AA00121002D4C2510115B75F50F00F30010AC4074FA26507100BC0A975BCD0A64C05E03B985000013B120105F14E806FF4013ACF561D82276001002060299AB5B06';
wwv_flow_imp.g_varchar2_table(4891) := '270854C2062794F0422702518619419B09840C32990984D9689E7D36D01E7B102204003414E288409F005088405E44F10441E646461700F28888D070CA12F42200CA99188822CC957822425D64717217248C02402C00D4024A54000C6626002BC0379026';
wwv_flow_imp.g_varchar2_table(4892) := '92BC27D326C64479DE40DA9003402B7AE8B1A431C544E94C121F44B0814036A800C41008DDE9878502F501078300A041218502696D16861AD23990860285785C8C030502408ACD4D729C40CF4127235D5D90E28940A98442C9608401E0854F004CA147A9';
wwv_flow_imp.g_varchar2_table(4893) := '4C0EB4094F02DD778A2592CB14B440558E67C92EF20954A4401E0010C351402491830B2E1871FFB81602FDF1070054A52990D86E103ED03E151B7B509D04B510A640FF0151E88104C541900F3E0854C9402A0D3452C5E0242F10CB9D2AA3CCA28B0E64D3';
wwv_flow_imp.g_varchar2_table(4894) := 'A79D0AB4CA2FC92C0AC3ED41F909C0110C0D949440740C1405008C0000C7D7042931901400706121575E093BE757C9229416B7C4E52D0204C001008080C510802F03F941D404B22D81F0400862B0031EC085900C980B5D045157644220066090A65EA409';
wwv_flow_imp.g_varchar2_table(4895) := '0D3208A2AFCA9070208810C8786600052860A0097810C8B8C4A014A5D04A0838008010D085801A062758179389C63E54B141840C00702B1900D800802CB0210B602008168270C58B748120B47019221891094FA40214A120481D06963382FF940700A8D8';
wwv_flow_imp.g_varchar2_table(4896) := 'C4290EC19328596213A8701242C633A45A34833BDBE2400A5AF09F3E09C405454802FDE040BCB1F5C141F29B50192A74A10C154426F5284B88E2B10A36C4A84503814EC8E436902976018AAA130816A307005ABC8216AE00052518C1084F80E26F90080C';
wwv_flow_imp.g_varchar2_table(4897) := '0DC8A0873A08C948A56AD21A5BE11EF308648E00081AD1023610F92C8C3700F81C9E0492841D9CEE78AE639D40F850C33B00607603E1A6406C671600C88943F73048FF5AA7AB650D449A4600814C36D29181746423E30809004A0200711004242A599E40';
wwv_flow_imp.g_varchar2_table(4898) := 'CC018051E042198D020035AEA78C69D804261EA91EF5EE09007712C409034995C394F0842300C00ED658C4FAA20015825482FF0F6F0200FD0682CE5C890538C3D25D6F36261066B5652D6F41C85C00B02DBE301000221048C45AC383F6F1A1300813C801';
wwv_flow_imp.g_varchar2_table(4899) := '3498C175B16B203C48C530267399D1F8EB849781EA092BC3AF7A89502092488301D370060600400C03D1C3FAC8B0BEF501800934C88D40AA0500B298A5586813C811C162BB96C40D946F8B5B1EB64890539AD4075B90432512B18A55DC0200B91848280C';
wwv_flow_imp.g_varchar2_table(4900) := 'D1C28164023032390496B0341054D4918DA4F285364EE155BA44290D7B285A79222B10ADB4A06A4A7001F0A65620AD45F60E68A08A840642360C01E06C3219D687F4E19B4464C16E047984129D68918CA8CE0A00B0C21A06328A55BCE2340038CD2B5B48';
wwv_flow_imp.g_varchar2_table(4901) := '894C4C961264FF4D1C00425B073C02E01D592A9A910E718A2995CA6754B29C40D2B0A4CDEEB2990259ADD50CB503E00181B9ADB3D050BDF9C8C0002015FF334BEE5C4A100E01C006BBAAEF517AC7DCDBC97320202148291E450D71448A20CAD8A2A22A16';
wwv_flow_imp.g_varchar2_table(4902) := 'A90A4F635123D6D46201003D9DB002486B6D664EBC90848CB60F00AC681F1D403A10B20AA40C5F20C817C8768432440200FA13886FC33216B0A88D20AFC28B5AE0429707660B8203190378C04390424436611C14C8623218198A1184329219462AE42559';
wwv_flow_imp.g_varchar2_table(4903) := 'D18C1900C01006C03A8710A5B262175CA5CBA9002056BDD4105912B658B294254529CA444617090200AC463F8C0E216270A004005C310A553A961142F483FF232C3D542E09C4094C38D52636D10CA2B542106BA4332AE8CCCBC511644BA70A527B2712D1';
wwv_flow_imp.g_varchar2_table(4904) := '30A96008F7B5813B55F01F8100021170B8031FFE008881002291740DD6B0EACABFDACD23C5C305401ED8003781B0A18A14B90200A8695225486140EF1BB02BBE4D6082B8010E976684D6D0512532701A0064D8031D9D810EF20A0D00BBF0D996EA20884D';
wwv_flow_imp.g_varchar2_table(4905) := 'A09A71EC06C02176A9010A4820A22D180121ADB603109840574A50DD1F5A8887711BA211001876B0E1B08A7FE403AF029113820BC20F050F64572437D40DEE14E1EB64E40A1789270056A1BC6D50A31BF97CD43640020E9AD713C5157B6840632690376C';
wwv_flow_imp.g_varchar2_table(4906) := 'A1C7F4DBC80D149E939D08E43612F402177EFFAA5136DE180074680214DA2786604B680C02E9311EA4828627F4E97D5D2116FFCE722C252BABC979713242D882800744ADED7A01006F9000001DBC58C7084B9840A270C0737D59A91EFCF2805DE6B2CB28';
wwv_flow_imp.g_varchar2_table(4907) := '1E0000CB042840110BEA2EFE76ADD06CE40872E753B3E2148A9349B4DE7A3B641FE443CA2241749A3D1043FF6ED67E32DF0F8EC005D7B90F147D8B84B96BC8F5D8D165064A1D4FE58239905394873E03A903CF08C20B2131A1B468BEDAA18B7028103418';
wwv_flow_imp.g_varchar2_table(4908) := '00914084360903731291684EC69E24428E0C007DFC437AB7C3C440AC0D8011CCBA6ABE7BBD846A184600040E00B817888001F084F9D265DF92E0BC944E5139DEB00974B007A7806A5BB2FF744E510C7DF00000200130205184E45A1BA170126506526121';
wwv_flow_imp.g_varchar2_table(4909) := '42C43DD1350AA3100CFF4027308536FCC00FBE814EE9A42B0D76032E60027D230120302886723C2E271389B20DE7801034270DB8A05802F15C3D263FCD15617D3202EED402D22751BCD30247D71A3AA10969603879070030E0055E700451871077D62D4F';
wwv_flow_imp.g_varchar2_table(4910) := 'A0060D735B6F825A2655275ED17D1FA7760034106D97170C440006700009D4800471533E442BED63076EB0089946104F8301E6A2415FB6186106002550026E3019C7E0194F85196E2610D03079580555F3420BBCB0096B6409B4A20769B06EF4C60AD6C0';
wwv_flow_imp.g_varchar2_table(4911) := '0A9BA53E03E1040720568B413605267AC481449B02005B4420150307B137FF01323101CEF4473F200566E0077FD06B6F2205F643591B6539084810F6211F823010A2A609A8C01E54A20D89E37F0831387690131020010BB760120804EA4710B9C630B531';
wwv_flow_imp.g_varchar2_table(4912) := '59340100E6C77DFC836C4B1622FDE0097A4511869620CF5509C9032113308B04E14C04712702010742246052E0056AC0058181431505053F721BCD40678E0300E4E00DFE771FC527089B052500E00C8B504B6230062BA001022151C0037D40B00347B870';
wwv_flow_imp.g_varchar2_table(4913) := 'EE8406716008F113509C0200BD500AC1200A2A198274614EC682362D50720BA602790202C203001D8005A5443C2E9703151113B8A09232A104B4E60247387236D90230A00253234DF9082043702743D02785747EACB1FF097D302EE3E2956DA24DDB942B';
wwv_flow_imp.g_varchar2_table(4914) := '9F800A6770063A667F0030547E303B70201500103329967B656764FDF352BB25136C076504D186D5D2537471000620044A2106B5D1070DF3096584230C802E1C34788128666C660B22240C8A5866FFA2889F013002610BC3000987D00A42E20522B02EA5';
wwv_flow_imp.g_varchar2_table(4915) := '851E04018A00808C047100E612015FB664127657E19462BAD60814E73E5AA72B1C200112104175010103E10155108400F08B3EB596F7371058A64B02918996D08C032108FAB7900A0900BE500BC5500B8B34051AF0001A307020000323000477E202E579';
wwv_flow_imp.g_varchar2_table(4916) := '8412956B7F6026A85550DB1013CAB03FF6F00F92147208818EE2F70A024171B9F93EFF5971DD4610BF29FF70712810C3690252D026B1C71A4F20051123056425604B205E04619D02714C82505A95039D84A009F1816A09A306053310D7A82B8532022DB0';
wwv_flow_imp.g_varchar2_table(4917) := '94157814E8675B96421005154E66D771C53193C6429C0B069277B22700909302819E74E14E202051C7E32B80A40246B894423A813B403536908F40500445705200807EE787A540C80565C05C469004378277A8E31049C01AF723107830548EB008865143';
wwv_flow_imp.g_varchar2_table(4918) := '6FCA4D28A96B8C6008DDC64D14D70F5C71970826579554A3EA948635C540730157154300CC248C8BA0657ED3328C8101866778ECF26514539992C19996D199FC92A904415D7E400687E01477A6394C221F9C376734261098E59A8FCA02FCA1977859FF60';
wwv_flow_imp.g_varchar2_table(4919) := 'AA78169ED03703D1088C601500708ADED86702C15CB1177BF8770411F304ACE1056220065EB0076370063911529A883476741F78640975E40CC4A86A360400A8D3471C090284E43904E14E1B5109723096CDA712CB703D5EE1151F723622B75B65C10F67';
wwv_flow_imp.g_varchar2_table(4920) := '0174944071DD86480F91A0130001C32961A853066310AC19251364A5964DB804B7A185A7401F0F5931CF481EDA292E5E901B1400019FC39E43C08274910489E4069BB008D2D30BDBA00BD72310F8102C65010F387A6074F103E7995F52FA4CBAC2321B00';
wwv_flow_imp.g_varchar2_table(4921) := '02281051396BA4466A282EA003A6A35F13E8A456EA72578A7EB952205B00215FF00557D0634F7B3F57900428679CCC65AC6E903559A3FFAB7FD06D8530547AE83A77F00678103FBDD66B415731FBF30F2D85647969164824166931176B4877D0C2160F40';
wwv_flow_imp.g_varchar2_table(4922) := '017D3910D55230E3C23000F009F292783FA5188F0A005DC62E4A3510C0900B5B351993310C8E7B196D46668B5BA933031507E06EC2A46208B1596AB569E7E243BA1A57C55144C1012765410CFE89AB15176CCF05006BA08108D1AF00F0001280A0F43536';
wwv_flow_imp.g_varchar2_table(4923) := '595306110A00B907004880775310A648B00439115A14552A9CD70AA7704CA752ADEEC56E5138566395020C309C18CBA2C4398BD327107250AB9C7313035150F6D0AE60E11BE7381064080A5A0708B72A07BC89924058BB00309CFDEAAF4C56056FA03578';
wwv_flow_imp.g_varchar2_table(4924) := 'D063FEC87554F00348D0FF0448300562CA033AC00454B04B64802574168D39B30BD3D98C58A20AAD20601473B120F0472D007DCD348BE1B3701580526D523333110CD2A01260417AA81B162D8B1044709EBD02200020C34330260201811C69283FDB1D39';
wwv_flow_imp.g_varchar2_table(4925) := '60044590030E717E5A500607A23A100221AA73B4159172B785A565700565A0B44167216612A374D14286B08BA728108C100A7830B6540107648CB6B3C34DB1770454411C18B2B6B01A4E7EAAA339AC163B85100FF0003B05770724048B64078A29108C89';
wwv_flow_imp.g_varchar2_table(4926) := '667F78B88B412B04B12E8AEB996CC678F3020C94FBC891CBC86B3610B460309B165A74E65D04818CAA4A750231034795012CF0657C1616E45416B22A10B4F00670E0FFCAF0136C8020447800BB00508F0E78BF095AA044EC0A04A14DA885A02710353A80';
wwv_flow_imp.g_varchar2_table(4927) := '776B951804C179BB4034DAA09075E4B056621876300654808D02B7704721C332010277F2037F5009885041A81450237229E6FBB6FDC05BFA5916FB0308632BBBCF45A0CFE5CA4C2B1309E0AF092001B50B010B6721BD7C9B80A0064920021420021CF018';
wwv_flow_imp.g_varchar2_table(4928) := '00F0023CD003AED156D0999AF4810ECF5C4CF3812575402A03C11F022713B9768F355C71C903BC03E1092CA30CE3D0522C0C162B5B2730FCC531E027829404439004314DC410620439702353E00369E003575005C6696D65A005539CC4B795A5258506CC';
wwv_flow_imp.g_varchar2_table(4929) := 'C55CE827D459EA83B2577191A09BE1AB3516625B6309FF3F62EBCAE8C4B504D14228892B00F0055C97723F0A0026D0632DFCC67C7A863A6A9C814A17734101BCD17670754022F002AFD109E1960B8D55B88B6178673063034131C720799EB1B8916C1964';
wwv_flow_imp.g_varchar2_table(4930) := 'E62F8E7CD8EC1278BCB4C99C4C9D08714027800326FAAA358A36A9BC8A6722D6B4ECCA6B0007728007A6BD06CC89BF10301113F100AC8DA07D731AAE0408433610C389B7786CBB3A000437F317532009AD105E03E10DDAA0094E400874441050603883ED';
wwv_flow_imp.g_varchar2_table(4931) := '0179F639BBE20244E00203D74C15D002894610A819D204B10E20F867E94C10950416FB23A7B35B710080DA35745FF6EBDE0E68CFF1EDAF86D0CB04010894003D13F0DAF92B143BC003214003DF11FF7CA1351051E2C0A6354C00001E37A24D47900113C1';
wwv_flow_imp.g_varchar2_table(4932) := '011E2051BE63DD110504DA4D1B872006A5F50631C332C1B6286C5BA32ADDB674113E364C174520C3A8D33AB8300A8BD5813C17099E903C348E5286000829C59368402066D03AC0F6BEB68D107D739B9510097169087189525B8B52643359020159DB4438';
wwv_flow_imp.g_varchar2_table(4933) := 'CC65035AE1800481C7FC2D10F709166BEB0EC5E27DFFE3A760C121762C130B94001CD0866E4100D5D2762CC007855008810B008C990B9D9001BC91E77B3E1019E0E7835802EBF2198C0B0C97CBC892CB6691DBD8942942D4450BD435031F101E84E01433';
wwv_flow_imp.g_varchar2_table(4934) := '000014A5BC59D8171F40032CE05671D5ABE24410FB433F5FC005B127BB6640CB1A08FF8432010171C8DA12B16010E20AFD1933F70D745AB12D0217410F60007ED11A86530769C013FBA60DAAAA7F6D7502ED7307AC016BF5F52ABB4201F738C548BB5187';
wwv_flow_imp.g_varchar2_table(4935) := 'A014BA090014170C00E515F32A10E29D366041825E11A352D063688007AAFECEB42C10164017F6CCDAF30E0157FA6895C0088D108F8CF0C47591000DF8003BA0034B300569B04B3CE30D74F690AEB64B147502355005664205736D8DFD41C31DDD5CB942';
wwv_flow_imp.g_varchar2_table(4936) := '2A4BB207B7D1085A370AD2B07362D10FC041E203C1D2BDC25C5560056FDD5C5CF0AB11A6293B07501516730261B200A02900700B300700E12B522816BEB57A9BD4D708422E3386D03A4A4E1059133F0FD2265640C4D8089CAFADFFCB0811E153E8D227AE';
wwv_flow_imp.g_varchar2_table(4937) := 'A344E60E1FB2524916AF03A110918000D212D76DA8DB08840008B053145030B2D17C2DE3D71AA4E7852CE95F56301930D8855E5D5BB5B894CC2F6B66E8A9545D6544034EE10427B04195DD676E3554A6DCF504E1715B21970821054110AC3EA806B54CBB';
wwv_flow_imp.g_varchar2_table(4938) := 'F67CDBEF5D7140E70901EA3EADDE4C199D2D04C0013AD0034B5005862324FB761FA02B8C38C0048A7C3B776202AC2DD6F1D3637ED00AE7D1468720CDB6AD759AF2DDA4E7AE1BA2CEC662EEC8D975F683FA7830748776CBAE2EDFBA82FAF82E7F15670556';
wwv_flow_imp.g_varchar2_table(4939) := '2E01BE49010FF0EC2600034B807786B362E8B10BEAA5AD02B12E2CF004773096084001FC217D3F9ABFC00F1065FAFF00E0056013804300142A5CB3D0E1BF7F00FA01803771213F790E352E3414A963478591141AFA0320D22A620E950158A9701C0079F4';
wwv_flow_imp.g_varchar2_table(4940) := '168E5B770EC03873E05E2E94A62CD8465C0E4755DA18D22800430AFFC081A3908BC222006E98D8A0F0018007091652A0206183070F0A6D38AC52C5CA422F0022F2E3A7D09EBB7EFDDAB65D68D1A243AD4509003040000107030E09F85D78D511004A0052';
wwv_flow_imp.g_varchar2_table(4941) := '29CC050C400685111462583803C38C19679C2874242C972D608D8B02700C6C1880D3A7852D74EC30172D5AB168B9CA05E00CE4CA001800A0E3D00999CD1B6900F003E0DE68E400EC291C02800B972FCEA33B9C0EE087420809B24300C01DC255EE129228';
wwv_flow_imp.g_varchar2_table(4942) := '7435FF0A0023387E002D0C3B41A1070957151AA070834788E10A4F598202200D80560058E490239E1002071C6828013237DE73288516765048028792AA4E1583FAB0043973D48A2B2E00EA01802E87EA01919F88DE50480A0082E082C52016AA4E21F714';
wwv_flow_imp.g_varchar2_table(4943) := 'CA0B00EDB473488A3840710594468A5B488914DE9BC0030E160A2C2F1D346081893D3439451227D2A863214BB83802802574D04184AA9A50A88A0C12E00A80165A0062C2EE0088030038CE1A68A18400182324A200C8061CB524B2489E8AF251E81E1217';
wwv_flow_imp.g_varchar2_table(4944) := '12F4349114AA44A43C918A44A4474B7253211FAED0E88F463C71A89B700050472179D681891E51173AA7A6736C22159C5500D0B491442301C490FFA484746EA11D5AE88E8236B13213020A920400051360B00188359350C28AE79EE2620C2BCA28432166';
wwv_flow_imp.g_varchar2_table(4945) := '0D654B227B2A926B44872612D1CF8510582880BD142A17000428D82B3000F6DA2B8207AE4244A1C500E844A12700A00C800820C3A03F006658C809804953C816D06C29AA35E4800106348560238F16006289858A8015726286CDC8408E817D15CA8011E3';
wwv_flow_imp.g_varchar2_table(4946) := '362AB4A8E54061D12985BED8628D2F1A6A68C65EBDC34EA3A7486664BDA60000C2020715A2E0BB850853880780135A02803E36A9A5965C8A4881070074C04158001AC48E030F8A54C804F636DA03003BD0FAAFE785CC39E71F7E3EEC47C49315B2A8ED8D';
wwv_flow_imp.g_varchar2_table(4947) := '9E52480D34BE300380EA8EB8CE46FFAC7AADFB8FC4E004008D32A458D3832301A8F1AA1B17B20F09821482626C0C177A0100197800730319B24E2203C9B05661ACC8E130830B25C418638F3B01181B80B3340560946CE40617A68A1C8A5BA15B1C4A74A3';
wwv_flow_imp.g_varchar2_table(4948) := 'A4925AE84D2C141ACF851D407088F91C683F7CEF46719106806D4C5548A685D6F90900490130A38C2BAC5002801D60F0205EAD22F78AC2B0408041C2229278A28A67179296EF31AA2BC38F4C80020055508811D000807C5CAB1F6F89CB5CBAF5404115CD';
wwv_flow_imp.g_varchar2_table(4949) := '5C1A815706AEC2AEA218A02AA1480C2400E0413C6040321120A1C6F4D09BDD5C090027380C691A531B00282C860E39CDC214F2B08D502C161B091919F4C09BDE784C2307908CFF4268C081C31C4723FC88A04428E290E58CE60B78E01B1EA6B8053C6C61';
wwv_flow_imp.g_varchar2_table(4950) := '4500088B7C1662330050604D6880031E0EF81422D1682147221A5FD865800778690A00C041D5C86687B25DC3713298DA424430C023F0EA01BCD215009C979D369DCF5200688E4228379E8D24431C9F8A629FB8A51113B9A5927753C801AF880799394405';
wwv_flow_imp.g_varchar2_table(4951) := '299800AF924381F3A1010F7B7B508D1A57181CCD672F0F88410F00208610686420AF905A9164F0020E70000503DCC1038A6802E7A189420B19CB001B99842400A1084520E014AE5012A248431C720391459A38A28C14E50D7E50D101153227A51C8F248D';
wwv_flow_imp.g_varchar2_table(4952) := '3083167D30851CB8207A2E000011E8690443D2B3286BA2DD16FEFFB09EDB692A7B0078C59BAAA004E671D157384AC00320F01D087C858B603B16B5EC74B837DCC10D77B8030040C1072FA4C50B65F80322FE60BC8580C21386188312AA302F85B46581EE';
wwv_flow_imp.g_varchar2_table(4953) := '908803EB1222BB4CC4131B3857BBDE852EA01A0001459C2000C0761E00CCEB13F77204E5F8453AD2ED663200B892C0DC708CD0380C860A43D8466AE810889186AB0ED961C55C51563E1491094C0080C77EE39B7D4955234A74E268E0014557F1AD3AE68C';
wwv_flow_imp.g_varchar2_table(4954) := '0E15BF000635AC818A009082148650841F14096CDE090B009260B727AC0C00CD7465638BA21571B10007255808C61CC2CA14F0712129F8010B121001EEC8AF900BA190042C4B84A80080075EE2012415A222FF00487239518CC8254BA4967FEC238A5F50';
wwv_flow_imp.g_varchar2_table(4955) := 'C3DDBEA0CA984D716F83E5DB428A0084C41A322C79F18009AA50D885B0684DCE5B668D34123971C1A0490FD800120808005A74CA072950410C62F0026072A007D7B90AAF8A0500187CD1B56169810A62FB5C09E940420AB154F8C0D1DB11DD258274CD21';
wwv_flow_imp.g_varchar2_table(4956) := '1CFEE00738BCE10FB84503E2EC74CDC32DC4137F8804A6168286454EAB28E7CB4112F4994C85E8B39EE703800B9249A186EA4802F003C10D7C4604002CAB7F001031003ADAC91FA7C54EF9425FD60CC10844308264AEF2442834850648AE852E6FA9A96F';
wwv_flow_imp.g_varchar2_table(4957) := 'EFE1AD0F3944040190E060DA1598DD1020304335A542EE80073E50A2708E0480061EC3AFC748FF86AD0B1122008E710C833DCC315C1D6B7220A6E7886DC4150BA90D011820D78FCD80882203000B0665B2072AA4B7953C6071A7581D98E101947800031F';
wwv_flow_imp.g_varchar2_table(4958) := 'E4B04ABE9E4509235808B26267CB1DECE007AB4E41585CAB9064E6252F064800AD93D4C5019B73527FE3410A1C8D1753A600043150A88324C0B5B1E038C700B0250FF09984F312B41A1781484C37622288FC231E49B55B862F2D3EC162B1210A11D271BF';
wwv_flow_imp.g_varchar2_table(4959) := '2085F311016C1E00C20E205905D25EE7072A004091E0A710F5D9A87DED72080A36C095231CD00DA358862CCCE0BC1BBC77731C300107BCD85818C80F0014AA4A328FBA90241041072830028BCF62BC81DE14D2C88194513A4C12A5D42207FF04C442F892';
wwv_flow_imp.g_varchar2_table(4960) := '2712DBA5330E33175F86A7B5488B9EC50A3A5742F45A1C711358D667D34CC2CE2D7540DC36E5C7B81DC322CF22A02888090048A0FA7C8B8B1425E735140AC904008E20D96B2987A6DB2A149635920A0F7079825E1673E058C00265F3386B1D2D9C8839AB';
wwv_flow_imp.g_varchar2_table(4961) := '0347678074256CAB437A23B063C830AB9F8961C264E86786115A21B2298A1A0870000040FE00BBB9CC4220AF2F91E547088769A2823572D78554520DD1B9FA1AD460C5712F64678C68047AD0C6052B2401041757D11876103A1BFBCC7160090B7BF33B9F';
wwv_flow_imp.g_varchar2_table(4962) := '25ED25015A010B5676F014730EF474A25D48554E0B2CA3EAAA904277ADAEBC265266DBB1938688B913FFB19CB8890822F6D8FFC742AE0E002A56D88C9B6E08281D2107E2A0BFB9D2ABF742DE00072FA4A048635993D7DED35F1380315AFBB28540010F70';
wwv_flow_imp.g_varchar2_table(4963) := 'B30D882D85E8066AB08ED021B66101803F8A80D37A8F8B33AAB0B8C0162002D2D23985D8011D989F85208A69E0A6BAFAA6DF892107031F940B1F85D8844688401D58081FA814E4B89E960080E051149350883751882DD0028510C2326025024A029FFB2C';
wwv_flow_imp.g_varchar2_table(4964) := 'A4630AFDB1A8681B930122202169822370AA02FA208E0080AE739550A804375002221B1112A1A96B21912BD31D6B4B051450BBA27197E6F300AAD9883B800302DA81AA108117E0011EE897C8708833500832B892E0C805D1188D3E5B88D5002B435C88B2';
wwv_flow_imp.g_varchar2_table(4965) := '0280417388A1FFE28BC8EBC303903C852881195488280000CE13B9A200BD47DB3AE29A0EE2AA22870025F4A30450A004B439A3E6D801972A0344480A7C3A822DF1BAB170355C591F862297BE6017AE31BE8500846D5A095DB901AF1116044080877308B0';
wwv_flow_imp.g_varchar2_table(4966) := '29330A080B0FA88ABFE1022F188383E2273B790350E82D8B809B6B9B886CD388D12BC54E3223F4132C85E8C22573082E488222290B343004983A82225002C972101318B032D38A9EFA0AAEA88A94020771780534E18117C00111F8235FA1402EAA2EFCC2';
wwv_flow_imp.g_varchar2_table(4967) := 'C062F300FBDA15E7188367398B2440821B9090328883AF424314448E37480A492909177C1333400110701E15D388245C08F35889EBD908690886A0D84193FF4039A5D0024B79BA0BB3142EB8020B0300DC4A0223D0461F7B3AB318203E5884A89BBA02EA';
wwv_flow_imp.g_varchar2_table(4968) := '012398169299179201855010204A382022DB877D3899082A3B9C7222120900B4D4085F74880CE00A479B163FE0033E10312F78022F1082AA29A1485488FF1098852804C58898DAA09885182B844118403BBC193A4485890DC73CAB8D080CC9340003B83C';
wwv_flow_imp.g_varchar2_table(4969) := '85608008C01A00108226F09A33ACABB801C592C90416193D4B03004BB3A28D480C4A481C21730848EA1937188F95790AA9290A0EE00ECA5C88BCE01587938A2F800392F9856CF885FADB1CA19144AB182487080B0E9080AE189AC04917582C0B333B202F';
wwv_flow_imp.g_varchar2_table(4970) := 'A88224F8811EE08289009110F1AD85C82400FFD88789C0032F5083A7B0B4AB33C751442A4A280E219382F34A026AE20238108931B01F8B9A2C2E0A169F018214E00E7EF32987D800E694BB9EE9065750021B80AF12288124490004A050ACD8000908BA88';
wwv_flow_imp.g_varchar2_table(4971) := '0B8B32EB8EC8A126EB2C833B98162B202022404E7D70226FF29DD1700515F18307538A4D78933F40A71590801C80271F78428548429564A53CB19D5508866048868D08390048518560C2D188BD1C1B031153022398522080368550022C3DA8CEAAC285F8';
wwv_flow_imp.g_varchar2_table(4972) := '0109794D44600A46D09446E14F8900CBED7107043343B373086630979E2A5074912A2F92AA0D7801A93B2748A08405E10023F002C82898CA380048F00C5B80A1C2D3B35B00B43C038044FF0CABA2E02AC2242BA7F8A378D10D3772230338B4ABE0012468';
wwv_flow_imp.g_varchar2_table(4973) := '02213802BCB4B6254A0E0452889062991721AED2FC82E99082AB43846E7B3A29D0B92AB095D1C0B114308114B001C4CA20490450AE9010383004F530092E4813623381611217AB08A32459B785784E8AE48E1833012F40036C1C0F594C2A85B813DB014F';
wwv_flow_imp.g_varchar2_table(4974) := '70C4248B304FC5488BE7F0026BB49B17790E8DA884AD73A9F3C147021235A4F8A0771C20C27A1125F89B7A9BA6302250E5EC0BF2E20A0A10485A79834A70054350022080811788500EA0000638AD1B692C693C2A0C2D3371F9813150113034B20F2B0321';
wwv_flow_imp.g_varchar2_table(4975) := '53D2BA2AD5D1B01517641AA31C0802D20117700198D501E719268BF23043FF78139AF3C1F08984185C885B408964A8866E60077B98876CF0843880833838499D05802B4081A8B094482020645908FCC9B12CC5D2A7F0822848022EB52D1E13B12FE8A8B8';
wwv_flow_imp.g_varchar2_table(4976) := '4C8F2F7882245018B02CBF7F9009B621D512711B27820773B85B003087724887BD55887450887270884F095C00F8DB0E1107C2FD9485D8B60EE1DBC02D876D021598D88878D8B6ED310E7A90897BC85CEE5908D15C084009277988097A08A7BFF5DB74F8';
wwv_flow_imp.g_varchar2_table(4977) := 'DB743087D5ED900E5988D35587D4DD877FB88B8BD808D1AC36D8F514DEEDDD85505C00708776D008E0FD14769007776087D43507E05508C57D89E25508D7F5DBE6655D76008075A02900B009D63D5DE9455D75685CC1FFCD5B731807EF750876B8DE8548';
wwv_flow_imp.g_varchar2_table(4978) := '5F7618DE766887BBF8C61161B0B22C4F043BDFDF0500F54D5FFD75077818DEF575DE7348874F5187BB1ADED8DD08C3555F4F1907E07DDDC23D5D026EDFE43560DE4D5DBE3DDDD7BD5BD6555C7508DF4FE9901076DDEBFDDFD4E5DDF61D5EFEA5DBD1889B';
wwv_flow_imp.g_varchar2_table(4979) := '889808756807F6BDDEEB55071A2E15F145DF9B50879DC0DE7558071E56DF5271889D18E285A00713E9877868077538077510959D78E206B6E1F5FD6002FE6076685EFD55882C965DE7F5944F6907E105E30FB661E04D07B78D08DAA50735BDDD9B224F34';
wwv_flow_imp.g_varchar2_table(4980) := '3455399EE33EE92D3B7E88719463F02C8AE0EA63DACDB617B65DE48008BA45B03A46B0F28BDF70C2DD8DFF403044AEA4B62D3F49D35D3A96B44ADE883DBE645335648D88084E468E4CC6A4D1C8A4B0FB6485A05DB0F463B5D8244D6EE593CDE34636E5E4';
wwv_flow_imp.g_varchar2_table(4981) := '0864B7711B40EE644AD6887C0864BAE91D8548A04566518550D27AE05C633E66242E666416E57AF89661D6072535D91071E68578E1BA4AD1BB80666D96E62455D2B8006440166457F6C485D05EB9752238B6885CC66310A95D10293F264A20B698677A9E';
wwv_flow_imp.g_varchar2_table(4982) := '6731AC67B648A0B840E5E0A2368840918D40537E1E683F56E5B0430E7CAEE78BA00B6EEE166EFE5C949D088536647ED82DE5B087EFC368F26BDBE08A64B0648B2C53D1938DDF13E116BA386857C6E77BAEE75A6EE94C96DFA220E542C9074169E988FFA0';
wwv_flow_imp.g_varchar2_table(4983) := 'E9B6B1298BB66785E6699F4EE879A6E9041A39077220B9B029B980669EBE67A6BE169A16C3A3066A7A2ED7F254085F46208C288A6DF9E5241DCFF014917AD087B006007CC087B00E6B68EEEA6D5E6BA5E607B666EB7ED087902E6ADF996716AE6B12A167';
wwv_flow_imp.g_varchar2_table(4984) := '8FDE6B348D29A906697136672BC332F0B40B3F09E9397669C5C6E4C3761B4996E411C936801EE4822668DA1D67CC2667ABCEEC25629B6AC368CF2EE87EE6E7BA50EC5AC6E4D3E66CD506658518D7B93DE76AEEE4E44091C96EECBBAEE4C51E8DD43655C4';
wwv_flow_imp.g_varchar2_table(4985) := 'C6EDEF346DC7AE6AABB6DDAC46ED736EE88510AE8CB6878AC607E5C087B6C087B74E51BA766BB6D664903EECA2B067BF660BBEFEEEB0FFFC6B942EE75315CF363541DFF1ECDA0E68DB06EE96D6EE0F293F5416EEC8A66D593EE5CACE6FC85E6D390E6687';
wwv_flow_imp.g_varchar2_table(4986) := '8068CCB66FD0B66F14B1EC3E2E6DF716E7F7E66F061739D71ECFB9B1E4FB96E3B273E9565E7050BEED0C1767DF4E70F9F65C052B6E8D68A07B566A6DAEEB55568EEFAB6816676EE616C3522D6A7A1E677ADEE638965BBD966FF3B46C4916EF14146CB2AC';
wwv_flow_imp.g_varchar2_table(4987) := 'ABD39E1BF5E664424E702437ED065F72CCE6F0D9C6ECDA9563D266722A6770F90DBFB9F9E67174E7F776E7F4FE1D0CA7E350AE72326F6CDE296FF12C6D048A20A1FEA66EE9876AF36C27D7E3312FF3E4A8733AD77085800B269A2BC3DE9D716EA00F699B';
wwv_flow_imp.g_varchar2_table(4988) := '24776F3B3FF4D1C888D0FFE4EF7EF8F039C7EFCB1EE7754674D516C7076FED2C7FF4D1B063CFD6EADDA67431CFA997FE7431D79DAB06273587734DA6E5DF0E743C77F549D6DD5B56F311CF29DE26F53D970B37F76AED9E074F615EF39DDE29568875F84E';
wwv_flow_imp.g_varchar2_table(4989) := 'D0AC87B6C8877AB8877CF81042910B6487F6B8286B426F674E9FE4580675CE5E7470F9075FDF6107C689D7B5099BB064FB052E372E4F7CE8687A405304D3746DAFF22BBFB68B507527DEDE73806085B8F72036F3E58876E66EA0685F0842B9877A88A031';
wwv_flow_imp.g_varchar2_table(4990) := '67E15707F585AFF53D266E3E96DEBFE5E17430DFDECD77DD69677E9807E89608E7368E6627EB479B0825D2732B87F750476D3D9F083EDF883324CFBBB8859CD4885FFF907900C0055C30CE72EFA67447A0BBC86B4F6FF8783F7450EC2D7048899BAFF9A0';
wwv_flow_imp.g_varchar2_table(4991) := '30CE9BCF79E0911B49F63C0F59F5091FFA1B776598A6F79842B0A058885F9085AE6FE114D7EA9EB77AB30797893875118F635C90799B4F0EC235F685F8F847AFF0DE6E700E9FF449BF7325BFA996F7F3BB3A6AF1FC05E30C0661A084B109C9E4D8C14E49';
wwv_flow_imp.g_varchar2_table(4992) := '856EA85D73265C00280757800778588CEBE5F9B32FF314DC885B60FA9CFF8550289B6260861A7AD3DC7122B0A40760D826732086B678064BCA044E89862D26F4CDBFF530BFE44B8F7187080A59400687304E5920FBB4F9875BD05E005608E14F09DBCF7D';
wwv_flow_imp.g_varchar2_table(4993) := '4AE7F9CFAD70E4968582529155304E5C287E5CE806B9FF690B737805DB895C0040864E8921D00B5C73383C94CF6CA12F7396DF6A87B83278A02BBAF1FA5F0806015A883F80068000200B1780820601D83B08E00D8023066C01A0653093412E05AB10F951';
wwv_flow_imp.g_varchar2_table(4994) := '3021807E0A3F820C297224C99225F97D8457F0DF3F85B864FD82589009A15BC86415C415CE63BF960A692190070046C16806E100100780003F7E1E4D428D2A75AAC87A00508AC45A8D60C1649E003029880859C15F05C7199C573041417322957CC44A75';
wwv_flow_imp.g_varchar2_table(4995) := '2EDDBA1F3DAA3C28D7E0D3B20371A6F8012427C87E6A0FA60255701A002F06D10030F1B15EBFCA76455AAEACF9725D77FDF616BCD70FDE3D9166A321DD55F0502C000465DDFAF8CF0AA2C70B6334FF36980A018070490A5280DCF1695FCE25592AD4AC7C';
wwv_flow_imp.g_varchar2_table(4996) := '39F3CD3E43CAD317F5D76B487D769D026089A2C0823B3BFEA307E04E4176CC38143C52F05A44007F1A4FA380B2B8F1FAE0AF4AB53C19FFDD825A7151170C00706CC20B00AA1904D32A07A96588149194515036C8454244413B00400C001E40D2917D1F2A';
wwv_flow_imp.g_varchar2_table(4997) := 'C4D273856D16523FF2E465103F427D944D5900086821006720E18959031D64D8419EA450C9600525118E382F6C704D158AB9E79855FA81B8D25DCD411925942379061A00A2A578157DB83073A02FC614544B3038E1B2CA3906B5140D050004C08E419E1C';
wwv_flow_imp.g_varchar2_table(4998) := '914E025F65A3D8186FBC8121005518844F4BF43509C03F28A9A38E41861A9A4EA100FF205A50A38F1ACA0E3C232AB417A00575131B2E5C21628C31CD9C424932D425E72805A120E04A35E80140042506E969881B00DC50CF3F97064A553EF0B4E3263BBF';
wwv_flow_imp.g_varchar2_table(4999) := '02D0EBAFBEBAC9685557E5A31065FE79944C41B20483CB7BCD1464C7B3B804730B5A0589C70804701DD40D005F1584C0030579E04124B9DA574FAF860250ACBC8CA673903C7D118762A5FD19641600998C61D01936BE94DC615D61A8DE44E5C8B8832D46';
wwv_flow_imp.g_varchar2_table(5000) := '791240BDF8B05B99BBF0C66BACA31B170B52A307B9A94EBDFC7D5465B20761591AB307C9220B31A91464CC299F10F6CB2A1827F445046C66F287096471C7E6BF0ADD124B340974E86766EC76A4523905B5F3743BF0D60B8F3A6EFF39EA4EB1F44C0D40BD';
wwv_flow_imp.g_varchar2_table(5001) := '4F67B9AF42591657B041BBA0820A2DC3C0A4573F27EF494112C410E08A3A1A5DD3E5306EBE510F020678C8745DF9B0938E392397634E3B589763E8E2ED88974ED8055965A5CA5AE6F40B4E05B50280CC34B70CE3CD6901E087121A2E55101C042CE5872B';
wwv_flow_imp.g_varchar2_table(5002) := 'E05A154938930A4ED73FF5B0E3D6C8192BE5283DEE3C5DD0EEC37918B6A54C0210602886A052102AA098F5526C05E9E84902CF008086271AEDB9C10FD950201D00C38C91C01301AC2B1A7220F6539A39891BFAF43D511F2ACFE1C58E6C8E3AEDC0235EBC';
wwv_flow_imp.g_varchar2_table(5003) := '863B4A1EEE185E8E00E00E921924652A4289B30402A055F8C273051186E63605806D51AE0C46295D2A6E1003462CFFC415FFC09E2B22218E31C0236000E0001AACC217C18D281C113107333CF18C6E64A21AD700C530DCC18C6A18641849195F4194A28E';
wwv_flow_imp.g_varchar2_table(5004) := 'C4F9CF2493CB1C8E6A01265EF84218C28089BFF023BE229681194978812B2203806CFC2615A9A0C8577A523BBB3C4D1CA990485B00800CFAB9221DAFE8E2E1E0519CDB2190722A6A564EA20580085AC318A93886804487418AD902081E00403CA460023F';
wwv_flow_imp.g_varchar2_table(5005) := '180475820200920030295C9D5124F770935BB2E109B200E019C5C298383C718B44DD8B27C5AB148BA8E7916C10E446AD39C82B5C33105C88AB2314C39E0D0A720B4390AB936ED09A176E81066CFCA38BC803915574178E2E0220976ECA44394A09007320';
wwv_flow_imp.g_varchar2_table(5006) := '231DFFCC10C72DCA910D6440C415B7080732C4E1968E61662458D2CB47B055904FA806180A199D49549644D9506A99EC2A473B2812A1F5F0A9315FC0C6506E800F2E40120011BA45194C19AC6BA2932493CB946B0A428C5A1A481BBFA0CEE67284159551';
wwv_flow_imp.g_varchar2_table(5007) := '6A920771E1AD32491773C0030E77880D7928D99154E0261263B04536AEA60EB8E911245669895300B095EE10A41834F3C5316E82A31C995124F7A4D49F3069D20216A41CC1D39007706310863026AA2F5C9AF1F2E2138F6C2341BFF003150C428646F84B';
wwv_flow_imp.g_varchar2_table(5008) := '16AB9061E044228FE7CC6792FAE0897ED6679FC43D1400B7100717289209C8B8C20A07498715809100380CA30892DC9017A66184687081169EC0FF5A7F0E089275AAA82B302A48301A68516270C5825901403E4A7B95BDA064AEFA582D69FF443D181AA4';
wwv_flow_imp.g_varchar2_table(5009) := '1D001883218811B06A04CC1C63A842365C1121F640921168F80C5202A612734474244B3408576C61A05A78237A1BCD6C4756EB91D5EAE31ED8050076F5910FA7E443344E7D6A4828DBA58FD022063003003419059ACAE11400CBC25C594855480034832C';
wwv_flow_imp.g_varchar2_table(5010) := 'AFB1195A1252197ED823C008216D69DF86ACB8BA90BC50C1E3C60C5206DE520F29C888C40D34F6DAD71AAF95810BEBE6648107231884098648C68206924BCBF0631EFEF54F42AEB855D732ED88D74C4784121AAC2464F50EFD6088D7665A91DC00801265';
wwv_flow_imp.g_varchar2_table(5011) := 'F8C11BD0D0D2C18264B97E92C7C1FF0C62946054B10F8B5045BF0A39BDB9E0AB295612544841C4C98258681A91BD66192CB2DE56F981C774A47141A4603FE8C863CBEC740D80044409A4340F00911806943105D5D7F68438CC11114B92AAE0917CF9203D';
wwv_flow_imp.g_varchar2_table(5012) := 'F8A7450020856B3E634DE5F9C8FC00551AFA4C57AF8DC0436D4AA759BD62902F9A2134A94B6DD7434325785EF882415A5A0646F8CF04E6A02C4846842FFFF4EB17CA382F003A5710689464392311D1244BC43464489A22ED48871252D10F4F70218595E0';
wwv_flow_imp.g_varchar2_table(5013) := '5361DD68801F64490AB710C10F22E1865A1A2BB9960C0966ED0A44B318C2D18DF14259C560064F6C8A9E77698A48F9F15D7B7FA6B4F7B0774FE933DECB3C05B9AE3873410C51FF06211AA41BC8F827520E620BECB12371979B0B350AB2A08BACFB0C82AD';
wwv_flow_imp.g_varchar2_table(5014) := '04807049BC7CE7C3234DB9F7673EA3E5928317253D2D4D4F515D90E512ED238EA354829595597B8C2A18AF0004ABABE0180094F50DD0330BD62A638F4199DC951DE9A953B47CF2D3FEFBA90734549A156A9075DD2213562057264696609EA0A838564249';
wwv_flow_imp.g_varchar2_table(5015) := 'A6045489801DA2D79B78D3A8B822EAA33725E9C9E208BDF1A372EA366964910021002052065020830B708806232CC222BEEBB90C2AE98627BA180E5A08D60D36168965293D1A9180E20A05F182CFBDE0052B044C0A7100755B5F68FA5285662451BFCC97';
wwv_flow_imp.g_varchar2_table(5016) := '09F834C6BD4F7787528A5B5E5F2F5CC9F92338D982601DE379CEFF8B81F37ABD85B89CD293AFC625F982BAD4C45D4EB859E3D520E23E1400EEA9472B25582EC1409215B810FCE07B410C00B0C21FDC3E1F8ED49CE90589EF53EEE19392BA1C24F502E035';
wwv_flow_imp.g_varchar2_table(5017) := '85F7BEAFBD0F5EEDA83BF5C23EE78F6CC32D24432514C414A40100F0421D00C0012A412581C4C93C054EC9193F741988A4C3D35C8D41F4CE101D51A21C04064695ECCD9EA120D7EA85C668349F4258C1CF815E195801E809962BC802389CDE2DB0483664';
wwv_flow_imp.g_varchar2_table(5018) := 'C35308033398838B84526CA0842B28C52D988324E59E7DEC4AC82C8AB1288AB12CA1C8604CA134A1A16092A58CDB0B75032E3442F77141178AC118FC9C175844242443F11D047BA0942DDC42E15CD92DB047FF2E19042810C33F18451261CF43992088B4';
wwv_flow_imp.g_varchar2_table(5019) := '52BDB8C5E1D89FD7308AA150CC7E584EE955C32F98C1158C01E8CD9617044CF7FD5CFD6D040030035B610F59DC8308790D3C748947D8423788031BBD5CFC259FD52844BD442113B6439C81065E889DF20180B32C411A186041D4411A1C20126C8232B8DD';
wwv_flow_imp.g_varchar2_table(5020) := '41081165F9E04130433C140434D102F68862A0F4033D0C0B3BC08B073EA3F0504DA244E3C8CC5FA4C043CB45C5E581042E3CD80A8E471F88E31B2C2217F0092E60902716043308913C30C301C950389857DF750330A4832BB8C206B157E9558CD36105BE';
wwv_flow_imp.g_varchar2_table(5021) := '484966F85B544C4E36549145DC0124411217789E1220C22FB888C81504F6581F25A8C362C913FF005CC395E955385885380CC3D3884B7C3D55BE6999EAD115683018A50D876500D19E1C848D398645544215F50347749144948638E40528D94296B0073C';
wwv_flow_imp.g_varchar2_table(5022) := 'BCA48B1CA182BD4D2B7219A9099AD2B9E2FFADC4732C161328E01E18C41EFC811F7D0600504C35AC0B486C13330885A2FCC2889443482ED61949494B36C7C72D13A0E0057FC8850289140030068FF18918368660CD961D7442A9F4903C10439788C7335C';
wwv_flow_imp.g_varchar2_table(5023) := '833B10DC30D05A4E56433FE0E384142529D2858619445E78C43EF85242FDDEF8F95C155441C0FC013098214EC143323E433046833880921B1151DF79CD3074437B9196CBF9E36CD2A6D3ED476C8E143FDA0264709ECF5944182A5426E082FF5BF8094710';
wwv_flow_imp.g_varchar2_table(5024) := '4338608F0CC5866BD2425942C4061985280E838B41665D3009715CA189ACCF2A2003349181411C2000EC812A68838074034F500C4519446C9883104104633083B8B48310D90D0054824C5427BB541EC9C8A5425CD42C01801BA0818032841BF4A56B50D6';
wwv_flow_imp.g_varchar2_table(5025) := '535C033128C535B4834FDC8303B6854CE4054FD69F64E6A77114A565028030D0422A304219A081708C286444422EA821AE61852D9893105DC31DA603E2610A855E13315CC330648330C09C82D5668FFA638854CE6414473F18452CAC9780BA4119086880';
wwv_flow_imp.g_varchar2_table(5026) := '76822BC8130D861C4784038BDEC230B0C73408C33C444234D84235004336205C35DC42695C037BF06386D24566F89F8A6818FF7264E12FB802954D0155C2E401AE4B033DC520AE67410C4334B0516C64552DD5527BF50E49A2A9751AD0FFA54C97C5C62D';
wwv_flow_imp.g_varchar2_table(5027) := '54E9A3121141DC022E0CC3991C845BD0DE06F1534B3C83A160C3A5B05547D0DAA17286954C4E7BFAD23054A92FE955AB0E0330284571940333D8D11779043BFC833818CA0676843E568D24E2833AECE7A1F968B1625F1EC9575F88CF2DA8E1A4B65341A8';
wwv_flow_imp.g_varchar2_table(5028) := 'A1BF84DC645A52EF2444F018443AF483389C173364433AECDFD35420A9420557895D9BF645990CDF2BACC22DAC42994C0F290040F08C97392484E218903BC816230191A2B4440A922B968D1B56C42537DAA6241A04D6CC5A3A8C431FEE2BDE39E5FF6DD9';
wwv_flow_imp.g_varchar2_table(5029) := '533C66C09A88FF7F345FD894541F5ED3A87A8DEE1CDDAD390997955E0A22877E54ACC59244212E8D78600D38CC5AFDCD1ABCB8853D3CC5A98D84A1BED0B8AAAC493425C4F2C53CA8C3B6E8CF595CD0D09AC3B6E0435F7044E0D45DEEA1D65CF6EC5CFC8E';
wwv_flow_imp.g_varchar2_table(5030) := '53A2E0693DDD531E47729851C9110F3FDC43699D0CFB3DC9539ADAD9A26DDAAAEDDA969A7281ADBD1807FC9184448ACD694DAD5DA812B2CED7851D04DA8ED6D1C1DD3FD01DC18E5C5300ECDD6E23D8D9D1C9EC9B3C60E8A5F40376D58375E52D97D9034A';
wwv_flow_imp.g_varchar2_table(5031) := '08EEF15DAEE00A0A8009AE80D9C3B422AE75FE4E5F142C6960AD9689EDEA9AD6A03115F2BCDF5C10DBE88E6C486423DCBCA55DC01DED5667902A4B1E4605FF050AEFA0F0AE3262D82B62E84874973E58094B50A05E0C4AF40EEFF4F26CF19244E99E8CA5';
wwv_flow_imp.g_varchar2_table(5032) := 'E485B19E243E8548F5CAC53F06A4B1592F2C52AB5D0C6FF9A29AEF8E14F04205F5A6ACFAFAEC859D6BF22625A1016DA5442F9AB0EDFAE0ACFC8644D542ECD5726FF792C8BF8DDCEAF21F004B45361E2E0323AE47E0D1B142F0E8F654AD2A84FD56B0C556';
wwv_flow_imp.g_varchar2_table(5033) := '6D0A2A90CA716FA9DA1BEBEAEC06974A369A3003639FFB62C6F8A6650A63C69AE29AD2716D401AC43EFC0387C270A060AFE5ED68AE44C90E87844FC419E30280060B717E2E6300BB920BAFA53E25719AEA874ABCA278308748F8EFECAE0F1447F15C7806';
wwv_flow_imp.g_varchar2_table(5034) := '49EEDB01D55C17E7A7CAEC453ED003EA5ECEFF3DB0711BBBF11BC3711CCBF11CD3711DDBF11DE3711ECFB1419C8C775D961E03B21EE3C32013F22007F221237222AB4C9C65F095D4C323E7A6B23CF2244FF29538F224DB433D64F2266B722773F2277732';
wwv_flow_imp.g_varchar2_table(5035) := '258BF2289372299BF229A3722AA372F5D91BDE95301943A63B842DCAD403AF2821C6C0F247CCCBBC5085AF4C1AA338E3FAE19478004B5D74CCF4F97232678C32FBB24830B34234E33237E33417F35C343354C8C318C7565ED9853B78F3378373388BF338';
wwv_flow_imp.g_varchar2_table(5036) := '0FAB09BBC9019916F560453A93703BBBF33BC3733CCB733ACBEF2CC757D8B27149D0C33EF3733FFB732ED7C52387ADD84AB2361B04241F843FF7B31CD7033DA8723DB0F14393F2481974FF4858C545CBD7282BF446F37329FFF3C83D206E26901C974421';
wwv_flow_imp.g_varchar2_table(5037) := '17C4201F4421ABF4209A74544C7455883255BCF4653131FBED8522E3B4224BF44EF3744F8F723EC705BFD1F3E8E67451E7F195B07178196A445B72EA8EF03C43354183C4F26E9748E0D4EA4E0556135854C3F341B8B3551BF53D14321CAFF45887F559A3';
wwv_flow_imp.g_varchar2_table(5038) := 'B51BA75EDD96C4EAB29642B4B408EB45F7D21B3E20B2218B7559EBF55EF335219335216785D3BD3240EB294BEBE95418B65652CC507F044A776F780135526FB5D8AA35658B355227F5C9A0347755B5301FC45B4BC5666F36097B765DC4F5E094965DBFB1';
wwv_flow_imp.g_varchar2_table(5039) := '5E07981B9BF55FEBF559E3355FBFB1BED1715FFBF51B531A63AB3354B835FF7522448071043B274BFC2A843C977641ECC37233F7727B753BD70E5EAB3540ABEC746B12CB11EC49D703C58C301FAF2EC5C0314443341B0FB270372D776957F3E5C3667B77';
wwv_flow_imp.g_varchar2_table(5040) := 'F69E31560BD802E1874903184210B454A7EE802584790F183E7C35B995C6EACE323B6919E89E16716BF547AC6E733378833BF883733541377884FFF736A6EC7AB37176ADD679ABC53CCC434763340070A83CEC033D94F889A734CAA88C6E5BF74130B888';
wwv_flow_imp.g_varchar2_table(5041) := 'DFB072BF3873878465EAF048BCF89560F52B0BB46ED3EE60F36E80C7A6D3F9373E64323E34054B6B194A5372525BC5469B770247F6E57897027F571B2BF57EEF838AF17770DB033E64D77A538C7F930C479CB7680B73FF77A5B6629376B2E8EC784B3579';
wwv_flow_imp.g_varchar2_table(5042) := '13F27E0FD841D8431BBF760A0AC594E3B46497061C03F89FC7B16A0BBA290B3AA0D3C33DEC733E9324FFB939EBF2AD5A1A049D9FF7D2FCEFF7DECA728F48A1A56D65B08465E6700E8B3884820772887AED8AD457DD3816AFC43EF444818D979B9B1CBD7D';
wwv_flow_imp.g_varchar2_table(5043) := 'D79338F1ADE3BA0D5BEF027B35BD8DDA66F0C4AD208F6614AE87A084D822F9D27E86CD866CA02947A1899A66E4838DB7C4A7573B42706E0B0BA4D99E5A4889AC74102C5D45A0898CDAAD00795498BA8DC3F84734B888D378BBAB3B8D3F653FB8BA8D33F8';
wwv_flow_imp.g_varchar2_table(5044) := '7765658CAFBB04A35C6D9A6D88E0B0A607361F0B5038539FA32C0A2E63CC3597C7287DCCA3C44B2A9E2FFFC20FCBA138E3B0E072C33BB33A744C13EE0E3BF44A4804F3A28CBC3AA8443BA03CCA731754C0C3E490F3CBC37CCCCBFCCCD37CCDDBFCCC1F04';
wwv_flow_imp.g_varchar2_table(5045) := '3CD43ACA08856CB57CCB276A4178F3D4C083C17BB325F54ACA1FD07EEEEBD1AF833BACC33AB4C339A4BCD203C0D31BD03A5C7DB0C8563B2CBD2EFB8AD598C33914CA3814CA3A38E399B083D42F8A6C85CCC8134BB068FD3A9C03DD03C039D43DDEBB43D1';
wwv_flow_imp.g_varchar2_table(5046) := '83F348A4F137CB963C881BD9137E34CA9C4270FCC5E332FE288AE11F84C8443CC7234AB11CD0F495CCAFE8EB32476330C756D5573DC7FC727978BD658146DD65AFD826D80FFC8642C005B8008046C0BE0D08C1EB1744420200E281908C02001E1404FF1F';
wwv_flow_imp.g_varchar2_table(5047) := '1482EE07194894811A14C4AC1884EF03802380D0AB8002CC74D1F3139C1B38C613188410F4C06C05579041C2F603408740022538821BA8811BD4462650C2ABE0A6E3D2B40029B445FBF4FB4BB47C7D4845D7874043B44AC4173C14716AEB83FD00843973';
wwv_flow_imp.g_varchar2_table(5048) := 'EAC6A95B07609AB873E9D4A91B08801D8072E5C27D2B2711404600E1265ECC680E1C387319BB75DB66B21BB56C005652D3F812003798E1327E03508CDB37466600C9018005CB162C5FAC00485284CB17255FCC705152E428802246A90E49024089122B56';
wwv_flow_imp.g_varchar2_table(5049) := 'AE68C9B8E6CA9A60D4CCC59B670F40BD7B3035F283E78E5E5C7AF232EED801154095974A86F02D02E4A510003B5EFA61E40800628D88FFDDE0C1A3910F1F8DA1003C0E4559A31A376A34BAC9F818806498A932C602603A15E94C1AC73C0110E508801F3C';
wwv_flow_imp.g_varchar2_table(5050) := '007091CC0852244A00200188A491111E342F7703C0F60F80BC7A6CDB36CF07E05FF4971E7E0C01603DA30A002AB44F07C0E13B78256AE06444741E11CC326EEEB075C51CE698319C016CEE9CB190A3C31929417294DE3300A42022231904132C23F0EAF3';
wwv_flow_imp.g_varchar2_table(5051) := '23BDC41243CCBFD0D4982F23472081A4C17BF8D9F01FBA60EA479E76F8E9E71F1291EB87C497A25B91C5165D7C11C61865940E3EE690A3B1461A6F44AEC61EA13BB14414FBA107007E606A479E15FBC9089E724002891A587439078078A81C07002C7529';
wwv_flow_imp.g_varchar2_table(5052) := '079C772EF2F2A272DE49FFE71D00CA9C08242A5F02871A3601A0869A6D00E846A33833DA869C6FBE79C7A697D039A6988DC6B00E0B3000E802802000F0C105006CC08A2B256C4881D28C5AC8E8D1165400CC851C72C828882084DA428E65DA8C27C814E1';
wwv_flow_imp.g_varchar2_table(5053) := '814F9E25337A2E230F6418223625645361080B5448C1020F34E2C0030E8405E089310068902DFA3E6BECB14EF88B6CB7E2928509B4631151CC416CD550438A26324250A3174A482123C33262849173A7D5EF424628DB67C5B4567DC9C85701C88747984C';
wwv_flow_imp.g_varchar2_table(5054) := '20508A44AF0B22B66F2D6001000F521021055F21338FE11A1FFB24A3F7002864613100B0F82535AACD284000EE08708C7E8F08F8A5285E8BE20992FBA5583F475A06FF801297015003634762CEC81600E8C9279F7B40640BC476F21152481F8D3E1AE9A4';
wwv_flow_imp.g_varchar2_table(5055) := '955E9A691FFB1971432261BDB71F2453CDC81D7140024797361658A08D361E9945972901D0A51436F7CCE8CB74C4B4C94B2FC139272400C0D188CDBBDBDCFBCD3ADD44A74F330140871C720080068063BCB8340751350A028B21466881DC5D4148E17247';
wwv_flow_imp.g_varchar2_table(5056) := '1F05625300807001882186B0C2872B42156A0D395681139C839624B15E988C84479F7C365CEB0E04A8B3CED621A40018000B7E0040B0095218D7E0123252F658F3B07D098F3EF8402C17FC1CF944E299C550568D3296AD8CB96D35329978008C3042A323';
wwv_flow_imp.g_varchar2_table(5057) := '4C56D90D640140F7B07419490FE3F779D3681F0084A4FF071E5733AA772D00B847BED8921501294A0AA2C30E004CA09109282F23FDF28383D283188A69A45A8BE0C32768719A4F2C22621AB1D8F696B73CCF60CC0BE343DF4B9A101BD7C0E4852F914280';
wwv_flow_imp.g_varchar2_table(5058) := 'F2F33297DD8C3EA2414C8376D6B30EC1C4670068878688E6BFA61D1189495422D35004357E10E95E1909223C46E43F7888646E5DFBDA4BDA00802E9E4D1CE2109C97DC36263EA1836D19B91B96EA041337C1E76E3579093910971172542F362A40031642';
wwv_flow_imp.g_varchar2_table(5059) := '8585A4B86178DB6901082897394701007419010C107230041F64440B90EB821C40A10CD6C5437FFAEB473EDA011F2ADAAE5E6FC8480AFA02AA180220601378C9B8C8F504DB5C6B3119E1031EC4B7FFB1D3C0E43200F8C4B6B6C785996586335FB09814A4';
wwv_flow_imp.g_varchar2_table(5060) := 'F0426F050636A7CCC813A240BEF2E16182EF439734A7991E2E88E13188A10422DE5522FDD5A37FF492223FDC31408DF88F0329181EAD9E3084761E4108D62157C100302E08C6523117046146ECF0920B1EA37A190945404598195A5E0C95E0CA080409A6';
wwv_flow_imp.g_varchar2_table(5061) := '91187A810AAE6942138470CC0886063132D3CF6E322A3E07358C1E1BC28711CF192228166D892955E94A532A247E80D31DFC780E3F46DAC97FC02B23FD681248BCE8B505C0276CE2D0D33BC451A66FA4231D00D0534688FA0D9EAE498D1971C94BA8E193';
wwv_flow_imp.g_varchar2_table(5062) := '4454A21272C0CC69A011380090E318DFF8041400908209702154A6B3442778B1871DFFE0205605F395094C00031868C40684B90EA8FA880539240217D4488938E2811621D52322CC6955153302070370C0048194C21112F84E8DCC7394F7C4E84B2A581F';
wwv_flow_imp.g_varchar2_table(5063) := '3BA8A19F78B0C3221EF39E63BCE418EFC103C638A399FAD4E6094F40100B08C6827B36C164AEB1D813C440BE26A04F0842C88046FCA01FFB49D3B8CCD14FBAE085D325AD2A804592E273CC59A4E77041043278C9C88E60812808019EC11BAE104A200455';
wwv_flow_imp.g_varchar2_table(5064) := 'C227A319D9A71DDC40DA1A29066219A99F0933D2D07AB205360EEDED1932E24C8DD0E025D3939FFD6CF6D19ABD0F5B3D9C62ECD6220F76C8632D28CAA44A89C6520B5FB8462EE5DFAAA6563577F4631F384D8E40EEE6D39F3227FF6C6ABB483AC4C8B672';
wwv_flow_imp.g_varchar2_table(5065) := '20156F716CA35401D0E28C88831AAF9082058EB08597F8600870F805E2BE912768142E14FD9C19B700300644380300DAF0C521D200002ABC060053C8F296A340052A2421098D12DD231315842E784216D238C936C051D854DDE3C13D7B95915A55A497DE';
wwv_flow_imp.g_varchar2_table(5066) := '2F0577B94E3BCB174FC158000019282F00CEDBA30B6270B49201612E8481B8E7652485C9E2CCF1E0734CF289E1096760265B960000DB12CC0D92799E71937B313C2CC2B885C08C37FB014ED969E439F8FA5F10631330CA86D702A714420A10540208F64B';
wwv_flow_imp.g_varchar2_table(5067) := '694ACE08344EFB68B6D0D2332F646846264A2C935D992D148582106800D78512EB25D88A597279E9A07401A083F7FFE2D97363A73F072B87B14ED3E4D12A9C530CBFDBC21A8607155F52B57644075EC8714742C6A1C52DA2B80D429D48185F9C54009038';
wwv_flow_imp.g_varchar2_table(5068) := '237453D3D9641C476A8411C770724510121884350C21084A50D41A5E218CA5CA041A21479CC82973885A44B919CE30862F3212A8EAE5A218018D452C2E03092B882E073EE8631012910C6964232582459526FB0167794C4DBA1E2A121433425962F54B08';
wwv_flow_imp.g_varchar2_table(5069) := '80868942CDABD947A7F733A4DD67E23242500084C296F4794CB734425E665BD464E46B26B333C2041AF4BA7CE7C256BA0ACC166C45133AAF73B538ED555D008C14D2F089ED76C19B1140175A346C01E167475BADF89EF6259FD8182D298F504F6B84A2E9';
wwv_flow_imp.g_varchar2_table(5070) := 'F36FFF7F330F131A0078B833F4F6CB764377E621E2307EE8A0D43249EF979C7B3912B6113E7E84D21A45581FF7D0078A8656F48CD4C376F9500B49E15DFC0C37911EEE98D739DBE10E16A1051ED9E05A2FC07662E624A2144B55EA4584018A558444C678';
wwv_flow_imp.g_varchar2_table(5071) := 'D3058DC1D18BBCE1ED4DE2D071A20219048C0F010FAB40C64A622213981C83D8AAD8442D9A01006B00A01976411562EE186201A0002AE6602E1742A110ACE02A6C45E782400E64211910624E800E5588061F1EECD53C044596832D7CE95B7C4740CA4E23';
wwv_flow_imp.g_varchar2_table(5072) := '2CC0BCE20E3EF6893EF629F15EC20533037C340600228D39A2A085F08B3900ECDA4A208648AD428E4B063F4A23580D0499632DDC81F6726A09A5FFC097CAE325728D390246B814CA681C63113446D8E4CB960C0AB45E8205AC9085C41000C86ADA00E0ED';
wwv_flow_imp.g_varchar2_table(5073) := '9843878003661E0D34D2433442CADD5C4F2360AF8A8C48C270AA1CD841F7240C0F9FE64788E444A0A34808E843D68DF88A2F11574AC394EF43DA4144A20310E1A11BA6EF6BACEF25C2A00D42E1180C0750A0211426CB02FCA04DEE66E1D868AAECA64DE0';
wwv_flow_imp.g_varchar2_table(5074) := 'A3175E4151302E51A4C0076CC50C648125FA04E4BEA18E862D166AC119B4C11AB421CA8C61FF6281A06E61186E01008641186881128C050994E07782A0711201008261199461197A014EDC4C483650E95E2FA78604D2B880795E4299122A230A4D69B250';
wwv_flow_imp.g_varchar2_table(5075) := 'B4AE47972C4F23B64E6394450AA2FF40B300C0A2BEA5F33282ACFA2C0DCBCE64D6703F34425A2A0384922B5F3E309CD822809610C45EC20DFC80127CE20B5226656062645EE2BC48063E946CBECE1163888D083F8306AF0D69C88ADA54F0BF24B210BECD';
wwv_flow_imp.g_varchar2_table(5076) := '416E4608ADE73044E30899A4DC96E4C1EAE10EEB0D5EE4E11D36210DF6A01CE8A11E76EF0F97E416CCE11FA22112AEE11FD2C116E0E11F86C11C9021136EE11F98211386E11F8C641115511189861EDA81C3A4A81FDC416894E41FD6811ACAC1DF98A300';
wwv_flow_imp.g_varchar2_table(5077) := 'C2200B8EC11BC00A1843E11352A00854000E1E2E8EB42423C6CF2508936BEE4617EEE66E96C1157E075486600B60710D62621ABE211BB8013311C7FEBE21AC8EE1E48431239AFFC1182C61132AA17A70811470C1160140167EE115F8600C0EE110C6800A';
wwv_flow_imp.g_varchar2_table(5078) := '4C87E74A01164A01006061377BA117CEE14400910361421E3C901C31638218010ED420658460F0CACE351004D0C0EB1CFD090094ACB548E897EEEFB4AA85F294850CA3EDBF569278DE8E07AF2DD41E843FF883DBD4EB3F1C618278247FE42511EF81BA4E';
wwv_flow_imp.g_varchar2_table(5079) := '841FD0020F94A00CE4070F2EF2085CC33544862DA26E6156B07EF66B31E20B261CE1242B833ED4C05B140A823EAF46CED3D0AEC586A64984404B3182832D90838AA24B27D1CDF672EA1FA0610FA6200DD24015E4411F905276FE811E1E201A400101AA80';
wwv_flow_imp.g_varchar2_table(5080) := '036E211B02C010FEC10388810860201352C104ACE00E3669C28CFF0F260C118958A4DEC8D22CA328A7D4125F78A42DDB242E61A20000200B48A0188EC11AACE1137CE11350A108FA720DA6A114C54F1509F36CA22AFCB22111FA4551162592006332B381';
wwv_flow_imp.g_varchar2_table(5081) := 'FE6C821BBAEA703202E400A07A7E11008CC11854E110FAA01356011758531664E1197E21163EA1155481179CA1160EC107D620113001373302377B01167E3338F9C1E8902E2394EE89606666E0609A802D400514DBFE8CEA1A942DB610CB2C864195AA26';
wwv_flow_imp.g_varchar2_table(5082) := '246F3B2B4F42C94530CEF3F3AC900783EB5BDEAEBC3EAFBCA2400DF223DBE2E7D8F68911F8603532621F9664EF98E33EF5871FF6C11EBC872D8AE9098A09D850893910E4618CCDA19AE9397DE4A0D655B8AEFF8D59ADF00C03725D87CBEE0A1226684623';
wwv_flow_imp.g_varchar2_table(5083) := '5EF20533424473122220AC278B307F6261FF78A116FAE01D8EF275FC871FFEA11D6E80196E003A3C81089E81AE9E410990A10AE0201C32810398A17F7A8F493FE469E22223E482488A53668BB30E75C665E5212E6EB288CA72F9AA742DA5234BCFE1117C';
wwv_flow_imp.g_varchar2_table(5084) := '8A2D14000048800450C11776611700C0175461117EE0072CE00B64A16E32621CD82831A5AA4DCC6F6BB7961AB8A14EFFC55F5E2219E88FFE640233876DE472E1E402D01878E114544115FE201246E11722351864E1183AA1155A81179A41708B41157CA0';
wwv_flow_imp.g_varchar2_table(5085) := '114A015479133761A1544D55938C24CE342280942E1FA00841E4C0D804F40972CD40CB35F216FF6311FAC0D9BC4CBE0815714E0BF2E0E33B170A82EEC9D7D0902D008C59894779C84B3094C731D4533162A6200136318AEBD5E4053EECF3EF081100F207';
wwv_flow_imp.g_varchar2_table(5086) := '0DA64240A4E00BCA3682A4C03951100503235D75095B16E182C84759B68A39E24B0B2BC30E1E631FC71382CEB00C4D505FCDAE33F2633FEA2E635A1031FCC02661A221A9E660890845A463498C64181A56150CA11C62744908A862FF8108526107C4E11F';
wwv_flow_imp.g_varchar2_table(5087) := '6C210968810B4041097E40643D2012FA81164CE00D766649571645E8811D92CA49CCC1495E62243E02000CAE842F42205ECC1D666A67CD3227AD547FFF811DA8E11CC2E6DF34E202146001C02008D400159836235AE11088E0076C800B64FF418C741300';
wwv_flow_imp.g_varchar2_table(5088) := '7C338EC2CF6E0653C67A811B76033B16E853F6B426404E6D874D6D6DA1134E4E6E9D4113E87614AAC75195E1163C4115FAE01054E12634B51654610B46A1143821547793714B1538F38EA686F3F53CB05589879D4AD09083E05CA13778142AD78E80798C';
wwv_flow_imp.g_varchar2_table(5089) := 'CD0E34AD74D982247D1500B60E7CE003416CB70C2B0A596FF77635E27527C6DB5CD566B80D9B44AD08EF21C4B8B5675FE22109315C974936AEA35F5A6B661099640483B29A13D86EE61310A357A16DB432E2B4C4E425BCEAB33279C92E145C4C46A1D210';
wwv_flow_imp.g_varchar2_table(5090) := 'C0A86D257DED077123310E52B9D225DC5E8F0E35821D8C3261A5A362C3816E79A1156AC11D04D844241100D4C11344A01CCAFFC0046CE1060C61183CE01FCA2000A28108FC201B6C2115DE8008A8B2DC3818CED2C11CD8011EDA61A14F3839D2C11DE842';
wwv_flow_imp.g_varchar2_table(5091) := 'A21D62DED4A11CD4C11D3E421D145A44EEB083A7B4C3641839ECE11FCCA14D4C0C262E00001620540801154E010098B6152CC1087E400594E0FB0060157CE2150C0500E4000CFE0A0074B317A2F82564611A60123BEE1400A05023A6C1FE62021AFEF44F';
wwv_flow_imp.g_varchar2_table(5092) := '9F011920A11636C1194EC11978E1103661147206175601140C610CC4600AEA60009DC1199AA1166AA11270E18E7993714B61714DD5A5C0912D68562388449B35A2794D290A830BD804430A44A3572FF9316CD0BD30834C76113E1E9475D51799FC510503';
wwv_flow_imp.g_varchar2_table(5093) := '7276EB4908A0FF95085D267E4A4D0C02648226287F4E5B675E59728D64093382F6FCC097A4403BBEA079C1400DBEE0B0D7D1A1882560DA75412F1926F629752939573F23769B0DF33CF91FE30E4164975A4483EE0E83775F029B500D783BE82601E09B33';
wwv_flow_imp.g_varchar2_table(5094) := '229C79F2448B641FD8411BCA5415B8014691924596241B8CC0132C160E76E00FFE211B92541CAA401CFC0006E000146E4009A0724456F69C744AA1D5211A3C412268C113BA61183221A03D211BA4B21BD2C1151C5C1D86C11398E119C40119C241200C5A';
wwv_flow_imp.g_varchar2_table(5095) := '4A5F392D85E669FE611E20621CC041A575D8685DFA872D811558A1690140138C80052C6008BE4F16D6E00BFE0A0ED6600B705B2330CEC70160A89B9835BFFFC12740E53A7C2C2300E1176242239E811BA45A6DAB1A0090011A5C61537D81173681170060';
wwv_flow_imp.g_varchar2_table(5096) := '0F460118541314B4602BCEC008A6A0168AC1ADE1BA185E613547D58B4A81546D3855FE381C6B367C60C2B64BE85C99233AD3B1B8B149BDB80EA2BF6ECF1F23B4D6952D5412B3997B9ACBEB754DE625338A5A6F263D68060F24E33CA2692DB6F5256085C1';
wwv_flow_imp.g_varchar2_table(5097) := 'F2A19CF2A55EFEF39434E60BC0809810B9CFBC6B9984A05FB429986B9D6986FB3A67C6BDE635307C045C10040A9CDBEE1E2DB40FA3DB800334B27BBB21429CBF9B46FFE11D6AC1177CE1C1D03B465C255FBCC949C711C003DCA1CB011EDE000EBCA0126E';
wwv_flow_imp.g_varchar2_table(5098) := '202B89C01688E10622411C6C210018211C94FFE00ECA60A06DC113C6A01BC6E0161C3A225E18C4ADB41FD0621EFE011B84FA12AD8FA51DA0A583800408C10E5841A677C11834E10CEEA0127E6119C44116BEC0E226530ED660323582C9B1E031405E3795';
wwv_flow_imp.g_varchar2_table(5099) := 'FA31AC4374284E23002119A6E125B8E11984E1EBBA0A719E61E6FD008EDF38AC0F41CBC6E00AB8420A94A00A8C00099860007981CBC3F4158201371717AFB14F17ECFC7153B5AFF1277F52A13112E8087E180F2693E3CF911D89C53532CAD6E36B119659';
wwv_flow_imp.g_varchar2_table(5100) := '2316DBD08D19B86142C99E607C97FB3C971BB3239D76EF4B9612A37DF95E5DFCA9D4503B39A83280CACD48EA255FB2950B6208EC4123B769B97A1F26313EA1380E0DB821063152974103FF27B45A9039F2114397D5EE5B12260ECD42360A9203AC9B5F02';
wwv_flow_imp.g_varchar2_table(5101) := 'C4EF3761097645BE41DA6B411DF621467FE44756641F06A81FF0A11EF0E1769E8627EF412D840FF8BEDBF850E4DBD9C10FDE009F4D000EAE2109DEA01C8E00A09BFF0DAEC10B0CA112CAC02BC361FA938018D8E121886E48CC12E942FC4A7BFF1FC4810F';
wwv_flow_imp.g_varchar2_table(5102) := '280AB11505697FEAA7C0000C9AE0E19996158C01158E0120B80DCB344A5CA32D6B00240420078043300E1D6E01B306622F00B2A0AD91E23007802011870002C06D9AC367CF283DF971C40B2D6CCF003CA38507529F3DAAF6F4799326C7941C43A45851A2';
wwv_flow_imp.g_varchar2_table(5103) := 'C4889129B500A8E255AB18B455C12E3AEC05EB629852D4CEFDEBC7B55F3EFF76F2228A0DEB70DF3EB1009E0050A3500D183C1FD570441BF1C95CB18E3EE50550C88D18008B1C398A78CCE1B15068113B5483C70E00B878D4D26DE250080DBA0E69088928';
wwv_flow_imp.g_varchar2_table(5104) := 'A40480CE981D31124D9A51683F88C49EED07809EBB7F9801F003700FB6584F0E21E3598307A2238811E5AE15CB1680608794F2EEC51BF113806F860D7F3B76CC395AB80EA3648FFD1980E612343C73BF9CBB906800A323A6E723D63C9FD40EEF99DDF74F';
wwv_flow_imp.g_varchar2_table(5105) := '1EBCD9115983ADC78FAB587EFFFC534E287DF4A18A2A851C034F3F010210E08300ACC64F7FFDF54361575CF1934F44F8E1C7DD8720D2C5553BE594C30E1C559471CD0ED998238E117F8C914D384494B183274948E189FF1B86B473CB18E294610B3BE6B0';
wwv_flow_imp.g_varchar2_table(5106) := '335B86FCD0D38E3BF788D58F3BEDE4D39F6CFFB0C34D288BD8A1C613420831C4134190B00009618401C51992B072CA2EBB9CB209537BDC324E2358006046425BD869C69D0B01F005427F52E39030680C21D65DE825030D372471E38A14521CE19017C2C8';
wwv_flow_imp.g_varchar2_table(5107) := '84CC2D6F8CE1C71E7FEC9106008758A145195AA0710517494CA18325B56C62892FBC0003CD2FC18875112CB02402462FF1D8034086F8A8030F66F25838E1756A7C01871C78300B8623D8398468441C453B18250E0DE6D8638B58A7D873CE7D0BD85AD12E';
wwv_flow_imp.g_varchar2_table(5108) := 'F657889E8987D9659E6D469723D8A2972D2388B08716B465F5439F43C372E8503EF76C880F6CB639641AFF7A729C87D6B30000F72125CEE9A59758DB0E161D668AD901971D8B3C1611654268871614424091596725946099650EB51B1E5EA3A577B043F0';
wwv_flow_imp.g_varchar2_table(5109) := '89E5070077D8529659FCB246DBAF00EC978F7F01B2968E276350518517629C0140156ED822CF8354D357B043F8B1C65A8574D9E65F88607F68A13BE6149909319E4452C61DA0F8E1473600C0618821E944624826D79431CC1B70C46288389130A34E3AF7';
wwv_flow_imp.g_varchar2_table(5110) := 'FD7AAC924C3A09E53DFDFD03603AC740434E44B9E8C507166B8CD94618623C218925AC6872CA29AD90134D31DD8013C79D5898A1D09E6B6CB1274378AE11C41AD498844C710E193A84EF723CC38DF0BF70C308175C4464042530CD64050056248146FF1F';
wwv_flow_imp.g_varchar2_table(5111) := '535471050065F8F9C51756582186819BE0B4892A912B234B2FA55005802E5495124622BD76C54FB0FDA2552C7E4DDE723023A39116D1B3BEE10E1E8E13AFE614C2218E3920009C5318B150073AD6114BC716C13B2150E643A089C865C8C3B2BAA0C534A5';
wwv_flow_imp.g_varchar2_table(5112) := 'A18B1B1CC2876835C821F5001A00A414918031E96A0EB99971F890B084F96680030C11259203006C418C2F6C2997C530439DDC680C0F78E89843CE75044945445D0020995834A319BAB86B38C9190D248C631C44D48C847CE0032552119FF9C0A670F909';
wwv_flow_imp.g_varchar2_table(5113) := '9A3CF8F3358798C30D4BF382179E20C7BF54E10994C807D51E940E7AFC8370F760477DD2F10F7554A91DB0114737E4218E70B0A31CD9FF80076C7C16B64AA2A51FF7189639D401007598231D0E195C3A3C39CA72701200A31CE52749F94979E0E34816EA';
wwv_flow_imp.g_varchar2_table(5114) := '07E29A941F284989410E821C348A08006F006072B4F80D094A510A3C48811067A0431DEA400855BC231BDF00C734D68039336C410B79CAD31AACB9108AD80E0FE058063464112900144105001842108660010080A278CF80864CF8F0831400E0075E5083';
wwv_flow_imp.g_varchar2_table(5115) := '1FB0C10C68DC820B56E04215C68006EB8DA1545B30D51750B58737EC610F0070952A62010D65440516A56818001201006256422B0072DC3D84452C6379C81062A9A1609E552EB4F0CE635CE46204312616EB34906211C1CE134406800BAA8B64177CE206';
wwv_flow_imp.g_varchar2_table(5116) := '3B08A22CD2255A70B1D7FF25F9C59DD9D4062DF1628C54C9C598DCB8540AC251437110F3098859AC101B53A275BE214F87443014338DC822E0F2840B4A814BB10199772A431E936526A7D932580C0170B3D48CE15C00A8548B76B62F11A991715F838D2B';
wwv_flow_imp.g_varchar2_table(5117) := '06BAB4318C212272F40200C2B1953D52221BFF004536CAE10A7984C313ECB8453E90718D7F64E319E260472AB2A10E5B3C83188EA3A42567DB957AC0831DEAC86D6EDB312C7688A51DBE0DAE4380CB0EE2D6EF57B144DC256DD9B85CC62214C528E2318A';
wwv_flow_imp.g_varchar2_table(5118) := '510C6FE4C2114100431B7A4109299C010A64200300C8600774840300E5E8062E00B08A448CA2128D90831CB659A7852424216000872C68810C5A3844317CF0432522FFF20B68C8931BB67043A48E2004A865021B0040C62FBEE0270024EFB100B8C2A9B4';
wwv_flow_imp.g_varchar2_table(5119) := '00D02A14010955E0D426C640BE5C0063195121E63A2D10040B2402A35A91DF488F1B91FB79282268D02A1E18F305AD5A952E5805C05C06D3D52217D0311A5BE087A603002C05112E1D2B9710227545BA48913311B12B962392C5D2380235A6C130005C31';
wwv_flow_imp.g_varchar2_table(5120) := '0C93888341B0398B6D29E9215A3ED56676A19643E22C16B50801AE4260B09091E308AE16304B3035EB271A78180014A630CE510305A3EC31316CE6076A9182A1E8429EBA3A04A862A93223BA3C982F7F19006FE8A1CE00003793C8C68C34061A3BE8C146';
wwv_flow_imp.g_varchar2_table(5121) := '9FC1C61055E08217CAC0873ED4FA0E8EF582159E5159FFAA01231AADDD2C334A748B6C0C431DD3B8463AA2F1C776B88219ECA04536B2B18F7BC876B696C49043A886216D77FBDB9831566B96444B873C294A53D2A3391091042A70EC13BEA0EE610AB186';
wwv_flow_imp.g_varchar2_table(5122) := '449C8F2676D8C4210E618943F4011DDFF8863292115FF762E422E62BC52B1231E0F85204009590E62D64F20B64F43016B978EE2B52E10A5B080319D0E8EF8ECBE085A5F16118211F0632E0A004337C41C35AE81E85333C97A258610C65E883278E817268';
wwv_flow_imp.g_varchar2_table(5123) := 'D4AA17E8C342107210842024A214D388C7563234E3921E6B1E103F42F2102519E1CC79CE4F60B06422D2E73ECF746374C98543CAAA9806B285638C61F4667E2769B4B4CB65EED2F276E80242F5C8FF50867840C42B2CEE1093E0D2DCF570079BC5B2A1A7';
wwv_flow_imp.g_varchar2_table(5124) := '2EDD214790C2D4D329050B7064E61189C29DDD7584764624145D67CE92CB51D6E72C26D0E3E2CCA4275DE52D5F3A362A13D9CC48C8171946E215006046D7F081EAD8ACBA1E4373350032310681EA5AB255083E00700E5B3407881FCC40C630AEC10C5B80';
wwv_flow_imp.g_varchar2_table(5125) := '6218DD38EF6A41918A7010C347D7B8C56C40710BCA5A1BDBE0572188DA686E6D23F792269DA5E2D0CD2000054909484895BBBB558CCAADA112E9B3852BA8DB0A5400801799000CBF900CB2B00A5B90033E507457804D79C21095C051AB5080A5B00A0000';
wwv_flow_imp.g_varchar2_table(5126) := '0EBF200CA6E60A8EC00792620566E0078C40466317586AF0036BF104624051C8B082FFBFF0064330735A20116850616600076F800666602A6F600BC96760D0408040570A750200233004BB220B4A2763244517C5222537B6678897755BB767768678EEB2';
wwv_flow_imp.g_varchar2_table(5127) := '7546661DCE8164C6613111041D68F1091D13445146416A70042960014E7404260800EA527A556641A5372F9D36437CC008320400C9900C03980CCA606E27D40F6BE62F115178B6714262B10633977890772876C1254E1486D83244983153ECF00E84711D';
wwv_flow_imp.g_varchar2_table(5128) := '3F06009265016B6701EC04009EE88673E886EC421725A01616531C5F76407B37710E510D0E013700600EA76616FF302C37A61FF48058AEF60FD3E0377770077D000705428C7D000AB6900E5DE12000500FD8100EE1600EC3C648FFD9200EC1460FEA200E';
wwv_flow_imp.g_varchar2_table(5129) := 'E5600BC4600EB6700BE2500DF2100D92F484E10736D75649E6277E2A9421B2446E2D746E4EB842A695044900044550194B40057DD009A9000AAFB00AA5600BB6B04BD6E00BBEE00CA9100A959009A050096BA088DC730541701752B04E93B6055B2007CB';
wwv_flow_imp.g_varchar2_table(5130) := '200BC2004FDC200CD8920455301493C25F7871042CA00348901A20C70C65E6098DC0100ED10835D97035090871000766A00591B00ACC900C2861607A883EBD502744678440170FC865214DC784B231214EE90A986101ED342D4276176A318510F3437905';
wwv_flow_imp.g_varchar2_table(5131) := '172F1541EC708974511C14944400A054BD63452A932EA8F89674A11D94681A783866BF300C11A10C7C290D625130FF82382CB4746385E7200D120FB290070E310B0E1106C4B163DC2129D5625679112F9448994D16224E137A80A1067F21046D181129C0';
wwv_flow_imp.g_varchar2_table(5132) := '0113507A5084192953656CE831F6C27DE5406A11910DDB200DD3000E4B878BA9361BAB967BAEC60FF20030F2400FFA309C29249CF5400F5CE1350EB22F93341B0DE2354DE29CDB0698E9589DD8D68C62935CF2181F4FE20EB9F70FBE820D4790043FB003';
wwv_flow_imp.g_varchar2_table(5133) := '3F600448000046F00429B20ACA400DB9C30DDF400EDE500CD60070DF200EDF600BC921186E83073898505BB03D11011252B006B2E00AAF501200800DDC80073C600400A0045650059F71077C37289DD0185B740CC26060CA870CAFB005DD33A1BFA30243';
wwv_flow_imp.g_varchar2_table(5134) := '804EFF9336022EE00257B00671D008B4300D300184E8D3052390033A7A84495834F4C3843616216291510EC1515BC9166CC1114AFA569F01575C56641204008E711C97094AA1301DC730442DB51692920226884E16900213607A7491016E88162920296A';
wwv_flow_imp.g_varchar2_table(5135) := '903C1636833264950EF1877E299BD9E097000234AC2198584378F6A842BE12119CE010A5F00881E01033875551F00476C1A451C0533DD4644314411CC37574212E6B110548C42DC1D1252920049E6801E29101666A4FA8D8329D518A0030011C803D2301';
wwv_flow_imp.g_varchar2_table(5136) := '00AF400CE01011DDD00DDBB00DDD200DB2C81AB58719ECD06AB2D520D8399CFA407E7F09883EC31ABD76ACC03A49E5679DCEFAACE577384BF233FFE6E60EDEA92F8E835EBBC00ADFD5023FF00340400445A004D6F30695506CD0740CE4A00DA51370A486';
wwv_flow_imp.g_varchar2_table(5137) := '0DB4100A9DD009CEB1459F0009A2C10870A0AF7000070A2107AEA08C310161A9800448709EFBA8044740043BC007195A2985917181357690F005686005206191D8E41078922745270760900889200780D008B6300D7E0874BDB006ED3404390006A58084';
wwv_flow_imp.g_varchar2_table(5138) := '4FC90F81040F1B623FD3596EB3700900600A3D0B006DC051BD21172F85285A792D7BD11835851660F85F67A94468E12E69C801AB9A01E9924167FA4498B17526400126E8AFA3007BDD700ED9A00CE2B00D74A10F6831887B5A88F658304EE9103EEB108F';
wwv_flow_imp.g_varchar2_table(5139) := 'C009761B1161400941808290A2A8FFDCE11C16A32D3015B84A46892D854469B91680E51022E0012200002C20A658FB3175961600B0B8F6340126880BBF3071B00700E7C00CAFE09762910CDD0000F6B0AB74C10EBE48AC4FF92110921FBAF797541311B5';
wwv_flow_imp.g_varchar2_table(5140) := '0BADB80BADF0384BE5468F686616EF600DC2CBAD4B30042E000443A08FE6240568000788F00992E30DA8600D01A79FD8900BA1500B9DD01C4AE610DB4BAF8F8A2DA9502910C60D7C20030EF1AD26B8BE3D100A8C62609FD0078E500C68010DB1703903E6';
wwv_flow_imp.g_varchar2_table(5141) := '30BA02008ED9305DF0100D930881D05E705009B8703EC404061690801600B3CAA074218549EC60B3521911FBD00FA4800968210A1A5C0A412B6742A606894A1CB161311D33A5FF444664241C364D001E11A1AAA9EA86A48A192163B9422606C2712E1390';
wwv_flow_imp.g_varchar2_table(5142) := '025F3071B7007BB00800A3200DE2E010E7F5876A2B166C2B1B84973888281568610A811AA800A008003008821AC01A95100D0122DBD2BD6211056210059389554F4617A8E0081D738591286474E49998F1520EC105860208B770BA0E910CAE9AC768610E';
wwv_flow_imp.g_varchar2_table(5143) := 'B1DA0DFD90BAB8697BADFBAB8708432172BBD3B9478C9CBB8E6C9DBB4B6EBD6BAD43431F67510ED6400EC20B00AC2079E05A04A06C4E4590045C6007C0800E00405DFAE70AB2300CC0A0BD4991140EA10A8EB00997B940A1E00A1F2A3C00300D8E80BE46';
wwv_flow_imp.g_varchar2_table(5144) := 'D003006003110169B43092A9FC5D516053BBB44BA1B005D985B7FF601006600011D44CCD1C051C10C170F23560099C4E39600158D094BED28C137CB300800F0E1116D87A1600D00BB310CF0E91079C600A9730B7833008EEB35162D11B5FC01B94C03F5C';
wwv_flow_imp.g_varchar2_table(5145) := 'A4C251964344464173F6566A112D8A067A930A009AE0689187165220596CB1B81E831D4AF50470F00AA71BABA44B8BB8F187E32016491C11B6F51F2D2430CE4817A6000B2EED109750A81D55B7764BA4989151B210115FFC2123DC3090F218708C19D600';
wwv_flow_imp.g_varchar2_table(5146) := '0045AD8923341C62612F5AEAAF057C0BD3B00DE0F0C768DB0D13B70E0E61AB00400C9D5481BA3AC8E98C16AC5B21EB08368868D6B1FBC86AFDAC91CC24937CAD0FB20FE9400E742DBCC24B075DF2C9493004FF490000687007C3200DC9E009F305067100';
wwv_flow_imp.g_varchar2_table(5147) := '008DF00AF22AAFB0ACBD5A180AB1500C8841099D800CD9800D2BC80DD8400912DA033770033B0000A1FD349D000C00000D8EB00450B00469B54BCFA5063ED0270D03065D80055DB0065D4011B70D0672D008952090ABF00AA30000CBD00B3509CDD9550A';
wwv_flow_imp.g_varchar2_table(5148) := 'CBD02B0EE21FE71C11EA0C00ECFC0F3C0300300D00F13CB7560CA8550C0B8F80D38FD05100C009838A16B0671D6A60077640D08321069DF3880E01124124C7BD54D445ED7F62E106998A197CB08133F41809030805E410E370BA250D00A45B097E390ADD';
wwv_flow_imp.g_varchar2_table(5149) := 'B70EE180C72A94D284F82FB411BB7F6ADDD82D16852A0A8CC9099370B7812A0AA2E010810AD3FFA6A00B300DD3BDA0444A84DF9B387715B6166767D4F44B17DA600C96B09685104607548762C13F83B1DFB3080E520D0EE380D50080B6DB70E4DD5009DD';
wwv_flow_imp.g_varchar2_table(5150) := '300EC4100915C84916527BE838D6D8B9D65ABEE5B9DBD6CB75ADAC91BAE990C9471D1174E004A009CA4950045E30067FF00CC1A02B5D6006ADB30565E0079F90E799590BA0E0BDF4170BCD410931E10A3BE45FA910053F20043C700300D0033D20A100C0';
wwv_flow_imp.g_varchar2_table(5151) := '037D6060B520064D2006F45B18BB641868E5DF85F0E982812D9F100A901D0AB9900B1E7ADA10F60DD4F00BD3809411913EBD400DCCDD15358BCE35B66D428AE1734BE279B0E1197E09763BB7B0600AC66EE28C19CF288E16508B193F6DA8FF57E71092E0';
wwv_flow_imp.g_varchar2_table(5152) := '10358E16DAC09978B0E311A1407871870A3118AFF00B00200EE210AB0EE15B0040AB0E61EE74A10E29A4C4C7D5668678D674C19800200ADB1D1173FBD2D8FDD2A6300BD7AD0B00AF0B1DD50A00B00B2E8E0A8BE07F6C11050D2FC250F6C567E07FF489CA';
wwv_flow_imp.g_varchar2_table(5153) := 'BF14119373D4A0DEDF07C4EDB9B1AF7899D5E55E81E3A00EE7D01A649BEE275FC463DB0D1488E0EA50E5D54DC8645DD65C7EF35B6EF3E1362149B29DD51A25FE21E6762D16ACC00A242304FA888F63E0059E100D8970D84160075E6007EEDD078580089D';
wwv_flow_imp.g_varchar2_table(5154) := '807100500BA9500BB100CB911DD9C2100A94E00AA9701E8C309225F819C22CCC24940A842686B2BC4BE410398656E3929D99FF5C45EAB59014917DEA9572DA8B720DBF70741BE59861D0061E9C154B0795E78CEBF04016960C1B502C16BA600A1A4CCF3E';
wwv_flow_imp.g_varchar2_table(5155) := '2B0AA6C0F98BC998FF7EDDB3A00B020F0082E210BB1011F8ED185AE5F0DA41866AA91D9A50E67491F1BE00189F3ED05C7477709087B2D00D8282B6A1740E488EE09861EE91400CE3F0EE28BD20834978EDA0CEF48EE19881CF98B0EF6861EFD8CD98040F';
wwv_flow_imp.g_varchar2_table(5156) := '0EB0C00B07EF0BBB90564AC40AAAEF7F9A804C0030F1A150D4A83C3946ED10BE1411E0CF17D9622FFDCD07A0200B3121160031CE9CC07305011C0470AE1B4270A0B6A93BF80A613F7BFB2CFE8307A01F4284ECEE69ECB791E34892254D9E449952E54A96';
wwv_flow_imp.g_varchar2_table(5157) := '27F90170270FFF40BE9521F9DDA4D7CE1D807B3401F073E78E5F480015D359433A929510A6449C1611332615B04A5DBEFCB124E994264B76FA4C0596CA533100B56201389B3617594AA12A1D0CC5E81932576284FCF8715087114AC3A071247BF618C2C1';
wwv_flow_imp.g_varchar2_table(5158) := 'E40E162BE60B80E2C5896BF90A0500F1C163C2FE0280068DDBB3446010660140220B1830E7EC85ECF7921D3C9F00F001902773A34596980EDA06602AF72CDD086171D47530DBC15D9F00A042A57411AB450058391A19450F006B64475A43E8EDA0B6837C';
wwv_flow_imp.g_varchar2_table(5159) := 'BCF339C80811003FD031232C07EE1CC273EAD603A0B70EA1B883B194AD03D76D542400A33472AC079E970EBAE9A09EDA39E81F936099A5A4E00EE2641651FF723BA837001A3CA8C15974E905215F5439083B84AC41E513E40E32EE20280829E69D770E42';
wwv_flow_imp.g_varchar2_table(5160) := '473B84B81BC91B5F50C1033C00CCD3F120F9C661671D88DC2B48BE83E239283F700058729B83B609279883FA99C7A27D00C8A8248F8642AD252FBF04334C3111AA07805BEE68C9269C7432904077DAC98728A39012D13956A280E22EA78C48A28A3E6879';
wwv_flow_imp.g_varchar2_table(5161) := '25112CC66844124D7661E5903320010680542029049258022B2617847209A593C82203E5206EFEA2C50D2A00E881235A62198CA4632EE368B0624229A6964F8A49513200223B2897CA0ECA0C804F8511E617602D13E615597E71E71FD4FAC9871D775A43';
wwv_flow_imp.g_varchar2_table(5162) := '48A683F61910210C351C49B749001005C30CFF1BD46D438EB2C964B15D1643E85C134D4CCEC4E3920BF11B8EC8A9D330630E7AC730009A5BA4904200F0D78F1E116C0F00230F5A0F4924E721E91565D4C98F237DF419294B026FE2E723040150F6207B96';
wwv_flow_imp.g_varchar2_table(5163) := '0140970749F276A4DF2E3CF9C2067FD3059C526A71A696911423B156E276391780E9486225E753EABC4E9545ECC08368845039230DFA105AE71C76CE3112C97590B4C71C274B72929864281209A39F4862A71E2E891AB36CB3CFFEB24C005CB925A36A4F';
wwv_flow_imp.g_varchar2_table(5164) := '4A6DA89CDCB9A79E8F340A2ACE8D2A7A87CE8358718E29007E20020023AA10A3135B6EA9048B2FE03805955398B32493611E1D838A29FAB0CED2540148D515571072851B008401809683FF1CF92416547301C632688EE16630DB2F63D5D55A109B152ECA';
wwv_flow_imp.g_varchar2_table(5165) := '6C051D75723E25DEF483BEC9869B6FA6E1269C78140CE91F7ED4B19840D810BAF2A406831B39430B2F2429E5833C51AC198EB0ABF3935DE025711742CE00BDA49C8DC1591B7D014007214B8AB663114B16D9C421D2C09175348D480040928F18861088D8';
wwv_flow_imp.g_varchar2_table(5166) := '421908094737A4710B8A4DC41EF010C94F52C3117A70AC2479000026B655320A65C85A23D390B838E20C00D0A81934634CCE8E46229D9DC41ABBA8D32E688490FCC95013C9C15977D8B1B18D15301EF251180018268E7144E46ADD70D2D5ECC111B7814D';
wwv_flow_imp.g_varchar2_table(5167) := '6CCB425B16B5B8C583A82D1BF000054DEE06B7B8CD2D1F769BD29BF45694FF7F7C232980035C9E8460B81F18E17076A8C52D8891882EC0A112A8B0062B24B1AF54C402126340820E00200699C56F24B108452E62313A00E4E22F979954FC52B52A6818C6';
wwv_flow_imp.g_varchar2_table(5168) := '74B3EBE4AA8E91AA6290125688094575D67218D00D0677BE4288F184C38D697CE379200909F500741069B5E92020BC0D4A4C31329199107C23B9C60A6186AE14E13044E7C20E21047190FB9D0B9A8093E1FD3802AF4DB40200F702401DD2111FF994D360';
wwv_flow_imp.g_varchar2_table(5169) := '0844277C38328E5B00601C0BD98634BA110EB54DE9821C194A810ED241059904340000CDB68083215D60CB980048D93626C44A00B070448CC10E630EE2043A68C27CC4A11F00AC79926FF470441AC5D92996F01F2C9DFF535A5343673C90D48DF72C0921';
wwv_flow_imp.g_varchar2_table(5170) := 'C3D1083E3698412B8E8D8B37C56998CA348C83980300154449DCF8614634E20D4E72FA873802491D5634558E002082118890042A202217C3C0C62A1221073094289076A81C28FC90041DF000079C93CCE754B5B6E37DE32FA9F2DC791C693A7474925586';
wwv_flow_imp.g_varchar2_table(5171) := 'F9DC281142964A59A7949E73A5660E820D6C08077900581E2DB3B10FE8A1469724E9254FB8D5852FA9F042059D85413992498438D4172F248E2F76E18B1B26870C0090C42EBC412F8EEC029C073106775EF4A26F904331ADE0052F60BB8B56A40111F480';
wwv_flow_imp.g_varchar2_table(5172) := 'C7D4CA295C84C4A7830831072EBA610E69080700E5A8A7C73088907CBECD831F04C01C00C006D0FCD35AFF23D150F746128C6268A3BC2329C64547AB5B008076249A4008FD32FA4DE234C3302F2209CE6EE85A6BD80100E688873BE413DC742A4C3E0CCB';
wwv_flow_imp.g_varchar2_table(5173) := '06387C0A8E6D286338D2484637283220AF5917005BC2624E35BC61931C17B9D725A3DC7452B7BBF523285CFAC93FCA81143802E00C723C02E18CF0843184E218C8804629480106395802159A20C422FA150A4A2001072C38432A00D0BA9200EB52F173AB';
wwv_flow_imp.g_varchar2_table(5174) := '5B07130AD7F1EA9200D0D75B33034ACC68E718A5F42B606C354A61D08E55D8E04661B9913C36236FB1CA8A5E3FA847535E726C23F7E8872880098040689724813049418F59926CA4823B0EDDEB0BCDA75B6BF8C2A184A00300C8B033D87E53861A3DFF88';
wwv_flow_imp.g_varchar2_table(5175) := '8C38E28D56C8D0B51CF9863E32228FA821F060FB4CB0398201456554431AD5703549A58BCF0DE2ED23FD3C882C4CB22D407344A00B3D28095DCA11EE94972C8A61AF3310CD0B5458C212A768C56B83581263683A5D00602FFD9CE9A8319AFA9C09F4D139';
wwv_flow_imp.g_varchar2_table(5176) := 'A4319C079AA9D549A20842BCA6A52B928DC3EF7E77076FF10C2FA9696E244EE3516DF20F75CC2E90D6204413042E842214C1297E4215329E918C5FE8B8117210322484DC895844820A68304B2D74A5D632AFEA206506D65F72E1083C00600D708803201C';
wwv_flow_imp.g_varchar2_table(5177) := 'A13AD071795EA0C42B61C0BCCAB4969230992107BD0FA2735FA199CDB5ECC6F3C626E7EABD061E3251D63EF2A120DC6C4BA0BBE60400FF3831216C6D8F24D8888533CC2B196718DBA1BABD97B2DBCB5E00C0B7B5AFF5D2A5DB7B1051232481A71E49B901';
wwv_flow_imp.g_varchar2_table(5178) := '7035847423BA14C9083E5E92CF29B1E61FB80640292A34A185F286248A00C024103F09515C42EA9C883A494831195B693A66C82E89439DD10CB173847EBAE54546AD8D105E8868DA071103D3E07E4E8319E420CA08C73682A18C6E40B11CFD902942AAC7';
wwv_flow_imp.g_varchar2_table(5179) := '91B0D914DEBFD77099DAC91162A444A8F72EAA89F59D9A7F98E317BF80862B3E118A4F30620D5C18421180A0042FBC211696192C2E5E418A445402108B50058860A65BBEFE8E5783419DBC60998B4F4C9F0F44E082C90160063478E2CA1E8786BA321DF9';
wwv_flow_imp.g_varchar2_table(5180) := '3B0F02D42BB2588B2F03FF9E512287CC309D07E48870409E35CB860AE498A17BAC91900DEB010052C88D4B30055100B6EF0A21C543BCC493BAA79B104103806BE894ED30B6838819D26BA1EDE8BA66B8A88368867B013DCF03A7D1B33670423BA02289A6';
wwv_flow_imp.g_varchar2_table(5181) := '691A83590800A03D7028BE8508070088AE83C020BDD3A001E907BF03BC5E38410000C14B108510D40D4E30852D3C88411028455004C5E3C24970BA9128366D38861DF285393C0889DA21EBD83CDDBA286DC0411D7C2D724087FCF9A89C71263DD0867FD8';
wwv_flow_imp.g_varchar2_table(5182) := '1892788F7180087090928378A7D70380ADB1876AD9BD8E28932E01BE4DCC29483888E1CB070B9B088CC90978C0B79F5023D4E0877F48876311065D93055D3B884678FF032B288231F00354B1ABD9C9055939054990844439843D38849EC18E512A065439';
wwv_flow_imp.g_varchar2_table(5183) := '0F51521E5FF98BE9438857B03E30580300800350C0B1D3D915CD8006B7422C2CFB0BC3B80C52A28C2983AB5C010060B0055B780540718554A80457489E69C8866F083AE951C50CE4880D94AC59B00D530041849890EF493CC71B040048C3C4533C81DA96';
wwv_flow_imp.g_varchar2_table(5184) := '4B10284F301F16E22BED40346C73B41A844192309F1DA2AF8FC232FC12918CCA1911D187021A89F5681A73388781808827619224EC0F59C3BB9FC0187D8289A503BC8378042EE44280E408C7733C840480833C083444C1341C04DBD8C25A60BF4C8B4374';
wwv_flow_imp.g_varchar2_table(5185) := '510CC5E83C56F286AD339FB01B893E440872D0A64A73FF2D195A8476B098022A0881702970884429010771903B7BA22292A089DED3448CB98755C4A591809EA1981259239050EC22BD498D7EE8898C198A7CA0079188134E4C096841862ECAC991383EB1';
wwv_flow_imp.g_varchar2_table(5186) := '3CA3124BC590A01871A80459280589908857FC8569F8854CB8033EF0034BE2C6F80924C0418853E8834D682A2FBB15477A254FC10C4A380F6EB805403039393808502006252B044BF1245E399EE3F1B8C33886FADB17A2B1033550030070033CC0839393';
wwv_flow_imp.g_varchar2_table(5187) := '8335E0AA83B04E39500250180E371B0E7CB4097D8C168DF83B9A808540084A84D01684783AF6144A84DC9613E4354EA83884C8416FB00E6CE305896AA819B1CF4AC3C8437328CED397FCD921F93AFF978B2A87EA798F243107056392D733877028B73828';
wwv_flow_imp.g_varchar2_table(5188) := '09BC8B1B9AE408BAF9BB6909BC8360C33624894B00A1A0DC42A3244A8EF0C01E2C0B87D286460200DCEAACFE041EEED8CF1AE94F6D60216D30868B8A116F084267728643C8067A2888F768299754C2E602004F0000FE30844630048DA844DD23098DA187';
wwv_flow_imp.g_varchar2_table(5189) := '50248A55FC877B501075109B50BC223CFB887BC033E8C1B39B08099C8C930EE5099A5ABA91B042C55CCCBDB405FAA033C8440D7A580D68513EC0642C6E8802355884E9CB05CBD0356698864C70032A0B8500BC0C728843C0D10E68D8065CC80252682A6D';
wwv_flow_imp.g_varchar2_table(5190) := '58ADC1A80560D995F883A54F09055A1006D3F90540E04D93DB8251A0852A00801A10FF836338D46FE0864FC28C6F10A5066C254AC83F00F00CEF0A030008833628D66305803648D6305883440887345B337BBC25D4B80767690DBF44BABFD3075C4BCFF4';
wwv_flow_imp.g_varchar2_table(5191) := 'E488C8BB841485CFC44B48814A4A00E80484500547438C17C5360050855668065ED0BCF60A3374513B92300670328CAE1C116D38046F30D2D613882682A7B9430865F08F273D883F88498EC0D002A9969EE089BFC3350F4408C77B84A7F3495F53431464';
wwv_flow_imp.g_varchar2_table(5192) := '43334408718D5178DD84F46BA856D88492D528B29B5156E24F6D3834106909A069D29DF8AF26A23B8465525CE0089F0500A09DB097B8C291C8072CD552E6130771503100A0278BF5A548A8870EFD4E5C1B8A7F08876BF80779B8FF0664888472D8DA6C18';
wwv_flow_imp.g_varchar2_table(5193) := '864848877F488554F887616004882006A675373A859B29C95388DDD3D5988989C89BA1B80871103221DB97258B24CB580431409550B8558E80066D60056F78876BB8865E2005361885D75CAD9023CEE2A44D6E882484F80500D0828308020000843FB881';
wwv_flow_imp.g_varchar2_table(5194) := '1ED00121D09553CD5584E8C665049D5CF802302856843056653D89300883CE480498BA55369B56A2608783688D97C8D68EE1B349B8046F2D093FDB4945D858F77CBA4110D9935DD983680579CD41EBE5056FAA4378ADC817FA10EEDD21CE73433744BBF6';
wwv_flow_imp.g_varchar2_table(5195) := '42854D08DEFF6292259186E6BA1A6578A085EDC05B5885553013C8C412DCDB3B8EA0099C043CA2443C322CC86E1DFF09A3144AC4C38439988451E88253008095B584EA85D792CD5742F4CF637B575FC84F1D9C91D2C39FFCF1066B60A1F93A8872188888';
wwv_flow_imp.g_varchar2_table(5196) := '9186070A065CF059FCED8FB67C440008067DD0BB02B944A4E592A5B3055AF8076400857228075AA80675C804B01D864C600473008561B8861FB88672C80475C88670E8983740DB6C70856E78064FF80717148761700564B0054F40067120065048074318';
wwv_flow_imp.g_varchar2_table(5197) := '0638835BE38316320A897AB05B88ADCC8B280730E38EFA4305E8A83F47680E4CB955E5D15C3B200349F00674980665E8855E00034CD854713CCEE1B90CF93B5C4B6195FDE3884AE0831BD0011CA08246F90B59F214D339065DC50C472081442056845880';
wwv_flow_imp.g_varchar2_table(5198) := '62ADFFDD052056593E08DC6DD66F58066825AC0A642C5CAAD6BB15DE3AB358A01A605F03809D9C8447D0AE41D8C9A2FC5813D4C9324404873D85099E60EB3D9A4E5305DEE20819CD4A6CE35E84585987F20667E8D1AD9CD18C72D98891DF496CE1608061';
wwv_flow_imp.g_varchar2_table(5199) := 'FC6D671A2686E123C288ED5F031123A8CD1E9510283648C3135CBC321CD74900262CD804B32B8970E666938099F3E2085E6886F31A2431F3A61711C47DFDCA184D836360D2E69212FFF00FF373D82D408337705827E50F0000052AD9BBA21D098D9187BA';
wwv_flow_imp.g_varchar2_table(5200) := '5CD37F20863248059CCE844A80037788044FC80466F0846830047560063870853F108748F8E96BC886BF7B065B786A79FC0766B0857F7005A625FF86C5510771B885AAFEEA7068E3B77D639298DB0B450D3ACE88D630B167E112C6128758E8244D420C48';
wwv_flow_imp.g_varchar2_table(5201) := '420B61E80444380634FB06BC0E05443014C60D876CA0065860034D5D5C6FC88CFCE9159328AC5B890C4AA8040BE54D30C0835B7085CCA1827485A5C1020034FB0B5D0525575003CF68830530D6647D6500586DD63E88574E041208855EB055C22A2C9FEB';
wwv_flow_imp.g_varchar2_table(5202) := '656A0DDE7C88637E2442EDDAC28FFD259410E0130C8441E8B543E0084B4008950500087E5766A3E091E83C6F520570CA5E921044CFC3B4F1C986715BE164C00518468838B050334008273D0833F8830A22DA0BDA887CE689FF85DA743A608ED8C2399883';
wwv_flow_imp.g_varchar2_table(5203) := '13E508E406518498D23DA868E5E6FF88848EE053D884737159EBA5D98B6A065580178E20848358575FD8DEB5931F6F428148A8065CE8DC831885B748EF11078046D0E45AD488E8DA3DBD6C8799468DA51B5B75F00450F084A9F88737086AAA8603627005';
wwv_flow_imp.g_varchar2_table(5204) := '2CE69832F084ABFE877C288737B8034648072FCE0664683E2FBE866A305B71105B0060F22FFE6AB22EEB305916B596D3BCE992A442844860065AA8BF5122335ACD05444084CCF806644805E541076DF89911A62FF87A4D71C4324FD9EE411EAC4FC90557';
wwv_flow_imp.g_varchar2_table(5205) := '401D38D0BF35D04D5BA0B843A54DD6F595B5501E51AA4E65C5DD615D00D96D658E208D2F08023C48045B659E6970843280866CC0866C90073853965FE6ED7D94097B50107DD8FF083620CA4120E0F7CC8365F6338440BCFD2E4360DA83313808628CE083';
wwv_flow_imp.g_varchar2_table(5206) := '30F09545F074D9040447855DE0059A6D28B2D0AD710600ED900442A8DEDB9A176DD805F3C919E57E0369F8052919BE4A30F1F10171F50600F3F65CB6D3D08D701BF9BE5B0046088C4DE0839475349C04ED0268FC96F5FE3EEEEC9A833780D53A40088147';
wwv_flow_imp.g_varchar2_table(5207) := '883D40AD83B0844E13F65328F6886E2F67B0F6F6E2D4D54C5F6FBAC8E60E2249809F1D98D2571077135F055258610078DF4F7CD23F28833240833278038999989282CC5204CCA523061F66865470055AB0857E70854808877200004880034FA0843F0006';
wwv_flow_imp.g_varchar2_table(5208) := '438806B12A0764F86A78308775648667F8073808EA61880678C0FF7166C8063FF079AAFFEA6C00067CCC72B3D9F23EC5A7CADC887E0807348083C5090548A084CC08B9CB81844E50B86B78F367E50672981C92380563B006AECC46C19ACDCFBEEDCE9E86';
wwv_flow_imp.g_varchar2_table(5209) := '578083EAB44E38F8055AA0845D410708248951061D57900284088220B08023388221B080D005802138080B307D29080247103C59B0D567700323000636FB082CDA6D84F00979E00756DF078A810510925E452059A26483919D8383D4AEFD5684E2CF2E60';
wwv_flow_imp.g_varchar2_table(5210) := 'CA823AA802819F8234182002D79FB243055E38176FAAE60A26BDA8BC3619DC0341F0316F1AADCEC30EEC3F883A40021E0080E22BF1F74F582504F7268D03F4060034E8832B3090396DF7AF01080002F301B8FFF7EF9F4000F104CE193407C01C45092726';
wwv_flow_imp.g_varchar2_table(5211) := '7CF810E2A0847912B2D9980408128A4C04EE2929F090A44DBB129EDAA409952A8A099BF902C0AB26006FCD0E01D024B015006D145B1DA2A283478F2265E2186A046014295CB86E558A1429CE9B3768009499E8A6CC9884FAF4098447911F007AEDE0E5EB';
wwv_flow_imp.g_varchar2_table(5212) := 'E7B61F0079EDFA9985671761367100CC8973A72F9CB97EEC00E4CB564E1E3BB700FEB9F324AF9FB96C0052E5E357CEF0BF72EA3263AE0700AECCD0A247932E6D5AF4DB7EF5D8C1439BB09FBB766DDD920DC7E50B2D5AC2B0A58A340C1BB667C83CD91A46';
wwv_flow_imp.g_varchar2_table(5213) := '8C193657A984413BC64BE54A6B13C99103000D9A407400B8714BC80D3800E0E2B14503900C14FFA54A02293D9B6CDD3AF789D804C687F62D171E0052A40C3922458D1A5FE0A1060078E00106008E08B4C681A160C78D2CDC4083C70FB464C34D36F47CF6';
wwv_flow_imp.g_varchar2_table(5214) := 'D63D8311349040F2F0630F3FFCE8D38F281435348844195D02918A155DC4100079B08105004BE428900E388C04C01909A1B4894D02A102C029451269095014F142D129754C84535002A962491A4200B043427100A09E40B800004A97006CC555195D2564';
wwv_flow_imp.g_varchar2_table(5215) := '483FF7B80697592502E01A88061D245343303214080097982251432B6A345A1509D90140A1554CA1C348530020A524003439D1264FAA728A253F3DD98C409C26E48D40820060C9930239332A121F50600200368C00C410025D01801256CCFF1A871900BC';
wwv_flow_imp.g_varchar2_table(5216) := 'D18740770070C7575FA11196406381366742FCF4A3165BA92DF64F3E0749DB0F42D00A845068D8BA15ED3FF0F4831642F0FC732CB5736AABED69E9AABBEE69A9AD66D644B0C9F69640E17CB1452EA11473CC7995DCF28A2794DC32CD34004C93CD35B4A4';
wwv_flow_imp.g_varchar2_table(5217) := '124A247D1CE30DA8D491739D30EFA1F3203412CA349E78054BF68B700B2F9CDD68DC49F8CD75B92C82082070F801002530C30C06257224C8881C38C34C0923A5D007CD3314BA920D36D9EC332E871E26F4A13C00D8F3CF3ED1C2B2914C83648427467950';
wwv_flow_imp.g_varchar2_table(5218) := '2D501E59B001001B5F07416C585E24C4030E13ED61642BBB3C49A426A5F674489209F9C20B2FCE9C9A501D82F034D1A98B00FF5003002CB4AA820B45C44AD11B02BD01C7AF6626D45519C37E56994070F6830F5A74DE938F3B7626640F29795C9427A017';
wwv_flow_imp.g_varchar2_table(5219) := '4994B5D613759145172400D0C5ECA4BC22102DEB51D2492488085402005000B00721A30270E426990240A525912ECF69DB003423544EBCEC216591C52484C1071CB46A834043280100AC4528A145427E400E001CBEBA91D0FB097996799C4B0BB4963E07';
wwv_flow_imp.g_varchar2_table(5220) := '2956503DCA2AB6FFB74AF43FB8D4A31EFDC88767F8518F7B504B1EF35B8C5B3A471865F1037373A213BB32A84175A5861EACF99040F8119BD9C025335F50822772438C5F0CE315A018051AA4F0053834C213AF18067290110B4840031BD839060086010D';
wwv_flow_imp.g_varchar2_table(5221) := '7210030013CBFF4EC692A8B1EF8C271AD8B8067024B31D00A8410A78488540B0839D9261E762B9408455D4D3884A8CB1126604131929D188983522118EA0058450368D50AC6115D9B8A33C90A6180F8130449F29168A123187AD094411839CC88C38E23A';
wwv_flow_imp.g_varchar2_table(5222) := '12C40E470020452C72610B0084020090801924FA400526D0800C02299E2688743C4BE8C127926A09000E214A5EB4426E329104509AE10CED392A021900400A5400BE58B9000839509C4CDA0780F7BD2158952BC31F428810D06C4E82F6BBC7B300B00F7B';
wwv_flow_imp.g_varchar2_table(5223) := '8C8246141904D5AE96902C24640D13D902007084C5DCB9C2150231040032110A506051267BB044F300503C23494A209B90C42156C20BE7ADE4537B535E4CFF6A2190100080553B6841E286D00210D0AA085540C31B9209003FDC213FEF8BDF3001E0098A';
wwv_flow_imp.g_varchar2_table(5224) := 'F4A36915A408FEA665AE8328901FE3CA475B14D83F3A516B99A4A1D744E4B4A19862708336BD2947DFE24178256B846F31A939EE300644C4A238CCF8C52FA6F28521884F0943E08212E0300C61F40114E1F846162FE643744C151ADAF16AC6BA23A1B132';
wwv_flow_imp.g_varchar2_table(5225) := '313CCF18CF8500700B4AD8A23B0FDA4E774413D7ED00038C1B4D8853F00AA6BC0A841194A0C4EDB8030D59B82211BF2098D19036AE0E1146264D6B293E10C2063E25E46A7CA2AC226512041F040100E014C82A5E610B57E48E12E8D468420437113D4C84';
wwv_flow_imp.g_varchar2_table(5226) := '10A730463392F4A496380F00CED0444A76D1FF0C50812A219638529100C00000504026E36B01008A20901902C0102F83437E2642B9A17EC6A49FA187593887ACA5854E5AD214083703110845286212939009186897101F00E00BE8F38114BE340A5AD8C2';
wwv_flow_imp.g_varchar2_table(5227) := '16B900406E266208464C84BF0221C3143CC9DA3AFC4D2049CA542B30253D0048C2939972466F173C3C7B0A8401B7040072470000A602A1052A5001F9ACB0953FF80E72C5DC0A8AD1F005813C100071EA2300428AB47CD0E316AE6887B488718B68BE2673';
wwv_flow_imp.g_varchar2_table(5228) := '0050872788F10F7164821DE2F004280C938A6C8CEB8F39DD1F4EA32CE578E9943567F16904FF918E63144315C5B8857174FC8B5538F50B5600C015AE20053F5483163CE40E56C393C52DFFCA598AD898EB7CAE119A644C2319005046C192910C64D0678A';
wwv_flow_imp.g_varchar2_table(5229) := '0991A2142792316018221299504F25EE4AC64438658C022123001A018A4ABC8260267345254A71C7C4A686B1308ECB670E828F8A5004138AC84820B499902D7416CD0291021A18918ADBDD6292FF9AC8CBD229904ED8E14AFF05801ED24087BF69676E00';
wwv_flow_imp.g_varchar2_table(5230) := 'E827008C2190BE65CA5302A19EF11272820700C003C8DD65725BD00220A800080279D96925B795620E9358DF5A26762FB8DD8210C44E08D9C73CAAF93A817C4D26EA15480E86F084F129E108E98B447AB0A89C8918880F7C0040210A3191983061069402';
wwv_flow_imp.g_varchar2_table(5231) := '807622650C72A0032893F22D50221C93343881221A4888AB92EB54712317FF0645B042E3265AA0605324DD33AD1F88620C8FFC8DCBA4C3F00460C4910A760C8316442E875A87A10E79108D1EFF08C73332910D500CC315EE88861F9851CE74E82F34309D';
wwv_flow_imp.g_varchar2_table(5232) := '32D8A3DCC10FC60BCBEF4E47318A510B60B05D2AB7388F12566C66352BA111954444C6BE71E789A0031BB98044243CB1D1464402108D0004206C2687382C1E007258C3E301E04D81E0C89B6BD0022DE63311EE48F11BDF9962C69001894C087E3462CC34';
wwv_flow_imp.g_varchar2_table(5233) := 'EABFD488DC5D681ACF00B52C0E968D85949A8F14792C6D00800936FC9B9BFDEE7742B0C0DE1CC477228BFB524252D14E4A043B3F7E2804CD05E2280038010A7AD8C4293C850A42F0823A4FFAF8A35E321D6B27E4BE09FFE0800552D0AAE44E04B9B90440';
wwv_flow_imp.g_varchar2_table(5234) := 'AE00315138400ED37C1DDD3FD082DD66CEBBB18BB1DFED4C84ECF01B002442425C4107540072910F0332A012CC0A1C304226F4D5CBA801175011B108841D709C4CB096A9588324641F4B84061D3C1B2F688F3700511F88C184AD0D057000088000F86CD8';
wwv_flow_imp.g_varchar2_table(5235) := '10909B0A20970C0E41574042F44D44545493D398149CCC098CC9D8BB95432448C635800223D0C22D74032864422ABCC1EB4DDD2DE4114278C2D4C14324E4033CD0423F10031C08195C1C4BD89D61D88D1D5B94DDBC64593AD4422D8C823648C5304C4532';
wwv_flow_imp.g_varchar2_table(5236) := '34C210D88A7E58810C452125F4013100477CCC87200EC3189841237C0D1BC0CEEC24447A311224C64EECFF000024F2DB1A6C013194C7445C0837E89DA2490836088355DC15F295229850440D99912B1C0C3710CC2B00822B50C31DC58362F5C33C0CC6AA';
wwv_flow_imp.g_varchar2_table(5237) := 'DD5E42ECC362C882BF5104668D800500C03026840AFC000020637B354E249C221EB80117980D1525441450040D8C84943C89369C4A9244CC29801F0094202AE44D95F082E04041900000060884074C847225040CE0520BBC6342F4C125E1022900003E3E';
wwv_flow_imp.g_varchar2_table(5238) := 'C548F9D867681706D51BB65C4B42E40AFC618119E048199989124C000040C0041497F700000748403BE2521224041ABCCF0526841878018108441F6883406DD2B4C9C4DE90436FBD564E7CD2A83449316883F600801D88011508C40BB28A87290E88FFA9';
wwv_flow_imp.g_varchar2_table(5239) := 'C04109C43C7EC1E42D02AFFC99512A438A6C0300CCC344BC1848ED5CD73D4B0A114326C08172204326F8812B30C33F28873934593FD88238FCC32D18021CFC033108D9414482D341191ABEA5D85599594053E6989DB294031C8E828EED9898FC021AD48A';
wwv_flow_imp.g_varchar2_table(5240) := '153C200088187A64C21D8082E7818740685E36D08216AC412284412264013701001864C16522487A59E60092407A7501ED7CCD163402C2C884E7650356CDD558899EA381092956C228DC9F406CD428985135DD512BD282558A43368403EDB5D42DF25408';
wwv_flow_imp.g_varchar2_table(5241) := 'C9C36325C43FBC82977C53423ADE445C60454AC0430A04444A6441191C1E344E1940A334028018108B1A44014FCC2413A4C1A308842FFF80E308568950D041A6F8822FCC92F638C20A464108ACA3F77858B901810BE0275002800ACC0AC40140510AC432';
wwv_flow_imp.g_varchar2_table(5242) := '00402F0403266C0894659733D589772DC624094426FC15855ED2B9C59C4342406980C0F8A8897E3C010050C113488117988D1A8CC114388A1B9C01A3908676ACC4B2459BB5390F50C4843620021F10CB036440712544E2F8277F0A840AC44A1CF8C11B6C';
wwv_flow_imp.g_varchar2_table(5243) := '02AFE08234781D53628B534E848CE5DF3F6483E0D942CCF8C124059E56BA025AFA413D5082D3D98221D8423A64C356FE83277CA52B64822D408B5BC2259C6A901A16C46BD82500BC612DDC422CDCC228AC0200ACC22D5C8153E9A1A0FA0199501222A4C2';
wwv_flow_imp.g_varchar2_table(5244) := '7508E23748D1352C2117FFC88101520418240218282282B081CD30A740C881E27D16636E073200C375BC95A2414327A0531845026A790210D66635D5E697D8A6C77CC334FC822B40433674C3EC4969FEDD2200E4E2443CD69D50447A4C04CFE44C42B480';
wwv_flow_imp.g_varchar2_table(5245) := '430200748A467165E4446CA78896A818A8811D24C11454414DEAC08EA45238A68124940A39585B2B1883B4254409FE446AA94113604004680004788009881BACF8A77FEAD2029A9B97F441212C422D908234E8C236E8823428C36BC094B7208B6BE4C3E7';
wwv_flow_imp.g_varchar2_table(5246) := '14C440D614EAD98CFC15484214DF74928607989B408005173C41141C413502401444417C8D01CA7AC1142C41DA500421F884B4EDC22EAC0D83A1423F79033914582BFF38032FF0811B7881083C00B7755B0AE4A0724D0008E0A0B86D9840FCC11B08CE28';
wwv_flow_imp.g_varchar2_table(5247) := 'E0C2321428004CAD3F0EE4BCB585CEF1DCB8FC833C208364448639A8835954433AB4C36638210094433DFC033B5C0333301D93E58339E4513830C3D398619CEE2DBBCC291B92D05DA642518DC228EC985A8182F8A499155CA015344226304228C4422C74';
wwv_flow_imp.g_varchar2_table(5248) := '02E552C2189441280407323C43344C032508A54074C11AD00E828413000401168053ADD59AACA4EE16FC829ECD075611832D548C300C435B89D58360832734E39778821969D429CE2A6C3E8519D59034740300E0A62CF066378883B8980B3F002B3EC018';
wwv_flow_imp.g_varchar2_table(5249) := 'EEFD833D48E85DC50C00F8D7CBE0C1E4A94045466769FF7468577081143C0115185C880A84178801FCB2600F0080B71E8AF0E841A6489BB44982134849DD185142EC014FE0447EF000711597B7A5004215011080800724ADB88100ABAC812700821DF04A';
wwv_flow_imp.g_varchar2_table(5250) := '2D8809005003810A843DB8A5B70064423CAC4124CB4454EC44B58C1C802F1E98C18A3D64716968746AA80C27808656011C184225300222BC01FA1288D9A4809684C412F0000F782B0E04090D4C84CCD64D6F89E3B5C9842A6C821B1C4A060CAD40283045';
wwv_flow_imp.g_varchar2_table(5251) := '3C300C804017B723989481252429C23E92322CE91FA105B9C0186BE4CFFE3C688F8148397882B834994C2846FEFDDF9BF22D1F9B861A6290BC54065C98D41CC7C228187235BDC22B34420BD48AADFF7DC117981623A4502E749530B8810E24412A10DA33';
wwv_flow_imp.g_varchar2_table(5252) := '3CC334304323C4411C28C13082980558800A9CF20F94F287B5321090DB15BCD02B3003005443D170832602C033FCC22BB8425B6D51C63C03169D5EE0B12AF255021B00AF4024C2469D919F258438C822AFF6AA5BFCAAD2E8A2FD000020F89740542CFD31';
wwv_flow_imp.g_varchar2_table(5253) := 'C81AAC980A40A40C27040D9B33ADAC0723F8011E70011710CB130881112F41111B3000A00DB802C04898523D351B19FC966D51046BF982EF842445881B88C9841733D46C3A05AFA802290443303C52429CC307EFCF3DC44983361634610B5AA0D3FA0804';
wwv_flow_imp.g_varchar2_table(5254) := '1EC8011FAC0F83B830004C00043CABD002800D97F3BC52C4A16A332384340064C006FF0080069CC08EF0C00CFC481A68027A260450BCA74038C1191C821DAC8D181C410624408FD6AB40702C454EC04512C102AA8D400483AC5204F6DA311136651B23CD';
wwv_flow_imp.g_varchar2_table(5255) := '08D343E754F3B71C504B9D1405A154CF954BE69814D6F6315DBFD45BBC0B9DD6A53B08721E1732E1A602E1BE022EC0410B04E615B8B30C55821FF8552C00003084C2CF16CA18E4EA3074F22E7FF22F54C2B10A1B28747601A6022824823909C4ED8CC22B';
wwv_flow_imp.g_varchar2_table(5256) := 'C8C25109841369DE2F20032EFC0200C0B62B20C39D29512A3445280340242493313F05F0B241AC565322C0262E4C33076703357C033574032DCAF53F00EBA915675E4B9EAEAC01E4C441E2712AE44841B34E440208C477833700FF181C9880425EF1171E';
wwv_flow_imp.g_varchar2_table(5257) := '3C8107644006101400B8778E84440DE808BBD6C1C64D441D881FF9912745042D7115D4542784437A403B22D70D14C86EEF81189CC1A14CF4448CC339DC0968D0A508DB0FB720045A04DB0B27C40A2F48871B9C0C43800D8FB8884300B75DE4686BD43647';
wwv_flow_imp.g_varchar2_table(5258) := 'DACB5CA48616D70368000AA040E1D8B3BAA0422BB4C22238410DE8C01278C105DF24003C0007D06BFB3DA404B08A470A30459C49A63985348CC344646FB2F4113C8CF5FE940849A9F505A9F501F98F201B90C312C620BB46B1D6359AA3C65D5B59D9EDB5';
wwv_flow_imp.g_varchar2_table(5259) := 'B2984B3A289FE07536E1DE0217FC27245B819EA3415518022548EE1D08810E508117F8811FF041E6C12D331C150BFFD99869BBC228B8426893498A578267834935E1C20AE9B20F21C368F96268C1F62D6CAEC9644C634B5442FC8155F09BE02973225413';
wwv_flow_imp.g_varchar2_table(5260) := 'F07A022EDCD1C170303544F33734B7B4006B6848378C19A475B30FFDADF01A9C498FCA44898B38D3FA8B2FEA153B0A04B769C0030C1700BC80402CC1484001211089206803B62509F66C422BA8422BE8080E40819083F703E424860165440AE960168AA1';
wwv_flow_imp.g_varchar2_table(5261) := 'ACCD19D0AC403805C29E8310CA8F46CFDBC3120449A1C51BC4D70B43B28098010B5F2C924B27892780C397381018E46C260428C85F3B5280046C0005E4340220C0431E313D33B94C800A6B91E73C4DDF127B811BB8C113B4B440B00AAC34B00CD74A47F2';
wwv_flow_imp.g_varchar2_table(5262) := '4A93FF1C0221A4C1FB1CDE44A8C3B5E46D958B35542A8649C9832DE8191CBBD4FF01006F1E443E3083D335D95CEB6D9A57BDBB905D9DCAC69B474B381802F0AAC72824822233D56D00C06DE01A2838973A79010B8C4126C482C27402F3014334EC72C50C';
wwv_flow_imp.g_varchar2_table(5263) := 'C32F34C28A6DC516AC58570068DF077E7B6D811400C230A81500D0B22EABD569933698BDC275FC0C37C4822118C21FA07A1FC4C11F441A548CC2D710EE53C0AA1D190C7267C334243735D062353FF7350FAB9311847A7C813B53841980B3C512234C37BC';
wwv_flow_imp.g_varchar2_table(5264) := 'B26B287235822B042037534471C5B0401840B51BF14938586838411A109880D22C0DD000FB4AE389B7E30CAADF01B6971BF80A92284F3A4EC428FF040338FC1FD6F6BBE708640809BC12207610107CF109C4671123F9A2F3883FA48676242A325FB751A4';
wwv_flow_imp.g_varchar2_table(5265) := 'B3663C400048000000011100784C69B2820C4182ACF610544510CA1E3B6974E028518246943B7D006C48F080030010006C388440F0CD1F0057BE3804D0CA92A5436500546A24731C3C00FFF8FDEBD78F203F9904D9C1D327B49F517A995C45EBD7CD163D';
wwv_flow_imp.g_varchar2_table(5266) := '00CFAA8563F62FDC2D71C8D2A973D7CE563A71FFAEDDFAA7EEDA3579DDEE313D3A976E5DBB77F1E6D55B77E8D07A498FF61B9B8F1FD17C68ADA46A5489F1A857A3545801A00580152B4A0079FAE3879217166E62D9CA052C56A65477AE4203800CC0AD5F';
wwv_flow_imp.g_varchar2_table(5267) := '8CB810FCC2E54A65C930B97CD12DFFE58A942F2A5AAF1A764B266B61C87E0178F52AD4A66100B8A986C6ED18804DD6E398D9B46593CE385800F830032091A75195CE8FC295AD5B364080A64DA3964D5CBC7F00FA09B5C70E40BEB9F2F093A91200A40882';
wwv_flow_imp.g_varchar2_table(5268) := 'C0D97493690B00166C610287128020C209578A904040649283114606FCC202001E04408292084200000A58400280287460222287EAB88E17829800C00E3170C88820150118C3031329F0C00387802068A0A3EE68459519093A44A638FE1885A076ECB98F';
wwv_flow_imp.g_varchar2_table(5269) := '20A2E0E9071FA38C72C83FFFFEB9AF4B82AEE022B6D814A4EB480901907025821E0040098246F1C4213FFC00E008008614528236654A40031436C0800700CE00E01482D248C3FF12825A7163090068E0E1050038E040083700F0C221094C3889AE38C8AC';
wwv_flow_imp.g_varchar2_table(5270) := '02804508DAE4905501E863403B6512AAB0A18AF24FA6A4961A2AA8615EB94F1C434071C596370C81C41064DEC8048D4C0070C593488631C78F6C0C7185965BCA3084185AE4916BAF6FC10D575CBEFAFACB2799046B8730C3FEE906904AE4A82411796561';
wwv_flow_imp.g_varchar2_table(5271) := 'C4822B6A53C28A3219F3E38D3260F00294D06C0100985020B9A30C509011E696E7860124B72D629A4CB69700C8ED0BC97693A3E0D60882061B6490512D395B3AD9A3166C54E3861BE88E31048038D0701200336A0B0F80208220414A3A4719458E543229';
wwv_flow_imp.g_varchar2_table(5272) := '269C48CA58E6996CA809C7BEBEB4E48FA8A3003CAA1229D09482FF20DF0C74A8E2A38E94E9CD388B4083125040A9244F87944881200F1E94E04F0010300080075E4021021D9ABCCE0982227266222390C001071E681081021ED4C0830B118E2411B81604';
wwv_flow_imp.g_varchar2_table(5273) := '02A088370070A94700104915009CE64A061C77AC74A81E9FF8E15226FFF0F9A9743F383EEA0B33BE58A3F6AF2D48A142BA1E180982142403A011460080030D82523081CFE587A42B000074E8E150824E80C20E4B5001209654806301801436CAE0D0328E';
wwv_flow_imp.g_varchar2_table(5274) := '887379105202C183B001C03C6782C4F0C28B334CAD028E483C19301B73AE9C75EA7E6C05007EC003574C09CA2D6C711F5A3C2712AEB8C63390510D4F80421D9190872752618B6C00201C99C8C433FA61085AFF54231B099407ADC6954215AE902E5033D7';
wwv_flow_imp.g_varchar2_table(5275) := '98F03398FC10E41FE9A8441CE4B098E5C8620D4AE08264F665852F28060E6E38820918111A602C1118B94845289E608431542B39BF00C4101004932FE0EB25BCD917C674330438C8441821BB0A37B2C18D694023127E780E37D0211D6C1C23127DE88319';
wwv_flow_imp.g_varchar2_table(5276) := 'D060864364C7070D68000900090665048318251B862DF0B08635EC0118C4884436A6910DFA3C2D3FFDD84F5DAA2620BBE00100B5030027D5E426BA0CC90C8C000423E08087E311C402CD6BDE89CC470003D88D001CB801DF08A281432D6213AA4885E59A';
wwv_flow_imp.g_varchar2_table(5277) := 'C703161C8403525083D622F026E539C47C12089E9C94200600ECC153671843154C15890101A0FF1AE0684750C2543A01A66E4CF7F04F5C8AE2103439248F78D8422263B20650C6E607CB83809B280401090C890BA0FB1C416C20A4E51164021E60534110';
wwv_flow_imp.g_varchar2_table(5278) := '4A0004C0E0075498420836B0842400400C88C0C62A86F08214689405CB04C01360D03B0A00205428699E04F4E9812210240943B01C117894842A4CE199A020883A74D517D405301F04548A01D762885464E31A00F0042D6C319C87812213E28844050160';
wwv_flow_imp.g_varchar2_table(5279) := '8B5FD9C210C3F883276C618B5B20C35AECF0160BC11AD66F418D1E8091093F644894A09803107068042812B18A57C8820B43B08C12AE20993780C2106FF8820CAAA04400949120A471C30F8C10095B10C3358000026DAC2085E095093792FF2553278B77';
wwv_flow_imp.g_varchar2_table(5280) := '8B5738041ACF10D933B0F10C87608320D1111900D0010068C4427B0018053046E18D51ECA1015820C1CEB0200C72C0111DC780C422B6B086284CA416B290E424EFD3177EF027800E01D0D4FC63A7AF01000D78A89D3BE1B90682C446052908918506F280';
wwv_flow_imp.g_varchar2_table(5281) := '3741C0065240031AFC4A903DB5E095AE04D42C0BF23C0470200646A8C20A10320569F68118D3B882076070031EC0000022D880109E200409C56999A29A1BD91C02530010A1073DD801DB64120C71F00F8504C952EA04B83A00A033C4B2F1270038F5C905';
wwv_flow_imp.g_varchar2_table(5282) := '7D52BBD475E717B4269316B82D422D505E15A4302702118408297910DC0822AA231980003219E906289064CC968138B800C0FFA5A6E73D00C0A0079573480B5A202A3EEDF36D9403C0448970031304780A4A98284E98550D7100103F5812204F7D7A18E5';
wwv_flow_imp.g_varchar2_table(5283) := 'AEC516D3E02000E8A10E3DAB0300E528873CCA510F3FAB231AC8B04737FE910D60D843CF00308738EAD161B14E9AD27321AB591D92AE7CD02A28E258C3BB12F18A558C3AB23E788910AD000750C4A10C5CD8012368B1C0E71064189928C31DE030068655';
wwv_flow_imp.g_varchar2_table(5284) := 'F18A31E1E24B34561B7CE5C63200180220AA3858D14E473504C10669492B13D126A31ACA700821655B8BE0F920082A50822A8A210C745C4318BBA84522B930066ED46215E210077BECD3E6A1A8234BFF091000EA61D47E02400D5F4083BFFF2D4F7ECB64';
wwv_flow_imp.g_varchar2_table(5285) := '3C7349098DF9FF640213CCC90B4950428C8150CFB9342F4E064800018A6C241170200319800011A409805074E3176600C10D6E2003611E84053BE04004DA5412E5C140542B19E951564A04822C139B18234835BA31AB2BD1A3DEAAF3527FC4499031B0B3';
wwv_flow_imp.g_varchar2_table(5286) := 'DFD6A52E00E45931398C718CB2F98217E6E4E5954E140D9281B20D6C60E309ECF34F20A079E50870715922000123A5C09F209084E3BDC1157606C00D00203D00485904268039A6AECCDE9308B44F00D841128020532B2401E50431824C41178B6EB0B9C3';
wwv_flow_imp.g_varchar2_table(5287) := 'FC686E9C99A2D67036D7D22D0CB1507E926949579AF493BEF4B9329D56A477030EE879455C65E18A214876D82FC1DF1FFEAD040FA64218C29835307C7404FF485C1519C400C02FE230042EE84B325CD0DA336983312DB8B411B870CD7390615A9639FB65';
wwv_flow_imp.g_varchar2_table(5288) := '0020AD679F110DD1CA0200BD28052982410A6D38A3165320480E72F00325F44115C7D82D3454E10B79E24109C388851F1A013E9C26B986622DEA8D20EE81209E4B80F2CD13CCCBDFBEA0DF1C620DD4A0C564C20FE0C0782E26C754606E56AA0CDCE00B78';
wwv_flow_imp.g_varchar2_table(5289) := '40797600EC6C20053C800326A02440C004527025882C010220E34EA44D28000284000DE0A00C32C1DA00C0054A500660E0520ACC032260205642E1484A26F6497DFE84728A40E70802EF6E00098C00004CC52546412AFA22403ECCE808E24B92CE2ECEEB';
wwv_flow_imp.g_varchar2_table(5290) := '933C49E0E480120000433210B3ACE008D0E7FF4E36A70784A09E8E0008FCC4034045056C0004E6A6206470964622243640BCE44E26BA61C27640066460EF30A5241060206E6ECA4EC205FFC403D487A4B0CC0376A00A968EA5F00E06EC0B2722412A52A7';
wwv_flow_imp.g_varchar2_table(5291) := 'F2382F29E40C85F8C19C8E829CC8A9299A2275F261D36CF11E6631C446AFF47891854E2F3006234C04E81FC4E1AD1C43D464A111E4600B684F37BEC0101AE10FC6480942C15A7A6F899AC50B6CE007228112A085D77823AFA0492680A008ACC0A524638C';
wwv_flow_imp.g_varchar2_table(5292) := 'E4C01564C1357EE138A081D9484B3A8E42B4A2C1EE4A01164A2118A00118D64F15A620075CC00572600894E00C0EA116BC011AC84119C38004F0E00AA00111D4A70C98A11BE2AD2F0C70FF6A464C0103A44B3C61DFBEA6762A3091400900E4C011186178';
wwv_flow_imp.g_varchar2_table(5293) := '3E693CFE4D6B50100BAD800FFEC00D7AA011250E0028674490C7C6EEC62164A9C84C6402288003562205CA000EDE807864C20684F0058829021000E6CCC7241C42CB4EA2EC90C787B010008C6007740005B0700C5CE216A086204E679C4A2C0C47CC4A60';
wwv_flow_imp.g_varchar2_table(5294) := '08B38E272EF1C00C1289C53E09102861408E072772434E76E008624C66C6A0089EA030AB2036BC6C6E8AC406DE04108BCC6E286003246003DA6408D0401AFBAC359440C0A607530A31120982033C60CCB48C09279120804032C660E996CE088A844768C1';
wwv_flow_imp.g_varchar2_table(5295) := '92F4011565C2A7E262175BA80BCF122F38B2177D13AC7E3101AF44F53AADFF1244ED1664E117A6410E3CE10D7CA336AAE00A9EE50F28A111A4801184A5607A0F0052E109520006F0201200801892630D63030D566C63ACE04CDA07BD08220E306440DEF1';
wwv_flow_imp.g_varchar2_table(5296) := '1748261EBDEF193C8B1E3B0B3FB12119ECAC1408821A94A13A9C411B54A10A7C200708220AA7200D36C119BCE165C0200CC02008B62017FE20092221197E011BE68100F383DE64423817901F1AD021D4E0DFD0204557C99D084295D620141281118E2726';
wwv_flow_imp.g_varchar2_table(5297) := 'CA2026E60408742C122081209E8020704C0988A0BD1CE29512CA442C2444520200FC004308420B64E0C26440CAE2642A4373E6CCAE34437344FE84022E2C6336C7CCA60C08AA80327613008A6E2DFBA323C7D0213C65FF2E9CCFF962020F1A8112E020C7';
wwv_flow_imp.g_varchar2_table(5298) := '7EF4CB8E20E794C07E2281787252C77E40026EEE0FEF622004D1008A044FC6C8CEEAA9243860A4FE8E20ECC67794EC061B1300ECA66E0260A4E644A69EAE4794C008AE9020E6A1CD1CC2F28E22296E73F4CEB40BAF04377F73562BED17D145F5F2231D5C';
wwv_flow_imp.g_varchar2_table(5299) := 'E1156EC1FAB6CB207FE80B94A008CAC0130CC1103CC113FC4009FC001230C810C620DD64800376004F0C0118E8D3FA7CF5165681386462B308A25787E117C875B092631884E1179AED2A964DB50842B4448B207AA1FC7A811B6CA118D6CF1962410C9A07';
wwv_flow_imp.g_varchar2_table(5300) := 'CB7E600A90204614721440A11412419E0CE11A526118E2A31BE821F342F400F1CD233B2C13266A6B600CFF4CD1044D62020D88274FB4664FF6A4088020F1000035784CE78E40097EF4074CA04228C004288702880C009E872E4CC44464E216ECCC0A5EE9';
wwv_flow_imp.g_varchar2_table(5301) := 'E6685096C48B4F386032EF294E06D16E0CE066F7E40AB9C00DEE0035166FCAF0C3287A339D60281FDC81C43A9220F8000EF8E093C21600BE160F4C12EADC80129683114EB27D08020D50039440C10F401004DB30042BA332BEE00DDE20B2EECA32CC840B';
wwv_flow_imp.g_varchar2_table(5302) := '92A00CD0003A8F87592821155E8112D0C04CB0EE09AA2009A4C00BAC00C7B0109B24436B4C45C710AF642D27738EF50D56C9A8B68920C241F45215CE5431F302435669F57569F5F4F2413863485D50E81FE6211BA2211AAA219200009592B2EA5ACFFF16';
wwv_flow_imp.g_varchar2_table(5303) := '3CC1158881197E010333C14ED0E047D3CD0BCAC015B893B4E28320ECCCCE9281191C427BB5371908221A92E11998C1EE084292BE6183CE173A00201BD21700BEA13D02541CA8E1DD84011A7AAB16A0C111BCA0DFC6006E0D211254A1161472836E211B2A';
wwv_flow_imp.g_varchar2_table(5304) := '01143CA11B888118CA411CF80C6A227644295626C4A1782CB8EA8E429EB4EB78A4972554896F530C0EFC85207E8920401073548920ACC00BFEED5FAC80088AA00A7C689DE624C68E000D0C6140969716EC245A71CC0BB4E6098E604FE464BBCC643D25C3';
wwv_flow_imp.g_varchar2_table(5305) := '54BE2C0A57AA9EF2041276100D1061799905000C010E444BE8462C4BB6444DCFA974BAE46A65C21EEC211ECAD88CC97856C558DE8862FF8DBF4518C3298EAFC421C6706AE0589CB6448BF1E3F2561756338D3721D88D511555CF14760D395687A2ACE0A1';
wwv_flow_imp.g_varchar2_table(5306) := '1553CF76ED389C7E730CEF238E27998EF1621F080293EF0285F6211EE2A193C3641F4459948531F4FA411FF4811E54991E661393AB442369289037D2214834308E224CD2D821EC0100D2F83E7699207E59850830F4EAA24D6D599073B337E5988E4BD994';
wwv_flow_imp.g_varchar2_table(5307) := 'E9422EA6E61E7CA28BB3B62D53D5F26A7194351995ABA49BC9D81EB4199CF7E15401E054C1F99C81429CFE6197BF792DC9791EE0399E4F151FE8D97F76198DD9599CF721013159385119956B919E051A1653E79B0DBA9D0F3A8DB9A4C3D82C9DFA1837C5';
wwv_flow_imp.g_varchar2_table(5308) := 'F87F68A58DD7B890D1E5FF9031FAF41879381DD975C289A2850292BB99862E9A28F0E11F30599449FA8E8B995628992826999265DAA57FC2A2D18594515A1FB4F994FFB9A73F1A82D9B8002396236B7990099A1F8239E970D94AD6F927D8392878999747';
wwv_flow_imp.g_varchar2_table(5309) := '19A5A97A1FAAC46A0359B9C8899773D91EBAE495CF54A56F5928F6811F5A071F123AA1E9798E21781F7E3A40AE1616CF0A1E34199175E5A89179F476599B531A00FA9AAF61B14A08904BD239282098A9E9F82D5DC775D185A1B31A998B794C88821DE4E1';
wwv_flow_imp.g_varchar2_table(5310) := 'A49B193F928B86E418F4428F76DBB8A611304CB6048E63C598319AF4E2B8AC3289A4DDC1AD410F92671A964B39A6C1D84A3E9BA6E7A292DB4CA64B1BB129F98F819BFF2FC264A2FBC1ADDDBA2F001A9C44CF5535B21F1E5893BBB86A7465905BF7A8A3FA';
wwv_flow_imp.g_varchar2_table(5311) := 'BA43ECA8B57BABCBBA304E71B983DA8F277A8E1199B73D9ABAEDBAA42D99BCCF7B2EA4390C39EF8BAF99A05119161FDBA2C989AFF57BBF45B94BDA549D971B56EF3B3FD4B98E25BA901F1BAEE742556FE5A780C228EAE130E0011EC4E43E1E362D399B28';
wwv_flow_imp.g_varchar2_table(5312) := 'E801A667A83F48E71FFE62B87FC2448782C2FB21D220FBB47DB12F1419183BDA754ABBB799BA99717336BBD0B43D9AB421992369BBC0EDBA0065FAA7A1A674583AC7713C5681421DE881F300E084D40AA9ADB6BAB77BCAA9BCCA614837093CC8C73AE986';
wwv_flow_imp.g_varchar2_table(5313) := '5CB71B9BA4C1FC9983FCB335BB36CF4AC40E63BEA93CFFBC6535BFF9FBCDFBBB920B7BCEA19ACD073CA22BFACEEF3CB85377551DBC1513ED19FEE116CA811DD8211FCC81D0D2A11D16DD1CFE811DDAA13F8A2A1FD421DFD4011FCA21D1D3811DC4421C8C';
wwv_flow_imp.g_varchar2_table(5314) := 'A21CEA9C18D4211CCA012854BC176DB591376DC635DBAD919C92C109B1DBFB9F95CBAB6D1DAAB53C5688F9152F7B85CEB2AAA93AC573F31FF0416AFE83D36271ACF47CCFC9259063D537FBC2B8815DD879134DCFDC4BDC21CD8B2275E85994013A1FEA79';
wwv_flow_imp.g_varchar2_table(5315) := 'A111992EDC1CCEF91B9C5CBD28E8FCC82DCDA6F562C0DB9DBDFBBCC197E2C1B9225A86A11C98E116B4221D6EA180B3C16114ED164E48B4B2C113B4C28190812A3448D134E81A8601D100201D86CAFFDDFE61D34EBDF4529DA3571DD6B95D8074739C909A';
wwv_flow_imp.g_varchar2_table(5316) := 'C0E56DB8AD0495A106CA6F1D92755DD72599E57DFDB0A93AF45857D9F3831F949C2E9C7C9CECA12976F92CA766E4051CA8ED82230539C1EF2DAC985B5691BEDD5DD5DA5355C412504C149B85AC7C4CB69BC7298DB135DECC19DC210A08280E231DB28118';
wwv_flow_imp.g_varchar2_table(5317) := 'AE211B628D18C481ECD961189E411CDA011816961DFAE116DADE15D01E14D4EC19AE812D98E11AD8A180C3011B9A02E245ABD4A93DE3C345768513176568C6D9BD75873CE9D958E4E5BAD7DF18E655C8D99939C6F74223F141C9997C01471C3813BFE80F';
wwv_flow_imp.g_varchar2_table(5318) := 'DC8F4F9DCCE51DBDFF184BFA8176A5DE9765621BE822111D621B12D11CAE5ADEE859FF4BE8E1ACE92101EB61C9553901EF811EEAC1BADD3D37C585EB2B6DA7FCBCDE53E71FE4011EF66C1AC2811DA2A1D0E1C11CC2C21DD4411CC20180884A1DF6E7ECD5';
wwv_flow_imp.g_varchar2_table(5319) := '81D1E92D1DCC811DC41F193CA11A0E5D1DAC5F1C4C5CF1494F766FD57601E21F000002CD753BB82DE1B6810B1B0E3CF78F5FBF7E00F4D5FBA74F1F007EF6ECF5B387EFDF3D7AF4EE01C8C78F2080890327BAA448F09FCC81346BDABC897325CC893375B2';
wwv_flow_imp.g_varchar2_table(5320) := 'ACB9EF5F509B3D8BAE94894F1DBD7C37E5BDACD9705B3700DBC075DB268EAA386A00ECADDC47B3DEC07CF5600EFC97CFE4C67AF7EAE5CBF70F1F3F812D6B9AFD9933AFDEBD7CFBAEFC0BCFAC4DA64CFFD9E3387015005CB21433FF7E656BA02C5C0056DD';
wwv_flow_imp.g_varchar2_table(5321) := '3A4B37E5DFB13405DFCCD78F9F68899EFD9A3E8D7A6F3F781B99D664074F9F4CD131FF95FE2B10265D959B71D744D92D9B3DDB866122A66D73F4E89ACA95E7F4AA39B5F497F460DBECE7AE1D5CBAFFD8FDC2F55D160059BF008C02F0FD32805BD2223E3D';
wwv_flow_imp.g_varchar2_table(5322) := 'FB7BE05C9A12A34BBF7FFA3DCDA1A65D26A587933C3EA5D48D7AE20DC4CC2BAF2C365E6203ED439159D169F6565FAEE18761867C9915584EF9B853D8705E29034030B804C3204DB6404319650098635844F68503008DC49431952D6FB056852100449244';
wwv_flow_imp.g_varchar2_table(5323) := '262739A7619146DAC51A3F170E049B6C32D2F7D63DA031959292155E788F942789851269277DB51F4DBB1DB99750FF64EA459D7576B9E3CE5C02CDA5CE2F7296B75824654C110936C47C575E36B6F1944E24FC64424B25D9D802CA3FD778F24F3A705491';
wwv_flow_imp.g_varchar2_table(5324) := '68686762F852A59E05C55F72F6B534D17FF245E7D444FCDD22A778BF8C62C819001483E240AD02002158035D03C0330094034064ECD0544538B670014719B444220F1C038132CCA4CAA206133D1DE244D8A71C9188228A8D0030451A740070CC782E76D6';
wwv_flow_imp.g_varchar2_table(5325) := 'CF927F0030AE1F00983B503A098C514D24146412C990CB2D8B9FA5F6E29557924B02D0A44CF87676937E1BFDC5924B2975FACF39E700A0F0C20A9FB630860AC73326BD69B2B6669B2FFD13E79CC9DC22461A69D4B1472AC4E072222EED51245B353080E2';
wwv_flow_imp.g_varchar2_table(5326) := '4136FF2FD8524600D9D0024439268CE1492AF3D21B3066320D4D34D137FDE912B8A16DEA5352F4F1A3968062D264A22CC180220600640C740B338CAD57133E00D002401900580140350024419314495861824D140CE401004A002D1D69F7DA8B2600CF7E';
wwv_flow_imp.g_varchar2_table(5327) := 'A6DD9BA2D9B34C89AEBED10A00BB1803402CBF1CA89E5C50D744C43036D03D464D30E44A4B0291B0D62572789B16115B6DD5837AEAF5D0933A004B456897DFADD5044FBFFF6A882F47C3B1D1404D0A38E08002002840FCF0C6D3F4BBF00E0CBFBCF0C907';
wwv_flow_imp.g_varchar2_table(5328) := '1FBCF1C223AF0009BAC488F7C5C965071A4B1C83776232A01C524B2BBC6CB2898927B267DB51325300CD3F370C63C80F658032862152A8E3472AFFE18E7E1D7F01E0746C511DEA0060BA2C297075AB23098000200FD6A5452D4ABB873AA436100AE2A445';
wwv_flow_imp.g_varchar2_table(5329) := 'B250062236E10B540C2412D1A00C9D68E21A0E5401194A78C035BAE10557B0AD0C4768893A383010140CE40700B803005163A52819304B0D248906ED520F8C41EB4B1BE1073EEC41A20301A01189A3493126F335FA7CC90B9198CA40CA11092E980D003B';
wwv_flow_imp.g_varchar2_table(5330) := '00C00D00902C7110C108F212DD0FF5F20F7AA8431DE900401DED581373D0C41C7A54A24DF485C2DAC506697873E23FB24082012812000360E4B21A6913455A6F23159BD4C596841D10F5A37DDFFB0E2E92F18A4D7CC218BC28842AD467223F45E81F32F3';
wwv_flow_imp.g_varchar2_table(5331) := '802BFEF10361C0211386E0C01722FF51857A70010659EACDE826528F76D0B18E744C9731F9980E3D7E518FC9B4231FF7988E74A8436C4ACBC7056B62123FDA843C2702002200C03800788241BF58455638038A2ABCE1088C3863BCAA40007EA001001CA0';
wwv_flow_imp.g_varchar2_table(5332) := '15AD3412B733DE0D5CED7BE375EE21CC64461399CD4CA6390C9A8E7688E53A49BCCD97E0D2448E142E189321064DC2891EF1E022729A1997ADE8E606638D531C06000005AC40369A082874FEDCCB0307220F7798031EF030473B76D50E7AB403820399A9';
wwv_flow_imp.g_varchar2_table(5333) := '2F65A724DAD9EE766712CD211BB048A015A0264B65A424C7110F006A2F63DD13C83FCC011E13250300AA50852F76F10956A14C16B750E5519E21036444801629B0051A22C18EFF0018411C09F042196CA00F93385459FD90A340E121D30BB6231DD95187';
wwv_flow_imp.g_varchar2_table(5334) := '3B58538E7608531EF0B8E94C6BCA8E7698831D0985873A264B0FCDB8C482181CE05EAAD52A54304E15C040069F6CA29624242B1B73E380140C418054702113B778801607820073240B277BC5DB92A4A60E78E0EA4534B9E340A669D5B0FC6D30DA91963D';
wwv_flow_imp.g_varchar2_table(5335) := 'A6411329FAC218C6C8C531B048D671742583F0B10932C4910A7A64821DA0008090CAF086B110A9A57BD915005CC11A4FC8C3153C85037DCDC5CC97D20490FB1D6A6FEFD39389CC250B0EB800240B0C000724752090C44923076060A7325891146E2A0096';
wwv_flow_imp.g_varchar2_table(5336) := '2A495DF8A42796744975584341EC6867933C5107F84CC4AD4EF8FFC217001046A928B3B2B3980314FB48858DC3818C6BFC63188912071CEE400CB4FCD462F9D89539D4218E4844A21CB7788327B2C1884830E30F7E60063B3C010A62C06196B410872122';
wwv_flow_imp.g_varchar2_table(5337) := '910E44B52313D900851FAE71591071AA1F9CAD895B787A1B1302A0162BAE057A2C8A13CDD862A702521B5392A51E2665821FC305803A06120DF6E6AB267EC8843B2EB3AB54C883560381C4AD06028FE4AE24899E051C44DD881E575D5418C3C8A27A3C82';
wwv_flow_imp.g_varchar2_table(5338) := '9385FA8522EB55343669A20E22D408003040C14BDFE0856C540100DDC05539DCD14F4CCFAEBF834C5AF68EAAC8025CA00D6D7884222E409302104F011686F6851B7C3C03377591022880B7BF5D001240B592FF1D9EC887AFC33D9E6CD2C4DF19C82F8641';
wwv_flow_imp.g_varchar2_table(5339) := '675FE482458C118F34366614FABCA927AEE11B5FEF714775B8A1124AF60324D0E08724DCC2155C600417CCF183188423A4A940C31B2851F00054C30B8650C233C2C1477768C4276D0ECBBE70422760F88217764E868BA4C817726FE83A8AEEC7A1F598B9';
wwv_flow_imp.g_varchar2_table(5340) := '6EA4A30C04108727BCF00F50EC801B70E0028DEEA8E97E70DA43CD8D2800A08B9E13B5CA18D60000346882B28178652C1A918B6DBAC466CFB60525A833CECF5CDD1200DD111430400628B8501381DC2D599EA0EC917DC95F4CFBF797870CDE0004B06C01';
wwv_flow_imp.g_varchar2_table(5341) := '00200C7358E41C2E7081392CC001DE5664B7BD9D0500B4217A80BF40011409ED390040008FFFFFBBF522F24B0FABA933E9F61E56DB9D8C6400A3135E3D863092F1B8C9DCDB2502C1D43E2064D4B7FC8F75B4F1B725015E0E7584430AE5B8C61BEEC0053F';
wwv_flow_imp.g_varchar2_table(5342) := 'D042099EB04512DC100D5A94C10AC8F04426A2C18524A4231B63F88317B8A0046494810BE2284762FB3D91927397A779F9453098311096A367AB0EFACC00C39E9CA0F50DED29D1A33A9E110342520565100929E50A44E00AD56004707068B8322614B15C';
wwv_flow_imp.g_varchar2_table(5343) := '342125EDA016A3F15CEE561E6BA0067DB0088B70073E120CE5716A98011F3C1130B9B1497F211A608776B1636803E1235E000052304F6E900F6FE007EA700DF4A54CEED01BAB31309CC12FC5F65F003626038654C4A3798DB46CC423008FFFD0068A7009';
wwv_flow_imp.g_varchar2_table(5344) := '9A370784977800300782F70883600A24100659F008BA90056D900573F008A63086D6F654141377324729A2A74D22A63704C16EA9770B8650067DC08176B008A0E07E26327B3F5134445329CB111D0243266C960EB8A20E68607D91E00739980D47D00DCB';
wwv_flow_imp.g_varchar2_table(5345) := '570686300656E005381809C35006F3A464701009991000B4900D4A900935050FE8C766D7141F02426EF40700994313F6455129C22925B81347431427D85D35E75E00402B4030464530103E58057A840C00B08CBCD550383181F790199A511EA0905E5220';
wwv_flow_imp.g_varchar2_table(5346) := '053421830000080B3282DDC5614771169BA4195A52174FD382BC311094602E917068058806C0700B6E7013E9C0344982424CFF220FF78088CA121288E47817F00817D0008F90850A200061F008979007A2200A03A10BB0300E9830106D30070DA00BB300';
wwv_flow_imp.g_varchar2_table(5347) := '0011890924B0910E590ABA2086BFD36D93C434E5D657A3D7128AF514DF932086A00556500532389356600570E00928D31E12D1123271214543304D948BBB518479635947160E7E4009E6600BD5000F496908B4400BE5F00690600EE29009AE400CD9900A';
wwv_flow_imp.g_varchar2_table(5348) := 'E2F00786900EF2A80E8C70879E500E07250F9A957ED7B42F9D651FE731105CE0055EF0045250055C302EE53115E4661628E81A87184033616C355713A90036D7000F420200A0F00CF30400C612160FF88C4B045131511376991332680635011D03B15303';
wwv_flow_imp.g_varchar2_table(5349) := '14595F9744E9FF101214611202513BAE930E249169E998413E980EAC118C7EA4533EE85EADF947C33610D5B18FFD68243D311C59805486D76C50183C05E000BA8086BD10915D9007E3000B11D36C9A070B9C000661000BA530101A290A60300B93A76002';
wwv_flow_imp.g_varchar2_table(5350) := '206E6C983D70884937254004610E27530655600572B98D00200668630595F00BEDE1113C7158FFE00EF41047ECB08FEC908280651BD9618E021281452260F0B0887A2459ECA00EE5900E8CB52B13CAA033B553EA40598C3559116A59EC6077FBA83486D6';
wwv_flow_imp.g_varchar2_table(5351) := '592AB51FB2B28C6823979AB86B77893600900AB8402346C33102D20EA073114C513BA8F30F6F060F52D33D7091128775923F843187A60E9F294C34410FD9FFA14D34F7A419C414D46499D34019F1593663E00663007732683238E10A29450BDDC00C8261';
wwv_flow_imp.g_varchar2_table(5352) := '0E97D10EB7300CB7A00FAE101991610E6E8A67FC9716F9D0A4FC82A73B855337C5247E238D38818F6361A7007A0F5E323A5E416014B679102600667801C2D30688070091471391F77761D00609E691648885351106986A799737002659946F686EB08149';
wwv_flow_imp.g_varchar2_table(5353) := '20FA2794640ECC5009557005DF370665500676304663700570C03EA22136E5E00ACC100DF4C564C8500EC8400CDB170EAE700BE1200EAE100EE1E009F9400CCF9009C82036A59A1FF9200F7AAAA19105009F895386A65820BA538705A2FC324786364700';
wwv_flow_imp.g_varchar2_table(5354) := '8A492CC196368141FCF10B8CE0A2B3DA7E7BFFD913C070133EA7225E040016950DE59009C34011CAF40F6AE39AC7F882FC128CEDE083E3BA53FE198E4A17A59C414D43537F9AD843E7D207B85613DF52133B450CC8B06735010AD9C00E914113F0070CE6';
wwv_flow_imp.g_varchar2_table(5355) := '9052259A8EA0313411F214B063173C999B41C5A4EC3A877883A8C3196D4B25000B60608D243CDC66618EE44803203C97671302F0600C166EE34611E1988870781DA1593057C50C91A00436C90577A087C787AB768306B7300D4FF20FD3700DD9E0ACD910';
wwv_flow_imp.g_varchar2_table(5356) := '0EB4400CF0600BE5F00FCF900D04310C3B580E3E170EC3D00ECC7068D8DA1FB841B82DC193A43188186B176B09B3EC072B362105EF09006FD007953B8B9938102E2213B2C2196CB6ACB7FFB2952A5B13C2902B375A13D9B05BF291B0A9219909CA197F6A';
wwv_flow_imp.g_varchar2_table(5357) := '9903612E5973132F7A079EA0AFDB3510B6E083C4B0BAC2F6AD0331A7EF4536B7802BF42584FCD71CCD0B6A689277831A1B86EAB37DB748494B6190E46D03016EDB1BB4DBEBB41396BD133649C3519EA71A87AACA1273B19E95D0076E50054A5005F34B13';
wwv_flow_imp.g_varchar2_table(5358) := '67600577E00765E51FFF100E99700DD02A0CF080BC32410CD74069FF50C0C3C00FE2800C65D60EC430B8CB22606AB93796B266D7E1509BE58AF0CA1C34610897DBA22F7A13C0E04566F20C59E15E74110DB4D20F4C99B703910DF017198926BAC7F55145';
wwv_flow_imp.g_varchar2_table(5359) := 'DABAABE6371222814CF1A73D510D81E64D34612E7100A32D360C7A64BE35FF910E89260E1A110E62730D33465C412C0F81160DCA040C8796C34612A819F46128415467B20F48B860E2ABB4A791BD036061512BBEC9B95D6EA8A0586B17EABB6FE300BCC7';
wwv_flow_imp.g_varchar2_table(5360) := '500B80108954662E5FD909B1000CC0900D24361CD9E027882C0ED1600BC4FAAF069CACC430155D99B763360FC8B02B87DB52635C1A1AFCB876C114D9700BC710197C40BB88D0C77E500BB9000CA67B8E75C40C75B4BAD3C0C5B4524778A698B8D2C489C6';
wwv_flow_imp.g_varchar2_table(5361) := '0FF1F2515D5C2F4BC7BA27A125B2FBB1E8512DA1E67E25E22224323502E2835A840F30815800E0830BB52F5B07CCB8F3C569510FD6D1B3CB727B32C13B0E207800D000CBD300CA83CE822700CB73CEEE9C60BD3310E7FF6C3CF1BC794C553D50351C728C';
wwv_flow_imp.g_varchar2_table(5362) := '3B58AB16FCA8BEAB040FCAE04900C00CA9170C28920CC1007B72220E86D1157114418CB50FC2240E3B0523CE7250717496ACF30FF0C00FF4A0C9DB8CC114B1C135814192620EE5C10CBF007B31CD0C2F1D0CC460D3C50B13EE200E4B4212BB89A700F0C4';
wwv_flow_imp.g_varchar2_table(5363) := '35E12C04C13D220D0F246DD2A90181F8671F538A13F100D5EBE040F0100FEBC05800B00E03310F92F28B77A18EFA3764494D29793712A83A98E21C1409A35D00B0D66C4D13E3300EBAB0301A961372BDD671CDD676AD0BDA05D770EDD6707D0EFDECCF19';
wwv_flow_imp.g_varchar2_table(5364) := '724921169AE1380F55BD0E3B050FEBE00EEB60D5908DD5F2B00FE6AB19B717146EA28E18BB49DC511B62FF5D2F8E1B2075C1128C95D5EB00583EC826D981D57561B5BBC193A55AA819141A0206DA851B1815D8C303C4976122309941825E7DDB8AD6CD23';
wwv_flow_imp.g_varchar2_table(5365) := '714DE18C37126D0FF1B075BBE1153122131D01D5D23D13CB1D55DCA1CD5DB1DCCB3D0FF3B05D4B0C3497F4B991A51F46D3B853B31124562560811C155C306B36C6C3CD5B247741AE71210272305C1DD62E18DF3921DC9D411A86F8BCF2ED8C2036CC9EE5';
wwv_flow_imp.g_varchar2_table(5366) := '0EC63C1A6F810F0DEEE09A8218049EC340A8B35F32A127D1DF93921286D111133D0FE6DB11D01DDD31D2115E21DDDDBDDCDB35DDCD4D10216EDEFF1C301E76A35752A80E4B7BBB517B9B21982BA1B8FB8DC1127E2405B3969D76DF4BB3E0013E9895FFE2';
wwv_flow_imp.g_varchar2_table(5367) := 'E3F7B137403E737FD3D4BC1D51CE4BE5CD61B54ECE5E79E73AE6E014C83D2984E819232EE2822DD84453E2C31114F690E66B1EC7E61B23F36124B7431D374A2135EE0EA1C1B8587EDB42DE8AABB8BC5DAE1C28012E8D2B18199E1F15ACE7F36DE0413840';
wwv_flow_imp.g_varchar2_table(5368) := '1FF2A7550EE9AD96E89BACE5F4C0E5E162E8F432E2C331179CBEB84323224251D9B7A7E6A33EEA4281EA692DD871DEC932BE8A8451A8EC70E7D43BE9269D344973686A51E4CD0BDFAD2E34DCF1E9C12EECC34EECC56EECC76EEC9B06E5F121BB910EE9B5';
wwv_flow_imp.g_varchar2_table(5369) := '8E765ACE59B59DE9CA72E57BD1E93292EADB8E29A8DEB9D87326723E1A4DAA445462E3B4DEC5CEAEEEEBCEEECFCE5B34AB748766DF37FFEBDF679D8B28E97BD08E40F99741297172FA2EDFF8BD244526B1D73EE1EE9DC3576E30F940534154E3996682DB';
wwv_flow_imp.g_varchar2_table(5370) := 'ECDE134FF1156FF1652213F7108CF9C81A9ED1E4009F8E39DDC1F9E83A45E240278FF229AFF22BCFF22DEF403C2520310FF3332FF3354FF3376FF3397FF3CB6B12B0410FF200F4A0CD1A432F3B446FF4452F3B6FF4C98CC558D17C1254B29B3F0AF0474F';
wwv_flow_imp.g_varchar2_table(5371) := 'F5485FF5576FF559BF17407FD5F2800F1A1453A971F400E2F22F8F13655FF62D85F62E8FA0FC8E13200AF7712FF7730FF720DF529BB23AA9BD178745537DEFF77F0FF8812FF883DFF74E7F1FAB8DF86C42F88B5FF8D69CF88FCF268A65CD9CF11695AFB0';
wwv_flow_imp.g_varchar2_table(5372) := '9F5913AA0DF99BCFF99DFFEFF9A9911D8A25FA0EEBF9A59F139BCFB0741FF710C43A36211698CF17743FF97DC1F91A52FAB78FFB6C9221BA0F2015229423DFEE546E1AC14FFC4452F9C78FFCC9AFFCCBCFFCCD5FF926712537212559D2FC92EE4FFB02E9';
wwv_flow_imp.g_varchar2_table(5373) := '465EFCEB8E42CE6FF98D6E25824AE30324160A44FDDE7FFC0EAEFEF880FECE7F1AD37FFC0A3441BDB4172661FE5212FF4FD4110D7EFEF70F10F7000C2458D0E03D84020D2E2498CFE1C37C0C250EC457111FC489190D42E4D8D1E34787F8EC553458CFE4';
wwv_flow_imp.g_varchar2_table(5374) := '499429559E44082022417E310B3AD458D3A5C77D3975EEE4B9CFE64F8609850E255AD4E851A40901280C5AEF9EC9812A01A02408B560BDA92BB16AC50A94A154901DFF9972B59A3565D1A5681BD23CA8D023DAA3F6E4CE95ABB465DA814C0926BD3B11AA';
wwv_flow_imp.g_varchar2_table(5375) := 'D5B081236ECD0B806E4587FAF2E963AC9866DF8C02BB92DC5AB6EB427D0433672609A0B3C979F34E7ACD48D634D4A2F5E8D18BB79A9E6AD8AE5BCF665DDBF5EDAE2F61F6E347DAE6C79EC175FA265EDCB871A213F90A4D3B5422E4E31B053FD4089DB475';
wwv_flow_imp.g_varchar2_table(5376) := 'B635C5C6B5D7726E41BA08EB2E4FAA9BE1F4C01911BF946BF1E262C7E68977FED899BEC7829DE9E6C7173DBA408448BAC79E7A42932AABD012545034AD24E28737FF160A2B387B7AAA109FDE8C736FC3FED6E2AF3309A98B9038F4C23A0FBF1153D4AEC4';
wwv_flow_imp.g_varchar2_table(5377) := '11437AAFA381EA338C1F7B68E407C318CD2B51441527FF4ACF331A6BAC319F98188B31C5C692CC8C21251B732FBF7D6ABC28C7ECA4AB52C5FABEBBC921F1E8F2729EEFEEE92FCA9B167A30C3A5CE53CE287DEE693221A752926B20D6E25CE936D7B8926D';
wwv_flow_imp.g_varchar2_table(5378) := 'CFD66403801E795453D0A43C0D1CADAAACE899E736795693E71E79F2624EBE8C320370A8CBFE9C084FD7E8D4F4A9D3421535D482EE0270AAA89C520850400188B4240096CC50AFC2228A29268E9454AAB0C2769554A99C188B08BD5B8B3516D71DCD630E';
wwv_flow_imp.g_varchar2_table(5379) := 'AF3285EA6A359F14426B4998EEA11480330F6A52D88D62F57633B308534D278C9642C95AB152A52AA88FA033AAAC920A9C271E7AEBB557D3C2E8C969CA82B21D889F7CEC4A73A27F0A36B8E07EFAFF2928E1827B741880860DFA47454E5D72301FA81253';
wwv_flow_imp.g_varchar2_table(5380) := '18808407FA676315B715796418B9240FDD5C8D1CA8E38940D668B5BDD09554B5D76E5B28278E35C27962007CC259D27D0036B9A8881236FA68A48DDE32B0A3522212E08278FE0767AA256AF43684885C08C0945CEE51E1A065FA17A29892EE2D396C8F25';
wwv_flow_imp.g_varchar2_table(5381) := 'DBE862D316BA23347F66E860BA277AB4C38533E4E71E77166A47237100087C70C10B0FDC206EB8C9E61B6CB801A071001C8FFC9B8128FF26F181B8B97C72C9398FFC73C73B0FFDF181B019289C6E00C8467500A691FC9A6862973D9A6BB0B17DA06B7227';
wwv_flow_imp.g_varchar2_table(5382) := 'DDF467A2C1A61B75DA61A71DE28FCCA8787800286779E6CB01201C68A279E619689EFF19081A0090299D21C6952FC81C00C04FC71CF2C1273F7CF4CB577F7DF3C767FF7DF6D3373F7C73D2B93D716EA071FC9BD5B77FDC7AECA5031EEC18C8DFFA56263A';
wwv_flow_imp.g_varchar2_table(5383) := '090F00EC2020010F27387188C379DCB886F5A6671064980E009BDBA0E6B211C07478CF79233447394A78C2F08D2F1D215C21005AF842F485D0850391610D093242EF11047C05298706FD9739D2E5EF7300784636DCD1C002C2231F5E03C01119C840E139';
wwv_flow_imp.g_varchar2_table(5384) := '8F200F7C1CF6884890EA59F11AACE3DFE3422745300E04875264210B6F28C285ECF0273B1CA3F2D898B9C699CE77CFB81D00B6683A68541000FA1B883A08C20E77D0C32010C2D69F0E36106650A21299F044262A311047321200FF9E9824002AD1898144';
wwv_flow_imp.g_varchar2_table(5385) := '02939118882ACA201132A4810C0549031DD200003A00A00EAB64252B4749863AC05296A82C481D169206270C640A2F0000200080868100B30800F804219C50820C9C20031900000D7030901E00A0073F00C0139200802A54F30526904255860580E41984';
wwv_flow_imp.g_varchar2_table(5386) := '1FAFDACB44723190103020030C30C0423040102A00800753E0810EC430905000401856C4DE0501508D2DFEF31A001D08400D3AD06A10B482C4C846EE1C7A8D693CD4A106AD0641A637BD68406318C820863000D087174401004D800200A2308527D0539E';
wwv_flow_imp.g_varchar2_table(5387) := '00A8010090F04C0DBC00121FD307CFC676ADA9F9041BA918482C62714E5B00C0080C88800600F080031020A90359FFC10A2280CD7A4EA1074B00C014C4704E66408319CCB86857BB4A108202341A61DD2240B92A50893AD48EB9AB684501108DB7128419';
wwv_flow_imp.g_varchar2_table(5388) := 'C8180600865157799E61094D68824801408528B0A0062F05800E0A1B53230455200C5BD9429277AB97C482A7008885414200800D3C75211B7881067870861ED0600A03F10215464B3D6420E3A25CB5DE40E03AD080BA76766F856BECAAA1BDB76E711A76';
wwv_flow_imp.g_varchar2_table(5389) := 'E42D6D670757DFD276217DA04155091285269854073458020E4A30521E7C60034280C4407CF68F7A1C10266703273D6C4A104A7AC513981CAF4136918653AA12007B18087A1722085BAE92207560EF7A7F32CA81C497204C6082500762083800932062F8';
wwv_flow_imp.g_varchar2_table(5390) := 'C440FF9620041A30810642C0417249EB857B02A00C65508344045990701A849C03CB27417E0A0037D0200318D00006340B000C30800100C001120A7202007C80AA40942D1D818B3B1CAFF51AD9F0214390115B82F43823B6052E31B2471037E8C10E7688';
wwv_flow_imp.g_varchar2_table(5391) := 'F012780000AAD6A09EF25C828B37F0847EDC439005C3C7DF2CA6B5AE4CCC2704A1050068918B5CC4229B0331EA8A570C00061C20048605C0195C0C801518D70BB5B020117B173B83B835A2D3E8DF5AA7818D431FFA9FAADB62431B6A1088AE75D1090D2E';
wwv_flow_imp.g_varchar2_table(5392) := '008C4C0C23AFF79E8720ED1274A0031E0881CE48A0730C10E0075471ECBB06C970210972CE7312849903D1EC01DA09E7CB8A540C53B82C0E6600FF00314498215B24B6EE8C1DD19FECD88E0D0D685A81CCD6B25A8FA3C480C631ECC0DE259F61A4384830';
wwv_flow_imp.g_varchar2_table(5393) := '8271800328E080AA42D8403C3DB60FECE66C6BBDB9B041C20B8A825072BC8DC464BDCB0B804C6402009AEC4341F6604B00A417BE823008C007B20741207C22002F657BD5CBDE8493720776C88826000085924281060B063641B850103554980B422008BC';
wwv_flow_imp.g_varchar2_table(5394) := '57D68F89C1036A049147A4963830CAC23AD67006C001305BF314EB00C6C934309E99DBF38560A37AB4A37441802C91DD0E04B7B88B6DA38F2ED06A8C15B8CC20C6B409B20B006C42A4CF1C88336B70820F6820041F00008C8DA0297E4CCC1EEDE087531C';
wwv_flow_imp.g_varchar2_table(5395) := 'C20F775C8637FFF06865ED0E6218FFAFF8002DB5F94A63FC64312041A4C5853113A6804922C2D57A80866B5B155A6C460F24A28F76EBEA76ABEC47E7B8A0038D6B6D39AA3DED1D0300A800C021488A83139CE0C93AE03A3333800289A45C1FAA5248AB3B';
wwv_flow_imp.g_varchar2_table(5396) := '948ACA12E4188E786EDF4BF0CE81B4FE0476E8C312CE70D970F397CED5DB6AE2814B6C820EDB2049CF065E25D2ECD6191D1B74BC686AEB9ADA81905EEBE13EC13B8B2B041817A4047D5748C1EC51930B8B8D207F184875E5ED6E9E7662BCF9CE44246A11';
wwv_flow_imp.g_varchar2_table(5397) := '0955D88435AB25802304F69204851B88844B3883532F3A182553C2AF8960C07F1BAD8160824F028037200834B0023BF88445200307C3B88170B08E1B830A1B083C7003371888FF0AE3A97B309A944313AD791585A1955C28868110830388B38160006462';
wwv_flow_imp.g_varchar2_table(5398) := 'B113282E03E33A1A8002919A0228E82F83C822D939A849EBADD551B6DC19B469D01E88523682C8BC2944B680722B3B6206822006E0DA85562088D44B3F182B3112B3B91523B99E81982C633BB7BB077E8007B9EB0DBCBABB5068821E2408B2C3001D2801';
wwv_flow_imp.g_varchar2_table(5399) := '1A38010678A7192388539A02AAB2032BBA2231742DB02A3AD6E1AD41B3A388D29DC9D32DA77BB4DDBAC4A3EB1DBBC22D68D0C1D143C38228AECBC2800D3080BE23888D49B9A7680934E1987E88882DB23B1DECB0828880677A2E006081A77AAA1AE03A28';
wwv_flow_imp.g_varchar2_table(5400) := 'D0368CEBAF5CC81FEB612DE9C31D644B3A645B363B22861DD342FF4C64B4416B3AD8D93EEA1908231B864CFB845D203D05533F82C000E023000620806882988FF9075A291576FB970C71855428030E00001480811D20082F28833EE803431808C44B054F';
wwv_flow_imp.g_varchar2_table(5401) := 'A88549EA0486B48485A02F82900400802F8218B85ACA2F535AA5F4D208422038836BA93400828230830D34032B00805AD004BF2AA98B230835684197C40382C083273882999041705A396C693997B8C12192B981003E82F0C50CA081143B800850B181D0';
wwv_flow_imp.g_varchar2_table(5402) := '2B26880226A4AA02DBA7AA3B326618AB84E23C83EAAD66EB42828886422B88291C88470B4B814ABCB902C76750C88138048D9B81590BCAA4A4B9BEE3013143987BA0437481BB3CD4A79EEAA94578A637ABB9FFCB2A88C07C33AA3A83673A031D182DECA1';
wwv_flow_imp.g_varchar2_table(5403) := 'BA4B0380AA04B4B6E2AD2C94C62A144B3004A84DCC0685923CB02A087FC22B648086EA228825F8001A184C137BA7C0542A00B8038901A75944885A343ACA028058738485404A1A38B1A07C27262C88ADFB04F0533A4BCB348208A8DDAAA8A6FB44C9BB06';
wwv_flow_imp.g_varchar2_table(5404) := '64A886298CB4C82BA87FA234D8B9283FA3ABBA1A86D61A3D4288825F03801153470CF8439B230000088077FC87DE981877A84D8388BF7BBC0500E0250F00000F300113408117400113282C18F02F2FD0C03728480040BC3198088463AF06BC483A68C006';
wwv_flow_imp.g_varchar2_table(5405) := 'A52F88FBB77F2B0841D0838863AFE0C4B7480830383003832003BF323021A002992C04009049FF3E00003E288442700438000029C0833728B307612C95D38DDEB0419803806248B362A8B0F2338811EB3B76B43975648892D2B6BBCA9ED4D29EC69BCCCE';
wwv_flow_imp.g_varchar2_table(5406) := '641D65ABA84C3C32CDCB9D47D31DB2E4BC8100A023532D00B0048B434318233B387B45820800BA8CC389B115A7B0980352988EF1A8DB04805088020C2881C01C08187B45BD63800F68822948D3923A47611047E384CCC5BB3130FC4462CBD22A34B2DD1A';
wwv_flow_imp.g_varchar2_table(5407) := '4B49DBC6D89ACCB79A9EA523084B70483D48BDB11B3B15FBD39A2B88769345DA43133B4593CADA451433440250CF8160A6C064531C38BEE01B8819508363C8B4B334B24884C6496D1D4EAC44B11443CB5BB646A3CC84C2CE2DA223C81C88FF8DDAA88130';
wwv_flow_imp.g_varchar2_table(5408) := 'D3817082F4234FD6B43924B555EB1A337C88CFA0F094B419438208D00D908075050018008118B881C2DA011D00011DD8012440822950822A48032B10364E7BAF0B5D0884A3AF075DC0F57A508238D8FAAA0126480317E0B447020038D8C02B2808318882';
wwv_flow_imp.g_varchar2_table(5409) := '33E02B0010822718084AA0040040040060044638D992FDB88B2DB37C909AB1D1B089F1496CE0C56248D90848BF5A1D085BB5D53F0480CB82310C388119F8ACE22A86E26CCC475D888AE2CA644DBA2B4ACE2F8DA8E82B881BD3D2CF2B5340FD35A1040A94';
wwv_flow_imp.g_varchar2_table(5410) := 'FB877CC0CBB7C34375EB0D8F8AB562E003A3A43983605354FC00231CCFE2123D31C42D6438ABDF723CCF4CBAA6653466F54CFF65CBC42C753C30C42082F8044920040070820850471A882E1F2408F514D7548318D9A4BD81D8304AC9854FC0813E4DCF82';
wwv_flow_imp.g_varchar2_table(5411) := '605354ED561843CC3330B9AC922B7FBADAAB5C4EDC692B627B8662C59DFE994662B34E3DAA56ACADAB45F0D577EADA54E55900D8D9774C9B7FE80F34914FFA1C085770050008504B8A8381D0822B50821C0000911C88FC1C0817A0570070011D70011830';
wwv_flow_imp.g_varchar2_table(5412) := '01103081ED35AE3ADB833160AF43A82F83D803491004C565AF3D505C00D00384755F5852403DD083FAEA2F89B5A482D8407C42056DD3B62848608268DEE6A58494255992355932738986E199957B091BCCB282F8295E9CB59D9DDC0308008278331CF8D3';
wwv_flow_imp.g_varchar2_table(5413) := '0F50C2E23A27FFA5EDA7B8625ACD8CAD426BA869B83147DB3147134B64B5A384BA31D9C51EBAA22B822083110300040080A71AD49A9B5C82E019942BA0B6B3163B443B8E419358EB8428203BA372C5546553706DA6E242D5B2B3AB309DDDEF7CC24573CE';
wwv_flow_imp.g_varchar2_table(5414) := 'BD0DA86C583AA815CB679DC4C24524AAFBBC5C28044D20849242805B1B0803D8E3E15DCFABA8E0BC501507E9A9CA3A273B58A67552CF00E8D911FE4335B5B95F3B6100184FED11C3D62A634003ABA3A3D436BEC6FEC9BC1C839DD882ABB3220864108633';
wwv_flow_imp.g_varchar2_table(5415) := '04003258D26F3588C9754D92BB877D609872ED9772C217F90300FB1C886DF82769180850E0A951082FFA3BC961BA811B7081E705010F38DFC22A2CC36A01FF1800DF1DF8C73BAB823A58DF8FE2B4F61D583D083883600232A0DFF91A089064E6F02A082D';
wwv_flow_imp.g_varchar2_table(5416) := '288833085982B8B38138A77C725E9ECAA72F285033B3188F89D9829087994D939A1D0885F4AB57FCE08128811AB0B9B754CA033881D132C1D4828628C5E416BEE8C2A5DAE4541D666D3A468BBEC61B2BE12A08ECE94E68E03449A003C645000478B35F43';
wwv_flow_imp.g_varchar2_table(5417) := 'D2F5DC59CB55B5024A8B80A9C7DE8090B38D854E2804CF955C70EDE21AA081870E44140BCA3ABBB8135005BC12C3B392DDC59BC445DBDB2DD43C6AE4CA6C989E622DBA0B6AAD4C430660180342B05F0030802216AD1F4CAAA582957E6E8EBBD8B08238A7';
wwv_flow_imp.g_varchar2_table(5418) := '4F70042838E23E2680461EE11358E830A6B9FFC8D52500A038ED7906BB0DD3AE2C084A93D42D75E34BB44DED6CE14D364EED31B26B9BC840B5B91348449EAD555B8D269F80108158393459958918030A98245B78058248855068ED7C0A058F12065B68DE';
wwv_flow_imp.g_varchar2_table(5419) := '4C6A04FA135100B8829334821C18501000001000811B808101BD017C0DEE7BBD016C9E827F3D036D638853AA834320B870FE5F5DCAC081F803DCB60353BC2705A6027976855C2833501006ED11865770DE097E89E4358F960B6881309D58185231603D3E';
wwv_flow_imp.g_varchar2_table(5420) := 'B6B5826827F33354869882D13AA5920206BBDAA8E23488AB7DCEECCBC6E6AC4E4C338861B0056288BAAB15D301D79E5CD2046D33000210CA976EA7583E379FE019B6CB1A22215B98E8A9FF5813031CD001B2D3BBE03DEA08A8012AE0BAB20BDAE4A28133';
wwv_flow_imp.g_varchar2_table(5421) := '003E3C2D88D49A5DC4AE06699CEA2DACCA48CBC26A30B25B10705E1E865B78868A52BCEFB4346BC5064C1A2596BC48C9E5EC57BC0C9E994D85806B0FEB30FBCE72CAA539FE368819B0405D2A8627ADABB97246034FCE38D6E1EC6306CB8B2DBABA05EBF3';
wwv_flow_imp.g_varchar2_table(5422) := '2864909E28E72ADC22F0DDDCE381DD6C7185C37F91C7F864EFBD60B7551B885B68040978810AD3CDEC731CEB919C5728B35030B95070053DE7E5E64D05D51E884AF02500A05E00B8A681008178FDED66E64FD80BD0E03438832384FE0DE7AACAB3812883';
wwv_flow_imp.g_varchar2_table(5423) := '757E833840832BB0035EA4026D8B682FD03700082A82D82D2BE2032E9049FF8EB1439DE4E79C89945989EB50B0032A7832A5BA35F53C00D06531227CC5D4C3EC6642E5C2AED668B54E484370648DBA6CA4F3CE5BB44D969EADCA2AEAE94E86104A18CBA5';
wwv_flow_imp.g_varchar2_table(5424) := '82A8D5BC86989CF85A0010DB12BF8C5A060060C8BD4EA0381CB0D55BEB625BE5016E7BC567A201AE2D2E28C8BD82104323A31DD9BADA3656F085E81FB7921E1D9EADB78A44AFBE5B6A2B0627D003D243F38180E90196989633898470198421229ECA8550';
wwv_flow_imp.g_varchar2_table(5425) := 'E88328804370377471AD81145B312620D415583122BC1EF3E6F1A8FD4CDCD59DE70C2891CF3EA8BDB10AD2CE0B72EA31C5D6633803274005B25E5C561E88BC066169EA199D385E6C61745EF12E835988140000155082FF82F88235985100488457E80500';
wwv_flow_imp.g_varchar2_table(5426) := '9085C2970559580600580659800659F0A857F8F482E8B05830325CB88551C8A43FA03F55E7FBEC9500144082F6554086B0D03A50F3897DA42D10D10DFC028A5BCA27388324ECB87D1E085B78066E709D482CD03BB0852CE3121A3C716CE715CAD2C10A43';
wwv_flow_imp.g_varchar2_table(5427) := '553F4E47140346A504BE19D0782858845CC0536C3DECA29BF3452BF2EC7B0664E34C4402AE3E93445486CC924E2D8F52485490043298815F0BCE5C8ADC4656CF18F09926EEB2271E5B85DF9858458431A02A8038201080010000041E0870000006001F0C';
wwv_flow_imp.g_varchar2_table(5428) := '4264B0B0E1071A4D3A1D4306110033661AAF198C26321AC46A06411A9C065225C4690050928C66F21900FF92109FD92406E0D93366C490F904A08AD0C61900A06C3C082080C10005E1F403F0EF9F4179F0EED5C35A2FAA41AA00A23E4B05201600355118';
wwv_flow_imp.g_varchar2_table(5429) := '18244010A25AA61B574C64201100831915993802A0711834831A931AAC66F2E4CB6AD70C034EF932314D9E8D696EF4A877183264B50E012044C70900A3488D724E7B50AD1000FB4EEFFB870F003F88AD0DDE6B4DCFEB464F00AA59F1A0C2E09A8D5786B8';
wwv_flow_imp.g_varchar2_table(5430) := '30182C583283BF202673496D19006A00B2195C56FC97AD57CF016F93B60D39B15B003C35D28202C01EF27504D5814888A89E3D7BC8400C6EDB0C1A0066009449FAE40C00FE48C618440B00B4BC220C00D370330D3610F9312000F5E413E146F9B806FF80';
wwv_flow_imp.g_varchar2_table(5431) := '3CACC19654288B1CC0805A1B3160C042A261804106682596943095F5D5984C820D36184A27B9740D7435BEE4D246319D741860D148C68C5FC300402444489D90141D7418450001013C490023A6EDD30F55F9B4F3E03D11F2034F3D156E24D641281AD450';
wwv_flow_imp.g_varchar2_table(5432) := '884A418401030F6D84C1011F3C0445148B14090D32D03C83E74E21C564D36D208164984B3A42744D8D2A89041149260DC61144CC3CA39146CC68B38824826C06181D651EF0E19389FD631556F790CAD5465141030A00A124D5A941089C09805A042CC440';
wwv_flow_imp.g_varchar2_table(5433) := '080D8D5826431B01A397469025BA9160856EA412A18D1A7A1BB22FC914A8A24272242965C3EC7288204991A187419B366950AE549A06FFC03DEEBC866152F400668B41C9C02101004AF800C01610F566D01500ACC29C34FB4AA30C73B2B804B02C293197';
wwv_flow_imp.g_varchar2_table(5434) := 'CD34CC4D138C32C100C0B0C20629A30CC400482CB10D008C514779E501A03121E5D5A1F11406A5810444F7BD61D0BC893501C07F9440A42E00092648131F5CF0011184F9C40611851B5DF8DA3D49E502000E23E64A668A1178BB51920621E2D74E3CF939';
wwv_flow_imp.g_varchar2_table(5435) := 'EC6DC4D26868B2D95403AD41D00149A48E80366A10B47A4A6A901E745C6B10676900C00A004C36E4E4521108689095E2669915CF5D7E69D03E109115CB31903C34900620AAF56D8A7425D5575F102D78CD482315B691D61B41F70C4B2F1DA65348CAC298';
wwv_flow_imp.g_varchar2_table(5436) := '68347F09897A7FE8D501FF37004ED0011F2BA189061174E55A785556A50200CFA97B8E954B283CB0C534D305C9FA696213194403008B88818830063A6A1064C22E7BE0E637CE58124A33E18452F75E57860C65B61085E9A6A1C90EFB0C68D19AD43F83A7';
wwv_flow_imp.g_varchar2_table(5437) := 'B65AB9E50E0D00BA8F03008207C1C5AB0310C94162F8258D833D6719D4C8C63218B88C83417019CA90C57000800B885C5062145B98C40CD1883F006107194B0F60B4F5B1F430C12048B8826DD0709FFBD42714A8200415CE10052A18640A6208902B5E31';
wwv_flow_imp.g_varchar2_table(5438) := '0C041D881B4532081C1CB4B39FB10689AD095A860C42966200C00E0B71554450802B888C880519584AD30080175578412F1B2186E86A9294B2E5282520814E520E63FF12680DC33B2FE1096098010D6618681844CA447EA6103BA4406153DBDA95A784D0';
wwv_flow_imp.g_varchar2_table(5439) := '2BBD79A51DFCF05B3E00F7957E54C9891029C611DE6200B9308D8B8EABC1E21822918A00A01685180B328461A49BF0AF8D2AE19AF5D468ACEAE9C530CE4A0A4D90A113CA406464F0A15D521AB291314067707AB34A3E76778FA8F84E6F60519541722106';
wwv_flow_imp.g_varchar2_table(5440) := 'A521002225688A41E66290C511406900708423CE108A539EF2716563091BB5773597B0D27A421A869F1E3739001808666968027C3AC34B416EE4004230506AC235B4FB41247FB3A1CD464601002278A0027130A80FE215AF1C10500EDBC80E35B4238D05';
wwv_flow_imp.g_varchar2_table(5441) := '2EA3810FC4280323A8A365ECAB62F81AC52AF0758B55FF9C1400A378C52DEA73AF8E9D016E532021444828538EDD07002943831D6A019128F067239970D0D79E53B353E2C13A00889012915815730D8D1BA1281A5900F034002CAE936859880622808382';
wwv_flow_imp.g_varchar2_table(5442) := 'A825030541CB0778601488846272C3F809313A929861CD7231452D166100600BA010A93149F11A007A4524030908294A8208ED30304D3C9C8A2AF75024231DD90F4842442C508CC5223CB416834460444E3148093AC5001D6CB52121C0010D96008051DA';
wwv_flow_imp.g_varchar2_table(5443) := '6218A6149D4E9881C67326053A2629A78D92A592C1046574D1C0494F84C413D1A91600DFE8C4149CE004C16E840CBB3448069C878805395554C6EC1D22BFB21350C4A218A9285A5A0C9001041C4FFF3411C8000B50A4031019844D908008F58A042D1E09';
wwv_flow_imp.g_varchar2_table(5444) := '4BAEAFDC5CB1BE0791BFDCE47A91EA094D805199E98D050A50700219041B485E5EB3043AB88346FA593F7281495C06D91F4408CA8C2B6CC0208980481CB003807E492329FBCA8673380752061A845F11ABE005550A11835AD0203BA882410EE19E348C6C';
wwv_flow_imp.g_varchar2_table(5445) := '0F518308660030052058211206A94F4EED60903388C1863FDDC82BD4554E8820160E7810D0CEF297C40A3151C2004845559F97C934316F8ABB9255ADB06890241939174622237E0173181F11661A266149F7E4FAA7AE89D16C340192189F61A4BF186811';
wwv_flow_imp.g_varchar2_table(5446) := '4CA00113900B11419E000A426842CBF8E095BD2D76915B8A8D9720A28FA800A3AAB1FFE83266330B981145007964EA507AC308CF3C02808CA9BE5A8A04E32359264B46D940894BA2310D9BE0972690C22F3380E11D3D520F403428B013CEFA3AB7D140D1';
wwv_flow_imp.g_varchar2_table(5447) := '8FEB87744975CC6442042CAC9A2A77C99C492ABA050011C000F29282161A247B871021922D45F7DAC22046258022D45FBE871838476BAFC8D02B30DE69A03E1C6906BCAC270096808496B1206AA7F1CAB8F8F133FC4D98A006111300845C811CFC012258';
wwv_flow_imp.g_varchar2_table(5448) := '30481CE470050286D820ABC87852B653AC6050631B2596D8BE20A2C18D38EC3817040160F600200084031D513B431FE086843D3462236FC829148F0CD41C020818D5B15D528A8858831CD135D1958AD06636965501A065C9ABA6FFDDC83C220D7C0B2D63';
wwv_flow_imp.g_varchar2_table(5449) := '35AD10A6B0DEFB86A41AD73B2347F6ACAC94B0B11A2CD1D1D80C728BCA00C015AED8B22B7492A771EB051A06029013683003A328777D29044014164D03373C5AB18CDD52232B1D6D5355350357841C6619A0108274522D1221B541A2705E2A904552BEE5';
wwv_flow_imp.g_varchar2_table(5450) := '9FD8CB38BAE7D86827ACD4DAB9570D98BF108919C12552AF4EF0778828B79E4280020E016E107B006654BC4B0A5836120AD37A482D0848C8421E00255A45009B4D9B0B03A0D032247C1D00D0109D4CC439BAEBD9FA24363156D940E21DB8CB9D99F3069E';
wwv_flow_imp.g_varchar2_table(5451) := '414CA97D880CDA9E04266C149E10052420E1BCE092CA3F0F1ED0846FC43FDC825818947780800B10502AE10B4480FF03006CC771504C524CD02F30CC8715070040A0051547329CDC710C87C4B8CB1F6C42C4218290F9C12690452DECC1C8F8D80D58C190';
wwv_flow_imp.g_varchar2_table(5452) := '99414E1904AB10C2193CC146E010AB00807564E0A08453B42585C1010DD301462C844228D841096456E3C8CA682CC4AC8CC6465C5241E0000E418410D9529F99D116660E00DC828CDC864D744F8DCC086200861EB9D57D91DBF40417BE6D51676C4B1AC0';
wwv_flow_imp.g_varchar2_table(5453) := '8791A9010E09010B6C043F2816B9F80DA51D93DE848B58D4422784D11B7E8BDD64DB87408488509E117412284CCEE8D1514D54834D18C633C8112D3003A0948419A55E1B19C44F84E25E699FEC19C45F0903300883EB3404EDD0C119F0C722A801448800';
wwv_flow_imp.g_varchar2_table(5454) := 'D205FFDF7451575718C4E4844227D84108304D5B3085937C4B221A4441905A0D30048DED182EED081A39CB17D28827B6DDE714064898224FAC13D885E29FC11391B841999C1519D0411AD08118D84121D8411594C6346DC4E0F49F41944BE0CC4652C891';
wwv_flow_imp.g_varchar2_table(5455) := '8BE5468AF800012560BF6810C76D44075620937D874164072EE0824129D52FE0C22A281500048741A882084611008423346C0215B88E1701802118840C1A44CF251950450100E050261C1200608338ECA0106D046259073E3C96A9082144C84396A155D1';
wwv_flow_imp.g_varchar2_table(5456) := '7C821A908922268531A2C914028010D4C00A40425EF41591C811505C0D1AF989AF899FAD254B34D419A304C66E9184E5A4A1D4F045FB198830C4FFC2167D80ED1D17447C02CC14C2288D811098DA3EE821DF48DADFB8433E70C5630D8E0E22A593304500';
wwv_flow_imp.g_varchar2_table(5457) := '0CA35B645BAB2CA2CB18042520422CB06164780DE6DC0664DCC221B911A354E2A074E2B00CC63354E26E498A4EC0DD297E65AF40C29B2446219C6552E0A1C2C183EE385B2E76456BD0442E140325CC62F2F0E5A7EC658A549D52F0C00AAC0000404227E8';
wwv_flow_imp.g_varchar2_table(5458) := '91EBAD9A6BB15A27BADD0FCE48B2244B1B35CA4CE8854FCC9B47F005386D5908208FBE254527EC18BE118F6BB4C63F45183D26462C8C8278DA04CB990116802444F880C72545034244C86D04352C90325C144464203528034A95D4C901402544E04B1944';
wwv_flow_imp.g_varchar2_table(5459) := '0A9956482A2044A44C8A00D51188FFDB2D58473738882C7C0360E4CD4C2ADD10FE43D36D19592CC2344109946C84F21063FCFC2523524104984C33BD5E600C6752B01531684D563A0A9DB552189EE235682660E8DD46A4A281A4C21B9E9941206528B842';
wwv_flow_imp.g_varchar2_table(5460) := 'BD0D8823ACD769BC65A4F56197D025449C06307019AB7C805F2E45B619E36D46845ADCA041F4CA6172A3192D4A1846CA3A51E5AB8DCE2A9D9E8A8A1191E8D12D48865EB0E1F4A4A25EEC186004692E7C25598845E01884EF089F9501C6D829638772516D';
wwv_flow_imp.g_varchar2_table(5461) := '8E28172962B7F91825E02930A4646B95C4720E0B6B11034B980472CEDA7354626070E24BFCA6174A0D7B71692A0E83989C80DF9D007F38822A74820E1A84BA641F3FB4063EC0FF434DCE2300264555D986274800CB3D4E4301C038182438B0E77610EBB1';
wwv_flow_imp.g_varchar2_table(5462) := '6EC3B1B6A7C95D14740C2444A45C3654428601804C19045118C41EE8411A0C5E52BC508142C43DA6C32BF80104FEA032D164746559FEE860CB64804238C9ACB48552D00A1342840668C07898E41DC053529CEB8A32CB6B81844C4C03332CCA9BC1174D98';
wwv_flow_imp.g_varchar2_table(5463) := '1E703A0AAA9552CC1C018AF8129DB45FBF1E835D090E6B28166B34D65C9ACA69D802ABAC1787D2665A3085017C0A0180D58830C00684000B94C6AB56EC9AA1523B3D8AD65C43CE2E46E92806D6000933DC822D9804191143EC898EBAA0E29C8682063CC4';
wwv_flow_imp.g_varchar2_table(5464) := '099C8091CDE0C5CAA92AC6027425053C1493B3F5C369E6E1FBADFFCA1284405A44C95E7A68AEE48ADD64C0169D97D4F5D59C8EE2BAA86960885D5D01C6ADADC4CE5A8E5EC5115F8562DAC88CF9009BCC98D6C4AECA317C65FBE5424ABE86FDF89F2DEA0F';
wwv_flow_imp.g_varchar2_table(5465) := '415185788E851C9D570EC40B004C1C005C6E7FBAE78719AB413E0EB17683E87A1C3838A84166C336648334ACEE8180588B6D427DF0D829A8C291414415308118441C1A948119A48C19D0092AF85C7FDC5018C5C22DDC8291BC42D4B8443809883D50A83C';
wwv_flow_imp.g_varchar2_table(5466) := 'AA2B546D4421905713D64ECA360DAD885A04545227E8E8A9F5ADA3048B49D86C60C8D934A6DE60104AF3AE9A58088846E884AA89D17FA5482E7C42CBCCE254BD9FD40E083F75856AF0E1A431E93BEE033084FF422A8CC10988C0F34D5D3E2D85AB888898';
wwv_flow_imp.g_varchar2_table(5467) := '194427F0417EF86BFD76C4D83DCEDA1DC89C81F081104A9188CEDCB91EB9FD84A4B4597BA502FF1A84B8C9E9C50280E1465840E1E2E3B126976DE834E54A87228DD5D52BF602001F84C2284144AFF8D55EF155B01C48CF0ACB3464C3F56C8E8EFCA0DDD1';
wwv_flow_imp.g_varchar2_table(5468) := '6C628053B5B1AD0E3A2A441CC384868B6AD46A840994FC0CC3781A148CB90B01DDCBE536D43E6E8445B1270074AE839E6E376CC7E83AA0E92AA0EA7A1C74F82A6690503140830CA7C112CC944178A41610997D18C427E8017FD850509D4183D85506FAC1';
wwv_flow_imp.g_varchar2_table(5469) := '2D400732F8811284A3BAF0C34C72454D56054EBE6406D84DFCB085B730E25A809A119C6828A8FF4B2A1C52DEA41A508C9E028E30DA15CB34BC92D9DCC6FCFE8528568F330286812003248C4121C482DE518F30E442D18442AF9C865448585C5208D646C5';
wwv_flow_imp.g_varchar2_table(5470) := '36636C59D4CDBCAEB22ABB4A87744A0620411218712E08D99C0A5DAA11F312B75EDC0A0A4EC8199CBDD15686A2ECD952F9E4199BCA29804103308C12244CCFE42043AF6C9AD339156C1893A9540834B8EA872AA2DDFCB0AB581ED31C41384616F5C80CB9';
wwv_flow_imp.g_varchar2_table(5471) := '29CA8E307107A79ECDEA6C9BB12891CCEF29022E80213300E8A418F041B5D1F0D3F595DEC86A3F78A73CFE9FFE9831E1C0D8781050BC60811B1B840F28C34481AB41742E008CEE523335603828EB3AA04180424426063714438FF5C7C8F8FF4183688123';
wwv_flow_imp.g_varchar2_table(5472) := '3F8F0E8A5B62DC233B3CA45E34487D08884C3E96855C994D9AF23344B4938055178D099A8C5726F101BFA6022DC84C80EC5519ED56DC16285CA99BDAA54850C8EF19FE6BAFFC45261C2E9EC65D2C505583B9652261333F78AC754585BAC402F174CAE51D';
wwv_flow_imp.g_varchar2_table(5473) := 'E352344E3441C40384800694062478C11D50B62D140DF538AA1E8922A42485622A26602036313C1944905147006D91FC1A09831D9BB65F701D0391F04197392A30E4422C7059D144E86A6C04D6E26232B5F54EB8B0133EC98850B4B73085E4BD611FB8C1';
wwv_flow_imp.g_varchar2_table(5474) := '586F845F9FA2AFA0D2E8580DFFC81964CA95495006701FD25FA3F43EFBC53F031842E7CC57B6174D1BE623B9E5357F27AEEAFFA25DA13131D80208B0DCE616B5E66AAE4185D838CCB1836E074B02004B3A683880EE46286B379C2EC7799C7624430EA441';
wwv_flow_imp.g_varchar2_table(5475) := '8FD5812500C03B70C337F49C8FB94E1CC0011A7CF5816E8424FF1C4498F029F9C19F35C8276B9975BDF5535DA8843621ADB80A78D54E57A5C5E2FC4009F0C08E9145B571694A9A74D5B4B70212C39C1167DFDA829008484A8FDBC30246AFC88C73CBEC64';
wwv_flow_imp.g_varchar2_table(5476) := '8F052D8805FD58F33F35D65570733FB14A145869B62D045F1A408621A306880012A0C0891E718AACD55FD0919F2CCAE59C9B550A46FA5A0DA472E1298AB974562C3454950C43049B4B12FFD44343ABA6435BE42A3721FC24CF1689885A6C801094001214';
wwv_flow_imp.g_varchar2_table(5477) := '02BF72A9BAD8FF427B7D2A53F217F6C47397A3D1F59874AA0183E898B49C8A2F34B3CA3174D95F27C5E0F483AC8AB1ADEE348575C5196B9A9B2681AFAA67B563AE528383B02605867BDCE726EB87010029102B5403E428C84237845837988109C86E8A03';
wwv_flow_imp.g_varchar2_table(5478) := '0039708337E450B56E247E7CF5471AC42E68CB2437C11934411444CDAF71B82D64324420C213BC011CC4246A54A84DEAF47A7F02F2ECE5D9264509CC850E2001158442D48C01AC0F482C0C8380A8CBFCE656CDDE7AB10405DB6D84F9E8C4DBBD2DF590D1';
wwv_flow_imp.g_varchar2_table(5479) := '5A8D9B7F1761AE124E2890C5C06D6C5CFA21A803007685E31386736D02402D269F6042041F98F99665FADBE617485BA2DC22B62F237613ABE8248A917F9DFF70067F6A7E43B34BAF0A59B4AA98508F111A04756F44A78F4A9F3E523F001F4D549522F2E5';
wwv_flow_imp.g_varchar2_table(5480) := '654544D1270F0E00401284822190B75D19BBC8F7BA18F916D677794DE47648981E73A2F046C8D12199DE29FD77AFE402C37D4205D332E10461C3E3CE843D8EBA8CA74E19047A867E8A789CB66F44850FAB3860388C19047E6E471E9398343C9032909841';
wwv_flow_imp.g_varchar2_table(5481) := '78820758C121D4BB2A6C422A95C1BD3F0F00EC02E1F17BE7454D2C98B039A4021CA01A1A881B28FC433D9CC63D0813C25D48B26FC4828885327AB710CB0A5370D5E2E03D00B87ACEB4333008C829558690F015B0C4573C2FA7B0ECC529DE637A3BFD7103';
wwv_flow_imp.g_varchar2_table(5482) := '3444B46A6F2646E50344AA5000F6ED03F08FFF5FBD7609EFE5BBC70FDEBD7E00284EB4152A168008012872A4489100809014353CF80880CF9D42003201B00500183098C28601A8890C00338ACF003CE309205AD09343AB9D4C168DE234A0D19E153D2913';
wwv_flow_imp.g_varchar2_table(5483) := '003162C8900DAB199598D5AB1F85091B4889A2A34E1F3F217204E0ECC77C27E5C1CB57EFDE3D8AF0E055EC67EFDF3350004271F81892636000013C46A09081A2983B436DC51416F5EA309C53897DF439746850A11F8B32534AB19ACF6B14B77E9C8A99AB';
wwv_flow_imp.g_varchar2_table(5484) := 'CDC7C2A00EA448E953A681631DCD0690F1E4BF7BF0F87DEC4D512E007AA8638DB2358A225210203EFAA098E324F471D28249A3B84D9AB26D98C16D1747D11C804AAB1259A7280BC036F5FFD6D197CA464D5A36EA557658C2BCE724148A69CC00E8EFFF24';
wwv_flow_imp.g_varchar2_table(5485) := '54F438230A32A2F8A88931CA00C00D0016F3C20D5BB2A1E80C00F6580280DEEED927B80CD7FA481E00FAF96DA78F18F80BA48F0C00E000914E62A11331A86890968F3272C525A83E6286189D4A04EA24A450330A8069AA3152A8C95EAA4927647CB42AAA';
wwv_flow_imp.g_varchar2_table(5486) := '9386790C009A1C2C0491B0302B64A5B4083208A17A3284CB218824FA68228A68510380155BEC28A4380713E98013ABE804098A20B1E525006A7485165B1EBBE531A92CFB0948214FAA46D1228B4A6651A69E19E6163F2B03802A4C4FBA14CA8FA6BCCA8F';
wwv_flow_imp.g_varchar2_table(5487) := 'B03E392915B28604A0ADB7E20AAEAE7E5CED0D1A8C2069D3C5393D122900FF023C3A80001E5A4AA24197FA8C05371D717272271F4FD5AC51A7380B8D19A42203E016642ACB544A9B6AB2D2A64E169B1500703F2A75254A4249E59F34F9F9071FDE3E24F1';
wwv_flow_imp.g_varchar2_table(5488) := '21E130ABF495588EA3C81617288AE3232C4E3D89BA5294196A60CC644964944456014016594A9165BBED18FE4596F7CC03E08DA134B1501200049982428AFE332363FFEC0060178AA028B009FD8E388205187AD8E1861D6470C9A63E2A3C99A00D0BF2ED';
wwv_flow_imp.g_varchar2_table(5489) := '438A421CF1246C28A20201160D481A80044C0280028ADCFC68832A6F032097C6F0EDD396D276DCE9A7688A12D25967BF06A028A710C514A71F793A0D332A3F42A4934FCCC58C163EC45889A29FC35C88CC7CCC4C1300FF7DFEE16B2F00107813810812A0';
wwv_flow_imp.g_varchar2_table(5490) := 'E80193984611E78CB80ED4CF1AA39269B29C7A5A0AA9CDD046CAA9B419D5A99AD447539499AB9EF19199D73BB5EA529B6C7FED934EC0B2F1EA60018026433453852B2E00E8B26BDD67067A028013A56E3A02C8295A9C005D01F0EB31CBB3E6D3729C8731';
wwv_flow_imp.g_varchar2_table(5491) := '94191F79221BEDE492D36CD1A5401B4A98AA9C749218446BAA3D6E9CC648EB13D7505B095D7501908B1FEFC2CC7086328C5158AE38C088461500A02F8A5C213A2719C75064118C5E408C22C8010038AEC3C160FCEB3A1FFC8532E033A10951640C1FE9D8';
wwv_flow_imp.g_varchar2_table(5492) := '47F6900600A4A142005850C944D68793E801003804002100609F8F58E2103EB446313E820A54F4AD201DFF8217AA4444A29E8062201140C014291235BF6C80031CA8DA890ED02216604D4DB9109618699191C768A576CAF2C965889236CC3C83744369DB';
wwv_flow_imp.g_varchar2_table(5493) := '4974F23AF87DEF7614A1096B00908A3ECC6A54A3EAE350D82448BF25644C0D79484408F79B5464297A1461C0D3A056B52C52C000840909F3FC44469CD1A246810286A04863ADCAC0516CA11B8D93D6560D4881261A3E4ADD2C1575A9CAE8247C053C49A5';
wwv_flow_imp.g_varchar2_table(5494) := '5603803E500212751BCB505CE3A57C10AE2DF720DE5C5AE52A7B7CA41322501C152982450E50208BD7AC150144E0093581D24FE1C417B528A2234CBDAE274289A5B24033CBD4010052A673D61C3D57474D55662B5D29602AF0F01A008C6598E3B2D1FFE1';
wwv_flow_imp.g_varchar2_table(5495) := 'D2D51B7C048F224B9417665C51AF9714A79A43F10174A0E31CE8A86748BDA008C250839E7F5103001FA4483696619D6C28A33248581000364691437C04640F44830DF9050034A0C61A98D9982650B10800F8140092B0030F29F2897FD0238940634B1381';
wwv_flow_imp.g_varchar2_table(5496) := '0394543822038BFB08073CE0018A98E0241E6040481080183FE1A646E6EC131EA7123E64596627F474E34978F2CEA19C867E9862C61CE9B9C7C70063189FE01B24ECF6113B500100626053B86A64907E1CEE1EEE60483E04C7C87F1CCE2298A1003645E0';
wwv_flow_imp.g_varchar2_table(5497) := '81CA62D52F7E418001AAB703B062EE729E8A12DBC2A7CEB5B9245A6873A55B3B13475A5E2AB5B7CCE51C6B471360E813008828C45960FFB33B8A3C410C5E000025D4D0920C4D6422C38BCB41D1F4AA93446F698FF38B04AE3714BF8C840294A0C52BC6A9';
wwv_flow_imp.g_varchar2_table(5498) := 'B94065A45278741D34C6E713F491B374EE2C9B6A4BA7A9B6CD71AE14C94A3E55B32D001402125EBA1BCF2832107041D6A0EE4AE847824340CC202781A9888637FBF587E840C781432AC5491606806580831ACBD8062940F899695470A4CBF80C005610D4';
wwv_flow_imp.g_varchar2_table(5499) := '4368628582C0CF0B4FF51F005883A89821047F4DE5887E02200A52400BAA0AF2330F2D9568277145190E90340450C0AA1F89C14750000013B020012742801B86A1395B644D4D0070C52D9634DA1E21E319D05014533C673E32F3E427B2FCD15C9F81ACB9';
wwv_flow_imp.g_varchar2_table(5500) := '9EB53259896B95BC0600FF413A429042F888187C4B90C3FEAF1D00081C4498EB2A7CB9E2080430F25561E064275BD5041E6874021E17355B84D2CA9913E34BB0852D20F544CC69FDC82B5F295F65A54E48C48054F89E015B9D186ACE55B2920DB3A4BB4F';
wwv_flow_imp.g_varchar2_table(5501) := '3882128E50030E2852023CF4354387139A5B88C72AE4FDEE239B354C55299282149800ABD27432151380872A67EE24B128E32DA02295A9586B286CA4884E1A15BA52BFF29D3CB1569B3F4295576BEA7654BA8A30688125FC9EE42CFD440C06ECFC91C712';
wwv_flow_imp.g_varchar2_table(5502) := 'CD1EBCF1CD0031330C5714C716F61A45655CD0640040672810FF48C100208753256C19C1689878FE55E14A25651913B2CE2860C0C0FBA0660C24E3D7166E0A0054D0FF4165A811E347B851248F7E0133494DE887E4428FBA38311AA5FA08054480D52403';
wwv_flow_imp.g_varchar2_table(5503) := 'E006D56D720FAAB6D91BA4A24FC2FA089FB86D9A32BFB3759F035E4F4A5BEA9FF0245A5FDF0C52CC5A9AB6CDB997C830EE59C455083BA445082500001E56F20FC322762114612C44EA9126C26542B386C12A00A4698218C0208B1F81C1031E9780315C1A';
wwv_flow_imp.g_varchar2_table(5504) := '94981BA74BA824156BC50E8E3C910934B011EA746AE628C969F5E798F54E21450319B7C0E5ABE32C5A42F1D24BFD0E4B832821063DD3002535095A3F945B3CE39DE4991439C2D2A056F493A400F100B02A0A6E9680E8158122B178452E328D335B5C0A78';
wwv_flow_imp.g_varchar2_table(5505) := 'D0208698839275326706528A5AB5FA32834E4C95066EFFA9A19295C6C2073D898AC6278880FB0F222243EF86440AA587B03F52A932DA0839F680BAB400357CC039006060B62111E4000C00A0014168A32ACE6028E26128821A48AA4800C03C7EA181EC63';
wwv_flow_imp.g_varchar2_table(5506) := '85560C33AC006330E60DB680005D2E3F00000AF44C8F6881DED0A317BEA152748C22B88022E8218094E824786FC03E021B2201319246065E40F900E069AA8622A8EA056E26693CC010A2CE4F2E4D9C96E4E37E07785A41155286AD760252D029979A04BE';
wwv_flow_imp.g_varchar2_table(5507) := 'BEB0CCC6B0F55063506E2BB77EEA24808A0A0EA4DF700F003CC1B00E825DDAA11FD6A24CEA6207FB6118DCC0F91080037A4004A4690328296A260BE96E46237EC025C029EA64824FFA4426CACACEFF5286172CE113D00119A0217C72C97C3E2727CE2ADC';
wwv_flow_imp.g_varchar2_table(5508) := '4091EBF2C8504E822608052AF8C00DF86628A8E0090A2116BC244B761055886D55FAE178E8F0A0B0011228C0796400B38C5023A8A6D95240724E029C3E022A5E4226A06218B64E1500601A5101272E2397C4ED7C9C4451C40D511A053288E18CAAA40ACD';
wwv_flow_imp.g_varchar2_table(5509) := '09356E8C2202AA16010C000E2AFF08AC37F6EFB1F82F15B88B4F46011862E16224AE399E23C228220C8622114E65204128114A81035F893A000017A4611AAC03040EA10F56E854528822FEA03F4E90229A802258F023A80F00B80B00B8611AA6E115DC60';
wwv_flow_imp.g_varchar2_table(5510) := '0898E70B681000ECC11E980BA130E337D6021B52C8305E20031E206A1E8001380B01FF1E2772B0090052E0245E42731A3147D0D0534A63639C00006AE11B3811023B07516067AEE247BEB0C226E28A5262C26A7C8A6F0AC1A716816738122306AB13206B';
wwv_flow_imp.g_varchar2_table(5511) := '1EEFC10EF921801ACBC02AE2168C80006E327A76B2233E020228C203141101A40D5070669C80E1E33A051A80C1127448878EA1E68E05847AE47522F347D2EFBDCA508FD887413E62B716810F6ECC0BDC10C74EE21EEC2EB970312E26420F9D0B006C106A';
wwv_flow_imp.g_varchar2_table(5512) := 'A0060120C02F9ECB24B0C90388527128494DB866946AE219C7F1239AD2093A01783A3127586D0BB9F113C72D2762AD53F0EA32C99122166328166111D480BF30420C0060B0EA4F43042C260BACE03EC238A86514AA61144AEC54FF20EC3A28820107B220';
wwv_flow_imp.g_varchar2_table(5513) := '1F10023FE2015FE1205DA1172C06A4A4413F3F6304624885EA603F28620AAA4004DF20630870B0E8A065549041EFAB4AB6EB3CBEE124944009008006E9C125832F2687625D842D1A88100032204E46E271DA64725A9303A4E97100851670641981C105CB';
wwv_flow_imp.g_varchar2_table(5514) := '697EA8D1855C8E0C32C0ABE48A2238902232852ADA26767069DC2E434878C450F0C86AB8C22B856156F88B3A81CA0EF8C60E7C4A08BCCAD00E071FDC8168F60E1E8603B9D28402BA6A23928D92B82A6976D20438E0C82CF25F9C112690E11800800E24E1';
wwv_flow_imp.g_varchar2_table(5515) := '14508106F8CD87D88D6DDECB314B045150697C7AF458CA9050C8711864421872A110B273C73813A86E8C5101C023FF7FA6349529177FCFFEC6ED0556840246027222405738AB6946752F39A0445361BBA48F6BCA69491A839E4E0203FC7339DDACCC60E7';
wwv_flow_imp.g_varchar2_table(5516) := '4F6387CC94E5CD48433270466E48E31620C13AB58422ECC00D1AC4A7A294224EC077DCB21D4564E09A6AA12842D81AAA4F0EC813620129420000AEC007B4C05B01000B20EE0031CC822EA8172A1000A8A11796C1C2408A61EE3329644142BF41A3A621E4';
wwv_flow_imp.g_varchar2_table(5517) := '962119422E3F4F4229ACC0088602044F224F02F623B66028A2000A5AA66584800F96519C288211744C09B6331EF0C12585CD8998082144442E6C01011E806904437150230220206A52602F65002C0E0ED39831262AC547A6003FEC20143E612C2942FB4E';
wwv_flow_imp.g_varchar2_table(5518) := 'F1DBFFD806DEDAED477B64DCE26BB486E4506F0B18C082813AE1494F427F02AB095E20023869221E0B1FDA1200B8342EF50100FC2000C2344586E24493C62F1EA0D1388008F6C2164AA546A2EE5071061A326109A880104093226CE8187C14DC2EE547B3';
wwv_flow_imp.g_varchar2_table(5519) := '6EB67C04BE36059F0C050D85A130C385FE3EE2C6F0ACBF30232DF6215D6E51554EB322EC8FB942764C3D2200886F45A627015EF3AA22E0016C73EAA62E1662025171E2095C083481CA1790A150B0C296B2453989D634C04DB46EC27007C570A1A210BCC0';
wwv_flow_imp.g_varchar2_table(5520) := '86D4D04165EF23008B5A132AC0FEA7074F421E1FEB23CAA064D0000D16048288D1817220071CE80029021C2E867B37087C25466238481CC4811AFF38881ACC17354E4803DB9722ACC304CA40130E41120401335C0804564002808081864004F343611996';
wwv_flow_imp.g_varchar2_table(5521) := '2202532485815ED183622DD41000601E3254A92AB7FE9ACA1002C02408832342A2733B37D90C832F3DC5157044CB3447DB48A35492C0004E4005E58E2250614AC7E214A5C447A184BCA0C14773770CAFE225C6914A16A30F0EC411A8F323BCC4A71C210A';
wwv_flow_imp.g_varchar2_table(5522) := '0E24038EA0229C371FB0366B21828026826B456223AAC77A3098AB9E0B02A2872829E00542A546520150F884164AE5FABC0200964C0888CA234F822A24A357DBED345EB556B7F258AA2249770926288281D4E00946E551C3E22C46050F3892069C472E0C';
wwv_flow_imp.g_varchar2_table(5523) := '2D5556452276D155C4C4455A6424FF361733A4CC7192D0032000AB2ECD154001848BD22640C18646E20C32A00438F288FEC9264CC9DB2CD39C80872A602BCE84D667CBA99CA8042792600DF9207887840A78000038D22E9EF51D81231EF9EF236C000880';
wwv_flow_imp.g_varchar2_table(5524) := '60284020122AE15FF87128BA413DA6999A316A1BBA01A4302C7DE1F584A8611AE0E37D296260A641192085BB2A7487380633F2F7398C803928621762EC23F4832FB28C61A04116A001475212E72281221C78E786224486423A8742834575B3A627832922';
wwv_flow_imp.g_varchar2_table(5525) := '0676004752211312C7326241B876C00018207A163644419388B4AF2AB4C276E6C8397B828DC8ABD3C06E5EF6E88E01E009006B117E385901C00E4EE6873BB24AD18417DBF22DFF9DD816E9F2446905A8A7677A40F701B2C804A4A04F221A14840E189001';
wwv_flow_imp.g_varchar2_table(5526) := '126C70032EBA7900C009220085A3C029330227DCD876B8FA8D91ED193ACF27A47213C30C517E15589D9303BC0098F96025A8934DFA090FF8C0FD6840089A8069E8C15592AB258B0D35ED621E1CA44D3C356CDB44833582003A55F928400676608029C29B';
wwv_flow_imp.g_varchar2_table(5527) := '62A15288A154D0A00796266A28E203704C0F9C203B6FEB7BA6627E6E024AA0021AAA011B846438397186D9E939ABC41C4F42B792D50D4EC60D16A110C6800778A00922200A842D72036E98FFA7989DF7237600FA2822097260B9C7E016960304F425073A';
wwv_flow_imp.g_varchar2_table(5528) := 'C005B21733C6613BBA213DC0A11BBAA33BC4573DA8611B40AA9BFF27E402F9F5A442EA833E689CCBF917BE409929A27E4170C574407F57400992600488554E15360A80191DA78E1BF2591642E523FCB9255DF281A175A031A373AB474582FA2322892F33';
wwv_flow_imp.g_varchar2_table(5529) := 'DB9F8F9222522112A4734582708A6860069C8006E0D06AE6CD2A8EC52A0C3795C12CACB5D1BDE2ABCEB8051AF8207A782052A9332D027925DCF08BA8B6FED8324376BA4B2118001891B009A0450C6045968669226923C8D60688C0156CE1832FAD4FB284';
wwv_flow_imp.g_varchar2_table(5530) := '0536170310237A3280064EC0094E00856F4347ACE4C4318526F8C4DD28C2687684BC489A8675C9536C011998470DBE082DC47288D7F09771008599461ED2A53427779153B31F1C19240263240E5BC985BA64FF29E206068F8C31FC0EE8B28A22E0449C87';
wwv_flow_imp.g_varchar2_table(5531) := '069CC0AB708376B6E27BECEB767CA2F366F877D08C1431336651C311CEC2AD31430C9A40084E8007A287A0EE4FEF96B7C0E671288C60080020B99360B901C0E4AE0082BAE0E100A0034EA260B4433F95413BD675BCDF437C93819CA72118466CA4E05519';
wwv_flow_imp.g_varchar2_table(5532) := '7E41A494C13ABC373E4FC2E120885161CEBF355AB07C8B1118C115085C189CF9086E4AE800FAC7406479235C2430586A4222C9FFA273A326D20DFC23EE400A4440C911A0279D87570860CBA95A082AA4586082306F8B357AB7EA7436FB74367C38F17D52';
wwv_flow_imp.g_varchar2_table(5533) := '997DA6E424520843FCF8246E0D4196F5B792F8B1801C0FE1D2161D1B351A1D921567451E40D1FF382B6A84200540012A32C1C0335BE133BDD19715853D12B47BA92B963ECD81A13236FED4691878C0CEE3458B5AAC623733C10B9E0098C3524B7E98EB4F';
wwv_flow_imp.g_varchar2_table(5534) := '82015C119123C2AF31B591477028A898B3F8BDD199E64C8BDC041C2C15BCC9C1AC00051E47833FB756108306A0804D70E376BC1226BA924F6A67EBA49E19E27CAE80E7AB2F73FD5C610C9E00091C615686B8106E4D909847CFE48F0100EBDF26C21D0588';
wwv_flow_imp.g_varchar2_table(5535) := '98A7F523C6C00628E2D70160B993204F4EA5BAAB1B604E629AA559BB398822BABBA4E0D502D3839BA901A494E184F4D37D29C205CE6013284210ECD7295B080098E3014020855C0C00FC7365F423B84EC2E218A646642114BE6008D0E00DFF6A241E5C12';
wwv_flow_imp.g_varchar2_table(5536) := '260308357E03D11FDCA0C3767214AD8A6E20E994E005B248EF5764B30E5B5702E000840020A00000F029D5315B03870D0406C0D540000C011053880C19B46BD0A03D1B08ED614768C41E0210066098B0610C810DBBF31092C89776BC3CCC30F0C8CB7EF7';
wwv_flow_imp.g_varchar2_table(5537) := 'DAF1CB07801F3F00F0E8F503F0EFE18D9703098834A09480010011003005F08002911E034D00A080E0A981A703BF2238A0F4A1403C0062E52239D224005A2321B64D88F459478ED1B001D8285218DB5B0A078AE141F0A12382871DF50140A5C9409A0FE5';
wwv_flow_imp.g_varchar2_table(5538) := 'FDEB4779E0BD7AF7320F8527B29EC800659302687A202CD4D00365F43852E5060A0E52BF821579A0F440218E0BE7EA4B9216FF5C606C15B2DD4B3CE343BD1AA105EE2B37A2C8C34801F089FEB0B265783B07FEB4FC935E51915C760C4C32044092814006';
wwv_flow_imp.g_varchar2_table(5539) := '26A09E0340071F03C76DA3FEB0DB367000E6DBEFF6703E006AD464B30C00D25043E040D200A08C34CA4C0380830010A6C9408200C0C440558804C3405788440800504421D0408E79A1C6408CC8E1882BAF20034023000C51C61BAF00308F3DF6E0F35076';
wwv_flow_imp.g_varchar2_table(5540) := '22C9D3CF769E3DD4949048117080015D05301002143C64C07A083829D54B4A4590010F5400800724A1A4E5575CCEF9A6D2302E26644B2C00A4924A5AC890144B28A178D2C9702499841230B7BC05800E04155298489414C2071E673C56D34D00B093CF3D';
wwv_flow_imp.g_varchar2_table(5541) := '3DFD048F8F44FF4D46E4689F21555A540305900007378807C07A4B3DA4A45201300040084B2095CB3103F9350C2D6BA219D7AC00EC365097B68AD4492A64BAD5EA70C08002C009624052C8619F50D24997002C221800423CE4E740940D054066D8F6030F';
wwv_flow_imp.g_varchar2_table(5542) := '670F05292A7D47DAB65E00B3BD00006CA04619AA6D009456821054A881D6AEC700F71043A980120B5C0395398C42BBA1296C9BB966D22545247D89140B005032D0270F77F989A0768C0140AA034511E940FF30BA5D4F0FE908003DD41551041049B49744';
wwv_flow_imp.g_varchar2_table(5543) := '122E8CB1CA060F7480057C22F940B30F0922458D34D9F8F71238F32D93CD40030EA4CC40064A138C48470713CC2FC124C82775753001C20A1298172300B9FF152AD288003842091A283252638D030DF1451903C5830F8E227DFC1D00D67AFB14014A8E96';
wwv_flow_imp.g_varchar2_table(5544) := '37A50494D51501EA36B92402114019E557DF9E20C412590EE4C8B22F09C3D0306AC649D7430AB10480212E41938B2390B80440270F25EC1630CE7971824C2F7D120AC403D9014014429C0000033621D5CE3E3A5A270F5247A1B6B7484346A064E0261031';
wwv_flow_imp.g_varchar2_table(5545) := '5054B395F55400E496000012D24607DCBF6902E0492A702D37DCB194389C162200849E89272739371C00083992DBC3A3BFFEBA4B8BB8F1100619A0662D506FEF9363748C621B7D28B594A80C0F003F589EBA00D015271909011B100212343610D145C72F';
wwv_flow_imp.g_varchar2_table(5546) := '6BEA042852A13032B9A80F7E4004F952010DFF84543012A413CE4814B610003C81611514499742A725313CE17D1AEBC73FBE630FBA55E7218C1AD9DC06C20500A407084020820BB4B6C487B8A03D2E78E212DB0300F88C634108E2D943800600FC00C03E';
wwv_flow_imp.g_varchar2_table(5547) := 'F8E18F1745420DFF2428195153D02F00B0465C006015E73985240050A187EC010026D8000024F00220A8004400B0C64046142281880100688303001851898600400E525082791C460F1CF5503B3C410A90A4F492510D89815079C903007014B174C52B48';
wwv_flow_imp.g_varchar2_table(5548) := '41C111A8F0048B89241568620834083610373CA14BB6500845D807918A3CA44D1D19C65D5AD59C8720C4251938E4E85CB74C69A1055A90791FB512B5A84601055245194AF0F496290080FF4648074080BA007740C085C52944520A9F1A27925A0C845598';
wwv_flow_imp.g_varchar2_table(5549) := 'ABA018B8100B842CE721FC0AE65DFEB54F5D2E842D08B1C5744A301DD831AB30878909B45E42B26AB5E35A98D10C503A53A94C85066F4D794A04F076B8A8782A2C6041A7483840BD271C725A0F61155B8021AB5BED667DEB530E3F55028061FE4A7272B1';
wwv_flow_imp.g_varchar2_table(5550) := '05ABA0533E487CA213AE4B16E8A2130106506132DFF9073EB0B323200E84643BF421003664C48728AF082D504F1501D0A18174A10BEDC9C112F9939F97C8E13F649DC680EC331052745141CA585A7F1E72B4A3BD4419C92025002CC18A97A4610A2840C1';
wwv_flow_imp.g_varchar2_table(5551) := '033600031BB44005D102801E004007A4145124641B881CC4078023641500FFF1B0E48E2E3990DF810C00DEB2A837BF891A5022A02C7B8381B9623310DB28490328E84196ECE738D8A5E5218B79C2B04A472B6296E42E1D69539B68C516BFDC8221B6F00D';
wwv_flow_imp.g_varchar2_table(5552) := '1EBC90588801F5750FC1C362B896D8CA224A51DA71D443B2A9D7BE71F3BB424240060C001AAF34C953884BCA901E800323BC847C0F41139A20B11823F00036512A216F8BAB42BAB4E95FD81B89BDA293A145240BA8403D0C22FC8487133501070CA5DB50';
wwv_flow_imp.g_varchar2_table(5553) := '1E7A996C4D9332A19D14460FD8CD873C00022F4801F14CD32E0DC0500C6360C922C847BAB41C94313C28410630E59CBEB80819C2FC579B4E0280E1FE0A7572B1959FA6463A66F2940F7D8889C63070BBA3EE0F004BE5FFD1C78208D5A83E640736B00100';
wwv_flow_imp.g_varchar2_table(5554) := 'B43C10228020B2009862980722E62D3E4416B2E8852CA851346A90F58B6334DAD18A9620038964694AC385D396D6C83B02A0AF6470C24350A047136839AB609B1DD8A2C53A33B08D6C097C081A948055438C4CB39CE10767F7B7492141CF9BA51589E0BA';
wwv_flow_imp.g_varchar2_table(5555) := 'D9241688D85250210C15BCD00767C1772085880912129B0106307958D2EB6F5B74B91C1C0F777D0911469E80C3165AA8410C427096056DBB083B64290A4DA04128D9D92D765CCB9A9C190A778387DA6F795334233E975EE9230209C6AB590F7198621EA2';
wwv_flow_imp.g_varchar2_table(5556) := '031943C54AB03142AE4A72B9BBDC58390F9908BD53EADB8EC8AEA7B71A08251C8188676AACBA1198CEEFFFAC038F0A670628DCC270B8C11D9D51BFC40432B82853BCCB03EA01A00FF085182520E1AC430A41DA50B975E44A572617CDB2C72D4F58E94C12';
wwv_flow_imp.g_varchar2_table(5557) := '9188B0CA0D5ED081B25BFC5391C8240A4B8030A68A222928734B3B4E1D59A4BE6305186019002DD0727A8C988451B860940FF141877240C52DDE071C034AC440C40167A3DD07005DC80229D86086F9286319DBB073D2EC8A2059AC0217AB581A2EDAB309';
wwv_flow_imp.g_varchar2_table(5558) := '0A3DA40E8045CF405480D8400E840E1A2B2400B8C0C85A4EFA0759F503202A2B852444E2D270E30CDC343990D0E26D78DF1425A646359014C8E09CDF9EB64C403E1067698C26A67AC80968623BDED25424FC0C8C8B74BF72887C491BB550C5275471FF06';
wwv_flow_imp.g_varchar2_table(5559) := '1C64800F1073C4271CE188FA01400DB283F66E0742EDCE5BDB63DAE5980FB99DA96F0E4F7804A400057A009BA47C930119404296FAC08769D9E1091AFBC007980C99DA4B0F0019F0932D8603E09A6AC42E15214C2581633DB64271C12AC51036AA30101F';
wwv_flow_imp.g_varchar2_table(5560) := 'D012E5E3087CC0076E603F27B25050717FD5612D0D1751F7B019D4D20F19462A785351D1A12434F102193725A9970112046B0080083CC5031F10152AF71025B00118181CADA2101F7163F10453AE9227F014369F70063490018BE012B63528F4716B93B1';
wwv_flow_imp.g_varchar2_table(5561) := '3FF7801D41F43120E31D4861685CC66540706800A005D141335C17666C3010F73120D3200BCB200E5E344667171F6E752051331FF391FF330020574DE346EC06009AC00A73E4047B50283AB0015A611E43903B0F212222E2188D03236CF3054F500422A1';
wwv_flow_imp.g_varchar2_table(5562) := '482F81690080231FE3599DF62D9F161D0D242AE4021522161A0CD0713CC003EEC57E00302D51616B229101B32763B6730227206D09036CF4260CD0200CC2853D64B23E11E14EEE34104B30050F413E10E32CFFE618022104504013346188DDA213D83751';
wwv_flow_imp.g_varchar2_table(5563) := 'DAB67DA3D16D1DF61051D224C393000F201E794300348104843110ECE7277CC0034C863F1F208BB3577BCE887F3F306F98C3633D460CBEA68BFBD67FEFF410C1E80469703BA95208B0E32C19F310B8210490A12E0B471914C6811E28619E214045322A79';
wwv_flow_imp.g_varchar2_table(5564) := '0316A7957A0371032930FF82508115428003B95108823210B78601983213B6738300B00138100A3AF81264124F3D7612BAE6176CA10AFF0800697000278007C732108362076AA05BA9B238B583294F304446F73153F65444A17D78F41086459522210159';
wwv_flow_imp.g_varchar2_table(5565) := '13664D5433001007E3505603B10A03E21F6C6567F80106E0A00BD5300A7545573E9320CAE03364A50CFCA10356201282B6074C00031B70035EC0054FA0043724128D152222C1088D000765F00532210500409100200565803694B87952F559DED2374AB2';
wwv_flow_imp.g_varchar2_table(5566) := '892F511AE374910CB45A00C002EEF53EB253087DE02776C00056124A48018F008081F6E23D71F17234B93E81011CA110906400004CB607B766078B65168D05224EE0FF0421091929F9123AF112D9169543110304A491D4091514405EDF864EA747153A00';
wwv_flow_imp.g_varchar2_table(5567) := '8DAB87647DE00867600035287B19407BB1F94B307539BFE57236D916F6B810AC1290003003A5A1318E7147C30922749006BD899C28877F61630FFBB00FFBD370D8D2811325919F412AA2953781F32D4EB11E1C100011200246A05B3C800354405B8B8108';
wwv_flow_imp.g_varchar2_table(5568) := 'ABB98E022A12AF387DB71818A6C3163E485CBE424CC2A00A51B00701591A7A8001347008480105647006BD0905000A191CB3435115654DD5795089742F519597A565206006A300002030105B301071D0055800005DA70C40831FB2000045831F71E6335E';
wwv_flow_imp.g_varchar2_table(5569) := '0A0062271261842012111D7FE0680F710A9630210F41FF8C03310695E74248818889461D6E0008AFA62795947995C8599DF52346EA6D1C0652D471000F9001E64291536307D3F18210D30406900127F91290510239086C2D2A0C26242C32D92A03960B10';
wwv_flow_imp.g_varchar2_table(5570) := '730AA7703B03C45882509C03410347887FA6C2943941A8D7C20FEE7099A94A1D0F507EA3A514E207002C41051A433D32419241E912AD09A490517F03213DB6406CF62273C0160AA04027B3921224A10A9620124C40054C263B6F3A40CD98927E220FFCF0';
wwv_flow_imp.g_varchar2_table(5571) := '6409DA81DB521D13A982A0013D1E691AB1076AA2162D6A90213DC0038C836EA90800A13005F813B0F4213DEF02AAD48153B7252CB74793BEE20B9B700A703A03C37202FB09001FC2AA0FE1042807FFA4FB30101D1B854E0944DD915D037197036158285B';
wwv_flow_imp.g_varchar2_table(5572) := '552E701E5DF7102D2B12DBA00B6FF512F3310E60FA56CA00060F810BA0D0482FA10565D05561D602519A5530E00159333513226822E197D635980F81782FA1068C00086820408F05078CA0983F20990E11A897040FFD20A800E02399D86DEF1AAFE1443C';
wwv_flow_imp.g_varchar2_table(5573) := 'A009164F90AF8C310676F0A13F053B513163D481810321303546730F61088E8042A02A7325A130B9B080AD0000A8F02148B10BA83010ACC0B8489192D0F81DED40A897910FB75A8DE1B661F1CA404C421DD7590568C127B9415BF06392F85783B1E88A03';
wwv_flow_imp.g_varchar2_table(5574) := 'C102D2235FCFEA7B22212CA17379A9406CA5031C400600AD90B800B009C349052700FF059BB00BA7FA1075F410BD190184F310F6400F1D3B10B79AAE10F781ED4A25A86600A3849D22F10006F003D3112DEA271285E053A4B38E35786B2B9901F75781A0';
wwv_flow_imp.g_varchar2_table(5575) := 'A0129C8A1406FB2B259127C2E00D0B38108F3B2C4D603B7304B97F76788CF51033602A1CEBB1D726654947328D622D83F8109725124F3A4A5BD9950311565B040E5E04204553238DD0086B00005BA005572049E5010023A0C20311A54DE4023BE0023630';
wwv_flow_imp.g_varchar2_table(5576) := '023600C335BC0339500529331096B0071982A3E7F1124A4041ACA03174000586B9788C30105F30107EC008E7B34878700492E4106E03A89B2732489A999B79A8A034715F2C1262A00613F8302DE618960AA4AD387B2F516373D1FF1C29312BFCB53EB990';
wwv_flow_imp.g_varchar2_table(5577) := 'B8A870C706293B010A00BBD057CA8B97CE0BAB512912B3FA1399BBB92F219D0D1A1D4FB101145016A1214E3F400558410563E0068B419022B1C7CB4A1F4FF0ACCFEAC6BE25BF71B15272312B8B800A890BBC380A003480B1A91A25518100E52A12D5CB81';
wwv_flow_imp.g_varchar2_table(5578) := '03117120F8989DE47DA1366A4AF1151BC502B9D34A7680C96133109DD009726AA9BEA9ACCD1ACDF71217BE026C275127C4E44FFCCBBF85B0AD84700867A0C62FE1C703D19B33101A8ED9B1FFF0B1F0B00F99F4944A2761D191655BB6654BB4219E40665E';
wwv_flow_imp.g_varchar2_table(5579) := '680658D0554BB4445AD0087F0000235CB20331022B0C02510A02080D023610A58417D17F146644900341DCB27759FF0556F0060070977764318744911409077EC0AFB27322FF0600F633796F80169450090E03D392884898F53661FB0F9C55140B67199E';
wwv_flow_imp.g_varchar2_table(5580) := '06C6531225B0E15D4202165490211FB708D36518A1148F2A29CD5A522BBC74CA2D5412F734CD382912AD800A8BB00862300312FB127D6C0DFDFB67AC00CBA98A0FEE2029F8700FFCF028D4116A48A12EA6D2147DD38900500587D40749EDAFB5B026083C';
wwv_flow_imp.g_varchar2_table(5581) := 'A286D2BAAE3C3A524D1D00261CA62CCABEBB089BD00759C20402E10489D6C77D3C40B2DC5997090FFD93234FC6D36C1352797340A5517EDD862430F171CD223AA1100B85509EBE191DF7C70792932B6E8112D44CB822C1102401182FD80A7D0700628001';
wwv_flow_imp.g_varchar2_table(5582) := '33E0FF35644007A8B00BA92A6818501A34E1051DBB0FDFC128B4BA3F4122140FBC7830106953F7122E60B212C02751AA155923010BADD00C0D0240E00247545531E202E5E102CAA3DE433004E4D1D15D880640EB855A80DF68B005418B066433061DA203';
wwv_flow_imp.g_varchar2_table(5583) := '5B690445701E3A2C6903A139402994D3810791FAD47040D2130E07CFF4D44D8C79F6C00FF1801D64FB3B67DB7D93321A4FC101A3841A7DF3145E603190FA102D765B8F21A24801A4428026080164BA1D9FF7525CF49125927B069A00BC01CCC77D850A7D';
wwv_flow_imp.g_varchar2_table(5584) := '4508CBFB10A6623BACA37DF8F050865C0F9A0B2945222A0EFA1097D2617D93E2089040D0673F2B8614E528CE33119BB1A85BC0900B11D141F568FF27C0D2C6C2B008F4F9108BD50A840005A8A009C7CD0A8FCBE71482B1EC02199E5514EEB08115169143';
wwv_flow_imp.g_varchar2_table(5585) := '11402A08C954D2C815A5140B2406490D1D6F920B54606BCE7C92B3F88EB58731B93D17BDFB2BD53C60BCD409014908A9820367B0AD9240061342CE222109AB5AC0F6C99A8251A0D04D37F5C019EFDC2D47EA130F1103CAF310269344400089E561051BE0';
wwv_flow_imp.g_varchar2_table(5586) := '01268002510AA54EF410EED565F32D1256A004267B976CC3365D35A564B3DF407B0526FC1057F0051DC236165305AEF4066CB3D72261692FC10878A0487880072C71078AF4062D3D1078C0D13EF75496E42863FB12666BA41C8D5A5E1C2522D0D3DAF8A8';
wwv_flow_imp.g_varchar2_table(5587) := '6E10E6108326BBA1C64C2D10EEFBFF1207E1A9BDABD80B8B14B6F0F10C912A89F7B8ADE00BD431D67ED79B03616B30B45D45911300C013878C4DDFA1C8B91A52DD9451035181CD820810C32CB9A039F8D79AD4318B38F009691EC70688128151DBA23ACD';
wwv_flow_imp.g_varchar2_table(5588) := 'AD52085070084C501AAA800ABC2012A79ABCA93AAFB5E7C0D40B51167674A0C5CBA9EA14EC026A9F06163094D23D872643E8CC98C26402C1C6D2FCF11F7FCA282139F1C9BB062812269404AD3C10BB50F8848FF27EFE67745021662D3D05BA43D00DB2BD';
wwv_flow_imp.g_varchar2_table(5589) := '5EA80E0CEC0F9144D1511E43B0DD2E10A5E2B103EE350562C5B2F66D055770FAF80DB46660068FA9056F4036A66F0577096622E1FA0000E0AC3FD391D0089737D003B10971D0FF07FEFE077DF007C6AF488AE40786C00825BD17F37E07420F00AF8F06F6';
wwv_flow_imp.g_varchar2_table(5590) := 'D3C48E590545A03C97975996699983BA49F683F014772450C1ABA8F71063B018A9E9532F61D422E1DA22D104FC020CA10C11EA23BF2A813ABAFD12B6602B001105C0400082080ED4745061C183180E60284103C09381FF08DE6B07801F807BF5F2B993D7';
wwv_flow_imp.g_varchar2_table(5591) := '4F210C00040806301960E08103001000A040406549032607EE7003C0CE22449F00840A3530150E0019061A3D280440890C27068A19682B17416100AA0A1B066C60D681C28069D5BA3014932612A10040856AD740490359B565CB8A8E420C002238055008';
wwv_flow_imp.g_varchar2_table(5592) := '404882EE38D6BB175824BC83F508BE5469D226809A8B152ECEC0FF42A71A9E90161EC51041A198264D079620986BEAD48160BB86B50A60D8425BA673554903E0C0D9816B016822440800AB830607CE2588218390124FF61DB7C85123C18D03EF6DA477F9';
wwv_flow_imp.g_varchar2_table(5593) := '06110049AC0F4C527D4812176F0018F9E3DDCC4033E3CDBC8903200E7A3371CE9BD1A245A1952B570E7EF9A2058D79EF041B016AA492CB087AE38F830AEC238E04FB3010800601C824934A1801E0953BBC4303002E00502209227E48C183813890C00400';
wwv_flow_imp.g_varchar2_table(5594) := '6C20681E7B560480307EEC5128A4E60C8383B19966228880965E7A403197067A090016CAE8A30F0020F169A058822B4A38A3902208CAAE6C010098D64AB30A98ACB8324D212B01904A2B8100A84BB781A020FF03B8DFCC1C10001A58006D9F7F44722E23';
wwv_flow_imp.g_varchar2_table(5595) := 'E7EEF988AF360140E92003188349B381FE1CD4001164B8E30E8552F9E918238BB20B5200CE580A00A79C12E293AAC2BA92AAD456F3CAAB2A09B2D24AA97271840906CE1C48153D9C501338567CBBCCB3BCF6A21300BF02E375B0C20E1BA8CF995AAAE924';
wwv_flow_imp.g_varchar2_table(5596) := '9B10784950C9F078B4935A4029865100341054D0819A0040294BF1624DA1AA540346D42E096A8D34002821E80300F448EB3785042184378280AB2B830C68306A1F00FEF9879F7EEE81A7B9E506320C007A721D688C1D0622A28883B64B2207238000A092';
wwv_flow_imp.g_varchar2_table(5597) := '6E0632671B8D9301E096813C5E65A0513A166A640117FAC3900007AA44C0515CAEC41396098AFFA4914800B8992044FE30D01003797690E7470130E4202E9228E207004C8400800712002001A89B8680C40D2478C00F9156B4871FC25824481E7906C6E7';
wwv_flow_imp.g_varchar2_table(5598) := '271B65C271210A720412813F4D3CA8934E1662A0AEBA9ACC000A6D4103AD095AA6AC92CA83C2FA76B55107F7160023EB1EC80E336700C00982E46248A1552522E89F7D44E2A79E76360ACC2390449AF3B2C4D236E0250E8A05D4803FA136818F812C03A0';
wwv_flow_imp.g_varchar2_table(5599) := '1600448B4508CD2230AADE019D9ACACAA9A814FCDBD41432BC34C1C19C2A9431069A81D243288D3C72356905808CE02252485F82E0E988D7160903A09F7E60043258C7183B808020733CE04F020C4801809C007064EE54A415C68B03D4CDFF80707C7714';
wwv_flow_imp.g_varchar2_table(5600) := 'BC806620B9F812963E85BCCB24F08000581241CE6287C8DD6D4F07E15D09B4A52FCE01A06C071158C1A2431091FCA10C00E80F0ADF209E159A214303A986C6A4110E85AC0300361CC83AC641C3818443630349C62F70718B9101001445F444222AE60901';
wwv_flow_imp.g_varchar2_table(5601) := 'C96C6634BB99218A5634A211A4417E78C30BAD90048AC5C0446B831A419A3690AA49E0200B1B8815AA9022AE0D2460E80B5B3F9A730F3095A42401489B1D074201042CC67DAB8AC00B4EC007440C646E1004C0310662B7001625804F5288236E270CE239';
wwv_flow_imp.g_varchar2_table(5602) := '30716D2A559BCEA2264149CE5D04D15EE418F0818848665F03A11346F8910F5EE5894EFD48CE418435A8413D605041721F9FFF28B0364720C211B67BA030147502480A472146A1016882221AADB46679971C500249430B5A2872204E88829A56451041CC';
wwv_flow_imp.g_varchar2_table(5603) := 'C537C09981708440031A44A010FF088948FA91115E05667C07C9C740D6A7475A164A9E276100530829C9B915E376473A4823036A2F372DC5118A04066950939A4D0DC3785E72665814CAAA50428E4C7B52D3700C884A7DC8F11F745CE5400446107AF08B';
wwv_flow_imp.g_varchar2_table(5604) := '5F2291168454BA90282AA411EE494FC548A60C00F0D08DF258C70809728E71A80300E0200835B2218D6CFC1400C11888132B66339C01A011540480A20030062B10640724D900046C694B063C40AB0028A3884CF403EA28A10A1B028015AA5A862F3C0F95';
wwv_flow_imp.g_varchar2_table(5605) := '2A5AD146E071FF3EE780B0AEA65B4CFC08F0006B1D26486B2B049214120B6B1AD328BCE39D5166E0C90356857851F112340FD2A95C488520B4900AB6182B9B6D2E840C9E148E444013058B6C8E609F6365475CB9AFD251228C7CBA23415CE7B420CDB675';
wwv_flow_imp.g_varchar2_table(5606) := '6BDB01922C138A581076203AD08CBD78870163F20E7250A0815384710C6190C65C5D1995A84E93BCC30D04B3B4E82D2D723137BC9CC08203C1DE67AB87816492B322F268CE3AFFE24E5F958F4EC4B820A19C46807916656D03A1C4210F4285699149B852';
wwv_flow_imp.g_varchar2_table(5607) := 'FAAE409A0BD9C4AD462BA15A88699AF9DC6314634C4E70425D5A025E3AF8269403B196EEF6A50F7DE049390213181D0D961C7E0D04AA4DCD591455E6A081FFE40C0B5525881216321E002895A8E000EA3908120F1EF31800F1B0C7F9F491D427B2188527';
wwv_flow_imp.g_varchar2_table(5608) := 'AC8E1100E081ABADAD6914689A04AEC60100A0C00330B0011A0F32862F7081CB69F5C2867262A0EC546720F4C0479A9903C781C8A87CF15C0DA1F0B83EF765006AF465CC9F0815818D225249B52A0A6321E784E436D6168726D5801E7A19A958F66F1104';
wwv_flow_imp.g_varchar2_table(5609) := 'C0DC6C75410C5E468EEAF41C00522B3ABEF04B5F99B0A38FFA244F046CE0318C3149046CE9884C742228100C05698C199C13382102E1841E0D94D2DC6F91E69907A1EE800437155AB8E26F97B12800927D1035158598E56CF341760518C0BCD3BDF1A465';
wwv_flow_imp.g_varchar2_table(5610) := '62602B5B03F0D126780E12EFA8ACDFA9C422FF159DF8C0EE1EA96C1A2C5BB4A9595EA7A8B2D0688E4A784A9A4A2A96D46EE851FA207D9682483DD20FC38098201F2C69892D928906FDA190268E8421221E899E9107005830331206E2821DB800040BF938';
wwv_flow_imp.g_varchar2_table(5611) := '008A908335EE270E8D90D92A7E41906DA0F21FF120C81AB6601F86B540445F8D9A2DA1B64B110DC40421B74E15BC3086329C308503F982D107E21D0A9918006B5402A8E9910FAAC33346038B273200C5A71BD19931C892EFEE10A08673CFED909F388266';
wwv_flow_imp.g_varchar2_table(5612) := 'D495EE3399090373592CB92C4BA54CFA1B719605003515622E64B6C90917BE1B5EBCE0DE8364241F69E6342C3DAD521FC912500FB0252D6D8B80553D402FA1B0DD2728E1131C6CF3B0EEFFC25C6C1A778C63C71B71760F5C1D21786C3F5FCADF90EB6C41';
wwv_flow_imp.g_varchar2_table(5613) := '1D81CEF259C41DF0C0473DD2FCC1F25D5B352739C8B70365C7F76D3D03F20DC5210BA971BB644650A1C4C00C443F1143D751DE0B09F6E01E6B0BD62B842891C31CF6364BA6CE82062AFC18F246F01130E61044840789E51B14557400A0E1844806807C68';
wwv_flow_imp.g_varchar2_table(5614) := 'ECD49C2DC40A3EB882FFFB3F00C8012070812A700100680185484085D83F40E0104AA3000FA04014300113B8812CA38E35422B82E803382892E729834E108327480223A8023EC819468804990185A0C80448E002193B33AAA3A3B109A98370334D1B0853';
wwv_flow_imp.g_varchar2_table(5615) := '822D1C59150AB0A5976000A8490006901F001001E69B9D81008548D18059FFD38C33D09EBB9901F36A2E7A2330D48BB75C60BD4753885B1B083D1808ED193FF283943E339F39C93456AA07D1C91CCDF9893B6B935DA2004209A33F698908A0B28170845E';
wwv_flow_imp.g_varchar2_table(5616) := '22083B388000B2160C380B275836C88985CA3A344E892C2D8CAC7F7A2E57F833828800F21AC3ECB9B086680963C21C00F09E8198B6F0712354EA076C3B35C7B82F0C4A800830893F410A4A800448700448909BE6AB168220432798B081A0814F38B44643';
wwv_flow_imp.g_varchar2_table(5617) := '34D5433D309128EEFB9B637BB5A9603B27808266A39B87488A1F5B0ED009186C0BB1332BB1DE03003F70103F70B86EFC8305593A0068409962AA971A902D00802B908F81B00F1A4C2B00188221304715180115000010FF00811618010FA800009080B531';
wwv_flow_imp.g_varchar2_table(5618) := 'A381B8322C0382EBE040FC03801AF10E0CD18231408342B003FE42822440822510821E48023FA0A2A241978340973233181B640E54DC0B911A88786206C74B1BFA228008781DCA1B88077881817003D9B10C24A18447A99BDEA19B75218865AC2C462446';
wwv_flow_imp.g_varchar2_table(5619) := 'BBFB352FCCBB838805DEC2B055C10027A8B565434482D8A6BA1827A820BC8130BC56F20BC593C3A2508C994080BE0A1204E0AB28A99F8390A4D9A120A7102E0CFB2E00A80365331BBC9BACD33B4A2F410D73A144A1708554F89B20A181333C08D8EBAB12';
wwv_flow_imp.g_varchar2_table(5620) := '98BD7B4098F5722778209F951C081990B3570C3E03082355C33000B8C9272883426004CBF8844E800423FFD181FE921477E94500D883DB110DC119C65F6BA036F142D6D3B7FD090A48C880E0EAB7CBA80B06D826BE51038D309F7D29386CBC8833BB0C70';
wwv_flow_imp.g_varchar2_table(5621) := '0C9A01A1A28FF381AA62C7070180902188226AB12A4A8FF160C777FC0282A0B9FCCB10251802173040222082ECA802B5A23F82B80338902A24E3820C81B1F55C4F5520882498828130821E18104F78C2810035799C3AAA6B8E1C84BFE660C91F90B351D3';
wwv_flow_imp.g_varchar2_table(5622) := '3698701A00D80013E8812320089DB40CBD00001E688A6A91928ACA1E0080025F0BC6BC94CDBC54BD88CA3B6223087DE3AD5828040368090688804B2C284EC400C6410A21F0020E82A58DE84AD5FA4AD6D21750108101C111C8DB230E78811FA08881FF90';
wwv_flow_imp.g_varchar2_table(5623) := '9DA6D389EC908C4BE4CD7E8BB085582E5F33C6C79A4D7ABB3E82E82D57803446D14AE0D40C0BF2A41998511A1D086E51C983081FC1804CAB6BC9E06B899448B5B5B1250EA0D0A902003CC00300600474D1504B298134B5D1BE8A9CBA54C463C03B2FB524';
wwv_flow_imp.g_varchar2_table(5624) := '4A2B152AA9ACA584B49FE8AD426080096354CB0180D82388AEA1937F2898F6BB2B9D4299A2F99985F0042D58818140818108B981F081FDC305659006695808654806A4F2184FF084463888FD1B88989AC7766CC7F6CC90FEF0833B98C1137418257B3A82';
wwv_flow_imp.g_varchar2_table(5625) := 'A882351A080BC5482440821FD01646600429C2191704054F184992A23A544450AF191B82C0366ADDB67865000AD88023A58844C90937FFF083B6748323C0010E6001C960810C7880CFFB0D2658363F0BC66782CD048B8A66223089D2AE8348A95CD00B6B';
wwv_flow_imp.g_varchar2_table(5626) := '01A4DE3C08BC500ADA40A5C2D3B48E109D113229233A52C79809F7798909FD012F2883F7748313921DD9190321C0811310011EE0D0DDB497BB7182D898302760803368AEE1B954EB433D880D0D3185A0256114DE3AB608408003409697C88070DAA6BAA9';
wwv_flow_imp.g_varchar2_table(5627) := '8B3EC39C7BB008DBF320C0108C16314596BC23E1639B08A000C908B83BE0830CC90944F003375003252B8112A8011E008DBB8192E9AB033298011E0805ADB8D472090B48BCA071F1C225615CDE8AB53EA8D15EACD1A2C0B5CB500A6D31457EF8077BB8C6';
wwv_flow_imp.g_varchar2_table(5628) := '383D08551550134B9907FFD919C5A9182B90001070018DDBCFDF720126E88081589981804082C005A4E2D5966BB981D8558E61390090064F308FEE1C08F9B88232B08F31B802A9C2D6136C980DA12A18734F8A98028C040024F0CF8108572AF284FD6114';
wwv_flow_imp.g_varchar2_table(5629) := '99215093F4DCB0B13A00F88197508CC5F89307B82F18D80134BA994C60043E183CCE2C81B584500EA851CDA0013A20C383A00DCC0A4605FB8A7A53307BE3946333177DFB095A909D5085E045528887D0A033D196E12C9DE408D291AD886D5C1DD7693CF9';
wwv_flow_imp.g_varchar2_table(5630) := '323511C0C01D90023FA0845088413C7802FF7C1321D1D9C4DA4D7561823408A566130D041A9E1385AEAB389E2A199707AAC44A1C0382B20BAAD55A87900D5F1C0821FFC096C2201D5D71CCDE8B4C1E345F3D930D42799FC8F3001EB88123A811EDA55F21';
wwv_flow_imp.g_varchar2_table(5631) := '388280E58117384D29D10C58D103C8A183D8888DD744B45C58342F099570C1E3E8FAE1E7CAD458E303A608C3FD051406C8808DC2DCFA351FF5633FCF7D0E8359884A28033858A137E8034A5EA13EC8900C4181C84381049C558228C883C0023318E53550';
wwv_flow_imp.g_varchar2_table(5632) := '0F2BAADD5108D083E05570308C75A0A9FADB3F34C0909ABC01234032247801B1E2CC81508285A10EF3AD02A830821B00001860814FD61082F0B21A499942B2821BF8014629507545C9947457008886ECA5B43EA12F03E0431680578218CE3BB8C93E6200';
wwv_flow_imp.g_varchar2_table(5633) := '040800C8A928A1050031B0A6CB4A4672C1ACA5E43E30FFB92EA5FCB3EEA3C44C6DD1ADAB2F59229413A8600018CEE224880DFE8883215200700553A334F545C207600119A0D632A0DBE15CA40060890CC033ED495847C80546C98525D13B6A4269D6E33E';
wwv_flow_imp.g_varchar2_table(5634) := 'E2D16731EDADD58BA05808CCA61C88A048852710D53DB1165D03E40E06DB39654CB2CDE66D463D1CD18C4371D2C1A35BF7BC49C6004E324113BB0C2795008650F8CB944EC664BC67EBC2E795BEAECB625C2579DA45A1A07BDA13F7E19D26BEDB7DF1178F';
wwv_flow_imp.g_varchar2_table(5635) := '5ABF1CCC46476E3F73184685109C222A9A883B08895308A45A8857F89855F01882B88590C105F89A861E022A7D888E5B20A2C1AEA357A0929331A2BDBE0C01119008010046991B01898490A45872FF71684A04854CF08474B80CF4BAE676554978F81BA9';
wwv_flow_imp.g_varchar2_table(5636) := '922AEFC08337E00338A8ED6EF4033F282437C8893BC08330CE84A0B8060A41044FC8054878E081B084B6DCEC70E0868128AAA282EE6FE8866C0807EB966E00C06E1A0A876FC8866CE086A20A6FEF0E6FE856086C38083F28046F4C14FB491441ED46FC69';
wwv_flow_imp.g_varchar2_table(5637) := 'CB240987CD5943AE0C59218DC3E4C8043C5094F61ED4F754146F54083FE003F9F3ED83088AAA905B46482900F88456F0C34DC0033E00866CF06EEFAEA99A8A6E1AB26E82E8EE6EA06E0010F1A2FA06ED3E718278EEF33E085078B881902AF7FC40BDF843';
wwv_flow_imp.g_varchar2_table(5638) := '08DF3CD0662D5174CCA0AE627F191BF98BAAFF8E2A288D6F82D0ED40BD1FD901C927FFC486B63C244501A64D1888224905F2068013CF700CCFEEEBDEF001E96E1407F38308EF15271747289ADC7E6021AFF0E41E10F391238EE85C851031D0FD5853E4B0';
wwv_flow_imp.g_varchar2_table(5639) := '3BC7730E7B4385A007C3A0873F07F411EA2884D946376FCC83C0F35F3145841E8841377493DAC6D261AD6D2CC63DC136D5BE3A123AF40189A54A6F133989A54887F44EF7F452873F5337C5530200851E1D55277554DFEF5187F4FD06F58A80F55BC77552';
wwv_flow_imp.g_varchar2_table(5640) := '5727DBC33DB1E5F1542FC64DA7B443EFF4918A755C87758B10F6EED197507473CD7DEB6BF620E51C90B60EA93D6FB3788A8E4077E43FF7F33E7FC33F17D97D98077A802BB0998783B0877D80113911A9D40A9D373CBC34B38773FF7F117CE01AAED93D7A';
wwv_flow_imp.g_varchar2_table(5641) := 'CF77F4A9F78338F77D177835F3694A7F73E28407D626A17BF87379A007B18178870FF489A778406F258B67786FAFF87AB0877B98877B388EE3A8AB74877518B18781DF777BC0F670077447368C3784F9372478502C3C39DA3DAF01DD12DB8786DF8B7D70';
wwv_flow_imp.g_varchar2_table(5642) := '78774DD7A04F573A0A8C9B97A315C9077E58A57CD0877D00F9A7BF87AEE997E430F4F3E99AAED908A557FA90A7F990F7FAAFF77AAD473F7D80775EA1073AC2F8760A0CF195C358C2BD753FF93DC9BD7A087489EFF6BBDFF68570A793EF30E7D0768E8877';
wwv_flow_imp.g_varchar2_table(5643) := '6C07007B30507E007B9147763C57FA3B2F7B92A2F81F6BA77D88879D9793E2DC081831F6545D76D63AF8ADDF1CA5FFD788AC6FBF3CBFF3D037FCE3B087CD1DFCD5BFFA17717DCD6DF3AA5F88CD57087ED15CD85F88DBB7BBAA17094C17A984CF7DAD3FFC';
wwv_flow_imp.g_varchar2_table(5644) := 'E107FBB15FFC3B177B0E13FBE3377D9107FB8158F7503F083969769A3FF552E7FDECE77D54F21E820B523C0189DE9375EAD71CCD094559477FF4E7C6DA9F13B0FCDA492F59F361334D0745E4207EE73F0EEDA77D85D87E5004887FFF000018E80EC0BD7A';
wwv_flow_imp.g_varchar2_table(5645) := 'F716F603008F60BF881227EE0350B122418C1637122C1811E2C490222702E0271040C388FB56B2DC37B023CC98302B360439126548991D5BB6FCB712674493F8E0F1CBA7D3283D9D04059E0CC9EF29BF9251A142D567F5AA55AA265D6AEDDAF5A5D2B062';
wwv_flow_imp.g_varchar2_table(5646) := 'C792FF2D0B54220079513BF283274FA6D7B85A5BCAAD5BD767C6A73E05BA3C69F62F60986875AE8DDA8E60C27AF9DCD1ABB9D4A24B97312332057B76E4609D122B2F650A776D58C96545079E9C7332CC8489FBC17BA8D931E97E343FEEDC88F976E6C09C';
wwv_flow_imp.g_varchar2_table(5647) := '2B7B16AB51B0E3B2BC879F8D7A8FA8CE7A0493863569D272E9E8D2A7538FDE50AD5100F9DABE8D69572EDDEF5083572F6F9E2CBF868611275C2C8F3C4B818E29F73BF92F255ADC37CF0A3EEFDF7C4A6FA9C690433261061C6D308175E07F0D3AD81C4225';
wwv_flow_imp.g_varchar2_table(5648) := 'E974CF72F3F5935E70C3F1F620871D4A871D5B6E1D950F89625D78213FE189079A872D0696DE3FEB21B4907B32C5775F48F7D953D08E057986A3FF7C95D5271F7D436AE822923ABD958F420CB566534D22219820415B9514656E2925B96559E95158944C';
wwv_flow_imp.g_varchar2_table(5649) := '1402C0DC52E475D49B4E2FF98512976D52771D98558AD8517DD2B584A25C27B2E8269FD9C9B8D03DEE39769F52E4F508D17328E1E8A3868D36CAA78B4B36794F430FA1B51679037176265B124229E5585442FAA071256507937263EA94CC34C900C02AAB';
wwv_flow_imp.g_varchar2_table(5650) := 'D35C032B41AEC603D63F24D216548CFD6C372AB074A615E77673C274184CD34C930D00CA2AB5DD53DB19558F62F9F443CF42F5F0A3D89EC1BA08E39FED31366447E6D4FAEA34D564A3ACABED2A53E6909415545450BFE2D90F3ED6D6596741DE36589380';
wwv_flow_imp.g_varchar2_table(5651) := '0A515BA94D001C364DB30857D351FF35CA224CD03A84FA644FAE04E1432F42D21694DD3DF795E86F87A5C689EA7261E142D0C9A9A482CB2FBF0070F2CBE370BAD4A932110AB29B709ECA9D5227BB3C0C00AE80B20A33B89C7C7438FFDC1355CD64F27BA6';
wwv_flow_imp.g_varchar2_table(5652) := '9838B708AEC1EC053A6E4CC9BC6234D7C4A4024A47B2DC220B709E3E7676582F3D0D9DD4069A69204101034A304ABFB94CD02FC40000CA2DBFDC62B482BF7927533D2F9984D8C638B57D9E71C88559B2B078B34CD01F431C813700C1A02C5326145C03C0';
wwv_flow_imp.g_varchar2_table(5653) := '1B37A803000286000081078BB7A97388DD5549D03064FF224B3295240180159404E3B3E6E100808F84EA7001001A00A8130341E200E04115F79481B8EAA4AA570FB2802ED6D8FF9A2F93ADF92F7F00703BDEB2CC4E67C50010F100D8C49880F02D1E7000';
wwv_flow_imp.g_varchar2_table(5654) := '07005CA402C30F0F549D4A496C473F656EC2F623E9DC9E54B78A7403179AD31C4CAC50899731F0313561071708008768480100B728433FD0F0002EB00600A64B4747DE40907ABC6D7F801159CDA047A698DC8D20405002007AC0C0F101001C6C8AC95B08';
wwv_flow_imp.g_varchar2_table(5655) := '008004A4C50F37A85AB0B2A79F21DEA650C3DA99B160720B8288EF154A2082148A803998292F2ACAF183FD08928A045C0E00F623C02D92E00900A4AA6D0CA20ED590352300B8E32D27E1873D1E260B037AE2070078020FB8208CC911C45C5ABA8115C211';
wwv_flow_imp.g_varchar2_table(5656) := '8D1012A4084BBC0604166680481C0601C32B6192CCB429E84012FF6E6941C8A4E8261B8CB06C7B855402108680B2BB75032204C1030F01400B0A002013442048366C0100623C6007004807011E908F2A5408586AD2D4826C36C96745A85BBF6BC80A0BB2';
wwv_flow_imp.g_varchar2_table(5657) := 'B08E201011AAB003005E7137CDD9B020CC792500A4008372008003634C5EB0EA418F15CAA39CE63C273ACD9916745EF22D6E0CCB7B8C89B6B1FD226504810400A65009CD914D306B41411198050064146118E948400AAA000F6C46CD5B2C72673B932251';
wwv_flow_imp.g_varchar2_table(5658) := '554DB4A2C3EA0F4AEED10EF288484D6BD9DD2F82F1872710049A4C84D963A2E20A56C2C35C0489872B120003009803021D29A52D6D30C8E054F23FD792073D80EA3AE648749C420D6A5A902A8F7AD843701DFF29A73DF021557C58A6211AE16730167807';
wwv_flow_imp.g_varchar2_table(5659) := '00DC610A9E0886F8FA39909A7CEE964B0400FE40B8838529811655C01F41E05006468C497F48A2D038F3AAD7A3F255AF7AA518DC8067CCA5D535260B9B262000B00982F4A11860E5A3D908C2851880C2042E05002376E03BBBBA281FECB86CB9400893CB';
wwv_flow_imp.g_varchar2_table(5660) := 'BA949BB7349739B8C94D73AD969BEC709DB0403499B51C0A00B2D05C26E0870A5400E09B08F41D500EE2060E9443871DB9011C6E674732FAAB1FF7181D4D69EA5273A096B4D1AD6E74317AA5971CC6284F61CD7B04330D5CCC517C8D50EC6EC3D7119981';
wwv_flow_imp.g_varchar2_table(5661) := '251E0098293000604B64B882085EE80870B1A13CE4992E992EAA8968475B0EEA6677B5D73547FF3A029C0E75B0433131F90700174210D76C1265BBEB671F0090DE57F57329A271CD4C59F9DE82180201E240000708A20E18888397636C0C971A7290E896';
wwv_flow_imp.g_varchar2_table(5662) := 'A3C600B0B18D6582E31BF31800AF1DDC9726B41CE82CF3652E5B2C004EA18AF8DAD66536244F24788800D34682AE007806A4A282E005AB981D3455873ACC015D7580D05CE968A9F1FA78CBCFBA34CC34352D6A645B92A45C8820879285F808820800B4A2';
wwv_flow_imp.g_varchar2_table(5663) := '15046186CB5C45A7B59820757FF040363AC78C0801E007DF04D961D2610E2F7B39C03E8E09683BE265D04E054604E9AE54C0DB10B511E4C20058E02250718A4F34D9B6338BDF0E1EE089577E8E0B9EE025022AC1805226E01A70300200FCFF90BA5173D6';
wwv_flow_imp.g_varchar2_table(5664) := 'A76524B38AD7BCE6D4FAB8D25D76A9A4DD1CD9B861726E05621346C6C6C454ECB923AF88C936C64A904888C0040EF9610280418B141324C5607B060790958931F5F441DC4C073BC09C66358F0E848701337465925A73A4A753C719EC9095E2B2602436C9';
wwv_flow_imp.g_varchar2_table(5665) := 'AD18C328EB692E8AEDC91DD780C7345C710D73D122D3918C092894005A66142F1B7BA685DECCE1072C2B8FAE30F4032C6D4157F8190CCEFD91B3AA2E349043CDAE85BB38050024E10957DD0DB81F51872D6CD110E5F5311BFF18DD332C1D2C788050B463';
wwv_flow_imp.g_varchar2_table(5666) := '70452A2AF8ED8E7802BAEC708514CAF08C6794C1109E7834750FF35DEE56E9BB731A6B4D3A1C074B249920C7A8A7ABFB855FFF572CBA1A0F614734CAE1BB6C64E3191B355836441B0D7A001349FD388C4BAB508668FCC10D0479832C9FE71A316D157FF3';
wwv_flow_imp.g_varchar2_table(5667) := 'C6B2212A0D639844584C14E6C82DC0DACF31B442C98400C0F8C84BA78A98C316B718483A346EBC5BD0821ED900EE35D2310DD85A8B4BF5480737B331BCBD718116B770C318AD50A02A1C840B6598C633D060884CA4821D342F873B7054E7E328454C8C8F';
wwv_flow_imp.g_varchar2_table(5668) := '09C26667B42B4C81CF9A2875ABAB291016151B582E35C1C2E0C08EB20280E63051427CC18F1BB096FCE8D0BCC14124004038509798F1D411B1059D151CCFCD11572D1700908108B55AD200055C94903CADCE2D190F3178812B3C0F4178C118D8832110C1';
wwv_flow_imp.g_varchar2_table(5669) := 'A27181087C8EFFE9F8011710833A242000FC9077D409F5B0457AB8059690C75959022A68C21264CE01CD4CB7D44CD4DC4CC29D49FD9DC773A5963B30C21F18821F7881F7D892EB54C30D60132D78909A055B8198433BD0DF92004A43615BD8F093E5C5C4';
wwv_flow_imp.g_varchar2_table(5670) := 'A25160E4C00468945147D48C5FC807971C0437DDC27D154F4C98CE8D59C10B9A8E1502C020014015800236DDD2A52084E3C40461F957359C8C2C94023194411D0821D001C0BB74C493D1CC53A084B528A1B7CC9817F841064EC311A84306A18415DC01FC';
wwv_flow_imp.g_varchar2_table(5671) := '54812D70C11D788021280F088D911FB09B07C181B455D503560973AC05F0585030B88C32F841151CC226F8992160C3ECE8CDEB240E3EF84A54F84A4A30CDFF07420A3755831D5DC3BC11040C5142471401C4ADDB40C1105A15D269B55D7D3444778DC7DB';
wwv_flow_imp.g_varchar2_table(5672) := '41C4C2900DD97C811E08210050412A4C22584557908006850C0485488B98280D424C05096D4A87800575B14326208F68890333985BFF059B1760130E3E8F3E504E19B4C380DDD05369479314E3EC7504CBC81E225041DDC1C41CA1946C6CC43D60C476A8';
wwv_flow_imp.g_varchar2_table(5673) := '87B5804966AC45F6B8C86170D333D8000008140088C311C422415C8E21B80241E8CD46A582157842174149E38C4C47989FB811C4244E0E20C2C42174443D3D5953C8A1EAC04306EE8027C0D02D8C81F7DC1A415C831464C21B30030CE9503910413A2C9F';
wwv_flow_imp.g_varchar2_table(5674) := '640100C45D9AC7B14E474460438809D00403FF30D8A09FB5C2218801AB11C3C9F8CE7C7C178A4C046492C736224939A803335441247C41FC5C832B44825A56D0187026E8C05C470C836946A5DA791A10C9637875C624760422F0D2626D222830A6E6B017';
wwv_flow_imp.g_varchar2_table(5675) := '53F48F44140586F043A02C0DFDED2487D484393CC41BDC0120EA0DFC8C81E9EC800DBA810DEECD598DE043805086941E6A385524EC8162F1D9EB4D5146C0860359484F11A787B883B98C4EEE88A12A55C218F881F411042524C11BF881090200D0180F11';
wwv_flow_imp.g_varchar2_table(5676) := '88C3E8B0229B4C650A311A9D394632C00C2F01C01E58829FC104027DA248DA8C702089A599D6C280422A98C3302C103C308327848338000D33304339E8CD336403D07C8E970DD4E8B003FF79F8E59C5549448849EAC9042F740413600E480C0E9DD49B11';
wwv_flow_imp.g_varchar2_table(5677) := '4D8D7A6A9A2C01802C85E3187DA13BDC0231744338C4824BF19FA469C778B09D3BFAA0DE31D3AD41411A0000DD7927416C022E30E63810C795BE91823C9882A0A783F88A6865033670D33064C22D080D667A029296832D9068341C22002CDA2C994B3B50';
wwv_flow_imp.g_varchar2_table(5678) := '8A82C8CD3D98A4C2010034B51F00DC284C00C3DD8CD56F98898FA20D92F0C38AF6A939D042343C5A2979822BC8123C0CC32D94528F01C03584E8BD155F952024C2A98AA66065E6B801B0A5418E6E021900C096961A2E40A84C94D28C75443BA85136B846';
wwv_flow_imp.g_varchar2_table(5679) := '36D0433A64C38CB9C67980453B201FD5A5C5E8C80348B2835170133C9403FFBE895998FD5D99815939ACA8B9D0A129C9193FACD03F98A4ABE4E805E66A4C2090E2C40473A8DDA5B68372C0037011843B5C6A1C864C18362B3CA8C3AFC2033B34ABC1102C';
wwv_flow_imp.g_varchar2_table(5680) := 'BE0AECB221CADA7D5ADBA14412C1EA2FB841FB41C1AD5E2019DCEA14A4829F966946499D43C0833BE803C206589DF1491921D82DC9836B4C9AB47644BEAA434F0291984D9AA00E2A492E84A1DE0758DC82A05DE014D4814C740202A90941E8EBB5D10D41';
wwv_flow_imp.g_varchar2_table(5681) := '90EABD96CD5D75C4E8B403CCB2C38F9D993B249843B003B6622DC87AEB97BD45231EDC805A256724C32FACC219000013A441FB012D41D02A0040C32AC88C4EB85488E24337448352C2C41712842B3CC33028653BE4EDFFB45507C09085B23E95B1B886CA';
wwv_flow_imp.g_varchar2_table(5682) := 'BA0E50BD6B6C5125A2C4042E30C31B40C114A82D00D401DB56ACAB74C3A2C0C4A9BE1B0831032D30433BD88297D1C2340C2932D0D7A5A9529BB8D343B4C693A8AC5B00D5ED9A53EE2E6EDBAD9D8CC0843BC083484443D98A010040014CD44157E2EA959D';
wwv_flow_imp.g_varchar2_table(5683) := '155AD4832B1CA721C8C330980BFE2043382C0B410097E002CB431C84B2BA43F0B2D184E1AB58048A54E01026518BB8C2C43610041AA8ABDAB22DD0AA2B2E78AE3EBC230008C3B8FD59194503B33C439EA683347A4B52B805ED2A49773CACCA86CA9784ED';
wwv_flow_imp.g_varchar2_table(5684) := '9071069F1244C5E62ADB5E59A718C52DB4C34320432AA8C3A96E1C286C2C3170D3354C03D0B8EE5B6403FF324CEA5FC05DA150C98B9A48FA6A465AF84AA7A0C43566C7E476441A58F02664E2E678040E5F43D22CD1879A6A3670D317DEC243F0A9DE30C3';
wwv_flow_imp.g_varchar2_table(5685) := '121DC43598AE09D1F0EBB0E6E101AFF02608D9C28C1E206FC5662EDDC5C2A2C9CC8E14E3C27C5D36E84D375C0366F618310C9E29F9D2AB9506DCA9874C68E71DBF2F41D09DA22A6847641882F8D83560832A3DC3E798C32071D33D8CD132051CA5AE4E7E';
wwv_flow_imp.g_varchar2_table(5686) := '9C696938A0731D6E6A44C5F9F9484C7C421DA86B8E8E717CEDEAE0F6A9F2FCAA522003D3B94E2AA8EE29BFC98ACCB2576487A406A33F0D040F63198E124420F38263C18B51544337C8832CF1B2A8460574C903D3C1043C9C15413C830B5F711A6907FF17';
wwv_flow_imp.g_varchar2_table(5687) := '3BC68E8C972CD402AB1D6F3EA1ED96AA02313CC32D8C8364ECC812A582F2984302AACC3390A8A19AEAE74C338784E20BF7863D7F20A1A661704CAE529A14F3A22D00D4828EE62F4C80CD30A883272072D26A9A211204345F299F804A8304D9E3D495049F';
wwv_flow_imp.g_varchar2_table(5688) := '552AA8020040822A20C262A90230DFC230ACC21DDF423EF0B20515442ADC8239A4C233B003493383A17E5B34FC030DC6B274D0F39BC00DCEB10595906E2D74C226381300EC992AA8422C1C8376C5C4A3F1693940F317E603337899EB3E036C5D7197D4C7';
wwv_flow_imp.g_varchar2_table(5689) := '7AD44CF0A24536FF0D00C4C247AB822124F5597B42312C914B03C9089D89A68A033F64C3A229CF5BDCC2A556E6B7D8331AF1F51ECBC3FF80004F03EBC42FC852376FA52110B48248C43E44C3BF32744C60035C11842D280F2FBF2AB090C49A5A342472F2';
wwv_flow_imp.g_varchar2_table(5690) := '2FD1543284F6324D833248833428432712C436CC8358CA0367C9C3804628094D6383E87587C0A81CD2C6414443BA04253698B6690380347062B3ACC34750063D1805AB022F8C29076C1D4E524C85569B456154CDCE7C754C94C3353CC39E368CB2943669';
wwv_flow_imp.g_varchar2_table(5691) := '2F4C34304336440CA9A14D9DBC44C7FC8F72A8E9744747E995D03ABC8AAB28C332043741E0773228433BF4CA60889B96404ECEBDB779888C58309E675C23A3B484279F074F13380DAB451D0E9A13EAB04F38073F6085550040470E4A9D149CF8ED4A844E';
wwv_flow_imp.g_varchar2_table(5692) := '04913C78F454B31C62B7FFB00C479160859148B44D8438DC3D218403468445E864F8451A93C85590C8736008665CA36663718D53B7739D72245A061CC1D185FCC44548051C010060157966E332853F863D64F93E34559677799717E377F528459BC81951';
wwv_flow_imp.g_varchar2_table(5693) := '790EB29D570B2FD31251A6D0B899FFC73EFFC54A5C385598279B8BCA9B47879720B98043843DA0885274459E430A6E476E99500C97D3F957608A8F94795814D1A0E730C35E379B64C8652448FF443A97C4F7B54D726784CA9D67BAA6537731C5F65B0B13';
wwv_flow_imp.g_varchar2_table(5694) := '6EA0C6A8B7896D7786A3FCC8E1E8F4AAFBC746AD0585604D1C1E88894FB4AA0791B236545683FA90CFBAE351CF36B62FB19B10E4A2478C34BB7354C673347BB27348FFADB3C86C4B2A9E4FBB9B3C846A305AB03FFA94687B8B28C7B18BBB5643EEB7CBA1';
wwv_flow_imp.g_varchar2_table(5695) := 'B3AFFBB3B7BB9B9BBB59007A4790BBB6CFB0BFB8864278BBACC33BA418BBA9BB03B2F33BC8ECC9C33ED8AB1FBCC0E3B17ABB43C9CEFBA5437AA8E784A80B7BC47FCAC3473CC6DF845B508898EC7AC2B7881A85897288AF4C1CC6ECD22ECAA7BCCAAF3CCB';
wwv_flow_imp.g_varchar2_table(5696) := 'B7BCCBBF3CCCC7BCCCC77CA73B731D9262B349ADCEEF3CCFF7BCCFFF3CD007BDD00F3DD117BDD1173DC35A337504AB7904ABD33B7DC13E3DD4CF3AD3A7A1A91F8BD467BDD66F3DD777BDD77F3DD887BDD88B7D595048AAA493007DBC83B4C63921F0CDC7';
wwv_flow_imp.g_varchar2_table(5697) := '44C0ABFDB69F7250CDEEC7B6FCDDBB7CDE27700217887EDD97AFDF4F18CDCF3CE117FECC9713A3C1043D3C0444B9533A3D3EE447BEE44F3EE557BEE55F3EE6A7533B5DBDDC8F0A897C7E89B47AE74B4D4142392D9F3EEAA7BEEAAF3EEBFB354C70FEE873';
wwv_flow_imp.g_varchar2_table(5698) := '09ECC77E92A0A1EDD33EB14F95EEEF3EEFF7FE547584EF07BFF0EBFEEFEC7E4C4815F023FF58FCFEEFFC05EFE3FE9B07040021F904050A0000002C0000000054025E010008FF0001081C48B020007C08132A5CC830A1C18710234A9C48B1A2C58B071B62';
wwv_flow_imp.g_varchar2_table(5699) := 'DCC8B1A3C78F20438A1C49B2A4C486F84C5244A972224A842D21BE4C19B3A6CD9B3873EADCC9B3A7CF9F40830A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB52F9E5DBCA351FD6AF60C38A1D4BB6ACC8AE5DF9F133CBB6ADDBB770E3F644';
wwv_flow_imp.g_varchar2_table(5700) := 'CB55AEDDBB78F3EA8D4B77EBDEBF80030B1E4CB8B0DBAE30331A5ECCB8B1E3C2F6B46E4DFCB8B2E5BB942FFF454CB3AC57CD00FC82C64B4FE0BCCE06ED415C2B54F447D40433F764ED74AD3E00FD6E63AD876F9FBD7D3CEB81554B131F3FD5A3E1021FA8';
wwv_flow_imp.g_varchar2_table(5701) := '1B6269DCF83EF3833D726DBECEFCF4E9B337AF9FC0C8F6FC4EFF0770AF64BC7810859B54AD1DF73F00F6909B56ECB37D41EF1E97CFF309BC3C79F805D156D33DF9AC459D52F6E5169B7CF7FD97DC57FB2C278A40EF15B4DF43F1EC835F4BED20E74E3FF8';
wwv_flow_imp.g_varchar2_table(5702) := '69F89D41157E66D03DF7A8168D3B236DE8917F0575034F7321C10880801CB9F6557603F1831E47F83CD70D47FDF0530F3C51B547238E15DDA38F8D0F32A59B3A038DF36344590844CA3FF63CA7128BE60CE4873815DD21908B0345020028B80974CF721E';
wwv_flow_imp.g_varchar2_table(5703) := 'F9614B4CFD2042D0794D017366478604856424D2A07911931C9591533B23412993776116F4CF3FFE111A2552F210048B2E8100F0C84313F2642600C844D24F3A02D102402C9190F95098CB7516CE3FC2C1FF01802B0064E2C71B0595B344231399AA1225';
wwv_flow_imp.g_varchar2_table(5704) := '00202A502EBCDA83DE27C0DE680F9715A9490400158624CF7BC0F4134B4452B43990100419528E4AA97021D1B770844310341C559AC94388ACD3ECACDC1D74D5119E4C6A1694A600A0C82C0265C12F850329D2AFA631F901DF3FB900A00E248D92084027';
wwv_flow_imp.g_varchar2_table(5705) := '7600B0CE7B2602C0084570221A26BA10B95BD32DA01CE34626950CE4ABBCFF1C17ED40B65C08001E00D4ABA840C3DC72AD4433D3724B9BC384130BAE06B513099500E82992CE00C8634B2A0040222C441C7BB28D40A110B47244463FF48BC5B5169489D4';
wwv_flow_imp.g_varchar2_table(5706) := 'B78DF1474CC408848C2300302D6847F831D347CC00980B30009548232A00C2ACFB3033AE9CFF6C6F521B860100180225223044970070E54D6122D38940D900C08E455E31B8D135124394CAD520E92D103C912023903802AA29DFCA88D20A4024A616C234';
wwv_flow_imp.g_varchar2_table(5707) := '6E95BA38F6901C5568883B370370C72BAF0FF4F83825D1C3749FB78C120B2E6B13A42600819693AD4563BB324C23F6E8F9CACE2C3742AA40D838D2489FD2100407E71F6D0F40368C243B121F4F03F087279584D3882D6388F3CF37B899E3C77BA237FD38';
wwv_flow_imp.g_varchar2_table(5708) := '00AFF8DB5290D3052D01001C89B853440A580A8280E323F52A1944D864B05140C4132EBB48263C06916BB9A24F03A95AD9E6B18F0359647914B9470623C2A2037EE3620261D3437AE711FCD54A37F57A48C2D2B188E45584190FE1862DFFE000876158E4';
wwv_flow_imp.g_varchar2_table(5709) := '5B0048C645220780D2A847200114C8E228F10B46E88D4C2DB409103962398954E21904C9C438C8173398954D8050D9473C54B3AC7FC0094000B2872E48C0AF0815A48B1459964480234382ACD023343A49D2A6A29A0AEDA3526F1408238405A288A80636';
wwv_flow_imp.g_varchar2_table(5710) := 'FDB0910FF5519A1C7AA462D01209B32212498C25B241A1D9093FF023284CE28C228F42997198E3283432255E7A244817E3C12C705C697135A9544196739C9DE02390B97C8EA44E928F7B68A51E6F02A6414A73A0CCC4C74D5E0A8D70BCE2C381983026C2';
wwv_flow_imp.g_varchar2_table(5711) := 'D14790DC84C7D014331F4FD2473DA2D9A32696702DAA41514A22B34A9EDC0336F580932909229CF2C8C34596FB8C705CE6FF9F79D8C398E401A82B91F29B0871671EFBC125000E892273BE691FE521674B3EF9964682842B5A79E71307A29E8DCA842CD7';
wwv_flow_imp.g_varchar2_table(5712) := '09A52CE7A916706A474703B94E7410C215146D452D6B514B91A882C902D1844004796779EEC19B8D3674A079A1E8536483150295B498F598A7664CAA9DA6D654207D410B4C8719926EDA442D502D6641A0E4D2ADA068663C41A959C47A135D00801A0030';
wwv_flow_imp.g_varchar2_table(5713) := 'EB36CC3A10580844176EDD883297121DA552E5AB5E452A587B724D29719440338B8F6007FB4FF8BC93A85F118D1DE963907A201329647D08627582D31B39E4213F75D04EBA902583B0C12359205CD2BCE444A394861ECFF1E858F6F11EA10605B54D9487';
wwv_flow_imp.g_varchar2_table(5714) := '428B82A4BCFFA8B624CB216351F61AA50AF52218BD18883206620600A0410B04111700D60080E20AC4608C309840B80100EA628389D8280A75B391DD815C038C40C51A308431276100C368A0505F782B622A61942415552B4824ECC41457E40E2BA1882F';
wwv_flow_imp.g_varchar2_table(5715) := '453E5513F7162414C700C00922128081CC40203498010D0A92B081A00B8CD8002F50AE118D674423C2EBA588DED20700E972E109471088095890619D20A21003A1AF2310E108983D5728282C08249A0680346C240D64A0438D0150079F0C410913590200';
wwv_flow_imp.g_varchar2_table(5716) := '90209023448127C7683000302090131C00000C00C00A98FC8182CCE00450C000149A40068248F828988BC65B9EB0143508C40B5E00C091474389AAA502FF6D26718340C4F03C8EC050915C2B088A8152AF4E78C2CF5FEB84DE6A81081BEFA10E8706C01E';
wwv_flow_imp.g_varchar2_table(5717) := '76FC10440B420F0078B4A40752074114C5CC6350C3187AA2648144590300288140440D800CA879205B660214A02090636417191C134834AA31140977B720AAE005DA988083054FA5094959734184206C3593D93076E003CC3EE18A5C5C6BCFAAF3C8B10D';
wwv_flow_imp.g_varchar2_table(5718) := '526C8BC059206853AF513CE7BB14EF210D875E348F2342883D08C2DC7BD003A429BD6E9B2857205B66B59021A2E99C14A3D305D980A905B2EF8134E10C4BD8F254C44C914D4481092B0841BFEDC5021608A104C03EB6180C026CC2B818008B38554B4AD0';
wwv_flow_imp.g_varchar2_table(5719) := '7000708B0A00003900CEF004914F84118EFFB833001C01AC3D2FE5CF02E9C426AA4010444BC4D20339B74E98FB86E27E81E2425E02B708E2064309E4E23189452E8A21E7101884C40221009419C0000C94200A15FF8A11CB1205715DBB284D10F6C401F0';
wwv_flow_imp.g_varchar2_table(5720) := '8435677D3011F3499D0532ED89A47CE55C0316DA1CA106358C9D28631374CC0972064353C4E602A9838E2152073D147EDC86EF481CD00011AC03A0094B38BB40E48C0739034056B23249C28A118B4F0C24CA511F88D40B3C100C4439CB02714214D230E0';
wwv_flow_imp.g_varchar2_table(5721) := '6320C3BF266106AD63F2BFAF1CC1CC2E474AD9CB3E1061E3A030304BF6D76342E66A6FE462291F3E41E0EC083F640D241E68014140F00210E8C0FA13B183D10130863D1C42DC1B4174FF8F0DA28774A7FBF01D199B40D0F0F388109BBF971F08DAA2AB86';
wwv_flow_imp.g_varchar2_table(5722) := '6CC12113D5AC88D20712025F3FD92255D764F02610C0106B3E310D00803903510DB4160D62C60CE8420CA273460FB1704E21044770772AF71321D60447207996610719071148D712C647116F37112E475F21B10AD2371043600320000328200128E00102';
wwv_flow_imp.g_varchar2_table(5723) := '710300C0033BA0033B000037A08302C1043F28104A606302B107DB3711E7D68400A00784F08425B106B2F26E0F810447907B0371318CB08122110BB1500C9F57104F760004F07F4E07650F716000F07B34C331C8F0653B818000C080B3271012B64515F1';
wwv_flow_imp.g_varchar2_table(5724) := '7F52A17C3A317442D0048158102038103430747F81073083076967107EFFE8114DE0818F878821A13E69267F00C00722510967043400800BF5020804710504F18204010437707D3A301038080040B0034660044006005EB00797A86896201087000092B0';
wwv_flow_imp.g_varchar2_table(5725) := '0751A80738571067201048781170E07313B166B4400BD1F63AEB6279740312C0900AB950356330600F71004F66810CC08706C18604213AFDB313465436B4466B724810B0671064103118C0875277141340894DF38848C12D877888A4461028D78F701131';
wwv_flow_imp.g_varchar2_table(5726) := '8D2811FA6512F4281277076773F2115F560400C00CCC900C513410D843108D10076BC07857900303F18320000028607D3308032640102FB08A00A0034000005350057B60058BD67D8D588C43D86502018C16110700FF408A00F009C32811CDC634D12610';
wwv_flow_imp.g_varchar2_table(5727) := '9EF88537338CF37600A00700FFE78D35608803316F15616138417075580D0E489503B175A0F2100690014E20854C21041C9002C5366303F10923A813BE366C05B1966E877C16638F5F71772577772FA31242C06A79896042E096C7C7357577902F33911B';
wwv_flow_imp.g_varchar2_table(5728) := '4113124410F1F50B11492BB4420BAFE00A11591039146300E003B338102060021D39831D399205018B675663759006E3970687400890D66E0F812B430900A8103154D0930FE12BB7000D5B9313A06610DE48101FB09B04816510318E3961951B510BE357';
wwv_flow_imp.g_varchar2_table(5729) := '15DC8281EFA63E7BB6086220062718120FD7970F376A0501057DE971870800FA58907109432C070094FF20975521064F707766D66A06F10D2D269DACC69DF82810D92911FD987CE3097778E005E9D97CE43911B431272D8083ED270703399BA52210C270';
wwv_flow_imp.g_varchar2_table(5730) := '9B04913B09537B06A1043900042E000020D0911E09001220109BF610E51685E306116680063899938C278576691009793ED0F0657890796A91321BB18E13A18D01E09B11E197422166E9B811EFD9145240663F707B98886D47A70667E005513071270A12';
wwv_flow_imp.g_varchar2_table(5731) := '25409D34B09DD8090051EA71F3E99D05317CD93610E9A985534105D0090076A706F86610661631E9E911DC0205DBB92D4DBA8FF2079E2847109A28107630770693A21F310ACC60051B0000560000433004466810C34510BD300DCB0039CB300D74FF0800';
wwv_flow_imp.g_varchar2_table(5732) := 'D8130AAA830B06810B14080A9E100963B3059559049E896E04719AE8A607B269108C67066F805C00B00B0341052667A078F80C0A6A120166104C067A667886547187772811C259107A409374F0954B7104C4FA3CE3F9095FE79C00F09C47D79F17B1A6A1';
wwv_flow_imp.g_varchar2_table(5733) := '1611ACE66B0B369D2570ADD3E68F57FA107ED07C94001C6EF41EF4D03E4771A47577970561800551A6C1C7A3F22911F418A7FC38A4F207673BF31CF9371112E099CB250702D105A80A110A1A0C08B80CCAB0A890430DD9A0B00040B0C950A80F113E0311';
wwv_flow_imp.g_varchar2_table(5734) := '3EB74004CF2210C108001D0A7E0FE10966B0056F30A200C00B5238AA0F3127D3C00D29FB0CBD9A134FB60258217B56799504D7B25BFF590782570764C06A07367800A06349A914671A9E03917B676A8242309FD7B92D54CA970F917C05A15E62A08803C1';
wwv_flow_imp.g_varchar2_table(5735) := '077AC35AC0510F933315DF603E0551820189117B29116E6A11CF39B4252812ADD80102A1914140A8893AB1E70300CB20B10D2B10713BA902110C9F48104AD4B0140800FC1A788C5693141107A62A109FB00B4B1A9CE7435D0010AB267133DE989BB91911';
wwv_flow_imp.g_varchar2_table(5736) := '066011D863B35389950F210C5A3911C2BA14C586ACA6ABA537E16B3DBA2D53EA97DD79AD8E084370FA109A6830AE25B4FF45109EB7AE35E16BD64A8F504B10F749102ED6AD0371BBFA3710832B11793B10896AB78B8AB0744B87760B00CA20A91181BD02';
wwv_flow_imp.g_varchar2_table(5737) := '910255D0771F4A9303FFF16DC7591068003486E20B9FE0A1AD5A10AE800CD3803F8D7A7499971301100112D18DF82B11A1BB1340B4A314E18600E004E02810E0DB1341902D6B17118E70BA14B1BB22919D56FAAEA8469DA126040B9782292810C032A7FC';
wwv_flow_imp.g_varchar2_table(5738) := 'C8C1B891B55BAB1401E9C003610DBA0BA62601AD1281745E189A66766D91E911B4024412D0A7A4A0BD3E10B1751BB75323B1D4200D0ABB0CD920C4D4D0BCD5FB10AB2010B7C0B702F12C11F37D03E1BD96B0683D0609BB5810CE655CA9CA93231705B279';
wwv_flow_imp.g_varchar2_table(5739) := '8B04910D290B00D3A0AE4761A304310CC8A0C63E11B81521A34C30BA0F31883E11046AD0760391C0C9B2C08EE08724FCC003089F6D0A9FF9389F2A7C647010BC19FF4CBBCD6730B385BB6E909611710CDF105F8AC8884787748268114A5B11C827AF7836';
wwv_flow_imp.g_varchar2_table(5740) := '1078A0897CD0C21D119438E8096C90C40010075DB005015B10471CC6D4400DD3200DF10B11C1900C4C5C10B8B0355FC004F0A79269B0A19426105340BE89ABB8BBE0A102110526F70A78FAB808F80BC052A246017A417B2E05A18750C1862730C04C2010';
wwv_flow_imp.g_varchar2_table(5741) := '6656883101068E4038692BCA6AF0756863BA8B80074B5AA023418FFA0811D539C821B6856FC77C043171B58B36A27826209C145CBAC0161131F18C0723586CD3F911D559AF8B4CA41CAC067B560868E03723B1BCC41511BD6C10DB30357F2B0DCDFB10BD';
wwv_flow_imp.g_varchar2_table(5742) := 'AC0CD2A044BCFCCF0491769B00005F7606C99CCC76FF525C59ACB83DE9C5282ACDBFB05DD555C6F2BB14685C6BFE3B11478B8D8BF6C20D8D13E8BCAD11C107C8E279DA46A7F4DA6AF46C11FB8C600221886737C8F88888DC72752F33BCF34A10E959BB26';
wwv_flow_imp.g_varchar2_table(5743) := '11A77230D121C1A514910B6843B54737C703D1A4A866104DBA9DA4266A94C80764CDCFC6CB0566D6A2027198238139ADF8101A39A16CB5B7260D3918A1BDCC330D7C2BA9C9F0B702A17E91500B8F33061937AB053136AD2910AA2A1054E0C5C2760BAF80';
wwv_flow_imp.g_varchar2_table(5744) := '340301BFB28036A35D62DD26103320C78A7BD536A1064877B410410952EDC07670A67FFC0DC7700C8E600DD0803F9EB7CE60CA2DC40AAF6C89A3B11B9E28C77CED29107B46981FC1DC26510869FF87627F5C10944CCE18A788923C1021766C61ED6F04F1';
wwv_flow_imp.g_varchar2_table(5745) := 'D004F19E652B9EF337DF1783626A70899E834422E109BB1ACB0F313512910DE1430D64D2CB407C11C1F00A315C106990CCC578DE0F515C6F10DBD02C6C78FA0BA1200BD425B94861BF6C010952B7604CF6B9E8F27C2421055F80E25260662B0E11460600';
wwv_flow_imp.g_varchar2_table(5746) := '75F609510D77CBBD7C0E0CDA000060660D115FFA03430062E69C8C8028D6F38AC170E0C1C2900CD4350D72F311D902C6CAD5E222E1878E80DBC5BDBB30B3086A10CFA109A84C1BAD13E16B41BE72EA550876E2071CDC47D3500D0FF4117748431A99C304';
wwv_flow_imp.g_varchar2_table(5747) := '21E715A12A0281561F8180AB1040980D005590CC8CF6362F8D118BDBB80AEC0AD5FF3CD748618176900A7A22A354B1BF930CE92281C7E49CC0001062118C36A100670049AF364482BC4DCEC929A8D3E6A6D309ADABEBD03023BBFD0C07A3CC35940E12FC';
wwv_flow_imp.g_varchar2_table(5748) := 'D576592DE51FC1E5431ADE0251C903A1E5BF0EA66AE0DC4556D7D0ED7E6BB6C7DACA0770703134A40CB92C121644640381053A19B110010EDBF040DBBEED20DDE61271C46E4C8C18C17E0581BECEBCAA31640B3B433B99C70DB270CD49210206D160D33C';
wwv_flow_imp.g_varchar2_table(5749) := '12D3406105A1803E010D384E1295B0066F2B043F5E105290C059BD7CA180AC3B89361927DCF668C6116101FB5C044397020FB18FA216DF99CEDB8E202B9AA83AA1B0E02591088D90E21620A81791F016E179320E11C54DBC0CFFED627860E9821AC10471';
wwv_flow_imp.g_varchar2_table(5750) := 'CF055102C7E66285C09F1219940828E024613CC683D9397CED722EE7BA10D2727BE700FE10780E00510F11B44310E1632E28F036846B11C765116BE60A0969E7AF300DD920F1BAA513F42E104C630BA1903B268EEF2A310CE34E11713F129C300B9C500A';
wwv_flow_imp.g_varchar2_table(5751) := '60B006815A67A3BE2DD326770BEFDB02A1E5611B11D000D74F3B6C2A601019F0BBA426DD04B16F78507F6F5A10D3A044B7CC4425E156F90200076CF0A39EDE966E1001E9AC13F13C160000ADBFBD187FA30411DFB6DE61039143DD809543920D9E0F1237';
wwv_flow_imp.g_varchar2_table(5752) := '130B7F8B0213A19102D1EDE070F510B1EDDDA0EDCC3F35C7DFE653B30DC84FF506610987409A575C8706910640FF86933FD77316A13A3BA30E98BDF98C607F96B4141AFD101656D41111661D51F71001BA3FA10B9B0200A6C02F99B2055FC05C000140E0';
wwv_flow_imp.g_varchar2_table(5753) := '408251083A0AE5E893428500EC0C5C4450A2C063001C4DC4889103050E19324A14F2F1C9444A04B701D8761265366500FA7D8429F095C45922A58C1428054014213A1D5D9CF809001E8242810248F72E2651817CF08821F843A007001C627E0C89130055';
wwv_flow_imp.g_varchar2_table(5754) := '005F048212D8AD9C4071DBBA6D0B270D803800FCAE7E4C352A168051047364CCE14320B8946FAF6E038752254669D9D40A5472E810C16FDCD00D13B804401A8170FE64FC44486094330609DE0220AC1B3B99029F0D8C9349E03FBFAD5D67042650D86BDA';
wwv_flow_imp.g_varchar2_table(5755) := 'B5FF5D039B2D31542E57B65F7312F828E348CF9B072E444E69E1403516052E7FCD14AAEF2642AA7B2E2E908240ADA0072EBB25CDDCB87081A55DF31D135322D744915B5C5852E245A1070512651AD3AAC01213384CF0E8AD26248AC28BE606F2A0B99900';
wwv_flow_imp.g_varchar2_table(5756) := 'B8851900C62166A0C0C2012099F408926BA02A2400E02E81B0B04B42DAC622C8428C06FB4E20C3FA10680C89DEC9C6933DEA18688A2AFA8803235FAC3983A01E9B280EB46E9A7A851B00A661448A2F2EBBB049813C4144365B0000869658727332CBD720';
wwv_flow_imp.g_varchar2_table(5757) := 'C3A8132D25EA45224500008E4C4C0008842039D6242A8803AFB2C3BDA3249242A78C220200CF8F8E88E20889B402E0CD8C5210E81771B2C108FF2C14AB41544B361EE10438532402A312390060048C37F1C8EF2AA30814E309A804CD53223BDE1422A482';
wwv_flow_imp.g_varchar2_table(5758) := 'F87C8D0F815210028D4AD602E0300C95C986C281C279293D5A0078C596BA005881201005F2412FBD0008ECC1D6C0298F2F82A445E9A36CA8C9E62409AA388432815401A0164B065A824600EE80038D2B24FA24B382067223B4B0D401008E0573FAB24924';
wwv_flow_imp.g_varchar2_table(5759) := '0088974A5B80C9255F8107CED2949A069A6420533819040058067A44B852064AA4948AD9EBAD3E8216796F209C9E680E8F203ED218232F24C2835489F8F0C3D57A01908F598286DCCB1382C62338CD813849188049257AA49430DA1868E2D6F404C04E00';
wwv_flow_imp.g_varchar2_table(5760) := '3495E8CDFAB401C0975DA6C3C8FF0D953F8283918F94B9A5D98146B155207EF6F9A757DA62C95020108C1DC8C389B619C735B895496414F60058A62589A40953206A6C558287813411489243F6C8E80F2DD09888473A0CEAF1A35F62FE85E02F63B33CF3';
wwv_flow_imp.g_varchar2_table(5761) := '8CEC8852739A7E260813D009E2A4145344E1049647407F58975E746954228E1771A4D3CDBCB29D206BC821C81BA8EFC343CF42E63C080E3F000084A0B2CA12C81C6C075A87A008BB264DE03CF208E41281462F7AD2D4453158A08765A6FDAA917052C32B';
wwv_flow_imp.g_varchar2_table(5762) := '892401A018007807C01B81B4B166209701B8DF91E15BD3B59C736A1547DC00000F816C831DDE21885BC8569B9908CB16A0D9C1DAF0322D3005E32AE0008734EC362C930864FF1912314C01FF50ACC2112E266F3003E306F2865608040A0389C2809630A0';
wwv_flow_imp.g_varchar2_table(5763) := '2308C14FF8928818BC3510D6A48701066040025C930B604C296053F2CD33AAA1B9D3BCC5167CB803002001002F59CE2DAF1185287C562682700F26A85003D2360780C809841CE440C7447E47904214A254F381C3FD6451AD6DB00500E750C738A2F711AF';
wwv_flow_imp.g_varchar2_table(5764) := '0DC66CF9E2621727353E82B40E16BA98232A20828A45281226B57B8840F4604681A043290459639EF4B7C9FB01A08D00F083231A0180CAED451CE030C7FF4823C0810C091CE4A94B2A6876457EFCD12F0E9C4B8500A003D4C421470058D640FAF21AB809';
wwv_flow_imp.g_varchar2_table(5765) := 'E46EB2E89B30A941906BC5CE132F980821F630C98994018531FF214314E8B013810C48209D6117FB5061C2263140200888C00338F21A5AFC8A20B90C0D97A4E720892CD173AE2944493E11B37BBEE5743E23242C6621505D0C249952FBC42E06E24846DA';
wwv_flow_imp.g_varchar2_table(5766) := 'C10E8B88244108D1233B28527E027907392E1A3F98B84A7F121146EC2442AF9838882FA330C41F22D44F89107222BA7818385CBA0B47BAE60C74B08335DC2791FA414D7EDA2806F104E2884EBA6226A764CB38CAE13589F00551041CC59074151681D8D2';
wwv_flow_imp.g_varchar2_table(5767) := '350E0CD6402428916006B3351F94C82848018055484416B218E61CA5113627BD4185A820042AC6A948727E7111A740C5B8B2644EDB20B19DB608D85BA0419026660E19B5410422F659328950428C022B68FF4B4D31BE8319EC612E258831A226106BA0A2';
wwv_flow_imp.g_varchar2_table(5768) := '7E9C650500144A2032BCEF1BDA4823003ECB518CA2316A8C74E34731620E70A44320E3A0D7FFF6089364AC231C66D1DC2C0A7AB0891097203511EE447811B556F842633595486825B2514A721693BB8808D2DC385200A4521DE7F0EEFF04420F00901726';
wwv_flow_imp.g_varchar2_table(5769) := '6A7983936C3197614563143A000108CCE0A4B202801A182C2600EE06805162A417D3509144FEE001170D640F9AB10D2AA40B0054D881150E95841D104C10319491200BAC0D0204F20011D88616EBF50D34A20180C2B2F42D17E1A7895D435900441600C6';
wwv_flow_imp.g_varchar2_table(5770) := '25882F9ED3599AAE56B4A8D88524E8808A8AE86E20AB5D23EF8AD1429818491DBB25E91ED7FF118F75CC2323E4198885EA4130E2C2F8C51881A940AC2C10197FD6C61839434D95E20D858E9620EF48AD6ADF4890870AE4BBD0FB9F7801308F26C7831EF4';
wwv_flow_imp.g_varchar2_table(5771) := '80329451A4A5AC02405898DBC057AFC2C189D4E552009045295661B46512246CA93081440481388C54A10C0048EF55A0E04DDD0C4720FB28E74064B015ED78805031F16B7A7259621563C45590A84F213AD96ABF603623CD1008AE652C905DF4BAD79D15';
wwv_flow_imp.g_varchar2_table(5772) := '082176013F8C2CF8451A6D615D27B20E022E9BC94CEEA040AA318EB348A31B22CD9C16FDE2E289EC7AB3BB100AB055EB59E8A659B400608535CC0C1365F71A5C00D08740763B907894778FE665652BA531D5F418159EA340E2408E7595FF46B0E1D01959';
wwv_flow_imp.g_varchar2_table(5773) := 'C57E61A2E814A9A8D11939C484770800245441207160125632728CC112840BF0228A3DF2D561823C000211C0880952ECCE8CCC061AAC26083D693D73DBFC4C175BF68D353ED159757F960CDB9C8831BE7CA1791304DAF586B6AE6E4133695483AD2CBDF9';
wwv_flow_imp.g_varchar2_table(5774) := 'CD8BFB11A03AA37DB8C6354176610DA90D64925FB686668DB1EE8CEC4215A35D2E46EA6DF4E82DF92AD60600CD7C03603F8F02186883274C5CE0D5D7F4C2683049C41C05228B6558C84413219C20AE7299F97E040A4278211E02DB4E2C7167201F7712CA';
wwv_flow_imp.g_varchar2_table(5775) := '0722C489685823996679C031420C6C54912033A0797BF8957A2D015520CED8F568B9CE7500283B239AFDC82501406498ACFF5D22D0861E8ABAA1377BB6FA6051BF32D5775A8C357A7BB3CF599FED07827BB20FA419BC4FFB400EE10E00EC76C96E978893';
wwv_flow_imp.g_varchar2_table(5776) := 'A7A512B52483DFB5498540FEEC67066D75226EDBCB5566050600AC696918A1BF598F64C169284319C9783A4B983489A03481B8344CDB8203C488C7130896EB0D8C5082937112CF1B0802C0080A9C8827E88D5748855F613900E012611806C87837821890';
wwv_flow_imp.g_varchar2_table(5777) := '88B21C6218860821865B9027BF78ACD4D336DF603EE6AB052E230867C83AF6C92C81183B81802E8C4823194B3B85C2BDB7F0BD8C20869678BAD4E3B6D7582EDC1B3A003805BFD0066F3037AD03802304003A800C7958077A28BAF38A9B951A8878EB21DF';
wwv_flow_imp.g_varchar2_table(5778) := 'B005101B16FF25900014D882F40005857B8B7B21086C69B426048043E04182301781B082CB83892678A1AB90821BD2120BFC08043000984881140BB854C01C5BE01206C88E81189750803962400664903927C11CDB30BD99EB99F4002A6FD82900E0055F';
wwv_flow_imp.g_varchar2_table(5779) := 'C83E00B0BAAC23085CE3056398C5EABB0ACDB2C5668B0969B8856458A22159A26C903BD61388199408E63B06A849C581584500C035ABC30868E4428168459818BB6BBC30302CAF65CB08F19819824843D7A0A74C981500880498803FB71926666A1670E8';
wwv_flow_imp.g_varchar2_table(5780) := '8687A31565A21570C8866B794747D343031B400323081318828F88022808C84B9C086E982329508223C0BC0BD1BC8F68C481C04081D80F8C8805D19308FF0D980828B0841423986100865B880DD0F0C8CAFB08575984ED2245274946E67B3D1CBC0AAC6B';
wwv_flow_imp.g_varchar2_table(5781) := '06A87106681442EBCB92F1301195D8B32C0924DBE08433F120557C3DE63BC56280BDA869456854C65C8BC5A63486698C89AD13086ED8077818C33D022F82B099C11887C388B77C990200B019AE20081FC80B82E8CA3BF49BB7690D00BB96695806695006';
wwv_flow_imp.g_varchar2_table(5782) := '005306B9FC08C523883458021CF0000E29020050010090C081104881E43489B0438218CCCC79C8877C8BF4A3920BFC083B082C8178418930C3DAB8CCDA70A303A181561B93F430CA62909F6248C5667CC68198C98CA04998C8425E83CADAA0906E402062';
wwv_flow_imp.g_varchar2_table(5783) := '0480412845D6AC056760BE8BAA05E76BC9FFF669CDD6C40858740DAB6B21EE93B7735887B8190FDAEA2E94088F07B1A7731C08AB4A8F1D00005CC008171008EF4496C1E08BF11CCF3A7A9B61DA066A78C76C5806F6644FB5A84B81B01513D1828FA8011A';
wwv_flow_imp.g_varchar2_table(5784) := '910C00D880ED00801468818918C842FC8869F8855F60848404002E50A181514488F40B5AE80DEBBC0AD423230088856390A7612049DB148888F208C7E4D0ABD84DEA8209E274C5D67006626B4A89D0AB98D84982C8918C0BD1DC9C886660C94C6ACA4CF2';
wwv_flow_imp.g_varchar2_table(5785) := '861E8BB10BD12CDA73B33B1A0892228BB81308AE19887394D12F490281C83B89C8811C7081BBF0014C0007781C08F5A486461BA67CB4AF0FCA060BC288C31B882A84091480000E1188FF23D08AC71988260092059D8867A81C2918823178834CB31C0B3C';
wwv_flow_imp.g_varchar2_table(5786) := '00DA88B4ABC000008082174249DCA88DC12A2C686086C2CACCF470844882BC106D0D7021325CBB418268856AD491D6884DD58ACD38FB886D900695F0844AB019CBA151BF48D58CD80422AB8566009712E485E6DAAC120400A06A865AC83E9AD4D4E9A22E';
wwv_flow_imp.g_varchar2_table(5787) := '85824502CA23611A8851C515BDE9A71C6852F0CC880ED08BBB7081460087B88CCF569210C0D8333CA4AA94584F2C2D566485893AA80324600235CD08019D08AD19084AA81C64A81CAF5848CDB14002D0B0884C0F02081081F0120CF50B6030C3C1FA44CB';
wwv_flow_imp.g_varchar2_table(5788) := '390A2A1890088800BE92D48C68854D900855E03D5E6B855DC854A15428FFDF798B23F4066780CA66984200A81E25641081E04E8218590E1D9349084DBF58D88C582E5E30B335C2357091B1DFD905E314888B528A4CFAC18130870719465D3291C40C0670';
wwv_flow_imp.g_varchar2_table(5789) := '15182548821CD0D3100100677556B57C166FCDD26D401469F056A28D893D60021D4001097801CC2B03F5E9C29D284CCFD0892F5003AD69840704805000DB7E6AD0866C92FCF48D110480953284283104270500438084BBA5840DFD08AA6197291A8A81C8';
wwv_flow_imp.g_varchar2_table(5790) := '000CB0D784ED834D68D189688553785820E4B5B36B0D1C9B9F8F103A4C750D4058D227F91245188494D51ECB595906DB8420148888C5249A6C215B05804D98452D3423DE39C24E1D085C2034988884A46D92242882FF24F8C7BFF48BBB30C6F1BC56BEB0';
wwv_flow_imp.g_varchar2_table(5791) := 'A30252DEF3728DC590843F148872055018023AE3008032701938C0940DB4C8CC090082E85300485CDB9040C51AC58CE8034FA005C890A7C38284F3CD080D0541C0BD0AE5B888783188404DD88948933ED883C5C0088695BEDD13CAD505CEE2B43A4D8DCD';
wwv_flow_imp.g_varchar2_table(5792) := '3818B1DB85895FFA8346F883F9AA4F0008C7FD0D608238058695083395089A2C416DB8C2852208D79D0885EA815A500B0B0A86FA120840481E9878032B78D226F9DD2250D651581781709B74A48B2B9506B0823B616A969360AA98A08696B05AD7D0DA98';
wwv_flow_imp.g_varchar2_table(5793) := 'F08CC2144C82F08318960946F80225F09CEFEDBC2C79885973A28F4006C84006111C888EDB4C8C88A2FF98482C87C0E0ABA8833D48038B2BC0B7685C5E30E1E07C8D0D8E398C18AB131A88CE21C686790B3B38040ED6606A24084BC83E5568C516DA045C';
wwv_flow_imp.g_varchar2_table(5794) := '1B618CE8552AB4043B4803F7935089D8862516883718835375122020020018E524703FF7FB1082E8026AF18B9F7534BFA15A5B115382E0648998821A400100800000B80100B00182D8A6C779A101A182B7908226D51C2DBE8A1E98C8813800105D1900D8';
wwv_flow_imp.g_varchar2_table(5795) := 'A7B7C88066CE888E0380C1A25BCBF40B3BF002556963DF08CB8998823986090FA6C2739388EAC34B0653CDF5F18DF452A13240837EE1D03948933980092610083130678C38857151854DA84254D05455B0D9DA1B08E09C5500100328D001C9E0DDFF8928';
wwv_flow_imp.g_varchar2_table(5796) := 'D55FF2E47916882B988BAFD4121C0602DA78D189F89B23BEDD9600AB9828592F15081C1008AEBD811B108253B303A02BCC0189022A4683DC09E78C60E9C07D0D60D84C68382C821886A1A60D2600678C5804371083FC2C0100C8D77B0A033499833CD0E7';
wwv_flow_imp.g_varchar2_table(5797) := 'B740668B8B0C8948837FC644335DAEC61D0855E8D4C5182D129508E11D88384C2F3DBD8328428328BA8332601139AD2AEC7C8B40B86A4548D989B06A00C88398E8022C96881E780D8266C5C12160DAA02E5E328116F8CF8930032DC853149AAF3E609CB8';
wwv_flow_imp.g_varchar2_table(5798) := '96D33B38197DE0E80BD9811D7001232008649E880E80BF6901875A565E172688939608709D6500D09B7FFC080908349808509EA082FFCE51C016F8E5996BD0D778EADA38810D3801002881E4A68D30A60DAFFE132A28E681D03CB8D59CAB1688C0AE8DBC';
wwv_flow_imp.g_varchar2_table(5799) := '3D8ACF1C08CDD8844D50A8BC7ADD49E6B5E9128876E685359A6EFE9C0817B06D00F803ED1D883E78EB37288328BA343728B0EBC4EBABC0E7DB0480D00C5D011788861164D7508D9800E032B50449D80468DC04C2196096B5516D80460CF800818001D136';
wwv_flow_imp.g_varchar2_table(5800) := '8221B0ED7D316D503A1716A926007091FFAE8D1D00020F47E5F4B0A33E12882EF08BFE0380D9060052C0050B8A03B29C0826C86DD75083BC15887EF9689A83E6D6D00124584CD728810DA081209717CCC488A21686A126636CBA8A879688A8563136C802';
wwv_flow_imp.g_varchar2_table(5801) := '30A77198B885B9C885FFF42372B008854CB0678CB004C25124DB45EF8C50055FA8853340D88FF0DD816092CB786B37A8677E298336BFEB2C09EC3928F08F18192C080246079159594382C8DB4C4805B0A0041761691A218471695C22DB8556156B984883';
wwv_flow_imp.g_varchar2_table(5802) := '4952A8E5BA5452E3E55F5ED61D50568C389EAA51402DB181C0040220700168A20D56EA9B2B6565E04A842CE08B9318ABA7B3CBBDA995AF516CE8AD0112928809FB884CA0EF9D260816C088C3A4660038018F606ED918880D1D86C1C27210C472C8C8F26F';
wwv_flow_imp.g_varchar2_table(5803) := 'D183060F4BFD9D083AF8B9D242D72FCF822EC80281687400C0822BF001C2268806AA4C4450D74CC88450E804148C8909F78DC87D0D2679754CB36BF9F6EF264998FF4B189341D019812388056D3CB2C285FAB2050885894380DEE27C5D7142671DB38453';
wwv_flow_imp.g_varchar2_table(5804) := '98E4C5E0BD04D880667681A30500D1D64ED2FEE3225FBD4021181B08EEFF8CA05CC788FB4A89C0683470B0A04958EDBFA81500B34B0B2AAB487081B0343698C08945D8266D1A9017EAEF1307848567A946B4E67C49EE0CC8F6E29E084395885858F08190';
wwv_flow_imp.g_varchar2_table(5805) := 'DF8F38865347E7D7C000CD1BDFCCF1013B05802140C823D089351088F47B850F2488C4720440CE88BADA85907F0D7EBEDC07008009F04F007001B5FECFFF3C72FB01001387897E78897BB890EB21882C0091810344BC57029DA0E281E88D501808A2207C';
wwv_flow_imp.g_varchar2_table(5806) := 'D4FD883E5C6C8138043AD80394C708CA30670FE08AFFC0048022004F18000009EA8394BA0F18A5E2C4CC925FF670BF304B99910871007AAF61AA5162834A805A89D05E75094481D8815F067E81608589030014E8E5315002ADB0064DB8294115C881E07A';
wwv_flow_imp.g_varchar2_table(5807) := '82780346E89C23F802C2C5603720789808906C8F09FA0508000207122C38B0D5405404674011B80BD5295606071E403010CFC48C1A3712D4A242E08F2145048EFC281063238D6304AAD1E804809E81DE38D254656960AD48195D4C044153633F00F77E6E';
wwv_flow_imp.g_varchar2_table(5808) := 'CC5270CD162B053F8E24E8E60D234A13B98811E8460DC6894CEAC44448F4E794892D00F81C028008801B024D805002E0CF4F65FCBE7E1D6B038887AF3932821B074EE0368D52B6D01C2B70ECD8FF1D36600C3CB349E04B316137E8503A310A143A510442';
wwv_flow_imp.g_varchar2_table(5809) := '11238611D1323AE9921E68C0406982A100847284416086D719049EA05DA276EADC0096082403A0E146411A0B01A8A79BAE85BC19957F4403B7A097D4CE7801D8B34B1B397400203E1648CE1921009A00180350CCE09E1D1F2810540184A061837E00F0E9';
wwv_flow_imp.g_varchar2_table(5810) := 'F4B35F3FE319FF65C4B2058B405A0028504A662861810404793001001C6804C740D179C105176A7061D0144CA401451A6978755C31DED452C82763AC5410082DA8D0140036F87418417C4C248B28C19022107FC715A4980D3BF044D08B3B0D98D11A6868';
wwv_flow_imp.g_varchar2_table(5811) := '01C05E00FCD8A24900B4600300234C0444115502508459660160856503F551101CFF6E4C4488189B192455469918640F3FF6E8B891011691B6C840A91484C16C00BC06DB71C20C43DA1E02A12010214C0C74CA2EAC24FAD57C43BD49931013B097D10303';
wwv_flow_imp.g_varchar2_table(5812) := '29F145195F6C5495466784571D1D0269B79137370DC48B2FC7A802801D49ECB9A30B49A800820D520EF7133F41E908082003A50488980040C0A040124000C146634C0880144F34EB457419E120D01981FEE48B4196ECC2CBAADA20421C121868009F4066';
wwv_flow_imp.g_varchar2_table(5813) := '7DA402948CC507C71D34E5F8A8404DEE30900B1E8090248A04E11B2500B3AA30C20841BA00840B3BEC0004941F6969D0855C7C7185A65770318616D12531901100200140C6025571E145270944E7406F0CD4AE408600001A22FF70980C804E73FD3317BC';
wwv_flow_imp.g_varchar2_table(5814) := '741D405331B40C141B003C1B545B09A4F9098030040153F444A60260092ABC50371E00AC28A4E844A1161474CD1341389005004C9A910495BE07C04AD11E41D01300702A50191C995ADE57B50C34C6C6530EE1025B04C100C2C2022192B5403413084023';
wwv_flow_imp.g_varchar2_table(5815) := '951C659004090A8BB8404444F7C518CD72B436133A00379136700FB44B41C211728A41836A2081834B81E0C1477BEF3D101F2F0F040B00DBF402803200F0F38FAE8FCE0B00101FB9904A19092A5E6CBE6A11EC23C1440C01440E44E4908412CF03E0C340';
wwv_flow_imp.g_varchar2_table(5816) := '47025006611C69D1F615568CA1C4EE4A5C5185467F18E247AF85C808405625DFE1BA40F04FC4CFED8003400002FFA8959E9A9D19E559B33080318CA37D6513BB58D57624F19319CCC07E1CC1C31A38722C64190442860813B408D2310024212C0499C221';
wwv_flow_imp.g_varchar2_table(5817) := '00D04081740700DE20C7A738822D3BB4E40511A8D4446E3001E590652C2E281C0050E6C0823482118060841C04B2063C6C6D2012F89A466C200534FCED3904F1C21190B0C182E0E00C34B19A41B0C59149C5070030982159D8C2988D04A376CA58C640EA';
wwv_flow_imp.g_varchar2_table(5818) := '673F22B008003A70A34096A4241020215663DB121E078206B601C00C5740C316B4D0258D7C410B9AB25EC98A0880F908A4882A13881FE0029A89C8AF206F7043DB08B2C71D96060F767003C90A42891044A0671CC11A69FE44C03F6DC48A1F2088420881';
wwv_flow_imp.g_varchar2_table(5819) := 'C5FFA8094222C2E1E457862890B34DA45261CB48FFF0003F13FC6F030058010F7823905702A00E00E09CA84AB3B69D1844453000421C32A1326BED10824484430407524434486108141408B224900075FE72207F9B881FD070360EEC0F0028E8C16E36E2';
wwv_flow_imp.g_varchar2_table(5820) := '0C00BCE34D5D34225950E7AB1C56450C7009060046918855E0F24A491882ACDE908A583D2F0753500297ACB02FB269C10C0038D226AB87478F1A647B0689031CE0001743A4A47C05B9034C07321F460E044D96D4885A0892494E1A80000D42804F33C282';
wwv_flow_imp.g_varchar2_table(5821) := '91BD733513C1D3AB26829BAF0C4D800244DA446C21101A10A4840609152B6639103C35540E5981835735759C543482A5033101001E00810720FF7177F964C221BAD38CAF64882026B0C8064A6718B71264908D211C2ECDE04DAFCA419102E9DA4012804E';
wwv_flow_imp.g_varchar2_table(5822) := '824020011E70CB440C5710180E6431A4D2C6445001CDD44849391E7001F90862076E0AC413806D6841D022106210C4B40070AD40242B109D3C529320BD82411A0188961644B6038944232261884838B1207FA02941640B1A3FF8A10C65B002F9F8CA1129';
wwv_flow_imp.g_varchar2_table(5823) := 'E46E877102006A34F28281404220FDF3DF4682960BA9D205AA502DC8783542060C24150082089556A9C8BE377DC1615260490421C8BE701AA4B16B054082D2A9914A7802103B150805CE89DD89385321443901550722028340C905502248158E5406AB92';
wwv_flow_imp.g_varchar2_table(5824) := '9620C9F8CBCC742405B102000DFF2105C0D6FAC6D875128512A000C47D7B39901EF0C05056E4E41D0742BE03DF947071402D00BA07002E407722E31888340CD28D820483B5B8180500403160D3C2D613BEA5496DBF02D9ED0A44AD94254A75711900A218';
wwv_flow_imp.g_varchar2_table(5825) := '5523AF89406C66B327AAA25237C0204A2EDE34AD9A0D016402F982A68230902FB48F208AF56F021E9080C6028086BE7AA7406C304306195A20C6E4414114A8B9374149B5043143DBFAA00A042EAD0C870084E19EA30C7364CDCE05116B8C3332E85517E4';
wwv_flow_imp.g_varchar2_table(5826) := '160449891FB800020A4C8003C49AC8C6D2A0CC8D30410C9610031368408310CC393588E434DBEC63881F039920C47DE428104A10D60E641D0058873C0A320E6B03C02F3481FF3200183A0A027FA5B81B41E244F6F7CF8C84798772A2C92738F2BF11C286';
wwv_flow_imp.g_varchar2_table(5827) := '0E50582AD172010CF27E859551D588A196FA1ADF0C840C4E20F844D6971B502821D57A36087F570C686429D82C9590322500815C93D0F05804A9D41BABAA0943911000C4C988103672E1895C215A1B71ED871F25052E8C580A7A26717F270268D22CA8D0';
wwv_flow_imp.g_varchar2_table(5828) := '1AE1C1760745103220BC2090B6670638C0CB275020020A1EC8A4AC60D88CC0A512BC3507B701371A83B0D4B4CFE112417E6C88518CE216D216C838D8716D79AC831E1BC9BA40C60D802BA74C91A105C21875CE1E090CAAD1CD2ECDD30D9281496522161A';
wwv_flow_imp.g_varchar2_table(5829) := '89407BF544EF940B44DFFA4E8DBF69E20A0044810127700255FF9DD0C0F86A84038E70A0583182738E0CBAAF806D044DCB99026211AB9DD9454D008A6D904D0B2409689501005850020E4C58201C502C05D0AA9B2A54A19270D71189F1BC064D650F002A';
wwv_flow_imp.g_varchar2_table(5830) := '5EDCAA1BABCE161128E304B910A3354200C50A049F4BB08E08D3706383407AA80038BA4012900109087F20C852ECE80170883DD841C702C9042860FBF74B172449728C6312508F40FC584AAC82AB15C43910443DE44E32C08C26654F12B00805705F416C';
wwv_flow_imp.g_varchar2_table(5831) := '800458200098005BA8C5140180A604CBFE39507781979ED0C4310000BFA5460AD2442A980951600003300000444009D4E024E586FE0D8419F0D91644D0106D815841964670DF06CC4B191091FC649F4078FFC0116544041CDD341504C8E0DE4094CEC5F8';
wwv_flow_imp.g_varchar2_table(5832) := '9EDFD1152EB58458B584897DC110E9D24098C5F074DE109CC8CB700164E5C5A2699F018C19004857149A05EEC540FB81C40B51CA3985965B1441920041125C2100A84C23BCC234FC8503C1C51BFCC197CC164901401CE016C6C8510E18014FE494DFC54A';
wwv_flow_imp.g_varchar2_table(5833) := '90A101B3BD16B815844611816158A0A0BD5F5A51405E65A040C4C0D8082141DC411F04CB97740973FD969485A0AA650408FE44E20D44FDA12000E8DB0AE2D29E38C1E5180403194409B0C0E7E986949D180FB28F588961411C01C70154E330CB13B885CB';
wwv_flow_imp.g_varchar2_table(5834) := '2DA1124E44026C5F7601803165041A58400F50E140E4DD57C04093EC8807351200186238FCFF833DE04E6E7C414BE8111EF0D9F201C00FE2C11680CC10FC8040A480FB511664A5CD4018A4403008184D444F11C41B85802909C41890971554C0BAD14519';
wwv_flow_imp.g_varchar2_table(5835) := 'A2451164CC0DA0000C20016475092EA49140B4DB9B68C115B44D157854D5CDDD00560F6E69011AE0965248A25224410EBC87AD084490B88740F8C0D89423002816050A040C5C18101001F14D4C8909C4FB948C98F48118845615200112E0531938429699';
wwv_flow_imp.g_varchar2_table(5836) := '5628E4202E6A841F40829A50642995573002C00902E3DF1DC05A0A04BD11047BC5A040B419F2A981A6F4234082A17E85E11A30C21AC0413F9E58BF4861DB38A4434209A395615A19C4F62DE146F48A40F0400AF08009E8255DBCE365F2FF404E6D047E90';
wwv_flow_imp.g_varchar2_table(5837) := 'C67CF0250078211802C01678932E15E6D47144DA309E5D0040446AC469B81F3C09C434A8668B74E44FD493A1414FC69800122401F1918F65060EE0184296C1CC14F8004931DB8F15976919C21FC00549EDD1151C89F5F01800609412F88010A295A1CD4B';
wwv_flow_imp.g_varchar2_table(5838) := '8EF1D11EB98C1FBC8C0ED91F234D41130000E3415A19208221D8A740E41F2884022848C5C5201A6A898011484168FDA640A0D940CC6541C41B30389E2D3CE89B09842D442827C920001C800CCEC0FF00005E1244D03401421E076C99E66992D83E0A841C';
wwv_flow_imp.g_varchar2_table(5839) := '34236F11C410B0C5C55841BB9481430E045AE405641A840128D638724082AD1C0050C392398941D05302BCD097FD043B72FFCC0E84262799D83EE65718A2182380062010111A9481A9310C97A5DC0F7826E9C1A1A311C4D650436088A240BCC00B888008';
wwv_flow_imp.g_varchar2_table(5840) := 'D4134764E179AE459034DB26C4814E80800EF8440EE4E9F40C8469DD4841D44E4158D9B2F591481984C94056DF680A1A3CE240FC41B078811504E254F6D5F84D8114D58DC60C2223D8E794565926A0C113146808362700F4C00F7CCD0BA49C82FE842D3C';
wwv_flow_imp.g_varchar2_table(5841) := '1E4148D59B4DE8308ED540C8A0AD622847145B13309E8E6C125FAA8147895EFB6044C4F1186455811096C111581A8CE42276F9D4F605555EA8D5CA314260248316C80010E09EF965CD187001A45E213E658D6992E82EA2817EC9814DEDE277DEE1CA8CC1';
wwv_flow_imp.g_varchar2_table(5842) := 'D91CC111B8FF85990AD89B0E445039DA06049E384C040B704016E686541A845BBC26BC6CC2737CC9CBBCD18B4C811CF9407332D44004C6C40A04A0A6E4E0841D628EC1159CC84A78E7402001107420417C09154441134CD1BC70EA23D9942764821B1C81';
wwv_flow_imp.g_varchar2_table(5843) := '1400E8FE8D41FBA801C8D6AA46D465E3CDAAFDB8422CA482E111C4BB11C0CD1044766D80EC65E0E7E9876EE05CB98694A6EC63284C12CD59811428C548284137020043D245D1262DD70944370C832466C4BBE506375A05E8956889B60489FEAAC901405A';
wwv_flow_imp.g_varchar2_table(5844) := 'C6985FD5D44048C17DCD9C12FC000790CEA4CCE8B3222D0C5100653D47366443B385D6262581112441921E6C1CC0451F3CC71594A345EDE944985B6B7DFF624A022A926DC4CB20669059DA266D25C3082207B10A004CC114F5400F800C1CD4E240AC86E1';
wwv_flow_imp.g_varchar2_table(5845) := 'F0122E56CA5A66000F640CA760C427F41E4D6000A249152D44A8AC02C32DEC5BB355CA389A06006840E94C91CFD2C57D79C1CCCD1C8550084B88D51784C295656DD66A845B7C2D418428B3D20523C001238C424AF8684604DE57D022246192A8C24B960E';
wwv_flow_imp.g_varchar2_table(5846) := '04C89C5CDE365CC36965357A2DF9C4580B84A8412CA540E4E8406C00059C8D1F4C92CE4C44061429020F9FDFA84CB0E4AFFD546EEB82C00A6C8C9DDA6918D9E9D9BE050FF1D07011C428A4E4D90D4425FC014A89130C1B6CA66A0C936258128C41DB5081';
wwv_flow_imp.g_varchar2_table(5847) := 'C65CCC0681CC897C157D0884124470590EFF8439984339A4C6120380DA6584DB0D843CD04314D3833C0C45B6A5863C641B3CE8863A10C43FECC3BB7831417C3141A40341B48313232000983100B443140B041AA7831BD3B139A8C3916D843A905A46B803';
wwv_flow_imp.g_varchar2_table(5848) := 'B7A93100F0716E98431E67041A1384DA3DF19BB8B1417C313BA8833A3CF244B83124B7F139B8C31AA7B140DC711B0B44240FC41E0F442123B140A8713BA831B7997139A0711313C51773B2461CB24060322E3932243B32210772B7B1C338E031230F4417';
wwv_flow_imp.g_varchar2_table(5849) := '7FC53804F344C4F11AB3C339B083229BC3397CF1169F7146247222D3B12C03001A3FB22497B140B0031D1F71D6EC8337E3C8188B264B164439D3053803403C08C43EB4F33ADB033CC3FF735906C538A3563D034075FDC33D038E188373180BC43D02C03E';
wwv_flow_imp.g_varchar2_table(5850) := 'EF903E1BC440AFE439FF444187B302D683433F743173443DE8C340D403153B744517843E50F440F4037FE8F342E7CE68E2F3391BC7468F744793B4AE243443B73427F583E0E8483A678D1A01003E1044FD1CB43DC6344DF3B44B73523E04B550F34350F3';
wwv_flow_imp.g_varchar2_table(5851) := 'C34DFBF44FD3045297C652371B453F350070B440E48340382D696C344704455373043F6CB4577FB53E6C75528F753FAB347EA0F458A7B540AB355B9306FDBCF55BB7B55C0319FD4CF55CB8496A80B557DB0E5C8BF557743558CFB560AFA459A3F560E3E2';
wwv_flow_imp.g_varchar2_table(5852) := '5CDC8E62873163F773631FB64BB78964B3C94143B66567445D9FB5668FFF66EED00F9B7CB6645FB6688F366997B669E7869BA4360004F469B73651883149BBB66CCF366DEF9F61D7366EE7766E14B45FEBB66F4FC4480777BBDDF66F17F7608F03212737';
wwv_flow_imp.g_varchar2_table(5853) := '728FB271B77665373743A7A4B5B1345F43774361AC40C802B559375BA7E42F70F7617FF7467C34788F3576E3737927F52F6C777A87B3B44143750C842CB47752DF42387977309C377DA7F57CEF77523BD9403CB77FC38B7873C64404C3010E78B3FD0242';
wwv_flow_imp.g_varchar2_table(5854) := '7D0197CA77812BF84FE3827E4BF8FE8590415B382EC9C22F30834314842C602C736BF80EA5421188C12178016F3420004438891FB12CDCC288BF386A45032EF4378DEF503070788E87732864D22654053384388EF7FF7808E2828C07B869671B279B312D';
wwv_flow_imp.g_varchar2_table(5855) := '1F76851BF9A3E0C2D96D1641C4F88C4BB96E88372258D590B778946B39E040038503408CCFF6173332320C7679449E98C34B88BB782C90798B034082BFB98E70782AF001755CF98DE33927C5194124B96C9B43176B4A5A56C35C9F077B03BA8E50794118';
wwv_flow_imp.g_varchar2_table(5856) := '432ED0390004C32AFC3274FF8909442E2EDD78215C4C2B3C0620B0F82FE042903A7AD678B899DBB952AF2455CF35315F0F00448360B338AABF092EFC4281F38233148D8BDF7A697C378F0F1D5C60EC2A84835B0F8431DB0EAA23170084B96B5FC34FC041';
wwv_flow_imp.g_varchar2_table(5857) := '12906E59423B8D0B7841D04C03E67A0B33197DAB031C4841192841C6BC814DD94F37947932D8BA3B09FFC4779B3A5367367ED00C4803FB2663F63DE4C35913B5A340F61854C20D1AC41F6083B3FF9D18508117583BBEFF44AEE7AD8EF4F661A3F11FE810';
wwv_flow_imp.g_varchar2_table(5858) := '33B0ABFD6483B767420917C497FF357A0705670B0E60BFF91854811580CC2D407B4C4BFC680B7259766DC37F85BB3F91DA440B1CFC02A163367A0B056DAB4335E73BE09CBA40A4413C0AC4145441FF20BB4A6A448E8C71703BBA89B4DC85AC30CC138431';
wwv_flow_imp.g_varchar2_table(5859) := 'A73385B63635033DA6678D8B9B488490CDCC0B2CF71EC7330884CE10FD682B3234773A33C001134C411A68C51F28FA4F84C35C7C31B2234316D302DE03402B8B7911612D51C00332A831DBDFFA4AECE21858C61F20C3E2973D41DCF446DC41CA2BFF0559';
wwv_flow_imp.g_varchar2_table(5860) := '16042DD8C33084431603FBCAFB41A0D07DDD3B9387FD0432A83A0030BD2E531BA95DBD985741C74F0420AF79B679382037FCFD0E921FDC82E252FE57B85C5602401588492488B7E06C77347443F5E2B97E6B886F74D84660C301AEE035F81B3CDC795A0A';
wwv_flow_imp.g_varchar2_table(5861) := 'BF415483222F3BAA8F6041048BE1B9B9F7670471A0C12E627CCF17842D34FAAD53C39D57411DEC4115EC41DDCF5D317C3B40001028509C2D66C8885DB3450FC03000D704DA12472B1B0078033166D4B89163478F1F4186143952E4B38A00D89154B99265';
wwv_flow_imp.g_varchar2_table(5862) := '4B971D6F7124766B66B9973771E6D4393266C69E19FB01086A6E6039753B912655FAD116805BA37091C22570AAC0A01AF1614C0780FF1FBB72EE045E7C66EE1F806A18ED2D55BB966D5BB76F41A6DB3A702E00A218F9C1D5BBB7635E7918EFDE1DC79770';
wwv_flow_imp.g_varchar2_table(5863) := '619544C7A91B976E1C517383EB712C0BA05ED68F930D67D6BC99335FCC9D4187163D5A693D7D21FF5D0DC9EF3369D7AF61C7963D9B766DB67907F6536D9B776FDFBF8107170EBBDF3FE3AD872757BE9C7973E7CFA147973E9D7A75EBD7B167D7BE9D7B77';
wwv_flow_imp.g_varchar2_table(5864) := 'EFDFC187C77E8F7C79F2D1DD3114BF9E7DFBDA29DDC7973F9F7EF87AF7F1D7BBC7D1BC798EF7EB0B50C00109D4281FAE40DA6FA97C186C90C102218C5042EC0E048041DC3EAA30237C2C53D042071BC4E8C10F931B911F0C274C51C5142F1411007C2A13';
wwv_flow_imp.g_varchar2_table(5865) := '281F0EF9F370200E71FFB44C331433E291241A1104202D7B7C5CD148E16C3C32A9BCAE3A10457BEA49CB41FFB082D2CA2823EB683F7DB83C2D297C341428AD9DB8C4089F2295F40D39BEF6F9A7CD36D35CCF38A17A144A478F8A1BE8C413B9427337A1FE';
wwv_flow_imp.g_varchar2_table(5866) := 'DCC8CD9602BDA94C00BAA413CD3AE3144D1D761E550A2C8CE0A3B4D1EB261528498C321D089E752E82071E76D871A79D53DBC9C81D5351C2E854525B4D150056055A47A05557153524774AF5A85200D431E7D75F0562A79DA33852671D5B335A679C75CE';
wwv_flow_imp.g_varchar2_table(5867) := 'B175595D2F554A35DCBC24E988218E000223217610C8082FDE406420472071841147CC7DA90C00DC78F78E3B468AA5232E00A0A2B003E98127DB6A35CAF2AF90EEFF396AABC40068471C00D209F69C86CD51E71C9BC4F9A6E2BA04FA06A46D1606A09B6D';
wwv_flow_imp.g_varchar2_table(5868) := 'B2E966A093B629CADE8C34C6081A713E01200E00B0D802E62DB40040892200B0E25D2BDEF842209C01480200A081DEA86600681E651971CE19D3A37C06E688082500C6A81FDCFA716753902CF841A014049A80233C1069B7A54236F202A377DD10C80D3C';
wwv_flow_imp.g_varchar2_table(5869) := '40825BA0278E1088071E3693C7B83CAB4E6D4D8E5433C7B1C16019E89C73040207807374A1C69C85DFF9A69C77EAB24920CB39A2061C6A30A2A61BCF39FF1C9C6EC039069DC801881C758CC4E90380A305C222A3168AB6C2DBAF0100A1051B5A18C80600';
wwv_flow_imp.g_varchar2_table(5870) := '807041A02B325A431600A841FCA3AD3382A1E8AAAFFF1608EB958450E16B11042A0100ED057A572047BE07C0EC8D2811E864815CF9C88DB737BA43EE8C84D8288ABA33529B0F76D9A247EFAA35BA5A378DEEC10FB0146732FC3087E216F7888CE80223E3';
wwv_flow_imp.g_varchar2_table(5871) := '7844E106F20E8601C026EFA8E037286717C5290F238AD3DC0711981191690C1D1AC36046C8C18D33586F081A0942105400361000010429D09D407A37101704CF7A025182158220902082010E89980600B681380C05EA1E15C25064E0600000EC40094A90';
wwv_flow_imp.g_varchar2_table(5872) := 'C210A4008021B4502042B000003CA0A2E8590D007FFB480A3C5002B1A93105DC03001F32622EF079241703411B004291113560C40D6AE8E340C490458F448125735417522A048FD4F0CF6AFCF8FF9F46F8010F79105020FF48C75D00D0068E681200B028';
wwv_flow_imp.g_varchar2_table(5873) := '5CCA282841CA614E8289435C0801B0B9C471AE7319E15C09D1B111720C849044000017D63010E201C0083000400B74A7BB16B4006C405081B78E09001514417800F0C11582B08520AC010C9598CA36921724A1740A00CC1B08078666332D0651905E0300';
wwv_flow_imp.g_varchar2_table(5874) := 'D826D0C6367E11006A78DF7CA2978FAB14AA2347B0C013E2F7C512A8537BEC04C01DCFF5CF81D84124C7C08818F6E8B6B609240A84CC9E1058C082ED810D235E7882189EF004877E046D8C081F4946D411453A92918D9487ACA417497AFC291D215CC002';
wwv_flow_imp.g_varchar2_table(5875) := '3E620A8C58AE1C354D5D512487B98D702E849AD348225AA6B28C01E018B32C8610FF84C0030F28610B3E08C215ECF0895A1C02093A0080094C70D5AC62040637B881406ED7C25D0AA40B8D588534B6B139B2E0E61FF940A9A6E83910B0012DA300A0DF40';
wwv_flow_imp.g_varchar2_table(5876) := 'D688CE730E046EE373CF18A737922700C08B84FD9A3A55E24E3C2CC20EF7D34850F348D0840EE48F47A02800329091283461A302A1C26043025075818F1287C4493FE0418FB696B4911B89E4FEE8D40F7594031CE3606048C4D1310A7284A60BDCDC6F91';
wwv_flow_imp.g_varchar2_table(5877) := '3710550A440543F0993383D0423CC8226506FD864101C05878F98C0B5E80A3409CB1098CE86B205348421390E0C3700A24071809422548A18C6C944C1CE3D8878B82B49FA05CA44832A8DBB69EC04581D42D7E62EBA27F0934FFC6A0DC23AE1B895F47FC';
wwv_flow_imp.g_varchar2_table(5878) := '3992C62EF69D0359445037B2BE3D0A3203123DB04640EB1121D000071A41C41C01B02E00941690935D8924FB11A68E1C6A4563D4883BFED2A6AB880C1CBAE8054C3FF2088B69C426B415C8290723DC8D748C1A0B134722040900332437B93E304353862A';
wwv_flow_imp.g_varchar2_table(5879) := '10E866C40D7BC048339AC10B5F082417C5384631EA0866F301A01368289A0F06623C8194EC735B719A13C9C81123CC8DCE03C1A740120C000BA8D1B00202AC55469267C346217E42C880A03DD260A286C48F6F33F1B79A008048CFAF239116080D2EAC11';
wwv_flow_imp.g_varchar2_table(5880) := '119316C4024968213A1D12D44E52C519F9475ECC68A081EC272F70A60CA02D649DABC1839B021CD87B83B230A2FF140EC71BD1642F6E0A80857D4316A138DE4758490D56BA521CD438B616053284202821086D130628870A0DA26A1B009FB084468C2190';
wwv_flow_imp.g_varchar2_table(5881) := '620CC45EB13886B90160AF4FE0CB07590C4279B160446508241BD4C80651DE9C11F96A443D0018038635B2D1424F407B19AE0F9F5A7284BB66A46E7B76A34020BC11820AC40E720BEAA33782873D8AE1080FE74813E267E93E7711D334E888473982D081';
wwv_flow_imp.g_varchar2_table(5882) := 'F88124A34E7147DC541676A483D5782A0B6B068299D668A8C0CBD14DD464F4DAD4A846AD99E4C80504128663582323688B1F281606E4C4A9841AE98BB640F0D5C235FCE2881AD1363730720C558CBB190329BB2A04420BA700E316C018C64C6C118A3E80';
wwv_flow_imp.g_varchar2_table(5883) := '96FF6A5218622994016C002C2371A7D6D35B071235847704B449CE30FDD879E050D3A7D4201182C10170E78194E08B90EF881D262B068134F818DFC8E347242A920B430123261F3900F070BF0F87182322D608F8E02092D7BAB87FFB288733AC5C8C7E4C';
wwv_flow_imp.g_varchar2_table(5884) := 'B250ACB1C93FE0010A4F1CE51ACCB0E4AC40018069F0C315860847ACA9D38F2CE1459243BF9A3D14078E5974A4000B004318C8C174816C59F32DAC442A3DC2406033B0C6A9BC2D008E2D6D8EFC0200D9E0063740C90D6E93031AFD1F7746B461130EA113';
wwv_flow_imp.g_varchar2_table(5885) := 'CE27236441163EA1CAECC00ECEC00A622710F44EEF06221E304380F40D24620FF50602D1F00C23EE492000EA522CEFF1BEE8C2DC48D13C42F3FF02EAB10060E2DA09052F0DD3B467C334020A4A60C370F0D22E8C0ADAE690E6685DCA07E5D42623AE0B24';
wwv_flow_imp.g_varchar2_table(5886) := '66AFF1CAE21FD4E110D2200D00600FC4C17F36623F32E106FEE10662E00762A01EDE251D1C221B02400A6E815EAA0014FEA1DF92E36FFA41413C64F6FEE71FE20181386923140000C00000C20F008A61CB00400C7EC7022AA1C83222C83887731868D9DE';
wwv_flow_imp.g_varchar2_table(5887) := '4F23E46F1135E21BBA4EFF3406ECB8EDCB0642FC064215462123E82F174201150040158CA11810C10AB8000C4A412060A11460A117563195ECA1025365513C420ED460B02C6F2032AD233E2104358306834390920CA90A6B0307028E1C01C21641B3184A';
wwv_flow_imp.g_varchar2_table(5888) := '24DC29232ACE0BA2A0041E4E7BFF4CAF234A0E174D4E1A4B600807225DC2C7B45E2F038D10C51A8F2BFEE11BFAA01854A116362115A450D532C10A80810382C20452C10F28800B986107C2E10168411DB80006C2212F64B12DD69023D07023804E20E8A1';
wwv_flow_imp.g_varchar2_table(5889) := '1C0FB29BF4A4FA74E32AC44171DAA0D730420160EA85ACC11277C111F68076000010F86E7110081C6A0C1C241000742125A76E20282188C649DAF00500726920B0ED1BA041FF0402ECF0A8EC0422DC06C2103CA12A8E87135541BB7841206AA116B8A00C';
wwv_flow_imp.g_varchar2_table(5890) := '30A114A2B29304821501601C28F0EFB469256C9124300E23E0E60C34EA09B84B2F0A4D06856006D5927BD480174943F234E20832EC13408C2E931127F080A034CEAE422F24FF8480F4AC717B00200A1A0C085750D3601092C85150F4A11FCA6113D02E29';
wwv_flow_imp.g_varchar2_table(5891) := '89819202060068410920810B82A20A32E10D22010EAA2009BA81008AC02122010132E10C0D231FE0E128CCC1265E3323742A2330E635D5E122FEE42133422207C21E2A82813052202E40230120885061173C512036E10CF00C6E5472150602110522C838';
wwv_flow_imp.g_varchar2_table(5892) := '42168EA8856432233250634E821B9E81277D1200A041180642283741BB6AE1166E612A6481195C0112927113F8D01900C017D0C01000A01438213F5371204A012B17892BB80924EA26C930420A0C7418BBA8403F420CBCA02CF90230FB8C06D33223528F';
wwv_flow_imp.g_varchar2_table(5893) := '34BEE00B82A02B31C2F21C21D4168F25F692AF54F0239A40E4FF4ECF1707220384200ADC40B4CAC7114A0BE53CCC11C41124500C4D1C891D6A4120D6311C74E3331E291C94805E10C010402101C2810B0C011E024020038016BA2115862109ACA0AD7A6E';
wwv_flow_imp.g_varchar2_table(5894) := '2950CB602C422E508228D4E128DC2162C0421DE4614CCDA11D52225852221DE02137D930E8243248E3611AC6011616600E31C201AE0E004E010076412050610FBC0604BE6019CCA1175E610D122111CC000CA8490E3462B8DEEF1BE4208B862007600823';
wwv_flow_imp.g_varchar2_table(5895) := 'D6201930821B8EE819066227771219A0A11306621378C11836A10F3C0100A01317460112E80500A040BB32C213D2E7140B672553292BB3C2025962E18A530DB2C84031827E9A912392B144CD12E44ACF17FF3DEEF568143436F4CE2C20CF8420C9CAA7E9';
wwv_flow_imp.g_varchar2_table(5896) := '5EEF2E3B02949A312F4362067151422F8DE4D2F2C09E400DFC4A20AAF5F5DED52316B323E4011A8CC1176AC11B26E938908311AA60619041099280180020125CE11F32010ED4A10A7E201322C104A4C026B27429EEA14DC5C1153C211C2A02189E6F18CE';
wwv_flow_imp.g_varchar2_table(5897) := 'A229AEE116D8012252E13541C115AAA11AC461186C221DEA61371E5241F241E800A52C4A46178213002E6001F8940404421334A1120755065EA005A480EF12C167CE6F0DCCC06782805807A211820B00B8010F60685383E0B84640F9BCB627A7213C31E2';
wwv_flow_imp.g_varchar2_table(5898) := '199E41ED36A11552F5600D16175EC10CAA600CBC600A96A00FE8930F01C015624214062215FF13A157C10158AF66404102B482000FBE000CD4400DC8E9169135238E7120BEB22D4E5420A0207ED0357E6E70234C6BB466140042942DBEC07015B7719375';
wwv_flow_imp.g_varchar2_table(5899) := 'B0F08012E832753B2D72510623DCC99D5C30313F8206A000D34E8F064EF0BAD085B4460C04F140F316CB11FCC046D52E24EA1523E6441FF6211D9AC1173EE11DFAA14DE6042806E2BD06C2D52423D5D4E20C8F821D88A10AFCE00DFC400AAAA10CFC601A';
wwv_flow_imp.g_varchar2_table(5900) := '40331ACAC10B1EC01CC2570A32C1100CE116FCE00EA22109CC412E2EC26AE2547A500C50A29712C020113202E91680381D000B82C00E24010092731724C10BFC201383011C1A610B64E6516F929A064266BEE0268F0BFE38A299E48019FFACD66ABB8EFE';
wwv_flow_imp.g_varchar2_table(5901) := '52A127A1611AA06118CA065701E010FAC00907C20AAE20090876077080A07C41CB7CA118D4B31754313F59B11408B817FEF6D482351647E20D06420AD6C09D0E174101807441EB089615233EB71709CBE428745A3D17E5506EB408037165D771BFE71350';
wwv_flow_imp.g_varchar2_table(5902) := 'F7A39CF523A68CE2E4664441C2F428341773D0D05AD40D16EF90E2F58D040A00A0EC2366AF20D3C1796B011D8C03E736621FEEE1BDF8E142D6F040C843FA62AD8928732FCE702BD40119AC00125C2112886018AA301B22C1086E6118CAA00C6C2112DE80';
wwv_flow_imp.g_varchar2_table(5903) := '1132810BDAA11F40C106DE007F2F697F7383D5548CF782423752410A84006CD8096801C00116200C1C201182200A086120FF76219AFB0F189C021CB0C00C64A778F0E02665660D221579C04118A661B2B848BF18E17844D585A7211484F907A420159EA1';
wwv_flow_imp.g_varchar2_table(5904) := '859DA26C20A10E04620FFE2023A8060042130098A00F9AA1155A415F9DA22AF8938861A10D12A117B0F21509527041228B8E0B0FE446433FE216BB6DA00A831ABFB8A301A01AFB8C903ED4A3CC387C68B42DE5E84691026EC080A505420A122A8BDE096E';
wwv_flow_imp.g_varchar2_table(5905) := '42E17141A28B3B025C313A23A8312D41BA760702D332CB235C0F278E109282821D6221191F6C113AA11CF80628DE6B6FCA2228482A50484A28CA317F3879188EC00A5CC10F9AB41C328108EE000DFE2112ACC87C77C00A624109AE411D22C10F88B41C72';
wwv_flow_imp.g_varchar2_table(5906) := '393774E31EFFE0811F9A487A2C82ADB8421CA0A165F6280ABE08411BE00E332997EC801504E24F01A0156A01EDC0211BBCD9263D1869D6600B145B88E0263B5F4116123308C0C73B7952207C66CE9E40ED98011A90C10FBC0011AAA00F5CC701AFA00CB4';
wwv_flow_imp.g_varchar2_table(5907) := 'C0677C46099060079C50150E8117C60E009881FEAA521589F81413012BB3D2382E62AB13ED0E151B0F408C753D57205097C440F025340E5C49A2D04AA0E4E2877609EB06DD68B08AD0A3448CA4F9E89F1C810FE068AA75C211E4A05BBF87BAD3182350D7';
wwv_flow_imp.g_varchar2_table(5908) := 'A631EE13224E2042E1B9A0ABBB291A7EEC2A1755C2F4C47820D69B5D703A43B8821C79E41FE4C116DC800AAA400CC6600CAC6C0C3201AA7984913722AAFF2B897AE9042EA46FB6D4211A22E119D08012ACC01328E10D68211538930B3C411CC49A16C2FA';
wwv_flow_imp.g_varchar2_table(5909) := '16C62012326163FDC026D4413D26720DF7BAAF237CAFAD227A7D72CAF2086D4840B14B010CA240F38616B213391762611C92619A305B23D0E026774A18B4CD02166E53434C1648D527615A0604E207588EB887E10B84660A006013904068CAE00AD08078';
wwv_flow_imp.g_varchar2_table(5910) := 'B4E0DFFC0D320FC11254C11272419C8341204A4102752115C100D81C3A3524E94E3AC2215E6F6CBA186E48ECBFB9F87B3E6F24F27B2024347375301BD75530914A6E3CCABEC7D873E5A62D51AF089322D4C0C01112738F3EB4DBF69B2E298E23B82DA39D';
wwv_flow_imp.g_varchar2_table(5911) := '2BD4E978236E11C167B7231E9C258E1A2FFFE4C11092E0DFB2A80A04C20BD4A60CC2214007821ED481C2CB687FCD411E2E1658FE221FB201489FAF1D9E2F210DF2A4E4421D1A06DE070259E0811622211BB8FD280C862838D9281A32378442AFF93A4C98';
wwv_flow_imp.g_varchar2_table(5912) := 'BC7AB5ADA804C21B8AEA18BC2114C08004C2606EC4400FF44020F440128AE11BC06E1C5E410BBA0066CC40663875E4052297880D1922EF078EA0B00C5454B50D19B8C111C0C66B9EC00D6A15197E010D6A9267AC600C6E7B208EAB0AA880B6D3E0109252';
wwv_flow_imp.g_varchar2_table(5913) := 'BB0CCA53F58E8005A26F13A11428302D9C1B51964720F239233CEAD699F1BA8FB17C5C9DAF92B1653C7D6CA28B23E01217410E30D5F27611FC07195C7CE67520B0412D5E176E1EED0BFF8C152C2961BFF3A85B1DC1C45297A8B0AD8E8EC1A0C8752384D9';
wwv_flow_imp.g_varchar2_table(5914) := 'AEA47620A0B5232CF7F438A26C845720DE98249A1D23AAC10BE056F333A2E7CBB0AD262328B22135C32113EA6126FEC113AEA11C98E11E5C21DC99211C8C02146A8A160E02FADEE2444E0A3E60256104A2DB29221B90A135C3B4F88DDF4C8534E0F73AA4';
wwv_flow_imp.g_varchar2_table(5915) := '4425B09E2114567820C64DE15D618FC2A0144A61119E800E32421550E71CA6A114A01300120114243597B6C00C90C626ED106924F58884C11542A1EF01C00F006120926F5485E19D92E00E0002120000C3A6C1B10280CB95310B0702F832F08A95240090';
wwv_flow_imp.g_varchar2_table(5916) := '00E833F050AC63B9940DEC050BCC88113900802905A0D73E7BFFF8FDEBFF070F803E87346B027005008F433578BEE8CC09400D4D883485020DE5C861D29A8B1C2DB509B5269E45358F3C791275A0908134B8D66C02A08490125106326244C911A3A7001C';
wwv_flow_imp.g_varchar2_table(5917) := 'F9F123D468D6B9746B4AB179F789902342F43E3932D029A54F69097F1AA8D3CE5347A1A27ECB1574911AC9546D0A19226508D69A34B6421502A5A6D8B20E19D94404804F4D6C756BF28327AF5F3E9BAEAA70F132E62D1C8C680058A99249F6BF81FD0084';
wwv_flow_imp.g_varchar2_table(5918) := '73A5EE1A2D75D5A2C11BC6ECDA3500D5B295CB36309DA76CEA6C0DFC578F5FEBF1E3FF0D07D0AFB8C37FF7FED1AAF6EFD6B37FF9EAF3AB9F8F9FFE9AE9D3DF83C7CF3DB33904A043E20D33C6145E00804A28C5D084FF07180E7DE286258B48E25027DF84';
wwv_flow_imp.g_varchar2_table(5919) := 'C30D00BFC8D1C840AB94B2CC34B2880840229548B886848900208B2DD070230C54AEE0441334DEF506C082770C040D00CC3062C516BE017045920AD1741710469471050091C4522300C90483528A390401C00824A4044E3CFFD8E3523FEE0030606B77D9';
wwv_flow_imp.g_varchar2_table(5920) := '85D55D46ADA9955E350D462700834158D331735586584E7C02A002005891E615009E09D155139E0D1405580E0156935A6C9147E95C43402A851A996E7604A4860A71171E940C66D85372D5F48D43DF1C06809E3B656581A70EA56093585D7D66D35A50F9';
wwv_flow_imp.g_varchar2_table(5921) := '815AA551C1269B7834D902511508013046150E8D21A53EFD9C575C38CFD8928D2DD3A4024036C0A803FF4A34B7A4624B3900B8E38AB6FFA883AD3868FACA2EA5F4B8075F7CD99C57577FFDFC978F800389171371B379A24412144571C640B500108B2372';
wwv_flow_imp.g_varchar2_table(5922) := 'BC220B35AEE4A20D8303A9821333038D12840F0359A105976B3814E24059BE320D00C2FCC24D90A955B6262036210300606378A12C90C324E37244446901008F34A1A145196578128DCA0325F351222E0CA17110A594028E3D62B204934CAD6562D35F3B';
wwv_flow_imp.g_varchar2_table(5923) := 'C149939C36D1C96A5B511D06595689D5C4071E62180AC010030DB1A84325141ADA78929A06801F79E30D9532E1B49B551016CCF5841458F165D540A30280549D40D961D331E5A8934E9E34FD399014510831385462CDED10A286CE7DEB58718F77FF0B00';
wwv_flow_imp.g_varchar2_table(5924) := '254B53E96BB1A5E99038B164F2C64077D4FE461F6F4C79CDB306FE134E38DC45730D3CED74834C3FD90CD3CD3EE198835D34EAB8428CF0F420534F7A806F9F553DEE45631E3FAE20435F6BC5DD0BA0BE0316F8AC787E005184C00E3521066300BCB28A2C';
wwv_flow_imp.g_varchar2_table(5925) := 'B2C4820C390018B30B003CC8139100050042F4138944A92A41184210D6D48B81C02C650351C31194B03100ACAD4A0080062500402B1E60A446D04006335C2187030EA412030919000021873FC401005BA81D3106C21A2B9D68202F02800F82E034598469';
wwv_flow_imp.g_varchar2_table(5926) := '4C2EF9076CF0C13D87FCC4216D1A5B9D0833103E2DE2309382CA1201B0083CA42D285B715B4D3AC736CFDC4A2B9F8BDB666CE287A4FFBCE264D8824A388495441E02E0810FA1CBE990F209C638825590BBE240BEF10D76A8A31CAEA2C9DAFC84183C68CE';
wwv_flow_imp.g_varchar2_table(5927) := '02711B1CE89248049AC08126E2E8464DB0030073A8872EC0DACF77FA410F7ADC431EF400403D42594A00847226C3314F4BF2311CF598671F3691C74CDA43934DC671970EF19E2DBA718F72A48216AE6889F9D0F39FFBCC6636ED28D0BEF2660424D8C021';
wwv_flow_imp.g_varchar2_table(5928) := '46008CB1FE208B656463191D42879EACE12A717C831B38320D1F266986876C61673409821C7E01005A4CA3431D02800E6A124937D82414181948D93A58A355AC0183731981437C90CE3F802219DFA88695925692B6390D6AF6B007005862C475918713B0';
wwv_flow_imp.g_varchar2_table(5929) := '188FE1AAE210B0DD09FF31763815BBB23810313C21054250810A3A77A8B93D722E1918085920229732F86192003060BD78F9085824220C7858435C3E3A90C2096A334EC98A1A4A1AA9B201D2218DC14314D42097A9A4542B34490107BE4A46D3796E2C51';
wwv_flow_imp.g_varchar2_table(5930) := 'F180077E3010AC0DC41CE028D93600078F7701403F9E74887AF4815787E41500E6C9257AFEBA2F7EF8AE38D0D2252F0FDBCB7FD8621891F0442AA6D1123866C55EF50010EC9A299EE2D8431EC7600521A2B084690201AD14E1021700010A7886031AE4F0';
wwv_flow_imp.g_varchar2_table(5931) := 'C62E7C818E81FC0D1A383ACC609282DB42F061297AC3830B83348D5429CA080088E4408E40ABA8C4A218B970153732A18674FA260857E01200D680852D58772060FF90838BE220075030631A48E3E11072E0030B70A914D4A8684BC674265ACE45BE03E1';
wwv_flow_imp.g_varchar2_table(5932) := 'C4404C5113A27C410A9A0380E1B84693B414C62192815C54DE61133FDAA4092948EE40269081B9D5F4740EA969E8CACA816942451A98DC46373C9C2DC472E211937804261C2207FE3EC1A4FE8D1400A8D82703BF982693E20953F0A060B10C44041E2841';
wwv_flow_imp.g_varchar2_table(5933) := '0AE6C652CB6C4E503559505D7031901B66721CEC8AEB70E82AD9BEF2752EFD81CA4BA05265E26419B1BC846536FCA00E5A0CE316ADA4D764D1430FCBA6891D00BA3200D8610D8708A2099154C110E0F7362B98218D0F02802F76E13F00742365B1A84528';
wwv_flow_imp.g_varchar2_table(5934) := '0E66134874221494684C4DC607006E940C8435F9C1FF0E007069A8A82217FFF4A71FB690C244802111A2B60918BA509344A0A4117158C54752E44507AA7A8816358F3BDC415FBA906216B350C47D27E1902C8181C571A2711E8F5D94A85451C145DE5C09';
wwv_flow_imp.g_varchar2_table(5935) := '6EC5810938640264850AA1CAA254A11899037399B425D9FA374CC63110F5ADC92300D00639967A205F0003B3F30895A5F0E98CECAE898CED4D93C425B57052108349F160E381A8062AE20087255F310A71AC43193E5D3275DEDA1A27CF95AEEBE1DE96B5';
wwv_flow_imp.g_varchar2_table(5936) := '8C1E7B699CCB87D58F2BB5730D579A392AE74BB332D7D5CC580E841D088EF340E8208422D444E600301622A011245F38E4151D848CA327D6090014628A0030F48C43C12A98D1642B68CD8AD196FFD0045544650D770143182474F530C891BB5AB74922C0';
wwv_flow_imp.g_varchar2_table(5937) := '9B0859F42211390814002CF0A230CDD595F0C0F5C4E9D2D18160220B34B1EF40D20D15771B090068A9E24E30C7A43312FB720341C5220A0600B078EA2E5E3864508CFCAA3E656E206F2DB847040D806D345CB6BB34C52CCACD060088C226A2E0E8B961F1';
wwv_flow_imp.g_varchar2_table(5938) := '882C45E515381A88810F73189D88210A5771C81AB884553C203E2B80B771C09532708704FF7E0E190738400C805558122AE350D778244EF1BE8E7C7B66B617C7AFEF1A8FCB43E4D3B749C90BB466783CAB38FB60F9405CCEA0BA012192F12B4215CA0009';
wwv_flow_imp.g_varchar2_table(5939) := '6E64E3152B1AC8C73C618BA077A216FB6FCC276A5108001074C5100AB1A038CF30FF4FF00400CF000068B5033D40133FB0156A25748907054B210CC7000D7A0219FA846A5D806A03810503D10523280723785DA1060AF8833F11540A7B8705EBA57645F4';
wwv_flow_imp.g_varchar2_table(5940) := '1AB8860F751515110400A6A00B00900759006C00107783B083A510546D000B28F108A9977A00706EC9671393C1278E40156A705582B2265FB05F59E172111315FA141456141851F156E69079CB971568C83D9F775F3D381079501398307A9C307A006077';
wwv_flow_imp.g_varchar2_table(5941) := '34C186C1362980171484524182B208B3C70A02640D81E610DE0000BBF027BAB5140148637C6713C9D00DCE4713DB206E34710EA9B364EAF07C720565D8078AA1D81AAEF453A0A4660E8159DF517E2D5713ACD0193F000434C1FF2CA9500D28118203A105';
wwv_flow_imp.g_varchar2_table(5942) := '68600841673006E46861D32ACBF541DC90438C903A38210468D5033740291BD8411932746233211F341733920DD9F00CB2D00DBDA07A22D30BE7100F2CC157466483AD317A79E810793008770800976087A2675F71175403010B6E0800D44017CC966C03';
wwv_flow_imp.g_varchar2_table(5943) := '318800807E75E108BB258DA5010070B0147CD30D6A08009CF8560AB9429E0000EB300E330138F8050B79C8862756137558139FC786B3E086E0F062A810154FC5281A745546B10832C68736B10B544813AAE108859014AAA13703D170060715EB90792533';
wwv_flow_imp.g_varchar2_table(5944) := '0EF4A079DBC09303E109CAC00EE4E18914278A4B198A17D77DFCD11F95152003C20FA9C857E5175B5041084C17FF4946804163700BCCE05D29750642C12C03892D0638109FE020CBD55C03910A3841096831690E916903D17459710CE4200CE450485061';
wwv_flow_imp.g_varchar2_table(5945) := '7454C538C76080C7A07403418CA4A06A5A97086D1006E9D60BBAB00FE7611E31B10F48C42E1E6913F8855F00300B9D795F50718984D79288815200101AC510315949138848788D98376DA1377CB05335F161945817C9C0934A860BE6B05780330B71471E';
wwv_flow_imp.g_varchar2_table(5946) := '79089A00A00B1EA90B3AE80BBC9088C06878CF194536410874518859F11402693F0EC156663810E3C0890E110F50310ADD300EE2320A861007E55517D0A7944CE99E88A571864565FD617297257EAAC80E864813AC7006A1919755E0057D400CAF00065B';
wwv_flow_imp.g_varchar2_table(5947) := '80FF0688200996A0090E1180C2600BA15080B55068CB45A1C1D86876621A95400946535C1008002F30101C4417CEE82A61F309D67030BE500C61D36750D12129441359F02500500A62F21DE47899380815C2299CE838104128843BF879F89587F6985635';
wwv_flow_imp.g_varchar2_table(5948) := '1136FDC814354107BB1715D5391788E016906813E2300E66080E66780E435913220900A3500D57BA0DB86008BC7491C63910466AA43B387AC219A45D0A0BAA8068CB194013820AD64092E7870A750A0067A027ACE98F00A09FAE699D3F416CE7A00E88CA';
wwv_flow_imp.g_varchar2_table(5949) := 'A50E514A4CE61006740E09090E48461EECA9A3EF89A9DB139FF2497251097EA8E84C00507EFA0900FD28045B51044ED22363D009B680424170FF0702E11062B00795400CB660407DC0A2B9C05C08530CB1401838E10A3FD73500C00334A19636D1695041';
wwv_flow_imp.g_varchar2_table(5950) := '807D86688C234003D1A20E810E419232BF5023277222B4104FD43099456444F07099ECD251C719879CC0999F591371F7912B0400CC99880014679F70A779EA10E847309F806087D89AE411905774A5E7D00EE76013EB100F066BB003E17C60BAA876258A';
wwv_flow_imp.g_varchar2_table(5951) := 'C58991676A13BA100C03A17350B10B2459AF12E310D3E9925041A8FB5A1490A3097CF237A8B8900DEB10F3300E6AF8560D5929C03257994AB3BBB4A99CEA7DE72395EA03005629AAF240AAA5EAB1C5158B4910A006380A6010046058AA19610BA9A33714';
wwv_flow_imp.g_varchar2_table(5952) := '21AB03710C0F02190FF241A1D0FF7A40C269CACA11548B7351B19750E10BA1600D66EB10563BAD61EB1046C30DF4F40DF3242E2E811EFF200FEE80997104B167EA8612EB9934311D00D00C176BB1CD591378BA0B192B097420A835710AA51A31FF4817FD';
wwv_flow_imp.g_varchar2_table(5953) := '0400963005E4109E50D12FE1490F8B7A94A9B30E1EB60D27FB9E6BEA1071A70B6E9AB603E10CCDE010BCE00B3A77B17FD61A7C9A15ADD50A0E61AF34D12F00D0BBE089B0F1109ECB070E09777CAC13B3AF235935CBBCBE72B3380B95E8737273E5B3E527';
wwv_flow_imp.g_varchar2_table(5954) := 'B90040088E525C46F00355400585700CC3600B296408D4B8A08BB009B6900A86E005C74A037D30ADBCEA4F823910B4504F00D0B5F80B15AC05B61A28A84653B57F29AD0F52FF0C1C5813FAC9A191F6B693360D73CBBB1A757D1D0592747189C5D00C2D7A';
wwv_flow_imp.g_varchar2_table(5955) := 'B1F29A88FF389DDE00A881EA2B790AAF7BC09D51514A094B13DEE96A0E818614B99420C986E68AA669EA10D4500A7DA60DD35AB801E40BD75BB9E80740C670BDC65017B64B92B1301CF0C0A5997BB04DBC0E16E510A90371D9C0611379A93521B3CBDBBC';
wwv_flow_imp.g_varchar2_table(5956) := '5B6C3ECF4B17F6924CFA42BDA1BA0FF270BD84F2033F40044640055E100A86890C2F62062EA37318B208A1E009776004C70A0090F0AC050C1535A2B588594F22EA10FEDB411404B6AD92C0803C108DE12A65F3B53561ADC4A8C003910DDF900D92262E58';
wwv_flow_imp.g_varchar2_table(5957) := '0C00F7B03D6C30083ECA6B7331C136E10CC5E00C36E10BAE3BFF10B06B0CBE40C43441C4DEE085F16ABB51E19AB93C10640009F2A04A2A0B00E1B90E9D3B13A43B1097275B2E7C5821486E7321C3E4A19A34F167B16B0D3A97BB0E510700B0A089E8CD36';
wwv_flow_imp.g_varchar2_table(5958) := 'A10D840A15E8B70BC670080B1991BF9BB0C20C00E050B19684BCD150A9B131B35C6CCF5D7CB3A518C669D24C34B10FFB6034AC1067A71A814740057C50361693082D822143EB08B180081E6A07C05A0BCB7AC82AC3ADFFD42155120A9DE62AC7C00D86C8';
wwv_flow_imp.g_varchar2_table(5959) := '0DC7902A7B790CAE92C3020C19554B131A182433C21A31FD47D9A2C99156C204F2C9BE02879562BAAB310A0371CB3A3C10C6600CCDD00C442C0964F072855713B31C15955378D93C17F3C0A508AB4A8C1AFFBAE1300ECC807C2C5C0FCCCC3D4138093BFD';
wwv_flow_imp.g_varchar2_table(5960) := 'CCBE320E98B0CA697BCB3561D40090D6BBB009DDDCD4FF5329751A404E2DAA11D91A3C39BAD2E0A5C8AB0CB83917C0921FF76CD8F3E9C588BDCF685295A1FA0FFB30D2BA1B05A1B11768F50314D109908173A570228970166D118085500BB4E0075500BF';
wwv_flow_imp.g_varchar2_table(5961) := 'CD1A151C740C19080DC25036FA0407330400BDD241882CB64162882C6DC035D1673502D233C2B6C468C9A9227FD6B12FE11313A00C38404A17C55913BA300ED5900ADA90D6404DB6D44C13A8B0BB03C1CB35C19A3E9C154BEC2BD801BD95D2999E576E50';
wwv_flow_imp.g_varchar2_table(5962) := '71099C605FCCED10B3007100E00DD3BCD60E41B83471CBD50DAFEF4A1E454D13E5ECCAECB2FF0AACD30DB880BCDDE0A5EBA9BC87CDE0399BD89DEA1FE9B34C8D0D47C35132C2200C8E96145BD88055200690504829B30AAA3610BC623082EB0BAB5C0B02';
wwv_flow_imp.g_varchar2_table(5963) := 'DC2A18CEE20EE10A7EB4066EC0422D3D10E4A0C81D1468099CB62C1D39B1050DE8C08091364EA982C934D1C92EE112C9DD2ECEBD83C036091AE9109CE08EA5270A9DA90B3DE850BC3D17AAB9CAD42DD4434D13FBBDDFE3B10B690015995B13EB700EC8FC';
wwv_flow_imp.g_varchar2_table(5964) := '50036149BF9944577EE503E18EEEED108A006CBE0600785E0BD5AD0DC710E8851B157D36CD0E41D469ED0CD53D1E0034D4CD9006C7906B51710EDE390E4AB63D84ADC50D6ED8CFAB3D93159573551FA00A47C531693B4413A310075F10FF306E00E2096C';
wwv_flow_imp.g_varchar2_table(5965) := '80AA8021AE6713E21CA226D3412A63E4D4581330FA0635DE2ACF0815204DD21AE82A56CBE2BDAA27DC0A004FFB68A05009CCB0C998DCC90EB1590090B751013B0E517A3BC8ED517162BEA6E78AC0E77D6E130FE2855E580BB10BBBA8ECD6F58DCACD50E6';
wwv_flow_imp.g_varchar2_table(5966) := 'E4E1BA9D904A058BA896AE0E4C0691B215DF5CE68E357109781E154428775FAA0A695D0BD33CDF459715D49DC3D81D158CDE1A441C679BA0C475617CDBE0A86CA59E34B1E906A2E9FC311B4FC957EA211BF980B3F9511CF9104A03221B53F61DF7500F53';
wwv_flow_imp.g_varchar2_table(5967) := 'A6DC9DFEE0100E4AA24E953E5B1CC4E46AA5400BA5200C27320DBF700BE7D407945023E400DCADD2DD9BA0ACACA2DA9166FF1355020D946A7B00800CB1A05BC9FA4729F30DD0902AAC85C82C2E194A34103C6512DED52212B2B4F334ED0090E4EF1513DB';
wwv_flow_imp.g_varchar2_table(5968) := '6E13603D17010F38C6C00BCDF0E7FCEA675101F18C2ECBF74D13012EDF0321B2E3EC105CBAA504EB10599AE0153B10C87B7D7C0F1593A00806FFA39EEF75523DEFD73D10AEBCD6CB9915147FE3412BE6700ECC125917A3E910912013D90E15F9E0648255';
wwv_flow_imp.g_varchar2_table(5969) := '7174CB0EB1710F01720FFD2058A4C40FF5004B3C8F26EA51E10632EA8C6A1326BFC555667D744157552359FC2259FDC0074FA018901C24BF800CD3800C775008A9F0C6891CE4DF14A8E4C01A81C0063FBDF888B85C1FED8C5091AC5ACF6EA0E01D38D0A7';
wwv_flow_imp.g_varchar2_table(5970) := 'BE0D100004FF02E0C68D20B46308C90D742506CB40881123266A13A6141830DCB21904B0D11C007BFFF88984070F1FC47C03FBAD9428F0524B002F612A9A247110809A0355F1E2554CA03367AA00EC54E5CB57336711BD41E405511B396FDA22366B1651';
wwv_flow_imp.g_varchar2_table(5971) := 'AA4463002C69AB17515D447002A5B58C634860579869D5AA95295151DA469B066E52B58957ADAA0277E984794C5BD25A005A01F0E56C29005E79211E167855F15AC8024909BC1559203F78F444F613F84FDDB47FE9B20148F70FA5695BC84C0308272EE2';
wwv_flow_imp.g_varchar2_table(5972) := '4A7EF7887D2D072095A794EC00B802D0AF5EA657006845920700593800FC2C2F670E93656FCE90F94DC7EC2EA27278FCA203D8176A2844470072018016FF4B4CA163A1C60B84F64D2F007400AA2583350ACC6481E4121E4B18919B7B8852592B0E4A00E0';
wwv_flow_imp.g_varchar2_table(5973) := 'A1071C421166A0820402702068043A068F352AB2308C8A166843A0055ADA508E6500C046208DB8A92DA4913003E0A4E6607A24AD4B6A7A2BA219071A6C9356EC2A2CA25D5AE1452881766AC6A79F5A1C68A196AC916B9D88BA01601B8894192B9955201A';
wwv_flow_imp.g_varchar2_table(5974) := '0597518C6CEEA59C06AA51A09B209A2490B7E2D8E41481E40AB22981060BB2CDA17E6C461B6F8AB9CA97A190BAAA4800BC716697C700D0C61A0076C94A2031D2FA0580605A6AB41A6500A8D2B27C32DB2CB97FC261A49F722229C71C5B6C81C79561FE11';
wwv_flow_imp.g_varchar2_table(5975) := '271538A2C9861273D028831F5A6CA16718FF7BF2F9E79A2A6A73E51671684146B8CA68B9C55743B229C7165AD4F1E3322D9B65EEB9B5A853F13A00B283A89F630088C599620845C5916F07EA2317F51C0440984FA8A0E394F894F90596C9F0F3C69B85A0';
wwv_flow_imp.g_varchar2_table(5976) := '41923C82F2856944001E826859819A58AFA5F6C8EB2FBD20D2C2308C3000A808A236F0C8689A69B8C16623116B9B4EA47FE07116A718077A298F392E7931A249DECAA9CB812C910B4DC184CAD1CD88D8FC382D42013854A074209A32986400C005178146';
wwv_flow_imp.g_varchar2_table(5977) := '09A651819221FA66A6C3C469A039D25213C733CFF4712F00708413222269EE1300429C220C6B81960A148029041A0DA6461A91A81200E036048DC8F2A95433ED302D870B50EE88C413FF57BE28A7B248AEA1A41B43AEC9C6153F32A185193F18216698E2';
wwv_flow_imp.g_varchar2_table(5978) := 'D211D61D7532310D1471F2C9E42457A271E59F67A2116E9A8E88498E69D69B95D66300EE19083BE592D3CE166000E02F22228189A5904EA0E12896506AE9831556DE41074A5D2E82682172228C4C7A00328189963204FA24226C2CE6883D091714A86188';
wwv_flow_imp.g_varchar2_table(5979) := 'C2E8D07C881668380C8CB841DD7D8B3BC246E3CEFAF19845CB06711A2636BE14E82D45EC0F0073C00400FA60094BC0E4659B4045A1B66699AAFC0522678B88336C36906EA0CE3266689DB3FC0700FF05226A0291C41E0070883D2010223063A0D700700A';
wwv_flow_imp.g_varchar2_table(5980) := '375D9030BC6020530622C396900D0035E8443282B1B4B464096E0030C4FF1F00F006335CC113904989A56A371271C0C11CC388847032C10F4FF88116D130C43F76458B4C2CAB1BB400C02B90738F7F586F0CDD78C6AF68F1916BD80200C3704D24FE618B';
wwv_flow_imp.g_varchar2_table(5981) := '6C30636D00505DED3AF8C7C8BC0E00298908EC20120B3FC4021A9D000091CE758C5CC42215768805BF68918BD108C31AACF046CE0492C0FC78437AF6620F3AA8C7207DE50E600301E2BE20E29DE89187125B5018182042828180410AB6AC58C584C18502';
wwv_flow_imp.g_varchar2_table(5982) := 'B9AF36FBE84D72E0519C0EE6810D0299830041089343A4E5146A02802600D922384C6368B89854448638905154918368B8825900A08F6B3E73397910083BFB30903A4C210D6980080A4129109ECCE59E12C1A16004FFB1074D0CA68110418731F6D20A54';
wwv_flow_imp.g_varchar2_table(5983) := '44D34A102105D1C60225A4C50D00749B28DD4001007A40C68902B1553834570EC0DD4273D9F00331FE018A4CC0C1167EF0842186C19A3F888A12F2C08739C261887080E21FC478832BBA910A785C030D9EC8C630EE90896CDCC113A6BBC6AFD2F9549808';
wwv_flow_imp.g_varchar2_table(5984) := 'B225863C67F5E2368C54508211BC011F3018198B67644318B410C737BE810E6DB0422292680C7BEE4522E109845F721D51F704B206390C4416EBC9D62907C2AFEF89A72552B040C20A0B808401400810510389E0170B1EF04144F3E3CEEC8ED9A20F3E73';
wwv_flow_imp.g_varchar2_table(5985) := '8410899A229AB9D98880A10A75A0E772D8344D1BD945288F4185CD9A11B6AC0100152E84890E84161CFF4058C688479CE818CE990F745E93139601ED405CC0040020A125751888240E710A36A162139A90CB8DF6A99604B25520786AC91498208381EC56';
wwv_flow_imp.g_varchar2_table(5986) := '204423C52A3CD1883FEC367B00586F19EED01C4B6D0700F560073FE8E18ECBA6C435B109473AFAF11177FCA31CFF30C735E8C18E7A8C446DA36B8738C221BA8EB9E62BE1C88E84310A550CB7843A548588B504C2994848E10FC200AB301AE18A67B80F1B';
wwv_flow_imp.g_varchar2_table(5987) := 'B40085EA98110D64782217D010462E54E1266318C3930433C8290D32D781504C208DA0442318118A4579272D1C2918418EC1072E08E4084F18881AD480878160D99600C032001C414659704378AE10C21BB0818D6B0C53251E935DFE3EEBCC812CFF532D';
wwv_flow_imp.g_varchar2_table(5988) := '8168C90E90A0DC889CA1B40379EE7B2042366A3EC61849F9A4202AC81C4F743322E28D081ADECBE80C434D2D7286C87A23B2847ACAD6CF6FA2ED5AFE29368884000020B881719530101FB0170D6F788340DE7B8737C07AA2657083404021DF9634116F12';
wwv_flow_imp.g_varchar2_table(5989) := 'C95B4B9EB31DCEF46335BD898D72EE519CD5D423A3C35649A49DCDEBE970582025F12300FE11092B00C2AB33BEC58957E18A4A7822687F65C6400AA18A97960D5FC6C94F5C1924BC088D28B024825084940C21F8AC253EBA7344E4E200070030A2257228';
wwv_flow_imp.g_varchar2_table(5990) := '50786CE90846502211DF40DD2FB8418B2294611AD94873552F73CC36AF451400B849D446E859817469848318E11C96C9064A0F040BFF56480B1374B0671B0A04B511D9E70519B31C1808440500C80100587EEA894AE40D6E6875A5CBF007663B9BCE30C1';
wwv_flow_imp.g_varchar2_table(5991) := '654B18594581A001CF2D914B42250133B574DAD0DB5D0B10780E11220CA10C7110C81FDE090058CB7A20B55E62649C08AD7CD4231FB8FE70B39F980F7AA4A41EF7C8873CF22E127AC8CE562889483EAA4DF7675FB352C42E64B501E00925A00118A9C8C5';
wwv_flow_imp.g_varchar2_table(5992) := '826EC19B4A48E10B6800442578F38B687063189DE804BF84112161900319F6921E37C8810D788BF9C7DC8BC688AE01BF69C83122A614B35A0C62106140C210051AC83701D0884A14480EC98FDB1043218B6FFC9E1671A84488A6519B6B491B26FF80051B';
wwv_flow_imp.g_varchar2_table(5993) := '441811FDFD2F651C2FFFAE40B2D00512742122A318184432217000E0C0095010480A2D81751E9D492B03C1930ED772361BD8390038351718822148028130278868353740033758AF3150C0C41B08F513882D780833888351080EE11808F86BBB81983F00';
wwv_flow_imp.g_varchar2_table(5994) := 'D083136A8E9D818934D0AE81200306C88081B08111008221000015680181984100003881E00380C3B2F7028007A428C8909DB7630905EB8D7B5030E5E08C9468C2E870BCD5A9BBB4D08E95A03B6899C0745ABC7E703C0F1B085AF00237080C60408645C1';
wwv_flow_imp.g_varchar2_table(5995) := '855F18852190020028822138352EA8046C48853B8086B5E18867881068408875839079038067F0431149B1DB03000D029FDE8308208308770B3EAB6A3BE3FB26E3FF2BB24A08050D4A31390A0E6A98868FA83BFB91878C4B8BE86027F0EB38CB482C7F11';
wwv_flow_imp.g_varchar2_table(5996) := '8855A0055AE08D30B22A73A3028950A8ED320654C01A54D00459D48AFB6B8AA7101498E0AE88B081B5582581A8B5B5A3352C8C082EF882016439DB78050E1408AE8289F018887962AE0C8B008808401728022510C0000CAF2C8389378832CB28424C7906';
wwv_flow_imp.g_varchar2_table(5997) := '4F1087D52807CD91086163966CC884E2488561C00739720575B83CEB48467F8C2AD8E1C2C37B8662A80546CA1D00A88CE3030225B8828694022BE00257608650F004C0A2B77C73AC07899F44540BD45106D4F12B88D0087D812B831806E16B3B4F1822E4';
wwv_flow_imp.g_varchar2_table(5998) := 'AB04B8A904B7F1A695FC9E5F589055E80542C43ECBFF8A9D75E238308988F27B082BB88281003A50202381B085686C895020BE81800212242D154C0B3C39853420046B520BAC133588B0C12280081500821F083A4600183878038AA2A832280309C4C227';
wwv_flow_imp.g_varchar2_table(5999) := '98C15383B4DD08858BFA974258257440121A70028868202491045EC84BB2A11300A083B4A03F81380420E9CAB09CC1AF1C081020821C04004440849B2142BC818D4CA184D6B09C6C10074390075078067988A36CB8877248B37FC8876B18166248055098';
wwv_flow_imp.g_varchar2_table(6000) := '865EC1293FC8868C42BC7FC4422DF423EC88087D181142BB8597524880234A2EB8022B18822F000550A0845098AB6FE01768E81E0129BE48689BDC1A88389083ED243B39C02B88C08235800866FF8409F7C0188B39A54880BAC74B8B9744BE980CB74521';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(6001) := '9105490400A0066EF8083FB21F9E8C0C30C882B41884A543AC20F00125F00129483581A0B2C8283A00902C88A8053240AEB4D8BA3F4B0BA9B8B98138061C780000A880B448811600811F9002CE833F07CDCDB5784C8860CF8188B2C60242067D8788282D';
wwv_flow_imp.g_varchar2_table(6002) := 'A1D086AA4085138C08EED29AB692A13188800D900013302E16EDCAA093085CC08F552085A55C0B27D28E9160874A289570180638883171582966E0826C202A57A0856A10898E0895A2A2859D12077888043F5007DC54D1C45BBCE968BCCEE08E6CD19663';
wwv_flow_imp.g_varchar2_table(6003) := 'B8855B304300F8852FB00225D00225B0023524BB4AF0034A90B78B14B36F88852AFF20BBFF040030483F4A9D5400403F4C6DBAB4B882726B898D78908310B345320BB881BA6F4A84988408B8592250984FE023B2D1D04490E0187BD03E988828C8B80217';
wwv_flow_imp.g_varchar2_table(6004) := '18810E10C01FF03A00B041B58083C61203DF820858A451813801C48C086BE285B79A20002083AC54375F48A0260080EDF90000D800B5008114000100C04138658E09F08009880C2F6809553883B41108121C083DB084B3A12688C8CA5AD0063B89086ED5';
wwv_flow_imp.g_varchar2_table(6005) := '808110C06D1408130081198C033FF8C18808916020057080C2A9CA4CCEA81DDE109D321806A4728532B8053BF228935A1DD7F00C4F40835FC9848CF2439DFAC4729D407EB08E2D7CA26AA91DD3D0875810086240488138C321FFF8392BD85900C84E46E0';
wwv_flow_imp.g_varchar2_table(6006) := '8361F8BDBF12DA25CA2B36080336D8B22CF8CF2D1B081200830A8489BC02B2DF8B3EB5E80443F004531D8895343E2192A8B819B79BD5AA69E80663B1367BB83879485BC8503481384589CA4E1048570800807405000E0080BA158814904CC68AD1814814';
wwv_flow_imp.g_varchar2_table(6007) := '00B003582C06429B826685083DD8D1EB8A8843498AC53C030088000AA000705D0B157081C984895EC0D574CA2D81E3A08190000A508B1490082A834500605044C956B4838834C8454DA88A856013ED72863D118881CA0B2CEB01060080D21DB516680119';
wwv_flow_imp.g_varchar2_table(6008) := '0C567185881100005A02C245509310D9065D908610598E221436717085A3CC845478035A58D53BB08548508E37FF3007E1FC87763004508806750006508087C53195BF418E94FD471569D9419A3698B5536D190560D84068C4854A48C38604002E900229';
wwv_flow_imp.g_varchar2_table(6009) := 'A804EB412943683F82E097116904A28CB34490334AB325369083A415886592832D03032D78853D8208F101B2D86BCF81880497849B2C01A7975CE125AA845F7092837805321A0D734091CEB0D5B560BE88C82D40C0832FB0000E9000BD5D0B2558D78190';
wwv_flow_imp.g_varchar2_table(6010) := '8275555D001083189D023C43E2C8602E4218A81C82083EB083231088CA550B20105671BD0223324646899481188BA702041E6C090AD8DB96900022AE34319082238802067D022A7802C1F534503286A6B0501F9108D80A8C3E38BBC90D5E9D634310F080';
wwv_flow_imp.g_varchar2_table(6011) := '51FF335E81E83957EB8345100865D0853336E3B548428CDA8C9510896C88867F60876B3007EB600766A03075088D48C807756087D51487E33065DD608754868753FE87379D5F0CABDF6AA3366BC3657DB0054F388651985968149A3700029663B92B9002';
wwv_flow_imp.g_varchar2_table(6012) := '3300854680845440CA4C0805CBC4033972AA115916B253B92E50BF354818B85D5E3514082D883AD5093DD610BD3962867493880899D9BF91A8171EB289004197544881409D6FA00671385B142189E6A84B8890034680832E1B5D088863CB4003C09D3258';
wwv_flow_imp.g_varchar2_table(6013) := 'A4B2753D562FA0021E508BA6B019C3B4626B8C5788489407F0D08850011C2CD2461E51178003E3632481985E0C8303845E03211408D2858907FFA85B13B08237888422F3832E63467314082158821EC034684A8B3AA8D6966093C6DA80041088BC1556AF';
wwv_flow_imp.g_varchar2_table(6014) := 'AB008686882A18083BE88343303E5C6814703887E590075CDE8ED5884789183C5A7886D5384288A807D3306BB6D6E538F5982D140822840761FB07BD9659018985157E8551B8052E508165B6823F458343D5DE58B00561C89D5078021EE0826158906BF0';
wwv_flow_imp.g_varchar2_table(6015) := 'C35FC9AD1954010B385D9D03000BD06C0B20D71170011518817396088D901ED5F14289C086993DBE13AE04175DBF4A58E146E0C07E760F6AE86700F88880561194550B406004832EEE6519CF88406400F0D0A76E09040CB854F582F21C88C5E201A21608';
wwv_flow_imp.g_varchar2_table(6016) := '1DB02D130200FADBA7BC148814FF6C85BDD05000A8854DB003328600E516081605812205819C03D696C064978E8879601A39D0410058032ED8E281B8E9A7F6D09B5E6E8998C68003043738020F285D7F153551BBE81E3801CBD003FCB3463B38043130D6';
wwv_flow_imp.g_varchar2_table(6017) := '26A0809BCE5B46BEC181F0800F1788521B883D3856A1190852889492850C7910EB2BC43B298D8E7E4809E560B67B60424DCE9BE7983BB9F6475E7EA263CA6B6BD3164902C1A25182346439CD53028043044808055788855C708431B86A31B883614006A7';
wwv_flow_imp.g_varchar2_table(6018) := '8A86647886F91488971473AE7205DEA84ECB1086616006855C9A973AB3788B855405803F803AF61CA225B24FAE5D8558BD4FD7F0E76C080BFCB11F77C09FC8C003338083F1FF8403838E8C04A8DB477FF4A2F426FD86087F15884B178877452E6CA42665';
wwv_flow_imp.g_varchar2_table(6019) := 'FD24F106468840F1C93592278F8856BA96EDB8EF8F816939C083571F4FA0FB6F8990F496B8A8ECCC4E8110E981780116008015306A88984A3EABF0F863021E38835A3B820CB8E9E015468100819ACEB344396F00C046814072E690077818EB6B296BC31B';
wwv_flow_imp.g_varchar2_table(6020) := 'A4269C8E94A8EB8C4A308CEA87365BC266FBF1C40B72B5CD6BBD0600396ABB15362F1550822FB88266BE022E30224A408450A08550F0021C100230B44C44589067F8C345F915C0E64057C89215266831B7788178A93F349D848C88649023D539B3065E8F';
wwv_flow_imp.g_varchar2_table(6021) := 'B6DC2DE44BB91516A2E07012D4A18681C806DF5E1DE0D61245FFDF6F9B8F0837D65B5B8F8822D06F038709176C094C63824350EA7991884E8B82051D7111870C673C04AD3E83ED9608A4C1E50EA21B215C835A1B020BD05B228E740890F4B0CF79980018';
wwv_flow_imp.g_varchar2_table(6022) := '0F2D5D09C874E0D58117B0AD6629011C185C004802A7EEE2D35581C79C7600F8024B83883DD083BE1F884D8C0C6EF7764CE1077746A696483A66E8C7D45C0D4252895C767740DA4DBBC60C799077D3C804141E884470055900040B38CE28FB3922CBAD54';
wwv_flow_imp.g_varchar2_table(6023) := '700423882CF58805EDADCC86378E5F1806A211B8ECD9028A62C6F2FC822DE0FD9966A574E37864E02A0EFC05C686BD430406F6EC03B3535500180552F08494ABED4448050D2ADBFBCC066A80F99048DB91FF808742BF192CA39088B8DB488709CE86085D';
wwv_flow_imp.g_varchar2_table(6024) := '9788F51E08B7E7A74C23833D98FA650500A51F88E6E68022B54120385E80002070A09B819B0E0D4CA81000BF850E1F3E0C92F0CB1600522624849040E3C207021B2D6404000E97091C307200204161CA2548A6D08042082200260E4B08BC23D0A3041326';
wwv_flow_imp.g_varchar2_table(6025) := '00007101C4E1179A0ED5AD339A10DEBF7EFD06FE7305EA163B76B6CCFDEB46CCDC3075ED9E450B17ED5FB97FCCAEA95397CF563600E29E995327EE5F43A576EFE2CDABD7213F7800FAD565088F9E5300FFF601F8F2C7D3C051898699F971E54B518B573C';
wwv_flow_imp.g_varchar2_table(6026) := '35F20380911023908009B4952A14A83199B03143360C80B09195B9581128E58A128195136AFF19F80A002E81D006DE12964CE0AD5A885A0BE406009A30557F36FDE9D3E74D1F339122018823504BA5516C0038F6E4E9D53400DD5E7DD93DAD5BB67200EC';
wwv_flow_imp.g_varchar2_table(6027) := 'D1A50BCF1DBEBD0B2526DE52D40205FBBB0129D48249183D84C35E7D9CA1901102712142021E4DF0530B0979B4902A09596207420301180C00EB3465DF5DB741A49189090000014480C021500A097900407F021980C0033A0824C442640070082F032191';
wwv_flow_imp.g_varchar2_table(6028) := '230B0F79C4418C0BA198506D106137903479C1C35461FCFC138E27FF00504F24A04412CE189EBC91492AA0F8E147247E1093892B7EA8E30A2DB7781289386E5C970D30FFE423A29E7BF209515F7FF153173FF210F60F960D4552492320FF09B41B174370';
wwv_flow_imp.g_varchar2_table(6029) := '31D01500A0C1251C6E48F14221A9D0920B00C0E4D2092202B902C06ABFDCF2CB1FB13934A940AE02002B20B70CB41A36D0FCF64CA3B98452C740DCE08A0E34C3A812C7746FECA145B2AC0AD44010892C544925A04082CE2A5290B75E36E6C067A87CF4F1';
wwv_flow_imp.g_varchar2_table(6030) := '4962421624B491B91C3D4409807E00A89007121CB9900802F520D0290E7DD247903AE03824002F00C0C74033FE6483402A0A6486210A6D2290250E313A506102DDD3A71A5FAC81715115D985B0428C0088876C00A410A14308203010010ECD3085400D2B';
wwv_flow_imp.g_varchar2_table(6031) := '9402C02909344612330AD4C2840B7181060091FE3CD01955EC01406CD23296D753523E45A5955866C3C83F9EB8E2093C86FFD4236636B644138D2B9594930A33B7D062483FD78092C93F86D093659F6FC3ADE79F800D3468A109DD026023952402CA2AD7';
wwv_flow_imp.g_varchar2_table(6032) := '062185427F8002E018293C010A2D0AC502402746240140248BDF724B8B8971212E6C405B01B4406B0C84CC40CFFC860D37D37023FA1FBE25C4CD309D08F48640D2FD7185440D08D40529A6AE468C309F04018618AA7C03C92DD968EB1E7C0CFD335F7D7B';
wwv_flow_imp.g_varchar2_table(6033) := '623C10E80F990B4085293E4020008DB43B900A2503A0BD4049AA4C2F00540CB4841896B40200280AE9003000F30E94B24308C70B4015007801C01862BC6A0F4B1A8832CCC10E7BFCA5301513111ABE800733E0610B78989E1A3836109A95CB6303F982EC';
wwv_flow_imp.g_varchar2_table(6034) := 'CA501915C0FFE8210620C0080DF0AFA100600300100215120400E508E4052F02000B5212B918582F403F49110F07A284220C6407480082116AB33FFB348469CC0340263C810C716C2912D980443AFC608E4878C26BC8B8852B0C510E5B442215AE488527';
wwv_flow_imp.g_varchar2_table(6035) := '18110E36318218B7C053DCDAE846A3CC2D3000184C3F0CC58F3CB9020E80E09B2B12218B44FC800B4A50C21558D58854C0010D55F0001F6C918BD680262165E8411232710BD18D2431026196268DE6102E682755AC199D40B00180F20C041DBA520EB000';
wwv_flow_imp.g_varchar2_table(6036) := '708CF78DA218A30046316ED10785042115B87A21347CA18A35E0C10B6240472C3C418D6F50635BEF89CF1CC1659F8DE1217A0E1C88E08060817729045DFF324A88CF163281FC2985074848D08D12828C6A000004F2931F06FBD39F23B5207F10F0000A8B';
wwv_flow_imp.g_varchar2_table(6037) := '50842420C1083B1062901202926474C33070FB42031B08808C29040F68E8E64080183310C8C0930379C21014F24D8C1C49452504800917A2C29E25840B26B80100223A907AD925462B49883DF5F9AF1D24617FB5814393EE92C4A63C4520FFA8C725FBA1';
wwv_flow_imp.g_varchar2_table(6038) := '0E5A94A31FE2A88738E4E11E76A4831DEA300700CC418BB830F57855322A00CA22C73762D58DFCE8873C04922700E4A32F849118002A0107908C621500F805238660052B54D493D27AC317922085F7D94218C861CDA8E020B057F42E9303B1C217625314';
wwv_flow_imp.g_varchar2_table(6039) := 'CF656E21B878456B90213A6071E319BA5AFF4E2BA3018D5B41831BD120A0408241CB51140D0041F0410E2CB0885A7823B3DCF0A51CF0808721C4021A94C84637BAC10D6E6149A7F090C757150298405193A1228B9EC800104D60AE81A10018C2118000C2';
wwv_flow_imp.g_varchar2_table(6040) := '9F40886449B082E01C22BEBC7884020B2A831840918DE1B400873DC0610A4DA0A30724A03F3B5CC84A074204222CE85F0A99E9C21C92DBBD78B0200905E604F120873201C00C0B31D842FA970213C84047248317BC72F690953D2885344183C17810C3F9';
wwv_flow_imp.g_varchar2_table(6041) := '8D8F011050E140406082FCED30054028021104724488D0A22D7751A240B62A903ABEF82F32D6A97D67DCDB166735C76FDC2A3DDC8163C18C35C6910010B464F1B9220CA19084B5021AFF3C018837BC410995A2043086B11A5225C10455A0041C5C418CB1';
wwv_flow_imp.g_varchar2_table(6042) := '05D868D47D954006E810C1FD4221A5BBEC6F7EC3CB5B0100CE1E1A482904E28D5838A368711D820AECB08962C4991BB5F88423BE000629540B747E700535D201D684B8431E577D71A0F2D1B68924A681139CA64258A49731C86086EE32524270461315D9';
wwv_flow_imp.g_varchar2_table(6043) := 'A00C0399C670126261FA0D2402098101084AAD100203A03649E801C016E4B284A0B34FE21248048B2B103938226223921F008810B9F071005E311A8A060140809595BADA0EB1704232704181ACB7D6E08C110E87A26AF82924D84A89124E155231C0DCA3';
wwv_flow_imp.g_varchar2_table(6044) := '2EFDC8474EE916987803F71E79A2B78EFB8DD57ED4C3C70C69311D0BF3FF945474E7157F93C52BD60008C22AE10B57E859250CF10643F4AC54B6108830369E892398E008993044D286818B37C4C60A57188214AA0B9421A0B00AB5D10E9F7EB3D9849422';
wwv_flow_imp.g_varchar2_table(6045) := '1AC41088337C358411F860B954D8832A8A410E748C027460D842103A010C224CE007A09886A3113890484FBAC577AC876CD0A0064A15259AC39DA04004C6874650A2B50EF1C07AE18008E5B2A4BD2403008A0C60426C5F900218D40C2002EA6081D49026';
wwv_flow_imp.g_varchar2_table(6046) := 'B436818757B25E09C0008430F01F17FA17C3F5D6F76DAA3EB743D02032B8E3E508CFAEAEA807028416C85D4F26F51705642D100E03A00584FF304DFA5305578D015643743C5E58ECEFDBE37E4F00F7F157C30A8F7AFFDCF729AF785FAAD2FC0A388C6236';
wwv_flow_imp.g_varchar2_table(6047) := '9E54428B0C61884AD035150959CD3028F10300F48011241F0633D24CD74C03600B5C105CE71472B98130C354BFF28D291F72AB9B03001602E905348AA10D006823B439C80173A930745E68033940CB028441454042E3A0C16E200353C951A43DC46F599A';
wwv_flow_imp.g_varchar2_table(6048) := 'FB68D217A84103399003810ED9199740BC8F80E9C5138C9AC9A49E427414F94C0005A8C80F5486488043AB5DDF5DEC4C080D84074080B6F95BE34D4475894B25149799DDC5892D448C749442E01D4DA40211D04C7F4480FD0C448D3CC80340000A1E0C14';
wwv_flow_imp.g_varchar2_table(6049) := '5A1B027454E85DC11DF80C1724C1B3D59EEDE55E188AA152EC14EF3584EF019F420C432AD00AADFC02FF280CC192C0461128C1C2FC41268042257C01171802258C091E70411978C1BC100124E00125EC1C315C192E181FDEBC02AD00C7CE5D19ADE8D52F';
wwv_flow_imp.g_varchar2_table(6050) := '080326918E404C160030839B499640C80235004036B4C63100403300C022908B05A4400AEC00004C411A1C822A1CC32DC4C22B940218508A224ADF29399AA10CDC6EC9D157FD163F701D001CC117080E1730E3F859846C4881321E1B00000208E2457CE5';
wwv_flow_imp.g_varchar2_table(6051) := 'DA1300C19150210CFC4400048043981002908FB840A2840180B70140383A04EA950B8DAC4CCA78E140C88E4010C17AE5947DF8D53E028066185BC23C90402CCE1BFCA31B40997EE9451934D02001C1882D041AA89ACC5DDC40944A25F08F40448EFF1454';
wwv_flow_imp.g_varchar2_table(6052) := '411218C10FFC40FF9481167A50A414D63C42C4B931462608C41F1882DFC1D11CB5DB18CAE44CFA56C0DD51DDD0118DB94532A0D33598C79ABC81CFA0418BBCC12BD0C254A49F2BA0814870096201C01DD88227D0C234B4DF40B41A4430C355A29240A8D8';
wwv_flow_imp.g_varchar2_table(6053) := '0B01C03774E54284435B84433888033580C331C90239FC46311C43288CC11800801A28E4A8480EFE550337D80237F41125D84238D0424095433C00E31DF5C36E3D60A0DCE440C0011EB4487F4DCF404C10420A84CFD46350D6234450E6409CDB1B90C417';
wwv_flow_imp.g_varchar2_table(6054) := '8C0162C146AE59C410509E42349E147881CB3904616D52FF2C496D342400184C8BD4941FC00EEC08841FA4DF9EDCD74260893DC483FF3D20D06FE698712E443EC28D533C05307A4B72D298722A0D4C4E0C4D5AE718EEDEA3115C9001A37522A77D7CA742';
wwv_flow_imp.g_varchar2_table(6055) := '18673CD45842DC973ED4437AEA543CECC33E60893EE8C353E4544318A6303A443102574210A740D9036200C03E90E77B04A84E599D6F1AA7745E27748E615D2C0FDC14686E59DD7EBE47812EC4F3882772FAE77F32E753DC033E1CE38FF9DB6182A15264';
wwv_flow_imp.g_varchar2_table(6056) := '5DD60D5C82A2A8C4049C760A461A0A540229273FD8433FCCA840C00773C2A86206867FB66786E61E829AE77722C63E28265D48273EB4A74EFD43835E68A01CA6A4DDA78E2EA692522870BEA87E2E699F28A685EE057CBE4D4334858C5EA789F609962C29';
wwv_flow_imp.g_varchar2_table(6057) := '7CD4689F14275E8467FFEE3145F0BDD8772A67F0D5DB8CBD684EDD837CB6698A66D53FDC835F080A00C8C33CEC69903A67D6E5A37CCE69A1E2058E1A05A32A847BD2847BBA2702D5C592EE69A0340F3DE4275F80A85DA0297C34C4F2402A9FE645779A6A';
wwv_flow_imp.g_varchar2_table(6058) := '1B05A76120109342C5BF01E918B2DB86EE143DFC43DB60098CC90396B88372D691039AA98C0D8640B8C3A50DC43DDC4377E669AABE51762684582168AC261044E4567502407C2A047DDAA85E7467A2FA56AC6EE88B3127AA4284B52A291C6D957D322B4D';
wwv_flow_imp.g_varchar2_table(6059) := 'C2D8BA2668706629ABBA6B56CD6A61FC83559CCD33F40356A4453684833C249539F8853A3C855902803BB4033DA4033EB48338A8433A3C6C3B402C59B04388DC83FF2DE0C335F8C5BCBE8DB30A4A4ED691714AAA9F946A75D2CD7B0854883C2A8C05064E';
wwv_flow_imp.g_varchar2_table(6060) := '49AB9E98EB9E3829A0726CCDDA2C5615E8F288EACDF649BD3A45F3DC823954433688832B64C3025E832D30833810032D20C334A44237FC4336A80300D0C255B842340C4336F8E4308403332CCED7DA423B70A52B94C335B0C389F2AC5E64677E42AB9D02';
wwv_flow_imp.g_varchar2_table(6061) := '0671DA0399BEC7CB26444EE5D6A55EA95DB4EBDDC66C9FF403A51EC661C84DBA76D5DA226EE2DA85B7740B9A96AAE23E84CFD6113C6403333C433640432A0CC334D083C6562EDA5EC3514A6D366083397802335483276C2D006C4539A4863984835B3C43';
wwv_flow_imp.g_varchar2_table(6062) := '3AD4C33DECDC354443D5422E9BAE68EFBDADDDC68DFFCADEEDE3DEA7A3B651B81A46B5026FB61A2EDDEEEEF372AC70922771622AF142AF4048EEADC243DABAC535B483BFAA033CA403C4B643DA52ED3FA8C35688433894433594835219103B98433A6C6F';
wwv_flow_imp.g_varchar2_table(6063) := '3A1C653620260054ED8D5DEF03F6AE57FDEE8BC1833800C03640844B82433CE4943E640903FF05BDD5C35344B0DBD4CDF28AEBDFC60D062BA9A4FEE6CFC6E494346FFF8AF0DA86AA4E8EF0BAC9C386FEECABDA69600486B5F6AD71E643F3B4C70A3BEF09';
wwv_flow_imp.g_varchar2_table(6064) := 'B7EDC702DFC4F44336F4466F24C42BBCC22FE0C22D14B1408C8378DA69DD0884B13E9A05A76AE0EAC5CC1EEECDDEF009CFAB45B6AA09633144482E90DE918BE118704D4C3E2C504284153F20EBFF3209046298A98FE69EF502EE8A2A04A1E0A853540310';
wwv_flow_imp.g_varchar2_table(6065) := '0F042DA0DC1EE04234F4C62F780838A8ED2DA4023DDC013344823B18C26A1CE528BA01175C1914F3E99EFE2D157B15FF0E041CEB0600A40100C44232F44630A4591773AC918921979AB251F82CE0FA96DAEA641227842CCBA41CEBDEA575AA3CA470F262';
wwv_flow_imp.g_varchar2_table(6066) := 'C93400716F18C2277B721F400323AE150024B1BCBD4119C0C1FE20403A248001F443198C813818001C64022DE00925C34D43A8300FAB70903667B98231956C2C5869F242FC0211038027D09E4060126FE4D81DD8F22A0F4429F7DBF5D873EDC564BF35E7';
wwv_flow_imp.g_varchar2_table(6067) := '389000092484000884030880032804422B404238C0420340433FB40234F4444B74FF452B34420F8429C418EE0D8A8FC9D16E49E75672E21B5C080018831D84F22C0F5C9E508291DC83386C803954410CB06450DE8138BC812DE4AA18E614A10040C5D483';
wwv_flow_imp.g_varchar2_table(6068) := 'B1D2C35067723E18B5517FE8439C21F336CF5EE0F3293EC42D18F01B65E6CD2ED03DA4677AA673DCFC888E95D83E93287572B39EE0833D8C430338400100805ACF64033C8284926B560D0AA0E0E42E27042A79483418022AF8822FEC421F001A7010AC40';
wwv_flow_imp.g_varchar2_table(6069) := '30702478C00684433A70403AFC00318C410218021C94413BEC8012DCEA58F749DB381A53399A4230957B0804682FC4FC365553A503679F73DD344F6A2B0511A37221ECC243E0824B82B58808DCDBE0822C0CC3FBF41BE6ADEBFF510100D962D588E6987B';
wwv_flow_imp.g_varchar2_table(6070) := '8E830308F45DB0B59E08C00000C0002C3700B8F53F0CE8EDCDF56F11DC2EAB2C2AE1423030432F02402B74822976162E24736EBDC11D640205404302A4C30364435BC0413804C01B1841155CF68FD68539940353012CB11A90F892ADFCAA03C022A6C4B2';
wwv_flow_imp.g_varchar2_table(6071) := '833C2C5557A545D5922DFDC69B6AB3766BB333007CC22EF842782B8454D7B65DB0836867952C007160E7181AE884CDAA433C0F773FF7DB3E9835423BB743EF097427845AB375743FF740B835CACA585C6B555761B760ECEA6F96476FAA5131D40200F042';
wwv_flow_imp.g_varchar2_table(6072) := '2C2043770F443287CE1A19023080823B8042507902685C83EC8465EEF183C436953964821F84C335A041977882FF1F200398B8823AE87536D4972700E61B104315950331B8C235108EA385AF0B37755EC8C23A078330A442570B449AFD022A77B85D9C73';
wwv_flow_imp.g_varchar2_table(6073) := '3830829CE818868FD2A22FC4F80E4437BC0038F52C8BEB983EFCC3593BC0050000413F8240CC81730B44730F800010B45214C0AB178000DCB8402C74AB0FC0004C7795F6DB75BBED6E556B53883400248329F2423358192A7B085690D57F2EC4579D3143';
wwv_flow_imp.g_varchar2_table(6074) := '60B66FEA2E3CF84197854919385F1518423624C1119E1101DC822DECC035F02117448317A41F1C5002356F7B39402C3CF49639EB4530E4F640F042860F446EFF825A51BA523046369C788E0D9A404452BF4344C9B5117167953EF0C37127441B5C00AEB7';
wwv_flow_imp.g_varchar2_table(6075) := 'C1FFA8AF3500C8F8051074AB53FC40CBB8416B3C5B3B34AE97BAAEEB58479FAC90E723B00F043128030024F92E3883304003BD3F79B6363100D82AD701DCB3D35BB4C3ECC39A433B28C133C08317448212DCC12D8C811B648314704126844315A4B7388C';
wwv_flow_imp.g_varchar2_table(6076) := '813AB8411544C23F94012370411514C11F0C830980023B88433AF09684C70D33CC993CD3C456DBF32B0EC466BB111CC825006CC266F63B880F0410EE49C5D42BEE793AA8D77A8E03C01C50FC009842189842A90BF41C84C143CC42E103C0C40F441E28C2';
wwv_flow_imp.g_varchar2_table(6077) := '2C8481E12B005B4FF73CF86DC9CF07437CAC5DBFD83410C30F8F021C04BC1B38C22A0C476F8C035D3C2B59E1E80B8BABCDE7583FC86F3950BBFF1FD842A5248139D00311D8423924816443C20F18020CD0421598C317188217544315D082126003025841';
wwv_flow_imp.g_varchar2_table(6078) := '3864C20ECC6F82FBF9842B4530B45A19D841C79AF2110844DA2A41671BBCA9AAC940548A7DF8BD94E45E7C1E3746177E1B1C34005C400300C40000730014D4050B80AE820044159CD3A6204200A56061E1040016C586001C141CD0E0118078FFFE2D3479';
wwv_flow_imp.g_varchar2_table(6079) := '12654A9527F9C92B986F213F782E4DF69B468C98A73756167A593806D0AA5F00C6F55B581280BE7A05FB1935BAF0DECB984C4DF25B79156B3F7A00D2993367C88FB86BAEE4A98B74E79627003A99FDF3640B543A4FE55CBD19662E923C579E52C141A6AE';
wwv_flow_imp.g_varchar2_table(6080) := '5CBB7A568FC22B18156BC16405FF79FA0450A5A01740890110A67C197366CD2A5FDD51BB19F4492B5E78BE097D1A75EA828655B6DB5A905DBBD0F0E0FD7BAAFA6A5300FBFE8D6BE04081C990260590001052612930054B9D0CC350A2294C064D2934352B';
wwv_flow_imp.g_varchar2_table(6081) := '7881020DDAFCB3F78F376EACFCB402B85D19DEEB85FDAA01A8A4C40A179E56CE14E4F2F8CD2D5CE6FAE12BF88F1F769462C73FC3E859CAAA7EDC312C1F76986ACAC1CAC44BC91D00CC0160C174D469C7AB99D429C89DB2CA71471D77D291AD1D79D849C7';
wwv_flow_imp.g_varchar2_table(6082) := '3075D8D9F04375EAC9C73200FE618DB26E884965212E1C0360B493BAB9AAC2098D3C1249CCCAF811005C927C124AF164AA4DB72817E26D9C8E0010002545DA18E082E09E3BFF698E310B1A4ECB0B00780EA2810A5AA0A30200000980EFC2B392BCADFA81';
wwv_flow_imp.g_varchar2_table(6083) := 'A9207EDC51CFBC7EAE21068DF8C618A32034CA4094B15188EAAF1FAB987905196200B8251D57AE016018642ECC26165BC419B29C6A52A9E79682AEA9D2CA82DA89102576227C15005917920D25789642E9C6C32E3384A79F54B254A50B5B3D16D9CCFA80';
wwv_flow_imp.g_varchar2_table(6084) := 'A38F82C6E0490900864A96DA6A57A3F2BC28F5E9EDB795DADC524E93044289CB020450400101C63D894B8FB8F30E3CF35AFDE7353E69FCF3249B6EF902322ECAE8C30F00FA4003482BACF08418FE0AF2EF96728649C51C660000259C746881A7C26BC2F1';
wwv_flow_imp.g_varchar2_table(6085) := '2F9A54D4C906807268B1E716A36A3C12A9285336A957CD821DFFE30ED04EB696E69A99AC196728A7B42DDB27FFC9A7B78EDA3549CE76051A60DCA489332938CCE88C673764CBDBD3AA7B01356F9A5802F62209C8164AE3313B26E64A427B2E05401C6432';
wwv_flow_imp.g_varchar2_table(6086) := '61462FD9F8B1259B6834F60F0064FEB9A69A8EE5B1A59E9E735669E5CBFAA10DB35453BAF9ECD6A802E099BF1D8F1294C725172F1FDA783E761F1BC1E9764239B5F35CA0705512E0117BA0BED3CAF258728D2AA3A61906985C54F9E30F0002AEDD100052';
wwv_flow_imp.g_varchar2_table(6087) := 'B1E55273BC5B88980F8751E7996C344DA71BB8E5A66518718C37A7F872CCB3451E3E2717EF461C138BFD988268B77DB36916EA66D3EBCD4F6DDAF3D5A7EC9ECAB1A5761CE3826BA020017EE392CB8E1A08FF4E00A11DE87F4B0BA15F0053F23F8E9C6B4E';
wwv_flow_imp.g_varchar2_table(6088) := '8FF8473CF681BA28A9CE577EBA1A00C2110C270180198D0BC65082018064741083B2819A51E4418F7DB0631F5B490700E0510E75F4431EF2702100E4218E15D2E329DA5BDF697AE53794944362E9F3E0507E910C21A6448734DCE112139344263E7121EE';
wwv_flow_imp.g_varchar2_table(6089) := 'B34DB5EC310E9328C48A584CC838C6A10B2BAA848B0929C8178942145D9CE32A0C6C604948F2C0ADF0C37A123C4949CCE60ED9ACA3428433CC39D8E18E788CE43B663B0AAB5462BD9A54C69050BC4CF656E2141BDD8A85EB58C76A0A32C9CCC0C4878A7C';
wwv_flow_imp.g_varchar2_table(6090) := '9265FCB42BCC044E934F9422218F1529B3B5F194A6A32352A00635B3C5C374B02489774CF7FF1FA8D5A92066B3C72E45B21BDE38104AE5E107622A83AF39AEA48D26D9873ED6B3C89F11861F338B66283F69187D24525ED1B40A614029B36D521359D35C';
wwv_flow_imp.g_varchar2_table(6091) := '8827C159CEAB4CA929994C1252FA610FABB0F13BB85CA5207975CB3AF1929EBC5C882E4BF294CC494D4FC464E11B51E29493DDE629EA346794C86318382666660B7D62A400700F052DA59B1235A7E5E425B59EFDAE4F744C4C3CE3650FDE98D43B277DA4';
wwv_flow_imp.g_varchar2_table(6092) := '8DCCC61B7E64F4495313A831D3F99FCB69547D8393C74371DA53A610C62813F42935DB471B474ACE2A668B282E51D252A7EEA6A5B4FC258024442DADB8831FE474073987CAC4ECF1B4AB12A5A8BCB81AD650C2101E47FDDB4BC74312B6FF4A08A62C3B0A';
wwv_flow_imp.g_varchar2_table(6093) := '305367329ACC54A86635DFE010A9D75092673D4BF5AB26D11A579F92D25AECBC2A4A8C69D8C11E49A1FF71E263775892D78C95B2E0AC9C6B689259C7C96326938D61673DFBD976C0231FD82CADE45C420FD93445B0AB5D9F3CEC882B58996441386DC76E';
wwv_flow_imp.g_varchar2_table(6094) := '79CBDB22514B3665C5D05550D45BE31E17B9C955AE6A70C544763851A0B2C5D96E69B814CC4A178A5141CC3DA2DBA79EA616BCE0554D6C4F0293F6ADE41E4B112E35616248F0761733A92D2F00E86612F802A01EF9D5EF5560B25EEC224BBE1DFDAF26B5';
wwv_flow_imp.g_varchar2_table(6095) := '7BDFC1AA5633FEBD8A812BCA604D8617C2A8C947FB225C5F941498BB033E8D7E39ACE0946C05C400C82B4AC8AB61132315FF000886928A4FDC62459E17331DDEAF8B695C631BDF18BBF358083EE866361E3B18C71AD66E90895CE450CE631EF440729275';
wwv_flow_imp.g_varchar2_table(6096) := '5C42233F19CAD662706443C3E2285F99B2D8C08A9625BAC294180BCB49324739C00C4E6E70E31BD88046985BF50C6E14E4196A2E08974FD20E0B274B6C6C564D000800000DE060255428C89A5122376A6DAA7C9A5942131429020C18E1090549020F56D2';
wwv_flow_imp.g_varchar2_table(6097) := 'B89544A320D5B8463434CDE94D775AD39BC11BA6336D124B63250A0599C20B00FDE4446306D3EDC90C0E4E50901330A1201A58093D266BA44E7C6621CD5A491D8EB5873AEC6125934149280E01002898040742A8169D6301805C543B2507000006227019';
wwv_flow_imp.g_varchar2_table(6098) := '31A882D00BFFC1C6ABD7070C3B201B00F501C0147450101EB43A6706D8B6BC554283C89C0114E13689AC6BB6297EA7A6072661808BB1318D6B80EC1AE4C6CAA68895182608610900D0810E84D0EE94F0C628BF8552264E528BC41C5B3C604B031DD24006';
wwv_flow_imp.g_varchar2_table(6099) := '00209BD8C45E0813A680843214C40C6658084F6A610732301A00347836BCAB158B5C0000DB296140B72F0305404323DCD0C034DE00A07000880F00747EBAAAC237754DFF3B25966E05001601B685B4DADE56AA76D0B5CD801514E40311D0C107B69D1228';
wwv_flow_imp.g_varchar2_table(6100) := 'D000D700F8C4424E7D1990357DEA07D7FBA0C4D3B86150660516CF750814096F424B2C49D9D894E253B229A81784D49B093B0EECFD815A17C400464089FF8751F36BCF47A2130BE9842500A0F29448A2208290C41E04C17AD7B71E37822808136A601243';
wwv_flow_imp.g_varchar2_table(6101) := '34C2245B5888269AF0EC8208E1D9114F163642F1F3581C23E828C1C0D729E37B5343E319A796F5D55F7D70BCDF5D33D62F5FA82FB30B9394000096A7410808CF00C24769090CD07662A6707900A4610A0571FE4AB0FEF46B187CEAF8BFFBE2C5BE75CD0C';
wwv_flow_imp.g_varchar2_table(6102) := '7C87E00D19EAE65814EFF11602FF0040D3EA2E334EC0FD00200242E000D64FDAFE26136A211236E1FD1602E41682105A4FF6EA401044D0F44C026CEAE004294310F4E024CE0E006CA0201A41E64E221450C1F77A0F002A9051AAA51816020AD80E2B96EF';
wwv_flow_imp.g_varchar2_table(6103) := '2ADECE24088D18063031B08FEA12903210FF0EE136E314F2EC0484F024D46F21D64F3CB02DEC1203009740DD726EF600C0E30AE2EFB042D69810FFCE30E1A0E41842CF246600FC040E25E86D7D7C4F1808101998C152907042144FEF4E82FB4C42EA00A0';
wwv_flow_imp.g_varchar2_table(6104) := 'E1AE020332E0240E000071E6504E02F4FAA0D90020120140F60A82F5B0820E4A90128DED124F4E0F8CED243E500F5A4F1301201260CE0CE00000AEC007BFD0D90020D5862F1480EE32AC1000141100068E09048D092E6F0966400C004018900119F44D01';
wwv_flow_imp.g_varchar2_table(6105) := 'CBC7E916EF0F95D0EE120D6F9CCE247CE12480B06616910BDB6E21664025102F319C517C0C4E7C1CCFDFEE4FFB98D14842E0033260F9707121FA6C7DE20E0076900F91441901C00013FFA371080D19CA70251071726EA0056000064000006EE024920000';
wwv_flow_imp.g_varchar2_table(6106) := 'BA660FAE00DD24F1E422D1D846F0244CEFD840D0F51682054F4ED55A4F144DE2EC5AEEE516C23480C424CEE00C629166B82115AAAD1862C11156020BAFD0D618600B6F8D0A9800E7FE6E1E172E1C17221BAAE10C19B0F1AEAEE9A071213A45EE4C0203B8';
wwv_flow_imp.g_varchar2_table(6107) := '0D00782E4A72A118426111C08F0A2F030368401BE5AFFDF600181602F1B8F12A9810015702FB0E2ED4EAEF2A2C0512AAD0F296A02A358909A2601779A46E24462871437CEED11C4F82D4EE122B884E7D08B2206E00060CD20400C0043CC0059800214F6E';
wwv_flow_imp.g_varchar2_table(6108) := '0C90ED10F660120180F44E620F08C1F508C1128FAD04F5A02351620A76FFA0204E712451221851E2250B822EA36416AF6D21CEEF2408E00008C01D4F621D4FE2011907FA52E2DFC2F1EEF02F018DF224F252019B0ED3220F25E6312BB3AD1D03C0487C4E';
wwv_flow_imp.g_varchar2_table(6109) := '290D9139B5F103CEC009ECED0E994162222F1AFCB2E9C0F124182FD3EEAF2C7FD2240E102BF2B07B4E2123190001AA10001040360180CFD40703660003702E1875128390E400C55338B10215540230D7C7085A60074600000892203D0000600025606004';
wwv_flow_imp.g_varchar2_table(6110) := '5AE0060C1200346F2124D3215142E5BC4EFEA0A00E0E61052DB1205C1008C6A0122AE124BE00008A611158D00B50722168211768E15878242A51E300968F01A8B1208441188C11F2F6ED3C8B931C130D3D57224929FF63003D33E7AAD2F96C11347A0D25';
wwv_flow_imp.g_varchar2_table(6111) := '066E3E53220EAF22D5B0B33F192783322831C0112D8BB3201ECFE0142F1ABAF3343CD41A0140DE66B3209CB355E41433DE1200BAA74B9304D1BE91E94EA30F3292660670030AE2157827315E01001CC52454510BB420587200095CA0200EB32040400708';
wwv_flow_imp.g_varchar2_table(6112) := 'F2520F93415D0043E3AFF4CEC04317820CC086103E502590602108260E4C8315B1AD3E040D1617E2E700C016526116A1A4F862C10ECE80D20A62E0D6AF364B540EAFE20EB34FD3C2914F4F63275762CD9E4D1208A140D16E42808A534E620BE950F94C22';
wwv_flow_imp.g_varchar2_table(6113) := '26971300B81525C0B2F1ECEF24F4EE19AA41FFEECF2452851F31E319C6D0364DEE0CBC954EA1245AADFF72DD3610E8BAB258FB133953035D9B8E196E615DFF0E5C35E33D4F4E3391C4328641D956E2CDA0EE165C613517E2178AD5464721161015001A01';
wwv_flow_imp.g_varchar2_table(6114) := 'F75002081ED40504AFDD08F2302114250035434B2F1BA78065DD0300746F55CD80457BB020220D16E34F0C2861465D0183B44C626CC10FBC401569C1B11223E896A0CFAEB41DE953E274A0F60A0236C36E0B076D5D17A25F5102EA1CEF3B0394EA4A0D33';
wwv_flow_imp.g_varchar2_table(6115) := '52ED14E2F56093655601A006B4CD008015006A1330DB34FCAC7135F59132C4B2207E73388714F19E214D1BC7D2D4D43B53C24EE354DB02005B3303B150E200DE746D0F605E4F62069640DB68E00096531508B05A2D653B51C33BF99671F2342D71FF6221';
wwv_flow_imp.g_varchar2_table(6116) := '4EC17151C21DE174336A8A564FE26351620D0AA21264411654427C4E8D164021726E150066D115880825E26021BC06550FD305536F0F32B20E500F00F40065D7CD08CA402DCCE0E566307751A13E62B43EA2000976307569A1E0B8611AC28D0FE0806827';
wwv_flow_imp.g_varchar2_table(6117) := '04550537116F1102B3D5244EC0099CB2524223010DEE1A0AD64844970EC2EF244C2E268F241452133E0B8236D7162617D15B85543CC65425BA5362967521100179B1228017B75512B7206693001AD7576D733973C118996100AF367CB4364D57827EBB14';
wwv_flow_imp.g_varchar2_table(6118) := '741702F5B41103A0C0E400A0850578420C75213A002558140072A0209421764F6287EBF624A8211B64E11764C17052421AB6411A86FFA4202EC8654D82144F56E53CF5427750E618B5205E540C4EF224A780D174764687A1EECA50156D81CA36E34A0D80';
wwv_flow_imp.g_varchar2_table(6119) := '0182757F51E20396CF154F033C897349C5C3FFB211255EB83E8DA41826D624C6365855C21A854F18E12C6FC5033CFB1425F84D4DE91719BC012BC8800C9CE07130D86D67E0FC526D5F0B623BFF3633E8163949ED38BFD55288A5152AF324EED785A3C413';
wwv_flow_imp.g_varchar2_table(6120) := '40F86501A00B82A52048411ACE7319A6A11792A1879F2E196A1900A861EA96613100008456421966D924F620224D0F33658F14C106D75CA021016006098666CFE0094E32D5A6400C386E25B04118E0406827A46C971634D69106C2AE1052031C9D511CD3';
wwv_flow_imp.g_varchar2_table(6121) := '10813363320B8206E8FFE085B51535966A9CE7D024FED83651A2168A9119940ECEA2CE48DEF95B0120F206701E97175992AF4A2360FD18979F11F72480A16A71A371C89109236FD3200F84118F580E81A1010095A1245580ED327C3925A60188016019B2';
wwv_flow_imp.g_varchar2_table(6122) := '61199EAE966B59195062285661218619009441A7BFC624A418D938710AC8600AD2C008B400E6086621F2EC0C4E330ACEA009704E25BCF7197E010FB8800FA8254B83B0206660FE06193480536B17E25FF14E35BCB8E4C0C6099CC0434D6E06261A37F658';
wwv_flow_imp.g_varchar2_table(6123) := 'AA33B8209C3270532260726118AA360F3D9A9533C3E9DA43B03B175C2566CD16A120EA79214ABA5A44C03DD357D72E831A55C127F6951886C18355836B2903A4FFFFEE14C94046632A5DC706188A00257078258E581AA8411A567B1A661AA661BAB55FDB';
wwv_flow_imp.g_varchar2_table(6124) := '9801A0B64D62151475156E61B75701515FE10D4CE03ED24D25A299D8B2F714A5591517621609210AC420D5A2200AA45863CFD37B333959B070F96A208DD7181173D390F77400E9563CA0408A53C2E4EA1537AA2D17B27A36DD56820735111900BE55621E';
wwv_flow_imp.g_varchar2_table(6125) := '47D85FAF22FA3AF7242E3A0CC9000A24397FB3B2D6968011DE0C356631165AF25603C06DDDD11FB1E20468A00F10C124F6F1C27163FB4E82184B5825F65AD5EA543C6E818F4D42514F42F70AE2B67D12885B7C1B7A1964585B2582B920721B005661B74D';
wwv_flow_imp.g_varchar2_table(6126) := 'C206A24523D70D6CC440034F620C580E00384E554DFFC25D9F9AB84FC2165EC1806946EDFA393657021986D1BF2FA34FF74F5CC95435CA50C06940C08F8566A57C9F6132254E332510EF38FF3A3380F22424E62B3DF719F85318AAF6D9BC75219C00E226';
wwv_flow_imp.g_varchar2_table(6127) := '2472687133E07B7FDD004FEBA610D99C32CC75EA16022D4B780F3905C4F31C001ED00950B9C0471C144A7C63E5C0074EC20736FDC557629751421916C3973FFD246A7A216699C63BE8880A220DAA600FFCA02BBF4103BDA0D9E2CF0B4ED10C0846E608A6';
wwv_flow_imp.g_varchar2_table(6128) := 'B9CF800A4ED22442EF1568E11618D85A6272A20D80D9B17009162DC335BC6BD3F019AB610009162BF6B56AC1BCAB49BA85C3BC20B6FA324EA6F880CE117CD44D6F9100DAF4012A182B202393B9FFB16F0D3D31A6CF381702D9337B2132F9187E11DC51A2';
wwv_flow_imp.g_varchar2_table(6129) := '09A280D19AC0412B6A420A776DFBACDB0260FD28602530E0D9EF15DF911D35C8914889A12BB1C2838161CDFEEED15382B10100563154354661624160D337FD2458B12046811452E2824048899758195A7C838459258CF98368DC2410219D3BA11310BB20';
wwv_flow_imp.g_varchar2_table(6130) := '8AE10B990009BC462417A2079BFA0BE7DA2BCF47DBB0708D37E3DF128D954106F19094EA248660299E18B4BD5A636629B531CC534D0DFC370B632114E68E1A95167DDD7D0205386D5722143899D314BDE24DE2EF308D0F151A833A1E258041D0EEB35B31';
wwv_flow_imp.g_varchar2_table(6131) := '320AF4000F4CE2053860426A410DA6B070191E5BFB6C8DA5F4036CB6208A915898FF21945342604DC228B956DFFFAE102B650001BF20C69E0A0581E40406B1315F0DCA98571622F92475256CDFD45162C557C2B74FE2177AFFC45B7E890B42D84CC23184';
wwv_flow_imp.g_varchar2_table(6132) := '41153C15FE4852259A1BF395B45AA7E1CD8A38BBE33469B1F08C07EEDDC01B3364CD1604D652B2F62CED0F3D970ECE38ED2EF9B320BAF2616ACDFD69800CF460112AD3112C7C21D01C2BA8140020015613032008001838F000000305092A5CC8B0A1C387';
wwv_flow_imp.g_varchar2_table(6133) := '10AB451BF80C00B38117212A9C0180869381870E0DFCA4B1244368A962C522094020C1002617322849CC228068131FDE2238ED5A4E863D1BFABC09A0A2C28BC800D474C800038D869F180128C42766CC51A9AA29C462D5E136FF69DB164A9BB60C40B781';
wwv_flow_imp.g_varchar2_table(6134) := 'C100A4950600D72A003B01245BA815009A815374307938258D42345B069A19580CC0198567A25001108920B081B600FCCA064058D7CB0E09C0047060F3C0002E1D5262786BE9C5893F015CD3380DC0B467D1AEB5AE4BB4A86D824B072645F698E0B08633';
wwv_flow_imp.g_varchar2_table(6135) := '380E5C4490562E8290A4625EAED0734383CCA3775D9AD4EA89869DA433E407001A80C27C9EBE04E05C3BEEF31253D7465613D935DA40AFAD66F8ECF7C3EAC37A575E781D809EA99F8CA6D071E601100B5626F9D0D036E00CC420436799F4955C68B12519';
wwv_flow_imp.g_varchar2_table(6136) := '41163274C81E9210B4C74377BD41502800104250141099A3D033BFE0512066078466957E0311635F49B1B926DBFF42D73CA3D57BEFD166D430B6C0D7102D030D73A3423810E448438F1DF78F74A984F249092F02D04349D565892343C824955149194074';
wwv_flow_imp.g_varchar2_table(6137) := 'CC8BA03C04D366E599C74C32CC1849D098AD0150CD503C4E93CD9D043D935164002CA9DB987C4109C0995E8E120B00A358954323E31034A149E2001096A5039DB54D84623114CC0E4AF421D2401D6ED2501A489C6108005ADC35581C7D147698610EBD92';
wwv_flow_imp.g_varchar2_table(6138) := '9B1F006483CD2F5E767500420A2170599746B1A6906CABC9B9506E8C9A646343024EA510349659060030C7EDA3DDA2BD6A9411A1DD2E04A86ECB2DF69065DC46E79D436B6A46DE8B5DD656CDBC75CD378DB20D19C9EC2B562123CC30D642244CC0D812B4';
wwv_flow_imp.g_varchar2_table(6139) := '0FFF77981DA81241284094C382192E746943955ADA0D389B5EBA69A6049D65A1A803ED316A43672001C01F00943190880D4591D8194D5081882B70FDC60E92BF7013AE46A1C968D5B883168593745A551354BE03E1AB10B30A2D59954304163846B79094';
wwv_flow_imp.g_varchar2_table(6140) := '54ECCE0421035F4D3581AB911A255116AE676B66C94C755727BDDCD1735E5417D34B136419C0DE5976E69385ECD75028012FB7932D8DD6069182CC55ECA042DB549A31A7884B4399272D58E5D7407F6851C66003F541D0192FA33810220FD5B91D41FDF4';
wwv_flow_imp.g_varchar2_table(6141) := '4A80CF0CE9B0C18010ED06DB40EA5D069FB271C5C510DC0E65C750BAE1A22E9DA0F461DDADE61AC5A2733EBDBF747A5740E3C6DE98B13367E4FFD937DDA2D52DF1923B0C324A3E441C41C7004323B9DA2E378CA203A5C24CE01A3D4C10380D2E8471FC03';
wwv_flow_imp.g_varchar2_table(6142) := '8173F159F42BA4F8C60C894D90E66910D942EAB039C3C0E10F2A0300E6BE070031388477EC28493EFA4141AB948F20D01188410CC080D3C1043A33D98C10443090424C8D2180FA0D7B28D22BD11DC5760DA949F7AC920BA0B9226A0572096806222CE634';
wwv_flow_imp.g_varchar2_table(6143) := 'AF6FC2230AB360881961E0D0404154087402C08004BC2B00D0D14E9856B4B3AEC105324ABAC56F9614AF7F2DE438511B5F2EF836900B2E0770A30046F4B80291FC01401CF133DCFB18F7208574631B94E15785C2421914245021E840945FA650072310C4';
wwv_flow_imp.g_varchar2_table(6144) := '722589C2E434828DA428C145A4FF03C03FA6841948CCA425A07189665C7280D545803C3C0040120652955CE827150B5121312AC24AC159A53E769A0DEC6A1493670DC48B2521914242C1BB2C7966893FD309F0B2348DD4DC88889701862E930880343544';
wwv_flow_imp.g_varchar2_table(6145) := '20D0D44E64906495E835E4162E5C9A0C9502005BC0CD960E4157BA7467A0232AA474975158F306128781106E39616910832EF610695023531303C032A61131102844139618484001308586A0A15510A183E7CCA511370C840B0399A0242919938A2C8A06';
wwv_flow_imp.g_varchar2_table(6146) := 'A1014D9B9657101648CB37B6D00FC072430C62794D3B3FB905CD4C32CCAE5869995E92519B8269ADECF5AA68AF13544BB5438942B0E445301D8F7980410B80292429255588FF3521B29A68286D590EB1A55101364C48502214E4F4D24E5E310A5B2CEA22';
wwv_flow_imp.g_varchar2_table(6147) := '26B8CCC4CAE210FC5DCC8D0B61DC4064B10CCA384E948664888900B0C8295441447721485E0712058532046C6570C31B1021858550610F62800241F8D18F7D5094869C896C144B5283813C6120B1189F426C21A87515484EC320E249A5E38AA731B32004';
wwv_flow_imp.g_varchar2_table(6148) := '00166417E69B242E754E5DB9C3D70090D5E8A4CD4BB640E5ED5E94CD85200399CBC9C46993D4554601EE5A00D081022FA38C819095210F3A4B5A1AD20B6A4C2C18B2F80535B271CF858C41100018A889F69086267DC82E2B5B2E0088C75782340100EF7D';
wwv_flow_imp.g_varchar2_table(6149) := '410CB424831B30C481A3A264E91E6B35001CE7922559DE6409FF628BE3AC13B90F81DE533532B424BA8244E61C6E490CAC5966CEEB6AB8BBC85286B14D877CA21394A86DB83C01002A1840583D7CD163329B249B20E35B449B65D62A1CB7AE8058C4BD4A';
wwv_flow_imp.g_varchar2_table(6150) := '455763E1D551C8898D1A216B2F64018006B1EF7D6B75089107428DB9E0C2B903715C253C50059168C24392202041CFAB9038B0CC0E03D1831E083166E62C421BDA9AA4632F83552C719001295E08072880801831076ED088469EA54790F93093970C8996';
wwv_flow_imp.g_varchar2_table(6151) := '842F33AE9DB29028A3ED8AA12132CC0FB32416414513004A8000006BA78640BBC5F87293B667DCF6CE8AB6D68DEE60D5002551258D4A23B7560000F7B57A202EC881AB17520A0010B9D604798BA4D09288FF512402224B6EC82F92608431ECE1CA1E2248';
wwv_flow_imp.g_varchar2_table(6152) := '1A66955E94A97721A860082B16710A86205B21FB48F39A353249852022020C3000B056B7100F70C0032248C0062980C2FB34C4D39EBDCDA031A306CF3929C2F32E0EEB30E3E70211A31AD48BA1A19F4490DA7A612182CEF7916C91E97542634C9F2E49A2';
wwv_flow_imp.g_varchar2_table(6153) := 'C345899F626DC7DD44DF42AED098576B8414BD6048AF0110720050831A4B3EB242E6821659B03CCA0088030A4ED8A13D0882CB0525481944D44E8648A2439771E042B4B5DFAE4CC4A107B1F440ECBB90174420CE04A921431E139978BD784C79364AC4A5';
wwv_flow_imp.g_varchar2_table(6154) := '13F02CF507001657B843A83910B2D312237B865D2BBDD47500D85423852875C2C124F686D8FFC2EC042E4D9772F35A93F8483D577FD1933AF1094884BD5BAFE0712F1BD2018D80E121895845C935F296529445D73CE9EE40AC30902BD781435A6E08F1B4';
wwv_flow_imp.g_varchar2_table(6155) := '8039F70240B18AD5CEB663329F03287D201C30C17C0742C21B70A02BC0D889306098679C20151AD87846BC9953AC894304C70020F84F3F49F0BA3304EF74C748EC805FACAD47A44FB8C3CCDC9DBF90A703E00834A345A300A59F9DACB03A2FAEB1795A69';
wwv_flow_imp.g_varchar2_table(6156) := 'FD54E252214807BB93FA90B770F12B2E80BA020A2400648DB001338FF76B60200704816BAB500AFE637203D15B23035ECA46106370050AA10504B10B51000550200400A0810E010DD3300DDC200B60035100505800500F00C00FC88319FF1430131B9002';
wwv_flow_imp.g_varchar2_table(6157) := 'B4070014F00000706E00406ECCB310BD9111AAA00ABBD00AA8106DF2F622CFF07666060028521530150AFF804E1A410FF3866F4BA10ABCA00A00506D057211C6171D04676FDC37101030101E507648B410BC531A4A9114AAF009BC0000A8B009C3675B98';
wwv_flow_imp.g_varchar2_table(6158) := 'B14557B410A0F33F28923724114A597220FA5117381813BFA6106030880C816B0040800D510A89200BDDD05C00A00CCA800BBC028903612A21A31039070056B007A5D72A60B30B483810A9F77C008024D4A0339034046003080592001900830A11013E13';
wwv_flow_imp.g_varchar2_table(6159) := '8624B433A1A033D0F072CB6114E9E77626D137A6957C04E106767070601735C2F5858B37109AD6346ED737E0B51718B11CFFCC501146A81D8550080CF48504115660788A2B856003213E72C3614B21081DE28056718D70D377E7125A814210C3D87C5873';
wwv_flow_imp.g_varchar2_table(6160) := '0BB1F00A5E558606220120E04F03710558208104910366102903F1788558880A21078698881A9108FCF20AB28047D410310BD10796A08E00B0075C46109CB7105A006686518A0AB108B9802478C72F4A7004C2236E04C15100F0495EF21F241101187006';
wwv_flow_imp.g_varchar2_table(6161) := 'DC000D71C84C3044092704008B507F0A517F44E98D00E00A0706118230570481893D1913D7A875D171870B318C482986E2728AE75223D8D00A0C5126E4E2765D938DC2137FFF03360C6132DA410C07D22CE9E36353200104C11504F94EBB561625570A44';
wwv_flow_imp.g_varchar2_table(6162) := 'B60C28D797FFCBB00CBD300DD5557262530AD0107265D15B5106896CD991ECA86C4C304A9CA8576AB910EF3510788043AE200C20280BCDF70552B02AE1926271068BE6510525321224C212C0609658034445491044F9093FE55159293008A63B9CB31076';
wwv_flow_imp.g_varchar2_table(6163) := '103ED18154C0089BCBF1098E4078FC3153124683324010BAE55F0D611F4AE01096500CEF171D5BB810BBB77B0ED1078BF03DD9515B067059CB41496F700770D00798A332B603902E40103E306BDB904F03513195020ED4609FF9693FE2704FFDF946DB95';
wwv_flow_imp.g_varchar2_table(6164) := '2BD440160CA10CA2F302E1250922017404B189008004D3391097A91050D004A5781C48120AB2C00D2E745955E08AC2E33B9801344F601062E08503810AFFDBF785C4639CC4989BD1B104DDE21DEB821FE14212F60800087087AB375C1CF00030B010B470';
wwv_flow_imp.g_varchar2_table(6165) := '770EF1341C110558E239139A7DBA1117C870352B241D4F70074D4070858007ECF510288A193B4004EF090071E5028640629871470A7872F7A47961B1A6D6F59F67D15D6DD5560D0189BDC5211F391041DA108E600D74509217180542A0583704007AF40A';
wwv_flow_imp.g_varchar2_table(6166) := 'D3000DC1A6047F140F302A3749C105489762A9470767F011B53037C088944739159BDAA80FA106B7B8334641A3C8B02EC27711D7B91C48D78D0A210FFCF5920AF100F6F59C10C1871B510250E094B2396F94F90955B1087CB008C608367690370E240432';
wwv_flow_imp.g_varchar2_table(6167) := '6A1E36900444401049900353A005A3E002FF1EF0A5039103B166AD76C43F8903A06AB5A6DC952B04910D711AAE0D310DCA900CD3B5101CB24869300528D03004A1020CA15864A011B2E01DDCF00A20AA328DE0A9C801A60AC10011002CFD7102E2710C46';
wwv_flow_imp.g_varchar2_table(6168) := '358F9AAA104F9299009B19338935D8007CEB42A3C2635A58421050A8700FD003088A598B025C0D711D34F075D0D88BD070AA2B1B9572A31F134A10DFE3089B5A021C681E44500445F0AC53F03049700B110A003E800540A6AD1AB10D9A77161162894CC6';
wwv_flow_imp.g_varchar2_table(6169) := '5DE1CA5DBC581257260891C910047905CC06007E057FCD270782860C243204113BB0562174BDA11F96010CBB9A44DC38128EC012895112F8D0A8DEF71050A00624A2B08C260C8FB124FFC2D71DA53A109E15A52FE205C9CA4303210F3B336033E9333B00';
wwv_flow_imp.g_varchar2_table(6170) := '00A43910ABA29AAF378B18E010F6710BD6A2B69A5B8E8B76541AA1B625F1B604878C0341B0594299A2940371F510B1D6786D94380CC23F968247F4D90DF7C45D010A730AD15C06FA3FA43210D4A89AAA23013A208122A296FFF1A7154A2B040107CA610B';
wwv_flow_imp.g_varchar2_table(6171) := 'C2F00BB7000A2438B60201750C810399E908B1604AB7941F48F9242C7199871B49928482F996042F008E0A012C22DA4060160A67D2B70C7B3BBB0A7C82FB0C153B11D0409C2641150B8101197049F4E084C9C343AAB5740AC102E9162C0BEC106A099C31';
wwv_flow_imp.g_varchar2_table(6172) := 'B1457FCB10D1C0BF0A512D7A23BA0411B30D913754B0A505320443304AFF3E6BB4D7BA1078C9314536BB18434F1CB3A60E7191268791AE0100160289E73B101F415700000221B01026E81F2D73045CF00504010894C02FBFF00A2B3AB625EBBC1FE65FE6';
wwv_flow_imp.g_varchar2_table(6173) := '9825A894099E40631AA17CD9E1084F620762F05ED7A174FD3025EDA0822F022C30D9103FA0A334C9100226100640C00EF1185C9C4A82E24C982B1D550C005819593BE319743C1071CC100610C70960004E3410A9F52BA2177588724B7DBC3D10017D95C1';
wwv_flow_imp.g_varchar2_table(6174) := 'C1E5B8B60AD10984371A8B800742E7254490B3270C00624B0457700B7459018C171311B331185329CAD05D9018B591C82B5186CB9DA710D4F8AEF19A5C453010413B107460A1F6868C0E852B8040332AA58852FCBEFF0CC181B2E59C2F6B1E553310516C';
wwv_flow_imp.g_varchar2_table(6175) := '122F656A9A290654D004651201100B004ED80F08F3228CDB104E84003D64003A4410A13A1C51A79D25B1248C5035C7910A041709E4B4459CEC102F658FE59CB8DD1200334583076115F0BCD00A51D01BBC3764DA34D0807CE1D4C10A712652B0B1238170';
wwv_flow_imp.g_varchar2_table(6176) := '4FE2066A40053D9C25400004623B04CDAA10DA9A033ED0012DAC11F8A331DD1A4FD0B5C32FF7640A710BADCBAE7E21C43798A7F40A4998391053338E0A91268070BDD1EC10E682088E0009BA34C99E2A208B90A500C0002E39101484C66A9C256DAC9C0A';
wwv_flow_imp.g_varchar2_table(6177) := 'BCD0AA85D01011697AA311C0D325BB6A2D7C1B1D6A70A20C710FBDB2263BE4D08E1CC10ED1D00E7142FF39DA1DF56C9566478704122696E12FF6DC37D602BE0C41788467252F6AD54104905BC1C22E4038F4095D04615DF6D310C1C0B43191168F4B10EC';
wwv_flow_imp.g_varchar2_table(6178) := 'B8074CF0021B4097E0183903E194F035104DB2106F9040805009203ACC4B8DD79D8C3500AC118D6D717D20D40AE185670C00693C6F9BC1C6B33810AAC910B5D01042B7012DE8761EDC95A2E62F4014D081A63B6D6BDC2D8119A915BF03E106C0EA1090B0';
wwv_flow_imp.g_varchar2_table(6179) := '08A30C000FF0043BB53D9FDB62450A00AF3D5BC3A5DA2A3D6BD8DA10F7845D93A73897F15C0AE1DF04D1182323BC75500564308600E0018FAB0236D0328A05B18D80074AFC4765201509D49C4BAD11AC0A001870C8D13143E6D109600C006A90B5FF97FB';
wwv_flow_imp.g_varchar2_table(6180) := '7D5A5D41F750DC6237605B02006300ACF5474E41291E0A5126215512FFCB10C093C731C150F3E61295EBC7804C92DDB74B74E85BC3F0BFF1C63D3A358FF2B8100E5415DEFCC942F9D6C3F59EA1BD03740900045912E3E0D998B2800B8109BFC61638CC10';
wwv_flow_imp.g_varchar2_table(6181) := 'CB20E6FFC30A0D51591C90B30341DF0B7181E51CDB777159F40A07C4ACCD192E5BF5F7347CE8E1272096DAF11BB21930522DB355C312790366623C10326AE8E7844E2C2E764C34101C28DE1FD5DA2170E20D41E99B167DDC9314F601E231D1D776809698';
wwv_flow_imp.g_varchar2_table(6182) := '0E008DDC153C00D10C110138F91042B7B0F71B4E3A2528B1500B24A10A6280B232BB5E03718C4914393BB0034010AB03A1052F0D11FF8B493F975D3F26C1E66A81CB1FC2049F0700215B822E59CCA7C7BC0DA1322D4910DB1C4419A0BD262106D54C1097';
wwv_flow_imp.g_varchar2_table(6183) := 'FBEEB1E9DE72A3106D78AF0EFA248E8008447918C9BA044220EC293E10EE507730F1C60C51157D200400960143DC1058C201426076D5B2B6EC6DD888CE1C4709E4DC170160FD105E00D937BE10195002233FF2B8C910D8FD1034E20B0060EF6430E46E20';
wwv_flow_imp.g_varchar2_table(6184) := '06072704104BE9BD42DF2E90A70A316BB0B66BF2140C7A949F9682560EA20CB7B0AE5186C319722919B20798D8102FAE1126D910110AA20AC76E0C91006105131E8004CB2DA17D10AC5819016502EA0321965862F397E145989A35B5C050007602033510';
wwv_flow_imp.g_varchar2_table(6185) := '64000564400667807AFF0361E35DE10E1D2B3C1AC0025440BC0AA1397C70876A2FF2857EF2A914289C6CD83A5812661F7A191E13C19ACD03CC1F0030F21BFC187393F23C7E9D0EDA91435EF77EC5044C4003F18D352D10DA0A01BB0CE1033EF09EBA409F';
wwv_flow_imp.g_varchar2_table(6186) := '9387310F010B0A011616D3AD76F264ABA0470C010286B4091DA2ED00C0044C07117F7ACC0DE105D3C90510C508CEE68D02C10130E806852504A174597973940651F6894FF2BDD23DBD410BCDEDEE88A110E025087DAA1D13D40E7FBF330E459E4B90D508';
wwv_flow_imp.g_varchar2_table(6187) := '47033361F60F718B00610BC04082C3081E1C980A804184C000003B46701342001F086AA2889049898C1D3D7E044990400000064252EC1485C1870C18329C840980FF168050A000081B384C184361C21C1E3C4583200D8B315FC6447A50C54023B840BAF0';
wwv_flow_imp.g_varchar2_table(6188) := 'E16320B86D03A9C1EC25E7E028008D2A010034708B16004A068E380803C4401D6B0FD63943B0C7C123519212C433D0CF17224FEEFE0D89E0C14038007810547310D2C19600324418089931C78133FFEAD49913E1C481923AB242D591CCDD7CF7FA01A837';
wwv_flow_imp.g_varchar2_table(6189) := 'B0DF3FC048AB00E803F2E8C097194ACC8619CAD041503811FA142670E0A65D1999A0427EAAF5F2C092071200708039638A27005006A0F064A68EC38079CFE899200E8C080909124411C1F4903B00B8680100CD068A58064AF558F5E315003E8A0C7401C0';
wwv_flow_imp.g_varchar2_table(6190) := 'B35A18C13D0046582AC08154D8C185249450628AE1FFCE88EB20B30892A28945002004003AEC02008A8EF0088B12002A3171A02F2C63EF2303D6CB08468AEC402814821870A9A313701B48B8E97C030039004E69C5123B3A3C6386264E29EE2406622A8D';
wwv_flow_imp.g_varchar2_table(6191) := '1F00E869F1243568BCC3A3A33020E8360076C42E24860AFAADA3563CD2E3205602ABF224E9DA04C9BA8C7C0409998170E209805B6E89E8CC8116E9A3C3814E6802A9039E84132115800060ADAF28222BA338928A0F80450F7201884C8718A2AC1CCCCAE1';
wwv_flow_imp.g_varchar2_table(6192) := 'B5D700E04F0BFEC600C00B005045284B00DE00C00D3C3E0160912B3DC2A3304600E02E9346128D89028F4400E009BFDC808DA04E0EE232A31D81ED28B481BC082123547669F2A0F400E3079FD3FFA8849622573DE2B2598A383AA1041AB8F3E9A69F9202';
wwv_flow_imp.g_varchar2_table(6193) := 'D223270E4A932054941B88153A28722EDC834C12F620E84A02805882EC1897A06210012C977777BAC9A731077A97228762D964133F2B42E88C35FD05CC06FE004001040FD86A5402102A4028C04C5FD654D3FF10921980219240080DB2B428235234AEF8';
wwv_flow_imp.g_varchar2_table(6194) := '82202E58054042A68C4822892A5EB382A0C206E283A2BCE0C83523AA0F2A433B90291A98223106EAA3908362E9E828DCC2A498CEE9CEB004001D0E42C51211F3ED685F8A78ECA8B46FB7FE2817B71D8B93EF837820644382940B0D3482D2DB96A07E553B';
wwv_flow_imp.g_varchar2_table(6195) := '0D5AE938582E15B26503734EF60C1A958925843AC8337C11FA58F0818028027517FF88C01900094A5EC175004C00C9881C66F688672DB8F8C20C82C8BA826734482D8354B28A1F285252C196EF8D3E60CD6831481C29840FEB077A038F370ACB128EEC0F';
wwv_flow_imp.g_varchar2_table(6196) := '7AC38DE2A5301DA100BA1E0807840A59ECA04ECC4588D04133020618B5EF7208C8299EDCE5DAE532009D47A4948F7C48095CFD885CF9101201BC1D046D206B452B76C18B8B7CC66E0A44C8C0604492902CA61603F11B421A28A700C2C921460349E90872';
wwv_flow_imp.g_varchar2_table(6197) := '9E0B0E047EFE6ADD404AA620002021073920C8143E75A1DF156F2CB0EAD9F07E17123498410BD0434824BE129BDDFCE1797D30C3F3FEE007BD3C6D2086D8D557BCB7BD840D44880451C211002003C199843E0233C0C044A006FF37D8212F19F14B4B1A33';
wwv_flow_imp.g_varchar2_table(6198) := '1BBB34F026D3B1C5BBA8008079794450A46B21414EC0829310706F183CC8DB3C5228DB00F0200E73D843CA74A77801C61218494FE958819E4002E085E5E3E073089282BB3C8E228502802D1C76BF98D84F20B688050A0732BA2101403C07F9E302C375B3';
wwv_flow_imp.g_varchar2_table(6199) := '2224E1669D1A480C0982C483C4E10D7130C31B7C3710A20DA46908D1C217B6003D2B0E24121FB9E61F98E7C45769539B04A1224122410913B9E269C8A308ED0040010F9C6C76BB111C054289100EAC910FC8EA48082200BF667DED3A68CB45255BE3105B';
wwv_flow_imp.g_varchar2_table(6200) := '444496F5BAE56828D2C9819400072F61CD3E3E62404466C728CFA2082B3D32B1BB90810E1794842054A8500630FF20020F2C1F024C020004AC8723B119C82742118A585CAE3121398AD80E52B1BFF8E89A0399014136061327BCA90428AD922F01908422';
wwv_flow_imp.g_varchar2_table(6201) := '0428125531C738BA010069280321B700002E6EB18AAD9CA8980701C44F3D41104F8C95209530AB38AF48903F18A2891DF1031CFCF0CD700E448C0088813B91C29AAD6520010791114216D1BE83E0E400726C16DE00381B5B68F42E91549B9200A089B804';
wwv_flow_imp.g_varchar2_table(6202) := '1500645068480889D48A12845634B90B4768C02355DA8FA71DC1538BD2B3AF6DF5F1237CDD1A495EC4983712E47203390302707353BED92F951469D621003003CB7E643441FD24B49499CC8E4C7520CE1DC838D6310E843817BAC1F04825405189513CEA';
wwv_flow_imp.g_varchar2_table(6203) := '51FF08F9D5AF7E1A93D71801218379C05F013098CEB287610A23486273E449DAA036A07C1B0D1966D0ACE27664BF5D1AC83E60DB5E00380200CB42486CB0E3127339475D3B0DA8DF4E5B255402005104A143E3328203211078204F0AAC47FAC55B003847';
wwv_flow_imp.g_varchar2_table(6204) := '4E04696C9542F8112794B4BF14E923068EDA6144FEEA20DF1C885392010070988320EB80873CE481907550E42A47468827BE0B0025FEF4A7DA7C5E4CFE3A1808ACD39DA41C48A7A4F0CCCEAE749E7F91E3494074477F01231676999B452E0CE3CC0EA484';
wwv_flow_imp.g_varchar2_table(6205) := '1E2608243E0B80151F8481F3051C756E02C9DF3A1658C9854902534A1B11D47520B71D8845489C11CADCB7452BA6452E588410E2AE190082B8FF6066CDE525444E6A7908498254F803BDAF380500DDE80675A9EB117C74AB236139C81782060022904C02';
wwv_flow_imp.g_varchar2_table(6206) := '1BA0CF0320C05E82A080202F3010EE32C285A67901568646E44AFFC2E08FD0C009D8F1736B222D1382D8884B4C783142DA3C1438A3E420C5B0C941784D1DD7CEED20AF9C709BAC73E293EC285D141970F902065A8258EE131AF8881DE9EC5BDFF6F4DC75';
wwv_flow_imp.g_varchar2_table(6207) := '26081330209437C3988F700456240CA17085BF9520CB7C0FA34010A01B1CA40307A975D3BE00ABF182E4BB5A7826A306326F82A0570294A308117848902E620F0DB04A98D6CA97009384F82494500900F0ED4953061C95C2A045B45B74394023C4B500D6';
wwv_flow_imp.g_varchar2_table(6208) := '777B6DB42C391392593D478C30FF72910B1FE551E8D37142C13BF2A68EC43B5CEBE17A4C30B04FFA22E482516011C0A7A3F68FB470DB961E883DE0540621F22C235FF17452D062020F4C00002C5B0B305B5365829C2C0600103942883990C4780412F0D4';
wwv_flow_imp.g_varchar2_table(6209) := '6E28CC7A4DBF08EE288FFB72270C5CEDF7EABCE803E9A3431C0DADDB2A84B04E823B7BD0D7265AA9014797FF7C138A31690CCE000A64D070469E047500781D4E904100EF29C287B1E3F9247EBB3A48FA2DF49614C5E808F97C9BA6F8866F2E9E221DEF08';
wwv_flow_imp.g_varchar2_table(6210) := '3A9D5916EEDFCE234BE9C8C9D4498422AC5C3E847983AB7CA7FD98502213990085276C0489590BAEA52C45080BEE3A90CD77021251A30D0CD839E803803A78A4DFA2B64441FF3499AB2FD07BBE6E4B0A3710836AA1AFB13B0827E01286DAB7E44B0A5740';
wwv_flow_imp.g_varchar2_table(6211) := '883ACB36829897E40A207E10B470512F8470033E383D5DD20040DB03CFA218B64B149A8AAF12E31267F3AF8A32846F7A1B1C22084FFB031B738A55E02A82B0B18CD80200E89998C01DB318198FF8A2F373A6D7180344802908048907103E84F027C7790C';
wwv_flow_imp.g_varchar2_table(6212) := '90A8303A6B8836A13D85E83CC7C180A03AB143C111C90820DF1B887C00807BA028394C141CA8011118BBC7982F27C0B6A032C003DC29AB4B37E5A3333A89050F248849830CE77002CB2A97B03B887D9028BE390A211026008004C2F20245E2B93E7CA119';
wwv_flow_imp.g_varchar2_table(6213) := 'D8162890B0541288486A8D3CF2885860C0C8F83C4A448C78B8FF44688129091888B5D0ABAFCA0869F088700380388883C2D082254408F3F3883BF8A62A409A5AABB532E0B2A6199529A0022330AF90883F00004605DA8151C98B32B8033ED81584301862';
wwv_flow_imp.g_varchar2_table(6214) := '49BA6F13BD9D922484E0C098A0A292629683A0448203800EFBC28C20A07C388D7A588D8E1898F3698D2520245FFB0811E19241148388C828D342C0BB48C50474113BDBA7FF8A0EC770A42EF9047BA8457FE946C2C027A861C2FD73BA788C002720032618';
wwv_flow_imp.g_varchar2_table(6215) := '886D5902140BA1C6B23AACC29F54B485338C059A8A85A8B9B008B830F8918C911C88AF911238F90386C1318244C9512108170045AF188838E08AACFA886DD8066550865FC08557600E2B78A65E02826BF4FF883D4A822910A3B9C04644F235B21C884EA0';
wwv_flow_imp.g_varchar2_table(6216) := '84161C2382A01C6139C78F38C436613B37EC08F5A9C731EC887B2020D3680700E8C7833098166101CE228833A08310EC117E7BB4864408CB01003140B91B39080638148A30B781A0073C041600D40B8420A38C7809761B44093986B40B0EFB1106982C2C';
wwv_flow_imp.g_varchar2_table(6217) := '60000ED784CD7659C7DF523BEDC00339799C663980F580BAAF3941F68832EDC3451000450038A38E30465EF42AAE58056208861D8B2E7D4008DF51A62984A6969B9D94DB0146F182245849185024824495A0A93F44682B00209F5AD342262408423280DD';
wwv_flow_imp.g_varchar2_table(6218) := '3C80D51389D94C40BFB14FBFB10C1A6C912F8B9186A2017AFC88BE9492D4883792FB3DF9FCFF08604434149B8E455CD0E910028E288114913BFBBB301A5303F64388F5504C9808BAA0BB0BB2219B573CB4C4503681A188D443163A849351B09F5860CD83';
wwv_flow_imp.g_varchar2_table(6219) := '702B854308A7C0AE5180C9A75C05D6DC2A3DC9886EF03116453117D59357B0855BA013EDE00E1AA508B45A320018AB4C880429058014C988574034505087F5A408460885FBE10C82F8866FC8066E18886FE8866C0807320D07004053345553385DD37088';
wwv_flow_imp.g_varchar2_table(6220) := '530028533B25536E28D36C0000333D886BB80B9D1A084AB0916CF887A0A40801FDCBC054BCDAEA9E704C0A4AE88454E0A883500555180855E803C301093A05003A05D5384DD34FCD866FC0D3532DD53DD5533F6D111B2108CE4C1444F0FF032A8295AA31';
wwv_flow_imp.g_varchar2_table(6221) := 'B04C705546881A4F10BA70D0533205D6529D2A4F1D083A45535295D36F685332755355A5083365555905003EF08384E103ECA408446D93D4A887D438086F1D887A904E8A00D7DE835573658D7FE02B6D258871850975CD084605CCC839D7DFE4D2A4E007';
wwv_flow_imp.g_varchar2_table(6222) := '7D4020D5B8D798D8C8BC899229E93DA4D8D74083098912B07E450A84B5C47F5D4F58B5572D3C570CAA077A28D772FD567D488D71EDD69390A87B00D97C344178450890C5077C50D8944D0AB9B3077E685913E4877FB08743E5879A85C07B0889569392D3';
wwv_flow_imp.g_varchar2_table(6223) := 'C0D9BDEC59D3715895458D8FC0879F155A8A30DAA33D897800CC2A398D71D5077D901229715798B0D993985A00C8DA8255FFDAAE5D599955D77F40A0B18DD9B115B48885C07CFC1679EDAC84F5DAB74D14784DD7DE13B0BAFD07BBB5DB009BD87B35DB83';
wwv_flow_imp.g_varchar2_table(6224) := 'B8DABF60D790F84DAE85DBC2CD8843650DB355DC8C085A2E55D48F1030B435DCC9A5DC6E6BDCD658DCCAD55C821D58C9DDDC36E1CB2869078C853784F0DCCF45DDD455D87EB85CD59D5C764DD7D675DDE92020C06C077099DDDCD5DDDDE5DDB75D8D740D';
wwv_flow_imp.g_varchar2_table(6225) := '5C01EADD90A8DD7D6C91BD1DDEE455DE93E0D3678886E585DB69F84B134420980559E8FD8BBE3C5DECE5DEEE4D94701B0659F05E9585497DEC87E0F50821F55EB51DDAF175DFF7650F58ABBF81105F7E85DFCEC2855F3835AD6DDA8148000DBD5F8410D9';
wwv_flow_imp.g_varchar2_table(6226) := 'BF0CE00236FF608F08065000BFC3C8DDB075E00776608F8060E485095CC0AE8EF805FD0D07BEAAD04F6DC7879DE070A95DD4D8DE90405FB80D61789BE0073E6060F13DDF2BE1E540155AB8E09390017198CC94A5921D16581EE6610018328AF061DC6D11';
wwv_flow_imp.g_varchar2_table(6227) := 'F1DDC68CD86041F300AFECDAC891071F1658BE21E2E588E194ADD81E8EE28C80621FBE8756ABE298C8428230B5E5B5D86E35E32BCE88A4D5C2B45258732887720080378EE339966382480700480773C8E338866338268829060C59F885FA4D9847F9851A';
wwv_flow_imp.g_varchar2_table(6228) := '3E08020600713851AFADE33A2608377ED74242080AEE88D310B2812883183D5A37EEE33EEE884F8E644F06003D06009485932CD98530BD5F3F46246901FF00F1B5CA31D6DC3BFE882DC5E33856075B0619ACC205F14D052A8265A8D45F9020488F20DD8A';
wwv_flow_imp.g_varchar2_table(6229) := '628752E6E58F600777800975A85AD329D8C3CB046113DA661E081FC3E58EB8E36FCE1B60119283105FE85A5E680E091F0B976C498A68A08569485D3F48026DE26438D9865B1064F1E50E605167084C876E76E68340CA2AB1E44B3EDBE70DE013460A0403';
wwv_flow_imp.g_varchar2_table(6230) := '80A10280626EE148660F5AEE8822ECE7C28D8648F003800E893768535B6E6438B905443610828068E6505F08E4B28C78068280E790B8E3647EADE9388D0EFEE2CD7565D3E5DFE96839E804802384DF960619FD4D1356165CA4D5425B28022EF88BC9BC68';
wwv_flow_imp.g_varchar2_table(6231) := '7FB1CA0B4E82B6190844B8065CC8DF4F2DFF68AF15079C8904F2410877DA4402DBD76EE95899D6DD94F69730C586ACAADFFB8587AD460A446015764EDD4C18152E40845BC884A6299E67126A0CC2AA64604DA3CEAA9356DD31808331A8065AE86B44E0B2';
wwv_flow_imp.g_varchar2_table(6232) := '4C000265FCC88E6087731D30B1658EB1DD69138CE8BB08065B48C255FE6C90416403C4D441248855F03185EED79CDEE68CB01371281F921D08C4CE88106AD3AEFBDCEF5288A79E094FF0C06A380875A08718966B82D852CE861CECFD0973861328406DE1';
wwv_flow_imp.g_varchar2_table(6233) := '1A086441E4F70505467CEA16418283681B59F2698FE053784008744EE381206F7F21EFEDF6086E26B034000026A803AACE2CABFA8820260845260879E0D3F5ECE77620606D46887248FF6F903841B53E88D3856F1346EBDE15F02A4983CC3C88F04E5EFD';
wwv_flow_imp.g_varchar2_table(6234) := '3E081F5BE652CE7040BE0B8A1E883D30C03D980209618652F60864B805750E07E236F11E3988121F886546E844E1702E0DCA5BD05F940400F886EFB649031DEF5490A0075BC8065A606FC32D709D265C0996D969A068595A700080F1D28693D1988228BF';
wwv_flow_imp.g_varchar2_table(6235) := '8BA952E399A6F28C60065C0007906007786671646007E1A0ED6CC086184DF2EE9512FD20886D0300EA3E0950108772505371F09121637118B793D9F5ECC0746D00B007273F883420032C2788C0EEF216118328576D310E89B66EF48F105F5588C183D0F1';
wwv_flow_imp.g_varchar2_table(6236) := '56A8548A408636CD70D590075B48206208070F9C072006000F04543727FF8829BFACBBA007D69412526FC40EB6538152DDD360DB9328E6B890102007005EB88519AFF4E9A0F311A7080FA7884CE8EF630F894D800455D88D0F02006240887F05D456074C';
wwv_flow_imp.g_varchar2_table(6237) := '501806382EF1237D867EC076176774EE45E5871E885A580469977600D8845A205184D066581F865708E25BC0590BDF75C0A460E216DF62689FF6C13E68AF92692708556068A06E11E636E0649086699086AA52065F24B28F98E2D348F72E2F32E28E86B6';
wwv_flow_imp.g_varchar2_table(6238) := 'E6D3FE86F3A3A68820D3E9DE8D9C2F6671161F88AA627982687383BF0B5F5C06FB4608690875994F0A4BACC402F26C9D070C99D55ACEE68794BE69841874D4E5F50442F08FE0DAC44DA0A307FA83C8077DC0077BD860783871F80296DBBAE58786057BA9';
wwv_flow_imp.g_varchar2_table(6239) := '9779969D7A251F0877E8872D2FFB8A92DDB5478A9A857B00D00789DA7AB717DE9DB5877EC87BB2973BB1C7DE04BA07B4B77BB2F67BB747A01556D7CC1DFCC54F8AC067FCC787FCC8F75EF396FCCA379D80000021F904050A0000002C0B000C0046025801';
wwv_flow_imp.g_varchar2_table(6240) := '0008FF0001081C48B0A0C18308132A5CC8B0A1C387101DFE8B48B1A2C58B18336ADCC8B1A3C78F20438A1C49B2A4C9930CFBE943C9B2A5CB973063CA9C49B3A6CD9B3873EADCC9B3A7CF9F4083B68C24B4A8D1A348932A5D2A149827819532319D4AB5AA';
wwv_flow_imp.g_varchar2_table(6241) := 'D5AB58ABAECB344C20B87B59C38A1D4BB6ACD9B368D3AA5DCBB6ADDBB770E356B52757273D7902F3D5DDCBB76FCC7DF6E2EDF30B931F3FC288132B5ECCB8B1E3C7657501A00640F236C898336BDECC314B16369C438B1E9D3998B26002952513F8C5CC95';
wwv_flow_imp.g_varchar2_table(6242) := '2D5F48CB9E4D5B6EAC5C0319D4DECDBB77D95CC77C0B1F4E9C6AAC3311061E1051BCB9F3E73C936B804EBDBA759127AE6BDFCE5DE381EEE0C38BFF5FF87DBCF9EDAF54004822B0C8081820006C906042A00E00376EF00070FFBCFFFF9A29210100CA3C04';
wwv_flow_imp.g_varchar2_table(6243) := '03001EEC561E800C16C74C41C800404B42AF082487405B0060850FB21D40C0820D86D89C2CB614040A41B4B852517C0702D0A28830C678D42BB6C4471020025578102DAF4C48D15302BD81868C4416891487000CA1841204C9128C2CBFC802C034CB6453';
wwv_flow_imp.g_varchar2_table(6244) := '2535D338D48D915C7689D3337F7890A0423908942500AB2503E540CB2C944C32CAA8160C9C5ED639D23E13D1D38E9D008C02C080065DA19034006403409B0925338D2C6A2AF30B00A801804B6A70D2C9E7A5104D0480A602F56310583232C3DE8B027550';
wwv_flow_imp.g_varchar2_table(6245) := '50170211AA6A9B841244E5ABCB50FF79106AC1AC3229A6B85AD48FA77BCA25C45509E2420A42572C238DB19311441900D250D3AC95D01654E042AFAC92EBB509ED2A50AF71D120901025FCBA140A00544250177160715136AD52862C42730A742BB6F41A';
wwv_flow_imp.g_varchar2_table(6246) := 'A42DB77C950080B746BD020C8202FD5190BA0599EBD0B4EF263A9034D34CBB5ABDF47A0A00BE70353110B8E2EA2B5435821E54A60B00E4E0C3366D46AA10359755A48C348F420CB1C414C3050541E16A1C1428D144440DA20965B9E5C304A67C50B5274E';
wwv_flow_imp.g_varchar2_table(6247) := 'EB72BDBBF6534F465208A446D36289BB53CE05BDD8F1406572386C439709DD10AD8FAE4CD02F860A640513531CCDA5B64B4BCC1015504731D013033D8D95C5470141900F0403FF8024007100E0B5425B6E030ED7AD0AC46EC368AA8DABDB0DAD41101A43';
wwv_flow_imp.g_varchar2_table(6248) := '0C61014474DB74C44325D02004BFFC4E8D35007D971932E9842E0BD1E005797D1965D95053F69635BCE1F8EDD61A84C51005D95D10DD42406DD3E525A450B3D40074EE533503C5320AD57E23E483E9E348038EE1862B943DEB096DB3A534DB245ED01E75';
wwv_flow_imp.g_varchar2_table(6249) := '9C61C940D0DF7E69EE9C10F40841B11D44F71151D08D0725374DF0ADCD0CF15FD328B12008C8105226D000E07015C1DE0105B7C08374631B650B0700AA00004BD8010075100837BEA1BE7AE58120A5781F42D470104700C0119F30610A296142938C8903';
wwv_flow_imp.g_varchar2_table(6250) := '1C1088C6C08510BC09440A62B8492C74D4101F80EC7A1411C740FFB6A48CEC0DE4325B1A88937A91AA6CD80E003924C837B87122B4E4A244B1A0C5BF3A181658980221A210082606120A3030420E78881F00D40006847CC2202D4449FD1C820782B82126';
wwv_flow_imp.g_varchar2_table(6251) := '15F21343722032EA7925214004E201C5513D8218D120525AD8406C44105EEC4518C2004057B8381553CCE28BB310481EBE2810532802218F680300DA908881F050216F04401D4BB2CA86B49226B4705E0017323DA838641C04912038C0218D51246214BD';
wwv_flow_imp.g_varchar2_table(6252) := 'C0A5C908C23383F4070092400813F6308529A0210E65D0C240CC00805D7C821050380300A2A04DA1E4C24794CC4A31071208360CA27D04E1441805C289760280135F84854024932C825C9020718C82F032D2FFCA42F0C1117C3861211A928D6E083126B6';
wwv_flow_imp.g_varchar2_table(6253) := 'F093F370610B171CB320220B99BAB6613402255220DC1BC82F4B491065A8EE20862214B916328534A4813D054103353F618D33D0612050909B10647A0421D8309C31D10441C8F18EB75CE22061BC6426017049A2020016B30047290A828A453475218558';
wwv_flow_imp.g_varchar2_table(6254) := '04091BA20D72588320034D084001C0083EE0EFA2079D89F36E9150E631D26303E125002EBA90EBED5220B92B882CB681328324AE8A02D1E940F630906502C008411288E400704781CCECA55120C340E426106E3216A72E21442AEB328883783121B0908C';
wwv_flow_imp.g_varchar2_table(6255) := '2E9828106B1A841508716A6301A0894F688321DEF8C4640702D038022014B718643900600E70FF986326A9A01100630B0043D4E7202E305D4480F9568D2662151C1D48293CBA5600584B76471CE641D2809038FC210E6FA0662B8A0100562C8215A81048';
wwv_flow_imp.g_varchar2_table(6256) := '78218B1374C8451743358829E47910CDA67720BBE0052F3EB10B5FC01721E315484F2BE2CF800220A07C08A8106F4B9071A8E31C04C1CB3A4E928D540884B7B120060040800217F42D640384882F0D090E5D104A8FE53AC8655895386964C30F0491C4F9';
wwv_flow_imp.g_varchar2_table(6257) := '0421900C1284AF66101842C02B90EF2E821037B68324EE49DEEBD0F3A8EA3DC82CE8A90B7088C218F63D882F76B1103AA4D2BC00200768AFCA64260FE41DE42087316A0C003BF87711E703C039D821E685CC631E0459071201B0A5706414FF22D7685E9F';
wwv_flow_imp.g_varchar2_table(6258) := '80C15B4035447C0889AB2E92C1B35236622392E0AB40A80B00BE1AC10A63A0E6E40E028526CC4C0C8E58C44056DBE3EB70B221EC1D326701E00C252FD9CABBB0062AAC2C107210E4AAA708B5404EB165004099209690F4405AC18B56A421137401403C18';
wwv_flow_imp.g_varchar2_table(6259) := '320F351F2E891F994600FD9450E70964031832880F0D228744B47121C1586A45A0CB2C3C0B24992C76B1407820E8C10AA40CA99C996113C28D4ACBC41AAD2E883710F3E3228BA2D300288633B8EB8C4E2719004BB6064B61FAD2D312C418544EB742484D';
wwv_flow_imp.g_varchar2_table(6260) := 'EA822C78D70BA9ED016F010E606FE41AAEB0C52C47010C109349B8225985B4CD649A845822D08536081228F806380C040D5FFF082F211C02CEBD3C0321C390B0734E0180AB368614DA2886BF732E906234E3BE35F74592150B004280B6B3C6D845AB1DA9';
wwv_flow_imp.g_varchar2_table(6261) := '10780BC418BCB0721D2CB1277A0060C100B0FA41104EE0EA15A81BCA20060231A25B894B5C52BFE51A43382A876723C4DB897845229631CE82D860208710088B0792C12554610CD3FCC217D0F0C63310FD5BE2FE266E16F3F2071127E902CFCCD6E27D5A';
wwv_flow_imp.g_varchar2_table(6262) := '9D17C4BEF71E48324112DF8190011A57A7C73AACBE8E78603D21151D4839DA669196FBE916B788860F5630268308579EBDF053DC0992081569F4940791F6C60B25BBE21B64139608F3F8888586A90EC4D1D0DF114118F104256CCEDC23893CD01FC35D00';
wwv_flow_imp.g_varchar2_table(6263) := '7883BB3C2748FFE605F273A71B84E9F1D53E430A0E00780864F40D49BD40800D398A44A587A6F3C1DF26438DC32DAB1B5BB22C6533101FF547E29025E2400D61A53A054228F267102EC604F151044C0553511053377510D3F0285C70044CF216C8E078C5';
wwv_flow_imp.g_varchar2_table(6264) := 'E174E6F77361F15321C15D2AE87D3A570B3FC77406017EE547104EB765EA9710EAE70EEE5710E77060EA300EE6804BBC55121464044980043266671005489371386347195088510A112B55122BA9616D0C51073B706C4902002D00005C00009FC00A5140';
wwv_flow_imp.g_varchar2_table(6265) := '071718051998231222106C857D27E16F65610A97208772B84E19C10B2EE80CB5C07339E70CBC307E040187020188345811260800642610E7B00EE7806040FF884B0AD70DB85020E6200DB7300A3226109C521140D08940400400A03702B1020494618624';
wwv_flow_imp.g_varchar2_table(6266) := '1094D1350D4410491480B1F38A55682515F58009C104D4C504F701014A38103C060031256E00600B3DA244DC000DB2604214F80565E0862C718864818200008D16A10A0080879D9673B5508D05D169F5E60BF3666ACEE08C1A116AE67710B6357F002041';
wwv_flow_imp.g_varchar2_table(6267) := '68420CD6E2097F2030997811292010A05810A3703505013239D0017FE33556F240DB20340E772687C2666C125240A31038B01048201012400103C1247A7581DB145300F004CEA71047F0056E6072CC0812B5468862814EEDF35393F041EBF44997A00893';
wwv_flow_imp.g_varchar2_table(6268) := 'F04915E148AD000031B90BD408002F281095FFF7113638107851100F240D5BC22ED2C03C08617116910245408102A1244A005809115CD1F31085135659F22CF5848AAFF88056D8107B808B23053F9246082FA51072E00872005BB2007A1FD91C1FE49200';
wwv_flow_imp.g_varchar2_table(6269) := 'D0929330090221972CE910D4B80931D959B4466B35498DDCB56E0B919705218836D96A4AB710AA0129A8374C5A7794009094EC310449900344A068F9688A0DE1560DB425612562575910589810D4B5040B69105365077243078E868604414238823F0301';
wwv_flow_imp.g_varchar2_table(6270) := '0A61080070803FFC600F87B19618715A4C579303B10930381583E09697209702E19606619C14810AADB0090F316F0DD10ABBE08C30880EEB1670ECC7107FB610F5B012F5071114580449FF2099A7338419A140DDD0707FF49922E19500331047A0532B77';
wwv_flow_imp.g_varchar2_table(6271) := '868D6691B4491017128C15329BBAE911CE0087A7E09B04515F56515975799C0551591EB109345710CE995F0D61097B700ACE396BE7D7480DD1088113307FD0084451100E8611B5070414289993A9210381990991385EA39EE929380EF7107587102E9641';
wwv_flow_imp.g_varchar2_table(6272) := '53509A09A14DF669319933108C4010AE803F3DDA9F1AE14887D89C3669108289148310088360A00C310700A0080AAA10F8781061A6099B50650411A003C10BAA7083DE40980C115E821609B8105BDB091180070021BA113FD01E49720304612A14210BA4';
wwv_flow_imp.g_varchar2_table(6273) := 'A071ADD20DB2234825E10405F19005D18B67E88B1729107EF0057810077EFF802304B12444AA11CE2998F64593C6E08CDA8614529AA0C8C91148808B0A810A3048A10211930CBAA48D04877B4008CA176FDE508ECCC403FB21106B6A10A3D00886301065';
wwv_flow_imp.g_varchar2_table(6274) := '500668C0AB43E2A61CB103713A1043A0A2E77938FF18A302110CA8119A16D1954C200121C00130200303B17200A04D66F88B0040053FBA468F0A00B51AA918C1647A5510AD9064630A000DAA1483B0A90E11080000AF0A815253900469E37108B1093768';
wwv_flow_imp.g_varchar2_table(6275) := '104EB77903016FCDB009A8E0050BE90136707703214D00A0056660067D600642020068700765E00685A5AB63000AFD002A1871774060039D684AF50811E3403206E170CA7A1193420C4AA0947D351035402E2650B25DFFD65D72F38B8C35A403F103C33A';
wwv_flow_imp.g_varchar2_table(6276) := '10364BAE11D10CA89A10A606007AB0776741AF0E019B348A10927008A8F073AD700AADFA6F0B718D0721B24470A20090AF07E15F0391B12191B09DE8023000241B814005E8156A1B11F372104E206802E10128F52D026107636910886030BFFA030A2BB4';
wwv_flow_imp.g_varchar2_table(6277) := '23218E849906E78A16D2140458A0B841D0270231212DC7107977B8E355B40F1193E3C701F5F1855D08042EE00255900314A410175B123BA01E407056AB8340D9000EFDB72CAEFBA2051157095410AC406800C004D1DA1FECC12417448604914D5ED09A68';
wwv_flow_imp.g_varchar2_table(6278) := 'C09F00E0078DE0075640581F2AB81BB1097420B506218E495197EFEAA4A7221057F01A3E60058D0B004FFFE127AF40233CF2A60A4106997A08BB400EE8D069560BA1024108752009FC8A10577B1040209920B3032E700344D031287610CB48581F71032D';
wwv_flow_imp.g_varchar2_table(6279) := '70773640A73070A50C3176E6988AE2334615D12AB49B5702C104360A0028F0025EC09F8F2510DBFAC108111B8C607230EBBC1D81BB3BA50A64C00464603E55D105A892212133043E20051F48B103E17B05614277E45A05C10480BA6A04A1092BE70D8059';
wwv_flow_imp.g_varchar2_table(6280) := '107520085B5A112390242EE0B9F071204950064F94101B5AC11DF1C41431790CF16603418BF89BBAF071B300A0587B104566B31E05B1086608006389378CD0BC75830786F0AD455006DF8AC22DA10A9D100214401F49D1050C6B2A2E500424AA3781FF5B';
wwv_flow_imp.g_varchar2_table(6281) := '0678F00752D1090451066A309B6A80B102615E493C33745B8807A10DF00B00A795C40541011E101F20F08545300421CBB9A7CC10AB300AC3120C9BC8117777039809321D8071299AB200300E0EBCAC1ED102068C1F1364B575608B7BD09002E105CB2B10';
wwv_flow_imp.g_varchar2_table(6282) := '4D4042A04507C03810887010B95A105FE0B41781006E28920CE18D066107FD21264241C31CF5AB05A13F00A0CE0B61BC63305553C00B63CA045050525050079B0088ECFB9B597B0C9DE608BDF82707A21E0010C5517C1002E39106110C9810B71D61032A';
wwv_flow_imp.g_varchar2_table(6283) := 'B003228BC5E3AA107FF6B057B0BCA23810044D102A60032E00D2A158AFDAEB0557D3A60AA106A1206BDAE458880A008880CE04613004FF719BB3CC100B12436C316AAC909DA2E10B7BF85F6E3005D341011039612DE002445004683B029C6B138DE0A880';
wwv_flow_imp.g_varchar2_table(6284) := '70CD030128104010098010FCF904529039B37947609BBB0BF16A826009D3B910C51069CBC8001F50B720602314F8C481EB101E262900F09D19A1B0104D10BB688A19E6034A30402AF0D62A90D43672D00311B240A0027A93CA0771055C2028910D0063B0';
wwv_flow_imp.g_varchar2_table(6285) := 'BD65D0CCF70A000D390548A0CC03310603FC65AF2410A34DCD8EAA4A6AE429FC70D30EC11C6C015ABB707400A0B499A157CEC90BC5206962E0947F023020AD941540105FB8D12FC1086B1A38AF3401BA8810CB7D680050065CE005FB4410C35B10B38A83';
wwv_flow_imp.g_varchar2_table(6286) := '4A9AB57D201035000014FF000163328F02E10226F0D61336C50D5132653B105BD8D11A4C102010DC07B1851BAD379593BF4A90034B22BA48D23168204DBF8A06B081CD5A70D95CD0CC025105082E1077D007F1C8557E50CD09F106777010158E10F6A02D';
wwv_flow_imp.g_varchar2_table(6287) := '0F61000680001170D4021100AFAD777C81AD04E10D00AB10D9B8077704030800913A2DDC63D2CAF1310472F0B62871218E6A72DE361057BD1074EA06028362035C104DE0D9310B11EDBA10D70700575DDE0030D120507B11215D2271C2A50C00BFA5BA02';
wwv_flow_imp.g_varchar2_table(6288) := '349955C02482F205D2444DD13439DB9B10D214D9657005322D1070B0DD0391D0C77BE10C01C4005072779E52AC0178777B1106E0DD22AE162C2608ACB07226BE172AFFDC740901782FC0000F8020547E1020B003F1F1079520E12C010772806270B0060A';
wwv_flow_imp.g_varchar2_table(6289) := '9D101010EAA24E107E8057084101AE2D102FC003FAA110A7850EDA400764C062ADD0AF0CC13B0451CA73AD1095400ACEBA1149909405DD27A29836A3EB37C70E0057B08CFFDDB0456E10B6A3CB0561062A050781B3A10040C705E1070F4E1070F0E98890';
wwv_flow_imp.g_varchar2_table(6290) := 'AB1F7ACD4F34C06AC4DE1DF1E714100101400000C0CD0361002C30107C3050A1D03C5BB4144ABBB70851471E5B16F7DB105030CD6342CA3F81076B80F0786072ABD4E902C1CE099100BA98EC0BF1E30090D53BC003C8861082F8529B67B90EA11E12E001';
wwv_flow_imp.g_varchar2_table(6291) := 'FA0304395CE187A0C63361047A342F9EE0279E100995FF602E384ED508A105058E11E66208916008D7FCE0018CA83296096F8B0870E006D10D359CCB01A10EE224E1EE1CEE4608A11B463103670CC78240077BC7EF0521B669F1523E8D1034901D03E101';
wwv_flow_imp.g_varchar2_table(6292) := 'F02EC89CBB8502A1375620286810F025C19F66800773EFE9090F00397C11805009389E103BA0034B000089CEC91811B4787F35709E770C3E10A74D125610866DAF3D0CD43A20D1F734FD10DD2E10499004369076CC2D1006CF11EE3E10509F10120EC905';
wwv_flow_imp.g_varchar2_table(6293) := '41054841F504C1F500C0D6A1F31679C77E83BF2FDE820474AE100F000103F406B1E107B4B613B89E11F8030852900212C001C97F10E4C2035370064CC0104BB0077DB0073880A31951A1C1C9F836FF919006814BF0D0988A68601D21F3DABEED02D1E600';
wwv_flow_imp.g_varchar2_table(6294) := '10030271D509F000EFEFE3559D763BC0DB03C10563B0E01561001BF0E7000140A00181050D52329850E142860D1D3E84B85050448A152D5EC448114AC2450975E03078C7610B836F048EA9925165432E0E273C9440510A08001E5E02904041E10E1D0F40';
wwv_flow_imp.g_varchar2_table(6295) := '3654B5C90B80264B0496D8B081624C004AE28414B80980A54309231504176FA5C34A090D15BCDAA8E0151F05CDFC01D0C813005CB80CAA1B0740DE3A7AF200D02B786EDDB9888D2235FA0AE08F9F853B482E7CC0D004C6A15B0902D029904043479D42A5';
wwv_flow_imp.g_varchar2_table(6296) := '4A484560060C11B67E5E18CB15AD5454307CB078C0B3C27AA05DBF6EA8C3E01E83ADFF0A1E11C8030048A5025B32F4B050CB4A7EB00BE2D902E08B19814754144C9C0042C2E90FADFC3038213885EA001E0BBC010089205E0E53A84C00607A198156008C';
wwv_flow_imp.g_varchar2_table(6297) := '3128E67DC2AEC61D1ABA0A203F16B405ABB8300804000552C23D00B640ABAB51DC4A689C751C12CBA0E12AE240A0E0822B2809003434080D8B94C04D2506121A11A3083258CDBE956251281486C810C88984662828830C68E0C0111517FA628D1D55B203';
wwv_flow_imp.g_varchar2_table(6298) := '801012A2259A82CE534982C540EB07807E5AB3E80B859043038F35A434A8080026E88E210992F8C28D37F00080BDEC6CC230A2940A6AAC202DCF93E12208D223100029860080083C8D10680AFA4691469C1FFB10EC8DFEFE3024FF0E44135242BC1CF804';
wwv_flow_imp.g_varchar2_table(6299) := 'C085245C2002009A141A010420723028B08652320284C572EAB2A0C822BAE30D420170C3133E0018CA408332596B21439AFCECBB8544FAB15757008805338B9C28D120164A60E4473C7AB4B2591F7BA5880588844841B7825E8848822E810040CB8BFE29';
wwv_flow_imp.g_varchar2_table(6300) := 'E8C98BD44808CB2BAD14680D34BEC0B2086E0158128007BA5BD3202914B289A1C90CC256831401B08316D8300461076FBDA508D7E2ECBB628C2B04F250A1AB924BAE8C8721AA740783461881A252174238A1377815C84C85F8440200480AFA0A9485EA85';
wwv_flow_imp.g_varchar2_table(6301) := '960F4A1082F6355A58044058170562A05800648CF121216AFE62593004C2430E3E9EFD028DDF6A36A842FAA629C8FF060064E021051644A088020962F22026AB552A4E5C8A10510E6200C804408D670D4A1ADD8B7610E2390048CAF7A68512D857DE85E0';
wwv_flow_imp.g_varchar2_table(6302) := '306919D77A1328DE845030A2518670852D12B40C79BC961CAAD0C28CA70AF224BFB52A6944ACCB0BD2C26209571ADBA137E040BD212BC458553C009680B420440C411B004F40B93D94AE42748D0522AAB897A21204C2006A8B6E06C09560630945E00014';
wwv_flow_imp.g_varchar2_table(6303) := '3A0D80E27D4E48081692B58F6D32D72033EE642B018430E3F185E0811DBE80038064A9294863833CD820820422F8185EA670921A00243362DC2235BEF85F877C840733340B1002F1031C0808112F98204E05C1CE044EE51003F44D200F909AF8BAC13EFD';
wwv_flow_imp.g_varchar2_table(6304) := '0904FF062C400107B84611C34104069C1A9F40FAA3834B19E40A5810487D2AE2388794410B6F600E43E063868819C40FBCAA02CC0CE28520D62E0A02895DA70412894C0020142EA3D98E6A67901DEC807030B056418A974288B028153883C8161B724415';
wwv_flow_imp.g_varchar2_table(6305) := 'B16B5909F1D01A5E55901E729103A502443700308D2BD8003BF0BA48FEEEF7997BB8E322004C08DB98334085B4B121654862B7129282D22944570299A0ED18220211E40F3463789A41926048FBFC61134F31490E5B18A9512E6414C16088341A7295CFFD';
wwv_flow_imp.g_varchar2_table(6306) := '2139990440C362390634344C0BAD03801192084B8334E121B56B22EE5CB6A30C2CA60C242B03B91A82002E420479384B85B01662800318A49A00FFE080B41292AC7BC026800201A440BE99099A49810B52B042F06A664985E082970679A44312E39A6E5E';
wwv_flow_imp.g_varchar2_table(6307) := '640C52FADF37DB561000F2819C02691343228190273CA129E794021024C0818546240174524F41C4C7C5800674479E7CCA1FFAF0142BAC00007E9ADC4741938C846C6325892B93999290480058417102D18C409290322A5AB420BA034026D06050E35020';
wwv_flow_imp.g_varchar2_table(6308) := '0300A09E41084589E115A4A8CD6C88C0C00850144064440F28AA2FA1A54C2901F00BBF514325423151A42EC40F80F855D70C5242833C203D2FE082C92CD2478C8801965E38A74082E7079C1A540952B82BF0D059904C44C20B1A9282416545D68610609E';
wwv_flow_imp.g_varchar2_table(6309) := '90D980960CE12986508001F37B0DFF4F6907803798C9483FD2A8460150051448C00534B5D47DBC6295B424E416B8202946D254103F25E40A305382E2CE90042AE8922165E0C2184C028057892F09B6E86A42CC918EE026041EF270073C00A05C00F8511D';
wwv_flow_imp.g_varchar2_table(6310) := '1921EE8E883B5D00441700CF2D883BDA51DC85AC63BBC631076CFAD8BF8744D7BA0951473BD861103F1664BD0939077615F2DEEAAA23BCCF95AF701512DDF5B6B7ABEA65EE7755C40E75A8831DE3600781AF6B9071C0C5C10836C88300600E0977372EEB';
wwv_flow_imp.g_varchar2_table(6311) := 'A8B042B4020076C497C0EB5047869FCB0EBA3084BE0B7EAE73D3815D75AC58200A76EF5B5ACC5D1A2FE41F37C6F13E2A72632EFEC31EF628888E85CCE31A173985FB001700C0FFE563201737C90279B2916B460F2ADF45207849089615A265D6E8C3CB05';
wwv_flow_imp.g_varchar2_table(6312) := 'D1C743F441DE84E0AA1F66263300C22C903537E4CC4E92729C2F72E626A539230BB30F9E17860F81F0C31EFCB0B39C050D9A7C00001FF800F4A015FD9A4233A4355052733D20BDA330B779CE815E74A635BD694E77DAD39F7E4893F06C902FAB19227C1E';
wwv_flow_imp.g_varchar2_table(6313) := 'B542F8A1E754C3A61FAD0675AC653D6B5AD7DAD61559F53E74EC243AF7991F5ED607AC6F3D6C6217DBD8C74636B4562D105D27DBD9CF8676B4A53D6D6A57DBDAE33BF1B5B5BDED873C771C2B36C738CC718E70C365DCDCD634A6D1BD955FB47BDDEF46F7';
wwv_flow_imp.g_varchar2_table(6314) := 'A8DD828B5BC802DEF786F73004F20B7C179741FC5675BF77840BFF80C32187024778C215FE9A4218C4DE0BEF15BFADF62E81101CE217C778C61582CAF06A1C364338431FCE005AB678DCE42787F7C3516E9F562C8236249505C0573E739ADF5A160C0240';
wwv_flow_imp.g_varchar2_table(6315) := '2BAC91105CA0B2E618C1794136918A5FE0C2DEAB08C7CF95BE744FBFA220E51106C07FB18AE7CE83E92B31BACCAFBE75AE0FFA1800B879CC711197AE2F44EB0C5179D9D5FE734F10767CB248462E04D20C64943C186EC9EFDAC1DE73A1DB86E772D4FBDA';
wwv_flow_imp.g_varchar2_table(6316) := '99ABF17494C3CDE303441F1A6E90D4E2A2E381178832982110BF0360A241873CD7079FF9CFF81CA00E213BE47F5109F8D0662A9C873C3F368F71012355E65C9015431ECFF929A40100AA307D41EE0E78D42FFF5DD82547783D913A0D5CC0C10A17EB3D44';
wwv_flow_imp.g_varchar2_table(6317) := '6C2F104B2CDF20B7487ED77F1FFD85502D2122215942C0D1678148B3EB67A07EEF5F9DF1E9D74C6006E18217D44F442FB027130C1A3F00F49D79DBD781E7E1FFF9C2E27FF1F2A7D00D9C5C8885012EB5AB054B00803D4803DBAB02FBCB0F00C88628C33F';
wwv_flow_imp.g_varchar2_table(6318) := '93D3BFFE83B785B98749AB9926B105E8B388550332C3D33B81C185555885112486550080552005258BC0FCF3B87CB831E10B2EB20BB7F32A08085CBBE7AAC16F0B3D7568B21604C26883416620867FC8070A3432249CB9FE81341C0CC2273CB67BF80750';
wwv_flow_imp.g_varchar2_table(6319) := '3084073C4228C4C22CE4BC7AF8075708876728C246D3C2AEC231271CC33394357E908729BC86FF2E1C867FC0403494C339243F7AF8074F68C37F78866A30433AF4C33FBC373BF48407BCB154E8867F504240E41F3453C44614343BCC8470F80775708554';
wwv_flow_imp.g_varchar2_table(6320) := 'C8847E104347D4C44D7CB67658C34CA8864CA0854A180678683D4E44C554BCB5D6F8876140837470856A70854454C55AB4C538AB07180CB37F280750B08547BBC56014C645AB0778700777900778F80773A007B319C66784461ABBC07AA0B2641C33A5FB';
wwv_flow_imp.g_varchar2_table(6321) := 'C168D44684A3C58BB3073EDBC6700C3F7593332423B64C14C77444B6D55BAEAD6007EDF2AFF189470068B07338C58820B00E53474153A67D0CAE4C04C7FB1AB7F5AA06F99ABDADD8BE8C1007B9BB882D802187FC822B18020EA1083C4982FF8964881C72';
wwv_flow_imp.g_varchar2_table(6322) := '1993FA07AB7388E2B8477F7C083170AB82E847914C212203C17100075DE8053913070E02806F7887997C876F000074480837489B86D89F85000192B01B15680115508101692981088267290585E84394740D35C0039E844A154147254B3483988584D8CA';
wwv_flow_imp.g_varchar2_table(6323) := '8A303C9C2C0810A44770E00B8514069DC4C99A0400728006812007811083C358082BE880163081A26C0110F84981780E207001BB110E00E88235A804C1E986B820C7AAB408F928083B70839354CC1D79332739C805D80AE24207B01408730087D0CB88ED';
wwv_flow_imp.g_varchar2_table(6324) := 'A3C98278CBB51488AF3B065FBAA384488E0EBA9B84104ABE0402BBC193F6F0012D08020080A14690856CE02073E4BEC88C4AFF83E029E0142F22DB4C836883CF78074111886F28876FE8B8D0D385860007992C8846D81927E2069CFC067238069D248750';
wwv_flow_imp.g_varchar2_table(6325) := 'D8882D51A7094988D52A88C5B8011B701FBB51021FB8CD8258033910086A60CE84503DE2CC08C6641535E049A9D24F46BB411CB44CD028877228BC85609F841488EAAC4E81B84FA5B480201882B258835F68CB8238866F388663B0033C0812A1A2082A98';
wwv_flow_imp.g_varchar2_table(6326) := '8223005000188222E094B230880801006A00876CE08B1FEC07760C508AC003C8BCD1ADB807D5CB46FB88AE034D878464500E621F4189D082B0CE9E148821789BE6AC086370060030865A108862388662C8856200805C58AA50D8AD21402183500683C886';
wwv_flow_imp.g_varchar2_table(6327) := 'ED034727B1D1FF1D750835D0D185BBCA826834E193C175ABD384784995788561A24E00E80506A58822F882D594021F30030E548863E08663684B46550587C852862C082DDD52CCF802DC78A982482DEB0380ED5B36255B53367D08B6110221382A50EBC6';
wwv_flow_imp.g_varchar2_table(6328) := '8B88538CE3328C68036BF08685F881E7A0867248C8B214085D70D0055DD286E014E4033B6EE0D482E00687D8398130068370BA82803E7D83BE57E1937BB94D16F53C00101CFCFC07BB10D588904A3508D1A3189A677BCA8610077D6B875A09BC0B488863';
wwv_flow_imp.g_varchar2_table(6329) := 'F086AF4B083E058073D8BE71984E70F8535DFD5300D0557D4D486AA08650884F85180233B0B769D04C8180866205006818CD8298D2865885B413084A3849FF25B8984480855E684A3F85854EB507C6C9D650DD56A4411AC83C5581A001746B8D48D01813';
wwv_flow_imp.g_varchar2_table(6330) := 'A8220058556E8BC387C05585B800CB2481A311886315887075D182D00579C55707DD577E4D886970053CA150B32B886C505883385886D4066B6886668088B4E3055FB8BD5812084E28855E80855208DB82D83028D3D6916508C8CC513138026D028070A5';
wwv_flow_imp.g_varchar2_table(6331) := '0153E5B66EF22BE8031776A2B63B55895E4D0805580854F0055410031BA0388390D7B8B0577B9DCE172D5A7D2D88694884E0A1D02090828005B86FD84E81E08684CDD0CD0580AFD3DAF200004D3008782D8856405D5FD05A7E2A054C2805AFF55300E8D8';
wwv_flow_imp.g_varchar2_table(6332) := '5200873F4BB26C45DB8620137201D1B51183FF2848819F2A81947DDB1208576E4B852AF80A7049824AC83E831857A42A8783CC88E10280E24855AC6888022D8853E0883DD88177C9D365CD55ED934E4005006E6084DB9CCD82984D922A56619D2368E0CE';
wwv_flow_imp.g_varchar2_table(6333) := 'B64CD8856806EFCD9958C0BC4F5823AB0500ABAD05B5025BB1DDD87C85DEB3CD5D88705300189EE3DD88A31282231A4F00885B943DDE612B8E6C38023F1007038884B548520020002FC44F457B2F6D652E916DAEEB7D08BD05007B5006F435880BF0DB88';
wwv_flow_imp.g_varchar2_table(6334) := '208969005457584DF55988ED6B5CF555DA21206281404A284DDF395AD8245ED867C8A9B943855DB05A03040691298845D00683585D8670497DDDB533FB071616556FCD51A1C960A23008FF08BE600B3655533DAAC5F3B4F1431BC31B86245082BA5B8818';
wwv_flow_imp.g_varchar2_table(6335) := '78629B0A2EB134AD6BC8045750876910986C489E8430124455E08BE007DE538805B85983A88A84D0033DB680D8038044A80430408E26BD13A4812139A04F85F8812160DFD554013970E2C705805546D8627D860C05808E10884705005264082610885A00';
wwv_flow_imp.g_varchar2_table(6336) := 'E0821005B105808D0D833C15087BF8872609E3059E926EA5658620DE86D8082158E3B88D5BE35D08ECE9B44083613953876B501C44A802EBCB063F48825B608731080071D0298B7A030E1607FBDA8AE8F5DB050882E420040038855D903D0088CF3578D2';
wwv_flow_imp.g_varchar2_table(6337) := 'B759031802004EEE61B92A888E595AF59105F94DDF69E0067BDB9967E086FF67780664F0031DC9B9D39B82D873A92A701781C8625B3E065A184051E8058D2D888E0D3D3A13E3912D6381F85634866007A669367EE635368812D0E927C00338EEBD74A806';
wwv_flow_imp.g_varchar2_table(6338) := '29300481B92318C8298DA906290185541803C602801EC825109CC78680073B84DE8238638128D09C0500F0130856300874B0054AC0856DF09127E56400785285E805E6C4928250270050E5FBD55C00788223181A1791E85F1006814084DC93290D298221';
wwv_flow_imp.g_varchar2_table(6339) := '78278338069C13DB97CCD860DE588140E64556E68A90608348D9363E2A28A066691E9A93359E6326AF7E78B2C553059FFE91B2092E6620022F480543489F8280039E34841FF0022BA0844A092B818083722082117688FF1AB5C33A0B2400108327401253';
wwv_flow_imp.g_varchar2_table(6340) := '260100708052381A429004EFDD05FDED0481D8866D608E80DD023358832DF06785488EB75E88801D024A50398606801FC00DDCC0066840865F583CAF3E4034B002F8108809612960118860486C03EE58A0F53183900779C85EC5FC508720A38878E6E21D';
wwv_flow_imp.g_varchar2_table(6341) := '9AB8CD8009E6494670040787048C56114424B376A0853BA048A724AF1F8DB56B30846B28834C90824C705E57F895488003662807348884605188721089F082EC86E0C2C40400385E8044008098026BD245AF6A2D08ED1E2433D059EC5E4D1A36882296EB';
wwv_flow_imp.g_varchar2_table(6342) := 'A795E50E22024861066890B924600F17682D1B1A0E7611A282880568482DD915885EE8E2369003F6F1B1FF63C6DD0017F059C68366EE59DE79DB85A8E6A3A2E68428019EF66184C066447004AE1A7095F06C83E80776686D58A90222E2CF64C3AEF05A31';
wwv_flow_imp.g_varchar2_table(6343) := '3F5607044D0773782E1BBCAEF07ABCF23B4278A8F18668D758150850A04F9D6D0CF0D38389684E855D4A8158CD8393CF81C60330900230B0CE233882D4A4DC82503968A01A0B189A70A5CA92810A5B020033304F25D8725A5E06892D88AF2D086386B3FF';
wwv_flow_imp.g_varchar2_table(6344) := '5673E2649B2720A3BB8673AC3E51AC6608062F0846A0041DE173004084293288F9FB96C92C886158134C2E0825F03E677BC7F66207F54AB07A0F358A288E4D7F0D5D7E8B647F385048849FBDEE835BEB85A0043E208C034A85BE4E0883AA9482B806FF00';
wwv_flow_imp.g_varchar2_table(6345) := '100692E282876909875908BC328A84A885BE4E866568CAA6B48001396E1B938B68F74710C583DE15888E081E0BB8135ADF8C85385928C8EA3B9F586F97F071479AD706805B40866998866C88788B0874837877CB03005E19830C2FB65E53083A93FAFD33';
wwv_flow_imp.g_varchar2_table(6346) := '887CB0FA8AC8747D5F884FF884855885C606804D98E48408067B1B65B093853C55763038FB82506F865F08B82F88FFDB2C81E86B3C66888A7F1A741A02237878B767F8B42F08161D02812EE6630655008F6C8E388E346E5F6D6F88264870A268826C0780';
wwv_flow_imp.g_varchar2_table(6347) := '07A7194640043F280438708403128868F8F28CA0F084B86D3661F76B9B7AA97F0D4D47FC8598822948F41B2F885E609163E865FBD63AFF3C81CF2BD002EF2E08F205BB72E06B26E62D886872BB0600BC6F88AA1A76B54E9FD091A567E8EBA705FB1CC881';
wwv_flow_imp.g_varchar2_table(6348) := '802D66384B32943FB9329D06478E35B6E988DD15025EA779CBCE6A1AA081A2325ECE2659074F1F5B200683A806651856A3477781C806810108370006F679D36720C2840A17326CE8F021C4881213F6AB68F162BF890EF9C1ABF72FA3C22445062269A270';
wwv_flow_imp.g_varchar2_table(6349) := '14C25CC2BC01B0A6905242345B005801100462904A0A9F257C32D08A14005C1A9AE0311098C25411E5008A0367201C9403A1219CB630C79081BD06DAFB88101E3F8D62C7922D6BF6ACC46E68D7AE3D3370119EB76A060AB1C030458986341C0A29E11380';
wwv_flow_imp.g_varchar2_table(6350) := '94230B3339DC2616E447FF900032CA03C08F1E807A901F565C7C8F2DE6CC0B2D26C658F6F2578FFFFE2934B2E3C7C02346920C3404401AB569D81A960B377BA0A3817E06CA4C3853E1AD570C712094A2E4615C44008E25BC05009719293EA4E470E802C0';
wwv_flow_imp.g_varchar2_table(6351) := '0885D1B2710B266B6110BB08E391263D509E62CD0C8F08F9ABFE3DFCF8F235AA89121761DCFB0D2700E0A030EF427D09C1900D13F807801F3A41944D32F1A5979079EA8535DF5A18592816680971E4D13E1102704A4240100180110379A1851F5201400E';
wwv_flow_imp.g_varchar2_table(6352) := '550A7D339052084102C0270B15021137DC2034E2480AB5A8502E03093355286300708543582C044642802C540A005805911D42A455F60F3CF24C48616AEE39120A00FF8E7C22666E5C9A79269A12E1B148432C00805742702ED4841051006067717335C4';
wwv_flow_imp.g_varchar2_table(6353) := '0C44E60060988308E9C3D0841EA699A685162DF6E043A065084047FF74B88F42BBB0224489230091150040F006806B03ED32912A03A95266270F4DC3CD6D0F11A6D022CC0D24AB2D0C853150184C220446170A918290705A0D94430EE101D00B35FFD853';
wwv_flow_imp.g_varchar2_table(6354) := '1900F26869E6805144111442648E59E3A1D92E548DB66BE999D0B700D881109B00B497505052F83417B503A981C7B7FA1D11142E0801DAD0387E2A138EB65B768B68A21769E428421B02D021599E2AE1C58D081D430B449F485C2E00A9D60240289F84A2';
wwv_flow_imp.g_varchar2_table(6355) := '143454ADCA08003F0881DA0D11E1090034C7FC68C650FF0925020018B7C6ACEBAE2F03904823720C04E540435870D340E30CC4ACB361E593CF7C3A7F01C67D8EC0F42FD451AF85C7165F00066FB808B1E4D2426E08F4AE427CF0E108C80DDDB28C5AE008';
wwv_flow_imp.g_varchar2_table(6356) := '2D913AFCA2C5A844FE4A6D66C0CC4AF4E8401B7E642844232A848D553947942A8DCA7D524B28B180895036AD4EE3886012390285422AAB8C5019412849F3406060C12BCC6880B186CE8D0CB40A434A024D5146FF147D34D2F23D0240296D00603BED3BBB';
wwv_flow_imp.g_varchar2_table(6357) := '424B99E2C635E6DCF181E376F01A59AD06F2748C6B8D362CA1038037DE68C3D0D87C005048EF0331E288930A4D438D42EC0C645837E00CE40900E3D40B0038EA9CA30FDCC5CB5F21428A4E4470DEFF9102C0F7433C9A088A552AC1A4DFFC065B0DE903E1';
wwv_flow_imp.g_varchar2_table(6358) := '8A918B200D4447424A8DB97A70831E40640909B91C398644A332DDA84CD94B1C9882840C8470432D00C80643B622B47FF84B4BB18B0F2C1E018B81980216B30080296671C36A650F560379C2C9E6379671A803008312A243ACB72684A04221CF7B48213A';
wwv_flow_imp.g_varchar2_table(6359) := 'D830DC00000ED603802BEC250E8764431ADB38C73ABA318A6EA8031C2A2A2212D3A89EF835046F0381C73DF8179111B16620C800831C9864072F8C4B0C00508E4216A79058C80A8B00281B231C7804D4505022414A59061FA2B1847CA218A15020033538';
wwv_flow_imp.g_varchar2_table(6360) := '106C3C83670C81120B15A22537664614389C450E01304300E802003B44482B689490FF268E4B8D6621C638EA61CB842CA28909A19C23AC518C864C6F7A0BB962D84091107098C37C0331C73912B28E792C04145FDCE22AFEF0875D72334DF87BA347C602';
wwv_flow_imp.g_varchar2_table(6361) := '044F0DA40A08910316DCB01B490CE4107F5C88258B11A38160B21330595C2818210BAA7881443B98C8302F480E84D4E26217F3452DAC01A64B0A32930DC90218200AD185B4901FB0838F2916028B8CAE32210A1A95427C39CB6E92542C0624842019C292';
wwv_flow_imp.g_varchar2_table(6362) := '1569045EDC38473ACCB10E00B0E31CEE03E378A669AF818C716D262C2950E1F30FD0BC1052E1248BDFFC281C26F5C1352012170032F18B85C4A21855BDAA02179A0A572C2E8B281B081516C2C08514B22197D4982FC054234B0EFF2416CB7988066B3510';
wwv_flow_imp.g_varchar2_table(6363) := 'B966C31E8B02890BE583CA57D670871D4D882F78B110547C82B04C0C2A6221A2078D18939296B84FD606E28E73B403003365483CD6110F0098631BD01C885AD4629806E9031F893DAD59DCA83788B8C42D08F9418912E20A9DDD01990DA9820531760CB7';
wwv_flow_imp.g_varchar2_table(6364) := '022017C750208DE699104D56CEB70E49D954CA0A808016A392C374897297E340687083BA0BF9C634B0EBA765EDEF3C728BCF0E6F088B56EAE2952804802F16F2096BECC22520452D007E5A52F7BED721EC4D08D71452AA87B8C31D0ED12C80A9090E67B2';
wwv_flow_imp.g_varchar2_table(6365) := '6F7CA1359F69E1AB6089E87221FA73082B0642B9D7020766683986AC0AC955AF4A84B8C985247227928B61021721FF54B1AE0319078055AD8A21AE7B1697CAAB90576E72B9CE28C68D9B518B66206417E9852F0AEFD5E05DFE58219A0080365CE25E8418';
wwv_flow_imp.g_varchar2_table(6366) := '03218D1D08F1F02BD2DE524A2193017066E3B1D9282B441AE6E8073ED8B8E03137048E726CC888629B901F4144073DD88B5852DA104D0E14212CB21C55EA9C90621C43A10155089F1DF60DEA52051BAC42C88B285AA5A29D49C603692531FF0C001EA377';
wwv_flow_imp.g_varchar2_table(6367) := '20BC00A935048BD82E9EB79BD668068FA7BCD8A702A0C93D1E08A915E20C90D67720AE85C77914B2D92E2B845B03B13599733D118EC471207CB346844D329022F86D27E7D4C422D8B9101DA060B98463884A96238C20797820B588056FA732A48EB58845';
wwv_flow_imp.g_varchar2_table(6368) := '5F85FFA4C3961BDD5931A4BA3A3A7736BE91EE13BE681AE550C88BBF0B5E4837241B31FAB33310D28C1F17B9C8899506FC889C6F4AF302159690042A76A16900ECC218AD1E487E436A6A85D40100A47C4836C0510D73280317D5504635A4A1EB914BE4C1';
wwv_flow_imp.g_varchar2_table(6369) := '8375355A16314500841500B1B83659855148990BA3DA0058C3537A6739969A98E7534148A0250DF40CA38CCD866E55551AF20F7AC0586ACA48883185CE104A939418208F2FC08F28C4892F24DF93063593053BF12637B9B14F54C8C45DB2078D082D1BAB';
wwv_flow_imp.g_varchar2_table(6370) := 'B88532083C3E92D3DD21265F339B43F4905F0D8412A1AA1842795C8B123324C4D57DAB43D0F02A84D89CDC3E17B744A0410E7333241C0E4C3443FFE8110FAD9F8913A230852993E28CE915A398A52F064201C00B7F2F17005EDF653076BA98A01A531B01';
wwv_flow_imp.g_varchar2_table(6371) := 'A5BA93A9CE757490E31D0B69F5198A21C775AC0D8D3C250643A251F79193F2EE8C07C0541752863ADA39CF0C34A0242CB110D25775CDCC71608E18D23DA87C1500431A92B9753479C9770C0098FFEDB853728C5CD40A29104B882732D1A081741A42CD92';
wwv_flow_imp.g_varchar2_table(6372) := 'B758849E444C82224CC22020C4256042462144BE499D6005D6F695DEEBA951376C83C89DD68D9145331843BEADD43BAC144208D6C32D84D0E48BDC39D3F03CDD42709E4658D4400C9966F0433DD403002E44512D5F68F04D22048B2CBCC2770C049FF8C1';
wwv_flow_imp.g_varchar2_table(6373) := '1DDC8189A143DE29C42628044B14FFD2CE4183CDC9D533380700C801E9980100201F00F4C1582544750D9AFB31C731E85998E0472D3504154EE11A0C84145821E63504A33584DD38C42520C42494C5206082A519432D4CE0314C60D73D59B79C83D0F889';
wwv_flow_imp.g_varchar2_table(6374) := '42A82038A8A01998C13671892244C47E4D841F4E9A44688333E09E7D31CE6420C465C51781498334F0C942B8463FD8D559C48EF145C640204D969C8598E12044381FCB2D514220832C70C330E0811FB8150311DA8A80949EBD0CDF2D84CCA1CC3178184F';
wwv_flow_imp.g_varchar2_table(6375) := 'F4D6264961428CC2FD151E09215AF92144AFE08A44B44118B4411BE88C8B64C3BBF1033FB01069D0430DAA471D36A244A8822FE49B31F1822AB0232F2CDC40B05EB6E44B4200FFCABD24C41F44020078020B92A33942842A6C822A3C226315C330A557A9';
wwv_flow_imp.g_varchar2_table(6376) := 'F0823634961F320F43701D4310E2DC5D2000ECDF28A0CFFAACCF5A5C0300BC1B67290468B8021652C848BA2238F1CD2638C29439DE40044921A598A9A10347DE8C360E84372057883D849C3D8542E8A310F0400D38448AED1C42FC06AE58E3025823002C';
wwv_flow_imp.g_varchar2_table(6377) := 'C0AD2CC4CBE88A559C103744A5378223006C1E1C62C6244CC2EC00401D2AC4019A4A1202402B6C422B10242CF1422B2C1C3C668B38C8DD4048830A26C42AE0C228A04E499A0926CC411DA66142689FEAA9C20826845AAE1E4B50A2A5A99E2F1403084A62';
wwv_flow_imp.g_varchar2_table(6378) := '082E8435E49BC30DC4948DC3BD0403310443BD48E12A34C8D329FF43EC29E3599C97DB94C3FDA502F2F1CB1B1C2397E4250E3A1F5218A44430C7112604280200EA2884B7AD199784DF8A8C1B5332A5350EE7402CC092B81F001CDA54625743602543B4A2';
wwv_flow_imp.g_varchar2_table(6379) := '43B0C1203CC25616A0570280759A63570240126EC2536D02600E8459122642940A5AFE0B6606436E768B22FC6342E401429CC2588A052A4CD96246227A2DE442B0445B8A2113A5415CF6DF42C40100688142A0CF1F582166BC412664C22B708139DC5F36';
wwv_flow_imp.g_varchar2_table(6380) := '444238F84134748370992497448A62EC0330C49F43605E27508C42B0C17AB244B71D23E53D638A01402338C91A8C0E1C044B43B04A8BF69C4210A771B6817186418F2E84239442BB1D9A55DCE878F4235ACCFF411ECCC140B827000C8293E641581E4443';
wwv_flow_imp.g_varchar2_table(6381) := 'C49277CE2700D427792E1720C6C736CCE543102800E884276CD3DFC5C70186A54268C11EB0D31E1CC221CCA7256069425C6913EDD7EACDD27C7A432C3D6643B42500A040245443F42984E900004AA00FFA54422410A8155A412AE8C3C52544632C4437DC';
wwv_flow_imp.g_varchar2_table(6382) := '813AD48A27D84224FC0361D8C233EC0628C8D599DC20C95DC6DD810487315E3132472DDC412AB4A8E531C7293C59AA7903390C143920C389252743CC468B0C094F6A8F2C6CE14270036B5E908B2284712E40CCC8CC522E4910E8C9541AE9730280386EC4';
wwv_flow_imp.g_varchar2_table(6383) := '3832041B3CA9B72EC420846B4284E5DA0DC41E8427008467AAB5827CA24212A2257E9E09FAE0FF5F232CA2198CC122724920302943A4411A4CC1421C82B235C49115DC42C8A3EAD581206C4213F5A99D79DD2E8067144C1844C8E5D3ADA781024019F401';
wwv_flow_imp.g_varchar2_table(6384) := 'A44E84B32C046902402A0CC34070249FA0CF1BD042BE7289A9D21D2C4AC4E2D92287592B0044984D0200AF4E458A79618B5A2BE9AC0123DC42331E978EF0E2114A8114DC84050C411008415D988B5D0841E40C445462D10B34D04C5204B6CA1B697CE3A4';
wwv_flow_imp.g_varchar2_table(6385) := '822BD83EE91CFCA3942AC41E5481BFB65CC03A44C1A2422BAC65A5FD0B9812E81BA0C11B68EC1FF4C33D6C2B85E8C04200E83936D191E95BBC1E822058822648423B3A99C3DA490C0C44C63A442388291A20C41D94011AB841E56AC4C73EFF67A50E4486';
wwv_flow_imp.g_varchar2_table(6386) := 'FC433D90918666CBCB8A69DF512D36281F42EC5F28C85531C063C4955B8B0C1AE659AB0329C8983E4386FE0D0941C38B50452148C1503C816004051E7CC1B73802D30C845F26C48B3C03C4DC018B3544B6AA471640047C2EC40D2C416E01000E300100A4';
wwv_flow_imp.g_varchar2_table(6387) := '816B218424D069793244BCA2C5DD22AA8A2484533404E682CABF944142F4137D5A022AAC1E2F68C2E032A043D001000CEC4A95CA147C000078800D00C07514417520843925444150296F08045974AE0D6E848B952E8584C55125C4718028FF259D5BC5C2';
wwv_flow_imp.g_varchar2_table(6388) := '6E2C0416922C423C0F2F722100DC46D6020E003CC308094316C9594440C3F3048972900E1CC80125C8811C2482100340103BFF4D111B3123B8028B1D1E006C2ED20DCDD666C61C0E449ACE4158E6017C66C1F63E841F4D4112F82D13006C44EC4233382C';
wwv_flow_imp.g_varchar2_table(6389) := '42A4A3666CCA1028C11558414D00808246041A18499A744103A06E4240C2D344844811C22600EAFE52E60896ABEA2D04060C840AEC800DB880120C0110B840118C8416E4EB1DB4EF2513E14094C11D58813245443F7C2C7472B0D438DF270F09A91A1242';
wwv_flow_imp.g_varchar2_table(6390) := 'E42B3224C33720853052850AAF19F84D04D235236F7183113A31D18EA111EB2E2504B3112702235042233C8DE9540225240275C9C2A009431A7E4FD65A193F7CED4474F1437441167401092C842D649B42102113D00019982F779A6FB9AEAF7C14C110C4';
wwv_flow_imp.g_varchar2_table(6391) := 'B16E0C44FBBEFF811BCCEF3CCF1E8544AE42ACEADFADEADA3204C386E0BE410419A02B428440425CC7402C70429841FB22485CDC6D4367AE5888B243E852FCE443868C32298F852A7E30A578552714C330CCB22C64D171704A428482407C83031961AB10';
wwv_flow_imp.g_varchar2_table(6392) := '97111AA1CEF22227CDC63360034EAB188E84688BF48EEEDECCA1C244251CEA989A4E1F27E78F2CC3324431425C6F66F0AB43F8C040CCF142F89D118389322D4210B52942B89331F89B771E4A19BC81219C304498757C4CC7407C3200DC5F331A02221C75';
wwv_flow_imp.g_varchar2_table(6393) := '192BC4C00E843118D321FC6F44304042B4000820044227C41B98B56D9D8528FB0B3264824702C0164104D25C8327C0DA466B86C975488BC0DC426485D570FF01500000286043262C4EBA65ED2EBB308B1ADA34546D44F0C90881ACFB09282F7A5825CCAB';
wwv_flow_imp.g_varchar2_table(6394) := '44804225848233532D03293537C06546387592068244B40B8D4EC4B7400119B8161D1CC24AB293C196DA5F0EE64464C5882CB20D9053D7347442944D7C1C2F4244026DA70228A49415011259320419AC1DFA328436ACA44294F343A8402333040C78CADD';
wwv_flow_imp.g_varchar2_table(6395) := '3AC26E0CAB617F2E42A88538B84D37B88D275C836403403E88C3C6616B34D8822BB4F664B3C58349CA3E0C654358C115B4CB40E070F8E1345508D24F0B0E00C4015338AF46F0F333DEAEB975CC8C9CCF4F4F045BDB51039DD0BB3D88385AB3464CE3431C';
wwv_flow_imp.g_varchar2_table(6396) := 'C74064026D270422C8331FC0817903B046FCFF986019131D10B459780A08A44043E8374254022028535774059AC835008881911C8F14ECC111561C44AC77BABE174B9C675FB740A7A0B499603042A84326205F3700C36A2A362DC041B2B2F5633F3866E4';
wwv_flow_imp.g_varchar2_table(6397) := 'C36A0D44952DC42F6824B56038C6C4B8AF36441AB24144390409E038006041A347BA92CC2236B01937700777B421CAA4D8E2CDEBBC56428B0F8482F478DF35825570A3637CE3375E25929A85E9186807D88505FC800AF48842E0012060B9BB3C0406CC00';
wwv_flow_imp.g_varchar2_table(6398) := '190FC4C029614324B966984043687256F2AD5848407FF007B37B804258B04288811FB9DA2638032F44F0408039449C823C02E662DA5E0F0D8407403B448C4011E03366542AA38002281CFF2332E88452906C4678820A230D97E9395AE80F69ECC365A842';
wwv_flow_imp.g_varchar2_table(6399) := '3188A6425C014A13BA061D5D423075447433AF800109700E4431C9F831CEE509E8541CA13E8A0528FC827C3584BF38A759CCB1CEA4610A30FB04307B4250004298C04820FB42E02F007C8BD459DAA818F240A0F17BA0F94390280028C356FC4A829DC95F';
wwv_flow_imp.g_varchar2_table(6400) := '2B0486236DB503001284D5B830810E24B7CDAF30C3B5D3422879420C4804ACFC40483200A8404368012040395AB07BDE0000BF6C6A24DC5F2428D3E692861BA8032D20DF29EA3B5AAC56BF27C437AF274228011CFF84A87F49283802A9DEE833E8081770';
wwv_flow_imp.g_varchar2_table(6401) := '8E530E84A2EB4A2280019328BE1C5C818A84C337B40A4FF8E642A454A83FFFC4FBAADB37C8C2FD7D03359483572404C89385E9800CEA1F09004C0004C04712FCBA5808B07CA800D73344B990024502C032640B04983B428C01173C81F1B6DCD41E3D1234';
wwv_flow_imp.g_varchar2_table(6402) := '042184E0C3D5979B2684F550CB03B43E42D8C0101441ED1F4A7ABC903A4C433AC0433AE02C00B8033B20463A54160CCAFD59787084ECC33EE4422A609B8A8CC25465853B234431B3F5B325C430AC2E00143640605903004B172C00106EC112644B10840E';
wwv_flow_imp.g_varchar2_table(6403) := '115E41080017806B08BF61438670E3448F08B9013054A992C748134B7E9CD808004B8F21117603604E250079FCEED5D4A912D0C43578CC20E42001C24EA31E9F7C1433718A10003C6A6A32C66B2219323AC9EC39BAB5FF0508844006B2F403A0D6446A5B';
wwv_flow_imp.g_varchar2_table(6404) := 'D1A6F508E101001055E08C6484E80D42355FBC00903111C9121E4B3ED6404848253984742C195505C0CEC4084501A48001C2C610B59731EFEC57B35A5A7E994187163DBA663E84F5FE6D06D06F1F80580046BD564B09002D00B910A64A0260CCC46700A6';
wwv_flow_imp.g_varchar2_table(6405) := '218CF3D1820D952A00206F911C0810849E10FEB208209B47E9B26C7D84C60D1A4296723C424F9B52A53800DFC001F8ECF1266939781006FD0200324208098AB66DBB95CB4EA83B356905A15DC84147130010DBA426AD7C41E41035007801800738D86902';
wwv_flow_imp.g_varchar2_table(6406) := '0FBC9AA8088F0E01009155940986B4D1EE33C1A3573C028491BA38A870030D365029049D9CF948100501FFA06AA2330EB1638F31969A8802004C04C005226A6A6E87112FCB69A2F53C7272B59A5463D2CA2BB1D409358FFE012015D940F168082594F048';
wwv_flow_imp.g_varchar2_table(6407) := '0A84FC60C435008001400D2FE054E91966926106004A1AC964A24C2A0125CC304701C5152F619BE817E93ADAE9161481E3E6999042024F0E400C314424B52A611480653C3A8B267B10E2E7B3F64683E3BD35E058438D323F2A0ABF2C554A03A103A3322A';
wwv_flow_imp.g_varchar2_table(6408) := 'C8B43C90C023E3E0FB8337AD001011D6CB1ED0F523E8D4DC490384584048B0B424C17131677560C28BC63C8A1180E59004C083FA86DD0A4AD5AA9C281F296D320D2179C26DD75DCC502BD7233F1319344C84E643C88A89C68AA513319AAD02213E00FF18';
wwv_flow_imp.g_varchar2_table(6409) := 'C6D0DF7E21068041071D6550841201A09244C493F823E97C0380186046C118211437721480EDDAB434B4514651E91B6AC4A1A61C7BBAFC07669BA0CC0C0E004C854FA509267A3501FA7E6E3731C226D266272626A20257700110F8A333783BE95DA3F04B';
wwv_flow_imp.g_varchar2_table(6410) := '80826E8DE2D9A3FD7E86E0BFAD80DD898A3B10CAE001082A04E186563FDA22B1A927AA476150A9FCA81F64D805C03CB8F9E65BDD78119217004F505EA511AD55CAC464468478816C8F928D4E985F0CC6D78C2FB600207300FA9B0F0D7C3FAAE8965F36C2';
wwv_flow_imp.g_varchar2_table(6411) := '66A2575691E5968727E22E24D355F135B44A52A60EA1B3CE4248E62EE926153434D6986F209520BB0FE8FB5CDDF64EC81BA1CD25D0A2FFDD652B1C00A0A104D21E47C812ADF6781E3C8FFA113C5C084CF8A227951AF1438A1424F060A20A4783A2A6663D';
wwv_flow_imp.g_varchar2_table(6412) := 'FA99030F5200C0862290AB490B84A6353550A40200F0500700D2D18F6C20A31CB768073B98718D6C980E21C4C8463AD8410FDB4C241D7DF320ACB6941A9DD44B1668180217FEB72F952002004EC9459B264240EA74072195930800BE90430058810B52D8';
wwv_flow_imp.g_varchar2_table(6413) := '170A39B7C38FDC627406C3C66F0C868CDF2024149BD8C876680880486C427600E8C31BEAE2912B4024622941D945AA0312DB990366FCD81DCD427326D07D440510409C4A5E55934A30E27C8CE80F69F6700AA3D02033413B8A1B00301C84584A190068C7';
wwv_flow_imp.g_varchar2_table(6414) := 'CCE0F6003FEAE4731620FF9E470C4001EA1D457A0801CC532404800C4CC40A1BF899048A64943B02404053CB860CE9C108028A232F08710574E0A02764448216706087276E410B5058AA0C7AFAE02F99048F786D467C1FB90217F6A54284D4E50926E003';
wwv_flow_imp.g_varchar2_table(6415) := 'EB266208378CC1169543082E002185CF21649B57F8C20DFB23917CE9248AD080862C68619BB06D6764DC104624FA60453494610F68B8A14A22E611964073227B9359A8BAE4BBCB7C410AF381C84EE2781497A484113703800538A0B55CE9040508F91A42';
wwv_flow_imp.g_varchar2_table(6416) := 'A6B093495A140078188307103091FC2DE7235904CD3A3EC8B446440E0065328107DC87109E0DC92304D80A2A20518C519014002CA0DF47FC4819A3DC50991EA9C21FFF22E109F290261BF7BA86A5F4940976E5E324E148453686611B7378221AB4B0851F';
wwv_flow_imp.g_varchar2_table(6417) := 'FE310C19FE015DC034AB5AFA21CCD414F328AC428B6C440980FF21249C5CB8821AAF704F38606722CCA0E047EC34160070071D13A1211CFA50068474C8230D0000092A32B2680C238A50CBC6275E410D6E50E31B3451894041A3862DE0E10BC1DBE60F5A';
wwv_flow_imp.g_varchar2_table(6418) := '9550849CCD7D59642900508B90984E643F1309000044B0A4897C00007B5884826438111ED00F7E0889C065CA742B7DE9243DE1336B193EF785CF1DE1078EFC880778B61F021860BB368581113CB28424000B1BB720D251121023184C64B62A19C26E0000';
wwv_flow_imp.g_varchar2_table(6419) := '5E00EC2009F5FD4870461409191A22156A32C4013B98FF8969709516AF40443AECA54B8488C39690004076CE1AE18FA82B4AA7490D3FF4A10F7D8222119A3A9315DCAA135BB449182AD9C111A253B9FE8DD223FD61951A77D813140DA372AF43C834B091';
wwv_flow_imp.g_varchar2_table(6420) := '0D9870A79D34C48D6B62738B517823281F898561C8613A1D05D123D908A34766065AD0044F55549EC810523001C874AD6AF6318A055EAA1603A8042A6153C97AD16282EC1A6B4300D88D1176D3838F24C10C91B05430CCC3D61161CD2329E0E94736144A';
wwv_flow_imp.g_varchar2_table(6421) := '380220A4DDAD094D158B905BDCF3237BD1D644D6CB5363CDB65B4440120AD08C10A7B189349FA187EE16E65974B5C31CEE583082D5910E75F4C316DDD0B384CDBA994FABC72835AB174264A11346FFA3850F0EAD6164D5B26BF34A87B2230380E94C67E3';
wwv_flow_imp.g_varchar2_table(6422) := '1EFF15BFC202803746510CC60220084350413C11820E68508511E3ECA79301F00F334E845D3513CD4F7E129F8F28610844402D767FE63E132801C62A71DF1B3F628031EBA42879194328BAE13184645A2D34454886B6524526A11B10BEDE099F2722211B';
wwv_flow_imp.g_varchar2_table(6423) := 'C456CCFBDE8A196E700339F794BD11480085AE8B706F2144D042E48B4A46110E7363A64BB466D2AB61FDCB7A6CE51F5D72C92856B18AF88C6922BBFE08847522586454E47377B5821A8B3A912F7001731331EF2D12C51D6C4063891E8186E99EF18C737E';
wwv_flow_imp.g_varchar2_table(6424) := '24D7C72846598CD29D66B4420E104A0A422871B36ED0041F1E818795D4906E8FBCC7FF0FC3FB88713EB2CD89AC4DB7E825804D55425334E0E17385FC480C46D4023E3F616D13D98D32A361253830024FAFF5C89F7993BF161601C51F0101E6816A00086C';
wwv_flow_imp.g_varchar2_table(6425) := '4057B59D4837C4E1890DF12093429AC8A3493E115D15C9447CE74D19AA5005F0627A2290C844D53F38F3980F1F2DE6DED2479E97EB8948E1AEDEAC89B76F010C187AE40FF7D209885BEA1C8F28615F0E57B435D5D29989F40200CCA85C3126E2821C20E4';
wwv_flow_imp.g_varchar2_table(6426) := '0C626885D100008AEF0D2414B9683342D4814884C0E3ED23FA021ED00D0FE060F2C0A3A106EF235260B6F8E00FDCA0F154A27D7405F40860912602020C0E00D08011B64125104F048887034C040426C30440C07D66CB034AEE23FF74A0A23C02D8426B78';
wwv_flow_imp.g_varchar2_table(6427) := 'EC6EA08C202942EC326CCA581C6F2228011CC4011792C00678602F7482A62683E0D80B5C8C4585B4600C9420098C60078CC00ACA405388AF0AADF023E8A19874EE16940F2DA4C0FA00A0C43E22121821138821616AE273926E22B24876048EEA26221AFE';
wwv_flow_imp.g_varchar2_table(6428) := '2A0EBB03F87A01167A61198EE1C77422A300C01700A0B0106201D420083EE1626AA2FF460378FE6F3E00D0232AA111F4CEDB3203A66AC200126002010F0022EA022F65EFFA4E2766CB2B042D056B820B0446BEFC0F00A4A08774E20894A0F3BC50B69806';
wwv_flow_imp.g_varchar2_table(6429) := '34BC6F2B0820A4002068C0852D0040DF7491A658650CB0688774EF0A91B10ACD2D0B418D22EE45E05ACCCD24C610FF6823885868271AAA609861E8142D2D70611870C1638A0821A2A8AF0C0BF8A2A1147AA117342BD7E00F2D8C26B86A8282AA04E6B622';
wwv_flow_imp.g_varchar2_table(6430) := '5F988E0B1CA2A0708836E0408D9222098640162FC36A42A33F142E332A44023CF128C640B1B2E74A00100F1AA1C03AAAA422D228080F34A0EB23424125B8A0954C2C09366D9EE629D1D8281441C710A46690FE201C923126CD8AC23EA2E63C221AA621EB';
wwv_flow_imp.g_varchar2_table(6431) := '00201CA87022E0C0153485186CA325BD6018D5484FB2611A2EE223920100EAC42939231A80CF28B2E11B6CC72ACB831AD2E3178EA1B0CA2216BC400DEE0200DC40B026E21AB0D22364C25D6E46672E120EF0000FE4E05EE0E30D0E900D3343EF8C02C662';
wwv_flow_imp.g_varchar2_table(6432) := '512FFF5562D33EE20992A04CB8A03F0AB30A600CBEEE0F211C0C2110211320F34AEC211E00201EF44F2659CE269BB1265A2E7C34133341D3AC56AE26E8262DCAC51E61651F5A0E2D5463352BF3235AC328328C333D137CB084322D331E6A0E54E2211E62';
wwv_flow_imp.g_varchar2_table(6433) := '130040C5354503354D133388734AB8044B82131973132D326C3601201FD465348FA23487853AC34D258E3334F9064AE4210B3F13668493E6C0277CB613ADE8663DAC13AD100291847333F6611FAAE41EEE213E81B33DE10666AC133BF15366F8D383DA8E';
wwv_flow_imp.g_varchar2_table(6434) := '3B0574408D532556D3B926623CC167E5EA9140AFA43343435ED60341A7A41F3E13562ED34A2E4C35A724355A833500C03EFF09D6D613543E633DFF1D344531D3421594F8D8256F5C4E11E1C528286C33444545B9535E6CB2E55A743514B41F6E94343CB3';
wwv_flow_imp.g_varchar2_table(6435) := 'E6D6EA40CD337058347070F40ACF73499D746A3AE81F96A81C10C2B3DEEE804C0D2DD8C1B3D8E149BD54C36A823F9B745828744CBDF44CD1344D55C21D6C211DECC44BC28118CA618960524DEDB46E8E023B4508D636E31F54533EEF34500575503FC3D4';
wwv_flow_imp.g_varchar2_table(6436) := '9021F298214CAE815DDCE11A9E41FC0635528FC24CE1A6E6CCB3357B545235755331B38310224B3D9526BA342D3C95537F691BD6123F11421F28ACAC8C8252DFE5423DF3434DB5566D55265793C268F256996457AF2440CD855785755889F55DFE0600E8';
wwv_flow_imp.g_varchar2_table(6437) := 'F35CEE41597D7527A4131FF00148FFB9E4374DB559330352A5631C000058B3AA1EDE20516A620D079435F6B458CDF55CAF335444655D837434CE415B11E21C38B51E4C6D57672D332A4244686233F2A14BCA5209C2C1E23C2200EA223B5CF5AC32553B09';
wwv_flow_imp.g_varchar2_table(6438) := 'F44C220F5D1DD66105C00114C001548262BDB41F842F1F6A861E5A5444A612008AC1D926A24A2281025EE01FA85426E9A11E72823E5DF61EEA216611E2655D1600EED566D7851E9675E66A0656478318E0EBC91E76683775000A60002EA3009E1463DD81';
wwv_flow_imp.g_varchar2_table(6439) := '1FEC554189011782C14E5A61C964E35070C11C84B34552F680268211EE000DBA14BE4093263CCB234A158130D310102F13289068E1D64E2D36E6E6C183FA811E9AF6696B4244FF70A16127E210112218808D42D5A2DEFA0663D1421DD801463F624B05D4';
wwv_flow_imp.g_varchar2_table(6440) := 'BC268448AAC0F2E2B67271B44B1C4B016EF56EF396263F4D7088417055628364416A670239B702E8CE6A3B09E82296D223E0C09A90411ED7C55AF966831411582D777755341F4085629156732F03699516218A17210640786392739D160B13F4324424D7';
wwv_flow_imp.g_varchar2_table(6441) := 'C6C167ED16347CA59A60203820613EAC6023FCC013B8A00CCC725563AE1E199777D1574031772B90D623E616210400212EE0112642001C6B011C0B19EF563DF456251426189AB2185A72225C504DB9207B5AB20C52562F1B5309FC40612AC6E5CE8A1F66';
wwv_flow_imp.g_varchar2_table(6442) := 'AE1EF2A11EF8817AD377833DC80148A07D75E27811220B00200CFFE6E0232E01214C61224E78270A407981697FA393C2CE9780050E9010C20E2081518445CF4EB35D75425ACDCA5523610718C17D081321FCF6229CC606CAC11CD4E166634D35FE9383AD';
wwv_flow_imp.g_varchar2_table(6443) := '98F8D6D723E600846B621644010066611638011C38612760A11448001600E08B01408D01207E45D88332588A27828EB7A2A04CE67475776641435E34383967221D525627EEE50E14A636FAC9280E991DF6F8ACA65388AF3892911178D1A28C110213BA20';
wwv_flow_imp.g_varchar2_table(6444) := '62D4786EF3A08DE9B78DC1B826DE3745C7A00A5A49B900005E478467F9A11D6A184B54834A65D423461567116254B37422725925AA58927DD95C33978B11A20D14612B48F80286F9234818003EB984274201FF60788241E38E1A0325E32F6B8D6218CEF6';
wwv_flow_imp.g_varchar2_table(6445) := '285E5726BB749727A29601C06B7FB99C2D9762E3977D3FA200E2D823144000DA39267B5925B08D34F88935DBE58FCD799F39D8B184792B8A578491367901209E93719EC315A300E00CCAA00F3C419B8F021E36A81F6CA39BF9F9A2313A19C7219D994469';
wwv_flow_imp.g_varchar2_table(6446) := '4178A00DBA0A35F64A864153129626DAE4637502A133BAA55D7A442C367ED1D901EC57781D80A6673A62DFB8012296A71DC0B16E5AA72356A6893AE646FA32DE34197EA1292B08177E034511221FD8C51C52361DBAC48E79F9A5B57AABAF6457B55517DE';
wwv_flow_imp.g_varchar2_table(6447) := '1500C07A1C742195CBDA28C05AACE535ADCB7A1C541921D25AC29A141ED681AE1102A50C8997FF699243ED86ABFDFAAFA70648F9816EBA4437FF6944798737271338573366EE93775EB36E2DD51EA0DA836C7752093754007BB3393BD63E4354EC61B077';
wwv_flow_imp.g_varchar2_table(6448) := 'A734E9463F4B73B45194322742B5EF33DCE66139B3B3B3657BB6B9F3B23F2866668647637BB7137466EC41357F5B66809BAF1F3BDCF4F397C099B6957BB9B97377CCE8B9C5AD2641E5B827E2B741651FAE7BBA795BBB99BBBBBDFBACEE81A5F9A6B2CB93';
wwv_flow_imp.g_varchar2_table(6449) := 'B7D1C23A5BA3E5C6EDBBD9BBBDDFE56005F542DD7BBEE9BBBED1F7456DC226E0411EF6BBBFF9FBBFFD3BC0011CBF5F54C0FB5B2D16D7BE017BD6B2D41DDA41AB931B334CCD1D28BCC22DFCC2313CC335DCC28725C215FCC3B1E433A473C4FFA5D3AFC5FB';
wwv_flow_imp.g_varchar2_table(6450) := 'A269765941FC239EB3C5C1949F856FC589D5571B59C643C3C59F1321A0D5C679BCC73915C7A1D3C7857CC803B5C4CDC5B6BF1B46EF41676D76C989FCC997F6528F14CAA9DC41F599B66132CB7772502DFA49D3D228B6B9CA81091ABE811BB8610E0140A5';
wwv_flow_imp.g_varchar2_table(6451) := '899C4FA2AA1220B31322A113A448CE11C29A951B0970A009F01C2DA2E11A22EF1AAA01D0053DD0095DD0FD166E57200290C069A660E374E24D53546900200A58E05926827A9A65FA649B07328AB7B2A413A0C31340DD237044276405332FA956BBFC8A19';
wwv_flow_imp.g_varchar2_table(6452) := '000018A0D5CF150910220974200110E1CAD397092E6A44409DCE2742CEE53CCEA748604E5D2504A10E90F11334010AE40700FF98C02900A00954620C20044D03BD9C31000378000300C0D355E2040060099680CEA3482755F404767D93BA1BDCD5FD4A3C';
wwv_flow_imp.g_varchar2_table(6453) := '21153C41D4451D32E3BC133A4115FA200D8A5D25884612F64010FE3DE0011ED97FE923A1200A26020A8420CF45D24D3CC20DF0400D92C2CE63CE0F677B09F86822A4DDD911821CA652270FDD490FE0BBDB7D6AECBD13FAA00E08BE2624C1238EFDE56B02';
wwv_flow_imp.g_varchar2_table(6454) := 'D9D340E6AD248F3D027011020AA4BDD9C50087ABDD0D00890FDC524591E190319ADB391EDA910621902015C4504E04F403325EC11960E4471E4B32CA0AB0C52316035B804512561E00C23EE6E9E02302BE0EFE1D21F600ED31833CB24899C8200ACEA009';
wwv_flow_imp.g_varchar2_table(6455) := 'E407DA01A010FF06E62205F47A66FBEA3F22D5C971183A025CA31EDCD1CA4265DBEFAF040474E006181F061A8F2401C00FC7E010F6209ECC0C218E1D005EBE0E0481F3D3BEB7007EF47B4BECF540EC2FA3375482D1C400E1111E21241D00F4C411BCF489';
wwv_flow_imp.g_varchar2_table(6456) := 'FCDAD3B9DDF0A160EA8901D2750252AF30DB6980073EE000AA1ED6C5FC284A702296644974C00526E3E0300D09A6A00AD2C00B7EA4B7A66DB100E0100461FB017E223E1F34B42F3E1292FD5019001A7327CCF20E50E4C4818919B44E89F719F901C0F03D';
wwv_flow_imp.g_varchar2_table(6457) := '62069C1DFF093FCD01221A8081040B1A3C8830A1C285080D1444E0D0C001020C2B5ABC8831A3C68D1C3B7A1CE8CAE095812E6EB80041D00400090040E870FFF902068C1D305CE80070030012230CF70CD49306409D8D3BCA0C448310D5190067A81CCC45';
wwv_flow_imp.g_varchar2_table(6458) := '2BD7C7A9541732AB8A35AB56851313D258F8F5203283CFAE6E4D68762A82B36CDBBA7D9B35642857B6A001B30520E4C04800E2A0D942D087911C3006A23C08C3C4E1823CAB083D9366A9C74A00CC00805330D44031542417A4351034A885B6FA01F8F7AF';
wwv_flow_imp.g_varchar2_table(6459) := 'DF3FB81FC702482B90B5ECD917197C386130CD8781C00A3223E636F6C061036F559D01452806820168679C9171EC33DAC200B876CEF1D73459C85E0D1C5DF095B05F00F00248F56AD4C04A800A56C961C405809B085120ACE3B38E9E8B48007802F0D71F';
wwv_flow_imp.g_varchar2_table(6460) := '9611B4C87E4E0D14457F004855DE68C84C03FF003400DCC207177C00E01D3FA8A986DD41B825545D87228E38D0010C00101600074037502C045DE75635004C074034D55423907002A575908B069DB81001079078D06E008430D0724EAC00C030C34033CC';
wwv_flow_imp.g_varchar2_table(6461) := '5852CED89670D75049E445780C9488710B4938D02BA968A6575E0511B3CA7A0CD177D05015A5E1C221940108C01B041543D013674401C0144D8871902DCF70330D37345E561E001AA6B61A894026844C94594EFA91431831302400B70DF4C94030C67828';
wwv_flow_imp.g_varchar2_table(6462) := '42CF44331D70096D7251A600046029A50661304308270801C031C820038D6BC85C152A6BBDBA4AD0164100201F00CB04C310350451930D001002F08B77043D6B5123F3192448454C106BFFD451030E148A520044B1E79EFD65626641DC6483CD3321FA81';
wwv_flow_imp.g_varchar2_table(6463) := 'E13F8B724829747C028BAF47ADD636C372C915D22441D03C030D8F595D296341C215F4E940062344871364E4BB1006462ED55B9360CEB8F056090F94B08CBF52AA451C710C4BD02ACB1424CD34BD6C07B32CCFC8426D41D3203B1079171546909B0C4DA1';
wwv_flow_imp.g_varchar2_table(6464) := 'D31805BDF12D41623475461341537250A1D3605373A28B6A4822458F128408C55A63B4D6420C3C7A3553A16C3C5D34D16013DBC71E358BD133D211F430A5AA0E140103FB1EB4DC8F0685884C59A476ACD5C7D15C09C03523E35BEC40DB24B44C368D0FC4';
wwv_flow_imp.g_varchar2_table(6465) := 'EC32D3486EEC40C82A03002E1B71E1F342696C3B0512420368999D069D01FFE8B851007D10D4847A3A101C7C7867CF868D8A4811411F5AB5F5D6251C943BDEC16774384737B6665D41411D94ED6C76644A000B5D876D1093AF12E488189D80696AEFAEE6';
wwv_flow_imp.g_varchar2_table(6466) := '100738D200B08D34D498EFF8F8CD36CEBEB1D42A8BF945690EF44241757866FF409B0435C515E8021887A20D444F4C39082DBCA33300100A1B5E2A086AE475BB8E64E000CDF9880E668003EF69F022016040DE0A52B7037C106B0B9ACD34084716C011A4';
wwv_flow_imp.g_varchar2_table(6467) := '7B06710200A040061615C4092E04400600D0044460432B9DA0410008E010EA6D0460049114DCDEF29BE2016B4E06C10241E25710C765637C9003C01417920C9C15677ED2D208A0EC509031F0A5326F30DDE9F8148534FF1C217518121437ACA8C0698408';
wwv_flow_imp.g_varchar2_table(6468) := '5100A81DA3AA32BC8D7CED20126261DCAA710DB55DE4841BAC4AA6ECA3B7204E45901D41180A45E59BDE5C651873A4410D6B78101A4081566FA96045EE96903E30A849306264551E49102592A8126CC8C1415CC9106598EF2050B488329201C5041E640A';
wwv_flow_imp.g_varchar2_table(6469) := '6718431F88830E44A4610F60C489630E52343D910B410008852DCCC38C697CC3596F6C204150B3A8A9606A6E0611D2406E9890119E49610901A4461E4938E018A76106C958F20A69100D00208F08710A719C733C87110414A9809D41EE5990DD25040A54';
wwv_flow_imp.g_varchar2_table(6470) := 'E013125830107B64458809D94042F6A8B42514646370B91232ACD93B58268414EA51482D37A245660423FF8B06E9C340B2A60A0064AD9FBB3408D11612857B650218AFC00B32B251B3391AA41FF492A038114291E00D8F9B08891B5520740D6AD1A878D3';
wwv_flow_imp.g_varchar2_table(6471) := '711241AAA353AD09759E1421EA414041516694C56303899AA7BA079CAB14EC9D0511461A187A86332CA2206CD24A04AC0A548660E098D6810631C0442A125DE719C4204EA40622213BD8A6433EC8012CA541C5D97471207F38A9494D6A874E1C0300071A';
wwv_flow_imp.g_varchar2_table(6472) := 'C812AA3046325EA413611A4838C6F2BA106106345829665CE7D99CAE9428777603C01210F9D409B98570A8B4C8A7A00A4F4F7AC435AAA40A0A05D25B8464C0092902C05A29F6C3001C40220B71E76C54781066D8D53AAE11863B0DB0A9B608B022E0FFD8';
wwv_flow_imp.g_varchar2_table(6473) := '063896950D6A74C320B2AC4AB700B0AD82740A2186F0D6466CE125D0C8629A189D8A6606F2157AFE702004181E01749B271C42028932BA526D2B7295B8395783F4E408319E115C220198C117A9CE30166C360098922D0D338B3B2F6C90E2CA46A305E9EE';
wwv_flow_imp.g_varchar2_table(6474) := '42163715CDF5841087E85942B4B090CE0C047F0551070018E1AC690C033377388B3C15E2CD8B24C1A40821063B37C20C81001290D05DC85FE1D916A37A4FA0075930947DF39626FB869D47C64EE206220D14731700E3CD48B3128B0B2024812041B1C445';
wwv_flow_imp.g_varchar2_table(6475) := '904210331C9720E4BA57416E71CF32E9782BB95844086AA0A2E6FC17B5835E5589988B11805E79D11CE9B2F7EE7521820063B2B5222DFF892838A40C288821CCE02DC888C4C2800943D122F20142C2AC906E6CA3CC8ACB8898C57C10495C04C60609C52E';
wwv_flow_imp.g_varchar2_table(6476) := '08A110D0D842678B25CF13E0FC111AF521049952ADA173A72AB856D9D25B11C809BDCAE8688B081AC2A8CEE8CA1AA232658900403229783EF322E7645821531A0E00465D1D475385256CF9EE40C4E1EE8C84797CA01881415A6C913268C17472C613EA98';
wwv_flow_imp.g_varchar2_table(6477) := 'B24C828404CF70D961410EC04D0A1A3A213C0067689CF348684B5B445AAE4A842DC2877E1E431894CE57040040AB48A7422AA32C22008CEC9C8B7748075FAEC838608D1070880300E100808937D20D69B0CD20757073417CE2520068A10C6680731F6C5D';
wwv_flow_imp.g_varchar2_table(6478) := 'C03A27EDE12707808DCFFF720F2A8D127A004040040CB05F02381C217E500388CE8D8C5007AED1132FA48C48FD1168F888202507D6720E2A0444F4A15BB900462C9C0B0C62E8FD8815471E41BC438CBC37DD5368874B357280485327A40BDB783900C6C1';
wwv_flow_imp.g_varchar2_table(6479) := '10EF8E77BC33975F41CE47668FE8BB20732E4813626A905B541E216EC08A5410BEAAFF66AA39C91D88F526F51B67C948E216E91E25CBAE91EB5CA5EF17B9D1A1BA67E58CE4E2DBD2FEB0AE0D12D6B75C0719C0B885BACF5D78B6F4410220D8EE41E26D91';
wwv_flow_imp.g_varchar2_table(6480) := 'EE7E97D591A7E23494B17300A8E420AD4055FECEF086389461F3032172413C63E70332E4DA1DC106670100E87912BA9BCA35881AF8E07EB887106B2780B40121D160FF167DD54062C711F745109F80088EB06800D53D9DF61AB3117D65757B9414556CE1';
wwv_flow_imp.g_varchar2_table(6481) := '120CA178605611DDF05DDE357A0CB11DAB500A56A42C57A4044000007BD0730401740441630551347B42072F74064BC027E775077EE0050931058E104178641006D060008050637020B4600B77D121B4E74F1536109D507A04316005387101487A00B05E';
wwv_flow_imp.g_varchar2_table(6482) := 'C0024677871051558110E62AA3067D6FE122C6B11809013E0741451F454525887D0BB132BFF00BB2905803D16308216B7DB22D4B9106805119753210A6F5422F742F3C815024024A18C120C1B768C030165E208190707F5CC81AD7C07B1B41099FD0094C';
wwv_flow_imp.g_varchar2_table(6483) := '43102C9519CF0717A65810BD018507310CC0612A49A6FF7258A168C8D0816EA11EB720106D8510B0543E550400C1D00BE40300AB9008075166A39008CA280B00500AB2B0828A832CB2900C00805856D48700E0730020087BD03C4157523346087A806B00';
wwv_flow_imp.g_varchar2_table(6484) := 'B01F92806F9C0700BE500CD65010A8500C4748151FF7000EA511B6C020B64080D2160A17F209A1C88902D809A298105E470914D52128407C0381176D275BFEC40C69318B5A816E4D728B5A610B1DB51270281F8A370ED9B882CD0800EAA191DE35102299';
wwv_flow_imp.g_varchar2_table(6485) := '1022A94591638D1032049B5610E91846E775140AB10BEFA809A8909303216B7620098AF80F5187150F00001C301578611E13870C4C33609F0009FFB85E954510CC169055910CC8402A0C681159F3FF8009316713B91599600BA4D58A16216523A2866AE8';
wwv_flow_imp.g_varchar2_table(6486) := '16FA989157F17A05512CC5D205906711F34310DB400A03912695000606D18CDD508DBFA04504D158462109DB981057006C53218161481B31301028E001164195F8B22B18511D44341000991094208155991557518D7C05175938297F581E505899E6166E';
wwv_flow_imp.g_varchar2_table(6487) := 'F99296193815A39091FA381039F09604211F5F06794CD4117D0900CD1892C3C83293137EC7246BD9E28D0731065750467FF0178B69109C7410C2F00DDF200BD08063B361021E000339119950161B6E631C5AA91099B0259C521078B0080E08007CA099A0';
wwv_flow_imp.g_varchar2_table(6488) := '896017F189539141F9F20AAB5944A6822B555223F3097D15F916FA780BA3D01B5640FF7DB4F64A05A10B9E0006C7481061C010C72807009008BE191E97E73803F151DA4883096105636019CE698800800A3B28049B941C05910B0C325FBD304D01C60503';
wwv_flow_imp.g_varchar2_table(6489) := '410FA6411532301093F90009301046490104E19D09919454D981ADC00BFA233060A91011099B1521819F39105B12865B089F15C157BFB255FE891144440554E008A1F00943982FB1B05809714FF7F409AAE00B03810A1789641B515F679191B1700B72DA';
wwv_flow_imp.g_varchar2_table(6490) := '5121C06E0B310A8B939716CA257C5A100E0A007E7A10D4300D7B280DC9809205E17EDF681063300670066760E4980C511DAFE31CAD55104469940B819FC47396F1797248BA1076A006A9130AFB38A50C61A509C6168EB00800D8FF3B09F0006EF00AB190';
wwv_flow_imp.g_varchar2_table(6491) := '9409D13DD74108A7B01F9EDA30487A4F6C3A15C3E00AA04192763792B0A5102EE0440651A1154A107200AD0401A858B1098720093E21099D331074152C04410776C649292A7096661C47A00403C41604D035AB12890C71AB09D10A92810A50B075F91286';
wwv_flow_imp.g_varchar2_table(6492) := '9166109D97AA1D712858AA1185F09E14D3A9ACD9377001B070310CA320A678110BA3E0092EE202F61818077105A8163F22290B2FD30BC2A92C27392DC3F846DC200BB2B00C2F430DC9807916D18D0831052EC03A05514CD9020551901C50A03408210B96';
wwv_flow_imp.g_varchar2_table(6493) := '3A1BADB22F11000158E1136AC09EBE20ACCEF1046E108644F6099D120A9F6967EBBA4161175D47F4A91E715F529AFF014B381B9389136182AAAB98721A710BC2700B94E811345A0665544635E94EC542622188091F498CD70700E22079042173CA3273D4';
wwv_flow_imp.g_varchar2_table(6494) := '3073E0C03691938D07A1129A80AD3188103A601F3BE0AD0861B3393B9D85721052D05E6FF1AE53E1107690A290BB089B982FE7E90893CA1613B66834927C83B7158D791044C4531D220200503F03A18A08910AA8491042209D558172F96203000004BFEB';
wwv_flow_imp.g_varchar2_table(6495) := '024890033A905924A110715010AB068CDD400D8BA32CCA5266E0400DE205002DB810D3200DE59510D91A8805B11849E0022DA00206C12735DB049BD44C51B5B308612DF3807B50D0ABB5923C4B3A1B026B5C039185FCEA165CAB41D3311DD2E51A03838A';
wwv_flow_imp.g_varchar2_table(6496) := '1661FF076ED007FA6A10334A223D6026613B105C50060C3C10408201271005F1DBAF453004499003313B10774A2C2E9003225C9B03116FDEB50D782B0E7E4BBDDCF7B1E1C57D0821984F844B04A102E63710825007F947104C42B1EF07003B68B3519B10';
wwv_flow_imp.g_varchar2_table(6497) := 'D08051A458802EE423C14A227650084E0A00501C50FBDBAE00D02A3A8A2F77954A006070FEFB16FA3B10F24022147003E3771EB4E0C0493810978407784215035330636511F1AA104FEC111C9C046B06004A300A56401057A0783E109721688D00803975';
wwv_flow_imp.g_varchar2_table(6498) := 'F8B1CCB23862864BD588A1D59B0D50E4C80B216BD98A10B77910363B10E4AA107A68100BC96802C534B77AB659725C035B10BFC31AB90311C062FF5D84B710A27A11B94B10F4206D18004EB4E2080EF954C0401C6F7A44B912C711D25C47CB29A1EB088E';
wwv_flow_imp.g_varchar2_table(6499) := '20951DA104F2614670090039D001A6D60104918D62F6B764A6BC83BB0DB096581F6BCD37A38EDC2809CB030041010248721012886B35EBCE00C046A1F79BB768CBA97A0B054B1B9DE2A4A943CB6EA18411012C78E6549F42237D830DD0703603419E1921';
wwv_flow_imp.g_varchar2_table(6500) := 'C507210FF2381B1B60A319B12F194405C5940BC66C613A453034922B073D23144549B7C7116BE505394B650A510404C1C1BE0B00C50B0084EC03D54C62CA6B927799C2283C10314C10E167331A6AC8B5C40309017426B00212C08B0321C46460674DF004';
wwv_flow_imp.g_varchar2_table(6501) := '603A9D00602DB867002722044E61FF52A1C052AF7C6E240209504C8A03D60778B02736441B55B535D5566BB48090ADD9115EDA7EC0C2BF1AE10562C0070396C662311C9F120AF88C10BD81B60501097277BB17B1D2C402001B8CD80451CD23819B8AD772';
wwv_flow_imp.g_varchar2_table(6502) := '06E138DC87C22498101B8A101BAA8800804900E0011BB00120A0C705D1CEE59BB352B010AF909DB82751001080B1E022D665CC6F11CF9FE0A5708DBF6A1005ADCD0047401B0670B9AE82084C031AB1C09590F03F1F61DB4E09008560075E40C40050CF85';
wwv_flow_imp.g_varchar2_table(6503) := 'D42A76D6D008D109A08C10309D11BD01D55708865E1A8A03564C90BB102D4010444004D10C00A3AD10D35C1184EAB736B738AAF66EF56D11839939D0921082905E03A10314BBFF033078BF4BB1833884B3F08C210A2107A88D7B4F301085B085A1B0A221';
wwv_flow_imp.g_varchar2_table(6504) := '22217E0D17CB2DDE4E7A9E041101E6FD1656A335D5D176D5012551CD1BB35D104E5A7A202EDDD116CFB57011BC6C106DBD9F15C1209BFA8FCD04869C09001D0E000C4510298010EBAD104E94054E54CD1D81B700209C17A14B0781DE2E3610693005663C';
wwv_flow_imp.g_varchar2_table(6505) := '10E34BBEEF8CBBF16C1072C03448E1DB0149E344128A03C99EB00ADD0531E6B3F10055DC3B52220C7F55A6BC91110339100D2D04420E4F77C00760AC105530DB511222247D1100C38B9DC09E3F0E4690FB711CF186885D5889436277F99B9563C2B00673';
wwv_flow_imp.g_varchar2_table(6506) := '09918DC8220D2B63114EB0079F13BB26D0BBE82D047316AE090EFF003810A30BD11EA0E97514D3B457D8B4A80C008FBECCFDAA11C2D0D6ED740CF47B107F18DD02C8348B30EB0BD109C0A1E2C28E1050AD89E14D107CF0DCF5A4113048E00541C80B010E';
wwv_flow_imp.g_varchar2_table(6507) := 'A0BED39907D407D1AC16918D517E107BC00430C024D96E0350605A43CCEA5E4009533D10E9DABBF0D249FC256816F1023F7A119D9737E2F43B29ED1C524A106A60074EA134B8B11C10CEEB1C01254F96101B571148FCF005E1418F8E10A3A3965D5D57B8';
wwv_flow_imp.g_varchar2_table(6508) := 'B27C67719EA54A1536A0023B70105A80058E3D48C672820AA1DF507E390921EA6700056C52056BD6E64A9D10BC2905879D250FA0F10441941B11011830F4C20500AA4C22503C8442A034277AAF179F7B73EEFF54627B6E1DC768D3832F0025CCE676F51C';
wwv_flow_imp.g_varchar2_table(6509) := 'E1850040AA4FC027AD0D00048F11031EE98B9DA007313F26C9D306A1911B014556700A04C1046E523FFE9EAE05A1C909F10501F6058C40EF1D32F55577100E4F15B8A1F6239206135343F549F51EE124C4C1C4292E0C9AF9533F911185F00FF400D15961';
wwv_flow_imp.g_varchar2_table(6510) := '29894F1BC060616B686E5F1F301DB11C604408690043C9410690F1429A24621A61033610BEDE0B00E35E10955E10DE7ED315F18B7ADB2C986D103A30059B90F79CED135390D45260DEAB1EF803C1086F705E5230F80080EF6577229DBF35B846078C7A10';
wwv_flow_imp.g_varchar2_table(6511) := '495FF915E120768E10C5F0099A80C3387006155C830BD1D9ED3910A3AF15708E2F210210B152FFA50A056018008409152E5C78E2044388092344A4B870070015496E55049023074784E000801B2772611730003602A8D4A852423300AC8004A103A1A584';
wwv_flow_imp.g_varchar2_table(6512) := '6940228C42270A94330BDF7C51F846E18F9D4995261592700C450C19266640481561890C25966EE54A914E57B061C58E5D980A58C4B30851B56A85EA144226510040D90460D7D642FFC8EEE5BB53D84161143B91A50151524406626D200401E08D048A1F';
wwv_flow_imp.g_varchar2_table(6513) := '7DB848380E213585B814C6D902400B00254380241CA1B0710B842E6CB868E162C76285493E22DC4325E2139E15CF1045A8064DC24C0A8B0028E3AA6F450406F84E3960152255AD0A73D93A7E1C0382EAD9B56B47856A932A86745A299D88FFD051427E7A';
wwv_flow_imp.g_varchar2_table(6514) := 'B703A0B0617DD2C0810DA65D38EC6058E7490994DFAB81E195B13A00A0051046402D22225C486208D03E52420999109A090D2BAAD8632738B6320A004A28A924934A28792F2C1600B02DA145228A0083E71E1AB12B56EE4AE8AB176BB4712954F0808890';
wwv_flow_imp.g_varchar2_table(6515) := '8450D98515541012449085B0BB31A1FC8EE44ABE17C900E000061203408A7FF6D16B9FA52E02A03113B86C6C4B09BE04A002004A4BC80520D04493C1E1006833A1052342E3B3323AD3024084C6C03387246233428924AC78AA8C85F85048C7AEBE30EE45';
wwv_flow_imp.g_varchar2_table(6516) := 'ECDCA34884DE103234A20CA2A228BF5084C9853E25ED624521223B15F5C8B79840488F20F548234500DE42E5535801A011A1FF28194A6F545C735D884588AC4C2A4D006249080510882596232218E413223C13C273CE3909F56CA166199AA98F37D028E3';
wwv_flow_imp.g_varchar2_table(6517) := '8E37FA88C810481801800F47108D48C737F0D81000347EF3C246E5A253288085EC50E3383E3415C6164E8F0452A1AF683C4057828F63400F0082941100564EF9542D21437DAE608A8FB34693561992D8C9190EE06F2CCA00F0C005180070CD852926932D';
wwv_flow_imp.g_varchar2_table(6518) := 'A23B7F232E262D0835A30C00AFB8A28A2BCAF88CA16C0130635D880C5108DB37BA5528C385100120945F004014E8DB864BE1480A40D2D15BA82AA58AD728CEC8C0C58472C965DF7E953C0C802123C2E145E50068BBE2BD74C2C049847801E06C86246185';
wwv_flow_imp.g_varchar2_table(6519) := '0E8915A20A6CFFB803E78AC7AD7875EE4AF52A2A62C13E113282A19F118A1C2234B6D093A13B15D2198D98206A2492888283C8286F8D7AC38F3F14CA24924C3269A42B1310F240DC1B09886803ADB0AE486B169304DC50B2F91D55E2BE1762412B2CFBD1';
wwv_flow_imp.g_varchar2_table(6520) := 'CE76008C145C2C1C784DA815C241158495BE9D400883E60A7BFEFBA5C820830EBA85E42883A6C81AED258A8801403395E01F65258E0C69E4F54A3C51EA758A0CF9C37FA121047577F8DF42C66085241C0121B1A3C80320A2BC176D2002F4824889BA22BD';
wwv_flow_imp.g_varchar2_table(6521) := '8494402B51C805003645B0EBCD8A218549D28B28C83CF025C50E0A5961458844A3F2A550863B398313301811116A455E63E99C42B691901F26641DE318A2FF3AC0D10D0004F187D380C82840018AFC792211FA43081517F29248F08F214A53C81D14A284';
wwv_flow_imp.g_varchar2_table(6522) := 'D1940C21107840021202018AC4002110AAC24C6C84000E30C400FC89CE791222AC5D6D0D001928A1426CB12F108AB08208A9D2F2DC06110218E06D3384482CA89310A0680F878CA4E45266704386C4300316CC4014FEC18FBD800E00A2A448382C931079';
wwv_flow_imp.g_varchar2_table(6523) := '00801E0B39C739C6610E2026241B571CC5425EC73F2DDEC18B00A896C8D883468638308E0C194E15B89090638EA10C5F780A0012B717140280791170E0A512020985140300F2898AE15604004C2AA46C0423832401A0C11DBE88021389662523428B6025';
wwv_flow_imp.g_varchar2_table(6524) := '64060060C23C69051141BA539F08B1614504FF69C184D803945C89C41F4809002DBA11217DCA0184765645956CC51EFD102842D8A74584C0415BC74C8807DC53B5DB21040530800D114013112BBC8B0BBFF9031A86A3D0EDBC6D03466AE74E3E51154B7D';
wwv_flow_imp.g_varchar2_table(6525) := '4C214EA001E03E583173568506E91CD130F7B994C278EFA84BE5C843ECD9152984C510075D0884D2B48390812064C46490E4FE80D18AE8AF73008210086287463326C48CED91000315F2389E51EE0D6E708C42409110086D87001404C0033260BB4572A4';
wwv_flow_imp.g_varchar2_table(6526) := '20E739D1F62A451127C805211D049F9400F010A2F2A5A60841406599BA131A04F5B29BE5CA016EE8857D40B046304D0D1094401931094729554B6B5FD9A390D81D08AE4A194361116208FFDA792214772DC88B6C571E0A5020B00899AC42525108A42224';
wwv_flow_imp.g_varchar2_table(6527) := '30B678E4F3B8A7D39806163B08A826672B720227E8C4BA9C9D010DC8A0073AE49323FBB0C756FC40969DF512345650C24C86D055889809226D850108760084C68D0E6920791C122202BA4A14848A63C86B76DE66007A4560B80078C16C19A2BB8A240661';
wwv_flow_imp.g_varchar2_table(6528) := '0939861FB71B9605232402CEBBB042A4C4530068B6C395B49488091607516E8414B584285513F2192DF026296F02001764BC905D82C5BF15E1ED4B9210D51149899A0CA16B5FA090C2A78273600BA10117B0F49E08A0B19A6E1D714210206484CCC0C455';
wwv_flow_imp.g_varchar2_table(6529) := 'FE1E032230911B86332162A8E87A601A8C85041122564CDD1A94F2508A14FF78274988C2141A27841E50C41377B5A276E88542230154216EF0831DC9128B0ADB82B10068AEAE3E0000C79E13216B6B02429EAC9DB7099A0F2EE3F2C018D0360C7C40CC5C';
wwv_flow_imp.g_varchar2_table(6530) := '861B7F227DCF8AA8211E97AE0E131A935A88ACE23831BB024721E2050899742B8FFB41FA042782A929841299A01DA913C2A225E7EA0155F340897E500500742213A12836530502803150C5B19E9512943C6BECC01115830648F6AD01C0EAA5408D2190E1';
wwv_flow_imp.g_varchar2_table(6531) := '480F01F0074040B42B9CE60895230204A488C1084880C10D18724C42D9FA7F5CBC30BD2ABCD9C8BE682211B037676D0B6E77965B2925100255427B23CDDC82C5AF40C846640D927024E516B6A09F425E32D5A5748275FF3BA1C5A2983A984D2C4215BA0B';
wwv_flow_imp.g_varchar2_table(6532) := '0737B831CB6F64231BE1986537760E809DEFFC1BDD18BAD0C3917300DC3CE9D9C8F9CDB921CB6F60832F8309C7C59504871C1B3BEB10171C2DB069283FF4010EBABB83B92A225AAED4832BAB048068FFF1F6EAE80324FD407B429EA9907FD41D227767AA';
wwv_flow_imp.g_varchar2_table(6533) := '7ADE0E77675E96EF5C277CE1D733F8B0C89D23F4A087DA01A076C71B5EF2328CFCE42D7FF9B0B07D1FAB268BE223E279CC875EF4A327FD65B15425C4975EF5AB677DEBB75B48D7C75EF6B3A77DED6D7F7BDCE75EF7BBE7ACDE79FF7BE0075FF8C3277EF1';
wwv_flow_imp.g_varchar2_table(6534) := '8D3FFA7B1C5FF9CB677EF39DFF7CE80BFEEFD34F7DF4AD3FAA7CD41E9474F7FD52AAAF1D313E2F95E3A7FF873CCA7F7EF3A71FFDAB643C42D87F7DF843841FC98F3F48F0A1F6544684ED3B29AFE8D501007328078410C0A52887720840034C40588A3F02';
wwv_flow_imp.g_varchar2_table(6535) := '8CBF74D80E50FA3ED6A3BF7448077358C0E15B4077308707248B0EDC2CFAD327758087FA1B9155CABEFA6BC0CB5B404FA80215540A172B41197CC1BE70BCEE73BDFDCB0E1A343C582A072EF0808CDA0A3710070094C18830AAE54341002041235C887648';
wwv_flow_imp.g_varchar2_table(6536) := '88FB588AD401806860874E19A8EFB14205629726148B37C8046853085768B8E1FB87FF1340F6E9C28588868BE8066C028917A03D77A03735DC8A6B4888F3AAB131A804A4703E58720700E0961A0941DAE30251E28D4CE0823F7897DF63C228AC4390DAA0';
wwv_flow_imp.g_varchar2_table(6537) := '05F74908977BBEE4832526AA8ECA5308259C3D7140068808B98A3007FDB94384C040CCFBC0720044484C8AFC03800FBCBEFD8BC526CC3E54EC8A27743D268C3D5A6C455DA98757F445000846612C46633C46644C46655C46666C46677C46688C46699C46';
wwv_flow_imp.g_varchar2_table(6538) := '6AAC466BBC466CCC466DDCC66494406EACBD7CE0077890877EC0C26FD4BE732C3E7124C74E4C47DC6B4777B43D716CBB708CC7D933477BD4BD7C80C77C6C3DBF430878E0C77E8CBD7A6807833CC85C1C48855CC8ECC841867C4888DC8B7AD8C4880CBD7D';
wwv_flow_imp.g_varchar2_table(6539) := 'DCC78A9C3D42CCC8D0BB078FDCC83A0C080021F904050A0000002C060016004A0242010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A2C784F20BE89032B62DCC8B1613E00F93E761C49B2A4C9932853AA5CC9B2A5CB97300FF6E307A01E3E';
wwv_flow_imp.g_varchar2_table(6540) := '7CF6EC49DCB70F80C6833F13068D59F026C38AFBEE2525A8941FCD7EFA884A9D4AB5AA5581152F5EDDCAB5AB4379FD0486DDF80F40D983670996DD47AFA23CB33DCD76D439CFDEBC78F4ECFD4BBBB15FDAB866EFB59307CFABE1C388132B5ECCF8A53C7E';
wwv_flow_imp.g_varchar2_table(6541) := 'E104A2790387B299CA66DE98917CB08C1A3E9032790A357A60A84C032941124829942B81A9425122B85AA0234405679BCE948A962D00C084DD0230FC96305BAE526582E407CF1D00650496F113C9532A50A910CA66E48837C170F2DE12FF7EEB4E5ED4C6';
wwv_flow_imp.g_varchar2_table(6542) := 'E8D3AB4F68088098F5F0E33BFCD70FDF3F43013C8050A1D00307081C0CC401051C947084186EF8819B407E00E0871B05A9E1861B853822D02700E0510800946CE8C540627C68101E00F0018085B3E9E6082325BAA1861447FC0080092F9800000B01B270';
wwv_flow_imp.g_varchar2_table(6543) := '841A78F86162412C32C2871B52205808779020920A4F059D27DF93502A868215515689DE4C00F0D30F3DFFF86100084028018012520010C413000C51844016A460420A3302F0420A423CF199852C0EE4C88F0591689A858E844290186A14042100873224';
wwv_flow_imp.g_varchar2_table(6544) := '45143F3421C4404D1C31D0A375BAC1C78A2BEA2910248EE041281E8E40321B23A19C15963E4E5AA9EAAA2C0922100A07A1FF9119ABB44E054F3FF7F433533DFFFC418009361451A614629699A610160891A30735B200409D9F2D68A16D88568B871D196E';
wwv_flow_imp.g_varchar2_table(6545) := 'A8E7220361A806A1EF0D5468B502850B009A0745710415540CD4AEBA944671E7B400ACC6E96C88782AA1238E50C208A97C29454FAD04173C511D009C41C60A086966F0C32AC1A30F3D34F1C32B22065060C2A34A9039841443C4F88310139400800729B0';
wwv_flow_imp.g_varchar2_table(6546) := '00270BD0E2B12041880C09C0B8DC9E184A2E00E03C102D191EE4E77BF01EC43242511824440925D8C9C7CB2CEA06008B6E8821061E9706592A416DBD05F1D65C1B3405C3066D2610175D973D113CF9509C25AF915020C2B3451C113200925AF0840500A4';
wwv_flow_imp.g_varchar2_table(6547) := '10E08D00BCFFFDACD22F6FEB270076F819A840B9608821CF200AE4221EE31E042700459FEB059A623C710642343C2BEFD279725A2FA01916AAE18AAB95BAD63FF4ECA3B5D9B0D7AA471D4C304150249100306BBA002CD144EC877D62094CF70CFC8FC5FF';
wwv_flow_imp.g_varchar2_table(6548) := '7822E31192C248B705473C5AB7C905D1A9F4418E2C72E8E0A0E6724CCED4121439411F3A6BB2B302A94BF91345B38F2E00BF0BD4B9109DB3602789D3E6A96286EF51BD22779ED84759CAD2BAD701EF80555218D8A6500581C4A1214B0000128E303804C6';
wwv_flow_imp.g_varchar2_table(6549) := '8419C880C94506530FB1F02A154F20DB40B8E03C490DE109927A96A4840027EB59EA4405B110890A57B3451C0E7C00B02186162204F441AA6891AADC42FF3A27900C94A0095C0095A650641BC879410DFC7A1A22AE16977BDC031E85B1A016D143083D08';
wwv_flow_imp.g_varchar2_table(6550) := 'A40E7598C20C0482042A79E2817058031ABEA0102108718B2E21063392219053B44427EC405B58FAF1C1327DC10D7E92C213EA4410633D41462D1482172884BD9A5D8B203543089F7A462E0094E051F08394101CD584F81D8406983C1A003220041E0100';
wwv_flow_imp.g_varchar2_table(6551) := '11DC791A0C07A22F3568CB4199584B4F92E28E2CC2F1968971D51ED240861A14A4120351E3150A720634150D09ED02402C00400B41E15225C3000014087200069C048F68DBCB3FEEF10F107E010F8CA0841CD480C2E80DEB5CCCA31BC94A40A70FBD1200';
wwv_flow_imp.g_varchar2_table(6552) := '3BCCA11AB055416C459244DFE359050795FFC291504F208A0415A64EE43416418E5A2CF2432866098059D6F29910DDCA1E0020082F7A710A07D10C1C0432063400A015E14A26159050105ABC0600AF20C83E230A116808840C964883350F704D00E4F123';
wwv_flow_imp.g_varchar2_table(6553) := '7EE1122876B451EE186B203F4D21DE2CF92C298CCB119F9816BF16312E4295AB687E02D5F700F00D81989247911302268D06112222AD941ACA13419CE6A99955C84100C8840099C49376D892A5707D491D0801803D0862A20863C815A2F3092F8AA15D18';
wwv_flow_imp.g_varchar2_table(6554) := '9594231837105B3C2383719D483401D009000C8F0ED644093EE071530FFE23133F90021EE4C0083048E1B302798220EF862CADF65308460D1F0C375428A0854B0D3BFC5E28AA3A9049FF968E448FFA2A28A907CA8208619A0401E56E27E5058172274FF4';
wwv_flow_imp.g_varchar2_table(6555) := '2AD1B75C792958AEB5A1FFD8C743134BDD961062A200B8A8ED300A005500D30C6678E018E0B98BF79C21990761DC2FB8F10C43F90198F6E1075FAA5B104DE4F5A50018231D08420089E483B27A04001F2F2B3D2EA8818D854467B200902CD1324F91AEE4';
wwv_flow_imp.g_varchar2_table(6556) := '500CB995393108F113C248482E560A29A43DEB92002522FCB60AD0E01E4D94603D886E0CBADCE632020E6A8DAE40E8F3D0A1D0F7C61CD9C37567875D0070B73ABA7B8366A2E38BBEBAE70C6F646641105B108FE218212E1DC87E9D30C633EC1700642003';
wwv_flow_imp.g_varchar2_table(6557) := '47FE5B5901F3AA1299FD01F47E0A802F48E14C650A6568293733183A4DFF5C068964390A42DBE45AB5AC04D96A6F01EA49F93D6ACF2216C2D4E895A97EF54BB984BA941F1CE1871837542CD37DB2A43772883D7871216888C31B00A08532A80200742D5A';
wwv_flow_imp.g_varchar2_table(6558) := 'D1D0AB64810C4720D3887286362AE0490B84187505401DD20000DB3901CB006005AE693A918FDCD42F034E8551CB3404045B35089FEDE7DF427B043B1134A93B744421EC30BE0B09E41D03996ACE2A7855360BC4649D2C88A3264510E08A789460DDD071';
wwv_flow_imp.g_varchar2_table(6559) := '254C2D3E2CF7AC0AA2C47321FD5657DB9B21F7EDB14132B19937C4C10C1D2DF2E604F22E82A41400C368EF40B831903734E8DE0817C82612A265813881D711A1093BDE529601D3A20C7800D91110FC0530142A0800FFF8E904CE957214B6F9D0F0B4D027';
wwv_flow_imp.g_varchar2_table(6560) := '0A41223160AB5BDA3E86330772CF364A53CDD27C167007D25BFA89F259832EF4D356349B3D158A4780820325D63210E9C2832605D109C4B71EEB818091D69B6320EE7417078FAE71170E393800A62190C3729D20C06006289A706E8238810E4EB05DAF29';
wwv_flow_imp.g_varchar2_table(6561) := 'FB3A5CFD8316DF24DB1054FA4D94B31CA0EF3BD751A18DD45512CECE03D159E4F100B9831224F1BD35B7D189EE5BE17EF892A614ABA64EE4EE446FC80F7E983A48B05E0FB7BEFDF50449C3E60E71883A0C5C8206D974B7D08E10461036C300C88640B821';
wwv_flow_imp.g_varchar2_table(6562) := '8BD9A02170F706BEC5F5FED25B0F248211CC8043B8FC98BD0CF816700004897804063C741F0C3D7B11FF68536ED5F25F48E68DAFD9CD930A00677EC399C7A02D9C2372B4CEEDB9C47FC6A4C9505BB54C11E4D0EE36338BC0078C500852A7174EB117AD57';
wwv_flow_imp.g_varchar2_table(6563) := '6FB0C775EFA16A7BB00963C004DC3510FF361045A610B6A07606010D06C56AB0F7019D330327506EE5E26D3EB410D4A7255EF60FC3104E80C0086B104303017EACC44AA673229F400918C2834B1539D3F209DE2310C7602153150A8E1421CF3262257610';
wwv_flow_imp.g_varchar2_table(6564) := '264303C2453F9C8762A6C42198227A8876270A82078DF00FF83013F2B5800DF87A7DB0097D0000D85010B4C67C08810A1B210BD3F270AF872D18304603A1077B802D3327104DC0030FA10F7CD76A03360C72C80872E00887688380A24494241095FF8754';
wwv_flow_imp.g_varchar2_table(6565) := '6FC67333B37E02E17E045155EC3733158407EC135A5BB55550406296F467037149D4C37F76566842E208E3E227A9F70A2C3863F7C00E20616363F864AAD009B5403867580C02A1030E610D03B73951406A02A17C0B778BA9511076880A4DB71181B847BC';
wwv_flow_imp.g_varchar2_table(6566) := '620B8932227DD2886D46493BC47E18A27E3A588900107FA1F009A170849A788D85740445F34FCFF23BC0458AA2382824420957882704C807A5E74A94000AB6300DD9A02B03E185B4D84158A78C925605B4C65DC7B009B767105AA07BD6F6540D39101C88';
wwv_flow_imp.g_varchar2_table(6567) := '6A0C679094807176481280B87182C82BA0200564230566F605644372407579CB362EBAC18392484399385B44084FFF873DE4C426CEFFF346F1787FD314059E047AF30873C76522CDC12394600BBF800D6CD70DFA108BDBC40EEC500FB66890F4C5041335';
wwv_flow_imp.g_varchar2_table(6568) := '3C9144100D04004E4610BE800AD8329104410BA7D63063888C29B1712C38603B4566E88426A9F522DE767884F48D8AA31BDC5228DCB2433B671082825537E81E9737780F814945436285428F0601077C00072B5209B7F00CBFC00C6C07004CA916B31895';
wwv_flow_imp.g_varchar2_table(6569) := 'F750905479630873080B51810B8164484610B7600BB71019B2F023A9C62210D9997DC91179A42B7E611FA0A00466200795B00643300463666C85426675F228A90589ECB643F4143E82826D0431555929107939104320236C0250A6986753781055281047';
wwv_flow_imp.g_varchar2_table(6570) := 'C2688E500929050AAEFFC076D5A00CC16799A8B247FF500F5029959DF9647B8030C3D31062B310C528107C900A656910BFF09E063155C2700C3C130B04FA10F2A00EB7D271F2350D6C9008B0600AB010086080050241666EC96651602C28928A92C89700';
wwv_flow_imp.g_varchar2_table(6571) := '900EE98038D080895115553D8349BE4998EBC479A5481046E45BE302239AB55170C008AE400BFEF80BD3200DD2900D3DDAA3513116EBD99E53E99F103571675007A099100C040080B005D19119F5391051209609910D0A070071801AEF097C92371059CA';
wwv_flow_imp.g_varchar2_table(6572) := '1008BA1770F10FC91008B300009C300BB0000B9C90085D20105F606691E36C4B985AF0942248855449B84A82425BDF8333F10449E6C760A2C8012F4A540901621FFFD6668374494FE006E1040A6B070EE23010DD900DDB200D00200DA95213446AA4F405';
wwv_flow_imp.g_varchar2_table(6573) := '9A970600E8908602C17C4A70869C8110A49910EA301039AA1BEF65A405DA810D4113086A167E2140ABA008BAC009833008A6700997C0098F1008890000896006651205EF614C159A437B8A21322710765038E7174F38C36108C13E1E6601EC889D44933E';
wwv_flow_imp.g_varchar2_table(6574) := 'E7925A4F900219300142000727451CDBB00ED4F00AD2000EE3000EE5D00DD2500DFA301602C19E9A29AAAEF60DBB381067900649F0067F2010FD7610404339CA0600976A108DE040A21A9B12410F08EA17022640DB200A02310B79C00697600A02F1088F';
wwv_flow_imp.g_varchar2_table(6575) := 'A00883A0AC72900894000632888E31144F8BA04311FF2248DAA9107860A573F954E6E238DC96AE4F0007AFD00DDDB076AF900AD2100FDB300AC4B00DDD300E00600E3D5A0FFE3AA4012BB0896507F73510AC2A10B406007D1007D1D11067F03B15940DB4';
wwv_flow_imp.g_varchar2_table(6576) := '0800EF5AA85A3B1161B1B166411FFF000E0090A6A6300B9390057900B202610A9830089C0000A6F00826FB086D500A613010A5B0ACA52028B20143D54610ED437E6B806015640D9F600D05F109A01922935B798E889F4FB3898C000AC970A9E670A996BA';
wwv_flow_imp.g_varchar2_table(6577) := '0AD3B00EE0300AC1100EB830B5EB100EDD60B5F4111600DB416F9B585D6B0974256B08B10503D1957A40074573B60841A9D8F8BB1DB12572DB71FF300EB070B777AB0BB310086C1008837BB797FF800926ABA69C70BDA2200A836BB2BA0000B0A00BBD00';
wwv_flow_imp.g_varchar2_table(6578) := '0ECB9A43FF472F166648932B109C5B10C7E00DE4500CD362077C500815F24E088107350A9EBF60B4460B0EE66099D9000EDD10AFE3300ACC300ED5E009A310AFE6D0AFA6C29E3551A4D08B406003009A2009076195538051652736527A10EE286E989478';
wwv_flow_imp.g_varchar2_table(6579) := '21CC111A9B45D46BB7211BB2BA00B88190079340B804E1B70491A60611BB07C10A59E93ED688AD04810EE850109CBB08A810C0AB44C00EC207E00499FE78B4E260B70D3C0EE70000E0A00C51BB0EE7E0B4B08B0BB8A30CE3A00F56DB6ABD3BC3CF340ABE';
wwv_flow_imp.g_varchar2_table(6580) := '2410260C0087E02A03310508530463509F62F39AB8A6BC07F1AA05E18602B1B672FFBC10D2EB0E61617D753BBE439CA6B3200A9810083F2C0AA6200AB320C9448CBD02A10BB000BFBCF0095F19913984C4929843A830BC9B830AC5400E503C10E4400EDE';
wwv_flow_imp.g_varchar2_table(6581) := 'E00CDC49BADAF223AEF10AD810190D2C10E6300EEA10C6EB2010EBB00D627CCCA3800BEB600EDBA0C67F300A1C2C607CD49E8B0C47C29710FA060069600403B1B041E6069B4BA80C91959AB0089A30A8D98C10D27B2B73EBB1796B10DA3B10448C09957C';
wwv_flow_imp.g_varchar2_table(6582) := 'BDD7CBBE77DBBE436CC4BEC00B02B10B043DA86E88C80371C735E30D03C1D00221CB00400E4E2CCBBC5033D27622024C739F600E216A0EE750CCC36C5304110F02310E117CCCAB400CE300CD0020CD03F368A09AB5ED6C41E2FF4CC20060C2C3EB750000';
wwv_flow_imp.g_varchar2_table(6583) := 'CEC6DB64D079C806610739AD09393B63FE3AD303510FD31B5DFFA0CC69BABE0991A6A200D5E3FBC9A00C00EBBB0DA4500BCD6010D6E00BBC47D008BD0BA8E0869AE0D00381769CCB7BC680D6E8E00DA74C388B6007738DC74DE008F0A00EC73C108A2C10';
wwv_flow_imp.g_varchar2_table(6584) := 'F1B00E24BD0EDD60AF00300AD1300EE1B00D91510DA3D00E63A12BB3F8C148FD4CA099D304010408111DF9AB9D364493CEF4A5E437109C39D90256C38FCCD4ABC00600300898C009920CD59D6C0A3B0CD558CD105A4D10CE80CB053BD00541D00271694F';
wwv_flow_imp.g_varchar2_table(6585) := '6CAAB9C6104FEC0C6E387103D10A24BC04E410D85A730E7B6D10F4000E128C0B871DC1D290A935F1D8D70C00F6FFA015A40D3B95491092D0CD0341520201070FC419461674F1D87E00A06A723A7FE01DDEFF2AB765BA0A59000059D005FD9D056C40ACA1';
wwv_flow_imp.g_varchar2_table(6586) := '6CB2B340C9B44DDB0771DBC5A00DB85C0CB8DCD5036D0DBB20E1F98B0A744006BAF6D002610C06B10B1C5E10E4A00D03F16900B00B02BD0767A00EF4200FD13D107F3D10C78CD8E3C00EB8500D16CCA996C994571BC7F66D36CAB0A30FE187BA53D35F50';
wwv_flow_imp.g_varchar2_table(6587) := 'B67CA8103883969222C33D2E16A63D63BE3A1079000079D0DF0291059830093F3C11DBB00ACEA00DBE0800B80C00C500E1BE00D6BEF0D50741D407817676040022DEC4E4E00BADE0E1BCF0E1259E06B1200F03F3D20501D830BE0DF69A0CD240B5D53010';
wwv_flow_imp.g_varchar2_table(6588) := '9EFF4A9B66D1BB20DCE4ACA20CCAB0CD03319F07310567304C02F106506A6C09410BB9C03384351047A0044720428E4E10EAE0C872B117CAA0088F30098A00EB00F0C3814010011E11BAD0E50BBEEB602EE2612ED003510CF94BD4AE82D0C0CEDB04C1B9';
wwv_flow_imp.g_varchar2_table(6589) := 'C12D10DEE0DB06710A67F00EFDD0E20A110E856EB4B4AB0CD2A00CD590E83386B5EE79EA0764D90481DE06A1D941C710EF9A413022262272EAEF7CDA66D1EAC65A10E35BACA6100883401093C009AE0DC49A5C104D3BE602510CDEB0EB02E10B00A0F002';
wwv_flow_imp.g_varchar2_table(6590) := 'D10CDAF0D5105E10C670E7260E00C680E706410ECD80E71ECEE1C6A007B5700FEE0000D46E10828D0BC4A00C768B0B846EB400D0AFAD06EE8DFF3E15C710E7E2CE11E38DE3027108E5ADC70261DE06812184FC10B29072EE7EA13DAED4F00CC9F47E098F';
wwv_flow_imp.g_varchar2_table(6591) := '700904610AE96B0A8A00F5B3BEDA0631099860F5F8AC0CA340E60301E6076F10692EE60531E604FFE50481F1A60AD1704EF06C6D0DA8A007E9C0E20711C605210D9EB00A51ABAFD0AC0CCCF0C633C6E38641F037EF124B0AB64C008C04610303610D76A0';
wwv_flow_imp.g_varchar2_table(6592) := 'BC501005933F7403F11ABF01004C2629A6DEE434A1D48EAC4DDEBD0C554F10255BB20301F598A008B33E08B0BEE5570F0081FBC393700B95E00CBCD0E04428E2B570EC626EF8DA10F103610CC26F10CEE0D0D8E6D0F9CBE113DE0C84200CF7B00ED18DF7';
wwv_flow_imp.g_varchar2_table(6593) := '0581C3CAF0B4881D0CA3F00768FF5009FA20128B1EAA87510BCEB0E0641EE7BB8DD4500B00EBEF1248E04B1240010CE1939E740BB45091B2200C2CC2F95DD9E400D1AF9E3A77FD0000F8B7EF9F324593003C3A08C0D4C14B9C385D9A94A7210045072775';
wwv_flow_imp.g_varchar2_table(6594) := '8C185151A04BB71A1DACC5EBA0366FC50EF252A532E44C96009AF98AE84B1B006F079DCDEC79D01BB99D008C01D865CD98B6539FE4AD0370EEE03800E0660290D60D403062AB3C55FAF3278E277DF9FAF5FBF7AF1E3B76F5AEBE851B57AE48B82A55F972';
wwv_flow_imp.g_varchar2_table(6595) := '3957EF5EBE7DFDFE051C58EFB690D20E2A334C58B00EB84E426ED82061E622008400448172B0095C3900900148260B009722824D9F469D5A75607E06D5C13388969F3D6500FF1CDAF648D1D425538AF25CBA847BD2A58E0D41DA1EC469D44155005A6D42';
wwv_flow_imp.g_varchar2_table(6596) := '09C0597300BC5AF1DAC53726AFA23F0114B5D98C1C399EDF9B1D8D68CDD9A170F4C69D1B6775A6E1ACC1707DF5B43C22317DFC22AA65CBADD506BC8ABA565E3A904005176410307014C30A006AB2A146AB83BAA1669B09A94966350FAE5203954F58C98C';
wwv_flow_imp.g_varchar2_table(6597) := '8EB9180140965F90F98C0B00BE6830461967640D80810A42282DDA06B92DB7902A02200F87828BC8A18D44E2D19338E292E9A05D5AC92EA45D546229AFAB825A69A79D9AC1F220F5D033C698336A59872A001453269888703968155C94A9ED2062001885';
wwv_flow_imp.g_varchar2_table(6598) := 'BF7C003008C0B6EEA171A61EF97AAE4F41072590B007AB8210FF2E0A23D4AB05002C810B092624D800062B22E2021500D43011334FE1423124185D24B4545315F48F9ED70C4208007B82C963908364C52D3787F24052AE41768DA40FE800F815D8040F0A';
wwv_flow_imp.g_varchar2_table(6599) := 'D6B988AC6B521BEF9A6B52254D71F2E627EE0E22C79B9DD03BC88E3EBAB1702B00D88CA892480010CB904AE83C28923F22E9EF9FB36C0C90CF528F9BEBD7E7343D355F7DE1224C317FE152939ABF20DD4310009800A00E246A80CB8EBF0039E8957D27A6';
wwv_flow_imp.g_varchar2_table(6600) := 'F8AFD654852DC77F5ECD03D759690D49D658230279570006510464720F3904803DE23AE5AA989D8429226D8A6986D82683E5C5199978F1E61D74BC412FCA56CE48039760D46C1380731B890362A7E35017FF0075972CE30F7DCEE2FA9E78EF9CB8E5AB86';
wwv_flow_imp.g_varchar2_table(6601) := '05E094622B469B46432D940F2EC30E92E66DBF0C76EC60C60EBAE12A3B4CDCAB11506652226DC105770D9E83D2DAC71E59F208648E9053E6088040829C835EC815A97C56C7F318632E48DF42053A4DDEF2EEC0034B17446CE672D6061D727226F6903D76';
wwv_flow_imp.g_varchar2_table(6602) := '48E2155C4679BA92E5E234ACB6604651D28C37CA40638C3FFAD9E7A0B3BCDE13EC3E1DBFEA5200D2403AA2CF553FE5405EF01DBC7BD5BAE937D1B8A4A186FCADE2F48B89340EC201000A4212A2B283CE00000ACCE28203623F4E8AE88922D0F05E004BD5';
wwv_flow_imp.g_varchar2_table(6603) := '0F55E10871AF9A83CA4E0692E264C163074920F464358839E461736C00400E42C20424CC64FF0FAABB4E934677107C45C926BC40A12FBCC30B4258E620ADD0C977B4919D4D58220D48D08111AAF087469C6B14A47893347EE7B446FCE120662803000078';
wwv_flow_imp.g_varchar2_table(6604) := '10E3FD2322FCD0533DE455AAC905497A009802007480B0B71C4213501260180573A8B81D6A2ECB400D192232851AA020322FC89B0D84E030178664333331831B0E220500840A0040908118051923FFDCE8703A0A462064350745922C108AE04D05195941';
wwv_flow_imp.g_varchar2_table(6605) := '0048320F6CC015263108802E1C240D49A8C2413A7810849DA10E11E15EE8CCF6C25340EA403869862AA2A40D96AC07009200002AA6551D00F4610A2F00001C7740841C28E10A5800C016CC00803898C10C68780334D1D00700BCA19700FFB803009A0880';
wwv_flow_imp.g_varchar2_table(6606) := 'D6A4652D7B9A58120207002A4C6194075942660E4208D50DD29D7111C741DA1611FD1C0600E88B88DC4CC38449AD0000460809213E0100FA1D840E4D506744BEA04700D8C00607915A69DE3951D55CEC35874C0BAC1E7832CD4D6E12831819470FB2C92C';
wwv_flow_imp.g_varchar2_table(6607) := '74210B0028291802518B51A4A2169E8804222201093E94610AED8B082E21259311866484A8C089B160D7136D40CA323D7349313681030C5080032968810A8030841CB8A00849700100AC604D3FF4D288D59CA6122352063F38F15D519CA2A04A7AD2BE30';
wwv_flow_imp.g_varchar2_table(6608) := '8CA26F850B3804B60D0899E94CF5745B870073CA889800A01139C2412873908452010086A0C4557E0057C6A6C62C05FC8FFF4256C186C649F06493C315484372D22C80A19341C0026883100400788214B638482C5201093F50C21300484528FA70C783EC';
wwv_flow_imp.g_varchar2_table(6609) := 'C11296D004A43E1711B2A9A219CE3A9D3782D20A32ECE114CCAA852A4280810D70C0048E72011194A0410014610849B8021CBA7A103FF4E10D6E40C31D927810B29A354FDF1450BE5EFB0AD4BAE22028F20428521117DD36568CD488E799AC42D7338504';
wwv_flow_imp.g_varchar2_table(6610) := '1C8659855EF4AA17499CF2656C5C81090E12B8C05A666F06DD4C14C470904AD4B40C308A081C28F1073EA221B1F605715C2C6AB81C21641498BCCA472A29B94D7212994130C316ACE0832BACE124125BC52A72815A5AAC161111A1442664FBC12C26CC65';
wwv_flow_imp.g_varchar2_table(6611) := '30FBD5268CFFB19E3A8C4E25E42156C220A58A4DF0A20A18E0C0411C0504172841A200D801109490B59078379AE43DC817FE605E84A037AD3392DEB902BC0A5BD0A2CEEE7DEF413E3C93F5E51468EF08F1E0E43A6809656326E24B0D2B4657B788C00000';
wwv_flow_imp.g_varchar2_table(6612) := '5E0080129E10D890DC0F30940E74A643D21A43E648217805408B0F12883CB035B44AF0C11394A004290CE1095240038ADCEB0A89E19912DBF5832310E1884294873A4C70C2FA66F64283910E9784D8C42EC0E38D4330418D2F2B461F6640010F78A00536';
wwv_flow_imp.g_varchar2_table(6613) := '50411172500417D8000411518219FE600843F0E10EDA350444E3D0994A38F13F6E16D4109219AAF95EA5AB7808C98F5B319EB7140B9700208AA64B85A1FF83E457315691CFB9222230D48CD74467D8C31200E0011E70810B4F48C265664287281CA4E371';
wwv_flow_imp.g_varchar2_table(6614) := '19AFC045BE69815CD4D3FFC0051BB080CC8874810D59C06022C0B005D20220DB2A38C81002FB830EC381119500452528010914E9510D33A1C24EDE01A919701129CE008F5C622688647B2776539882258A51850F48E04351DD010086C0ED1D7C1B002D00';
wwv_flow_imp.g_varchar2_table(6615) := '0217E01089721F16140126C52A48318A1FA6859B4E649E14FB04049C1F04808805402642E28631740E006E387A445CA7974DC06EE48402875DFBCB26701D84542137CD1936A189F59D410C59F4A715207D903902608498E1DB13127F951FCFC8008F3FD5';
wwv_flow_imp.g_varchar2_table(6616) := '8823D28F7CFCC315729003CB417B102CC8FF21118D90031EA460819058E043139FC00400F083217C010E00F0031EDC5086324CF8D195BE5E48F8EAE790980D158EE7451DF450E566405D1BB5008023B479860D6820CB2080AE75B9DCF7B3AB400A663004';
wwv_flow_imp.g_varchar2_table(6617) := '22A819895BA04F14F6510628E2268340AF7C59ACB7803429F002352095A3433F679802F5990232A09F26318AABE01ED86B10885903000A1C791B012D73140030BB8350811D7001200080ACDA0B2B1883CFB1038709893BB0A688C0834F40853328A8CB10';
wwv_flow_imp.g_varchar2_table(6618) := '03EB9B093F6A1002D0407D293912C393DABB857151B893909A466042349082148000E5938C88800000B84200E00022B89424E282040C89C20380242A32D5A983763A04F1880817CA8EFFA2D00642A03A95A805678805E810031D60000D98382D5341AC02';
wwv_flow_imp.g_varchar2_table(6619) := '81BCD1329B538235F0036B92A9FE5B065DD80669481365B00777430B7813942C3C88E3D3A688908257030029B0BEA383829769199C4A83767A8B3D900495B0BA971942D41881BEFBB61108C1ABD8019C43C183F8B290E0822B70115D7C91D158A31CC8A2';
wwv_flow_imp.g_varchar2_table(6620) := 'BF0A09D1BB1434C0377C3B08F5C383C13A08649C094340113FF083E90300FE19902C13C255EC13C8521EB3B805A0739AC46A04466804A9F1BBE13B084A9C0908B8420FC0AE32E0823170918CA3024C8B0831F0823DA8028491B88338A553DA84A2481083';
wwv_flow_imp.g_varchar2_table(6621) := 'B90E37AC033A68995670864FA0262F28013DDC800FF936153C3B100001FF18284115D002277C833E58844AB88560900634410C7B501E028C977CD9C2997882B9D8C125C0296DDC172238082E4B8262CAA0558B8B654A2634B882B718832BB0822B480215';
wwv_flow_imp.g_varchar2_table(6622) := 'AC824BB9A2AB30043FF8033F6004F503003CE083B7A8C199A84A0521000438882C93C96D2488C3A1BD7FB80514A104469003140184E77BBEA8DCC414503E00A84275948007C04220D8AAA58C3E52B9444C9B828C33278451A71338B299694383A1BA8204';
wwv_flow_imp.g_varchar2_table(6623) := '389528AEE6B0043B50032AA000BAE4800980BF1198AA3DAC808A34C138A8844A80036A32845188133551866D1807937497364BC95391801850A2AEFA2A858A08246882BF4A827EEC4A4131821C10C6B11AAB2B58A2FF88D002B948A22BF8022DF802CCD3';
wwv_flow_imp.g_varchar2_table(6624) := '8B3FA0A699F8AA748B0846C884B59C0BF01A43173982AB540DBACCCD18B9138C99BD7BF88754084E00C89FF30C3E005803E19337E5A3C42B64C707984B08008131300450700557A8847B6B4A2EF8010E682E00F02714D00124E08129D001C13C96970000';
wwv_flow_imp.g_varchar2_table(6625) := '74680641200342C89EA0028066DB03E8E81C2F40820D7800A722411B4841176801C9383E10008216688137A804485083977983542085B9D31D65008775404D562940424980B9CCB7D77A8B3278020E10520040011138881808BBBD7006417002CB9892EE';
wwv_flow_imp.g_varchar2_table(6626) := 'EC0B2DB88290FBC99028832D888825AA52F21A4EBF7BA638783E23028448B0C6B7D82E25A2A68E8403FFEDFC835011BCD69B09E53C888792CDD4C84628A5918130C27E10CF4C8035255AA6358083418583E00BBE2F1882B7B4422B4C00F8F4802B88045A';
wwv_flow_imp.g_varchar2_table(6627) := 'B305FD4491CE7C039A8400BA7C0075AC810F088996A10341000F67A8033238045418964DE0C72998B03130824CE5000978AE152402177034E4038124B0825012833E7018FA198348588E73A98460A8D1D878174914942ADC4A003047B890802BE44E00A0';
wwv_flow_imp.g_varchar2_table(6628) := '4B40DC8BA29050B2C1D3B7F88AD28A887161A6230A89652A832E8D0840680470DD0B758D0843884D44884DA6DC2E4F10BC8890C6E249CA83789FF7818B2A70B701B9D36D1D1002FACA6EFC0746081C8B7B11645CCF3588CA35F8822350D474DC54FF2C0C';
wwv_flow_imp.g_varchar2_table(6629) := '090950823FF051FDEC2350680438C034C9E0D799D001282832BE428F9E38253D0809553C0126E85537308207E8D06ADBB23F3A3E15089C29D516E8B004B1B182E6A88438E821635D07368BA25251C7B9A80446C8D7884800812D956460935BD08B6E55B8';
wwv_flow_imp.g_varchar2_table(6630) := '70D18BAA89CDBEF0B21DB855F7D9D4A8ED8B7F158CD79B09AD94DA01E1C623FC074350022B70112E080217C1B02F8058348858E24B470068D4BE8D0809500134D09D5B982F4680184A788321F08009F810AEBC42B48D8882D203483106EE21AEDA22251D';
wwv_flow_imp.g_varchar2_table(6631) := 'C08113D08131C0833B48029AF5D09B05010948000FD8AA682A833E800495788E9F359E71F903402856706807937CB7D59CC41DFDDBFF909098B728414BBC8A2538A7B770BCB5D58B75908799800A00180773D88B009B8B323DAC769D0B6BA5D6047800B2';
wwv_flow_imp.g_varchar2_table(6632) := '759F838848E29D0BB3350D04E04AE55D8DC72A58B745D8A1B4B82FA05B5149B3E183DC99F0DE4ABC0273D1CF723C0838F88222704B00784B1E4500B505DF99B004F56159EAB00380E281BB018012A802EF4A02EEA536A8B20120D8010FA04B10F8027745';
wwv_flow_imp.g_varchar2_table(6633) := '032BD8833E508540A9D0D68D844AF08446F0846410877330DBA43D95A5958B006E5C2DA4E1BCD100169889608B885AB0042E30828F43DF6A5A12759D9333318771800AA8685E00785E283E07A890BCEA3D0823AAC1C0A149C008DB53C9461A2EE2D3E834';
wwv_flow_imp.g_varchar2_table(6634) := '3C81A248E0A35ECC52FFF58CCA2DC003D21ABEB7848046FDDB388E63B8FC1F23A204A97983881DC13DC4E183505B03D65C962DB2E670A92D8E0811E0002398BE23B0600F8081113C5DBAC45872BD943168993D18833D108350328348F084D70A06735807';
wwv_flow_imp.g_varchar2_table(6635) := 'AE61157A60070078B365BD0A40A084719C098A1460AE9CCB69950B27F8C4B808A42276811204001F00002D109EB93807A938887CD0879960D788A8022540649AFD0B806AC9C13B9508485B006080020E63C0F8CEF5ED8732CED72FC00336C6DB72C6372E';
wwv_flow_imp.g_varchar2_table(6636) := '908222B0000E60C790885AF8F4BAC07903641CAF1F08E09960D6042000B47D0089A30231A081838982CEE9035B400625F0801ED86523ED81506281470E5B13A0C4FF5C1D4A2BF032EB42820E9A822AD8E84FEE4C1756075306007AA00779700700709E41';
wwv_flow_imp.g_varchar2_table(6637) := '9163C07291B52CCF88B8611CBE5FD3880160925A17C881B0E34DEA7234189000EA8A882E0B896705806E39884B218216F8100FC8D49988CC3DF40005938B37B8836C1A4350A0A64B19BD7CD14A6BDEE6C050DF9306CB7FA004BD54A22FC0DB3A955F2518';
wwv_flow_imp.g_varchar2_table(6638) := '3B1405010F9000D4950C138001254067CBAB822390E5987E0B0320800478BDF7894921082500F89BD1405100900160120113E8811E788008A0000A98551284EB2B245113B00122902823E8011D78011E00255D852661AD0671302B6E9207923642B419A7';
wwv_flow_imp.g_varchar2_table(6639) := 'ABE06BFB3580D793DC90D04326B2856CC0051F4801FF00D0DE6D5D2600D282E12C5700A8522B909E1CC0AAB30B09106041D3403B3013A7BD60A8ABE8208082CAAF7EAB02CA936F266B2E4822BD3D6B3C286730508386ED5F384003BD85C74B2902A68601';
wwv_flow_imp.g_varchar2_table(6640) := '22B081C0298350BA811D78A81F506A0116DFABB85F0EF8100AF82B370085DA58A61F90011E586C23F5000E888004781F4876141880EB4AFC10AF433B22C83800C8381DB80124C8B82AB8028D7D856960337958EDD62694DE5EBEAB1002877A8BFEFE0B67';
wwv_flow_imp.g_varchar2_table(6641) := 'AC3FD794DA93C8DA48888438E85A2DD8022D30BCD4E8E3487B0B38B06AB9D86A00D80C2138DEC34204E8D46E41328B31F6EE48E00235F882A35303005A83A3C337875D034778BE1ED2E317B902FF25000209A0C931C3262FE8EDB05B2C3A0D091BD86FBF';
wwv_flow_imp.g_varchar2_table(6642) := '0500BFFE6B0250470A0082F13A976E18852148D25DD6C2EE8D0008A03600808148060013586AB8846B1838D1BA1EBD2440824597F42A400343F0845B302F7E40717A50F14139C090E0032E60811478F190A8F001D10A408AF2B7A83CBED082321866B848';
wwv_flow_imp.g_varchar2_table(6643) := '4E0058A6E77B03EA0C89501A83AB3C4A00E8B5D9840B388D7531225877F00FB785042EC8720C4383D54BB3630CF350A884EC162B2B2002202882A3CC263F48F296040216573E3957C7A8FDEBAB906546B00A5CB8941DA86914805A06885A0FBD55107074';
wwv_flow_imp.g_varchar2_table(6644) := '0057B088DC4A0A880160F702174C022308BB2428831745567D586D51179C31B0C7FF8898000A90000E008124158C4A98A764BF0A7D928B9388CD3800A0E39E895CA4BE29D54E0D36EE37F082C0911EC3F2B8267FC61F53B850F0BB2778022827100AE061';
wwv_flow_imp.g_varchar2_table(6645) := '8EE70BF034584690026A3F082C37FAE0540338C0F653D7AAA3968224288D2A280343C80443F0820DDF442E3802A58ED5169F38B24D80003808BFBE0A22482240F88364C8865BB00247330111789F07405B04885A7F77F4C08D8C0DA044EE8501503ACA31';
wwv_flow_imp.g_varchar2_table(6646) := 'A0C13218832A48821DD88132D087D40480861FF57D29830D3FE3E58BD55835811F9065BF68CA640F9C25B90A50069E904893F9D80B9EBC8A8C1B8397FE2722DF520020FC5E8A0299EF01B366CB9970832328EC05C980910580FF0D7881CD48729FB71193';
wwv_flow_imp.g_varchar2_table(6647) := '23E37F1886D1F3022950D8D180DFE5771129E82A4A084E2B9002E99182BF1F17ABC7FA3DDAFA46BF0A4AA47B03A8FB9040643868845730042BC89B5BE500EE4C0006B0584BAC362DFC90C880662D94FA4753822A18033F70573F00883B63AC80EAD70F00';
wwv_flow_imp.g_varchar2_table(6648) := '4279F2E8C143E8F021C488122752AC28A58A1200522A7294880810804CAF3A922C69F224CA940FCD003014E78FC3467F224582888B58B08E70FEC0010013008A89468020B432E6A1922A49008CF142250912A812C77C41E8A72700386A943CA1A55265BA';
wwv_flow_imp.g_varchar2_table(6649) := '72E6BE922D6BF62C427AEA1A223408E09FBA7400E2225437911D0076EEDCE17D28F75C5D00F2E0F5950B40AE39FF7589018C55D90EA13B8480E7527668F8A1DD889931B7EB7C782EDEC791DBE9FB07C02D3D7A83D19E650BF171DDC563FBA6841D9935EE';
wwv_flow_imp.g_varchar2_table(6650) := 'DC2A373F5C378EE2B8751DE9495687F71CBB75BCF1AE9DA86E79DEE8E9E86AC6DBD7B8EEECDAB7737FD84FAD3B7EDE119A2EBF0F80BD87E7D19F3478B03B59B7FF4C3B742BF1A07BF7E31FF2ABE7CE357C010A382081111107913E09A6D40F7D122908C0';
wwv_flow_imp.g_varchar2_table(6651) := '830F42544F7D10BDE7D07CDE5D5820871D72984F3FF5A8139E8510F1634F83E2910780782A2274E23FF6C0E8D07A252EB82181F938E42249F3D5D30E801E0A392491031EC46391492AB9647CE0B1665F8B10FDB34F834CA2C40F9227F908A4955D7A99E4';
wwv_flow_imp.g_varchar2_table(6652) := '83FF59E6C68F3E5F9A79265A203A89967D13F543259C53CA89267FF38959D23F3F0649279F7DFAF927A08122A4E68811E1C8918A8752D4E69FFCFC238E3AFFE8A8529E5C0A7A29A6996ABAA9766BD6A72845E5B905AA8682D6F30F2D68C82329A57A72FA';
wwv_flow_imp.g_varchar2_table(6653) := '2AACB1CAFAAA88916568D03CE798334E3AE7A8338E5DBBEE9A596655E683CF5B2C2ACBA08947D299CF3FA030334C39FFDC83D27CF7582A607A264D3A2BB8E18AABA95A0032280E00BF00800B42EC02300C00C2E032EF2FC3B033DF7AEFF5A3A28AFFE0F8';
wwv_flow_imp.g_varchar2_table(6654) := '8F78557E794FB4D7F043CBAAF9288C658FAE7228F0B8114B3C71A06BFACB6036EEFEC2EE30990070882DD038F4CB2DE600CCEC3FE1C0FBCF33FFE8AAC3CCA9D7A4628B38B6C0F30F3326DFA924C1B46423982B26D3534F3E3B3F54E99EDD79C251340E3D';
wwv_flow_imp.g_varchar2_table(6655) := '03CA3010533C35D5556B27A26B06FD93F1C6B8FC328A185390C1841DC7FCA2EEC63A1F4465150174F30F0C350D43C1BD447060083100BCF10F07AFE47926B4B6FC4CCFC1F766D8A3B649734704051525410C020871709AD5955B7E39594ECEA775C6797B';
wwv_flow_imp.g_varchar2_table(6656) := 'FDC726AA9C628C1DB5E4E4352E6A5F1BCE1878EC4D84C7C8C090CE3F55C0214E341C78C08C12B60070AD993D339367CD9E586B92B5DBC20753255C5C16D10D10852335E6D55B5F3DD69F6EEDF5BAC944B28933C618B388E9ECA67D32C18824018708FD24';
wwv_flow_imp.g_varchar2_table(6657) := '010A00B243ABC406863C43442AFF4AF4E03B855EF2D3D03F6C710D5A1023129EB846399E432C76301078477398801EB0947224E07A16BC200627D29FE6900763A8C3453046A10A5518E314AA309B2CD295BA93B1C8062668DB3092C0856CD8E201A94847';
wwv_flow_imp.g_varchar2_table(6658) := '12DE500E6670801E8608C0F0FAD725783C075586B8452A98910A7A88251DF0708739DA418F7498031EFF82A0956E93C12D723162B5D2DECFF296AE5B38C317C6D84528CCB6AE60E0621C00134F38CA702F43A4021200E0C233AA60025B4482035CB8C61B';
wwv_flow_imp.g_varchar2_table(6659) := 'E4A10E2584831FC8EA523D0C230F5B70011EA9300428C2F18CB8B88231C3008538D2910E1261088BDD7905114C920A8470A18BA63CE5A636A845CE79AE6BC5A8C52EAC710CFF616C0C00C1B8851BC5F39EE3916443A412D23FE0618EE9A00B14D9A04500';
wwv_flow_imp.g_varchar2_table(6660) := '6CC18C32DC831826188627A42040C5A8A31E174A9EE28A443D5472B39B682A1718B9E7B560BC7217BE1006346A79BE6E1DA44C12112284CAE42C6531E91F503C8C39AA10483F64251B65A8C73360E0895BC820138A49CC3DAEE9C925F1E35BDE7C2844BB';
wwv_flow_imp.g_varchar2_table(6661) := '740F0E9E066308F985325EC1080014628485F0044E40B8C24461A82DC8F39230E5228E703CE10F3B70030C52E10576F08E8ADDE0802BE0914024E1437911FD295031C80F4FF96B7BB76C041A0050050078E10C55F0C21B3C818B64E012609B6B513F1C4A';
wwv_flow_imp.g_varchar2_table(6662) := '391B2D8B3F499AE25C98F1064330C210EAF04324B860086454FFC1109980831FC2C10E73B0A34DD80C2A5EF36ABD2FBEA5A8DD90C52B58B2918778410C56A8C21F705132806D35591582D83557E490A295B443F968875CE49219BA2224818C098B5DEC42';
wwv_flow_imp.g_varchar2_table(6663) := '8F2A214DAFA63DEDD4F8DA96ADFDA21156B88243B870148778C10AA9F885CE18AB8E5B3C636B023C083CC4210E1A9A231BFD304737B2510E5ABC421ED9108769FA510E00D8C2157631DA76F2B11A8724669808C96C65E0614D292D14B5E63DAFA686BA16';
wwv_flow_imp.g_varchar2_table(6664) := '7D61EC177FA80217B850863BF8A10F7E10C853AB0052B59D6618B40B0732FE810C001C301BCFA045A468410F000FC3B9D0F80731B2F18F485C231AD9C8C63594845D46F16343A5452F88432C2855EE1263FFC0F8C3184AC9542E7881B64C8904B562649A';
wwv_flow_imp.g_varchar2_table(6665) := '76AC8C19E1008038AE61630084031E258317EE98C1E36CC8E5160020463868518E70FCEC521E2EAF88A32C652BD58ABD5B13062D5C0189323884CB684043193C110B60E0A25A1D661031AAB1645B94E316E5B0053E32318D7B20A31ACCB8C630BA418B1C';
wwv_flow_imp.g_varchar2_table(6666) := '57C3C07903863C22315C6C0040AB7D7AB24FA7ACE8450F093C93D25A39E0E5905B8871D2F01AC62DDA51257E5C637AE58806EDC63296705CC31EF9B870CA88FC9CDF59863078C16E8018D69E07269AD1B6BE357714969785246A3E7831C7300DD398872C';
wwv_flow_imp.g_varchar2_table(6667) := '86B15C95488727D2A05F76283F64B92BAEA32D6DDD28EC89F590078F981D117F8D274A519AFF6C631B6A521329293FFAC1D687A7ADEE757F251FD68647B64DC2B06DC6CADCE7D652E2D8ADEF7D93C4DDEEB836ACDDA46D58D99B5178CA37BF13AEF04121';
wwv_flow_imp.g_varchar2_table(6668) := 'A41DF7C036370B7E6F3C4179E11697363DDC710FC2455CE203A775362F2E7245EB8838DF71EC293D6E708E207CE42EBF757FFE230F212AACE6BAB6E03D72AEF39AE7BC233ABA473EE8D10E7918FAE54617F1B5D8A18E765827B494E10DE6182875A9339D';
wwv_flow_imp.g_varchar2_table(6669) := '361C310E761C78F4AD87F85AD7D2D1A4EA21F6B18B7DAF69490DDA53D311B23BA4E75C7F3BDC6545219DFF4EE75EF779D1E3AEF7BD5F0A1F7EFF3BE00FC9F7C1131E5C363FFC49B47EC18017BEF13FCD7B50F10179C753DEAB95EF12BDFF2FAFF988C0A3';
wwv_flow_imp.g_varchar2_table(6670) := 'F39E0F39373FFF90C98F4B8B080116B084B3F9CBCF1CE976DF91F558E2102D00200945587DE3F34121FA98DBB4F891ECE5FA00842D00A00B60C0BDE6F9710F7882184B94BDA00F22120415A4200520200AF2B72E8F172D5FCACE277DD5AAF210F1C30021';
wwv_flow_imp.g_varchar2_table(6671) := '20C83ED7959F0FB747194B1BCFF8C72316042B0020087D5005444C80FEA3C32335F790B5F709DDF6C59FB8A88115588118EC1FDFF59F3C28DE7DEC0BE399923C485163599033004033344344E4426E8C45B728A05E31A0037E4A3F2848E655948E1C443D';
wwv_flow_imp.g_varchar2_table(6672) := '745843F90B65ADA08E309FB8081D43F4C3084A0C3488CC3140C3317C024258834470E031E4C231C4C23114030722612800FF4019DCDE6091843D10200872113C0C46DEB9C73E30083BA48384840A3D5544839C20A7D0035EB8831452C4025C804390C331';
wwv_flow_imp.g_varchar2_table(6673) := '9CC9370080C8A4842D1819A6118330D802FC00001200404630C9134EA1ACDC833B0049EB6D5B45F1433A14C31EA48130E8C3815888A3F4C32DDC4BC7984C85FD433920433BB842242450267882A64560A060893CB0033CB403049E450138843700001B6A';
wwv_flow_imp.g_varchar2_table(6674) := '839988CC371CC31B0A8343C022425CE043AC022E9042447C821B4C4420F44229F402009402873C01001C81101C0120C20AD00D62E7C9A07B380A3BD80100A4411AEC813AB81324FE033B98403818C20328810794C30F99832DEC00332000172083122441';
wwv_flow_imp.g_varchar2_table(6675) := '154C0FF81DFF1A8E90A23AC883198AE2442C800200001890C04314C3430CC192700337C0E143B42100384333002100F0020060E32A4484BA380409454429C04231C2422FC0C231BEC5076AC76009C133CACA650189783D606984C32114832AD4C22600C3';
wwv_flow_imp.g_varchar2_table(6676) := '17D687A3A4431520C30E4443ED004024504019DC424EDE009BC5C01B440A91049D44284445A8DDF6110788DC233F08923EEE0B42DC60492CC044EC8223EC410BDC1E2318E39040033740C31B4E843100C02E9CC2432C4DBA3C842A848E31686097614229';
wwv_flow_imp.g_varchar2_table(6677) := 'D825478224321A633C709B7628A3435880492EE349664ACE49233C38907DCC873E48571FF0422DC4E5351CC4C5DC0AB4FC8312788211DCCC1BFC811F20FF424F48C133240021A9831770C0DBD4A36E4C257574D6588805420C937799431389C5B0E5A37D';
wwv_flow_imp.g_varchar2_table(6678) := 'BCC7549AE23EA2851A22042A40042A9CC10FFC00424C03919465599E651C2E21FE2184253804074204242C0244F80200F842523904482244770A481000666142633E20E6FF69889DF4033CD44244C6643A50A6D6F88BA3A80324DC80391C4115D08207B0';
wwv_flow_imp.g_varchar2_table(6679) := '8E21C00301C0C03598003064C3CC24002D645587A8C5743C5162C0C37408923B28A8833A9130D1553BC44563A4833C58E591B06655320CE44D832E88A54A9C412821048976C834242442C461593A44746E82445AC226501744DC81436C42311443335CA0';
wwv_flow_imp.g_varchar2_table(6680) := '33540245C0024882433CA0487788274420FFE978F64934AAE40A3EE09B40032FF8422D78C3781D4D56FD433510812B60E21718C181464297BE953978C10EB8C21B988021384A87F0833B685238C08F3810832764033364C235D8C2012D573988432AB882';
wwv_flow_imp.g_varchar2_table(6681) := '58B8422A44C335CCA95854539BECE61359254788C36448C4023800002C804142C42EB40221949F46280300BCC21604412524021CACC11710DF110CC160AD01F1E1067202008B22849021448D228444FA64A531150202C012E4227662A777028028906822';
wwv_flow_imp.g_varchar2_table(6682) := '74A72E50C9192E69E5005D6774DE797E4A45DDC33E94832F50E93B00408D60885F1ADB5BE8885F7A6181E4C35CB1032D7C811B18825AC5102DDC8212444238B84232110317B45524F8FFC12D20821F4483172490396CA86E7A686F56C4B53E441A228456';
wwv_flow_imp.g_varchar2_table(6683) := '0A241810424504433280831C881F4280011E3C2C1E6001A9AA6A6E5C64440803232CC222EC01421C0242C056449C280010A444D682368C84777E2700B4813182833D446176E0811A84E7435880434801604A8123202B9F94A7935AC83561A22F7C422D4C';
wwv_flow_imp.g_varchar2_table(6684) := 'CFCABD850D528969144DD31EC4FF75DF8B1CEB59E4833A24D02D8C81210C837C5D836C894312F84137F84119F8C133A895278C01EDB80211BC011734D1AA5C88A2EE23E3A500000C41A53A0409446A22004013806C458003C562014710EEAAB2861418A7';
wwv_flow_imp.g_varchar2_table(6685) := '4340C33440C330F841479DC1C74004DE3EC4ED4D04C6722732F66D7780FF811A00C0E772C4133AC227906ECFFAAC9500ED341A4A87FD833CE4421FF40122A8C222DCD0A1C8E779944774B98949F14B8E5C2D3BBC820CD9421910833A880311DC81153059';
wwv_flow_imp.g_varchar2_table(6686) := '0C70811180820C555234A8C3BC5E831564523AD043A252E5BF92C42224204490C0F10100E74E047B22449339EC17A8AA196CC1F82244A9AE016B7081333A0437081932F0D3433001009841157099431CD64988652FB4C1E9C543057E851AAC011E40ECE9';
wwv_flow_imp.g_varchar2_table(6687) := 'BE2F457C6EC4962E4294AE0F3E230D0841095849934E63A2B8C73FD0C330F041155481188CC118EC81128C412A4446646549515166B2FC0BF0C51A3B94033B5C922DC0D51B808221A0C13394011C20425EF80124D9FF023FA9D52762832130463726DB8B';
wwv_flow_imp.g_varchar2_table(6688) := '70AF55021D4AF4EC220481432063143C042B44C43824034210AE19883100C82F1AAC81FC96F116A4716E28EE54D45E12ECC1AA7E01ED39C41E3C27456CE443E8422980412F207002A3841C9C2E44107204038021538243183245C461E335014268300DD0';
wwv_flow_imp.g_varchar2_table(6689) := '00CFA4E4EA7A87EB46C252B498177881098B8127FB81E9F555F6FE433AD4C3449932D1DD4B3EDA5336AC85AA01C07489215AF847664C07632C466C4E4762104B6CCEC56510CEB9F92BA39AC43168031BB662226C944320691A4CAEAB9EE54A382C429801';
wwv_flow_imp.g_varchar2_table(6690) := '4BC88143AC4110A4712FD8624A0881602AEE1D5CC38041C415BC41C822C4166CA7527DEC1444671FCCFF6A450C6BA99085230CF22083812338301E38423F3B8404AB41C40240C42A72CF7E822297C4312C61E14101000C6697A82E3C38D4BE6C0D53B0D8';
wwv_flow_imp.g_varchar2_table(6691) := '431C8551CCA355EA2E25984C262C192D14CC0ED5832B38113374033C3C0330B483EFD0C2BDF06393309D718486AB01C020E274675CE866509122756B14E723DD96442C20044122042E0AE4449001443C0F4560C1AABA6FFF3A442591C511F48043340D00';
wwv_flow_imp.g_varchar2_table(6692) := '20A7155405FD01401D8BDF157C351218811DF7814488E508542A895E8C5944AC4087AE4448815C6B044123042520742890AE497CC305135E094034253F841038B487286BD0D607B4782D8B8D015CD5D71B94C14054C13374745FF98C39A44239D8FF693A';
wwv_flow_imp.g_varchar2_table(6693) := 'DCC280115935089786B6433654D22D5CC333689A6AE2064941C4E1BD1EC339AB8994E2A246A0E43AC2F93A841BC44122A4D044FC35A746442FC8C2323C0428240236973118303459A0811AA8184464AE8A71C11550F76059811428C10EDCDE5118024142';
wwv_flow_imp.g_varchar2_table(6694) := '832D226731824110186410040131B2876E3CC1130E969222C413882742FBE07C1BB2754A04436A9E491AB6490AC1165BD6B226A68B64E93580590923C46C95300A13837CBC053F2003312003320C502A54832D9803283CC32D80C22D30993800C3354818';
wwv_flow_imp.g_varchar2_table(6695) := '2DD80231ACA04CA3C9DC16B3E32004153015452CC32845445553C4156C81ECED2242C8C22A94023894334A0C981BB7B8E3C60B4454FF451D1FEE437C1900C05635C08BC8FCC23490E810F840E502005F76875C6F04CE768422CFF75D7F79444CD7442C42';
wwv_flow_imp.g_varchar2_table(6696) := '5DBF8AC84E4C603B44090C768774F04ADAE43FA8631E22043A03401F44552C0C5B51DD43A7AD543498033D740332C8439387433E84833A5CC32DAC943111033C64C3F49CF89910730492AC1E22C4D2A86C47B825FCA67344E06D7907C117C801355C9442';
wwv_flow_imp.g_varchar2_table(6697) := '9EC412A6800E4C445527B74300A9436C541CD0F9BA0000333C83ABFAB643987716771059B0B14494B944D4EF43203422FB203662E3443835E169F04323C40617899B339F8F60DBB5C8606A346686B820B3ACD6B3522671B04AB2D0072D7B08D5523AE3D9';
wwv_flow_imp.g_varchar2_table(6698) := '800D00C00F18C111ECFF2162A16F71379936684331542BBABCAA43C0C11DA0811950B344FC4225E93B00AC7A45BCAA1BB841CF4EA7430C83BA288115F8401F22C4965B800B8C0000B8400E20042078C23370033624434E3C840BF8C0C65B3942A407D522';
wwv_flow_imp.g_varchar2_table(6699) := 'A32E94047B3B841028E360EDF55E1B3B429039494C27C383CB284C0244700227F4B1E7462C5D034014B8F71FE2012538C25E038005F72CCD2A3B810476B4A76E8053489BC4274524C8C019C4BC3516EF155A65C58A87A2A2A40300F651F7ACBB2A453419';
wwv_flow_imp.g_varchar2_table(6700) := '733BFD49548291B5AA43983547CC120014214A506C1010EE44F44428F838CA03400E14BE43A4E8CC2629003C811A00A610FCA10F26744AFCF57D870B2748842270FFC2230442180442CE2EFE1F2AA90F323DDC4B7D47C0F559D86D44F837440B89258BD7';
wwv_flow_imp.g_varchar2_table(6701) := 'C4697D85188AB7CFFE7E588EA29AFDD90340281541114881ECC502396467704ED7373419DC23842AFC7547D82237AC684AD841CF16351C1E0337EC7C4718DF44C8C128200432220495673191967B4460822E9802446002276042182442FB0F56E327A91A';
wwv_flow_imp.g_varchar2_table(6702) := '84EEE83FFD490CB4B0638AE091C4E5A33F4000103890A0C03578C01414E84861C3816A06E27138B1E193816200488118518D448545B800B805009C388A271BDECBE7AE1D3C78F5FAC51C2893E0BF7F0EFB0DBC49B09FCD9D007AA2143A946851A304F9C9';
wwv_flow_imp.g_varchar2_table(6703) := '6307CF5D3F7E4727166968AD184161033FD5FA3450FF5521A1CF00709BC650E00E00361A5E1D3865E03168008E5D5D23052A8084002A0D942570480E0039820804577760AF8183D80CE404C01480400E13E2F992D01125B20D3D1EC5B3887067CF0EED09';
wwv_flow_imp.g_varchar2_table(6704) := '9C256A56C1C5022701C004EB91C052A638B52ED5A694425B0E1D7D62C8796094815F82A8B1F81937003E04FD006A0460DA36E229F3B56BF99266CE9C42635EC7F99C7B77A349D5C96BE794BB548572007419D889D6A7AC9D6AC1EF74941BA31F4497502C';
wwv_flow_imp.g_varchar2_table(6705) := '966AA350336BC0880380444049E43BCF66296DA0C600380D0058DA80A594D600988DC2865CD94A2035EC70E4B2812C8A428AE182EBCFBB13898A8731581A7A8CA0493811A5418144794D46C600FF5050A05E781B0815A1F050832E3CCE888215818E1188';
wwv_flow_imp.g_varchar2_table(6706) := '1C00C8D1C69B810EC9EC243F18398EA064BAE9069C6DC631E71C81B201804B81F23AE796E58A8A6E3A986842D1CD37DDCC479EF0C67BEAB924880000A36A06540F802D004043A0F9060A45A14F622926972435C466A09100186E282826CA05804E0AF14A';
wwv_flow_imp.g_varchar2_table(6707) := '20AF18B12C94AD7209259681DE12E89B6CA201801AD77A29A555C104D20E2A064F8A1180473861CD14D61E7488911E7D14C8A32824FD6223BA049244A0AAE06C563485741148918976158DC581749945175874E9C5915D50D965A0455059641113FBF3C8';
wwv_flow_imp.g_varchar2_table(6708) := '0EDE38F3869C25DF99A8103E1CB1D29142EEDD94112905EB6622E7BA19879E6D40FFD9669D6E6EF9A3A87B5872894D599D8D5862A2E40CAF293B4F64468E000512638C866819A8184301A82594AA2C6D8892817E30E244430DFDE453004239F964815226';
wwv_flow_imp.g_varchar2_table(6709) := '281A5226260896D408BA91D6594C21BAB4D2A225682B71056297A0284C6CDA476B94EC19C56B8FA2B5206DB52D48DC4F986E9A15601D422514AA07426720AA9F7488DECEE2A147A1510216F31500E2E013A595D6040A62AB01073CA9A52E761611814E91';
wwv_flow_imp.g_varchar2_table(6710) := '649143FC182815816A797CD4C795CE84A0BCA0F925648786190A9A2497DDCA17817C29E613AA4B371474003EE786A055C0B88BA030DE4CBAA11B4B2B1A966A9F15889A9501D0306C827E54FCC7A7F508FC4DE7B05550C7DB59FF2C5A20589E0740176A7A';
wwv_flow_imp.g_varchar2_table(6711) := 'F964748176F1C5176BB6023FDC81C41D5EA0780B6A5B20F50BAAB7A167D631671C760050078071D629689D78F287158082CF118E6D808318146B183CEE911DE52DD06A83630A799A05090068A26304F104418A91280D663049F321192868261061584A52';
wwv_flow_imp.g_varchar2_table(6712) := '9F1999E96A61BA91396475D0E0C65B9001805F00602F02A1052DEEB68FEE1CCD7603B9848EB046B46BF51000960380B87CB10BF00904159F389E409C48103A34447DE43006DA8EE225759CA37FCD52D167A8D72B852CC317B57046C908628D1F956F17E5';
wwv_flow_imp.g_varchar2_table(6713) := '23C8194ED2C636B2CF1BDA68C522EC00803C329120ED5047FFD8718E76E8EF8B82E99F73B6E12FE6F5233414E1FF1B531818C906CE491E17C3188ADE0007C451242B894AD9311415BC4EB882207763DD5508359045E58C224B2AC8E86A913AAA310B00A1';
wwv_flow_imp.g_varchar2_table(6714) := '140834A0410ED751841BAE2B07002EF91CAEE58820B4EA61821E64BB5D36647B0491A31AC505C7B409E44800C0E2510E910668C0C36AA1C90218AB37905214431BA42BC6E8D0A91025A2A2994641DF405AA19056F0229E00E0A640BA4811718CA320614A';
wwv_flow_imp.g_varchar2_table(6715) := 'A473187912353D5092057596030B07A7C351D3213C20082871A69050B8C2506A0180305657908CA685281005402E6809BA1736C475623169ACAC76B481B08888000893338A714600F8C219CDE405F7AE09003D084221C620C8294E71149F02A00E7F0480';
wwv_flow_imp.g_varchar2_table(6716) := '3CFF26368ACE742D47D92A083882514B6D5405A6306D06F7B6975382B0CF1AE2EAEA44DE7994FEF18FACEB980700FCA510696C234CFA08A64206DA1483CED54DE0A9A453DE8AA2E18170203CC081CC6A312A9490D254ACDB68A9587712C402401B492AC6';
wwv_flow_imp.g_varchar2_table(6717) := '630D85B2628032A3B87C21379EC10D6CECF21BBB9C064F22668A96B6B420A9986A41643A90ED792F6C642044D8CC0780A102807D4341443DF249D78638F55FA248ED40A69ADAEECDD41AED74C82E668B126D1C2FB90E5987DCF8E790300100170251C640';
wwv_flow_imp.g_varchar2_table(6718) := '923194B8FE4DB7DDAD8B5D2DA9BC4298050063C8C55668F9D08B7E8E9439FB46A114E29624B99254E4F81C398E415FB8302B498EF5284AB891FF8D00BF5720DC304724C3E990DF924E21D79CA24EB907809B4EA49CE703C03BB401AE093B441E856C566D';
wwv_flow_imp.g_varchar2_table(6719) := '2E04801B29221089E90C29D2EB90D10DF58CCD185E2B8CD1DCA2B471285D8C2E41BE2410691066BBDEF57167C00BC1881DA71064E34C8A271217B7C065730A112C62170B97CF4D79A3496616468B925600D8E31F7995642C9C514E24D762222F966D51DE';
wwv_flow_imp.g_varchar2_table(6720) := 'D95CE45E3570B278C4250672A362D6A587DA98EA9DAB72CED51604C928315F5815B26185C8AD21E7E067410A28102D0B543A04FDF1A3BF43C93A596D1391281999656C15F946D9529418D57D5878CB82BCF01B9BCE6F415236D986E4121A6A330A97F9F1';
wwv_flow_imp.g_varchar2_table(6721) := '931D4E0B1340330D9C1B922A6DFF9C11CFC19DE94C05AD60870C951799464938081DB152C0F9120CC27541A655175E3CB62ADE986C85C94C1036D785CD4F22073A5C0D152E9EC3D00359073892E1092C09847900C8EEDE1AED8E937819D2DE9513E1845C';
wwv_flow_imp.g_varchar2_table(6722) := '50500A76D3169D0823EC4290182E93BED02835819934E5A2E4C21696BACD6D08128A4A806522F4268C8326A288492822DA054965414EEB8B601FA519C628B940B6AD4E19AB421F0CD4DA6702C10B5E98B164EC4BF9678CD1E2EEC80F00E600C738B43C0E';
wwv_flow_imp.g_varchar2_table(6723) := '741F65A0E399494EF8E1947CD844213D617A4CF28193A8FFA31F51AF07006E82F47FE42381FDA0C7D40110F57A0BE5DEF09874E02C71122C6334CA4812B540E2208735C0E1FF8200E0CCA8DADE4BC396AACA02D9A35104259069201CD6B29EAB318C7B8C';
wwv_flow_imp.g_varchar2_table(6724) := '7266FB24B56DC819656A8C0A0F258F4805DC256CAD90391C05179598B02A468EA230E75CDC00F8528E15A28C6D241A00CB515851E2CD1399389D1D72BB073FAE0E4CA7873DD63149203F9E22932EEBA41FF7006D41B83B768A28050009ED193A48FB508B';
wwv_flow_imp.g_varchar2_table(6725) := 'BE6599BB24EC3207B20550405C4F1925B5C1DFC2EA255B83166AC04277A62B902EEFC4F2DCC1B8518C28E1699FB1CF0561F3E41D428E051B9B22C9E6A73AC6411CDA0D4526E11126E1D908220FA0420E5A611304A29E0462C100609EBAE3E68862302642';
wwv_flow_imp.g_varchar2_table(6726) := '192085C7622F567A421E6EE11FE0211CB26190D40F00EEC126FF3CE1C06C221A30C62662E21F86211DFE411DB201143C811EFEA11CB221136CE11FB22112D4A11C0C811900201C3A27F9948F20980F2880CF59C266C70C43621C0A0052A1EFC222FC326A';
wwv_flow_imp.g_varchar2_table(6727) := '0D0AA20DC2A00D00E00B51420EA6B0C0044C20B84C209E421E2CAE28101000DEB02836A10101A01944EE24540100C26C2824F02452CE04FD6709A5253D826A201C109E2246AB8CA2BA0462150622AA3AA303B3A306FDE01FE42113C4211C6E4118E00114';
wwv_flow_imp.g_varchar2_table(6728) := '9E01083D010E349116B22109AE411D32C11CB2C12476900BC2E11F688119C20114AEE11F5C6118C2C113A22115686124C42112CC211522A11E0C4F100B624E9A2FDF22661A66682272C92108CC510882E2FFCC803008EC1929E20BB55120DA6001486A20';
wwv_flow_imp.g_varchar2_table(6729) := '342BC06A821F1A890DB923C42E41111EA1E350E2141C30A80EF101E3B12078411576210FDD24D8ECC71C9CE3BADC8DBA44E24DE21000F260103EE310EAA2169AA1FEE0E46E2EA81200E1F506C2D2F2C228243106918A120C211252C113DC801D40C17282';
wwv_flow_imp.g_varchar2_table(6730) := '301BFC201B9EC10F402112B2C110322113A2E115F9C1163CC11DCC0184FE0114D2C11C2EA81E52811988011F48491D3CA11FE4C11588D1182782929CCF4D6AA10F00E014D0E11DB261D10A821C62089726C251A24C408C421A05C2D5966C20BCD00BB991';
wwv_flow_imp.g_varchar2_table(6731) := '7614C22C15221BA411FBB0AECBD6901F8CEF3914F0300622F33C631720701E4FC2A7BC21E5FFFAB020324D19B261C750C20C0CE1390CB221D8605A12B32E2C21ED0462130AF11420B02054A13251EE321542121072B88C221982A1190562392A72204621';
wwv_flow_imp.g_varchar2_table(6732) := '2F3C6139DE0000DEE00A8632F71C02F81AC61D822F06E141149181123A3212FE814A6E611832E11F22C1165CA10C688137B920134210EB98E10DB8201AAE8119FEC116CAE11F980119EAC116E8211C68011E6EA11C36871D5C411E8A112905422995F14D';
wwv_flow_imp.g_varchar2_table(6733) := '58C1F1348A755CC975C06F201CA5A4AC3020C140930000107EC11680C721B061B1100BE020032D0982040A621A5CC72B1582E9CEF344F260F3DC84829866172473138E27F41C620F0AD1285633AA36F024462112E24040D0E00AEA4211FF0621DA060168';
wwv_flow_imp.g_varchar2_table(6734) := '1E941D4F6210565320F6600AD24021F60032C9479D1A22F462AB20D021B934810A288214B66119744C20944A20CA4020D0000DC680AFE6ADD1DAA1367B021E7853285D4118FF81180CE11AFA211322A17132010E90A124012012C481186A911DCA41258D';
wwv_flow_imp.g_varchar2_table(6735) := '9219E0C015C2C116BC130E40A11CC6B4880CC115DCC11DC653098D113DDBF039D85321106BA4D446EF364B3E0722FD08421658A920D67220BE41BF1C22082C60208E00003295A410D451AA101BBC92418FEA44B2C0455314001AD33101004723F3142053';
wwv_flow_imp.g_varchar2_table(6736) := '2F09A215C2C61924A10E00E0476455C2CCA70A4781AF4A9320209120D0A00CD0E00DC6C010F4211F5A8E3006922880203FFF98A0AF06025709621398A61534611334219E5A21ED8EA7199CC1020B22ED5AA1999C21F486A00CE200101A9167AAAB122A41';
wwv_flow_imp.g_varchar2_table(6737) := '228935F004C213CAB320F86136658F1FD8E11EEA819BA42305C3E115DD211CDCE11EC2C11CFAC18F80B01CE4011EAEE31F6651043391187E901D48B01FE0411C6AF008F32127C4CE3C15021997F24DF05120F84F6D5CA8653B4B20284E52A781E21A8112';
wwv_flow_imp.g_varchar2_table(6738) := 'E48012628820D061B176A95496890FB8005908420D3A0222C0000FF0802CC0206A646897DCA0217EA2FDBA0B0700E00CD2600FCA2C1E3154DB06C2196475F27A5420F0D3131C5121FE802B0B224619E89B04E26306A20ABC200D8C800974605AAD951026';
wwv_flow_imp.g_varchar2_table(6739) := '5020266C1EFF1F53B5C8B55A05012105A2C2E209090A620400600886602094C00AAE406D05E20EFAE00EDEE00E086249B10E25F6B5256853F6A84E3B76C226C0AE268042FDA82EECBA4C1E26B61EA4365F49B621D6907E4ED6283EF4B314221534652096';
wwv_flow_imp.g_varchar2_table(6740) := 'A4730C15FB2E0B00145441B3611AA6A1ED08822D1582D40A0210B89020C060652A430E004E4085E21A48B741DD640E06211020F428A8600A1C0A076A742250815B79E10E5DB52E546113CE60050482075A40205C40097C402094804915E20ED0C00D2C17';
wwv_flow_imp.g_varchar2_table(6741) := '008CB50C30D733569528B0403D4662730C2512326165DC6053052279146213D2EE1446A77C2908003661B65481FF1CE20304C2066CC005806008944084FF15D77F09E20D1A6735EFE069FDD70DD02024C8EE80E2D20301A01E6A18A5928EF7AE2326700F';
wwv_flow_imp.g_varchar2_table(6742) := '26F2012600801E52F01F6C0FECC80382F821EA065510814F29EB82770B8464F21325A6EC2AAE921C6296205AF67D1C255506E219B8EF7146AAC04EE2858E41401B618107623928415ED1232FD064401C211464A1B35C08E2A461787B467B3F03789C9206';
wwv_flow_imp.g_varchar2_table(6743) := '4EC21220B8195AC11D3501213958C19CA10930802054002D040208F822094C7420F0F30E2C37F09ED649339738D8800DD8F624CE4F204C8920A897725022E5365421508117FE566F53962076400506420540805809820F34494AF677611AED25ECC487DB';
wwv_flow_imp.g_varchar2_table(6744) := 'B2EA92AECB42B6F8EA81EB8659FD72E274FFB16E629BEE758BE28965172A6E21677FE117A0D43CC0114ABF412BD12166E382A45AF6B2BC92E2286E1AF898305C07E1EEB520E4385807A2532A01846CF71784A1124A2119A8C1768DD11342E17172B721F0';
wwv_flow_imp.g_varchar2_table(6745) := 'D61792AB78045720161A256E0A031E800306227E1DE20BE0C00F0E732020972016AA33E672944F42951B02E02C8D20FE8E2D20F801894212D2972212E07055607129190022D90514825FA0E29184D96F96AE07FDC526F0B4206E62EA52901D52E113B3C1';
wwv_flow_imp.g_varchar2_table(6746) := '13E0E10653411D86E115C8939A09E389ED47AE8E42189A712F54400A4CF40AA4C00A60968A7BA9FA76F696082C9C155420D2DADDA6E1DD8622C07AC9514F829E07A2121AC1AEF19AAEFFA1411812C1157AE19F7F899AFFAE20D24012305320345313DAA9';
wwv_flow_imp.g_varchar2_table(6747) := '5B518B2028E88900600252E02C1A420540AD20F0E00DEC5520DCE00BBAE3FCB0C0077C400994C022EE972058322F9A6C209E960FFCA0A009C20968C009D220A5C36D220EF1828F227EA502086C7920BC5920F800A705E20F78F724EE2198EB21E99CE21F';
wwv_flow_imp.g_varchar2_table(6748) := 'DA81110A961D48311C0C411E3C211BDCE11946A21DB2C14BFF411C9EC113AC97165CC1A94B1212B221D6A4FABB06A7F9EAE2433382202EB921D2EF851C058432A1122EA81122C15D01410E00C15DE32EEE9AB77929C27AD3322CE0992022418206A2EE08';
wwv_flow_imp.g_varchar2_table(6749) := 'E32A5E611A96C1C080097048BB33E0A0105C7828F0D61BD061C2C4A56DFFEA40B795C4B83E6A2040A0055AE0B70982A21DE20DE678342301C23B6314C0C00C8260042CC002609C222AC1C109C26D99962068546FF550C65AF9CC30F8B00BC20E18800238';
wwv_flow_imp.g_varchar2_table(6750) := '00044040921BC2045C5C21488111792649917BA010C86F983B155C211FC40119DEE0193091160C6118CA002CA201146861906C0214A2C115DA946221364CD5C175D79B22A8FAAEEA82116BC8073C5B688BC828BEC9C41AA20B0C7420FCA420B2003DB400';
wwv_flow_imp.g_varchar2_table(6751) := '00A201FB368BC090D782EADA28A01441CFC477B801039BBB898D023DE69BA66D79718F82C885E2AA6CF5D708C337EC4E216C20CB4FC229DD440E124135E902022680022680032680203CA0D895140FF0B3BC08C20BFF645821C617C20682102441023358';
wwv_flow_imp.g_varchar2_table(6752) := '214CBC20BC600A4200003680034C0000E277088AC0A60180BC569CD505A20F380317A4411996C11F83611B001505C13CF7AC2305992113982115CA80183221A9EFE016F0D51640E11563F03BB714A361B11C7AA21A40E11F72F8CF8522D0E5AD2ECAD615';
wwv_flow_imp.g_varchar2_table(6753) := '5C802E4E1B00C07A21BE31E214220BC0200CC080E447190CD4030C482021221D0C4C0C3DE89B2D5D4821E28FAE4FA2EEE0BA865C2A629643937219002400D9895DD8859D0352204F4E6223DC80D6C96C0F98802DD220ED7C219E0841D050615B954B2134';
wwv_flow_imp.g_varchar2_table(6754) := '40032060033C00C6870008825EDC7379A60742D71502134AB72E28811118C15D6314D82100028A420AFFBC205204C20B4A8820AA000098000AA25D202C21B5264C59D627594E22021EE001545C058060A67FBC2136C1298341196CA70CBFFC80AE6E12C5';
wwv_flow_imp.g_varchar2_table(6755) := 'F371F4FB0E5E211242120E6412082BD110DA41060DE1165411848472076BFC154796E22B1E3CDC9B38A440092E1959DEDE3F0B02C1657E40D820218A3F11EE02E6ED02F9CF03002ADD190B8B54CAB8AE4B7A286C3C1BF0D8155EE11BBA211BD20198D6CF';
wwv_flow_imp.g_varchar2_table(6756) := 'D489420E1C610D42C203849E2224000092E0D951822D0A82524E4210EA40109C9C2066B90918DFEB29C2CA0102800B0004091602104C5941000A173A7C0811801F3811215088B8D00A80321BBD0088B2F009C88562A608C188D2E1A1940F551419FF0260';
wwv_flow_imp.g_varchar2_table(6757) := '0280160040B4000140491C826F166D2A28ADA0B2A0FCE6A5BCD7AE1D3C78F5F801E807F59F3866F0D45D03202F1D3B64E2AAFE1B66EB5FB97CFDCA5D63E60E5BB87FF4CCFD83C76C2DCBB974EBDABDEB901F3F79EAE4B9BB3BCA1680510465E11978E521';
wwv_flow_imp.g_varchar2_table(6758) := '2546A972B942190D9B44006B006001B3A60B16CD96096209F219E29685920B661B4610DA5C4F78015422882B9BE982E200946B6D17CF1A3704275C6469A3A01B8E0BA9381C43500C411D4CA6AC24B887202F63059DD42194B2D9C21B11527AC01889E0A6';
wwv_flow_imp.g_varchar2_table(6759) := '4EA4086E7BF80FB71CDD78CC2C94400102C604005214A414C90F9E87F60BF258C203130BE1801B461900F000001E9890420B2EA980FF13413415644523AC2D541E41A428B4CD3A73E5E38E524C1504553FE915F4CF3F5101C0CF3FE980A20E00E939B5D0';
wwv_flow_imp.g_varchar2_table(6760) := '3FF9C848E33F2D16C8638F3E12B4173B00FC15D18927A602402C8411E4CA2A044981912BB100004C2E045111C343CFFCC20820BD05D7820500582066413401A1020040B850040057804210330054431037CF10440C00BFDC02C02B0571030D370479E9D0';
wwv_flow_imp.g_varchar2_table(6761) := '6B7675035136D998638F8E8EFE18D10FF34504C86200BC41D017044521C3490000D8C3426928C704190058820A41ADA043CE29059DC20B00DA40B4885D1E4408034E402CD4871DAA6044636B7000B2DF1A687C3104070541F000040930EB2C41107CD7DA';
wwv_flow_imp.g_varchar2_table(6762) := '067369B7901EAE02E0FF0B4A471CD8529B11DD008021C9ED21C61F0815B44A50F1B0740F88223645623F00D0738FBD0441152F3F37A6A8638BFDE443D642F6EA7830A40A2F8C925E7CF965D7630EF9090094103902C063B9404250151021E31025860210';
wwv_flow_imp.g_varchar2_table(6763) := '8A43700E96CA28121726E72F0E0D430C322E03208B2B89048AF342AFC901402486847717A211354A10D10CAFA7694574F9B190122C10A4014107EA40101238D0E0D0B60FA1CA0BB6C72D942046123C442E4967DC01002E0BAFB7061C70AC07117D614BFB';
wwv_flow_imp.g_varchar2_table(6764) := '6C414BDE65827F741DA2F55D36BCD4027C18F5B1D219047552603E492D750F8DF60E0CB05E50E5132F8B00D433703FF500704F3DFFC8636FBE2C3A6522C3A69F0EFF649043DE3532412327E65024883CE491447E08B310C8C2CCEC0AC5A02422712A70B6';
wwv_flow_imp.g_varchar2_table(6765) := 'EE102E79E67E8B2BB8ECA9A760C260535A6904A9CBA36C45DA933AEA05FDB6D0B3F42D34C47E2CC90740D41009B890200B7913D1264B00C0C4122311844044696264C726764407C01E8D3C048E7518CD2E9A62CF1ADAE310F9386B81DF2B081030D59AFA';
wwv_flow_imp.g_varchar2_table(6766) := '2D077D28D1035D8EB08104FCC604F7C3081AFAE01042A481370F49075D14372FD295E81FD7B085901C921E7DC9E81FE6B88A8D88810F1CD54846DAEBA18F1CD61722A1E444FF735D611851A62F58810B0B215441F63325C4712C35C8B805327057103400';
wwv_flow_imp.g_varchar2_table(6767) := '408B5AA40B6A00400C3945E415B2C0A26AB0A11A82FF446213E6020008FF0041BB4C4316B529C837C6B18F13F9F021758B887DFEC72700008211AFA1440223C20300406121968015419C712A87D40A6B277008B5AC85174B1C622563001A008A380E000C';
wwv_flow_imp.g_varchar2_table(6768) := 'F02E4C2C48D21CE23DF211E401094A4129E722010E8CCD212F10C214DE078043480200C690042136D1AD829CE1106720104B70B2835D41E40A6558842A62C512739C7071F068DC5320678B4A20831DEDB08539FA918D6B94E319F610C730A6C20E79B0C3';
wwv_flow_imp.g_varchar2_table(6769) := '1CB7504739FE118D61D01019E5608738F4B8C77CDAC5614212629108821C872009002AF8C217B44010259C72218E100C4A84514682BC32311AD10841AE90348B2E6415C3C005C89E213D612463FF2188C01DA00455903FFC445D6FE8837B305289BB3944';
wwv_flow_imp.g_varchar2_table(6770) := '0D05A1863E01F085D1D0847C0C5C2000BC078057AE8C207E58284658102A88682222BCA11A81362004B4D98F25AD20C8AF0E6107877829180058878A7C341A94A4D27B7323C8C95842810421800008D0C00B5262898520A1204F4B09075102BB42FC8425';
wwv_flow_imp.g_varchar2_table(6771) := '31A24B8818774D13A923130033442A22210E2E78C20F992046242001874C002015A9F00331C4E1876E50C213CC60C4CFA2710B1DDD74B473519D3F23E294FFF12C225780D2152C5A4400D4152555C46220BFD0C52D680AA156D014ECDC04112C12E4A35B';
wwv_flow_imp.g_varchar2_table(6772) := '3ADC4200551068A8E20DEA2A4340814B97517C821B81EC0537846639D21664ACAAFF5413000CE910A6D56702D49200B51C42358224B5206978C81476F090B70655047D4409F50A32BB88546264EDE0D1B1D6F085FD18753ED15A489758F21DF21980200B';
wwv_flow_imp.g_varchar2_table(6773) := '4EC95E69598282BCD22EA5AC9DC2E4B594CDAD70B0290A8721D2E38A4C982315E200052DCC11897478C213C3C80628B2E18948AC25129EB88788FFE139EDEA18227B092290E60288D52E04A10E890392E28811C9128412AE00D94212734A8B5E810B56B0';
wwv_flow_imp.g_varchar2_table(6774) := 'C29407AC27003CE3192845A964C00B009CA1F48B4806E11E1A10040700200805391E00844B906F702C1BD350940983C5B02F0098325082C904E8C34000A8927C4A10E48117723F99A0D22104000007D65B3E0088C112558553FF12588200EEB1C463D0F1';
wwv_flow_imp.g_varchar2_table(6775) := '8218AAB0072B705A61A3A9CC160EA85B4B3EA4C00BE9E2B172129314283A22062040AD17FC026592847F103141848FF0235DF708C34CE147894C948AC6D606148CC80623C2E10917A7C2C3E1C844244EEC075B44821991C804333201ED6184F6463B2EF7';
wwv_flow_imp.g_varchar2_table(6776) := 'E81E76DA87F88B2095A904F0120100500CC407167B48BD73813B60C0190049154C2025C585DF4A383116ABF245E1E0B261FC028B20BD1300A277DC3003001D00B0C58508028C62AC028424080209924B0E68503C982603C037A8F10D1FE241CFE22B88A4';
wwv_flow_imp.g_varchar2_table(6777) := '16221FB9918F022F070009CD74DEB94870213A8882722CF18B6900C0043020887C1DC2CAA1CFA54D732542418CFF00802928E10D3F034032BA6142DC6891E507ECFACA59D282BC39E4094A00760BFAE301F23EC4000DA61F449E9B3682C8C0211C48248F';
wwv_flow_imp.g_varchar2_table(6778) := 'DA7483171C1DEAAD2136BD8EFD0F66D8A21EEC704539EC058F2149131EE5808739C4A10E665C831E6B990631C4D28E7498E39D7836376981E81719CEE535A5F013CFEA4D176038040E7C2888930120AE82FC76CAB0C3284684810C41D9891B91E172A01E';
wwv_flow_imp.g_varchar2_table(6779) := 'AE1A948EF421191FC51E7C801194B6623D5DD4B1015BBE1020042705B37488851D22130F541F958D8EC86F90F36282DC8F0759426504E4735EB10360FB133282D38D4E108DC2C1933D724F17D92307F136DF4C0489FD42FA431069A72CB456106C65009A';
wwv_flow_imp.g_varchar2_table(6780) := '06FF1162640376E74397861B7F3522FBB2424FC14304814F18F10FFA80237A245A9EB763A0F7149D6730A29708140300D0C723E1410B7AD251F197110BE15A4C941844B6100BE710202566695427D0E0700FE10DB5302BC8B71087502B04810EB500008C';
wwv_flow_imp.g_varchar2_table(6781) := '60548D205EDA83075BA01B4FD43613411173E1065C907704111CC1118004610238C101DFC3764A731270C011D3207418C1010F800009E201DFD102B95210984417735510AF4127FEF57C70D30894E0440FC1850FD10335477DE6B57D05318601C0760910';
wwv_flow_imp.g_varchar2_table(6782) := '361AD05D04210EDD000A4E27030C883711D24310B83923780FA2730F3F168214A82FFE421605932FC6068A1EF881EA9478A297122658104256FF17B7E05000F00244503217C22766603141A004A83704BA56054AE00995B110B760830070523DF8103CC8';
wwv_flow_imp.g_varchar2_table(6783) := '8C00500ABD400C7C520C90F41054C06B83614A04710C30B1476BA0065E7740F9A75A78F00671A4510F015F10C1011330804A173663F8101430809AF2068080284E1288115156430702263036EAA720000003028912A1E52368B01F340500705032B8F104';
wwv_flow_imp.g_varchar2_table(6784) := 'A366176D57100FE08D9F540EE0700B4A700395C82382833A7E2782AA489290C24FAD3892A7038B0451748CE01AC3C00CA8B17F5CA05BF5267055D8847A0232202328D0F38C5A8646D10011BD0000C7C01287102BE4B010FB01662A17604FB910705009CC';
wwv_flow_imp.g_varchar2_table(6785) := '4610FBC71285F61E39171C6193FF0004D0950DE41BF26103C4E1923C82890329011B304B0F507300859565E31A3DC205AF943414410955F80449A09778718805B1730B11008D461F5E095F397932397717CDB2479A58928D693A3D260F148817628412F4';
wwv_flow_imp.g_varchar2_table(6786) := '775F99B21053A427D358106AC312B7E06604813BC205323C981A0B010D94F98C33531007F110EFB3074898310B414267753A73593138C5445C00256840480571044AF004439004FEE710EF070064F7030649901E506B76919378612DEFB84A04616B10C1';
wwv_flow_imp.g_varchar2_table(6787) := '0537571045F723661085555810484610788006528512E21911C8197F5C308C58090099E00AB1454216E305EE499222E998F9F94341829278D10D431511C8300CAE407504C1FF0856F00411310DD8908656277442C70C2345990F317C0F9172D990720EF1';
wwv_flow_imp.g_varchar2_table(6788) := '0DD60300E1900DB52134D9800CD0A09418413D88530CD2B310E1508B91E98A3D5219C6481905610665F94497C21368009E10819E56500665800673A9044AC0440BA551523004C4711749A0040EE826632070054104C2165E0070710D59813E823DA3445A';
wwv_flow_imp.g_varchar2_table(6789) := '29324317C8302FCA307ED730FA69A629019921486E2901A643249905620FD8831B6D8A11FB20A6FB90A578EA102FFA0F7A0A0078AA0FFA20A690B2A5A214A700100F712AA705B1A83CE2A5FB124383CA30745A1746A2A5165834A2A46385FA10FB100FFF';
wwv_flow_imp.g_varchar2_table(6790) := '20A729D998648A1E1D38827521A967AA3D69DA0FA29A170693FF8A1821A87AC10F9CBA1078EA145BDAA875D12850D123C192473BD4A9B73A17A96A17E9814F948AA90A5322AEEA237EAAAAD17A4DD25A10FC000FEEB014721A43C83A441C080039E4A55F';
wwv_flow_imp.g_varchar2_table(6791) := '6581AD2A23F992ACD4DA2350816E2A62AC900230DAD3AAE27A3A22682FD0BA105CFA798EE2144EA1AFE8EAAFFF8AAE280458D76423F0F00FF760B04F911EF2901E89C7AD38D65F392223F4400F32E20E15FB5507FB89F7C0B0A203B0A5C59FA1F8B132E2';
wwv_flow_imp.g_varchar2_table(6792) := '8ABEEA79CA3AB229ABB22B6B3AC4F6892B440FB42015B75016FFC00E56D11500A00EDF240FED6023D180397D910EF2500F90970EEAA015E9900E62E10E2AF20FE1500DF270156BCAB20B0182AD4AB51EB8FFAB297130ED5AB55F0BB6612BAD021B815181';
wwv_flow_imp.g_varchar2_table(6793) := '0FE7940DD8500EA9900DD1900ECF300CD1900DB6600BD3300CB4D00EFD500DFF2089D9000CC4D0622D340CE1F00CB4700BE1800C83F714B7300CE6402759FBB557CBB22622AF626BB9978BB98D192F9A686C51710FD9B065A00B0AA89178ED100D72620E';
wwv_flow_imp.g_varchar2_table(6794) := 'C4000AEDF40FED34A0D8E00AB4500DE5C00C8FF70CB5DB0DC200B5EC4043A0D9B6997B92229BB9C34BBCC56BBC0A132FD4F477259214476B16EAD00DD9A00EF0A0B448EB0EE2100E2D92B6D05B43B5D10EE6E00E3B3BBD3B9B0AB6100E37420F62917597';
wwv_flow_imp.g_varchar2_table(6795) := '1BBCE47ABCEF0BBFF12BBF0B41B6D634AD45823029C2AFF2AAAC36F20FEA20BD5F2543AD6AFF0FFD50C0F38A8A37D5BEEB36BF0DECC00F5CB5644B2F23C80FF1523000403904D32F92A32F195C0FFD323AF950C0FAD2A7E656B93DB4C010ACC22BCCC2AA';
wwv_flow_imp.g_varchar2_table(6796) := '5ABF23A92FBE3AC0B4CAB5F76B2FF1700EE3700EE6F6A9FB60AFA873B5CEAA6390DBC2456CC4D1BA89B8819F7BD40FF3F00FBA80050A50100E20000040C50EA000588CC5A693C50E500AF1E0C328FB23414CC4A4859EAA4A0FF5A0C66B7CC46DECC61FA2';
wwv_flow_imp.g_varchar2_table(6797) := 'BC42FC2307A30B2420C51151007B24009800C6616CB208FC30C26B6E1C01973A96C475711BB7F1C68BCCC8F4CBB9F914AFB360C779CC1203801B0560C9960C00985C1002400AF1200FC1EA43295C9212395A15DBC8A9BCC29189BCA47AFF3A269B22F9F0';
wwv_flow_imp.g_varchar2_table(6798) := 'C41FC7C90571010A40C905A2C90591CB0BB1C77DECA52502C481DCAA726CBCE6B0BEAAACCCF11B0E262002EFF223AEEC43F10AC50531006100008AF00817A0660FB1CB285100795CCB55CCCB0411CE9F1CC6F9C4AAC6BCCCEDECCED20A274AF07AC3F6C8';
wwv_flow_imp.g_varchar2_table(6799) := '4C2CCB750C00B83C006D70010270018A70C7171006019DCF0F11066D3007770C000BD0CF9BBC0061D0D09B6CCE7C9CCEA3BCCEEF8CD1190DB0563006A8D723489142907CCF569CCF17300702A000527C01F93C078F1006B350107370015900002B4D10DA';
wwv_flow_imp.g_varchar2_table(6800) := '3C0900D00600A00B8A100673000073600A8F40D30020000320C5E82CCA28DC6328C9CE1A0DD5514D5A2644092B780BAA57FF20F700819F08C92DA20B5D20D1FBBCD27370D26AE600431D0898300BB3A00BBA300BE34094D91C061FA70B05C10660300E9C';
wwv_flow_imp.g_varchar2_table(6801) := '000B00600ABAD0060E80C50AF0CB3EFCA6400C99EEE0BE52ADD88BED7926944E3E42B6656C3A063CCBE14C101770098AA0CD5980D20DF008A1B4D7B000066CE0108F40D63C8D0900F00898C00975BDD698C006E360D346ADD4F7BBAAE8965D8CADDBBB7D';
wwv_flow_imp.g_varchar2_table(6802) := '537DF5D1203DB04CDC28F86CD982BDC917B0CD04B1007F5DD340ADD3AA9DD2CE0D00348DCD3A8DD0319DCF96EDC97D6CDB801C44890DD589C7DBE3EDAFC92B22921DA6C3FD71E60C000360C90A70016D50C50370D4E54CCEDE3CCE10B1CBDB0DC6DDFD98';
wwv_flow_imp.g_varchar2_table(6803) := '878DB5E42DFFE0035E92E6BD14E8CDAC945DC7525CCBEDEDE07761D976C1DF78EAB53C027A88FDD404AEE11BBE30C05D4D904CD9B3D0000CD3E0ED5DE20BD1CF81C0DD7F0CC8EC000F79CBC0D28ACA1C4EE38BECE15C3DCD2CF2C45800000D20000DE000';
wwv_flow_imp.g_varchar2_table(6804) := '3E3EE2567CDF0F41C544DE000A8D11479ED20240C5AB100FF360A72CFEDFE816E0358EE5590E299FB8D5206E22D05C10BA300EA1B410E350D7A154D70B91E60030E60E41E61131E6BA100F9F7A6CFEAD30FCF91719AEE57BCEE704C1D52282E3FAA42387';
wwv_flow_imp.g_varchar2_table(6805) := '1A11EF02AA867E228D0230730EE6CB4A10898AA8A2F4A9C1DCB54C0D0F8F5DE17DAEE97C2E3A2E0E0F1A385ABE7AC0B50AAAC20AAA29D2288D0AA68D6AFF34C81AA7F844E50C43AB2FCECA08BEE9B7BEE7F6E2E9A09E4F8F5A2FA573AFBC4AA9E9B1ABD8';
wwv_flow_imp.g_varchar2_table(6806) := 'B3AF598AC0D6EA0EF220DEB8EEECB85E309E6EEBD32CCCA7DE22F8EAEA05B10FF6F0C3DCDEA7A59EA52AC4D4CACEECCF6EEE9B4E16971EDC3B06787AD4223B522FC76EAAFF0411C26CD17BC1CAE7AEEF7B7E23972E0FF4A0E7EE3C8A4ED1ECFB6EF035CE';
wwv_flow_imp.g_varchar2_table(6807) := '0E7F25ADCCCEF0F0D0F00FEFF011CFF0074FF1158F3AF7400F97CE0EDC1411EDE00E1F0FF2212FF2234FF2252FF21171AD0582AD4BC1F22D0F11263FF24901004941F3356FF3FDA5C2386FF13B0FAFBEDA899D1811D3BE47012F81C756E73C42307401F4';
wwv_flow_imp.g_varchar2_table(6808) := '0421F43CEFF4CB3C9281EEE755FBF355BFFFF4B8F1F34FAFF55B0FB07AC1F55F0FF6612FF6635FE357AF631B8BE3F5A0819F580F154BB1F200F7B841F4648FD1624CDE4D7FB949FFAA0411A87D0F296A9CC6742FF8FBAEC88EA9C8E5600EBC975C278552';
wwv_flow_imp.g_varchar2_table(6809) := '75F142834FE04A96E5F9AE8A42E9230CCA12749287052194D1E070C300FA79820353D00450804B78E1AB33EE983F09F9ADFFCA1E880DCF101996DF1A4277153C520D74720D92C10CF36C94AF69892961A7AA1A0DB4EFFAC78FB9D0E0F900700DD1700D9B';
wwv_flow_imp.g_varchar2_table(6810) := '8F12B2710DD6D3A03FF293130A006770FA58030035C01299AE5D9D0F00C64FF7A189FC2C6B2510E170B71F11E15410ECCFFCD8CF309F501D045249E002B08B1466AAE170770210D100FF540350D0E0418409152E64D8D0E1438811254EA45851E1B56CD7';
wwv_flow_imp.g_varchar2_table(6811) := 'A6659C66D1A347141E3E8E2459D2E449940D97143C060D19B28FD90CCA4C699058C253A8004439012043410C3585329C520B1A429800040E65DAD4E9D384CC005C03909166C18C05AF55A33A10AA44132FBE8E255BB6241483C38415842615C0B3885431';
wwv_flow_imp.g_varchar2_table(6812) := '72ED98F2193364370D2E9254D0494F0018009BAD290C9954666E092F664C382B41AC180174D4D8D8F265CC990BCEE07186469458D0D60260765462B66A1DB9767D5ACB200DA0080F30D04C713400628A6BEFE60DB1723666700F769459B7F771E4C929C2';
wwv_flow_imp.g_varchar2_table(6813) := '3E6610AE70889469A2863AACD542DACA2B428F065DFB77C61DA7614CAAFF701A36F0E9D56B3E3098254C646DDFC6A5ACFAABEEF51FF1E7E70FF52A42D62AEB6F4002253A20A2190AC2610A279A0845A2A50E12D020E3BE3A23A8021502C6A0C3F8630003';
wwv_flow_imp.g_varchar2_table(6814) := '320ACA2EC39328D3AABEC99019864416257AA2202AA63882BD032B0A61B3C1440360459B908990218DA81AAF2BC89E220483115B04C0B4F536094CC99AC69B8CAA68C69372AAFDA0D4120031A800800A2AA298C28B4C0CA285300C0920E0A00308685322';
wwv_flow_imp.g_varchar2_table(6815) := '1A982888478F589B7220EF9822C3090CB7F493B7240FFAA02621853468C23F1305E00C2FA23823C6192901E04C83B099869B0A9BAAD1A04019C328C02C15150A9ABB0E2A32B99E422C68CF1902D854D4890A855551FF30B92C13214B31E586CE94625148';
wwv_flow_imp.g_varchar2_table(6816) := '03930A4149CA4C9B5275CBF84A152E4FF0FA926D4DCD3A35888F828071C924CA20B372AB59B514E38C2F0D1A43D2490BBAF4D2827E01400A3FE0A0B426375128C80000688860242629B272AA629F4AE3582889B98D4056BEABA12155BC0060608FEACACA';
wwv_flow_imp.g_varchar2_table(6817) := '5C59BB6D518F2ECF7014A157CE84291B4C01E0A6A95C3E292180357F1231A5BCA29B4AC27E879A022D32D07202AD3FF522908C040118343D440E52B1BC8AB2AAD0383B2566D1CB30C74048B18E11B22525610908C0A008D4ECF3A3158949196886EA22E8';
wwv_flow_imp.g_varchar2_table(6818) := 'CA82080A92AB9346A3C109009CC819803D8D56CF0921A010A209112E933621379A4B89AA9BAE09D26DFF25C5302846003AD9902186535A8901680130E0CD9A985DE819EFF6450845B24D6202B6B4D1063C3F2F8510AB310A2222B7209B29820CD1295BFE';
wwv_flow_imp.g_varchar2_table(6819) := '9C444F6CB1E5155B98E9E863A84EB8B7C657518229D484786DA82BAA4E2D6986A03807800E00DC10F675CD04615EA1BA1BEB7DA2BB7E8CA81AE327839E442F1DC2461C75D1BDA5203C0078DA1E928A01408DAB87123EA25BA42AFA50E3BAFFC8951B079D';
wwv_flow_imp.g_varchar2_table(6820) := '6166420060118EF804259EF73DB39CE07F0711D6E9D257907EAC8718F32B09EB10C81F8BA5C121BF9009054972A61200E000249B9AD4A4D6989B20437FDE6321537AA23C83C4E27017240B6C600800D7F46743C300C63078958C8168AF2273A121FF06A3';
wwv_flow_imp.g_varchar2_table(6821) := 'F0A52302C01005794541D28190D1BCC124A08848E36C839015012F215232D416A172C384086386457CCADA0C3246F5F010001BB299E42C32246E9111830529842BCAE2AB0CE02039AE338BE012D29CC4C9B1267C08DF2216220C5FE5A74342E1A32077E3';
wwv_flow_imp.g_varchar2_table(6822) := 'C78288E9450B19464760A20429A2C43DF7E94F2172C135473A4518F9624822BF438B5CA04E6B5AB4880543D91B7039CA514D28C8996C91BAAA0C25175E389015BF2244E5DC0A00C710462E8461C7A64C4D90A3F195308E31C64422333D1B828F50EEF74A';
wwv_flow_imp.g_varchar2_table(6823) := 'DE08CE62164BA22B80710B5E05F22477F0E55374F30C6026E7690509452E68110B780AE58400B89B204D991F1F020094D89C952C67FFF9106EA8EB0999ECCF2233F4AE543CC822FC30483B11D2386895D391A930483E4E6913D2F07356A8D04341CE0030';
wwv_flow_imp.g_varchar2_table(6824) := '5869AD3CE9E40F452BC20F86AE9153D052664124FABA4E30E41307C1877618F612A93C47A37EDAC54EB6D984283481960C09C7BB00B0844FE84391B9E98F231442AD91A0949DB170C3F50C420003BCB488A72B284248BA5302E9846DB46C025A86BA10F4';
wwv_flow_imp.g_varchar2_table(6825) := 'FCC98DB3526A0413AA03C781B521311D10336E42B9A544A31A7A8D0810E57A1C429C81101D0540000961896E118354945BEB6EB89A90992ED4A246A59A4F00503A6C9A5270C2040F1A4BF2D5BFEE46AC05D1042A4AAB094595663D915508242AD28F7E48';
wwv_flow_imp.g_varchar2_table(6826) := '1500B1188301B2F300FF0E00C0031C90173627D922F9342CB4C92144C12032534718B2202FFA04FB00F08FFE900A1AD7C06B720A58C085B8D622F948E9996A1401CC8255790F24A5727039DC4409C120344B083474250BA726841E03820C333CCB1BED16';
wwv_flow_imp.g_varchar2_table(6827) := 'C40E043C081EE27BD26A7942040C600002FE6A074AB0168C5FE18009620000035364821C62D2333C88DEFC94356EEA85222D06F68A074A615D2CEA2900465BAADDCCF48000A0964201F0DF8FDC21C243A1C57D59999CE4BA210A2F8A85232079990400E0';
wwv_flow_imp.g_varchar2_table(6828) := 'B10DB9457956F4095E146413E5C5F07ACEDA10CA02E00847F8020018E12768F8F53B9F48A549804184A77C5343037A6041DCB01B0440A00CB670852DD789450A4AFF42130104C04C6FDC64ED40E1C90B910542444CA24F90E15EC871AA21958B901593E4';
wwv_flow_imp.g_varchar2_table(6829) := '27E1D5681FCABC083524A78989F4ECE1CE5B904117042F77C633669817053DEB796E0A4106BA00A084DF92C80EAC454E210C0955003CE81391DD734A02402FA6604352E06AEA4160DC180800C0040080C08327D5E6868C91CEE8FBC4227C71E14E7F8796';
wwv_flow_imp.g_varchar2_table(6830) := '340BC5C0648129751DA40A2DE2301949A8559374E20E3D0040B7F9C3EA83D4933176BCA742928090120CD50E6E7381115C3005172CD1681D8542120F826C76CA021A02FF5314A6C71B74EB37D289660A56AD4A123794E0E150583072EC90BE436B26023B';
wwv_flow_imp.g_varchar2_table(6831) := '30884915E20534B0092182005C127260F224180100FFB70041CB7350900EE4C00532D7D2A701E6EF83BC0277B2804341421E0916A10D36C500C66DA0FD14313882E10BE1414D9469005C1360C624692942664003E5E5E2182B12676D609D1C78461921BB';
wwv_flow_imp.g_varchar2_table(6832) := '33C80BEDD0EE440D01004538C8BB0FE2032C1424072F07C0DCA1D4EF7E1B24D2182B882C18E6F101FD840634F366D16BF3BC8C9705DC1E21300322306393E977A68607CF4A2C8380AC5A240108C8B4417E82964FA05D512797BBCACDA0900E1C84E60551';
wwv_flow_imp.g_varchar2_table(6833) := '0681C0757083FC1821BFC8F68C00D0C402C58D92C2B8C57DC7F2EB840CB5270C081F7F94899627A42F165D5ED84E837C100ADC8022BD3BE2DEF5362BB6BF3C094A708142E82E772805B0AC09E1FF4242A469902FB8AB407055C399675BADAE63C6807C70';
wwv_flow_imp.g_varchar2_table(6834) := '83189A60F9CE27A771B8767C08CC6D1040D28E32630CCC630AE5023C5161BBEC2B082038880A00001F50145E5BAF8500842B7B05DC4B945448A5A2F3BDC508854F00C1D399B772C3B40C99B7036AB7A3B38C4570BFC53810CE2309043801725B8867BA41';
wwv_flow_imp.g_varchar2_table(6835) := '5869C0B5533BB759B69D400864F2038700BA02410402EA8454888567DA8D4E60B5841B2A06C0B902C9212C520E12C48C00983A8A503900501A83E804D760BEF2D0374529021E54882E00802EE882EF2311C23A8826C081BD3B0834A8328428021B88B687';
wwv_flow_imp.g_varchar2_table(6836) := '982917038015B3BF2DE9C33ABB83F488021CC83FFE708345F8BA8240C0CA821518FF40889793B9366C885EE833E45081168082018CA482A838B69B43294B012DB13C9F50B7B18004BAFA04BA4A8812C01029CC8FD381A410020F2AA8B50C49B813D81960';
wwv_flow_imp.g_varchar2_table(6837) := '01801B098515594128B9028F108782D80670A08669A00600E886CB500185C0BB82E00246A084351045849811252888784009965A93AA6B8A08088AC8CB8013E8895A648C847B9F09FC899F28BEFE38A20FD8999DC90FC0D0C2C08B1F002801F7F023B548';
wwv_flow_imp.g_varchar2_table(6838) := '0B2D7101E933882BD082083C081738C887000764E40F4A688483483588EC381241C4B203804DD28CFF839213B8918C5C0F8BE48FF8E98913E08013D88013788156049C4AAC3B00E83EF300006A40C66DD806EDA0035C048032FF30883F13322DC180C8BB';
wwv_flow_imp.g_varchar2_table(6839) := 'C89F48C7C6808298318810A13821D0C71689BC13C8801220CAEFA0967B88A0A694CA6ED9012000818348BD2D3888344C4886E805EDC039503BCB8368043CB0C38300048350823238BFFE3099F8814ACD600592939E8640C50231C7EF408B195BBA2D4985';
wwv_flow_imp.g_varchar2_table(6840) := 'F86B1168AC375C6008983C887100009BB4C985684CCC48B582A00350C3498440839D5C0830BBBD8A7C08D11B8B5328184970966EC14A1A10819E518E90D412A2A42251E1380068010040830D48883890C4846848835805835883D323461F2002B6238B6D';
wwv_flow_imp.g_varchar2_table(6841) := '7C083128BF82F8023780032164A72BB3BD44094A6060BEC518AD8468CD0CF14BA88C3C0FCC0C0388C182B0077AFFD8877FB0CA0C2901BB4420098008626408683C08AE1C8116903E17D80117B081EE8B4FA780834E6C8832AB044AA80445794AF5EC0DEC';
wwv_flow_imp.g_varchar2_table(6842) := '94981042471A288195A4BCDD283084304F25C14AA3C94300802B101009AE0480F60480D403D10E1D818770011D3451B53BC3AFB803421C404644889E439F18350B5CAB09A6DCC78358BE37D3C38A58500B3D0E4484AD1639C784B085EF54121700B35130';
wwv_flow_imp.g_varchar2_table(6843) := '081058011040810E5D082E6C882FB00200B8829003802F20A8AF003A46C82F87E8393C202817240B7C742900989AD1A9093C38861DCD0C92339A8CB4CEDDD8948FDCCE82F8D16ED1412815C897DC8193CB81293D08627C4F85D0823740032B05002B6854';
wwv_flow_imp.g_varchar2_table(6844) := '2DFF600C4698D13780032E2DD382501825904EC6A8D18260012F9C88A0F43C332926607853B360054930AE8560011E2D09C7EB8950FD935CA8CE2325912418825B3508B7330329CA5283C84D8530032D78D487D082CD2C8B48C88401BD325A7803420C39';
wwv_flow_imp.g_varchar2_table(6845) := '2BDDB6E2440891B00C0248920C60553A92881BDDD6823052531D0B3A6005D84BB70CA8B856AD883B65911C519FCFE93E221C0773804C8348CCF3719A25A5284F50883F30080205807F35084FF0844A20D8B4244222FC033254D886E8D783F882F273BB82';
wwv_flow_imp.g_varchar2_table(6846) := '289D047800840836C608555C3B004E7D318988D53C6D024A29CCB11004BD4C37A0EC96A79955D929D574A50825549F5AF5132E2D0870008782FF704683188775E0D97108079CED066794096900806C33085018858105D851A884250580A755884620C284';
wwv_flow_imp.g_varchar2_table(6847) := '30048695520030B68278BE8788440078372BD8B6B1B8175CABD13355884FE8C584E85600A053CB885385808D107A827D5094596559E41002747D59CD98C885340785908783E85975904C8460467A05D87D2D88A93D8825D2B74C5AD485A8D88FB0D232F8';
wwv_flow_imp.g_varchar2_table(6848) := '8231B043F4CC8C756408778C9FB322D9CB385783D054BB5529BEB508B75514433004BF0500AA5D886D23C6D3DBCD82E0D984580783A829F45CDC82D0B738788337F802B60480DEBACD8280800790000A90800DC8AD0D300113904D8970BF327837B1FD0A';
wwv_flow_imp.g_varchar2_table(6849) := '0A8880966A9CEC405E93082137FFFD56E588CA1BAA5B517159DE3047D285123AC8C837535F518904322C88DCC4822A783995EB3ED98C52847001897D83DC24505C48CC85B88AD3B3D21C2002AF65080870DE6A0580480460892D89EC850A8B853083D814';
wwv_flow_imp.g_varchar2_table(6850) := '04C8808EF5C94E884588B00563CA0C9052950330193D6D8A0F7E0A123E23234DDD850029995529707D1D88745884B8021FB05243358841655283505184D082366CCF0C26B683080983E0B8CEBC5293D8D750D857D73A4EA8F8090393D0C7AB2C21E0034A';
wwv_flow_imp.g_varchar2_table(6851) := '70ADF80A85D5A4880DA9CEDA00A90340925979E16AB9E1DE605B02A983B5F13DF9F5131D5E884878DD827883DA0580AFD4C986C801EE73886AFD5083100918C05086A05438FF204492A0848155284AE002CA740A0428400D2EDD8300D317651133E24B16';
wwv_flow_imp.g_varchar2_table(6852) := 'A105539DD974758233C8A1755ADDD739BD3B2E88C4C405DF2C08026D84562E88636D082B4852137DC98298DD5B36883EC8A45F36082BF5023095887DF5843251820B96A74C06807BE1006D7D1F0078CE84B8918A2826F55165C2F88B83C080346680A014';
wwv_flow_imp.g_varchar2_table(6853) := '0285D9123696593796618400915828A6376BD9A7A96389812B4336883F060003360869A0D7D64B895F7E033F9022B165BB2006806DB3026199022A28E8082D0811F801F4F1393FBC329D6C821848C769FE08526E8A7A7A21BDBDD4C5C0833270033CF003';
wwv_flow_imp.g_varchar2_table(6854) := '44F0033550031ED0239358A75275D98DD6C30D4C36E8B9B71EFF76011DF05F8618857CEEE791288347FD548338332E68E62796DD29A80847748A4C83010EC3034AB89542F83316C868CCCA00ED3C086E5E0C50B60C72438432C90447E0832450AF1AC8E8';
wwv_flow_imp.g_varchar2_table(6855) := '8F206179566732EEBD7B9D155F050024000010D00191B8CDDBEC2D85580388C085645086D6DB0673A88782F0AB2CEDE383D880482C8337F861E3BDC322603BEA05801BD05AF5B0D8355508B14080C58BB64B7E0016A841A1103BB1636B3391A38545D8DF';
wwv_flow_imp.g_varchar2_table(6856) := '058060E8CD7B8DDA55B8D7D866089D256C7A7D6B5BB88557B8055BA0DA511008CE4A0882F5DD82E8844CC884D8CD8FE664C4B44204E20E855658844D482E84C8866FA88AEB568F02CA846FF887941A8B9EFFF103377883E614168A168A709089F45EEF6C';
wwv_flow_imp.g_varchar2_table(6857) := '08876FE886F76EC66F9089F90680FAAEEF82C8EE266B6FF5E6EFF7F6EF6E68EFF7BE6EEBC6EE6C400F9AE0068EC1066E408F5C386FCC502A009070C22E087AB87085206C093F08214D0821852E8940CFCD7D08103F887F80AE7E287145D9DC7ED007D8EA';
wwv_flow_imp.g_varchar2_table(6858) := '701E3D71D39E7188A8707AA887F95A881C9F700C1F8A0A17A47B3809F6B107220700E7A271242F897AA8DBEFBE207ED0872687880D4FF291802D86B27294B2877FB007868A722AFFF2D49D72831073303709D9F2F2324F73355F73366F73377F73388F73';
wwv_flow_imp.g_varchar2_table(6859) := '399FF38740733ABF733CCF733DDF733E871E8BEA73400F74411F74422FF4747D7144877136FF47741E8DA0135771434F72C12D88499F747AA8A926EB871FFF08C19587F982F4E1E28720DFF184D8748708F248FFAB274A07565FF55605DC914807733087';
wwv_flow_imp.g_varchar2_table(6860) := '2752070098AF11DFA90A9FF572288754FF7275600700B0F53BB775611FF65FBF2066B8B25ABE732B052D0C83F591F00446908C82300752072B535F737190DC3E1FB29775079230873188D1766832716FF33248857FF00282A285E29D73F5BB0362B0E257';
wwv_flow_imp.g_varchar2_table(6861) := '0780E0A6880882839E39F64EAB868104734F10B1902B673DF7841D780343C8526BFE5A3D84070070568F58115A60066FC7336250983280836166EB2722EE3D3F7700088783286D3CFB8F8AB8856708F07D1A2E5F770E2A17F676F871793EF0757FD7F373';
wwv_flow_imp.g_varchar2_table(6862) := '77077920F6567D22370FF2974FF6FE80754EE30D88E7DB7C387A39577AA16FFA4ECB75A78FFA871046A9AF7AABD78C67B8F9ABDFFA9308080021F904050A0000002C0B001200460253010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48';
wwv_flow_imp.g_varchar2_table(6863) := 'B1A2C58B068709EC87B1A3C78F20438A1C49B2A4C9932853AA5CC91221BF8AFDF4FDFBD7B2A6CD9B3873EADCC9B3A7CF9EF5EEC9AB37F0DE417CF68812D427B0DEBC9F50A34A9D4AB5AAD5AB3EF9BDC4CAB5ABD7AF60C34ED4C7B4E25681F7F215B46750';
wwv_flow_imp.g_varchar2_table(6864) := 'E9C07A4A8D02B82797603EB514F131C45B119FDEA200FC8A1D4CB8B0E1C31FFBF5DBAAB8B162AD8E233FCEC74FEDDDA4F5E805A59B19003DCF058DDEFBEC79DFDFBBFB04EEA3FB90ED5384F74CDFB59C6F5F3FDBFB72F79BB998A9D6DFC0CF9E454CBCB8';
wwv_flow_imp.g_varchar2_table(6865) := 'F1E358390A94070F9E3C00F2A24B9F4E7D7A7378EE9E2B0730B37B77EE3473E7FFE6BEEF5FEED1D001881F98BAE07A7BF7E6CD9317DBBB77F773E5A5E6B8CF5D73E6CC5D27E0800412F41C720826A8E0822AC16360751046E75C749AC9F34F355FBC0187';
wwv_flow_imp.g_varchar2_table(6866) := '866F98F1061A6584A846196AF00140269E849262269440D26227A1D0124B2800CC4889419450924926A1A4628B30B708038C30C2B842092270B831C6187844E20900A0A422652A9920C2C894DC4828DD755A0608A0736032282683888C69E6458A8127D9';
wwv_flow_imp.g_varchar2_table(6867) := '9A8AF1D6DD62FF1862800A2A0C61810A16583001071450C041061C0801801B7E1452881F78A8A1A81A0038D209008538128A238C4AE185188A0EEA061E7C38922323002082871B5E0861020B2CF869040078F8C10722568AFFEA851A853022697933D9F6';
wwv_flow_imp.g_varchar2_table(6868) := 'A67DBCDE77E6AFC7F15003B0C432C4119BC83E06193FFFFC01C11052442BC510455890C2B529B0200415253AE2AD237C6C8A07A78EC402C08DA15082871800B0CBEABB9C86ABA8174F1C21C4BD4D1C1145B65110EA2D238C4002AEA28E009C496EFFE833';
wwv_flow_imp.g_varchar2_table(6869) := '14593191A5CF6DE2ED139C56F93CBC5DB1185F05450D4C003045C6205BF8D24BC9B2C98F5FF9F4834F9C1C14A1C4B4D3DA9B8207A8B29002B7AF7E3BAA1D78D851C827347E02802B9FAC5B901B8B8AF14414F7E20BC0D254441105AA47D05AF0B7E062DA';
wwv_flow_imp.g_varchar2_table(6870) := '29230797B70F3CB1452CB6788DED57F63F6E81AC764F7A0050C7DA6B5B9866C92667764F3FF7FCE307053F14FF11ED104FD829840725642B44140074FA6DB8E3E2B10825B90000742E45B73B901AF4322D44B60245F1C4135E501175144D94504213DD7A';
wwv_flow_imp.g_varchar2_table(6871) := 'AA3A1F8AE25130255E7FADDFD862238B2B6975C1ADBB4D6790312C004858B1BB986941F70F3F8BD1BD263FF4C0434F3FF9FCC30805001401F810430871840585179EC2138C62BD08CF3C2F124A2EC7D0484B2889B6CBA81847D45CC2BD9E3F21C6FD5103';
wwv_flow_imp.g_varchar2_table(6872) := 'D08410A60BA1C6BFDF6204EBD4E03A4FC5C33CB2A35DC490C7A6DBA16578105C491DCE50902A00A01270882072D2E2A07F1C4B7992E1473DB203A754D8E00952089CF62C602F0B6C6E7E51489DB7F830AE4538EE13C710864026850782A8E109FCCB0000';
wwv_flow_imp.g_varchar2_table(6873) := 'FFE827B5A501800AFABB170D4C1743C551E25B855083189C7840F33847811163936AD02690BF68F08B24A9C314662090E019C40C5C00634A345112B638C783CA01A16398D70E79C089162FE342B458582F7BDDAB70558B14147BE6383E7C027D89F39640';
wwv_flow_imp.g_varchar2_table(6874) := 'D8C52820F64F084D6882D4102735250A6189A753831F54F7C48111D05B94B0D06AD8313BDDC8912333A1473BD4C8CA8EEC411002691B007E37050B56E20F008843875A7912369AE48DDB39E563E8919DE3FDC3155CC0C317D4904221440B85323BDCFFB0';
wwv_flow_imp.g_varchar2_table(6875) := 'C6AA71F1CC1142E354283EE10881300A005E28DDBD0602C926148406FC335DD500B83A29760A11A13C8F3AE0B19AD8C8F1780241DB2A79C9FF4F8AB4AD0E756042C708F2A47E9604190221034110700091C84D987324A6C88EF90546DC480A4C4BE1E7EE';
wwv_flow_imp.g_varchar2_table(6876) := 'C581141CA151E2B3831A44DA3A293A228745FB26389B9082120C31213400804B99D8AD27767280AE83273CCC438F799EC73620C42777EAB14F831A55218400801E60B907000CB4206640431CCC008010498E82623803E29270D4894041200820C9430100';
wwv_flow_imp.g_varchar2_table(6877) := 'D1C5A872A2AE50831CD4A5D1CFD5AB69298821D61C51887689210A677882EBD4108A6F7C83460411C31F5F2A1041094A20318DA9E900F03F5B75726062709D1F1831BB7BA8C31D3F3D25C9FE41CCAE7AB62069388452F520CB34AC00217100001AB42090';
wwv_flow_imp.g_varchar2_table(6878) := '56B08B8200409C392161AE56FF3E4320CF60466E1BE24B0C84842DC64B13598549473B320B1452C0831CF020AD8D0AC185CFF5DF5C1771D7FA2D027DC7C8855FD9C7A86F0E969C0080C23801A0589996A0898E6DE727FD00BBF2F414B3643B653E550900';
wwv_flow_imp.g_varchar2_table(6879) := 'BE7CD6B37B482A00F650873410C40A4E52ED4192FA04D802E0084F20882D0CF20C64806A6DB79D082C07F255270040A103692844E422B781C0518EC535A6279CF9852F486B8F4D03E23AC5F7434CA941680239C676134563354421032E3DEC5787285EF2';
wwv_flow_imp.g_varchar2_table(6880) := 'FA18C78C7D1D00714AD7AEFDC3B2F0C58D30CB43D4CADCF7BE847865530D32860BBE4120A9BDC2402898D784D06220D3E0C634A031103CC0211304190E83AE710D8BCCC0FFC27AC0301D2C4C110EC37123C43D2B9C2AF183EC05410D250EC213F2742F29';
wwv_flow_imp.g_varchar2_table(6881) := '1C61C5DF5AC4A21C07580040C3AFB95074FB62BBD89746D29C87B564093220574E7A2B8AEB35B265DB11B6DDC8973BF47DF27DF33B65030BC48204F1501924B78BD71ED120AF18C82FA0310D007023190321542500C018331183CDB87D468417E25F3A84';
wwv_flow_imp.g_varchar2_table(6882) := '17006474362C9DCD808A0093ACC3D5AC44E1E48A230C010052283133A5F05C176EB4B1DC84944817B1886E7E23C6DB2D888DF9F752C30AA4C7E834AF10A7995E01B60E5C9940E03E2E2B1E669D9AB3455D490F6F84CD6EAA5A2C53562A7F0732855A0220';
wwv_flow_imp.g_varchar2_table(6883) := '1257F65055670D80A45201B6481CC8975F210C321FC4CC68FFBE9899A20180DB2AFB211F3B88B30532836A47E42F16A20978C0D32B5E2D461E7534E62BBE00802194180F6050A10B2D50BFFF9D4B728558B7B7B40B80ECCE38538CD55C420E8B4ED3B9D4';
wwv_flow_imp.g_varchar2_table(6884) := '75E92D18A8254B09F398871DED100F6F76D37338EABC3CF770874D1C2E106E0ACD4400B0C3C3B1F23682B89A09C21BB640A85A06D602C0D506B1852B68F10B6E64231BDC10C82F06E28761AB392AD5184835DA3C8D367BE4E50B29F942C8407A3A47C4CE';
wwv_flow_imp.g_varchar2_table(6885) := 'C225AE5048A9B27FDC62DC5F50A61A82D04C1746215A8DAA7BA344EA3AA0C5B8AFDF80F1E5B48ED84BBE34DF03D9B4FF6C157650BBA1107C283BB3EC81F6B07D1884EAD1677D59024AE1E75ED18CDDFBFF55CEE05F4BEC61E20841C380051272C4010012';
wwv_flow_imp.g_varchar2_table(6886) := 'AFB0C52B180F8077F71A009317881FD07C95CC8704A1C880500E010C1A31104C607A00E004185658FA030011D010A837379A2514750427B7A04CB107064897283F844252F04DDD64778E207592E257E9730CC7E07D59D73485754934804E314558CA0776';
wwv_flow_imp.g_varchar2_table(6887) := 'B60240AD037D65C76468175FA7941A0857133DF40994607792A36E795757E2571555C6726E132A7B30054F05005465108847105F8610DC200B0E5779C4D6154C88110B060002180BAEE00AB7E010337002007002646480DED48000F0020D81731E3410AA';
wwv_flow_imp.g_varchar2_table(6888) := '270FEC000FADF70B7E000878F060DED23882382E2128348ED033EDF60938F40DE9C38842FFF34D8AA2398853025F7558A6935832250419200460F74435086A7670888DF00FF88037D5A71B404537648530A9A613D844106EB0084938159BD0079BD07205';
wwv_flow_imp.g_varchar2_table(6889) := 'F13115670800F0065A706505A15F0C910DBE960D61F60B37E2065DE17F03710BCC80112C170D6DC672D5705BD0F08C09C12833E05B03915FE1238BB1A50311D161780662F90074C6F50FC860258C20070020078E00068738888428849233826AD06E9222';
wwv_flow_imp.g_varchar2_table(6890) := '6329E888F2A6399916495C0783E63544FFF358B6222F9C8207B6703C8BC10EEE500FA6A43C04B11B44E1642D318421F8449F8077036188B3D81391500B8F3206B2780C02F15456502666C071022639FA85445AA560B94666BD1679D3FF907F55810C4C58';
wwv_flow_imp.g_varchar2_table(6891) := '0DCC08009917861D110DCF888D02810CCC609406F1280441678B20342AE81015135C763881786847D1630B6E00073D248804C48199E23A9273238C958FD8140AFCB888DDA452F3E64C7E742FE2355EF5E6528DE5898EE02AAD130AAF100E1F069141C140';
wwv_flow_imp.g_varchar2_table(6892) := 'AA5891FD709177D112422884AF28104623102118923C91061FE35F00500C8BD07767447404E10B5B369307118626C70DCB3615C450103E5910CCF09314910DCF488C05319A0B0109043010DCF811E4986D20C40FAB8795FF805C69F4057AF481CFE4569F';
wwv_flow_imp.g_varchar2_table(6893) := '534092C34D8AA68F68F9577D958293C65840A43DE4F6482D1853E624537265979B942888E00AD1900DE1E018F3540FF8FF00981489674D665F2C31844F0700E0E898529106FED50700708B06117366809904F1094975573349054FE00700207F03210B85';
wwv_flow_imp.g_varchar2_table(6894) := '906B5CB16CA5096602717F17910A04E19A02A81005181253D9611F648EE8F80FD1930908D6A11EF84CDA733809E62D50798866292904E18FE1E79CF6823D00D0525E475E4D1349850576FF4243EC950CD9E093E2E01810091FE45932D8365CE7899E2A71';
wwv_flow_imp.g_varchar2_table(6895) := '984F3782AC228B51691091E39E27517E0B016B8557109F506B0C210CDD807F00EA6BB2409603516C50E1933F899A167186AEF9A008450C11CA10B5701115F34655294CE7C87A2BF30A5B20076BE06D47F081E3E65642A0571B699C27DA57EF500EF5070D';
wwv_flow_imp.g_varchar2_table(6896) := '8F78396AFFF05C45E742F3934E97D88243E43AE3E22A94F00A65688CD2300D3DCA4079580F94716A44DA0E189913609A77DDB4AA8D7610746750D4901387E05FA2E510F8791014147209E60A07E10AC668725E61A622119A03410CC360AC0EA14355070C';
wwv_flow_imp.g_varchar2_table(6897) := '91930AB9E0A00D910F721A47C4050FEA908EB0300AB0000B8910043FC0058B229C9E334D87E90836A48F9FF00DE5900E26B8A8DED4A8426027293001FC436F33655E91AA2855D32A94E00AD3300DD2900DD2200DDFD91879880F29234782799E36318437';
wwv_flow_imp.g_varchar2_table(6898) := 'A2823DF491500A00E2501396E0366770B10C3155864710D680559CF9340000AD0601795F2A107050502D515B0FE17F649AA01821AC15819200708504FF11797B014C17AA59F270ADFD600FFF300B988009B3000B98200758A0065CE00529D4562055A2E7';
wwv_flow_imp.g_varchar2_table(6899) := '4AA2C20069E9B396F9C88151B07413A07C5EB7583936446ED9516EE009AEF00BE0D00DDBD00DE190B616D30FED000F084BAA1BC1B0270144520052F9F9AA799710E94010DB5410EDA946DBA0137A6799DF800E03B10402910649008C03018C9F600D62D0';
wwv_flow_imp.g_varchar2_table(6900) := '3678E57E0DF10C0F1607FC87135FA6AC07418D04917932BB13B9C0AB06D1A6B021AD16826D65C50F3D6B47402B0A431B08A2600AB29B0860C0B4517057812A967567AE8E5388A1302987F8346CD9A81960010030015B0BB64D733892844298530210F004';
wwv_flow_imp.g_varchar2_table(6901) := 'A0800BB7300DE3A00CDB000EE0100ED9FFD0B66F1BB70A5B91AA74AA247138B1C52A8AF88A9ED2A48C996E92038EB2F83E519028361458F4A63BDD0B0E83FB13DC000A0401994AD007715078EA378557AA5F5C2610D529105A9AA205814B36910B2C0B00';
wwv_flow_imp.g_varchar2_table(6902) := 'C090A605418D9907BA54C194139116D14113D4CAB3D7DA1DB0200ABA1008B47B099330099890087230C3184888B9C79E276AA2E076B7DDD5283DA42882852FFA224952E3625FC9295F20047E900CE2F00BAF900CE7800BC9B00DE3500EE1FB18079BB0D8';
wwv_flow_imp.g_varchar2_table(6903) := '5795745B126B5066116B100E573E453810E07857363610EEB2A43EA477C3030E00300EB22A9904A1B103E15FC0D8B102A199EB3B10525310B2F00DE73010D4300DCAEA923A310CC0FFC010FE170D5F781CAAAB73120862AFCB76BA000BB3300B6C1008A6';
wwv_flow_imp.g_varchar2_table(6904) := '300BA230098370098F30CA8F9008A560CA899008E92210ECC64D8922BD18C8284F0900D6C09867302B8B4240D574A97C000770C008AF200EE020CCC9A00CEB800BCA900DE6300EE120130F09365A4C91D4DA6412610A0241BBD60C00A290106D500A6D10';
wwv_flow_imp.g_varchar2_table(6905) := '06A5100602B10A0D91980491608A79AB03610D912B10C50000CD0037A3E010706C12B224109250ABFE3505FE950465F0075AA07E02F12191EB6A965B10A6BBA06476B73DF1230BF1C802110DD520D1C521C2AB3B5CB6A93CAEEBB33371C9993C0B2C8C09';
wwv_flow_imp.g_varchar2_table(6906) := '9DCC0998200A9C200A26DDC9B3A00BBAC00D94303EEC66AE918842CAFF3410A8507500400EC7E00DBE404386D22882D4288CE0CBA0E00AC9D00DDD000EEA30CCE070CCD9A00CB7D00DEB6031FC908769215FA977BE46EA1079D010B0F00800F0D5619DCD';
wwv_flow_imp.g_varchar2_table(6907) := '0F11B805F1C5E016C6B40C00DE2010E4A00D70E30203110C05510ACB3010F54C1228301092E04B07C1B8BD185503810657A69F3B165B0F4C4E898DB31361000C80000FD8124CE8C802A194C461D17538C9B769ADE9380E98BCD29E1C08446BBBA46D0AA6';
wwv_flow_imp.g_varchar2_table(6908) := 'DDC9B0A00BCBD008A8800A8BE0DA8A56440C6D34BB700CE480B8E4D0D6BE600986122941CD95998AB6DEBBCCE7600EDDBB0EC180D49EE009E6A00FC853D5D02C4C5C6CAA5BDD10BAE010D69CCD9D2C10B35010ADFF2011D6E410DED0D618B1A50030CCE3';
wwv_flow_imp.g_varchar2_table(6909) := 'A00E00B00E58E10308210BBDA012A0208702E14B5146104CF084535006BB5410BB201033776155185B215BDF767C200811566105001000001B20101EC0010C21234259118ECC72A87BD9918C67194D37FCC0D970320ED9DCDDD78D09A2EDC9A6FDD1A9CD';
wwv_flow_imp.g_varchar2_table(6910) := 'D2D9E009AAD0DA30BEB77AC76E84F055D6400E0080B8E30D00DAE00BE6DADB86E208AE200CD9E0BDE5000EE7700EEDB00EE790D4EB400CD2B00ECAF007A9C076FCF0B657ADB0A9D7C50A41D604D1DDDA1C0807610AB03010B3E0E5D75D10BC80107E5D10';
wwv_flow_imp.g_varchar2_table(6911) := 'AE2D100656CB0501D7B58CE300F0A61401C7E5300EE630C85D910309510AF12D10F30C008910AB1FFFF1BF0891547D679903010819F492ED79D300D0E60641E90241E97A6B1006900002D1E01E0000A10E002610E10721022461D9C6B1E11D7E9B3D4B0F';
wwv_flow_imp.g_varchar2_table(6912) := 'C674C969AE0B1F2DBB228DC964FED12CBD0D95B00BBBE00BBBE07DFFDDDA7A7006EF8C0EEFD0D6D6600DDAF00E93890A7CB008BD8D07D0900EE5A00EE780EDEAB00EDC7E0EE0600EC8AD0CCC3C0A99C02CC7E31F598E7D91C1E51591E606E1E50451E602';
wwv_flow_imp.g_varchar2_table(6913) := '010EA2F0DF00C00BF64E10BB80E90A81DB09A10DE44DCB9F70D39DA2D60BB1CCEA2D77F0B00E083E18822E108940CE0070D7FE3B0E836E115D0A00920000173B6192D954483006577065A92510CA0800377DD3ACC0EF7CEDC67B6B102EAF1009FF9000A3';
wwv_flow_imp.g_varchar2_table(6914) := '1EEA2670030B11E9B6100B15FE10C4BA201C74D165F573EA00EBCC320E2C3DEBDD2D0A9E0C0B2A9DC9B4BEEBA3600CBE50F5D690EFA8E0EBA84008BE80B8B46CEFBBA00DE8800EE440999B00D3842006DF300FDCCEE46D1F0FEBC0E7E3900CD5600EDD20';
wwv_flow_imp.g_varchar2_table(6915) := '0DCCC076F930BED1AC8A5B4EDD0EE1EE1001E605E1EE2BDD0BBC80E7990900C12EE70CF10E5EFFDFFF6D0C00700A398DEC631FF006CF10EC2D10F1200FF1100F05C1CC0030B8E1000048ED13883E10BD500A0551E800400DBD70F120B1F153E6E8485005';
wwv_flow_imp.g_varchar2_table(6916) := '882C10EAD7A4E624060ED798383D104D80CEAA811009F00002910226A01026D0FC912D105778C112F1A4AA6E154210017850081AFF51160881B0235C8EC4F5EA70C209A28DC9D79DC94CFFD12ACED22B9D0DA3D00CCDE00C55CFC76BBD0B9A4008379EE3';
wwv_flow_imp.g_varchar2_table(6917) := 'BE9EEF0041EE1D3A740050A1DA84CAD71E55F3E4AD8318311EBD73E3C65593062E5B3671FAFAFDCBD74E9EBD7CFD4C9E4499B21F00930058D673C72F9F4B9A356DBA9C7453E7CE9AB37401F0094E943197CD6A1AF5B56B17CF9DBB4E2DA5A9D4E5BB9B9A';
wwv_flow_imp.g_varchar2_table(6918) := '2CA1B2C494A7BC9BE60080D31A56EC58B23A492522558A54599ED26E1E9244338DCD2A34FFD02C03C0DA19320084F0CC05809B4D2E34DDB8B41716864B0F3A1FD4841001015BB1CC9E31634659F3669E8E5CEAE3C7F35E3E79F2FED154995A253F79EAE4';
wwv_flow_imp.g_varchar2_table(6919) := 'F5E3F70F5317DA5DFFD888023A2BB74F5D3E79EBDA36CAD97067BE8C27B59654129D53DA006833666C17AB53D6BCA11B484E3A2F5EC654D5C1A62FE27888E6C665EB264D5AB6701E41B683375AB56A972B4DD66B27933367DD2E7D2A2BC6256D8A71E6A8';
wwv_flow_imp.g_varchar2_table(6920) := '9D7C01801032F4D0CB266B88224B159778D9091E97D6B189AB75E2C1F02B97C259C59C6DF62391B244C090A3C49DA651261BB298100300346A42E30B97CE10CB155A6C7A020025C6624004065C62208307220880A9C754A4090397326332CAB18E106B34';
wwv_flow_imp.g_varchar2_table(6921) := '784C436DBEF9F881C735D8FE11858D40D860230B2CD818449459D664734D5DDED4A51BE1061C1000A30030C617540801A02F3C2104E094E7041AC8995D8CE9AEFF194952B9673C0E395C079C70B609479A6A94E9C6A37EEE814F3E2D53AAE923FCF4132B';
wwv_flow_imp.g_varchar2_table(6922) := '8F9AD8E8820400D80020A7B07ED2299862EA7426C0010BA409C1A85C7282264D6802D425A878BA332A0A77D9E3107700E08A1E97B8D2C9D99BAA71A99A64C29132DB9DC058231100BAD82F19F56C3A8427246ED2E20B345049108A9D72D971A7219E50C2';
wwv_flow_imp.g_varchar2_table(6923) := '8BB0863C0080000848D225026A32A0260E387049891D697185C472B56598A6456ACAB7BED076220D4B963E558D35D7FEE167254C2601799241C814731251D46413CE3847D1864E027DE1A59966103D854F418505E0503CBD79A7677276E1E55067345984';
wwv_flow_imp.g_varchar2_table(6924) := '1E78C883749B6EC0E9061765AAC906B44DE12309FF6394B2EC072652C752A42657B33055ACFE6CC284263A75A290A6627FD5563A9AE840C6A578005847DA686B72AB266594F10A80D31A0E0BB765BCD5C9DB4A68221C8084B38D6BAC2FCA40C3339AA068';
wwv_flow_imp.g_varchar2_table(6925) := '8272775D0AECA65F1CF9913202FEFDD72604106000010A988A85A65B3483242C6200E74C081AC61AADB4BFAD4E4D637ABED405134E7003E0645126092464904F3685B7E09C71B938048773AE2644718E4E1B42C971263A63ACD9C592741E1AEF1C88B671';
wwv_flow_imp.g_varchar2_table(6926) := 'BA1B62A4E92653934282079F92705F29CB5167228B134E4CB1E977B2F0BF09579702048037EC4493B4E98538C5BA49B0C2A28D5D58632BD07A884DDA41166CB9E46FB0630A38A431229A5003FF00E2100758C0B18C7200A08493A2C908CBA20C9AB09026';
wwv_flow_imp.g_varchar2_table(6927) := '96D88320F650933A94285E36F90500B840A5C230654835015D4D2613B09AF4EB269E00858A90310C0C4609076CA9D8EDEC033FD8B4E635B19905262E213CE1854C148318C4C7268109E125C313CC9B55318AD10CE334A340DA609EDADC682744590F3BEF';
wwv_flow_imp.g_varchar2_table(6928) := '70CE83ACE18C4DA0231EE28388F82C620E5C8C6269E98986A6F8D1A9F7E12E5459CB0FFD9AE835E0018085BEA8D51B01C8934D32058125FA863EDAD1A19AB0E31CEA18072ABD828BC3B94469932C0B383808806DD4921AE0F0A02BA9B18D5DBA841A2E62';
wwv_flow_imp.g_varchar2_table(6929) := '58E35C52871DE000051230411100D002AD346127AFE0862CA0F18A9AD88B2D44FF64CABF3800011545612771BB093188810C5A4009963C991D59F2918F2B9DE62417839FC65EB38F7FC002138F788429B608B256B54A64FF14591871E10900D4CA1BDAA8';
wwv_flow_imp.g_varchar2_table(6930) := '85716226B3E1A88D17CE38E870DCE80D7210A465DAB3462B8A119173743495E3601A2EC6D18D5BFC211252EB073BE0918F8E51517E91648A3E00208B9DDCEF125C2B9B4B0291539B38A3166883594D3269934E026E82EB10644DCA018E71886344797389';
wwv_flow_imp.g_varchar2_table(6931) := '272211AA73D224072EB902AC5C224B597E851ADDD8062EBBF1550080B526646D1813740080D3B9040432A00921BC4986285C8E26B678C50D5D924340D0C44662095DBE2216166E2E8661C200C03080A1135BBC0E1A007806FF641F5B55218E258AF5A1E2';
wwv_flow_imp.g_varchar2_table(6932) := '4974F70F7ADA139F97B884C9869787800E62128A50C4690771095C340200B5A845CB6AC10B55F0C2173273C9410110546790038E706C0645D191C7EAF1021581AC083898A64170046314A38884194EFA917FA8141F2D851F6621B9359E94622C9C184B4E';
wwv_flow_imp.g_varchar2_table(6933) := 'BA7693DAD6C27F2E9110270554541519431B0564C74D404A13B38A4319B7585D252211873850D6262E70410E5C000052CCD297D9C8252D7F99E0692CA3C1D3F025679EA81326D4E498A72B0C956C52570E47E13088F34C0EA5B99FD09DB3C23611C662B5';
wwv_flow_imp.g_varchar2_table(6934) := 'A262FFDEE42F0038001FC2B2CE76628D8AF2EC4767EFF988E001E012A618848F431BB2D4A67612A370ED2600FFA08A9FB6A21541E34E4DB4D10CDA3E47806F6C86F5C8E192ED19C31996881A4899B60DF54883189E40F37357E19EEABAE31ED8752466E7';
wwv_flow_imp.g_varchar2_table(6935) := '1796B5F0E4A6B81944207C8C137F8E9727E905402B944CDE9CA9026837F1C631E09850C0F5CD26D9D806A45BE4429D10B4C557A54907D830294AEB641B4EFDE02F01300D69FCB296C06C180ADA5A934558C30E7400805D6BE2070038821100A00400A0F1';
wwv_flow_imp.g_varchar2_table(6936) := '8B1CDAA88765293167824D969F0200B100000613CBF2D82522039C18AC6B59686CB1CC6AD68A39AEA79E790CDA4B70220FA61AF2698B9C5A4FF47713E76E45A0D3EDE4430BC84EDCC93277A2175C7290C31BDA03C02152E10E594A4319C148062E041E8C';
wwv_flow_imp.g_varchar2_table(6937) := 'FFBD056315C460B34A599AD997727727DE05406A9932877EBAA4C83CA6899F7932689A087A583B29D0317075DE9A44992DBEE0F84E001E8CB1D483B21DE089816912D61181A5E6322F910D0090F29A2CC19812D8895C617D93C2D8680DB8260C00FEDAE2';
wwv_flow_imp.g_varchar2_table(6938) := 'FDB09827C338B6B21161080020A22690300424FC9009A74B090311F8A156A62DC56A73C94B9DF5969187BC2AD4B6DDED8A184424FA70EEAC6C42D00969C52E50B16EA30C87B659FE322A70D58C9E79E341873A8427C251705CAC62149530441C2251094F';
wwv_flow_imp.g_varchar2_table(6939) := '8CC2A426F9479B17CEF08BCD7933AEDA899FC70BC6B16445D035E1B9416C12BD3F4B6213DD118B742034056C801A00795BC52AC6E20933A4FF8EE9341970A799D28DB2BA441C118E52B92451C35EED41AD36B1424DECB0619BA801007DAD892D7EAF1947';
wwv_flow_imp.g_varchar2_table(6940) := '40221461E143266A82D8258662AA49A449D75D220C26B27F3390F8044D9C990175B293DAD5AEE2D9EB1936D4461C00DF9E03D40223B883BB30FA0333388443A8BB4D380506CCBB0654B739E28527631E4BB80ADA6A056D7807ED709B3DB8836810B8E7AA';
wwv_flow_imp.g_varchar2_table(6941) := '84462041128C833FF8032DF0838483077E80338CB189ED9224CDD0389BA0389D08B29B1026D44B37B6B9999B6885DA72095DD189834ABD42630AA8F084A761215CA83397F803ECE38932B8024F90A9EDF30197000E9B20BE9A20BEB0FA42D8A9A1139B82';
wwv_flow_imp.g_varchar2_table(6942) := '0903009DB3093E01000E8302FF6FA289BEE203406084C50100D7EA91ED831D64402C261A8661808663B309287936127184420000EBD30CFBFB87292ABB6B433B8A0BB241E81A3201A34A84BB39C8B33C40832AA88334D8836451404B50B25D383DA8C024';
wwv_flow_imp.g_varchar2_table(6943) := '6710B42CD306493804846805E6218766D8854D38842578036240B24A20055C08067F73AE3F788337B0023FA0AEEA6A411774A4777A0998128B1BD4891A748948DC8939C80367BC9134C09172A14500C88A9D8B124138841FDCAD9D1094E98301482006DD';
wwv_flow_imp.g_varchar2_table(6944) := '7389A9120B33180334E8832BF03D3CCC81FE028004A3299B782517018B2672821A02801A0000A0A3891E200B3850033800005A93433C648BF8AB89C378021EA8890DD800FF9A00449750363DE4898CC44345D4AECCC2B17CC8360008C0885BAD39C8024C';
wwv_flow_imp.g_varchar2_table(6945) := '9C03961C8496CC0336A8821C980226E0812938834FDC035124457649B7407B285F78325F80A33D70BD0C9C325ED8843DE88129408311240582538655A804604403C82983318083CCCB3C767087CDC3BF7FF03CADC8C19A80C612418225A0092A98A19A90';
wwv_flow_imp.g_varchar2_table(6946) := '840BA4894D601B40E38986DA095E6819D6738918D1012618028564479EB88B9A801C00C80B87740901038065E8C79D082B00C88665E8420C3A3100600226908010D800C3822B44E409AA533A34C08382718946F830C4648A318892C96AA23EB083277026';
wwv_flow_imp.g_varchar2_table(6947) := 'CA18BB908C27D26087D7A8877F98053D9B834000A3403005FF45A8466AFC369289493648821F49CB2560822548833A20844D001A5468400AB9C002B12D88E20542703DECDC8433600218008221B0822B40832D78833808C6604483ABBC8331F003AED4BC';
wwv_flow_imp.g_varchar2_table(6948) := '17B41A781A4BADC0449B28CBFD50822400802A98022AB00926980200988B9D2C39069C1005DA09D65B189A002040A94C9BD80297A8509B78839B708332E8039A48057DB8C2DFC33497982F69E8057D74259A504797700B96D39629A88115908017700934';
wwv_flow_imp.g_varchar2_table(6949) := 'D48B458035368C365A3BC41901801FA0895B43CD7BA98913C8801238D21000800D582BD4F48228B0A644BC2C78BA31DB94077EA00730018040C8833CF34DD4EAD297CC832C20D32EC802DB880550F004FFAC43043BA8C929D0030B6C05ACD004A0B1404B';
wwv_flow_imp.g_varchar2_table(6950) := 'E00E21D4066F40853AB0842CAB853478800C48011B70812118021748023480031484833EB8833B809C31F803F9F44AB08CB3CE63C621155297A0021DC00159D30A84609B9B28A0B170129B180200D8010030020028D09BC083D1C48B32D850A60397B6E0';
wwv_flow_imp.g_varchar2_table(6951) := '09114AB0C604074BC32014F0CF9B20041C0180A15BC3316004F1BB09291852CDA0BF13708913408113F0028FFCBD33884D1AC081749236DBB131DCE1877B9087DBC452304113DF1C843CF0CDE32C1330E8022CC0822090D751B8055B70854CA0044F4805';
wwv_flow_imp.g_varchar2_table(6952) := 'F163024F8C8BB74C08A5AC994D688639DD853DD586431084F24A830CD8000F680120C801FF22288224B0024645413FB8033470830D8D4FAEF4CA37E33C4D9D18CEA0B83C80BBCDC0AB9B68A5548004EBF3D67C03805F398452750976290B3FE189C6A009';
wwv_flow_imp.g_varchar2_table(6953) := 'FF1C3023F0018C75091E55C88874093570835F43CDC624BE65D82A0FAA390F6A4C5A1A9127A40CA872095648032600480040819FA589E97B98588BB6B018C646F083E87383C07CD69D305200388112785B32A003BBB54CBF904D2EB93F91245773C507D9';
wwv_flow_imp.g_varchar2_table(6954) := '488400C404B80B042E35537995572BD80239A884DCA3057C850444A0844CC88445B0033DF0C43DA88356A837B96C85AC68064BA8834D6819ECA9834308C24DD080886D01454DD4F11C8338F083DAEDD8F6FC824A15D9AFA4CF4F410DFFB1DC54CAC88940';
wwv_flow_imp.g_varchar2_table(6955) := 'B046A60882B1F0835CE389AFBD09849084D3734B3AB0845338D5B100019D7381221802201830EE0582E80380C1BC09EB3B4CA6D3029E18079DB8A5B0CA25F4A989AA658B5FC085AA60059798A10AF3001D883E25D0B0ADF5263A70C3B0285F0050A6B7E5';
wwv_flow_imp.g_varchar2_table(6956) := '09FA73092435E09BE895BDAD312AADCD727D0D921405DBC802360803764595790D021F50822150822F80834678855770055708053EC08342700447B00335B24C32285D01D204CF7532E9100442C04B6FF0064BF8D74DA88508D8001398D8ED75011BF85E';
wwv_flow_imp.g_varchar2_table(6957) := '3830044480033F88424058834AB054DEC53F96005E87E30C30C00200D8629DF891A5DB09ABD3893E1220A640079CCDD9FF02A2833DA0DE9A20876EDC0910580C1520E055B5013936011FD18246054D9D90C2F899A42BF081F3E5E22B00802CBCAA5148DF';
wwv_flow_imp.g_varchar2_table(6958) := '0EEAC27E84DFD2C41BCDD8813B5E8CE933D04B8E5500B0A6CE01804FD0592840D6A2A584A37509D57C0346F0830C5D609E90D669A5DB13E08150C805F4336006C026B1984D0816572BED077BA8A7782501330583404884791D020B500115F8811F1882C2';
wwv_flow_imp.g_varchar2_table(6959) := '0004348B0444C84AA5758334388677B0841960823D78C59A75867770865330066FE08570C44B7228864398824340840DE000135081F174811600011028822F880443B8034FC83DC75B8562BCD4DEAD4F198C922D306497A0639A50019DFB91012E3D8128';
wwv_flow_imp.g_varchar2_table(6960) := '63A61047FF9BF08623D40A09800110486820000017D80110A0891BB8893BB08951703CCA22C8C4BC89119D3900982F9AD0DA9A705619D10C665AA6FFBC990676890D888128E589CB110331B8355AA5E94E05803B440C7E488C05466097686A5DCB056C5D';
wwv_flow_imp.g_varchar2_table(6961) := '605ABB07A65827700D578C1957095EC47F588535C0822D90D73590834658832FB0000E98000F9880B54E8116E0823F48E5A5150335A8EB3450056F50672848839FB484EBD0861ADE5363505DBC2C0644D88431A00177068189E5DEC69E582E4084DA8D85';
wwv_flow_imp.g_varchar2_table(6962) := '822305650068371368DF5D462C268B2E260B6EBA69A6B09731504D00100337D40626808229480328A8215F981E00A01074D83297B0E8B1F000787E5DFF8E768949A60990D60AEFAAA47382399A6095B1702D9A883E650281013B4397B0E91A3DE2EE650A';
wwv_flow_imp.g_varchar2_table(6963) := '25B08232B0027BE9034B388C0EBD89D306003BF8BE9AC09133B0BEF0E3D19B60561D5AE59B30D2B96DE5F5CB0516733FF6C36FA86B3FFD4636A9DE8F50B609437439AB7E60DAD4EABFBDA27FF8054A18414A28414680032E488109A0000980800BBF7020';
wwv_flow_imp.g_varchar2_table(6964) := 'B88232E0022FF0700FB7033798822AD8839A848264A98353B88E5DA80349C0CB55B4842074864FB0031E88000AF00010D88121280215806C17B88254F683CA5E866D20B8D8E8CA95DA6C2DB1E2FB2C0B40702D403004399C119F0D8B3C26ED1E72833398';
wwv_flow_imp.g_varchar2_table(6965) := '821A9ABE133B033574E39A10044B580AFFD663109D2804CF7409A09B6E3B9E6700C8E31B2860A2B6096A805AAC6DA2C6083097A8B0E706004007801CA8589E106E1720028FA6632040E2845ED59BB8022E306449D78924F0CF24381724988257D5E42AE0';
wwv_flow_imp.g_varchar2_table(6966) := '022E70830C95319B206A55AE89BB10E3BB50E55C3BD9F7965BBAAD89CC414C31D70982098BDAB198FAD0E52D417017FC8768A80450184146000440985529686B0C57761308E132F08227807668F782A03E03E6F44497A8D366D00432108456F0858392E1';
wwv_flow_imp.g_varchar2_table(6967) := '4D50854210031678000EC8711700821168ECC6768135888437F8835450066AD00565D806A54E729642C6ECAA0F7A085EB26804218D038524E5B0B07009E0F4B08811D4A6098ADC09FF76F9A49C210B16B00913B85EEF050189AD09E15E4837588441EB05';
wwv_flow_imp.g_varchar2_table(6968) := 'A8D505A8FA125802BAB075ABB1F06D97280225C88161F5119720649AF0D1F3046397789CE8FBB5CEA90BC3B8093F60044410E3CDB073407E6F1A38D2B9CDBEFAD6BE67D56928C26A46DC6509FE92056F044A9003088783B396020BA00008B07065978022';
wwv_flow_imp.g_varchar2_table(6969) := '78034388702F18032F3882739982B40CD5B9E8386FD0043AD8044C7A6327107737A08218780009F0004305828DCF7110000240A884605CC2BD510670E8655F5638175C7295A88F2B9EC1B1E8AB14718935B0739D9080044869B612E99A30750010EF573D';
wwv_flow_imp.g_varchar2_table(6970) := '175805009F9BD904B2093426349D68EC65DA5E9798003997E38D7FC3FF9BE805178DE9269280B53AF4E77E6E1DF06800480245650A2D28032D50E52D30839AA8799A385F49A7421FB58B9DC8D0F5760944105FA3068050B07338C8D0830FF5BCF8AB4575';
wwv_flow_imp.g_varchar2_table(6971) := 'F5B1A86F034ED5B2C0F50BDA752DD96A738D8D57C00338C87F3890835905083C5C54408020A120420849FE8002E5E78D1F3744386CD880420712263AC8D401706AD73B6D6408B5E2A58D571A3B9BC65031F1C0830715405C789020A1050820701C8D19D3';
wwv_flow_imp.g_varchar2_table(6972) := '29D8A851CAC6FDB3F7AF1F3B78F9F831EDE7F429D4A8FD0050ED57AF1DBF7C54B772EDCA750D233854C5AEC1630600900900206C4D2001C003845EE702407344040500224470008002468F2542E8027046551B1DFF328236116E0CC3AB040F004078D8B1';
wwv_flow_imp.g_varchar2_table(6973) := '1510803E6300ECC18C8BAAA7ADF11A932EDDD8C7141F550054F101C0CAD6315A08A3994DF50D0025B0B76A29B3D50C1A3370E200206EA85124AF6201FCE9B3F5CD1D0077E0F4594EF58F21AA942ACD4503E0CB66295E65982E6FFEFC79605BD5A36FEFFE';
wwv_flow_imp.g_varchar2_table(6974) := 'FCBD7CF0E4FDE32AF53E547EF7E4B193D78FDF3FA070F1051A6BC001871C70ACF1C50F1324044102050D61C82BAE3462482586100101050F78780300380000852596ECA20D39A79021492BAAA832051362A8F104072F9920130836C1A0441554D871C81E';
wwv_flow_imp.g_varchar2_table(6975) := '5E20324A25A304338E514625B55453F84105C0545B59859556E69981475972E00180755DBDE5155BFF6B25E08112D95145CB5C133CB056578F8530171D96706518559BA0B28B574B90A6025520A805800426B8B01A55CE9936DA7BE8BDB2D52DA300304A';
wwv_flow_imp.g_varchar2_table(6976) := '6800541249A4927605C81F5479F7C6166878671B578D00D28879A47A6526737E6C95297A295025010561263A2BAD8409934BADB9928641882C94179F3CF4D9E7E47DFAF1E71F3E012AF1C580666189C7172A3888D0031142000400AFBC52092395007204';
wwv_flow_imp.g_varchar2_table(6977) := '871278C880063530B1C71E84ECD24C33CED441C62125327142136E78B1818D2DD8000205649651C6268B5862C71E7F44028827CAA893E43F4B32C50FB15149D90F3D549EF7C556DE6DB5255552FC491784104A90041C95D8A22D579E0022DE5CFF6B52C5';
wwv_flow_imp.g_varchar2_table(6978) := '030F4C70958657DA9026626336CC6402575558611B635DE1E6ADAEB9AA030038E511130C578E72E75525A1550A5A6986A06A9A6F54259104003C37E672D1619F375806629BCD15AFE8012BECC411E7B75F7FFC18058A125C7011C41779A3B1C517424C1B';
wwv_flow_imp.g_varchar2_table(6979) := 'B2B5209401CAB68C34E287121378C00104D532B0810E5490B18726C630B60913691CB2040D272071C718357A70A30D1E3C30041A65DCD1A22A968CB149237154A270514739DCA4DB5142396556456F419505A4C9CAD52DAECCE52A0013F4B515025CF530';
wwv_flow_imp.g_varchar2_table(6980) := '45A227F86AE85C7CDA305719181BC28B2A54C9094072A462763669AC02C0B457DB50B50E55F47435CE3AE39893B469AB90F6F456FFC971C52A6E6DB6F718B6C84795E60910003338831368C0155B002317EAB145016B55825FC9876D55C9DD538C15B77A';
wwv_flow_imp.g_varchar2_table(6981) := '28EB0B52C85BDEB6A0862F5820057F8B50842460854680E270807843114C58936A2160032BC040E636418834EC4115BC50030F70808313E8E00DA1830007F495A30428E10F65B8C22654B1094B94A10F91A804286857BBDB410C8352FAC755F891288C11';
wwv_flow_imp.g_varchar2_table(6982) := '262F5E494057C664852E8DEF214A200D011080021EBCA02BBB100419C8B015294AE1084DD84A0DCA060037B0260309306369AE909928B6A25054C9CE15B7620EF645902B91F8C32822419CAE98E12C00301557E847157900C07DA5DCCA39D6710E00A8E3';
wwv_flow_imp.g_varchar2_table(6983) := '1CA6248D9954A531FFAE800000B142245724B001C998C76E9B298317B8A02BB019C06C3348DB88D6E3400856F23D69CB80024D139FF9D4A76D18D4A03CF2C141507C10845BC003DF3C38840938280128344811E070B00349A1058A8309840C4080002400';
wwv_flow_imp.g_varchar2_table(6984) := '075358441A68708845D4C2102878810C4A5082317821561E80410B4C701020BCA10C56F0C21808560531606814D53847519CC2C5DC79058C00E8DDAC16A429AA0CE1076D81CB39DD122100B4E00B7F68042530B32534B06C2BBCA4000512D03C0214932A';
wwv_flow_imp.g_varchar2_table(6985) := '3DA04A1DF03483349C81303CA04B0428C0015EDA804F60C3181A84E98532EC81609BD9C356A236B566828F55BFE34A12720000104DC6055BC9C16AAEF055F3D4FF0300FAD0C7560C8119389C659645B8DE794080502310A13DE62B0F0208C0950070058D';
wwv_flow_imp.g_varchar2_table(6986) := 'B8444004B8CAC06502803D5C6D8F4019519AB555F38218FC4F3E8EA5CD0049010D7AFBC21AD4B006294861087E2B88390B42811670010D0DE582496152930D0020018405C007A6708615C4480CB14885096490021608A10A49E8900752A05710704002BA';
wwv_flow_imp.g_varchar2_table(6987) := '316E129020DD2ABCE18AD550C73F00D43078E083491CB50F18DB711E3578C553A0C51281BC844BAA40682B1C2802C6FA571A5881CD2B3DA0C2664E40953D1CC22B379081D77809179B12C632ACD15A1286000023E4A62B8D7885324459494344C20C97EC';
wwv_flow_imp.g_varchar2_table(6988) := '4A155CE0821CCC042D3930420E76504B1008CAACFF6505825849B30D47297208405001CFDEC216B03D202F7D31818075150950B8E7B65F6B1E1ACFA687AD1072B1C080E0031F5BC0695A702A97C5ECB1F8310FCE12E80BD05A107A3D585A771E24503B78';
wwv_flow_imp.g_varchar2_table(6989) := '28698F80BC774AC09CF234270022F0001E540111D948850A6C608317BCE0072F88CB415BD00200D4E4A0452082116EA0031D24A10A68F8C32DC251BBEDDAC3BB5E84CA552ED6154FE1A14056A6CA95B8525230CDE5095B5142004136177A0240075BA1ED';
wwv_flow_imp.g_varchar2_table(6990) := '6600408B70ACC20A1500400CB62202AE2496CF027E8C575AC0A7AE98C0D473F9C556C408A508820A7C9A9CCB156AA3C8ADF8E00AAB092BB60CEC1513E7660492811555EABB1510ECC0324028FF02A1C226D9AD36468CA9C8B1579A97580310903090C804';
wwv_flow_imp.g_varchar2_table(6991) := '001C31AB6328B3818E55B2002B584D273F392B51DE6667F5062D30600941956696128AE0652B9421093DF8C10F5AE08177C2A4B6F2EC294E7F7007402463154A88330C5880970840607438794C4D24B003226CCDE15328F41B3C918C8CF223298DC69DDB';
wwv_flow_imp.g_varchar2_table(6992) := '2C1B69D3A88ABC0020AFA73C35170319882E5E9B8B6584A0027D250FDDE7D900D722B2A85598A196A5E1C0D1D153472470ED355E11B600CD67062CFC751499F204FE1AF1570094010D5728366914DC2713589D2A78A50A6C64B3953BBCA14B7309F77940';
wwv_flow_imp.g_varchar2_table(6993) := 'E10950840214940040D7BFBE15C1D28580FD9AB51400DF154202800527A8237AFFEC9D0B5B381000CC6CECE7F15D342657767797F5F70639EB732B5B790D7C9083231A111684EB4B0968F0831452B0838857DC031247B3010C60CE0EEDA0EFC990C61A6E';
wwv_flow_imp.g_varchar2_table(6994) := '608390E32B010F586A0B104A6298709B08104DC20E60608443DFE2284569873CE4B694CBEA5CBC5532CD1746E8596851054B0078161C240B0040E0010EDE21E35CE0E085E0B2140044D8B557E05A57309E5724011A5807359807BAD59D79DC401D751D28';
wwv_flow_imp.g_varchar2_table(6995) := '15D01FC0CE56F81AB37912557C865710C35C98897CADD5155C01C69C85E45145D6DC06003C0473CC12E2B11D0B528517A8CA19204113305863304268081E00C01B615449D671454FD912D6910761C4C00D98110CBCC06014FFCD9181DEBD891EAD909EEE';
wwv_flow_imp.g_varchar2_table(6996) := '3C1994F5473FE4C33F5082148C90FAA1011E7C211E3002283082A770811400C10E28011F1802171C411228C10FE098E22C5FB5F014C63D40F1C1C1346CC31BE88B097000054480F3C18409C08021C2C42E2D5515405415A0A10166423FFC4376B943245A';
wwv_flow_imp.g_varchar2_table(6997) := '05CEE1C7B099DECE99C7087185CFD5C5577409E56D4512200F5794810D028078F495070C0F61D81681CD45399CC7F2F0CC0F9A871118C19EBD911FDC820416476350DBAC308D2F5285FE640B73141B175CC1663023336A41AA798511608B15DC0117108A';
wwv_flow_imp.g_varchar2_table(6998) := '177445131C01123446761C5EE185861B1C811420825754C9F2345EB6E114006CC02D0240787881A7998713D0FF05AE40612591DEB09C5E665921164A1617A61F08A55FB7F081195A81122801118C412444C2182881147881982DCE04DC00CF34CF992180';
wwv_flow_imp.g_varchar2_table(6999) := '87ECC081BCC234A001427900052040F01D12D6E1188E350E5B70C01B56414F548111EC4015D0C77FC0033C0C033DFCC72562E20545DAF995061790974052C5507285236C071F74C51BD1C518CCA32A5AC16A48403ADE1D5D1880CBD4D8563002664C4337';
wwv_flow_imp.g_varchar2_table(7000) := '94074E11228951056DE1E379C81700E400F4A8860B582000B8065D44205504433028837BBCA0D69860D648DE6AEC468351851D3CC114A422612C87278482A50080537205D8350601B5DB56D41A617CC2AC99C60140C256E08A2D2019591690BEEDE335F5';
wwv_flow_imp.g_varchar2_table(7001) := 'FF63F8010832780169AAA2DD7081187CD0E1E19E78580142C241264402173C016949410CA5400A00410AAC499065DB03FC001CFC012080C216649F098CA446D61821E298076C00843C001094C118189A1FDC011A78412448A253C0033BBC812D1C451711';
wwv_flow_imp.g_varchar2_table(7002) := '4B5738C526F652366E851A88871902803071C90EF665575881142C65CFD4D45698626908DFA951C011A4A06455029A240A2FE9922BCEC51D2042764407553C8300F5C11FC89704D40000AC2503B2A5998C8F3102E3755C185CE2423200C036A883297942';
wwv_flow_imp.g_varchar2_table(7003) := '1C640A71FC4170BAE7A77105124C63B7B1C6B2514515F08817D801E2454112E422535A191CF88158F0C1173C017DCE853C94433A70853950FF4592B212001C295D988339CCE22C9E873850C5D1D0453CBCD2668E5E677AA6DBA09E7F44627D1CA93AA843';
wwv_flow_imp.g_varchar2_table(7004) := '3A5C693AA4033BB8032B95E92A25853BB0C3D19CA992AA833994299202403998433A24693C90929DF22994A6A993B6A99D06EA9D722700C4293BB0433B60A124F2833CA4432494C377F6833D7CD7EE84D14F36C6955EA957C869993A2A55B0C356806A79';
wwv_flow_imp.g_varchar2_table(7005) := '982A00DC69921E0DAA9646928AD7565052792CE9568C4393B6AAAD3686A9B26904A92AFBAC83A9DAEAABE2AAAA9E47FCCC053BB00F3E00803CB08F3AAC43B44E2BADB252B53629A8366A571C8DAC9AA9995A69A15AE9A96E053BD0E9963646E99D6B3349';
wwv_flow_imp.g_varchar2_table(7006) := 'E1789E9E3CA84398EA0E57ECFFC3564862BABA8776DA0761C8EBB07445BEEE5B556416A5024036D8423DD0433E2C8557F0EBA69A1FBED22B55D8C33ED407BD42ACBA928F245EEC5CD0839652455B9D475BD5C3C79E07C34E8C79C01555A0ECBE0280768A';
wwv_flow_imp.g_varchar2_table(7007) := '295759ACC6C66C7B5016C3BAAB884E05C488D1C37C14933485DC1485DCEC83D00EADD03AD947652AD2EAE462EA0ABF490C3ED0433A308224BE59A43205693C854FCE0A3EE0831835ABCC7E2D577DECC8EAC3D68ACDC39C6D2682ADDAAE2D59669605B987';
wwv_flow_imp.g_varchar2_table(7008) := 'A4C2EB47995EC4D4477D88D13F4CECC4DA6B79646C25F1C3D352EA3FC0C33F142CCBEEECBE92A7ACB22DE336EE56742ADC22AE00E587E356AEE552D6ACC42D2901403E38FF09DDFE4776856EDE8EEEC4CA2C3F1CACE0FE83393C032364C33FF46C6328AE';
wwv_flow_imp.g_varchar2_table(7009) := 'E5CEEE6632C55BD12EEEE66EE5EAE3C27A113CC8ADD29EADF0D6ABDDCEEE3DB455268843245C831F9803E1A26DE296A7EE4E2FF556AFF55E2F69B8EDBD7E2EB1682E556897BD862FDF6E6FE366053D74672AA4822DDC423AFCC33D402F5D3845C5602FFD';
wwv_flow_imp.g_varchar2_table(7010) := 'D6AFFDDEEFDAEAA35358D397BE6B4E3A453CA8C33808703A0CF000A7833DB06CE9DEADDDD683D542EE96026EB0182900804224289A3DC06FEF4E09E7E2AF077F300887F0D968EFEE58D635911229895137E0C22FE0020BFFC230E0C230DC4237502CBD4E';
wwv_flow_imp.g_varchar2_table(7011) := '4535852F0E136F04E703C7FE033D80913964D7F75AADDFB6FF6B18E15BC98A30133731F988032D1C2914FBAA137745974609154AAA15AAB00BFF023620C22208C32FFC02317CA824CA0336C0433874033C5C033CD842386403008403763D9606DB073FB4';
wwv_flow_imp.g_varchar2_table(7012) := '033C882C0771EE539886EC72552A5431211732F9AC9D21534567EE2FF7460C68866E3874F18B30C1268C312E4C03CBE66D0F10436C52AA3A0400DD0CC31F289A1D4B6EBB2E8956E4C33DFC312073B092156822C7B22C93C60370C1945E832C9330235321';
wwv_flow_imp.g_varchar2_table(7013) := '68826E37C4703048112F58C22A30C3253B05294981276482279443A512413A28811B7842383453F17E6FFC22853B082F23B7B2F436D3AECEB2388F3357A0C174FC542CF32EFFBA4D2F03C80AB7302FF0FF4233A0C22AB4F0345CE13FB8C213184226D082';
wwv_flow_imp.g_varchar2_table(7014) := '3964023C20402A44421970413B90AFAEE8073DC8834DD2834DB643A33A6A103F455264C5C3444CEF7E33F944426F3E40959233489333830280F1C472B05456D362D023ABF02DC0B32AA0822A58F23D27CB1850801464021A3C031CD0820730AF2B1840FB';
wwv_flow_imp.g_varchar2_table(7015) := '2E6DD8F007BC1EEA9DAA433EA8033F98033BB46C459F2D468F677885345557B5550B1043A72B2F1F4B35BD332E14832FC8B3252B8398FA813A1043241C412A5441262441CC8543F31231F9946B3634B339888338A4832B30832D10439AD2830323053C58';
wwv_flow_imp.g_varchar2_table(7016) := 'F44EDE077869F4D9D842A85501AE15E3553F3664636F56977023772F57BB330BE38236F8FF422D784366D3A5BC5696F8DE6D0199033DB8C21B84031718822D5C031AA4C21B204337A8C31E6BD4605FB4A6424978097564F7B66FF7F6647B293B1F8B2F77';
wwv_flow_imp.g_varchar2_table(7017) := 'F1317C42311C4330D8332B4FC55BDDC35B292C6F878DEABA033378413618811FB8C23594415BD3713AC043255674CFE67620FF367AA7F7559F340F8FB67BDB6B3F5CF63F787528F4C127A8C22B24C3250348261F4554404C33F5833A8843396402172841';
wwv_flow_imp.g_varchar2_table(7018) := '19184236342F6AC34378278B60FBB753BCB7F8FAEB3D50B17A67B886CB72700F5B16FF2E7D88D136FCC22B9881174CD45481C22F64C344173194801D110B5BE77ED43D848D3BA8C32DF8812120438E3B848F0A839DC6C77F3C75614BFF051263C58627B9';
wwv_flow_imp.g_varchar2_table(7019) := '923B7170EF6F16BFABB0FC03388C021AE806699EF81DDC4236C483EEBC2E362B7224667229E13042B707D44269A3B6433BDCA93898C39AB3C32A5F219117B9C44C0C622F399EE779F576B809E78EE686AE383482088E0117F40444BD4236D443249EB538';
wwv_flow_imp.g_varchar2_table(7020) := '6879395C43385C43348843383CFA30DC6937A4C3358082A24DB7DA70A79942A9A0AA83A3CA033D74513ECC7978F2E4B0DCB99EBF3AAC3B2E9F57B693FC39C48083215881DDB8811FF4C11778416828FA3F10033B88433B88C3FABA4236A831C1A6433844';
wwv_flow_imp.g_varchar2_table(7021) := '3AC18643F779BA7B48B7F0829D8C2785702FAC54570C48C53AB887BBDAC637E14A09ADE347DCC6031187832110543079FF015462E73500483F10C33F289A380C832D10381D3F3B3C6483A48B03A433835C9BEDB5EFAC53A43A3C08B761B73A928B3BC447';
wwv_flow_imp.g_varchar2_table(7022) := 'FCC5CEFA938BE8BADB422A1842DBFDCB1D78022DDC338030433464433660C30C47433888FC355C43C95703318803322003C1537BA21C3CC2CBF9C2337C9D7F91AB4BBCCFFF3C5613AEBC567C8803C02FDFC22DCC30D28F02310CC335846E3E64039B9683';
wwv_flow_imp.g_varchar2_table(7023) := '9C964336B043361C4D3834352BBD2BD79F8DCD5B6DC26BBBCE3F89C3033DDAA7BD008991D04F213F9E2FDB38B8A00E6A99BAB9E9E53061EC9BCBB66DDCC02EC9BAB2DA07BEE027CAFB6635230BDB35DDC33DF407F18E767FFF31C4483794242CB7D37C04';
wwv_flow_imp.g_varchar2_table(7024) := 'BD2EF811FF367A60EDE20EBEE77F7E69486ADB7FB917293EE3075BD8F3B7EEE643E633497B9C37E8C7BEEC079BE14789E52BA6E9772C61A87EEEB27EF8B9FEE603FEEC0FBFE7AF32008C7EB5D7833BE8FEFD62FEEF5BEDE64F35F14FFFE0FF43EDBF073F';
wwv_flow_imp.g_varchar2_table(7025) := '3834F3DFEF3D809F2A2B6CF0F73CF58F3FB85B3F4DA62D7A683F1357507C40FFE6CF2F0493BFFCC7BA43AB728DD73800E0FFE3262CFF533E40F00300AF1D3C7D0000E453980F61438708F3D59338B11EBD840F3166D4B871A3C28EF4E0B993474FE23D8E';
wwv_flow_imp.g_varchar2_table(7026) := '0E4DE6BB97CF62BF932F61C6943993664D9B3771E6D4B993674F9F3F8106FD590F403B76ECD4714CBA14C05275EAD231652A94EACCA7499BDE845795FF6B57AF5FC186153B966C599D444D9ADC4871228089F7D852341B949EC5B8441F4A7C5897EF5CBF';
wwv_flow_imp.g_varchar2_table(7027) := '7F0107163C987061C38751AA756BB39E62C48F2147963C997265CB973167D6BC997367CF9F41FFB4179A7469D365EFA556BD9A3500D6AF1D9F963DD61EBED9B771E7BEC98F776FDFBC11FE16AE9BB8E8E2C791E31628135E73E7CFA147774EBCF94377D7';
wwv_flow_imp.g_varchar2_table(7028) := '1FC626CEEEA1BA71EACEB54388F5A151EE87C927573F5B3143841601F0ED2B1FFEFBBAF6E5C7BF5F5C3BDB86EED703008B2D1AFA0280219278C80C341E2A2289218A4008C20029AC50287EE073A99F7F1CFAC7430F31EAC72587440440C413513451B711';
wwv_flow_imp.g_varchar2_table(7029) := '1FE21080E50274630803C1E8E221151CFF9202A11F1A0221051540B001C7167074C1C22391C449A0ADF8399127E180AB7044002B7421088CACE80021220148C1C716527008081C0100028008C3E2D1A1208E68E8080B849820CC24E9446CB97E9ADCF049';
wwv_flow_imp.g_varchar2_table(7030) := 'DFF28992429760AC900800B8D068CE164000B3A116CA5461CC315D0062881CCA0AE2091DD9044088863848A1D312E4AC53D4BFF881479E7EF211D1C59EF8B9A73ECB527BF127405D128F420F10D2F10A371CC201005C1B32C10318B6BC01A321C83AE289';
wwv_flow_imp.g_varchar2_table(7031) := '21A468F3404D2D9813216947AD96ACE55ACD13289032A3479E8B6615911E7710D28E380601B8C28B9D2405CB03198450D3594D8F1002596A272801546BF91DEBD43E632A31266E5BFFE467D5C3BCE587CA9E042E175CF5EC1003006D0030C61A007CF185';
wwv_flow_imp.g_varchar2_table(7032) := '264A7D084B8A4B8F7853080B1CDAB48492330060DE7E59DE486247107184113E6C91E9D4265F4A11A67E407272C37C3C445144DE18124825D7C84A78619E44C4EBE8E3B8390600688E81469586ACA1D8189B9408A263AFD6CD68E54D570660024D5B4EDB';
wwv_flow_imp.g_varchar2_table(7033) := '214610524362001889D90F5A7606E0661635D250E7BCC58547E883D83995C511FF3118680E3D0CD42B79E05138A80D5F851A006E36CABA9966683202001D310580945E8259669A5EA85926283554E6E80938CF06E009B5D5963923B601C865E7E60AC7BB';
wwv_flow_imp.g_varchar2_table(7034) := '218185765223DEFA91C79D3CF7D9E79F70F6C0A69F7A54FDC79C745CFF69279C7090B985994CC453BCAA7F9A53587B9DC425D7A3A53963101B8D2887061A7232B2FC262BAE042011581A82A5945E787ADD8F025DDFB4211D85B03AFF35240A3A7204EC58';
wwv_flow_imp.g_varchar2_table(7035) := '76408CEC4F26C18347EE36D2BBBD610478C203DE3F8CA78A29A8821EF718DA3F28F1061878A20CA0900217DEB083A490EF251F72E10B3F84901375AF4F12B4A1D032A237F8B0B0336690C53700308D6F081121D000221027F710ADD9A416082914261C52';
wwv_flow_imp.g_varchar2_table(7036) := '8A86E02F1E079B49261EE2080321C459AF7B08C908981147281081486284CCF0200635F00A0032E343C0180741BE49504519A9E0F0F224A25AA80212ECD0C70723E1866EF0810B9180832DE0808C7FC8E37B2FE1FF4745BC250F494E92922449553F6898';
wwv_flow_imp.g_varchar2_table(7037) := 'C71BDA308726E29978DCC3C397140032DCF806E59238B5226264170F31444C9C510C00580100522C05277A413F00D04F8AF630D84DE6C40839E468739B0B199C481685011673237D705D14A840052F961139B46B48210080889960F26E0FC1211DEB28B0';
wwv_flow_imp.g_varchar2_table(7038) := 'DE046F78AA325E2D5A510BC1FDA31EFFC8041ACA61083F54E10E6508471586274A8DDCC31DE930C73FFF590E800ED41CF1315848F4A1C94D72B28EBBE319444A43A9353003004344E2D45089908C620C009803802610E20960DCA221CF780920008009FB';
wwv_flow_imp.g_varchar2_table(7039) := '35448A0EB187157D22858F954D47087902EA1CF28987D8E10CD3A4267264E786B721246E0D8CA3B6FFBC5922708E48A9E3649CC13C64BC636C2216F2D8079EFE210E4618E20E86704519CA408B68BC411D85AB093DD8618EA3B4C328EE800A52D48194A6';
wwv_flow_imp.g_varchar2_table(7040) := '30927BEEB8E44217DAD0E03C34210C31D766E010C48D3E841BD028AC4911B20963B4A2951AB166466AE18986708223660D8A14E2C791B2B5D121780040D87E7A1C99C9AE216A704421CE68D40722758E29EA9D899C5ACEA0F5831C8B808607FF718F7FD8';
wwv_flow_imp.g_varchar2_table(7041) := '2215E2A802F568018732442213203AEB5388318C5BDC6218AEB8463898118D6C20231CD9089CC1E4D18E7B2814AFE024115FF5491AC33EC4B0BF688833117235005462183389050044B14B58F4428A6D28852E00008E78BC34275200A31AF0F0FF05CFDA';
wwv_flow_imp.g_varchar2_table(7042) := 'F4255278634374EA103B84563D6C53204EB109B703E7CC54786A5888BA7BA2D8E2CC45EF504539AE2AC316C1F026682D871FCAF00637442212B4F8032810E1095A782215DD5BA476B99BE109CA10BC3859C00516A000846021087690044782F115946644';
wwv_flow_imp.g_varchar2_table(7043) := '160841C6E4A0310D6820439B00204443FE304B9A90F47E529CAF14E707005D182F279E6DD317BE000635A8797396521D8001F009053A22C10C560F2532A2860823846E145EADEE787CC340E3B0494FD593F1CA518B7418EF4323DAEE3F54A21A9CD0A31D';
wwv_flow_imp.g_varchar2_table(7044) := 'F18CC41BE000074818C21099788327AEA104505CE7A0EEF0A08E3799D41D863723417000001CB0000090200C0038C39531020D61FF34C40C58580300C0306033F88411C940C834B881588C3C031ACFD835CCEA705E00E4600A948A092E7E510A5D4A3197';
wwv_flow_imp.g_varchar2_table(7045) := 'A568439301F00F40D7C48B9E4D73AE6C22E786B0D1CEC4911D22B039D44220C20F133E09372DDCC954D3114F186A5CB83D948E5AD80111E540480C6104A817298CD57B69473AB85042717821158640E11840318C1617654321D92EAA19FADD1DDAC4026D';
wwv_flow_imp.g_varchar2_table(7046) := 'AAE9AC4B8185280080152CDFC8AF83306C336CC10C6BF8C21A7EAD133924BBB0A9CCC833CC0B0089856D0A0078C3430CA48424F4E00C19F94532E8ABCBA8B7141C3D11301E720E003C04BBC09CA5339D1DB2889CA86111036EB7641C7C466CBACDB3F336';
wwv_flow_imp.g_varchar2_table(7047) := '3A1CFF0C681D7B12FF45BC01094336140E2E78610C5318433864951118C630268F7487396CE1073410B70CB6A0B1273251095B100300C3BBF1C741EE5D81880BA24F8B4982EDED104280F4C80028063980D194240320E7C30680EBD7E07A84D89C268C90';
wwv_flow_imp.g_varchar2_table(7048) := '4561B911748D40E321532803003437062D6CA4CA186932FEF0A78B5CEA1200F6B0C7B867224C8780A121607004F5CDDE59ADC719CF3905004E6322350088FD2165C7C3139A70F6C3C40C11ED2FED8123A15A397E37F31AB23B3C2E298F4C24C10B7CAF42';
wwv_flow_imp.g_varchar2_table(7049) := 'FC3764246A032438841DC221AECAE18110C7B838221FB24B24E0811D22302AA2022AD2211DF02F0071ACFE7048D5208A26BCE118D80721C8A80D9A8E10E8200DFFE8801070ED9430620B0884401AE2D7A80FE71A021CA6611ABE484DBCC815822E7D0040';
wwv_flow_imp.g_varchar2_table(7050) := '05E2C5061C82A2BE2F5DB46C96C60021D040061F220D0EC12F1C410EA6F080AE4F233C0BC070CA0A2941DD3282FCC00E233EE1A236C26DFC270AD24FFD0003661E62096FC281E66FD0BA8BEE34CCDF52E51FDAC10FAC600CC6A0FFFAE08FFEA11CAE41BA';
wwv_flow_imp.g_varchar2_table(7051) := 'AE6118CC211BACEB1AA66118C481F060CA8EEA6124EA429242C23C9E821D364403318F03C78DF3FA6A268A41FCB4E118520121A80FDCCE800C00000A30022B56012112A11212E12168CE40722EE764816EFA8CA80A21B0860914740F0064410D74E40706';
wwv_flow_imp.g_varchar2_table(7052) := 'E81A10C2D8AEE00A3282190D84191304218EAE21FF522F8A10C202ACCDA51E7126BE0075F000FCC0AFB4748418712A1C1142A7C21021B26F951CE2188048A7BEB1B3C86FE584A059D41030FC808C8C0E0F1AC1168C709B8E4A77408E0E350C241EAD1F0C';
wwv_flow_imp.g_varchar2_table(7053) := 'A10AC06A0CACE00EDA2113C3E1160A7118AAC116B2A11D90A17ACA01710EAEF01E426152632100C6442E2F5006F2773EE96160C29912EC1828060086097F8E70114AEF2182211811221882412661B1126A100CD62011C4011A6461D71AA2131CA2CF6AC6';
wwv_flow_imp.g_varchar2_table(7054) := '28774D0D7ECF219E4C188CADA6BE60F8AE800BAE929636C70A92000888C00D3922117CE04A86000BEE0700E2A1270A05DD8E506C9E6099B24826C8F0213C6B11704AECD69199EE712E0AC10FFFFC00111E0B21FE31602A8CB50812AFE410550CD260F0C1';
wwv_flow_imp.g_varchar2_table(7055) := '10BCA00A20D30AFA201D3AEE196881188881B932B21B80411D6CA111C30DE072A291C22DBBB6EB2736AFC764620A9AE06D3E41FC00E01501C0152646965E2208E0678B36A2145EA1C98C7223E0203055692386E11FB5E02A1B025D38221AAA11214CA796';
wwv_flow_imp.g_varchar2_table(7056) := '242407E2A7A5C42D2740CB4D98490DBC6880DEE42142C11142C1210E68C1C66F26C48EECB6AFEC3E0B2336AB3086AF5F1CC10FB0E9159EEC21B2411AB221BFB691440A5320516D77E8CEDF3E8E1E6E2112EE000EFAE00F868179FAC11D04B11CC4411CAA';
wwv_flow_imp.g_varchar2_table(7057) := '411EA6EB1680411CCA4120F6B3274AF27154132622E4088C0009D26F11400100FF46E121D8676B1EE2441142F6B4122394E024060B23EA1321BAEF251A01000061472B61471B62C95E34D792E1F810825272201B1182BF6E82FA5E0123CCD17574C4A77C';
wwv_flow_imp.g_varchar2_table(7058) := '0A47E52CC1CE532392221DA0541DF1C0B3F020F4F652302A6123F233265205777086FE328C0E55841F18071FC4AD1F0E421F208979E82E210CC225FE811E12E7343794272E4F283CD1236262070060501A829670C174A60119D9C71BACE118D0013819A8';
wwv_flow_imp.g_varchar2_table(7059) := '09BFC009F9471833C20D7800091AA20A72EDBCC8D3466581417013591A824C1C6204660F2374103A272508C048CCAE0AFA60821476E921AA9423A200A7BA30583FA1FBF0A05435E21D00203C0100361182FC5E22054E465AFF684030A068B2F8851682B1';
wwv_flow_imp.g_varchar2_table(7060) := '1B1C421A1AA83F3B91A93869DCECB021E6944E0F2234036F2588A64FBC072C3AD4275273E4688247BC725301203FD767234AB1CE3062110AE18DFC000ED620B04A8A1B62F5246E74596B0723B8018BFEE721BA604082000B1E629800200E560927876008';
wwv_flow_imp.g_varchar2_table(7061) := '328B1AB8628B4E8E2D094C270C2E5937A22E1F4208526064CE86033800005E5630382411E26B1610C2141E010026E111BC4D7E28E417701223AA4E5B09B39BF8669B8283714CC285F48A5C65D6340915BC1A8E23DA854110A118780F005AE91BC4E14C1F';
wwv_flow_imp.g_varchar2_table(7062) := '4215744ABD2001CF42A113BA107DCE67237804291D02BD6C4726C0A0D6C21223E80B216895631162CC728214FF66C1661D821330E11112210C0617A7A400A7E85127E8CC59E1ACFCDAA66DFCE764CC065428776505C31E9661164C0121F200000261731F';
wwv_flow_imp.g_varchar2_table(7063) := 'E11244E11228641BC4011C88B6218C0D0094A11BCC611C00A01A52B723F06D4D31AC03396244E0141E4E6D431A4DF002A3AE4E13280AF52790850B8A4F636AE6213EA116F8F5139C15219495BCF2B3468DC521DE9672A2000AD23023CC602D1DA2D6A82F';
wwv_flow_imp.g_varchar2_table(7064) := '0CE2D61411220CE46016376204726008C008767382F9366210E4477D3B8BFA62224A65222F3762E5088C73FC222D375797E20B0014A18001807439618137B738C6A1A0B621238816175E571C60224D8D163595F632DE355CE43528AE411A566147730E10';
wwv_flow_imp.g_varchar2_table(7065) := 'FFB0283C43A1163A41859B88B338827276ED607B40232841FC16010A562EC2A8866A963514D0C0076C042182180C8200282996F58072986411147435237453CCE29027E2CB14E827701F2167DB0016723667BDAD1472F62168818CEC000F16815F3702CD';
wwv_flow_imp.g_varchar2_table(7066) := '4E82622E060BBF8F7FC5B42B60C166E3D86F1FC2141018BE10427E4D031CC0017EBB2182BBA1EA00C013B6411D7021FE10621CF0E4DEFA332876F7AF1E4378497337C2472569020A7C0523C0B211F01721B68057CC58264C2A3C836EE566182374A0218E';
wwv_flow_imp.g_varchar2_table(7067) := '2116CE60091EA26A1C221416C159AD90FBA6971A350A1B6A143A01209700E01CA822101AA2810180134481B2E48B8AF3587375818EC7A85FFF9B35CFB6689A5A8E260A411FC59311F04038B9228EF53823EED8144C417367E19B6D62A80EE34CCF611D1A';
wwv_flow_imp.g_varchar2_table(7068) := '02985FC110CAF43C1AB0767155490C92834D73926B02783EB426CE801581C04C10E26D9081FA86490DBCC05801008BDE762398D5854B465161E23511821C6019B2E20C238A21148A211662E1A193A8A5E4A70DC280A47BB92A4CA15A87198FA778738919';
wwv_flow_imp.g_varchar2_table(7069) := '21E818215AA9CE500121143A23062C0A34C1361B620401C0A711029BF68CB3F2110002EB8DE138A65FC29C89031CEA431D5017005EA9682DAC9E6D6277A7F669DB612459E5451ECA7170C27F243A23B2ECA334813C5DA1393122147261A357D96C635918';
wwv_flow_imp.g_varchar2_table(7070) := 'A1C11542D6217E13219AA818FF1A1A2144B0216AC1175AD8F4322614AC617A43D12178AFE71A220BA88FFAB2800400E011F6C176BBA28137D766CB998A6D16BF10221BCA546BCF71235A2E7A6DED0C50C117D6B821901521BCE124F820B518682C3CB621';
wwv_flow_imp.g_varchar2_table(7071) := '941A23A0C8A5014073615A276A5A6B51C11A7A5B30D6A13E66D78F71A15B33185E37D8323AF8495EA44F5F24AB1FC27F11C20878042C87E90E10D9A60120471D22B01B221762A118F0AC1467F32168930A30E2BDF85A23783A9637DAF43E61A3E91B7B01';
wwv_flow_imp.g_varchar2_table(7072) := '40188421A314FBAE6BE61768E11BFE61347A82A91D42B387398E77558E11E2B379416BAD6117807B173E21B811E2B731028846901C2EA6B525954539820FB0C9DE1E383CFF80992A043C26743B8F7F02B8811B00283C30E2819DD3528223181C0693CC72';
wwv_flow_imp.g_varchar2_table(7073) := 'A891814240F119C750D393568D23E43926C87314A8CF0D90DA451BA21852E118F4DAC97361959335145C415977512398956A360A967938238A41A7BEDC3665A9AD47F5242EEAC4BD828E631A169A99B33BFB9699F7C15BBC215061175001A432E21410E2';
wwv_flow_imp.g_varchar2_table(7074) := '253302A89BD50E1661137A9A9DBD222DD900265E1A2824BCB11E7C171ACB30C0A1A01C029023384389E7116BF74296BB32B8C7C789B79F31621B59C17FD44473B20900DA6B98A6DA212C81A40040541B82A33F5A96401A00947226C8216BAB66D7FDFC21';
wwv_flow_imp.g_varchar2_table(7075) := '52DBF41636CB8F01F700206D1916D97410C7D35CC5DD1CB3FFDD1C21CE47968AC1A3787A17344663201CB55B09D71EE2D1596E17F41C212A55DC3782171A7C0FCCC12208BD2AEC9723EED8219A396F67E1D965C217209CA31C820C549132EE5345A20AD3';
wwv_flow_imp.g_varchar2_table(7076) := 'D554D3799783096278BBBA5059489F1DE2074206005A3861398ADB5D940700A0061CBE13687D2376D19476F9BEA78659D16187739DD755F9B09335E3433114F79ABC7C4EA37C4ED9B9A26F3162CDD71B009C41233CCADA11E2627681DB1D626B76C11882';
wwv_flow_imp.g_varchar2_table(7077) := 'BE95C29D622A954BC79D951ABC21E061C6BF429833827E3562DE79C2DC01C01A2E6730627CEBD1721DB8359163B721A22138C26D1FF2A630051E9211A3B919466A6BC27F8E404DA23123C0401250C1E7FF4301114E79A8567E2776F8E3B921D7774D0479';
wwv_flow_imp.g_varchar2_table(7078) := 'B8AF35BAAD6B1D26BE211B2C6A1A4A762EE83D239C411B8A21966209219A4163B6C66234A621F6DD21825EE8851E235ADB21D0C11B5A01B42B26E831227280A2C948B72126012126A173BFA2C17DC1A3F01D21C25DF705431CA4E11694A11AA4A11A0459';
wwv_flow_imp.g_varchar2_table(7079) := 'DC56056F32DD91EF99B9F3D9433F982378AF9A01200D85E008C6BAA438A2F80020C2389A267261AF3196CF4EC21D77FDEF975C6AC8DC214CFEA2CD941BF21311FF629C133D23B4E1E633A2F331C21796BE210062573300040B1A3C78D05A2B84C6103A7C';
wwv_flow_imp.g_varchar2_table(7080) := '083162A9498F005C0260AAA0A959113B7A24E8CCE0408321417E3C893262B75700A475DBFF868BE0B682FC00ECFBF7CF613F78F2FAD54C79921F3D78F7801A3DDAF11FBC76F77E224558B35F3F7AEE00E4F3F88C2037829F3E39FA886CD5AA839D08AA2A';
wwv_flow_imp.g_varchar2_table(7081) := 'C6ABE03184C784B92D08CDE0A754008C785C8B0E1AB46F710B9223B81670B162821D1E83466E6BC76FD9007C030700DFD394933021E46430E3415004B515F30C9A702D00BC7CF9D2E64CDBC39169013434686CD7E4D91D7B29C278C9546E519A69A36CED';
wwv_flow_imp.g_varchar2_table(7082) := 'CBB7F075E70AAA1B07E0784C65DBD66DEB06A01A006691FFF5BBA993A7CF7E11B91BE5278FA841A7C2CB1B54EAAEA9797EECA702E077F5A32C61B20A9602E00AC097878901840AA58A26841074080087EC1191306D0110986300F405FFD11B9E1C044D83';
wwv_flow_imp.g_varchar2_table(7083) := '141E464E85291D938B2D000003CC41A970165736DC50F30D41F6E4E49D79B44D0800610615135269A545E48C8CCD18535241CDF032923528F5E8E247171519912F377ED4D0484876340E38DB200700640F5D8753763D915710775249A5139804B5F85E78';
wwv_flow_imp.g_varchar2_table(7084) := '45F5534F3FD64995D33F45E5F3E555FCFC530F3DFD143527974FC2E34E3E7A4ED69E7B567DE4CA7D00D0622832B26405001E072906D12600A802D1610C42F820005BE50229416B1C941F1F06A1A3698A7B0190E15A7F39B408006A440486A77214E4A889';
wwv_flow_imp.g_varchar2_table(7085) := 'D934F62452834C02C06D06F1D26441DE78534C70BEA96652AEC24D72A443799847AC3394A2145C70B2E58A1C950E4943FF1D419118B5D3963A01F065B9607A69EE980499C90F774AC9C3DE3FEDD8492EB964E6740F4EFA2A4B9050F0D4F3E76C52D14350';
wwv_flow_imp.g_varchar2_table(7086) := '7C1ED9F1552E0008C3CD2FD04C838C1B881C94E156C70809803706CD6AD05AC5C4C2A0821A129422A3A9ACC5E84335007086829A4284A98CB44D63508A2A926B4FAECFF68A1266651D3418910F05E78CC61179832C484EA6446571E398030E742E5E42D1';
wwv_flow_imp.g_varchar2_table(7087) := '437398C7CB680B2D04C02ED33EA44D2DAFF15BD036D220149327A3003016DB28ED04CF3F5C9A4B77DD768347D49CE194730D3DFABA82CF3DE6B0988F39E9D0A24E39A99873CB35D7943378C0C2E10D709103176CF04374156487410A13D42A00B9F09522';
wwv_flow_imp.g_varchar2_table(7088) := '373613F4FF8E3205B1B1B65FC39C1417C81E0901000EA100804C44E40863101E581814461B610020BC4760D0ACD834DCD04C3642BE5ED2EC41BE02B0892A921654DA681DB52673474B33099138CD8F9FD626AD9C42102F5C3BA45AF7B976430D00C90010';
wwv_flow_imp.g_varchar2_table(7089) := '0C2EC118348AEA05110314DC721F64B70006106F4DF9072DCCE18A6C20437C867886273C610B5AD84381E1B84536AEE18A5B20231BE1188638FE91B922514E724F6917C10615917DAC45760541852350F1106E740A22A4300862180480BC3C4A2B0FF9DD';
wwv_flow_imp.g_varchar2_table(7090) := '6C2C1511E1099120C38308F3B861ABF101200F73B8C82414C1ABE919845704991800D027294B74AD15D66BC52676D10A5E7C4D15EA6B0D92C6B62D82FFDC8F7F6DA38D220601113648D13C5EEC9A19115292A4A9422032924479EEE73683C4E10F5B3048';
wwv_flow_imp.g_varchar2_table(7091) := '252664882D6CAE23E1F209000508C97211301FFF8804242A010C5064621A901846265CE18A57D083168F13C730CA41907284231CD948C7FF7245401222E5722884483F3CF490CF510800E138082BDE818E6DE00A0C35B421625246AA83A4AC2095804344';
wwv_flow_imp.g_varchar2_table(7092) := '7E56106CBCAC20A7B350F08247C436C8472BCC93A61201204794CC2110D43B492BD6D70A545C6F529D111A0006821A9178E48E0E0124440639993916640E57D3E764B4788A4D7CD1209A80E1D01E42083FF2829E27F945306E81926F99A1209CE9089CB4';
wwv_flow_imp.g_varchar2_table(7093) := 'D32E834472A33E31132533718B489403FF0E900000280C918A5B64421FF0402900C4D10D5788431C7C93C7DE5EF9A47C0C453D2E32E17B4288909C0060910BC3614142D107AD704361A66A48D2BA8690DD652A87048106A466489057F8410E9F02002364';
wwv_flow_imp.g_varchar2_table(7094) := '918B9F5908227F890B25201286589D4479E6C909130731087F12240F6C000A39F73086876C421304B1C4264ED18A869C6F130615E38C224288754EEA5A1D71E62F0010938F78A2117F98A819F28A92B8C291206F046767CD73880239E4AF5A6428445A81';
wwv_flow_imp.g_varchar2_table(7095) := '204BAC6F32C158C6D900A0BF83A00121F5602446C9B4517B09D05F05946924C4410C66B8020DAE48852B68B1B86BD0821999788638FE800D57D88218E5702550CDA3D3BC89702AEDFF804F5210F2156E080342D02C2A2F73F8D4946C852F9AC206379EF1';
wwv_flow_imp.g_varchar2_table(7096) := '5EAC72550E7EE80837BC59106EC465AC07B140102C70040058A02042B08014F2EBA27FEC431F0449C41C3EEB90ABB1E16A9C3588AFC649610064610F693803CBA6F0916B05D42C5E34ECD25061C666104210E534A847745010183D24B60579031A6C5C86';
wwv_flow_imp.g_varchar2_table(7097) := '3FDC499670E519D9D270905398117D0070314A2C5107BE4ECAB44669C443CA401037BC0D1E71D31347D3652E024A8528EDC8C73DCAA10E75A4A31DEE08873AFC46537120831EE248473AD4210EF6902DBB45B19CA0AEDB91D7E57799DD22083280918BD5';
wwv_flow_imp.g_varchar2_table(7098) := 'AA1752D890A662E00B5F59A4E2AC70A1107B77A85F9B15E2C0047902FFAD5C152B473942AD78709441F48B1F8260231BF805CA3E0A424E833C78B3934944108C800424F080204C8071873D7C20005842C9EA83215F192BCF828C4D1B5A840893F1D7BA83';
wwv_flow_imp.g_varchar2_table(7099) := 'C4C1990899ED375192041D30E1200532E8D708D28C00FDCA9D47338A12B4305B34DC61DC00B843B353D2C88C02704C573E574789C2269C80294B1A258F3C08B2AFE6D159964751536D6B79149614045707B91D00F84710A32DAC2F98820BA8B772E88228';
wwv_flow_imp.g_varchar2_table(7100) := '2F1BCB74483261364D4600400ECC260818282187AF80FC2B1B37482252549F834C83794F814520AEC6EADBB0FA208398C32076B6BABA12240B07E99C170EC2042838E45A7F55AC92B1FDBD8FB4621169C041080CFFA282210C41091E79831BAC1EE532A0';
wwv_flow_imp.g_varchar2_table(7101) := '01B39905001C335C243434A1207578085F379196F315FB20827E08B723A284FD18E40E70B8C31B08F28632B8010D529671776E8B902F8D4BF01A059396FB910F38A5AB5E8907D897EE710FEEC859DFF490073DF03C4B72D1E93D7546CA2840417583DCE2';
wwv_flow_imp.g_varchar2_table(7102) := '17F015C6273CA198F15E8A1CB9BB21A9A0A1C34F17E41A00C0C633AE015F6FB21C0020B36A343B422A617C251294A884930952894414C4C94E2E3E2512410946F390167100C0322272EF88FC44140E7ED61C70EE909A9F84E7A2CB052D1C62EE69178410';
wwv_flow_imp.g_varchar2_table(7103) := 'A22DC8210644905D90B6B44621CC146600111740A4BE0078C3DDEF0E00B3E506504626100147B731FF4EB9120AF9416B640000656714ADD10ABBE04E74205A6404005080011AD01143401013554570E0694F71515B2226ECE66EBA8582272878B13427EF';
wwv_flow_imp.g_varchar2_table(7104) := '011F35811373A22F35F86C06A153968779FDA6266EC2794F917200706053070056E01032F47B10B11517B74BB5F70CD8100D00900DD3900DB8F4148A515200500986747C0EE164957056F00500F0450B89F00ACB4070482154BE110404E1435B78109950';
wwv_flow_imp.g_varchar2_table(7105) := '5F9910117A70087C057F402264B2A15805B17627C10014400129900200A0024021650EC17F273147A9E61B7E207D5ED57E1FF187EF841481C80120401020E00245601036A002408024FC406572C382ED3640F7760F944471FFE06635F80FAA94FF0DC2C5';
wwv_flow_imp.g_varchar2_table(7106) := '0CC3103737F853957779E6116F75B6831161851141872493860F820EB94310B4A7298EE34DA3F610C9C072CA300DC9303F0D577BF6F510300287CB677CDD787C15453359510963717DE6401B57E38847117A87421010751086C04C05F12A06018108E162';
wwv_flow_imp.g_varchar2_table(7107) := 'BCB05795E81158040027301970707507510650868B0831827E5008A2F211AB4210E4800E6D5776FA08111B5010A0080452E78906218AD8E53FEDE21DA8582EBA2515936440E1400C15F438E5D00DAA0441D9300C9E700DF9F66C39B88BE5116FB5C50F9D';
wwv_flow_imp.g_varchar2_table(7108) := '671402370494568431D429A0867C0511095D0808B312077290946B305FB08312BEE71BCF803C00F05804113FA854900F5109B743FF5400E0078E820708E9077CD0390841030E982C44E61B0DE20186681470F02D8604081575148920075870051D007540';
wwv_flow_imp.g_varchar2_table(7109) := '108A29C10505F10589E811DA3010A79074086109C0063A0FD19604A17F0801022DE0227E528AEA562F220992236926F9620B55380CB77007CC000AA4F40FD7D00D86230E99907DFCD65334F98BFDD38378A2934F610557508446585F9550080FB215D990';
wwv_flow_imp.g_varchar2_table(7110) := '22D2E47B8B142BE4A7564601066C0082A5F611D69812DA080052F30CC22007948086D3608EEF21376B581E4EA6051061033660106FA071BD23653F57108279104006641DA1980040069AB03E4F357600905400C0010461032DB0911F616EE6D10895B085';
wwv_flow_imp.g_varchar2_table(7111) := '20F8147F69106260FF1096A00DAA700620E6107A2091A7602C078A105664101A20010651044370887C491026300219291C25B81D8F848A2B4892EAA0499E400B68500EB6500EFF200EEA600BDD1022D91039B8281496C79A6F139B3FF59A11E181003004';
wwv_flow_imp.g_varchar2_table(7112) := '577060B689108C216A5BE15E069107CA5710E4F7102400065D000052BA7360709746019511B18D10E17706F11552531EBF6306855410B3F229850800107010F7699F1350639EE6067247106260A000600754401084510753306D75D07E92B00768A46B06';
wwv_flow_imp.g_varchar2_table(7113) := '312C04C157401223081102114001177A102AD002871811A183103524192901098D20071A078213C0A640E10596A6A700F004E65910539057A86A2004E524D732FF896CF71009E0A808E181920900B88A24175565B8959974134BEAA05295105265A00E08';
wwv_flow_imp.g_varchar2_table(7114) := '140EC8600BCC100DABE40AEE8053DFE49ABCD8A3F0F1A3C2715F488455089108699508B1A273C729073AC731B3525757F00AD8A08C1FC11790328C93C118DF808CEB05193E919D48F1AE04C1688CC00878609B1340011D11B0EB2884A3FA10F378104B70';
wwv_flow_imp.g_varchar2_table(7115) := '106490980741078480624E720AF5481A08E1A81B908910310210D12AA4F05A04717D4F3182040101001BAA28F1977A6A690070042B0B00770A00B34620E5519F2C1001072199FB09009AD802910900390008E521A21E597820299293C44BE6C80EE5203E';
wwv_flow_imp.g_varchar2_table(7116) := '7B230FE2900D6D560FEA100EDA3993BA78AD27D1FF8B3F1870B8F0061E589B07660585C40894309A206370E5E61070A0057100066B40A558D05504D1860080054160A607A10579BBAE00D0B7BFC03B0E87295D6A14B720A690021DD7F914844B101C0300';
wwv_flow_imp.g_varchar2_table(7117) := '6B800720C80170EA112D5005747A102EFBB205619E4CC0036950964CA00757B4B064E047089106A30B00110A0032B0A6059102BA1A11CE747C7D500B91153FEB361BA00A01017B1295309E06F197324B104BC0034B006305316D4C70BA40017F00908814';
wwv_flow_imp.g_varchar2_table(7118) := 'C9A61C900220000304A1B3075105006A938047A2218999BBB55362420F04F30FF8C00CF2008BFB028BD28AB52E52AD75369B1E310AAF80B9007005045A10B4A030214210C46B10C840590571FF8803668887A8020366013F40A900709100D09D04F158EB';
wwv_flow_imp.g_varchar2_table(7119) := '1A8504411D02A729CC79105FEA118D712BD4203E205C25D9992746C1089D8AC28C00087000B96BE06C8778B20811C30551B68D72105420043C306BC70BC053D0394ED011EFF945E935BADA43902961BD06119787008F0F91336FD928135504102001337C';
wwv_flow_imp.g_varchar2_table(7120) := '146E40B005F174C50B002BF38024711082D0870401BA8760A711F1C00571A126A0024440107F20B4E9768228187802642F65221E00700F9657BEF4505BEB0BC8323967EF6B93D59A789311A406B1067418BC0721066F10B806517110C180A1966C545995';
wwv_flow_imp.g_varchar2_table(7121) := 'CFB04CC3C00C3181C1C24070FAA54B7110094D0C005D18119E3016B742332872FF1E4F3C7929F1062DEC4C6B10B400E04C70E04C9446B90591001F81CAA6DA984FC7810771022BA0B0F1B776E8C090F0A9980C0AB340610340E0BAFD09007BE00505624F';
wwv_flow_imp.g_varchar2_table(7122) := 'B351CB0511A412E0BB6B9A001030CEE55C10953CAB06F10004C1020591CC1E2109D7B33E38E0B967D0076E1005BEEBA68608044500021E00018D591062802005812065C0C15366820548372B2878E8224966D28300200F7CAC8BED1037EC0BC84A94A3F4';
wwv_flow_imp.g_varchar2_table(7123) := 'B0A35A6BC8598B103F80BFFA41105210B48D8C127A6610A0F079CA070ACA977C0090D011511F2C1184CA039CF865CA10D13A5B380AC9F7A5212C0EB92B1C79FB297280074AADD4720701334CCE515D1047F006A0C012188CFF10EB0C001950102260021A';
wwv_flow_imp.g_varchar2_table(7124) := 'B001C75B108A450EE9453DAAB0744207004250AA52C001BFCC01FB1C11AC7A086780205C6710E3700ED69112668007900B00852405BDFC1051CDA6027A12C5FCCB0591BC93F10449950400F000BD0B00B19BC604A1AB6870C4065D079B0D2EB7C5D09014';
wwv_flow_imp.g_varchar2_table(7125) := 'BE59B65357510E8D01426DF20FEA9013551BC8F446793A48AD38219B0431BF7E790546A8AF4001B8C2F00BC370CB817D10740A656860A6FBE1B8BF808CE72C0BB7200B19F40BE7B71571A15FC2A00A7F00C70000C77D507DC8D6088EE877628A86CF39C2';
wwv_flow_imp.g_varchar2_table(7126) := 'B0FCD1C36D105F8007EADDC24661C000108C274100061003007003EA4710CD1B29B5F310374B016D9902E009FF11472C5096B00704DD087159109071AF1F210574BA058E3204EF2DC3BF4CCE0070BD28C101907A103AB00448C0A07BF06B0FB107769006';
wwv_flow_imp.g_varchar2_table(7127) := '8D0D00F3F910026E1066600804B90959D8BD0BDD257633DA0354DAF9400C27590EECF038CC100EF9900DE5E00ECDDA0DACBDBE4A34AD854CDB5C0B147409C1FB110452C005DBE8083D8012BFE08EE97DD2466AD24528B6A2377AC350C1B84310410800BB';
wwv_flow_imp.g_varchar2_table(7128) := 'C99B7DF13A9BF0079B507D7D60630751B700300A89A0365BF80A65BE1FBBF70F2B72DE07A1BF0F8106FB7188945BCE516DE1E3EC013E89D5056101932BD008F1023B00000C5A4E07716D4985030040035B6D046EE00763E0A6715DBD00E0C6114129685D';
wwv_flow_imp.g_varchar2_table(7129) := 'FFA87690DDE5B105F7FBBACD89126C6A00B74E019D8E12EFFC0204419104E1051430D91CE0013E8B107010DC00B0080B61097FC8B85AEBBD0EFDABEF1679FC700BFFE00AA0600B91700B6EF007A3390DC515096FF00C1B3D3E1D1DE81E11D2C2210557A0';
wwv_flow_imp.g_varchar2_table(7130) := '48B82C8C07210C1015C905A1055FD09D5F7005F9AB057FB91FB20E175911177A818CA1508F5B0A008690546F7008115C06BA7D1290800E6DB37204F7C44F21056DC8055FE0EF1D71E18A7EE10501A204E1077E90EC0531011EC0E1BF6C00008002921DB3';
wwv_flow_imp.g_varchar2_table(7131) := 'AA5E087601008DFDEB0040EAFEED012600002C5E102E6E8FD9D8855591125F20A05F30B71EF100E37C108DA07100F80406CCF30E81000441FF001FF10908C102ED0CEC0ED10293DA021CBEB1FD07F105510567500504D171FD13ED370E92B1744BFF100E';
wwv_flow_imp.g_varchar2_table(7132) := 'B6300DF2100DA3990AC1F506FF600B9EE04A493E3E4B6E934D6E15221D6A747B1007360A1A07F01151952CEB10B639E83F79105B2E6AA2369530D31776E77F0188BF41D0000D40026A0400AFF30CFC535E007056288222E7801D0070F1B411EB6B80F4FA';
wwv_flow_imp.g_varchar2_table(7133) := 'B11F9EF8D40090E8304F108B2D0566309E8BE8C016E001936E10557FF504E10137800398CE037BB00892421723EFEB25E0056360698B7D12A167A762E0056760057B90C500608E2BE2115F80067E1DE180FD0598AB022940D8114190E85F10C5DF98F16F';
wwv_flow_imp.g_varchar2_table(7134) := 'F50630DF570F03340F100004FF0E14B80AC00B822C3800484250A0898110250C0401C42100224876209952658A1538910CA5AA76D1A4C07EF0E4F5E3D7AF1F41973165CEA439931F3D78F7F2FDBB052C55A572E998457295A99AAD54AE6C4562F60FC03F';
wwv_flow_imp.g_varchar2_table(7135) := 'A8504F4EA55A15403E7AF2E8E5B3DA75A04BA8F700F013EBD561222200A4F89002E0CA1740A0A60A0336D015002103910D5431F50A1700569408BC7205009738B76E0973F80CDBC069DC1C42032059722E9375016021D1C024325E00F08011E38560B66E';
wwv_flow_imp.g_varchar2_table(7136) := 'D900D8FBC7DAEC45340EBFACC1B305CFECDA7C4F42483010828D816F4E4EB8F800406F03000C1000E04160151A1A784CD903A00FB192026598ECF1200284E65D1B1A0140FF5EE014250D09060360CE6955345FDC7C1168DB366DDA66620F2C52C4220808';
wwv_flow_imp.g_varchar2_table(7137) := '20902085140050A2AD22D47A62881F80136802E7263081388110206039002E040085AA00BBC12111B61B6803815A88010488049A88208B308A48A0F408BAC5AC94566AE925986802A0261EFBC10A9E7C7632271A71C201401E75CA31479D70D291671A73';
wwv_flow_imp.g_varchar2_table(7138) := 'C451C7A9A85EB3F224ACB4E2EACAA9C0FAA79EB1B6346B158318096CA0B6046A44A0232E624C33826C01E097818618880BC30023084FFAD4EA0A9B6704C2061BCA2C83861B68A201601A8270212808007C18C812008E21E7315F548103003700C8E5984A';
wwv_flow_imp.g_varchar2_table(7139) := '1C620D472E2FB20D00FC1C32E3A2B40080083C87D2240838FFE7C233293993320000D6320008A59BA93878E1071104A2C0D5816AA50056828A20E207F352ACA2D42FD0508320346813883639F0006453E104B2028036614DABD73411FA41A01424A835A2';
wwv_flow_imp.g_varchar2_table(7140) := '159913C8800004DA80830D2438D6A164D070703B841CA280C4815A40F6455BA7326F205AB221B54B95587AF8AB9762DAB1479AB2BC871F31DF8BEAE38F4B15D9A19BB4E267E48BBC148B6331AD5A459657504DD0CF81E4A2AA2772590020934D8701E016';
wwv_flow_imp.g_varchar2_table(7141) := '3AD5B2428A71AF9075DC2FFEAA6F20834C92EC50A82503001A421DB32A871C869014003B3619889B6654B968D34D51AE6A0D35B4DD168F35CC3CA9AF8BC690214581D655915DDF044A4043E512A070DFFF5E01083599AA22E88D020EE82668C5A992D801';
wwv_flow_imp.g_varchar2_table(7142) := '80C78D98C22D3FBC0A7CA02F6E03603FD1E09083928B022F22058301E81380ED84C8EB41E7DCF500EE8B0890DD000838DCC0B8994DE241069D07D215000AF6A548A277578C81A02BC6D5082224048A2492ECAAAA5162935CBAB8E21D2FCE7EA61D351E88';
wwv_flow_imp.g_varchar2_table(7143) := 'AB2DF9119F63F1F319DFEC914BA6E764F4BF0A2BCC96AB7AA569000011974B225230C293CACD02C2CEA9D0E917B7D80B411E73926740E31A8CBA88A30492061FE40E00671003416C4615F7D803655F50037DD4B005D1640E3F6C63041C18D18812E26155';
wwv_flow_imp.g_varchar2_table(7144) := '02698BE206E2A08B488003B572506FF4E6100E208E579B62C4367E0680D209642117F1C0FFBB04E21C237200043630010C2E7283174064305EA10FE7B6852AD1AC4134820B85FD1CE2053BE58E119120977A64E595DE30E7014314887A7427A28BECCB04';
wwv_flow_imp.g_varchar2_table(7145) := '8A0301002440B73B3A640C0E59D8E668D195E9DDA87DDFCB4A3DD83748449A244B5B41A497C0C4B1D7C8E2174133C91B40E14587C8E9678CE9C1B028818881FC62182B9C8A9E0802072FCAC2670058A5400245156C10EE6A0201A043D071914F604620B2';
wwv_flow_imp.g_varchar2_table(7146) := '2820CACA50AD81DC468BA8BA0D1EB0188A44606E641C58D1E304022B02EC6D6F027388FDC4A10CD45D845942748813E3E81B6712645A900BCCE9AAE20553B210305C9002A48C89A62428A14DEA599714FAE785567DD32C01B8100292FF03C38BB0D12409';
wwv_flow_imp.g_varchar2_table(7147) := '78C00320103C7D1DCBA00040C0491A32C53BB8E54A819C18FAB264C84466D4218B3C64FBFA01954706C92C3E932541C6354500806E20A024C81E6BE53600102368B7C0C58C66349057DC22668D22860359F943002083328182C62B0942D46824431602E9';
wwv_flow_imp.g_varchar2_table(7148) := 'C53704520C87182C88174905B600E0138130D06CE964E117D8F9852F48813EF4A144FF94F00479A2D44AC67908070850AFD899850302B5CA44D87A1CABC486734670E145F80087BF1AB36C5714C83B07D22982E0E10D6E58AC1FE4E2894D45942088A50A';
wwv_flow_imp.g_varchar2_table(7149) := '102C42342900E69704F14455059289FD98462DE324C8599550852A5801B54A50EB4522F10700942136A1E212452B8A32FF8D7554A3895C64FC50A6B230BD46510078051C0C6B126298440A6774C8340EB8280010EE17C96046744F920CA39AE41BAAA98C';
wwv_flow_imp.g_varchar2_table(7150) := '6AB67B126A886320C7B8A56CAE85069692D12BF1184BA98C14AE2CE2C1B8C1D4161EE47097CD3984B256F2427C00F006387C61B35CF5537AACE890A199C50B4323ED45ACD03F81B8E10F9D0040273261080054EEB6D9AB4A3CF6C15E0DEED62BFFB05846';
wwv_flow_imp.g_varchar2_table(7151) := '4B5C15A86CD82A14A58A8AA9925B116BB4B789FCE83F56E6DB189BC51EAE11D93E5EB361A7F8782AFA100891C1F49481905820551A249504C25E87C4E31FFB10B2937F4BAA8ABDE43D56DA7257BAEC6587588FC357625F88FF310F21E758203B7E723CE6';
wwv_flow_imp.g_varchar2_table(7152) := 'C19A2E87FF9846451EDFC9741B6316A74CCC57CA6D473D76913BB757CD84D4128DDF77151C0F9A2A5FB6123FFE71C8347369CA56298B439CD212116BF0647216D545386DB6F1E143D1A32635CA76EC68A9908CD1D25BF2AA63FC0F79C883C45DA6B559B6';
wwv_flow_imp.g_varchar2_table(7153) := 'FCE8ACD8C34B3B7A34922D46AA7BB838C625C36893A3820F789C0FC9A566F6C8A8EC1547B3E6D3AF3EC9A7A3EDEA66675BDBDBE6B657F28C929A5C2FCB18FB91F97024157ABCE7A34FD1323BE001959B605BC65961E420810BC96EE79BD5CBD677BFFDFD';
wwv_flow_imp.g_varchar2_table(7154) := '6F80073C6511C334C564226E1D25FC2640FAE833C2510E7A14A91EEC704A3DF2010F77A823E3E950473BFE910D71C83B91EA0BB4C8EE9D6881A75CE5FF2B6779CB5D4E23823F0C63331777B977520D645C231BD188063386F18C72B0231AD7E8F9339041';
wwv_flow_imp.g_varchar2_table(7155) := '8C6B94E31FD7684AC933CAD146D6F8C6287F79D5AD7E75AC677DB7F9B0ADC167FEF572DFE3E3D7B085C3C5718B6880421CE5B00531B201F46B8423E9F4084738EAADE619DB5BEAC105388FB5FE77C0075EF022E33A3CDE2DC81C7D9DDC3831E43FDC2D8E';
wwv_flow_imp.g_varchar2_table(7156) := '22B1431D49628738B2110E76B0C31D14CF0632D8216845E7DDA3350EE9E04D7F7AD4A75EE05DF73A8F103E6E97947B625482CA4E9EE2B17F98C33D675E8DC8C3FC752CD19BEA13DD3BBE557F7CE4275FF9348EF96D0F4E73711F091EBC06198959C2B18D';
wwv_flow_imp.g_varchar2_table(7157) := '5D1F1FECA372A4ADE463E81344F4E873FF24DF977F7EF4631DC2E93779F3577C3DF89B64E1E6BBBD5452CCA37DFC631DE31008FFB9C41A54BBBF701B08928BBAF76119F64B40054CB95BF8908168A5D4A387F4713F442AB78EFABA7DB887780003070000';
wwv_flow_imp.g_varchar2_table(7158) := '07500000004105E8C0110C410F044182E8C07170B3FC03BE30113E03B431F35B401AACC16E132F1B0424C37BB43D6B1F0B4C3C8C9987730003012800003042811800B310005DF0B01674C1F1339B93CBC18190402ABC428D0A1834902C2CAC9E1D44BC41';
wwv_flow_imp.g_varchar2_table(7159) := 'FA918D01C21EF987213C0924AC8A0210006A7042EBC318425B9F180CA9E1AB0A0A13085C600F8170BA803BB22EFC43B351AF81482E50F0C32E2C3C1B11362E11C31BC1988FD10733FF24C202B8800B4843822800232C80011880345C436AB0072AFB1838';
wwv_flow_imp.g_varchar2_table(7160) := 'BC0A186C2490829F918905C6080659F0A91A7C0362500781A82E40A4412BACC5813B3C45E4339C18C3D6E31133CC0200B8803958800B100000404600D8C4352C424C4C468150003674431724C54233C52F41C5D7D04300F0858170146EB4412FA0450018';
wwv_flow_imp.g_varchar2_table(7161) := '0373C2C5E5E30AB208123ECCC194D0C55D7C8D1FFC452F89897F88872E28424ABC80610C834A54420798830B68002354800550800200C1360CC56A8CC22B3BC03A34895AE884567088A5C2423212AD5E4247E5C332D0ABC5C28347DEEAC50B54BC21C444';
wwv_flow_imp.g_varchar2_table(7162) := '01E0C7027884479803819C03126849610C0336988336A84426EC3EC5FF8BC388A491E2D389D7488538E8954568A0253331ABAB02EE4ABE7874478268471B4444EA19C99C28C999BB4761A4448114009B9C045DD0050060832CC0045DE0843C0000523085';
wwv_flow_imp.g_varchar2_table(7163) := '819C46860C3F871C99F2238BD7202500A8022F402D87F03FB3E10AA768CAD7804A943144D4F34B2A8C9F4A1B3C7310885B6CBF447C3A9CA03F7AB4097B38073670800B50044518489B34054CE8055DE8824130853600035D80054E68490110805E70C29D';
wwv_flow_imp.g_varchar2_table(7164) := '1488B7844B88348B69B18231F082BBACA03D2288C4B4A8DBFB3C8ECC36DFFBCDD4F34DDCFAB6307C4CABE411F189C4D45400101C00ADBC809A0CC80B0883306803973446696C422A6B4D8E29C5D13BC0C3B48A31FFA0CD96228851B805BD341B57780F4A';
wwv_flow_imp.g_varchar2_table(7165) := 'D02AE154B4E98B4FFA143FE3F4419224437BB43E478B872C904625A4C44DDCC48128C2654C4D6554C87800C5D6B4C6BB233FD29BC1AEC8CDC112B16E900B5B9887FADC500E2535A92CB80A9487AAD4CF9AE087333C427E5CC6018D468434C20125500180';
wwv_flow_imp.g_varchar2_table(7166) := '05D66C487A034C9F3C45047C8DC118A706BB085103004F0887E4CA2EABB88640993E0DB5D10E15192321CE2505C490E4C1A713D16203B7AB3C51AB50C265DCD26114805258D0271CC5EFBCC6F0FC127790CB91F103D8AA1E81B8A99B7AD2808B1E38AD45';
wwv_flow_imp.g_varchar2_table(7167) := '9DB84F8B42CEC89C89FCC34701708006E853654CC60E14800650803FEDC00E1C88D544B337743D9EFF8CC195118B9E74A5E80A066608C79350897F7087F19CA839FD545095C7779452AA84CC3C4DB1D6380700E03FB01C075D505500D085F58CD57158CF';
wwv_flow_imp.g_varchar2_table(7168) := '731895F073CD429A546FC3D188D4D07610887500007700807530BC504D5665E536FA6B4CAA2432DDA239A8D8B16925882D83B2F780B281C83F90D111ED198BAC004A437BA44E1D3194A00AF1B1B7655DD7756D561F5152ABA8B37A48B68FA498D7733481';
wwv_flow_imp.g_varchar2_table(7169) := 'D0D01093B6D6E8D710D35600602FA8F031786BD4832308111D8B3ADB4B5EB3C2726557888DD87E3B99C383D7AA189F7C98573B8BBEEA9109BF5B0D90258810F331506C0D6ECD3F1F13B2937154E96B2F653339AE7089C594589AADD96EE38A77FF33D593';
wwv_flow_imp.g_varchar2_table(7170) := '50528C9DD7A75052B020C09035092AD3A07D30DAA740D9297BB45EB3D28949583B4B57DCE2BA7EA08762B559ACCD5A6613D1EBBB58B3C0D87B9043A0ADB18BC1B6815D5AA54D5B001032EE3189ACA833A91D997BD8987FB05AADBD5BBC8D311165B22EF1';
wwv_flow_imp.g_varchar2_table(7171) := 'C9986844B301196B4DB5AF30B97A30A4B615997F303733CD5BC77DDCF67187AC9007449ABEF99C4FF4A15CCD558923913E11FDDCCEA5DCD7C0B876B8DCF6313CD13D3FCB0500CBFD5C95785DD78D5DD89D5DD6ADDDD98D5DC8CD5DF4A907CA8587760856';
wwv_flow_imp.g_varchar2_table(7172) := '82B85A81F85DE035BCE9FB5DD635DEE3255EE24D5EE57D5EE57507E99DDEE97D5EE19D0A7750DED76807C9F34DE6BD88EBAD45EAFFA55EB319DFE9D55DF41D3965E30AB1685FF113A9F765D620F1AD832540A9AD898CAD87C39C5FFEE555F8AD57D56BDF';
wwv_flow_imp.g_varchar2_table(7173) := 'B91DE0B9955B021E60364B5F056658810093C33509C17C3902764D0038DC073EE00136090C7ED805EE600FC6C274FD5F0CFE60122E61133E61144E61807BE0511B61F15361188EE11CEC5F2CB992E0544C19465F27C55B5ECDB17468B672008020561222';
wwv_flow_imp.g_varchar2_table(7174) := 'BE126E20D21C5E392236072561BF4CA8844CF0844C100828169C29B6E2CFEA0432D2E281B083FAECE11C7BA56A5094E1429F6B108892A88631E6B96768E3361E8840D98BE41286BD608128989C815802977B8236E201AA20C70506E404A42DB3F0040AEB';
wwv_flow_imp.g_varchar2_table(7175) := '044326883EA84F8BFF6D1F47909A81C086A193D393B88633CE86E73A89C7C0E4333E89311E8868F8648148AEC93A091CF00A0EE636CAA0540F7E069E0BE56BA0645CCC040BDB9948A8853E480300A803950B173400A1D3BB969360824A392A00E03935EE';
wwv_flow_imp.g_varchar2_table(7176) := '6487E8E44EC686A53409F83489588E6500A0E4A1436282D0E581386500A00180D38181C0E36E06002698824F8063000894360E658790E5AC0D144571672C446444068048D0E25AB8674BA8025E5639BA14885AB0033A6802C103E707D263722E66633E66';
wwv_flow_imp.g_varchar2_table(7177) := '819864652E0946D1398298864E9E86BDC8066536896CC88E9298667676E567804000101B8180026F2E0100F880953B812808E793D8C8754E5F4146248CC6E869FFC0687FFB2300481C2BA9054F70084BD0E6941344C2F0154D686982589DAB6382288002';
wwv_flow_imp.g_varchar2_table(7178) := '00A0023701006168256428A033AE868C1688ACCE2A2EE9E48E6EE8AD260854380500306900C00081888080C3000610083D46686FBE8802420666D848056686326E1F9DBBE4336614ACCE8EB026B5287A8D5EE9833F20235578ADEA00804310883D10847F';
wwv_flow_imp.g_varchar2_table(7179) := '83AF81288645A003008802A4766AC0C381131888CE96EAA90180BA26659EA3660078E88B90E8059AC5AEC8E8BF268868800662D8484BD08492FE9D0C50E9803B80B6466B819881929E8C61A86A81206E05A66B50CEEB52C1E9BD5E94C04619DD1EB41BD0';
wwv_flow_imp.g_varchar2_table(7180) := '011800011D781C8B6808D2DA834368ECC6FEB70AFF0D055498A03370083EF6B703C8102B598228700287E82540566EE78E680078E6D356EE9A6EAE454963AF386781388119506B876080F406B8E81688B86E82CE8693BAEE60BB6EE891A1E8FA5E668250';
wwv_flow_imp.g_varchar2_table(7181) := 'E381203A867E0D1AC0011A686B3583883A1208070480E9B66E0F008113AFA3E619883DC8CD6DAB50CA6EB90380AB02BF080C30680F3F8FCF7E7066C8AEBC86E8BE0E728ABEE999D66A9B9EF00532EDAA40069206005DC97182C8717EDA36026FEBB82688';
wwv_flow_imp.g_varchar2_table(7182) := '037788E18A06574EE2AE38F2896E67F96639CE01028319F11007001DB06E5759730000811D986E675A718DAA010098022470F18B080500D00331406A81238003588E02271800F86C06606B81FF0801AA102A5AF4718210F20B776E0C17089CB6EFABB692';
wwv_flow_imp.g_varchar2_table(7183) := '8D740201170882168841CF37941E70CF26885610E974EEF14086F04162A0B00E94E7FE375708053A1E869D529335110834280C1F50821C300217A80A1451B39F1688381008FA802AF2866A97F3706F5EF11AF76D1A48031A80825838068158A55E7AE3A9';
wwv_flow_imp.g_varchar2_table(7184) := '90F048AFEFE142ED8D24E537B5920A2A70620600E036801A5F39278802E06670D126652FFFF2F966BA72BF2AD11E195C193459E0868B0400CFB28B5F608C37D5690068845C370C82D881340F982B21048180EC8B98022DA80F348003E1300CF12E6FD16A';
wwv_flow_imp.g_varchar2_table(7185) := 'E94FEF36E6E8F7AA6000DD3E016FF6EDE28686074F67AA08F230AF68C83089E8FF19F3AA60059753EA8B006E0C6082CEF62CA1AAF7D7C8EA6A2052795EB95788E65E58688298F581E0739DA624873830AFF8EEC77EA0F3988231F8E9D830830A1D8896C6';
wwv_flow_imp.g_varchar2_table(7186) := '6C00400231502900D02452F3F00068774117F4B306000DF86C93A08119706A5A608C528965091FF249A7E8D566F591196F75076E9653791BBF8855B6D902377C0C90FB188B9EABC66697BB821C50D480FF194922886518886CA0868150AA7C3709691008';
wwv_flow_imp.g_varchar2_table(7187) := '6C320B4970EC8120663CD6F3FF1A885818082A38832828EF900700FC4A676EC0E441939781207981E0FD415BED6876EEFA8EF5F6D18395637487486F9546E8A072F4A9618644C9709523FCACB37E87608C22371B8A3EFA96FF1BA69358866CD87C9390A5';
wwv_flow_imp.g_varchar2_table(7188) := '69D87CFB4EA43D907881A883C52666F228760038F681A8058710FB7264185A981148363A8000207020C182060F0ECC753002C28608110D8466B09A4381D7A65D03908DE03382182B823C4867209990264FA24C3990594781D1B0B9542973E6C03423111E';
wwv_flow_imp.g_varchar2_table(7189) := 'A0A9132106820C082E32C8F259B4963B2D7E3CAA54678E86CA00489B066059366AD9A85213386DD94059028301F8D510ECCC3D75004C4923F0CA4034660C128A2206C0998173114EC3364D181C81786C2D2D9873E0CF123D7502A37911C0C58C0393068E';
wwv_flow_imp.g_varchar2_table(7190) := '2C39F2B083CC266326282964BECC2657387474C69340890389215B0AD933C192917D00687A30EB3681D2AE4AFF5B362DEB40DDBEAF421D988C20AE51B856DD420E60D4ADB70ECFD6D923D0D2C0319108BE01B0E590C0BA67A2086CD26420AD57B42E3784';
wwv_flow_imp.g_varchar2_table(7191) := '432B70AC4E190E0400A061E060D60E3F4A1598ED1A31C618570706454933B8269013001C669F8200A4B6A0674E1CF813004B30C28D832A7D80831D9010340C32FD5D98191D0726182254556D248D7E2A3AF4148800AC02C02B002427D0702D5481D01E10';
wwv_flow_imp.g_varchar2_table(7192) := '0120DD219D4867C44066A0018073008402801E0044F11D9305D1728B6908E1316360411D40C040181C700043473588D245143106C06A002EA583134C0040C38106DE64A29C73CE74130D4C08311E0B749E3405007600230C9F3BB1394341AED1302800CA';
wwv_flow_imp.g_varchar2_table(7193) := 'FFD436908AC321F4148B0329331CA4219133501D671C520513485821905B0064275031749D515793E001908940AF005651AC4B8DD7256101D4D7504E12320045133CC8740D99D114544D46D990A9E09B0010A8A8B3CF22E484AF51B00AAD413935B10400';
wwv_flow_imp.g_varchar2_table(7194) := '481414A6B54A1981C40B83367AD25362D9F84B30903672D027B5F8E1C7A9B510340513A1229424210050511741490A748B46662E98414F5A12A02500046429507D01E0AAB0012021839E4CD55094915199F5014006032DAB961A8E7C5BB2833789D1F140';
wwv_flow_imp.g_varchar2_table(7195) := '3CECF9AC01074C2C100E027901801F0040E3A1C526F304C00703D151479C02690BC018FFF06C102EC5C928102E028D1230426E9CE1060082FF16C46643A79E7197410203364D38C3CC3A505FEBE1B3532C7F4A08B140F155C4B0C302095103688125FB1F';
wwv_flow_imp.g_varchar2_table(7196) := '00C4A2191802869E4003194B265DB87DD401F0C940770C84F4A05AC25CD0091D0A5499E106318041A2067542B289DB8053EE51312E5A507E0EA9629090026941EABF00EC4B05934E0E64CB8CD998239057574FB676A209074080DB0EC12DD0030C28BCED';
wwv_flow_imp.g_varchar2_table(7197) := '40C7CC6AB9626596D9B764935F5EBD648B3892BAE2D60F84C4F6002406C08B7BEF9D6CD2936FEEF940DE3A18BA40A1C30FBAFC2641FA145903A14053196F99F186198BD0CB5FAAF2178F62A50E57006218D978C62FF010188011444B6E8B0FC41A5610B8';
wwv_flow_imp.g_varchar2_table(7198) := '1920030FE0C0CCA8C0B8DAE1FF8D60D60A9440F6C1BD139A247C045108004C5832F0A4021889719E70CA472C1402003058FB563706220ED015A41BA23B11A544189B4D940100673949EB4A05803EAC6D5F0461158F0862250B4D462121A8C1408AF73685';
wwv_flow_imp.g_varchar2_table(7199) := '81317283E1160E53B20835084418C290C83104153EC795318E00E0C3F28491986394B13F53B2D80DAD6707F001008F26E20D41CAB50D211AA41BF13BE4210522C44722E4102AAB037742828624BE253BC54005E106728626C8CE20EB4157664230100976';
wwv_flow_imp.g_varchar2_table(7200) := 'D18B028959C3C808004FB03087B1B44F63EC138B1DCA319700B01C1FD098461CBA4A20B1A4611CE9681A155EAE36A15324001E39C4816C84209B18C8662AF2073F68C12DFF458A431F42B10B4FAE8A55AEA011312D44CA2A1D251662805C170592BC8368';
wwv_flow_imp.g_varchar2_table(7201) := '40033AD8C00A53B2319A48A51A52199F64A09198B211C485BAE45E2A06222841A5A2A000585B1C2FF38C9D9DB08D8104804217040E700C849900C0E840C25111F9F5109105D946366A63B1B3ECA192DFE086330ED2973264F3489B94E2AA3E299028D962';
wwv_flow_imp.g_varchar2_table(7202) := '7C347C82138FE286FAA0B26D0E2981400AD19019820819F7DC89F94E931985E4623DB198E5400B3725510A3314544D1A4009C24FEE31B476EB09D138381AC48D32137EE230EB466BD3C383CC6815B898D44CFA8210EF34A909D402C934522305AB79E69D';
wwv_flow_imp.g_varchar2_table(7203) := '00089E4088BA301D00E00802E9982D6615D6827C75276332FF1F313133558184A2A221A9071C25A3D03B20139071ACEC41C6BAD081A4CD7A95494D647198594116F4B19801C738B6318E816014880050E65B05028A8634722A8B9AC63654541B0FB0653A';
wwv_flow_imp.g_varchar2_table(7204) := '02495D41EA928638BCA14806D985BFA230B48A208343730A9E60C700800F5E0D18B312C63068F82166A4E6194BA5897AF904C190D00369FD908C516F56BB1DCE9041BA7C2F0028E139F501A03385C3A54088815E005CA68FD5EB4427DE9B8A4E286E9CF6';
wwv_flow_imp.g_varchar2_table(7205) := 'A92D3894C195DDDE561C6D452B38CA01804444CD208D92C62A64B18A5218240946E84374343110296A8A2047028074512108008C64AF20F9862D6A162202C40C21624802416C115AC832A33FCC80E8E5FFB40B148150C224028EEF417291C49944F90915';
wwv_flow_imp.g_varchar2_table(7206) := '49CC91AD77073E4419217F4C5226D8F7AC2E8B567C0559AFC93A81103ABAD915F355D05364D18B823C65B71B5E0E88494110596C232B5921CB55A249AAFCED413A2EEE118C073205E9F654654B8A0214285D2D84DC622F74B10375BE07ADAE3A041A0A7E';
wwv_flow_imp.g_varchar2_table(7207) := '9E892A6A543AA284CA05F9ED294D0237220B1300A63DC83004C6A024B3B9646EA604831DC2DF6FD12256B900B54B2C568D681CDB646176482724EC20598085AD79DE2D47419C88AEA0D820EA32882724E08531DC582052940E00D2E0DCD619E48F382684';
wwv_flow_imp.g_varchar2_table(7208) := '1E1A5D116B9CCA5AF94B483D650DBE1D5AAE621663B2C93CBD13551344B600F809050040FFCF822080205400CCDA045E1015F6071966BE1CC042110BFE2EBB64C0186B9480415A1CBA7920155D9B034DD48B6C7F781420EE856EA106E283A05C25890EF7';
wwv_flow_imp.g_varchar2_table(7209) := '14C84DE3211989262E26841DF6A5EE7D08944FEB99B5BD1D428CA58EBA64192F08804102F09B1A840205178107447090040019003180BA49CA7B420053E213CBAED9131CE108AB5DD564B498F5C74F18F68168192173B64F29EE4C90555CFBC200A046B6';
wwv_flow_imp.g_varchar2_table(7210) := 'AD6D10A950631ABF90C553A4928DA7C4E16E96A86641CC3D902B936A0BD2158824160D12006B9955FFB887B3D60698AD2204BDCF103536446DB8B03BC2DF33A1474308F0130470A022E38A190400496C830C23A9EDB59ED855DF2D93FFC56AD689414D81';
wwv_flow_imp.g_varchar2_table(7211) := '1B94EB92F53EF5801D0887409F99445C5B26720000CA516C68334923FB04C19740F670639B0FE40A63708E737C59102808A121DF285C0F2AD271873C03196D8796A7F1B008087ECCA820E13C009E4E90842B88E5A0865201C0F1C9441F118B0182445018';
wwv_flow_imp.g_varchar2_table(7212) := '841B88DD09CD0A30DC426B094492710F87B801806580FE01C0DC6146D4800141445F434CDFB54D5F419C982C2C436F398A548005107007759C05E3194476BC414F290E1438042D0803D10D8412000017384BEC0180B3CDDA78E51B41F082404C536928A0';
wwv_flow_imp.g_varchar2_table(7213) := '89900C803990BFF143672D080C080402AC0E420C5B45A8C2126A02BDE8C4CE3CA14A144221D801158047287C8217D080FF8F5D8EF0F54764A10281390B60359D40C01900CC4C45B8C27AD8C22834964A6054888D6045C41C422442B65D4A30A0CBE90040';
wwv_flow_imp.g_varchar2_table(7214) := '13F6881255841994C11608C43739048149852CA051DC0D443CD049021C842D049B4E3C14F784C27BED433F04DD49DCC21666C62DA09940B08292FC1E4AB0049351604AF0080386C714160ED1C58AA0CC5FA270C3C4CD49C9151507AAC42D444D2CD8422C';
wwv_flow_imp.g_varchar2_table(7215) := 'DC8234261D4A80411884E0406C234184E00922442958C9DE4903212D4A34E588407C1FF885C419F88A413882111619000C01282A4A023CC051A002147C4CD228CEA9D947C1F5E39C581E0020CE180E4419860403F2011E0280D724CD5875951D16448954';
wwv_flow_imp.g_varchar2_table(7216) := '8C325E88FFBA2184338EC741CC1731C402AC84984AF840B9DC996E9C9C7049054A6A442F70C532E886466C8554ACE46F1484344C5BD1F488201CC212118490B8403A0A84F901800E860437E487142881963D0120280A0598804EA8C1AF95CC221895CA24';
wwv_flow_imp.g_varchar2_table(7217) := '0E92009884B8224DE4A39C84D24150A449B00F46EAC4277C02846D8F519A0C43811A2E811FF65842318CA59C0825003063565E0B1C364EABBCC1CDF4C15B4CDE49F8D9FB944B37689840041A6E014062EE9D8651833850036F54C5565C9F32E0647E60E1';
wwv_flow_imp.g_varchar2_table(7218) := 'E255D24180C00AA0800B3484A5BD23BD19C4EE0080129401100E0A1172410F6A164A74641C39630B2985F084884E1A442AC89F7E9D8444489C6FCE9FFF49F0C122E081CAA41E0090CCF20160C9F8E040B05A4310A5B3440122F0481FE4A54074023002C0';
wwv_flow_imp.g_varchar2_table(7219) := '6C1604E4B98011B80012B80013444225C8841051C336B81535BC55A374C37A52DBDE99044E4645E9A08429715111800010000D939001A515442E984757708358A0816209C475D049C25140FB099C2BC81041FC40AE0C041474D2B7E42100B8C11F05051A';
wwv_flow_imp.g_varchar2_table(7220) := 'F5A1627960E1A841FE34E7142D4BDAA1846984094B4003BF2DE040F0811D580D1A2D02AA15843C58219D385B439CA8C70844865A0B2458652118E71F2D1FDD000BBF384411C01A0024016C60224A80544180437C4A6641B8A75558C5DE55E64138A2410C';
wwv_flow_imp.g_varchar2_table(7221) := 'C71500C1411E04138080C14980408C80FF0A18045B76A741548269DD02230C010040DEA07C2524D8C2383D67CC684004FC68A21C482C1C83F3D4A582D841216CA8416440FAC9CE88F28C600DC4093801F5E05EA21684448C5EFCF9E651D0912338E32280';
wwv_flow_imp.g_varchar2_table(7222) := 'C7E60C04EB414B2AD082C31944C2CD809B08C4FDA9A8B314A7FE7127002C2948088993E6809FD0C4B409C47AC2E764B2A099E4595504AB46E8862C0CC7FD0C44304062410E448EE88004840008E08B104E51A5551A5D2C5F25300223FC1232A0A7823ECB';
wwv_flow_imp.g_varchar2_table(7223) := 'D60D4426780222F494434C8E13A4DF42D9821D590B03D6669C0200F5446AF5082A430459894CA54EA828702A05777E021E8841BC0AC497C8832E4D8E10CC452ED4A2892082FA306AFFEAA55E21F02548ECC040DC296BA2846C04074168D89532D20F2144';
wwv_flow_imp.g_varchar2_table(7224) := '56F410B256058BD095B126C3B461A520F8E412DDCD7739C7F6D081A59141476EECF4D9C22F08832C84C217DCA9BD89A289049940104112C8C0C23AC4D2E2807712047949A049EC5E603819425C5A620D54FA89C1980992C02664E9DD90596EE440BC1D07';
wwv_flow_imp.g_varchar2_table(7225) := 'B2CAC700203D482A0A4581BA39DF9C84DC41D091BF00A9437C81400C4112FC6D533C6948740070854EC9D6067C3E53B022EB4D6A856D10846E2284290DC417705F5DEC2CB70E045F8AEB40D81A9E16A1894440C218040720C0979C04D8AA8C42D1AB4C84';
wwv_flow_imp.g_varchar2_table(7226) := '0269C4DA6440822360671C05D9601800066480E40A0497CD446CE25EFF4A7C02C940D8DD1EC4D2E6921AA80CABD25F92504221D0918F518FB9160417EC0011782C91E5802B81046C7C14633684DE812941548A418CC12920049ADEACDFBE58418C87E4DA';
wwv_flow_imp.g_varchar2_table(7227) := '95B34C8C018C2E0020EFB890E241502A42C4C2DAD891A61A841FDCEB527C021BB261434848F202C0ADEE44F315442418AF4A183094D905D556D52238592EB4D1314C6C88288E018B1DC9F48118D8A343D84041846712E4802C3684C83684A1C98F63FA90';
wwv_flow_imp.g_varchar2_table(7228) := '7C36C4A514C4D31C441D2CCB14CC1B42E4181D3481AF688B7755CF8FD24421400224AC622EE4020057D92ECDEA59BE97E770A0104C4E0458702E159442988613830481216A07578417746D550D44928C2D341CC3FF7A20C2073DA77D4018C0345D580240';
wwv_flow_imp.g_varchar2_table(7229) := '093B0411140100E471F78A66E17A9443BCD5535CA943BCECB33AC40D1044B8090413606143EC0B1097A6D10844FC96011ABC815382EE11B4807DECEF6021EF2A2D0C9FA446702A459419AF0867E709C54706B00012D48C461244BC010024F48117700B07';
wwv_flow_imp.g_varchar2_table(7230) := '6440C241832D0C6745608D170F44040F44169B3166254E1F10B17C280A1B3A1903D344116C324888A66C348A39124464D2860C2384DEB188582C4321775FD644070034B20774EC4068A40EF66C510A81172C1D00FC00E8D2D81114C1095FC8C318C4D31E';
wwv_flow_imp.g_varchar2_table(7231) := '852B6100EAA6C41A11F0F640183A87479BF873E1E00A0A282C1D551141C49DA90E043D357164B491FF131B2F33967131AB9BB6F4E3611C5C0E9988E208B34ED8B341B8C05782C46D01C038006B211557E20E041B98416DB4F441882F0038EB419CC114D4';
wwv_flow_imp.g_varchar2_table(7232) := 'C006780000602F00D8801000E3CE16A5CF0AC41BE4693CC381B82A01C8A22A6BBC4C41244F0AB41F4DF43382546A061015A69A44CEC85F2F83C4D62284575FCE47F701561E84EE96084140C4EDC984308C2D4814422A0B44060C64557D00434440829C40';
wwv_flow_imp.g_varchar2_table(7233) := '097040094C0E1193974199885A93B440EC800D004134AF2942E4800B3B44CB19C438E0704A04C3650380D6688224684D1D30C1B88C8BD71A847509E84030E8404801501F448F4A750485320024803ECF445B13C4C71856D7ED9282140DEF9ED0FF003B2A';
wwv_flow_imp.g_varchar2_table(7234) := 'F50C64DDFEB3401C4314EB041D45751C1D346E73750670D0B3B8811878C1788C87102C415E9F843DBB693457846816D24679C585B9CF4681B3A3E844541E044F1BC46A13042467B443A3B69CC44CC1711741BCC04FCF84C1386ABEFAB79CD8C121EC4127';
wwv_flow_imp.g_varchar2_table(7235) := '15089C6AB7F5D0511F3882171CC0CF94B5C7E43666A8904F1E8551E96831E7EBC778752F4AC64F50871E9C0119084851A601783001BC4E86048826BA11846497B77019265BCD84C08C427442178B9F82242E322217C41364F13A1B04172896B6762E0048';
wwv_flow_imp.g_varchar2_table(7236) := 'C117BCB16458E8C278D168ABC4616877091C7888100E2B4882BB15E5401C340A39D9817BF5C7EC092D88F14C5802FA2E32157CC0FF0CC072431C08EA2A77DC62B8826882D6B4C99437846DA3840DB8001014C12DF8000A544048609459A9B4951A041874';
wwv_flow_imp.g_varchar2_table(7237) := '0100E002EC56422334C28CC50610A8C0088C8040A4290AFC749A0280E5E92D412C65169F764AB876667C7264D8394124796640B42D2A3241CC000062B12EE17906606A0934AA52A08240E47A9B9C01E5DAA299FB688EF2439C1384596706B0B70900D0A0';
wwv_flow_imp.g_varchar2_table(7238) := 'B8218411D3C41B3CB64380F7355BF340C40126B68E1280F79D4EBB0BB80008D8B3A4AB80A403800BEC00B91399AF56845282C419F46D4354C2B221F9821880B3B3468477E185C437ECFC279E971194DFB6B1C3F54EB44243EC3A489CEE89EE436A11FB82';
wwv_flow_imp.g_varchar2_table(7239) := '6C822AD84135D141FF6E5B8341B0C2751D40021FC57CE4005B6001A40BC49416C4537B7B9A162E00146E0B803B0088BB0AB8A96802810B1441E0A6E65D0200F75D8115D40C4422841F242948B46B30D1B782D03A5743CB2EB042C59B84BF57CFC768F709';
wwv_flow_imp.g_varchar2_table(7240) := '3CF709FC350D087D7845C626F001AB94C4AAEFC2C137FB9637BC9CA84596A36FD2178420DC2200908897D0CC3EFC8309C17945C0003D810062114405043A00A4E90880409A96B47FC6FCCCCBFCB40FC4E0CAF3E36553EBF4EDBB0F840B4C8112B0B04B39';
wwv_flow_imp.g_varchar2_table(7241) := '108E56847D4DF27702EF640C0607803D4DD8795E87823010B767783DE53584B19F10D3673851D17164D40175E82013EC411392012AB858AEB342E9634ED84B0EFFBE82CFC0CF8451EA3800B082268284C613443FC4BD436C800454AB67823791F12A910D';
wwv_flow_imp.g_varchar2_table(7242) := 'C1D1124472C154195C4172495EE217C4BB27D1152CBEF6AF8540380762138421CCB2B8422FE563875FBC41C9E1C1E4B9B78294FA82F081E8DB072A7C93F1030400810307120240070019810C049620F8106244891329569C982102411A4D083A7C08CC62';
wwv_flow_imp.g_varchar2_table(7243) := 'C8887B5009E4655213AB5303594D6428308348993369D69408CC160061206D4E6C45D057C992105B127CD953A207172080087481C487911C2E0456196845A0168165B4BC1988C60CC12B55AE948958060D80B400C20A34F4F08FC04D71642202E4E7E19D';
wwv_flow_imp.g_varchar2_table(7244) := '8A52005429024006529A08201280A8C60D4D0C11FF3D02C8954B982D9E822332245414A22496062977F61C528D100027329468FCB9A29D95BB005892C84A102B84040F60887902B5600419730B8C22D0562E5B397B0358224913C1E40639139C4D9077E3';
wwv_flow_imp.g_varchar2_table(7245) := '7D00FAF5EBF926AEDAB603B3B3258806CD958857B4122C0F317BA346043D09AC0417401F887DE03CCC142913A5F5AEEA0FE422D284B78AB3C800C20060680387F8A029A689161408A7C98A3B4320D7047A0E0042049108030C4AC021A67F00986E409AE4';
wwv_flow_imp.g_varchar2_table(7246) := '2328169A480380061C80CB05985C7AA3E140823ED103223A24898D8ED9143A90010C6894081E81EA295120031BA22815A48401002724052244935D5CA3830C0C9B236886C5041AD2B34ABA01FFC09C71C68C68955B70B94520360118A54982B2A3ABA251';
wwv_flow_imp.g_varchar2_table(7247) := '2AF1E4CEF6048A643D00043424AEB8DEFA0350EEFC80C30F0109F24289230692A0220938A0C08304001051CA8A0C3860A0420080048050083AC68B2033B04D202F21CA200A19A1CC14032824B1C3202F9D984D3600361CC8094E4F600180D3329D09D481';
wwv_flow_imp.g_varchar2_table(7248) := '52AC4958C7222C91100B4372422678E4B10749C30C13C8300EDC40A49062533916002F383DF554001A94E831285DCDD40E3D66980137327ECC75A01F610240B4DEA419681C99B611E8DF6994A1E93D8922A928508892680A06821E988988AAB01A76200A';
wwv_flow_imp.g_varchar2_table(7249) := '103000DB85068AC991621FA244550050B588B861F38542220C1FF270204731A5FF98224440FD048014635997A2734F4836B8283FA32597380188820C9425DA95A67F8ACCE7C84C11B896204844B539D58CBC2CD7A21825CCD409864256D95E8792EDC990';
wwv_flow_imp.g_varchar2_table(7250) := '8309EA93CE88FA1D881E81D621E89C73C629531C00A899A8BD8201E073EF3E073A1180FF08320100081E7EC0D29EFEFBA20C2ECC8259228C2B7AEC98273894E837084BA405380028842864A49DF8910187C0843C244A04AAA566C7420A19B7879EEC2D45';
wwv_flow_imp.g_varchar2_table(7251) := '193FC181462762177920B00F9C616C82A4459253893C95C8F2736DCBE85C8A4A1E968619808416A15DC98056A0084AC87720EB6C8A445181D6DBA2A2B500780F1781CE54E79C81DE06209E87F881E83D400C89A3BF32C423FF08520A2A2E5C021B082000';
wwv_flow_imp.g_varchar2_table(7252) := '50800218D88026E643DD409E3610C90140490FC9C5B13AA1229DB86A6B9EE11CB800603482848C20F63257B01668111E402416A138061E1880111756847B8E999D644AF489197C0037D2A308E946539AE049AB69259448068ED23CDE25E4744294DE9040';
wwv_flow_imp.g_varchar2_table(7253) := 'D83B00486F649FF19B77B6E0030024C1054D990808064284210C242C86D01345B6F19E35904F205F6C810700E0BF873CAC8D6C1C0817B52844CF60EC810678206F42212A0074E21390A004473420900F34312290C119C57873214712047B47B463482A08';
wwv_flow_imp.g_varchar2_table(7254) := '009A2D6920188800066680231D12C40EC780C8F37A930A510AC40960425A6542228F699548720F8C08CD20E1FF08D5012002E76AA4132538BB49AE12224741CDFEDCD3884874E72A11B122105C6095473D842A12B9821264E20114B0310608BCA244EE80';
wwv_flow_imp.g_varchar2_table(7255) := '17BDC844549E10D5C12CB7C008582A0147418043E4D331440040759EB2CDD52CF2A4E14889730401594422F9C1DA4C72268EF82300C67000AC55C4094BB819844A96C1DE24864507C1112A452890E25504889F818003B3679162892A239B14A930059206';
wwv_flow_imp.g_varchar2_table(7256) := '803EE4034E80021D0451D181D486A4259AE240D25693BF44440500A88040DC4819AF68E17134C9442542A127488C819A308B40813436102300400D9E12A8403E219F1302A0902725483E01F0AD26A92E02BB7CC80CFAA9D599D86134F7DA2445D0EA3A00';
wwv_flow_imp.g_varchar2_table(7257) := 'FFE4244AA4EC0D574703AD4F3E24A613910700F2911BB102200119209C4598674491C895628B4922442EDA1B2E4EC1075B40234148318A8158D62293AD88128690451710E1A6D4E4C217D6F24D00DCC1B411B18A12ACF0CE9A802254EF49025F20F7B00D';
wwv_flow_imp.g_varchar2_table(7258) := '0CF62153756D0F4A13130DACD522C708CE5B17891A70A522157E3C802CBD243DEC1D80015EC3A41D6328111D1450A4865D99404E49906549494601A851AA5079D7F15A6469A8491C417AE0A8895481071E1169456600855C08775D30A2210D61B618F332';
wwv_flow_imp.g_varchar2_table(7259) := 'A6372BE02217710B46819022180FD9C6BE2A4297FA6CE13C13D99F02BFA997A44224A958A9C23BA33085242041203FA8AE59DBC8821D08E4FF9B65B8C3830472041D88E08D1411041304520C9008A7B8A86BEC1317B3E30F11440C42F40A4544A08387FC';
wwv_flow_imp.g_varchar2_table(7260) := '952113DD438E25D3648A312082B87CE22E31B033125BA40634E1418A3837DC87B829530C90E540A4C7A9E86A4F6C042191602005E2AA4024077B23881CDAB38A0195670CE1BAC21882EA97243C75225E1808153C0C6224F4C022B0AD2D7B05C207B30944';
wwv_flow_imp.g_varchar2_table(7261) := 'D04278414438904B9A7C174929EC6A451892D70E0A21730B3C3141DE790444D300C61481421AD2002D7B0943943D1B0E48100B33593200BA9EBEF24378C082AB8A240DE0D2EFD61CDA9BDD1D59CA30D91D4708E23DCAB80005000041B4F93793B7E80D00';
wwv_flow_imp.g_varchar2_table(7262) := 'C4084632F6258D71E8432003FFF38E19C0A296403FF59A00F0C0A407F2678134C50B6ED641C30090EA5D4BE4AF6651435025E284AE39E15D1401DAC073920B5AE4E4E05D3EB84D844610A885647B936C64600492E7876840BCE034F8446A8D1ACB65FCDE';
wwv_flow_imp.g_varchar2_table(7263) := '0B1403CE38D8398A8D59202067E09284609ACFBCC56C6F29DBCC1FDD26CCBE4220697A052ED204003B53A4AF677AEB2D4A06E681A4A21A03A939FD225289FBA86EE92127C837F1000747441D22B550456B5401B86F7C0300DC184837B2110E0094FD1B42';
wwv_flow_imp.g_varchar2_table(7264) := '4FFB37C281F66EB03DECD900C037E40E11B973231BDCB806363C438970ECC3D914F30322EAF34DBC402212A150F4E00DE18A892C02700F497BD9EB1E916CB05DEE6D07FBFFE5CFBE79B00B44EC04B9464DF062C95B4A5D208A76045E3A51EC81882AEF97';
wwv_flow_imp.g_varchar2_table(7265) := '973DDDD33E77A1B75DF3640F07DDCD3E203EDC010F7E385E89EA510F7A1C9F20C52FFE43C06D9DEA54C722D0AF4810C17D29EA3C3FFAD28748E051DF997EBCEC52FF10BFF8BB5FFE897CDFFC03B2C79ACDCFFDF4F784FD9F59BE44942F107DD063FEB909';
wwv_flow_imp.g_varchar2_table(7266) := '62108D3490F8BF1F00031049DAE61E28E21E0EB00005B044F6611F0AF0FF145020EC617EFA4A0013301EF6217E3A831FAA0F22E627223C100243500401F01FF601FC2AE2F9AA633A1E70045BD0053F43444CD0FD50030409A2065F100773D08E58500703';
wwv_flow_imp.g_varchar2_table(7267) := 'F00625E2077BB0334C50088BD0088B703A66F008DF6FFC9AFFB00997100AA3B0D9A4900A476420F8010B45845AAA50ABAC030BBFF00BEDE11F24500CF9E104B9F0A494100DD7900DB78F3A08E20CDB1072CE300EDF500E4F2A0BEF500FD13019922E1AA6';
wwv_flow_imp.g_varchar2_table(7268) := '0100922EDC000010F7B08492611A00F10F93C110CD0A0483B011235107D3274E70C1127141166E616D241149D207178601E7706E4D3891144BD11465221882E11782217D1EA2154F11496401177EA1C5FE43166451166011753241177B51309CF00973E3';
wwv_flow_imp.g_varchar2_table(7269) := '150522099C691822420DD1D0097B23C172F18AAA600792601464E11786D117AF111B49AC6D04621BB7511E207126066615671110A86020AC42159DD114DB4602EB1029DA63130CE14472911A75B11E92FF1135E86D0FF72A1B3BC31CC8C41C02924CFA51';
wwv_flow_imp.g_varchar2_table(7270) := '4ACCA11CCAC120D3A11D00E01EC05124EA3122C6081375511DE8010B09520AF9AF05D90100D221167121C122C21A2591231F42236D2218D4712036211BD5814CD2E1243152267B901623E2176421C1C0A117F991325A91170562EBFA511DFEF1144BB22F';
wwv_flow_imp.g_varchar2_table(7271) := '66920A55121B1FC70BDC2137941223CB4120D4C1210DD13AEA632191120A056722363112EF207C9CB233A072209EE1264752128D8028B1311AB4520ABDE0107E42225CD214C5F2337EE116B02E1B3DB2178901007A2F22FE311D98C12D33651ADA7292BC';
wwv_flow_imp.g_varchar2_table(7272) := 'B23043C2A490721B23B148A41200EA461ECAA16E8AC41CD4412A3D7221E95232179326D8FF612DD712008A8420F8B23768CC174DD3281728247BD11DDBD01DDC011EDAA11D6AB31D68B31DD8011E6A131E66D33775535AE0E131711019BAAF3681F33769';
wwv_flow_imp.g_varchar2_table(7273) := 'F33793D334A5A431430800101334ABD33AAF5308A7A042008025A7D314633337F6003BC753017DA917514684548118980117CC013CC95335C9533ECD8F19B2121B2341150C8175E4673E2BA2162AB13F0354403D431AAAA140097110DD66401F82C19641';
wwv_flow_imp.g_varchar2_table(7274) := 'DC944119EC73415B100C2BD4422FF40B2734E4A48F033574208AAFAFFA8A1FB4CF434BD4444F34FA40B01F8810455BD4455F14466354466794466BD4466F14477354477794477BD4477F14488354488794488BD4488F1449935449CD0F2AFF96D4499F14';
wwv_flow_imp.g_varchar2_table(7275) := '4A89F400673420000021F904050A0000002C0D00120042024A010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C485161250090CC55DCC8B1A3C78F20438A1C49B2A4C9932853AA5CC972203E7CFA5ACA9C49B3A6CD9B3873EADCC953243F';
wwv_flow_imp.g_varchar2_table(7276) := '81F77A0A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A6D880F405083570966059AF5DED5AD1DED85E4F7B360BE7C53D3AA5DCBB62DCE7E70E3F2CBC74FEED9BB78F3DEAD1BB76FDC7FFFFC0A864BD65E3F00870FFF24CBB8B1E3C76511BB9D4CB9B2E5CB';
wwv_flow_imp.g_varchar2_table(7277) := '0AE50190A799B36778F24073064D3AB4E9D2A8377B5ECDBAB56700A4E1C99E4DBBB66D780271E3C6CCBBB7EFDF4D350BE4ACDAB571D7A28F2B5F6EFAB4ECD0CF639FD64C1AF6E6DCD485C3364DB0BAECC8C0C38BFF1F4F7EE1BF818001005ECFBEBDFBF7';
wwv_flow_imp.g_varchar2_table(7278) := 'F0E3CB9F4F7F3DFAF302F197DFCFBFBFFF85712136D88083EDF38F817E2148E082FD1868E063F6F013A13D07EEB30F64189685E17F1C76E861657D09C8E088249668E25F819528228103C1F5E18B30C678548827D668E38D35AE38988C3CF6E8634E34E2';
wwv_flow_imp.g_varchar2_table(7279) := '28E490448EF8E39148265952904536E9E4823A0AA6E49454560911934FC2954F5F7C6549A49560862926425E0E08583F819D99E0816C9609E59870C649A59B7D01768D3CF6E0D34F38EAA41897836CFA49678872166A288F83C2F58F3C5EB0E30E28FF70';
wwv_flow_imp.g_varchar2_table(7280) := '00C73F86C105E8816425EAD7646A8871E8A7A04E846593FCFC038F27F4A893493F7094D14FA596B2FFB98F57686AEA625B5488F184404F781AEAAFC016A4E9A2A9D0C3CE2DFF3CF006A57D21B88F3CEEB873CF3EB50E2A195B4F9CE1C5407804EB2DB0A3';
wwv_flow_imp.g_varchar2_table(7281) := '36B92828F9B013C93D63A0C1EC9F08A6230E3BF22868ED61D8FA0A801DDFE60B6AB8458EDBCF3DD9FC404124AFFEC9263CE560930DA6B6D2AB961A02D9E188BE141BDA9E7AEAD5A731B1F200E6CE3FA5D6B91E3BAEF801A985296E0C1FC6EEE5A79F54F8';
wwv_flow_imp.g_varchar2_table(7282) := '425CF1CC716E5AE63FF4A402CF3FF9AC37D8A2ECD0824726F6D0232F9D93D95108CD4C8769B397FFD4E3093C8A0A5AA73CEDF8E1872DEE5C68B59794B9B10841A1346DF6914F3FD9F3356554F39E5F51A723CC1B94F0734F974D46792D5B4A13FFF4C9D9';
wwv_flow_imp.g_varchar2_table(7283) := '8023CAEF903DBB4204A477C3D38E3CF4C0BD4F3AE984C30DC34FEADD56B77D07AEB9E0017AD9332D4980D2CF33E28403CA30DD583D973BF0529EB7409BB665871A788C9D9023C700903B00DD02A0C622DD02BFF9F094A5ED64E1A19BAA4E39B730F3B160';
wwv_flow_imp.g_varchar2_table(7284) := '80ED43F5854E1214FB5A4BDF9B7D42A17C3310EDBFE321FE40F6126FBE549A969ACAE1818593CD2DD1340E7D3FA5825C798B84625FD0C40FF50E00F06393C21100F083F351A91AD780D1E084748F7F182E15FF08C7356E810CAA11A82E5F1BD2B5AE3795';
wwv_flow_imp.g_varchar2_table(7285) := 'BFF10E5F63FB9B0709F28DDD15646CFE0380149A4010150CC180304CCA027154AA7288A31DFFC0C73FD4418F0CD6096CF8BB555AFF28A110FE15C484231C88F000503E82A42086501CCA0C8574A62AF2AC61D7CB1FDF16F20E81946D218B5083CC52F003';
wwv_flow_imp.g_varchar2_table(7286) := '1508640251F450357E34451A9E852CF5A0073EB684C500C1CE8E69F904FFBA95C28284827F8EA01D00A220C6F1D94E854DE0C0404A70C60C30328D90B4491DE9978F39E20D8B77C4A35AFE363B7C25A45751B0571494E83F35CC4E214788C20023C9CA95';
wwv_flow_imp.g_varchar2_table(7287) := 'B4F1468262CC244735993E22440A0551032E2306805D58C31704B1C627CED0CA62D2E4954452D32CE9C5C1B414C276873CC8AE0C224681100200C530A68CA2E12364D6283ECB4C8C16DDB20854447320D344C83509F20E7414441B05298423E44911739C';
wwv_flow_imp.g_varchar2_table(7288) := '0300ECD0E65298D1FF236F86F34B3B9A8C2A76611056E0C10E8B40A826FE67103B58239B03E9A23500004F6F08648485E0434623628E71A8439F20B5DE3F473ACEA8E8A217BCE0854054E18B5DB4F4A2042D08415961108B12C4A600B0063906A28D5D2C';
wwv_flow_imp.g_varchar2_table(7289) := '820F0201AA44D6018075C883A821352649271925874945170431864126BA8B9822E40CA88828002CCA8A890A6417C6F0461707E2D58DCC631DF3984741D6B10D0074C3AD0008475B933A3C7F2EF54696F30D300952D524BA93AF02912A004E21D8BF9E50';
wwv_flow_imp.g_varchar2_table(7290) := '135995083D0C020EB8D2358676BD6B8EA4A4167088C21906A98540F6DA4BCE12541200A083428C615585C4B4B40B59473C88BADA780844230000C72DC0F1D6C7FF9A2FB2923551268598165268A318F0CC263C0582D983705620A0E52B6903EB1095A614';
wwv_flow_imp.g_varchar2_table(7291) := 'AC0B692D5205E25A83284320CA2046636D7B3629E5D64D3A620B2906025C8816C4172A1548594B025D8190011A05512B42A60B80EB12441AD52807ECB8FBA3DD8C04B7DF355278D902516F94571BF02C2E0038DB8C6600C0C10CE1056A0FE20C639076B9';
wwv_flow_imp.g_varchar2_table(7292) := '10A1EF426ABB37FE7AA81EE05952E7020CC46646651900E04536CDBB1005FFD6190A3E48338C01E186607820E8781941D6A18E73A8631C1D05C02D3C31906ECC752DD4F0F049424C1200D7882E775BE66E2DE30C6F68E318C545EF718BE10C2E1324C632';
wwv_flow_imp.g_varchar2_table(7293) := '76487B01E08C43A842211D354763D58C5D828CE2FF0F04D1B151B6416700B4F5AD6DCD4692950C92C59CA461F7D8523DD0E433A652B62DAA48AF41146D10076BC31B263C893ADA9110716C83C3C418C81F368D931CB8200739780835B231106900401AD3';
wwv_flow_imp.g_varchar2_table(7294) := 'B02F87F94C1103748B1E644189932F4868C0A8431CE22006602E99A8BCAAA51503D904B011D28A5DB07420671688458BE10BCD2EC4A2C6883139869B9074D8732097964637A4910D5313A4110519854D3AE0037203A011E3F07642BAB15D706C03D5DEDE';
wwv_flow_imp.g_varchar2_table(7295) := '869EF1BC8D518FDABEAC5E08020402E294CCDA4CFFB84536C2918E4C64E2159E2847D4788DB4434FC6120219B6B0877D10826AF6B704E145B21DE24E6F58A3C60FD604C4D2310E7034561AD2FF488632927190600CC4BE44A6890F10420D142FA4B1DB00';
wwv_flow_imp.g_varchar2_table(7296) := 'C79E13420D53EF3CDF09D9374BFEFDB36CA40218A0404636B0910A1CCAA31E74B1D56E793B994D0CA4159B4045D60D42716C0A84C5292E48B119027281A4E1198EB52F2EC45D10331822120719454C306613513884CEE210C85C8F5C90EBAA1BE80A79B5';
wwv_flow_imp.g_varchar2_table(7297) := '9F4133F790101D6EF4C88638D4E10A85FF231DE580073DEA1165A93BDC32563F8540AC5E10CDA738D90DBE3A4234016C5F38B8158C06806009B203ECBA1C00B800C045CE1D878134220E701F081AD0B007B6EBA4AD3647485BDD3D7C85E09B1AF8067C41';
wwv_flow_imp.g_varchar2_table(7298) := '32C03B00C01A003FF1AF480ECFA57ED0231C9970C530C4710B71D8C21CFF0834FFC3C136A0B55CA1A10281F82104E2F9880FC4128A46FD7185ADE281D441129C1748FD1332051DC0FD16B697102CA77B6550066F0000A9B05F36E1025D906E7C470AB250';
wwv_flow_imp.g_varchar2_table(7299) := '106D35810CD1733D575FAFA77C92346259920FF4500ECCA00EE6100EB7F00CAEF03174317E52B7162E900648300548301069D04411575AED3758566755109652D416114CC003497080E02610C1908100E009B327106300006860803DE103A1F67706310D';
wwv_flow_imp.g_varchar2_table(7300) := 'EE766AD2B05D0B21851A7813C69325F0E118FFB41649A004494005009004535010500000752010EB876CA8B050A7805EEF9762A957112DB0107FF0066860066870076E800600F0066E50068508006E0000A2031633E10233FF9710ED6610BE575F945810';
wwv_flow_imp.g_varchar2_table(7301) := '3FD712422010E0560680672B29C218F9E015B0463F2AB882BCC10300C0040A6109F8575CA7007110B77A15E1013700002E600467E80205D10702016700700704618885E8493BD1010B210E970800E3806D937810A9261366781040C067E9E33320938299';
wwv_flow_imp.g_varchar2_table(7302) := '922961581EB0080092007114D70A5925096FC8107B708304E10103D17A2F04003B90034A106ABD185406C1899C481426676700B067D4D05855488103010EA6B60A0C618426314A0201080000074C0874C3D20FE5700DFFD00EF5A38DB2144EE491066980';
wwv_flow_imp.g_varchar2_table(7303) := '1065070096C07984707F9B208B0ED1027908043990042ED07A2B990457C0905A8308E333109C283343B15DCBFF080089808539776AD9C0777CA713501005DB92105FE0615D282EB4E007ED800CB6F00CE9C03375719152461E4EA08A0ED17E92500782B0';
wwv_flow_imp.g_varchar2_table(7304) := '09A5E50DF977101E90872300044350042EE002300000207086836808BE9888030108B5A7138F0800773910D4C06E0A919349B88F3911056B484C88D07C03C105BC63088C20888F959444522AB7E005028708A9A070514795F37279E241061BD91116D583';
wwv_flow_imp.g_varchar2_table(7305) := '05E1016D690323301040600304918702010902614B3B919790989306018000D005571004470900E7B7136AB03442858806A104042121729646DEF5243893096F100EE1500995197E53A98DBD1650BD310669281053A08A534006C4C40B1D4910899510C5';
wwv_flow_imp.g_varchar2_table(7306) := 'FFE00D9AF5094B28101B00001230102AE0026809042AA09A02410400507BBF4910B2200AC1305E35717B0FA19002A105C2F9422ED09631D002A859102A009F008096342106884009882097059184E709528E994CB75006EC500EA9C00CE0978DD2394BC0';
wwv_flow_imp.g_varchar2_table(7307) := '210650B00700B007F69206E508000B55107B2009771871C6D00AB5A00D85291018A00102A18E04E102400002ADD702200003F2C9900711942B2101BAA88BB6688B20E0A40761462D509A6C599AD398A5A6491049D08E37D13B7C708000E007006008658A';
wwv_flow_imp.g_varchar2_table(7308) := '087080074709774E952482B0130F990AC32082E2A04CA4588AA6F814F409005F3006BBA410C424105849104EE091E8287A0621092F4A1035FF00000F4001EB2910793804666402563A10C2691006991920E10244C0762820106D99103A608B4000A4402A';
wwv_flow_imp.g_varchar2_table(7309) := '1045E0A5004086396005AD7A05BBA905826806BAB79B36C1077020A603C1AB743725C9A513193A24ECD131F7408A8431A20D577E500101F2D99A04919B001083B808004D8004A88803040105C17A10872A760291040341010561963D3A1026D002687410';
wwv_flow_imp.g_varchar2_table(7310) := 'B1070B6BA58024318D00209A0050AA0261AF51AA03B79803489092991AA0F708005A5006B62AB00201AB0D9913BDF3060CE9AB77B07B00708F47E0AB4AC20AA225AC89D21E683217F493AC789A25BEE6143E9A1065F0048A34AF0010AA00C003A86810E8';
wwv_flow_imp.g_varchar2_table(7311) := 'F80ECD20084E4008DF0A1145FF5010156002665410E5130CABE009A340902D821E9BC1641231045D0A04B6AA8B499092E27AB055A09B037105047B7E5A0000081BB18C0900056B10B8BAB53B91B53220104F042682F0A6704A7D22638D57E4B124051509';
wwv_flow_imp.g_varchar2_table(7312) := '0001125005000A00AFA0100F50103160AF00B086007008612910A07910D79910A8E902CF0A0040F0AF08310AE2A69028A6566D2A0F465B1145D08C02216E95100995F09700907B7F30845CCBB557BB056880AB04917B028184ACAB12050800510B00CF4A';
wwv_flow_imp.g_varchar2_table(7313) := '011050288270B118CB816AD343E512183B7399CA4AA24FB19E14A0046FE009AF600BAEF01009000042271048D0866CD8AD64B6108DAA102A40044030B2AD9AB009D108FEFF691089311C95FB105E6005450900BC987CE9E058493A10C9100C9956103187';
wwv_flow_imp.g_varchar2_table(7314) := '8415DA10A23B12B40B010F90B706C101279B02B54857C3420F757A0FE18033B4A00E7211BC99A928F4931670F70A774B107F80980211A908B10431981060561021A0ADC08810A8B9B305F10565D007AA906C9BF0869D00000A99BF7B539C14F17636BC10';
wwv_flow_imp.g_varchar2_table(7315) := 'B18785C33110EB300E3D1C11B8B00AB177109B2BC32051BB00C00112600204B1A70431065C90BEFA548DE6800C25130D13842A818199758433BBB6141010B7713B10645AC1640AC360AB101C70037C3B1092E0049D991025909EBF08004F40011180C405';
wwv_flow_imp.g_varchar2_table(7316) := '41AE588BA4C8B60967760810570670B6B901E95A93CB11AAFF2B10B9F77631371008AB05626A08E2760BAF170E1E45108C53543C7C0E44E563EB50780511098D100975EB8B2A310656C089509CB55652A8693B280D640B6F900A996008D9907D1DD31898';
wwv_flow_imp.g_varchar2_table(7317) := '24200D440C7FF0C54CA1C70271C602C19065C0052AA08E13C0CC0EA10702E104270A7104F1020B910019B0C402A102A859BBCD2B10056B056370087B60077B70A102010A03610EEB10180541B91DC19A036108660A0058501039808B4E5AA00391048FD8';
wwv_flow_imp.g_varchar2_table(7318) := '8710414744388F7170805AC005B0BAA71C4001DF7C12C62C105550AD5442063D518DB4F007A04037DD800CBA2617E1D440B7000AC0D0434E81C41290048889A401FB100640000440109E12026E681032FF30B603A1B2001001E80A003130100F80C43610';
wwv_flow_imp.g_varchar2_table(7319) := 'BBC259044A500440000485EBCA5AF8AB1B01677DF007BC48106F0767572B10A166044EBAA769B9966C591023E0028CAB10BE98034440A4492C01794BCC2891098F5C108840C34982010070003A7D4C19DB0EDDE03EC0D0A1C8200F5CF2B16532CBD9A00E';
wwv_flow_imp.g_varchar2_table(7320) := '9ED033F5B014FEAB104550B603C1BD049100012010FBC6D502610434F8BF04E1BF1C90AE3030AA03A1C100E0C404610451CBB8437C12037B0563507BB61A0744F607950067056B06B30AB6AE9C92407AA9E52AA50441C70D4D1030600340D07A6328CE18';
wwv_flow_imp.g_varchar2_table(7321) := '4CB115A1CE9EF04502F1A7543203B07C0033C085C3021F7F8D497131CBCCF00FE2000AA5FF52BE4321AF04610342504006B1AE07F1D206801013CB90E2260B5B00003670033040D906E101A2D9D30471B2E78AA902B196D59AA9F55C12F44CBF53E00382';
wwv_flow_imp.g_varchar2_table(7322) := '887BA92B7B6D6D1068A00503EB10F12810562A9A12C0D59E0AD1BA19B06F008C6F40A669BC119E000AA1000A9E9009003040038E24723D031880010720D76F612BD938200E5C262BA2DD80110EA9502A4921DE0741DE36500409FA118C496A0251E408B1';
wwv_flow_imp.g_varchar2_table(7323) := 'D9F6AD9EF8ED103A00037CEBB927017720A0036DC9DB1561C4553D10928CB5084BD40AE1C723ACE11F110928EE4595E0064A904E53ACB63F74572B6215FFF0948BF20FC80029E0AD134AC0C40A31D429300114E0014B0CE48FEDD203FF41C7273D8B06E1';
wwv_flow_imp.g_varchar2_table(7324) := 'E70C91BE49000403BC90C350129BE08B07F806EBD9C60781CA10117BA72DBA982B105CA0DABA390654BBD20431DC900CD1AEEC10855909253E26EBBDDE3C31ACC954358546A2D91D70DD200EB92CA770ED145C209C4A0C00E46ADE099100DF4CBB00808B';
wwv_flow_imp.g_varchar2_table(7325) := '8A0908D980E40C91D88E1D11AF1BDA45A0DF22B10971E0D4BE88AB3990863E30059EAD690E810BCAB0A906215F0BA910A21DAE07C1054F5B054A108DFD7328070000EBAD01FC6DD758E4434CE5CBFF000C91E0099E300CDBBD58B16614526005B1EB1108';
wwv_flow_imp.g_varchar2_table(7326) := 'D0D202F1EF37EBE975FB1026E0018EBE0112C0C70811F170168802C14D2711D500B00228108357DED8E7EE8B2B6E1070FF09778B0C00C4E0726FE5EE70507B70F0073BDFF37569E6D8090446308D1D3C10F65E0549300665404C497004476F1028FC06BA';
wwv_flow_imp.g_varchar2_table(7327) := '5A1049600B53626DED7BEB84E226BB5E2D23552AE29009FF300CB4701129C814EE80101F050022F8511A914F05219B05610E5B2F1072BF111A610E70DFF60A41699486127EEFF6842F9B1E75F81F457207E1C309C1F8D15510F7844F92AF8C933F10EA70';
wwv_flow_imp.g_varchar2_table(7328) := 'F706A10EF994F702D1F6E930F804B1F935D3A6D42D44208B3FE1B5404DC54C2336E741443F670200AEB030FAD0F0FB41FA8687FB36510FBC0F00877D108B8510F5A00FA24CFCBFFFFB114175C2C24CC2EF10CAA4265B38E72E62242562373FE13392312F';
wwv_flow_imp.g_varchar2_table(7329) := '07517DF9FFD0FBEA91ACFB118AE24F1E735778C38FFC66811610F113C4DFFEFAA0FBD1BF81D30FFFCB3F22F6611F4CADFC4D2618A0D825000140E04082050D1E449850E142860D1D3E841851E2C483FC165AC4A7509F3E8A11F96DDCD851E44892254D9E';
wwv_flow_imp.g_varchar2_table(7330) := '44D9B0DFCA7E025B3A641953A6C07A03F9F1FB9712A24C96F9F8F1D41954E850A22757DE2C9A54E952A64D9D468CE992E74CA92B15FE0BD78DDD3566E2721ADCF72F6C58A153FBFD04FA54ED5AB66DDDBE851B572EC2A800CCCE6C6955E13D64CFC2958B';
wwv_flow_imp.g_varchar2_table(7331) := '6611C0570063C51E2E7B37ED5CC68D1D3F861C5932CABA76155F8EFAAF5DB672E9C43D339793B061C38931EB9D9C5AF56AD61109B786ADF0F465CB40FF5BE6CC578F5FBC7FBD45FB0EEBFBB5D1D9795FC6469E5C796375CB93472D7EFAE74D7AFCEED1DB';
wwv_flow_imp.g_varchar2_table(7332) := 'B72F1EEF7D37EDE1FC67CF5EEF89950DDE759E5EFDFAA6F604CE630F3BFAFC7EFF56F6CE1E5C6C7EFCF1C4F7B6883C9858926DB1F80E44304189DC13881F2FFE503032E84EAB0AB381B28BA7910BB2B8208C0D371C673BFFC61B6CB883F21AE8B8130D8C';
wwv_flow_imp.g_varchar2_table(7333) := 'B0451723748FC1075E746C420BE7C3EF9F73BA106080027A1C40000174D92FBC01674B91451A97647239061168522EFA8C3BEDB7B0762C600005B2D45200707823CCB7028BAB90C028CF443335C1E84913AE296B2333AC787854A0CE01EE142044F70464';
wwv_flow_imp.g_varchar2_table(7334) := '883E38CD6C3350411B637350A7A6A492FFB6FAF68B078B392E1040012D8324523031179AAF4C150DE5B453A6F0B148304F8BB29136A93445F1421DBB58E0820B147055C8102D35884F5415B3EB4FD446E5B5575F59136EB012852396BC308B7D6DA57D00';
wwv_flow_imp.g_varchar2_table(7335) := '9873800BE610608E47B250401700F401F42A64B735B65B5B7F05375C71DD4234D1AA2C83F3CA2E9ED5A58D2C7499761BEE768A4ED74DC7C5375F7D83C28BC21B63C2108C391698658E41C651E4826DECC98E5E24EDBD775F8927A658A537E9EB6D47012E';
wwv_flow_imp.g_varchar2_table(7336) := '78E4D9471E2181C8861FAA17E28A4F4639E5244B456FCA557B14E04707665E78647AED4D11559577E659DF72219649B8FA9AD5B2CE0B82DC661E8E827578AA95CDEB396AA93BB54DFF5197CFA1B6E83AEB5C589F6529C2F5D6A9C726BBCDAACB55EC9F75';
wwv_flow_imp.g_varchar2_table(7337) := '7814B26D2175D9E8EBF2D013BB6CBBEF6E312D0A6FB56AA67FE2590616C17B11A517C1D509892451CF731A6FC71F578F259C7032F928C252EDDB3874736DF05A7DEAD9687191F2A1AB71C84F47BD35C9FF11356C834457C827F1F8B1079F7C403D09F6A7';
wwv_flow_imp.g_varchar2_table(7338) := 'B34DBD77DF1B5B9DF28990F28875DD474FC8F4DF97679E5CDE1134AB79E9A73FF479E895A43E7BED898BF840E5B7073FFC88F221BFFCF209323F7D81EE61FF1EF2DB07E01E84F0A1BFFEF4EFC73F7F82D88F3D7DF9C50760001BC20E0010F020CD412000';
wwv_flow_imp.g_varchar2_table(7339) := '12881204AAC3810F84600421A840883447200E64870505B8410E12A4FF2603A147A100500F1296B0842631610A8712421686B0832F846151C867901932057F31C4610E4D923FF309443C3A0462102303122216317109F2CE3CC443BF1F0AD1898622DDFA';
wwv_flow_imp.g_varchar2_table(7340) := 'DA37C5FF15A48A54BC47468CB8C52D52511FFCBB16FC5213A37928B18C4A7C621A0365959BB4D18DA2631DFB02D49B7CF806741E191679F2D142394AE635AC335213D5384887A8231D1A44103C14B94878004091F268243B3298C176A843928E94642635';
wwv_flow_imp.g_varchar2_table(7341) := 'D90E4E76B21D026947061FD80E453AD291A54CCD3A0CA24A8270F221A174874ED8E10E0312B22D4A10C80F5A7483A54471842921A140D85493161E4433B718862B8CC0831718A10A5EF0022DB0710D6A56D39AD7FF9C26363C3105253C810A49A84236FE';
wwv_flow_imp.g_varchar2_table(7342) := '010F79C8831EE6444E3204328EE69CE3827009C740BE61CBA60C41054B628153204990E39888217C0A96B16A933375B8821894D8800618C08029F0800A9DC0C633AE594D895EF319D0F08418C4508525F04007D900003DBEA88F9FB8C431FF30C740520A';
wwv_flow_imp.g_varchar2_table(7343) := '916FBC0300E578473A0AD2529982E31CE018C749DED15200908320E5B00300B4404F9D0461085200C0102C00801400C00322180854E383D44220C211449107E7B8471582100F27EEB0C52DEE10810CD4E00454C0011242C18D6B4463A26DC52634A0318C';
wwv_flow_imp.g_varchar2_table(7344) := '4D8C610938D0010586F10F7A98EF788F31C542DAD00B839403A6E98029005A5A0E82B833A72569E9FF37D0E15381A0031A0319025151F284201C41204A15C2040A5282A63AA7092F2841410A2110465C35258D04802F4B12BDABC0C316B4B00201228001';
wwv_flow_imp.g_varchar2_table(7345) := '0D2041073AA04444DD3AD1E15A331A72ED031242F001141CC015FF9047F9483A19C63E4417DF10C74E01F08EC3C2749E03118750D02159C53624085FD8C24064A059873C01B300F02C414A608112080100A25D8E7D59C081825CD5B58CD0093CACC3AF5D';
wwv_flow_imp.g_varchar2_table(7346) := '25E41FF5B0852D921000061CE0004898820EEC700D6854E3AD13C50636A2018C3E4C2104BC25002DA0EBD71569952D3285C8230A525D71A4231DDF250838048253935CB6A7C72007658B615F8128610B3ED842100EF109F64664084F188210E2FF4B9009';
wwv_flow_imp.g_varchar2_table(7347) := '08A1BEFCE5B17296008012A416006E10881F003C104750C2B593297045A06B0B57ECC0C10EE64184BD008D673CC3C217B62636D0718B3EE8E003BC0D8088E5E13EF2E9AE6FB1A9AE3C0D826281AC1400D490F1A1C1115E443B24080040832C045D103754';
wwv_flow_imp.g_varchar2_table(7348) := 'FA0B52E00200F83090661499214F00B5402C708423B87720568E8F7D330000A402E0CB03F1F26AC29CAD7FA8C31695A0C09919800116E8800AC860339CAB590D0D6F380D0FE02D03F23C62F6F964456166CD370C3BE8970AE4A63306402F64BCED195343';
wwv_flow_imp.g_varchar2_table(7349) := '1CD45888127C808657D8D8C60971C3193CDD912813240A4B768E1068509027E061D3FD6544AC535360F340F71694C8F501767D80FF0F2CA10AC07E4671857DDC5858A1C1183840009E1BDDF2F9D97AB0C9C62D420180F02644DB04693441BEDDF1831C35';
wwv_flow_imp.g_varchar2_table(7350) := 'BD93060037E43A10720883C8EB66C8180E22045343E4D593A181BCDB8D104AB8BAB507710423EEEDA64DD5C52AF8B80523384000817F80001898C29AD91C8D6ABCF9C21986462DD2C08015343800B61871C59FDDBDC878831CC70000DA0762015758FB20';
wwv_flow_imp.g_varchar2_table(7351) := 'E0D00538429E90651C440A8F1E37009EF10D6E14041ADF3837CC1D820681F45C0A4825758B783C6F82AC36E8AE7675CF13A2653ED0A22D0432936D06220F5BF821E01838C1013CEA056040831954AFBA85ABCE0C640C6318CCC0865CB7890126CC20E27A';
wwv_flow_imp.g_varchar2_table(7352) := '267141B00719CA92FFA31804298241643C8E441F1AD1DA06F7DBA79188561B440566F8C5341072D9BE1FA3EF825748CDE5201029C07B204710C2520BE2D9A1AF26E7058982BD018008006C99B5ED3FC8CF9D672EDA8ED3F20F30C0AE5780011CAC0009B4';
wwv_flow_imp.g_varchar2_table(7353) := '303DD44BBD6A88866760066670B3D8CBBA3DF80027C081032080B693872F721FB4400DAE5A0D6D00005F20323B28ADB77BAC81D00544B3160028BE81E0065078B4CC7A3456CB0181F80590E28619BCBEEBFB3B00083CEC4B885733B59A133F884085C890';
wwv_flow_imp.g_varchar2_table(7354) := 'B782A03900582D81E8B2C2F3B95773044460BFB7C0BC6CA18A7F70075AF80203888085FA805DC380FF8306648806011CC0AA73ABD8C386583883156002276000FF02D82B7A681F9FA00A0C5C0D54D80563400531E025000084BA1B887118075D70A78100';
wwv_flow_imp.g_varchar2_table(7355) := '07C22A440028418290858D0300A3128820B082172408BE1B081BFB06B5EBBB5C008066300663B8434DD04182B8B42068BE467C82225488F24342D5503581C0328208BA2E8B458270832FABBCCBCB9C97689CFA68875B2803066BB0856A30248805D373B3';
wwv_flow_imp.g_varchar2_table(7356) := '3124C084A3266890335BD883154803262000022006BE922EF0A01BC9580082B0C38158843DB001817883B7232C82203E4434C18298866990835234886748B9BE93418180069553B981E8845A0000630845E01B3583383C7714882728453CE8B94F78B5D5';
wwv_flow_imp.g_varchar2_table(7357) := 'D2A8C7A081D4AA328104302F733F3CF002824004FFA19B3FA0A98C7640863F00C68113B828B085BE48B801BC866A48B8E1CAA65AA8022698022610B870E8877AF02BD7690D5628085D5A08309083ED03B9438BBB8128856FF04981F0018390856FC886EB';
wwv_flow_imp.g_varchar2_table(7358) := '2B087BACC72F14084BE8B47E1C489D2488205083C38B32FC92829A83BCAB424822738457C38381F8044D7C0B1E5BB5FE5AC55873043F000035288827C4452AD99C0971A46160040258A8030881060B012A88856700C3D43B496A224066A83A3384843458';
wwv_flow_imp.g_varchar2_table(7359) := '0226D8838592C9BEDA0839B449C7781500208147938481B0060008C2855883B2FC0286E8854023080B382F516384649806A6D4BB4ABCBE694006AAB43B00E02C3C28CBB824C51644889ABB39FF00F884231483C67032C64B08F763ADAB2A4E4D5B3FA2B3';
wwv_flow_imp.g_varchar2_table(7360) := 'CBE8B90F7AB8B508788085C28006FB00318885D7732BC39C866CB80662208602942B6840431D60823408011E48877E609F91B240DA7A8C56D946CD2C4D421088531008FD3C42752A083058833528882D20D0D26488A3220839683383F8057AACC1671806';
wwv_flow_imp.g_varchar2_table(7361) := '4728844DD88381E883503CBCB81C4D3050030F7D088304809E0B4EB92C884F8031B538BFFACA002188028468AD585B2D35284E0A653F3CB005281C28DA98075AF08407C8426174B029F08461284CC314CFB6228684FBC263808667A4012650CF69B0C68A';
wwv_flow_imp.g_varchar2_table(7362) := 'BB4CC9000381082A81F8CC83C08235C0020018500028CA81482F02FDA95B80CDFF47843759E83B6E9886CBAA040010821F70AF38854781B02A82809089C0855E2805580854C3C1A1DD04003CC8D2DDCC4A81904B136D4B255C0822533BA7E03127B3AF79';
wwv_flow_imp.g_varchar2_table(7363) := '2B01AF348859645424E403448003E8349596A04E384000023000813BB325008500A4A6849B8661230664B8056040866320063B98012660828E12A7BEB25296810CAF5C80440003320080CE3C0556D8858330030048AF6715533338B9AB243C8668BE2060';
wwv_flow_imp.g_varchar2_table(7364) := '8467E0066E3D373520828260063E55B784D0824C1388342808B40C065820885200D43F64167FCA1E39700439903C810003436D88ABD2B72D854546140822CB8563F806B4B483B204D884E031281002875D889C9B3727B332FF438D45F9BB2AF613033558';
wwv_flow_imp.g_varchar2_table(7365) := 'D83B10D55CC48B90A285324800543D80FC13B829A085BEA826F214CF58AD0664A0555B2086D2DB840F584F2F9882C90409CBCCC6C670044325018150374960054DC04900A8057440CB820853685D036905802C15080315087093B4D46CC484808669B8AA';
wwv_flow_imp.g_varchar2_table(7366) := '2F10021B00BF81905000C0A524280834D08232D0020415883168858308866038086B698332CD1E4FA0CBB1F4C9AB0283A0FDCA83284B83FC044A28DC97230835F832C41508813D866370844560D445C003CA4D8812684881808282C8DC81D03900985881';
wwv_flow_imp.g_varchar2_table(7367) := '78519FC3B7C96384B6BBBC3FE11B61A2052E3000933580ECC400C164596ABA05624852323C3D682006611806FF55388029380444980266E0AB8DB80792EA8D28BCB8B928CB05908552702F3D48033A48033DE8CC945308A905806745D38128CB14852FFB';
wwv_flow_imp.g_varchar2_table(7368) := '2A0229C82C000085A6640421682A2148823B784581203C742D88A122082550D70C2D08605006BA75578328C74E4135C6F8023C500303C6030475D481900235705B24F4AFC27504C6DDD4865003C9F54684185D827858848002C68358823054892C08B804';
wwv_flow_imp.g_varchar2_table(7369) := '80E6041E96A10A7A7085059BC6D73DD91050036028CFC3440662B80698CDE1689855B91A0648388034A80561E8845F8D430BCC153A640C6F70053708824400805210083D00002840D686A8043008D5815883935B0330F8822C9D86B643DD81F0037C1508';
wwv_flow_imp.g_varchar2_table(7370) := 'FF5710068438821E18086C20082B78E081F8822BB85F20408233D05F8158636508E0F7E220FA35081375AF2204BF5334351115CE7C15610C76880B964BDD1488B22C4E0BE0B12323C2014E8826883F125E3FF6732D3870034AB88507CD86758C8BB35961';
wwv_flow_imp.g_varchar2_table(7371) := '573081009846938D8024800484A33AB78A55C4A426F294D96180864F6000311862602807BE1A08920214259E8BDFDB4D59584481D8844320040BED0485288565C8DA81A8844490832CF5497090055BA8C7351ED18358E3DA04801C75832F40611C0480D7';
wwv_flow_imp.g_varchar2_table(7372) := '3B082BB8022EB882521C022410083B86043E36BD8238DF70D164B7A8484D3D0844C6CD8170AFB10C852E3BDC2F5B5884F43B812D88DD945CFFC99582175DAA56DB39CFB5324E26428170325873BFB72C842D1E0800CD532979187A48050E70E557260011';
wwv_flow_imp.g_varchar2_table(7373) := 'B80350C006624040D5A326987D86DB5AD2D6438658B0033BC8056810E611CA8766831D64868C5E480500F83DB38C0584F08120B8023B26883905805788E255288571255B8480CBF4CD3E0090598100D081B8823936882D90398298CD82904401A26A3225';
wwv_flow_imp.g_varchar2_table(7374) := 'C5A48A4BB42E683A05BF567304813D5C1146885A42080C36D4E21402A54ACDD0A2D3FAB2B221D4E8C4F6E80D260800834B5BF8056048055C1888F09406003007B2638A7E719A03F3040A68E957EE8150C8856158D263B4BA5865069A96D9D6E3E558E803';
wwv_flow_imp.g_varchar2_table(7375) := 'B9CA05C68243B1D33DA8618CFF42F00482F8855830E78208854648DB7B4608A3EACD46F04381B8C78250022B00803150637A33018730EE85B85681003684E8E70D9A0400F85FEE7BB40566E0EF2B887C355C465ED882608777C8C1139EE4892E4B3508BF';
wwv_flow_imp.g_varchar2_table(7376) := '9D0B2D4DFE688258B512584B2A7351483308550400E903806C90866E98317A6D8A3954DDFAA087D12E6DDD8A26233552D6AE865BAE86037C6DF2743D68C8855A800661B86DA2AE9FA36E5EC678500058066CE006745088AB02B0C13D08B72545307850AC';
wwv_flow_imp.g_varchar2_table(7377) := '16611D30028560CAF83D085C78562BF0015CA26BF1538111F0F1D81C881CF8EE5141EC28FBE7A7086F00082C00C004315D834645AA50EB723A85604A38C8099EE0B83CD4FF1365C472C84113BD608258043570544BB68014582A0E9800FD3E88FA4208FB';
wwv_flow_imp.g_varchar2_table(7378) := 'F2808278056218886ED806811074904AE5634E1293AA074F4080D236001328835C10861BEE8B3184590E47260F47CF583806608805DCDE0725C29DDD4E71B8A802E946085E68D682286386E0033F8083EF15678658AF811086736B5A7A6444E90E022E08';
wwv_flow_imp.g_varchar2_table(7379) := '02FB7DDA83A0DAAF2EB9177CEB5159B5FF9E0B4E30054578044E788440A0E39AABB928284584DCB84F70687E85BC92404E0E28813B6F2F00185D31A8C8202FEB82C8061963AC413F749045887C3084003080D7258004300237A0051A96D99244C61B7E6D';
wwv_flow_imp.g_varchar2_table(7380) := 'D77B3D61E0F462888558F00AEC8887790095E1E06DC82802FF543F8872F8060537884F5005E12C884ED838466E4A86C88481388650B00355E074910876838803007850781508273FF65121AD297F8B41E00400E0046657B13690768408636E8FD4551408';
wwv_flow_imp.g_varchar2_table(7381) := '317802A2EF54BF5E8828106800F0828D5DE784284DA4C2856EB0F8825086DFAE866D18879452867882C263E61DBECA040840807A47D531F083580006DFADE9313C495A95590F47865C48855A488550488574D8877B08F5D9619C52678CE0F302131E08CB';
wwv_flow_imp.g_varchar2_table(7382) := '9B087D3408648053F8AB53FB0A4782B03C830D8533E0640A2688B8D6D78408037D856281C86EB756AA163CC14189AF527CFAB5B879009884D4370877E584F18EE23630081D073A223354A51FDDF36AE0FF032E5788406083C00347B837E10F5A3F000438';
wwv_flow_imp.g_varchar2_table(7383) := 'B0EA84707781187462000775F0FAAF87B682E0ABD14E80B20F000AA8023E000660F8707F37CC0D4726D6F3F050808450A80550E88461C60E25228B122913E480E38960BF695608737684F8DA438398750000882600160100700CDAC18200DC00C052100C';
wwv_flow_imp.g_varchar2_table(7384) := '188505B1AC2968664D4485A356499C18644BC144BD3A922C69F224CA942A57B244C910001E3525F1B4AC69D354414E004471124552278059A674D944A9460A00310A8B592377D20E1F3E2A1D31F283B2DB3893F4B6951CC7AE285895FDC6F653F98F9E27';
wwv_flow_imp.g_varchar2_table(7385) := '0A0F1220209000D230607287317B162DDAB56AD5F24663460C1931BF743BF5F1D4A913A4FF7267F7CDBBB78F1F49B263C352AE5C32519793946A85E2CC5962B158C57249C4A65058C1230084DCE87183244372A1C4409108CD20C263003A392AA4D0B7C2';
wwv_flow_imp.g_varchar2_table(7386) := '4F2651DF06D0ED997185230B2EB7ECFC39F45A96F0D80120150070928C1CC17104FD24AC59E1490EEA88B3202CF327510997888A604A3C8B1655AFE9BB107EEB001CF1F1AE1F8E4A5991340E3D1D71E4C977CE4966163D993CF02005062010892DC05448';
wwv_flow_imp.g_varchar2_table(7387) := '975D795D13CD5ED530F32160C40C430C2D901C960924E2EC43CF3EF738065947929595208D2831230700711424864C127502402C2575261A691D314209232B055950910AE986905312D5A2D0941D8552CC95B9E4720C32A561430A00FF6D241246226D84';
wwv_flow_imp.g_varchar2_table(7388) := 'D10600A51434638D6D5AE68D42E8A0631270FE5905801F8E582515806E2A249E7825A5579229B3008093A10AE9320B51057D628C42BBB457102B8BA06299367096949D951D81638E42E3A803C03A05AD338F42E694DAD1280525E3674D0BA204593D9910';
wwv_flow_imp.g_varchar2_table(7389) := 'F000071C3C808021B6F80A0C8677E5D5615F2012232231B64482981B7728468F632F46262BAC347A4112222B0D191A9644E6128A44950040C94AA899745B310020B494449F5853A52F00F8121A00450A531C34DC0090088E60844142412484512DC1CE45';
wwv_flow_imp.g_varchar2_table(7390) := '69124D1251B55F920593D4A8493A89628A4F41013068418C5E0C4E29F13A5A9035EE02F0092AD62854322ABB2874866EFF7302F04E47DA14743049FCE957901BB7A9634E3B009CA3CECF3E2B140F00A816C45547DD80E3304BD49AC4CF3FF5184200051E';
wwv_flow_imp.g_varchar2_table(7391) := '880001AFC0D072615D19EAA557B17E0136222D7E4052480D632826CF3E2D3E362D594C43A71400A96404094BE92A445A2CC784221C280581BB5293C549A49B6E27F9F209967A0B3E1AE2D0DCC6CDE4B77569EE6DB4BC2237E72835E58D5334A354081F85';
wwv_flow_imp.g_varchar2_table(7392) := '24AC503A3EAFDA794114FFA9D07905E9020BC4CDC92B912FBB58834ACABBEC9232009702404849C21764CC29C6C8AC1039CEA8329D1AD415049F42E700D0F3A8ABAF13CFF6EBD8539039D697440CEB25397D523E56300083071E7080C01B5AFB3ACC33CC';
wwv_flow_imp.g_varchar2_table(7393) := '2083D75DFFD5DCF5A1FDC820030C32428108482022095408C759A2F5B6189DAF7C35E943415C81A337F489151DF144B6A850905A100900C538C66848F3A30876843483DBDBE124671BC4992414D600972F5CE8A4D1948472FA92C83700C08D6FDCD0813E';
wwv_flow_imp.g_varchar2_table(7394) := '0419002045129795C4123F1454476867A8F1640C6200E88533F4E68C5A3403002103C02E7C112F8FDDAE283223E2497CA78A82B8A3672A89478100B0B4A449A31B0000D5111B58927B58E10126709F071050855BB8E215C062862D6201B6BB44E319F503';
wwv_flow_imp.g_varchar2_table(7395) := 'D1FF86D189422062117C788238FEC13616B50D6E9339A27D00708BCD01205B05D1C44956E0C1508030712471852B0A420B85DC26167DA36147A01125FF84D01200C2105D418A912E177ECB20F54A61BE6E633892F4F01F30C224E74E8145E63153229B50';
wwv_flow_imp.g_varchar2_table(7396) := '8810CFA08E5211AD7CB17B58C6B2A9106AA8491B8E730600C0893B9375C4097428C8F224628C5D08D18A2BF19D4AD2D83D52C58368E2284937A4910D64CA512250A3C71110A0960D78E00145B0852B68710B62E4020E68D89021237A48FF114318C27004';
wwv_flow_imp.g_varchar2_table(7397) := '221C31863BA801816C73D10225222364AAC408822B08331482236BECC28225C1010086E44193242E1498A369496449CB83F05421DE00614CAD419A740175A626E186693AF28D6948E47B242DD83AA3DAD282C0096630CB614978A1B282E8631DF2A826E7';
wwv_flow_imp.g_varchar2_table(7398) := '0291128D95041CC148973765A6CB282AFFC463BEB006174FB24E926CD5732A9147A9E6299179880F00E4DB863214928C7060B29F0A815A3B384080B64040574448852B2A048C488C4107B68886FF90D13563FDCF160374441FEE4005684872456DDB8725';
wwv_flow_imp.g_varchar2_table(7399) := 'D9F4D492A8C62472A88E2450128B5A30AE24A481066A56A9106EE8ABA64D9AD9CC24A7539E3A051A3FF560299D845C58B2E41BD9C8E13E574B3054408A9DEC24493A0BF28EEC4A84171281C7EA989607008C372C9870C631BC0980B4A2A48A1D31DE324F';
wwv_flow_imp.g_varchar2_table(7400) := 'E2DECA80757B1D599D32C0510D5C544319D12D6CDC66F58F743C2000043000AE2000035044D6576EE8831F84818C6164967FFD1B862D68C10748940E1128B04569418A5A060658BAFF2A19664112D607FF90E4B7C339864549A2231D75C45CB124C74E7D';
wwv_flow_imp.g_varchar2_table(7401) := '39430F06A9941FD49B304C6912A61684C82676937713345F00C8030069941B506A62A844891334CBAB52924D325F5F188317ED6C537825328E7364832300202CF992C3CF123FED1FE628B08111F02013D02215A910462A74E0850DDF8BC29AE59FFF8081';
wwv_flow_imp.g_varchar2_table(7402) := '6731F061C588D80088E5E1226991F892476649220A52893FA8628C9DF0452DDAE9625B26E424A96C6D49CC451CA7F4B02008C16A2E4DF9C18214555D384607E550FD68A62D59885986A65C577B894371621294A9C51465A68DF426CEAD2DB97547BEAC12';
wwv_flow_imp.g_varchar2_table(7403) := '48299B24ABF28A42C8170C708CA31BDBE84660D7EC6800A8B6205023FFB0810F8C8004C0E015764E85174AA083235002B715AE4B6605ED882720820F88F0430412BDE8902A64A4B3460934E634DB4F484212C433E21E0ED1116EA186A7F7325CBE480208';
wwv_flow_imp.g_varchar2_table(7404) := '00E0289638B44D708F2164934C694B0AC930006C718B82BCA28F810BC52FFEED276DCC77C9416C4692AB4C92B9B6E41CEB3847F8CC21A0E75CB3259850844654E10C5E007BBD52E2852FBCDB0C97DB64E9CD34C97557320E50AD518D8185A345CAA0ED19';
wwv_flow_imp.g_varchar2_table(7405) := '95854D64F97602026000032C16012688EC2DBC10800C448007A9C0AD9F2DECBF610C630C5E20201FDC906F49EEFB982265B3CA250246929C0294CF24C9086D7C0CAC22E736F70200724812B8581402820AC9E137FFA091437DDDA6B826B1037D70761239';
wwv_flow_imp.g_varchar2_table(7406) := '80610D380A42419C5BEAC03B275DC648BAB2C5E974C19B84E6293147D5B14EA339B004130A2145225A51105E8CB123C84E4915BD7B7C92307DE6D6705C494085B48248C3AFB31EA98C2403997210C0C063778B07FCE08A313000010738C01372310C61F8';
wwv_flow_imp.g_varchar2_table(7407) := '1919CFD0EC84D78F083520021185F0420480C17790FA7D4D86FD378A95041BA484E3198EBEE80B25C40271E042C348C4E6C0D4C5E990E669DE317043E238C531B882186446160040071645A9650337E81EEB854576DD5AF3CC5C410C1E4A884F56A8C3CE';
wwv_flow_imp.g_varchar2_table(7408) := 'B9C9259C4779018022F8DA4A4C9CF00140F139537CB5C2F22D8533C45558B49C429891422C8D3420FF4D74BD0A008C028280C96A651F158E05D494430084DBD899DD0FFC80011858009C0023D882455994FB1D92FD485821B8412138822354C101E89FA2';
wwv_flow_imp.g_varchar2_table(7409) := 'B10DBFF91FE0051E6FC55AA9A18334A414C549212BE1868E9144C49144105C411020C5B800000FF4C0699C8405A2184800C09928441B2C009A84C102A8049171830896208DEC6047549937C85C4A08DFA824214A04C377E0A0444C02D09DC42488551175';
wwv_flow_imp.g_varchar2_table(7410) := '442B6CC20EEE420F9284A6B4047729843628DB298C414748833204162EFC022E488499B98A1392541552E11566E18111C081C500052C16D91D801774422EC8052DD0C28491A18800432ED8021F8C81237C0225780101249ADBD421B7FDDFACA1FFDA1974';
wwv_flow_imp.g_varchar2_table(7411) := '4430F482EFB58A93749EBA000018A11A8A2148459CC43124155868A2429A49470C8C4924555211D9F7741B28A644921583CC68917C0163107584353483CC099F34A48E42645B412C634798E473E44179A0442C92841115444CE2222E02C02628934A8093';
wwv_flow_imp.g_varchar2_table(7412) := 'E300A12F2C0FF1A4049C909342B4C214A044AB34422314841694C41F9841E0C45134CAC8346AE181A5C0FB200003B41D1E7442389A632C00C300C542247882D608434C98C8278C411C8658DBF4DF3CDE21EB61D50829841B950439CC52C0991AE5280436';
wwv_flow_imp.g_varchar2_table(7413) := 'D81093904B4A00A6ACB504260ECC259EC9266A22006CA24964034256A44D9C82F0F4205B251B0078C39299A2447883315843B375FFC4334AC41F2884194047790C60515C41471CC2E1F9202A8822009C426B2AC47CF1027C75842A102149DC5A0D004035';
wwv_flow_imp.g_varchar2_table(7414) := '9C6451BC811958C1D645653F4C65357EA1FB905D04708017204228C8052850822DE4422AD01DB008432E40831AA8015A8E8101C023FFA51664AA52EA090339FDA244DC12C6E99044449EBA000300C8679F1404202C6326E40D059A441868624600C07F3E';
wwv_flow_imp.g_varchar2_table(7415) := '0409A801EAE9D03420557982C5A53C93F0ED601569264AEC421076C41B00002B8E9C4244C2498C4224C4818EA0816A7ADB4A001DEFB1A422F0DE4ACC411F102700A4411A142549C4567715846C82525DA9042FD4416CAA442BA082249CC112A084322C43';
wwv_flow_imp.g_varchar2_table(7416) := '451AA764E4C33F60FFA1167E210564A30144C00FF401256889232041273C8319D2DDFA6967F484426F88010380188B8C67A351640996C3E699848CE6540FAD1E373CC3EA515C45AC4103AE4430C529007C41100C810528220004810514A8105880102884';
wwv_flow_imp.g_varchar2_table(7417) := '2C24A865080F28F1022E02611715442BDCE81E80050F901C0024655292042B4AC41BA04119A0C11B8C8121C88D0B30811120814230414A8C112ADCA42588624C2A048402C02108424CB6826E160415E8000FF0401168C16832A3448C6A41DC4149A00134';
wwv_flow_imp.g_varchar2_table(7418) := '065834428D395023D91D98043C808444803A121015704006BC9D455118DD3D9C1BE0412874C2233180FE8D29A3FDDDB625A83068430FDE2821CE4930651EAAE9FF8B693C0336445E328042235042A6C69444E4614E995A0EF10117A44641C8844CE0C1E9';
wwv_flow_imp.g_varchar2_table(7419) := 'E0817F80418F74C433E816A24626002C9FCCC5D529D4C19A86534D5442333E612400C21FFC01B2A201310240C99AE61CB4A449A02600685D4754018C16441A4C2AF1ECA06DB666D2319F656C800900800AD84049106785BEC11BF441850240D1BA011AB8';
wwv_flow_imp.g_varchar2_table(7420) := '4119B841C102D82529EBD70180925AE3B37200040400022481BD3D4106846D0FE48219F6D9FA1D432E88411F7C822388C11384E9629029BAA62B64A682550C0370CD8CFDE4ED9D16225F920436301536740924A6440EADCB9D981E002449228001238001';
wwv_flow_imp.g_varchar2_table(7421) := '25C841E4E2489DBA0253BD299E4EAC492459AB9EFF822A0851AC3E2A4716C41EE8414BD8800B000100B0A85296C41DBC811B24ED77CC8158D5604990808E6C4E934402DE682800809A49F86841E8262AF08238F1C284B2CB4AB8401100401268C19DC001';
wwv_flow_imp.g_varchar2_table(7422) := '1C202D00186BD37A2AD39E2C544EAD9922A99292DD171240AE04C003D0DB116040D8468011C8C5BD982D34D48218E0C0227C821D4CC112906B0289187922AA7C7602423E892DE18B0ECDC90DD9D030216452E1692A1013E006E6221E49255402B9E008B9';
wwv_flow_imp.g_varchar2_table(7423) := 'EC6B2344F0BE70832C645E415444362CC3636AAE44E0E4266882AD426A8D2A5CECA553F3150571FE8121DCC91BDC41ECBEC4D3226B65B8AC421424004C624178C22A688EC42A442880C20217FF8413D4864940282158C22E5459F1321D19C424F1E9A60D';
wwv_flow_imp.g_varchar2_table(7424) := '8C8044B4000028C1EAE2B0425C874430ED5319698035ABD85523016C000798C01378C11D940003A4AF1AE09645498E451D4327400113D8C12150411AE800FE9AAB3CFA1B6422C8094517E5B8CC9C9852C035B25FBEA7BD4243087303865A06DEFCB04444';
wwv_flow_imp.g_varchar2_table(7425) := '5A4988CBA50A4E7170C32F0843259442325083D58A304CE28E4278976C02C0C61684BB02C0A47644AEAAC41F78524124EDD396811A681D2E3BC7172CA549809C4420022324497EEE8744A4414A58828C1EDE67DA040C5C3149046D8292B115BA591682AF';
wwv_flow_imp.g_varchar2_table(7426) := '8145C0113C4112DC011F44401C6F0003B80137D4B1A0DDCB31A8C21240811E94FFAE1330010688698B9CAB1DC2650902664120B0A94DCE0E15C43500405F1604374C03530DB44928C33430744A11EEBFEAD07F591C4AF46B475C704720F40186C4324C34';
wwv_flow_imp.g_varchar2_table(7427) := '2A2BC4A4D281C229843229DC2EB442AC6E021DEC014E4A84369C134984C04934AF0DA8C00EA82E49E041A74A040E132B58044110E4C0103C01179B447EA65249F88154FCB2449C00E906CF1091432C9F1328D9040874C410687141A4407962733F78EF36';
wwv_flow_imp.g_varchar2_table(7428) := '1F589CDD8011D01B22842D5ABB013B2F8BFA0DC331D4C21938C121B40221D001140472DFED6F098668497C4308D70D008C65413482EF4A841CC4C161CB81E9296E4A14744714F063DF062518C253AAC40563B4A401C03E31FFD52D240252479799226A12';
wwv_flow_imp.g_varchar2_table(7429) := 'EB2800B8DC5D7A8C7769C35649026CAAC4556BB542583308A4004E8FE668CAAE4410368284C50854400BA8000000810A08B751938B27691DDD7C814C3C811DE09242EC2275A9444D7684E5910408B4006C7FB457E7C31B85F5B322800C2441195042191C';
wwv_flow_imp.g_varchar2_table(7430) := '005A67002494E1376E6B317CC221388125A00221080213308030C42D3EBFA53E3F1A52E84828000882BA2782C2DA92782000A066661444177401C074844398C41A84E830FDD760BAA74224F3650CB642246525044EE020F2E25602536543397CB4441425';
wwv_flow_imp.g_varchar2_table(7431) := '692BC4A24A446BCBE466AE440BD4744A042B0054378D4800044C00054C8004008007F478477C011C9C8EF626FFC53257B706A969496C42B355B5C22804157C0000A8B1077484EA5A33A27A35B38675720A0117B841288C0102A07509648202B6AF4501C3';
wwv_flow_imp.g_varchar2_table(7432) := 'F340011944AA093BC10120C33F3886DBB825219720EB3EB6415F5048A0A6BF804116007A800AE8A02B840FFFEB2746B60D99CB6EA7442270320020480427433688E034A45C9278342A33B3124BC47CC795F039392EC58B7A160405CCB644E0B48C03400B';
wwv_flow_imp.g_varchar2_table(7433) := 'B800759B84EF85B6494C9C42F43890D704523C8142F829002C0115EC81689D842554192FD081C6AE874930C0834884D016C45503EDC46A79927239F8FE801BF00130A8817987ADDB6D278CD5F131D8818BEA41F19E021D9C0006C8391D9E965E071E5F97';
wwv_flow_imp.g_varchar2_table(7434) := 'FF047C76C45FB34122D03B25EE4B46B0014468F2493826BCD79042800222143649ECF66E8F82B8F0FB993D97068763368403899BB89AA68148DF5A8A1B4334F3A0449CAFA97BC0CF76C455AB801663311010A78E004730A8A44A86C50440000450804A20';
wwv_flow_imp.g_varchar2_table(7435) := '050E5FCB499CECB504A98B43C77588C0030000CC03000C5CF510346F958BB091CEE396871BD61AC011B80123C4C211444006944004480134ACF31DC7C51E4C01EF6882D7D3C10C30809C2F5A7EEBB7ACAF96151027AFD70B52A7841F7C81E975C11A6041';
wwv_flow_imp.g_varchar2_table(7436) := '173CF89F3E781060418116858DA544A39B84C243E1608B4B742D95C49F840EA4EA27694297D91E00B43819CCF292F1C0B217440B70B5447CFF3C70EFB0274C1C70002249FC4358E4380540404A3CFBB8340222E0B642542A12146A49D0000090C14FDAC4';
wwv_flow_imp.g_varchar2_table(7437) := '2C03407D74840960B70D0C0100548042C040B453AD345AADB32EBD10DC0125A402D597C00B20C0187003D6972130EC0113F8C226108226D4F50C60C03094569DB7FBAC5D81147C419ED7C42F30C2C41581057035ECFF800500800500770BE07441A46E4B';
wwv_flow_imp.g_varchar2_table(7438) := 'C43BE419309E623040001008A052A58195460D14D84D20B56FD4C40160580E803D85173166D4B89163478F19F72C51D84AA3A553BC9C5DDC03C057213B6A00B0000061034620002608F400A085898DB88229C3C8EF63C62100284800F0004202084C9926';
wwv_flow_imp.g_varchar2_table(7439) := '28AA3083C61E3370084CC351FFCFA98C670ED9D9330640130A195DDC1CB873E754B76FE10AEC37B71F00BA77EBF6236A2E4000027F0D203020834FA658251894E011A1103460C28401937C6C589F1984CE38212488CC0C0CC3FEDDDBB74F345100FFFEC9';
wwv_flow_imp.g_varchar2_table(7440) := 'BD1B97756B814114861A186B6A3264021B856A24D0A0425003530170A550163381CCA27DE4866DE033DC00E418521849209B840A3D25EAFD6A60B6861101800380CF7579F31C57707CE76DA02554BC328AFDA8C2C404091E72B62072E3A2983D7600C0E5';
wwv_flow_imp.g_varchar2_table(7441) := '3C38D600E00981209020AA8C1EE808143F706A70200D5A3BC42B005419A8061D98F0C28E3E8EA80A809A06224221A5CE4B91B5D5E6B20B2FBDFEE1CBAFBF084080002218FF018592082228A1040E28712C32C9262B66893AC870820E3A3A63001A00E419';
wwv_flow_imp.g_varchar2_table(7442) := '4DB47D30C24BC52B31E262A3E1E27A25212E134AC4954A7E4BF117E79C03801B8F0CEA4DA0843C19A512313382281BF14CB327352CF9F408050032E000233A5602C01BF62E6AA51555361109072832A2A02D85720260A72294D052A13DCE00A0D0F3D6C0';
wwv_flow_imp.g_varchar2_table(7443) := '0380212CE8484281DED8280E4B15A2E02C00105088898B34818B8A3B04125150106E50A1088554E853D88D5E7CD145A2D2F120000368B4F1084A5C71E3801F3378219761861C12985C8ED9048A196658920C0C3E0B8DB4D1A8BCC8CA61D97D0B995B9011';
wwv_flow_imp.g_varchar2_table(7444) := 'E61746B84043A02FD0F8620B003405E08B8BF6056420628CFF738B1B68B0010600E936F9A30F8D48A9C4BA8112F1C4138CA669080073F414A8E37641366F11006818E8088E5A0020588D1E16C812000EF1E239F3BEF8578A4A2F4AE001A7144A61234A30';
wwv_flow_imp.g_varchar2_table(7445) := '524AD08B6010620A24066265A03D5A814FA059338A42239F553051A137FEB037E43E8BED9A9F7FD4D96159C004E322145ADC30C0C7088CB816B2C724CB0598636A49035C32E87062060690F927CA734D5368DDADCBB302802B2E16081121A69245188DA4';
wwv_flow_imp.g_varchar2_table(7446) := 'E828728C904953A15F3C7A5C2087FF10A80FE93A17E80A001219284E83AA21EEC981F4FC98F0AD7BD0E842009C16C80D007400202B0E901E08010824352165B566DA88970C0F01592A04E3FA42099F2FFF82E0A20772EF88A40C7B178205994404C08A0D';
wwv_flow_imp.g_varchar2_table(7447) := '1248CA278DE290EE752C59EC1AC6B0C72680D904EE70859631D4F6D10BC8B4DD76DB5C62C96C0628F4E0047281664A53AAD26ACE1717250020085230C36F520580F1E58223B778DC2D30A2AF7F5D61835F189DE83282C167AC4E20CFC09C42D6841148C0';
wwv_flow_imp.g_varchar2_table(7448) := 'E1617D189D16B4A691C4110423AEE8450A2BF28FC0259087029982423ED1871F2AA40414E001007035100E0C6D20281A021A045606856CE222ABA28E42D651940209640DFF12D6A472F22AB7A00212192941476090111008040DFDEA616BACA4BE7EFC03';
wwv_flow_imp.g_varchar2_table(7449) := '1E3F181BB310108031B822132F88C0F632E00568BC8D48DBB2C5318AD1871338210D49DAFF5BDFFE569A03D2E58D70719EC000212A0050612AB711C851B2743837BA51219EBCC89AB0F1A4D001001D0080060E01F0863EA0A10F6F38C4AA06D2001204C8';
wwv_flow_imp.g_varchar2_table(7450) := '9500480E003E81115B64231BDDC8463AFE611100ECB092C2DA81409C269281D4621844189F124550852B8DA10A4988A042CED1228E7C010F6B508339B738901F5880897199407D7412172170722018BC6647A0A713E901E03EBF9ADC108CF0AB664E458E';
wwv_flow_imp.g_varchar2_table(7451) := '78F95A3D887047C110E00B99608408FEA80316B86190852412FF72A18A1930E15B02C440DFE821A5D14C529C03E588120C87116D7E2409023921007EF0162D7D10002FD5483660A926120A243803198537CC3010D860041AB5C84825FFC491318530D3A4';
wwv_flow_imp.g_varchar2_table(7452) := '2A2280428C0080F4BC40210533A34018B711086C55021320DE407AF74C6D26C10C57044044EAD2113C7CA140E9E4A2173F799E097880AE0A6196011422A80DD0845F1991415160D082164C6A520A49C2579BCA9182DEE56BF44842000483009D11C10F99';
wwv_flow_imp.g_varchar2_table(7453) := 'F003446BC00324840219C720922D80610BD1C6221690F8C0096800AE137C00922265EAE012FB969E16457302F5DE0605C2059A1ECE7B17D19C2B0FC68D6860E319071B087398A31065486320C138066993C7C0813CCC1BAFA41D00F80000AD91A311D460';
wwv_flow_imp.g_varchar2_table(7454) := '884074B8A7D89E2F1BC90000AFDEB2C699A0082346B01A552F1241F376040DF5F5171ECC504EFDCAA110100A2A9640B0FF4F85FC4520EDC4C82FDEC01FB780C0046D91C03D01603500687307691CAFBAD4A71ABD40E9B10890EC068AE08648F8C1080C08';
wwv_flow_imp.g_varchar2_table(7455) := 'C186A85048D14A06B4182DC4073090810864A00427E89B68423A520C53F2C21749E9472CC8916108C87B52B042E4ACF0E3DCFA8B94B758C52F84310C00A4893996D3889505128C81A4645439C8C145BCC10D741855207210087380A6907CF45858AE1A08';
wwv_flow_imp.g_varchar2_table(7456) := '1AF010C3B898E09A24DAC81314DCBBCD7D045FF882F316F45B203938A2118D60448A3C200110A46CC0092080540280140F6C80024F01E540C4E18922D800B00231C11A13BD160FD880D100280359929004FEE820AAE38D238F29F90FC74256B23B40831F';
wwv_flow_imp.g_varchar2_table(7457) := 'CA70030FFF8400053A58C1183C2BB7D08616B4B688452E101101066080011110010BB0E13791A64B700864B34094A005DD56F0B71CB1E95B0091105BD4B4DB53EE88523182410014030039B834515D213000EC4B20BF12A83A5C776D15714002AFFA821F';
wwv_flow_imp.g_varchar2_table(7458) := 'E41C1706AF2523F91CC83305B252B96C448AB71B489C07A2063950A2128736CF043880B38C3C752076BE0825C0210E5C2481D345490108600002B678C02710E0405BCE9264538FE10ADDBC899E4D0ADBA1C8BAC33A3B821FC690021870400338E05024F4';
wwv_flow_imp.g_varchar2_table(7459) := 'B7E2628F16188E50368F32C0031D70C35CE7A2F64074AEEF8F48B92318EC57CDDE02E55FDC06616A7A467215924AE2FEB2233E10C89705BA075F7883FF1C19A18D4228A2F5A2947C291CC9B8808B722A8DA8578253592000F853052D6462235F078014BE';
wwv_flow_imp.g_varchar2_table(7460) := '00F9C8698AE29A54C2115A0A170E007E2ACB43F8456C6B9E580984BD5703C0180E9FD8AC63241F8F25805F20600537C0E10E260880065E80024F903616B4A08568814F8BDE4382017F09C00196080D69FFEDEA1A2EA9DEE3D26A97721D17B7F805771472';
wwv_flow_imp.g_varchar2_table(7461) := '8B57A85B23C2C060B90762D5123EE919CF9846291A82436DF8020023B3400A2CF057000C9117DE580547D80E7DC07A805919C12B9FF46AABDEA2650442C234020FE0402010509306620D6E874B22E80D444502E1EC23028E237EAC66CA20F330C220BC80';
wwv_flow_imp.g_varchar2_table(7462) := '9454C47C0482F17A6CF596EA1FFCC004FF8860077EC0BD92800BFCC00FAA600691C016AEE119A2211ACAEF19908119906118108616BCE009AA800A8EC00BBCE01BFE015DA224234C50FF3CE29B9803DD1422197EC1BCC48F35BE0123B2211CBA301C0602';
wwv_flow_imp.g_varchar2_table(7463) := '2284011AEA6E20C4E00BD4E05FDCC00FCAA813A0D03CAAE0C7C6800B9480033122F500C0E25C830B407023CC6A3AFE102E2CA2F912489CC40B8ED28AA01271E12EEC09070235203112530312C14B1223F13420711F2C71094783F9486A11DF3045928935';
wwv_flow_imp.g_varchar2_table(7464) := '0E9123F684132F824AC4AB14ED4221F4A11543112EC4AB2E4E31649ECF2340911565B1229429167DD1358C05EB185120F88128F2A1189769205E11005E51139D51C704025DA4711AFFA9F1137FB13574F12DE6A217A7023554231A6711143BC21EC4F11A';
wwv_flow_imp.g_varchar2_table(7465) := '35822E98CA1CD5711DF9C4121FF1341ED11B57714F82D1F95E841A47AA1347C3DA309112D9D12DB831B190F11F09B2200DD2D5D2A7585C242FBA462336F1212351A492D11A0FB2222DF22231322357849216AB23CF831FEE811EE88128D2D1112B321D35';
wwv_flow_imp.g_varchar2_table(7466) := '322555722543B123194B2FF2418E5A8324EF212447722277EC1659722779B2277D32E75C722E2C911F14F223F8211F90F2188BF12891521EE841B1F8712575F227A9B22AAD524582728EE4A11CC4C10BC3411DFE01296B321FEE01252FE2286B322DEF21';
wwv_flow_imp.g_varchar2_table(7467) := '29F9011E9E9258A2F22AE5722EE9B22EABAD450A0A00D8811986C116FF7CB01CBCB11FED5121D5322DD9D22DE1D109E3D22E19B3311D532313128168911D88C1160C211386C11C00401D6CA11AB201185C812188B2A0C8922D8F1129DBF229B3D12409B2';
wwv_flow_imp.g_varchar2_table(7468) := '0CBC80181E333665932A5F6D5DBE863269A10AE00019CCE11F86A10A3ED0155C211CF462B14AF31897692E88023157733167F339A1333A4BD0391FD11D2AD3103C2133FF2115FE800B36201552012C47D36BEEA11E44B21ED6922CEBA11EF8C129133327';
wwv_flow_imp.g_varchar2_table(7469) := 'A7F2201D4E3AE9B33EFFD124FFC11DDEC513688137FF8116CA800BFEC01588E11AC2528EF2011ED4411DD2411DD8E141DBC11DE4214155F31CA99320DFE002ED73433914FA1CF16BF4D3163CC12FCB411E0C610CFFE0C0102EB31A0E141DF1E21E187441';
wwv_flow_imp.g_varchar2_table(7470) := '17941D1C541EE0411FDCB33979AC4379B4477D742377D421E1011944F4169EA11CD48198AE211A6C8116C493B1C6931FEA81335DC1135C211A5C6198889342DF133E7FF44BC1344C29522340944847F448E74812FB2126E90235C7531ECCE11622011432';
wwv_flow_imp.g_varchar2_table(7471) := '010E5CE11A6C818098D34283544CFDF44FED133FE181186E21156CE116CAA13DE9C129E5411ECA92B1D67234F9C11DC44144FDE0440D211BB23334F65431FB14504135541F133FDB8119B89312408138CF5324E9E118EFC24DE9021ED2818F46AC0A4021';
wwv_flow_imp.g_varchar2_table(7472) := '1B86811838B5423D353E45F5578195362FF46B86140EAA600C0C211CF2D329CB331225D5558B931EFFE0E11AE6341388411D98E11A94954B75D45783F55BC115322FF434DC0114AA800BAA000DC46159159446E1011E744839A3B41FEAA11DE4011FDEB5';
wwv_flow_imp.g_varchar2_table(7473) := '1DEC751EF2A11E00A053C7345C0576602FF243C1C61094600C64EF2B9FE11AB2E119BA9219005352A31424DFF5411FF45D45F21EFE9557E1B31C09366445F6170D561DFC2009D0A00CDE401CEE8118B2C116C4411ED8211CE0A16B74E828D793555B1535';
wwv_flow_imp.g_varchar2_table(7474) := 'D70C60BD74648136685B7258FF811D32810FB9800FCC011E68814EABA11CB2211ACC613C5F842897D2363BB64BEFD25B85B66BBDB699F0B31E6E011420C10F5CC11CD821120EF548A30119D4015EBD465E8DA5673D766BB9F66BF1366F6D715CFF4F431C';
wwv_flow_imp.g_varchar2_table(7475) := '908118886118C4A11FE0E15EA5B541DD322B57836EB516EBF8566F213772B1F271E9A870E1A11EFE614D8FF11EE6A818D9342807A26739B65B4156724DF7748191233DE26B348C299312353D12BC5E921E38162E3F157571377771D158CA9199967221F5';
wwv_flow_imp.g_varchar2_table(7476) := '6229A9567D50C31993F171F1F27175777925B75888122E1477358C971893F376ABAD15AD9779B5D7748DE57987022E81B7A05043284FC319C3EB6B9E102F17727BD937778B3223CC5239BFF16363ED6739E277DB377F751722E3A2742F3123B2B128B257';
wwv_flow_imp.g_varchar2_table(7477) := '7F09F86BE5014A04E28059031E38428107E28021B83C1A55811DB8802DD86BDD218335D81D18F822DC415F41388445B81DFE7520FF3EF85FDF35853738855B43842FF88599B734D7323D5F17290160CDC469CDEC427885B174B3D7755F178685F8740B33';
wwv_flow_imp.g_varchar2_table(7478) := '2D37C28805A2762FA2766BF222D01300D45223FC1523A67888ADF88ACF9229070289B1B88B2F181FC0388CC5788CF14189BDF88CD1B85D8A388DD9B88D374287DD388EE518EF008022CAC11CEE388FF1788FA19039A001CBE63890D5B11A92231A08D997';
wwv_flow_imp.g_varchar2_table(7479) := '0EF91AAA217532E21A30829075F097001923A48CEBD8AC410C8001F08A000E40903D994F2260A0AEC19105C291A910001C799433629153A7951582EDA0812FF52E02F0EAFF3EF996FB840178489549999407C26105221B7C9994AB41915759216053EF0E';
wwv_flow_imp.g_varchar2_table(7480) := 'A06400E00370F999FFF9247798399401006AE60F5258E31AA6C1971502DDB6592152C79785399855199ACDB931AB4720464F2068E00C44426A06222BA6A2985199917FD93B50F994CF8C0BB97925B1599A3AA207CDED9C3FD9963B592070A05348662066';
wwv_flow_imp.g_varchar2_table(7481) := 'E02D16B994BBE3973386942D679CB3011BC4592519E0A007E2043AC20701200B09FA9375792030C0A32F82099AC02D7C999153799BBD439B8F032380F9971FBA276700A535A2602679A4471A9B7B89352C5A911D7698154298913A7532E69B2FF200361A';
wwv_flow_imp.g_varchar2_table(7482) := '233000001AFACA7CA9A77DDA8B0F80E31422041482A301400C80BA3CF01900269AAC2D0798FB3963A2614909D991ADDA17995921A29A9DAF3A64C5009E7FB1A4FFE5F9229A2014C0CF238A799BED59A6053B9851799C65F91686C19257F200749A9DD3C0';
wwv_flow_imp.g_varchar2_table(7483) := '998F01001EE76F05DA94EAFA4B0F840AA680936466A03AF9006CD935A001B38B22ADFB9923DEFA208F48209EFA22B022AE33FB57377BFE569A040180161268AE096C20B23AAB8B6291B282825A239CC93AB535C29E57D2993762AADD70B6FF5436BEFA0C';
wwv_flow_imp.g_varchar2_table(7484) := 'A8E00CA2200A86482074FBCCA6811BF4B94FBC1A00363ABC5F679B613A9F079AACAF92B931A22A206564C6D0B4A19B47D94D21A8200DA2C008C4402144EB9418BB5D2864A0985AA6B3A11AB2F59B0B5C36C5A0169061A7E6FB47CF400CAA3B0AE8892C04';
wwv_flow_imp.g_varchar2_table(7485) := '824B38020EB61B4BB4BAA9CC5BA2BBB99E9F3399FFBBF6BF87D80EEABB53261CAF01E0157E4F20B801A7C85A73185058AAA22A463B8164BA94D14D9B91BB310B21B7E57B64B98EC46138863AC5BA3789B315E215FCD23BBC7B4DB80F0EC68DC3234D2022';
wwv_flow_imp.g_varchar2_table(7486) := 'A0C313689B89F9B093FB313F3B6FFFD68B8D8A100E0400AC9B0A38E9B969E1169E2485BA9BFB729B4F98E5CA9945CB09079027DA91E9F99B5D5AB9AF4CA42FB2B5C51C00861C86D92DC9A5A653F0DAC90D7D2052E8171810FBAE24C7C7CB9431262E8CC3';
wwv_flow_imp.g_varchar2_table(7487) := '9416DB22E71A6F89C1C1AF5836086193947C20324161B8C39191813B32E6AFAF24D25E4FDF48B9B0E1224D001700601318B82E154EC0004E60AA8188121C0111A04FF0004061825661A4CCC8FFAD38D1D11CCD591C006E61DCBAA11CB80373B081FBF080';
wwv_flow_imp.g_varchar2_table(7488) := 'D285E5F5F03CB63EDC2D4CE9719C3D23959DC83587B1CDEB900BD80C6489D43749204E1D23D2E11518E117BCDB2E017D2AACAACA1FFC3C02B7848C8390FB3D7F1701DA05220A145A20EE6E20B6FBBBFB84E3C05DABAF5CB43B99E3561A0A87A160CE3DE0';
wwv_flow_imp.g_varchar2_table(7489) := '5943CAACCA720E7E7BDF20A84261173043DA07E2408643B10502FBD60473D27558805B20C29DBC057CC7DFE2E3413E2E0EBD8053C50C121E15BE1A00189EE1375EB76D0173D4612032C69434FCDB0722DC37A2F77699AC53C7C43BE2E321E3E78BA2D31F';
wwv_flow_imp.g_varchar2_table(7490) := '9D1956BB7D43E1130441D1AD1B9EEF8EEB05420AE6934F805B42AC1E232C7CCBFF3322E8911936CFFDEBD731B4F436DDCFB81650811016FDBACF60E339228594208938DC35CA406E80636B16791AF2CFE733C2EDD531BB5424075344D0A952B4305F7FB5';
wwv_flow_imp.g_varchar2_table(7491) := '408A30C2BAAD7B2B3E62F4CFE3CA5D03E001005B585F4590832E1F47322E62F631C2F3CBE35D7295316153EFB5D75ECC40CE76810ED01C0A12BF23CA0018C6DAE65D9F35043F64957DBB371C2E78DF3C34BF271506F687F8BF2E020AA2000A9A20AC2F82';
wwv_flow_imp.g_varchar2_table(7492) := '3F6C2185C4E0109287CCAE649DE32217BC3F644ABE2A01FEE1E3620711B9F7C99EC401E2D93062030702388830A1C2850C1B3A7C0831E243600E9F49BC8831A3C24E1A3B7AFC0832A41E3D843216B31632A5CA952C5BBA7CFF09C0164C642D6912838933';
wwv_flow_imp.g_varchar2_table(7493) := 'E74260C374FA3C08E9A7D0A10ADFACB423C90E809200FEDD230A35AAD4A929B14573C98CAA5695CCA06DFD0A96A819335B144AF21805C013008E00EC03D02FACDCB95F65D25289CD65320059E9FA95098018CDC07E0B1BF6A8058052844D0E0A81F290DB';
wwv_flow_imp.g_varchar2_table(7494) := '34618C127E39F8F4B0E6CD858501C0E65561358CA3135EE52CF52E00643D513B0C7AB06D9F42084B0058E49A689F3800122B7C0C3CA1E785B2D41C94020039807AFC723B3F4C41EAA94F292D3E0FDB1A40F6EB0B690310C383FB502D682EAA56F80A0F80';
wwv_flow_imp.g_varchar2_table(7495) := '230AE9897F1F360001AA7D313E63663DE160F83E2952E47F101F761807604E552884068169A57510644D2C92FF4B43B700A044811646158042194AC5CD7E1DE57761883ED9E1C641B82594011E6FC125E24353208404124958B698209045014563180D71';
wwv_flow_imp.g_varchar2_table(7496) := '9C212DFEC81201041840551FB91CC392753701B9D27F073195D022BE6C57186D8E84D2D05A4C6224011210E5081942C339F4C417CA6D89E645F36D389F0144E606224E6E9C28622A102DF6DC27DE1DC4609A093191900E1B6C20C14374F099102DB4BCC2';
wwv_flow_imp.g_varchar2_table(7497) := '101E3CFA096944F31D7400020721F0267F71768408007C2CA20689781698A9787D1C342A003C088168A407ADB010051E8444892DA10100087BAEEEBAD0A4F34DAA500442C5F2D133D63D135A7D2015E2C8227CB085E601009CE0C409A8C632A6666D39D2';
wwv_flow_imp.g_varchar2_table(7498) := 'FF1600ACF2EA10A12820740542670040078E387E47200094C841892B00844609008F828B2F429626B4EF75FB4193958718D1D9ED414FE8D862060040611CB6CE89B144BE0E85B0010863189550BA0885C95065B2D8F2CB2FA070A1AB561B6E792A009D14';
wwv_flow_imp.g_varchar2_table(7499) := 'EC17B04465FBE1BC9F199B17611A154CDD41782CF62D906D21E91A6E4FF4297142202874C5992585996343801C24D32BF50280C61B8C4685299A3027444927D45152081F250280F050D296CA5928A0E42230426D43E4C827907C9249435008DB62CE87B1';
wwv_flow_imp.g_varchar2_table(7500) := '0C00248E9C2A06004B280C00D190027AD1B908AD2B841709F951594272684580A50604D02F9325387E1047609DCCEF4F1186D4ED7908D51DFF52287A2F44F841F2FCE864589F787E102539BBA1061511177D10133A4810424325A50B59D3815F0D07AE09';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(7501) := '0142328553F3FE12225AF6DD09ED0EB5CEE47054B23426305B2FE435960B8951366600C2C61030A38F3D3A51732F04DBD807094B0544400C41C48C2D4E6142F00080700385E8A17050C05113A020042EE84C21EA3988998A2014D029C4653F0A9C1D6C77';
wwv_flow_imp.g_varchar2_table(7502) := '10D5292465BB12831100B0010A306035DE7BC83086210C680803192B4C486B62F790D97DE279F882C4220277900C3C202C712B44D852D6A7113E44050871C10DCC60A710BD2021015CC8A1C2F4ADCABCA10C1DB3D7115210954C5110529F10DF4114E4A7';
wwv_flow_imp.g_varchar2_table(7503) := 'F0B02E2630640832BC320C16FF4EE418DB638817017007C66C894042A00142F0D63962945028B899210042613D323184880CA99085EAB007262C9103447088BA0858BB46E0E10B5354C8D3A8428008EC503E277B4113AF43916314A3216D595D43328001';
wwv_flow_imp.g_varchar2_table(7504) := '614DCF4FB429E342BC820CD640E418DF43086C28D1A987080B8F00CA000330C090126CC036854955445A008016B400083670010060A0102C3C87157B2003A0CEA5030E98C0508F540B0018510985100182EEA20A021090010410403E9C91250A2102095F';
wwv_flow_imp.g_varchar2_table(7505) := '00200D0B6B089D16C2312029EC04842326004C1792FF08036811B9A7E1F855087BEC631FFF800F301F520216BC71280D8C48F92082CC1DD8E07F0B71E6759CB00700F88EFF031051573E1172998354A80C8088DCE712920211F885266312C63B17A2B886';
wwv_flow_imp.g_varchar2_table(7506) := 'E8E15C6408131DA040063BFAC95AFBC41E4CC614528610E20C75681019D240067C11D5855231E641CE102626D000071A41E6468D763469BA6613A7E85D53A7A08388106F5D0999A2170CA94000FC412E12C4225DC4379CBC6607309BC888200E12D560FD';
wwv_flow_imp.g_varchar2_table(7507) := '087BB6B18D2D0003134DF4F520383803064E90D42F0120739102451B75F20185FC9525C85401105C30A31C48E068B9492B002C81107A4A240AC43B14422A93D205CA659D5BF48B270E6253ED78C649C7704459CB1A11499C055D0949E5411850321195A0';
wwv_flow_imp.g_varchar2_table(7508) := '7532D5492B0E025C2644C15A00D8C52950C10A84B0820E9BFFBDE342E2F2236B11338950D1044684E811D26AC0394AC88146D493DD7531480C0A942415F1F0344A5402142E2D83BCA0C790136647183CF90FB10E828ADB1CE222DD85D472A392E08EB8F6';
wwv_flow_imp.g_varchar2_table(7509) := '200640001EFF218F7F80D74227280175C1B20B9434C4B599CCC8579F79904279D40C62358C15AA1052CE41040F8B688B1D4035A0EF00403D524C5E65EA46430043A427C3891DCBCE60542167809FFC2C010D4A10C897A0020FF5ABA71318728AEC368401';
wwv_flow_imp.g_varchar2_table(7510) := '94D5B0883EAC95015E04BD1721E7415C6085838CEB7FA64DB161949004FD3D046300A08D7A1AF8AC3724EF2070F003422AEAC0FF0AD9213053C541227B5A894069571EB6D62A5D9286B2028A077A8870FF1A1601DC842458105A4E082FF559027F8225C2';
wwv_flow_imp.g_varchar2_table(7511) := '0F7928461A390420002121284001083C302BCD8C01006F98221AEED0073A43A4108086431C774CEBA22044C683C68897D220ADE72AC4BC0CD96E830F820116A009CC3FD183A1AB7B905D1C8415A446C8842985106A5F88BA7674833022040C5BF8A79654';
wwv_flow_imp.g_varchar2_table(7512) := '3980A9355204F7BA1906CEDC01005E940323E45B098694CB1F38986B85F8192186A84C25367510A3C80F0069D6925D8B1D11C0A40571CF4E082B860B808A474ADC3F610A2F0030DC453F84011198AA9F8E410B5BE4C2953FE9344B8A50842490D3CC72AD';
wwv_flow_imp.g_varchar2_table(7513) := '3500CCB0103AC7C10C6FE0796FA672AAB91E240E1C544824EA16892027A44244B077433CFFE0529C1CA0B6FC5939CB1513D8840882D3DF761531BFB5F25C2096255C55482B8697F58CB362EB0C39C092D19464A8F90415ADD0C4490FA2F19424E151AB8E';
wwv_flow_imp.g_varchar2_table(7514) := 'C441C6618E6D1C642F84C1C52D56710B5C1C64155AF1915C1DCF10A123840B5C9039C473725800B44F4751208426069864B6773D520FAEEA821932E167BFDB4FB13886CAAFEE124B9CC109189801009C30FA854440D418F1F94204DF8D6D806321E35847';
wwv_flow_imp.g_varchar2_table(7515) := 'F1C7A10E70940300E1187E3600208D640443288870BC9F750D800FC6402214900049C382000EA08D3B635F0813C2E4844F675C62429D4A1372BFFE2D0380063DF3D361CB8F13D5CE0003AB7F480678DF1191E0787E07000428790741FF0CCAC07C00607C';
wwv_flow_imp.g_varchar2_table(7516) := '00000FEB000F00E01E427107BF562E09312BD1E11152906661110154071FEDA31034607BD2923108410657060025872FE9E6134CC07107C15D0CF150ED9726E7F67A3E716007417B18E06EB6977700106D2CC02AC2F20FF9D0118D9010BCD1620A51215A';
wwv_flow_imp.g_varchar2_table(7517) := '807307715B07A180DB600EE3C00E42B14307F10014A08100B0661EF0024E07115C90665EA067449121205820F897104E2054B6171100C824AE7710B0C7127C731126C82B78A812A18024246847D425870A9182B7B782A5A7118620800208008EC78414E2';
wwv_flow_imp.g_varchar2_table(7518) := '5E1EC51020D0010D61148D104E2CB18509901084B24DE2D46F10F10655034709415E3EC14ED09376BCE3196287107E08FF123B387F2A0858C5268B42D18A08C187082106F6D01C0F414509E11B07A189070811F2B61013A010F7D2124D640470B541C953';
wwv_flow_imp.g_varchar2_table(7519) := '740C01098EB75F58725B41318A38E18991F25F9F4038361855B6785C1840665B028877A16E51616A69D05D87C810718726B9F811A9100B5EF401113003341055624683EEB610F1B0220E818C0EB18911518C0861054AD090ED550494181272967009E76B';
wwv_flow_imp.g_varchar2_table(7520) := '46817365B09017512F99000A7F548000900467727918E10AB1908ABF1483E638828D539022825832916EF6A812852811EA579212918FB488100AC392C50500E9981190A7103960055A20566630850731210BE1774479105AB0912AA16B18531E0BF16255';
wwv_flow_imp.g_varchar2_table(7521) := '306B1E71FF5B9E9009B1A513128426C4420B856000BD781033706585282DC6357FF327060D9526EAE6863A819308C100E9681B76E4141B1622FF91793A110AF91821079029BCF4933D89106A409018D10792178AAEA6103E807D0E417807F19109199565';
wwv_flow_imp.g_varchar2_table(7522) := 'D11177F006BF269249F04100D0480771200B3105546004FA23043DE010A0705B1FF91327130110E027A16027CFB210C0840199958E42D53372F92322181511E026E78410BC091142E0084E319C7539140C8096FCC78B11800119206D3D1338C1081142D7';
wwv_flow_imp.g_varchar2_table(7523) := '074B79103930053E300547635A3EB01071300A8B8710D23015A5699A09D1815586103F507F1031922C62970721864C6227E2D35CBC086D00809608F1FF18177521349913FB5261424829D2D97F07C10294B00F9911228129157C0080783442968201FEA4';
wwv_flow_imp.g_varchar2_table(7524) := '9D19710768108508B1022EA003A405008582100759A207F107978410AF800B97396766501E74467300300640B0440C01044540048DF4030791043B20466A761169369A5944A05B68216F44591761833FC29353C18611110A6F219C17025039918AA9A014';
wwv_flow_imp.g_varchar2_table(7525) := '052A240E51A5477811A320768A277973F5078E88111382784D79780AE19EE1E010A34011B7C028B6D0949E104ED170590A019E00705BA8533B8731700A313670C00786A074AEE2081C910DFFC09D16920DDF0000D980A7B9913394A00E6E919311513308';
wwv_flow_imp.g_varchar2_table(7526) := '410BE8E3297C009A01C2077EA0870871FFA90EA10F00A00FFA500FB4BA1CB79AABB31A11FFE0AB0DE5AB0E11AC10C1AB1DD10FC7EA107E39AACB5A92FF600FF6D014FFC0A5CC0A12CA8A1313288112A8AB09510FD8FA134FF114F840ADE34AAE20510FB7';
wwv_flow_imp.g_varchar2_table(7527) := '8A0FE20A00B15AAE72C10FFCF0920D51ACED4AAFF56AAFF7FA10EC8AAFFBCAAFFDEAAFFF0AB0012BB0034BB0056BB0078BB009ABB00BCBB00DEBB00F0BB1112BB1134BB1156BB1179B939EB06A18CBB11DEBB11F0BB2212BB23AF10FDB3AB2278BB23ED1';
wwv_flow_imp.g_varchar2_table(7528) := '0AA7B00B88700CD3870BB2D094CE8184296BB337CB12BC7110ADB0075FCA1DE9B07C382BB47E41788A27B06D7610B8307CCE11AA40A22C43CBB0BF60B4F89A15E75256AA051FE970FF10ED2022860022E260AD505BB082E7AF1F0700DF091FEC10B44042';
wwv_flow_imp.g_varchar2_table(7529) := '0C53EBAF612BB66EFBAFCAA610B7307C705B18F9D0B440620B59D10D02BB61789BB2BF10B09BC004580B00D3E7115C3B15C1B8B71782B58A2B11F950B3EDDA0F72497853B08B207B6D192197EEB0AC759006881312825BAE0B4606BBA31157810CA04BAD';
wwv_flow_imp.g_varchar2_table(7530) := 'C7FA0FA701582F82B27DA08017E11EDEFAB4AC881E00700BE3A011CCA00E3E5BAF49855A1A310D00B0B6D4DA50F6D0A500504D6910267D855AB6D0B6E650B17B904B19710DE20000D180ADA50160B43B0596C00BB7F00CAB80BD1EF1BCF60A2851A50ADA';
wwv_flow_imp.g_varchar2_table(7531) := 'D011FF2068E3DA50B20BBD0DC210CFF0BB156B09AA700C72CBAFDB9B9C104AFB11C4200F3DB1BBE3AA0A9DD229B5E024ED2B11A653B942269CC94BB8B18008AA60081CECC153D813C06BBA08EB09C5100B84DB111F890C8C3B68C9CB10F130C20BA1AFF7';
wwv_flow_imp.g_varchar2_table(7532) := 'EA9E20F10FF460B2CBDA1CE690BCD6310D3F2C0DD3200DE27B101138B1EE59C3002B976F11B810FBAEB53AAF0E8BAC0A51AB0811C5139B0F337CAFFBA0C517DBC50FFBC50ECB0FFD10AF62FBBAFA69C6698C2601010021F904050A0000002C0F00190046';
wwv_flow_imp.g_varchar2_table(7533) := '022B010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1E24478F2306244A8515E468B20438A1C49B2A4C9932853AA5CC9B2E5CA7F3061BA9C49B3A6CD9B3873EADCC9B3A74F8BFC7ED2CC976F605100448D1E15CAB4A9D3A750A34A75';
wwv_flow_imp.g_varchar2_table(7534) := 'C98F9FBCA55351F613288FDEBEAC60C38A1D9B102BD9B321F3F183770FEDC87EFF00C08357342E80AF6EF3EADDBB929F59BE8011FACDC73630C5B873DB1A5ECCB8F142BF8E231375A7D860DC7D3031DB352C333141BC800B09E476CC55E4D37B21A35ECC';
wwv_flow_imp.g_varchar2_table(7535) := 'EF1E65C1FA00E8BBBC59605500416F13558B7BE056DF3B6F07954B97E7132924F1085C4450D8A7D5D0CFFE8D8EB66ABD76D365FF93371B3368DC31E3C2FFCC1713BCEFADE87F13ECC7BE7D4ABFB771CFE5DD128F9B844F442EB223500DF5FF0006E8133F';
wwv_flow_imp.g_varchar2_table(7536) := 'D79925DE3FD01C028D3EFB34F80F5EFFB0C38E3DE600908E39FF88534E3AF40080617BEEB9B71E88EC4D54DB4155C527973BD9B124C41106E5270400424C504209112927E08E3CF6C81281D815F48F3DFFE432850E87E8C3E066F5FC034715FF54214F26';
wwv_flow_imp.g_varchar2_table(7537) := '86FC8340196F7021CE1B00DC432289E77DF990770FDA365C41299E090F8B3431220700F911841C8D475820901016E0190543621414459FFE2DE7E3A08416AA109058FDC30F66906C12C926DDDC25D3706824610E17EC6412893C3B88E30902AEF8F18F97';
wwv_flow_imp.g_varchar2_table(7538) := '200250A27AA68A89EA420F36B80F3D5EB9FF9A0F3E44A538D09A2DA624C59CF9E577449D344EA44614670CB4A740DF18AAECB286224A50555E15D3492DAA54E8A0A2FF64338614C394014F2499FCF3C0189EBC51061CB87D59EA79A996BA2A420DCA23E1';
wwv_flow_imp.g_varchar2_table(7539) := 'BCECB4332F65F121C6E64C81063150104F3C31C4413032E4087F7F1E2B50280DE1A1061EFC312BF1C40E212395B304FDE3D5319BA8A20A3B9811B90F91C33C4000285E7413891FEA14910E23B4583186A2EA8A2850886036448F3AE6B093CECFE5F03C57';
wwv_flow_imp.g_varchar2_table(7540) := 'CFEAD01594BEB992940200437C2185D34E03B0EB1142CC2827413A1AC49C42E5BCA3901DCA410C001E7D526CF6D900580C401D4F212A93400FFEF34D27AA1CC3A083FBF0F30F23C474FF638817304482801F372461882DB4A0F10FCE21865933430FC293';
wwv_flow_imp.g_varchar2_table(7541) := '8E3AE17073613AE19483CD35D964634E3AF510842B4B527001C00F0004112818C8015C708C03F1018023007CE2C8730831873B410C2B8487D868075F1331000C234C54C310B404434E1C50533FF7B4339C7B0DB2538C2ADFDCFDD53EE815840FAC7375D5';
wwv_flow_imp.g_varchar2_table(7542) := '25DC2502209EF9E50D141EFAEC17543E00EAA8238E1BB6B872443888882345A8A094634E87B78207F75C2204E47C010C811248C01032A78150C276B69BDDC10090408484E218C7C01A05C5C69FAC31C46AC20B61459041BCA9A86D214E00C0096A422076';
wwv_flow_imp.g_varchar2_table(7543) := '60C5550FCA852AC2A18F58E1CD2E270A8FDE4C95A675B9AF66EFB24C3BFF34970471406207C8608438B8008A31DC4268E75B933ECEE4928701000C048913433E410982ECAE4F5B43C8EE6627A888E0880603818208D7F890612023794F8186408C0791E5';
wwv_flow_imp.g_varchar2_table(7544) := '2D2F033F2AD0665A258F632C825AE168150C7B831BB5A8254D034164BA1002C4200A491EE250472AB8308614F82113E21883396EE10571A4031EE5191D4BF8A09C2F0C246B6A5083290F829C540AE481B723230016E19F880D648C03F9060607A2864578';
wwv_flow_imp.g_varchar2_table(7545) := 'D0206814881A6944032194C0986C4CA65B4A3847827C0021C3ECD3B158F0237AB8F033FF28C722A82086319CC10BB9B8070C0F64BE43B60F6EB8A98A7AF8F1BE9B3DEE311A4B473620710748D8020D5E00051728A1FFA9CF5151942A618440F0205000BC';
wwv_flow_imp.g_varchar2_table(7546) := '49208E0043420FA29C0A0A848BBBA3254279D7302B16A4097722080805524C811CB3981D2D268E84900121288C11B45326A10A719F81BCD1292784A3406C59903D44AC10FC69020F5AC20F6B2AE61FE429871ABC20863D78610C62988227DE768F7FB4E3';
wwv_flow_imp.g_varchar2_table(7547) := '2AEAC8473D82228F76B0AF1DD2B3953ADCB1B85501D121F5604739B2510EFF89E31AE10847E7C4D133DB0804A02D11A823DC94D2810E148B05C91A44536A3B9C0A8A76B844482F7F0927814441610519E6408EF9510004D3A30028417E1CE1882EAA9450';
wwv_flow_imp.g_varchar2_table(7548) := '9D20CB2D8EF7CA813861060341455D6952157901103CA9A0025291DA4D2F94411DB2319F3C6E71565BFF88E319B765865AE5810C71DCE219E130C735BA518E543003A8ED6C57CE18920F79B1237EF1B3973AE6A58ED3E2C61D2CA2A24B7494358711D620';
wwv_flow_imp.g_varchar2_table(7549) := '0F0CEF40463B5E6B7831B0633B8818ACF6BAC73E04A3C132A9400A3A1094A214007EB82C7442E01F5B886518B72008259CB742D0A277267E91873A42679BBD5501A965E8831BC640610CDD6336E588873CC201807010E3C3D1604736F4310C7188A31DD9';
wwv_flow_imp.g_varchar2_table(7550) := '0847346C610ECF75F55DEE72A4415A530F58D9F8C6B06A0B0ED7925D9A986E200D2C48AF06A24500C0922061E42B4272718C6FE4626CBDAC2073A480D1220C04BE1051AC478B3C5EFC9257BF42D980495A7A16991EEF097D38081C8FC1D95C24EBFF3D56';
wwv_flow_imp.g_varchar2_table(7551) := '51079104421E4688E1CEDD1C831764560ED9E84D1C11CA46B6C2710B66C0C316DDD0C72D32270E5AFC7618CCB84639BA7A90F424F750B54A5355F2718F7BD0079DF36189C2B47804034AC1A1060972416CF7E585ECF26156F4657AD530A3820D0C218C9D';
wwv_flow_imp.g_varchar2_table(7552) := '9110B4EC90FB7619CC5209000148028C8A4CE31AD3A8C6B101806C97C8D1AE05E12C829BBB60B8C104187E38AA9EF57C874CB00300B002003B7AFB8C61A8351ACF7806339EB1685BA438ADC8284735B20168199BEADE22D1347D14351FEDAAE40B4110C2';
wwv_flow_imp.g_varchar2_table(7553) := '106E9D10E4C008B10236F273ECE050DA651059B90CC518FDC31C89EEC96A7682C848214B2384CB0E008C100D41640A6C9D508120C3FF16760004B27288E4221504F12F0098F98C6848A41A03B9864DC2F87069CF84DA0C869BCFCA9A8EB27A923B5DAA31';
wwv_flow_imp.g_varchar2_table(7554) := '3FD401930A990F1E1892473AE0D70ECCDC031EECF1343B1762EF910015239F66092C04120429000CC8A8DED3118ABCD7033FB420EF78F64407C21CEE3E210A79B200C12D508214E41A4704013C00F018782103005D02A944C99DE2BC00380F000818C8B0';
wwv_flow_imp.g_varchar2_table(7555) := '0D1012923F0300355708CE0DB2F9960883B39410069BDB6C13A067EC6D4A52129AC073A0D6E84D6FDB31DFBDFF113A9A75DD255F97C73DFC7D924B08C414A6E00400B0000034507057043B482C27FA5D824C1D004FE66514C2B69CDFDD3D054250819D96';
wwv_flow_imp.g_varchar2_table(7556) := '16D9C56E74212044CEFF04FA4390000FA41BDDD806FAB7910C81C466F12E711E0102D0728388B921B6F0B97F8B9D368130632138D7793C710C4F160AB1708037617ACFE22AFBC020AA977A299269B5328145111FECF162977613B9B77B3571098AC009A5';
wwv_flow_imp.g_varchar2_table(7557) := '1008085136513023710258B4D3450F040034F550CB17510EA33559B35E25307E3548101C0000DC774C088158C7511025B04A02F10AED3710DBE074026173F0571307407F05517F0E610BD14710C0300CC3400CC87042002810D5D0853B915903D13BD007';
wwv_flow_imp.g_varchar2_table(7558) := '0060C8124077227771172A3263E9B47A84F44336A3131BC87B289107003009A250108A2010729008099550FEF10542A87C0EB12777975E1611054760880897101FFF271068E0091DA610D2501091B28433D1842C87102BF700B17310FC0712E986794AA8';
wwv_flow_imp.g_varchar2_table(7559) := '844FD109A1C07FFD801926A1802C812A71288784A17B74A81279600A79280AA600007678108F000089D00689D01075F5654F5041A7C64B00600D9F605E0F61510C01077C00089970104838101C660BCA005B00D06798B81254D072C3261094C710321773';
wwv_flow_imp.g_varchar2_table(7560) := 'B6100B54188AFDF710A6C813E8F50978B07C2BE18A34918138318736218205E17B00207C00500A9C908B9C000BA6300B03819065C48205315AC3B2275F405892E01061C4078E6091B2E3082287109540720CD10DE33010EA300ED7F88D2711010C201008';
wwv_flow_imp.g_varchar2_table(7561) := 'C0000C10010D810415C10CCCA410A50800EF681399FF558603110B5B538DF5A86041B7125FC5131B983427A19007918700B08B00307607310B4E0900AA105A8B800A00800A1ED48804A10705810E5E2310DA400ECE28101659081A3912CA708904C10EDB';
wwv_flow_imp.g_varchar2_table(7562) := '2089A3C0612639139E988300C0011E2012C7C34CC8C00C5AC8103749107F69128ED00981B5912E618F02C26FF030452EC19402A10B02C10983C010074910513910BEB00B6E3753617410630900E88010B5D0900D010E1EA210E6200DDB4010D2C00EA619';
wwv_flow_imp.g_varchar2_table(7563) := '972EE192093011EC3810B579107D391199D712B7635903312338503BB2733CAA6712A5556D3D8218F0B08629819406E19C4B6990CEC994B3009907B10BBB209504619506810AD9C910E4B01078FF5008160900225708CD8710D65510AB799AB0C9120980';
wwv_flow_imp.g_varchar2_table(7564) := '009E581036D012D85011818912CF010904413B38407862086740E923CAC99C3B619009A10BCE090E79E80BBE5010CC680DA820A110119ED85910E4109A00400EE4E00BDC591076D09900B00E0B110F02610E20390E702910EDF99E2AE1920A410127F17F';
wwv_flow_imp.g_varchar2_table(7565) := '04A18E98171197B79BA43812CCE108FC393B6966106EE0083E679C71860F044A1C61C713D6A91063A7A0BAD00B0F0A00CE80990941A1DF8910A720109F99109630109BD00AD8A90A6450094741A2250A0097F89A2ECA120C8000141003090101F309002C';
wwv_flow_imp.g_varchar2_table(7566) := '6003149000293911C8800D9F700806910CEB969B0971793E81087D71A449EA0E46FFD314D5599D06D1A44D2A10C5E00CC50000C5D00C059199BE600D0E0A008400005C9910BB600C02710ADAC010BC7010F5B00E265A9AE22010A3A0A269290DDD5089F8';
wwv_flow_imp.g_varchar2_table(7567) := 'D6A622419709319B05E1921B700743F810D0309AA13A10A0D58E0F717934DA1269F65D5C66A40A86A4C9A9A4B59813D6F9A810A10D979A109D8A4BC78A1017CA10D9690CBBC00BE8AA0796F06D68BA10F3401033290D5E1894BACA120610790341017759';
wwv_flow_imp.g_varchar2_table(7568) := '1165533B00B0272DF8148F08007C604BE3B84825719CF690A4FD2620ABFA1059EA10116B31F02010F4D0AE134143B257AF2B810094670011000109010AB4609B09710053701087B09906A13684DA125CC4075ED0048227A072FFB6A88D4A31E7FA10A60A';
wwv_flow_imp.g_varchar2_table(7569) := '003D3B10FB50B1F0B00EEB7910B8D07E210900B8CA61B181861C5B1207E0B12887109900730C110222F1B22CC11CE5E9585411670BCB866E751ACAB9A453019009A10DC7C0ADCE30A50591AA98EA0CDAA0A909610CCDF0B3E46A10DCB00FEE201705710E';
wwv_flow_imp.g_varchar2_table(7570) := '06510EB85009452810E0D0A27A910D1283AF9BE8010FD00321816559F171CCC11F35AB12C749AD02D11687A422065A159E161752E57A9BAB16F5C069B9118B1A28175771AD4E81099399B600C0AD00500BBCE00B0F2B10962AB70541B70851A50D61AE3D';
wwv_flow_imp.g_varchar2_table(7571) := 'DB0C96D00A0341A2E7B00EE700B80D810B92B81E61D10DD4102991B29A9132BD4B9800CEF37806F1795111419FFFA006CBA342977B120AAB3E319163BB411E3D05132A02134D351EEE1B13F1FB36AA6B13FC468B62A1089880090EF1A0538910537A0CDE';
wwv_flow_imp.g_varchar2_table(7572) := '00006EAB12DF86102B6A18D9400D03310D00300DCB00C100E0C098386C304A104F060CDEEB9142E11F7B0205198CB9604B10E2400F2D064AE151B24EC50EE5910F29B61D67F50FCF005BF7805BF4403CD7600E5B818172C8BA1CB818A36910BBA00ADFF9';
wwv_flow_imp.g_varchar2_table(7573) := 'A0B91BB76DEB31C60BB70DE10D05BC1023797EDB900D883B109150098A0700A40000CF1B16DB10AB00200ED4900DD240C1565CC56A4A0DDB50C6D450B8CC528E0A4100DCBB30CDC4C15528B05746523C55C2E6D30E91B03745D70DE22068CCF0076A450B';
wwv_flow_imp.g_varchar2_table(7574) := '8CFF400FD9E00E45330C4B556E9E700D91700BF7400BA0605C910000AE800CD1B054EC74BFB807C4AEAB17C6AB1053E90C047C10AB1AC5ADA0A94E6C104E5CAA06BC09FC5121E6A07E0CA10C03910CC4330A68B19A877BC506D1C04A1B97450A168447C2';
wwv_flow_imp.g_varchar2_table(7575) := 'D30A37F0F006B66008B46008C8E00AA9800C9EE007E190096FE009C3605C81F40FC3A00EC4902DB6500E9C730DFFE00AE32C68E0765C62B2BA1811C481F1A502B1090B91A5C00BBC09B109BCE0BB579AC453800D2B8AABABB00A0611077F60080511095C';
wwv_flow_imp.g_varchar2_table(7576) := '0200F42A15DD000E9728C6166C10C150C14FDB14FC893008E6C7487107D36C0BB6F00F7E900AB6400F9E100D91E006D390097FC055FFB0C3DDFF600BECC03967450B22260EC43056863A0CF910CFF8BB16FADB18A7DCCF57A90A0FEB0BFC9C10A780CFCD';
wwv_flow_imp.g_varchar2_table(7577) := 'F0A0453C10E4D0D40301B995C8CB5CECC50211078D00008000000C0D005F2D105C7205A910D15151BD140D00C4CC9A03210DB8CA46DD344B04F17067F19F18F023D416B6FF000FE162089E601A9990629E50069AF206B4400BC39062F750D89276CDD910';
wwv_flow_imp.g_varchar2_table(7578) := '09C4406F91500EC49009C3000AE2000FC8800F425D13F94BCF8B01A808F1A1A710C000C00BAA80B707210806C1D40A91063030D65BBCC5B85010CA90D103F1D06966A36211298ACBA609210DD460DC00100C5A1D42C2CA1C3F2A10CF4D053D50031AA001';
wwv_flow_imp.g_varchar2_table(7579) := '004001E5EB1327F7D10A16B610FF1D0EFC100E6C9521CF700FB79062E72C0EDD30CE4CE768B7200FD7E00AEAF00CDDF00CF2D0C9EA30CEB4500DFD600EA1EC43A24DD4A41D187BD0109A80CFC6BB095B9AC402A10ACD60D50FA1034C707805810B5A9DDB';
wwv_flow_imp.g_varchar2_table(7580) := '5D3D10653010C60700568016D9B00C6AA910CB609219F001CF341022B002CDA2A8EA833E07121E322EE39F24E393963E6EA52EF948D4A57C162FA00300B004C5A2104F6DC003A10900F0CA15B10962800326000036D002F59910667010642610C27A1617';
wwv_flow_imp.g_varchar2_table(7581) := '2D10081DD7C96D1073AD4C84B7D7C173BE4AE1179DD6695D4214BBC7E6ADD1254D05D153451E8A720F53E569F4B07BFF9D2A3991BF3D7E16C2CA0435A0109B200987800A74FFBB09482E100CCE10DD4A102600033B000444900439B00303910457B0106E';
wwv_flow_imp.g_varchar2_table(7582) := 'B0E100E0E97AC1A6E0F0C508210D700C7F27B00135100262C07FB7491D999B486F3329484145E48443581114FD10CAC2D12E7CBEE318F1E767010A0BB1E8572910BB10A69A4008F6CC107A80CFB85B10BC6A032E90040251ED0E5106F7711F5E10EA04B1';
wwv_flow_imp.g_varchar2_table(7583) := '0DABD9C50B71EACA7402CB5C1032E5C1D161E6E62362EE8B0C3211EF02811D304C0FE12021813463FF1DCFA2CC127E2EECA7E10CF84C10132912206003F539044500042350100F8D087EC00757CEE17A11E60040DC2EBA421A9F10C2F0EA3A91018C9BA8';
wwv_flow_imp.g_varchar2_table(7584) := 'CD6C3EF510093A3D0DED70CEE160EFEC400FE9101791A056B6FF100E86708586E0C268B2EFAA828FFECEE3001F19EF50F0DB1912200003D75E04390004360002403E10E8925F88D818AF59D60261F19868EE83D77D09A1EE3B11F2CCAC0ED4BA1D91E033';
wwv_flow_imp.g_varchar2_table(7585) := '91600BC4F00C24FB07B6700B814CC3D94009C6C5D3D5A0564005878FD3EF2FE1F371290146AF022D401023F0F7776903D60E72BB7C7B5181E16B50765B20105A50AF2B54101EDF14A2A1D62111EB70930E9C9D09AE100DC860F2E68038E8730DD7900ADD';
wwv_flow_imp.g_varchar2_table(7586) := '9009ED400CCC50C88AF22C8D6469C02E0F06BA185A5910113B12D6BDAF00E00240706B2D0002BF6F0223000400F007147E1A0D0FE52AA0020641ED094FFC8BB7421950B3C7000CE74847C693FDC280FDDBFF7F3C1D3F131180A836EBD7F67E0B86C0F99E';
wwv_flow_imp.g_varchar2_table(7587) := '002EAF3056B7700D4D85DEC3600BA9700B8BDD0E27A2F33B8FF826E1BEC1FEF3000140E04082050D1E4498506142350B095A02808EDC41670E0F4A200864888A162A6C808001C2C6C03B08A909C46551E54A961689141C3970889296356DDEC499D3E209';
wwv_flow_imp.g_varchar2_table(7588) := '00347802B0A553E8CA127E00DC1B6A905F3E79ECE8114C45CC5C2A71E56E2113272F5C367100FE8973572E153E5AE2BA0DFB4790DF5A00FDDCBEED47F06DD29AF9E0C9CBB7961F5DBE7D1332012049A03683BB6C7A000012808B220345124C92B017806D';
wwv_flow_imp.g_varchar2_table(7589) := '93018CC3E7D6EF66814072444E42B38A0F2B56B40844731ACDC02D5F38BF869DB3C4890CB3FF4B08CC950B98EED8430B01A8B77969D3A702F9FD439E1CF9514FEAFE1DFF476FB9727A7B0BC29DABB9ADF6DE06EDE2D5DB5D3C412304A72024438820AF82';
wwv_flow_imp.g_varchar2_table(7590) := '9A70A61059C4058C09204CD8075941A16565CB009C1BCFAFD5505BED0A814E0B3041055BB22528008011469805550ACEAFE19C1A881F799EAA279F7CEA410A0078A2CB27ADBCF6F210007AE029312D81E2DA6EBBB8609C6B41BBE839D1BA095FE300000E';
wwv_flow_imp.g_varchar2_table(7591) := '50700895564E19081D6DE82043904D6C7ACCA0FA008889A0310A22058044E4DA51280301C8C1A0320632234B31C7E3CD16601C94704C059782879D0A01586BB983F27A0E3AAF06CA47BAB494C34EC6816A54F03BBD745433298C008040FFA1250020C392';
wwv_flow_imp.g_varchar2_table(7592) := '53C870CF1B812A12E894565A59C9848C4628C8852A0CDAC3A0460492068078602CB4A5D4B4F8320E820021A8124F64AD24555B611BE6D6DE2E2C4EA07FCAD1D32BE4A0FB279B11D309674FE5D871AE9C7CDA31E739B8649C91BBF1F6BAA79E7FF2D155A8';
wwv_flow_imp.g_varchar2_table(7593) := '4A18016002877400608A3306720F00C2C869060026F4C00908826200E053040F5AAD1258AFEBD6215062F5A4A0801DAAB55F831D3AF3E05D9952071FE3FE79E60F75E0714E9D769C4B471D66E929871D76D291471E759EFD879948C489A4C13FDAF9A79F';
wwv_flow_imp.g_varchar2_table(7594) := '96A77DD1DA04AB21665B856D02440A8B624062330A2C2AE38B4D0C618F2037220160547E6F2E681C9556C165158422A904FF69A615DE2D6160AEE66C38752AFCC79D48FEA927934C6E29C39048908143ED6768A1251B660CB105143F40A125EC6B881187';
wwv_flow_imp.g_varchar2_table(7595) := '1966B209672DECB293B9BB96FFB1058D64B9E55A252940E0405CC40EDA8007838824838C9B1EE871A54D54C114803E04420400AA976E7C1D79D611A8D773D601509D73E8E9B5A0462269C490818C6A3CD55C842933E1DEE9F21AEC7628F967AB68EE98C6';
wwv_flow_imp.g_varchar2_table(7596) := '966A5241261B576819269A6E9A4B25936740F9471E71F0366718BEB39176F03E133CDC966B9889665B42872FC88A1F240F77F2846E1888BD19D238634982527008053860BF8578A10C7BB0C31EC6102A820C0C7E2DA9873EF42190640804567008131AAE';
wwv_flow_imp.g_varchar2_table(7597) := 'F0A9C600C0FF030F78C00317B41BA008447822D4C95A44F6A67F80221BD948052D0CC10CE781C216CF480528D2E1095BB8E216D91B862192D58E614C4F7CB4708EF95085AA00F5E338B7689F2BAE41361412446704998007C4C5129E7CCA200044C80322';
wwv_flow_imp.g_varchar2_table(7598) := '2010021A8426521802009290842118C1086B14C89690A68C2ABA408D2A71150086000415684A0210485408ABB8A05C3C483785ECCE22C63810CDA5CA6B0E83D33FD2118974DCE216E510473832198E74000E19AE3047395C188EF031E31FC3E09E2BC421';
wwv_flow_imp.g_varchar2_table(7599) := 'BD3A0D4E2E4C144F3FEE81B89AFD2315537CDF037F00023022668B2D9982170AE28314A8C0211E2823413405821D74B0203DBBE34160944B11BA405E06FFF9190004591066EE405E45A84215B83025000C689049D9DA3106D2A0819C696B9B3980C154D8';
wwv_flow_imp.g_varchar2_table(7600) := 'B00C29C79EF7C4E7B0F059ADF3C54C41B244DC33A28338F251137E20F0C0A16C4281C814244C2D00400C5E90100E680A060AD1D4401ADA992A24C18BFB3A67427C90C6C50804A11E004167AE6905008CE15E77780300E0000700C434A44339063B0782C8';
wwv_flow_imp.g_varchar2_table(7601) := 'D7A42215B1000001E20900060CB5508F544B3D96E221BDE4054E02611CE39E0A5500443546B0FC13567B03D05B3C0300ED78DBD86E1AAEC86D067F0B49E6586BA234008409215F08D3060532848D1E8477E5848C5A1F188A42468001FD42EA56BBD58F12';
wwv_flow_imp.g_varchar2_table(7602) := 'D9621AA970052886418F109DB3051E4854FF962E7AD1B4B2E44B7A1588D500F00A845C610C06FAAC4BC96910235C13005C1088158489D99B6D000006F82B008C3AA6E2C53266809A90134F39866EA402872A62AD823620018BE2C40D6360E91B2F0A3FA9';
wwv_flow_imp.g_varchar2_table(7603) := 'ADA4573645485D05E2C5F8D104004AE8687015428B31454003BA9A27246D9BAAB884AD1C5F89042D9CD816ED2AC80326A82C429E000037FCA17477B8AC08FFA0BB83E0A282DB00AE40E2F00700C4010E7F38B08109625D8120A1B43B004079165C05EC7A';
wwv_flow_imp.g_varchar2_table(7604) := 'C10EC28C421224DCDE05DD251D06310700CC918E106729BCB1B496569BE8B20D49C71CD2E170803E4C10758C83C400B87142D471107654711CACBB8C42E4511020EF18C82106F24032FF9610667DB5203356C78C631C1B176129464765D89BE0149E0C71';
wwv_flow_imp.g_varchar2_table(7605) := '39215ECEAA7654BC20B7C0031EF728117BA72CA631AF5921724288040532C183D0D9216E490E9EABEC663EAB8561E2BD135B3204D5B4E8682F8312F42BF959289789481EF748749F0BC22DA94A3A361304B3A5356DABDA0E841EF2784E55F9511CE4804D';
wwv_flow_imp.g_varchar2_table(7606) := '587B2974A46FEB273567695B7751EA340DBA695A27C5CEAF81CBAC6BBDEB82745A20CF10877546FD618FA5039469313372DAC18E514FF54FADC6ADABBFA3D40C559AD7D7C676B651D8E9EE5D431DC808C7DFBC4D8C6BB8A393E21B4637B2218C69208316';
wwv_flow_imp.g_varchar2_table(7607) := 'CC18512ECDB78F82EC63CFE379B53CB4AC6A6DF7DBDFFFBE55A74BA40EFF5A988319AE18863AC481707A2C3C1BD708C7351A140D7998231BA06E6C98DD626F8EDF5B41F9AE1DBF013E7292977C6122132F3FD6678B724C23E2E1204636E8E1B18A47EF85';
wwv_flow_imp.g_varchar2_table(7608) := 'D9C046B84764EDC175DCDEC9F179CB0CF79DDA39DBE44737B9C7916E135F23071EEEB8A7AF5A542CE72867434E85B3B09243903D2BDD575B1F889CB2AE9257C3A3E8BA5E7ADA69CD8F1A3948ED2CF1F551808323B5381BD5BE5A4A3DE2118F7BEC83DEF6';
wwv_flow_imp.g_varchar2_table(7609) := 'E0873D043F78C20F7E4F827711E2071F8F7FD8C3EB3799B65AD0FE76CA4B3A1E95AF099BD89171512F24EBCBC9873D18FF0F8EFBFDDE7EA7F740FC0E00D4B79EF5A427BDEB8512F92E63DEF6B4B6473FEC2185BBDEFFFECB4C7193E445EE107CD8031C59';
wwv_flow_imp.g_varchar2_table(7610) := 'C8C2052E1006E527DFF917C8C240A21F0681407FF9D667BEF3B3608A7F5C3E29B437CEE47D3F7ECC7A95FC0A61933A323EA89698E81FE07040030A5000010CC0FEF7C73F00EC2F00FDDFBFFEFE170001A0BF067804D17BBC9600BF2D3B3FD61A09E97A3B';
wwv_flow_imp.g_varchar2_table(7611) := '5C08317B1808D45A4084E0959CB0A7E3A00605E0C002E040FCBBBF021800111C000020411004C1F92340C42B88B153097E8035C9ABC0E0620681E89CB4FB85E69240001832AF72050070057A99C10B4C8A59823F07E040077080FF1B00019C3FFA9B3FFE';
wwv_flow_imp.g_varchar2_table(7612) := '3341FA1BC110ACC20168803600801D1C8A041CBE19AC22A32030CA938581D8412E04433FA3186BB388FFCF4B0B7BDB06255400019883365800FB9BC30EECC027E43F3E0CC0F9C3BF2C04004013BB033C0818D4B75E4BC3451C9E94183409B4877C68B3F1';
wwv_flow_imp.g_varchar2_table(7613) := '23C2A1B0B76E504201B88036180045B8004D54BE0B9843015842245C800B58420E14000550BE391441028C07F153092F944546BC9A4924B95FB0458570A2A64043969837CA6800253C45507480395880369803E52301E83B4653680307C8823A84BE3668';
wwv_flow_imp.g_varchar2_table(7614) := '03E57BC536D03D6AC1C52F0B19C0DBC57014C7414A3F36C4097B3B423ABC802C5CC70B788439988347D0855930854700803080C74798854718044578844930055DC882572C40C73B0E9DD89690A1B67164C886BC1ACDD3329DB8C461AC3F6B7C84FF756C';
wwv_flow_imp.g_varchar2_table(7615) := '006854045D608340D0055D200165CC835908833C988380348549780445A83F5874BCA148487DAB4587A4C99ABC16BB503FBA40473904C54D540007788430C0C736C8823678840638C93908034560834770CA41A8C339B03F41FC459C88C985B4C9ACD4CA';
wwv_flow_imp.g_varchar2_table(7616) := '0901BEA2CB09381C460580C202C0C6FDD3C49F544200E03F5264CB521C4B419C0743243BA6D89099DCCABBC44B9CE84AA1580E741C4640C43F262CC1297CC2C27C42B1DC43029C87D1734196B84ABBCCCBC8944CF4C349CEFBCAF79343113C410F9C3F05';
wwv_flow_imp.g_varchar2_table(7617) := '184CFBD3CC2A2C4CC454C147988797E44BBAC4CAC964CDD65C894A148A890CC0D96CC2FD6BC2FAD3BFDC2CC100BCCDDBE44D01404AFF164C4D58834CD7344EBCE4077C689379083BBE5C0758080658904E5198CEEA84050010050090CEEBD44EEADCCEEF';
wwv_flow_imp.g_varchar2_table(7618) := '840551288571683C43ECC67FB887BB30C7E3644FE30C3C91998738498BC279187F2214B7201684D83354D187B9902039E307D3D3A73B6BC37B68077928CEF65450870CBC368907487A992F7391C281117C283EC0C3D0C0B387D3143C8190C0C003D10C15';
wwv_flow_imp.g_varchar2_table(7619) := '510D5589F3AC077640D0055551D77CCF7688453BA14F38D38CFB9C4444630BB6EB46602CD0035DD11E9DCCA5589185944BBDCAB7F5F4D12375C83CC10B846C091B4DD0A4788E90B14C24A55286CC13BAD3B42865AC2AE5D271448A7BF8B4446C897B2053';
wwv_flow_imp.g_varchar2_table(7620) := '51639C32C5130F51D3FF3565538720D33785D3385D538260D314518BF434BBAA32D22EE5D3F1DBB13F659640D5984115D44205801E730875505400585445FD534755881E93D443A554491DD43FA5314675D4451D881E8B3248DD31261B5431EDD3523539';
wwv_flow_imp.g_varchar2_table(7621) := '384588E0A09D5565D55555887A80D55895553295D58480D538C5D53785559C8855818055DA31D560C5BC3ADD53BF20533B1508349D136225D68188C883C8553D455661A5D6B4635623B5D339B58969153C0B5D886B6DD66A155706B5D1A3505600F8CF74';
wwv_flow_imp.g_varchar2_table(7622) := 'FDCF9B90B3349D560B7452F6B38E328DD371B5D705EC90366D9D5EF5900952D7759D2010B9076FAD2A77A5B4761DD3820891371D085ABD077D7858882553DA7953FF88B55881BDD78C2D39573257AB1216B8E84F09DA3AE540B3ECE046FAE4456E3CD919';
wwv_flow_imp.g_varchar2_table(7623) := 'D50762998E7C4A0B7A88A03BA9B5464388D4D3D89C3D547668077768879F4D878CF198A165077720544205007768328D71B29F5D36A7855AA74D5A77708781F8D9AF825AAAADDAADA55AAC65964F5554A2155B9019323333DBA9351844A5D4B54D8AA255';
wwv_flow_imp.g_varchar2_table(7624) := '5B8108559DE552AFE49021AB107CC88606D15B6080841ED0011EC0811010DC10D08129E0012FA8022FF0022A18032F00056EB886C8955CC99D066C88DC85A88681B80600A0DCC99D86C8AD06D0AD8667205D6CE8032A405D2F1003C59D82244002243882';
wwv_flow_imp.g_varchar2_table(7625) := '2730021EB80378E04156F5D583118777E88A7708B1FF12E38B6F90DB71E5277AC80C18E9215B809B5C488529C8801328AA0390DE0360801558022A58020C388115888227F804D27D066C08DF6B8806CB9DDCCD3D88CDAD41CD8DDCCF75DF6BA886F88D86';
wwv_flow_imp.g_varchar2_table(7626) := '6A8806D245066210066EE88433505D3138032158021CD00121E0011D58821F600118E88A1941B3563318E1C5B17210B171180770B8896D1007684008742808370000D7185E2EE5877B9049BDB8055A6890DC40841060000608010C60800FA0010C388015';
wwv_flow_imp.g_varchar2_table(7627) := 'B0833198021AD0012630604480066CF861F2C586F2ADDCCFDD5CF42D88CD353FCEF5DCF685DFF8955FD265066480066838064858843E688225A0011A10E013A08D10C001147880C5A92A99E59AFF770000DE05000B160800B1096A3806E1E5E08120070D';
wwv_flow_imp.g_varchar2_table(7628) := '26883330263B0A612A1D3578088E433B61E5B585589882E8C5800FC08012C001E80D8129408233A08126D8621B16862AAEDF2136DFF665E2F405802566E26B78DF2786E2D1B5DF61A8E262E8844290649F00631A2881108800188E00030807B9D307DA79';
wwv_flow_imp.g_varchar2_table(7629) := '5205115E09160837160AE1FD0674A0E382888283C0822B00610080A83E3E4E7968875EE1871346615BE8841A98DE03C0801028011AD666EDA502285882716E0224880568A062297E86F915656C30E22276E7789E86751608513E5F2396DF68A85F667806';
wwv_flow_imp.g_varchar2_table(7630) := '6440864BAE8545588433C0810F98010C40E8592E2A03308000201F4ABB8B2F5413FF5FAE638130073816085D00669548844F40083C0600E185028198802B3A0D3B7066156D136D81AA5B7005E5CD853B80E16C86DEE82DAA0F18671CC081268882132884';
wwv_flow_imp.g_varchar2_table(7631) := '4B9E627FE6E76898866A3062511E886C0000A506007D06806958EAF37DE2F9D56729F61B2A860655E8833E90E4E7CD00BF2AAAE86D68F2098E7C700778D8E500F1E55F36086A0007B7B6882118821CF00125E8125D148889B062720885456888D31A88D1';
wwv_flow_imp.g_varchar2_table(7632) := '49E9055DE93D99E6E98985E66DE16C8EDE6CD6DE13F800196E021C50834BA662BFE1E7D185DFCD7EEACE1608A8D6E787B367D196DC6820DFAA7E86AB26066810865AB003497EEC1388806C3E8000208000C006F4ACAAB396E8FF5431073706078C866B82';
wwv_flow_imp.g_varchar2_table(7633) := '100770E88A84D882EB128820F8825B48936F800608E6068570066B681763A885C18E0D3540E9B76B8A40861397861B48D0010D68ECE96DE1B03E011846E81308E03EA8627E06DF75266AD336EACD85EA6980EAA7766AA826EDC9D567FAAD5F68C0ECD516';
wwv_flow_imp.g_varchar2_table(7634) := '0655B0832998010648E499CE66DB7668DD366BB44EEB1D71EB931888B77688340A822B5202337805641088E986066ED0E06338712B26086DB006006897D0D16EC984667A90337DF8215A88853258810FA0ED168E6C063F0045965E9C8E021A70046E1086';
wwv_flow_imp.g_varchar2_table(7635) := '678006F0AD5FAA7E624EFE6C81A05FA56E62D0D5E72BAFDFD4BEDF2ADE84D79E816F5E70DA3E00022000339E70FFA7EA1615F81770D8E881D0680C0780E1DE7000088221A8738180866C80E081806E0098EE8360714A190FDB05437001003510835BC103';
wwv_flow_imp.g_varchar2_table(7636) := '81F8EBA5E3877A700779485760486C1C16016F666C0DC00003A6DEF45E822DC6813E108663106AD2BD72FA8D5FF8E5DCCEB667FA15E56C30EAD1258661B805F16186D3AEEA295E6D6CD80426D80328D0662738833DC0F40360E80008877D380E7EA0DA06';
wwv_flow_imp.g_varchar2_table(7637) := '5618E005005D701A00E80570D00538CF705DB008BB460359F87383207100B863901E0C63200CD870117ABB0B461403EE7684545974CA7BF4488F587DA0F45888042FD081F3CEE610E8011C90DE1080EC19F689282075A1C6EC009F5F283E627BBE866C08';
wwv_flow_imp.g_varchar2_table(7638) := 'EDFFC9A519CC1E6AD496627FFEE16258824D48832F9F811980021AA0DEE91DEB7FF0D79E75F6C6D1E8370707CB707395A87317588384C0E33E9F6E9EB206C2308CEEC0D970E403817084DE0B90771F88449F2F003866939BF7478BA07AB8F74CA8821010';
wwv_flow_imp.g_varchar2_table(7639) := '73F4D68010306F0CC880B0FE800C388358B06C64C06CFAD6675266E25136EDA7B667AA36ED5CA7785DAF625538843E80828F6702267082B927F9314F167F6DF6625D90167889A6F96537A686C2D7F6386F63B6560829B87333A8203FFF86FD2E88705727';
wwv_flow_imp.g_varchar2_table(7640) := '5F689784C0853284D2B8E8F9454C740F56934528043C10032A108844C78D927B74588B207B1F055BA8851D40EFB09E5E0230004D3700F4D65EFF1A78825040678417FB008FDF7A7678F8F5AAF7AD06F95EF8F83575CCC6F8ACB6833AB0FBBB2703276082';
wwv_flow_imp.g_varchar2_table(7641) := 'F5AE7D236087E7488B66AFF0CD90173CF00F2BD17C6A38FC36CFE8F45F891A8C7C3F1F718228F18108055F200822C10D470C86F5BD89C9D0057B03887E00F6018007E020C2840A17326CE8F021C48812275264C8C81125478C10AA29E4A850C590103F21';
wwv_flow_imp.g_varchar2_table(7642) := '5C04404D948378147E4B27F225CC983217F2AB074F5EBD7AFAEA018B15EBD698030730306080E10003A1428B6230A094C187266A160943669519B3685AB756EB7AEDDAB4AFD5C05E6306202C806BD188758D76AD6B35ADCF9E6165460C1A303B7BD24C71';
wwv_flow_imp.g_varchar2_table(7643) := 'E2840C993D649C1C55EA46213CFF77F5F8CD6C0C311880650813AD5C03064C425907C181839803E19083C9A671FB36ED2C3759DC0040FB068D1BB46708370138C58B176DC708753124A8FB37F0E0BAF1F001506823807FC215AE24E90821C995094D3E3F';
wwv_flow_imp.g_varchar2_table(7644) := 'F86E39F6EC0F6BBAC3A993A74F608894CE60FA4129D2031F42384D1A6289A332A1A011AB4F0C5956AE5DD3260C7BED997F61C5550D33C80C184D5CD1CC651731C308D3071569A4C1C45F7A5842061333CCA0D41BF42877903B8A31A69D4C564876D01708';
wwv_flow_imp.g_varchar2_table(7645) := '99B10500528496508A983DA40242230C210733DC9CF6CD6A0BBDF60C340CF1D2070099109350156378D1D83FF624472294513AE6074720F951DD3EBE61F71C259F38E2A597FFD54939269935DD94D34EC08C120B309D84B014534E19B05E5321AC901406';
wwv_flow_imp.g_varchar2_table(7646) := 'EBF1004921904033CC7DF76DA5155C637DE55F35D33043D65B65DD5260820ACEA5203380E2858E1D4C4041C60C4ED081218618E4B983271E2214E23D239249D12F901D8405006600B012666BAC81D016B7DA9AA2434148811020AA1D749A42C87C03C05C';
wwv_flow_imp.g_varchar2_table(7647) := '00FC02C0228B10A2CA41B93154C40E333999DC87AB6ABB2D42620270D847643EF71C98CFF161C749201DF44928DCBA1B133DEDD0A30FBD3CD9128B2D9DD480545149699014031A3CC02FC007AC5083187780F267A0C43C33E858699175D641FF85757135';
wwv_flow_imp.g_varchar2_table(7648) := '741548D7A0723D032832C008838813340CE697135040C1040DFF4C20D1831B2E219458AAEF52246B42B62AB4C6165B80611900D488230B346A049190143E002B9B6CAB4D13CA134708F16BB2411A07C9417B2CD74622BD74060063CA196433D9CB510200';
wwv_flow_imp.g_varchar2_table(7649) := '720A79E4871F674B59AE970A9974D0978D35513694F0B0730FD8F402732F3063B49794501A3845C09C06B497DE0A4820510632F759054D56077E35A95B0885E516A36DD567D72DB6D0F2CA30CF2453697DC31C03CD1E2DA3CC048534340185113CF050CE';
wwv_flow_imp.g_varchar2_table(7650) := '3F04ED93D83EAA92494229004081102BA73474EB413CAF212BCE30B2F8058B0715AD5010451C149A66B0F508C0173F28241B4254268486150A957FD0193075668F4002E1FDBE636E772B5D47005CB99272FFEE67471200CEF1AF524248623500B42B14DF';
wwv_flow_imp.g_varchar2_table(7651) := '38C63154822EE92C240A42801F76F4568F7F28471FC0A0452C3CA183C2A04728042040078B821424F0A00A8818067EB0129B67B4452D6A0194C410E24246BDA51A2944C62D46670B87D18518A81306342C81010D754A656738C322C4B0041E1C211DFFE0';
wwv_flow_imp.g_varchar2_table(7652) := '5B41DC51336D39E02029A948AECC20AB2D6CB12243F8C1AF10D20820AD46580AF11E0090018D652581216568C81E102192528001165A82201E1B73114620A23807E183B7B4A30600380223FFEBD620ED6012E70020810BF946283E211D3BE06111955CC8';
wwv_flow_imp.g_varchar2_table(7653) := '130E228412E4D13112A42000F2718B58A4E20FFB420F089502C2541EA03D1FD04108FA60A4FFFA58053F0FE3CA7FEA030066100B2D8C1210A1E8121766242385058A9C83A0510B0668C82F76D0C3223EB1083B8841083C10C7130F028F762C069452AA4E';
wwv_flow_imp.g_varchar2_table(7654) := 'F0A800004220441013895EF210821916214F330078021A2D30045F012008AE50C8001172186CE813005740C818FC0900346C815700A8421500700891C0E220FB8847B63A29D18AA88B5B6A90021EF040928DCAAF10E82224480FE29A875032210C7CE041';
wwv_flow_imp.g_varchar2_table(7655) := '9E80D289CA446FF7F0263052118B3E842095ABFC600785620011AE000546E8442C8621549041632C5E79CB3388710B6030231BD7A098A11065A88C61C53E3EC40AA000559565CEE004298BE627D8750C5B84620CD8D41DCD7C07A554A0FF0121BD004084';
wwv_flow_imp.g_varchar2_table(7656) := '004086E1F50F1D9A63881C90A71033FC6C0D7200802C7201005A2484127CF043251821BF65A5513A44104226F9B3102EFCF30A01BDC217B400002E002009D5DAC31B582A5AEDECF1207D745721BD140A6F556790D0392443F05052451EC424837CE010A4';
wwv_flow_imp.g_varchar2_table(7657) := '7084231C8493A3A5083F3EF9A49882C2080CF8E02A0380D3E53EC5283CE8411972018CA10AF52E84FACAE51675B1B33CF5A8D3184B349C6AC3CF59D52EB420C67451180B0D7CE00427B0846A8F218C63204318A1C0DD3E7247337D48A918C7E8841BC0B0';
wwv_flow_imp.g_varchar2_table(7658) := '8A52F4827F8B90C4212C41CE7774E320EE4CC85B1B22073980413AD078056B90A1907B621800B7604D425CAB04001049C3FF08391F1752F4CF835881B3E54B0210AC17D048FCB6C67AD4C841E09063373082168C1D1303375A374BAAE1A3219DC8DC5622';
wwv_flow_imp.g_varchar2_table(7659) := '9D265880B7F3B47148F2F149506230121B78000194ABDC2C2F17B942890015FC608732A422BD0DAACF0AB72296EE3ED5976F4150A10A648B57B8621858899CE4AA7AE6FA18021176A0C23463B13A61E44218C270453BB2A45F784C114AB558C832DAA58D';
wwv_flow_imp.g_varchar2_table(7660) := '84A8C2151F5E4810AC10048332E415A558856618BB3D85E838150FA9C292FE0411742E040D2B8632AC65529CB42924196322D76ADB156285C4AD35F260C743A4333784FC409EC60E4D0A7C1B6B8604971D137CD29CFD60B82D1F00B95E6625014A308650';
wwv_flow_imp.g_varchar2_table(7661) := 'A4A213B518FF0630D20B281E6A05BB6F4E8851D50267CF5DD5CE0CB20F9EED9355350A2389F391EF7C69410B57B023778BBE077FA3E485458022160891052D8431115E9D6F21F39CE717E4408D8368389F27FE151708FB1085E3F59CA15DC82FA6113C85';
wwv_flow_imp.g_varchar2_table(7662) := 'BC68D92607802B7E716887E84F3B5F7AB9491342AE8394231DE928070215923E662979D842906742926D819333649B1EA2E03F86110B3418E08301A876B53FD8F4564660031960811AC6008AB1B229DC448DCDA0D62C43B8002041858A460A93CAA0ACD2';
wwv_flow_imp.g_varchar2_table(7663) := '3275D475D03110716FF91E2317B4C8452CD4A1E8DD49911F488FA870EE96505C0CEB19D920C743CEF61C1DDF8121AC0E821C34438B1D2104070D818689FF11B21239324416E40380154AAE02150CDD023402800B1C626B00BC75089F213A94DD0007B655';
wwv_flow_imp.g_varchar2_table(7664) := '02E5139F863400900D6974431AD9E846CB978387B39144D70841976BBB9510472A64900C9C95434A300100646021CA4EC826476B7484FC63946E3080965B79B80044006011D0010F50D0073778E26FF8F2FA5D7C883905C1592BFC794BD9AFDB16BB5415';
wwv_flow_imp.g_varchar2_table(7665) := '19D4A5250A0DC39F0C55838482A0D55D2EE05D2C28A03AFC037FF1DD3E041C940001008C9843F84242349830181C44F0414501808E1D842D70C3338C1A43A40088B14602E5C231F844CE8DCF8A355CF20401AB911A00985A1A01C0C8E580EB951CECB154';
wwv_flow_imp.g_varchar2_table(7666) := '0B20C43D119E3A3484323458764416DD80FF8943F00F6C3DDF44940027898007704009A0A043348110A4444A44D64549D4F6614B0EC14100845F720580016C80E130000F2001DBB8C1D6DD0B2DD8822D4C179AE5C7C3DC523400C01E66CE41985D0D11C8';
wwv_flow_imp.g_varchar2_table(7667) := 'E76415018E9BFF559750210329F9442A1860281403DE3562033EA03CB843041E84376507108486F544443630842A9004B41052270080FC3404B13CC44AB1C627F481231443424083C5BD042900002000C02B68462F8C5C1058402FB2DE0F8E16E1258432';
wwv_flow_imp.g_varchar2_table(7668) := '1C443800C0D740C91AE0C15F398491D14D6D254414A004D230CB494CC74234C16E31C41726DF49E041F2F9511E852105894E2474599629D701A0E106304004F4802CF5C11D48972DE4FF421DA6177D20C35CCC5FC7F04735E4DFBA0DD330DCC22D10E29E';
wwv_flow_imp.g_varchar2_table(7669) := 'F95F830C6075C5422D8442277402BB40642C8442286482133D203CC0C3254A09110040475E8F693586F12184AE0DD073FC801078CF0D2884600100373C1A43AC4E02AD411889848CD49EC301800F06239421E1419803009403EF91481B044F1B38186095';
wwv_flow_imp.g_varchar2_table(7670) := 'C435AE8B987863454CDAA43D8453020020758B1FF9012050C22A401039765F2C1802E2C849D43197538CC118F08017640230D86378885B9EF123FDEDE11F02E4D9554A0EDD8255A50E0022E230A402224002446602458602242C42275464033A14EFF097';
wwv_flow_imp.g_varchar2_table(7671) := '72001E9418810CE1A242C8412946046C1D0436A4E2413082F7AC624304FF1200CC1734AC4E31A4C2541E0409440FAC2C442280422234C4161C8D0E8E1C4FC21A126E434248607088020098022CF04642944275D0564364921272841A9C664244A5251C44';
wwv_flow_imp.g_varchar2_table(7672) := '213C1F68DAA22340E14188C3367046D904573BC803F7890E17A021028467043C40042000031CCE3A5641BEB0091D8A8E4FD421013203C7F4231FCE65A1C08556A00E2DD545BC35C850191A30244C247CC243729B017EC21D644226001B255AA26EAE4A27';
wwv_flow_imp.g_varchar2_table(7673) := 'D667ABB5D5BA785B2834244C1E442C4022F3518C4264520FF4C00DF4C0421049029DC1122C04E20180608D640005524B22043798E042D0666D2E9B271C843A8C433D041F7034140034942EFC26388CDC2EA002437CFFD4204D63144C928A7A4348844B45';
wwv_flow_imp.g_varchar2_table(7674) := '39021C886342E026421421D96827778AA127EC000120C0033C000550C006942905949FD3A9A71C8A4E7B02C3521564751193E90C0A31C159FEE1A79DDEC731F1A755FDA75001432414C24316A823C6C21820022830E84064E446DA4CE601944264028B8A';
wwv_flow_imp.g_varchar2_table(7675) := '042528562AA2D142E06023E1932375A84244D24816C323BA60687E4FF0944218DC284F129E21040350AE8A291C842FF082432C022BE0AA4920A9424441FA58032C328435ACE88A228495FE11689A433222C4391C443CD083BB702926265D249880018C69';
wwv_flow_imp.g_varchar2_table(7676) := '0670000750A108686B3B6659125CD07BCE21BEDCA37F5E5532D4298254CA2FFC63D9955DA40C4A525DFF455D14C89F02AA3074022274492750C26AB9811BF40124B84127B8030034E8A36E4B421D848C300422A402C7214469264431706065260423CCA2';
wwv_flow_imp.g_varchar2_table(7677) := '8F2844C5C262022550B12E842FF8022C16C327902A0004ABF474283F352CABF26424BCC12DE8C47298C22C24842EDC2C70666843ECC2217DC291220421C0E2B130049446C4F3A981748CC3419C033B9CC338B0C33A24C4D4422BB7482BB6104326708098';
wwv_flow_imp.g_varchar2_table(7678) := '6EC0B67A000B988009842D0B7CEB0B94592CCC617BE28B9CD2D2E4F0A3C30CCA41748CC7F0DF7E360C210A158022429F744997B88110D04006B801242CE8C136AA463EE8AA0414CA352345F0ACC472E086696C42486E42B46490C062C4F29A2F84FF42E7';
wwv_flow_imp.g_varchar2_table(7679) := 'B224242684F6E4932D484F600DD6CBC2DA312204CD0AC72C002900CCC290C6AE44EC82ED5A032A580342ECC241E8014318CF419C82EE0AEB650200AF26443B4CED41B44343CC83BB6C1F2821C31B20400250000780ED0BC0800CA080088C2D0A60D90644';
wwv_flow_imp.g_varchar2_table(7680) := 'C205A96D7BDAC2527D8E1AC922340051DD260BF848CA562CC89D31089EBDDD401ADA3084421FFC2525400224380220510106EC0925B8045A319A5AADCA478DC243601828888F8656EC31846E61B942285830CA15ADC25DEC41D41DF381EAEA3C4431986C';
wwv_flow_imp.g_varchar2_table(7681) := 'CA726CA7C6226BC04642F00800B0300098833D3866EAE2CD3A00A5348C4338E02612D60376BCAE488C2C00F882CF0200EF6220EF42FF8435ECC2F086C4288A443C5C6D181E0431540101586F157240997AADB672C00B702D03B881E8906FE8D0A11D4ECE';
wwv_flow_imp.g_varchar2_table(7682) := '0487952D60035D2CC8821C8459D0DF3EAEB19EADDDDB898CA175C2FEFEEF47E081173CAC1894801840027E216EA36D8B1C0D832DB82C44D400003C9A7F95F0424CE43D2584C2E502245A3243B4C6CA8E263490C30707ABAE8DB0C7FA172406EB686A8F4B';
wwv_flow_imp.g_varchar2_table(7683) := '3E0469CC304B8DC3A53518EFE59EE23A86EC1E44CE02E74160E9430CAF3560E012CB15191CC4D11E84314844D12A04EE3AF1BB6827B4F2433EFC832D7800026C719946001A92E9999A80086C4002A8E72B94ABF9E2A552E1632DD88125F4411440023630';
wwv_flow_imp.g_varchar2_table(7684) := '03E518535D20441CCBFF67BD464EFD0ED52D08C374E13322B82222F0EDB988411420422E784113F88113F1CDEE20F0B6F05623531CB004B13548C241A4428E22042337A4C752048D1EC4E692032A0B43C80240B1329F2837923518DC04832A00D855906C';
wwv_flow_imp.g_varchar2_table(7685) := '0F8FB0B069C8C63FF8A88DF18210FF5637ECE8A525C431F27070DCF2CD42443168032C4E5A3138833328843134433300402B3484AD3A44533F4431CBC4136B0B3383CD4B65C2983E0002048098365D988EE7036031073C400F80822DB8C29C992F2D10E4';
wwv_flow_imp.g_varchar2_table(7686) := '7401C3688EC1212C42141C00120860EA442A56B8B13CCBB3C65885BC0DA483E0B32D10DA1DF00124F83338F2811B8C81237801641D74965462218F491B35041868FFC2383D444BAA74A70211CAA1F0A902804FE0938FAC0E398C6607038036A4342CBA68';
wwv_flow_imp.g_varchar2_table(7687) := '23C52842BC063670C36DF3532AEBDE6A7C22EC6120060240527792F3024083AD1E0048C33F2A4336F834997406511F44743784310C37005475F0264454B3B2426827DFF0C34BF9C1B596A172298E0120C079972705902905A08021ACB5A5BDC22DBC029C';
wwv_flow_imp.g_varchar2_table(7688) := 'D6E133C4C21988811844521FF4412C58050AE520C51D8931D512E6D5D2603B48611B5A2E5082182836DF2E02201DA623D80112E0400960933C648904E143026B0BF830C422705E423CDA0A524487EA5808726008AB282787704877B0CA3E840A6383D5AC';
wwv_flow_imp.g_varchar2_table(7689) := '063764C3B1F83677779234888342E41EEF59ED98E8FFC2B20EB34858B731F0C2922BC4762339431C3176B39476E603D83C331720CE9699F77987677892675973001ADC422AA4C22BCCE12B90F1285501068881CA8881341502C4D6572D0DF8E7DC592DE5';
wwv_flow_imp.g_varchar2_table(7690) := 'B9BCDDB3C8809BC8F0811A0C1CDFF641254124448E0112B0400684C31371B8BCE8C387BBCB569AA2216C028DD502E482B6431C839840E6E539046C1C904C526EA5A6EC07B3343ADC760B97868EF37636F4763900C0B5C41A700340333843543AC38C974D';
wwv_flow_imp.g_varchar2_table(7691) := 'B336D83002C091186383CDF298ECFA724CF5A4A103395C87521F04EF4EF5445539D884D20F589BD485A5973340025C2B1627812D5034289C397DA78221DCC1BF6000141006199C41137C0230D0FFB95548319EED923CB7B39EBB9D1DFB792C18C113F471';
wwv_flow_imp.g_varchar2_table(7692) := '2114021F10BA1B78202250010E287A386489A3CF4BA4AF8A47135028A8822610824403C01E1C82D608F3F28526DD29840AA7B2866D848CC04125580DDDBD063E91C3011DCB31C438C5A66C8CDE1D42681CCA4DB2486503CE1F043FD0F468D53A4358B7CD';
wwv_flow_imp.g_varchar2_table(7693) := '8CC38EC66A427C4D31C20427C404260C020024022F3C9A33D402D023844D07F1D45744532FB5C6AF7448EF82311CB168493B63E4C30D6C1972359D79872703A0B79872001198B927B8822B9CB9278C01018C69F961C009D0000D6000158482A1E1EF3000';
wwv_flow_imp.g_varchar2_table(7694) := 'C0DB1D0990B0F3E1EB79DE3AC8BB23020B50C118F009227C8484FFBB1A34010BE0FF400424BCC21B1DA493CD46138FB448377470BCD5A03C88AD464B6EB42720832B48386D8BEE6B7C2C6B3B846B51E7642EC434B43AEC6D7752433B24073D42E030D31A';
wwv_flow_imp.g_varchar2_table(7695) := '2342C481161842445CC2250847256CF74114B536406E705CFD4200BF44893D63EC80D99FBDF8294E02A0B70124000AC040FB81822B78C21D0081579BA73B0A85DED38010F4412A1C831D2B5CE0F779E4CCC5E4500E40407B868CE03083C3840903064C58';
wwv_flow_imp.g_varchar2_table(7696) := 'A7274DF8384254C85145479FFA441142A3448470FB40EE83C7EE5E3E7E0050A654B992654B972F53928309A0124B6F0062151306E018B463C7007C4B090D4028570004DE02C4D216801A2BB9B584064D265200C568A5043373FFE634AE5FC186153BB6D9';
wwv_flow_imp.g_varchar2_table(7697) := '58B367611A0230AA1ED7498A2EA9341577E55BB072006C62598B172F94AD50EE5285F6E54D98C608271ECB0F5EBB7C00F89DEC11200001CB960F18C84CC0000204063A7B7861658C921D1C125806FD19C0810018702C51F32956C2633B73010320ECE030';
wwv_flow_imp.g_varchar2_table(7698) := '6400904D7D068DD933E3C30D264CB830D7B13B4D2A22BA38BD8F9826424E74FC18D29D3B7AFA4E2A4EFC0DDA376EDC84A67C574DE52A953E9102F519152A51965A82480982321200213C662ACF3E97DA08A3C036160803A5045F5AA31700A2CA46BC0929';
wwv_flow_imp.g_varchar2_table(7699) := 'ACD04295A47169949448B905005C00F0D0AD96E852499149C08A43AF973601EC42946EDAA5AC17697C8931C720FF3B0906CA2ABBEC00CE7E34E001D0084800851F3648C080003AFB0C3403008092011EA8B003915472C9C5369C42D90D19DF7682462161';
wwv_flow_imp.g_varchar2_table(7700) := '6C118619846C89A54C8494632E173184B0E893393F8164113CE0CC40CFED4082C73BF06A148B3E00A858E917004A01C0BD98002067C0970645091400CC802997F35C8AB4A5041944A9404F61E246C2F3240CD4D4532F542619947001B1A560D61A0B450A';
wwv_flow_imp.g_varchar2_table(7701) := '13198B975D5CF2A51894B4794912957AF50555546F7C2C32005EE0F132CC0808724803084080831D28402001CF9C6CB635064E58C20B2B298925962C81C932955442A9CD20313BE9A3104410B1C51643E8BD92CDE5143A269528784064CE4E3A09654E47';
wwv_flow_imp.g_varchar2_table(7702) := 'F0FF5C424F8FFEA1A74F924C1A76A67050AA252574DE29D5A6011D7D091A6E1E05600D983A4169506EB001EB40001668036505390D6381951205601A6EAE11D92B8771CEF9AC3856AA893FF1E6404911000609EB0F0024D963A653F2C235254D50414915';
wwv_flow_imp.g_varchar2_table(7703) := 'A78595DA455E0743C92F9D032DF69F639325A0B21E7D8C9601CE38A3A0070AA2FD2CDB030ED0408728C6E003118043C95218318509050F3E76DB49186462492516607C1B86A1DE9263334B4A96400212483E1198924F1C59C48E3CF70C4924EF1AE67AA5';
wwv_flow_imp.g_varchar2_table(7704) := '5C448606316FAC49E9941563A24A254D214469E3A67662E95096062C39289C0040673E46D650704130C20883F896F00020F994B89959F4E7A1FF67A991946A1AC593B5AE4FA90C95F419AB6800D86023E8EFB90AE48D2A50DA638A3458DAC39295064365';
wwv_flow_imp.g_varchar2_table(7705) := '134D5867A96A949C090CA54DA28EBEC26201D0B06451C63264BB0C0352A39A08C46003D12212DA18A0832678410CEE7244270A97A55038420D5410420610318CDD8CB0208933A1411087108430071251F0C2E42A87B94214820F7812020632E011CF3586';
wwv_flow_imp.g_varchar2_table(7706) := '1EA1F39F3820860E97B00200B892C96F3235A067448528E759544A00718BAC404A761C43CAA0F60380FC04610843088205BAF845955800262FF0DF19A197A10FA5A4522BD1473EBA0793390C4D259C100F1298D0923AAC6413BBF00B60E8D7BF96CC6825';
wwv_flow_imp.g_varchar2_table(7707) := 'F9431A00DEB735349E0580601BFF9BD8968599084480800878C00B38C099072240044878821DDC05894E7C8212855083755290C30C000009B9099C98BE94B85832AE710CF10922A8E0055206AC4E3454C3193492811344E01BFFB8479FDAD1C3F0A0B15C';
wwv_flow_imp.g_varchar2_table(7708) := '57038035103314A054F125D8A08F3551920D66A88411325B497956A2BBDD9107008500801A00F0049448A1255B59892300E00A597C4316565CE43D87E5894AA8E50D6F28C3F65052067FA6E48D711C4B890030874104ED2559408917C6801237B0440700';
wwv_flow_imp.g_varchar2_table(7709) := '60DF1E7FD5BF5DB40215EF034033B2A6124302E07E2B21043ED172A37B400625617B64D908C0004A52C600113081080C68800C18A1827DB8081FC4B08412E849952819AA1AFFA061CB6310E34BC41806349E4A4BDE4C5518C588452DEC8083338C528685';
wwv_flow_imp.g_varchar2_table(7710) := 'D09C759A4003A27EE4982249A60FCF180A7312E39B53214AC6846896A84CA3632AF1DD4C34054F380080119400831CE4F05739C0B39B00202C5E20E495BAA294B115E21900E2708737A0E40D6EB80300CA80867F02A01F61191A4301302BA281F62558E8';
wwv_flow_imp.g_varchar2_table(7711) := '024AA488924C5022122103C04439309343A0249A2C2164632974A37A2CD3A5908C240122C0000202F70528105B002820041608C10B6EE0C322FAD0030C3080017ACACE0932500200944008A0101C4A12F2D4C119E44BBC59A1728AE109559C610A53C0C0';
wwv_flow_imp.g_varchar2_table(7712) := '1954E1AFCCFD320A4DB0EF307358CCB2F210ADFE0B19EC7A32FF4D084D85634C2CB038C3890DDD3D832505A6E24BA60780E951A226A1A804251A11E14A34821200A85528E639289E2D231B37C3ED89C57205941C6DAF925D891BB617D17F7C6568451B44';
wwv_flow_imp.g_varchar2_table(7713) := '1E52920787866543B17049F658A2071AD12125AAE0452DC8C08010A038255FE36F4A06D82303362B030880A40118C0820D04200242F0A0109EE0863EDC01115E384008D04CD40D6417001CC880176A173800A8F0A953E98D4218228C63A8620F69C0C00C';
wwv_flow_imp.g_varchar2_table(7714) := 'D230833D2CE2106738431AA27006283081065050A50E43C2DF65DEF31BE28C8AEFE21C57DC45658900C0C6333E0DEA9458AC8AE0148B23FAD3129F79B8C388050025280C80792AD6168978058901600E26FFEF7A264970C96555E28689CA2A258100401E';
wwv_flow_imp.g_varchar2_table(7715) := 'DCA9922B5C610B2BD9104A72D194A3B0A4C32C99024B9CF692663843130020C4295AD1ABAF6440022668014A543084C6DEA8875056966F2FA3532BABA6BA3DF082178E2004E63AD711A2D4010E3F4054EBB2B90488D08D9CD9F4D472A570390BD1B33054';
wwv_flow_imp.g_varchar2_table(7716) := 'D18743CC600675003421F480713A6C9C0C50700214301081FC1A1399CA9CF4194B562A4D470A1B95869DA7BD8992649838E60038D46201908D979BA5111BAE49845F879269346515BD580637C0C16BA5B304083F48891F0A0B07344C567B143A2D4AD4AD';
wwv_flow_imp.g_varchar2_table(7717) := '8496F88125AE08C5A452C2073F1462EC2DA1014A845C3F98A0827D2911374C34809216A8A0FF052E2882128AC0D827A36447909CF2011050651F45C00061E6810E8EE00535F0617297C3000EF5140235978005DC0D0596949310C24D0E12868885531302';
wwv_flow_imp.g_varchar2_table(7718) := '80850CE318B550852A36E1672738810CA8D8052A582109420842107420831342AEA76C90FC73CA44B138D101769AA024C34BA951A9D20393558B0514B7036F255E21F4A54F7F252AA0941F00C17538DC01E82989F03FECF135B474E02C85456744CF794E';
wwv_flow_imp.g_varchar2_table(7719) := '76C2646BB5E58A25765135712F42256388C006CA0D021B0000082796073BE4E158F8C104DE2DA7AA0B5A54033484200A7A800AC660F12E08609E80013E0087204FF2B283054E000F80414D76E320444F5C8001F492632180A1F40C6113FF10C1120EA1CF';
wwv_flow_imp.g_varchar2_table(7720) := '9C801076E1F5586106058115C8800C6620F74A401C76080043E28C3201705A222AA262DA2A21D95EA20B48400995B025B2002FB40000A2C19E604E64368D25566DF97A46252A619B524216240C00A8811B748DFACC30EFF80A2580CD254E62C6CE020D56';
wwv_flow_imp.g_varchar2_table(7721) := '0202006002DA8C0E5D020E01800B54C20BF4502C94A6254EA1A450C2A300401B8A411B10612534800200C00400C0FAD0ADB1E801004DE21FF20105C6E6A55403011AC84714F009144FCCFC801242A114FF8DA83000CD4E00BB32B013F06CCE7A8318982A';
wwv_flow_imp.g_varchar2_table(7722) := '39A6EA161C2E165421125AA10FC880093CCE09ECC0F5606F065981E372B0BA76D073DC811D14661F16A9B0C24964102C0CFF6A050076AC2548602BBAE0B4BA000CAE0E0CD800098322E54465D336662A6002C8540D00D4317652A21BCC301E5500120100';
wwv_flow_imp.g_varchar2_table(7723) := '70E8AF25480100F0E1451E202CD42925BCE01F53220DC6C00ECE002C76A10EE860B67865100B0900B82E2522400E0100045AA0EEF24E054000A512861251221FC2A6802209F03260240F40081ED0B928226062A110022E03306015F5A4044A601537800A';
wwv_flow_imp.g_varchar2_table(7724) := '72C3E160B1371027F34CD01690011140290D3E4EF6A0801050212993921837CE097250E4588007B983244002A5A6089B5202C150820D3C0C0C12812B6B852BBB127CDCA92C01000A9F8D797407E7522214D40200528D1DE5322D9D6DD5BAE11B482D28A8';
wwv_flow_imp.g_varchar2_table(7725) := '211EA76F23FFD50D25FA00000293259621254E8E30189130A200259E60311F0A25904025181225BA4D25FED0EDB441267E652506332528320500C0068AE02F1BEBFF02F0244072CA96A5A62260593283018CC00DD4C0B948315D72C10BB845E068400770';
wwv_flow_imp.g_varchar2_table(7726) := '00076AF2040A4121440F250C224450487118C20481C11686A10FCEA00A66201855C117925213887118378E0E9C1203683205F8641F96511E40C20D45070F57C2B558021BA20100E0400B78660DBAE0633E0625B0408B00000B82A0D958620BEA132574E7';
wwv_flow_imp.g_varchar2_table(7727) := '1BC2417744A8C136062552211232412E874F257AAE1A51C267360C00E09125C40100CA812F31F42B3A6B4220203115230584C03F226709004425F2080AFF7EC59954A23261A425DC600C16330112330560E011D190B122E3FFE8214700E0079844243D71';
wwv_flow_imp.g_varchar2_table(7728) := '927A24330E003685ED0E0A2160F226147000F2B02B0334E2047040AC9A20378EC116462F85E60C71F24C391D2E12A68009040D158C0C15648F15AC7306E9A018572F0769B204BED34FF6E131A2C70CAA0D279A422562A02590A1118E46DDC8888C1E11DD';
wwv_flow_imp.g_varchar2_table(7729) := '02D5E95422EF540C25B6893D50623814F59BC4A31D5F821ABE21E9FA811FBE863C33F49E409325FA6013484119606525ECA142E810021E0002120055559522C562035C62093EE02900800EE06F25B4A1DB048175B461A456E2085689E95CA0FF56020880';
wwv_flow_imp.g_varchar2_table(7730) := '6007A2871FEEC13401A024FE6107545393FF6A6ADE324333222036FF4694D2E518F8E0F1882ACBD4E0836840ACDCE018CA45F410674B450FCF4C905D4F3016C480013080060EA11536010A362EE30461F66ACFF6706F064A80238A691FFEE11FFCE49800';
wwv_flow_imp.g_varchar2_table(7731) := '4053B966D5A66D0FEF60405302199EC10B29EC4EBB24251AD62C7E81AD540289CE5177962F2E516214D8409FB87214562D11A688E65242D74A75534F4C0656620FBCA0332D440E9247EB5002025A35555775551F20013C602696C203124025FA31253C34';
wwv_flow_imp.g_varchar2_table(7732) := '250891252461459C09075C22B65282585DE20CC4202F50E220D1003D4D4559E5A11DE40100EA211FFEA10A7EF4B7A02502AC4C333EE300220009F86025B1645CA2800289AACB9AA026FF0396063E61E186B338D1D54B09174B63610F280E0A36E110568F';
wwv_flow_imp.g_varchar2_table(7733) := 'F5C8800EF895E3FE95062A2F1CFE81603F0761FD271322CCC7C2E217E2CC15D2B25640211140A1122645F8D0A22988E2D348261722E16852C266530265AFC741D9714326941A2A1425F692606196D7EC0025DAEE45F0A052A4800E25E0257E1625DA8825';
wwv_flow_imp.g_varchar2_table(7734) := '3C81EBEC10252420EE284A2504E110B26D25F460B62CC131CF8E2B487325CA600B9A760B55C21CE2E165736B5901308030F50DD27635A32503A005341840331EC0080AA1AFD225164A91061E0FF2022EE04E80064E00279B63398973CE06D7E1927321B0';
wwv_flow_imp.g_varchar2_table(7735) := '945C80411556C009F6E00C286E06588F0E684F723718075820032C1773FF0FD619EF099E00600D5B027485C1F952020DBE0000CC13259A6D0B66182C5E611564E116A20F0C7127CE560C00FE80EA940F65B38925B24142F6E1658F25781B8B45EDE02D2D';
wwv_flow_imp.g_varchar2_table(7736) := '443F874050E3F06851625567A212E0800B3CC00E636B6951420796A00956421310831036411055227C6742345DE20BA2F013424A2544B646C0F67D23E31F22215A2D639236D14910C00820E1820C474BC46080FFEC032AF0CF84604A1D41CF4E70215262';
wwv_flow_imp.g_varchar2_table(7737) := '4C20B8E196B35C6C214B62A1F4C2D4E3FE8C83B3B3299D72060E58602FB7604F187A94E00BB4D0E9381926603825FAD00A52420BFA900B7079255661185C25251042256AC73E9AA825FAE00DFAC00CFAE3B16A3711FF50761412E17A5836252A75C60E13';
wwv_flow_imp.g_varchar2_table(7738) := '8A1BEB10C6808A1D468BBF6229B80E0D8E008B534202921625288005B8025700630900000774E005B40B56D7692CFA3025161726CAD042C0566C59EA1F32413589E45A02E0479A055B8E20134A316F00780918799429EE04D220363EB9920F0E25748370';
wwv_flow_imp.g_varchar2_table(7739) := '95B393CB8516C4655C6AE1044E7983B3F306DB3402DE144E5739739D516151C50778392592470A4420253AD92584414454423F59229F13B5258418269AA840772312FAE00FFA40B350E2107C20251A20081AA0765D82A7C51000D201FC605A9B71AB52B4';
wwv_flow_imp.g_varchar2_table(7740) := 'D01DCCE2799727252C808C57E201D2D9259420053A7526A064263641150A871ECD48BB5E00FD5642FFFF6C000486962512B59701C00B5422224FC57DC7B60D33416DDB866DA3E53210806D6520143C21602EA70F32405E1F6F06A020D030800918CD0E8E';
wwv_flow_imp.g_varchar2_table(7741) := '61815D6984F00C9339BA9373415C0CA718C4600668A0711F5772B7131929AF842FF760B3F954BE400AA2F0B126EB0504D22CB820875122A8AF400AAE00B055A2296AF975B6C90F90883E8CDA53578204B2281906F4A956221B20410CBF8152FB99AB09A3';
wwv_flow_imp.g_varchar2_table(7742) := '0850C061D08725D821FCC2020FB6000FD6E00BE633258E400552607A55C255C95786D349052CC003FADABE53025A00803300604F5562097CCD255EA0AE45E00858A24651C2039697257A39098AC008762032534209FEC010220114AA7942FEF9B0FF31D5';
wwv_flow_imp.g_varchar2_table(7743) := '13D4F6B12160921080013C63330CE007560B1120811471939167600AA020710F1812423B37488725385A8297D316403AA4C5A518FE4DB3F5400F50BA716700B3294F08B6E3B6DDA124B8263F7019E89EC011B9C2C1C14B16F8801ED78F25A440B95182B0';
wwv_flow_imp.g_varchar2_table(7744) := '05D7669AA764B4B2745CA2186EA133A79A2590C12FD6000FB8206B010014A861895142AB735BBC5B420C36C15540C08C7AC054D2200700E00D0C617A92011EB7FA25D080BD69FACEEF7C26C099259E400A8EC06A53228CB91C25049C00A2240134A0BCD5';
wwv_flow_imp.g_varchar2_table(7745) := '1900F0BAB85762D46102D655A2538B8008500205361200CE3B2532FA42F2612476B45905FAC4B1C53322E0012689036E400AEC8611FF32A11320610C7000B3331B0701CD0978A00F98639379FD813B5A82E525178ADCC863210AFEECB51BD7C9FF2C02B8';
wwv_flow_imp.g_varchar2_table(7746) := '5307A2723C3F67B7B8C60ACC1C2D86C143C61700CC9C0B12359FCF12259CAFC0406DE039A664CED18A6A86E67041372406259E3AEFDEE718C8A1647CA1155C0D29284142261466A936D7C7029D00601BBC302520FC2568140464FD2B121C7DF62A253694';
wwv_flow_imp.g_varchar2_table(7747) := '2BBE000F66B852D000D3DD3BFB54A20CFCDDAC677DFF00208CA936D4271C34023C011E600336800378D625CE4D0840930558800350C0041860BC53E2062ACA08586214C221D0536A24568A6CE1724956F34990FDB1298007AAA00CEE000E10211220810F';
wwv_flow_imp.g_varchar2_table(7748) := 'B800075E002619B94DFF9D200D4E6011CC35379AA2292C79387F7293E5A5F069214DC61D80A780022B50989CE004727080F58406F4AD8441A23BEEC1EB0385B8150388CB5C0A9420A8D749C5F81D007058255E611840D72ADCF13DFC131AD81C26760500';
wwv_flow_imp.g_varchar2_table(7749) := '7220DF1B65639A4145D121BEA9211DF4314339600260E0DCCC62AF12142C26D2BFF9CEE3BF02596F00257CADD5C142866558E63FC6BDDD9B0FE4E04EC3A2530DF5E727800324C0BFE9718B8BC4D48FF6E801009D2120C1DF11EC648007CCE82B509E25CA';
wwv_flow_imp.g_varchar2_table(7750) := 'AD05DA7A86AB40EBF6B4E40102402666000A1A3C8830A1C282FCE0B1BB57B09E4004042A5634400041040A1E8C8C2903D28D214686B81841B1E1058C0C1930B89CFF416686933A33D2083B06CC564E00B60A020300EC67D09C4489DAB2150B69AC58A396';
wwv_flow_imp.g_varchar2_table(7751) := '824272C0258619184E488DFAA1040B21487884DBB7EFDF3E78EDEEF15B8836AD5A8352AE7CE1B2362E2E34560A5E0150D7E010200B1B15BC050070DC82D09E5D4B58EA59416DB5EAA845074ACEC21F08CF0EBE8C39F3410E123814FC0182C25A08100A96';
wwv_flow_imp.g_varchar2_table(7752) := '81F306503700AB00D8382842210713064D80A8ADB68A411D28002439F82F2E1A00C301E041B3E6389EE47042651E93D683841609112420703D0102000F36142C6DD06F41252984A440F860218CDB09451FFC51850B5C83468C0030A25B73DC860F230A7C';
wwv_flow_imp.g_varchar2_table(7753) := '6000460122601D0529F590C41886400289215EC880FF820826BCC082082C5535431450CC5007194C14034C2E3A89589430420DA5934E41A5680B2D2DD2B2548C513010814B0C48C5C0010C6470C25647442184386281E54E5996E98764920A11F30B1A5F';
wwv_flow_imp.g_varchar2_table(7754) := '1874C5166BC5E1C71A00FC722532585E064D350695A20B35690D01C010514C71082FDAA073993D4ABEF9A6070078060411DFA53581670831D20D38D30010C35A7202D0C27AB41534285AD021F49A155754129C5A5E1804D717527021C593520060252570';
wwv_flow_imp.g_varchar2_table(7755) := '00A0C47847A0C5056505E50740A2836197800105BD86502A0B05B050699E49901E770900E06A4114989AD015BAD909A742FC4104403EFF301240B3CE3A9B118106FC5A85156EA0F1C61D658C31FFC60D041C002E065040718213346070C631A9C4920B8C';
wwv_flow_imp.g_varchar2_table(7756) := '00D0E2624F07D992CBBB47DD0B2FBCB1BCC2542CA9FC8B4400077C4BC0B301104023073A08D1830EE280255691C8164B7166C41C84CB2DAFAC450C2EBF0C139830212383D033D010B4503206F5F28D41CE340340210559D0420A3D1C548B36822DF467C5';
wwv_flow_imp.g_varchar2_table(7757) := '3E5F3628049EB5108377B42A94807668C9BB5602EEF93AD811C4BA71C71DF4C130181C7814F4E941CBE18107231B7BFD86416FB85176B136ACFD03104524A144DC085162901B5C4C5AD0A4A3EAC7979D7E4052D01869FF8C9643669DF5CF3544FCC078E3';
wwv_flow_imp.g_varchar2_table(7758) := '3FECF083116F2791841137FC9084175CDCE18721B4A0F1831A003CF1041E5E44E1FFC5144BDC010D34D14473CD35863D637241B463F34C3400D06E3233CC1003FC30B70CF33BF0C220E3C61349286FC40E3BF4704415D27BA1861B6EE041093B62FDF38F';
wwv_flow_imp.g_varchar2_table(7759) := '3BFD110E7E42D3607390CA3D2783F242D1A88C56362D03C04D42E164337F41E250034E36C81CC3A641D47F213A3420A22091C04C3FC287408458810B20C14B5E74F324B6006053001895210A52092495C10A0B44555A0067904C08C4207050CC9BECE1A6';
wwv_flow_imp.g_varchar2_table(7760) := '04AE2552003820E158D88F1822847BDC93A10A0D623800208E863CECA10FB967107DE8A3202C44880C87080020A2A588306C610C9FF8C41E26F187548458F7D8818F1B6A3189282C2292F6919603EEA31F4A348817158244FFFF8805385B6C231189181C';
wwv_flow_imp.g_varchar2_table(7761) := '20BA108134C4CC19E378C6C1A4F01F6EFAC73CDC48441402001F079CA342FA918F8AF1032CF7D8473E1E994837E6D032FC380B3FF251C94C6AB2204214E2910030C47BCCA38B282C2428F5D10FB0402C2C60E41E2B8B584828CAB21FFA0023582A29444E';
wwv_flow_imp.g_varchar2_table(7762) := 'EAA392AAECE52AAF984540FECC4DF6C823928C99101B22048C0561A6309F39187EE0C31ED30CA6110B62C84F721299D0EC665C8293C224A2058A07516692A8084887047396E42C273B33394B7BF4039E2DF421365DC84377CA328E64FCC71C6DC9CE27FA';
wwv_flow_imp.g_varchar2_table(7763) := '52950060A6F7ACE9CD3771D39BCE540B1F1F6AC88422B098955CA8442F7AC3882ED167ED6CA3E1B499107BEA10FF889B2C6226A7285238EAF3894BA4A24B5F5A4700786F6218ADA94D6F8AD39CEA74A7E97C08482B234594EAF0A407216AF864D9C28ACD';
wwv_flow_imp.g_varchar2_table(7764) := '94A74C6DAA539F0AD5A876F3A30BA12626A7C98F7016D5A82DB424F862494E8D2669A9E08BA454CF8AD6B4AA75ADE03BD69160CAC7831473A895DC6A25598AA480CE927012A3584CD90AD8C00A76B082ADA443CCFA0F7394A31BE1606C37B6918D6E48B6';
wwv_flow_imp.g_varchar2_table(7765) := '1BEA88A93DF8510F799C4522F9B84766F3410F7AE8352E7A45EACFC85AB17FAC0300DB001F4D090BDBD8CA76B66BE10F26C5998C6110E316B7F8C52B5EE13164F0B61BF850E23FF861CF1F8E562DA50DABCF50AB1F79D0E38DE22C882C7E16C9D7D276BB';
wwv_flow_imp.g_varchar2_table(7766) := 'DCFFEDAE5A6D7B9069FC8249CF18461F92D0096C308918D3E01E72E5010A7E204309D8804724FE410B66FC610CE528893C9CC8CEB534578611AD2B92A09B19CB448A86EC0B9FACBC0BE1084B78A78665875901908CF5E6620C6948431F8E818B61E0A2BD';
wwv_flow_imp.g_varchar2_table(7767) := '716C07179801833724411C01A0C51BFC400457F821098660870EF72A5623EE35A904C68C267F4A967AFC743F6AF118E1BE508E092B79C94C066485699A8C5FFC2219B1E8432D78B1896204A363D2E0613BE060084FFC030DA0280217DE90092244021430';
wwv_flow_imp.g_varchar2_table(7768) := 'B8C67197BB90010FD5B3F4A8C73DEE4CE7D0EA39B4F5E0B39D2F5C902003FA98406C302E7487965FE0C21C83F10300AC36B8264B7AD29456D2FFB1DEA88C282723178830062F10718CDFE16219C82DE698DF705F34FB21121C00451232F10F5B7820C9FC';
wwv_flow_imp.g_varchar2_table(7769) := '086818077C0F87A8231DE6E0B5AFCD618E5DAB43D8C456073BE09110B2D063D09791C77F8978A45F04E3D00040852F14120CCD18425B95EEB6B7BFBD9027635ACAC910462D54A18A5A1C8349B8E8725CDF50866EC0C00A4AB84619D2118048C880119128';
wwv_flow_imp.g_varchar2_table(7770) := 'C30DC2F1E6001B24A203EE473DD8510E7338E4D8EA70883CDAA1F074A8431EC37687B0830D6865335B3F65C4523098318A837C22CEE02EB9C94F9E16FE043338C908C67885118B73C7021ABA1D3110ED11896CFC83186508473B86F18F5444C3137EB8C5';
wwv_flow_imp.g_varchar2_table(7771) := '1B6CF18F7CC0D989036F6E0BE5FF11EC6CDC0114B6F8433422E18A308BC310E170B1EC0C918A6C0CE319EA680742E0E18E6527E9D92A2D88A215420B902109144945B9DDEFEEDD4BE356CA213E462D6A618B61E8F6163A1F29F74C4DC303FA1022385E69';
wwv_flow_imp.g_varchar2_table(7772) := 'D39D5E8E9F9FC60A617E43367E808C6B7860189978031CEE700D4344E20EB718B6591B92F68D6766C109D912DE5F0F7B94EB3D38CA50343390118B4E005ED48467E12801608F789C8598F8A80735A59B485B3FDE85053FA038D4310C227862F4D790422A';
wwv_flow_imp.g_varchar2_table(7773) := 'A470942F4C9F0B90F8542AAC50855BB0431D4545BBDAE104C448B93EF6EC6F7FB72B1C49EE459918C9E8C41DFA80FF483023CA856FBB7B230545987416CA774FCA5470EE20FF0EEC400C44F07995500EA0500568500E6F300668E0075CF0075E900D7EE0';
wwv_flow_imp.g_varchar2_table(7774) := '0A5827712C847AE7572C67340A70E006EE87822928612AC742B9350A6F50055E200663203D70E00ABD875C71546AC7D555FF574789B763780556A5450FECD00ED9D022910007A96008CF40129E900EB4E00AD520854B480CB6900DED6063061182AAB77A';
wwv_flow_imp.g_varchar2_table(7775) := '06810B0B11832A48866538580DA10E896419D5F00A65502D5E600570E80549C005B4A073A6160FC4140FE07459FEF40FF2A03DECB06CF32470060860A3D50F80C80E8B285DEE000F13070FF0900E5A686CED1089EC200F917861F9E00EEE500F5E0827F2';
wwv_flow_imp.g_varchar2_table(7776) := '9137A3581019330E66888AA9C85468E85500700D9EA03956C0FF2D2031065C6005AEB01A44740BE2600EC9200E94C50C8AD50DE5000FC3900DD7C00CE2E00AD9A07C0658704945168B288D46D80E5A688DD5A8858BE80EF2206407910FE6078A4A723700';
wwv_flow_imp.g_varchar2_table(7777) := 'B02D659010A9B068AAA88EEB8851FC815C06510D954087A7016F65F0056360059E900D28050AD9900DCF900ED3500EAF100EF3333FE5B073C4900ED7100EF4E04F78954C053780A0C567F7F0487F960F7D460F168967A16591DAF48DA947384C331FEC68';
wwv_flow_imp.g_varchar2_table(7778) := '92276953E06510D190096E283DD2A304D53275FB3852C4500DD1900DC4F00AC7380CD5600BB7C00CE52078E5C00E9EE0663B76480096943D265409F15669C18922E93334391E1E040069500576F0067487FF925DE995E15361D6F40FD1400BA910098680';
wwv_flow_imp.g_varchar2_table(7779) := '969DD33937A873FCE090D5300DD9C00CD5D00DD1D00DCF700BF3730DC4730BC4D058D95059B5D651D7C474C9C474073464FB5157512982E1E36806F10717E4133BF39595699948027F07110E82E73BC8E03B9FF90CC4809075E58999C83D13870FFF855C';
wwv_flow_imp.g_varchar2_table(7780) := 'E5A00EEE100EFDE190A6A51FB19454066660D1B4989DD898C5D20DEBC73E9A966D97299CC3A91FEEC84299288D95D88996A859C16119D5547C3A944575E690199974394860109919B489985C9898C6929B52E9336EB25A00806CE5499CE9A99E71F18D16';
wwv_flow_imp.g_varchar2_table(7781) := '061CAC974F4A9449F9800FF5094997F448F8E059F5D0678C2770CCA59D8AC74343964F2997FF2CE0B89E09AAA0D0D49E17F6639B541995749F75A5490E6A19B2796B3B4643AFD450C01116C7B55021B99B0B4AA2254A38ED6916065A19432580DF0927A5';
wwv_flow_imp.g_varchar2_table(7782) := '4544AF644CDB1316EF8816DFD80E236AA23BCAA34882A2DF09529674494495633A5477A4C57CA345A320FA9E70B43D3978A308DAA3534AA597C10FB9E60E296AA514DAA2D8841603389B48B9A1DB734631C443DA9910221A8E55CAA63D8A48FDE9A23AF6';
wwv_flow_imp.g_varchar2_table(7783) := '9FE3545D80E452618476DDD8A67BCAA791E8A7C88619C826A881B616C8C6766E74A897B18891C8A78DCAA7D8D88932E50E92DA89938A10D888A9D4B8169DC8A80551249B5AA9A12A5371F1A77FBA9C985A8D0611A98ECAAA548A678FE4FF9D97F1487866';
wwv_flow_imp.g_varchar2_table(7784) := '910691488346A1D9C410C9F4A02715A75DD5AB0841ABC38A67AD6AAC244AAB4A726700001134C59FFCB910C82211FE71A39064AD05B1718964678301ADC7EAADDFBA53B72A80D68A496B0AAEE78AAE5B64AEE9CAAEED5A2CD3E5911B0948CF4AAFF52A11';
wwv_flow_imp.g_varchar2_table(7785) := 'F5E9AEF9AAAF12852CC4BAAFFFFAAF4966100997708CA6458C86B00080B004AB588A05B00FCBAA785310C70000C8501805A13BD7100D37A9B11CBBB1B0B3B100500D1A7B19B163B2263BB237693B0080680070312203003500B1333BA5670009D06010B9';
wwv_flow_imp.g_varchar2_table(7786) := '5310D8700D5EA2197F7218257BB269717B1743B3474BA5F1A31F34B98F54D93369B18F5E320D41AB101F0B00C34032BBA3FF103A5010345010328BB461DB954B10173D7B18400B00535B10417B0D53EBB639B910417B8C6B013BB7B7162700001920B67B';
wwv_flow_imp.g_varchar2_table(7787) := 'DB95506010C280B57267B41BCBB622EB8A690B003419B46A0BB5D730B75409271F501018C0B795DB9572A718592BB2293BB287E1B36B4B936EDB3EB14395548B16CF50B46A91011F80B796EBBAA848050A7132596B423EFBB97F02B987CBB8719B109EBB';
wwv_flow_imp.g_varchar2_table(7788) := '10E9F3BA94F63A2B1BBC3645B571E98A736BB80AE1B80891BB49C200097100065130C53B582664BD1473064D601020030D164B10A88B166D7BB86D6BBE3D63BA6861BB9FAB19946B107E5B103992BDF37B92C7EB8A68AB10539B0D2DEB33AEC200504008';
wwv_flow_imp.g_varchar2_table(7789) := '0020B907D0FF2BF4AB56AF33BC065C2C5E6B10388B0C7237189D0BB44FABB6E67B8C9FCBBF7032BD93ABC01DFC7A58AB1FE42BC2E1E5B9549BC11E8CC2ECE8BE07F1BD597BC2E3EBB6CD5B10CC40BE881B3E0C4C0729ACC394C604052133B683B39951C3';
wwv_flow_imp.g_varchar2_table(7790) := '06D1B6D87B434E70953BACC44B3603644B31E7DBB6CABBB6CBEB33645010330005565C10398C011BBCC45F0C5B3C70020C0C27BBEB8A6D8B0C23DB33EC4B384E00BF600CC7B215150B61B498D1B6235B104FCBBC3ED3C3063103710CC8B4B5044EDCBD99';
wwv_flow_imp.g_varchar2_table(7791) := '91C1B1F3B4228CBF785C2C4C201300E004481CC8936C775EB28FC09BBE48220C30FB68D33B152B4CC9A1BC5625103E3D8BBE668C199EF9C0570B009B5CFF10AE00000CC0BA7F0C007B600705F10990F0C3A2CCCB4F950B4141317A7CBF991C1724F31310';
wwv_flow_imp.g_varchar2_table(7792) := 'BC162377109ADBCBCDEC5D199BC754CBC66BE1999C8C19B4E0CCD9DC64E40B97484232CCBC10BB5C2F057113ADACCDE79C503FA1453D9B24829710C88CCEF13C697F82C7753C18F05C10C3A0CE05D109ADBCC9E31C524B96BEC22CCF0A2CB50861CF68B1';
wwv_flow_imp.g_varchar2_table(7793) := 'CAF8ACCF975196DD36CD05DDC15EF2B9F88C16098D19140B00B1E01C13560D6C4CD012DDC12FBC459F40090F0661246DB8112DD2D6EBB3B4E3467C20338E2061ECEBB3C0DBD23A0CD3311D33E0E625FC6BD1397DB42A2D4C7453D32CFBD2548CD042FDBA';
wwv_flow_imp.g_varchar2_table(7794) := '2CBD456EF0092758D32A63D368813244CDFFD4F24CD3CFCC3E1F9DD5286C42462C4C11C0074CE6D468A15B5FBD56B9200CB42032DCB00C7687D3D0C4080555A4C23BD749E2088BE00651A09E8BF0956FCCAAB1309C8E500885C0077D90A003D495426010';
wwv_flow_imp.g_varchar2_table(7795) := 'D8AC10D7750452B037240AD8C2F9C3802D3AE929D5ECA8210521D80B210C753DA5251001B1EB9580DD076EB0D500F009A1D0DA5FF9042809057EEDD7DC1B1747A00465102A0B8ADB11904461A19E5B5399B88D924D80DC6B715D6AED546740CA5E89DA84';
wwv_flow_imp.g_varchar2_table(7796) := 'F33639300500900365300A2E20012EE00205C1DD39E0023920694A3BA538F0DC98AD107EED958B023E49900394F31B39600BA872053E50103ED0DDB365DC71210C1954D9247ADE9629FF33CABCD7851D3E493004BF91047CB110F96D100E1E5B67509207';
wwv_flow_imp.g_varchar2_table(7797) := 'C15BE6FC0564C2DC1745D334AD064FD004846CAC4520E206D1DB0961DF0921DE834507DC5BDB0010BB68C0056E00088CE017AFB07E0501D9092A04781BBD97D9091D0D008A5D1042A0B7E969D4FA5104C4F21B094E2C05D1010070170691E20000E16A95';
wwv_flow_imp.g_varchar2_table(7798) := 'C39F6D104B4041C3C1078060103DE1E5530ADC96F9E39FD00934BDCB0000CAD365928C2D720671CBFA41047542046F530469D1013E90E7058109E0200D83D504F00B0AB00C007E40DA072105A1920405A4A0B8CD00EADD95AFADCCCA9C166CCE8E266DE6';
wwv_flow_imp.g_varchar2_table(7799) := '946E10C48D198F6310227EE70B810500C006A33EE56C15C0B51DDA6B81FF06A1022B284C0084D50926DDCF3193E6262777E0DCCA2013D49841098E50E0650D00FB7D19AF4E043080062177103E00DEE1BDE7F90D0E05D15A6B75DB3820060581074F521C';
wwv_flow_imp.g_varchar2_table(7800) := '00F02480C0DB777EE8EB5902A08C53B14E5BC41D05900E6EC860B11553D69050EB23A7E9FAF1EA08F11BCB5E10A3EE02F80D00271EED00000E718D5674E0B7C9CD058C5009F0361C52002B8F39D900C0E80A1A017A1BDD3795118205098EC007C2AE107A';
wwv_flow_imp.g_varchar2_table(7801) := 'BB1DDD66B1BAFE33C4BDD9F4EE1A6BB303AF411DDC012550DEEF2F3F587E8BE5156F104F10EA197E51B78E1664FD0FB1D964ECFEBD1523E46B01E298F11A2AB0036971E20B11EDDB109C5195C32D9E10E648C9EACDFF0384A5C5EC17F4C562090B9106EA';
wwv_flow_imp.g_varchar2_table(7802) := 'ED044240C69A51EFFAB10DFF7E5651400758EE356F31DB7CDAE3099A01635E72D8CC954A52E40611C084F31A659F10DD2DDEFB6E10A7B80DE32026690F056720D880D0D9C481F3E1B3CF9A210882A0101F0F6E20542C92901082C00A398C1096AF1F2A00';
wwv_flow_imp.g_varchar2_table(7803) := '000C0E00129010A3FEF23970EA677F566B0F00A1ED294F02078E5609A150097453044FF00539FEF89A11F94842F90711F7456551ED670DBB8010935F105AAC2348B2034020FAECA10109A105D48F10D5AF56A273825E8E07654309945009999041BD5FB9';
wwv_flow_imp.g_varchar2_table(7804) := '6780169D1FFC6AFE33EC511020C0B5202001EC6F102340282EC017A2FF547820EC5BA3350601107EE0FF00F003000E1E0009152E64D8D0E1438811254EA458D1E2458C19356EE4D8B1A2AD84752C0180024007A14D0A51697AC88A8E208F3165CEA47971';
wwv_flow_imp.g_varchar2_table(7805) := 'D74406328930F480028404002816825848244792210995D464AA904F213E7C14DE5908E70DC23709B336E5DAD5EB57B061C5366CC5B0D52900A758358439D6ED5BAF7498264DE80100D11D2E00E450E222C7941C0EB5002803D72333AD0CDD0040B3508A';
wwv_flow_imp.g_varchar2_table(7806) := '61C891254FA6CCF0C48C92A8D856E6DC592121B148932CEC13476B63005B4D2734B33AE116CF15B72EAC02A0C88F8626203F809841446CE0C181D302C024A7433274C8289424C8A570E860413B3C5EA2C4C6A4497218D959691B0073E300740310FF0C00';
wwv_flow_imp.g_varchar2_table(7807) := 'AE84B712E2520F60947A50A3A20F04F0C58B92234026F2E620618304DEFAA9EC85E80A3410AE4E4CFACC0E86C858AE2D00E45AE8B8032B846886841C9488010C3290E90D331892A69BEF1C5A679C134F0C071CF2B62111806984DB0080041E82A03F8562';
wwv_flow_imp.g_varchar2_table(7808) := 'B06D29C810B0F04720BF22AEA12816C2000385247CE884209B0480C28420648801260DBB053D87E491078075E87132A12AB860688CFAC804E01FC80EB0EC4B36DB5C289784864C08071A201244C9849C00600624DD6C522E25975B4888EB3CB44740991A';
wwv_flow_imp.g_varchar2_table(7809) := '69C4211E6B73483D69B201079C73D4F1CC068AACF002002ED028088D2200B022360FFD34B52B61E06C0AA4846251E8130030A87322FF09A13C35381AF48C55D78574C510800CAEDBC89048142216803F585368340090A8C8051E0108D14234DE586C3600';
wwv_flow_imp.g_varchar2_table(7810) := '4051285AB10800C04703005053CD847CBCF5DC8A4E90CB095B0138A62B55194A05223AF06C28823ED1F56C865C1302F4210C182835212FF6417422D4081BEC8A852A692412D714F261541F44AD98A11114B2EB47431849C89350B40D0580629F308C8108';
wwv_flow_imp.g_varchar2_table(7811) := '0088C0DC2739D0F7E58AF25528D555D3BD2865982B3B21DF33A4A4AEA17DECA9A8A0D212EAC30C43205AD48C645B5BA83046AD50C20ABEF4AAB0D84A46F60400480050C251B8CC4DF9889CCBBED02138E3150B4E729DA8935786C84D6860B3E1FA248276';
wwv_flow_imp.g_varchar2_table(7812) := '1DFA55A66419D26121FFD8E288A312857059C5A18721FAE24B912B31F32D9C5950A830A9BA06A0903B360DA1EE5BF544528FB072B1454E8788F316819C289C41570E1B62520800F6D9871FCEC5923B6F89C4B087F68CFA0660031084228A212BA6C568EB';
wwv_flow_imp.g_varchar2_table(7813) := '45935DC3424FB4DDDA30137A482C21370A6248580044A0208308E8AE3D48991B6215185BC807A6AB545289F78003180837D60FC277A8844FECD9E7FBB02268FFA259015023F68CF8A1349948880E0203982AB840073AB05A601E320A2CC1EC6B67128B08';
wwv_flow_imp.g_varchar2_table(7814) := '600000E9258412096A480A0040A081E10C7FA6B2C53140423E009CCF232051DB4252E12A31B8EC380708D77118D03EDC09C111FFF0D208C182328720404D220440FF1314B2298D64055B3BF049F00000941929246209599E1415F23C001C0E00CA500600';
wwv_flow_imp.g_varchar2_table(7815) := 'B6618E7A58E8313B810C01BCA71037FC0F21130A408666F0467679CB873F22DD42EA781157B5CA150FA10200DAC8114AA049687314CB1FA79410EC25C46019B1857CDA1389A445D258C59AC8E1DAA3C5F628241BE3216445E89311468CCC110D71C4223A';
wwv_flow_imp.g_varchar2_table(7816) := '191C476C628D0AF9C626BF411E89BCF295E36925006A79CB4D3E041B1059254542910E0A9E92297E288443EEB04A4440E46019D18743E8418F7A34B3870F39D83285591901DD0F00FDB0E63527A3CD53DD0F4DDDF4E681F0B1902DDD6321D3540834CBF9';
wwv_flow_imp.g_varchar2_table(7817) := '4E785E641FEA3C973DE611C6785A084DBCD3873E681A2720DE3524A0F92468410D7A50033513A10B6568431D1A9180000021F904050A0000002C000016004F024F010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C589F8006424';
wwv_flow_imp.g_varchar2_table(7818) := '886FA3C08CF9F25D1C49B2A4C9932853AA5CC9B2A5CB973063CA9CC990DFC27EFD68EADCC9B3A7CF9F40830A1508AF605188F0E41D2DA8541EC1A4449B269DDA74E842A756B36ADDCAB5ABD7AF26A1165D4A136B56A94A09A6052055E05AB750DDC9D307';
wwv_flow_imp.g_varchar2_table(7819) := 'B6AEDDBB78F3EABD69F09FDFBF7B87E2CC19B8B0E1C38813AB0C998F1FBF908E1512562CD126007DFC066B2E28521F5DBA94438B1E4D7A6FCE7CF5EEE5531DF9E0E6D20CF7091CCC301FBC7BB261EBDECDBB77CC7EAB5337BE49DBB76B00B4094F26988F';
wwv_flow_imp.g_varchar2_table(7820) := '9DD37DFBCC1A9F4EBDBAF58139EF09B78C50F3F281FF7CE7FF2CAEB0B93CDCDF83BAB9CEBEBDFB8A588343269EF9E0BFF1DE0D872FB80FFFF2F4009827DB3EF4BC67E0810876E51170F7D0434F3DC329E417680241B7CF7DF839061C00FFD4E3573F8F71';
wwv_flow_imp.g_varchar2_table(7821) := 'A7E1785BE1249063287287D03DEDC8434F6E09C628E38C3DF5A31D3D4945D8DD3F735D06DD3F172237183FE1FDF50F91C809B4DF40236AB5994D2832C4A28B021548E39558CEF4CC7545D9784F533A1254A43EC01CD2893AFAE006806C83FD954E3B1D8A';
wwv_flow_imp.g_varchar2_table(7822) := '139E39F4FC634E36E6B4C30E00E9B013998933A5B7A49026A6D85A42535A6965968C36AA5235D675794F8339AAC82400ED2C82C4144CD4B2E685177AF7CF113B00300C0CF2A4E34138FD541100259150FFD04F246F1C69228028E5871CA8406237D96321';
wwv_flow_imp.g_varchar2_table(7823) := '01002542FFE0D3623DFD61EAE8B2CC5AC44C7B5EE2284F944CF2838F9D7DA8B2892A7DB0A34F7F18E264CF3FE128514538D398E08E3A1C84336A2AFF4412002899D49A19792E7987935FB359588F8B0DCA739E83DAA9762241F738875EB30C37ECA88DF5';
wwv_flow_imp.g_varchar2_table(7824) := '487BF0A544AAD3472D186F92CEB7FBDEF7CFB8F59691493626D0C38E0772EE60802799A081061777FC93CFADBFE98B1381F0A8938E3AECA8C3333B40B7E3F3CEF2E0632900F5B043CF3DC82DEAF0D35003F0CC96D489349B7655094B5064FBC0A30A24BC';
wwv_flow_imp.g_varchar2_table(7825) := 'A8528B3BDF66F6E1B8FF709180016520F34036E570C08C3C3BB8D28F218C0C13001CC0BDFFF692CD20CAE34E39E5A8C3A7CEE6ECCC4E9FE5A4E3B83B481294F473B8466DF9E5BC79D914B5C272FDCF3118AB82CE6D4C6B46643A4988634E19AE3C40812B';
wwv_flow_imp.g_varchar2_table(7826) := '2A7BE245008664C2C83F49F8612BA0F902DECF3EEA109E0E33708B4378E3E544834DF270AB536741492F9D2CE6D43B4A0C7B477524303D1E090BE2807C625C4B3A73EDA38FA8FD7878A43BCE55292C3DF3F083F6B545B6396849FC2A69E4BEF4100E4F26';
wwv_flow_imp.g_varchar2_table(7827) := '6E004539BCE0857294211CCF78822B18F1065A242E1D2A2A96D27253A05E21AC7A18CCA06926A5147AA8084516824E2C30068FE8C8265CFBD20CBFCC56A4FDCC8C5051C257AE00270F7394031E883882399EE185315CA30AD9C0C611FF5261082584231D';
wwv_flow_imp.g_varchar2_table(7828) := 'E530078504923079ECC3264ED3A014A7F815AB21878350D91A91FE528E4FF4A115AA88C53BFC7242D369063291F94B4EEA439BC8CC4C392AF15DAA84C7082918E2084948C518C4810D2E84431D7EA802E1F6549084498F8A884C24582026312DFAA51CA1';
wwv_flow_imp.g_varchar2_table(7829) := '100315C4B0073B9C610CB1600790F4A546BFBC1039F59B4D3FF207220CEDA73E26F15DFA90980E50E0C10F5EA04526E0E0053F0CE309B082831F92D88EC60CAB898A0CA630B302B1CD6DCD43D018C313C4C0CC669EE1096E70573E3EB4C576B8832DEA90';
wwv_flow_imp.g_varchar2_table(7830) := '1987EE930E7C8CF2483C529A3C4609A77EB0A31DF0B84F4A00C78F9C99231CD728873874568E6E3CE34ED810C73512C7FF0E7858CA9046EB47148749D082E60B6B4951D1B5D871072F34730CCC74A83233C1A30BFD251CB708074681210E623C231DD778';
wwv_flow_imp.g_varchar2_table(7831) := '4635C2818C7F404A6A99604734C2918F4CD86318C4C844373034439BB5D3677CEA99CFD8B12EA0ED8C680769A2D1003050831AF5A82429664239F28F728CA1876270431FCAD0073730B30A8E10A8132F248F6AF8E519027B06316C918D670CA367B6F807';
wwv_flow_imp.g_varchar2_table(7832) := '3290510E7A5CE31FD7C8063C40D10D64C00319DE8C233BEBC196ED39E8AF7F8DD850B58630E70CB5A8484DAC621BD2257CFC2B8B2E6C6A19204A5931409480B504D58FDAF18C62D9621E6E1DA92DBC3A8C6A44E31FC34086D2AE210E50B8C254D948853A';
wwv_flow_imp.g_varchar2_table(7833) := '6E718FFBFF95C47700601AD2586328C7E46F620311AAFB164BDCE23244A9D322883EFEE18E5820A28797C5EC186C4946DCCC835CB710473868C10C713C431DC31886386C218E680CE31ADD704538B2910D8D328319EA48C55DE5A14E99140750FA5AC8E4';
wwv_flow_imp.g_varchar2_table(7834) := '0E6BDC996C831AD2A00658A6F0873FA0410BFDAD1142935B107DF4EC78E508C7F1C4910EC8F5C3331AB2533A7D161EEED9A367FF8087398EA48E7698EF1FF780473D6C149E370625BF0A69A2D5109B60956C031CDBE8068EB992862400C01000F8C240DE';
wwv_flow_imp.g_varchar2_table(7835) := '20904F1002006710438D57A2B9A51664509AA1D07D47F9CD69DE871FF7D817D23CE921A4A5918D42120A8C11E59CE1D078C92469C438C0C204814C41FF097D00C016CA600600D41900BE40F219D07C122B22F76897F111743013688178E67C67CCCCCC56';
wwv_flow_imp.g_varchar2_table(7836) := '331CC80047D120E20E1C6D5B235D91B9687C6E490E0672E3AFEC010053788381AF60904F643A25927A2C8311D29F27F2C33305F18FD67A0BA242696D8D84EDCA9811B25F289EFA2439F0415DEA000026EC610A558833820D628D33ECF90C51D873137E6D';
wwv_flow_imp.g_varchar2_table(7837) := '913F1327D2872A09A09D64E91595D9D7D43E091B06020E707085097548C340CAB06C00A081C846868240A210EE898824D5C6948C0CA9B3EBA09699518E108DB0051287AF107B0AEA46C81BD0B00B81D0412067804214A64D9026088120DFF8C540F6406F';
wwv_flow_imp.g_varchar2_table(7838) := '6AE3DBC909F19B75FA6D10A1825B25A6FF0080284A62073B54041D03F18637B4A1904200800FB0D93400D6AC153D0080D802498311C660062217C4D40020C340A2F0F0872C622084FCB5B5F5CDBB9177DBDF98262A4C66411254D861112E073B0050B108';
wwv_flow_imp.g_varchar2_table(7839) := '54CC1B009A40FA40DE81904FA8C23DAB48042EB2A2EE34249C207F2838415021098A6862206A97FA82B72DCA7D4FC73F9563A2614FBE1253C022E51369459115820AB317841C05F14642F24C103E38A21078108823C261926E6C63147116CA28E4101442';
wwv_flow_imp.g_varchar2_table(7840) := '7CFAE704998215E8FC90BF4BA2E5B70740DF012076008881E26AA87793A5E31A915707F10B69A26ECF4C11AE036016CE1F49C37741FDB15B0315D71F081DD40E7381B0C21A0000FFFF29ACE18D77A083EDDEB0C6222C21103C849EF796A00200D8710E92';
wwv_flow_imp.g_varchar2_table(7841) := '74C32ABA9006002A0194430862207727107B406A00F0077756066F97106AF07403110A0D4178C4D558F8D041107875FC462889A7114A630F8C57122B670AD17711CE0000BBE00BA6967DD5777905D17000600C02918207810AECB70995277903B1441691';
wwv_flow_imp.g_varchar2_table(7842) := '6341410A59B107AE077B03B10356301071607400608307216F04910BD050105FE005520000C1A711A7262994427C066181878781C96758C35512213810B3A00B633811CE308202610D9F5082D6E00B6AA87B00F0703447102ED8822CB80BE07710489810';
wwv_flow_imp.g_varchar2_table(7843) := 'F0B00ECCC710D9707F857620FF7710AFA77780B774030105175710B4FF200C07F104E1E66793222D15687C17888985B4780275129CD0106118112EC80B02E10B75D8102E780A2D8810683810A4680CBBF07A03B10EF12010B4488B04610F0B910CE18083';
wwv_flow_imp.g_varchar2_table(7844) := '33A17356B17B0331050261045550105B20850CE10AB92010AF050DD9F00DB2E00703C105F5F67158186B9A681CC817635EA87525C106E33610A2B07207A10B15C10BA60800CD508A0C718AA47811EB300F00E08709418FD2B00D09616E78310A2B61099B';
wwv_flow_imp.g_varchar2_table(7845) := '2009B25810C40800C7281057800607D1710AC10D031185F5965BD8786D55777C5CE88D45D3811671092917080080098A40109F4810E60811B5108F12B10BA4D870287910DA80870D078B4C5115EB8010EB507FD5FF700BCA0000E670107CB513C0F810E6';
wwv_flow_imp.g_varchar2_table(7846) := '060EE2200E0296120259880D31850B610B11C910D87889F8621993F12BA3D18D97C65F26F1899320109720108330092159109C80091391679C570C02417367A810CD600CCDD092A8E8827B86297D481035790EEA300E7B690EFC180CE6A6835D010E4769';
wwv_flow_imp.g_varchar2_table(7847) := '10FA4810FF951282B00703090037C00412B0011E300449A002406011DCF05A4F891D08450F56241056232251D26222F11A8F212CF560198F9165FC002143720F8F410FD9511FA8041458E96D59F7870CF19502519263291098D09500109610E10DC5A00D';
wwv_flow_imp.g_varchar2_table(7848) := 'B5C07902D18E04A19604A19C6B59112C0800874014D7548FE7B00E7C390EE6C073E3200E05B1935EFF716337460DDB709E38769EE70900FA787FFA980D8569117B208C05E10100200100300429D00206A18405F10AB6F00A05210B9B491457A46ABA051E';
wwv_flow_imp.g_varchar2_table(7849) := '7F111293821A8D9165C0919A579665B9354D0ACA2FA31420161A20E021261018285A585819098E23319200D095C2B91029AA10C7C910CDE00CC5400EC7E00CCCB99C24D18609C19D02210EDD607A03710B03110988C81339D001415910872988E65910CB';
wwv_flow_imp.g_varchar2_table(7850) := '200DD2B093CB00008238113A80767F2708F4B9074C80030040010090044368104D27104DF0044CB97F8C000004FA0CB2E080058A5C093A4DE2D00EFC900EDDE02EE0243376720B7FD10ECBE117F5400CE52010EA100EC3E017E2D521EA900D6FFFC50EB4';
wwv_flow_imp.g_varchar2_table(7851) := '355BE9101ED9F4A1BF719159F98524F19593900706F1088AB0A20ED192AA2079ADC00B7B381073580CCD709292079D0751A30951A364C193872910DB300DFA773D95D0089E2010A3C0833CE10239A07315C006835A10FA571043799ED2300DCB900D0341';
wwv_flow_imp.g_varchar2_table(7852) := '0DEEF95FF0990DE2D91092C07E04910675800438E0011BB0105120710591A6692A07A1700BBF800C0421641109A7C1F50F8C202786900EF0A051F0700BEE402EAE950EB4400F7EC00CF7400CF0B033FFD04A99200FEAE00931750DC3900986A0B0A9700B';
wwv_flow_imp.g_varchar2_table(7853) := '99100EAE1009AE105B9E0048875A913B719B58B711BA1911793007BF291093209C2129960E918000B009D3E98A00A00AA4580C9AFF3710B0FA106C47870D07ABDDE9A30A110C04A10CB8703D241A132ED0013EA0B43950010391AC0CB1630C016000109F';
wwv_flow_imp.g_varchar2_table(7854) := '0AB109DA4A10C4C604556A100BB8741217B602019100000800C008020A89048107FC6734BA986911DA14BAC50F759209136B089E800C07440B86300CD110098690B199E0097E700BB41009B7300CD9F017AE500FD970A8E6600BAEF00FB6100ED5F056D1';
wwv_flow_imp.g_varchar2_table(7855) := '400BB7D00FA0701FBD4A52F5F513205B72FF76B424D1957970B205A1BA573B7602D10A9BD00AAA681048580CCE39102E2B11C6B0BB04217F40DB1091601066100BF4401719E812D7CA69FC4810E2B09E525BABE1090050EB10ECB7074A09004800990080';
wwv_flow_imp.g_varchar2_table(7856) := '02632B10BB37A664FF3A107C20647070B60321A0EEFA94F0EA16FF30B8B66008A0600B9EF00F651009B2040FDD000AD790097EE00AE560089130BF1E330C23B6B18ECA0E932BA5A9C057C8900D76E30AEA600BD9940D252566211A5C8B67BA13B1A28330';
wwv_flow_imp.g_varchar2_table(7857) := '07E3A6087330088370129B30BB0BD10CB0BA0912317307C1030321B400307700D008655B70345C6086E88F3EA17381000ED37B9ED0CA6900909E43AC10D74A0DC9BB10BB5788EAC6B502210137601076C07415471069EA078C60B60341095CA0049BB9BE';
wwv_flow_imp.g_varchar2_table(7858) := '44D5BED994099570B1FFE0099EC00EC4E00990C00891000A787B0BA990C6C4405A159B0D9EC00F99E00AE6E00A9E000A8FDB0EA6920E7F2CB9800C5725F59995FFB68D183CA2231B11734010264B11D5691000397DA73A100DA79C728910348B109BF077';
wwv_flow_imp.g_varchar2_table(7859) := '05D1AB332C10309CACC190BC0A696700900A425170F1890BA5B00AB37C94EDC99E531B60FAA70C30BC10265C6C0511AE03610300E072470600E3CA9003E1075F800743FA904A4004651091AB2138F26045B5550EEE500FF2C40E72920EA9B0B8A5650ED7';
wwv_flow_imp.g_varchar2_table(7860) := '600B839A0DEC400BAA934DE2900AC3A0BFFF100D802C0FA090CEEE22C7EC600EA0E0B8AE300CFCA02794F6B117AC7819D9892601AA6019C20591078110C9025105393005538004C556A5CE16839D4C102A3C9DAE0A116FB70714DD0300F006FC3710C06A';
wwv_flow_imp.g_varchar2_table(7861) := '1006780763800665A09087600663000A5601BD05FF910D9DE6A4CB5B10B800A5D26B1253500328B00112F0020241CC84F009AC406FE34A105190A6ED67745108080C14CDD496A01A6A32B3BA4DDBF42146C22F4B4253C0250EDFE117E0094749826B4762';
wwv_flow_imp.g_varchar2_table(7862) := 'C186B789B9C9120DCDA90DE1C5C4287F141D7B7797B506118F7FC77EBC90D10F51972870033170992E401077166745271068E006687007ABEC6E0A990AB0F6133A576E43AC0C518A98FA5898A34002537B115BBB011B600244E09817E7722E1787C9AC84';
wwv_flow_imp.g_varchar2_table(7863) := '7F40094136CC056A10219134D7C91C10F2A0AB41B7AA911AB9059B22910F9ED99A20921A32A31AAC019B47821A9ED92058F620A779BC35B3D6223A632C3196236C1171A603341011A790B5A7FFE8107328101F20102D70032A600439900485ED665AF007';
wwv_flow_imp.g_varchar2_table(7864) := '02D10770907A076107D62814EBBD8F8159ABE3D0085980633A9C10D390C41101D4A44D108DC80A8B48071DA7065A4C10A5EDC54F69D521410FEAB0AF7D71245B741F0F3A2999012522213319BA45B5756BB301251A121987E2B13C31D0042DB22611C2AC';
wwv_flow_imp.g_varchar2_table(7865) := '4B104100005830E310E1CA07519D9AA0ADD339AA2A4C9FA1EAAAF629103B709939502A46E0033E3610EE9D10D33C0641E103C0B80D3C0700992D1002666E02A68FA3D005BA600ED2300A7377E507D1CB0DE104AFC704C23C104AD071A9BDDA04910907C1';
wwv_flow_imp.g_varchar2_table(7866) := '057040097F108568E0DA9966302702DCFD7410D780A74DC50C7EB14501F2D505FFFB0FF4100DF0000FD7904ED7A04924A7E26A2DDD2DDE3426E1910761E30060053E20056B0000A41C11A94D06406710ED780AD52983042109746009A7E0D7079101E4DD';
wwv_flow_imp.g_varchar2_table(7867) := '022DE00249E063850D042E600404E10788E07E77C173398D98551BC42851D205416C4B00001B00035E70108BF070543C710201640C71049338108D410FEDE041F1EA0991600BF2104FE190B0D520C870F30F42B3AFF790099D2BB9F0900A6F000CCC80C5';
wwv_flow_imp.g_varchar2_table(7868) := 'F98068C647E92FC6E22667D026910502918C00E003105E100D7E10D478734EED085CD00AE48079C5E6040EB10B9B600C346709694008B14E10E480D706E101FC0900BC3E0403010305F107D8BE1E7A7198E6A6630651E503FFD10B34FD102D0003206010';
wwv_flow_imp.g_varchar2_table(7869) := '75598DCCC6800AEE9FE61BDB0BD1EDDF2E22FFE05A7C42446B9C0D189B0A70E009E31509A7D50F75C50E7E000AE1E09414FB0FB4500EB5D66DD0BDC8969E5BDFA6C11711EA333E022A40F245000426BFF603A14B72DE7952A864CA8807F2D79FA75E10AD';
wwv_flow_imp.g_varchar2_table(7870) := '5810DA700A6920082A1C9D377B101E90F336300200500400E0023B90F32660028AFF63BCB10A0451DF0040801311030361097BCFA528AF101487CC3BFF7E42CF44D8D1EDEEE09908F30FC41009E5600B0D04C8768EF5E6E0CE9E442EC4900D026408CF42';
wwv_flow_imp.g_varchar2_table(7871) := '0BF39B51BB237261BFE2FEFE8D8F0C1152300113701010D0FC009002057107052105501E7B03C104F2960650FF406CA628EB0CE10C330A008E90DA032101A1BFF62E50048EDF02392F10D25C7038171A9ADFF8EB6DEB00F0FE0261996BCFFE000140E040';
wwv_flow_imp.g_varchar2_table(7872) := '8249AE8C01600580A53E7600B8211851209E4F02C54414A3A690448E1D3D7E041952E44892254D9E2C798F603E7EF5DAC9E347F0DEB570912281BA932A12254F7E3C31FB67A85BB66CFFFE8903C60E942D5B4B6F81A2E5499FD17EFCF8F5EB17312B4AAE';
wwv_flow_imp.g_varchar2_table(7873) := '26B17EC50AF21E3B7AF7AED2EB2A1110234010279CFC12F18914005E04421C68E7CCC03384249243C7511B475FBB001473B4A80C00061F047A0000C20680222E80086CD102048C1643086E8CB84D20A9B4A54D8250217004C1CB3B06BABE4C396D922946';
wwv_flow_imp.g_varchar2_table(7874) := 'FF004C018967E0228F70EE98061E5CF870E223AB02180B8F20BF7FDD284D53976A583873D740650BA7EE5F2677E1C2198557EE5FB64CF1B27962C7CED3F77C58ADC68C09E06B71E260E7771C2B0F1F713F7100E81E090209081A830BBB004802802340E2';
wwv_flow_imp.g_varchar2_table(7875) := 'C12354003046A2564CA20082815218E8320F32F36813DE7059069681A451069CF8E8E3EA060076B0AC45220018A2882194C84109006A54C24600AE10480B340030A324255CABA28A8440FA43204704E2E3233CE010E83714A7A4B24A9030280D3E76E0F9';
wwv_flow_imp.g_varchar2_table(7876) := '2722A3BAFC324CA3987185237ABE04A0CB34E593CF3E2BB3D4CABEAD381A8B9E7CE4430BB835F0582324082C94C88D24FD807220843A5A62FF090068F82842824E39C9421340684105208600C1830940102918008251E6D337BBB24D2085141A688B1FB5';
wwv_flow_imp.g_varchar2_table(7877) := '7843A02DCCE0114891CAD822A23E0A95284989FC10C8108EF06895205C017803AF518F4516B819D23A8E9F2D25AA071E95E8A9871F96AEFD079E7EFEB9A7BD7FFAA1969F7BB0AA271F6EEF310BAB6FB70D6BA07693354E4E8FEA6147BF98F20C0ED7212C';
wwv_flow_imp.g_varchar2_table(7878) := '1C70200B13E048578ED03842040A001041040E04D2A1071E143D010A8136D9459381DE694610270080F4240E25F2C0034A3D8AE31659001885A079E00DE98A327CD422D6580140438B1E5BD571A09701F0512034E2C01590481AD955203F0446A30F8F0C';
wwv_flow_imp.g_varchar2_table(7879) := 'D135924C385A0C80B83264B9FF6AAB4562E004AE9A7D562234DB74CFAA7EBA4DF39F7ACE0CB3AAF6FAC9A79EB2CB8EE99FABDEBDFA23B5C1F228BFFD00C097AB357805E0EF3D090214807E21480071C4DF22881600D62288718954DC80A03404BA1C80C1';
wwv_flow_imp.g_varchar2_table(7880) := '041264E207255A420C88121C08B2815C6881201076C8B9A3553C91836881E651B36E812AF164A04A7AF5D5679F6DEE11008101692412007217C9788204168879827697088D4323DAE0CF836DC7DEF6033E28A12B2DB924A81E6EB3E192AA30CD2DDB9D6C';
wwv_flow_imp.g_varchar2_table(7881) := 'A6BD461E81B6FDD62800EA11C77D75CCC9361CE6F0CEFEC4AC981B89DE4E94163CA0814F07EC93122CC091C4014C718503C02B5EC111D345E401003080067A008044D561FF209210883700E00D6700C0097BE8080E08A281045060619C02C08B06D28222';
wwv_flow_imp.g_varchar2_table(7882) := 'D8E84700505A445AD508D911A47627511E8AA4319050E162249ED81DF400803BDC45A487860862EF380238DF0944094500000C0422810B4A04501480CC0BB23746646109003A388972B8A61C1FB2231290288A38D2C40E75A8831DFFA8A33CCAA1927EC8';
wwv_flow_imp.g_varchar2_table(7883) := 'D11C02C11F3BD2D18F7698AB1C37498721E0900D60BC0119FF585B56E634C69884231A22D19B40FA8692200C040D3F9ADA7050E511046451511F698648720880083C604018E24890A4B61855A882170B515A193A0100290EE4872489892DE010095F11D3';
wwv_flow_imp.g_varchar2_table(7884) := '985044661045320E00C0035FE358073401308E3F9AC413A3FF50E2407AC8CB810C8A58C149DD0E4A45102E8C61946444279518E595EFC9643BDD308A2DFC408B6C94E10F88880433DE0007455AC715EBC984387CC58E623DC313E2308A3898418C6BA823';
wwv_flow_imp.g_varchar2_table(7885) := '12C390072DE485CEB101E016C1124BBDF07196B484B2230BFB88E2002005FF9489208C008012523001C8484E24BBE81C416A61092E18210A03A9C1402052850C00EC23AD03C01D10D18A4D2CE410CD5B620FCDB18E5FA6459904E9E547CC90A446E40E17';
wwv_flow_imp.g_varchar2_table(7886) := 'C420C838DA419275ACC36D02411E4194C93C230101085A84408538420109A0202D074A675CA75482EE99E47BB5BB4750EED88E48FCC3169E180632B2618B4C30E316C860062852710B5AA4C369EA28C7FFF1C2E109AAF48316B6204636DC918947DA825D';
wwv_flow_imp.g_varchar2_table(7887) := 'F72163458101006454033979D3284781A39B2DE0C1A325E182C000F7052EA8A0A500D094440C3090520AC48322918140325012088C206A0A11C3188EDA11500C8499537AA3314BB29A81E8C866188D575682E18946E8EA0D66B0991512E49A924CEA0640';
wwv_flow_imp.g_varchar2_table(7888) := '18675794B020B9B65738DD1BEE48D878D781986B189E28873832F10C5730E516E17045268671D85B642213F6C8442A3C910A57B88219F9044043FF910E733CD413B7B0457F6F0149D0A25325006006006861DA0F4B4480E0EAA86B650980D6D68A245D94';
wwv_flow_imp.g_varchar2_table(7889) := 'C817BE00544D555020064800010860800074C40B28E4480CC4885B819097202A1A884F25FF22232C5AD1540221DA34F225AC2861D7244DCEC10E60E8811CC070049C022A4872E4021B70AA7211A9108C67B803194EC91093746F9CB9C2822591648D5EFA';
wwv_flow_imp.g_varchar2_table(7890) := '072D0C618E7208C51CD910873ABA710D7350271C44618627D4C10C7928981EC82847369EA11D815EE31FAE00C57822714737B537C40030297E52CB37AE7C410D7171ED1AD4D0A7E1D02505307C8B8D3DB281210B0409D3F388083C0283CD4424640068C1';
wwv_flow_imp.g_varchar2_table(7891) := '6406D2E694169B23F181B349E060E5978DE10ACE0389165E063C2BC44A2149C801115CD015254704C91DB1324AA4188AB002C0487246F7B1EEEC43E688C9DD4D0DC99CB2F22D77B129D964BCC5A75762E2516F7224A706A5AA4B23ECFF88D8A0522DC050';
wwv_flow_imp.g_varchar2_table(7892) := 'AC27302981A879D63413C8048D080015C44024A9A39E4794900419A6979BC4B10914BBD9BBB1FA272426F7E41580071C1710DB6503D9A7940412AC835801D727C95D2894888874F7BC4AEB8EC83DAAD51200B0C42A46FFCA558AFE3F7455053E6CEAD6D8';
wwv_flow_imp.g_varchar2_table(7893) := 'EE24AEADDC3B9D978487BE07281001921A2EA7766D010F78439268D1233F00C20F702B0190AA40CBD7EB8807DC4A103F2C861ADD10082C3F021913F85A027D17884B3B6276FA405B2039DCF64772471AD745E4A9C0F1C31BBC3990038D01BB562812CFA3';
wwv_flow_imp.g_varchar2_table(7894) := '100524206124A1008527288186279CDBE7A72F0ED03B629FF86C7D3956E9C87B5C2F6795DC221B0048C540BE1AF47E9BFF262E7159F1C0D232010A4C8003ABDB2248FAC58126A304A47D07FC48B830102378FC4D7DA8C42A0190788E4435341DC1AA49B8';
wwv_flow_imp.g_varchar2_table(7895) := '70901D39BB0C8BB93900808084D80CA40A0A313D009A607D8E3417F4347BC213BC8F7AFEA785BE1EE93490788FD81BC0D3BB1364889AE5E0377BF1BAB450030038B5078C8B5313884CA02281883F93E817903000183B182C620B469032CC00090A00230F';
wwv_flow_imp.g_varchar2_table(7896) := '6038D320B62A511A2B38B329C8010048831824081AE488DDB926941988644089E01B3625C840CFABAE1D71BF81E8032AE83C82700DB88A089D0380A731B7FE9342D3503D8E08C08F284089903DD4CB0AF7C1A4DE330D2EE002BA00803164924A0885E088';
wwv_flow_imp.g_varchar2_table(7897) := '3E0E1488FF33A38033BB40E09080EA098937F0035F71831B7A862A79038C32816DD301EE9B3BC70384E5611E5F690443A8846D0A0938F803478412B2FA38F51B08CF33270C04C224180384A082244002D289B131F8823B80035E211435488227709C2964';
wwv_flow_imp.g_varchar2_table(7898) := 'C593A84289B8428FC8C288D842FEB38AAFF2423A210BB368C0B4480781A02300480F00700761548781600793484681B81F603CC68E008788F845612CC6AD32896A72AE6704006DEC885F5C46641946401A087318077528C773FCC6918826815887923807';
wwv_flow_imp.g_varchar2_table(7899) := '6014468118073A4A462F548774B8C76D8C087568076DC4477C048069744689E0C6563448AFC8877CB887768007D7DB42FE81BDF938913BA14558A49BFF74639B77B948E400C3D2F8877DD8078208C9AA8137FAF89A74DABD91A096AF4A49DD130E7D8049';
wwv_flow_imp.g_varchar2_table(7900) := '82D8C896F4929A9CB792BC9A903CBA83B41AB6691B8674BD2E111BFE0100D8939F7A2B4064039B0E93B3896A137E2B8B7B010E969049ABE3C9AB1488983C0998D487E0E087AEC44A997C9FB03C16364AC8856C481FBA87B4940F0E133A48BA8A7FC893A4';
wwv_flow_imp.g_varchar2_table(7901) := '134AF891A4B0B84BAB8C2BA7DCC8FCA04A7F23CBC02C8EFD983D8900CB29F94AAEBC4AA6144C1451A3847409B614887FB886682817F4319B3AFA0779F88E7248856B681BB6610771319B7668872E911349F239BE4C367A6140B4A0C8C694CDD9A4CDDA14';
wwv_flow_imp.g_varchar2_table(7902) := '0E9F8CCC011A0F7110075AB80671B805FFE00C8772B88568288AE1648661000060B886C80A4E624006C7298AF7884591FCC8A64A4DBDBC4DA27C4ADE7B4DDB04CFF0ECB9E36013F10C0EB3CC077A60488990876B208672988654B0855B3087F6A405DB1B';
wwv_flow_imp.g_varchar2_table(7903) := '8F54C08EDFBC0666904F62300775080729939BA164CC81D8875FAABAD47C932BEC4B8D32CF089550745293BBACB709E50AC804CA9590B46B4805EF00D061208A61A88672E80773B8A37448075B200A1033076610876B504E486289EA445005CD4EEDDC4E';
wwv_flow_imp.g_varchar2_table(7904) := 'A64CB64CEA450C05D2206D501D15D28E40CFE4F01A3C928777931FF8D93D710887045D93C954C87BD8879BA43775F9A191F4C82FD9C89288C51E250B8A04CC2235D33345539681CCFFAE99CC98409FA22B97B089094982BDC9941BA6733A7BD8077BB007';
wwv_flow_imp.g_varchar2_table(7905) := 'B9B1877EB0077EB0078118D4C95C195AFC873E1DD4441D08A304003E7DD4442DD4D2E0CE8DCC875D94CA34D5D44DE5D4295953363AB639E5D16D11C97D70D43C2D549054D590E45255E50A56BD4E35F948553D4AAFE8304BAD175E2CD34EE5D55EF5558E';
wwv_flow_imp.g_varchar2_table(7906) := '78CCF464532D1455BAE14E90CC42AB48D440C8820B68D630B8800B080300C8026A75D66B6DD66C95566CE556687DD60BB0D66CCD8271E8530072C55B4DB64B95075DFDD5767557292CC86449487A18565A2CD6493A56536DBDA214547BC8820628800110';
wwv_flow_imp.g_varchar2_table(7907) := '80012880811D800140098405000110888365580180D882150012D085FF44AD55304557895057767DD78EF5D8F6C246ABF95490B0515FEA9204E55281C0877888872C70800208D8803DD899150898B5590028008250D881C8D98838589B2D000550008A65';
wwv_flow_imp.g_varchar2_table(7908) := 'D4B7C158634DD75C55AD8F65DAA6AD9B6C083578719F912DCCA524D293541396BD001220580570808705008125D89B15080128D89A55800148DBB56DD8B0C559A02558A2EDD3ADC9D888D8D8A575DABCD55BD98407F7B1167A01D5D5E34E3BF521312188';
wwv_flow_imp.g_varchar2_table(7909) := '78F8877F0D5A07B8804768833608DBB5855805605805E8D9815080854D5BB52D5B00A0DCB09DD983A5D848C549BBE1518D555A14DBDBD565DDABECDBA26B9B67A9DA92B54E299D4C42F55707B05C076883051080FF396803B3CDDCCC2DDBCA1580AF65DC';
wwv_flow_imp.g_varchar2_table(7910) := '390057CDBD000768800188D6E635DB9895DBAEA8D4A45DD74C6DDDEDE55E29BCC57628C68F305C3BBB0F7B68D906A0DC0B98030148DB36505B05308530785C670500127000976DDE47000053D8DA2C9883599056000803C78DDECD255A7C18DC90185F59';
wwv_flow_imp.g_varchar2_table(7911) := '84D0F9E9DE0786E038EB5BB5A1D7C0B5C2042E09F3FD57B52D8036B880060057F66D803678844750844798055D00004ED00551500407E0DF4130851436055DC8825910054EB8841A5E5FCB1D00A24DD9A33DD09550DA1F8DE0234662AB99606BA1D7F005';
wwv_flow_imp.g_varchar2_table(7912) := '400C26897F38DFB16DDC3630853670802C068073988341D0055D60834450E171D85A53C8024548E1FF30088447C8832FD685599884393005A18DDB8AAD5A92A55D81B85B234EE23EF6E32A5962617562C11DE291D0E097B5D968E5DD36F0DA0B00E03C20';
wwv_flow_imp.g_varchar2_table(7913) := '6145C802FD9D852C7E842B76804B5084694561139E044598039C4DDB020062BA85E2FA2AE25DFDE35566E5D2785D71A9E0782B6491D06080B559CB5D58E51D58A19DDEC52508071808E40DE60638DEA0B5DC802D659470CA8EB85B226DE56786662C0CE4';
wwv_flow_imp.g_varchar2_table(7914) := '2696E52FE588A3AC9D5A1EDB9B15D8B78DD99CBDDC851567CCF55C705658A01D581218877898DB8BADE6592EBA5CD5A468A6E77A962FBF15643C8667903864A085D9838DDCA0C55C82F5669C35E870FED99A0D5A9B25DA3B36DD53D6E3D45565FF7BA6E8';
wwv_flow_imp.g_varchar2_table(7915) := '687EE5F45CCF87B6E69190E20F86D88165D8B67D58B0FD88B31567851D69814DE78A0D62F285E878CE5E3EAEE899A6E7AAB8077A90077AD8BA30B1DA0B2D09A3A0865E8085A11605008085A236EA8E1005119108A6E688A186EAA15E06C475E827DEE785';
wwv_flow_imp.g_varchar2_table(7916) := '8C699AD6EA8ACE8AB34197D82C1B34C94E87BE48AC5D1738ABD0DB7D1F7E18C9043D6B7DB00F989C13B9295D8DD651D7AC96ADD6EB7ACE8A7B58D77A28313B6DD24E3357C1E5087CD8283EED574205807868EC95995400581941A5EC40B5ECCAA6EC47B5';
wwv_flow_imp.g_varchar2_table(7917) := 'ECBDB1DE979E9F7AC9EBBD16ED56B6E9B2006C931593B1365D588C3DBAB66C3EBD3767A60FCFE6487908EDD1C66D3F86E56EB9E3FF8992ED90608EE02ED0BA66993CE6BA9728177E98E8DC666EBD6D093B1109CF0693D5136CC3358AE076BDDF168E0AFD';
wwv_flow_imp.g_varchar2_table(7918) := 'AC90584B6A9916D1B6E0E67E60AF8EEE7D4609E116EEBDF4EC9B2E0BB026EFF866DD7A9007670A6CBB85DD8484EFA0E3D798406CC4AEAFFC466C3E25700247ECAAE688FDA61395086C746170072FB18494BD09D7EF81C0696A11089A94EF0D67DA67B4A3';
wwv_flow_imp.g_varchar2_table(7919) := '0FA747108FC774EC886434F17824883ADA46153F46156746823C711427489208717D44C6F438F1643C467A34C66064F11567F12DB96F68E66C0E47E2841C880F1BF2F9A987B3A187278F077A88F22907897A98877968F22CCF72AE4317E428B1AFEAF28F';
wwv_flow_imp.g_varchar2_table(7920) := '6872EF8670A1D372FF0D278827CF93270F1FC0EE16854473AD467023775AFD06EB324797012FF03DD73D2407003D87D404A7483F57597C2074FC58728DB5F3456F1B320F73BBB5733A97F4D565F442FFEFFF2EBA3DE77348C7DD4057F4435F0905270800';
wwv_flow_imp.g_varchar2_table(7921) := '1709468FF407AED3495775601A40075FF44B2F703D3E4B858C4D98D47352374CC5E408ADFC08516FD4FE3EBAF7884D084F0B5F97D0395FF564B7F3B361F2122BF079B00768DF1B7D40172D2FBAAEB4077C20708FE0CAC3DCCA94382D74E94A6A1F776A47';
wwv_flow_imp.g_varchar2_table(7922) := '8E27BF87714F7771A7F647DF54434FC8224FF679AFCAACC807C2B48A8D6A3777038BB4499339B9ECB9D18A6461BDABB016ABB3EE9314880937537CAD9B214776FF7A7F57F76107D3AC461D074861C4F16484074162C63A1AC62D31CD91075F9277E264B4';
wwv_flow_imp.g_varchar2_table(7923) := '468F304D62FC089297888B67077768878A07F23A7AC68DC7F174480F1597879E07D5418E507708DC7374AF9497F88F5DC97AE807762006A6B085CBCA056008852A600121D00185C9800DC880120881CED3012F10032A007B00100331F08258B886CA8C86';
wwv_flow_imp.g_varchar2_table(7924) := 'B48F8869C0068160FB90B8060030AD8898FB8198FB69B8FBB9BF866AE8FB676086C0870664C0864EA0822A98022A287B2FF0022A4042C7EFBC2AA0021E308231C8867E58D72E57F3202D4400C0028238277801EB3B01FAA36F57B279CAAC300757A085D6';
wwv_flow_imp.g_varchar2_table(7925) := 'A7855CA08558F08213C8800C608003C0FDDCDF1EFF1C5882C35F810F60020CC08133A802488006687886E487FB0883FBBBEF8811847EE52708E70700BDD7FB6B98866AC8FE6AA88668E8FE68400662808661808663D883B23F7F31988225D0011CE081F7';
wwv_flow_imp.g_varchar2_table(7926) := 'D78125E80124E80113D880DC01CB6F394B0C7588950308005B00101CD28120C2840A17326CE8F021C488122752AC68F122C68C1A3772ECE87163BD7CFC008C24F9CFDC2B5A2A73D1CA55680583030C306460100143090C073E2CE963E7CC920F4C68D058';
wwv_flow_imp.g_varchar2_table(7927) := 'B26411B4A4CF960278D674DA35A8D7AE4DBCC65461540051A766A33AAD1AD8B0D19E211B06CD5B3468B55421EA9366C9501A4C74E0A0712244080E3C503CC80420DFBFC0F6EADDABF7F130E2FF89625A0018E24360421F2A1253AE6CF932E6CC9A377376';
wwv_flow_imp.g_varchar2_table(7928) := '088F1F618225019C74656B65AE58540EB096992142061A2568CC3C718607952938A6401142548CB0A4CC9612C716ED1AD88454154E430875E9346C08970380DA356BD8EC63CB4223468E58ADB55496103D611E078E13186E2260F0C040A47F80FF01A047';
wwv_flow_imp.g_varchar2_table(7929) := 'AF9EE1CEFA2DFE00F00561105AA081900CFB19782082092AB86066F7D0734F3E119654DA692DE542490D31B5C640062708810103008028221569F0C01B144D18150A346621830C33C301504D345F6D351541386A45D5545439155D73D3E5B89576D11819';
wwv_flow_imp.g_varchar2_table(7930) := '0D33DDB5088D3688A8D2871EE49DF0010655AEC780860618100024FFDC13587DFFF2D8371A8308A6200441414046902F65BAF9269C6E1E234C9C9D3948D87D139AE38A4AB4C4128B1D55B6C65A063A4570000021CE54C37873E170060027F4210C77CC20';
wwv_flow_imp.g_varchar2_table(7931) := '430C8CCF18590D723336675D75D774156A35CC64A3D5A900A42A157234D278A491CF584A0C316615D3C7263FD9754206AF45C08001AD114000025C02700F69F2C923E648F0D469E0185C48314642CE3C7B2DB6D97AF40D00B910E488B688C193CF7DF788';
wwv_flow_imp.g_varchar2_table(7932) := '990F41A5A9F4E7273D083AA84CAD254A1095756170C20C4B34418318B99465698C0030134D5833725A5DA850211C5536D520A36A5658EDA815ACB1CA7A6977E4A462C921503851650925E8908196AC0D4B40005B1AE265B2FFF82C4B0F99E12606CD43DA';
wwv_flow_imp.g_varchar2_table(7933) := '18C3669B32EBBC73B8DE7ACBF347F0E8F3A083F4A0CB8FBA7E82E2060D54C23B68A2210260D701569E9022BFC00447DC5504135CB056CD893A95D85131530DA858F53863C5B1CE4A4C92B5586207143380D8614DF11E70F2B001ACFC6560F9BCCC0F3D40';
wwv_flow_imp.g_varchar2_table(7934) := '23463342E4549B902A863BFEB89B622C027946FAD4834F3D62EEF3CFE6E5F0F9672751AC00E2D3588650020054A64E3A06539FD1C4097608B33571326E4AB0C15A858A30415231A32A415DA5DA238E345E13ABDBB326A5CA1E84D4DD3A96337CA0F7DE7B';
wwv_flow_imp.g_varchar2_table(7935) := 'A31C1FB281DB073300CE528ED1378827F47342367F7F3EFA89A981D0FAE95334923C96D7438FE69CFF534E2CFF2ADD31060F4D3F2D130342B08110200107893AC0090070002644415FFCCAC5EC8641ABE10CC74804A9C68C2E4836B2852D2AC719DB544A';
wwv_flow_imp.g_varchar2_table(7936) := 'C50C62006018B718060AD956B1A55CCA3BB18002143AD63A0CCCE00C96C001BC02D0B72E218B2045AB47CCDC07119A854F21748A082E56210B2132B1890B8942423EE1448788041EF1C38F7DE4B1B9CEE58F169D50C31478A02178058B0018E0C1120C28';
wwv_flow_imp.g_varchar2_table(7937) := 'A2F4604007EAA90B145844A91825E317BF03C0A672C49C8475301ABC830A0631359CA5FCEE48B2E2DA3368458CE010C2099B38C30C003083493A210D3A694D0052C6A57F14CE87F601E2141FC22D6870031A4544C8311E1289512C6489A17CE5E3C4F02D';
wwv_flow_imp.g_varchar2_table(7938) := 'FF583A841F56945F16B778BF2E86A20C67D0C086A847008268400303C41295586797267C62762F8A11DC0A893B4E25276CCA111BC1B6422A57E1F1786321488C60142359618A1CB93884252C9106BBCD80094C68A71306853295FD233F7FF96410694910';
wwv_flow_imp.g_varchar2_table(7939) := '6E24845B096946424E8190C601C0950869054273A6CF85662B140C6D082EE9F7252E2ACD0DC06C0D88B064B2611EA0981AC09202AB26220CD0200A85400634C4C98C640CEC48193CD890C41624A8E02E473425C871B42296A58C858296C2582DFA708833';
wwv_flow_imp.g_varchar2_table(7940) := '30C10933200314E8E0042690E192043059045C419F74DD09940FED1DE2FCE91063680221B65885423ED107361104A004F9C355D36A203B00FF000F0829C73B1E5AC52BCECF3E13DDE59F72118A150C0A44112819009E8A2890B6EE8089E2891BC4100BE1';
wwv_flow_imp.g_varchar2_table(7941) := 'C4A8A516C420D83A8541407AC5489F5A1B3130A8A9EC2087909EBD94592627863490C109A625AD20E84086490E2A004708C7540942AE3C5DF51BFC9C06E2F899104A2064130068862510828B84BCA17C65552B720F042E2912241D0BA1191ED4A006B7DA';
wwv_flow_imp.g_varchar2_table(7942) := 'C1ADE79B6B44E5812C2EFE2916A9F0426B4200132CAD400304796A483180024555ED5E4B106B198031424536D6A5915DC864BDD9C1E6946A2CC3181858BE3696DA8D903B91D8C319D290068F39810C82D0846A8D3AC6033C01B6FA40C80FF3194A6E3447';
wwv_flow_imp.g_varchar2_table(7943) := '165A4DC82FB8E10A84DC4C15FFBEADC43020520BB30260C4A58005415E0C8030F402C6C9BDF165989B10B65617216C7D02E4444290ECD6631FDCED6E212E3993087C544BC3F4A80235A0839884080306D4411F22D1875CCC5791027B6CEE2616A450896A';
wwv_flow_imp.g_varchar2_table(7944) := '3832EDD1336E0100180518A704260BA616098D634C81204EA89B13E8A0D4D21AB54A1F60811FC4F18F0BCB169F0FE5273F5D49B367F0537C9BD8432B0832D6861001083500803600405082DC0216A520482F648CE35173045C00D0B142FCD9BEB6126411';
wwv_flow_imp.g_varchar2_table(7945) := 'D63D5FFCB2789F7D006073E988054B708D888BCE04583259810188695E038428D83211D10A5650853EF8815612F43280FD58B09A4EE7B2C3B91120C1720D4B5DA5BF8724FF679C87710C601C622848352DBA911A17A3FCE009CFF8C768F8B12C7B325416';
wwv_flow_imp.g_varchar2_table(7946) := 'BA5D08379CF22D481D82220A45889A17D20B52131C23CC75E8428EF10D874E0E006A58C474110245C895441FCB82474890C6C5D4FCA909F1C2928618B001EB19A098C122089565A2033456A1132DA295C0A0C1D3B14C5360670BCB7290330D239D8A555F';
wwv_flow_imp.g_varchar2_table(7947) := 'A111AD90E1145BBC22157C1A18B8412B4168ECE1044EA0C10CD25D5A26A4A8095340020B62C13984D8D21D86A1F72B4B999023F40721BF781800BC8088887081203C78C8C00110EAB923641C0088476C0BAE7786802B95093986DF11F2EA8627A40913DF';
wwv_flow_imp.g_varchar2_table(7948) := '197697E5757E687C97A909451F4A1002936DF400652448B0FF87A94045A5AE0A2B48821D3C118D5A4123494DB99DB439C58CFFF66E4659414E4E1316C2689485187EB4C52D70FF5F0A624A82283C4634FA30C9E15772C151D8834F9A800424BC80165B47';
wwv_flow_imp.g_varchar2_table(7949) := '883BD8017658321A008C70F89910C28D3B26845A04D9C316CAA085FF68C1FB10B1318C7BA10BF5B741EEF6F8873DF62EFF842C1700E223C8CF7EF6F0F5B9F5D50839024194009A844BE2C103C6D59AFDDC9A777D42199CC0FF08CB792D449501400DB891';
wwv_flow_imp.g_varchar2_table(7950) := '1F18422A400330D4CA30A0D4CCF991C11C4F8AA518EE280C7F9D0AB6B58A4E7DCDABFCCE4F7560ADD00A300C432D3000F155D2211082237C822AD8811A8841129400283C1F41B8433B7C5D3B2C94BD81FF8B050841BB61D5D90D48DB5D0100580115A281';
wwv_flow_imp.g_varchar2_table(7951) := '800C04412801442C51DC29C41702403FCC1F19FEDD87059E23405CAB0100E129C4111C9ECCD852FCC88301DE03E3D5DA3E28602A38021268C8B054CFC9EC8D022104A28808422C01064C4126D4C20CA2508AD10A34540C425443229D909ABD5ED8708A4C';
wwv_flow_imp.g_varchar2_table(7952) := '4D6208B1D0C3C01CA63C4C07FA9E2316C30390D40CD080131CC222A8C227D4422840502EA4C21D381FAD21043CB403B24CDF2BD109901DC1DB3D8415508B1650E17FFC07150200121881432C83420C810504819A9421352604C28D0F41205CFB449CAB29';
wwv_flow_imp.g_varchar2_table(7953) := '84140C4163104406680B76D1033CB8831D8E84912960287801963C15DF9C8C964420A2D4FFE30C61C013E8C018C40231CCE00C9210C6D09CEE2447A9CC148F5C1606BD5E90509353900500C4D9435ECA33D8822D0CC33F4A502CF0950EDC8B187CC20EE2';
wwv_flow_imp.g_varchar2_table(7954) := '1A34CC8E3000832B70C3F3D1472EEE625AA1811A780190DDC1424801417C811600001758C17F480115CA244110C144E40000E48034865A3516E5DF354475B561DA09810A806338EE4CC59923C6311EE7E4612AC44227E0000B1C800EA18C57CE93011040';
wwv_flow_imp.g_varchar2_table(7955) := 'B05C9E4C9480172C421F8C811BC482232A1231D04CE9D1DC71701606F10EEFC09EEE84E07CDD822B9886CD3D2441BCC8C37487EF299227DC4124508149890122E442488AE448D2026CDD22BCA52400D4431222571504E6438C9F4424FF8342185441F8C0';
wwv_flow_imp.g_varchar2_table(7956) := '109080517ECF17AC1A66B043AA5D231B12041E34DCFA0C203406C100A600EA0801EAC489900180C519201069DC3EA8C39F404209580F3CF68D3C5A1E00045BB01C40062C811A844228A40224E01A306467763E5B5C1A890A4256065507DA4C62A990E7C1';
wwv_flow_imp.g_varchar2_table(7957) := '48A41F050CF7A5D8273E64ADB4D0B33D432EF8042208C39C88642EE4822BA4C237D007ADA1A43BE003721D410A18101F24448A618419BCC24280661802401058C0692E48BC69846A5206CDB0036B861500C812AB2D44134A684270400A24846E2E44098C';
wwv_flow_imp.g_varchar2_table(7958) := '234208818A76C61C02A749D85A28C442213040573E959684E5B00000028865B045C00368000A50011F78C18CE6672C00FF437E66A7FD955E05698A4E2547A7681075A89EBEE1DCEAE111ED09CC2396907B3E4CEDA1500CDE023020432CF44128CC0E04D9';
wwv_flow_imp.g_varchar2_table(7959) := '27927A5738204460749D802ED4FD01C0A40140E079E34240E36400800B10C40838842B7D5A0E388653020038E0DD84EA07E38D043FA0E3184AC4A7C1668E21C437689514E1011C2A25434C00074C00430C2045B48007806A6544E539A62302964328B802';
wwv_flow_imp.g_varchar2_table(7960) := '1F6C0972129B8E0600003CC0AF0C8B0688000FBC401540C218C46276E6C276B6655294DE3344E23479CD74CC2527CA4AB6D18853C04D22C18D259290045DCA9A9590235A240AE54227D08230E4672ECC492CC4E29FF0A797FC673EB843805EA63EA11D44';
wwv_flow_imp.g_varchar2_table(7961) := '70835F98FF811510443222041640841F0000281004CDC4DD10006542D8D8A276463FDCE1A3DE433F446A435C824284412084012548811400D961981A735DA842F81F42D0000B008007ECA60700C0040841892A8410448110582C42788187EAC76F1E60E3';
wwv_flow_imp.g_varchar2_table(7962) := '958327D0022484A50E75A593D12A00440007900C8FF6000FF42A1FB8812700832D84ABB0A686B00A430726C58039851F8160061D47EC194C8C1C8FC1180940CE17339C500A01E627B6E5B60243BF3E1E75A6422C029E77854236F4C37FCA07BBCE292CED';
wwv_flow_imp.g_varchar2_table(7963) := '400FB82644AC5D438401184044220040232444293C68C122C8C13A6A42302C41CC020098422000C01C9802006002422802000C428C2106B8C8D21388FFC113F02441AC5A1BB215CAB22C41542CC5B6E4C6461CA5DAA4EBAA99385046C5D1A1CCDA4F3980';
wwv_flow_imp.g_varchar2_table(7964) := '422C8042086492576692EFD26A003000056CC0AF20C118500224F441192CE948DA02300080D62C89FD215D24E251436413790E0C55EC1409E51E00DC8228C660D0ADD92896EF0CA6422A10442764422750E7277C42757E82DA46C349AE6BBB2E142D2044';
wwv_flow_imp.g_varchar2_table(7965) := '31000014C02145F0ED8CF52D0023C4DF026EE1C6C91D0A597EE49D428802412882031304271084283CC2049782E47604E13D41143C817481C1341284FF128437384474712C4238C28112041F800B1C00021C540283220438744362CC2E7026F0FDE06E28';
wwv_flow_imp.g_varchar2_table(7966) := '88400000E2570E9372268A018C011F0CFFAD1B7402D22AA99F38AF768A69772009CDD52542481B435022088AC5E899902D7C2F8CBC082812040796050A9D2F0020022450C227500275B6711F38422774822738C52DFEC5DCAAD5222C81431C835EB90143';
wwv_flow_imp.g_varchar2_table(7967) := '7401081344DFAEC11AF42D4154420133441068612210EE016FC648D0C3182A2E42CC8229E8C2E42E840373C22653306270F0E9B6CF132CC2CB3EC4CD20C481164221380423F8C10A3FC43A5CC6D0D42149AC2A28D0C218A48CE5190002F47204244004F4';
wwv_flow_imp.g_varchar2_table(7968) := 'F2AC5A9E170C8327CC284576B132FFC976CECE044931985171352544C568B11F911009014C387559ED39ED308CE40C8E811D404227A8711B5767B916421F90F335D4EF1D33145BD5FF6942CCD99C01402734C40E22442C00C03EE3E96002C037340C430C';
wwv_flow_imp.g_varchar2_table(7969) := 'EE232348244F7242CC022C30EE42506E4244302C98C2429B82255B284194F26B2E02E92A043A3044A6F1420AA7B22314C24827C4BE2AC436C46E83A0EA54AAE30E83820E042F2F0329050C6F4DD7743083651528692C5448170300456AEBB64ED0C0ACD4';
wwv_flow_imp.g_varchar2_table(7970) := 'D72084515371D526C44E6D31AD10526335962291A237672724F04127AC711C5367B9CE682810692660C349E283117E092F36513F3B84E2C83342D4C242D4423184422A910F35274422840143685841CB6E7D1084E22EF4420F2C41643000707242482E43';
wwv_flow_imp.g_varchar2_table(7971) := '6B042B2C022A30B642B0025B410121004028584342284E436CDA2AD7FF090EC3033EE8703958E77B30000244C0F072000778000A788008A0360530C0B018C01350242DD07632AB045037A298DA1C68A6DE8C2403DC28B5425C698019C98B346454BFCD54';
wwv_flow_imp.g_varchar2_table(7972) := '6FEB37CF2025A0B13D9F1A753A821D54B72340821B508258D71A69E4C339D22D253711DA1D03CD844231D0359E2ACEFE02402DF84231485131B449659B37DE0687436441DF66C15E1B889049F243E842623304E59A82286430451304C15A042AEC4242EC';
wwv_flow_imp.g_varchar2_table(7973) := '828E918187C6150074744458C322AC700BB770FFA98153A80341C432009C83876706AAA2A349008638C4821F6840693F000570000B988009BCC00BC8788CB3000AFC9501BC8027D802AE9D463277F12B3CEFB33DFFD39AC588052504921324B5DD91580C';
wwv_flow_imp.g_varchar2_table(7974) := '8C38D95C54B790B371E0375BE4EC2002225C7739ABB123B8816E96000EB8411A8BB591C95659476A788792DFE5692A059EDFB5892F7C425C5B037D034031EC732AD9A7FD9592D801C02FD0892CCC4EFEEEB7817412035304C12E3AE306384558032A403A';
wwv_flow_imp.g_varchar2_table(7975) := 'A4337844EC824001C02E9C7242503841E1810F42C43910C486624654CAC31172DD3F84832B94418BBFB808C8B809C8C00D980007988007BC000C6C402F6B001F0043170179327FAF452A124A15EB9EA31408826632200F71A4274E598C53A8E79103CC54';
wwv_flow_imp.g_varchar2_table(7976) := '5B39963B2DE4F10124BCAF23743B493B0215E0400608812320C27653553BDC2F2C8D2BF9C8739E12FFC47A17835BCB775C8FCF7A2B849F27043768D58719BACE30B4A36B8414E58C2F50FA44683A43A083366CDA41F142A42548A99FBA6CFD4337788211';
wwv_flow_imp.g_varchar2_table(7977) := '184002D4BA0CB8F60340C0AB13446A9B000BBC070270412A9C46FE0475C07DEF130F6631C8FBFB86C2F621F74A110421F594EDF85143360505A914DC2CB72336B330242F494382B717821A5081238402B8678017408299AB6B3BB403BAA41539E8167947';
wwv_flow_imp.g_varchar2_table(7978) := '44BDDB399E17C331EC2FE021043450385B3B0787F93BCF0038262FC42C6072823B447C5B03C10380DC27449E1144A621C42E5843A61BBC44F0BDDF2784F74032005C91A91BC648A0B821E83A897A804D53C09620C003B8F88B73000C88400218FFC00EF4';
wwv_flow_imp.g_varchar2_table(7979) := 'F828A47C17DFC22D389B6E8F3DA0B062C7888170088CEA2BC41D715F433285AC34560B75D9436E2B997EB34BC064B9AB7221441707F341B97A0112E00134C4967C4C3D609CF514210E3A24C53190033D873D44BC3C4290CF1191D29FEF936D01F4349CFD';
wwv_flow_imp.g_varchar2_table(7980) := 'FBA1BD82E4814530AEDA5F843314038BB1896503002A3404C22F44DE3B44E077683ACC0300C4F2E093FA9065CEA9273E40FC13C705C1030E09080440100181010206102048908002050E2C36244061E8562C57B45ED1BA750B24B05BC086091B062DD79E';
wwv_flow_imp.g_varchar2_table(7981) := '33762CD138C0E0533464C4000040C68C190062C890E5040AA0E733664673F2DC09941831664D890D937A8B183061B68401F3E4A6FF0F24008E0AF1C163C70E1F3762FA38A2720489AD7FFB72FECBD7AEDDBE7FF572E6D5BB976F5FBF7F0107160C985C4E';
wwv_flow_imp.g_varchar2_table(7982) := '68008EE94D4C0EDAB1C2C78A410690AB1880C88AF97283C60D1B676E79BF65FB360D00E9C1A751A756BD9A756BD7AFF7060A6CCAEF38CBDAF856D66BCC573300CE00F8CE8B6A17AFC1C6FCB642CE970E00B879E9C11ECC2FA7BE7AF2DAE1CD99EF5F3925';
wwv_flow_imp.g_varchar2_table(7983) := '05130608408040438810234678F0208207835C40BA7265EBD52D00B76C0DC39F129AAA3162CE28C41547D4C0838F9472C2E997BD6E6A2A299E7A220A00688062AA2964A41A06259434040699540AF1A28F4F10096B91421C71A493501C71C38E264460A0';
wwv_flow_imp.g_varchar2_table(7984) := '93B7F2BAA71D77F0FFF947BA1D795C0D1DC3183BA631C4FA2A2617CB204B3227210DFB0C1A6C7282321B0044A3E69B1EB1CC52CB2D7B1465AF5968FB8B93BC38B9C4CB9C74C9691BCB72C2ADCD63803B4D38C09603C04DBEEADC4B0C2E01A30E007DE8C1';
wwv_flow_imp.g_varchar2_table(7985) := '4E3B00B80BC783040C188F3CF2CC432FA285360080030E3620C2135B5249E523FA6899EF160D63312484105CA2210A3B50F9A48F4272C1F0A708F30A0A806182825042A130BCA9C19C4EB2052595500A45442A10018B8F3E1671E4934E3E59D69127A828';
wwv_flow_imp.g_varchar2_table(7986) := 'C180199F03C0C676F2C9A91D3EB9752DB10901F8119A6F842C0C30C910D30D486E34BB929B6FDE0DE7CA9C4CEBD6DE7BF1E5F1125344E11700DAF6D54B11D578FFA90CB763B429C6CD5AF23CEE3472D0F931B03A8EA996AF71CE01409D1EFD0454D01AFF';
wwv_flow_imp.g_varchar2_table(7987) := 'A9E681861475A83C871A4A39A20708B088821BFE00C6954C3C01453E5B6C21C61343FC1021820F1880028A196638430F21EC8845985C19144ABF9D0078C6286822AC90990A879955C30C81B5C50B21C4780212141711CB0E3CF070838F42FA1042072418';
wwv_flow_imp.g_varchar2_table(7988) := 'C884C6EDE8CA36DFBBFF12864972346317806FA039CC355B68C9099890007805805400F004D6BFC1C15BF2C929EFEB12D5065164104C36D7AB16BD80B1332F5F8CF36DCEBE7C01A061BD9A310638734F7327B5718279ADE3EBB2031919881625CF80DF1D';
wwv_flow_imp.g_varchar2_table(7989) := 'FAFD5104004080800436E0E0863B6C7145D38F5EFFC1D4901F0860803D0C0EC08086199CA0E1040016C945A50C71CA4B1800C6A7556A689E09BC2766A86E7FA80C534A29AB613A89C00B24C418BB90FFFFB7881339E2454228810E224089B9590B1EF0B8';
wwv_flow_imp.g_varchar2_table(7990) := '47E52A178BBDB06B5C7F030D5F3E811A3900000C6BE02000A4E0416E64831B568A1C3E20984215F6681281C9C3695AD8175518C719B829469CB874BABF340387A75106009261BBEA042A7739B9C73F9ED1BBDE05EF000638404318D0100090C72031B042';
wwv_flow_imp.g_varchar2_table(7991) := '553A058A4CBC81081B78480210C000311E207B19C8000D68208650884F18E7CB8954F2621293FC446A41090AFB0C033FA0D0AF8D6D04865562E185FDE101126041518A3E41894FA8210A6E3BFF410918A0C06AF12350D159E12531B3A33684412F53CA49';
wwv_flow_imp.g_varchar2_table(7992) := '68CA8149518E924773F88B2262989C4D00A015AC6B2529F3B226BD480300B4CC892746018055A8E61ED49187C78A08807AFC8319E331E6A20E408026064F78BF4BC80328B0831D94810B4A3002001EC04CE019000064AC1E0DA01005313822146DCC891B';
wwv_flow_imp.g_varchar2_table(7993) := '6D01807482EE42E00ADC3B8F828D6BB44F2A7DCC4A56FE18BA2648E1138E2896232091C814D9410C516882104E9081483A272F94A48725B7D5233E1C8371ECFA0CBCF4828E7A4D4E56F802C33448D319129AC64FF6D0112C519AD2BCB4F072A9C1C41C5A';
wwv_flow_imp.g_varchar2_table(7994) := 'D88553F84515ACDCC42E50D3C3BCDCE9377BB1066BA8614B20EE2597795146F9FF50E3277EE06E50C3448678C4A3C464FAEE21E721000002401123F4E0010008DEF08CF710652A9301A612031E0AB1C65C5805006C5D9C2B5082A1ACFD246B7FCCC59128';
wwv_flow_imp.g_varchar2_table(7995) := '9415C2C58243F6B48A556C918B4208810A9440042402CA2C6639A20F048DC212CC78006AE5251FF578E89616118B4E5C502FAC58A1E0FAC20D217D0B4BA699C667CC010014AA94B52A9DC4C000C006D8EA65128358E95E2A919355F6A515BBCD497104A3';
wwv_flow_imp.g_varchar2_table(7996) := 'AE9C34A318DE000021F8629CD5FC502F9E00402500F1873898A12F8DD002E304733B79B0E38139712A5415D5BBA9FA6E2139498801A2B983F53C008C11015E42C89A011E2CE10C6A48D62762118BBBA21318A1C82F288EA4FF355AA56211ABE2032462F1';
wwv_flow_imp.g_varchar2_table(7997) := '21461862C190C88FFDFC0A8CBBBA01076253162556148A667DA21078100315101A81034892B296B52496DCA897797562110098694EA891975DDE2B837AF94C5F18C32359E8054A23BC716B81AC52DBCEC194A9310400F62009BF5862134C3E4DEAF2C20B';
wwv_flow_imp.g_varchar2_table(7998) := '54EC45B93DF2446EF9E2DCBD98E10D57500D30BB7B977F3C15AAE409EFA2A608000624A0893931C0035E1003B06E13990CC04113A82086B52DCBBFB1281C3204974E3FA8C1134752C9D2CE078A58F8EAD0F73CDF30A2524F08E713005E28811828A1AC50';
wwv_flow_imp.g_varchar2_table(7999) := '689859995EC4591A1959126FC7C47EDA114B1697340040A9709874E38FFBF69950F86D428DD8421B50830730FF04010C52A05790810D6CD86601009AEBCB6CF532873EE4250D6998025F0EA164BDE07495A7B00400AABCC39CB4620F00B0C42B61438A6D';
wwv_flow_imp.g_varchar2_table(8000) := 'D8D296338E435ECA70CBD458E763DE1D3378CD0C5F2562930101C84900DE2C821B0C0F78534C26034AB0042F88A12C8B40C427FC7BD77486021277F0C21174B08127FC117D15A7158602A793A545E58D3AE11A3E73710C6020620C4250432215DBCF142D';
wwv_flow_imp.g_varchar2_table(8001) := '622C6A3828063230E2B9C9A5D4593A4626F2828D61D0A21CF34A299400F019C608EE0B7A9142102C9017A407412F43F84B2C52106CA9C3B2A58279E15E9400842500000982B9B65E4EB1094DF8C5193CEC4B332C5187B14B4215505E0D2EF4D288BCA021';
wwv_flow_imp.g_varchar2_table(8002) := 'FF2774CFC91DD20D8A7E2495884D7D7799E17B667F672002E045AFF21800BC865C35001B600161C780AC4224B61390F8F4188E208417103E271C1001253434ABF10DC530A4D70BA4F9984F5AE5820F6258C21D12B9690DF7F3D31FA64223315002048C9A';
wwv_flow_imp.g_varchar2_table(8003) := '5026D69674E4198DBD4C236BE72C062F766B0C63FC146FE800EDAA6FDC37C1F101843939025FD490133CE4040C00F882AE015038CD3C831BAE98FAF9471926BDD8F62F6CC84915D00D803358212F4C00C014EAD06DE4E6A5A600D82DE9004387F2E21076';
wwv_flow_imp.g_varchar2_table(8004) := 'AA35E88EEEEEE00EDE0000EE800101C00DD2AD010160EF4E0398FCEEA9C223F0E6EDAAC2C8F01E60036E8065B869510C20037A0009446455FF020A00184907122A03F2227938A00428C50BDCA89EA04125300E280E834266E507EBC99E8E21176A21148A';
wwv_flow_imp.g_varchar2_table(8005) := 'C10D96E0044664C30C090F16C1B19A6009702002148AF728491EE8A11FA2C3D45A63C6406141F8221652A10F3AA1F8BCA13052EC5E9E0F307E8C11F26283362811008012C080123688111C61831C8112F6E219D0EF0F3109D9AEEE2F48402FA247820020';
wwv_flow_imp.g_varchar2_table(8006) := '1228810FF3A204FAE2C5C42E2752071522D1FFEA44397A04089C6E08CAE00F72E20F14B001171000D0C00DEC2EA986083B4EEC888A29DE1645F09C8821A02A2710C0045926AA32E00774800792600CDC0080FA80073E000318000032E003BEA704362003';
wwv_flow_imp.g_varchar2_table(8007) := '4E8052328005702E748AEF8DFF727042566225E82AD2204C488AA1166AA10F9CED0C660003EC004568EF09CF200A0CAA090E8AF0AA70E6F2A181EA810251C307A8ABADCE67975CA1127CCD2FD6295C006D49A0811C3A6A33B8C4E7FE6233362374E63012';
wwv_flow_imp.g_varchar2_table(8008) := '7202CB1A8112E46E0E2B61832232B7722B110C1210397285D8800D886D2FBA802FEE31243A852F42213504100024E11078614E5A6117742A270810DB56A30AEE1100FCC00FB68F01DD6001CBC0144FA39752B11D4E8C1E8809DFE4EDCC48B00411403CB0';
wwv_flow_imp.g_varchar2_table(8009) := 'CAAB3680071C02E09000C478E009D4E00EFA606D0A010730E00390D18C6030274EE00436A00468F0F4DEE8D0CE6925320EF5B8C62A84C11B904115CE600F988068008068FFEC60110EE10CCE600AD2311DA14008D04808DC71F7E0111E8229309E8316B8';
wwv_flow_imp.g_varchar2_table(8010) := '6001F96A1AF34209FA02E8A8242F36031DDA87485448FA0000B104A31272AB11261235F9F0B4F8621A622C943A3236BB2524F52208B8A0E8F40214F8A2D5008011FC801173C20D5163EC72E2C5EC44C924C11264723088473054A02FA86F477E89888E32';
wwv_flow_imp.g_varchar2_table(8011) := '291D42519892BC32E029F7820244C008C4C00B9EE0A084E009D4A61010011128A10FC412E6C43203420000E2130036E07B1E0FF418B2F868057D84210725ECC1E8A7438E81188EE1186AE11036210D88260D86260DF4600F088110EA800EEA800CC8200D';
wwv_flow_imp.g_varchar2_table(8012) := 'C8000ABAE704A830921AF33105A35A54E118F2232FC03030FFD8453472E2C732833382AEC7E469A3F804215303CB74331464615E9EE17C126119A8011B528B0B65734879040B00000B7CC00700E009728249F3E20F222112B46C71402125F7C20FC2A247';
wwv_flow_imp.g_varchar2_table(8013) := '36A10EBC2D278CAB2FF6E073F6C2065440139D2E30F0000E5E8328A75315A1C33AE52D4EC9AB1613252FB8E90132E00EDC000984A007A8C00BD460550E8B1242810A18E004602E273E0000BE27271C110058C00B1887AF80706B722112100B120CC113A0';
wwv_flow_imp.g_varchar2_table(8014) := '2143DAAA43F466186A61135441150EC109B8676808011562121558411204215605810EC8005523A043474D2E1C735050A31904F016760C3307C36F58342F2A41CB1C9247AE015CF6C25D38B36F121112FF9CCBB9B04C2FE49048B1759492EE35B8402FDC';
wwv_flow_imp.g_varchar2_table(8015) := '00C9D6502FFA6F250143B9BE74D9F4A21853A84D8DF24D8BE93A979204CB230238A02F104003D882B0066E2B0F0CC342A1103000E63240608D915199D151718012EEAAADF8F35341251718ED7C546256FE484055C1107A6B1336E110F480109CC0093481';
wwv_flow_imp.g_varchar2_table(8016) := '387681154E81154C365669D50988910A23406EAA251FDCA11DBA2B35B24D2F16C40AA4400B845527012014D434E832635CB02B2FB2200BBA80048EF668BBCF358AF5A282760E1B272792356A9F0B001AA15A2752CBFCF0B4A64118AE964AB20136B3756C';
wwv_flow_imp.g_varchar2_table(8017) := '5F2327738202004002F442023CE034F6242FCEE0DA78810A9EAD2FF4C01284E34788935CFF734261F4420CA62004F0B46D01A005000008F46207FEA2C060A363A8D35DF1CD988EA9778A270328E0AAF2A2AA22C0089EE009C62050BB1211322C150C952C';
wwv_flow_imp.g_varchar2_table(8018) := '07D62CCF12061F0900C460ADD68921DF482A70226B24B6AEF0E98F8E211234561510610F9C40683EF60C42963848D664590165C980680E806543E143F1825701032EC4342F80B5369580FEAEA01FBFC22F34130074732F96964768ED935854345F835A41';
wwv_flow_imp.g_varchar2_table(8019) := '4116BA811B4863C772624A528B6CE5173500A137F5020226000272427F4FC3D76E6F49BD8075730209A6600FD0D52F34C1370AA3CAA60C30520711F2220100006D01C00440C00600E04C0D1730166195706119964117B60116986B3AFF00805DABF35DB1';
wwv_flow_imp.g_varchar2_table(8020) := '53897CE7CD22602F7C27023C570DB8023DD5B3CF20E10398D18C0CD68CBEA7514B800520411802EC57181676F5C29C3A44F554410C36410DEA4043D3C01208010AE860787701155CD578E9A08B937706CA28035C362EE2114407A3138A217A14A72FE8AF';
wwv_flow_imp.g_varchar2_table(8021) := 'E8E82F27BED730F2C2456F0C10703311DC2F273889473AE3344001821F524A73ABA8FC2211B42C2854141A5CE115BEC14A82F41FF80192E77792F70210F8E067F7827F0723DDF6C24997342FC6A02FBE2E27BE6E3904412F78C119BCE14BF9223A01E085';
wwv_flow_imp.g_varchar2_table(8022) := 'F302060E1771F3C27041A00540000094E0DC18105D49411A64491A96E187FA211E008328FFE471DDEDA94C464E5B1801FF280096DDEC21ACC73CED802BFC001256241562E118C640600916006800A14A607543800A022C9D28EE53A5D188CDA9ADF20918';
wwv_flow_imp.g_varchar2_table(8023) := 'F2A313A6C00EA00003D280558D611786D755B7788B51960E5035601FA904C61800FEE11EE45198542317626114D6589730D9CB72620BF22214FED12F9E419EFC007C8D7447E465599DC63E9E557042E558ABB55AAB36CBAC36B73C891A3E231BBAA11B00';
wwv_flow_imp.g_varchar2_table(8024) := '207E29F9A6F7020E30F97E270030BA4A3002180078202F7A2027863A2F680000C800B9702A2FBE944BF50276F62F273E2C27324093733927B2BA70F5C20A1A614A7302EEFAE2A406C30201803A866918949285912922B6D3DEBC8A9B206205BCC045EE00';
wwv_flow_imp.g_varchar2_table(8025) := '3DF92C15FF1263604DD7510D8A19CBB904686088FD6243DE087653EC8F7CC55762810ACEA0412D81383E011534411222D4784F7656BB78A031E0045820039AD7D4F2411EE4611EA17730460111136715BA95FEACC00AAE800BD040A5C5272F9EE0057C22';
wwv_flow_imp.g_varchar2_table(8026) := '27848F2F3C60839F33E99E33275A20B851C32672E2196481A4A36630A6363568B41BC2D6A4707ABA01400EF8600DE0600DECAEA735792F7E7A304ED11837603E897A06702027D240135E4938BC41C9F4C0386B08BDEDE010F6C40EAEC92F866083D3562F';
wwv_flow_imp.g_varchar2_table(8027) := '6E00008E4C2FE2E015C47A2F84B42F1C171EDCE181A8833B92A899A50A78D4839BF4028A56A00AFA802B292FBF80410D18C074613002A2208033402DFF8DD10BD68A61D5B9F80C1B742AAEAD7C65AD420E126A007B8AE610B4B88BCF0000BAF8B2058115';
wwv_flow_imp.g_varchar2_table(8028) := 'BA58A051F5003E800670408CC93AA11FEA1EB47035E25871CC2F2F285A09765A8232BA2FFC30887242EEAA955A19278ECD6F6859E3D536C30FAD1630D860142A810D9C4B0E8BAA12660C00626C2F4E88BA6F5AA7E560FB74FA93F73B82F52201F4B75E01';
wwv_flow_imp.g_varchar2_table(8029) := '8090FDE2BBF94203F88238FBE2108C332F704007E4CF4592203024006D65992FD0B5DBCA00AC55E3C013FCACE3A21B22E021B23399629102B6093D0C40034AC00BFE47745744BF1C9A06600EE6A830270E4A2D479CC81D814449348EDC8A2F8ACF8D4207';
wwv_flow_imp.g_varchar2_table(8030) := '67E439E4E8791C9D600F16411334F463FF75BC8B5156B33F76061860C81593F7F2811EEA41C94F4C304E3227120114045D0B28DA5819F1C9F5C20FF800118A0FB484010C17D915464137732911F6F15A2B218E578316CEC70FC96F210DE1BF3FB12F2A01';
wwv_flow_imp.g_varchar2_table(8031) := 'CD031D000CF95AF5421CA8C19300A01CFEC11E72821F0A9CCE63F300F3620DB66F0892AEBBEF572F8A6014B1A40EBECD2F20D4FF9A202F74E009D035232A020052A00568F96C311800AE000DD0E080F96222F3221DD681ACFF82D3F1C24F04C203D8BA29';
wwv_flow_imp.g_varchar2_table(8032) := '6BF185154FAE296003BC00125CBD16F24B7CD4800A05962CAD9A514F80064A200A8E44E45C1C1F91386BEA8AEC875D9ED529B0D6CA40A720A9055365B907009C800E64F5C7057A1CFF67E08C6800B417E81E1E2A1E96FC3480D37BEDBDCCA5800BBC2C67';
wwv_flow_imp.g_varchar2_table(8033) := 'F9C20D59202F682113404138D9326B70B3E82C1A37F302F32D7A305C21B965C1FCC0F030B061239F7413CEAD0FCE4D4AFD02978EB52FE23C2724DEE22799E932DFA2A5A0A75383E75F8380C1AEA95BA166F5E251F9827F4D0000CA5471F3C20C8EEC0ACA';
wwv_flow_imp.g_varchar2_table(8034) := '60116688E0590399810929F3E21FD8210944FDE89F280224FC3C205C039E5E9BFB4CBF424108023660157560318068A06009B8DE11F4269DAADC70CE2774103B746E37B024ECAE607D1300820613284E6660C03003001D410BE9D07142A6A0C113276864';
wwv_flow_imp.g_varchar2_table(8035) := '08F56F1F808DF7E8C9A3D7AF5EBB8D244B9AFC621254A25F00805C41FFB951CA1550268540B24532542657267B72D142D20A002E4A5EC28C69E568CF8DC86E0190551211496E00A099ECF387249AA53D47555A75ADE42BAA5CCB9A3D8B36ADDAB56CDBBA';
wwv_flow_imp.g_varchar2_table(8036) := '7D0B5729DCA56500A42839812B8EB38778914402808610162C0064084A9283070036368278B0D1CA1B4026372D8D64529D5A7E1BF5796427EFDFBF8DFFDA5521809A4000D4065213881081E401D6080CC01ED3A993A754B172E5B2A5264286831800242C';
wwv_flow_imp.g_varchar2_table(8037) := 'F801839325344E4439960B5874B7C08001A86ECBD6EF5CB462794F556CCC0C1A4E242624E3D021C4F206319C2851E2E23FCE00FEE5F308B2DE5ACC66E502000407004F98B0112D5C1938CC46C294B45549282555FF961C5C21B31134146E740649D07063';
wwv_flow_imp.g_varchar2_table(8038) := '554F651C72C51E6608B551100D04C15523007C42D62B73BD08638C32CE48235A6A7CB1068E38969402046D3162921416784020498BF95812017015C601003C7851960A3048E0A0495C907446157B6C9415009EC0E5993CA089465A3B5210D09A6BAC1980';
wwv_flow_imp.g_varchar2_table(8039) := '40060800700002070060009B0044F04012A974124A9F9D50128A100C6030DC4100407186130811E4440D882C681D00386D645DA49572551D30D965978B779EC6524C14E33101001364A097DE7A0561C04006AEC287117D00DC23CF472101202B5A71A858';
wwv_flow_imp.g_varchar2_table(8040) := '250057F404A449B998B427600040420B4B255DF12B6268FDE2D4300902401600D90080CD850B7248FFED5266BCD187195D6ED400091B05B311330008D34949DF00704B36F266934E8DF6DE5B162AF8EE8B161A5FE06106C078ACA1864943B4B595BF5B29';
wwv_flow_imp.g_varchar2_table(8041) := '61430A79A16540593D500180184BA5C0640949F474D746262C46259200485112111B01618412495441D2976BD117263BF490C9CF3FEA7881A69A7532F040061CC889006C11200034001A78D1092490240D281E831287D00C5164C80019698430C314B940';
wwv_flow_imp.g_varchar2_table(8042) := 'A7E97593A655A9A69A724A4B77DFF1F6C91208D100851E7A9C7A6A79EC1D80817019C09A1149F7C1939F5BBC6E048A0A91F960C5AF94C5B498A4C02CA8A030A90080C4C60034F50B1C3F6CF405893D5941F246BF72110749BF304ED235D86033FF4DB51B';
wwv_flow_imp.g_varchar2_table(8043) := 'A1D3614FB18CE20DEC669084624F1DE20186185016934837DC74C36FF0F78AB1471FC4088F3C005F282CD71A0303DCE04645AC25C5134310D1424F1E245E52C45C6D30145732F080715ADC9B947D4F3070E5D4669D79D40E3D7ADBCC459AA9B14934FE44';
wwv_flow_imp.g_varchar2_table(8044) := '3380A7D014BC6084321802118680042592E60621148A38C6898872D24083199CC113D0994ED7D012A9EB5C676CB6289B8162C19B58D42215B998C20166301EB9A9502227E49F708450028C688424F8C9155B5CE4220975EE0A9DEB094DCAE2878DB86823';
wwv_flow_imp.g_varchar2_table(8045) := 'B82049B33602142BF96A641B391C00A4B5946760E319DCC216009E812D2CA20545075B8A2A02E40600C4E258001007359287C6B9FF88A10C6200453692D11613B400062048A359CAF085309EC4248E081000B6F205FF944506420080E09602029125C02C';
wwv_flow_imp.g_varchar2_table(8046) := '14F0D60D4A62021148D203B1014023972281EDAD6F29248A01E45C978DD19C0566F093DF466AA68E32A8C935AD0100022830B49E99C0084F28C31DEEE0074664021252A9420C58A001421107854E80020AEB40861950E118C418D6D732B8944B49D3161C';
wwv_flow_imp.g_varchar2_table(8047) := 'E48E18CFC69B5AF0806E2599017B50083542DD4D083490617D46538F8FF0433F6E7945293602872174712DC3681F0050B09422028073FCE461498472052E5CA1414259C52DECC9210E61A375DDBAE24217DA1359C8E218C520C9107260165590E4089FD8';
wwv_flow_imp.g_varchar2_table(8048) := '482382D80D73D871FFA45CE100926C50173D4EC32DEB2B12497BA51534A061600078DE1A18D1884A38312D32E04AE240903E9210200143A5D3223520810DF8687A3D31D94658F082B498A08E6751C21836520523DC009F2689465A48298FF8918433E928';
wwv_flow_imp.g_varchar2_table(8049) := '83FDEE87BF073C40042938C218C6E0863294C10D7E80C41F0C318624EC00051B78810E1678106F12642364C000136A91296A6A109A3DB994D71ECB4149798A37A0D8D3120EC000006416212798C1090E4237F7C04730E434677D00904E7AAC932D9570C5';
wwv_flow_imp.g_varchar2_table(8050) := '2A4CA2A22F28E10B2F318B30EC09002300C0A92631430FE739842200619E2691832BA0F2C4D195041B65790634AAD1935E28CB19C548035C886B8E7FD8A31F2FFF7D29052ED9183F44CF249B2CCB4FA7BA91F3A5B12E752949C0D0E0BC9A02400E94688B';
wwv_flow_imp.g_varchar2_table(8051) := '525866A44C76AC2444EDAF018E4A25003C4009E25B4A25D3BB183A9657022E35091048328632084572FB6C2F5AC02A5692FCA3ACF9CB596DFEFB260A70E0053F4882170CD1894850C21077F8010F44400116F000AA1CD080AB384B8333908A0C5B624231';
wwv_flow_imp.g_varchar2_table(8052) := '86710C9C48A73A1AE4CA8218A7D84C492A3BB4C089D940E89D50F0400300280E039E76902BD38D0625C0811084D08426BCC09C644AAD0DD7A22C00ACC1154A48223C3D6188B290CE2E8534442688F18B69C1F44A9AEB891F93BB2D2942638A5A2489A0B1';
wwv_flow_imp.g_varchar2_table(8053) := 'E1D58DF40216BD300B468B30058AB145A467EE6EFFF24CDA24E591441C0080E323D192E0395215000D1E2917A044122E70410AABAE1D1E00508957772E0914EE8917784BE08D4CE0926B89D8221170C892FC1000224812571A49250A88EC2CF8DD081736';
wwv_flow_imp.g_varchar2_table(8054) := 'A65BF701204C19264D2A5713806C6B5BDB680231021E70839579A10C6FB065B9C7608531C480000CC02C66D9664C81D0E0009BC8056F7CD39DB265872B9BF220009ADCEF0E7E7014DE71452A0E1E8B4EB0E0000C67786AB6BD9A08C087055F1E4C2AE623';
wwv_flow_imp.g_varchar2_table(8055) := '9AD1D41000F050CB2D5CF18A7A06492857DA9827FE500900646223712E891AA4506CDE028018176A0B2E12A42CA70843B9256168850ABDD29E68A32454BDCB0E00B004B40C63D822B5747717FF0980879504B767818C49AC4E5238F041EB010A221E0244';
wwv_flow_imp.g_varchar2_table(8056) := 'D3579BA1BE0622C91B5EBD9199EAB12C683FCBE53672F49EDCA1279918EFBECA30DE94B305C3A624CD3F4001841FEC40F03B28FC0E6E30782218A10847A0B511082F6E2ED0D50F99A045197E50053FF001095E70831AA840850C4D610986800634AEE1D5';
wwv_flow_imp.g_varchar2_table(8057) := '6B54231A53AC4AA149820D6E6443F6538CC63398C10C62E41E8A3397D63084210C60200318657882E37F2078C813A10AC697C218D430575B8A633EA4E1470DEBD171B5C011002B0D872BFC30BB20F60427C7430324CA32779204FD2DDB37C9BBB2F12E92';
wwv_flow_imp.g_varchar2_table(8058) := 'C0DF5A26C9463836420D4EEFC72DA2747A1A8F920428B1726EF1044A60055C50FF179CD35DFDC715F1600FA401000FE87FA70523645212DCA51664321A18E816D4D677E7947121987169D10F25D80FFA808228088216888126C85D2AC8816F311A22D813';
wwv_flow_imp.g_varchar2_table(8059) := '26C88068618122688125811FB7328165718315384AFD301A1268123334172DF8834B3817FF50824C5816F6F00FF3600F0F2881FB300F0080855A380FFB600F48588146384A503886D3564A66C10F69C81969784AB84212299882F9A00F258182F9508555';
wwv_flow_imp.g_varchar2_table(8060) := 'A85D00800FFC7082F9800F303843FD0786263183FB9011837881FD3043FBC0888DC888A7A48635D30F92A8888C5889FB202B645243F253695FC52FDA958724254A5208814DD88964183CA7A81660A88AA8D816526888B198FF11B388885C418AAE2823EB';
wwv_flow_imp.g_varchar2_table(8061) := '440FED208600E082BEE8823AC8821A3189B8A2862461821BF1809CC15D26C887FCF088C8188366B18336E8771B918C40288CBEC888F9700FF5B00F2EF884BE280FF0600FAB858BB8988D6B718BE9E88EEF4852B5088FF7426DF51084645282F4218CF818';
wwv_flow_imp.g_varchar2_table(8062) := '8E7CC85D6BE87719578C01098C69F88BE7841607F922E2288E7E57821A18821B910FF0E00EF7607DD9378F4E378BD8788D19E9911F0992216916F5D87F37988C5258333A581F9858906AD88CD9481F25288B6EB81400C984EBD813FC000FED6091F48091';
wwv_flow_imp.g_varchar2_table(8063) := '22994686D8133B089445699447B984FA904EED608F1AC680F97887DA5585F3E08FDC35836B788CC0388EFA38FF826D589359F9833869123AD90EF9709148893CB188966BC9966D39524A19564D5912FBD89517C80F7BB887FFE8925A19830F19836C9893';
wwv_flow_imp.g_varchar2_table(8064) := '34B984625912F9D00E1579966EA9988BC9988D898AEB242672591FF8600EE0100EDD809998990DDDB099C0033CEB3089939886E7D80FF4400FF80000F9500F93B887F6300FFAE08755199284A937EDC09389E998B9A99BBBC99B3542921AB60EC4209C07';
wwv_flow_imp.g_varchar2_table(8065) := '850BB8700BAF700BBF609C45840BDDE08425880F44F80FECF40FF2F30FF7808CBE6812E3E891B42991876991E5D89BE3499EE5699E5E19334D3983EBC00CC9F00B78560DB47007553006C0209C2C810BA1248E99D00DF7100955300CFF6070FFF00CAE50';
wwv_flow_imp.g_varchar2_table(8066) := 'FF0DCB030FAF60059940840D3A52DCE916DE392BE0899BE769A1178AA1680997F15392EB800BBFA09CCCE00962900625BA09C4B020CA194A52F89C37300C8C00037FE001D9F00601200E99F00599E001B7900A1B100991109A129A3CB9F284FF5883CEB8';
wwv_flow_imp.g_varchar2_table(8067) := '14F77098F5607D19EAA44F0AA5F3B8A133A361EA800BC100A2CAC04BCEC00BB56009C36015CA490D22380F55900A5E702D7EF0069170036860087E900A1EE009CC000186101A0A59230C299AF9B011F5500FDFE8A700F011B542A8856A9AF4E0A716C915';
wwv_flow_imp.g_varchar2_table(8068) := '86C937E818A58F0AA9916A479C210F535A92E3F00BC1100CB8900CB50009C6C00BADD00A8B0300620A8A199704997004D1F00F7FE0077010FF0986F00091000A3B900AFDA01957D290F7228EF7D10E9A510E00900EE6600EC32AAC4D970EE9A00EC3AAAC';
wwv_flow_imp.g_varchar2_table(8069) := 'C9BAACC3CA0EF0C0A763D90E7CE383928AADD9AAAD3142A91E78A9990AA2BF9070BCA00AAAC00B50A4A2DA5582EEF00626500E8CC00168B001D7300686E00E01000794C001A0E00968E0055C8082784A23E2A8A4E9500EE94091E9200FEE0000EEE00E32';
wwv_flow_imp.g_varchar2_table(8070) := 'D30EE5C00EEC20B1F0A00EE67098EA70B1EC90ACF06043FC50AD2011A5ADB8AD256BB268F83E6145A5A4710E9C8AA5B8000CB5500BBE500BC780AEF91982ECE007010A00A0F006C8F00FB7C0AAB6400CDD00077E100D700007E5709D42BA902E580FEC50';
wwv_flow_imp.g_varchar2_table(8071) := 'ACCC00ABE2707ED990099140FF0C7E000AEC6070EA900970000CE600674D46B6E2A0AC1F882B21CB5D3F89A1F060AC272BB773CB15DD5A4A25790E991A0CC2190DB620B3B5000DE87A0BCE299D19A71164F280D4A76125710F4EFBB42608B7E6C00E610B';
wwv_flow_imp.g_varchar2_table(8072) := '07A07004A9E00A49100E9E9004C4200E49F003E1E00538FAA6D710095C800C49200EC5DA71FDC7A8220BA5FFC00E744BBBB5DB86957AB71AD6B29A1A0CCA400CA9A00A32AB7B78062DCE298544180FF7E085F34085FD300FD1690FF5800FF3C0A41E6191';
wwv_flow_imp.g_varchar2_table(8073) := '06398D03EB82F0600EE5A00E9EA00486700D491009E120055CAB04C0E00AAA060072E50977C00CFF300C55F00647200ECB0A0F3B08B2D6CA4E4E2ABBB60BC027ABA895BAFF942B5B1FEC90A9C9900CA0F00776D00788D007771009C3C00CC58B71195733';
wwv_flow_imp.g_varchar2_table(8074) := '86281AE388A7C76895F8228EF200AD99C00563500946700DE1100D5E800670000FE856057185066FE00786200E917007E65005ABABB0D4CABFB10B00C11AC0438CAD8A6A862A3B97EC800BC4300A7F60054FBC07565005538C06A0C00CCD391F85EB8411';
wwv_flow_imp.g_varchar2_table(8075) := '3897448890A2F494C0682FE2480F13CB0EBE17097E00A7704AB570160EE19009A970C3CC10ABB4E00A9B5BACEAA0B6FB0BBB18AA84C7DA74442CC84FCA191EEB11EED0773583C0B65006F4E905532C06BA23C50B5AB452E984A2C10FF1B0B8978C8DFF20';
wwv_flow_imp.g_varchar2_table(8076) := '0F7A8C0FA01156F9D08CBC0AB5BFAA199A518EECF0B0EAB0FFB09FAC0EEED00E08AB0E14C90EBF6AB1A0819D8559ADABD9BF4E4AB2832CCCBDA9A81E5B2B883C56B29B0CA7CB05E92657CF3C065C500570400CE1A0AE52F80AD6EC0AE6100E404B0BE150';
wwv_flow_imp.g_varchar2_table(8077) := '0ED9000FB7C019C2A90EB7F00CE5900A06A2B8634CC61D67C6EA30BBF2FCB0230100ED30B1F56CC6B71CADF4609626F1BA8E3ACC034DD02259C8FC70CC1F28BBCC60084AE00511E607B774076530065F40BF837BCD02CA0CED000AE2200ECC200F441B0E';
wwv_flow_imp.g_varchar2_table(8078) := 'D9A00ECCA00ED3C00E4EE80AD710AC9C691F10BA90D8C890A96996F770BD7C9A0F7CEAA7F4700FDE68D37E5A0FA6392BFA58127CDCB6058DD4490D8F075D8EEEF0CBB28B0B99F0066350054920C54A30FFC555C0056FF007B6E09CADF90FED590DCC900D';
wwv_flow_imp.g_varchar2_table(8079) := '4B270EC8D00DAE900DCC60A0D1D00EC4500DC3600EEE000AB4D00ECF293CC9A8831C98BD76E98F1139566CABD4834DD85068C408BDB00ACD0EC4700BB670728660087F80087FE0AA98610BB760CDFD600F33F30CDD500DD950B4236D0B217D0BD5200ED3';
wwv_flow_imp.g_varchar2_table(8080) := '100EC49020C390C2D1600ECF90C5303DB065B814CE289AB27D4A211BCC85CDDBBD6D2FDEC8D4896D12EE500DC2890CED89DCB8A7DCC8800CE910DBFD000FF8200FD8271A3EE984AD0B0FFA60B036230EED200F86299BFBC2C16DE18C2ED9D76BFBC3BEAD';
wwv_flow_imp.g_varchar2_table(8081) := 'DEEBCD2FF481D8886C43E5F8ABB72CCBB6B90E0EEB93A1F19C26880FD1EB87390DE0AC89FF5AF521B236E8B8312DD36C51DED8BBA8EE000FAB4912BBCCDE134EE16F21E100E0117CF3D474998333E88B6998D3F8E0A700AE867EB811F8F0D3386D96071E';
wwv_flow_imp.g_varchar2_table(8082) := 'A17A0DD8320DA12F2E9AE1DD134A0A0F8DDBB015AEE33BCE16E2891F1F819A45ED9244BAABB842E2B2029665C1E20ABEABB4C8824D2E8B3503E3B2CD19364ECAF5E00EBBCDE35B5EE1A6994ED34D81D2688D35698C91C89712AAE549988CB2289453EEE2';
wwv_flow_imp.g_varchar2_table(8083) := 'B35833944898555EAD7388E5FC30AD5CAEE73B6EC4A589A8B5F2CB628EDB6D18896CA8A7751B9320ECC50FA9851BB99D56F990A261882979E639B94ED5AAD312B9E79BCEE5A6A99A3C7DA4022BE420FECF673EE88079DE3032D32B39FF8BA284A72FEEE6';
wwv_flow_imp.g_varchar2_table(8084) := '966EE316897DA9C9E9B7AEE37E6ADB8448835C71E82B58978F5E8A19D9EB89980FEEF0DDFD70E1B8CEECBD1D561C977D6EBB11855A2B698191F220A8D9AEED3D71ED2059A85C010FB72CEDCD4EEE832D3F0CDB13F6CC15B6C9EEEDEEEEFC3CBBB34B12F8';
wwv_flow_imp.g_varchar2_table(8085) := '6C160E8BEE0EBB110CEBE0E37E16FA6EEFF8BE14FF6EEFF92EF0E87ECFEACE15005FEE0BDFDB793E2BB3E2F0002E91004EF1156FD3809AA8BB9CF1B372F1365DE6D94993838EB285DE897E880F278FF2413EF1125FE31D7FF17DBAEC0C2FF3051DE82ECF';
wwv_flow_imp.g_varchar2_table(8086) := 'B82E8FF339FFF20FBFEC361FE11E3FE06911F313DFD32CCF11B37287497F872601F433EFF44F0F8F3D2D9846AEE959A9FFE227AFF44BAF872A0FF55DEFF53372F26A91D3FB82F54A1FF65FDFF59C31F6685F9440FDA7FA810F7628814DCFF6BD19A86B0F';
wwv_flow_imp.g_varchar2_table(8087) := '94A95EF7BFEDF06A61D37DBFF3346D96DE48CADD250FF2B8F7C993D3D829F2EE88F0F737C4E120EF721BC8DD4B12C12AC42365F026CB0DDCF00D10F5A8425C2F4589459E9009959009A66FFA29B772AC9FAD29F004A8FBF01E590DAA070061015DB87FFB';
wwv_flow_imp.g_varchar2_table(8088) := '1B015DBD0F5D4BB17E5C117461A17AABB711AFF744CCC0075C355289B6AD51B01153F0027B01A9C49FF86F514821790DCF60FB618116D9C05C1B310D6111FC6E710DE79F68B6373924010C769021231529DC614DD78F46E53F17CC40213547127DB00716';
wwv_flow_imp.g_varchar2_table(8089) := '03100004FF0E2458D0E0C182991016ECE48960A64E0A01745A5867CF428C19356EE4D8D188C031A93A8E2439321A806A1BA711BCB612C03583D7B2BD9C09D3A6C06B30113223464C203381BB4A0E1DD80FC0B081B4882E65DA9469091D4EA54EA5CA329B';
wwv_flow_imp.g_varchar2_table(8090) := 'CC97035D9244360C1AC14550AA2E05E5A96C438A992275A2086013803400F6582CB847925C4975C6EE1D7904801A00AE8CF225AC711ACCADD9B0E93C3C0D19CE835701ACCC56ED5A4A81D5A2557B16ED994F81CF06A22A5CDAF4698E210068505D024006';
wwv_flow_imp.g_varchar2_table(8091) := '0C1150CFDE7B5532C7675F873D7E0C40D540B1B4477AAA25B096DA8116950F947491A0A03AD085F395325DEA6E81C880BEB48C5927809A036B6E6509FF5EE7F7F296059EC4888A509413D6E5CF27BA626084D8F4F56B9CB9F4ABC0DD7A2B088AF830C860';
wwv_flow_imp.g_varchar2_table(8092) := '3F003EF282204326726B0C8C04710EC1AAF810E88D3B281C0928D0B2CA2A25F5262B08A6FE3A940C2BAC04EA2FA6F5A02146C0829C704D431A29CC200406043AA0460AD9A34C2BF43012ED2800BAFA4FA02808FAE040FA6E0040871DA222680A1FD2B042';
wwv_flow_imp.g_varchar2_table(8093) := 'A02B30D24BA0E8782CC90F2F39828619EDD64369C4C65244CC4300862C6845F2821CC8CD816AB143201A30C0204C3E4D9B614F006664E0801CFBDCCF36CC44DC68BBDD8439E8831A4100C08381240562071700800106134C00C18482AA00608C3D0E9990';
wwv_flow_imp.g_varchar2_table(8094) := 'A0E69A038010E758E5131143715B08B1FF9BCC5354BC98244B93BC8C866985B4FB10887558AA3038003681182894D8F918B3B5A9BB681C8520330422C288117690745200244001001074D81606006EB801841D7610C8888FE472B722B8989D8D86D35A12';
wwv_flow_imp.g_varchar2_table(8095) := 'E8B0812E3393B214CFF4504E8C98B1E38CFBE43598A941016022B81D0FA6CDA5FE5602F8203A9121C60EE7E8A53114576C81E6165B0A8A041082ACB02207237220B7A04D1152170024E012B58E33E27298B0032290AD2AF6665D29255E25ABA99ADE86B9';
wwv_flow_imp.g_varchar2_table(8096) := '65292700D084E01DF7D4E366A80BA2E3103274042038400120206AC264B28968A397DAAEA086E93BD29657023348985F0A4A5BA04A4806400B009448C205235C800184703FFD945BFF4F61D0410CAEF9DA1ACFD352B2B7A5EF445B33C8104B2258936407';
wwv_flow_imp.g_varchar2_table(8097) := '9AA170AE51094EA3000CC0DCA9F1D83473293228A7B1128164214F16007A91E51959909145A95052E1782057008845205C8E06201281FEF89CB6C39745CD3289572C8857A74E19FEF98D02D89180B2A11F89CEC9A2E9B929D3290C6208151092A5EDADB6';
wwv_flow_imp.g_varchar2_table(8098) := 'A2269B6C9601E0975FDE16481982B691661B8450FFD67AA60200A06106543B0DDFCA306E1A74629C68122595CB01E069F8831A1D06E20432188B814CB1D754BA02230AC50123D290C63496918C5E182419EADB8AFA0A128C099AA661877B580555740D66';
wwv_flow_imp.g_varchar2_table(8099) := 'E04B62DBAB0ABDAA96C28391A16AACC0A1535CC89417F52953089106FFAE06428D65ACC484CA584932DE07005C10C5663D5CC8FDE6832F9CFC9030517020009CE08429566D062CA46298BA37ACEACD264D95A10A6004D2C5F9E400003E3088FAE8478D23';
wwv_flow_imp.g_varchar2_table(8100) := '7A502026BCD73238080069E0117E4F04C028567148DF09C490AF780341F630C5322E44031A43CDE226338DAB1063627C99C10D23F9C9D9184F38DF3960539620102878F260FD29A28A10128C64A050910058C52D6A291014DA4009A0ECC8CE4C7398CB00';
wwv_flow_imp.g_varchar2_table(8101) := '3326CC9B8AC692C6AC349651953CF21C424ED9875C64073B54A94663F8724C0DC5010B996AE542024910260E120078244811C5D94D00C8722169A8821836318C7764631304E3E569B0574D529EC6093448A00EE1FF5898507C0200BEC488B0F647465092';
wwv_flow_imp.g_varchar2_table(8102) := '81923CCA51330BB2044810A44354611C5F20151F0DD17120ABC0883A09220B27CA2F96EB2388133DEAC48100AF2085A8054510510B7114A39ECD12D1908839106230E33325E9438EFE34034A92C18D84690B475688D0323EED0C8B10C813C254B61A0844';
wwv_flow_imp.g_varchar2_table(8103) := '54B02212F6A4B2C9396D07343E79069904021A6838CA0D80CA9A7E72A051421A449C00E80600586710F70DE417AB48DBB40E12C583D8410C7712C814662A1F61E2641AA504D17A2C43C38C88C4A05E8402210642094750752C8E10D55F497208A652A410';
wwv_flow_imp.g_varchar2_table(8104) := '3CD29F0176E450FB0C04293E41CA58B03810101516B10020935786515AA48002525093DF36B6D156FF83D06F20282548220B524ACBD2083D122308664EB23D0C8E04A30739D2546241B89220B58796F884231C64288202600A9400803080F1CB9C1C241A';
wwv_flow_imp.g_varchar2_table(8105) := '1D9A28416C310C4775F773DB00077BDDDB5E70704496456C1B4136105C1E010D2789EA197B88718BD51285A9C41B8874F14B9063A4374C0E15481374174DEFBE1634CCE06D535A1240820CC977E55D4857625589F80A641BE4E4086E07A25B8364431A2A';
wwv_flow_imp.g_varchar2_table(8106) := '16913893D08743C40B219B3BB01ABF265A620C2377B9930A5301730CD410407F00084000849C4C0647D2A905F12E9085710CA51C0C46565D4A294B2B90286F44185796173A051262B6A25820265EC86DCD3C1032C3582076A9318DA6C13C9D04FF58CB03';
wwv_flow_imp.g_varchar2_table(8107) := '716372F9A23FE92175C86D3E088FF9C4DD8184ECAB63A3CA69B3F30C37D9F9667244889817220E008039CC61EEC66D09920DF9B1B55200E8C34062CC67042126255CFE2E0004BD148540E318C008592EB2BC970310C0B3466E98910190E4D71C78770E03';
wwv_flow_imp.g_varchar2_table(8108) := '864F382C9552968919C038892D085D9046318B8EED350838702B6648A3B9D928B6B4408AD8D63F266397EF8A9640646A90461E2415EE0175537E5610DE98C6CF84391C021860803D238405BC8C2646F2E1A5521F44D163B9B2A069F1EB816CF966922648';
wwv_flow_imp.g_varchar2_table(8109) := '7CC5C1EC6EC037DAB43C7141A471348E262219D9C0E34C288511BFA6210D3103C01FAE50868284621767384392CADD949E05712FFF14114969B656E48218B8DC2279CC3D1CD61B66C8592AA0F1EDF3743B0E7004BDE1CC8EB44020BD0D73C8C2AE7B2CC8';
wwv_flow_imp.g_varchar2_table(8110) := '88C7D9C1B502005407B184406C0649005C010D0541C502017086E0506120BB3E7946A8CC3532C6BBEC4C06403D98D51B5F03201AC75EFB414871E2A06F631983147A7C134E3F48C7D713891845080FC23C160FC412F434885FBF4E2D00A0A15A04213917';
wwv_flow_imp.g_varchar2_table(8111) := 'A36072810CB5EED371445109D27200703714A78935AE0F3C7A3718C4ED86523042745E761F0CD1E1002845D45B49F4A4133E111C0DA12C4A0100DDFEE2ADE0E163B706A289AAAFEA2269A0C114278F907F0EC42F9BE70B97098214E86264B316227B530E';
wwv_flow_imp.g_varchar2_table(8112) := '808064D6BDFBD045FF8ACD0D756A83E47C209BD90C475EFFD76084D0D10361B63A47F1FBD41D71208354DEA8EA028043D89229B8882900B9E0390842603CEA9B8E7CEB344810284043884F583784299803A180FB5A40CDC3876119867C9B8A0A6BB3BB2B';
wwv_flow_imp.g_varchar2_table(8113) := '8851D0BD6090B460D03D832885E12B272F6302031C08417817488AC1E75B40DAE810811388EF1A864EE003810A3D00F804CFFB8B50D03CAA78000E98140EF080A9AB3B2FD82C82B0B97F0025E09A290D0200521805305888DD6B9D8F128855488446C088';
wwv_flow_imp.g_varchar2_table(8114) := 'F171A56EBA9F4FC38B8118C08378832DB84100E0211C9C8E1D1C8988DA0B0F780100E0C395A94381D8877EA8C23E29358B29929F0080C5004481402B814804A7FFE842315C8824223100A82CCA918E2D2999188CBC2D2808216044E1408A3BC083BC7284';
wwv_flow_imp.g_varchar2_table(8115) := '2014083CB02ED51B08F3DB08776B428240811610450078452F11B49EC008EB13C56D401D929044819083822885572805122B9F6E7281AABB8B53D1AE92800221A0315B940F0B193D81604581E8076E14087E188942918149110181908D8BAB3BA7CA3E5C';
wwv_flow_imp.g_varchar2_table(8116) := '2C448DE8C505648371D0C2BD2805894B9D5FF8A0161C884E7324AB5B882FF88B81C0BC500CC56A248C7DCC88541C887FE0466E743B7EC8877BEB0816780083503B3E7B0293C34635403F00180C2F7114772CC8818803F62A0848CC08620403624488636C';
wwv_flow_imp.g_varchar2_table(8117) := '1D56228869682505E4128DD8822FE02B82713054FFBA1A47A837B511C9A970044718B0839042821044A3B0B98704CA8C204AA62CA35E30BC71D28A5E98865E20A1D621A76FE8856F18BE9590058AFBA67B51148E638E8B90922960822448902B11884F7C';
wwv_flow_imp.g_varchar2_table(8118) := 'A328108B2680029D04805068BDA7740AA724888464802563C881E007F35B4783A00051B4AE80E2AEEC3B98D67B4600B08462C0CBB563B4A62338FA133100883667A30671203148A3866E381F0E42A7561AA427549582C0BA8588CBB89C4B8170B5BC2489';
wwv_flow_imp.g_varchar2_table(8119) := '905C08A3148803D9877F40CA7E50CAC18CCD81A8AE21D4C69B01858C4042A6B444D0D434E0034D7048CE8533084B9C0665908610148854994184F08021C80828C0BCBBF4CD91C0CB84040053FFB403C0A8CD8240CAC08448A958ACB55BA883714FF06CAF';
wwv_flow_imp.g_varchar2_table(8120) := '4A23B371EACCD0A4B6F3D94FF4A18669F04F8AEB3F8C780BE648032690AA27410109C8C0F01910D6AC4B81A040F03C08478111317004A32C04F4140821601282004C0078C888CCCBBDC41F6101AA635A8450682E511C4D82E84C81381F47831F943A1FF0';
wwv_flow_imp.g_varchar2_table(8121) := '382265F805148ABA8388964D8C171008010A78422E802E0762CDEE9C50920006601086DD59908218CA91E8C67A70876F1408C25CBB9E1B880DC5A1F81002C2C9850FAC468A1331661307F79A345E094D369D4A6F9A068F429529B2991590001DC8128180';
wwv_flow_imp.g_varchar2_table(8122) := '2E82A183B8BC1A0010032855D25E29B5D43B08EB1ACF85E8C68280C86F5C3D8FFFC4AFD7E2C10F8C8A4EA84D4A10A842B0100E3D1887FA2C0904009F1449FA09B13405BC865B88F3598632450826EA0813D8800D58992F684B82880232C0BC27E00235F8';
wwv_flow_imp.g_varchar2_table(8123) := '02E314D48E08058A800447C0833E5890263890EC3A08F674872CFD2BA4408A0F1486D1738D437DC04E20C28130C59D8C156161309903803CF4CD55D534A2333AFAE1A0E61488B65986FA620A6C9A0205D5140028826D23083A70300825083F60045F4508';
wwv_flow_imp.g_varchar2_table(8124) := 'E234886B658BD08BA8421D08513A087EE007A3D8877203060F2C88700DB94F484C00704A8292072FF19CAD399C5863800C20C885904CA0DC0AF8D22D6713B1923C084B348876CD0818A85381000215F88182E8D3D614086CFF14089209854A90D07E15C2';
wwv_flow_imp.g_varchar2_table(8125) := '8915884B8DC04EA382531AA87C35084665563E7BD6871D089F2CD16B154E00C03C836A56FDD8585CE3B8C544082813880C018057F3C5B15C886050866020276A58D983385B00A8C52A82550A8081166881F0E12B008023BAC4018C58C99F050028FD8408';
wwv_flow_imp.g_varchar2_table(8126) := '14C2ED13082FC0BC8DC8877BE007667DD41A1BD3A60280DA2C2A297598C3E91C83B8033E285181F8843E801081D08064AD3117A0CC8390856530A1C023578D908641E2D192784200D801B8254AB1B8D78100DD8188C15EF5553EB0AE4BCD5947E8033B08';
wwv_flow_imp.g_varchar2_table(8127) := 'D4915856ACB52C6178B2AF482FB1C3880C593266D99A1D6112E9250840E3AB2558AEB20A856138AF82642F12FF4BB88148042CB0362FD3889635884782D749018281685060E1530070CD83400325F8011BB00238F85B3180CF81D054BDEADA85C0C5A5BD';
wwv_flow_imp.g_varchar2_table(8128) := '07C7E52591C5084780044818DC822508D9185D2F015984F88008385800E0801258AE93EB0092F8CC83B04C8ED0D1742A084D900426481AE7C84000584B837020B140DC82A88E8128C361E901825810A6FA5D00C0000D4690E0D05681D0D48338A5B21288';
wwv_flow_imp.g_varchar2_table(8129) := '7FA842F3BBB70306B5633812AA118853A231CE3D080428047BD807DCD40FD9058050E40100A0023108DB83A0E081E0001C28425033DD8D70BA8E983F84980929190826D81218D8001D1E887A45123EA5C681E0828260041CC6322F71B0981163BEE20329';
wwv_flow_imp.g_varchar2_table(8130) := 'FF6CA63D89000FAD113B2084B84825AB230328800227100200DE46A3B0878E6CC58E4CE0A9B05E872194CA1908AF3B18323A02BE5D29C9C28803F160806BB31C70E38190CAA1A04FDB3A135C882B813083AD7BE153D004CA7102C7ACD581201840060046';
wwv_flow_imp.g_varchar2_table(8131) := '08B781F80234300430B9C432F059FD78028E9B823348BD42801548A88523A8DE5C4B624389BE5C33082A158811050077988DE7AD5F62B104E7411C00A0013190846E3B189A05DC2608C5BAB4106DD493914885050EAE1CC8945B5E0812D60887284340D0';
wwv_flow_imp.g_varchar2_table(8132) := 'A0ADCB9221903D70815B09388834D00B3E2488275002C445E78180E60BA9E63200825D0266FDB010713C2535D0DDDF38E330395000400560FF610541702CEC3458755EE7A51C8876A007D3E8B4575E90080E1360215081F880D2A9E97A96170A40002180';
wwv_flow_imp.g_varchar2_table(8133) := '032A1063077323A64254D8409683700D8CFA5750CBC281B0E85325891118881168811100011768814CC1941D500199C51483A8BA33E8443E9602A722CA3E45083540033C68904CA8044F888437380225B86600A00750A610243039E28595A26A821C31E7';
wwv_flow_imp.g_varchar2_table(8134) := '1AC9573AEC08C0AC52C19C8E28204808718383A491D66B058458E5F834005009C578AE5881E8849CFDE1AD368812C88019D93C3C1D89B3DEB4B3561715D881B3CE142018A29429998D1883CAC20837306200304FBC25E237C0833F60844A186C8900802B';
wwv_flow_imp.g_varchar2_table(8135) := '195B0A51833BE9030B11A858FF088588B26C43011683F8A220EE469BEB070E9C0D835AB2D4BBE21AD9043E30394F426D5630EF5891B579133BC0186D8188852EED6AEAF3948CDE3481182215B001E11608B90600171802F8258282E8E3C8138832D0820C';
wwv_flow_imp.g_varchar2_table(8136) := '8F660DD78231C892290081E286198128CB82E8DF82606E00206938F0033F68710040F146C26B0A8190CD1D08DB213B0321EF306105A12009F50ED1E4AD0A02A0E054DC1D3136901A61828B700FB1709EFC9E4354A0434110690D69A67913883B612AC90A';
wwv_flow_imp.g_varchar2_table(8137) := '857ADB6A253788131873EAFB966D49F07549908158CBED34882BA0D5606E242D4003BAC9F06136C07FFCC78F2B8831E83434304014D73E46266253848337307438306382FF483D38DF8FA8E06E814004E1ECBE746696287FA3BCB51ADB2E887506801125';
wwv_flow_imp.g_varchar2_table(8138) := '653E8B695E080ACAC96C7931283E344FD7C6598100B21F1E2881306726710D3C388690B10556EB2EC8E5A54C6997127FE12AF00151C9922C19668EF847376FA42DD83A922E438578830601B74E3BC8402F8821A9F682F873ECAE822A48822210473E0942';
wwv_flow_imp.g_varchar2_table(8139) := 'D0F3826389754BC7086541884E6FE7B62B0D1DE6AB01470830958F3CF1A41F2F9CAD993737B0834EB3AEE23008FC80E48DC8055B20788E64A02258CB22D088C9FB836A798370FB83387803330837BAD908643F88688F0460849B81B8EE83F883460A74E1';
wwv_flow_imp.g_varchar2_table(8140) := '0100E4A0041CC676961108581D8818980E0AB0489607D84EFF48856FFB04AE76184210849D2688200E658764E77B8307D4D0D6881D3D45AF5935888FDA3E81DB2E0C1CD8131E17889CC6E99EEF1302E0807933C5CDA2088738880C40630F26885D7F9E22';
wwv_flow_imp.g_varchar2_table(8141) := 'A0F0841F0236F776F82D884A538689C2AB5BE89D49043D00286484F87AB026888E0780BE2F7983F8836807003FF8833E107C3EE782B5EC678C800000A0000F80FC04000042A40F03C8F285C8B71D771856A083AB3F5E88CC876F14EA8EACFCB1D8AC840C';
wwv_flow_imp.g_varchar2_table(8142) := '5583C080F858A84E1E8B833E0838FAFC8C7D81A717F7D59FED8CC805DE0706D5C71F34780363A7169226887088C78218877550FE783487707036FBC408C21EBCAF478842C6FB8188F66A567425687B81FF304C81A04897150818369854D47D79A103CF1F';
wwv_flow_imp.g_varchar2_table(8143) := '8AD5F374468507D2A7FCD318BD5CD89D0C19FB8108FB812881D7A70A80B015CB168082060F2214847021C3860E1F426418200287839400842A988B21060019220200960B18C892264FA2745809C04A96290BE2227670DC3A00356BDA84B80D003569E2C0';
wwv_flow_imp.g_varchar2_table(8144) := '19ACE40961A546002221ECF3A6A09587091E1C84008042C9A665BE8CF952B0DFCB945001182818F6600986C71C46C810A12BDBAE0A0F3A2163B02CC87BF9F2DDEB078FDED6B6203BC52A0620D7591E0C0AAACD80412D6288C236FA2D48AB60ACB67231CC';
wwv_flow_imp.g_varchar2_table(8145) := '00403732E782144AF80100C9206400540E7E34B8B661AEC7C008768E2D1B6224438D0C19FF2A88B4A08FA605931454B270654C65DDBA8D53370E223F7CFA1AFEF963F08B5600400078D830158054EEDC256CF0C0818309133B0A16015025A29B826580AF';
wwv_flow_imp.g_varchar2_table(8146) := '6F39FBA576931DE7E307E004626A9077F3F103005F0070951F7F69AD96D26B91953659418E00F0C109004CF8905C001C60A05FFD3144890606DDC7101D151E049B86279A848874BAE576905108559143412E1474C38C25ADE8103F5C493314424AB810C3';
wwv_flow_imp.g_varchar2_table(8147) := '410914F4D554E0795010082F00E082110CDDD1D57A28021041776121009696623914C5418B5119264AFFF1B317816176F209009490582542338488902DA5D9B2A0492612948B8907556690133418F49643182428664A9D18A4264817FF9668A8A30BB557';
wwv_flow_imp.g_varchar2_table(8148) := '901B651834061AD01974295300F466456FBFB970DD411320242A435A9C8482072600D0828DE915740548623CF1D050A10C359A7054525550044426705841086CD690061F7E14E7A36C315A508663E215203D5C15A821220689C1009800106A50B30C2D68';
wwv_flow_imp.g_varchar2_table(8149) := '6757B095D6D05A3340F1AD431C2E7B50000D410800A20511AA96B205D571903006EDD92E9586FCA122002BFEB1D41B6FE4D8501C712CA405AA102931C4106D81701E00BB2214E5414B69BA10704B384489279E64B42617B52E2B2C544F9674AFBF2501FA';
wwv_flow_imp.g_varchar2_table(8150) := 'A64342D020C63F0EDD0580B46752E9481F5E701B345C0064C6D09C0485DB2F4A7A3EE4604133EC57F4CB5DF9112F431AFF147A52B9536BF8476E8800DCE243580C6C868F008C824B432F9E0A920B44844A63415302402944B21E54455356A812E9412C3B';
wwv_flow_imp.g_varchar2_table(8151) := '349427995C4C37955FB15A901A0084162F226E88E1916A8C717D92B00C1DA66D416509E1C53E0FE56C50B51A5281836692A7152214441F6407694AB775F443A545B056D60D755416A0FFE435B5231799CB6D5AB89311CB63B6EC9974E5F301DC501F06A1';
wwv_flow_imp.g_varchar2_table(8152) := '7050F407F9B0144C0651C335114F020E65145324C1F20F422CBF100B166B0CC01D7C2C2482412CB05B7E4A2ED31533009F33277F43679C459A6C1BD1626B0509452C9C86A52C352622427004EFA6161A002081216BD9564396908AC1F8EF2024D15F6772';
wwv_flow_imp.g_varchar2_table(8153) := '74AD826CFF6260D1910F009890031F18C4053AE04D418A62A83270C10A63E002429E540423C00A00BE81114290D083885CF0511E6092C5009009C22D44060060C1763868B9835C0E21501082974CE20E271EE418901949A338332786C4E28263F808020D';
wwv_flow_imp.g_varchar2_table(8154) := 'C08008B88C214CE41AFB40B216FB1D640A02E497306E81C5D844E90D4A0180F5ECB6821979608505D18E0438438C6024431A0090C6389E83903798019200E858F70A620413ACAA208903C07970C849008821823F3488FBEE6890031809216AA094C60C90';
wwv_flow_imp.g_varchar2_table(8155) := 'A10310C0946D29964906F4A8B100B14F7D8A8DD35CB14B84D42A966C09C5E76EB6AC1F14640C7E4BC9193608805F1AC469B28CCD2D6C318A3D196237FF08A9CDF582519055000014E004C02D5E0100B541241C05A9C7426E310A92D8F12042090A00C4A6';
wwv_flow_imp.g_varchar2_table(8156) := '928768537E0F4C0922725510446D6211AA78DE3441F2898B84631FA3E360101BC2BE7D21241CD9902800D439D16F7463A217CD6845B3F10D007814A41F0D6998F0F7A8F6ACAF9E6B7AC905B9E1D1977EC3A31995A846258AD18E62F4A2EA8C290062EA52';
wwv_flow_imp.g_varchar2_table(8157) := '0070A320D8E00636B866CC823CA71EF4A0073BEBE1D48734D5960FB9D9420BF20FAA9EA4AA08B99931AF5A502A79B5AB47FD2A59413256009CB5AC0D31A95A0B12A0B69E281FFA60A723E97A107636C49105916A6CF00AD7BF0236B007D9873D040B007B';
wwv_flow_imp.g_varchar2_table(8158) := 'DC03B07E05403D3EF756C3B2852B7A35FFC873260BD9CB6236B39C61AB663BEB5993F0C3B29F1D2D694B6BDAD3A236B5AA5D2D6B5BEBDAD7AA36ADB09D2D6D6B6BDBDBE236B7BADD2D6F7BEBDBDF0237B8C21D2E718B6BDCE32237B9CA5D2E739BEBDCE7';
wwv_flow_imp.g_varchar2_table(8159) := '4237BAD29D2E75AB1B5CBE42441EFF28103EA2CB0EAD5A7759A7082F7941220FED7277BA892DEFCB5A0100F7B237BE0681077AFBF18FEE4A971DF27D94DDE0EBCDFD96F7BCDB2D087E016CE0CEB861099640C581E34B5F9E3538C26D51462116820D5948';
wwv_flow_imp.g_varchar2_table(8160) := '78BAF41D3000F291E10F97E415C06B2788473B0C88940300E678466C1E5C200F9738C60E99828C3F2B0F151724C5F430478A6F9C0E76980300EA00003C00A05F1CFBE5BC682D088CEC819B0E833CB9C66222038D1DB21329AB95BEF280077DB97C5E2F6F';
wwv_flow_imp.g_varchar2_table(8161) := '39CC61EEB298C9CA6200B403AEF270079701B0E5226F99C845C6327ED20080345499CE7A664836B2819039EFD9B77BC873BE00708810061ACBF9200630F021CD440BD7CE343E8441300CE9184F231A0611473C2FFD5B43A8A29EB588C531D0E9E9180748';
wwv_flow_imp.g_varchar2_table(8162) := '1E053E356E9561104502C0D5D2707530A4716456EBAF1FBADE35AF7BED6B5E0316BCB87EAD5701D05D7C78381FAB1E36B39B7DDA00E9DAADC27636B5AB6DED6B633BDBDADE36B7BBEDED6F833BDCE21E37B9CB6DEE73A33BDDEA5E37BBDBEDEE77C33BDE';
wwv_flow_imp.g_varchar2_table(8163) := 'F28E0D3E961DE180000021F904050A0000002C2400160023024F010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1E2C47B00F0E1B3C8B1A3C78F20438A1C49B2A4C9932853AA54F94F253F7E2B63CA4C982FDFCC9B3873EADC49511F';
wwv_flow_imp.g_varchar2_table(8164) := '3D81F2780A053AB4A8D183FB5A1E5DCAB4A95387F4DCB9FB290FDED39255E5051DA8155E56AB05B35E1DFB3154AA5064D3AA5D7BB21F3DB00094B2FDD8AFDFC07D25FFE99D5BF445090E140816725488AFE1C3881BB6AB578F5F5DBB8923F6E3A74FDF4B';
wwv_flow_imp.g_varchar2_table(8165) := '82903DC2BC2C1063649D62063A2238FAB3E9D34FFBC16327AFF14B98A815EE1D58D7E4649B440178E659382D0B8178F8301A385C60E9D8C893CFBCA79A35F3D7CA85FEEB87FB5F3B00B8852E7223D00E1F3C8B8E0AFF012024834146A38B531A7D9C74F4';
wwv_flow_imp.g_varchar2_table(8166) := 'F7F02BF25B2DEF39E78A99E347FCC72F1F5E00EE6067941D00A8019E7700F4768C303A3551D01300F8018023C501B05E4162A8411024FA75E86142F33957D77D06C905407E0FB564E2612B16D4227FB8F513607642E101801D0882171E00DF0010CA2737';
wwv_flow_imp.g_varchar2_table(8167) := 'D12084900379C1DD70144E28102504A9111A711F4629254C22BE565B414909545796494DF79840FD39068098719DB8593E75D984626A5F3634A26332C293CF3DBBE5E4C82276A841E040360A24CC31A1F439D3900A95C6647A0279E15E6F52360A1F9541';
wwv_flow_imp.g_varchar2_table(8168) := 'BD0627412DF1D3923EFFE8B34F525DB619D76CBA09345D9976F5734FA527A6E5A9A4B061F6D864EEC8FF594F9D43E141E09E421139D013C129E9AB85C769F82B00B7386AAC5111A47108000C7004A9992F5D399B3ED0F4D147383EF5A35796DAEAF50F3B';
wwv_flow_imp.g_varchar2_table(8169) := 'E568AB0E3CFFE4538EA5E574238E55D495230F4C6BEA14AF96578E2929A527BE1A673E1A2D6587A0081D03CD4A841AC40700E821392193036598E0B110334583201D3D3B59B49951D9C7144C3051063B9AFE9365BEE5FE634800D1FCC3851FFD44C3413B';
wwv_flow_imp.g_varchar2_table(8170) := 'FF78110017D71890C93F3FDC52EEBC32F5C3E98AB5BDDA5F4DF9B44A9BBE00B4E3CE9CB4EA24AC4200AB548210252454DA7087F2E9859EA32102001CB6442C7662F8586CE588FFE0F34F3676D4A28A2A870CA3CF3D49053DE63FF07051051CFD58FF01C7';
wwv_flow_imp.g_varchar2_table(8171) := '3FD77090CE3F7BB7938D09268493042D3B0F65D7A87B6DFA1F3DF468A5D53D94DFC358D1183FC60F3BBA350D5A42D00C9C9081068A34E47885A28730C3073F2910228CE0010C003FA53AF6EE269151D00C02111051D100B0062D6C9389FC4F387DD4524C';
wwv_flow_imp.g_varchar2_table(8172) := '2D9B90A3A9B6579AFA0F314780C2813E2BFF538D07307311C01BC85461481949D8F24F3D3CDFF4D83FF758958E40EAD4AF8E40ABA9C34E3AE9A8B355BE9E031D63865298A74D844006FCC8D4A6769E24B9675802F18323A2C6BB0A92E40C2031DB7D5E22';
wwv_flow_imp.g_varchar2_table(8173) := '3275BCAD16ADA8C53B2AA3972F51E71F7030800902300C2E00401ECFE04036FE910438C8E31A375087F88801BFF6F56C4BF0484739FFCAD1BFF901C01C00B09FFEF8A70E73F82F2EFAFA1C3B66351447E4290A0879473900700C81BCA32078482049AA46';
wwv_flow_imp.g_varchar2_table(8174) := '1A24A1673D0C2B9093F0C0A88178C668168CE347C8E03B8E18EF6293E2075E36758C5AD48217DE00D93EA807194BC94309EA830324FC4080240C030206F0C41B0C50056254C11DD77800331AE7386DED431D434CC735AE71C470A4431CE2004039B0810C';
wwv_flow_imp.g_varchar2_table(8175) := '005C231AE930473A2C1545018A4E258EF8C4716C359045B487205D6C524C581785E0B8CE7507515441E020C766A26406CD8A086CD8410F7B78495B2FD994F2CAF1C75AA0831E95614E0945850F78740B1F95B3473D5E2832C6D4831E7BA1476620D3A294';
wwv_flow_imp.g_varchar2_table(8176) := 'ECC55BF410223C6851FF864C8823131108072DC6B00F57FC8016997883274C590EAB78AB84EC68079D72A24B200964114E6248287A04C67FFDCB2455130284ACE6CC92CAC40974F0DD0C4AA0038810CF7892C2A3E4F6C10E3FD6221CF590073DF0F2AA81';
wwv_flow_imp.g_varchar2_table(8177) := 'B4243F9701955D3838AA31D1465E75C96739DA018A1E60231D6E50822B6CE1057BA4E206B688C40BAA014A7304485FFD10E03A6FF2CBDE88D1211404A94084F34B8439B04006A18549E76A1132388120E37150041CA2C1CD744964DFF8441F3E080DBA89';
wwv_flow_imp.g_varchar2_table(8178) := '8C5E4325DE98FAA5A56B5E66321913089AC0E4BEA4829288A03842267E20052EF0B31F7295252864908D260605AC62CDC9A12C2A10D93964826A5884A0306A1032FF72A46A23754FC286A586B6D2F5B716D15013968084173404377784CEDD9647092F9C';
wwv_flow_imp.g_varchar2_table(8179) := '410C7BD84315F6C0076860B35472D9CB509FF3D39F964A54661A536D94E243913C261FA054872BFCC08731F8E11955A0441252618B1F8082127E284369CBF113383D861D531C6B4C28F189AC5DE84600008F407419B01EB567477DCA6D136830112131B0';
wwv_flow_imp.g_varchar2_table(8180) := '0418CEED92D2731C0919C40F6E78057047EC10421084B651D041067C6B90BEF6031FA70A8517A8E00531D4782055A00224C8652952FD831EEAA84B3AE48137EA2591C8F03B513D225A9F7C145935FA13B04A5E250F75CCEF1AE5088713CB218E6C6423CB';
wwv_flow_imp.g_varchar2_table(8181) := 'CF08C733CA513F76600469A99D09811D118A5C1A84FFC506F95178C2D8CB82386820147EC8782C3C1E2160910F07DEED400A2806EED8C8C3244EF44216C15A823C21130CB14CF14EFB1AFE2CCF0B351683A61B0680313C0119CAEB1200D2718B67A8E319';
wwv_flow_imp.g_varchar2_table(8182) := 'B7B8853C52118E2D560319E920463DC4F18C67988316A0C0E435FEE10973840300AE7005E87E68D9F9CD4F96494C5AF1D8A144B8A01900038C898D0ADCE887215822B2058F8176249022E0152279264809469A46E3B8870BA1010400448C0D242AFADD04';
wwv_flow_imp.g_varchar2_table(8183) := '51454218348C8724375AD61C4615C6A0E932F4C10D6EB0C3186A5C05C6894C9BFF60863BFE210E5266E319B620463690418C70FCC316F0103331E4D170C065831DB6604635B8DC8D9FC6446852FFBEC79CD6F913CABDF31EB081574F011CED9914B820A5';
wwv_flow_imp.g_varchar2_table(8184) := '51B042367A8C6026B8CE003BC240580711073928A4583C08230A413B3E30F320D380B7D4ADED273FF99C1B91EE2B00EC0180618861E055901DBFAB00002F84E2E05BB71432D4B13C5087231BD128472A66880C5232BCD60CCF86385C418B704463EF6F9F';
wwv_flow_imp.g_varchar2_table(8185) := '61BD5202D6579570A8952EAA517BBAEC9ADF0448E56E085A78948B04A7EEE7737E82D07FC09126109DA40281031FFC400950306320C9904634A62E12E18D581F02B9B7632C158E4E20E2EBFC2E3BA6C7C0874CA4CC54FCB2663988710D76106318C350C7';
wwv_flow_imp.g_varchar2_table(8186) := '2DE8E18AB8DFE2EDB6B0C5AD259E0D00FC3A1AC3D867966708C793235E22680EB0FF4A463A1A025382C0E6168D92AAFD8E63F4A8E7BF94EDCFD520042158402043F83C43C24D9E3C6B3841C5816872552C00500D00300DD5C77A0A7810B1C05793763C8F';
wwv_flow_imp.g_varchar2_table(8187) := 'B33F97354400904AAA940E11E55F00B00F4EE60EF7930FE6402EF2A00F36B13FD48144D6E13FF78029F9E015947129DDA7168C47735266124220053FD766D5661040521A44C423DF507907D127E1A1063808003F3004F737102950024D48355088102560';
wwv_flow_imp.g_varchar2_table(8188) := '1E02E16704217488E60902910D060800D9200D0201860BF811BF31360D880DF64669D1F229475522A0022630812A71C139DD02232DD1182D410F8E6172A3525E6CF225349812FF077913426D6F06004052795F241068610DC1FFC26D0761019CB78478B5';
wwv_flow_imp.g_varchar2_table(8189) := '400D615B10E20106910A0BB17A6368110CC00300700204110BB62084F1110A724510A6B3102E3610303153A5624295912FFDC186946513FC40271801136852136B485998711833287E32C1600B964BC7B1273D4810A1207FC001354FD0041CC001003001';
wwv_flow_imp.g_varchar2_table(8190) := '025135D60800B6951077365209240202B18A0C910C9F681104301E1C521061031F9D50112FD51A785448B1B8291BA85C83E753E4653443652F9BF17DBA731AE1E77843B123ED116151202C1AF27FC0812B07E120422711515309D8D00D10F16BE7E81165';
wwv_flow_imp.g_varchar2_table(8191) := 'D080001036EDC820BC835C6A4826B04810F7E2299AE18773F16C04B91345B82316C56DA131526B9010BB101174FF261116999139910B61030CB9408E1E12790C217B2A396233086D3558129C000B9C5010BA000BE0B0688EF60410A2063599103E2710D6';
wwv_flow_imp.g_varchar2_table(8192) := 'A00D7C32687CE00861497508E10904889108B10E3C891242191FA8D81BEFC81022E98F24398603B99427310BA60095BDD00A08B108B4B52B16610D82312183010007036703819607918070B19623410BA7381072450BC0000CC30092CA111E94D08A4529';
wwv_flow_imp.g_varchar2_table(8193) := '8F569291C5D89227B197021195BA000EA52010BC8010AC602B900800A8109B0FE10B1615967820966299105BC410DB5010DB300EEE06991E618A1D799CC6191D38402894101EADC41C0901730F388FA2293434774B24010B00A00B08E10B00D09A047193';
wwv_flow_imp.g_varchar2_table(8194) := 'BBFF800AAE49108BB810E7A90AE47930EA27108560810CF13F06B193DBB093C4C9116D091F40126E719986C7C3933DF539D0869D2A310BBAD00B00500B07E10BDE690DA84098BB10A1BB4098007006E40900E8F045DE0000113A10BB600C18FA0EE8800E';
wwv_flow_imp.g_varchar2_table(8195) := '00E09D80591076B00918740EA0730E0E310E00000EEBF09BF72912F9F9216C546F0E6194D51940EC600F1B3113DC799AE0200A200A00CD2010493A109F209E374998A80024742010245A10AC40A100700A477A109620109A00007EC90B7E4910F1C010B9';
wwv_flow_imp.g_varchar2_table(8196) := '2310345AA325F191984912A70700CCF00C42A19826399DCA758E49494532310B0461A0CA500C02A10DC5E00CC5B0A400600D0CDAA4BE7093DEFF29107A70A80581A50DB10BAD009E0AA1960D3195E5B00A53290D60D80D6278946A8A10ED3812C8D04A02';
wwv_flow_imp.g_varchar2_table(8197) := 'F1A603A1AA27214611B9109EC1A3786A9D032A14C1500C822A10B8BAABBEA0A0BE600CBE40A18D5A1237F99D8F4A10F480A9F1B00ECB3A10F1300F04810B03B193D1000E7839AA12210C9A0912C8300CA7AA1340A22700C00207401B31182A764A2276F9';
wwv_flow_imp.g_varchar2_table(8198) := '259FB31804BA12983010B99AAB0501ACC1EA9DC58A10209AAF5B5A11F2B00E67AA10CA1086EE36B002C198D82A1161939C1F71AAAD546FDF7A8C00D09F1251822309A0B4AAA73CE10C02710C5E0900DE80ABB5C0A0BCB0A5D6500CD6C0B10791AFDFF99D';
wwv_flow_imp.g_varchar2_table(8199) := 'C660A909B1AFFDBA8100B00E98FF8A10E780A9B8608E300A00034BA3B097B013410B372A12A82A6D17D5460F219DB22A190A21AACAC192EF1A131CCBB1800AA80391A4BCD00C4BAAB280AA0D863A102A0B00C6B0A461CB10130A0051F00DF710200591B3';
wwv_flow_imp.g_varchar2_table(8200) := '07710B5A6891DD109C6228B446410CC4C0133B524000C07F0D613117D38F5A7219AD52172A573490659235A13968723130B78B8FEB8B30A7392F71665A428C6D128842F147CE500B841AA883DA9A0A5AA20080B500F0B159AB10867AB6209B105D5A3C8F';
wwv_flow_imp.g_varchar2_table(8201) := '2910C2299C0801A3B7300A78CB1165F0AAA7E1665674671900B8D1E9620FF563458311EB0413F0C41F3FC11F02026D45032A72118775311B4E9610505B142C79AD38D19AAAFFD00CA85BBA0511B680BAA1C530AC0BA1BA02B1A1876AA8337B10EA309531';
wwv_flow_imp.g_varchar2_table(8202) := '2A0EF519A3C920AD00E0097FF007BB5B52C21B0108E08046090FE5900FED600ED7200E7A510F2D91BDB7904A7A910E8F435EA3267D7AC165B6C07613C71C066C80FFE00EB7D00EF2800C33540FE1204FDB2B1479EABD47D10AAA209EAAB0B502216FAFCB';
wwv_flow_imp.g_varchar2_table(8203) := 'BEEB8BA403410E319B10E040B7D5F78505A8BF914010A3A0BBFFEB4C7BF51082DB1F0C1709FF500E91B03FE1700DF9D04AFFA00ED1E0075E460CEE50063C046B06AC17D7000A9910569E707AAC160990C043B7400BB71009E1E00A91E009DDE00A99106B';
wwv_flow_imp.g_varchar2_table(8204) := '6F703FE77A15A3E9C246D10A7ED90ABB10C336CC0B3749BE0EFFE1BE0891A447BA0BEA2B9CF5B90D031B0C062B10AB700BE63810C10000FA9BC462837E00C01D02910118C0C493C61C17F30FE6E007CCE00999900AAE6005D8300C752C0E91E00A7710A7';
wwv_flow_imp.g_varchar2_table(8205) := '8C900A6F700BB69009A0100DEA034FF4A085CCB06BF0900A11CC0EB4000FA0A02DAE807CFFE00AF7E30ABF460BF763182DAC1383A0080F710A176A10622ABA0C41C80C91A42C9B10B880C40261080301CF05F106A300C8A0FC217D6030819BAE96920E6F';
wwv_flow_imp.g_varchar2_table(8206) := '300C995009F475C67EC04CC2E009FFC0CCCCE007C2EC0E8660089100333FC10EA9B0709E500FEA900AF0000CE2C00EC3300DC3F00FC8300DB7F60FB4600E12B73ED61C906BD1BD39310781B010ADB0090AFFB109A7C09A360C00630BBB823C1095FA10D5';
wwv_flow_imp.g_varchar2_table(8207) := 'A00CB8100CAB2010952010EA86D400D008453C106F60059C78CFBB83414280014BBCCFF7E664E2C008AC9C099E000A5C6D0B7E100EEA6008B7E006B01C09013D0CB41009E5900DEAD30F99E00ADD800DEAE307B4D00DD740099500D7A2640858060AA940';
wwv_flow_imp.g_varchar2_table(8208) := 'B480ED0EFC000A48D4C77F581B69361383301066600506E19009710A36BD0963FA10755010996D10A810BB0351D40871C90561069D96CF1C29D562C390585D1F78F40F1CC70FEE804AE2500E7A610BC5520EAE700DEDC00CB6D03FD9200FB6700DEAC0C0';
wwv_flow_imp.g_varchar2_table(8209) := 'DE030AC3E0090C8C0CA9300CFD800CCFB0770C470BD6AC5EEA30C7271DC5F2B0C22C3C73C6FF2813303D10923D104BA0034C000069E05A00F0A55CEA97178A0A96CA0BEA3B10144310BE500CDE30B663BA0400208A02D1D40521DA0211076FF006035106';
wwv_flow_imp.g_varchar2_table(8210) := '6F80E0FB4BB3AA4D62F1681F151C87E0A5D899FB29F45481B80819CCA6783E55266DB8929BAB943C9104025105530000272E10386010CB5210966D105F0AC910A1B2497AA11E00020070033B00003900005A5010FEFB06A69DCF04E10665000065600757';
wwv_flow_imp.g_varchar2_table(8211) := '100BA6D2E0891622AEAD5CBCE81913450F8D3140BB382636910FFDB54EA6520F4E362B9EF1E57A5113946313F430273FA18BDCDDDD57C2B947512105F1A892E0E206B109ECCD114BEC0131600340000449D0E304710504E10777000087FF3E10A4EC0663';
wwv_flow_imp.g_varchar2_table(8212) := '000AF5E4E42605E5F6E1184E56E6BAD8C08D8B1D832B20FC1187EB542E36C11F83377BA512836DEEE61A2EE23971D46F2C115D0ADA99BD0B98DDA52DBE1069A0101C600220D0E700300449E0023B90034A20E81194106560E490AE680F8E47FDCC0C6CA7';
wwv_flow_imp.g_varchar2_table(8213) := '17EAA0A3D01B179E512EB883825E9677EBF30CECE02551F2C73B2162AF20990BD1E26970EB07C1B19B50E72FCE111B40102A0004430000C0EE02480002247EE8FEAB10A49CEC1063D5D294CAAF9D0E91900AD1400FCC002E7F9070E6400FBE8644F0A00E';
wwv_flow_imp.g_varchar2_table(8214) := '69DE0F9E60086BE309ED160970700DB760088C6019F9081F2E3D174E70DE0DD10AF0BDA18740077B6010DE40D30DE10245FF40EC02010302F10686B0EF4A0D0071000871D0E1FE6E2C0610F055C241E96008B64D4A7E700D0B050A86F00C5E80C77B9709';
wwv_flow_imp.g_varchar2_table(8215) := '1617C51817098C900D12A70EB9FC0FA060DBF0E221237F135EE310AC7DDEC75ABE09D10A64B007372D112A10EFDE361037DE024A00007FB08E0851D4C1F0E8411F251242A045431F101E17F06008B6900DA98006C4E009D9000A6E400C95F00FB7E00A9B';
wwv_flow_imp.g_varchar2_table(8216) := 'B417EA207D86A00E9E4009FDE309AE50CD0C3C291D02EE2AB18D07F1746390282EA4062E24064987E24C90065070EE95DA0CEB2C122DA00208A1EB2D000468A010C1B09A7F3F3619A0B407B1EC56520ED5F00C911009FC1436A5870659B53C6FD00EC350';
wwv_flow_imp.g_varchar2_table(8217) := 'F5ECE00AF2FF80DCA9400CA030CDA09055B434B8A7AE2A33A7EA37A18902E14207213B7BB0049BADE203D1F205810E3C6C10636BFFBBC00B00A1CA170082050D1E04E0E2C60883200AC201B008213558008201E08750E3468E1D3D7E041952E44892254D';
wwv_flow_imp.g_varchar2_table(8218) := '9E44997223874200EA75CCC70F1E3B79F730F2EB772F1F2D4FECC2A5BA252E9C3850CCC465FBA70ED2BF6CE6FEFD8327AE9F3A4F486DD14A9AA9DCBF7BFDFAF1CBD80F403E8C2ACD9ED5E8D52B4176ECEABD448BB28CC12308BD10147386E0128EA70068';
wwv_flow_imp.g_varchar2_table(8219) := '0B49C8AF4713206C1C54010006081804FF145CB4C962AF6504A929BB1857F366CE9D3D7F3E4B0821030C06FD00B0D95126CDD438FB3D855DF01FD982FDFF8A02786A102E5784F9C422049B11F4708E6A7FB373097738048E684E1B7A53900B4224059130';
wwv_flow_imp.g_varchar2_table(8220) := 'F9C8EB64DD862D00782FE821242E00BD2E2A239E5EFD7AF6ED53A6DE4876664D823831CA83C7955ED77CF5BA8675E79F7E627AAD1F7AE8C9E71E9CFC03A09F7AE8A9C7B57F1AC40D2CF7D4334EACB6DE228E39822448A0201300F00394543AE200000E50';
wwv_flow_imp.g_varchar2_table(8221) := '4081A018005842080068C00E00545A190C0074B4A1830C825A3186A4C6109AA0A0C30E1283204056C9AC1252088AE74229A7A4B24A93321829260058AB4F2C7E621B6BADAF62C229B5A71E7C4DC006C1FAEFC12FC77AF39E09E9B1B233E3D8724BB9CF98';
wwv_flow_imp.g_varchar2_table(8222) := '03D1C38E180144A307FC0420061E4230C8FF470014F5A6203A083AA5158DA638E30E00B80B09088D922C6894510E8AB24E51472595BD0C68C81280F914BCC9C07FD20967C2A7847BCD3EDC0050E79A34AF0950CD0A71BB471E71D4F9879E725E2B471C01';
wwv_flow_imp.g_varchar2_table(8223) := '7F2B35A50CB7CC533D081298D6A02438F284A014397A80071E98A0B4204D08028C9C6600A851A31A0CA22002082450CCB022500AB4597BEFC597244138E221CB8CB8C4E8AB7F9EF9C39363C5F9129E72E8712A9F746602801E62C561271D79F891EA1E75';
wwv_flow_imp.g_varchar2_table(8224) := '9C6AE7CB743C31A49C5BFC3038123862B535DF91EE8496C3F6E035A811006E71A5A3224723A8BA8E9C298809312C118309540BB29420042848D1A1C446B22466959F865AE5473D2A21FF24DA00E6279F7FCCA1E429783C29511D2B0030C40F663C71C30F';
wwv_flow_imp.g_varchar2_table(8225) := '430C6126155B2211279370C0B6259B32DEB8A62701E119261A50FE71C51371C4C14AB8A8417A163997D97BC0202B4EFBD4A07A513A45928354D9C48BBAFA05A06A822C7DA25D082840A98F832229089C500F67BDF5F6142D8881080A1AFAA3ABE9C388AC';
wwv_flow_imp.g_varchar2_table(8226) := '7032792A9C48FEC964984CD289449D4832E946EE545CA959554F40C10A005B6EC986F79C00383B1AAC9089841D736EF92765D7D3BAB3AD03A5ACD6A31F3E22A020030AD2C3A31708E27C038432906044006C58FAA46C0932C7EAC63740029A656A08290D';
wwv_flow_imp.g_varchar2_table(8227) := '004A83250E38C276FFC29D85F811896798231C7EF0DD3322610E4388E3FF78D9A80A284091897E78221599785BF56E918A6778E21AEC78953940113866B8C2160461C66C9855C0DA942F5AE8F3880D1CD2910418C08804689F46AA7008830C0100322088';
wwv_flow_imp.g_varchar2_table(8228) := 'FE5A04801F44A071001811780852AD1D704453D7428834783846328E040A1A99C10C00C00006144408256084485893119C3CC51C9100053FBA61886CC8E319ECA8863AAA910D0064231DD7E84636CE560E00B8E319860887058F828CFCB0C31058F160AC';
wwv_flow_imp.g_varchar2_table(8229) := '66A89632F690938AD3D3A89E008416A4A02414181241A6701784B4E00605D9D64138A03F000C1121FD0380A6E657902A74D297BF14891A1598408260890523C1DA97BEF4947D4C4833629910341B144DB1EC708C89FF4B0E95BA88901FA8003C13F0C0CD';
wwv_flow_imp.g_varchar2_table(8230) := '4E0980E800207222F1807810124B8F2041099203663C7D494C00A8B18D0C98C1EC6644102138D023B76B8D70F8C1A0FE64444BB4B24F700EFA16AFE4C3A1BE118B7F22EA15FF18CE9789FB21A90EB33E8750409DFC8301CC368202753E040D00E8063508';
wwv_flow_imp.g_varchar2_table(8231) := '02458FB0138BE181A9481A712279D6948C6D3488061062CA076E298216FDC86FAC599FB00CD5420DF252708089CDC5358B0800F000043C208114680A0084D288FD002001309A449D8D4925485809802458150027B5695A077800031C802046D480560D92';
wwv_flow_imp.g_varchar2_table(8232) := '0244D88E2D3F1DEA492CB496831C752D4AE5E150991ACA664DC0A3A4FB480242B4450018816C802224FF418EC4AD0DE4CF038B2108624DE258B5767680EFC3E9468021C79FC665AF46A55552815A468C36D55E93CD654792B8AD0D20F63167D15F6535AB';
wwv_flow_imp.g_varchar2_table(8233) := '4400B8E10F75BDC35C3C3B5C9531F220C6DD4833F35A102D25D3B4AE412D41FE7AD45F0EF65EEA288839B0CB168E98E320DE05403BDAB1A592A4E3BB00D02E7AB7DB91F112D7BDF9CACD41F8BA116772A4B935098EADB2F650A4FE26BF9CCCDD4309E45F';
wwv_flow_imp.g_varchar2_table(8234) := '0AB9B7B58425E0723933DFF736D8C1F1590D7EC1B29609EDB7A8C0C14D3599A5A00B17D8C0E5CBE683453C62129B85355F91D0831A1493F061841E67D2219DD4C295374173590E3E708975BC631EF7E6AEFFC9DA3FD8718B58D1A34CC56A4739EAFFF18F';
wwv_flow_imp.g_varchar2_table(8235) := '64153215E17090D6D4E18E0CE38A1D0662B06773DC632E7759C41004F297DA818C7A5CE386D9A0453988918D725C8316D950D635D43C8C6C108318E50847DD00508DAB0465361DEE4833AFE943D77AD9D087AE2998511C1C730C0319E66006286C618B58';
wwv_flow_imp.g_varchar2_table(8236) := '4D831845D9CA305CD10D6C5C431CD8A3452A869143A130A31B7F46EA47041D58006F08C1888675AC0978DF30F7831DC8A8B32B8E320C7320C3D3C820320CC5210F0094A31DB7784636B2810C463EA31CCF2046AC74E21A55D75733F14D0FCB40296B6E77';
wwv_flow_imp.g_varchar2_table(8237) := '7B808A9E306E9EA2648260DB20D5A4CD3FDC710D7D80A920F780771D97C55773EFE3562331377D6F0C1A6D87D8DBFF0638BE201821FF8816242C6BE2CA5A1CBAEFB0C4C64207CD873DEC61F08903C01EFD9878C571138F7D68FC561507394126FE0F7B90';
wwv_flow_imp.g_varchar2_table(8238) := 'FC202397F87A5A0B9F80B7DCE555FA173C6C422083E437D5D4354834FFB10F9E1B4740131E3900EC4D9CA18B5BDC4FF14ABE9F691C7E288EE52F877AD4D313730E8BEF2617C67972F711EEAB977C1060B8C005B27081305C0000653FBB46C25090B56721';
wwv_flow_imp.g_varchar2_table(8239) := 'ED20117B41C4CE8673F8EA33196ABA4B9E2E75BEF71D2DCD9579D6ACAED4E97664423CE7FA9A4A1E860608A0000010C0000A10798208002196AF3C410600798F0C60F39BB7FCE40540827160C4DA0B66BAD3FDBE7AD69B653E114A3C4AA2A95C065F9CF1';
wwv_flow_imp.g_varchar2_table(8240) := '9EF73C0024FF788360FF1EF7B82F09F00B30FC0290E01C1A87CDE9CD82F70DEDBDF5CF873E475E0FA76A9A0536009E263F6EBF79CE2B40000A98BCE4353280C8979FFB00787CFA0D927BEEE3DEF8F150FE6698AFF7E8D7DFFEF2DD52E0638FEF65255FBA';
wwv_flow_imp.g_varchar2_table(8241) := 'D5EF87AD9B8306F03C0500802C688336803CDE1B3E00F03EE243BFCA13BF825000C973BC061400C75BBF0120BDD551BAB358B9FB13C1FBA30982B30F051309DAA3B77E98077B600302DCBC0B78840B70803968030D34BB82280005304082E8C1B43B3F00';
wwv_flow_imp.g_varchar2_table(8242) := 'B8800CECC10BF0BE1EF4BCF78BBFA5538BBC63901184C2E7A3897908982574961D9A877F60BC21148039803C05B88036203F007884369883477040B373BB826880FF3678843274000070804730852C080307088337C4C30B18BE243C07F8FBBFCEF0BF2D';
wwv_flow_imp.g_varchar2_table(8243) := '6907788BC243EC3B0DD1BF2CEB8C79D03E18148030548006B8004528BF3304004C2CBD5940435868830678843970005D40435D308547C80253300500B80453E04407AC400EFC432B448B2D43C45B84BA12A43EE2A0C2171C42214CC03630854FCC4000D0';
wwv_flow_imp.g_varchar2_table(8244) := '855960835920C330088473A8080068C336484532743B4CC80382D00551300536D08530F83EC953C2E1B0455C24478063077888099A1B8E2C1CC0DCCBC01CF442058843380CC54C040053583B82384354CCC3B47B845704804938C30588433F04447E03B1';
wwv_flow_imp.g_varchar2_table(8245) := '422BC7853C3445D407144341B4A0077BB83DDEAB3CFFEF6B830BF03C06E4C138FCC11EF43E39B4BC3894C3C6234907F846593CC8BB4BC85763C897EC317960072AFB0A464C09A47B0D0A71445F9CC0F68B3C8BB4C809443F0D3440CBD34082E0BDEF43CA';
wwv_flow_imp.g_varchar2_table(8246) := 'F053421BFBC02BE4AB6D83C9A934B499F48AFD6BC47F18C03ED43CDD5B4A07DCC1AFDC881F5C4AEEFB48DD1B802C188795F40CEBA2CAB7E431998487ABB4BACE88902C2040CCE3BCCFA33C8DF84906CCBCDEBB3CD0CBC00EA4451004B17B7049B864CCE1';
wwv_flow_imp.g_varchar2_table(8247) := 'CA8799984B88B42696310B7CF8075D58065878C6821005581005E2E8CC5E80BF376149B5C8879954CCC6544D07B389735C136AAB2FCAACB97D0B096A3A086772A6B0D007A14B8B5BC1BE1DDA4DFFD4D8CD87C438D22CCD865207747CC2D564CECE7A4CD7';
wwv_flow_imp.g_varchar2_table(8248) := '1C106A3B37EC9B4D9B540D7CE00789CB088F8B87288987163C8816C48790983887D2877AD087F44C4F0C318E7C48CEFE68CEF84C2B9DC8BF86824D357996BEA24DD923B992CBB8725BAD88D408F55C4F956BCFF75C4EF954D04EBA9D15A34EF628B90909';
wwv_flow_imp.g_varchar2_table(8249) := 'BAFD1C9FAB6CA873EC0F9B70BE05E5D001520719B3CE92C03605FB400DEB8702BDC9DB743784748DD354CE0D2D4762EB50B55287090BD1A99BB7FC2CA03169A87680878182D11915D2A8714D011B0B94B009A5CA077C184FD4D009DA2008269538267528';
wwv_flow_imp.g_varchar2_table(8250) := '2ACD87F464529380D29398B9833044DB218BFEF08F7CA007784090041DD2348D1AFF7A7007765007E4880B38DD0875582FEC92D3372D08E49053B678533CF5883E75D34005D441155441C515F2D2D33D9DD3439553377D37865C4C350526B2F852972008';
wwv_flow_imp.g_varchar2_table(8251) := '043B103AD1083AD15484788B799807852C88B720AC20D58848FD0851FD884CDD0F537DCB2D95D49A4A107873BE2CB5388F23085AB5897A70287893D28AAB542F4D8D60250957FD27F8E4085245305A8DD566052626B5558310B0682D0868C5078732885F';
wwv_flow_imp.g_varchar2_table(8252) := '8DD2269556584D096E3D096CB5AB7FA356678DC2591D0B6CB55671250876850F1475A829BD566F4551B3F056919020FE2256C0F288721D315C3557114C100879099D78D27B48B98228CF2B3D4FC5840B7D200B881539009857FF84A8D794084E9360397D';
wwv_flow_imp.g_varchar2_table(8253) := '480DF5BC87FD400DE1CCD5E14CCF7BD00770DD317BC0078EBDD7806DBDAFB8D680A18D34892683A337674A3A59C1087BA0A31B9592ABBC898744881D9A2F30A9BEB2408B1623206B3B4CE2F0D696755932928776984977700778082F7750877478D3B6C0';
wwv_flow_imp.g_varchar2_table(8254) := '153AC51579D8DA2D015BAF6D2478682F83485BF22288B5F588F1A2B28F102F8E688B767007AA5D5B3A5DAF463AD43CAD1876285378C05AAB6DD793885BEE22DCB655957B994983508771D8DB6639DCA83D9CD470874E95AE6C989E49CB0500A00560C804';
wwv_flow_imp.g_varchar2_table(8255) := '2A78011EE881CED9800CC8800D388110408225E8013110832438832AA0020018032F80844E8B863DBB068DB886FFDE1D8E690080DE155E82788667C01E6860066878865C48122AA8DD33F082E965A524A00224408227A80224E80125C80419450DF92889';
wwv_flow_imp.g_varchar2_table(8256) := 'C7E5DAB43D07F06A9D3820882D30882B9817009002F7B0A88C705BCA3D1CB2708734910D4DA385FE05805CC88554F0821388801260800340E08308011C58022A98821AF8001D9891D9ED0360605EE48586E1C5864E1B5E90005EE2FD5D64F0DD6900E142';
wwv_flow_imp.g_varchar2_table(8257) := 'FADD6A28081446E16880363B43066880864DA8823D0000D815832960021DC0011ED08125D0011E40021E30021DE0002330AF690A1FC1250970208852D0858D188771D8CC77F8060078877440AE2A710300F80283C082827081C4C094D8B25F6F6B0788AA';
wwv_flow_imp.g_varchar2_table(8258) := '3EFF62A08557C8055AE8DC5C5884153860D9C9800888000C381536FA8029E8831B5E821960021C380128E00131C8850C3EDE8278066C88066C2008E2ED600F6606DF05001236E14AFEDD83A8866A6061642006681006188E0555400455B0832938231AA0';
wwv_flow_imp.g_varchar2_table(8259) := '011CC8611A58DD10C8801778010AE801EFAA490751E2B358456C2C85CD2C887478877228876046872A2E36F73883C47081200000662E88201801EF00811FB0A532E6367A3863FC140B35EE5F37CE8558A002043E80F6415D0CA08112A0810C200D1A1083';
wwv_flow_imp.g_varchar2_table(8260) := '15000024A081288002BEC08126080518068044065E469E0614065E8370E48200DE69C0068266864C3688DE85641256684DE664680300641806FF7288865AE80455E8031C56E513388155C6011AC0000C8800361A6918D80AE86253ACE58C47A808630EE6';
wwv_flow_imp.g_varchar2_table(8261) := '2BBEE282400783288773688FA79A0E82C0022EE862243081C3008116A8E6C350012028EAA376010070221F08822BB0E60623D376A8870CE9076270856E066047A881034E6000405D1C2881913E8004C2002A48031D988226608228506B37100611460664';
wwv_flow_imp.g_varchar2_table(8262) := '60066648E46888864D4688E225E8BD2E6847BE0666A886DFBD06BDAE6481B66482C0EB3D63E167F06400F8E46350055528844338838D268890B6E391060023320002D800464A1303B9DA9278E28F286D82F8B44F13E62336E66F1066264E9DD3EE0C21E0';
wwv_flow_imp.g_varchar2_table(8263) := '1CF6D58282D00E1131080F3001FF13688C183812D80200A77EEAF772287A005CA6EB871AEADF58C88550F0820F08017126080650E7030680B1CE6E0C58813358021A39812688021AB0E70C0600E52506EC6186BBC66B14C6648116E8C82AEC682024E1CD';
wwv_flow_imp.g_varchar2_table(8264) := '866B20A47F166CC43688C59E6B3B7BEC4D880C3B4803573E81721E690410672442220A3896871490D30C10904807F40D097170ED0CCF628338628D00076A00874FFB0C2E90022E182B0038973388829128821C28EE2F436E7A60BA7F60EE508B0548C081';
wwv_flow_imp.g_varchar2_table(8265) := '90A6EED8C96E833880103067903E8119206F28D0814F906868886B6688EB67B8EBDD85EFC32E88FB8E6FBAC6EFDF95EF83E85D7F2E08BB7E86B986EB173E864DB0033D8082FF19C0E31328011DC012231A67060F000270F0132D90D36C2FA83D0870F065';
wwv_flow_imp.g_varchar2_table(8266) := '8E30050C3F6611CFE20D4F9D5EC87371806DB3E0068FB00600300663A8059270A21777307E40EEA96E421ABFEA58888550686720DF7183B8270C702B1A98EE9006808E6E021C10824F808661605EEC817500D8DDBB8EF284C6E4E2BD86686086FA2EA4C2';
wwv_flow_imp.g_varchar2_table(8267) := 'D6F24C4661E495F52F67720087866258044B3803274073EB3EF0D96180B6722B389FF32FF10A7C6087FAED88430F096326886F90858F00875EE07610E78C633008742F086B008C2091948E38865820882F48021F5002679674E2A274B798B72F41864C4F';
wwv_flow_imp.g_varchar2_table(8268) := '054858024FFF7436C2801AD000D210F510F800ECC680198882FFCA5E82507075118E7527DF5D4EE6F2DF15DEC1366C8FAF8683CE6F84C806BF56ECE1DD5D8C3F5E662086B83EF63D28F333DF6E7C2A0DEC9E76240A000737BDB5305BCE58747200806200';
wwv_flow_imp.g_varchar2_table(8269) := '004778025CD2085D60627257292656A9B880066F2F08754771766F8673E98861B8A1500080EDCD77072353768850AF68266488055A88053510031DD0810FF8F4EAD6000D38F829C8EE3642F30388E726680228C0814F0086D172B4B926886448612DDFB3';
wwv_flow_imp.g_varchar2_table(8270) := 'E12DDE47EEF5DD9D86C8EA678318865B182D6278867FCE672FFF723B83E13D70823320841998E319D8834370028258F00088F3075016E88216CF00FA63907A2A2A887200079B060070180726467A10D705FF73C7FDDA5789448786443708F33608AB3788';
wwv_flow_imp.g_varchar2_table(8271) := '55C0852739084A200826EA7AE3165BCB548BB1CF744A885D1C1067B73A0802388015E0DE1540600660828667821360808DEE03611086889E6400F88549B66B2E2FFC47B6E4C1F678C4A6EF84D6F596077CE40588670000447BC66CE0C0670689113BC6AD';
wwv_flow_imp.g_varchar2_table(8272) := 'D50C429698003830E3A293340C2A1E3840204000020FCAFDD3D7EFA43E76EC00DC43E8F2E54070306722B436D0170031365CCA44A80B21356A3FA901E805E067CF9F00BED16C0A80DB5368DFA4BACCE554D52A98BF10B6E28573E09599B07AC1726AF62C';
wwv_flow_imp.g_varchar2_table(8273) := 'DAB46AD7B26DEBF62DDCB872E736CD274F1DBE7F27FBF1FB072D552E5A9DD45061D0F1C0C6FF8A8A090060A0414388100C187CC080C1308013344ED839260C003200CCB61E4C16AD9ACB6AD706AE1E38ADB5EB6B0263BF06F0EC344100D50A2264165AB4';
wwv_flow_imp.g_varchar2_table(8274) := '6866C490413BB6690FAA434E66246632830C13C3874306884092DF5E002AD5F66CBB4B15801B4560823BE7522900A2BA92D20500CD25D4A69A101A1A88EB25F89B3331952A3BB0545100C4D31E81051A782082092A38573E76E1F58F5EFDE8E3572AB1B8';
wwv_flow_imp.g_varchar2_table(8275) := '128A17181CD6D8648619E011010718A001062120D65163187C7002005088918A30D020731000C930339B6E4DD5B6E36AD3E0B82341BBE58850340515796370BE11034D2C96D8B107743338C1041D0038E10419330CD451880154E10E00FF109EA4DD4A2D';
wwv_flow_imp.g_varchar2_table(8276) := '15780A4C7A0C94021CD30CF40A8031A1475E4C7271135F7C4D3583E640C7C0054B7FFDFD07CE800B1A7A28A2892ABA2800F9D0F36084F950184B2AC014A281741C466098618C356640621C0D840100189C20861D7CC4386342D10C845A6EAE22A49A6AAF';
wwv_flow_imp.g_varchar2_table(8277) := 'F158CD33D700798D70D7E02A6B8EBB016B1B33C20D034D27A8A67186954E4041060082D0C1C4721C75644024FB4488D276F7E8639632ED5900C032010EE40A1600E001801C60BCA49E9D6ECA121F5334A1C9CB262E6565A03D8CFAFB2FC00103EC28A427';
wwv_flow_imp.g_varchar2_table(8278) := 'F5F5572CB100D0C912211EF0C10AA032F0C00A008438D04688AD201D6634D0E046B291C8484C6F030D3B2CAD3D02E0266AFFD3D0C8DA6BD13083EB30CCB82AA46EB20A542C32C82CE9C91E62A4910614573A01801EACD041C6725A1EF600242DED25E176';
wwv_flow_imp.g_varchar2_table(8279) := '007CDBD4D571EDC1030020483150225F0090482500ACE19214432094AE1C717D03D533793AC50B00BCF4319317568881168046BDA4CB3E00F02330E1851B7EB85B04E7B5D784082B9C8B1A9D3A363100A01A1080632170A4C10BA02296190E3578D10900';
wwv_flow_imp.g_varchar2_table(8280) := '86F84C327037023B6C8EB6EADAE335D910032B42AF21738B4024A36664423B3F433243C31C7B0813D4327D341D5592C1F40C96992A852DF208CE78D5593BE5EE5B9254810800B2240340235A6C61C6D90080B106F65BACA1BED80399D1940A4EB9E9E656';
wwv_flow_imp.g_varchar2_table(8281) := 'A03D15B74BFF8B10925FBE4EE16056594AE1378410EA1F83431C0213A8C0C239282F7AF987B698440B850120721D61C0A62A32220D1000548F6180011A53114E01E003FFEBC31852018D61008018C502CD6D722343005C0376B4A3210D6787906CA8C664';
wwv_flow_imp.g_varchar2_table(8282) := 'BC7A214164E5AA83288418C3F0193280218C4E4C81064C800214B47425A69101074EA0810E96800423F8011EDBEA0799AC663D9A7001004260CB2E7601935B38655D2E295FDBCC85901FB82408F1030023BE871068B8692638020024EA00803DC4051702';
wwv_flow_imp.g_varchar2_table(8283) := 'EC4F2FE2048052C4C91E605C20242329C90435705BFBD8073212A6B04E9CE0439EEAD4013610818B3946031FC2D8080F70022A00600A6800861149C62AFF9B099176D140DDAC6253431A66A335AFA9A1AF4EF73B5BD80200AE70051B89253C9F016018C0';
wwv_flow_imp.g_varchar2_table(8284) := '80862AAC48030048E968CB73020EA010852620A1092F78023BBEC80F76B4438C4E091C42D480362520C4012F61854B50E1926EBCCF6CEABBE7FAB007802D20E46B66A1E340E420903F0EE4074740884200F08B420CA40A034983150EF1922F5861203D68';
wwv_flow_imp.g_varchar2_table(8285) := '4A32CA92C801FAE41F8E9C2448432AD2B5DCA39211BA24C252110A313C8600170B116344E4D2818430A62244C8147AB08232F46118C3098E6D8AB4BB21F98A85CF4826AC7CB943D8D0D057CCF0A9416CC146A9BA10383D0B8DF08E550B1D94F022CF2103';
wwv_flow_imp.g_varchar2_table(8286) := 'D19665073B50610A47D04115D4F10F0050FF6F255603003ED6120A00146211082101420841084DB0623E68391BF9C6473EF3E1215D2E11862CCCA8B69930625ED0E0061F1DE192F1D0640A65000012007085326881B303691F00FA3713B2C0A42C72A046';
wwv_flow_imp.g_varchar2_table(8287) := 'A146AADAD5B2B6518F7220840287B05040E2091FF088472CA6DB81D814A60740E5403EB00406540112880006307CEAD319DD0658D5A01D33D8C89083F4B036D1E8E3ACAA511B5A154937C21AC80B8F880C9F0220B9C09802032E72822BD581107658C427';
wwv_flow_imp.g_varchar2_table(8288) := '3EB108358CE1093A48423AD6BA9771BA758C3481863700A08D630418007E7AC91390A60732081221F53ACB1AEA3990C2BEE43D4738021D179B60D042F63D8C80C91DAED1B35F5C7620FF151D8315C6A005346C01B40E05C0DD60825DA7C4A35FADBD318E';
wwv_flow_imp.g_varchar2_table(8289) := '17A8B86D01601F7F09452AFA8083030480C83345C8C57EFBDB98FEF632BFC5010E3480884ED88285036108C96C961A97448385C0DB6E1F61F39AE7BAE43537FA1D1051F71B66926C995EF8ED0966700226586211AAF8442742118B6300231790B8437ED9';
wwv_flow_imp.g_varchar2_table(8290) := '6AB0EDE8C3BF3309859F8E518C036BC315EAFC0F00BC001355BC233EE59245225E811030C061266B401F1EDC350D5A18D3251F0E682542B195F728540DFE1442125EE2A6B000A08CB44688166A3D901D649626E1F20F002C30040BE035C7C63E36E2769C';
wwv_flow_imp.g_varchar2_table(8291) := '9D497D820511203291778B104FFE9623A44C0C37A7D009E4C2B299C02BFF96406E062C1FB1EEB9CF6D0D6A7445C3EDD6F0960459AEB74133236296D7DBC2EB43004240830FD0A00FF2FD442872010D61205718B670053C06B28F41B36370863EEC40A860';
wwv_flow_imp.g_varchar2_table(8292) := '874FBC64AE03E1A84B0EF1896F84E3C12F2957B960E2AE4F03401CB228263784F11B97901A009F597905BF200676C6D8E5F503CB17B870059D73A1A200B082149460049A08438F890480DA8230042C0810D94E7F3AA3947D126D0923E06A288108A8431D';
wwv_flow_imp.g_varchar2_table(8293) := 'DD32C600360551881850022A2C820F7618032594D8425CFAACBBB911D26AD4FD2A739B1B87BA616A357A460C36BA2215567EA19A43339BAC1A11187EF003229020864588C11156798F30224F706148AF1F0BA7DA4AFF0A7D16765221D6CC9A499C5AFE12';
wwv_flow_imp.g_varchar2_table(8294) := '60CCC40741B8C2AD67B2AF81FC86A06839E84024DD4CA7801600687849AE69328DBE0D240739084210A02EFCE12F48EA969F94189EED52C68004240028B2B514B3A51308410D795ED8B68F514C0014D367C572FBB9D12D66D490993505C17B355C488CDB';
wwv_flow_imp.g_varchar2_table(8295) := '18F196AC8AA5FDDC63C463B967EDC3C0462DEE6007480083CF9217062DD0422AD082F4081AE699135A10010024810202C019200290B90405C1842750824BA0C1ED69165B6C457C38821B1C4182A1050BC0984BC05C23A445063A8522E5C062119F0BBE20';
wwv_flow_imp.g_varchar2_table(8296) := '83DC8503F50304FD03328402285041482C9F8858CCF255CE8784100044C00368000A1C41213C4127C4FF422ED842C2F4992D90DEFAF94650E586AFC4DD0DCDDD4BE4DD2FAD866A1891EA0807B004CF95B5D040AC5033291772214327F0810A0D44E41D43';
wwv_flow_imp.g_varchar2_table(8297) := '2EE442C2B842F4B0D5E58591E6A1C50EBC04EC0D0451100436A0C3597C181EC0C1BA98C117B458EE69C5404085DCFCA1125016CC0DC41D2084552044B701801204813F0D840ADC115B18C510FCDEB80C04E03C120CAE222BD6C56B4D4D98DC602A24014C';
wwv_flow_imp.g_varchar2_table(8298) := 'B99401588E4B81C48820006E6DC006F0C07D75C2E8D0422E7C462EB0100B7D868C88464229C46E2415CE44C33548E3162243DC79216FB89041E0CEF6B590F09861FD21040B991731C4C2B67D469F79462E20DA04C5022D24DCE5F1457F3D9C53FCFF0011';
wwv_flow_imp.g_varchar2_table(8299) := '00D44000022824565364837BA4825A74DA4BE08E5B7CC67F595C5858C1E905DF4074C140F0D359FC86220D810F00452B5E2446BA44259D8401D9A027D8821AE46200E816028450F3114006700003844804F4800E8C8E1F8C412800832D105C2C2057C2F0';
wwv_flow_imp.g_varchar2_table(8300) := '99F0BCC79999CCABD8DDABE0C64B440332DC106AE44ECF3C55740D041B090F2EB5192E65150080021D5608000059C01DC331244C2AA4023CEE17A1D1E3590C81020E410B364537CC04C5210424BCC45ABA051D65429F00402DD881811583CB1D982DF841';
wwv_flow_imp.g_varchar2_table(8301) := '53804118B884433AC57D0C100B0E41F029524626E62A9A94C1D86028D8C21D7C84643E1F657A8A4B45C00664C0A618411950022220FF420AD1A412298CE41D11422083421C84ABDC0C4C642191CCCC2EE54CEEDC822D18510B315368A0CE0A910CAB3993';
wwv_flow_imp.g_varchar2_table(8302) := '33018327A854287402255C5F2838829E75C21282C24AC46318BDD55B00010050D674D61A5FB6057830D4C25CA54B00244270431F09C10F5CD44E5445FDCD551340014228E381CD44220C845FEA935FAA85EF9DA262DEE762CAA098AC950D82022DF88174';
wwv_flow_imp.g_varchar2_table(8303) := 'FCE0484A1B655A4E19B8C14B8E01956D1F1D9697DA09839741C3FADD460CD104EBE408EF30D52D0DC32DBCC2EDA00ECF8C17EA2CC91922637275022414022474C22758E0558642282C421F0C270E86D3E5AD55D50C4E5CC94512502736CC441C585C5348';
wwv_flow_imp.g_varchar2_table(8304) := '164D3C833F7E27001CFFD445D1447BAA270010E981B11A4C7481438241607641BA80C1600DC4098E024D6C4110D41E7E8EA9F0495D472243571E8188F4A001200002240003C069E5804800DCE21D0043268042A590DE40B45C2C44218442A80BD98C9661';
wwv_flow_imp.g_varchar2_table(8305) := 'E80C9945B8FD646ED4CC70C852EA1C0443CCDEEC0D03C111432D24411FAC2824501C8C02402CE8D927B841217402288089E5D1E03E901302CE05753605440E04E934C55CC9E131B42500FC68ED004014840700F4C00DC0841B0C442D888193BAC4311407';
wwv_flow_imp.g_varchar2_table(8306) := '4DF0C14058A08B66E24B700336704337B84A2092A9B5BA6083BCD67ED2209A1A020694649B1261065000056C00005000006440025C0E0194641900E09F0E04BD69FFA295F129782184697CD759C04AA2E60C418C570B2149EB010738E21284E224E20140';
wwv_flow_imp.g_varchar2_table(8307) := '8B5282C5E9198CE6C2D965422AACC4F14190AA422718D9185AECCD5A3C1A42C4EA4CD4422C14C30422042330022530429E34E081581CC0515C318402C93AEB4BB81E00B4C15F5EABCE1A1B6382D13F10432AB801014400024C0C057000D27A8008880000';
wwv_flow_imp.g_varchar2_table(8308) := '8800D23E80D77DC818004300721FA91553D54A557201CFA01249AC041138B2864FDEABACC08AAB4C6142D98641B844A4920C840E0472D102224002DD12279E85C227A8011EBCD760188257F6D8F1A56A3BE8033F1C905B40410A1081749EC52948825DF1';
wwv_flow_imp.g_varchar2_table(8309) := '25E909A94B88EC556EA5E42E2B3F3A8541928341AEFF054EF842317C8235C8EC27E0A54B0C1C7CB00B006401F680C102E8135FECACEC8AD446366626798101444004240005888007B0C00BBCC0409880098CE00B6C404912C00E685260145331DD420012';
wwv_flow_imp.g_varchar2_table(8310) := 'D32D90D79A09078582AD6DD4C8DB9DC6B0A826911491D70A1E109921EA9828720D4390CD2DACB6E827E08110784C093C812340422AB80304698BC5B243A189A55334814B0041AF99C5DEC8E554CE84553C8E4B486E28C88D01439CB19EC527F842288C6E';
wwv_flow_imp.g_varchar2_table(8311) := 'CCE225A25190673C2B1C760F62CD6131F9A3E1CEAE084392F1C52228EC40EE3EC0D18A00F19A400ADC800CF82E007840F0422D026C00224CD02B10A3F3F6E9F4226368BCC76F1CAB7B40834128FFC4408D2DB03C4332E0C86ACE866F1C4468F846CF7863';
wwv_flow_imp.g_varchar2_table(8312) := '197E637909432E20421FA8E82740828B1642217C8217E8C00964801B8071C2599EB6A46A7F198AB202009F709F4BBC18C91603CDBEC485B80200D0427C1C032D5CEE59B09A9426F0E852F0040F845598AE4B900364CD0437BCCD53000049A8E2085F3202';
wwv_flow_imp.g_varchar2_table(8313) := 'D5EE232183215000023C0007C0C00D78000750C00380B209943207FCAE098840D1D69A133A21F76D1FF46A2D9FFAD4C0F9492DACA5302804CC313142119430DF0831E7E655B11E42CC9F83265790F501F7408223144234ABC11314422A7CC218B0000E40';
wwv_flow_imp.g_varchar2_table(8314) := '603BB0711B87A5A1940D00C0539D75E340548CCC962C4C84C285D0F1197AEA9EE1FFF14C400321BA477B1E0339D0045E16035E2ACCA20100CD3AC42386234C40E2405832262734E16832763C03EE268007C0800790ABB922409D26C0034000B9728009C0';
wwv_flow_imp.g_varchar2_table(8315) := '0005ECEE1178022D8C823BD2825401C02D30C42DB0D12D7C0631A0432C4894256C02B3740237ACD959BC8C4B1C71C9DCA6DE59D94008CF2D141C3074821B2C022238022288F122ECAD1734811AE899FB8E0124A8031EA22A38B3150068EC5A188111B052';
wwv_flow_imp.g_varchar2_table(8316) := 'BDC1841A35C5FF6CA7E666622E48B2CBC1447B7203393C1634E4B37BC835930A295E2EB2A2EDD124BB0754E0EADB3085DC1890420FF642EBE77EFD832D98800194B20F7E3208B9D49BBEA90AF7AE07A8AB0918822DD0822B54FF2D4AF7316D16133A6243';
wwv_flow_imp.g_varchar2_table(8317) := '2EECC119D881254401A954013408F18C080750F53478AD2D42DD2BA4C24456F926F7516D21B8C1DC8A7121F0C1BAD8011EA0901A4082186CD1183427FEBA718FED033EEC285C1CD475C2842438450D782A5B746EC5E5717BD6DF5B1FEBB1E6B39F78435E';
wwv_flow_imp.g_varchar2_table(8318) := '03C05DA3C563E1EA406403371C2900B83761C777C0189FA464C2036074F3ED20B80E0402000002E82E0530C00678000070001764F631D182A6496F3311132C410324EC81179C415487021EECAD0A01ECDA116CEA90D7692233DBDACF4FB91C3A4E2A72D9';
wwv_flow_imp.g_varchar2_table(8319) := '4226A841E3A52800F0C12248F318E3EDDEDA5706F4805A2D5C6CE5E873BF4511B4AA5EBF84B272CF4CECB38139FF853A16471E03401CF4E93B23C45BEFD177BF4721BB0423C384301CD823A76E9E64037CCBB7972B0A7DFF031C10400280C464FAF72DB6';
wwv_flow_imp.g_varchar2_table(8320) := 'A97F2384291B000B50800718C14776E566BF822DBC021F37253080421FACC00C90360DA8277C2DC22250C20AE5262E5D9995257A14B32D507BE3384661501FAC3094011F78C1187C02F7F4011E2C8264E12D257CB1173C811030000FDCF8A9323774C205';
wwv_flow_imp.g_varchar2_table(8321) := '3E9A8538AB4227E4475A74B722BBA8591C98764FF981D13A40F77A5E77373AD0F36341C55F6703C7B5F75E7FB9B2270A43D75ABBEEE04C8590B4BBE99A7FF2030400D272F41FDC822B78429EA6C2664BD530188221DC810850C6012C0135610014100219';
wwv_flow_imp.g_varchar2_table(8322) := '50FFC127D88284B62D4C0C878783DB8D1432ABC8DBA42B9189422822B0801A20011F443322F0C1DDD8811BAC0B1E38021F34010E344109F0403A00EE37671EFF9E4589AD673D23EB404842750FC421EC81440D8436DC25065FF9949F2E41C75153043B53';
wwv_flow_imp.g_varchar2_table(8323) := '7CC38131C5931B6B95D384E8D1A6A6F1311F23E9B2FFFCA168F24028410058F491A5396F554E7FF35699833207DC801BDC02A5803BF7E1B927BCC1038884EE6A08066CC6150D84184C606E26F3EC915E321D0433BCC7334043DA1F8411AF7DCF7C46A00A';
wwv_flow_imp.g_varchar2_table(8324) := '0F3A6A310FF480170801F708B9180300A14B3359BD2F0F94800E90C4C25DFCAAC6C525B23C419B4581CD44770B04AB41C5CABF84763A04E5BFFF4DE68377E54F985D0240B03645BBB44D10B8D17A6743396C35D0AF3E81347B12D4E9804E5B08AD697FD7';
wwv_flow_imp.g_varchar2_table(8325) := '3EA830C6D1C64015EC5D00A64225188217C00002B42BD1268647A84866B4482138EB6D0FA441B25010B7BD7BA47D15B37D154F2A89BB1C72B9C11350417129752124B5233802FBBA411408C1FB66C00614BE5E2CB7AAEE617BB475E563C336BCA79742FE';
wwv_flow_imp.g_varchar2_table(8326) := '671CAB76EF3540421640E002309060418300BE15FC068D60C26300B401F07290E2C1306DC254D4B89163478F1F41861439926449932751A2CC974F9E3A7CFFFAC5E4972F4900023601DC2430F08001003E7F0240B0F3E6030E376E94E15225498C0D4383';
wwv_flow_imp.g_varchar2_table(8327) := 'E6E43930C08113009A00C0F329FFD74660C2060ABB356C20338A0C993DC3868D2159B26085C505000C58282F4DFA742A84C891A34F943EF5ED73E649932538326460510EE6BE98FBD8B11BA82F65C158090B922B782D1941521CA13134088DDB47193C08';
wwv_flow_imp.g_varchar2_table(8328) := '7EE5784CF4402C142F2E00909123B769A507661B686F203F7E958107173E9C7871E3C2F3D173095326CD000602E424B0736A509F08861AB8998082911B09184C178AA0E04DED07081C6070A209153B8B3EB92AF815D84050B16C09234B9018B26160EBCB';
wwv_flow_imp.g_varchar2_table(8329) := '451868FCA3CB16576801C02D00C01A88BE5C3A89828742004004120028E9E4AFC0F0B0438D289A782182087860CCB17FFE818C1D7D580C2E1400A0C1EC184A9E00E014833EFFA3E821003463081DD1B019A8351807DAC223CC0E0A4DA330166012800530';
wwv_flow_imp.g_varchar2_table(8330) := '6AE349DA0EFA6619007023A81C007EFBEDB82FC10C53CC31C93488A5E562EA67A69AC49B8EBAF206322082EC000800010A6ED8E18107124880BC3807BAE90000D6E3618928D4B0C3114A5EECCA96B908022515005289A5C181FEEB04003F16D92B166852';
wwv_flow_imp.g_varchar2_table(8331) := '61C410000C4124134C0B8A4B18606CC9C5112170288411BF180D25944F702D040F35A8688285117530B11F14559C0C007C82E3264B00FA00809577D0E946B78172244833184B4307DB82B8216DA004018823A4207514B22028338A32A326352A852072B3';
wwv_flow_imp.g_varchar2_table(8332) := 'B1ADCC79E9ADD7DE7B2B4A0ECDE66A82CECD9BA432484E046CFF9ACE80075E90013B820C004A3C000E88408728A810A38F421CC190226400E8AA903142890598FF86297998583C892597AF4A5E55B561880120664CBF02EB186152714308212CFCA49350';
wwv_flow_imp.g_varchar2_table(8333) := '34D49012477415A3D712465C2CC57EF649919D76006851A49B0D0AA58F49636C08006B3C7A089A6B893488DC817271E5513FC08003A4B11B620D0046668B9B4930643B080C300852034BDB961D886D7C010F5CF0C149D2F7A534D7B4A9E0E9A20BB42004';
wwv_flow_imp.g_varchar2_table(8334) := '1EF037CE07445098BC86B50B9800067040C20B31ECE063110020D1B4AB8E0772C40D318CE02183240E222B66FF90694B418E09921DD3B8E85A599850EC78828A0B19C535B0BE16E1C3C32884A02102C5B6FF74AC69C8A296BAA34B616C0D184D07C24D9C';
wwv_flow_imp.g_varchar2_table(8335) := '70426AADDB6E17C2F29965831C7B0D39403348D9AC19DAB1A0208E00E088210008C202FD07B2C0FEFA01E0AE82B8E20504B906E1109840052270252D391CBF9E131D37352E6003610005A0D338035080030A33005408E0133B71800548A0821A9A55884F';
wwv_flow_imp.g_varchar2_table(8336) := '00405381E9831AC430101614443115718B7FCC850CECC12C77FF994BCD84D1893144A10A1BB2D5AD02B30837A8E10C5100510912A334A631AD58D6EB482E98210CB8F9ED80070145578E118B56106417D630466666A62DD2904659E8E34634B871BE8250';
wwv_flow_imp.g_varchar2_table(8337) := 'A2119460DF332665102465698DDA02008506220583E0E10B78200818F060C8351C841BBF00FF00B86E338D054E92929514D3991EA8267EB009276FAA20411E70800048F0601BE8C103429893517E50043D408218EEF0C7152E828948400C00AE32900C40';
wwv_flow_imp.g_varchar2_table(8338) := '9103500C4B7D6C4820020D037706D90F838411460084A2188E38C309CE400900188F6885E04387C400A22608210318805E631E13997E58F123BF9026413CD1997701403ED61A0839BC113621F5687C6B74DF41AE41AE6212042C7DE3C8E906B24846C881';
wwv_flow_imp.g_varchar2_table(8339) := '127893034109BA28F60D6456039145F9DA0980695992A215B568490CC71C35FDA35F38C10941DED430548E523A08C8C00E3430CAE83C40083D7881E7C6700740F661091FC0000330A0CB0C6C80202500C02E35C6CF928545879882C680FF8859CCFDC485';
wwv_flow_imp.g_varchar2_table(8340) := '6AB5A8C522A030856732200A8E80CF270AB1083BD8A189DADCE6099EB7CBE831CD692BCA07654242965B00E0151459053224F9AE6840C387361BD240FCF89167606920D300D732EBE94F8D1C638BA722481D35D608003442B1D2546C2232861B59A0EEA2';
wwv_flow_imp.g_varchar2_table(8341) := '95B5EC65F385498DF283A31104D84E3ECAB00850E02612FCC90678001D066C40085400000F8CE00535E0E162035981377F3A900F14048A27E00000442005BA30882CB8FB0FC7C0C23186EC5341C038C67FC8018C43EC610F4C980100D2E0040C9C41AB7B';
wwv_flow_imp.g_varchar2_table(8342) := '00C01400D0C43334A10950A0010E8400D60C44603100905E59F5715691704C16B898EC41AE60053DC60BAFDE3ACB8F02CBFF90B500402D6AC1463400308DB1D1224BCAAAC8DF84848848742411E70440253074CEC996861BE05A866ECC8159118FB89286';
wwv_flow_imp.g_varchar2_table(8343) := '431C673BFA590A16444E1418654837B0812388410C77D9D98CF15088BDB0B00F0C0000063E60D30CE092C80028014F01A0030070AC3E705110AA9ABBB2D8A94A41C778481F2CB18719CC800C50980114F4B0074210420F75A0031D004087347499093438';
wwv_flow_imp.g_varchar2_table(8344) := '8137234083B14E2F322C426B45FA719098AD75204350C21706A25F40AFF31B63E3465E1512AF20952648D9F8DB34D4391065108419CCE5966E042B588E2876B195C03028E4559055F46219DC000700F24C6255AFFA5E0DDCD74653AC933A55F0830FC8C0';
wwv_flow_imp.g_varchar2_table(8345) := 'BF7E02390DFFDCE10E47B8B117C6E0061D5BE8674B58CF907FFA8121239BB7350A052D1E255405C56220918084213C5190618CEC87C93C9D2A36B109005C970C5C46050078818A53B082100010C4BBE9400627D0000323CA8010C4E15EB2AAA81FF20D09';
wwv_flow_imp.g_varchar2_table(8346) := '2E6E818B5524639181E648A1D7C98D3C7A02C3030104A707120739487C7D15EF085B96152F6E6423218BB627250C018A8D34FCC28DA804C42BB1578D84D84BAC76F9CBC3A45999A0F839A00DAD54AEC38108142C4E0C4040049E70842500E0096250831B';
wwv_flow_imp.g_varchar2_table(8347) := 'FA80880CFDCC0D0750764E0F928113209B05330406B5E7B2EDE62AC8162A83545848F67505154315880000B83761093D1C42DE8440052A76B10B006882FF15AC78B720E2ED8419308001CF1382B0E8DC8EF8DE39247C0680147CF005415AC10AE2AA0485';
wwv_flow_imp.g_varchar2_table(8348) := '18C25FBF1104EB8D60C340C040822E689E0499EF020038BFF9CFDB8D0D66B80233FE569A842C6B8DDC0862B52F5C91931B24DB00008523F9260B46401CE6BDF7BD71642E93CEFAAB71D409290244201D161FCC84330E761FF8500848D86A20C666360D7F';
wwv_flow_imp.g_varchar2_table(8349) := 'EA535DCE45CAAAD9D893C3221706390818C530C426D0AE6526C8DB0950900400E07EEE75D71DDE74D02EDFBDF9777D134B9CE414890A00E00A082208066252B6E81B368EAF96E5450020112E8F23C0E0F33AAF0B320F6F00200BC0400EB0001034821B90';
wwv_flow_imp.g_varchar2_table(8350) := 'E49E468E201221F64630F600C0131C8920FF90618BBA0100B6E4F76030064D22F860ADE67462C5E2444E3860283CE927222009C6E0F9A28FD82AE58FBC69EA0882D9B46F204E400734C516A2CD989AEB98C26FFCC86F18FAE01036E10CCE80099C200D0E';
wwv_flow_imp.g_varchar2_table(8351) := 'E110A0800C3461747601EE06A2EE58810EF04EDE0EA0DE12A309B684AC9CA61DFAE11E08AFF00040090A820BF46BB132A622240FC11A810BC000C31C301101E00131EFF2E4E001178A7D2E4F000F02C292E42022C1D30EC2134661202AA113492E05138C';
wwv_flow_imp.g_varchar2_table(8352) := 'AD68211B5AF0D4368AB364701559F1205C2D93684E3BC4C3B418460765115008E501AA608998850F94EE67624165A800B7726B204AA07996F0A7C4802E8E01980EA23EB40E98B087FCFF46E610A8E010AC4B0F50A115AC61176EE4DCE08F15CE0D155841';
wwv_flow_imp.g_varchar2_table(8353) := '12EACF099C00A730A0044AE007E6B069CAAADFF2102470C10C8A400AF2CBE000C0DABE08EB36621AF8600BE4C00217A90BD660F400E03582000B82400B0E420B8CA422902141A0E117A6B17B2865C22AA1F63A821331ECE4046220AC041A96E11BA8A11B';
wwv_flow_imp.g_varchar2_table(8354) := '5EB01555722507C2C4640200FE81086A4E9528E283320095DCA4610622024E800ADCC00DECC00F88CD5662E1181C010388B12084C0C87CC9A78420156EC640B24EDB80E92D6A26356C8155720119206109CE800666600F2C611BCF5013248110DE2F0DE9';
wwv_flow_imp.g_varchar2_table(8355) := '0FEFCE4CEF90320368A0049A401CC0291EFDCF2322AA0F0D2215BAC219FF738722FC602026000001C07F52A0302D000009932080007F1C72201CA98B088CD27EA1ADCC852332711F2B621448AE20B2211BA8C124C5811A00C01CFEC11EFE81B35A8E2559';
wwv_flow_imp.g_varchar2_table(8356) := '13E6322A4D60520A2268D60EA2614C2A0172522701200250800AFA209620C167807120A88001AECF18D5A00980CA18ED20995263EB1C840A7FE9391F252B732116FA600690D209CEC00E50E113E8200A06E2CC046120048115DCEDCCE46D060E60064E20';
wwv_flow_imp.g_varchar2_table(8357) := '2EF5EF31E2D1374002144641E406820F0782000D22100BA20A26E20D2842E534C6C25E041444CE15F073203A91207E21059F8140CB222455104BD6E86F268C203A93F64A9023B321AE0AC21CEC81375AB3447D0F93FFD264A3D0C0B3788E207A42289E22';
wwv_flow_imp.g_varchar2_table(8358) := '84A8033B0E800256E00910C1177D862805E413BA69C82220B7224008A2608676093E5FA477A490221AC42F0384553A0618166109D8933B350115A00000D0910CC8803CDD8D2DED4FEF1860064A800658E0EFEA92DFE83324F2080008930B0C2213388DDA';
wwv_flow_imp.g_varchar2_table(8359) := '2642239E01191C892C12E415E4C3153A7104412111161425A0D020F62A173254243C211118AEAD260A00489320507337FEC1442D55D55C3226F2E11F0C414671D045E5E4D642082810C02732400486C7EC3AA116823117BA220A8234299930978C0C97EC';
wwv_flow_imp.g_varchar2_table(8360) := 'E0AE80C92FB32E57E70240BE8E5580C155936913968006A0800BF56ECBB6940DCB33CDC274CB808C06FFCC540E1B83CED84193F0814449E20AE01400066D202824635E000F3CE1AF0A021938C6227F0110BA750BBEE00BD0602000AD5B09E25B0120057F';
wwv_flow_imp.g_varchar2_table(8361) := 'C1D20CE2BE4AE342EBE30F006013E2A0590A62430962143C72205A30371EF5521D76D556423932E91EFE01144A55716EEE270E864E3E282A1E4003AA00124AA7138A702E202131722B03AE4B6509820600C06597A0287915CA528541B8ED391D24DA1EA5';
wwv_flow_imp.g_varchar2_table(8362) := '2B68E13A2DC158A1C02DD5D109CCF3CCD4335931E03DE19331A608BEFC8D231634115C61B27E60201E73203812005C2910BB02144876992053417E613FDED55B09C20AA4E00F09226DA5E06A2DD32346C79E0EE20F081600CC6020FEA00BCCC007FFAED6';
wwv_flow_imp.g_varchar2_table(8363) := '2319F515AAC12040F4610997C45E735890C562894F831CC700862C3D7CA2276CB3EFAAA0137EA652542641BCE079A08E204EE02AB60C0ABCB0049AF3218E210A4B62B800A055722141AE5365C460067060DE064259C7F3CCB4141DA1F504D8B1048E60AC';
wwv_flow_imp.g_varchar2_table(8364) := 'F8EF5AD7F4232A416A0F420A824090164B40AB60863A26170A95122E4424AE560BE8B520381024EA0000D8A65BA00112FCA00FDEA00FD0600FB4E0107CC0201AC060630F12D06115FA6A700BB7703FA11846A1052A8A061317373F0B171BA6EFD2232870';
wwv_flow_imp.g_varchar2_table(8365) := '023B4664073CE18806429A1C61BD866CB7068209CEC0CBB4D4BA9880098AD251C48E24EAA33EA0B0750922158A2116CE000368001DFFB7F476C90000D84FBBBC2931D8F17797267835092412A1782D9312F30B4E39D010E0800B0E1300F00300E487208C';
wwv_flow_imp.g_varchar2_table(8366) := '4033A51300E8D50A28912364E1512C9223FE802CBCE5AE06225E0140400B820408D09162261A62668508221B3EE115423334CFA169E6572561A022F62030E1377F2556A3F2C1F6228771428A016C8D0232808047643C06C5A492407A89071232840A0EE0';
wwv_flow_imp.g_varchar2_table(8367) := '3801200ACE201D67A00EAC8B06ECE0184E07A034B8205A25DA6821182925163A610AA2150AEA600FCA934B07C284D9B3DE46841DA3C044F6C15AABE7583C02145EA1AD12017F7D206D93173071D6208C0080449120969820B84000D336D0BEE06A31850A';
wwv_flow_imp.g_varchar2_table(8368) := '07AC22FCEB20464164FF8AE116EAB60136620DF0800B62281640811A1E7535D318E612E05307E2B70EE27A29890637D5153C00D706023B4A75270965371F60371180037A2009CAA05448A774FEC80B44A09B08E2BA9C603D67200D28781138783E0E0275';
wwv_flow_imp.g_varchar2_table(8369) := '3982831F851632B9008331148EE10C9C6E065CD6204C78DC4E39AC8E1186DFAB58A2E6238C37117E618BF650BF82190060874937A523EC75D0B875A529E2895B4F4209A29EF8EA1A26ED208AC1BB06227D81A059BCC15B780100D8070F54A02BA4A91BBA';
wwv_flow_imp.g_varchar2_table(8370) := '417EBFB922E6D9033CE0A2709322C8B920AC3819D0C00628EA70FBED1F68C104DC84C50C2202E619AD37E0058EC00BCAE00EF8C00F0CA113AE8D0FBCC0085E4004FF3460C830E0BAB4B3FDC86DDC68A016A0412B75D5920782A129C2191F7A2034391520';
wwv_flow_imp.g_varchar2_table(8371) := '3B15A6C0C7060229053A59B76C4C712A31EE4D08E470FFEA709CE6B1225C21116461B2EE563F3DC2C92ED223D47620B8F50BB8202207E21656611AC905A7FD061AB041B701201848C11B6A8120726008D2F720D0A116C60800C0E009A69712D48620BC99';
wwv_flow_imp.g_varchar2_table(8372) := '1521E0242800004C602040E0E502B3208AE0AB1D488E1F89ACCBBA9D6D13AD29C0047AA00AC6A00CDCA00CDEDA0F2001110CA10C9200099C426B452048037A06063AB0B76C139C0BB1173AB129222BB19220C0A52BA8AD524246B207C5C76EAAAF4F60CB';
wwv_flow_imp.g_varchar2_table(8373) := 'AE4B3D92162E01606770200AD201B4D574BA0FA211FF1A147B03101FBF80A62BE2B03522089440794122DA88095B2C91201842320B6266B4A11680FA23ECF520443CAA098202A8DA046000044C0004AA9A92FEE4930AA20C0EE208BCBAC4243645E79816';
wwv_flow_imp.g_varchar2_table(8374) := '60007352E9837C2201D09B056EC0089EA00C28211332017CCBE0077A8005AE1B067480054C600312C3A6AE0B82AD8B0C1CF9EC92E95182B53A15DA203678C58169671F29411A3C162A05093420A76E8AB291B2D171EA3D776667B6E90942AC95AD35CF46';
wwv_flow_imp.g_varchar2_table(8375) := 'BB23E06014F07120CC5923C42224E0D40FF52BD46B1A4F85C4B76D3C48226D2372A020EAE70CBCCB1BC0E69B27E0BAABB632B2BB8060AE4DA9FCD560D2155C8CA43E755411C04F2EC80892C00BFFACE0AD07E20ECA600CE05409B85C3DD4C358ADCB0998';
wwv_flow_imp.g_varchar2_table(8376) := '0062D2201742B875A3300AFF2A417A96B23CD892C105A2B12E16DA29B243A1075C74502A48A502C0384B8005D04B0864E008D4612086A552C569A43F822C52500A946098F3F3C20C412307C2ECBE841828F45284E19729C22C84E4D5A901378AE12052C0';
wwv_flow_imp.g_varchar2_table(8377) := '0284C0AB916023B0B84D3F9C359BBC4E0722703D027200800324C003284002AE1B02F6E4B20494013DD10DC05BD8FFA11BBC60077E6007881E0076A0207E000888A008983D09928008889ED9ABC00ADADB0FE4DB150C81D9C70011FAE095ECA00CCE2009';
wwv_flow_imp.g_varchar2_table(8378) := 'CEA00ACE8007EE80189801C1B8371AAEE119D4DEC01C6DE3121021AEE11AA2011BFFD202199EA13F8C4B668881185AC66480C10DAAE0089CDE0876A08887FE07109FF193400A82F0BDDFFB45D20445F2A1FF369D20C041E59EC1140120BAA3DB206E0187';
wwv_flow_imp.g_varchar2_table(8379) := 'DE6054C244B725AF223E9020BA61346DFCD629E242B8272C3CB1E1CC35D558116DF9D00ABE3BF60CCB239E200994A00A00A00C04D0D90F02087A7F812AF520B4D5A23235CF50A4F94322D5701F45A2A61E502DE0811CD50C421F6202FB2B033609222606';
wwv_flow_imp.g_varchar2_table(8380) := 'A252CD3F25A6BFFC87851F30DF61717F1F0C42FEA97F23B49F32526D5201BEFE85FC2300E2DF3F00040B1A3C8830A1C2850C1B2E8C67CFDE4087142B5A54984F9E3A7CFFFA795CC8AF613F7D240FF2D387F0DE3C821EF98D24FF89B224007E2101FCDB07';
wwv_flow_imp.g_varchar2_table(8381) := '0067C17D387B02E8975067C28F0A79022D48F3E74C8F403FF6E3B9CF69BF81ECD8BD2C08AFE2D18B1625DAE30AD661CD9C13190A3D686F6BD8B56CDBBA6D78B320BEB774EB1A2C6B372FC290EC240A244A5020CBBB06990AED57B326519A8C19EB1B3B13';
wwv_flow_imp.g_varchar2_table(8382) := '804C966A29031659B032C3CB05057634BCEF1EBF814E0557ED872FDF60BDAC5B533C4B71B444D7B45D87F45C3BB7EEDD76F3D1DBF8D9E3BE9B820177FCA9B869D290476F7BFCD798A6E78953236BE67D176F61A684077B669AEF34F6F1AC8F933FDFBAA9';
wwv_flow_imp.g_varchar2_table(8383) := 'D2F5E8DBBBAF9D117870DCA3B33F55D8EFAB4BC4C909467739146407A9F71E574C01255E81087DA560830E3E08FF6184E8F1F31B47CFD974937EFE2DC70F3E0C324593571FF53753744095D59C43D74968198256B108638C32CE48638CBE017720868255';
wwv_flow_imp.g_varchar2_table(8384) := 'C44F3EB2FDC41F651BE26710730BAD08E381E1B5D3CF3D353E096594524EB9567C1C7D66133BE274D3CD365C16944D36DD18240E9688F5338F47F4D0235A3FF5D0440F41F3CCA30F3EF8004897800D2A799A9354FE0968A082B268E55FCF65834BA2B724';
wwv_flow_imp.g_varchar2_table(8385) := '8A0B00AFACF28BA20425B3CE7149FD651300F2D8D424751D51C71E5B7A2A986382839E8A6AAAAAB256A8A1FF64C3CC2F9146530D286F24310630C8C82A2B00EB8008003E999499891294FC238E21ECD4134937A95861C83F9554314A53E6A5CAE78BAB6E';
wwv_flow_imp.g_varchar2_table(8386) := 'CBFF6DB7DEEEA591851FFD330D2EBD1213C91969ACDB0734B710D36BA521F1634F3C0F5CE30705914090C93501C0A1CF03C3286145358678904925FFD0A3DA9E256686E9914825F791A9DF5E8C71C652DE88CF541FD9536E30B80443CC1BAAD4C20B2F87';
wwv_flow_imp.g_varchar2_table(8387) := '1C13ABACB8540A14BDECC830CC0DD9FCE34911C81091842D4910A3C411B6B8F28027ED74D430762DF5E8643D05D5430FD46BAE09409C06C5594F3DF7F8881B901E85C78EC6628F4D76841C0707803DD28C2C0B2ECF4072322FBB2C720C31F0FEE2EB3F1A';
wwv_flow_imp.g_varchar2_table(8388) := '0260822B2230F30F284A1053C52D2978C04C125CDCD28F383B78B130795FCBC34E3A009403403AE61C64CEE69AA7A38EE60685AEB93AEDD043FF1D781697CD7AEBAED356A1A1692B234B309122038A2A9FF0D2CA27C7F08A77A5F6CCF38F395CB0C08E1F';
wwv_flow_imp.g_varchar2_table(8389) := '0FBCF1802BC4C8F00F1A013C034315AE44F286124AEC530F92E951C88E39E5A8038F3BE9C0038F3A9AAA234FFAE6B8EF8EFBEDA41F7EE5A05B7D203FECB4F37A61B9A543B9FE095055E1FA4EDAD6168C60008018B72806CA00900B61D8CD5C79D3DBE5DE';
wwv_flow_imp.g_varchar2_table(8390) := 'F00C8180A20CB740162DFE918E4894C31568884434D0E00773FCE31EDE638D9AD4313E5BBC2113E1608421AE010A003023123734871FAE510E43F8E116EA00C51F6C910A73B8A21AF5630E8856E7BA7698C3727A410600B2E1074FA80F00F018D500BF48';
wwv_flow_imp.g_varchar2_table(8391) := 'A3D8E50851CA10193198718C5AFFD4C219C380C6305C96B798ED643691398E760A221AC9F5438AE668C71B2251064F102115B4004234AE41044F94831606804336AA90092E00E00ED97085128651055BA8C31CEA705A70C0F6C57E6CB1355C2803184F09';
wwv_flow_imp.g_varchar2_table(8392) := 'A842E50881098C06316AD1093512E31977C31B3C2C058078D0631FC39B475AD2869838ADC91EBE91471E43951B8FB4A31CE568871FAA6088701C2112D9404315A291044684030DD67CE41B5C31860E7AF308B7089F3AEE111CC4409175A2ACCD306080CA';
wwv_flow_imp.g_varchar2_table(8393) := '78424935051CE3C892110C4FC0C10E7DD8441FFE788B64FC821879BB4DDA729216D2ACE81FAAA9493E8ED242BA78041EE928873BE030062BB82209D8085315E050856B2023FF0686E88121C650063FF8010EE1006739CA408B4DB20325F95B67D980B239';
wwv_flow_imp.g_varchar2_table(8394) := 'D6100000E2F0C40DE409D419C5A77BDC7955A23C61868C56410C5EA88253CB50895BBCF19609A5CE3C9CC3A9EAB08434AB194D44DFE2914DA9431DAFB8062D3C61083880021186100700FC100950FCE31694B0855BAF91093FBC2215E2484535369915AF';
wwv_flow_imp.g_varchar2_table(8395) := 'A9336CAFABC944A688B9BAD02315007045501F1BA37B68841E397A15312A61052B8CA10A00F00200CEE085A62A010E768B477E2482A68EA46947F980CE3FEE241076A8A31FF9601F3D4EF75589F6E3B6E9A8DCFEE0B1A9F8A9AF7DF03047D8DA713EF2C1';
wwv_flow_imp.g_varchar2_table(8396) := '637F7DDCA43B2836D8DC624CBA90ADEEA99CA40ECA72E78A25FFF30217BC3006949A120063F8EE1768910C77FC632553F1840A5D918D76D8C21EDDB0053F3A588D6EFC231CC340867C91210E57D0621AD0A12E5BD4E40E82109620EA73473BDA715CC226';
wwv_flow_imp.g_varchar2_table(8397) := '987FFB7B7055E431AFFD546CC1D6EDB08701750FEC6A775CD9B84519AAC08531A0B00F7770431952CC052B808219ECD0DB733C510D7854221BE960463A2A8939784C231BEC408640E4E18A6BA8E316E520C699788318FFE4C3493471523EAE7C8FACD543';
wwv_flow_imp.g_varchar2_table(8398) := '3521CE728801A035C658E7894CF2D387CF8CE6197D39BB952DF11FCA6005A756410A4AE06C15AC80863B80821847A3179A6E118D6930231BC4700532BA710D66D89516AEE8C633F2015F22CA23157CBD16FF948D7347FC4074BB2DD25F99D30CEA504748';
wwv_flow_imp.g_varchar2_table(8399) := 'C46DBEC52D6811893F18C21004F10300540D0A5AD862187DB6074D88218E68349919E6B80631C2118E5444231CD9E8E83000100E5A5C431CCC680731E4C119DD082848128BF676362CEA6C6BFB3DAA617351C5410C649C9119C9784632C8CD8C82106318';
wwv_flow_imp.g_varchar2_table(8400) := 'D3A807DADAC18F79D4E3960BCBCA3FEA218F8174B11CECE0873AC4C1BE7FC0A37B925388175BB499275A2569DB6EB8C35B13E2C91E0828F8002E84E7B70E78AC23E319475F3BD0F9999AD8236B5BBB53523CE2A12C0FC4DD96CAB47B0E2ED884B7647FB4';
wwv_flow_imp.g_varchar2_table(8401) := '7DB8CD6F4E972BCB231D231ED78E88B49DA4E4031F24F7114D5483747C84D86949C3936E2EFFF3F322B568479CD6F4D7688EF3AC6B3D2C1445DDC4A56E92C01409E60EF1D16A78A39DE11C893B38A9CF66041B1E646E7DEE744708CFD34920A08F5DEF14';
wwv_flow_imp.g_varchar2_table(8402) := '31305B64D71DAB9FA8392E570A9F7E62E6BA2B7EEBF4BCFBD7C19294A1F0C8DAB921CE5988F21C2C0D043A1892B9EA10BFF8D0D3DDF13982BC1773BB1F191D28EA9EBFBA3BFC2EFAD87B381D2C9F4EE1ADAE90DB1786F5A7B23D74C2D624D90B7FDBA2F9';
wwv_flow_imp.g_varchar2_table(8403) := '0D3CE8B1294DAD252B815D7EF2B9258FE8B78F7DB01FBEF5C118E28CF0CF20EEE8BEF7BF0F7EF037647F07D9BE421E8CFE0727B835EB3F08FADE0FFFF8C7BFFD0B79301EAF8F7F504FB9CB00B0B2D1FF038000B8105756105766800748FF800868766197';
wwv_flow_imp.g_varchar2_table(8404) := '270911800FC8180CC71089977F15F8614ED2654D43105AC6811DE8815A56111FC8810601820641815CC17012B88173C282F226822368813188732AE82D2948807AC22032A8833B282334C8833F08844128844348846F718204718445A8844B4823E2C384';
wwv_flow_imp.g_varchar2_table(8405) := '05010DDFC00DDC800D4FB88487540D87442B5A9885D780855E780D61510D003086656810D7500D63688554401051C00235608544880DD1F0206A188710720000C00007D104779866D3700DD3C01A6148865B3886FD45844B401027C0037058201F50103A';
wwv_flow_imp.g_varchar2_table(8406) := 'B0017B781027E08769760D61980D84E816766885960889045102EF410396A80304418900400397D83FC8D046047511C506FF0061088882C88A76918AEFE1880C908BB7F83ACF0000C8800C745811D7900D086145BE982A01A08C03840CD0906E04018C0D';
wwv_flow_imp.g_varchar2_table(8407) := '618C04510DD9E089D1D88C0CE104057102420025ABB88D65A38D0C718CC68886051188C4388E0CD18B006000ED1887800800B5388B57946EE7B88957948905E189B778007B480353808A00B05305B2027A8801F2D861F4288881C889817810D12855BE48';
wwv_flow_imp.g_varchar2_table(8408) := '0696000506410608C18CEF11010CE961B42892F58886C40888D87810B4E28BA7B09100B0900C410079481E3209921FE690B4481037599306C1040941003B1500F1B8933F2891B5788EE5589375601069501064E00433D091432984104992F72895004007';
wwv_flow_imp.g_varchar2_table(8409) := '0791950020FF0957B98412498BFB38946290062D6910ACE0954AE890049189D3800CFFC8903D999656188863289107F190800897BEE80434B09133D08D33309742C88E6C99936C099667B89750120B8EE092A73403E258105BE90419399844788CD18893';
wwv_flow_imp.g_varchar2_table(8410) := 'A9F20960040C04310518209807C19406C1869749946A580D82580D9C782A90709AFD230C06B1871FD097004006766009068108A8098482688B457910FDB8408B0923A1A0064165899648108B100A9DE99B4148879C688B07A186C7669CD1A99DDBF91625';
wwv_flow_imp.g_varchar2_table(8411) := '308A40B508DC299E40389B853006E3899E31988C83B90DE06010DB801DA1B00B67000062909E41B59E05410B3B490A053126FE0900AB7010D2708CF0E9FF104C499004D9107AF0595170064D1005F7894AA150108EF509A940A1B9B093D48010D9B00CCB';
wwv_flow_imp.g_varchar2_table(8412) := '708C00C0A100F09F56C0100A7A1065A00509419F0441060E0A00114A10FB29A135EA2DCBA010D2200BAB500AB20000386A104000007B5007BB499A0E610600500BA8B0952DDA87363A407E000909C158765010A1706CCA480ADBE0A3A5D00B1CDA0DD960';
wwv_flow_imp.g_varchar2_table(8413) := '3B05210D064A101E60A50A31054C30057BE010F3090551909132DA872FE09B06600007894A9FD00900F009144A108C5510C99909F9B9938D12A20040A09530A443AA0900F0A843EAA608810608D10705A10784909E1F59901400001BE0A90344A17D0A00';
wwv_flow_imp.g_varchar2_table(8414) := 'B1100AB15010F6B993B2500A037A45389AFF0DCAC00C398004E789109280A2047105AF6610950AA50541019E2A021E30AC41F504054109C9398E8CCA1009548F5774AB052108930A0069D0A2E789067FF0076680065B60109A2A8FD577102660027C0359';
wwv_flow_imp.g_varchar2_table(8415) := '38B088AB0A00AD2AA0234A10CB300D20BA1075B0075D099A057105B64A105AE0AB5269663E98100C80001450AE05610231204F69BA936020070721A0D930A289AA0C087108D24AADA57910DBDAAFA800004D0005E0D88E65918409C1A93D0000C50A0008';
wwv_flow_imp.g_varchar2_table(8416) := '00001C004685500808E105DF7995B23026BF200BD230A608B10915CB1056B00749BAAF5B60A59DF9A4006099DCF9029C6A107A3A408B800704E10545DBB16EA0A173E9AE00A00C89DAFF07F64A1093AAA069905906B1A29329A705F1A4E1F9AB02C40700';
wwv_flow_imp.g_varchar2_table(8417) := '60074F6B10E8BA8DD9D00B07010DB230A2C9400D102B0D643A0D13AB104A299704610494AAAC82D08772EAB105910B349A960FD06178F0B29DD909A1E00876A00642C09CBE480D5B4210E270B5EF5A9D0531B1F10A0076FAA83CDB104AE010320A00A130';
wwv_flow_imp.g_varchar2_table(8418) := '9B69DB3F8ED099B2EB063599B7220AB11EAAB706A10C7BAB0CC990108230A44A49109C651049B0106659A18C3B9E420954AACA90DD400DDF20AF790BAF6CD18DD50A0020B00210E00149A0BA06D1A2311AA707C1BCB0DB3F7D2899ED08B1B86B10B200BC';
wwv_flow_imp.g_varchar2_table(8419) := '6011B80020891280020B4107725AB6E8CBBFAA420DD22BBD0401B1C900FFA404D1BB7E6B10683BBCD9CB599288BFE41BA1320ABD06F10AB3F90B80DABF17139B11F2530060B22CFB70ED4B0D7B7B98589B103C80103D59074A090221B0BD9EA5107490B8';
wwv_flow_imp.g_varchar2_table(8420) := '45FB0504C108724009AF0000B3C9ACA6A4C319FC2D4AAB20F0441009D070DBE0B7F02A0BA17B10C980C0CAC0AC919AC2DC2B01A78810F459B6AC5B10B56B10AE700B404C36191021765A77245C11526C105380021BB0011200003B00042A00006E8B9511';
wwv_flow_imp.g_varchar2_table(8421) := '0A05890B003944107000008C5009A0A0C706410960BC2D304C10CEFB1E9E4AC60F87C00561A6BC9B101D9C104C60C51B60105040C719F9A20EF1068070102D40C87517AA8B67C68A9A108DD010447C10204B105909FF0577FCB15E30C809315E052103A1';
wwv_flow_imp.g_varchar2_table(8422) := '8CCBEFA10C05DCAC010A000A34AF7BB004700B0045401036000576600D040105F97BC7500B009400B40070AC2A2005AE0600AA9B04A89CCBA9F29D2ACB9D2213BF67B90764D093E35B11FB0B0091C0CD041134077104DDBC2D9CFA91FF906FE23A944E40';
wwv_flow_imp.g_varchar2_table(8423) := 'A46A8C0208CB10AFBC10350C00520000351C0905D1AFF2BC2D5653935E62C0B088106F70109BC0B500C004287C105250B451E0CC51A0BC835C06040D0026EA0680C06A04715E0A3D28325B10F9E695269A0340300205D1022000001E701052ECA6565C10';
wwv_flow_imp.g_varchar2_table(8424) := 'EF6C101CADBF013D5E275DA12A3D280820C4BB549320E00220300236E0020060032310C73BE002706CFF030A5105A86B10C72AD200400859A9C507F1056E00078880CA9ED0C746CDD6D8A10240E0024460CC0D710566604A7B60A29D35C10A81079DB908';
wwv_flow_imp.g_varchar2_table(8425) := '0ABBC505810770E06A09933005E1593FDCD68B9D1B95BAAB08FD05F90A00C80B04C80B00464004970DBE9D0500BE2AD104B1B617C1C76F6510823A771CCB958C1D6AA6A40565E0AD09710535AC05B66A05E355066820D19F8D1090C008055108A17D1070';
wwv_flow_imp.g_varchar2_table(8426) := '70070421D1C38D1092A4DAC9AD176330CD0871D08C7AA97FB0107F80CDD85C109E1C0A7843DC1691D938C7B1C2CB3A34A0ACCACD1A9E7CD006A1D60571DE04B1097140107DF0077D1007F0FDD9D81C099930C8EB6D10793D7CCA4B10ACB0951773FF0662';
wwv_flow_imp.g_varchar2_table(8427) := '308A19500219B0BED685C87597DE0CD1CE0040D4D20DE10841DD842DE1D82CD00681D3C3470380891082200801EE10BAC7221920C62C6D101A6A0BB61054CC48930401C2ABB29520FE1EA35009A3C010078DCAFA6D10D22DE19F7D9E4990D9AAFC008E6B';
wwv_flow_imp.g_varchar2_table(8428) := 'C4F84706338001BD08DE191301624C1034C0D2C0104104F199414589286E73D2400D06DA289EC0AC04B1E3193B49C68DDCDD5DAE10A0108E1BE33B28E20374E5F1C4B405A1E6DED2E40491BDE3E11239D81065F0D8DDCD01A3FC00A3ACE1280003590D00';
wwv_flow_imp.g_varchar2_table(8429) := '991DBEF80705A3E9A217F3920401E5503A038EAE910511E94F3710DB5009726006587005BB8ABC2D90E600E0B80701016D5CB02600FF4F4030D707A1DBF987013490E71893E90C910B2C6EE5B610E75F04CE2F6EE712F2D8E64A011270E4A6AEE1051103';
wwv_flow_imp.g_varchar2_table(8430) := '593DB807D1DC0831061B7C7DF38BE707F18E8312980BA1EB6034CAE00CCE06F92D6FDE20335D106E4C1096BCBDCB2ED70541D0DC0400B15E10B57C10838B041628C69668E94FC92D1959EB296E0B2A0E0CDB3E40C75E1011F0008BCC0753AA2A096E10B7';
wwv_flow_imp.g_varchar2_table(8431) := '3E1EC69BE840400443A010C64D10160F00C85D1079ED059070A90751EFD7E7BC1F1999078101C08EED0CF1EF568E4A424C104260D90501090A2F28428901996EE90C70002EFF1E636B106F7007BAAD044620E489DED910CF595650087D30055440F42F6F';
wwv_flow_imp.g_varchar2_table(8432) := 'B2D71790054F10A1C8FF2D52ABB806A1EBBCCEEB1E16DAF12C28BCF8ED925E907A28C6ABC8020DF2D86370055E20D96500C3C68CD9F10EF107310549300583FB03AC5C8107B0E40531F5AA42078229E29F99EB2BCFF21E66DDAA928B0B190106A0B20E8F';
wwv_flow_imp.g_varchar2_table(8433) := '1E66F0069E8D104560AB40B0C8A55B1042FAEA828B04371003567CBFE4DD10A150B5E7EB6120AB06F2BE2D733EF6EE310AC0700B2CFEC38C9A09D6480CB94F11BC0F00A47ADF073DCBA65F108B70A9BD8E10C4866CD9406CCDFF0DDDF0FC24FA0DC738FD';
wwv_flow_imp.g_varchar2_table(8434) := '0050FDD54F10DFD02D123DD800E098BE3F7C2B927799D279DD41E2C48FFE1097FEE47116B6B6FEEF2F28E70FFFF34FFFF56FFFF28CCFF7AFFFFBCFFFFD0F100004FF0E2458D0E0418409152E64D8D0E1438811254EA458D1E2458C19356EE4D8D1E34790';
wwv_flow_imp.g_varchar2_table(8435) := '21458E2459D2E449942955AE64D9D2E54B983165CEA459D3E64D9C3975EEE4D9D3E74FA041850E255AD4E8D18BF21EC243DAD4E953A851A54EA55AD5EA55AC59B56EE5DAD5EBD787FFC08E255BD66CD47C67D5AE65DB76263F81C3000493EBD6EE5DBC50';
wwv_flow_imp.g_varchar2_table(8436) := '892D3407201DB3BC81050F2ECBB49C407100E4954BCCD49CBAC3E900B403A04EE061917F086FE6DC19A53B77F0DAB513DD2E743B76F044C303BDFA343C79F0E87D4C86064A1A005300D41158270D13CFC1850FA7CA7BCF21E2C9952F0FAA9BF973E8D15F';
wwv_flow_imp.g_varchar2_table(8437) := '6E42B44920A256003C1D93DEDDFB778DD3064ACB3650B03C78F4E9ABF263DFDEFD7BF8EE4BDAE3D70F00DC82F6D5EFE7DFDFFF7F0003147040020B34F0400413547041061B74F04108239470420A2BB4F0420C33D470430E3BF4F043104314D1A07BEE01';
wwv_flow_imp.g_varchar2_table(8438) := '30200021F904050A0000002C0A00160044022C010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B02F3E5C3C8B1A3C78F20438A1C49B2A4C9932853AA5CC9B2A5CB973063CA9C49B366C77A04E5D9DC09121E3C9D3C830A1D4A';
wwv_flow_imp.g_varchar2_table(8439) := 'B4A85198F57C023DCAD4613B78FC9A4A9D4AB5AAD59A4BAF5EBDA7B5ABD7AF60C32A84D74F6354B143F9E5E3470FADDBB770E3CA8C2A4FDFC67E726BF6DBDBAF2D808D79030B1E4C98E15A00F2FA45C55BD825BF7F7B75AA6D4CB9B265B4F9E425C6CBF8';
wwv_flow_imp.g_varchar2_table(8440) := 'B249BCFCF6220630D9B3E9D3A84932A89839F15986AF5F47FC8796F641DB05FB411E5D3AB5EFDFC025123810D11E3EC48A01F03D281B80BE7EFB208B16883B6A6881CDB15FE5B7F8E1F4B66A0107FF1F4FBE3C0181040240B4873CF4F2DC0068DF4B1E9F';
wwv_flow_imp.g_varchar2_table(8441) := '6FE78480750F947F5739D5FB036547D03FE06954DE810826B8903D9A25F7DE408C8583881DD7E833DF3EF609245A3FE5B8F30F3CE5D0A68E3AFFC8130E00E9B04322780032D52269101E448F3BE12968E36F34A416C079EB69169A7400E6430F24530874';
wwv_flow_imp.g_varchar2_table(8442) := '8839FAEC43DD7BF9FC130E016FFCC30C07242A61C83FD910F0002D9124004F3614E8F4A25178DDC395590B1528DE8D6C56B6824018A4C62344F240A5DB7B5135598E1BB56C524B1FC5F083CF83027115891749B0538D07E90060E53FD77030CD3F9104E0';
wwv_flow_imp.g_varchar2_table(8443) := '463626CC37A64B00E2B68F9200D0C3D56800E0430F3DF5E4031A417DD1B8669BB006FF961E4127AC461C65715654E75E406257D63FE5F4510B007D02A38F7F9DDEB3032D36D0920D07ED380A09960824408B216F7001C70F64BD6AD3A7F0A803803AEC08';
wwv_flow_imp.g_varchar2_table(8444) := '54EEB828A623EEB859ED37636FB1C60B178F041810670400D8DA669D3F12BA973A9F00C00B2FAABCD316A14D326380090170C1CC03D7FC53051CF244434136FBBCE14739013C605D50FDDCC34EA3E6A88BA23A25A753B239288FCBB24EB829F7AEB7F2D6';
wwv_flow_imp.g_varchar2_table(8445) := 'EC55090531706BBE00CC199813741014C0CE0DF1C3EF9DD369489B30C3FAA20D3B387146D0467E94D1CF3549D8F20002A0BC110011C470F0402691F8D1CF1B37D473DD4EBAC1A37239E93C934D39E58823AE380094F34C348D5EFF0340C94DB23AB3CDB1';
wwv_flow_imp.g_varchar2_table(8446) := 'A651471A79196010BE0AF653E73FB4412E1D86FF4497CEB000A0E317B2BA410E008DB4D9538F3CF6380E403DF8A44E8F3CC729E77950FCB0638E39EC64824726E9F8C1413A9EE0B10F28460853C9189E84934E39F014442054CDB147388287537680CE82';
wwv_flow_imp.g_varchar2_table(8447) := '914186401FD0808344BB229D1C86D4C983393AFAC8F3A97FD47DBA5B7CAF037827B243E5237B877E1C218E386348014C2A65FC934A0AB460C40EAAA18E729823790519DCF376E28383286319D258864B8000803E00600F171CC81900708843D4212EAB11';
wwv_flow_imp.g_varchar2_table(8448) := '8C13AE7791EE41067251C1CD3720B10944D4A216D0305FE5F6139F7DAC85578AE10EFC60B491D810E4359B3A093FFFDA51B272B0831149C8C40FA45086544409146328873A3291826CA0AC5DA172D5028972059BD8C112061183408EB1890DC265676760';
wwv_flow_imp.g_varchar2_table(8449) := '815C9850102134E12146238BF748439B7050E20C55C02000CEE0853E00233A948B8F206DA31FD25CE731E8F35CCCFC232096F4C31D7F4B072800E0072E40221A5260841168018A2378A26C65B06239E8411F8128708B3C31834D6AB0874310A40F9BB020';
wwv_flow_imp.g_varchar2_table(8450) := '340892862A008009B6740B0B3400973D10420D0411C31B2300098798902FFC489227BCF0042F88510C663C83120A4122440A243A0060C763D8C10E02C983401F4A076ED602C974D4632F42FA879054D4489310A85CE908C7338E678E76D40D1BD9484736';
wwv_flow_imp.g_varchar2_table(8451) := 'B0D1FF8D6A94635CEC1815414E894AF2188108003004003AA18A4E604E20C5304815148A0634A8D2A25409E16520E1054A18538E407A0C37AA20063102C00B274DE918AA100B75426786F14046DEC4310C5B74431C9EF8C730B2618B6C88E31952CA8640';
wwv_flow_imp.g_varchar2_table(8452) := '32610B7ADCA21CFCC844C5AE31492CAAE41EE14A51C9FE362E78B4431DED189940D4814083C8438B050D4A030B22419954210D451A63190DF287B800032D015388308A76CCBDE8E31FB6A8C218C4E0053BF4E10E7F4D291532B1480074231BFF98C72DF6';
wwv_flow_imp.g_varchar2_table(8453) := 'B25350846318D7B0C53F68AAD36C0CE31FB750873C9ED18D7680E21AC330C7DC6002997CE04420F5B8473EEE715A53D643548BC90E41C3EA92B1FF0AC4B632914641D808800F82312114D5825B80318CB02C6220B9286E418EF110134AE7AEB1F0C21850';
wwv_flow_imp.g_varchar2_table(8454) := '3A86BDAA418C5EF042152081CEFDE09340AEA00D33C2718D6CE4B41D3D15C82DB221D361A8831900488539E0EB097344036F3CA14D670E839B520EE4ABF0A2AD4BB070052CE4E0C03B419C40EAF04187A0E10B0731E3507884D2C0EC21140481C65C2312';
wwv_flow_imp.g_varchar2_table(8455) := '471CEEE531D9E88421C62010BE0A84C477C8C430EC0AA37FB8E316C82847376C01807084231AB54BC73486C18E5B008318E9C8443888315F7DC2B71F996847364E3493A45564B602564903BBD8401FE076262BB0A040F48811934621282CB84312028307';
wwv_flow_imp.g_varchar2_table(8456) := '831C83160088052D52D15C3BF5AAFF44EAFA2741EA662EE7E02672F510C74646A6CE7B94E86FF0F81000B882D58DE08436A42465A882381528471925394048A40F028E6E80E3257570A540AAB1102DBC21211B94304D6A20104AD80100B9884B278E210C';
wwv_flow_imp.g_varchar2_table(8457) := 'E61E2417A998256C8EF666BB1E6B4092D3D06D74AD1C74AE2F70AA624C2149339F765E05C0347BB449260D802EDE1600577E891572B0893D6CD012AD400737BEF156887C8210003069507006803B008016B90046B7C5028C58A43914B970452ADC3D91BA';
wwv_flow_imp.g_varchar2_table(8458) := 'DEE7DEE80B50BE5DA71C1D06C84087398CA6FEB2EFB7385AD9A7D10100485C906FD4E2100A3E8819D030105F5843D40269C2110432D75BE057266F4DB55BE2DA115A4B07429DFF810E10C714B3D7F4905597A10754928DF09558F9CAE0184742B671699E';
wwv_flow_imp.g_varchar2_table(8459) := '0F84C921A9853652A1E905A74109038130413EF16D8144E10C5F26C82D00F08B6C9C6B26EB264F1CFBE5645E1B84D11631365864CE0F81D6FC25552E8834B671906DE81C21E350C647342109006802DCBD05C014148C063850DC20170F9A40CEF046A2D0';
wwv_flow_imp.g_varchar2_table(8460) := '98DE68E98442483E6B3713EAD1C83E3B4CA22D10B92BA4AC0471BBE541E24B2E3381CB0779432B040205A73F44A6258E38496291EAACC315C30241FC71019009876CBD735D8F32D9692E79482384146F67C8A501A0DB44AC0200A500802C92DF906E78A2';
wwv_flow_imp.g_varchar2_table(8461) := '2092D08440C01DF129A4552182DF2314CC587885485F204EED08FF9A0140E394C077251E45081F168A7A85ACA57BBD06FB0223DFFB97E4C005D11E05290E727C814890ED03310A00607C0D8179002054062109AE24087937050DC61084800AA8F07D0F31';
wwv_flow_imp.g_varchar2_table(8462) := '7B00E008278166E397129C761201F30994C07803F109EB3757FA706B07B111F0F77802E63860557F2CE102F7C76C039108956010890000AB9008FA470DE3C073C3978302D10803210B00D00B64858003D156034177BE2410AA87047B205C0BC10AA8C00A';
wwv_flow_imp.g_varchar2_table(8463) := '00800A768085076107B3077502716A25B1816FE10821E808C57481C03410B067181DC619B9475B2E186030D8122E80056BC77672A010422810CC0700026810C9270B06E8105CF6800000045600009F16079FFF2610A357105F567A17B813883710B64086';
wwv_flow_imp.g_varchar2_table(8464) := '55B17E00105785608104E10688B061EEF786F157737D3173758812AA541008561044080060F08703B183452810608010AB500ABB480D04910DBE788007210984B0070CA87A6C44627140106820820421040CC1055CF00400E00602E13C28B16EA4C811E7';
wwv_flow_imp.g_varchar2_table(8465) := '0700CF2010CFD08D4601189B718A35F72EAB08132E501081201039080689000672108F0B2107B92888AF500ADDB00CD3200BD3100C95370DBA6510A03710482010660007495706A8701042408905217203B17148F7129AE811CCD08DDFF88DE0581265E6';
wwv_flow_imp.g_varchar2_table(8466) := '0662581172648ECA3687BC978E1601022800020D317C0CB187604084F7A810A5F00A460800CAFFA00CBA950C3929543B501075C0650AF693634085035106CE080050008D07C10D48588934310CAEC711C4400C19C912164809C7054CDB43271B128761D5';
wwv_flow_imp.g_varchar2_table(8467) := '2A7488921C91031200024649103E408380E88E05E10A03E88EAF3010738910373910D4008C6BA78403B1099660090CC8800731668C7894A8103082D77D09F10DDC709730F156A9309516C10C560900C4000057B9128AF7099DF0097820064CE99570287F';
wwv_flow_imp.g_varchar2_table(8468) := '84239627499615810203B196639503B6B50DD4400D6C070EE2D00D02317CDBA084955610B20900E2909700400DDD108C00B00C08280D963790055190040103050161D620868A39109A080D8D3913B1507E25218E28D1079C38105DF9102AFFF895A4697B';
wwv_flow_imp.g_varchar2_table(8469) := '62B76BDAF118E7D96834829A2A1169B8350EBAC576B30900004810C4199C7CF98BBE989FC4A7933A0900C9D07F03618C45871043D00245401010C910D3000D8E2916C3A05C05C1914CA15AC8216CA0B12AD9811706B2363FA41DF331105C8117AD55284D';
wwv_flow_imp.g_varchar2_table(8470) := 'D2177B912AFFB09E527170EE2911EB2810124010322810330A6DF70900E000803CE79F02D10DB6B90DB6695809310DCBB07902910C00990CB7341092209804810435800212400100306636401041130550E0A504610BAFA089CF700B8C2013634098C031';
wwv_flow_imp.g_varchar2_table(8471) := '9EA3A95FA8B516AA955A51410FB4C116C00618184A48F811332DE2A22F4A236617A31631665AB0012E90A3B635A30D340E06FF389CD9B0A3412A10BA85A438699FF8990D8548104AFA0200700A752709A0F7413AB001355A10A7169203110551608D3588';
wwv_flow_imp.g_varchar2_table(8472) := '8102210BD03049511692D098018AC310185A8EBC02222EA60ED710227F411BAA82991123104FC1A7A7830C40D50FC9138E90410B48450F28735479131FF0600B78732661B17B82CA11399A101DE003876A9F903A0D963A1078F3A3D9A00CD39097B0399C';
wwv_flow_imp.g_varchar2_table(8473) := 'F0AA9FD4E0A40611A005610975471041C9040A77100D49089308A604E10795C80894F00BD0F00B02C1052581001C00003FD91865E6740D8AAB6CBA1F76F40FE610096E230ED5000F72F30FED700D86800CE6400BFD600857920D11130E78510EB6600888';
wwv_flow_imp.g_varchar2_table(8474) := '450BB6700B86FF100EB690097FF0139EC00CAE9009E5507BA970221C8B6607F315DCDAAD14910443A0044600AE3E10AEE1AA760C210E44EA1042A59CFFA9B50361099B60108883044C20011B600204A17476D0A55FFAA50B3B107B28107589121B40199F';
wwv_flow_imp.g_varchar2_table(8475) := '9086130B0018C0380D71B1D4610E6FF00C995009AE400B5C800CC81009998053AEF006C8700D9110098C70B3917080A0B01CE9955300700BC3F00AFFE00AE5900DC0F00FF5000AC4205398EB09E2E20A57E71530AAB40A51046396036346A01EC173433A';
wwv_flow_imp.g_varchar2_table(8476) := '7C402A1000999F5C7B10AE240975E0046CF44135B002A54A10DF17057420B000507870B08600000802517E0C6B121E501901638D8A79B70991AB1B121FE9FF5006C310099E900AB7905391F00699400C918057B6C0BEE7160EC88006901031D7F10C40F5';
wwv_flow_imp.g_varchar2_table(8477) := '0C92450CD7400F39450BE2205FF2E00A9B7599A0000FAEF071ABDB1549EBBA0F815000B0A0B2DB6C03C196CF36808CDABBC4699BE2000EC209A907D1BB11E47D0B06004EF04153406A0501C100006E5EFAC2A55761D22B10673A108DF005D438125AB201';
wwv_flow_imp.g_varchar2_table(8478) := '3D701915060019E010DE2B3593D5BEE54009E53B2DCCE007D9200F86700B6890097EE00A7F600B91700D7EC00C9EA513CFC008D7C00EA9C00ED38008D1500EE55B63A94029430B00E46B0B3F1B0D9A81BADB0AA80E2C110B8A502D401015A01091D6A307';
wwv_flow_imp.g_varchar2_table(8479) := 'B17F04619C2EB910D4A0B54A8A101448104BFF30B607016E69CBA05F460502F1BC6BE007CBE8074448095F904B7FF71104F0B037701951071143DC6B1F220E222B0E74234853C70FE9600BCCC00EA0150EEC400CF5F08DF0100EB4210E357B0BB43059B4';
wwv_flow_imp.g_varchar2_table(8480) := 'E00AE1000FA9F0CAE61A0DAE2059428525C17C2E47EB15F457C70E11B147D910F72710BAA0103D3A9CD370B506110C00D9BB1CF1261C000331000042900276109D8247076F547A54F00795F0910050BD43880652E0BA78A1AB7821ACAF831DB651584A33';
wwv_flow_imp.g_varchar2_table(8481) := '20FEA122CA2310A8DC24F251A7FB569E46D1BAD2BC1049300A43C01091160C2EB90DD28084404A9F3AD8000C21CE1351AA4F0B005B0A6EB357B15240B005F10306C1C2DDCACF263A101BFF711738615A83B65AA4D10F6A031E66121587E6A1D8C10FA9E2';
wwv_flow_imp.g_varchar2_table(8482) := '1F38A1365C7116A7759A7F3A96119D102A4010B28A9058800507D1010B815F1E3C10E050095D300EE0F07C0A210DF41A1118C4044C30B7252D101BD7C203410660FA0462C00837F8D405418EE419387FF118FAF1D3187A16AB525AFA0518F550A7410223';
wwv_flow_imp.g_varchar2_table(8483) := '854176816AD70861033640410881D50311AEAE8910FEB9A397960859D0A3DBB00AFB27D24B1A110DA6036F421047D0D6A0C8B60B47D709D1089594046F30B931FD954D325FEAC018EA7059005D28B631ACE64068CFE00EF58063358658A911CD8C9D1079';
wwv_flow_imp.g_varchar2_table(8484) := 'DC025B0A008B6810567D11A06D11B24D10BC55241EA003CFFD04471075ACFFF065CBAB945120065C50C3C95D10DF44C4E91009A9500DF5C00C2803075783CAEA100EE620B2E59018FF30BFEC200FA9600BEC702D91500E910007C8A04EA701D1E72D102D';
wwv_flow_imp.g_varchar2_table(8485) := 'E0023B00D90481053EE06C09B1D5BEC9A3203CC80251C814610320E09C6F9D4107890237F0C300B0719FD09000A0BCA30C0088B0E0E8FDBD1A6B0821920DA06008D700B4AEE007D35006A02064391B0DEA34C0ECF00C6F00C0FF5B09259353C3EA190A0E';
wwv_flow_imp.g_varchar2_table(8486) := 'E389C89202B1C7E32A7C97360E609D7903810B0491CF0291961191C70AC103CE3D1085B708CB9B7D505052AE0AE519DA6B7ED60E8C700BE1B0B839DB0DB4F00656FC0FC4900A074E10AEE00EAE400CE1C008E1750B40FF2B2E2CD8184FBEE02A40CD0311';
wwv_flow_imp.g_varchar2_table(8487) := '070DC4064C9810041A8BB795049126E5CC1DD5622E1036E0025B3A04107E104A60056590527D6009D6A86504616E0311921B34CAC0C407B5E7E6E96DCAE5500DD1100994E00A6860C599000A77900A86000FEE7007E5C00CD5B01B619C0DC94C0C9E300C';
wwv_flow_imp.g_varchar2_table(8488) := 'A0C00CE57BE0ABA26F8441202FE8E607F1E0CD2D10207060552EE506B1A0513D020020E6513D10306DD200D0EE155D115390040709004870EF07F19D7CB07E16E8060A79B76DF5E28CE0077EE006A98EE9EEA919BB311DB4E009EE600EA9300CE260DFA9';
wwv_flow_imp.g_varchar2_table(8489) := '400CE2900D6D110926A2CB6591DF78155EE6E00978E3CB2D8A6F883D18FCC2D430EE02A56EEED33C100BFFDA10548806C2D5C90D9104A55E058B286E05E10780E0088850080601F0E536C9E5A6908CCDF070284830471D0441B3C81A2A34843E20EAE4AA';
wwv_flow_imp.g_varchar2_table(8490) := 'E8ED098150DF0A0320A07020E0022C29F62080042E6004138C1068B005A96E068F080035DF10365F1070E0EA0601EB0261087EF0072C1DBD0391094A5F106FCFD84693EBA29119F1710FB0951FC1EA0E7B51A29071D4FD2C2435DD16233A20523318EFB2';
wwv_flow_imp.g_varchar2_table(8491) := 'D85A1FC14900BB034141B21B69B674055550915FDE456670055A700538AF05A98E900701FB005006AD9890CB98F78D50DD03A1F47FE0EA7780F778CF842F0E00B168DE0281F35E4E04A12CCD4CDF6B50EF1F4DFE6F21A32AF2212A753A4E1BC11585FFCD';
wwv_flow_imp.g_varchar2_table(8492) := 'DBFDA61D82D1C09D6F101484508F380A530700625DD79E7083CFC7FB06B105380F8B80408475CD100A4510F93F107D4F4900F10700804C9506026034B0CC41003F520CE4008002438A152D5EC49851E3468E1D3D7E0489919F3C79FFFA9D3C59EF9FB970';
wwv_flow_imp.g_varchar2_table(8493) := 'FF0EF67309F3A4CB81F598C17359AE1B4D86FD00F003A02E9C3C7EED00B80CE72EE452A64D2FD273C72F9F53AA55AD5EC57AD5CAC137A398051D380E003800D22C6EA3480C002E86953C55740BE0ED404F6E0DB63D18C9D0418117FB72A4F0004202860F';
wwv_flow_imp.g_varchar2_table(8494) := '289A801123EB62C68D1D0328E9F364BE7FCC0C7932D74F1C6578E6E8953399AE9D3B732B579AEBFCAF1CBB7F9DE1D183E713592450ECFF22016056EDCE1F76271FFFFE08552A70E2C58D638564E8F6C0BD16D51E5407601DBC8BE6C4821C1597E2F281DC';
wwv_flow_imp.g_varchar2_table(8495) := 'F70A848326E444001B3C783808E4F87AF6C72303F0B932524C4F7E3CA52BB3D7CF2D5768FC44F2231B509879231B606E41E60F48E0F1038E4C9EA1E59F7CE809E71662AE71A7A07F6889A63D0FE581879F7B3C24B1440F951BA8AF46FAB2C207AEE200C0';
wwv_flow_imp.g_varchar2_table(8496) := '905100B825188AD819081E92323A871E7A0E9A91A24618F283212506DAA1858120B0CA8A31B8E0620C00CAF0820B13AFC432A3F7E20B271397C4992F135B2269C7107632F1A41A570C7425936C18516798540CF907C248E831243ACACCF1849861B221C8';
wwv_flow_imp.g_varchar2_table(8497) := '933AAFC9923879A29AAAFF5045175D6A2FBD00E08EA22A7260C8058692D8EA0A8EC65987217D3E0520994A0C01642033D010AF8A236D28EE4900FE62345613B784491E43AA6129C0489E89C41C3FCC8924936A4081704E7C9861C4955422B966403FD2B9';
wwv_flow_imp.g_varchar2_table(8498) := '359B7F280CC710664019462E663231E72759B302B19F11BF25B7DC3E18FAEB8FDB34052087290070C188815C4882DE110E02C1857B2DDAE28FE630B262082054300100092A82E001F218BA41BD22CA8538E28A224369AA7268EBA71B46B2B90719789E61';
wwv_flow_imp.g_varchar2_table(8499) := 'A79A6CCCC9A69C70B2B906CC6CC209A79D485CF987187808C5C6A55B0000D4162FD53104997FEE014AE2A6841B5768A34DD4A28C2BA4E4CBA038E68211802D160220FF694DAD6017802ADAAD573D8646D87723C32CDA212334EEA02A21BA4239BA6DAB68';
wwv_flow_imp.g_varchar2_table(8500) := 'ED87B281F6E1C9299F06BABBA2BADD0E49B844F906DC43330088833B4F86AC2BAF38602D630B2D98B60A08AF071A438B83D07E8321B4011863692BB6628A6D4F3239E8DFC04F9FD824F87CE3A79E7BE2AE279FB8A5BA5B32865E1F682ACA641F28E8A980';
wwv_flow_imp.g_varchar2_table(8501) := 'BAE76FDE51E78868E28F074E8779E15ACB22B6D80260C6488684B52A38FCC8FC2F2FB69E52BC83AAB0E28CEA3B02C593502A71438927903F7E2AB8AF0A3AEF8BE4C79B7D8CFCB63F7FAAB80341A3F119328BF342B2344D75AE720A61081200600420C88B';
wwv_flow_imp.g_varchar2_table(8502) := '2156F002E842C2B6F201C00D47900222F477BAF75925FF7E1609DA063B823F1196902399BBC20A24652986B8E823C1500643BAB18D005EC722DEA3880321B7C08134907B0751C291006007002481223D0080952C623E00DC657D26745B07ABF2C18A8410';
wwv_flow_imp.g_varchar2_table(8503) := '8AF743D415B548913E082409284001BE00A03C10284F4843C288BAD41589BBD0080031041400E2419138C0E10F7604001C2A12290028505E57F0C24094F0C3329C2109543082032B32862F94E10D7CD0231CF8F0852724C1165B8C98FB548712F8617229';
wwv_flow_imp.g_varchar2_table(8504) := '871A8E27B5A88EE8E08821D119873A6C181D86983223EBB0E141D8D1298CD0323AB434072D95329074B4B222EC00E640D4910E56B25298AE94A5288DA64994F8E6277FE307FDA6E2CC8B44F320D6FF54A64540F9B76C76F37E15F9943E2E528F9070D253';
wwv_flow_imp.g_varchar2_table(8505) := 'E02467477C634E6F022E78903189394D321C6C56112616C947A2FA01947AB61300C6F36740B3244E8106945647A9073D7C920F7EFC2368F470894A7E728FA2A94E75F02928434898518E5E84A08BE147383B8A498AC2D376FF88D34EE811CD7B4C0B1EE5';
wwv_flow_imp.g_varchar2_table(8506) := '28493A5A120E5A20C31EF588263983760F7A64861EDC6C276C443452A216D5A84BC9A749318AD261E4E31AB658192DCA71217184C315D7D84937C4718D5B5483ABE110073288518E3FF5090040B36237017A54B6B6D5ADB9532A4A548320753C0314B4C0';
wwv_flow_imp.g_varchar2_table(8507) := 'D93FAE510D4F0CA325D9F04438AE918D6CA48319C30005316ED1AD6A94E316F2D867FF4037FA56CA56B6A0CC5CDD3FDA418C6C0CC3155525863A98F10C713CE316D950C74A526B0E775CE34FB801D92DCA01A89BD0AF44D46CCF642DBB5BDE7A12B333A1';
wwv_flow_imp.g_varchar2_table(8508) := '4939E42612970C1700D848C7CF7A52937CEE23A8EE885B6FA53B5D2D522C6FFC6868437F22AE7DEAF3BA146968A2A452349F60D71E69FDC71CE7680F7BC4E31FF3E89D3DE0638FBD7544BEFFA0AF87840A54EAF6D7BFA8B32EFD6AD7BBFA55E46E0CC5EE';
wwv_flow_imp.g_varchar2_table(8509) := '40FEE1129AD0B7BEC0F9877331025CE2F443B7FFC570868516608D50312309C69B6F28338E2C64010059B840182E000015B3F8022886F18B532C6315C7B8C634C6318A299285590040BEC7E9C736353C6422978BC316B99B8741FF88DD10C60700940147';
wwv_flow_imp.g_varchar2_table(8510) := '031C30800108600005B0F240B24C910100400000E8F297C1EC65318379CB5EEE32000A00000574B9018FF0717C1EBC180B67B1C877C633968E4C95DADD6DC1C505C03814E0808A28A022695E3347AE8C91448379006FC6EF7AEA1CCA3C57DAD2C6D97355';
wwv_flow_imp.g_varchar2_table(8511) := 'D8791497C4031C0E20B49A0DAD6652A77920A336F541D23C80361760D1651E4897530D69F7CE99312EA5F4A575BDEB4E661A24CE6CA6824D62127DD8E3D3A126741BE01C8631AFF9CB5F1E35451A5D006A379ACA8DAE88001ED1DE0213E7C2BC0677B83F';
wwv_flow_imp.g_varchar2_table(8512) := 'E26BBBD18FD8C606B5A11D3087360840018F5840B415B0E278C39A211798C345420D801553FB206FF6F1828D3369FFFE8ADBE007D7E69F057E6B063FD91EE348F7AA15208039CCC1CA03D04518DA008039849A042B26C1414CA1EC06BC380CBA38F18AE7';
wwv_flow_imp.g_varchar2_table(8513) := '608A17C77A200D68433FF27B1CA1A6F5C708C779B881625D0803001FF63807091C700143B761010D10401B883E10450C240F03D1C53874D1742D0360E30C11C52C48F0085D4C82130030852EB240E597B7A1D8EC1172CED58E737267A5B8FF3887034840';
wwv_flow_imp.g_varchar2_table(8514) := 'E52F3FE211839805B3A9BC624E6401E55F3F88D8997E10510060108F0883290ED2E3593CC2D5607EF33C6E6E9C6FAFDDF21ECA9628DB8E1597FC3CEE0E18750146FD6E8B1B7A1673C8421B98CD105D6019EC033131EA15CF09C503E012036903D90100F3';
wwv_flow_imp.g_varchar2_table(8515) := 'B3AFFFA7F29707FE71D4418BB48A70E79BB4ADDB7D0E74A1B359D66A167DD5278E657B0F04F4D6FFF2F51B106D00105A008FDFFD23646EEBC6C026BAC1473F7B52010A4FEA68938C01EE3DF5F10F8867E1D95D5E739AAB0FFD548B5ECCD576342A43B458';
wwv_flow_imp.g_varchar2_table(8516) := '233B073005F6C228CAB3B3F46340E3B819F2B39F9208B1DFE83CA0933BDD73B98350006C33B4564BB581C0B6584B34D1CBBF343340FC82C0C5F8BD0664C1ABF80762DA22F79BC0C7783B88DB88FD3333BAF3B20CCC882A13C0477B84483B8E6959C01634';
wwv_flow_imp.g_varchar2_table(8517) := 'C2DE3ABEED4A3ECEFB896981855E28BC8380055198425860882904002BA4420088C28E8042C22B3C2A140BDC728CF8F991A43AC234B42C869241FFA0F0338F20436FC9887E10A9FA19B0048C3000A01B279B4186D8873FDC077D68A87D9809F810A71484';
wwv_flow_imp.g_varchar2_table(8518) := '1F33540A3454C3467C2B09C4AE259C4349CC087CF088C9A3087B903C1FE344F9F2C48360AF5014C5E300B13A9343474445A3E28736C4A69848C1382CBEC760B259A4455A6CA6F222C5043345464CC55E2CA871D9923CAB1D79680711D11D5F44C680F209';
wwv_flow_imp.g_varchar2_table(8519) := '9CA0C49070C566E488585C0A01932744B41B052346694CC66D24A97E703F68ECAF93008A7F90076E34C776BA07101191A2718AE009A17CB0448628387C9AC790C8A77CAA4578C48778C40876B4C7B31A91E029C7A13AC782DC2272828776702576500786';
wwv_flow_imp.g_varchar2_table(8520) := '74C88684C88794C888E408871C88FF87BC91E8D0C88B34A6A5B0488E9CC890A4888EF4085362875DAA47835449F6719D1149147FCC8A740A897A68C9AAD8C79BE4C78AF04799640A72CA078AE2C595144A92C20AD7B98AA05C8F7CE0498C58CADBF909EC';
wwv_flow_imp.g_varchar2_table(8521) := '4AC9A1944A0DC3499CBC92A8F439ACBCC7A9E4CA2B1AAF27738A7CF8A88FB8C7B2C44A59F416979C476D3C88B2ECCAB7449DA6AC89747AA7A980498B60C7BBD408B3DC4A0FF1C7B11CCBB3D2877B184C712AA992824BA141CCC4AC228A383037944644AC';
wwv_flow_imp.g_varchar2_table(8522) := '9BD9B9AF7219B0C03C0A867028731B08710247C6C492CF249E8F24AA7C28478A900760728776800778700776684DB0300A5FE225757087523225DB74CD8D984D8B4026A7D825FF8C70A5D7ECA58B644886784D632A256292C9D87C8C930480E004CD8F20';
wwv_flow_imp.g_varchar2_table(8523) := 'A5DE2C2147000048008042202A1DA1C99728874BBA2400B0855CB0055BB8831E60811E78018BC08129E8812918832AA0022FA08221128331C88581A8060020946AC08669C086831050137906DC400600400668288429380300A002316008FA54A0FB4482';
wwv_flow_imp.g_varchar2_table(8524) := '27A8021EE8812AA0050BBB07D711AFAA1887E29C4EAA0805F6BB22EC748442D0A0EE94C07BFA87694805BC1A885C8885EDD4010DC8800838008BC000145802075D820F58011C98010502804F48508AE8906818D0F520948A788668F88A81C89658108333';
wwv_flow_imp.g_varchar2_table(8525) := '78D03D00802858022600001C58021DE8011D58821E4002237881FF0DE002988827724C40AC38075DA0861205094670044AC85315651F352812866851A3C2099A68A86C480500A0055AD8CF5CE88429608003C00000C80000608081288149C5001A20A229';
wwv_flow_imp.g_varchar2_table(8526) := 'A002155A021AA081255882455852008006273DAE67B88628358E69B08803FD8A6180060010067288845670844D78502818081A18081CF0550008810DD0811778802A7053BC19C8AA30851EB3D3A670033C708383082411E253A30291BAF907433D88FD8C';
wwv_flow_imp.g_varchar2_table(8527) := '853E60804A258003880000C0801238080688542A10553108550000D325000031D84FDC3888038D8668D82B007055E2E84F29B5D781800668380655F8045538035E05001A98811300551C4057002857067800FF06488264850FEA680C2B040071F88677F8';
wwv_flow_imp.g_varchar2_table(8528) := 'D874288767A5882790028C3882283021EEECA855C409CDBC0657A0D1FDFC8423A8548688007415020C78549E7DD41A38832FF5D28190D74E98D5254DD02AF5CF81D8D7C760558BF80A6418066180865A00005558043D50D81318084C1D8847FDDA003882';
wwv_flow_imp.g_varchar2_table(8529) := 'CC94098D6D0C6705D991FD865E1259920500218858861002D0049AD67CC36D9DD15888055AF8D6103881486508AEED5102F85A73FD002678021A6002600DDA13B0836310D8043D5086E810A6F0AA6918ACCCBD88BDAA5C86A85264005D53B55A4BB0043B';
wwv_flow_imp.g_varchar2_table(8530) := '70824B95D8490500031808C21D08030880AD910993B05BE078077128077170DB8C50D9F51183FF271083289050E2F984B67A1DD7A40906E3861905801B0D8525608013B85986005B8AC0800F8057EC1D082888021AA082581858591D88AF505A86A886CB';
wwv_flow_imp.g_varchar2_table(8531) := 'DD086488069401145775DF8AE0DC8BF80A3F31555E580442000027D8D14965011C7854046088001888004882F7F3C697650C381B0871D05D00280712DD5D2150D92E7D8209668826409E4F5884E23D083B50838CF24677D05601E15B0008853E28811000';
wwv_flow_imp.g_varchar2_table(8532) := '801EBD080378D44AC5001CF059009881C385021A38831B158681888667182D00E85C20E6CFA5CD886C505ACD059401ED5786785ACF1D88042DD8FB850227000004385773AD541666080220E08BCA58E9C48A5228058BB899B1208E2138C2FF2690608DC0';
wwv_flow_imp.g_varchar2_table(8533) := 'E00D52030F5E043C20A2760A321176D3865ADE12EE042AC0DEE96588033880102801755DE1E8BDD9486582C615836398556838D0C9855F00F0AAFEBC867EC55C9C61D51EBEE46940198AB88620CE08662006B518064B000042A083BF055B0C90DE031057';
wwv_flow_imp.g_varchar2_table(8534) := '86805D64D507370D61C660366FA0884290821FB0005770E0F5E0866F380E217AABB9C560216863005063008082B965E683A00121F0D5122881F561518AD05300C8E6797D63EC5C0F0EAE88391E227FAA5BE89A09BA595E1B75833158821A28012D765D4A';
wwv_flow_imp.g_varchar2_table(8535) := 'D50089D5802510025776E5428ED7EE3D835C388661C89651BE886AA8DC7D3568CCED5794E9CF4E665A86780E1AC93CCA8564FF0505806CA90526200300488348855430DD03C02500033800D72560B0C41BE7640C6B400700D0864F280600B080B13508B2';
wwv_flow_imp.g_varchar2_table(8536) := '600F6EF88D0F9E6362EE2D67CE0869068088550396450800C04E3DC5D384500331C08345288EF5C103CA020A739E9B7F48E758E8043560573F0600D725DC00600033D5819BFD80253800AECD00C0A5814F20D8051D885F28DF83F85756ADE48188234F06';
wwv_flow_imp.g_varchar2_table(8537) := '94B9A68829C58D1F3E882A0D62D085066F68022738052EADDE198057C47E5D923E92953A69B3758C62D885217A8826EA58E018023390059BC619617E0C55188862D80400F882DD0A56B95D58689666B885DBD4C6033E18086F3E6A47C0D3811003355083';
wwv_flow_imp.g_varchar2_table(8538) := '15758440250EFF6FAE08E0ED5D3118DE6C8A6A6742E754C8055AE8043BA8020C88E703605DD60D8000E8D10888D4BF85D4AFEDD14C9D812570841D0E680020865F500B50B6884A261457AD6B7E45EF4B1E628E98DC67102B597DE94DB084079D010C7082';
wwv_flow_imp.g_varchar2_table(8539) := '29760232A0E2D6E562D83522993C60E2F08545D80325610F5918886FE0069B8606CE1ED859BD0A63688681E082D266ABD37EDB686608855DED12985B11FF6921C8006786ED81501B8C58EAE378EA8100674758040F8E82F5496A745C45738689E3CE8554';
wwv_flow_imp.g_varchar2_table(8540) := '38E10CD0E2D75DDDADE6E2ADD68008D000C06508C4CE542AE803C80580899ED20325E82A8F64F79EEB286D6FCAD588F89EDC2A1506D03E8434C868C48682FF3438082650EC7125F2BD88BFD6644BA640858398735410831DE0653C5886814804067F8CC9';
wwv_flow_imp.g_varchar2_table(8541) := '7DF081988659E50668F0ECAAB8708B2805C0E32D9E3EEDD67E5B8608EA83F0ED3DAD6D13B9D6ED1C88FB2CA891D07187FA076C40EEE60D85B01E5C0628D7155EE122FFDA54A708573E0126E8032AE804810D1521A688FEFCD78AA80684266266D8E4A7ED';
wwv_flow_imp.g_varchar2_table(8542) := '4FF31E081F66860EF95C3F39863E388407CDE8FC1D083A100432C868255FE10C18CF970091632C0E25910573D873E2E0867EF5EC4207804247F759251D863006533E08E8A98897B6084E1863CB5263851D089E7E5B118FD86AD6748889F181106781F274';
wwv_flow_imp.g_varchar2_table(8543) := 'B93A0A51DFCF5448053100E4814081795E5DFF16D8001626809B35800DD08091BED9E8D581DD6EDE6778E8A6D82BF4A6EBF46EDA4FAE682EEF6B5C176F051D863EA8823A000032505832A003493885FEFEEF83380016B085C93C949F3CCB9038058A8001';
wwv_flow_imp.g_varchar2_table(8544) := '0B9020F1908344D023AA188221D8020018827B79065775F081F0738AF8056E60061A3D085518ED8AA88231A8D68170065FB0088EA52C9E16025E75F485857486E0834BB708DED61BBD6C8AB1E508DCEE74D774263C1EF54385841018E903D8800840F270';
wwv_flow_imp.g_varchar2_table(8545) := '3D00EAD68007400106205C1DD88042A66160C5813E50853B305A871EDF8D201456BD64D0C7EB83780E62C78D1EC68D614850620086E685025E7DFD81C868FF1E889D8F6137780697889FFF6C34E9C56085C93EE54002051B198820308335188835407E8A';
wwv_flow_imp.g_varchar2_table(8546) := 'D0708EB000D2B68020F8818318F7EAB78859FD0564F85374C18822281B0078695EE00586A8F752808552E805AB4B7FCB0A569F6E6D7D97EDA2A66DDA26179C8671A20E052817A51C972BC007085BB142E5FAB4E100010011184440C8608301000C1E0078';
wwv_flow_imp.g_varchar2_table(8547) := '60E000808C1A0F7CC071820A803BB998690440CC24C99219A395BCA6719ACB6900A60D03906DE6B56BD5323E6379F2D9B3923B013C2389ACE4B063C0F6E87092D1C98CA7640030017082068025008C78CAB84FA33C77FCF2E55369F62C5AB3ACCEE20260';
wwv_flow_imp.g_varchar2_table(8548) := '06CB9A9272CCC44D9B3688C61F2F9F710300AD2F00297A334E8356180022FF448E321E02D00740922443D2363BDBAB14AC5200605D2E95A897AE7DFFF8D92D6DFA34EAD4AAD3960020A484109550B0BE8EDD3AE313007C4A2E66E4C8B76F006200B859E4';
wwv_flow_imp.g_varchar2_table(8549) := 'C88F233899563307F009AD1DDE1ABF35AF6EFD7A5A7EF0DCF5EBE7F51FB754B93286F28291C0818807020488A021A1C4071F18C0678011C0010C4B96F0A002899830192193125041AD745A4C1A2528144B021E05C02BA9D0320A33453D830C30001C45CC';
wwv_flow_imp.g_varchar2_table(8550) := '30499D7182135895E40419214201C014483421421900FCA3513FF200305659D8A975CA29686D93115E6698E1D61A5FAC5117005800F00500412009002DB20070444616043659468DFC82169467F9319C4A8F8D018016FF609E168C46B000809966610000';
wwv_flow_imp.g_varchar2_table(8551) := '4E3C36BAF926734234719B4AB5D1A991102266F49A6B42E08107008E50F2DB6F813292D16E883AC20722709646095A6A98F5C9738E5A7AA946F968C75D77FF88165E2CA984D2470D193010404609A19AEA011845045F491800100215344C310624D02073';
wwv_flow_imp.g_varchar2_table(8552) := '9246150210CD500D0E05403266ED045346D9C4E45246D55CF3CC2DC390748B2DB668F42034BC9A949130D0F4C14054194545461A504C710600764481841138B8A1523FF488054059F7C0C925006BA1B6C51A3FC605060043AEB105007880D38B5F00A8F0';
wwv_flow_imp.g_varchar2_table(8553) := 'E4114304916546C9FC05802CDF1CAA111166A941A563534CA1111A571C5952A3A5215C522260F4F28F3DFFA461FAB2A3519496674934C496279FB645A1C662195D0C7373CF5122F4738544A7D1733D03BDF475FC84D5DD77A086D2891B2BDC17C07A0024';
wwv_flow_imp.g_varchar2_table(8554) := '04EB465C6784910E3A60D047219004C8A15D0D9686EC34CE4EA3EC4BD7C8A413513BA97D9A30B560202B065141B1C7218D05FA98184F88F0E55719C5DB0E3FF7D4E8A82067D0914649DC5087D68F1A119C91C0008041CD4C576654840AB149811700A038';
wwv_flow_imp.g_varchar2_table(8555) := '3931348BA5F0436CC40190529756889C911668845992E02A2943E6596D68B44F9B4C1BDFDC13B1BBA6D189B1DB46B3CD7BD2999BCF8302E7C8718E1482562A0024FEF2D0900E1D68A092E2B108D2C7ABAF9AD39C66C40F78A9845A481408C1CA1E00FFA8';
wwv_flow_imp.g_varchar2_table(8556) := '22745F420865C40003FE3705062CA1139E1046863252130D1165353061D64E9835935F35CB25D160463598418C07F58A24C3D8D5B600308C54CC2080209A411A3651885A7CA213A1C8083062E1073F7C2571317207BD1E67A35EE0015D00800219AA9211';
wwv_flow_imp.g_varchar2_table(8557) := 'EA9C43260058452240918846C8814866E0D78FC0B00634C82123AE60924AFC00074A000200AE08105A64403D6C440C005CD85D465A0480DB71E176A55906004E06801164C448EBBBE36AA2003100DCA6093FAC139EA07033D8286F50D62314627EF6AE92';
wwv_flow_imp.g_varchar2_table(8558) := '84E3454CA35449D0972EE940038F96344BFBFAE132F8710314000845156485B500706D55EBD91FAB2482018C60E0093A10432A02248CFF61646881BC02CAAF8685960702C06EC6B25B3582C98C61548343B4E320306821C20466C4163A38800E42F0818F';
wwv_flow_imp.g_varchar2_table(8559) := '7D6211B548C531A001C664D2621FDFEB073CE0D10FC7BD4933A5018C4A6421478D2C110C5504984602A42B3066241619E99E4AE8E985DCDC4123C37846174B7205DBB5510A2A018211CE020DD195629D3920C125236A972124AF24CACB48F44E549226C8';
wwv_flow_imp.g_varchar2_table(8560) := '4C231DD5C8F532E2878CE0E10D8E7005EDD4F7094839A2528E305FFA00700C8946745350F3147840110B47D4400706200029F32754FCF52F2317D1480478A006A389E10EB15420326AF2A00A19E8572E719659E6569269541582D720C6491608805B1C48';
wwv_flow_imp.g_varchar2_table(8561) := '252461C6AEB405D654BCFFA11377E0411FFA60074A1C838300B085306C71946F861300E4749393D222D6D3342223B25845295E518A2B81B1925A02C4154B72942298E528F4B44BE6340700359A0561E6CC08C7682ADAC09CE636173D0BF5CC5288910280';
wwv_flow_imp.g_varchar2_table(8562) := 'B5BE5B5FA50205A98201405219692900A823A3D1AACFA6DE190D7842410B3E94E03E1959D57109801E581595013868421FA6160B48C42240CC1CC6497E52D55EBE44282AC12A5A5C925D92F08A57D8D5C806D31B55B4658443D080446D43018DF1682417';
wwv_flow_imp.g_varchar2_table(8563) := 'B9A0C5534B024E78F85587D57985469479965014B6249B438B12504309353C21C11AF1425A70509A80A2661400009E46028B3017F80075BCA5E9C24A32988CC0E64EFF182D319F3C6A9691326237CA1C617696365B0040AA5247539AD2D4918E0F1BCF3B';
wwv_flow_imp.g_varchar2_table(8564) := 'EE036E3642118B3204F03EE9519550BF7691034440212C10811BC630067C8E87991AA924819A150DBA0D651A778B0698012037097A97AC188CC63FC79A12B4ED6A435235895885710C4440229BE339869C01900B57D0221683755138FFF157EC2C0374DB';
wwv_flow_imp.g_varchar2_table(8565) := '450B2277E38637A0610B5F70B44694A4915B0078822549E86900759668E1E2475750820F32A28221482935C53A13687390031E47540816F841A9019082D6C0664FA631AD10D4E0062E0060C400600425BAB72365DC441AD9D84636A4110E9701CD11A168';
wwv_flow_imp.g_varchar2_table(8566) := '29B4357234E7A8A41C8EFD646DD52033F49D8FD5D6C9FFA446E017645AA8E122B03A00438EABB50834247F19C8C00B74C0824214620CB1A8722E80615D1196E4D0C0D2C84E74C95D3167E41A188CDB508E32D561D0E241BCDA90C255C2A16104C893C050';
wwv_flow_imp.g_varchar2_table(8567) := '4A026371EF7A66A81F36ECEBA04D83040000C13519D3481C4621BAD2D8D32E7C28041F66B8063F683A23132BC9C9ED3253EBD4C58E66810300F0A91139E620B4DE3E9E106E6601576784031CD08889495C92A867C40414B081462C4CD6224AC32CC6BEE3';
wwv_flow_imp.g_varchar2_table(8568) := '8C55A2B4A41D1D68A471DF8CFE918D4CC42212014415508DCA35067020030840080E7E80033AF7A10CC018CF30C6230CFA265057BE42CB972B48708DFC7B25D568105889718BA0DC8218C020AB08FF39E45E7EE73354B968F92745756700C40214E3F18E';
wwv_flow_imp.g_varchar2_table(8569) := 'E2021DF2D340490521CE4812DCA40A1A03A0137699063AED62FB847DE231C59869363342DFB3A8090C6A024017C0D005959002001446358F2C108458FF03F5657FD99C688015A74FA0044F9F8010528016E5E5460AC39142CD29000034BC821998EF6E49';
wwv_flow_imp.g_varchar2_table(8570) := 'CCB18D6A741D8FCFA979462A853E498961671FD5C8F9D8D6F5B1CF7674473F0017367882A86C4050E58FD71C170364C0D7B080176C4F21B8C11D0C5E86245002750B321C053384605018C8500CCBE39D6065954498B144545D11DA84954A200334D48458';
wwv_flow_imp.g_varchar2_table(8571) := 'D1D2304083A8D4DED464442774C2274082907D8202DA93A764C43F809C7F9DC60FE4FFDC5994CC69D4424C4DCA0BA904EE1D0AECE8C50DA88432CD54315001147C14F05D9B598081F1794E18C0D31996043C55C2590C811B6AC4380CA044518F1848811A';
wwv_flow_imp.g_varchar2_table(8572) := '70890092944A48CA13C4010074C39A7443FDEDC859804336DCC41D4D61744C9BD200406E0C4714A09FA46904BEC8216A9C9D0122A04E65024468CDD5708D71315900F0802324C1128C811BC4C2DF31097E598B3F39C85991E0C031085AA49459D0E030DC';
wwv_flow_imp.g_varchar2_table(8573) := '820631D0B660D779B19746C4029D354A27C0574984821B20C2D4081900785C33020012FA958D5096829CC627D4422760634638A15D54924C0801ECA4C5656D1BB764443615432A94818791A14618093C058C1465441225025A04FFC116E045297C962562';
wwv_flow_imp.g_varchar2_table(8574) := '8A37D885A6A901FE69DA6EEC061E240723C0011BFEE19AFC2121A60520C2C8FAF482242DC2B469CC47016446A09F0FEDE3251620EA899B708D01015C44442000023040022844452080D6E44FAB6C80FCD89E3DB9A280DDD7065E5603E112009051B39446';
wwv_flow_imp.g_varchar2_table(8575) := '35C8A24618C82D7C20310C135A21052F9A1702D9A01D7841C9F4A046E053285C202474022D585F77446373C446C6945C12302176805E419C053AF50000DC8059AA44452AD4CE519B2401C0F6C856234E61B7F8056004C54372248F2D465CF2866F005D46';
wwv_flow_imp.g_varchar2_table(8576) := '246436880338888346B083429E863E18CF2C64842E38072A9C052AE0C1D17C546ED4DC5B96463FAA822364A6B7DDFF432675CA0166032874020C1840002140043C0005A8DF0650C00664C403208072690D0A78827D61117D0918E6D512E6D14E5104DC9B';
wwv_flow_imp.g_varchar2_table(8577) := '481E5921034BD862494C9C020140800C4326F44155B6506C056379F48127809E77EC1700E0438D9086BDA0062160053562472AD402E84D615B0A9D46AC1C731C0339641339A8443168442D4CA14684C27C9E461B244218D06318080F44EAA5F1A04F5C6A';
wwv_flow_imp.g_varchar2_table(8578) := '4FA020476BE1811F30822769843834E46A44022EC4A1F1E8C22CC0023864842F68686446122A2CC287AA8426104246A08B35E4676958C3860E2026F2C30172522A44C242A0640450C0D301800700000AE42807880005D0E64F854026588B7DD1822D2893';
wwv_flow_imp.g_varchar2_table(8579) := '80F9FF1330FC194F542315025C4F9A60BFCD0E950E5C4AD8159CF15B4D346728706327404A28F0811BF4811A20C2279401242893C71960388D5312AA86100C81AFA546C565447D16432C14C3146A5C412C47465042839A06B6B4A5CD9504F001001422AA';
wwv_flow_imp.g_varchar2_table(8580) := '7358C32714832F1443A3A2A7461C033AF1A41942140090C0F1CD88F509E8A5C427A294C482220223202800B0E7429AC338A803009CC35918E65918C21F8C823E742AA6CCC263E26A2FA842A2FA822FEC4249A0823574E859400121CCD4E564443FDA852F';
wwv_flow_imp.g_varchar2_table(8581) := '4C66D9D9146900592AF0C10350046B72000A98800900000C94C4B68AC0494AC41D24902B0658469055B966845188603460032E1DDA5948E9C0F9FF04E3A96B5A3C0832CC1273DA42A3D019EDDD9618E040099C4009BC4B9AC24877B88338AD1E73C82911';
wwv_flow_imp.g_varchar2_table(8582) := '609A6A748546E4A73D8D4731E44228D8A717A106E8059F59CCE7B5E527A4FA42283CAA7CE6C2C532E7BDAA2C343889808986A75ED2F6240A00B883399C03AB6604CE9E433BA8443CAC434664A84AE42500D42AD33CA62E804329D4823324AAA272E82E7C';
wwv_flow_imp.g_varchar2_table(8583) := 'C2B002EB69B002D502C02E64EDB202C03B788336B40245D2D68785E6FBFC0336B842151840B5DAA80898C00BB000B7CA8009708009788009C4C00698240324813DD102929E450281150355123658AA5F1808335C505A84E0DDA84451CCCE2F9A84C371DE';
wwv_flow_imp.g_varchar2_table(8584) := '320180BEB9151F084A6C2D0625D0FF8F0E004006D09927EDC3016A44CF7EA78DCCE9697842A380C4D3D69739DEA72B682C6A4003A15E19A1EE5C3140EA7C5AC359D0D7CE41C3CDA9C437E4DEFBC42C9CF86E6A5882679E853A002D00D00300AC83F46A84';
wwv_flow_imp.g_varchar2_table(8585) := '3AC4A1323052462CE6D298494680CE7C3A83A33A6A656828D60280355C2D5AA0834AA8AFF26A043978432B64448E68C42ECC5E4DD52CD4A45D3678C20B204002D0ED0E988008544446888007D86846C0C00B58EB0B44022B0A9832518B2B500B5961DE51';
wwv_flow_imp.g_varchar2_table(8586) := '40433140E18A0A2F3420A7595C48E29E858554C85186904AC4197302033038821BECC66218281F88811740422A2CC21394C01120422A7C05F76644CFBE8911A86E69445649E8FFE9EDAAC4405C51920608CADA178AC22F00182F00C4675BFEDE80A5ECC5';
wwv_flow_imp.g_varchar2_table(8587) := '463134B06FC25031FCCD08F2BE49FDA2862AB4022F64C41E9883F4AEC36E95449BFCAC4AAC8339AC02D1AECF63062D26684346F0315A6CE82EF882EFAEA8461803006CAD31ECC2FB6644F9DA8522136B4D7964D986831B003007A4800750040750400424';
wwv_flow_imp.g_varchar2_table(8588) := '04025084FA3D5D0C98004A52C01DD0C22BF09946D80259A9B0547103141E822668423DF98518A2C533688B5D04C55116657B694486444B3CC5021F3C46A0340ACCB9811A504113EC4628888110DC01287813CC30E13180704904EA3142E1F09D0675DCB2';
wwv_flow_imp.g_varchar2_table(8589) := 'CADADCC49083ED5AB1ED4203A86684C8868235D01716EB994ADCFF3260A0D3347C03EE8DB1A318F26AE87346D0033CC8B159482F3D50EF3C64C43898435B08ADB101E20FE3517E3A0300688333AC6820A36F33F8023F6B042BD03276647489AA43F1F416';
wwv_flow_imp.g_varchar2_table(8590) := '34EE2FFC5C43121880FAD126AA34194B0240491A7045B000077C721548C828C40280BD82B5A4AB08CD12371403841DC2223801007189B43010BEA6D406F104721E255A1D13962ED336414A1F604FC9F001A0BC701F884155EB1112B8D6F7AC8F262C8224';
wwv_flow_imp.g_varchar2_table(8591) := '94442AF4654974B369A0D3CE695C3CDFEE391FC3371CC34C59F1C71EC3EFE575498011370C2F367043367C43600F765FD88323E133D3CC6F46A4310064B43C84F41C6B84F43EE44984432F751DFD3534D380FF43F301403168C367AB44F96E2844570621';
wwv_flow_imp.g_varchar2_table(8592) := '67442B188347AB46D69E451D48237F1D8FD38853B4E6C33FDC020524C003AC0A7CA8872767440424800422800954EB0E2C0713DF158450CB588DD50701C3569FC11348921AA08F3D0903BEF64A0AA2850C5E6979C1200CAD705E09432A20C213B841A500';
wwv_flow_imp.g_varchar2_table(8593) := '8A242DC6B3297314E840047C09EA3ACA1180A5BACA823E126821342F7308439E69445C0066CBD5B5CDA53339671382FFAECE39D6F06E555F64033750C33764283E20B6F1407222AB047F41AF692883D0426946D40363066D5A7C762D8CF669AB04449704';
wwv_flow_imp.g_varchar2_table(8594) := '2FACB6466CAD68A3C51E64048733CD6C8F868BD876267C32DC91D2AA4484462000903F000710FFC0063C9D09A0C12D281328A0B293DF152B13832D78C21830000D1CC2FF658425A097763787C34D6E4D00832D84F9020D03248C011F4441D9C05CC11887';
wwv_flow_imp.g_varchar2_table(8595) := '0BADD4271402153C010E18807C93EEA5941C5A54123DFE6B24F0AA59A8B54CF9374ECA94D2EC513CEBD9CEF585F1BE27387B36CA1EF16A5C4EB25AF868658388338765E342FD754338D483AD320DD34EEC316843A9D782AF964423ABCF1914C3619BC539';
wwv_flow_imp.g_varchar2_table(8596) := 'C42162BE0969D07688FFC31F1040023C60AA18404B0339005000012040269B0011B8822D80422628E015D9C22B0CC32BF84124780103EC0D037C0C0664C0544001BAD4D560ED6272DA852D5E9BB620503CEDAB111CC13E19E37E3B866344FFC72220821D';
wwv_flow_imp.g_varchar2_table(8597) := '08010F20010678C18BE0798062C7925C593A931E0BA9250094B538E2994C813118DB0539F4F53708AF38D7F51527B14AC4905AA3B24654C2766543390080615BBA2555462DBCF11CBBAA5D84C3363CE42AD483661F0F2F30ED7CF6637E1A032FAC6833AC';
wwv_flow_imp.g_varchar2_table(8598) := '385A187265AC3A0038833EEBFC69C4366A8043F67E1B34E23800D4C33FC04100D0A64A305749FA7A279B240170C003C4C00E7445F71871D06582150CBB447C7D4664000D9C8888EC1C93A6C685F8053388E151501CC5F1DB52F68104F280184042212042';
wwv_flow_imp.g_varchar2_table(8599) := 'A210280C8F4113F0000DF0400640984A04319CE05F46F485C4034019A345828B612501C6A3070C2810833D258AF052475F40FFC337C4273AAB86E1AB0491783CABB9B869C0AA46D4DF1AD1142FE0EF7C6A83D3BE891FABC689AE46D7E9327390863C8C06';
wwv_flow_imp.g_varchar2_table(8600) := '69D043D207C04F790D7AB8B451B12403F83A4B566B0CC0802130432C5C912744021C3C8107003B00A4644944456B4481D29C7D739044DA63B77FD3603ED99E1720011F40822320C2DDDFD67340821DF8110F9CC009440084551FE98253A638CAF035B846';
wwv_flow_imp.g_varchar2_table(8601) := 'A00340E8022007130083078BC502704C98C16300B81D8466D0D5C367B70E1AFC9211809887062382E4F64D220072008A75E4B892E5C1362D61C6943993664D9B377102D805A0190049DE008C33782EA8399B712219A49793E9CA4DAD5471747670278056';
wwv_flow_imp.g_varchar2_table(8602) := 'BC56F6042A33FF6AD396E0386603A0ECE0284F0048E5E40740DE3F7E6BE9FD8313C040000207EF1A2470C040460406FA064040E1058C2A68942401E0E141DF8C8E3332A06150CCA250306D793DF84C98B0619E871D040640982D61780054F904E920A44F';
wwv_flow_imp.g_varchar2_table(8603) := '00284172A406409426424A0088E0A5DFBF7E06FBC97307405F3ECD2B7345246970E2C169BF0EAECA786C22F598DC9ACFBC2104408D541F5946CC7E704BCB052F012C80B9A617C48CD38EC7973F3F67CF839B00B4CB28CEE03696B8302A0B9751E83B0E3F';
wwv_flow_imp.g_varchar2_table(8604) := 'AA9EC26F17555AE1A82B6D506A692B83EC3BA8C29BA421CB20E83292EEA06492C1891F79DA7A0B80B8E63280801557DA6B2FC80EA28B020F92E0C020C008FF8051AF830E0000031AA238430D4700508834D246B3C595B368092DA6D1561A2D96CE3E7352';
wwv_flow_imp.g_varchar2_table(8605) := '1860AEBC32163B00788212471C710D804E3EE9048042FA70430CDB7263C00B00FE01A09FDE84FBCDB8F9CCE42624613EA1020056382AA52568C8118650E642122F24839E31080BAF96038FA305C2A0F4BC30DA0803004D619A069B6CB031281B6E8CB247';
wwv_flow_imp.g_varchar2_table(8606) := 'CE02514D55336D8CB1C6A09DB09A461D00C0E906006900482698103BC425A31003244E559B0EC928C1531A8CA996A9008030235FB4815092957C610AD78C086CA49138FED082A53FCC0065A67BD62A11AE7FFCA06B478E0230A847031000C031BA1EE080';
wwv_flow_imp.g_varchar2_table(8607) := '08130C7A20DEBEFABAAB5D007ACC0D002AECFF40EDB55C00A005618380B125142357420680CBD0342815006C81049183220126B46140E608986342F1A2042F2801C035333BB9AC13470AE1430C2A90380100377BF36D9F7F8423EE4EFAA0592EA353D079';
wwv_flow_imp.g_varchar2_table(8608) := '271B6A629218808922C2EEA090B2CBA411408E13CFA0D35CD234D383284DAF524EC30309D461C92EDB266DAC6176A569B6D130A62DE240EAAC4A0C31BBA94D34C1EF14AB584A7625061D44759446582290A337CCB0A2A611CDE50745BB585CE9DF1BE35D';
wwv_flow_imp.g_varchar2_table(8609) := 'B12E031ED8E006140048A0450026CF8087831639E83200729932BBD136BEDAB386566A08F6869CFC38348C9C0400182C2179A284210D6AF920321D5944CD2884C8000306AA80534E3ADDFF89F367CD52B143216C165DD4D98C348169D16FC60309E3541A';
wwv_flow_imp.g_varchar2_table(8610) := '82438E356CE2A6D183C087E69888364A2F3D30BA566F2512C008023591DFB3DBFFFF39628C8C58420706F195AF60E209029D8570064103005B528729A4E126A738D02E5A818A98306B1775D843F7E4130C652CC3201A32DC1F0EF24000886B268C73CBB9';
wwv_flow_imp.g_varchar2_table(8611) := 'E67297BC64840093CB1703EC72A3CCA5C004FC0280E57874800CD4862385780DC46C110B4A14420D5E10820E387084CC448C181C4146EE38F231620CE3160D0106C27251082FE0C00E9428D3C40CF29A4200800F76104313743044063CC17973E2993BEC';
wwv_flow_imp.g_varchar2_table(8612) := '84AA5001A01C42C30934B0830E4082648F0078C6A25E6110F4C9010EB258FF584616C5288800F224D0809841A410043A06A14B2B118205E808C969702316323848212198CA616125234CC808D5621220141EA40FAA0440125C30059850D0208798162B01';
wwv_flow_imp.g_varchar2_table(8613) := '80B703194413C96A86332E0413BFE5C44306A99B41EE6090321CC40D0FF4449C6452AE179E085D908B1C5E6C68800C4460729803C00B5EE0C3754540043D308217B8C40795BDC620AD7322004E10812102A00419604DD290D11C6860312355DCA268A001';
wwv_flow_imp.g_varchar2_table(8614) := '8C58A80909F204003D61F38998B9D10B5488020E3070B337E90C7A06991E7D429119611403700010204CC881CAF09DF290CFC0C6341A55094A34821106391D244FF9344066470A5CE8522801F00535D026234492892BFF0CF22954DA92A9C7A94A466E50';
wwv_flow_imp.g_varchar2_table(8615) := '848C9C055B4901401C00F0C06966359A06F9433FC8A5CA3100C00BCD5B491D00502CAA18C41214EA4A4BAAC5113AEC615A0699104EDE0080BCF6E10DD1CC6B5ED1E0060008D679D964CB361F274370D670251140C0BFEEF2000098800738C20B0222F002';
wwv_flow_imp.g_varchar2_table(8616) := '233CC10D7D2844EB0C4285254C0600FB04808D4ACBCF274049184ACBC830A0E1DA2B4A4C690705001617568B50D881093428DD3F0140A498B5D10B5100C06823A09B8DFEC620F2D00F003EEA15F818043EB14885911E428E09C1EE3A83442536D60780E9';
wwv_flow_imp.g_varchar2_table(8617) := 'B264222B85C972403B1339D4F420ECCD082D9CD354F9C647159B38C30A6C16031BA8400545C801001497FF91BC02000E7D75E01D089BD5313C1382B6A0057C43C11A33C9E440A850AB415A718AB6020015C0E405300F4288A6B840AA49D0821F0C020738';
wwv_flow_imp.g_varchar2_table(8618) := 'F015005DADE6566B422E79C003B172F1E68E6C7823DD3C7645773140044C2083191280033D2860473A5BCF3130410307C9C0074E60B383D88C031C10D8D548D399864CC4509D89AD414253C5838466340B53C51EA09086297CE003B52412914A27068EDC';
wwv_flow_imp.g_varchar2_table(8619) := '269FBAA1E33FE2F41BFD30973E0ABCC52FA201C9508DCC20E430AF44B093688EB8341AA87CC61401908AE6087226E8589A308814094A5462259CAE04E136DD40D34DB751F09DEFA9353395266434263948C2101457B73FF8E10E7945B00A55089C54FF26';
wwv_flow_imp.g_varchar2_table(8620) := 'F220CFA46A4DD49611425862176AEB70320140860D034015BE8002069A3C132BE41A117070A81BDE20D86A26B88500A0B18912FB4DD0CD907219E071E410600211B42B022C38C26D00D0843110960F88E803ABF1F964D34A596025302B9643D399A55D2D';
wwv_flow_imp.g_varchar2_table(8621) := '3B1311F367B234326844E510BA0480132848DA629D61826700401A8C8B83C9D0209FE3DC289E552585830CC120A0B84646F698E843B744D100002F785D1EAA6C4CF7154C33AF58DC83A88C40E2D707E1B4CF7FCE914A888B24E39906D2CA816AA5D7042B';
wwv_flow_imp.g_varchar2_table(8622) := '18A897075A0080A8DF12003600C01088A08432BCC110280600AD07EC863288DD960E56D24110C108F7AE84826885C9B28FC3000A7000FF04303008893962F595EC4F3323FA360C6F9C911C1E045E1CA8DC0FE585000E98E0095CF0C2139000002450A10C';
wwv_flow_imp.g_varchar2_table(8623) := '0E858D4A6C96D127B3C46622185D4B04BEE58F204CCC63DE9D303E528B621DC2090C7082C56700003DA495108230081DC840873490010A4EE038063CBE3390A34A0552B882418E2F1374608FD23029E434C66B9064C08757D15F79CE2139C898043D239C';
wwv_flow_imp.g_varchar2_table(8624) := '6EC4A76D3ADE6940DA204659CBD2D10F139BCD28EA533F880A76A0828C30C2EB7C57FAC55652083FAC912334700213C8600F5A821CD061996E0F004008260EA12B36C020408023482E26F8C0FE7222ACFE8E9B6288457268F0742C020CAF9C00405F84C0';
wwv_flow_imp.g_varchar2_table(8625) := '0FC4E0070C828ED40035FF10C1A83AE10480EF039427B5A6ECB456C2486407E18401615603001061C24CCF49B0E4186A01C30040000DC2099C40C4766117344812EA0A000401F79C20F60C62370A4B551447E460422C16257C2AA1E738420EE2400CCFE7';
wwv_flow_imp.g_varchar2_table(8626) := '7C6A229246251BBE811BB870699CA62612E12044ED2040E117BE61945822E9F82CFDF8D02072C195600208A22E0540C004D10010DCEB0DACCAE76049955A679AC48036368236ECE02432020A5AE21490CD29FC667B32824BE60E045A20EA5C0080D6E2EF';
wwv_flow_imp.g_varchar2_table(8627) := '1CC7C65844B138F046924BDC10205E58A00A8440088C6B0CB8A4108C2AB418202362D066A48C251E49CB8EE42062C134A2247746663454A1740E620F08610F66800CFF12101500E54F0C220AC900006620027A3103DEA41FF6411C534509BC6525E4891B';
wwv_flow_imp.g_varchar2_table(8628) := 'B0E7949A2692C0C020B2A00B48401EE5110C480000E8711EF5911E01200B162D6CFC48E5568EFB84AEFBDE4318E48020FB70216302086082E4FC00966AE92070212D4E6DAC0EC20BE4CC20D2A09654C1E236A8D000606F0020AEB8C7206A411B522223A9';
wwv_flow_imp.g_varchar2_table(8629) := 'E00300600338C0030E42AA1CB2EA60A20F9CD12B4EB1C632302FFC85DCFA82022880DC324204A8E008FC440DFA000FFAC011E829153EA1CE7CD120FAE90432E0CA0E628AB084BBC00C004A2F2346C3630EE218CC6413A2A20F90700A30F1F5344827388C';
wwv_flow_imp.g_varchar2_table(8630) := '236C8F1B33AA17AD700F0B447186E0F8ACE0F8C4C5A8FF4622A9009323F2200E65027FF01100EE110CBAC020DE910DBE400ECE2B9232E2FA00E0D7382D0E099285A6E10EA1216500402C8C822119120320800326C0FD1CB00554C0FD6AF24C0060220D02';
wwv_flow_imp.g_varchar2_table(8631) := '16C602000AC22E53E909FCC40B448EA896C04F084B07C8E00C8C90232CEDA992652B9E90423882011E40B232A2261F90C26A498474611B74411ADA6371BC8D272187865A315E36E00172EC2044E04D5682122EE3323652264AE004B0124A7427CB64E7B6';
wwv_flow_imp.g_varchar2_table(8632) := 'C4122CB9F2206AC1E20E210D288809F6C012F4800908A17B50A12A9E8A15E80000706F0618800134CFA7C6711F5085E4B4F0F8940000820E111E6925C24B0EE2900D12010C12415308D320421400FFD8000CE4204519930D2013005E61A918E63A26E699';
wwv_flow_imp.g_varchar2_table(8633) := '382D12C01000CCC2204681D33C8120D9F01768E115BE0169CCCF2DDC423495D420A64EFEEEEEF8FEC00D16618D48411AA8A13A754143F0C136CB26D700E0088CCB2090F220D67326406CAD0EA258446C255840B2282023546008A4CA01A54E1401200760';
wwv_flow_imp.g_varchar2_table(8634) := 'E90D9C111794E15A96A14F01801FE621262C903B23A75D88120062310312C086660805C680A8A6D4294F27757060DF6282B45822F4B04819EFD3204CA31622EF0C188009BA67275A411376E21448F24FAC311B938D1B0DC2664E064EC8713E64010F486E';
wwv_flow_imp.g_varchar2_table(8635) := '2F0FC20C00A0110120133282020DC20FB4600D5EF41DD7A00B1EC52038090B82600BFF3829237C80234E4E26A2CF186D1426D820470DA2128245BC64A148C5211B427349D1D5206452EA32020EC0AF0F36A1137C6519FCA36D0E029B9A4AA8448E3BBCC2';
wwv_flow_imp.g_varchar2_table(8636) := '12E900EE3262383322021E60464C60146D80E42AE020ECEE20AAA01208D22257824B39821FE0E102EFC1C6EAE2875A91727A91B1F0C220348005C6CA0EFA800F1CC133F14F0D18C0B40EA204C234CA0E620974074AE013CB3CC363B064676FB6617C3616';
wwv_flow_imp.g_varchar2_table(8637) := '26489730B1ADE24A83442C39AFF120A6F00030E00470A004A460677242426182D732E20BA4C05739E2530FE25A0DA211F955FE2CC0207E606CC796499DD4496722BC904AE55C4E0E7D2E2914F22012E1D7A4A34801401C90E620FF922E5DFD16001E303A';
wwv_flow_imp.g_varchar2_table(8638) := '5902111048141068E9180110745504DE740342A0010D82099080074E0010A5022E8789230EC10E04500D90E04D57C20580406DD7550588C0AB38E20F46211858C25466E262B7091FFEC110E8E22757A22F306B28E50577DD65036A400D108CFF2606FF42';
wwv_flow_imp.g_varchar2_table(8639) := '81063000DF0E825FF12918B94D34B0084BF8876B312617108166B9514017011534810C662F2324811504212E15F4E10C22A358A004EE8C6A6982B9D4772546610894E0426B420BC72C2398016EA70A5BF02F23900A00640100EE9719024D2626A2902493';
wwv_flow_imp.g_varchar2_table(8640) := 'C100A0817AB45B2B21117A74143093D7A6412C48821A6C051CFE011FFE764951CB065A5373D1021720960FBD1500FF9ACC390DE2F3664212323723ACD70DA2007421D7204E77312060B232420C04563E2C1663FF2115E8C22E5AF15DF8629CF20277F905';
wwv_flow_imp.g_varchar2_table(8641) := '054A404A85F7621E2217D4409F60A29F72A304341554F98725082A2332231744AA16FC040366000ADA8A10A8D009623541E5AA7C31C02593E7CE6E827D618285E2872316D1265CCB205E6114F08F402AA1472B7385E6168B9EE13346814358A290800181';
wwv_flow_imp.g_varchar2_table(8642) := '57A211BAD5134A14431F98406CE57F0D426F0DE21F5CD74436980FED94AC32E21084F30CC6C0AA1AE145D115855B89231230261C0E0070A00A928C021EA034711800F00E006E1800AEC0A7D22ABDE603764D241FFE6118124045600277CD8D23FE0260CE';
wwv_flow_imp.g_varchar2_table(8643) := 'F70EFF1001B810664A42A104808F23A46C886C86B4DCE04A6E56A492F120BC282BB9986184A116C46006988082405256D13841C53741D1981B878806D0F70AD71700DA7725A8C6A77AF93882C5BDBEE081CAE32036C24B8FA380B32312A2E20FFA6096BE';
wwv_flow_imp.g_varchar2_table(8644) := 'D513A8EA47332211824E2C8E8E1ABEA117F8A31CF0B59319920B92CF20A2023FF64087E7503425C020248003569A23604008A620F266021357E28AF3854E77A0EA5E5AAF66E90B86A92DE54398DF82989F81037A6C3CE585005EF120FE22167523033620';
wwv_flow_imp.g_varchar2_table(8645) := '9A5EE361FC5018D4205E7C7188F06D9E83D116365477B244AC77B61857C2161A668ABA78216AA1B78ED047626F06D47825E67906DCD39EC72A4EFFF61926F86CACBC5505FCF90AA4C007EAF82624E617848143B8C05B8E4FE4AE40098E4FA40D22C06082';
wwv_flow_imp.g_varchar2_table(8646) := '3227299220E10F8689AF1EDA20E2000BAE2008D88047FF588146013E908636642122CCD57541FA6F01C712ECC00E20BA84F2C31E3E3A5FE5F72064920276395F8EAC26AC97075E2037500B00E857024CC004D4D620204009D600818577D9BC8E297AF885';
wwv_flow_imp.g_varchar2_table(8647) := 'F881989901A9C58D230E8002C8492FF8E2006291013C900F4E472152271752A19F562203A810DF66C0B7407577E2C316BA788A6841212EC6117CCFFF32621A57621B0DC2250F820304EB1FF69A2652BA257CC09733420A44A048E02B176E7625C2752536';
wwv_flow_imp.g_varchar2_table(8648) := 'E2F8BE60A40B9B259EA1391AA57FFFC92B2254E10D1C1A0DB60A0D28BB01A6B591D3282390063403F5B56D5CAF58E2B9508D8E52605DE98B25582023A6A9395722067C1C0020DC20CC3335CEC0ACBC6E6E6582A8B3FB1F98C1031215F11CC3B1E4056058';
wwv_flow_imp.g_varchar2_table(8649) := '44ABCDAD0CF6774C282302588DD5C6F8E1328A0CE6F99551078BBD6243E1CBD46221147261114E600670E0202C5741D5FC201894D5868803A249C12976260021211301149A0900BC450ABC05ABD62E6110E6C2AD48C30F22F9ACE00BB8C00AAC40A4473A';
wwv_flow_imp.g_varchar2_table(8650) := '91B3A369EEB7BAC5E7B6580236B5D890822723C2C1116E211B603D1BD221496F1C5D87D30AF6A05A39022CE604D57E60028EBC2554C431827B256A9B258E00001AF64D1B7631FF9C1B007A9AB21503097600099280CD570827883A1F8819194C20726608';
wwv_flow_imp.g_varchar2_table(8651) := '5E1E2003E62E0298DAA90F80009A9905DCC04C52061228E165C6A9C095F60CBA178D9DA0069CA00F1A2233283D27E0D3C11E0C62E6BC180A61069A1600674F8D09FCAD1BB4B486A804A2A9D06BA2815D210E41C1021EDB0AE8B7C1C5197A6F827E15E79F';
wwv_flow_imp.g_varchar2_table(8652) := 'E5D7F882EA0AE0E017ACB6D4C5CB20BEC16B27533263C1700C27690C020FC0400CDEA41612411CA6211C6A5D336AC020A2E0A4FDA786232F09146325D281E201E807F42E2326C0042680239039A75120DA62820752009D58E2B80D025F583A1027EB053E';
wwv_flow_imp.g_varchar2_table(8653) := '583462CCDB50911FFE211A7E603C1D23CBB59A6009563752C008FFA4A0DE54E6F220810F8EC0650DA217037F9EEBE918BE084AC80FED5BC267FD1DD21646CE2F261662A1133E20A3B67926CC5B9F58E00550E3561787CF1212004AE11564019573400A14';
wwv_flow_imp.g_varchar2_table(8654) := '27C9734269F6A797AFE0D339420B3682B29DEF6DBD071AA2215B0F627B7C20088A4005F0E31852AA24090C00D4200239221D82FE263C60C269F908961C80FD075FA6407194600C06AC1A6A7CBEA01E0052400282DD045EDA003C672536400240D720DEE0';
wwv_flow_imp.g_varchar2_table(8655) := '627EC10C6E20235880053800054C200118C09619363A833D2392DDAC000206808104078E0AC7AFA0C282F0E0FDE30711C0BF6B4408040850D040410408284400F020038B1F4FC6B82118891200446EAAC0D0FFB1A12086190066307132304D1A004C3A01';
wwv_flow_imp.g_varchar2_table(8656) := 'C805CC16005BC000DC1A4AB02800A505992625482B162D82B106868A5508C0018233302C048001C356AF004A00107287E0BEAF6C25164CF46AD52A0070084A29E8A9D1D761C2DA2A3403408A15294AAE5861CBE5CA172D8107DE3ABA901B0068DC284353';
wwv_flow_imp.g_varchar2_table(8657) := '08ED995F824372E4883C5055C14F6CF16D3E8D3AB5EAD5041100E030810385826858DB6E8B64E095DBBC510B51C8018084146D35FAAD3B501C00206753BC60C136F842091EDA5601F0A5A0091D0A99A56EF830E2BF6A150160CCC81124050E308E8C29E3';
wwv_flow_imp.g_varchar2_table(8658) := 'A60C8093862201F0E305C00E140074DCD840564D5E91E1841333D0B11300A20D0414514209F5FFD4525F39855A2AA95CC507035B3120130D0469D815001994E0A11042F401403F6BADF60F00A000E04A5CB22C741817D91104C8577D9D86866100EC4690';
wwv_flow_imp.g_varchar2_table(8659) := '1240B85044415654124741B70CF3CB8E9571F38C666C3D53CD57BFE0024031C5D4E1D7313012B406003E01618142F6F486669AB669145B750A19A2A66AF90DF4C240D711D44F9C69DE45D004D581F0C3420910641C05310D94446D7E00200E3804C9C003';
wwv_flow_imp.g_varchar2_table(8660) := '6A20C00082092610E4265B637C31C66E441054456DA7DD0300781041F44F3449184000000418078001080C9AC17A2FFC90441588F8741F004F707003071BB010C30B2FF03710061F9C00001400E004C01E38D5A254510F1605595F3BEED8FF5441105258';
wwv_flow_imp.g_varchar2_table(8661) := 'D557851C5A10033481B5D5011894001D414DF0C0479E2C12E48A9203ADE14A8D400E9463265F41B65025C378B750765FF0B9D01B7BFD820C00CF4886CD40971514B1C3D1AC36044154B0A5869E1E7FCC5A6C1014F407C89B71B1904055689189BC26AB96';
wwv_flow_imp.g_varchar2_table(8662) := '6B6FB0B6F522002248E7D703054930DB6A6901A04412AADDC38FA9A74EF4C3796CB50AC0ACB3460043CC63BC51DB1D6FBC77DD0D0470481006CE0EC4C4B3D10253CB40B6C422D428DE12F4E054B6BC0DF766534555AF55B1DC118146AD1EC074417B0F64';
wwv_flow_imp.g_varchar2_table(8663) := 'D6403FBCF0336BFCD8630F2EA91835503200A8A01BCA9FB26588BFAE20E705CE7C0CF4CB3005C9F20AC06CE1E23941003709FF4DC3976936F164CFAC2EE542DA3463CC4A03B500800C3B0030C540BC78C3965217BF4C7C9CAE013028001EA04CD034C513';
wwv_flow_imp.g_varchar2_table(8664) := '9484116D5DFA3C6B0A6F16284136006DC58D00A4E5C9408B67222A6F42DB66DF6A453B742A3FFFA803470F40ECFED50F441061C411470C6444F631735186EB79821663F84115D23286298CA10F63A0C2C67807001411E37500A88605AF0180E15D2C62D8';
wwv_flow_imp.g_varchar2_table(8665) := 'E82036A20442100280600020063186410C82940E00C2E8CB3020E1052510E40734A45FF60070842ACCE9246E7043341E62B83389C3711173DE2B16D5AB85D882606880842716C785270C840B73AA04002AD63CCD38AE37D9F84617B3B1902E02008CE100';
wwv_flow_imp.g_varchar2_table(8666) := 'A338A871C66EFF00E018E800802FA658063564C70D48644B2254D20D08556F8FBD19CC4010C1C7AFA00190812CE440FAF18F16990C91895C4D9E14A91A7EC8837D09499322FF21AF7EF4431F00E0645B3479C8460E84939A2CA5296FD322517E459571FA';
wwv_flow_imp.g_varchar2_table(8667) := '87271DE9324302E04C907C5E231FA99016AD6821B104403D06723800EC6397AF94A5318F899A5A821294C844933D14698F79D8C37D05B1473C30D94CDB24849295444D2F3793905E9EA992FAC8876980794846B6C894A594482ADD524BB77CB320BB5CC8';
wwv_flow_imp.g_varchar2_table(8668) := '3DEE918FAF40241FFB1CC85A88F995766CE64CCF7C666FF481CB6C7A339D6AD9478B8AA910880E04880AAD6841BA69D1D3243291A7ACE83FCE04008C6213FF4F194D4D9E1C222F56B2259EFA0C2949BFD2CE4EEA1322F324C8467959D382B034A41B55A9';
wwv_flow_imp.g_varchar2_table(8669) := '5F2AC90F662EC41DEEF8473E0399D3922E24953E55AA531512CB9BB6B2A73B4D1322DDD7D3A7EA54ABAB31954DFFE1D055E629220B09AB4BF18448B6B0334F998C938A5264D2B52655AD6D295A5101704ED4D493AB2FDB2B5F9F9A4AB60A564D72755955';
wwv_flow_imp.g_varchar2_table(8670) := '6D834B4C0AF5AF8CADABA9D45990C55EB4A530B5CD3AF5E4D766B6081E7725554931DAD8D08AF6368505D9A9ECD18F538D76B503C98757E11AD28242B5B5205D2A6A313AD7C8EA364DC3CC6C36397B58D60A77B84F2D2D718F0B32F01C75A288E5E72CC7';
wwv_flow_imp.g_varchar2_table(8671) := 'BA55D222D72FC0CD8767A78BDDEC62979A7EFF518E76B5FA58B7AC4339DB20487909A2C682ACC3A5340DE651F1D10FEBC67720F6A0C76ED5D454A5721600D6FDAE7FFFAB5D3D6209C0157D6C2ABB818B5F0C64C00078050070810BD175039B9AC4C73A59';
wwv_flow_imp.g_varchar2_table(8672) := '9A8F784232B88E64EC7E01705D028B78C45C55F01BD2B00707CB22C1243EA6D126DA8D5F6CF117D5788521BC50054F3C23850048062EBAE1B26756C313FF104719B880415A64E21FE100403AE0508551C0A364CA00666E916BD78184B8C55CEEB2314908';
wwv_flow_imp.g_varchar2_table(8673) := '00320C24180966B097AB070F7984C7A50856302E82018A3124680FB420068B71910D4C62721EFF880411DCF1002EBCE101E2281932BC238E0018221B554882216ED10F7B483490592529FF6821095A5EF2521E9D3DB3A73FFDBC6014A419599A11A8AB27';
wwv_flow_imp.g_varchar2_table(8674) := '496E9A06C1B250B03220D10767A8C2179BA0043652E8E33C1B94CF94E002288CD0A21D64A21246A8C22D6ED08D4087030E1EA0052833CDC752F28354F62548B5AD2D0F7A54BB1EBFC4673EF1C9DCC872BA455B3EB5B9CFCD1A1EBB71178B40F7F3521D9E';
wwv_flow_imp.g_varchar2_table(8675) := '4A6E0317ADC685325281085FBCF114A1B8CC2FC8ACEB3CC5C34549C8440F5A948454F8A13E1C4842361EE00730222301C841263DE0A18E74986320E95048C737AE71829843E3E62839C8D5E10EEEE269DCEE6EB9CB4FA3EECFBD1C64938C7742101C8C19';
wwv_flow_imp.g_varchar2_table(8676) := '0523173EF1452B96028D01E3F9211F05402A3C0009793C20095CE0C03ACAFF00877E50E001D908C01D6C01073FBCE00DEF34643FEED10E8D775C1EEA50873CD8A10E78B4831DF4684739D2FE764EA7231D9C06003BCC21D074B863B987A447A7670EF897';
wwv_flow_imp.g_varchar2_table(8677) := '63A96C03A98AA803AF274AA61600F316359684118B5AF8A216C5180632140C702026C41386800700CCE1073894A31FC3D0CC353CA18E48948116AF284324687ACC7ADC3D1DDD40041C90310C38B8A24AA0B8051C52C10E5B30421DC3784324BA110E3F64';
wwv_flow_imp.g_varchar2_table(8678) := 'E215C3308727CA3177CF8BFBEF88AF7ECB6BD7B005E362E3D6674DCDC9FA0F042B2318BFF80534C836106F30C3CE04C933356B6B50FA0E24AF0BC9473EAE6C32790C441DB71883EAFF5005E1E00570A00E7EA004D990FF0E52302886E00777B0289E900D';
wwv_flow_imp.g_varchar2_table(8679) := '888006C84004E1A00EE6C00EB8C572E5D67D1DD862C5306B2C947D8E310E1E981ADB146F12010E6FF660CAC00C55211AC7E082BF400C996750FF300FC2545B03310FA6610FF290103D880FFA7754F8F731FA270EEA400C89C20C945005CC700B26E00A91';
wwv_flow_imp.g_varchar2_table(8680) := '700450E805635009A0E068A96005ECF00FAE900470A0046F87812AD70F1B68826948626BD03100D06E0AB17D6AE8179EC54D2AC88200300A865006878008EDF607A3C06343C75D05951097F54991056DD5A37F18480C5550060C287AD7900A49E0076FE0';
wwv_flow_imp.g_varchar2_table(8681) := '0E6FA0046F90047F0040995005B6D00D0B670E47D064E92050D367541C2887AB885C77C28AABE15CDCE4FF3EE1700BBFF00A7F7005D721065E700604F107AE900CB73061D304498B7749B3E516C908571C0632D5C60ED3900AE16008AE800699E0096F80';
wwv_flow_imp.g_varchar2_table(8682) := '0CC88006941009D9907AA0700DCC9009D9700799600BB7100E99500E00607650356EFDC577AF288FC7E50556901F80213AF3D85A69B66612210EB7F00A5770857302003A44105FB038C3E8167C364BF1875798744E8AA40EEC600FEED00EFD001E865449';
wwv_flow_imp.g_varchar2_table(8683) := '197777F0C00E03F191EC0800EEC08EE5E00E1F8972EA009217E87974B76977A58F31995DCCA36032C95FF9A466405564C4100955C00556300604610700300628530586C00CC31854FF900DAE506444160D3F040AE2500E17630BECD00FCF700BD760FF0E';
wwv_flow_imp.g_varchar2_table(8684) := 'A9900DE5900AB60046461827F7A07600708A2069776B697724399122F996683992FAB758675854F1689379C9557D503876524279697F009093EEE33EE2400C86A043EF9116565306635094550007C4A06B87C39495300FD9000AF0300DD7300FAE800CDD';
wwv_flow_imp.g_varchar2_table(8685) := '8041CC200EE64030EAE009E1B08E00800C46E5754155586BC551FB7454FC607FF9C4561A78977AA99BA2E58AF9388F813998A8220EB8A07A5C50053284630511408F366141187E9E930DC4100EAE900AE2209AA9300D17F30AE1700DF0B038B670769EE0';
wwv_flow_imp.g_varchar2_table(8686) := '0A1DD74CECC41A52A556758797BBC99E2555328BA39BC0196F19560E47410B95F00770929F25331099E00AB7200C13D60FF8400F4CD9FF0DC8600E9E130EDDF00CB6D00FB4300CC9A00EA2597AB7200EA0100EE1800CEE700B89583DDF245996C46964D9';
wwv_flow_imp.g_varchar2_table(8687) := '9E255A3D5BB460EDF97D47C30E17C30CC8A019CC303C8D3310D9680ED8B44DF2600FF9405404E18518F94B67480F4DF60FE66092D2A75424BA1967E879AA68A24F1A48EBE079EBC59EF6C78FA8826D1E4910EE20A503E179FA070F31854E789510F6075D';
wwv_flow_imp.g_varchar2_table(8688) := 'B3644EC0546E4A5A3C6CDA16FF30492006A5732A4BF99597A49291DDA4581D1559CA5410696A1ACEC55FB4794E78B99E16E5A66AF5614E4AA78DEAA86A026E28C51695144B6D35A604319B9174485CD60F2499108CFAA8A12AAAAC21A968E2A189CA5A46';
wwv_flow_imp.g_varchar2_table(8689) := '8891ED409BA03AAAAF0AFFAB05814FE081AA675559FF15A28EE4A9721AABBDEAABF5D7108BA55A1735AC6465ABADE552B5DA582A771AE1B4ABAEFAABD1DAA86AD74B7C9A2272954C33074AFF6091D2EAADD1CA0EF2A07F0A81A4B79166DD470FEC50AEDF';
wwv_flow_imp.g_varchar2_table(8690) := 'CAAEA2FA6104D10EF19A966829AFF5EA17ECB07603D10E24D91BFCFA1544D5A3C704B0F3DA161FE9AFED8AB08F5A9BAD75540B8BA9B509B1A7F14B83EA59875A57EA834CFDB519BF64B109EBB1ED79A8F74410F744B225FB15AA38B10391B2DA25B2A911';
wwv_flow_imp.g_varchar2_table(8691) := '981F0BB34F0AAD5CD64D1E1AB3378BB319D5B139CBB33DCB473BDB1BFA27AEE3CA162DEBB3478BB48164B42FA3ACB701B4490BB551AB26D82019A7419E1665A4DC27FFB55BEBA8FC506D4DFB151EB20481F315DEF10C51594100804155B2B603710D1654';
wwv_flow_imp.g_varchar2_table(8692) := '259B810DCE53106F6BB7D5F0B66E4B1033CAB57D3BA72E93566A92010AC12C38D02C5F71319AC1B77A820DD98045A891B77E2BB98DEAA1B1900BAAF10164FB153AD06EAD3310CF700D8B8B26CE83410A910D713B10788BBAD5100DAC5B423137B9B10B98';
wwv_flow_imp.g_varchar2_table(8693) := '6C910BC570B97E61B8860B005C531069B00460634860D47EA57B0D9B59BA6A7BBCB2ABBC8E6AB904F1BB6DF1110CF0116D110505010DC2607923F832D7900DDC3B10DD3B4604A1BAC9BBBCE55BA2975B0C00100B43E9175BC11621D016DC5242CC103BBD';
wwv_flow_imp.g_varchar2_table(8694) := '4130180446F85B31E0AB10A2DB726066BE01CC1B3553FFBB05912E7BC3347C731A3C7006341005C5908D889B26F5FBBDC79BB75582BA1F0478CC40BF142CC01FAC1ACD3B10834B10044000EEBB1A4D30036270BB0AE1C1B6F1C205B1996AEB81679BBAFE';
wwv_flow_imp.g_varchar2_table(8695) := '0BC2397C4C0D830CA97319F4EB31E0DBBDC20B0074DB16CF00C4E846BF00ACC34D7C4CC540212073BC55820C29340CBE597D0DC3C44ECCC57BE40466917D960732463CC30A41BE26D8BAAD2BB5CEB39974BBC55D6C4827C01D04817B525CC41864C403F1';
wwv_flow_imp.g_varchar2_table(8696) := 'C6DDF7B850CBB66DACB6D510C370CC4734D18B740C0D0433C8AB31C3F9EBBA381C7848EC3093CCB5788C41C57BC6842C4B1ED21D8B6C1BC5ABB6CE83BA26C80CD0C0B799ECC76E3BCA9A2C4B27F0FF350421BF7A02C8659C86C3B042938BBA989CC7AC5C';
wwv_flow_imp.g_varchar2_table(8697) := '483A702E8584CAD5670BB7ACBC744BCBBC1C480CC0BB81B499788BCCE8D630C4FBCCC7F42E0A01BB7A02CAD3EC7280ACCD2316CCDDFC5FAC4BBEBB0CCE7CB40285340DAB5CCE5C960DDEA1CBEB2C4BC7600BB1EC316CBB8AF4CCB5744B25DCFBCDF02C5C';
wwv_flow_imp.g_varchar2_table(8698) := 'EA6C8251BCB571DBB60331C3E4ECCF09CDAE08EDB6A4ABD0C4A3470F3D8FADDBCC0A01D0128DD1D22ACD19CDD109CBD01D0DD2BF1A8EC470D1216DD2A2EA3C28AAC71574CD27EDD2A2BA6302FDD2E50BC93EBB6328F49733ADBC895BA31C1CB59EACD37E';
wwv_flow_imp.g_varchar2_table(8699) := '8B0D7C2BD3416DD479E9B92354D347CDD4ABA83A19344250BDD44D4DD526987D408DFF1A5152D55BCDD55DEDD55F0DD632E9D3614DD6656DD6678DD669ADD66BCDD6A9D10300C09F6D2DD75C26036F3D1097A2334C733CAFA21573EDD7D3052BC7E32A06';
wwv_flow_imp.g_varchar2_table(8700) := '700084FDD787AD5D7CFD2A078000CC82D88FFD573D403D0AC12A0B213D4439108E00D99B6D51CEC11A6EB0089BC3D9A39D4DED122B7DB3199DF009BC42DAAD6D48C4E1DAB1CD58325027BC1116B28DDBCF8311A6BD1A249CDBBF6D324F50BDAB1120C06D';
wwv_flow_imp.g_varchar2_table(8701) := 'DC6AB228BF311041891ABE2D2225E0D8C7CDD482AD54BC2D0611E406590100A1D0165E4116273022D24DD5D46D51E4FD15B5900A9ABD10240CDECCE2DCE2EDD262A615C55D51A8FD15B1900AB1100BD58B0119D0DF649101830BFFDE6501DF47CDBBEFAD';
wwv_flow_imp.g_varchar2_table(8702) := '55E85D101F01E00BE1D81E721205AE860ADC7DBF1C5ADCBD101810011930BDEBED214D3015129E86B09201C9037807C000EBA25422F0159DC0DDE1B2E0084E109A2BE2DDD7375B31338147DF15C5372980E0305E10FEEDDFA7110BF20C14351E787D93E3';
wwv_flow_imp.g_varchar2_table(8703) := 'D59701BA2B5A2D4C1032CE167183E43367DFAEC1214B8E6E5CC3C925D53300401A0B21455D03001BBE19C270BB505EE5EE66DFDD77E05DCE58A41101FDDDE1A981CF6BCEE66938E7ABA5120BBEE36D11D1780E785FAEE52E57E78C85E11A0E161A7EE80B';
wwv_flow_imp.g_varchar2_table(8704) := '512D820E78CB3CB9666E1B6FB31442111490EE720FA033D627E57FE5151BDEE89A4EEA0A11EA955EEA8117013863488294B00F33BB5AB9B023C0700BB49EEAB70E00218EEB1DED5060AB55D9504600504665F40DDD00EC5D64ECE150ECDF3046CCFE4511';
wwv_flow_imp.g_varchar2_table(8705) := '23BCDC40B5BBEEB720C58CD4BEE6BEF5AB01010021F904050A0000002C0B001F00420246010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A7CD86FA2C58B18336ADCC8B1A3C78F20438A1C49B2A4C99326F319AC88F2244B7E2D63CA9C49B3';
wwv_flow_imp.g_varchar2_table(8706) := 'A6CD9B3873EA64784F20CC9D40830A1D4AB4A8D1A34859EA7B08F31F0079FDE40D4C97AEA03AA40C9D62DDCAB5ABD7AF6037F21BFB8F5D1F8901E0F423B64160923F00AE190060CBCFD3B000C6E2DDCBB7AFDFBF33F502C00720DC98818762E9ABA7D050';
wwv_flow_imp.g_varchar2_table(8707) := '1581D1385C2D329082404604D000E0D04F65D17D005802A827F51EBD813D7B025ECDBAB56BD663F3FD8CD88F9F09573B6E5DA320D54824810110D8FA03C7CB9D18F53C17556DF5B5F3E7D0A3238D2D1B40BA4EAD6A31248C2C8007C809B001FF48F2E65E';
wwv_flow_imp.g_varchar2_table(8708) := '3504D7FADD01204E603FD146CBA9AB6A8E2AC1AAD2F3EBDFCFDF2375D05209C48B40A72D5510616F00E0D411C3249000006E18900400143CE8071C00C00103734595638E40D7A4234E385309848C3AD744831F61FDB5E8E28B306AE50B00DA2904133CF7';
wwv_flow_imp.g_varchar2_table(8709) := '54840F3FF08096973D4FD1630F3CB321954E3902B9E189400F00908A1A00D072832D9E6896CD553066A9E596AD69E5A340EFA8C4A140FB6875107C7CC1F1436102D1E20A17517E478909D77069E79D78E2F5491FAAA8E2119A5E1D01400F008C61CB61A9';
wwv_flow_imp.g_varchar2_table(8710) := '78F1A127371454649E90462A694C90544145A16200700600C28CC990720399899539482E99E04090FCE08A2B44A44249A193C6FF2AEBAC2265020015996E2AD01896DA65906AEA0009803B00DCF368685E61794D39E2E00740360485C30CADD4566B6D44';
wwv_flow_imp.g_varchar2_table(8711) := '5E08946DA60289912D15B4000AC030009813CE2D029593099AD382355F41ECB00380BCF35A77EDBDF8DE4BCB40DC260940BF806643E23FB62888EE41072344AC51F6806A108BF9462CB1A49E3C0680C5BBF66BD03C003C23903DA954844C36E281D22600';
wwv_flow_imp.g_varchar2_table(8712) := '09B74B109213B7ECF2CB36898708411A03F0DB41EC0C438C38D00A244E3502A1080096C87C68D033C47C09F3D24C370D127EED31EB2CA0A73DCAD841C786464F80593BEDF5D76017F41E000686F6DED94C25C44F3EA20E944F7561C72DF7DC74D76DF7DD';
wwv_flow_imp.g_varchar2_table(8713) := '78E7ADF7DE7CF7FFEDF7DF80072EF8E084176EF8E18827AEF8E28C37EEF8E390472EF9E494576EF9E59867AEF9E69C77EEF9E7A0872EBA965D1334F645B58D4EED36D448A3FA4DA513A455EC1AD1FEFA96DB6C2390EEDD50737B4CF95474F56907C1F3DE';
wwv_flow_imp.g_varchar2_table(8714) := 'D5C83A2AEEEF11FBAEFB40D24CB38C40DD308F12B1FCB453557BA3F92410313DCF1B60F2FFD043CCD1A62744BCF5796E23CDFBD250537DEED43CCF7E48D9FCD65E3BE6A6870C89F282433406E2074638AA5CFB424825EC028F82DC8C7BF7E312380060BF';
wwv_flow_imp.g_varchar2_table(8715) := '089E442524BA462432E1095B58211BB6300400CAF11B343C231AB6FA0324006040002C494151EA463F6C451762B8C267742188CA2CC8A5E781E37915E46148FFC281066488D013C0B0151CFC10896188D015E41208BA86F10611860626ED62C6C1AAA11C';
wwv_flow_imp.g_varchar2_table(8716) := '24E1071E0314A296B631C109E66E82621C894AAE61C54C64C215220CE1354E338C2F78E20FA080032D2A810D383C63610671071B09920908A6F14EDD885F100F19927640EB2AE1301A41D4E18A6BB8A31A055307331C461072C1472A57091F2371F7AC51';
wwv_flow_imp.g_varchar2_table(8717) := '92E42739129B7BD496102C99725268F4DD419401005ABEF22256EB093FD6B73E00C0ED96F7729EFDC6D188DD8D029819514D3FEEA112CF20AF58794166C4C84841DD2D7214B8A8A5342582A47698296104E1E45DD2C10C78D0E3190DDC26A4D0D8335B1A';
wwv_flow_imp.g_varchar2_table(8718) := '647A05B19F3BD5290E4380E21A5A41D23F98A1FF0E7A208958002508B14CE68E1BAA135FBD5824005E318ADFC005007002C01088008416DCB23D92F495395251182E14AC1CA9A884C77E020F66AC0700264B050D0F7A27D71D840B5A10C8150E02028B16';
wwv_flow_imp.g_varchar2_table(8719) := '44053600C10D1A65CA1B198218D52BC32D22110E5794C189FDB80514572910795482196C0C97CDCCC18E54FCC3762C758E19CC000025E46008001801080060039BDE74072E004011D24A10B0AA753C57380C2361628E6B4C8B11B428031C21410B34D0C2';
wwv_flow_imp.g_varchar2_table(8720) := '0FFF804719CC810C82DCF01A6E2AEC2D32810C50B8E27C58CD6A6B54A082118C40202E0042665DB0031B1884329235083F02BB247A408B1892BCC587CA67887E64C3900379453FD2910924FFED6B79A1850E10D4EA56812861203E4008570582869926C4';
wwv_flow_imp.g_varchar2_table(8721) := 'B802B182403076C8B60DE4850EE9656E5B8406346CA1B89AE16A7533E2073F9C74943F61899874E999760884931C620C56233BDDB09421A6C405400E906B10349841330DF1951F1E2AC4D9644D253F114C411C86D5CEE0B6BD78E1EAA900B005007C0124';
wwv_flow_imp.g_varchar2_table(8722) := 'FCE521DB463818843CEA34C4E39945CCCB5E046F059C23B1E221D1652BA718A81C5783093BDA7115960DEB2AE2306F53F3FB4C0FBF6815951845251052CC82C0C50F097AC317E42A109EAA4E1C2B7C8AAD4CA65C13110411E1C8443430640B6230030E86';
wwv_flow_imp.g_varchar2_table(8723) := '9047823C512782D8021940B3B173D671114F40F720117E4C118000030A45F0FF1A260340F500F02A00C0E30FF0F84D3652710D74711912ECB0C56DCF67673800120099B00588DD26661805C31380804B1C121453E51241201CA8D04124C00109FC4EC5CF';
wwv_flow_imp.g_varchar2_table(8724) := '6259380CC10C43B0030EF8C98627A261507D38512086C88612D5E107920D441C7E6CB473C68A91DFB660AC6D21489320D0A48300210913BA9D6852E1996EC06318F440863B06E8AC8E09241C8F3444C16EA19A2E5F5B2095804FF074CD17E52621074460';
wwv_flow_imp.g_varchar2_table(8725) := '2B44202090071DE40640D8C17894D0E481BCE10E0B569D7F557960843897DCAF41434CAFA005E396C1212600C17708E2824B0F840B07D7CCBD31F45D833CC6579F0E8DB106329BD34593201D06385E0EB6A44A44220E71FFD8087E332410202FB7DE08F1';
wwv_flow_imp.g_varchar2_table(8726) := 'D5140060042488FCE65F512844B870052BC475A663306E830D620486241B0051C0B9D2BBB2E392245B0B164302106C9E84DF4674B902398BCD97CE75A38818D686E8F143E010073810A7EC7F4839003C50F583130409F2B6F918603E9031642A0A47E7DC';
wwv_flow_imp.g_varchar2_table(8727) := '5842DE75188D0300EBF87B43E2750E75C46B1DF49A249907329FABB85221CE4AC7E3290713BD1CAB74FDEEFB5F6A5C90B249E4749EEF5E3D16C3D484FCE3F4A8F7B8E657CF7AA4F4A41FFFE0A4385BFF1A7D847EE950F1A5425CC18CD7FB321D99A7BDF0';
wwv_flow_imp.g_varchar2_table(8728) := 'C1F2219674035A9214072D04166A8F3D0384C38F3E6CFA610E5B4C0B19A97805306408806970144456D159FF2AA228FDF287451D514C05B3C855580084315DF00F735CBC6DFEFA738525E2B8BD2AD10743FBFB1F2BFCB04CA2317B0A222A3FF14BFF9780';
wwv_flow_imp.g_varchar2_table(8729) := '440113CCE43D9FA7801038147B47801158815D31819EC1775EA181165839ECE078CF81463B117C1D983952160E9EE0319E700B320618C2521203F0102F5882A2F306D72005035106D3900E31602D03A0000320000520000C318334F8395E500D07970E0F';
wwv_flow_imp.g_varchar2_table(8730) := '865802310D15F715A2217827A100479846E6850687C16405E1065E31361551262248846D000005D0000C910517E00010910565381056283B02F16F57883965900922740B2D54107572665CB10F80F80FE3808603500000300700200068B810BA000098FF';
wwv_flow_imp.g_varchar2_table(8731) := '0000A2E0109720109168868608000EF008F1508075D88980B80FFD300E02E000426888A6A0088AB010918809E3A00BE3700106010B872810B330108D38109708006DE014A7D78975081A65328800508889C886C3D8108F0000B3A000C68810A6C0090391';
wwv_flow_imp.g_varchar2_table(8732) := '07B838108F0024BDE88B15788D00F08982C88602408CB9988B667810CDA800447810A338100D608556788944680F1CA315DA888DE6877AFF008680080013E40031580005108317118704E18F026188E178890DB08B054882F4287DDCB88FE3589020218E';
wwv_flow_imp.g_varchar2_table(8733) := 'D3488DC242870DF97F9F582E02D0911EF18D0B4191BAD814189991D1A78D610878BD208B31D10B91080B2C59899C38932609811D371268FF52269FC88DA0C89035597FFC608426B193F3B00FF150261CF8934AC9103BD9944A13132DB8941DD894255912';
wwv_flow_imp.g_varchar2_table(8734) := 'A74181525982AA4712FDC018589995607911F4C00EF9E02961697F6F9396E3659625010F5F7996827368F96178AE44971F7897764997F0929778F9810CC10EF5909470693765E94B6FA910188615F7B0988C39985DB798F8800F8CC9968E599903119902';
wwv_flow_imp.g_varchar2_table(8735) := '617B6F13996F63998E899903617BA2299A6A399A5C32999E393994D979A2B998FAB098A16920A4F71CAB2910F5B098F5803CB5999A91637BA60328B6E793F9219CBCE937D2B51001122F039178890723EC801F58323EC5A938F280230E010C7DC00338C0';
wwv_flow_imp.g_varchar2_table(8736) := '033A50030090016D710221FFA00300C00397F21C67902DDDA29E7957644E725EAA219DD39938D91067B93010B1000038F0010080010951034C00005E10A034E30590000D78A12B7275064DA0030E2A1042000048B0043DB07507510FED2098F36937F799';
wwv_flow_imp.g_varchar2_table(8737) := '0B09540B48E09F02C19FFD090034C09F1FB0020471020401057EB108AAB00802B10402C1043800004C50021F90012760196E718F04410F72B9A185830D06759FF959A20070004ACAA20221A20C91A461510BADF01008201045E771F41095446A38DF27A5';
wwv_flow_imp.g_varchar2_table(8738) := 'FDC9A40301A50F0105E40900080A168EB00999E2A44F7A100780000410036D239F5DDA37F2705501087E02910B607A1011A010164303023105336022D0300C69CA159AFF70080971A507B10357152A767AA77B934EC9231E00909FB1D00933A710044000';
wwv_flow_imp.g_varchar2_table(8739) := '04C1000040A206A12B8ADA7EC8B043447116642010192010DB291006301706D128B3F10F956AA978539D73A815D8F07D0341A80811AA0420A6057100642A10E789A069FA0CED227F5C11A80511000481AB948AA9BC7AA9EEC1129A4A10CB6A10B10A00A4';
wwv_flow_imp.g_varchar2_table(8740) := 'EA10E40700EDF27E26417F0BD17E0020090771A80481ACA22AA9B9EAABDBEAA56A9029252010E58AAC633AA305C1000740A300D00408C10CED1746D5100DDE26AD1A610BC3B06806410C85C50D041105F20A002E4AAE0941289EB7ABF97A38E53A104C2A';
wwv_flow_imp.g_varchar2_table(8741) := 'AAB28A10FE49A0B5200CC290A6568610EA6A11108BAE1EFFB3101EC30C894A0E02A1090541A8744010C74A10F25610223BB27B130A09D410A15AA2FE59B20711A100700CE7D37E3B140D0D7B13CCA0B085550B840000A7F0A41B8BA3FE2A10270B006D66';
wwv_flow_imp.g_varchar2_table(8742) := 'B4484B38FBC2511800B50881AC21B010BA5210C930100384B57A7B11D0520D350B118A0A0096000041EB04035107034106508AB20070526672B46BAB37A9709FFD7A10B6BAA40E31033C600702412E390B00770B19A23BB312510D373B11C8200C007008';
wwv_flow_imp.g_varchar2_table(8743) := '76500775D0B1040AAAC1F6AB1C17B985C3B8FE7AA53510AB4C8AAC07A0A20641034C9064E88A121EF3B70C810CC4406802910606C10A0AB1B403410F447298B6FB35E2919FA1709F1A30B40461AB28FF8B012A0AB0013B109F301051F40B21E16DCC5030';
wwv_flow_imp.g_varchar2_table(8744) := '1671AE0A41A033C0001FE09D03A4A5EEB04CD7BB37E2719FA9909FE33A1025BB0243CB001B00B702EC9F730B21DF23BA21310D75120DA43B10AC7A10C000007640A8B15B104EC004A60A004740432C513EFBFB37DA9B0AE7090004C0000870B9B32B101A';
wwv_flow_imp.g_varchar2_table(8745) := 'C010E41909D0000C16CBBC123CC116710DC8BB50510200AEF00AEE4A0CAA7B3EC3E0B203C10486BBB164D0C14E40A308AB3E25DC37A150100B3C100180BB2ADC10672002044168377B4290D1C30F214A09F10A53B443E4C2BC265BAA02E1044E90066440';
wwv_flow_imp.g_varchar2_table(8746) := '0649F776673AC586A306318CB2A16AAD4B2AAAE42BC0818CBEDF733E60DC11D5300D00FF90C875520DF4D765A66B22153C0C174C10F24A067A60103583C7816332A18008086BAD5ABC10801CAE99100AE4C7BC158C11D700C17C7A1046ECAE0841C4B160';
wwv_flow_imp.g_varchar2_table(8747) := 'AA33C0A28B20A30070BEB9200C1ECAC98353C500F0041140AA4D0B007E4CCA65BB10CB4B2EEA2BC11AE1CA1021CB04A1BA3AB3A94B40003870023380B0AA50089FF0A7C02C38D850C59050022C80CC0490C5A38C10D68A0152EB855EF8C5E7C30C311B0D';
wwv_flow_imp.g_varchar2_table(8748) := 'AB5CBA647C10D44CC8E32210A010856AD0094E2610C250C9E3EC371E939F1CA0C2F46A10ED2C102550C70AC1C6EE071990CCC38AACC326A1CA07E1BE094D3861A406B61A000710AA978BCC0020A7E48B026DA131C790B00781B531FF71CD06810C3A03BF';
wwv_flow_imp.g_varchar2_table(8749) := 'B0362EC2700CAA5BC9B16050062115C419D2F98242B1E006810CA9595C104D1BC33C50023353D106312D1C3D136C3C0C3AEDCBAABB10150113F2402CD66BD411532706D5D44D3DC85E6CAB2C8004E9EC659C2210081DD702B1A8CC70D53831D70451C531';
wwv_flow_imp.g_varchar2_table(8750) := 'ADD70521A49D41D661437FEB8CC50AC101DD8B035530D50070160991A808DA7ED07A14FD0C009D20CC7BBD4AA221A4BA27D860F34201ECBD0AC10004200490100584A210078DC4337DD13281D303D1CFF7C9D80BB1241531C29C3DD69E7D2DD8B0245E70';
wwv_flow_imp.g_varchar2_table(8751) := 'B60090D2C5BAD79ED0A10521BD0771BAEEA7A9343D12E862C806FDCF2672182BD409E78B108E1D0B4EB1D962BDDB5EFFD3DBA1600202EC6E00B0011460DE082102A1E0BEB1400B824617FB020CE0B4C63A04CDEC3A12CA6DC10241D09F400904DD09044D';
wwv_flow_imp.g_varchar2_table(8752) := '101C45057C903EB0B7A5DE8DBD2613C32BFD0001CC10C1160B209D10F45D10D1DA1295DD49064109E70BE003E10676E00804FD2AB73D87B99DE04DD365091001C5E610904A10C89D106C9CDF38A1D52E0B0C731DE07527D12B112A278EE24BE36D81DAE2';
wwv_flow_imp.g_varchar2_table(8753) := '0DC1C2E66AE104110DDFAA11341E115DFD64FD4DBC0000098EA09F03C108A1C012EF513E62ADDB402E2B99E00106800096616412F10AF769108A060CC2A0D584360CDA7014887052523E108E100A85E0054E1A676743C286F9E52F33676E36E812B12FAE';
wwv_flow_imp.g_varchar2_table(8754) := '30E19DFFA433E7B3A80231B800500C0060B5926D1119AEDF0A510834837406612B5A5E3EE6D599D1B49B802E29D570690D4DDE13F10A414D0BAF400B143B104BCECF85352D84A6B01191CF0841C9735D7198EE065EB80878601027D5E708AE96A33E3144';
wwv_flow_imp.g_varchar2_table(8755) := 'AED20BD12408FC0A02610BCE5E30AF402EB750C94F5E10C19EE6FCFC105B6BEB0C41C9E482E30631D57C80E905C1B997C2004FD00F80B8E5086E985E7EEC7872B9D6DAD40951AEC9FCEC0371E8ADFE0AA910E307810A1D312DB85E10D6ECD700C0D87CE0';
wwv_flow_imp.g_varchar2_table(8756) := 'D8A1C0DF02F10466BBEE5FD20FEF1EEFF27E2718A7EC0C11010D4D104587105536B01F80AC27D0B17DCAE812C10C9FFB10E16E107C50E57CC00778FF600778E0067D50EE5002AB47D0936653EC167FF19092EF0A1100C9BEEFA020CE0441AD0751B91901';
wwv_flow_imp.g_varchar2_table(8757) := '0DCF000D041F11C810858E60EE00500885A0CBFF1205371AA13B0F1367E3F3409F2FEBB1CE0120F4081101286BAD1090B63944107977A52F2E102C9A015010C54D3F2DF98DA047ECAE6D5E10C22CB5B43DE502E108391FA11990013607F604725E1CE12B';
wwv_flow_imp.g_varchar2_table(8758) := '313DF6F951F6C88CF60601A92D3C1026D083008083A03510736FB6B82BB57DCA11D07ABAD050587FFFF7740D00C0C00748F0043A4E10543E33293C1048F00F4A53EC1F110BDF3010182BF9AF51F6676FF91181EADF2BB4A24AAA51ACF5D5CC11B6909F08';
wwv_flow_imp.g_varchar2_table(8759) := '7FD0A5EF063870FB0451670381B04EFF2A2845C2FB1B51E0984D136B20FC288121666FFC0FF120E43DE64E5D1051A00605BE117EB008F33F102204098650E7962E10000109C027000543751A28104F4121050134F9B7AF1F807EFDE815BC87D1E1468E1D';
wwv_flow_imp.g_varchar2_table(8760) := '01C4DAB8A820378E223776F39852A5C7382B5DBE841953E64C9A356DDEC49953E74E9E3D7DFEE478A76000A2331138A4D0C38381A306520670D8A4609F8DA90AE6F2E8C725A88DC3900100A67258C76305A96CA4C43153C14254391EA1B8915EBB7EF97A';
wwv_flow_imp.g_varchar2_table(8761) := '86BA63155A38900E8D01F0E670D72E4B967ADE029A58F162C68D1D3F861C1928BF8242011085BAD2400404041C7AE660E2C5E7941174489D9A326CC7122B874173085B5841621CFFBF02182B0C98B05CC056C75CA4862186080FE316B4D80E805DA0DC66';
wwv_flow_imp.g_varchar2_table(8762) := '4B4EF98B1674EAD5AD5FC79E5DBB4BCB98697A2E68228567F01E9138EC83E89340008E1CD9D9D89AE65800B71DD6BE4F3F66DA82EB3B3669088008E09AA8C0B996DB691A8EAE596917A09EC9E697ED26A4B0420B2FC470A5EE8ACA0CA60E01E881800F53';
wwv_flow_imp.g_varchar2_table(8763) := 'E2A32047DC4A69039AA079AD361691F16A18FC1C7AEE25474AC22338313C3A6B22E42E4290A75FB22988C8826249A51055F4A30DB69DB021E9A52833A4B24A2BAFC4D2A33786F28EA6A36012CE213174F8A0A30C4ED8E00400E4834918D99C8CB1362667';
wwv_flow_imp.g_varchar2_table(8764) := '3B6698623CCAC0A14F1C5165A333505B62A3E27A9488A203EF61AEFF275056B1AF206C0A3AC6C9826AB4E9D16B1E0540C12C0BA20C807DFED934548FEED8525453172BB5CB948EA200273EEE4011803265CDB3A0136A551326689EDBB520641A2D68378F';
wwv_flow_imp.g_varchar2_table(8765) := 'D228880687EC58841031A220B620660130160A006A05200A8A2AAA68AE8912A549C28E9428C8134C0BFA061B6CA041E79982D0C1E9196CD425899B6C6C0180DE95A6A46E9965B83107804E3F05409E534D756360837D4AB52895106060274842F1028359';
wwv_flow_imp.g_varchar2_table(8766) := '1D3A2184691D5291051D6212469863EC7DE9B94D523A0300425662E26267FFC1365B77EAE276272B0AB2CA216CB2F96624922405605C87B88132A56992C9B420651CF23625238D844E196AA629672380053E78FF3B155AD8A8E08DE0A8BAEB9C120E4044';
wwv_flow_imp.g_varchar2_table(8767) := '00C4DE0881A66E42A4230CA69D58CD3CD98CC9BF36197B22AE8AFE393466995E99A9DC8DB8C177A346629263252D3C8A92A49C254B241BA6FF05956AAFAF53C1A1148098D910431CBA63F0C93F87096CB1C92EE8CB9D100260ED0C30C0204FD76FCD9526';
wwv_flow_imp.g_varchar2_table(8768) := 'AC3CD28DC9B20018D92142F628485A991A2EAEEE42B38D4BEF976EC1452768A0F9A6E64A1C0283842EA497BE8B95A407007B00D6A8EFDC8D1ECD3970C728199C1A7E01B007D47D0A92A753D0AD03A1A02200F883F3F7EF5F4974A84807C0EC0754748A4D';
wwv_flow_imp.g_varchar2_table(8769) := '0E923A8EAC6D5AB053114D88C1241A4DCA812FD1030076818A94D00100640000030E50900C4861FF7DD7C29B72F261BC9724AF205228C8CC8280C28EE02C68008817003C51903038240B3021011800603D87B0410E5BB8D7E222230B8784030051031800';
wwv_flow_imp.g_varchar2_table(8770) := 'FE218FF6E14F32362808085A3082CA15A4442629482F9CE844FD8D6D445F2ACF4D1A46ADF864A0042738A34100D01B9774CC236161E04B50718A950802004E00C00C36E285E1F5036F0519E14D8898C28270010033DBC88D6C06C34502E20B0E49041812';
wwv_flow_imp.g_varchar2_table(8771) := '0100308441923AE4881CC080C982148E9300F80691A244A9974402009578DE4DBE810C57D8621AE1C846D4ECA14425CA031E3EDA22758660859600A01058D4C53682E99059E6B26AA5BACC4B38D0999CD0800106A416190B72462F04CB25C0FF1846C7C2';
wwv_flow_imp.g_varchar2_table(8772) := 'A29B9AF0628EAD00002B0A224E8E58D08200D860065800000F22C78F79B3892B70814C761604888CD808EA5232A59674610D5DE0E146B01004006C210858E04810B680D08E84031BC300994AC635C37099D226D9985237BE010E4FD17289C6840CD6A4E8';
wwv_flow_imp.g_varchar2_table(8773) := '10EEA1A7160591063500408D6580B46AF500806560529CC590915A0D21654A86B11A6E52CA16BF4909051D22897196D38E1B31A0B19EC0B2022567392474C928362285151E1299AEE88B6A381287FA59200505C19A4354A0020B5411002A0042413AB011';
wwv_flow_imp.g_varchar2_table(8774) := '6600A01A30CC0634DA0A80B9BEA4700E49E54C70460D6A880300287108A804EBD2C754C0042E510529820180609082B05ED34AFF41C268131C8C21561B99DD4B4A40C6630055AB1D012A30EC955998D08110275389014FE8296CE1CD1D4FBD09DF1CC205';
wwv_flow_imp.g_varchar2_table(8775) := '44AEC40B5588A9AF36F28C5FDC261379E5CA46825B33004815001292D033D4B5915FCC482520C92B003607008BD6841A44F26B4740F558C67880233F58884370CB58528CC273DC3D153E00B096983C40251BAC414740425A95D4CD2134908FC7D698939F';
wwv_flow_imp.g_varchar2_table(8776) := '1624A229C1A343CE194E3A1CD5217A54AD3B29E25AD8DEC40252B8C217AEC091F3CEE417C390AD2B3852894458051493A468479C0B0D64DCC21583B48E38549A0D73A4AF202E46AF623C80D6DA76440C9E93438563BCA9F5D92233614B09685412408E84';
wwv_flow_imp.g_varchar2_table(8777) := '62BEB74B9D4D55FFE61124BBE69A3F05D974385232DF7564C02AC141AD5A16C2A7E623233469C4041CF2489A308267C3882310BF00444316A40C0040C3986BEC9157AC4216B7E05BD20000AF5DA962BA9BE8A54A028157E372E41BBDF8864A5BBCE3C75C';
wwv_flow_imp.g_varchar2_table(8778) := 'A1CD05D9845019FD3962B44AB263EB885368BA418F70E0B20E098B5356B73A974061769EE50837B7896A87D08BBE1B5113146680603D62100006BE607C1C4285F5B5565B41BA0999AD600508CF84BD0E414C41BEF0C847129B0B5298D9B201708562AB64';
wwv_flow_imp.g_varchar2_table(8779) := 'B9D93C6E411053088F0C23129BA85F41CCD00733541700047DDE281231C3543288488F9C86A694983EF74D1A3BBD04C73A58666F2A510619095C0901A4E991FF12F8A113A1E84828D6B9925A3B8106B9CAC5AB711296FF76C4E1014EF046027CB15C95A0';
wwv_flow_imp.g_varchar2_table(8780) := '6E5BA6C76B03A91314565BBCEB7405566C517187DC069F05E5C8E100C0052D3C7AC22BE199740AC23BD870031AA38C441FDC72882BECC10C1B0942038230499570833EF22EC83F66894B7E43C794795D47D5FB5D1F0E7C66440E71AF4A8AC300AD6DE461';
wwv_flow_imp.g_varchar2_table(8781) := 'D51C75475276470C6EDC9A3B59B94B0A318313E0D15864B0754C4A50CD8A2C38E40DAEC9CD6FBE1140C8042E05F905A5B830F8993B7AF08E26734ADCD591E552CA493C3B3A00B654E30600C0B91EF98640540A58181753EB8919434CDA51EFD36F87F543';
wwv_flow_imp.g_varchar2_table(8782) := '49A6471840648E4C963D05495B92335E10D5CEFF20651FBB0A4F24BE915AE4621165D2A3C6AFBC92D44B045B21871900BE3C1315AC500A3EA02D000ADF915CE8869B1C3102583652C5EC17E4E6913F646DE3708B643B64B93D9B86BC7CB6919FC722B8A3';
wwv_flow_imp.g_varchar2_table(8783) := 'E84BFBCF9D125FC8D71328012CF4419FD7332618980231E09DC730821D280824A882295082729B2E71E89781319D5C7A0606FC3A9B982E0010084AB883B358090C98813A288825D80489D3BFC4B00A827809B7E320036ABE96F935A87209B85002259830';
wwv_flow_imp.g_varchar2_table(8784) := '2BB8B9F0FA2C11430CAED98847BAB9C56B33098B096E88868278069F7B949F7392299986A3D908677008821A0200308C8E580834288258208746E82BC7A9C0D3231AC530022248892478B3FF8238C3D6C390B7FA319ED89C3B48821E188DDEDB3D13DC08';
wwv_flow_imp.g_varchar2_table(8785) := '7BE92F505B41967B8C8669181BB39B7712391B54091FAC31AE88B3547B3B117388475C09C7FB0243022297701728F439468242EF79AE94C0226E680687281C48C00621DC08028443A0B88182083F0000979EB82BFEA00E06D80080C39F254CA60DBC0916';
wwv_flow_imp.g_varchar2_table(8786) := '108117E00100D0009AB2B8BCDB08CF028664D33F41AC09E2F2880F881DDE4B89D4BB1644043C9AB82B14623CE9CA89C563218E1882B4028022984555D4368F00C58E38175E944467B0C28218011F70883D5085622087E2DA3E2042B82210B355AC3A46D8';
wwv_flow_imp.g_varchar2_table(8787) := '0600400CB3B28EED8A091F04802F6084E86A8CA348008E900000780008781FFF5C220F4CE389D1D8184BFB00125493082A083EBC0A8AB3A65B580DC4580D564B46FF5A09240985E193BD69E2082128837F602A9701249A202238180514FA82393BA59D00';
wwv_flow_imp.g_varchar2_table(8788) := 'A26E5489ED433CFBF8B9F7E3087589066C78438E90B81C28C728988243E8138E50487B93000E98805681A23FF0830E0400197088D1700C2478459B9082672B24004047EA280F043080B48A4B83B18B6A5043C9483E1C3830EEB38558A085AC4A095B988E';
wwv_flow_imp.g_varchar2_table(8789) := 'C3040029E388C07446AB28BB8D18115F34021678B4BBF93B609B09727488F9F9034FF88363CB895B58058E7885157408FD40B3C4931068604A97182444934A00B000D94C81AF0280F328086D30A149C48D82803AC20A20FFD3A9269708BBC7200218A889';
wwv_flow_imp.g_varchar2_table(8790) := '35F0413C68045790ADC648AB24B002DAE28265838347DC12846BCEC9F1831DF881C71003DCDC116B1141446011D67CBFB72A886850AEF6542EB89297F8641A8EA00F2689239B28833B2883DFB04C1152448F708538D892BB2448FC7083E9A284701C8370';
wwv_flow_imp.g_varchar2_table(8791) := '149A95F096E58ACA9FC1289C510923CA0623720870984F95400453EA93484187150C07C5442F29F80214C2AD32F8CCA14C09FB8A0C6640489830BD78C0C9EC602A8E88D1568489EDAA518ED087A8EB5177A23A2AC1A56CF1CF0CB107186B8CBE531F8EF8';
wwv_flow_imp.g_varchar2_table(8792) := 'A09488517DD0878BC851E4D0511BE5D199709F247DB10FB287F5990730DD872F35BD9D98A579988778F088FF7818D32A35187E80537E18399C60454E01007D80A989F8513FE2873D4D8996599F40ED2841A5109D9C53C9D98922E5878AA8531CBD8EEDE2';
wwv_flow_imp.g_varchar2_table(8793) := '872C8D8821E588E9D3517B68D4C7DA874FE1D488F0D4248209CAE087321D5237ED1A4A6D199FD0877E783D39CD074AE5086CB11058B54C78F0974CED890231151F815595903AA983C35E85C3326D455E8D5587E8BB4D4956C918ACC012AC1ABCD26895D6';
wwv_flow_imp.g_varchar2_table(8794) := '69D589653D0E8F48D5C510569BD856EA7827BAC0CCED20566A25D7720D1556C5256EC1D50A91D50A09A16E35D77895D779A55364E508CA3055277AD7709D1025A5D77F05D8C650C4000480812C582DE5077A88194C15C05C85D7EC702A7E0DD889A5D8FF';
wwv_flow_imp.g_varchar2_table(8795) := 'AAFB055C401EE489892F8BD12A7DD8533D1089ADD891255927FACD16CA5700F00205718519221275D8925B688737B002187DD25C722A4429D99DE5D9CF19A454F0823A988294E8865E45006B348738CB0660A080A889846E48020060047AA98775DD8E94';
wwv_flow_imp.g_varchar2_table(8796) := '7D898BD8969EE5DAAE35188BE2055E38058B0A86BAEA08143A3C19F20322F002BE110703280322E1000DB352AFC9D395F858AFD5DBBD958C7A433100E0058EC085B28D89B47A83977388CDF98767B048D0498732E4DBC8955C2A19485908065CF8055B88';
wwv_flow_imp.g_varchar2_table(8797) := '84B0DD0862582C9788002518030A8007DCFA0704B0B412D912E4ACDB0B6107008029C805005B5509E520574B9DDCDC3518AA93053D632BFFCC950973F8875758C2670005DB7D0590300446D58E70A89FD6EC880E34040CAD975B480700F02BD98D56DAD5';
wwv_flow_imp.g_varchar2_table(8798) := 'DDEEAD9ACFC50566780E5F68B282285A8FB859F5DA88BCA58E6190824CB0C68D408424B80675F0020400AC2D291543E0826808BFEB25D77F785DEF2560533158C65A2C122D88C1F55D9950582A6106354406732B0822200664E0022EC884542882B4C1AD';
wwv_flow_imp.g_varchar2_table(8799) := '8930023F3882ECBAD62B15E00246E14D410909098657A81F642984437043275287AF283BD9558EA8F5462E98215A705E3F4887F931D77F6887A849E123C69089205895C52D31182F2BF04962D8CDCFC9064F2061B65AAFCD1960E5322521A485A8F1AB74';
wwv_flow_imp.g_varchar2_table(8800) := '00121D655F2436E3EAE806FF6218852FA882472B991DC1AD47DB2275F08876901C3A9E5D007688D73AE33EF66397B00BEA8DDF372B83D48BDF2D1A605309AE3F6664794589FA91E3DC9A3979B5DA9DC0AD296EE44C96D66E1806434083315082A81DAF8D';
wwv_flow_imp.g_varchar2_table(8801) := '40035322927EE052022E9810D3E4566E45CAC82E5B383643F803B22C88FBF4DE5A304D57E665AD5387B9AA0D7549066618E6615697CF23E06458AC5FF805B3EDE5676EBDD75A077758075BCDBA335E07354D6468E6669042545FD564ACEDE671069D6F26';
wwv_flow_imp.g_varchar2_table(8802) := 'E77346E72D32E77466E776C6CB8071E77896E753E187759EE77BC6E77CD6E77DE6E77EF6E77F06E88016E88126E88236E88346E88456E88566E88676E88786E88896E8FF89A6E88AB6E88BC6E88CD6E88DE6E88EF6E88F06E99016E99126E99236E99346';
wwv_flow_imp.g_varchar2_table(8803) := 'E99456E99566E99676E99786E99896E999A6E99AB6E99BC6E99CD6E99DE6E99EF6E99F06EAA016EAA126EAA236EAA346EAA456EAA566EAA6766A98AE8D427BEAA99E1066682BF57466AAD66AC96086AF78865B78AB5B0096AD266BC6C00F6648B657C0E5';
wwv_flow_imp.g_varchar2_table(8804) := 'B2666B9F9013CF63C9B696EBB9A6EBBAB6EBBBC6EBBCD6EBBDE6EBBEF6EBBF06EC9A4E057A89855B28ECC00EEC61D0305B1805C6068658504FC4D66B501906FC7B056794ECBB9E88482803FDDD9236CC6CBE8E5F2070012370812970014360E5D0C6EB22';
wwv_flow_imp.g_varchar2_table(8805) := 'D0E124C881299039EF62EDBC9E9F2988ED1CA8825110CAFFDA9EEBA81D822498C582A027DF6E6B394E82E0CE42CD34EEB9FE0228D2CCE00600E6AE80E66EEB16D84B2050C322586EEBA66BE4DC01CDD44C87F4EEBA26022060C0F2DEEB1D00971D98C88D';
wwv_flow_imp.g_varchar2_table(8806) := '98B01C906F00A04AF57E6AE68E4881A26FFAA647FB766A1B802295A86FFF2E6B4AB427029F6B4C2E881C7081014770A7760100B08AE2EC88FACE811003876D38E007076ACDF484F796B99460A88E188221188128E2F09FD6010F382C00000114000109A8';
wwv_flow_imp.g_varchar2_table(8807) := '80EAAEEE288AF016A81CD2DE882C4C719DD6CCF72E08DADE88F831821C00022048EE05D76125E8ED1E9FE90147018E380FDC2AF229F0811C9C9999D102A374F29E36823F28EE5231835E12D096C8BCFF2EE7E959DCCBBFE20869A0C2747488D124C88EA0';
wwv_flow_imp.g_varchar2_table(8808) := '60347F69033FF381940600E0288EB8E68250873E2F886D209237B773978E04F286098D4D098119E39EBDC0438F564388044368847003805EBA82FEA66F1D7688E2C6E47390F499AE73443A0F068C70177788B57208E62E08D526D9C91A75382C8310DF88';
wwv_flow_imp.g_varchar2_table(8809) := 'E8CAC482F08199613C234F7500A0EDF891471E0F58599F75AD8B03AA2037FA36708730B7E236BF8EB08259CC0125F8F57965008649800C68F1636FC55A2E081470F0828883BC124D00702C8798A13A77B376FF570E10726FBF524C5F010F881F18EF88CC';
wwv_flow_imp.g_varchar2_table(8810) := '9BE23DE70843DF8896205079EFE8CB7281D31E720A63D1389773AFB545813F3D3478C4FF88440210787110D880F7D64597C074C1650665389A81842987FF688B9AAE3FA8748B32371392AA511805057788E73C0991FFE81F2D089A0F7987A087472F0898';
wwv_flow_imp.g_varchar2_table(8811) := 'FAD11BC5DBBEB35699CFE847A7877AD0F982C8F990AF87A5A707DC157A97EE5356A4F98E58D5A737EAA9B7FAACD7FABB16E7ADF7FAAF07FBB017FBB127FBB237FBB347FBB457FBB567FBB677FBB787FBB897FBEA58EB82881A7380DEB99F6881A9C0A8A1';
wwv_flow_imp.g_varchar2_table(8812) := '0773881A81490776E8173AB6D501D65EBD7F6878602278607CC76F7CC6B7A5C99FFCC7A77CC5C7FCCCD7FCCDE7FCCEF77C876D99D017FDD12FE3CF37FDD347FDD457FDD567FDD677FDD787FDD897FDD9A7FDDAB7FDC8C007F53DE20280000021F904050A';
wwv_flow_imp.g_varchar2_table(8813) := '0000002C0B0022001C0243010008FF0001081C48B0A0C18308132A5CC8B0A1C387102326C426B1A2C58B18336ADCC8B1A3C78F20438A1C49B2A4C9932853AA5CC9B2A5CB973063CA9C792F21BD7D3373EADCC9B3A7CF9F4081F20270ACDF3D9C41932A5D';
wwv_flow_imp.g_varchar2_table(8814) := 'CAB4A9D3A7283F0D6C05C01EBF7F50B36ADDCAB5ABD798357D0D547714E9D7B31817A941CBB6AD5B9FAA00E8DBD7CFECDBBB0817E1DDCBB76F49AC76FDEE7584C78EE0C388132F94AAF8ED2747521D09B4A3666DE3CB98F7EE01200600B0C0999B4A2608';
wwv_flow_imp.g_varchar2_table(8815) := '59E05A3BA34B875ECDFA69673154AA1402D0AF75D3C79F180BD4BB1B40646BB6830B0F5A25D6F0A0922949559E5A209E82A18E4B9F4EF20975AECA05325EF4DCB040D5D7C38BFF1F7F7834C14FBC07EA26CFBEBDC24CEE7F46710E2014F8D26ABC0F342F';
wwv_flow_imp.g_varchar2_table(8816) := 'F05BFCFFE2C103604F475827D927F60D44097DFA11F40D3B00BC33E084D4E9A34F6D14BA7444410BE2E69B6486A5F7185100A4F3101EE965A8E28A2C220459698E7408C073961D785E419621A48614429400800502713001072D1669A491EBF116851851';
wwv_flow_imp.g_varchar2_table(8817) := '4831634128EED61D421BCEB7E1915866695B29073D471A7D023DE1249806ED62CD2E05B5D299966CB6799928009822102C00D0A90B35DFB9681139DE10A40D70BDB929E8A07B99328B40BA08044E29AAA072102A5E0EB466431216A44D41B33932DB6C84';
wwv_flow_imp.g_varchar2_table(8818) := '76EAE956B0E8126A2F028985901D8BA08AAA26299E01C022BB5CFFCAD07A00F0F1E9ADB86E35149A00ECF289358E025A6641E800E0CD3BC522946CAF7AA598EBB3D0CA348BA8888E03A7A904F9620D559FECC2EB40DF0E842C00E400C08AB002954B10A0';
wwv_flow_imp.g_varchar2_table(8819) := '9146EBEEBB2B250AC0B4CAD4229033A53623962F66A202ECBF0D79EB902602A14230AF6964520FBC0C378C912E87220A8E289716339033F8962AD02EFC5AA32D008474A4CA2E43117488C328A78C1129DA147369C603E92BD050A6F24A0644E112D40C42';
wwv_flow_imp.g_varchar2_table(8820) := 'BB6CA6F2CF402F148CC504B95C902FBE18634D33C0892509CF05956C113400AC438FD5EBC49375D05C73DD72CBCED4C20BB60014638D333B1F64CC40C690BCF6DA17C123A03C5DFFCC0F3F29934AB640C764FFAB3100CD107D2FCC31FB8D113738AD2360';
wwv_flow_imp.g_varchar2_table(8821) := 'DD2A6398322FB5A43D90CBB5EC8B2DBE840F64AAE402C90A11DC8C875E772DF8B6BCF7BD65A7ADCD317DA61D9742991F84E6D2A2D78ED0C2D0B6B28941AA5005002FAD20DD8CD402598CB440AF7744B7EDA167F20784EEEE0E80EF16E1AB4AC99E3FD44C';
wwv_flow_imp.g_varchar2_table(8822) := 'CE0299334E37DB30DF3056030D93CA40D7D042E81C932064C9F40449CF50CB530190BC409BF0023A42B4B76DCD2955288832C487B26144831FF071853900B04000C8E3196C1A441E20720AF909A48206D91BF58C75C1FC29847852ABC60005820B005442';
wwv_flow_imp.g_varchar2_table(8823) := '208D8803013F950D75006071D50000280ED20D36CD61206F488825DE3790539C822AC48B1AF1FF7A873A896C82600349C62B10120C6900C0892B1494FA88E18A7F84C316A910073D00C00EF5092A103794882476C7BD85948C703E9348244E68901202A0';
wwv_flow_imp.g_varchar2_table(8824) := '11511C1456A097909AB84B070CE185F44EE18BA1F0707A9CCB480B14D2070098E10D6FB8431C17A9A53A00E0640539C4D362F73B8814036618C800074C00038110610800000241B4A04200F841918564A42AAFE30900D862891AF15D2B50714400FC5121';
wwv_flow_imp.g_varchar2_table(8825) := '64D84C193DE001180C12004948881F0432CC551A733AAB00002D6CE1C58478E76608D9D929DEB789531CE2140221441DC6B83F932DC4050229824076E0821D18010039040022FCC007371CF39DD4418440E0C09F8230C1091591441D04B1FF8932320404';
wwv_flow_imp.g_varchar2_table(8826) := '0201A50B600002138C609E7F90E7930C01CF865EA6980479CE18C6201077BAF3206448431A0762C18278631374F02800B287901D8C00082E1802100649501308040D8660E84156310A5238F4A66C81004372E405008C214703610214A630858215646DE4';
wwv_flow_imp.g_varchar2_table(8827) := '5856470D520C6FD8EB131455884A050250AA12410B7F00001C0E228B6060C28D380D2B5A5C2A90A80E440AD6E182A4A040102608240D904C88202C8126CFE94120AD30462B6AA10D4414622D18D0404280000220D860202A284219E260AB83E8C2892574';
wwv_flow_imp.g_varchar2_table(8828) := '9C5827EB952F8C614C6122C8A4D6C4838504B257079104120DF2000A08C4032DF825384D505582943221CB580600C6810FCAFFDA56291260C81F22E5852F2464094B00000E14D2CDD12E24980501A80A00204E8428818D0909C66DA79B94040C04023A3D';
wwv_flow_imp.g_varchar2_table(8829) := 'AD3A3DE18A8394E109441288084420103CF28C602405403F830811501AE4970431EB403C91886452F7BE3DC92D76AD3B100F288120B02C0807B2FB8082E860030601E9FB3CE7C88A90552084B548230081DF0AF7240110C03041FE2B105B749720149E40';
wwv_flow_imp.g_varchar2_table(8830) := '810B625D0408D6BC04791A07FB04007C4A24052D50812815B25483D8973616CEF14CB23B904800E0150116C81FB86082090020B70631000B62009125ECC10E7BD001134E7002161CC4B402392C2191C790054A56C7605E4986752A012964F5C305910208';
wwv_flow_imp.g_varchar2_table(8831) := '8404000FE04CFF1007711215820B00F202A00902A942061290011E0F04C90649E506C7C0D0350A441AE658479817DD120924A0C0CB4DC86127E0664A3BA4C1094981406420900CDCA02014E0809B01A082C3F277B96B48A740F6708831F8CC0A012CC838';
wwv_flow_imp.g_varchar2_table(8832) := '14CDE85AB3C4B4BE35880A34ED01235FC40B1B15A7A601F002ED0260070F88409B7B49903103C00601AC82128A90841C2017001CBE0241A661EB6EB384C31BFE014146ED6B882041BE00B0420500C064F126A40504EDA44140A065823C1898DECE774C76';
wwv_flow_imp.g_varchar2_table(8833) := '3090C382C00312E8F5A821B2812BFD1800375688B2A9DAEE81205821E71C48B4F54DF19608C10645B081A6011D4A1060F9217EC8B52787BD104E3E44DC06FFB977256658F1969FA4B947F68009225D12FE0EC4A5AD7D885A8D60047E03A00C2E0FFA4938';
wwv_flow_imp.g_varchar2_table(8834) := '208101A7A0DE1161042018318D1A2A04010960000428C04B81DC1B226800BAD0B76E9216901CE611812800648A90042CBC2003778875EEA050824483EB7017890B25C20E7700A01D12692046E82810BCC7FDEF800FBCE0074FF8C21BFEF0884FBCE217CF';
wwv_flow_imp.g_varchar2_table(8835) := 'F8C63BFEF1908FBCE4274FF9CA5BFEF298CFBCE637CFF9CE7BFEF3A00FBDE8474FFAD29BFEF4A84FBDEA57CFFAD6376600AE8FFD41145000D9DB7E2002A87D41F471FBD4D3094EBD0F3DEFE5029A83ECE31F780BBEE9EDB88F78ECE3285F56BEF4A7DFF9';
wwv_flow_imp.g_varchar2_table(8836) := 'E353FFFAD8CFBEF6B7CF7DF22CAEFBA0BFC7FFC2EE6147F09BFFFCE84FBFFAD71F2DDC4164F8ECB77DF2E35FEBE529C4EE7EA73FE2E1210FF72B0418B6700742C002420000567611D7E0159DD1530B010AE4833B5BA47F13920B00B00281757612F109C8';
wwv_flow_imp.g_varchar2_table(8837) := 'D0156230296EF510FF8015F9208113D20974D6691F20119DF5156900005080032740036EA5033410020010021B506C1AA004B5D10FB5F50FF7907F24C81E1468071878100CA0104DC0560040815BB10869446502315C27D010E43384FF810400908409C1';
wwv_flow_imp.g_varchar2_table(8838) := '850B315C00300C54F314AAB0082193010E1100372059FF108158E81E27608319816702010DC3B0814EF14719508518301006B0103DD80F6EF88658D2877D3810343010542010C20000C4FFD014BC410327B0702C605E0870000CF10F18127D84481D2988';
wwv_flow_imp.g_varchar2_table(8839) := '1133C0842D08008DF80C100400A7F8764AE1850F511B5831889D281E558811607810D1F00CCC801214711121430333808902318B0DD10FC4B845F3178BE2018C12C15650301F07410CB9788B6F170DD51043029180397106873810770511F4E00EFC507E';
wwv_flow_imp.g_varchar2_table(8840) := 'C8381D7F881129588B05918B8E6810D6E812787810CA0800694006DB8810F0078BE3381DF1F8118F3810FD580DD4E811AA1811FD381048340318F08133004D986800045010F7708FE0988FB9A28EC9708A23818D195185191554333010FB886300D08622';
wwv_flow_imp.g_varchar2_table(8841) := '4991EE71000FF910A9D4884984913B410C630849D0844FA30811246992E4FF61004988022190920FD17654A38E3D410CC8400CC350105040064CF09117E10E9C8893C2C18A1751484299148D783E0BE16209118202010FC70895E12102C0F8001AF00007';
wwv_flow_imp.g_varchar2_table(8842) := '508E07318B68D03703519507D18E2FC1922E8810F7248C04718503F19460791C8215119D0509FD489403618A2E39902A810CC000007878940431035A491034C0840A617F7B291E048092217910549088E5A39878289400291086898A28B1818C19868D29';
wwv_flow_imp.g_varchar2_table(8843) := '100B995150509395B92298E89397499707C19847890C550941A329139F588F21F39A3A010534508050508068F19021A985B53910C8F08E31348D3FE104331005A85008B4029C1F310457E2230D619C41A16C01E01189FF593EC3F0888F688A03110DD7B0';
wwv_flow_imp.g_varchar2_table(8844) := '9B2A319E062187BEB108F6829D24B121247710C4A9188A341076E89945898A2E698D70B9120589106E6018B93086F40912436001426001255080113A10130A00DCC99941E1930EA1A10A610BA84910A7189A4A6107ADB4A02501A10551A1DE7910255002';
wwv_flow_imp.g_varchar2_table(8845) := 'D67151398196004000E129114E681054F38E020190D6888DD5C813097A0CC090987DA33EB48066267A111EC09D7B41A304719935FA103A2A1010E49241D14AC7600B440A0C5879A3491A113D020029C06625306C2B3A1074581062C0806E910BC0C09872';
wwv_flow_imp.g_varchar2_table(8846) := 'E9A16D399856DA13A0C09602819504910AA9D04C5FDA102912054F607062F2045E20066A302907D15822FF97131C1A1189290C72891063888BECB9117EBA11D101009DF0A726A106EDA2158F0A11B6600B5E0A0C930A00B9E8961F710B9E51A01E31430D';
wwv_flow_imp.g_varchar2_table(8847) := 'E2A919D158A3C12904C10800C008A1CA6D7BE1A50431A522119875FA9302B12008B19FB40A11DEC062045108D06A1E8D552B5B05007ADA0DE0103E78710BEED912FD58A5CC50AC0AD1099F80AC06110A7A8A1076B7AC10C1078E602BEF2A1995F00B0361';
wwv_flow_imp.g_varchar2_table(8848) := '0EE0300EDEA3776D81A42BD19C6FC70C6F27AE0CC1299DBA209B0A00A904006AE06378C9AE12311B5B45189201AA54330E5C0400E7E042E7D0165EE4A1AFD0AD2EC1AA1AA1A80E2B11D9430ECE903CDEF13E8BD08D10B20EED406B6DC14C08E1AA02FF21';
wwv_flow_imp.g_varchar2_table(8849) := 'AC25E1AA38DB108E0009E50A009070ACB89A10FD500FF0D0B00E9B5E04E1281B4310758717992A10B7E0A1C330A9D0603CF32912CF00AB1D713E4FC0A40551B4DF57B202812E11223BBC824D2229B3B4A6356EBB0EF3F014B4E04541C610044306C6E111';
wwv_flow_imp.g_varchar2_table(8850) := 'D0281022CB10CADA766192A603D1099225B6641B11660B6506B1455A03006F0B0071DB3D25940D4B51AA0B510B9DE11D992913097B11468BB4876B10EC35102195380221B35D260DB7200DD5004549610BB7300CB0CB8F4BF1B9A1FB3985B326638B8F34';
wwv_flow_imp.g_varchar2_table(8851) := '4410DAEA13CBF40AEA53B7077106CEE2103BDB1143CB10064005483BB6B7CB10E1620D69700CC52710E3B0B173D7154B24A702810118FFE085684810C790BC0271871F4A128500B8BF856F0561B4D1DB0CC31348EFE0AC3373318EB20EEBDA10E3205D3A';
wwv_flow_imp.g_varchar2_table(8852) := '61730A710BCD54A3520999F591AA07210CC4E0BDEA5B4F1201BDD1EB104B13481BAB1003249470C414FF35AA03F19131381F6C89C00401B20AB18163280CC8209755BB109AF210115710FBCB388AB048D6A0B4DD2410310C00BF7B684F345FA380703221';
wwv_flow_imp.g_varchar2_table(8853) := 'A309F1900830101C3C9702110B245C9B225C10D0509547B9C22BAC100EDC13DC0000FE71248F103ADAD027D8943197C25E675310A82006E13010DBF0BBBF100C05FAC303A10C5CAB1242BC10735C10828A1A23AC139050C504A19C0E35099770095BEC30';
wwv_flow_imp.g_varchar2_table(8854) := '81231071C54141542E81FF840AAE3942F3654214160766604805D1085A90AE596118B81A0BB9C0C019A150EC0B11E64A1AA9B404DC69701F01AC06612F9DBB227330C300D03E02A108B2AC32D4733F503310280000DC46AF02E109D04510254A1087A46D';
wwv_flow_imp.g_varchar2_table(8855) := '3F4100456C000140A3472C10A1E084E3290CD0E0A1A1AC10221CC70BE1B305D1090BC21D04A16C82DB12C0A1B43391B7E422CD00B005413108AF3C088C9336432108A7C0B40581B21B7344540005337610CB40273D0CC499F05A5A37CC3B518E29D9CC05';
wwv_flow_imp.g_varchar2_table(8856) := 'E1C903115E0CB1812A6C116AF0B307B1087C60076C2A10A83C1CD0C00D1B2D10AACC1379C0CEB00C00EE1C3A873057C82335DA403D51C00431D00300F00571407600FF800BA4700B9E100919FC732F3510770074A0A0972F41007F58C42A09004FA08576';
wwv_flow_imp.g_varchar2_table(8857) := 'F910D0800C4D9DC2A6B98E6188CD08A11BD941238B48100C90D533610C4AD313CBC2075C80593C010B89F0CA73E0CE833008230D009780329FB54F87CC65450501A316693950105700A30571078AE40640B79F42ED14F5C8D011E1D0D080C2E5B9D8E7FB';
wwv_flow_imp.g_varchar2_table(8858) := '10415B107CD007FA5180F59812D3900DEF384C8FD827E5629B3B71C50741097220070901068E20077CCC11BC077C0070438140D25C53461B6510DBE8730241733FF75A7D90485B954368E00668E016F069D81221CDD28CBE06719A0EA11B761005F3B104';
wwv_flow_imp.g_varchar2_table(8859) := '4D70822C310A4B940C0401DAC2400E8CE9D4EA3210DCFF800E1B1DDEDCB08B06710DE49D11A07D0CBA4A099580AC19BCD37270428DC0DECEBCD322010B6C004600900761D4351B8410D7530B64C000F009727EF01C8AA448C1AD751ADDD806C1924D4C10';
wwv_flow_imp.g_varchar2_table(8860) := 'A9620767900678D68267C056C375A62D010A1A0900DC00DA1C4D1189DD101B7DDE750800D8900DD8300D367B11DC200C8E1009F051108950C903D10895D00870B4A9BEEA1183AD32CEF03E84F043E46C1019200126905AA43604EE2510BF84067F40D302';
wwv_flow_imp.g_varchar2_table(8861) := 'A16A6F9101055E1142FAD10F8EA7C5DB8DDC48106C854F93F8122C3710DF40B9FCB92C0271C5D84011E7CDE207310DC940E73F9E8BE64BA90B61DF3BDEE7053143A0FD0C2C290B1E11D2A1C3B43CFF44CE7B309F7D19632D004EE0361030870888E025F6';
wwv_flow_imp.g_varchar2_table(8862) := 'FD162780860F371289E90D9DFA10AC00674AC10DDF70DE0A6A1013E65A72100772B006ADDEEA0AD1A806E11FA07DDD400B09046D10C1ECE704910DDCF0E3AF205B6A7E5BA662095263BF9212011BA0E403B1CF00D002398710362D10C944BC6831BEE8B8';
wwv_flow_imp.g_varchar2_table(8863) := '104AEC104BFC48AE02006A8B1021D5628738BE253104B22E10B3810D57ACE6575CEB00100719CC0606010624D0050070EFFADE05F72E10248005609005A4AD0500100DF0DEE6582C11B90E5DF64DD0DC40E8F775C33CE40B2E530CA321065360831A70D7';
wwv_flow_imp.g_varchar2_table(8864) := '88154ACB455020F0E4AF924ACAB00C252F10A4000E5FC915DCB9D40DD19CC2A0DC07FFD1ED02F181055346AC2010F814BE0070842261050261055660CC0551EAE3ADE2024111A1A0CE7940EF0B0106F84E02509FEF60401055AF10DF70F00F015D377E42';
wwv_flow_imp.g_varchar2_table(8865) := '377E10BFCE0DBFA0AB00E0741BB106948C0593EC350E61761FC7E450FEEC0010ED03B1081DB50DB3A00C25B4F20701C13DB187008086DCD9A900B8106F4AF30731AB00B019609EF3BB90F302210882105237B38D2540D621E1036A7505982F10CDD4EEE9';
wwv_flow_imp.g_varchar2_table(8866) := 'A9106C00068900064E6FFA0020074E4FDA0421075A300A94CB0D67CCEE0EE109D55C109EE0C69E90EB683E0DD0400BAF90E603F10FD7DB10A1D0DE0541F62AC35EB30D00556067D9759F03F14BD00E004F7E07A96453008027D2FF60F20F010F39DC1342';
wwv_flow_imp.g_varchar2_table(8867) := '60EE3490016BE2E50911A9885F1018E0049BE0283943CFA890F3924007A29EA2277105420F620551E30001E00E008204B101E0B3050E983560B0148408004B90875A225E3C48F0DBB582C886DD02C0ED2234829E2A79BA58B052A544291B01E8A67119B4';
wwv_flow_imp.g_varchar2_table(8868) := '6900C4652B9752E74E94002A016044D011803578D6A0D99954E952A64D9D3E851A556A523B6A8E5C4CA1B305442B8D5096B1D4A7112E9DFFA69EBD78E0018E94A100B8757AA2E01200C098021B461098B09D76094E4983A160ABA59204D189C880205BB4';
wwv_flow_imp.g_varchar2_table(8869) := '4CA558B1C2E50A17A40453E5AAAB53583400D87E310214A7080021042D403CAD42E7882B29B3718B868CE0335920FF5F0178C60D9A48911723A18C54908DA7970547157C950D4036E510BF816B4C101020467200115C0387209EE8DDBD7F071F9EE01988';
wwv_flow_imp.g_varchar2_table(8870) := '629A4005022425F955642FF2133F55CDC094B19A66282197A0B0634BF916FCEFBF886CF1AB29412062858E03219A0100FDE283488A20A4984C8A3532D1490A2F00782322660862E617822AA14427570A3AF1A26440E48CA9DE3AC30CA248FE1811A29512';
wwv_flow_imp.g_varchar2_table(8871) := 'E9C927825681A9A06CA811871A00CC01C01EB48A320300A3E090C30F25B183304A29A7F4AE060098F0C28E3E8EC840A7215A9080029DFAB084CAE81030000016524A65AA120A3AC62E5B9AF24BC08B6204E00CFDC83804003B2222A320410E8B48B00FA8';
wwv_flow_imp.g_varchar2_table(8872) := '5441FF092EB8F802A2129D82E617647E194644828E73A5A5444001E0C44D7DE2F4A2BC0A7A66186146B194205A6EF9EF99CE009853A9958623A825007024A82600A61152C820738A6E0BA48A22088E3520AACC4C65976516A237A9B8C30D00BABC088821';
wwv_flow_imp.g_varchar2_table(8873) := '4C20682B2B1AD5C292459A52A7D9A43628E81388EC2B885AA780E94FA90247ED0BD65C08CC938682024D69C1A46878333E404E23A8359D96C0F622445C8D54985FF832045900CA6814A246B728680B2900700F800F9792ED5568B02910803E68B4F13800';
wwv_flow_imp.g_varchar2_table(8874) := '8E33F9E49F2092451C00A851EE39B3D0E282A09AB153C328EEC4E5B96729D74C4A35153C48A98C6F09222CA971E0F199A0030AE2030048228A05FF33040010AC2974DDE58B2FBB8409392260E6C56C6B1C9CB8B229B40BD22F8327E27BC3829A2356420B';
wwv_flow_imp.g_varchar2_table(8875) := '124916E2879DE002E0964A931218A29AAD88E8965B1626A8B75B3A86C8CEFD0ADA240E91DF18B912C901B8C207366E1DE5271C5FA929268264F9E63B2E24DC698B882D9800028220480076D901883D81A66FC73DDD8208870884AD0030C1F504AC481273';
wwv_flow_imp.g_varchar2_table(8876) := '828E06A04F82FA5899A06C88CC1D000E0A09A593500942378269A11A1B3CCC68012017F00BB237A206D7BEC8090C0EED170029F699393E2582202859F7B1073F97B00B0206F1EB00408A162216B1A68064363A21CF417643120040A3617F78C321B4B007';
wwv_flow_imp.g_varchar2_table(8877) := '2DD8AF01412041F354421048A0C3FF80CAA1C67300D00FF8C0672A739342A3E89792ACD04E78B28BDDEBA237C3A68D010014B05DB65A60033049CC663F24C8860AA21D1A12E46A1128C3520EA51332A08D09002846ACDA25A55A0060112798C11309C204';
wwv_flow_imp.g_varchar2_table(8878) := 'C4004A5C370300E15A23871435C5081031E055260391C9B49142BC4B49C7B0018D67EC26572441C4A8D09138060AE40D1D1299F10872410004A320D1C88BB97C3414007C4348EAF887094DD89D9D01E00BC722C8105252BB2276122DEA914A1200100382';
wwv_flow_imp.g_varchar2_table(8879) := '90AB60109100005C7791D100E00600984215A6E04900A4492011E90400189981AC25C50933288430F447AFBAC42A3EB128464A08010032E0AB6716680D64AE1038A888D2168CFF2B08350B02C6A6F4A626DC98C68BD081B01701C013B148452C52061112';
wwv_flow_imp.g_varchar2_table(8880) := '38A518958019444A6824A91050623ABB2401816001A24524010F2008055229A51744610F62A0E5773480AD0D88E92CE402C0EF003081A510812030D801009490D0A45C252D3A61022200700C631E33226EC9E5521A5428FC44499356D0644400A9199D50';
wwv_flow_imp.g_varchar2_table(8881) := 'CA8000908C64D688394619CF9E4A71556732829B8F35B020D350C6456A71081F00A0A9AD4C8976D4A0496850A21BA2A3D2252B19114DB6322B39248828A14281554665631C3D0B0A3C8082B23E850109A0004409028253EE04AA05318258D10A111D146A';
wwv_flow_imp.g_varchar2_table(8882) := 'A54ED062416A50453CF16F4A6DFA9662949235C542C486E1D14EFF4CA5A0858B010010332DC83046B53F00E4051796221C1CB9C23BC900C022C8815741FA08113ABE0A374949260072B013745491206000C0275E949C7400001FD149961A8AF253339940';
wwv_flow_imp.g_varchar2_table(8883) := '02002D222635A82C0400B49F8D215AC1E85A90E72E05053028C8D4824AC31E000005058900B5B2C60432ACD4993EE3DB4530B052A745A47C5202C4B608F2056DEEC4711D614A115A39842A10E4723AD9CD5053E22A5D5D842CDAA86253651B116DF4C715';
wwv_flow_imp.g_varchar2_table(8884) := '72805215634A9073C06F9253F9821A2C19319D15A52872E0831C2801083CC0C17E006861B11AF6CAA500014CC87D8A2162C2231B74C77E781071CF20B081EA3E05C6D2AB2B00405090205F640C65205C1240FF698532DCA693D87D0100209A35F642C45E';
wwv_flow_imp.g_varchar2_table(8885) := '2485955FE664179000E3A64B89156723924E448440BDBD6C2C00DE0B2111ADA18C96E4D0F596F202BD891400A99A6FFDB822488838292279E106C20E08918360E3192DBAC8319C0191097B740FBCB8888621718CBBE6849E674962A392F5053C340A9346';
wwv_flow_imp.g_varchar2_table(8886) := '010028E4202D822431259088841BF49A94F440C40006480001AE9694A01484C56A3AA1146E76B1AD8AEB6A0F80758DD1D256B23665A31C02800DCFB8D79DD86B6D690600BA6231BEA4CCC9DAB04A092DB4BD941F1784004CF94194C533848D0E8E2086A8';
wwv_flow_imp.g_varchar2_table(8887) := '84211EB5132988608804991444DCC32382DCC2C917B194C20802AFD69264636785482908428DFF172D1A5DAA81C82C09E28D2F17E4A6D8805E632AEBBE2FA430851507231A200C11251CA1E343D01B41DE806A822C5B271480810D4C40815933850B7820';
wwv_flow_imp.g_varchar2_table(8888) := '994ED405155013C40C947805B59B55863F46E4CD8D3976112CBA13CC325B276220B54E3A760D8E2CE5194F873AD475420C82501D407B51CA0F327A912496415A6348AD77FCDC1D9470A4E90058D16B9991F682AC9D192DDA6EAE96F28DE65C444817B96F';
wwv_flow_imp.g_varchar2_table(8889) := 'B272590C6C7C2356A0585949E337152202000E252EB1928EA59D35A8A1D60030831B7ACE21344C5E2A6540031ABE40B8C7EAE40B0D53CAC4A1128F82FCC31E979E21EAD1D20FD62FA51F466F0AFC08D27A7D44E4F5B0C77D4A060F957D10FFA4F74D9999';
wwv_flow_imp.g_varchar2_table(8890) := '917EFF7B88105F27B5EF87E9E3417A82D47E4AA88FC7E901108FDD7BE7F6232C3DCF2EFD8F79F89E9EFBE83EF80100FE7DD8C3F8CFCFBD522E2C257CDCC3FDF5A0C73E88AF8F7E381F2AAF374BFED39F1413AAFE3BF6300BFF638A7F2040B438BFDEDB87';
wwv_flow_imp.g_varchar2_table(8891) := 'F52B887BE819F83092EA830801F40E7BA00705843D00849F0CFC070D3CBFFD8390DBBB3E822840F030217DA83DE7CB877C200806F4C0168C8E108C0E08DC097E303D19FC40A500401A048048724166E9C01EA4920D54960BB3412034C22344C22454422A';
wwv_flow_imp.g_varchar2_table(8892) := 'E107F8E83D0B5CC2285C0A2894C22AB4C22B440B13D4071DC4C22EF4C22F04C3305C161814C3DC6BBD3244C33434C26D2088FF6DA8BB6E6043AC128F1F54C33AB4C33BC4C3A6F88579C38586CBC33F04C44014443DC418B483884E40B41B1CC44564C446';
wwv_flow_imp.g_varchar2_table(8893) := '744159C0334794C449A44435DC069090058278945DF00500C0105C488648ACC45124C552F440512C08AB33C55564C556E4A860C8050CE9C482C81857B4C37AB0C55CCC3D4B093B88603B5D2CC37600C661DC2B5C080664E02C635C8E22244625EC877069';
wwv_flow_imp.g_varchar2_table(8894) := 'C6682C225C48AAAD890E2A9446B47AC66CE4C6DC1905D02B08C9090654ECC625EC077688383C24C372F4402DA8022F208F8B0038E0FB87EB5B4776BC1D6CB4C37BC447A3433288F0828004002FD8A89FC34100E8BFD9EBC7858C0A7D644866E302214AB6';
wwv_flow_imp.g_varchar2_table(8895) := '8719C831B898FFB8630A22810F617CC88E6C8A70580E71C04811F4C884229C3ED089B16B8ABCA8067600006029C998540AAAFB3277D018992CA22A38B69430845EC4C99F448B6E900DBB082A613C1173F049A08C1EF0B90590448B79544A8F2492BC8046';
wwv_flow_imp.g_varchar2_table(8896) := '0048076480C9A814176650C59480CAFB83088ED4CA92B4C98250077890077A184B9E9107821046B18488B65CCBB98C41005041BAC44BA79007A6C9CBBEC442B95CC8B6E447BF24CC1E04CC7E94077718CCC264CCF43B4C7C14CCBB6CCCC9A4CC9EF90779';
wwv_flow_imp.g_varchar2_table(8897) := '6887C5ACCCCDE4CCBA2408797049C9ECCCD1244DEF80CBD244CDD47C8AD354CDD674CDD784CDD894CDD9A4CDDAB4CDDBC4CDDCD4CDDDE4CDDEF4CDDF04CEFFE014CEE124CEE234CEE344CEE454CEE564CEE674CEE784CEE894CEE9A4CEEAB4CEEBC4CEEC';
wwv_flow_imp.g_varchar2_table(8898) := 'D4CEEDE4CEEEF4CEEF04CFF014CFF124CFF234CFF344CFF454CFF564CFF674CFF784CFF894CFF9A4CFFAB4CFFBC44F57CC0B83CCCFFE040F64709516C126FF2450B440860F610660E00C5BF8CA027550A618156488155AE8CA07B550A6900DAA43063FBC';
wwv_flow_imp.g_varchar2_table(8899) := 'D00EF5D00F05D11015D11125D11235D11345D11455D115F52457001F5B18055B282916F5CF5B388E58B08558B8051C4D441AB5CFD7238658780518F55107358B4C780327E9832439B122BD4F53030017300217400217608248582E27ADCF2468A529F081';
wwv_flow_imp.g_varchar2_table(8900) := '1C30B581D252FB14A52430D324C8015BE8AFFF31B5CFD148822158B5E261D3F8B4A722405351728139A54F2EC8A8A103803705003F05800ED0D3F7B401502202F52082D1B8AB4275CFACD0BA8280AA1C71D4FA040222C0AE4ACD4F20C0D36E7B0817F081';
wwv_flow_imp.g_varchar2_table(8901) := '3C55304D354F6123886E6B8DA6FA52523D4F15D83A9D185556654F392588879055F8E45017C8813CBD55F4548FE310D38B50301748996D0087BBEBD5EC44389FD08080498AD3BA082570015E25D464B54E10408121031E1090006E1D326D8DD211000015';
wwv_flow_imp.g_varchar2_table(8902) := 'A8311700258268546B754E3F952BEFBA883C955229CD01B11A8298B2829D54D7E79CB01E3BA38DCA012498D72AF081FE6A8D2B80D67CC5CE24E883FF22089299BC3F88830E293A848D4EFFB1822A36840865E8CA5A34207A8388E2A058E5A4D599920600';
wwv_flow_imp.g_varchar2_table(8903) := '60C371B808942D8871484738DC95904DCE4A088EA8C0850A85887500009C85D9E68C044368044300C7E2F0013842D388A05500A85095DDD9E404D982585378752582E055218388A92D8846C8D2A5F5CD31685200685AFBB182A612AD2430D782D0D6E72A';
wwv_flow_imp.g_varchar2_table(8904) := '5BADF54D08E2900E7181A32588A6855BD38A56DE51827A55DBE0340492D101ABB5B91C1905B2A8C59F685A88382DE2CA5BDD444982C8D6EFC2D68B0024528008642D885F84081AC1A4C4D5CD9823881C6082D92A08BF0D8EC20D5CCD4D4E9E3BD528F500';
wwv_flow_imp.g_varchar2_table(8905) := '1DC0560980A860550A8685086208866428D992B53FD3AD4DD09B59A0EDD9E97383084302001E018555E0D07A4B09A7D4DDDAC44582685EB584887A685E8840BE111AC19D20C0FC63C6E545CDE90500F8F3DE82905EE7D3077AA007E9E5DEE5DCC2DC9527';
wwv_flow_imp.g_varchar2_table(8906) := '9D68C2F4F54E8784DFF9A55FEDD4CCFAC5DFFCD5DFFDE5DFFEF5DFFF05E00016E00126E00236E00346E00456E00566449B8D08224987066560D4641A60711979280797611A7350879CE82D6184C6AC9C60D47407778087766887136E07136E0776808713';
wwv_flow_imp.g_varchar2_table(8907) := '868712866116464B7880DE11C6E11CD6E11DE6E11E36D12604E22016E22116621F36E22346E22456E22566E22676E22786E22896E229A6E22ABE4EF76BC480000021F904050A0000002C0B004000470225010008FF0001081C48B0A0C18308132A5CC8B0';
wwv_flow_imp.g_varchar2_table(8908) := 'A1C38710234A44D8AFDFC48B18336ADCC8B1A3C78F20438A1C49B2A4C993285332E4A7B2A5CB973063CA9C49B3A6CD9B3873EADCC9B3A7CF9F40830A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB58B36ADDCAB5ABD7AF60C38A1D4BB6AC';
wwv_flow_imp.g_varchar2_table(8909) := 'D9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EADDCBB7AFDFBF80030B1E4CB8B0E1C388132B567B8FE1162C02B76C594CB9B2E58BF7EAC96B4C901FCB8180063602105A2020469753ABBEDCF8DFBFC6F41056AA4409C0E8D100E2F801B066B5EF';
wwv_flow_imp.g_varchar2_table(8910) := 'DF672D86A4C78E183D78B10B7A0240490E25DCA507BA014EBD7ADF7AFFCA7161764F9E414666F0ACFF110F074E683C72F0F0460300C8040010ACCB9F6FB522C67EF7FE854B25CED5BF82F600F08540789851DE8100A407476F034940DF83101A25DC4015';
wwv_flow_imp.g_varchar2_table(8911) := 'D9771176E178F24F36C3B826D07F099931DE88EA01F05E8428A63854851562A69F86FF5C430C00200250A2145C48F1858E037DA1DE642A0629644F2CB6281186A0B896DD2DFF7D06408E390631E49454FA54248B1161086338C33092CD3FF830C49E8063';
wwv_flow_imp.g_varchar2_table(8912) := '5669E699285D69A443FCE4A35F26CC18324C246D02B04F8F04A9818619688CD7A78F030161229A8416AA919A6B36E4A63965D8720B32AE94438F3D770AA4C6176A4486878F5FACA1C6889D125484A086966AEA428826DA103DE6FC038F27B4B8FF33A940';
wwv_flow_imp.g_varchar2_table(8913) := '880878A98D03E2B18578BC8E27101CA7062BEC41A95AF8507EFCD0930E3CFDC4B34F80790E785081BC2638ECB5C3163B5163FCFCC34F3DF554DA63A607F5A91E1C78849609B6EC96AAED45F9DC930F3EF9149429A6B64A9B5025EDF64BA89A00181B513E';
wwv_flow_imp.g_varchar2_table(8914) := '04E7C3528D0371E14543A1D45685BF104FF9EE91067B56503A07A943103B1A03D04E3CED442CB2C402092C113FF008E46442FFDCE9E13EFBFC630FC223D72CE4842D11ECD9CE36F7ECF3CF40072DF4D044176DF4D14827ADF4D24C37EDF4D350472DF5D4';
wwv_flow_imp.g_varchar2_table(8915) := '54576DF5D55867ADF5D65C77EDF5D760872DF6D864976DF6D968A7ADF6DA6CB7EDF6DB70C72DF7DC74D76DF7DD78E7ADF7DE7CF7FFEDF7DF80072EF8E084176EF841F2A47CF8E23DD5CBF8E33D854C903A1C574EF9E596678E39E49CC39B19C19D872EFA';
wwv_flow_imp.g_varchar2_table(8916) := 'E8A4975E99E3A6A7DE116704B1AEFAEB18A1AEF2CAB0D7CE2600C91D24B9EDBC2384BAEB02BD02CC4CD75CD3BBDFA9C0543C00D11C0F382D02E59252F3D83CE33CE0D203007D4ACF581FCD34D75473FDF806212390F5E4A79F5034E2ABAF3E33C8A0EFFE';
wwv_flow_imp.g_varchar2_table(8917) := 'FC04B5DF3EFDBD5B2F3FFEC743030033E78B86FC8CD73CFEA96E4600406041EE67C0D4F9EF7F106C20E90EE09068145082A16340420088C1D46100211C14083310B8BF0E1EEE8309195E024D98410A1AC40DD9430803591838065050830689C43076B842';
wwv_flow_imp.g_varchar2_table(8918) := '8134EF82341C9C0DFF01A0C1131804811C445F35D817C4C11D40831AD4414184D1C326B64B0850A00100B03815020CC48553408802FF17422B060B0A5961000E133246E699B1544DD8A2567820103B8CA10FA1301F00863123628C1080C900E21BCDA445';
wwv_flow_imp.g_varchar2_table(8919) := '00D0400800280122ADD2043EA4B08A6EF4A1F8AA11BEF001608683A44F090852820C0C6493521983181802C032326F89C66BDF340499C9DF0841918974488EA49082A5A0A0100B69230459D9CA07D5D2204D104214A2602F2920E417BFA00A3054581066';
wwv_flow_imp.g_varchar2_table(8920) := 'F0B297F37982A5C4402E4BE1A19A04390254A8C8CC824063180F1461F7A099A2121D04350070041F1C894E836CA31B5111C632093223EF590F93E4A44E211CE9FFC88338025804490642B60195580C641803E16019B151C025E6F337EA7404417009003E';
wwv_flow_imp.g_varchar2_table(8921) := '485420A0180838BA010EAD209421F87CA86F2C6AD18A5E5420021D8839C6B152ACDCA29B0619E725452A1F7E9AD49CCC68873900B08EC95D8516B760C80F01503D9AAE061D03B184390DD28D94B5631DEC38873ACE71155B08E4161F3D4809FF170D66C8';
wwv_flow_imp.g_varchar2_table(8922) := 'D4A89551C542DCD195ED39A4165404C0334C09D6C5846321A81048A514A7B8AAE8322150284604DBFAA0439C6120295B473CCCA2C131F0953ABB48481D0000BC81C4A3A753B9C54B1B62D0C3A606A909E1853500B00783D003B253018555F7685908A183';
wwv_flow_imp.g_varchar2_table(8923) := '1CEF48883100608C331483660339C739C6A18E71FFCCD61CC1484A50B3FA9070963631DE10C8690DB28BD55A631300800764A93A108D8D0300E600C738382AD0720040190279831600A08F30EDC416A3FD6D849CC110635843AF0359C773350A806E1034';
wwv_flow_imp.g_varchar2_table(8924) := 'A002694424889204C64D6220F7B55A700DD28C81F45720BB3BC87B0F828BA11800000716488207975FFD22441BAB25C829C6605D84E022B708094630822A140440AEC19798C4232EF1346D1C24B89B25482BC2B89046E066326F2888218064D9410CC220';
wwv_flow_imp.g_varchar2_table(8925) := '935084D378C1101E0FA40633C5F04296631B031F9800040840920937071B2BE2C65343EE41D011E156A042126758C20E12020B690804BB03A9C41F045286316574275E44B0405C38B844CCE1FFC903D1B1D69CE16381E8800774D4C21FA223105C8C0200';
wwv_flow_imp.g_varchar2_table(8926) := '9530C440C654060094C92706F0E28209278A400CA2C973F85A2B008004006C000437B0C1408660903B00C00C03E90300EE10E38258814676F36D52EA058B81DC38D270C61A7907F20181B4A0202ED83441FCF00660957A3A68704319EEC08533CF0D1ADF';
wwv_flow_imp.g_varchar2_table(8927) := '50B55244E1E63C00600E81E89A2F0E720382DC7A20550035ADF8002CF5C418D876E306B27D9B0DA5C0366C1E1E88A60FB2EE37F861CC053934DFB2C10D81D47B29D03E5B0B5490104101CB117EE8E77CF5663C6503A0DC2C04C1BA19D24E8190A2C00020';
wwv_flow_imp.g_varchar2_table(8928) := '0500FE7C376C1CDCDE12A442AD05620288D4AA0F8B10883494B10C3007631B38FF638A110D65718164E31B4C013564CC40E3AC31E0010671C1A80000025B17240EA31E082E96B10C5D00A0D5124FB9523A59AA969F6F299EC8C4BA08529BAB1993DD45E0';
wwv_flow_imp.g_varchar2_table(8929) := '74414070EB1C107819001870C906DB141A94E0046737D337C2810D64400F7EDA73BA51CE5C1BDCA08657DA969A270DA28222F07C20208041CF015085D900C00E7D3804BF06A261A93CC1EC0441645AAB84D05FBC8229726044E6E5F02B06C9FB6947D87B';
wwv_flow_imp.g_varchar2_table(8930) := '4180E002203868217B18C31EE2300A219302CC4D89E322D13E9063C0F4258218882072BF96FDDDC28F1067CA1B7C559E350002580005A8D68050041078203E053983180EB1093B0060B1635AFC40E401ADA2881E004D20E6FF4184710C9CB0E22D6DDFE3';
wwv_flow_imp.g_varchar2_table(8931) := '2B6E210B834CE319DC803F366ECF932F4CC64002490F41F405FA0D24800204A1024300043D4701FC466668D0075236107A8010E6100FDD3714286410DF2710B6B71364D016E1240BECE70A039156F7566F9020109B1007A2F607A56613D2A22F9C221E5D';
wwv_flow_imp.g_varchar2_table(8932) := 'B3650AB1099FE010E6005A43910118B0773908147420103D38101988167A843EB6904C04810806A70A63D607F0D60766100903271052021338727507F10563A2021070220900015DF885F0D1854B03023807004A007412210D1D43141338103300001338';
wwv_flow_imp.g_varchar2_table(8933) := '03850400B9407F36310333E0499EC40200F004FFA074589156E1E45B8BE53FE2766F0030827DD00768506800FFE08804D1003321255CF0055C202008610102E18561E8859C0800657834FCE60104718904716A02710655D0594D81830521064EF0860511';
wwv_flow_imp.g_varchar2_table(8934) := '0BE5070076881264108404E1046EF10CD0F00C2D177F00E0070F040D48E55B6FB08879771046A8563441636BA02F7E67105E188A40618D3701249BC220C6F40316408A4F717A0991044060043B600444A00400600570100986900A21D5133B481069B066';
wwv_flow_imp.g_varchar2_table(8935) := '0441030B983D56758B0B115E11F1573E6817DC300D72678CD6030DF5060D31340AB1D090FC2810D0C063E3C105A3140B4486701CF17936B22B9DA22B03A10229702204F18910007D3DD17138D11B5BE02B00F02905310444A014312010A4C80108119302';
wwv_flow_imp.g_varchar2_table(8936) := 'FF810209C1614A518FB24810B61743C3030C3C19110F9910BC6810494910159816F0E73FD5030D16D7725EC67800805E08E10D082910ADC07963420E8D900DE2D00DD3803125312208A18E38D971266986122101D8E8111C1001F0A11368C01E4B951EC7';
wwv_flow_imp.g_varchar2_table(8937) := '0700A5768955308D4B210128C91048600405410BD9008842B19402C10403610B2A345A8E7294076155B6400BFEC81018208B33B09407300307D0866BE17409B95507110BB326109CA67510799593662D235864AED00D3BC5112C281ED864121E00023359';
wwv_flow_imp.g_varchar2_table(8938) := '12717913DBA81E24C21C8DD07003628A4761023DE7018299105F605803610252241050188F40E104B1F88300D009C7A08F02313C93A511B9FF400BB4100B6605116DB871A0E4940B2148BD500A00E40CCEA0575E976B024105003069E43071033119A100';
wwv_flow_imp.g_varchar2_table(8939) := '0045A08900B00CE920338AF910B7A20640E22324B2068C00078C509CE8B28C0030981535660B7710E0F80329C00109C015D36168BCE192BC0108DAD7236320054990A145418A1E008E06F10302819C04516968709E49C104B2685031A41343E442EB2917';
wwv_flow_imp.g_varchar2_table(8940) := '17148F2636105E371053809F0050A403A11E9F100BF50500CD483B123120F7D2A4A1222D6B002C89C00865C27F04110990F006DA84101400A306910004A0A626A19C3231203A624C38321094002CEA28104A50A60010A544C10170B989E9A6A669F611DE';
wwv_flow_imp.g_varchar2_table(8941) := '1130071A13143479B6100B99FF091295C5104AE61046C08777D10B30779529C673026A10B5C0A405C14C65C911C8C905A4AA2339F2052CD8707D98A74AB07302710791804E3879100FD0962F21011460AB29A17C04D11B6372794DFA06D321AC29A814E4';
wwv_flow_imp.g_varchar2_table(8942) := '0800301812F2E01D268313CF8040D5203EECF30C02F44C2A6198056158C2F688949916E2400DDFF00BE4000DDE500BB548106EB01B09910855071229C82BE8C21BC26923E8316868800763E2066F8006BCBA1349A0044F70A797680556281301B20F6477';
wwv_flow_imp.g_varchar2_table(8943) := '6E4EE12129410FCC2A1C54FA121E5221C0A3B01AC1B0BF91B011481129D732CEE23229417602610FF13058307312CD2A1287EA12D0620FDD5729940200F37027334B291BFFCB160F9B132C211CF7D00FE2E22F020322FD10B109610F2BAB1101C212374B';
wwv_flow_imp.g_varchar2_table(8944) := '1016CB11F51026F6203B1DF1B34F01332D73B53193B54DBB15DEB1B533A10F0040B41173B44C3B333343B61CB1B5DEE22D0030332081B672B1B45CC112CC0A14702B5EFE52B778DB37FC50A877BBB76DD3B72A03B87C43B70143B87B63B87F8BB86963B8';
wwv_flow_imp.g_varchar2_table(8945) := '8CBB37894313D990A78FBB37EA5AB978633C988B377E400BFD5A3362BBB93481A336030FE9509BA27B138B1B2CFFC00EA96B37ADFBBA75F31F1526BB6E231CC271BAA86BBB81CBBBBEFBBBC01BBCC23BBCC45BBCC67BBCC89BBCCABBBCCCDBBCCEFBBCD0';
wwv_flow_imp.g_varchar2_table(8946) := '1B135E1BBDD45BBDD67B3D8DD158D7BBBDDCDBBDDEFBBD81FF810FF500BE4E233BF470BEE4CB34F5505702E1BAE95BBE006030EF0B3515E138C933BF4F5340B9F0A8F89B3472D7BF4BF3BF003CC0045CC0067CC0089CC00A7C2D149466C9BAC03F93663D';
wwv_flow_imp.g_varchar2_table(8947) := 'D01910EC338BB60FDD52C122E34504F09B42110CB0471A1A8C1783AAB5A1EB13ABF00AAB30C27781036E000D262C14ABF067293C1002D5020FC3C272D10425405133317204210D5519C20341C442A7C33B1C4C38B0542D410DED4510B8805D4E1C0CC924';
wwv_flow_imp.g_varchar2_table(8948) := '6442263E5EF60BC9905BD2801B48FC1642B048334150CD38A06107002B3C10D9800B7E46104608AC45F9C56C216A2A010EDBD05105E15E411C764E0C000526C50D61C4728C16065712760C11872C7208FF21C800A09383BC16DDCA1155A91062D75E78EC';
wwv_flow_imp.g_varchar2_table(8949) := '108CFCC86871AE2751C907014F2EE7C90B01CA05710874ACC963710CA375BF3881C777DC5E77CC51EEA5C703B10DD2506EEFE509F6D940D3B04042430B1EF881873B136F054F1CA5510465C7B34CCA1747501879A4022108872041BD1C343DEA903561C7';
wwv_flow_imp.g_varchar2_table(8950) := '1D050EE270C90421760405AC03410D5E064F28009D08C162BCD3CBF7639D3EF39F384150C60C0EC14064453C10F0D4C700E065D9A0CF0070050A518FD7473EBD6CAD10531B90100AA1D00900C0BF32B151DBFC56009008A39008935C10D52C72FE0C0086';
wwv_flow_imp.g_varchar2_table(8951) := '79067BA00907410341C8A7B5935246834BB5910AD35B1260F6CAE0000E7E46D100B0D106FF6184B7DC208730068260090691063800000099826650ACAF633CFB735711130AAC1C137F2664AFDC7E10410DD95095D260CF0321093D4D107947A18B33A409';
wwv_flow_imp.g_varchar2_table(8952) := '154906C15BFDE2D07DD0AE319108F74C10B250D114B710CBD0CF93DC8C3B3D107B200975508FEA9C5D7ACDD525FD74FEA2A43AB10A683D10CBB00D1237D10861D204516ED250CD2B20103C0D0082C08A743D6829B8051A69380E75348E70CA3C51D1D400';
wwv_flow_imp.g_varchar2_table(8953) := 'D508510A00D07EA48D91096105D32C107B30D9BC778A02D10771F00692113A9B0D11B7C056A6129B0361443ECC1368CD79834D1089200BB2D0C7D9007605914C8212D90D016F650024BB10056884CA47A1065A7452E7960A56150BB7FFE0DD2931DC0BF1';
wwv_flow_imp.g_varchar2_table(8954) := '0BD4300DB250C60381867D80D50271088B95AD633026EC8106999258E267DD45110AD8F487B4330C1E680BA300E0C0100BEECC11830D060C210BDB00D7FA3C0D93BC09AB9DCE5590C3DAB65DA908057124106894E1F88D13D6F7DB4B3010FC2D57FF310C';
wwv_flow_imp.g_varchar2_table(8955) := '0CF90A8DAA11A5D00B00D00B7D4C74CB50DEB24074E56D6F502D0BD3D00BE5360D317ED1D3A00CD58CAD744DD9009006793DA3044107F70D7E0050DD1D4E1321378300F00955174738643172651191500631F6063106891BE1C4E220100435E60070C8D4';
wwv_flow_imp.g_varchar2_table(8956) := 'D051D4C0CC0451DE177D5D5EA60C5ED6713C8DD5764D106164028EFC30BB3C105040DD4CFEE439715202B1E47F681063FF008340402A392045561D11F23CD3DD400DDF7AC60445506B4EE9337D70520D003CDECF410C7B464CE402518F20100200707AD7';
wwv_flow_imp.g_varchar2_table(8957) := '661051D0041C2EE832D14F6E60076E1072C492B2009A04399004BC0E00E88C111BF5CD913ED3DBA0CFE5960DE5467433ADD803F1E3C9805D606A100FA3032880734A40D20341074DF0E77FBEE4B0DE12A71CE53EBC72254310DE252ABA0E12DB3060934E';
wwv_flow_imp.g_varchar2_table(8958) := 'CB9EFEEC06D1CF938EDA896D10936D10A7BE10D4BDEFDF9E135EC0E1747910E292A1BA3E053950691B31CF945EC9174DCA660EEAFBBCC8072109AF5DE4037169BF2E100DF8E76400E800B030FD2E13B804D80D41A39C565F517AA212F1CAAF7CE6DB60E6';
wwv_flow_imp.g_varchar2_table(8959) := '6C6E103DFFAECF5599D106717E05B10702BD01000003A77605C8D9834A8E464B4E2E9917F2283183FBE4D90CF1059A368D59575FA422101520119DFECD897CE6E34C50CA4D72BF10C265AC0CCC0E11459004AC090084D0E4C4E4E4D224A285501AAF20CE';
wwv_flow_imp.g_varchar2_table(8960) := '480F12ED1AA2AFAE10AB0E0031A975539F11950CCAA40C4F95AE10629F10ABC062CE4DD74C60A1531F720059E8186E10BBC167735F12D3217E6BB4103B30F5B3AAF21AC1E6EF74740501C203F1E6A54F10CA905B19FADE7590C3D1A9692D2004B60E0051';
wwv_flow_imp.g_varchar2_table(8961) := '4007910F054200F2D2D1884CACA7BE1147A2393FF71DF013C1A218D1C71DB5EE65DE105D4F10CA3D10BF60FA74FDDE046103FC0605D677108824060DFF97D9022168BF8103014FF2BD63D60741FE0FB103EAB803E22810009D03F00F00D0AC10EE050E35';
wwv_flow_imp.g_varchar2_table(8962) := '9EF59E9FE07E6C109B200900C1AA0E00820098E828585005804505A34021F81000170095DE102CA304808D84052975041952E44892254D9E449952E54A00340A3E611953E64C9A356DDEC49953E74E008500F4216847279084093A62019023A98F94E0B6';
wwv_flow_imp.g_varchar2_table(8963) := '6D0B398ED4CC60C908223C254912C13A7BA09800F002249E8E649A246464B16095223CDDBE85AB3342C4B875EDDEC59B572FCF25386D701CA954263882D23AEAAA0640993299D23C893C7370C38D8452424631A9B18CA18F7B3D7FBEC9E00868D2A54D9F';
wwv_flow_imp.g_varchar2_table(8964) := '464D1262DD2D35A1865C0660143592D5FF70999CB2E954C729083B3EC14C904E94E1508227FC427162413F0092A4865E7A2E80E9D1AD5FC79E9D66869A0B8114B90D32870BC12AC7811B97501918945700B8785F10448B84600158E29A2625443AAB4372';
wwv_flow_imp.g_varchar2_table(8965) := '41832046B423B0AEEA0A44304105173C6907F808BAE381C008CAE131829C7A2DA435CC48680891460001C411BC0349851D0A7A0E804D00A04228902C03E0AC88E828484691D2CA041406779CC9001E7F0432C8D480B08128823C9180202D48422AA42186';
wwv_flow_imp.g_varchar2_table(8966) := '1881201040A20F00151652C1051B5CF80E000F51B2420C00BC00608C912E12490D00C40CA991CE8484334E39E7A473241AC900E00006663292A01DDCD34102DF4040A1020940A800FF8044A584AF05EF1E04E2C182DAEA30C5825A4B4907499130822025';
wwv_flow_imp.g_varchar2_table(8967) := '9E33B30C82E020882C00F8480855523B82A3B93AE9DCF3555967D54E909C8AF80E88218020A22009ECF300A4298DC801082092F83287E7342A480B2BDC03400B8ADEE0B0352D4405E98B2BB8D042DB8EAE38C48C3ED028E30E920C81A42054512D08CD37';
wwv_flow_imp.g_varchar2_table(8968) := 'F040332134DE40C30D2B68C5375F7DF7C5C95600F004808103DF42C2B91C9050562925EEBD570B680324C90A8921EEA80C8A4BFAC390760902EAA73F46ED68C04A9E21E80D38CC2D1900373A2213004AF985396699656665A72F5142535C82E230230E82';
wwv_flow_imp.g_varchar2_table(8969) := '38BC58A68F1B11C9C284FE00AA0FA4E378E3E3829CCE24924C00203AFF65512962B6230A08F280B299F53DD147020220008000BE463B4E1A1372E2008232702926640D36425275C631072A698201E016BE6F5905F0844691ADA04A3426A9928246515CA4';
wwv_flow_imp.g_varchar2_table(8970) := '4622E928E38C09FA187182FC407A7200563533A1602100E001A340DA40820DD29EB59F7CCA04000100CA463DF63ADD2E21A678374EC82A82BA09691D90C00987A06DB201C030923C69BC71A33B6A7C24CB014019807B898AA120088C923074D9D1EEA71F';
wwv_flow_imp.g_varchar2_table(8971) := '8202701DF6EDC717B2F698207FBC79956EC1457700D6490F1E00E421889E9268BB9020BE0B329AE8AA09D2581FD0742F001829580511DD9EAE07BAAD81C443522020F952C70F004402010628DBD824B8410699EFFF26868884211AE13400F84C7A4C31C9';
wwv_flow_imp.g_varchar2_table(8972) := '6356513C69808330E720893D08E2BD8454ED795FF8424250603A823C80023E0480E924C0010FA0205837F881CB0050059170E15E5EB888AB3808A77DDC832009F011D9CE36452E42870C4E00001807669310426E6704618AA5007022174C292445500AB7';
wwv_flow_imp.g_varchar2_table(8973) := 'DE1007432CCF24667096978812ACAD8D2E2114A080070E08003726418D100A09BD2E123D00A4A28B41EAC73E0A321DB23DD292D0390006725286252DA9208DA844249CC6A182F8C00A3E80168522151F1354C003134888A448122C093C207B00005D4150';
wwv_flow_imp.g_varchar2_table(8974) := '5010189C28219D0B5A47C4009384400271950045282C0439625E32419204402628F9BA2DBACE99D7FFC40B0362759338248D9420211AE4CC40C295E440092E7859471632485F1104063028A02109722F6CE18E20C124C873FA12124A6422479E08050020';
wwv_flow_imp.g_varchar2_table(8975) := 'F1854362F33A9144E0F7C407001F19D4A10B2227005058903828AE11B858C50A4162C690D493244A28D6A496551088BDE10E6FE8031C6E17122672011121E9D443E504CD846851A637E5899EB68913A485849D4C21657884673C93F88C545BF024495299';
wwv_flow_imp.g_varchar2_table(8976) := '482F3011009DEA54192278AF2ABC34095128D84940F1181DE1D4AB5F9DD99E34C98296E8C4422070810BA6203D426ACA241ADD49523B3206AC25A10849E01541C610C182F4810A54604957C13A58C2BEEA003E1A234E02B44B002001046E0C22FF004EC7';
wwv_flow_imp.g_varchar2_table(8977) := 'D899E082198B010054EA419064402E4066A01700BE59102260CB0860A16C4176900422F4AA535E48425FE029161114D6B6B7C5D7160BB2D39BC4022488FB8319CBF831BE095536AF2048E0FA9610E482847700D0476665730B82509720B6B8852D08D2B8';
wwv_flow_imp.g_varchar2_table(8978) := '680C437D20A904F23A32B56846E2231CC56D7AD56B497D44B720F67B2F3DE4BBD9846CB6BD00E85EF700F00F92F03725F725487BDD1B131AD270BD07463007ED47DFFACDCFC1F2A8C77C0B528F08E7641FFBA02F85199C600E7758BDFCD00705A37B6100';
wwv_flow_imp.g_varchar2_table(8979) := '5C98A61D19B08755BC6216D3841F268626050922E314B7D8C637C6718E75BC631EABD7BF3D067290853C642217D9C84746729295BBBC642637D9C94F867294A53C652A57D9CA57262C7CB1BC652E1FD88A5D067398C53C663297D9CC6746739AD5BC6636';
wwv_flow_imp.g_varchar2_table(8980) := 'B7D992C328493900600E92B9D9CE66A69F390822677A9843CEF44B073BF4AC0E00C88F1D04D1F39D15DD6578C8431EF06834A41D2DE94757BAD291B6B49CD2B1684E77DAD39F0675A8453D6A5297DAD4A746B54CF2BB6A56B7DAD5A98675AC653D6B5AD7';
wwv_flow_imp.g_varchar2_table(8981) := 'DAD6B7C675AE75BD6B5EF7DAD7BF0676B0853D6C6217DBD8C74676B295BD6C66D30A1FF8187240000021F904050A0000002C0B00160044024F010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336ADCC8F1E0BD8E20438A';
wwv_flow_imp.g_varchar2_table(8982) := '1C49B2A4C9932853AA5C69B2DEC17C02F3C104F091E54A7D3673EADCC9B3A7CF9F4041CA9B69B0DF46A33EF7D9DBE79069C27F02FBF18B0A801F3C7900E005DDCAB5ABD7AF60C316C4D76D0C173470DE0030B316805A866AF030A2741054A794B168D902';
wwv_flow_imp.g_varchar2_table(8983) := '3670D8405AAE00506204008F403502CBC80DB5105426C2914011BCA54EACE5CB98336BDEACD0E59F001B4C00113844058021022D00F03081426B0E043D08F1521051218263C408746358245D837C044A893290050B00290496986DD8B62300889E437784';
wwv_flow_imp.g_varchar2_table(8984) := '08C018006AAA13861E8EB3F7EFE0314EFF0D9F991FD2F107F9F1C30A0701801F47949C962265C89023425408B190FCE093C2073DD79B1B7CE0B1486F23D92190174F3C2104414D3431501442A420C411D74947D0769038C2871A5EB8A12174D99067E289';
wwv_flow_imp.g_varchar2_table(8985) := '287E244F3B35A1E8155202C1D38E425361E5070222D8509014A4E5F7A007AB19744461B709E448910012842048C44128848406FD575C09D801E087748C68F81B1E88B9010024006C57A28B649679D93DF9C8C3CE3D5299B9553F46F1C34E3B442164A37B';
wwv_flow_imp.g_varchar2_table(8986) := '26FC405A7D521C71C40FFBF5472541290C890792460A848782490250C827B98074DC83123E41056D134208000B54727128618E6C972800C1D1765B87747DE3E6AAAC0235D39A55B5FFDA139C02C909004CE819444F981998F0C283001C711F6A020D0900';
wwv_flow_imp.g_varchar2_table(8987) := '0402253701720048B86441C101608781862D221034C7249A2D45C735DBC47FFF9D21659303013B906E026509AA40BF454BAA918CF831A6ACF4D67B523E1FC19AEB4150C108A3BD10FD4B553FFFC849E742BB6642907CFF59B09F4115260B009586224A90';
wwv_flow_imp.g_varchar2_table(8988) := 'B5881D78A074D04003C0881095D0DF404F34096E41C00A4183B9D81D8A9023741926861AEE4282C8BC046985910930F40CF0CFACAA598FC045E5C30F540048D56641E7D5B92F794F3F940F3BEED4E91100A03CC1C5403C060B80104F4821A540294F20F2';
wwv_flow_imp.g_varchar2_table(8989) := '83CF2A69076202D961AD40DBBEED10CB03418990DD4DAC0C000D0599FF5A1025301B191C627C3C47181FAA167455D410DD00000C1E6C00E40B30DCB0830E3BF0C00349821002F4E722D1C38E4B0C19A58F3E483B1511AD04E10B00D29A454D3441F75466';
wwv_flow_imp.g_varchar2_table(8990) := '3541FFFC130FD6FF21F6ACB100740D80830721F809411A2A6818DB021D0F91180F525A6E13E60A41DC93043DB8B2CA7C0BA49B1F2F13A49BBB56E21C233D8C3BB4CA280018B2100826800003002E609E912500EC41C81EA0F7BF91E84363C83DA0D1873E';
wwv_flow_imp.g_varchar2_table(8991) := '94A31F6CE2174CD4918EA399432BF028473EFE518E70884367FC30873C6097947FEC83831C5C1AD39E523B78E02A21BB0B85D6E4420938300F21C6520DD91A0532B92DCA3F12D1DB43BA47101D9ECB510B59DEA8FF0A63BEAC60E41902490543CCC01682';
wwv_flow_imp.g_varchar2_table(8992) := 'ECC0050030C16A7400821780808A00709C417600802AA4C10A7BB88E400EA19B3A9CC17F688C08009336C27E4CB01CD79902130C218F8F1825770391CA3FCA100071FC8308EE4B450C26780402A061180160C63F3C108D5B5D861FF988D34766621E85D4';
wwv_flow_imp.g_varchar2_table(8993) := 'CE910AD95D2500F0052C7D81344212C2C39423CA4601C77B2F34D281180517C4D0806F3C2C08F5A0F03521D0F26B64F3219568033E516DE8396AD0CD226E73253E14516727A1C5421A41102BE4C0052E8001FC0020BF6A4A717E37D0A2409020902A0824';
wwv_flow_imp.g_varchar2_table(8994) := '0D7500E714EAE039FEA5F19C0058A3BFCE538F7F44A30FB5D8442DF6F00E7BDC4375038189399450FF053FFC31903060C71F23018F6B3C4006E1F84136FED1A29E84701F4EB9C7AE243A107AD0031F2EA94724A702A382B1039308D19D60C08686817C72';
wwv_flow_imp.g_varchar2_table(8995) := '787DE211F1609824E72909006288C2192D223372D14D20B764990EF95682E50C0A005E7856A80E429B6865090EAAAAC954E0B1AB8BC8A1218179C5426C01005AC40200A1509840E2500683E400085084C821F6270874A2B11FEACC635522698F7F706313';
wwv_flow_imp.g_varchar2_table(8996) := '9D68062F36F10D9C3CED1EFFF0C4114001837FFC20120048C50DE0F18F2304000DCCE8A7178A708D7F34B52B6A1A486508C28ECA4C961DF0205841FED18F8FDE8E20FD9887607EF004E01124083CEA9369052225E03D47438E389018C435B689FFB07220';
wwv_flow_imp.g_varchar2_table(8997) := '548A25DF6C8953B2A92C7B3E1D48503F863C5131E243BE73D450BB01D19C61E522C21B82F018B28C820C83AA007005630A528D837862930B118439F327903DE8410F33352BD0D24A95A9C88482AA50452D00508B7778B02847AB02013C10806C28C10DF4';
wwv_flow_imp.g_varchar2_table(8998) := '48050CB2A18F1D18021ED188813B9410807030B42BF050473900900E8198A3C20050C785339C8ECA98431D8465A340A0E25985841600E0DDCF1382809D20302F08604BCDF0588B52821CEF136F5B8418C6362D83780C00892B9EB452F9A05B02000AD623';
wwv_flow_imp.g_varchar2_table(8999) := '9B9113022C1E810C79E742CC73AE0480633ED7225D884396E5C06282284320D300C02F04228B697C7920D2100835B2B1666A8419FF00C93833434AB40A230C640F7518489E0FA10742D401CFEAFD1C7BD9E8DEA3C1235BBEF00539E011359884C3030B1D';
wwv_flow_imp.g_varchar2_table(9000) := '4326DE100025B862030FA005170C50055B24411ED7A080833FBB130F6A38C3D80040392A980E7384A3C2D740463AB2F10C7350981E9C1D0889419A1ED14A26780F92C227D5F0053CA0566CB89C61F0668C87C025045D431C48A45E3A2D56A6AD2054A21E';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(9001) := 'F594EC436C2F085E03C952BA3C3410C314225478084773077215523B040404F14143A891E6340B24CEC900C034A651665904E3DFB828C82F82211065E47B20A3F08440E6279070EAF9CE7F0E34D0EAC1A2CDAA6726FBE8C737E45BDF7E9CEE7451414A3D';
wwv_flow_imp.g_varchar2_table(9002) := '74F60F7CC8E3E4AFFFAB0A3DEA21D12B6F1628F4D0B03A98C1054A84431801400637A4508E6CECD51565A84436D2510E777050205463883DB2EB06C4DC47206B000018AAD435212C2BD9C102DE2746E4D2540260DAEFF098350A12971E0FE4B60731D72D';
wwv_flow_imp.g_varchar2_table(9003) := '97BC53212C67628A8A76B83FC6BC2339027C25BAA77A008095103E04DE0409EB40E2B00D6A5417CD03397C4196318DEA8659F105B985422AB1B58180130064488341341F16064440E2FF6B07AEFD95348241851FE550057DE1A18F7B3434691F4CB988F1';
wwv_flow_imp.g_varchar2_table(9004) := 'F82FA870762AB09B9D4E625E0E760C8305AEB8871FA4C0886754A11CD09001284061026148F881B507C047698210A37C841678C003179E40AC35A8212E270580FF058823C31DF5E637895A84D71D618D1F63B5209F884B5C20B2B2B72B1B62F6CF00B01C';
wwv_flow_imp.g_varchar2_table(9005) := '31D48184EAB570506E402410D9B00FF8104902817214810204910300D065021104D2400D07418105C166D9B00C63C278CBA00CF63610635610AB20550671080B315E5BA144024100A0C711A2337AA5C75930B20FD0A00A7CA07AB51064B8F33AB9926B27';
wwv_flow_imp.g_varchar2_table(9006) := '747484C646B3933E25117300F061CF90029950055CF003B63006F0800C55200EEC400B37400CEC007DB3976102F17A050113B600078E5052CC337571F72C5D83184E06005BC786CFE152C8B375DBD53C09E17505114BB8B51C3AA432C0A2373F951080A3';
wwv_flow_imp.g_varchar2_table(9007) := '2E3F646E778707A9860FAF03130A381140826298FFB05502A1050CB10D05410DDD201087F7810C118207710726688207D10779F613A9306D7D00001970002C78002D8811F9400FA2976B797447D8E0085570066260077B4005628008DCA0594531427BC7';
wwv_flow_imp.g_varchar2_table(9008) := '3A464134BA9713FC2061EA300C8C5006775006E180077EF00499700B47E00999E0075F100D12260F4A33625C487D09B174B7003E1FD31B4F4610F32780034109C7837E1FC3286FD38607F10DD9E2528B2237F7A7870CB132FEC887D9931023522A00E025';
wwv_flow_imp.g_varchar2_table(9009) := 'D541803481807CE7721411070581051441810717111E78700427102B2006F8231063B009A7681067300500300549B01391020954000006C082ADA8112F288B491349F00009557029B3852962FF4005557055AC9388593123F9A00E13548CAF630EA8D30F';
wwv_flow_imp.g_varchar2_table(9010) := 'F500495A118BB1221014278E2BD10F5A4174D76041E6D00EEA200EDD800DAEF60CE1F00CE25019A323425001620B71627E01380020078EC0968CF0548AE208CDA610E7F731C7E3089F50084BF286702864FAF843108387C07587004963FCF71BFF2788C1';
wwv_flow_imp.g_varchar2_table(9011) := '313302111C8C000AB656108B28110C187802E1020E38105F460A00206716286618210DD3709104810476F607F41509AA272D7093106FF0056A61066F51122A0800467000014000B9D99219A10EBBE22FA82385B9B120E8220662E00563E047E6F1411F14';
wwv_flow_imp.g_varchar2_table(9012) := '0EB6100DEE300CC4600BF0400BDD100EB1460CCB480F5BC90CE5E00AAED00ECFFFB05019466BB4000AD36713A2D36104516173A20E1FD56195E10E4453965DA810A2450B6A1080098120762880CEB375CEF3977448108CC118AA125B49927D242321A465';
wwv_flow_imp.g_varchar2_table(9013) := '2C7FD82C102310DD46252C6338FDA75CA582188CA070CF300D33321035C2901021010201915E4510DBB00D9A981123C83EA449106F36106770065E3410C500009C4710EE830692C812A1606700A09B2CA89BBC6911BE296249833A9E4005D731066ED007';
wwv_flow_imp.g_varchar2_table(9014) := '51EA06B9E10555C00DB5321EF2400C04980DFD5022C3300C63520EFF400BF2900D8D5465E1D00FD1900DF2E00AD1C00C16748947C312D6D7541AF511F5F05800E012F750494A9A72D3E785BAB63B59B36C5C305D06213CC2FF23043C820772889774E18E';
wwv_flow_imp.g_varchar2_table(9015) := '8E8076C46510C7700CDF308702612DBD81072B952913113D34C62E58727777E70746E50ABF30A32536109319112F403F0070050D286F0B010EDBA0AB05210E9FB910F9860B04279A0411A355209298A7791F294605819A66107E28110AD35610BB79A415';
wwv_flow_imp.g_varchar2_table(9016) := '91A4FE723490809C5E401B762046625005E18A0CFFA00F32C114F04055EE8444DD0100E2400B0E660BDDA04C688A0C6A9A6AEEAA6AA0100ED9502275CA131C341E46D32FA0B58366A910FF205A9ED00498421C2AF51F52A00611FB1FD7535BFF6118EF48';
wwv_flow_imp.g_varchar2_table(9017) := '87FC57106F6810CE93A9077120D8A106F9412C01A9102C130576333CE4236E03C1077EC0088C408205370DD5FF700EFF301346717244F83E03E10358E003426B10BFAAA2BC0A0EDDA0AB483B6F38B366CA1066CC3010C85A5E10F1A329519BD6CA11D83A';
wwv_flow_imp.g_varchar2_table(9018) := '8BFF300C99D007B931065EA01BC829067ED009E2B056E6FA41D9300CCF5019C4300CEE700BF4400BD3600EF29A0DB6400BEA400BCC100DFC3A61D1200CFC000A1554449C619F502910B8C6460A3B04665009896006F561014302AD05713247402E03F109';
wwv_flow_imp.g_varchar2_table(9019) := 'F0C82500602D01AA83F60864A1808F0CFA36D026103F204323E36DE5C243F6F7B24612B38E0007BF1118513B1025220DE9C96E24EA10D5A0051B00000E0891289A999358890F7189037189BD8B815506003A505E7590671B99A30A5106B289127C81B502';
wwv_flow_imp.g_varchar2_table(9020) := 'FFC18A597BADBF095AFF501915366104B16AE9D00E2E8714FFF0617DAA41FF80152EC10E15D60FE9E00E59910EF8800F77542B6882228ADB50EED0B8497334CB3075A620108FD805264B108ABAB9C0726DCE735B1D2B1018862D9D3B10EAE7A918F32047';
wwv_flow_imp.g_varchar2_table(9021) := '6001262B286E77C283124B2590013F5502B53510014809A0E00ACCD00DC890A6D12B7D06C1543D7B10B5D98805E180B86A1049AB10E00000BB9AC44A8BC4BC4A10DD4089D4D06600200DED3A463BDA105BC0BD6D91124D1000E3AB115B9B47B4B73AFC12';
wwv_flow_imp.g_varchar2_table(9022) := '15FF4A2B044B15B5A2C626A2B80571C0B0D356C11008B330099C0000B3301053B705C4861D2FFC35A50520A1D0B174713C8BD21BF43810EFFF20109172BA001005C915BA8521B103A102E50700B0414AB38BB2DE233147E0067EC04CAE800BE2A095482C';
wwv_flow_imp.g_varchar2_table(9023) := '10DD916695311E4B15BC12919943ACBC18B1C445ECBC00F0C497B80D4F7CCAFDDA453E60098790067A7008BBC00DE83026A358103E2A106FD0445F9C19617C106DC214F894C0E8F18D06F111FC8026030C49B7C251E3117D6D1C8E06CCA778B50A81A00B';
wwv_flow_imp.g_varchar2_table(9024) := 'A610087900008F300900C0099C090089C04924B3BA9C6B245BA796042A1D90120AC141A09D8A20A0DA04B0310129C0016633012CCC2C0A412E4DB2BA19E0016AE00924780B375B0EAB900C474C10C4300E04B15414310A576505C58B1043EC109448101D';
wwv_flow_imp.g_varchar2_table(9025) := '7DCAC1D0C4BA4C1021180CB2FFE08155B6D263C03FC37C0A0DA1055F8006CEFCCCD05CBED507001957CD11C151C1C8C6AB52C00471C0B4F30FCB200AB00000B030070030080D8C09773C098310085217267220077810752E86B974E852966A4A0D22AA71';
wwv_flow_imp.g_varchar2_table(9026) := '77185592109B5B87AB7B103FE025D390B6CA20791F0D0092976613D6AEEA80136BBC3812C1178D64A20921CB00300E2D6D1047BCAB00D01DE1000E4D0C116B260DCE7B066580BD00A00AC7500CA778C5038106B62AD49C11CD675912C778228A4B14F900';
wwv_flow_imp.g_varchar2_table(9027) := 'D5B8F3D8B3A0086CC0069CD0C00DCC098360D50A510A8900DCAF9008815110B7D5974A821894DC3600600DBB307636965E06B18E07413E175810E0F00BB800D2B7300AE5FF400CA3100EEB50659355D8AEFC10D5FB10CAF0D82C2D10E3B0D21DCDDEEC6D';
wwv_flow_imp.g_varchar2_table(9028) := '10CB60CB0291034CD07092A0099A600928C8047B20926F309B02C116BBF009840005331505F98CDA3DA1DA0EEE106EFCD47C0A00F6B00D550D00A6300B1CDEDB8100CF780C008A40109C000B9C500AA6600A773C10BA60D5BAD00B0A2AC91703D710710C';
wwv_flow_imp.g_varchar2_table(9029) := 'E44010D6A0BDA6E421E47624068120BF76CB16360EDD900D8E0D00E38D0BA3300EE69070D5B00EE530DE38D126863D11B7207907C1D80311A3FFD60B8D2D10D230DF536C11DDE09003A1099200009E53560521927100D400505225F509D6700674301064';
wwv_flow_imp.g_varchar2_table(9030) := '10E141E19B32A8E70FE1D40301C704610F628EC797201093FFB0E100200A04C1E80D6C10B0D0E22F7E3CBB60108BF0970D2E10358A0A0B01DDFE171C3C4E10E76618E0F30A63960D694B59E30D0EC950C4EB906FE3300ED51009862079BB42D83132142B';
wwv_flow_imp.g_varchar2_table(9031) := '810B47DC0BA520102B5D10C1FE65AB50CFBD200BA5200B09D16669960DA090DE00B0DF694E5E12414B772E53B794E97E8E12B0B2ED7F4ECE0581C00241E88C1EE20391C7BA50EE0070E81A6ED50DDCE2B3000B792C102D0E00E050D5B5C00BFDE9366E13';
wwv_flow_imp.g_varchar2_table(9032) := 'BA9C9E297640E704810E08E10B0351088593F0E9280EF06D0E857E89CEFB65B6160ECA00589E00D2FF9A15E79D10B1300AD8F507D0DE10A49008C8EEE5464C1089C03E299FECC90E009007E66916EC06FF610984B03F13C10A8BC00AA8A00900F0EFDEAE';
wwv_flow_imp.g_varchar2_table(9033) := '1340F8F32105EE815EE1E4DEEE02310BF54EEFF1BC100D3CEF4A3F108966F0BCC00B9FB00BBE50E9957E103E2F108B4C0EE8B0C80271E30421F66CA8097C503873890769FF3113760EE6700E99F4BC5FDE5D4C7E89696606FE4A15C8F4101E6F0BEC93A6';
wwv_flow_imp.g_varchar2_table(9034) := '00D0017ECF4C05C199299F08AB60EFBA0AD202C13EF4ACEC00F0EBD75DB4FC0900683E56E694CCB60911A880F39A60073CEF3992B0D6427FFA3651965A51CE9B35DF4B6F10779CE10951EF4ADF0BF36510D690F5748E0A9E9E10610F00DE0000BBB0F503';
wwv_flow_imp.g_varchar2_table(9035) := '11FC634FF6216B09545008EE5019E37D0ECF5F10BB83E4930DD269169902D10D9E708984FF6D1455DE10B6100B5205F87C11111468F808B1F80751CF06A1FE06D178603E0D903F10D35E56A46D1D6CF107CEBC9A9AE2C1000140E04082050D1E449850E1';
wwv_flow_imp.g_varchar2_table(9036) := '42860D1D3E841851E2448A152D5EC428F01F007502F11174478FA0BC7FB2D8000824D0D4C159005A327C094017805ECE6A15F4D56CE02E9E3D05FA02A027212B6B0F3509DC84AA954032AFEC153C9770DEB870E30048034015C0B66EDBB2A503A04F603F';
wwv_flow_imp.g_varchar2_table(9037) := '00F0E4F173E80A80AD5102810D94D030D8367000E4284C046055A25EA564D945586A95DF6504A9611DC84CA01D818704EE0150C7E0150070FE98115866290028023B0B6C62F01BB78CA54D9F469D5AF56AD6AD016CEC785024C17EABFF0A66E9825294C0';
wwv_flow_imp.g_varchar2_table(9038) := '993179CFD2E55B262C82B08A01D036F0F8C0A2023F59DB65EDD3695E4B77199CF26DDEC078DCD7115CB7BD1B0076D26E8DC33A5E5AB7D804E1CD8668CB96C058D51EA604400ACC5D826002F7622891BF0C52269982CA28481085FE18088D2FA603800C86';
wwv_flow_imp.g_varchar2_table(9039) := '5CA1A5A0275CC330430D37E4B0C38C608307807B0A824F9F7BFE09E6A02C00E8228B41447951979520D24599628E71068062B4D9B1981C6F02C0176300684E2027049224355E226B651D79045A47A4EF0C5AC71E73B619A79B1401A806B16AC6116B2381';
wwv_flow_imp.g_varchar2_table(9040) := 'CC8A68145B6261ABAD5B0058C10585DC04679B84F813C83F39E854A8145712290C8060101B082B1B081204B283CEB802FF4181B400400D540E12E233822A94E59B6C7E6164202F3CE4B4534F3F05B522D8041A71A0900AB267994126214811810629288F';
wwv_flow_imp.g_varchar2_table(9041) := '82661C483881002C88476F00D009005E8CF1C5176B8415E828002479B4B4210552258D6FC08B679D6801E88EA071AA0167BC71A2F9732076EA19882C321F7A0B805180B1051860945102000F12F2412065684A282F81DAB2D75CBDF2052091525E01A014';
wwv_flow_imp.g_varchar2_table(9042) := '81B201801A82AF32C8924D8EADC3508394B002003400F8E20B341C294A52818450689A5F00683754914736484C924F566D5411492CE89F655C05E01281761BC8944B66192410560FA2995681EA5ACE9BE5080AD6D7218B69A699628A14A8D78B7631066A';
wwv_flow_imp.g_varchar2_table(9043) := '008C2104FF1100E471F23BF80C1A87180094194F1962D21B0F00B2CC2EEBAC8690A9C420430C812BA11C044A49CE81B611E76000C411A74F81C4B17B6FC105A2E66F82A4A1661A810025C83100141CC8501D603061088210FC841081A2F02C3484484339';
wwv_flow_imp.g_varchar2_table(9044) := 'F44FF3410B1EB42622EBF484F851FD2193CF3E5BF488366247A07C582628D586629A446600303968129A0128CC261D93436EE89F067226C781B4719A79829AE1A599651F6A069533C21973CA81CE5107FC71CC51679B514051A62E69B2DDE61673C61A28';
wwv_flow_imp.g_varchar2_table(9045) := 'C4899498220900DC74C8853806A246CE6DE8EA5F41FE57B8826583800549DC32B2A1C0654C431AF352DCBC9401B08248C2610048031374E081B81401FF002A28081D0AA2B149C9821B1F935D0A35443A79A8831E26331B59FE41967ED4D086348CDD4152';
wwv_flow_imp.g_varchar2_table(9046) := '07007E806B20A7EBC73D4A65BB11892988F053A1EB3842AA1F9E0A7E2E83D9AC2EB112DF016067029904CC1401BC5771313F073906F278E18B2511447907018A429C4710E4ED642087F0C5D6CEB18E7344657CE0781F00EA720B39992319B868DB16B052';
wwv_flow_imp.g_varchar2_table(9047) := '8FD3FD635C0E0102008C70BF452261202858C8DC127240FE09A46C95348CE2E40528C414C84F0058C2400A9524814866201420480A08C2392844A1950C91853092384BD6F0A3855BEBC7EDFE01AE5D920E6D6663DD46EE21928DF06344F91851210D723B';
wwv_flow_imp.g_varchar2_table(9048) := '1EE69096165159419C182E55254466BBFF11C51C6025902816641298886220AE03005594F178373127419A07946278E3180449E7AE16420E81686359D7538525DA4310738CA31C02E18A9CC4818B814402007188441CA4012ED599A5750C21820705A204';
wwv_flow_imp.g_varchar2_table(9049) := '4902400220A8E8DC72E0828D0A0413E020E032B661306A748380060340D914E74065284E4E0624980283F18B9916C44003D101429C9006C8E0C0031490804405B20800682E22CF18D033958A1116BA9036FF508739FAC10E7344E37D337C8D2E5D51BBD7';
wwv_flow_imp.g_varchar2_table(9050) := '804523AFE9C73FC4418B7660351CB678613490F10F793C69180403CB0BDF8A36922CF520B071C7CA4CF5C281E8A31FD56C482006E1B34B64318B04E1C4402AB1095520A5159B1948FF2B54D18A5DA862176524231B050224C81A6457C6709E3C13720859';
wwv_flow_imp.g_varchar2_table(9051) := '66451DFEBC9B34B2B10D6564E3A6916844413C9147B1BCE69011194212EC37370635A411E0601C42EA52B66CCC0BA05E21DCC0285990063AA40E48A801240D42543B88D095AE24082300010047C82114B7F8053404F2050070C1AEE7854853E1D30F7EFC';
wwv_flow_imp.g_varchar2_table(9052) := '6318A9F8C73532010F7364231BFD18463AFE618E61BC411DD5A8063B94900DF7C2431D60F907323C910A0084C313CCC8042DBA11094630E31FB4B8C52D22118E4C00C01300A890399881868E3CD4AE2A1B2200A61996BF6E130030EBDDCE7A37873CC04A';
wwv_flow_imp.g_varchar2_table(9053) := '66871D08AB147145BD08A4159B588A259885949DB4A23ABC682C3901FFE08C300E4427653C23721832A46559A20F5CDDCA55B062A06024E316AB78052E52145C4F58C587637A124586A08424B8E00D07D128413A2093875C92222C35480B1022190DBE0B';
wwv_flow_imp.g_varchar2_table(9054) := '060451834008C1CAEB7A4E0A8DFAC2760592E182C081123CB48789D13B691EDE325CEDCD861FAE91294FD0820B0E8E8427CA610857A0211CC430442ABC700D5B448216C4B0F093DA010A10134C1CA9B08539DC710B77A8E51FAE60342844920A7100E016';
wwv_flow_imp.g_varchar2_table(9055) := 'FB9C74349BB835BF2A43560CC9C3495E9563840C4211A3C082411606E4819CA2B304A9EC9205B2465594F320D143C890A0660C4D88211BDC2BC82A6C0380B61D5420062D8819F4B61143A6592249F06012E6B626FF86CC2D185621489C0A329EBA0C643C';
wwv_flow_imp.g_varchar2_table(9056) := 'CBF59B41967B1021EF41104CD829649820810D98A08202A1C37507C2B9F10E84110C7EC57C28BDF285A8F7D2FF08871B500D0050DC2215FD4050265C618B7E18E21AB7B8032D3C212683FE6344ECD82A3C3A5C0E57FCDA1CE918C6332C6C8B7088432DE4';
wwv_flow_imp.g_varchar2_table(9057) := 'B105C1F2618B8EC0F0BCFFE0476C520C80AD01C01EC190D5B307B2E3B50F641083984337AB0D0033ECC17109D9C429224B90CEA2DB348740422C8C4B104FC4360E8A060083F02D1034A0610FCAD0072F6DEBEF89582E09968B9841DC9403CEDF6BA47E5B';
wwv_flow_imp.g_varchar2_table(9058) := 'CF3610932DC1953421880BEE4096917A822489944C10C8127020100A0C0A003F18086342DE4A2884FFE64200C894401AC16096175F212E1F4B7B9951897F6483120B1E3A2822210E7318C21665C8442448FD876B782213E950EBD52241756630832CB708';
wwv_flow_imp.g_varchar2_table(9059) := '07333ECC0C5AC843C304CB0428801D8967B0A31FAE008B334F1CF683ACD8EC6807001773318260033698832CD2266B3B08B8ABB138A00C0C3A83343803C7D884BB03004D5818001827845085EB598A4D881E41B0C020410854B0843D98821DC8045C2038';
wwv_flow_imp.g_varchar2_table(9060) := '0291178260103418833230032DB80600C80731E9378B88A8866880FBB99F2E400F829005529085C1408C91D21B89D81285D03BC83912009882E892000D00001BB881C528AA3358A5CEF83D81800338F0030000044600854628837639024531BEFF9553AF';
wwv_flow_imp.g_varchar2_table(9061) := 'D761AB70802A7128877228367970856180395BE80676B805AF09876C9007094B87F7B90764700566000575908761700562F80762780671E0B970A0855468875BA307787B1F73C8419653B6BD2288669B038318402B220858D1A6522C88390804567C4081';
wwv_flow_imp.g_varchar2_table(9062) := '400226E00129BC2081B0846FBB4082F0368408C13D30165FD186361A883398021E0825C53B8879BB9C322883C643833E40906BD03FD3981886F001496AB883D0A44B2A36D5084609110826D83800D80081B00119100242F80456203928D01843A0043890';
wwv_flow_imp.g_varchar2_table(9063) := '188A0119E0038437C3BD36343E5B72AA7091A133FBAAAC4208AC0A978180B95FFA25768087D77922DB798DE2A31D262288B2EB07FF671308576CBB52D4B18CC40F8660032200002A204981D80181C8A98210B283D88431421221DB8534428895FC89E5A8';
wwv_flow_imp.g_varchar2_table(9064) := '8E4DA00281F0003D23882D28883F683C3388463614083710883B18831BDC07F7A03C8B288257708107380817C01F81208571C012E65288B608944F2A0DD80300C8A8811500803FBB428E610CC6000011020D007882DE224A7E94CB82B034DAE8A181C807';
wwv_flow_imp.g_varchar2_table(9065) := '70F1A57AC8CB7AB807B438A67BB81DD2E1CB95692FBDCA87202A226312C881980D49FBBA25928D82E887147936B50B40006045983945854809E203800E838481F83D12F2450008B281B81E8320C625431EA202800F789718108822B09F931C882BE8AD3E';
wwv_flow_imp.g_varchar2_table(9066) := '18C33BC083814090FF32B00304C10619DA878D901F8C000210004DB901C28600A98260037000870FC30810200811928C29B02814B01F222002DCD39C45604B28A083D0A0823138887D9C4B7E1C91BA0C97220AA2F6A221BE44A67C484C1E429BB0629DD7';
wwv_flow_imp.g_varchar2_table(9067) := 'F0A17B90A187A221F8A9C636A49DBCC2CB7C08099301D0266C4581C803B963832C38892C90836C0B826C1B884620A88148850E238850A004F52C08C708C68B48033D508A81483254F238003849CBB91F81B31F81601038E083A22CCA3270031E05801B7C';
wwv_flow_imp.g_varchar2_table(9068) := '8DA54C1B8C7093179DCAFBA9A885231E83A08B82E8025D300769580552400DB0040026D880174008771C3949819B84A0843F9002254083476BCF49BBA5D769AFFF708806F9F98772500CB0D20866EA4F7A40B06B90C34054B16748CE336D08145BB68AFC';
wwv_flow_imp.g_varchar2_table(9069) := '07DB9095B71B884B70959CD926DC10082C080281A00C2BF0C9B6E14A81A02083005100B83B53428D3AA0C9B01C082315881A7501237081441AC381F84D83E85100D02485C4082C0400ECBC8852983869580FAF3408D6830856380A27D038833882273882';
wwv_flow_imp.g_varchar2_table(9070) := 'A162CBCD69022F205182A882CC20C354F5534A4BD3B1C8C16C30C370A88761C0876AF0047AA8867C8007710887178AAA7AE8077A88844CF8876700856E10874880036CB8053F8884FC8CD6859848BD724C8200505CC80DE9C48F3C48893500002C601400';
wwv_flow_imp.g_varchar2_table(9071) := '58B31C008116900219F5D058A8D44C700481E003FF4400843154834D4007D182880C540872B00426208329708C5A508504D880097851100280B9D90110300110F8B389318454BD03006884ED0284C31B98831C528BD0B31D28D583B8827821881C30DAE3';
wwv_flow_imp.g_varchar2_table(9072) := '32BD844038C3E055885014114A032974975A5C2522814DCF18083580D68120AFC4BB579683CF5C8A2F4668C868C83E62A00571F004FAF382579030EF73877F102B5AA8073FC8846CB00571E80848CC047300BBB04D887C95A612199160E0178348890BBD';
wwv_flow_imp.g_varchar2_table(9073) := '821CB08011F8202068012040030800806205003CF88347EB040078B41C55834D6914A3D4547418214EB588E4588E2998DA58D80308384700680115B0011728822270814181591000012B7883FFEDFA4D3EA804661C8555688BC0418D1638C97719880EC8';
wwv_flow_imp.g_varchar2_table(9074) := '81394BDA81A8CAAC9093A81020E36AC182F8DA886801B33C834DD0840C2A08DA145D00E0980B8C023A78250088022EA4D882B09A4C15DCF3824F60DA2F9FEB3E3FB805577030377885A14B055AE01E662A875C830374CD847250874A804400005CC89C5F';
wwv_flow_imp.g_varchar2_table(9075) := 'F2A0C8DB59B11359937FEDC96CAB84B6C10C0B1088B810881688872F488082B846DF0400A20C34F55483295005727086296082A92583EF65886449086D380699140300080154F2005A1508DB050215E049D91D8237CB5C00288455088660E80559E80552';
wwv_flow_imp.g_varchar2_table(9076) := '9862AB80608B105A8BE8D0372188D9552574845C00000287658888B132B53408FF2516885505801E76DF3606003F30D38390DF087EA6698D21B10A0757C804527B8358F0043F28B50F8D2F3FA80750680781603A7DF08468783050488535B1054FC0878D';
wwv_flow_imp.g_varchar2_table(9077) := 'C8A1026D4FB0E32AC1C44F052D11BF528C331C0839882DBB882D4080032E680154D2C9598D877FF8820018080F68567BDC94F20500D10D3450758CD95308D37D0C49704983B8AC20390EA2120206F880D8955D81180220708116D0339905811D205300B8';
wwv_flow_imp.g_varchar2_table(9078) := 'D9424004DBE8136AC0152BFE2587AA08DC04821DC0CD824852170001750600A315C916188123260868A6671528E7441A88DC32082EB802F3EAE7844882295824291CE88360E345F84D36C683E055E231FC5281506283BA62FF3B16997FB45F75D0B97EB8';
wwv_flow_imp.g_varchar2_table(9079) := '8644DC9B6C48056628876E683E50F8076620897F7087F729874C10877FB005B5E03075F80766A28D083ED00455D088349BA748864AA0B5B679B43204C3CA7833159800108E8B165807BA950259B65CDC9B412EF082311508CC2D8833D89428B0D2747308';
wwv_flow_imp.g_varchar2_table(9080) := '42D0BB83A000CB9DD52F9E65961D082BD8AE3BB8834DD866E2998917341B18EAD38B00A1E9B5A88470011D7001A1A5E753B5DD2110AA960D99DCCC0C9FECC92F88C5452988816ED6CCDB949BFD4946400447C8D1255EE39B55633C80033556558A562A8B';
wwv_flow_imp.g_varchar2_table(9081) := '46A2652A0876983E82F0BABBF2EC92210F04EDE47C48E4DC31369C65844CE10F820D4338683CF2E280BB8E0BFF157865BA7D8312068014A865007868812051CF296800E0011DA0018548A7864832AB7651747C66849800C3A64700D88451786265508660';
wwv_flow_imp.g_varchar2_table(9082) := '981770586AB9468D44320410965EBD9ED5BCE62824D8BC2A6817CA28032DC00C8630EC83D8DE83E0EC82E80318B49AEC1A8850C003C82688ED3688EDBDC6D4961DD006A6ABD9257AF0251131A65C6AC8F90C2BB2A0077E201DC5E4211F1250830CDB7CE5';
wwv_flow_imp.g_varchar2_table(9083) := '64FC6C07BE12087BF8353408C335F84D39F003545E83EDC6832F905109006111B687718083FDAE0204FF307A84034698989F0200112008AB3D8856D0BB35BA882396A8A31E08DBE3824688AD1E1E030EFD8B4A1805529093C30409D3B01C37C30E1FB082';
wwv_flow_imp.g_varchar2_table(9084) := 'FFCC3B902B4083838DCB8340F3143E58C6BBEFFE5688AE856800F8EF9FBC378108708350CFCC4BA4939401069F2507672F8DE08743FF218148F41191210028CC1AFAA1DB31267A381B5FD2C1C6CCE4D5468BD63E711D7C654F383489C10317275839A86C';
wwv_flow_imp.g_varchar2_table(9085) := '17070029F06008C07184358721B885160800B196802418430AA23582E002E6350818E08110308853480349E0581122A58358023130CA1A6D65E95501109E00E6B5822430AFB0349438680B4F20652F3F87A790A6D31049A122865BA8540F3388B6691B43';
wwv_flow_imp.g_varchar2_table(9086) := '30A8FD490804717781386EC2630D48F8D2052F08094025B126745A1AA64F07C8F6A2C3524974B002BB017DD38349B0A6D4CF5C7A928E1811FF702987F7A1E933D56452F1749190F4EEA8840BE1826B5755532FF555F7E00F860010F88100B002C5480008';
wwv_flow_imp.g_varchar2_table(9087) := '48000AF0A0B659135010EA4AA0845EE7F781904A0378801E00A585684D83F06581D08097DF6D5A154982B09C4439881EA6C7B60184B6D9866F177115CB082BC065813090A65D07E42D0869602DADDFE283A837C55A0D3FE8AD82D02DDB6B080ED86D81C8';
wwv_flow_imp.g_varchar2_table(9088) := 'C27E179D7FC7A5D7700543F00476B88762FB0776480779005C7A30073BB5077790E97090877F928762CB07AAFA87D7665B43308735F1046B35B5998ED6686AED053D9BEDE878F392828F7FD406C18CDF0C02B2BE6B0468F94A908007106B10E002B8C95E';
wwv_flow_imp.g_varchar2_table(9089) := '81D8AE1690005F2F08064001FF1808A53732089DB0D2FFC6011CA0811098BD3C0780087880B8407D82B84646D98448A88EC6C0F30EEB2D3E1A07158F21817007B5C108767FE8DEBAA9814891B2B10A865F87A675880E1D8551287B8358BC9FA447342803';
wwv_flow_imp.g_varchar2_table(9090) := '902F4B8930CBA4278831906AB90708000207122C68F020C28408EFD16B476F603F7EFF986502F08F5D243FC3A2A101C0084E364388E0444A458C96A74CE622A9330427DAB52F7E00649AD7AF5E3B5AD952FD4B15C95C385A0A87122D6AF428C27F00D8B9';
wwv_flow_imp.g_varchar2_table(9091) := '03702F1FD47CEEE8FDEBD70FC03C00959E00E002208814AF0683A801A062824009142048609BE0C1C0041E94C0F124B012200033DF0068E1C1035AA4A72415AC65894B93FF26036B083CE286E0030E062908B46250D5268187049689A4B551A557DDC6D9';
wwv_flow_imp.g_varchar2_table(9092) := '13A8546053A4433D0F3474378EC02B03B70C6C6417173181DD00A81B286FDDC37503D79D137E4E9DF081A32A299C5910C88E16002050567D900B973156CA0018C3C5B2F5F0E2C7932F6FDE694379A7FBDDFB47EB964562AEFEF9F1E42ADB7D0094CC1932';
wwv_flow_imp.g_varchar2_table(9093) := 'E729152DAEBCC24E26A0DCF24F24B4D8920D2816DD538F2D9544630B00C464C24E39B95D751E871D9AC69B404F45E5505556D503805D5D25D4111E0249A182056BB1050104D301F0408D35C270051C03F5F8464740100498518258C74351352600C01770';
wwv_flow_imp.g_varchar2_table(9094) := '98E19517651CB207414A8C61885D95E0D28D3AF10CC40F6AFF1E12E4DA41530020E4414AF8209019449D730E41566D080099062551C40E0078901007126C505E767A15548511621A7A28A2E731D48E3C10E5F34F36908863CE30916443492AA944E3C933';
wwv_flow_imp.g_varchar2_table(9095) := '9164D24D24E16452892BFD44328C21B630D24D26B4A4F20C28D5A8574E3A91D8E20932A0D8624B2AD900904FA2C11AA5546F4E45C5CF5455FDF38F97A04841901A5FE021ED166BE0B1C5B5030DA1A74010C055235C370A54041768B408001A5C3C0B8240';
wwv_flow_imp.g_varchar2_table(9096) := '80ED59D40E550814C241DB0A248342928170C340381624C51049005084404408A444125A4402DA2ABB25475053607A58279B5A08E443A100183C700E46E4902700374890434144908C6E1C7921F48740FF3918BCE7BB362EF9407506115184128922729A';
wwv_flow_imp.g_varchar2_table(9097) := 'B03DFB1C6C3E8B3E14E73FD31872E0308C9823CE35E94C930E00D9A873CDD4D984338C27EA0CD38F2D86A8234E365023F350390050184EA8F050F28A5312FFFCB669FCB01322544F91B8EC3E5EBAF2EC405FA041EDB4D65ADB665900005C04112DB49042';
wwv_flow_imp.g_varchar2_table(9098) := 'B7E122F4A20D02053641CC0AE9C0E15F30800043411208249DC607C9DB9D40A00403C039738209CFAF89C2064024AC19245B4700C836D0E800B800840B0481D0BB42D5D568100C36EC20641155E40E005F6FDC7128DF704B3F3D794217F48F3E7113A414';
wwv_flow_imp.g_varchar2_table(9099) := 'CF0ACD79FD50DD53DF33B1044595ECB2A7A522D0176599CBBEE0D7E221B841EA0ECC3800FF3FD840B0E100081139E8A4E32E006C4E204B52CD2800800BDA842C2170E180095AC03982482621391B48127276853734826DE600C08656373444B5E9750018';
wwv_flow_imp.g_varchar2_table(9100) := '85672A91220034E20F263408776C67141078805DCF39980C0110C31E0180877C298865FA30BE2112F167D62B483FF2518F7CB0E744FC7822B0F2C18F8808044CFCB84712C1540FAB48B175206C5DD042748F22FE8C1FC512C8F9A8B22C00782915D1631F';
wwv_flow_imp.g_varchar2_table(9101) := '1ACC658616C50F0E806044231821901F8E0B00F8F30200F8308614A440082DF801117E00BA0AB6400530F01C52E01043A4FCC504036197042A179884C0204F5760592AC0D1BAD3B0CE6D1D6217BB72703283902221B82048235AC832FFA258C10A4AE0DF';
wwv_flow_imp.g_varchar2_table(9102) := '40C610C736F19087B50340157236063EE2AE10028902009090313232B399D639A29842E8CC66FEC38C21422300926515A700C05965691FBAA4252D390A640D3DD40A2598379018C6E00700C819CBD0700484488003940359CD0E15018154502096B4E451';
wwv_flow_imp.g_varchar2_table(9103) := 'C003B22ABCE10FBB01D640E0410F539EE70F7FBA9C0D0F42318374431A00106578AE6085DBC5660C02B118E906820481808C9856A802150832D269B2B4A509119AF8CE234D837CCFA5C12A1F370742A26D9EC813520027380512ADBF154E202DCA841E15';
wwv_flow_imp.g_varchar2_table(9104) := '62194A646292A39302103C40810970A07245A1CCC604920D5F292401084840CD4C10D13FA9660CCBCBCD18133AC20E81FF07003930539A00F0C282245020A3385D3208B20D8260F42802D361192C93042310769904595E14A660589B32769AD0F4D04C91';
wwv_flow_imp.g_varchar2_table(9105) := 'D85861E134AD02D9E955F601806770019062300820BB123D3C6422147E78A340AA6005BEF9A11294F028100110B981A0C92814202B41D8269018B080050589C0010B6249AB16854C6540832ECB5690521ECA03238DA8405040C082900936B374A140FEB0';
wwv_flow_imp.g_varchar2_table(9106) := 'B084EC661E59A9840BE1F00738C441BC3C04000A865005D9B8C64C46A86D412E28102F50210948F8EB64F34BC4C7C6A98AE189AC7E7DA694B9E5143554D9E640084C10A80DA45873EB0D3CDCA1E03316E4610221303BD2A10E735018290C5EEE403EA89A';
wwv_flow_imp.g_varchar2_table(9107) := '7108E4C3FF0A51878205A28E461944A1D263C738D24162820847C40711CE382C0C8075A478681DDE718A05C2BA76F0C6C4EBF87090353C100D9B38C04E4ED43D16C5E2FE0E04A171B22251DC46C5271FAAB2103B704D0FD2BDD368968C3135C81AA907A6';
wwv_flow_imp.g_varchar2_table(9108) := '7DF00C1EF260E8CF4E24907A64AF1E72CEDE51C26C9182E0397B7826883EE80C803F4B96A603493397132D26864C85A65541239C95B26583B86D8A2084B3A2CB835382208B2A5F3C0A54324DBD98BA19D3F97DA2A945AD6A51F3B71FFF90C71893C8C55F';
wwv_flow_imp.g_varchar2_table(9109) := '3DE41FED91C85A6DEDEA0FADDA439BFE52B27AFD64CD967A7C60C24796BF14CD270ABBD9D4AB477A20E26A71DC221DAF96F43FE881217CFC431CEAF8FFC749C2F10FA8FC63C5B1BE873ADAD18FB53A5B35034ECD97CF0C91769B99D86FA637BEF3EDCC7B';
wwv_flow_imp.g_varchar2_table(9110) := 'F0431EEA18614420F58C7F0CE316E5400631CA718B6C94231BB6E886B5AFF14160000019CF00403768C1B46ADC4228E2B6B2BEC307A282745ADEFFD573C8C3B3BA29A7BCE52E1756BFFF1D277DFCA31BB6A01AAF6C516D795C2357CC60474F6E110E6C3C';
wwv_flow_imp.g_varchar2_table(9111) := 'ED1ACC70052D88C10C0084231CD1C886C95FBEE76259B6E4E6E1D9A4A5AE9A95A75AEB5EFF7A5162BE5689886318E170852DD4318D67A863E1E14086D9D5130E00D0A31C6DBF06D387A18E6C20231D4B177781C1EEE52A367A20A5F19240CE310E732CBE';
wwv_flow_imp.g_varchar2_table(9112) := 'F1E638CE38D4A18ED21C04E420443608FFD38A50CC4B9DB960FF3CE8B3ECEFB5BAFA2AF61087C84138A7724403CD62144899BF5E3E5376FA4357D90D41E093FBDC9398F2DDEB3A43A3EE6C89B838F4C63FFE416A1A11F654B39A53C422B3C17495477F3A';
wwv_flow_imp.g_varchar2_table(9113) := '8B4C040098ACDC0F7B64FDE5833730A06B3E905F080419A138841D68B174590C04F75F34872B305EA1DEACDBE000F03B009EEE2B5B583EE4FF7033F20520F2B19B4044C415151AF0415F012AC499099FAA7D5F36AD15CDB91F00FCC22BD8C112008013D8';
wwv_flow_imp.g_varchar2_table(9114) := '8130901F009C4E5F95862710801224403850008554883ADD020CE0DD351CC103C0013C5493CBFD1FCB09200E22DF5574917FA1DC50D09E3DFC432034139CC0CD80515AB05551CDDDFF822CFC022E2443241C022F0080311CC227288340C8022E80C38694';
wwv_flow_imp.g_varchar2_table(9115) := '0628140128C88B09E81E1A184212B0C3C5FDC0FA1C418F5C1F6339E0B000600ECEA1F1851043F9209529DB9704611634400114000008C000500F09E802F509D8C8599640789A404CE02B09443034422BD4020058431F7C4230E042135ED4406445FCBD13';
wwv_flow_imp.g_varchar2_table(9116) := '0098C0C5A503054442020043383C40025C5C126C801F2098AA5118E76D8F1CD2A12DDEA2755C453FC4833D64010000221191C038C4C37AE0E1791C21C9151E1A2DE14004C328A8021502802AC402F9FD8216A21E4178820DB4DE2B88001C880A3025C018';
wwv_flow_imp.g_varchar2_table(9117) := '10C30F80C203A4C30E9C974DD1C319F91B00B403D4B08339A4033BD4FFC386B9A33ACCA269D4222EF6A33F32201BF9E2400C80030880022840CF00230038C0304A9A80F503D57D99F9885F05B2DF2D502215D602340C042E6CE1F6F143693C4311A4C01B';
wwv_flow_imp.g_varchar2_table(9118) := 'D843199880F3344838BC01333CCF18C4CE0654416F74DDF8C89940E05DEB0D43D830C3DC59C8566502DEF106BBD9E03F16A5515A842E12631F02C041024018B4C123B4C10028E44028005526C40020A4513880213A24F98C1CA7D11D08298544B85F35E6';
wwv_flow_imp.g_varchar2_table(9119) := 'C240E4C2319C8E35020036E6A27EBDDA07A54337248127F0A40778013C58412CC0431518C2335401AEA4C307B10E2DDEE05126A62D4E9F4032E5053CC20508401BCCC1000C22415CC0052CE4405C254168255108FFE39E1923874060120E1A457E202E04';
wwv_flow_imp.g_varchar2_table(9120) := 'C331088431084345E2821372611E02803E6AD94028624BC9838899436761841B58861BD0423B70C11D44431954813924270018E6A1F1A3623E670EEA835236405602C005CC810038C000B481401480294C260070A77536A64138401638C023CCC2408441';
wwv_flow_imp.g_varchar2_table(9121) := '4128642162DFA7F90C53888F32D266CD3DA21356021E20C24074C22302C02DC866C8D9E4FD7D815971C10E34152DD88317FC5C5778813CD00A62422785CEA1E9FDC3523A661B00E2750A8040CCC18716842200002C14847A0A042C3C020098C22C4C8228';
wwv_flow_imp.g_varchar2_table(9122) := '00802E98820328806582A652C4DE4D8125B0AD5510EE861336021A9C94408881BCB8C10AF5954550FF1EAFC127F67D8F68921191ED9D1FF4081A88832BF881218CC12FF8015F18021AA45D39B083E51165859629F2F121750E620140E58A8AA766AA6789';
wwv_flow_imp.g_varchar2_table(9123) := '72021BA0A82E08C42380A87A7202004425880AC42CCC421E38A5870AC47BE22865E9E840D46710FACA2A7484158C41680140A4BEC12B21E96D2E207C4A0C6EC22111D9E43C2E45D91098B7958339906A42D514999AA9AA7E1E1FFE62770EAA0280A86546';
wwv_flow_imp.g_varchar2_table(9124) := '2509A82841B4812E14E4405CC09CB2E72C5C824028C2243C027BB2678D362400182AA290268FD6DC2F78C6170000787C96A43E2A8AFC82806A15DE951D005C8338FC832D44A838E8C3D8FCC3DC495C0A02C0303CD98F8108015A8473AEAABCA6FFDC85F6';
wwv_flow_imp.g_varchar2_table(9125) := 'A16512446576274100A367368040CCA8032CA4670A44032840C006E2A012AA212A6BA2BCDB0126EAD8D51C31CC920E151400F4C11B68875734825B62EA2DD845AEE0033364033F6442365C43363C58393C03B285832D1019002C9DAAE161AACEABCDE2DB';
wwv_flow_imp.g_varchar2_table(9126) := 'B25CE805F82B00A8A9BEF6AC41F62C8D6EA640DCAB41186DC20E24A1222BA636EC525C13C4725ACD09837354865949AB178C8E1E8992A56D167C5C0331509B2D88982D84C3C53DC334D81D318483EED560BCDE2CDC0ADB858681BF4E65D176660120E4D0';
wwv_flow_imp.g_varchar2_table(9127) := '86C7BDE6EDDD2AEC3F30ECB2222AF69526CD65C3BA0200247006BA00801B740425C40285A05ED7EAA440C0C733ACAB2DDC432630FFC32D5C43D90A9D4E8CCDC5B55CCDC62DEA1ECA938E261BF5C3CEF6AC750862201A6D200E05556627D33EA43A3027C4';
wwv_flow_imp.g_varchar2_table(9128) := '8E19B5998D0225047CE0C28C8558366D0F83F54653FCDB07AD58E9BAED84A6AEF48A475AB983F40998B25003891A052CBC284194E851C0422F786FF796E832C0094D9E8729791E3611E8E521C5DC706A0E46EFF4D6EF518C913CD4637CC6E7AE258444A8';
wwv_flow_imp.g_varchar2_table(9129) := 'C6F4ADEEFE362D95995299296BE0CAAFA1A4AF759C9992829AFD46B051FA1BB20930C91D44FAEAE3DB44193DE40D9B4930088770AF311105EFEF865845D4FDAFA829B07958B008BF300C57DE3D94A6D71D620CDF300EB31416D11D0B0F4500F7F092BA70';
wwv_flow_imp.g_varchar2_table(9130) := 'CFCC890D875D0E1FFF31129BCFA3F0701237B1134FEF532C273F20146E3E93954DB17EF51F4200CB18F1A0416871A83DB1188B7094D19D61CE0D3BA0981AA7311BAFB11BB3B1D6BDF11B27441ABFE318DFB1049F48151FDF1EC30D3DFC3120FF311E0FF2';
wwv_flow_imp.g_varchar2_table(9131) := '513230198B48546831212F32237F1EE64559228771234F322E1AF2E729B2A1DC033E44323E6830257F32D8B9AF17F9A3288B49544431003C3028AFB2D7DDA110C36D545805B3B1322D6B1DB0D02FBC09201A5F98B0B8833B10992FBB8370F06E2D17B3B3';
wwv_flow_imp.g_varchar2_table(9132) := '599628EF0ADC5C03334B4F504E034E1A851850811878D6A168328172D8E329D839D898317F33BD35C8CF94EE354C0300544335F84C3AA7735022059508049200FF000FF0C012E000640140D98C83A582333FEB1B5A02805024CAC5C1C433C04434548339';
wwv_flow_imp.g_varchar2_table(9133) := '772B0024F434219340D080403041A2D8D82C2C0041CC822900C038E8C239B4412F74EC37F4B3483B5940FF73B04443EBE51F3AA3733917443B9F8739BF7451B4C2190CC40C0C044497C0A120A99B2A44488F3450239F6B0AC4D231C3D21D3442B433334F';
wwv_flow_imp.g_varchar2_table(9134) := '0336C8B4B038C2267CD60CE8B4CF940338E833527CC33B0435571B1F32E45F6E5C5C3A1B0442E39D397315CA96B56A8C35526802001002140040061404021C8A3A808339D4E95188C33794C33734598975B560EB1B32C8AC51AFF35098F5422B74CCAA06';
wwv_flow_imp.g_varchar2_table(9135) := '4C10C4F3264414384106CCB5FFF8160018800120FF8A370F8529686F3A28D7FD8936AD0CB669E71B33A0F45040B339C7346BBF0D199CC00CD4F55C63803325C2476F754134C85B9EB66FB75B6A1345392FF5418CEC423B358738816D338040DC343371A7';
wwv_flow_imp.g_varchar2_table(9136) := '35FC3441A8800A808238ECF36F67F793AD6B6E0844419F734A23F639B7B40BB6F640A0EC331B4A1438F740BC333379833754622808440AB85322709576E737976D64631BC435A43441BCF659772B341FB781FB0C1D30017B1B4A1186871848470B70AC7E';
wwv_flow_imp.g_varchar2_table(9137) := '4FB8937D756E2483D245F6509CEC6207E5701FCA291CC40C38C1403000011C8087686F78EC822314044353388C3356647F375114F8620BC458DB783520F778D44173030014E8C13485B840ECFF02006CC219B813F37C3400BC4229C438943B137FF73752';
wwv_flow_imp.g_varchar2_table(9138) := '7CF88DA3EC40203487D8414148341D9041B0BCB8794C03383079949F3911656E77FF82CC02B842ECF8959BF38E8BF9799C411A0C0489F78C2517042B1404FE08C42B6C411030079A17BAF4ACAB07AA8698BF3896C3B97920432C24041D4434A224826A9C';
wwv_flow_imp.g_varchar2_table(9139) := '029117C4E9C8C1173090390100187C3A1698419B18BAA997071AACE640E41541B8F951806D8743335B9707C551CFB3FCF95158C3418803167C3AA803C01AF8BA4030D0A917BB754002310043777FF566353B79E0B7A188C14DD3C088E33919E479879812';
wwv_flow_imp.g_varchar2_table(9140) := 'B50AC413440F0910046100409F03402B1804166C016D6C419B907A4108BBB19FFFF901104078242E7FB77935B87A95DF249D7BB778D8017317C4A4038062F4CC270080239C8B660E8424B08226B8F541801441B489BA0300B10340AF4BC11A50838A0380';
wwv_flow_imp.g_varchar2_table(9141) := '051C81BDBCFBBBAF6BE27648EB9D2C34F338BE17C5BADA3641C4B5B01C033900C0317883AAC77741A4941E08391D087951547CA9833A1E608140800D00C84268CD13C8FB2314D080100079D367DA89CB3B00C43B8A23C5C8579C865B478EB7B48BCBAC6A';
wwv_flow_imp.g_varchar2_table(9142) := '0CC3D50F441A2C42B917C4317CA279A442A417C33114834078432AFC12002C424A0D049813C48C3D7942540BDF1B15181004DA27BD513E7DA60540669B47D867BDA2F3388F5B07137CC007B87C2174C2A124EE19F4418B13FF04E52305162284996B4522';
wwv_flow_imp.g_varchar2_table(9143) := 'C80141548228A125370CF5E60B3E1D36BDCB7B75C52103C26D96E21711B30B442ABC412408D1C57AD431D43E0000C3509787C02481996C3B429834410003AB278215F8400E04C19A6841B41A84933BF92AB0DF9403B441C00123AC8FEA871E550B814E0B';
wwv_flow_imp.g_varchar2_table(9144) := '014417FED497C7D53FEFBD77EB8E6B79CAAB063384BD42C83F314C7919CCB74104348710CC11640C407859940A404183070F7AA2E4E9E0170057AC202C7824C8902012311E7972900B468F1F41861439926449932751A654B992654B972E851CCC50C260';
wwv_flow_imp.g_varchar2_table(9145) := 'CC973751123809CC168061D030568B56AD1A806B0589B68C5690D94864C33002030600D131641273018885D3FFC641235410765306805B484A8E0EE23123D1E19620520ACA7255B0ECC12338F1E6D5BB976F5FBF7F5D961042D3A648295C9EB4008CD380';
wwv_flow_imp.g_varchar2_table(9146) := 'CE93C3845D350874B1415BC47CA60C054058D6CA057FFC50B9B9D3C7427C0AC1E11307CE1A4A056D3DC336CDEB67DBB771E7D6BDDB63E183429A08D978508C178FB892F10E596203020007001829794C586468D09A0278F64C3900CC1F53794698F518E0';
wwv_flow_imp.g_varchar2_table(9147) := '2245468A13F9C960E9D7AFD923ACDB9D7E7DFBF7F123840B408C1A3169D5C00323F4F2338880000C32A0A00C0E60C18B424012C6A0AB24848A3BEE94BB8A3284362CA893CD242ACDB62100F0C20F9142F9A496F8544128945A0A4A3193B90ACA869B69D0';
wwv_flow_imp.g_varchar2_table(9148) := 'FF12E2871E00E8AAC01F810C52C892D4F8082D00F8704440403CEA669BFC7442B0A00078284942CE0080E62A66B6530E1AA88691CCA0AD42EA03C2DBA42B081B8CE4282DBE156BE90446008E0451A235AF7C6DC83DF9EC534847203C532246043C88368C';
wwv_flow_imp.g_varchar2_table(9149) := 'BAC12F0283A42420049168A1C5A02BC37C26BB82AE89664D0086FA0CAA8F2029283EFA08FCC82100DC04E0C5550F2A269662CA03E92EDFFCACD5D65B012B44D783F828C8915E0B22A8A06EC07912D70D3C11EFA3A9AE2C48CC2E8DCA6D98EF3CFA841211';
wwv_flow_imp.g_varchar2_table(9150) := '310A6538FC500BE9C557C59BCB114A18A1649A2BA5DB01D775D96DD7A5D37EA513D882302C681C73EE15D203140AF20000060E2A8D965C7AFFA2A5A7836CB985D2ABC4BCF428FC1029E8356C1741A88C50E9D344134BEC90A898546A79F55510B3EA444F';
wwv_flow_imp.g_varchar2_table(9151) := '39543DC83877596ED965902084834E3C8ECC729D710060E7A073847C01210E1E300001E70ECAEAE0825E990A4BC990010A28EED67C6629E5143EFAA0504365E1A07101E8A7B2FF44AA44CC834211B91865010025A4345F6EDBED5ADF3168918E3D0A47E7';
wwv_flow_imp.g_varchar2_table(9152) := '75DA59479D7374F693470010001821830F9234338F3645C8D2689899BA32A54582C4912674D0AD0F8C503905158FAA000092620C3A06F45C40C78846C08AF9A498D2472FFD4A72DE8E5DF6925A09A96F767B806151918E56184C846AF105804F28E3B23B';
wwv_flow_imp.g_varchar2_table(9153) := '47DC10A9E2DC0435484F0008FF59C4925B842D88060042061D5683D0DE4C18CA802293AF6242D95E22729EE1069AB23A9CDDFDD8E306E99482BC06609D82EEF7D3041858D8FD2057AC76B89058E22063FBCC2D3072B91F6D666C284348F50EB2A263C40A';
wwv_flow_imp.g_varchar2_table(9154) := '23E539DD37E6A317D5AD0E00E58115ACD0A63E6E24AE201804C037A671A3F7AD707676D88341EE070F7AD46A030030014E340105E8804D37C01046007F34AF83C84112006005D922C63D15950E2340F14C56BE3129BDC48A741F019F08D754176E7C231B';
wwv_flow_imp.g_varchar2_table(9155) := '5C442100FE513F168ED14FBCF8081D00B00F8FAC231E43A2400610E033920C23612341DB62800119CE005148D028852CD252904524B1200AD40A498ED13E00C80C2FD6A8FF62073F484161C44A7D592461364E380D4C9291937C8A9F478CD10CFE48641D';
wwv_flow_imp.g_varchar2_table(9156) := '33B4950844928A5714845A0869421436272D00E4915D63ABC41F5035BC8288B218B5A0E0A47E59B4DAE445742581063A36B5C52D86E3209BECE43381440E74A0E323BB008035D2700C3562E466E718873ABE398E56D2870224E9C938457247975CEA5312';
wwv_flow_imp.g_varchar2_table(9157) := '9150B3FC744C7502E01018711513B394484566092160588C788E61388C086B43512C083FBCC60F682E5439B003C03BBC21116358D3199B5B873BF077109C990300E01847B1C6110C0070343900304319BA660FDBE8444121B9854041E284C2C4229824C1';
wwv_flow_imp.g_varchar2_table(9158) := '4E139F018D7A81641886E4133AF639126C59114BDA91081CFF3C818CB92C4F33B19C5B91EC90BC9148612D513C1443B14A1F5186C41ACDD86A41CEC1338370741BE04048762AD1883E29412419184F41DAA992EC5C8A24430D9267827A1036ACE22035F5';
wwv_flow_imp.g_varchar2_table(9159) := '485D42719D0C1A641430050014B3645090E4C20BFE3C491B1201007F2A162F8A30C825B29AD993680323C63088670B82D18F48E3237CDD934E880600C7842417F33C49D3984119EE50082AC288AB54FA9495638E24B2062187013DB23E92C8802F6D5840';
wwv_flow_imp.g_varchar2_table(9160) := '41C28091E43A90842305003E5AF208CD4E97249CC588359C8110548881991E09063A0DA20C62E0824F2DFD48130AD23C788684611E59AF48A6A286CAED89B21E218544CA438EEBE8D7233B2D08434832FFD89618974D64214B0AB1519772E0C4B20599C4';
wwv_flow_imp.g_varchar2_table(9161) := '252E215DEA4E38A2E703C0570B828A34848D4926F5F0411AA18596D50C00861509541061A682A80D0086308441222112BF06891BE1201F46A86110F216841CFAEDD03185FB114A548291014E70730F52248F1C370C4C5E40933FB2A9145EB5257368F041';
wwv_flow_imp.g_varchar2_table(9162) := '1431890953B74521B1A641F8459B5F8CA4120589F1699D6380001C68B51E490599DE2B12004F468A02F488D28683B12045D1C49F3DC5260EE20DA0F077B70656D37CA0212160BCC20F6028F24890ECBC8F84010CC9ED6710C0001714AA30CE2D19849507';
wwv_flow_imp.g_varchar2_table(9163) := '71E52D6F797E1821477601B08B4D68820A5000C24796018B8290D62099884341D0805200FFCCF93E2D754C9B25A2E7C3A6041992D950A75DE6CC95A8CFD087C6063682FC8C6F981600725803231018650024787DDD0EC9102C30041291C8201610C27E0E';
wwv_flow_imp.g_varchar2_table(9164) := 'C21D5754092779F8F49507316A7963441BB533081362C0A32FC4E1C50721050223A1D682E81A0D00D0759008A0A0D482644E1D5B9949D0F993C311E35314C748756A150DE01EC41A5604B208D33D1F6CA40F234CA20D04E50392C34824405F702C180A25';
wwv_flow_imp.g_varchar2_table(9165) := '116E00B25E6FD8369553028B4458790EF19EF7CF25D2A2290000021EB0810A0C92038924CFE605B90300DEF0748474448CEBA2895B650200E6A024D15F7A0AC5BFF3DE58CCA956DC68CA9BFB108988C2AEC21801EAB60BE2EDB2AC29FF539B7A18422841';
wwv_flow_imp.g_varchar2_table(9166) := '10647BA4BE06910325FC7924460060F0056144E11381C1F475281B7747893E00200A83CC0100810040A8813E6F7C62A0203E3208D20B928483C0A10F366764C1DD8086D48F81D7ECFA80416A68109A10FB29C05D2F3EFD748B5F380E535749E441A0410E';
wwv_flow_imp.g_varchar2_table(9167) := 'BA0639CA174A3700B8609C5094859ADC10F041407E904C18A4CC061138251AF11A8127022D8004802CFADE1258B0211094CF03E5330F74334AC4F300007D41AC50F082F8C10F027AFAD30B7EF0963DAA20B157C9956AEFB60A0272DCC5132E892C4468D0';
wwv_flow_imp.g_varchar2_table(9168) := 'F4284BA8492464E3690E0C93D66B7D068B1B948DCE0A0212CAACFAACEF203830AD28414F6EC4F9A0C1162A81DA58A2EAFFD26F050D42700A4231300206D1E00FFAED209A4E76B0AE20664F8E466292F8885966092108685D466143CA623E9009D1A2C8F9';
wwv_flow_imp.g_varchar2_table(9169) := 'E8E2C854629F2CF0239ECF031122ADD24A22C0EF2012E1157AE10259C2DD58300C3F0F060704EAA802110A45E070F004002007C78424464522868159AE84EC5AA10E5A46D9A0AD2C36830301E0CC5A42C4E8A2432CF0F98082120C81C5760D25E8CA20A6';
wwv_flow_imp.g_varchar2_table(9170) := '6119C4301271A205C83024840D0070E1BE0080AF562976D81000B4A6C40A42D13CC2160870003D0211ECAD205E08009C0000340148D88A6C64468BD4E420B6620D0E220B58020CD8E0218C8232B8E1EEB80825AAAFB7D490FA30E2161A410EB2211BA661';
wwv_flow_imp.g_varchar2_table(9171) := 'C1B64912FFA93124A680FF00C05F4AE244164181946119BEB12048011C14AA65666F261002724EB107D71124CE20D562093FAE00DD3002938E10210431B21C2B25B2000CE4000B3AAC990C620AB9E1BD0071CECA2CB23890215A4F16CE222F74712DB060';
wwv_flow_imp.g_varchar2_table(9172) := '2DAA31B312C07F0C02088600E9601004108249A40A0082411974E14966011301A01C5D860D3F713372A11D4BA21DEB0921F4A0203427D558A1E3F2C30AE0A21118613310419DA2E61A1AA1230C2211F6B124E4000C22EB0A0CA2180D0C18A0660AD566FA';
wwv_flow_imp.g_varchar2_table(9173) := '2462CE46A11218A2B74A221D00C01EFE612542A1129EC7F02A72A13A07235460084AC5205AC023C90D2148612C72EC20F8611E5CA6044E60F60E4B18FF60B2070F02B7A6C00E368C0934611553AD2058211E0B821004018D94C328FFF024E0400BD6E01F';
wwv_flow_imp.g_varchar2_table(9174) := '01401751E20AB60000B680188E021B98891BE8A842E88243EAC20FFFCBFA141200B2920A9D691AB2F020546A2500ACCC0A0F2DD6000FD640FECE9285FCEF206C80442AC02D410006E0AF1118A20C2CA10F92712E63C70D63E12F4D822700E068D2600A66';
wwv_flow_imp.g_varchar2_table(9175) := 'C023080123BA933E2202214EE7238EE21990A11170894452202504513EB2A14364818F3EA2123690FAE8930D14B1201A21DB00801ABE21C7D4032700011018410E3A6C0D1829E67EF37D9AA09C24C205804005B41124C4600FCEE00F5661C73691D6DA46';
wwv_flow_imp.g_varchar2_table(9176) := '2F71E0AD56E2687862C630028D04A13BFF59013277C30AE6F10B94000E54D320D2D2203E853B4A0A005E23464962CC240272C6C680B8417C0AC2C5F4B320D86014FE0B49B5D070B86119C421C712E52676732D78130EE4E0440A453317149A8860085A40';
wwv_flow_imp.g_varchar2_table(9177) := '021C9438F6A00F2CA19E5E48D75A6F1DC2B256301200EE0224A813BE4CB1277A021836630600060A861024044122F0F433AEE00B9C5225CCF317C6662E5C61144021115C211116556DEC042170E117A8C5F1A470F1A6900A0B4249ABF0159E11219EB420';
wwv_flow_imp.g_varchar2_table(9178) := 'FEA136F941254D620B0A6E370BA2350EC237B734769220031E00020E020834F28620800CD1400B2C81A90A020F31421DD4B456DC702782D024E6D43AB34269C4E015378C24543437FF1C42102BA10685800731A2D80EC20F4EC53301A05B91CF5B318247';
wwv_flow_imp.g_varchar2_table(9179) := '010019A6069D6441183A7120134D1570E90FFA0097FAE0D60E62153CE1170DC21338354A01E019A9E119CD012C0B42604FC22825730D0244555F159ADECF2316A1CB44621CE0A15630200338AF0D2F163762212B72E11398E07AA000219C800C0AA24FE9';
wwv_flow_imp.g_varchar2_table(9180) := 'E32DA4E00A40A1114EA420D8E6237E4118F85322A4C00A24335C3DE2158641434D27BD30901B802112006D13E8D50CFAE0C57049193D10498B223669E31BCCAA1FF8614D51820BA4E0223C620B4EC502268056892E0120006CC11600C476615BC604BCD6';
wwv_flow_imp.g_varchar2_table(9181) := '0A28F224B281A3FCA45801800DB7332A5C8B257261600AA23C5EB120FFE63663EF430920A23325C2158C868F64161910A8F00AE20B04B72106F5236C4BA71002195EE18E988D3362EC0FDEE01004D1558F72145A4F0D778C369ED12B0976253AE20BA4C0';
wwv_flow_imp.g_varchar2_table(9182) := '21B05622D6936C69556CC3D66BBDD66CD7A52B24A021A6CE20BCE00C66945D30E0F50EE20C9800036660647523520BE21599205A0B826477032200400AE26014145725E2F220ACE054BEC00A6CF67111824765832E6C641A14C9160DE20DD41724C8EB2A';
wwv_flow_imp.g_varchar2_table(9183) := 'A28118DAA7BB0EC274F522E6BE404BB3D720CA764FC2B43B28520DD6E0543A42055260025C66423DA2088800096E0009A6A073AA8006230114704E482C1621CE005801E0858ED70F8EC11608E63AE3D425CA0600FFB6930DD3400F4C167AEB233C31C214';
wwv_flow_imp.g_varchar2_table(9184) := '3FE22E8021660149343C820B9C921E43423664E31A8EC246808F2C802248C76414CA434831623EF0000C8A037B588C5F6B7325C0D520BE8037F1E07EBB15082C00810B22011EA020282077F3E301BED886FA451B258056DBD22F3A733735532D10E23CD6';
wwv_flow_imp.g_varchar2_table(9185) := '05060D588C25A2546EE8CEDA057A9DE059A7601380483E71E26324E27AFC743772C08547A21DDFE920AE00876FB6209C12875362F136051AF6101A8E82CA762C16F6A075FBCAA100401564C60DD0031AF40460FFE27E15F420488440D633010E42F44E82';
wwv_flow_imp.g_varchar2_table(9186) := '026A372F44E0221D3405600004F21823D4A52FE0185CD7C011E0E044E4CF2194E04DD9C503B8F823FF8C8096092B1C4CD54F98A0209E3597D6F116706B6671426D20043AF8F6629D606E0100033080015CB0326AB67B23E44AF66EC7E0A266151921BEA0';
wwv_flow_imp.g_varchar2_table(9187) := '231A17006EC19B8DAAD9806FE4220D920C8244940EF4B4C11BCAA216BACC9F3E21A05DC23701F88A3F630260A012F76251CAD85F5AA09775030DD0803701C08A75B1112A21200D0E00EAB94F7C190024C0993F620CC0150590330333C1BF6EE559550118';
wwv_flow_imp.g_varchar2_table(9188) := '3E78000F0618F81937CCF99CAD6731A4400B9440502379594402222262085CB8085ECD2066F1D1648EF82422A79EC1524BA1172895B36AA1158797870AA2C31C0246866002D0631ACE611FFEA19A51E20B8AE40B4E45A4AD580EF8E0EF00010FFFE0C073';
wwv_flow_imp.g_varchar2_table(9189) := '5F77555FEC064082030AE2D524A08CFD029500E03811C204F258024C00E9661A27E46F2DD04061F1E0EF24820BBEC00B8620986DC5231DDB23A27A0C30423ACA605DD7656FA7E28361B82010682AB8392FDE0C1472A1108253240C190096E02FBE979291';
wwv_flow_imp.g_varchar2_table(9190) := 'AA0643220562C2103201BCBE15F9C2139225C2A491C150B503936D9A5EA00D1B1CA71474817B24227B378CECF0EE1808C4FBBEB22550CA217CB38A1DE28D751114E42024F5EF6A22C10DA459222440B001608D81AD323CE0863660BEFDA223ACB623DE82';
wwv_flow_imp.g_varchar2_table(9191) := 'FA0404DD92409A67B14F28C0960BE201641970D48C93EC20566C2116263C37DAF44048E207B0B53200D123BC80BE0FE2173E8547FF6FE1157E1A217E7AEFB224B60EA2A4EAB220B401C35ED02090A02078C11B56018987611814D16D5B02DD5637C8E57A';
wwv_flow_imp.g_varchar2_table(9192) := 'E570CD81A4FA089679086C18EA20E1CC5E162120A09C22FB2F7422C19FB9325A162104842261EA0DF0C0E6F0E0A3DD45810120AAC94807FC201A36241A8E4228A2416AA2FB250E5724967CE900600CE2AA3224030D3086112433F90A62FAA661361C3139';
wwv_flow_imp.g_varchar2_table(9193) := 'A6E11792A1296E342434A910BBC80B0D221BE4F720BA6192D0E1188407243A1C308A0C0EF45AAF435A1765066115D70CDC607DA10E0D50DD24547DAF01E30992800B927A37DAC81E6A338ADBA61F5490A1204F2276BD2FA6B193463525D6946A41222C75';
wwv_flow_imp.g_varchar2_table(9194) := '3D8D0E82AD11C2D8FF0DA2D73FA27E7E1D2F703D1E6C1D00E2C1D95DC26BC228D9C9A8D8F172600B621FF092DCD3681EF6C11E82DD767163DAD95DA5B49D37FA411F7E7D1FD65D54DD1A2F140ADE4102D771821FA08B1E140A1FF2FD26EA01BAD8052CD9';
wwv_flow_imp.g_varchar2_table(9195) := '7AE1FF81E1EF9DDD213EFD4EF72FDC7D60DB3A2CDB3A2F0A3E0C1F3EE23DFEE3413EE4457EE449BEE44DFEE4513EE5557EE559BEE55DFEE5613EE6657EE669BEE66DFEE6713EE7757EE779BEE77DFEE7813EE8857EE889BEE855A2E28D3EE9951E48DAC1';
wwv_flow_imp.g_varchar2_table(9196) := '1CBC722468E40F30E90E367DE9ADFEEA71A21FD401250C014110A81ABC2012483BA5B1BEECCD5E24B4FE24CA4109EE000DC4810B9EFEECE57EA16608E959C86BFF7C9C246EA0DF9260C1E6FEEF3BA9EE01201FA0A91CD7D4E9FDDE233C81A3DE606CF21E';
wwv_flow_imp.g_varchar2_table(9197) := 'F021DF7DE8011EFAE11E32CBEE233FF3B16AF2F9C1F235FFF3413F2426BFF243BFF44DDF2038DFF34F7FF533BF1FE8A11DF281F0597FF6219F1EDC21F6693FF7E5DEF56F5FF675FFF7B1DE1DF8C1F781BFF88DFFF8913FF9957FF999BFF99DFFF9A13FFA';
wwv_flow_imp.g_varchar2_table(9198) := '611EF3A5BFFAADFFFAB13FFBB53FF709BF1EB6FFFBC13FFCC57FFCC9BFFCCDFFFCD13FFD875EF5D5FF16DB7FCBF241B42422400160C1C421EEDF3FFF3949A186BF2000C2552C00040B02A0B2C1A0C2850C1B3A7C0831A2C489142B5ABC8831E345281A3B';
wwv_flow_imp.g_varchar2_table(9199) := '7AFC0832A4C891244B9A3CE9F1DF3F830315AAD1FF8032A6CC99346B32AC7588E012823484D0B00934A8D0A1448B1A6D78E2A8D2A54C417201F0491394280585706C8A35ABD6AD5CBB7AFD0A56A2158657C39A3D8B362D4A2811D4BA7D4B11CE1B005714';
wwv_flow_imp.g_varchar2_table(9200) := '9E69D204AEDEBD7CE1668870A0AF60B568E230A43A38B1E2C546339C604080B1E4AD6FE2A05128E6CCE4CD9C3B7F3C7020B2E7D140CDC06178E6C95DD2AC5B7B666050B4EBD925FF10AC5B500C152A0479D3FE0DFC6D0900B0831BD788468B61005F3047';
wwv_flow_imp.g_varchar2_table(9201) := '3913650AC14EB48E5BBF8E3D7B5A3300DECCD5A2D0F794284800502A684BBBFAF52603B37FCFF0747387E5332D7CC62D1B36F8FCFBFBFFDFD05C0639A2C741004007C014639C07802B054DC3FFCD34D84C230C80165E88A159CA046350232299F1067706';
wwv_flow_imp.g_varchar2_table(9202) := 'E9718618884DD18418F619342137004CF30C32787001071FAF6488638E3A1A35CA2A3782641A41DCD5429089D069A62041B4DCF88B42D8DC42101C78FCB86395565ED9518F00DCB24A411CDAA04447688848501F05695650145188A1107E006453508505';
wwv_flow_imp.g_varchar2_table(9203) := '5587659D765A498D320449C3109F0C3549921DC550C40C00DF1014E19D8A2EFA1EA0056DA3108705E1A2D02F7A5A0A809EC904934CA69194140A4353F0E60900B65049D0340409739A928CBE0AEB75B228D40D350B49F38B8F06510AC02804F1FA119983';
wwv_flow_imp.g_varchar2_table(9204) := '3AD48941AA221A6BB2CAFE46CD36D2405AD032D32C43109C06410B5135A05A54FF9D2CDF1C1B259DCB8E4BEE5EE0407A6EBADBA80B40BA05E9D967430979242000C3028018433FAAF32000C39C7647B9020F3CD9369076736E44E00249D01A7D84FA9083';
wwv_flow_imp.g_varchar2_table(9205) := '06496C2DC1165F9C16A4D8EED94DBBEBA2FBD0C605F59153462102B0096A6A9EE14775B638BAD01318CF4C335A1D03B06E37DB882372B5CE0270332820784466A884E07BA49A4FF851103100B05373D4526305CEB50088E3F1A3552BB4CDCD00F0D9B19F';
wwv_flow_imp.g_varchar2_table(9206) := '008459D01E9258546F319F1488F473791504E5D472CF5D54C75BDF8C30D612756990347042EA41190FA521511FB5A0A250BE1135F944BD743F0EB94655AFAB10380813E46B41D2F8A973D8A902408DD8008CE590740010BEFFD01606ED823400502018D1';
wwv_flow_imp.g_varchar2_table(9207) := '30945C1679EDB6677473C206556290A4402BB44A2915170404007BD46109434C5C558542F5424C101D04714495E00AB9614B38D5297E7BF7DE3BE4A7EE00C892C8288974D9CBF8B2684C5030B3562BB60776ECB187260B4DC184F142167432008B444F95';
wwv_flow_imp.g_varchar2_table(9208) := 'B7BD0D002C50880C08B29FEF2970810A49444382613EF3C94216A5B01A4160F626835C411096B0DFFD0C42BBEE10C40E044113DB1888C2142AA414E92B48047D5790F29D4F61A13388D30060BD8208427FA743D3184248A68C9C4D8544945B052B689146';
wwv_flow_imp.g_varchar2_table(9209) := '389020B39A553736240B7835A4640FB982F5E23097204AE26CAC88C827162285228AD1627240E242CED70B18FF2E64565D9A95AD2052054B58628804D9034304F7863F9821840569821084D0478644881BB27084419E32C644DA6E0D062945F086E7102A';
wwv_flow_imp.g_varchar2_table(9210) := '1A4F1275888816D0A00600206E7A11F946FA5E81070084110088A4473F14894AECB8C265A3B0457AB0F23E87FC61040A1104FD0862BA34904E2124B406000618111715846C0589472A8F699C5BF82A16B688C52D98190DADF8497404E9004192674783A0';
wwv_flow_imp.g_varchar2_table(9211) := '8E2056F861415407153A44E12A808402202312A61C1A1399EC6CCD2989118B57D8227326C946FAA6D10B55DDB3852B84862CA841AD6450231B6F644879CE664B4A1A443AE5710100C6409782F8125F65F96543205448253C819804B1473B3FEA999564E2';
wwv_flow_imp.g_varchar2_table(9212) := 'FF0D4CEB0377F80892AA89A36A5BD31B386C552B7150E3A5581B6843A809003468C2127BB0653609423810AC00053B08D3101CD284B2B822177F22C851410AD5D694C10604718111AA9A3FDE7DA456BF23C8366C652B8371F54D055D064145A70C692C4C';
wwv_flow_imp.g_varchar2_table(9213) := '219230DB36096202004800054A00C2D0CEE4BA712A2E14722A883FA191D3234475B0AD49421192908329F8008722A955D780062D917583A0DCA0C6346C452D29BE2B19CAE8140054A090E33924091CDD85F4A220CEA9E0455F0529E453090BDBCE203609';
wwv_flow_imp.g_varchar2_table(9214) := '22515558811656AFE969ADA02368417EC121CF2A44B304918420DE6A90B82EE46853692E41DC10DBE8D2660706194212AE5B3C8D408B67E7FFD299DE1EAB106AD48AAB5C958632346B5E3E79B6786602802024815CA152000657089841A4471159D80219';
wwv_flow_imp.g_varchar2_table(9215) := 'D2EDAF62E64390220020076323C8A732F231951AC46B5D55C859A551C3908440023A6008DB8049102FA0E129800000231CD42406A1D4BF243E0B17A84B04825CF7A8292E883533C2A78D896F4F2F0500705FA4C6899C02221B00016D157242858C92207E';
wwv_flow_imp.g_varchar2_table(9216) := '6084875C113783A4A2C44C3E0B55890780160BF823D9A8F2D60E862D2C3F441A3966C826E8A89017102421D41D5143BCB0104618240E886CB29BCFF283320360CA0028154A7406007E0220181B2A48411FC26700B42022122808681532153218844D0679';
wwv_flow_imp.g_varchar2_table(9217) := '4319F8D81C3ABF79D26881C1FF47F2D98BB06EAD22C47DA032B41A11133C192250E0019A0D92C3F9A041662D5033A55F0D1620D0D6050F50081600E0021F3874B10FE9984C0D16E34D2FF16B388508CCFAC00AE33284030A396741F0BB5A0040028405A1';
wwv_flow_imp.g_varchar2_table(9218) := '91AB95C051586B3B2BA30640AD350880C5FA80C014D974E58055911B4B2A7F9A60454E9C60472688D9D20AF95F1FA7F29030B69820D9DEB6BF97A202393384D714C93241FEDC3B6A169B21D9A8040A205A1026D4C18E96EE814164B6103A60D821462E48';
wwv_flow_imp.g_varchar2_table(9219) := '0EFF0DF2ADDCBA22D43288B927D2B94CDD702166B05E0E4EE14188486180A8D56B451B8206431044B0659058C87F2E14AABA20094936880B72E0508B80631C275F08A82BFF12571DDCB52069A8A49823A25745130410AE8E08AA800EF699A820BBDD2974';
wwv_flow_imp.g_varchar2_table(9220) := '4378ED027AAE0BE1BD82880BDE6E10AA0E7A044070C1A10BB2038726B6DF05290F41308E982E1AE4E60CF1849DC38E789BEC000877AF044C22EA10F03C040420A02541A60E02B27F36BB49878815DE80862B5401E20C0961ABF860483B2C420D24044026';
wwv_flow_imp.g_varchar2_table(9221) := '130F7BA548DA056301010AEE6A02104840F7439BBA0B68A902A1D79D2040386A115CB0EF162BE1B504B9CC25B5F0F1D211E4AA0A39B542F8500800843294DA17A142FCD0AAD88B1F25402042F1CBFF6300A0C0030441C1421C6A55ABE6E0C74FDD25E471';
wwv_flow_imp.g_varchar2_table(9222) := '7E49DC48FE365FB842FF01EC717D502F6F60262B5211AD72FF076F00306F605FE3E7804371554A707448307FE1D63CB85110D017440AD16618881186601B23D31D8EC3344CA3109E5028FC035D0A9143CDF3802FD81192161121E81D04F10758441073A1';
wwv_flow_imp.g_varchar2_table(9223) := '3AA4D71056E4101DE6104F47109B10077DF00779648473D15E26180999400995D0750D681029960205C16C0060023100835B6811D60500D6550464370EE6300E1DA30C4E830B68C82545B73B0010099FB21C0F310A9570780BF1291E328300A0737F007E';
wwv_flow_imp.g_varchar2_table(9224) := '7E10822608603B700326200114101186C88589F81023B681DA4210E1C010E3E01090688600205C98030AA0401089502A7646874EF7861421205CD03CFB5610B5960004010112E1828AE88A4EE7869570FF6016918652340EEB0000B8888BB9480F05310E';
wwv_flow_imp.g_varchar2_table(9225) := 'EAC0749BE637D4F489A016098D70879F621B52387DED57880CF100DFC6100256056D46105F50066DB612AFC88D0A110986D00886A0730481873E607F410800BC920DDB600EE7C02F04B14E06C10FFCC010BC03821C68101EB001660700ABB88A1420011B';
wwv_flow_imp.g_varchar2_table(9226) := 'E0011CE0012660023B20700D610568C605D01582056180DD28917A788C052122CD436E0471030000029DA7102E1026FEC71D8D20840DE10971B006E04410A6E86D06918A00B08FCA05025757047C577A6F005D8E33913BA910DEE48195D00837D87C0661';
wwv_flow_imp.g_varchar2_table(9227) := '05E6687F49E00240403620C07EEC5710CCE71053B78A0631951EE07E007003DD464AFB53FF1186E06A86070A10D3753CC98D4738820DC13B78F8111EB91015401088C8104450930D2117E1C75817110994607805110910356464E98AE3581004A6923608';
wwv_flow_imp.g_varchar2_table(9228) := '00A4E0106AB9105A00800E310449897C774410097807707007F695431F3716D65711A1000A9E000A94F00549F09780998846C81057D9685EA2393DD310B6C1485A50981871075C4036748606ADD83CA4332A46407D3FE06C0EE10999C083A6F98AA09603';
wwv_flow_imp.g_varchar2_table(9229) := '4CB0582E983F1D4292042107757812D9D84D1E580587755532A8105228583D607110B164C62991F5B2010E556142451001C98F10F10740F874C4C0297CC227FA4010CAA073DCD13F3A0900D4070040800226C07EFFD910D425064650FF1E3AF0022CC002';
wwv_flow_imp.g_varchar2_table(9230) := '570951CD016088F00782299E8A484F7C0900113A8EE3F829E856A15BC237AB10376CF88804910FBFA34C04010C5BF20AB7600BB7308B107911C5F2740CA22F2D31A1DC580FF55010BD681039AAA33C5A10F4D90FA7A4122A31A40F714A1541A40030A449';
wwv_flow_imp.g_varchar2_table(9231) := '4A10DBC810476A10501A114E7AA3AFA8A3F40900404A10BD480F5C0A003A1AA622910FF7700F0461A6F870A56B3A13FAC00F5A5A10FB0011F4C8A675DA19F348A776AAA77BCAA77D8AA47E0AA8812AA8834AA8856AA8878AA889AAA88BCAA88D8A42F2E0';
wwv_flow_imp.g_varchar2_table(9232) := 'A891DA1F622AA9956AA9978AA999AAA99BCAA99DAA172BD710E60000E990829ECAA9F00000E5401058230FE58035A86A6F0EEAA0AAE90000ED0000EFA8AAA69AA9EEE00EF0D00EEDE0ABEDD0ABEDC00EF0E0ABF0C0ABC73AACF0200FF000A66F21AABA2A';
wwv_flow_imp.g_varchar2_table(9233) := 'ADD34AADD56AADD78AADD92A9178CAADDDEAADDFAAADE12AAEE34AAEE56AAEE78AAEE9AAAEEBCAAEEDEAAEEF0AAFF12AAFF34AAFF53A19664A3301010021F904050A0000002C150011003B0241010008FF0001081C48B0A0C18308132A5CC8B0A1C38710';
wwv_flow_imp.g_varchar2_table(9234) := '234A9C48B1A2C58B18336ADCC87160A46C0042751C49B2A4C9932853AA5CC9B2A5CB9730376682630B18C8983873EADCC9B3A7CF9F408366EC078028807A42932A5DCAB4A9D3A75053D6BBD78F28BDA858B36ADDCAB5AB578DF7F27D1D4BB6ACD9B306EF';
wwv_flow_imp.g_varchar2_table(9235) := '09E597901FDB94F7E2D6431A57205200FAE41E45CBB7AFDFBF2FAB56E5D7CFADE0C344A70EB4670F0063C6F8F0E513AB56AD5881971BF2CB7C7032C3B8A0EB02D847BA3469CF00D40A8C9BCFEDE4D7B051039E4DBBB66D826CDF129447109EEFDFBEE501';
wwv_flow_imp.g_varchar2_table(9236) := 'FF1DCFA8C47F02FF214F8E7C9FD1BCA3EFD5DBD770DF647C7391EEB3B78F9FF2EFCA0752FF375D1AF93FA3C8E9095F0F8FFD7ADE0285DF9E4FBF3EDFE1EDE5E9CFAF7FBF3D5A5694F1061C669841201A687CF145190A963146197830121228A184024A27';
wwv_flow_imp.g_varchar2_table(9237) := '944042C9869474020A2DB484920900B184C28823274A0800241A66924985A980088C30C20C238C2DB4A49209237CE0E1E0837C50024A2AA90C994A28475262882123A6E24A39FBE0D75F7FF901D09F95EED8A7E5965C36151E788321765E553B10C00110';
wwv_flow_imp.g_varchar2_table(9238) := '430C61810A165890C2041C4010270514702004176E14A2A79E7CA831861A6E048A87239D8482881B21F53990185CA821861A00E081071F85A0C8A1238EF0E186184F1C21440A2CBC200207221CA1061E7A3A5208228E20E2871B5E78FFC107239000600B';
wwv_flow_imp.g_varchar2_table(9239) := '78B8E66ADE725676E9EB7CC6FD8A906BB251F456B007B9A52C3FF7D0534F6B93114B4F0F1400508414520C91ED0F3FB899C2B7E03E0129A6E41682871A7648BA081F21E5A22A25A150B269416E481A29BB00F478AE185E3CD184100047D144149DA600C0';
wwv_flow_imp.g_varchar2_table(9240) := '136EF0412EA6273AE2C69F7C68C8882BCA6D46D866FBFC439A60A40DE4DD55C286DC577BFA14C49940BA15E4D63DF2E4C3AB5FF9C803724416B3454F96C3B6B6ECCAF5285B4FCBDEED43CF110F98508412D866EBA9101678E0740A2508612A1EACAAAA2A';
wwv_flow_imp.g_varchar2_table(9241) := '006AA0AB6EBB9F14F2892B9FE08110A40088C1AF170203FC6F14043F41B0404DB02004D6B332BCF0A66A2002002500D0FFA2F179FCB4030F3F19036E583F196F36503EAA09048FC89073D55E61465505113FF5B073CFCB7DE5E30E7C34EBDC8F3CEEA43C';
wwv_flow_imp.g_varchar2_table(9242) := '503FD1EEDC4F5C85C5DC4E611A0F4D81083F1C81B41447A8F9690950A7E081D4A72EAC271E769CAA2E25B1E40280239FD01276D904412AC6BF9EB2C0420972B76DB61854B0FDAF10D68BCB07228C34EC08250E3F5AC88A88F8ED5C55EAB433593F152B4B';
wwv_flow_imp.g_varchar2_table(9243) := '7F610431BE5A3E8F47EE3F546C9107518C832C86D4A31D9B9BCD3DDA01BA87FCA366A303005B4E2641C2200675F9681D3C5EE7B27FDCC30B1C7841ED8E5084211C616916885A0ABF1585E02D4C20C55B841DF8B0884FE44218CB0300D8CE4510B1B9AD04';
wwv_flow_imp.g_varchar2_table(9244) := '401488DAFF9EF004319CE109543883F7002604EC89AF61E67344D9D4B03E00B44F638251073CF2419AFA290B70F191A06AEEC18FFEFDEF8C4A098B950678BA8358CE20FCA087E690534082B091209C0B0A5190930F06EEB18E758420E94C2790C2581031';
wwv_flow_imp.g_varchar2_table(9245) := 'F3DB8C3BDAF1408DEDE30E2724E2137EC0B42300808900831AC05C582EACA56B11A802C031A0110A4C7DC211628B1E00A2D0C44B32916004A3021556993626D2C0896A189FF9D027C547E1AB6F582C0C3BDA41B8C219927080CB8CFE52C33F00E4118DD0';
wwv_flow_imp.g_varchar2_table(9246) := 'E4C9E4086910C1B4D12A73B4E31B2D674DE554858E44D119005A03947B7CAE28037CE342EC478FC10DEB9087B118E3DCC10EF0EC030F52F002B6B8E0FFA913E24E6A525B6114B8A030E1114F527800A50D8F118A849EB2870251C313E60630003461606C';
wwv_flow_imp.g_varchar2_table(9247) := '134814E0664B1A0821032510971F50B430F44DB18A7E705F55F031CCD6C49372D6B492197713CD9AFE64720EB92051E2C88E7ABCCC9A1C431C3AD1C3ABEF78E7992A519641EA714EB70C1531EF24CCCD08490F43EA9458F870873ACEB39D7FBC410A80C2';
wwv_flow_imp.g_varchar2_table(9248) := 'C317A4608127248D884B9BC02607B530472C0200E94AD7A03E118A45A8C111A57C6B0FD5C04A8F0AD1A2AB14022BFF754981D00000400CE95D59154529664DAF57EC4E3FECC10E77886E30F6C39F4C6DCAD9A4E847B309B960510622477C805330FFB005';
wwv_flow_imp.g_varchar2_table(9249) := '22D8D10F7D78F31F2ED3A23BDC418F72FFD4561DEEF8873990825494C033394CE5CDB1747A90071A66AAE324C855E67741ACC263AB7FDB871BA4E086F249A15344BCEE440196C209444156A624D75BED503C47192F0A78C80534DC954A1E06F69250F8EB';
wwv_flow_imp.g_varchar2_table(9250) := '423C9A587115228ABCCC5A2E9797D26052D6B26E19D3B2622A9FCE1AD827FA614B1ED3A9536E96763955716D289830855AE44563E8FC0711A2E1095B64C30FF5E0C01FB8108D4C84A3B72471AAC5D47994738EF6A93185E371256890AA321731C4322774';
wwv_flow_imp.g_varchar2_table(9251) := '95138F324821428CF84224CDDA29EE02CCBB9CC41428ED20104E71EAAE833AC637BE1136B261ED6042F02B41E6D684811C766E00F06813155B2992BE306B55E4834A275BD9CB1EF3FF904529F081E79C13E128B8200D26AE1C132818D7D602119B50053C';
wwv_flow_imp.g_varchar2_table(9252) := '3636CE7FA4C30A454A453620010F2EB0C30870C84437608B922EEE431EA4990A6B9CDA0FA656159E794627CA664CD571821AB393D171C5FE618F2F08E10B8C80C3599F70300B60928949762B1E8CE8B628886111A1F846850422EC540E44A24D88DA610F';
wwv_flow_imp.g_varchar2_table(9253) := '2B4428CC8D065060F640EA7B57BBA1EF445853835EE1B0E6FF72117186231C50E54CE772B7841FC2D9A336191C6A39FA74A819AB452D5461E17BBCCF65C328C31F3C418B6C18A21F0858121AE0B0550A6E04DDECC06D3B86C98E84AB431D3E154C70619A';
wwv_flow_imp.g_varchar2_table(9254) := '676EE2C666342E888DD9D2DCCD30AE1D5B85DD3CF879842FA8E10B00FFC0561088686B0B606BA253639E78DFEA6BB3A921D8DF1025B1EB7A2AB8EE2BCB40DF3200E25B581A30BB040000E9132605C533E7528A6AF66F4B9D9331CADD7939E936B7D65962';
wwv_flow_imp.g_varchar2_table(9255) := '6767AEBBE26F74F76933568C7993431F55AD8A4FDF108031442212D7F04336C6A00E438022028C34B846E8918E723C5C1DE9083CE0D5314C67AAFD731407FB1B957A156A9A1AC6864C35C801C7EA2F74EA07D8FA4210D4F0725B0B81C89F9782C24E49AE';
wwv_flow_imp.g_varchar2_table(9256) := '5D3FEA548B90723A740E806FE4426C4C8EE8F4A22604A27BF4A203A96898119B74C5DACD5298CA762AA3FE3E6F533DDCEF1B20B9B7CEFC9274FDA78A0F7B4FC75415EAA043DEE8605C8459FD8672B8C2100FA044FF0CE060823744221C5C48C703530C00';
wwv_flow_imp.g_varchar2_table(9257) := '7898231DD7084738D4518E7264E3FECFD0E298827BB8E81B85F119A75C8FD75CAF810F93D748F680075C902D52A0202737564CE3792F17739F407A6EE52876E0568E2065EF1012C7D07A3C1729766057D343515D5658F14551CE266D510344E2422E4DD7';
wwv_flow_imp.g_varchar2_table(9258) := '4BFB9529DD5659F8606F58A4545E97415DD77C3E3812C2711E05F11DCCA12BDE744085236A00C00E65F70E88634174F40FFA706700A00E8D911C265115C3E40A5C000D52600BC2900D7C90096E000AE2C048CA710FED615A46A82BDA0400ED7410486118';
wwv_flow_imp.g_varchar2_table(9259) := 'BBE24DCA9255D0655AF6C0080A78040D08060F785D4C0330D8E24FE1F55032A46D8B80293807009FFF20655486356F253659A37BB63737F145746076588915526C455229E2583DE72A2AF50F2CE50ED3715494573894D67E3FF88A1C916EA653398AC753';
wwv_flow_imp.g_varchar2_table(9260) := 'A6654DA4210FC5500CECD031D4814E0A268460C22B4ED511F9A045A95006D8500690E00AD7E0069EA004D9103F16644E8F9341FE87677088191A374E62D1719217721D146B9CD780083556DB157ADA752A15C83C9F000076E5421538658E28650CA557C7';
wwv_flow_imp.g_varchar2_table(9261) := 'C657CF567BCFF6579B481041D442A0F87B7D2206EC8208DCF6371E344CCF724803B653443153B0389114916EC1428BD1B76719A61CF2700C9FD009C54015F4331A8703611E3340B94118C6C80EE9C00E8CE00755C005A0900D88600EB6500695FF35260B';
wwv_flow_imp.g_varchar2_table(9262) := '848AA7166A76B48DC9651037164F1EB740D0E51DF840097E20566AB006780006E7588E60558EE3D28EEF98888B5043CC23658EF809DFE091F62210A02406AC9465485751B7B47B85157488E57B3178227DD27300000714E31C0B090FF4808D98D57F2A29';
wwv_flow_imp.g_varchar2_table(9263) := '9114F9970E816EF0C062A7A37845E16EA2F60FE280086730067B400588200E7B4479DEF48D5EC71C9BF14D159311F99070B6E00777000C86E007A1E007A0C00899A04594B393CFE27F77345A207332F4C02C7A194F8CF371EA1026F3B023E5E308728029';
wwv_flow_imp.g_varchar2_table(9264) := 'BF090691825080885002410956996D8BC83CA1C09574F595CF038F94A88F5D467BCE366D48E751DA09302EC8560DC34B7E109754FF830878509719730F959597440967A3E59780F99E0A6191DA988D881961569404DBB307493006EA3740FF000FFFC01B';
wwv_flow_imp.g_varchar2_table(9265) := 'FF3017ED1447F0D070E071A0F280620F816EEA200EE1600EED900EDD00A1F71778834318ACD9930DF662B08933DD484EE0384FB95918F6F00F95503E29D25850895008556D15588130A488A7F48839F79CF7289791429D6DD96C6056029C28445A865EE7';
wwv_flow_imp.g_varchar2_table(9266) := '53A466267C926208CFF040F4B39379E99099C546EE099F546A1083594DAED90F62473900002B66E30562300655000DFF400F19130EC4900DC3700DCF900DB6C00CF50700D9F00CC30000E5207FC8E00AE6101E18D199E90078E640780E9770ECD0789DD6';
wwv_flow_imp.g_varchar2_table(9267) := '0E3C197D6ED42B41FF495A038863457980F6403F7CE8A2961A51E7923553B93C9F809CCC0357DA462ECD099DEF788F03A157FA7842DC7996BAC77BB9D79644CA4BE4E20788D0270415096F2A9982E1A42EB597701691551AAC0971A57896A55BEA1D00B0';
wwv_flow_imp.g_varchar2_table(9268) := '9F6250067DD0AC5E000C016A8ACF100FD9900ED3D06FB6700DEC200EDD900DF2A00EE1707FCC10AE12C4A00F910FF4400F61211DE93A179CB13AB3554860871056C18D02E86682E171B8791E276A0F6F00005CB0800B9834022149927404E2820756F98E';
wwv_flow_imp.g_varchar2_table(9269) := 'A0BA9C5B79A3C10696C3098F59334991B4AA420466030105277858B1CA4B27E207EB83068C600BC9900DD3D00DA8C5AB50DA7FED29AC305B10C44A40C63A7DE7FFF10FD140056500A66310A64F100B65EA18CCF00FE1000F20710DD1A00EC8900EE1800D';
wwv_flow_imp.g_varchar2_table(9270) := 'EED00DC3000CE2100D6E7A15E60A11E05141CEC4391BCA4DA2155A587210CBD593C4E2393BA631657030D7B5B6D8C2796EC344B6D642C7D9A9324A3CCB29A353C6505FC973F888354F600169A2AA6316444C749D198558446A373CC20780C008A9F00CCC';
wwv_flow_imp.g_varchar2_table(9271) := '900CD5A00C9376B359455BB519A55C4AAC310BB39CFB7515E71672440F630200E19009883006AA2B066E0009D7E041A40B00C0700B8A76B4E2C00CD9DA0DD8900D168A0CE1DA402E618DB34911F5DAA8766155572579AC053BF660065620078DF0052A30';
wwv_flow_imp.g_varchar2_table(9272) := '0400607290F272DA157A5214A39EFA58A22A10ECFF204AD0994A7A752E133504D33B8850C37B51E34AB684744D302908A5A2A1E00A1D360D937B7FE0A00F1287A84F9AAF51CA8353DAB9EFE94E9CE37F6E210F854A470030A1765A7FE5D09202443FC801';
wwv_flow_imp.g_varchar2_table(9273) := '0FF7900E66EA1D59929B7C44BA25430F538813C2EB780C51BC9CD10EF540B390BA3A0B0785F1B00A59500AB3800972100448637229A75D13E5363D574A352A825A398F81476C1E2910C68935522004D36B0100002E2D38374817C519201048672A6A80B0';
wwv_flow_imp.g_varchar2_table(9274) := '78E0078C4009A9F00BCC700BD3900DD220C6E67018F42038AD09C0C31540034CC07F69C0C55A486D1133EA3033E08417FAC0BFF2AA9985B41C44E8325AEA3224CC12234CBC8C5A10288C9190FFCA2CF4848DFF100F89200AA2300BB3600A9C00066BA020';
wwv_flow_imp.g_varchar2_table(9275) := '6065562FF779B95481C8F98E177888AA4765A67A65A0E4B74ADC261630011E30014F3C6DAECA44667504DF22057ED008AE700BDDD0CBBEDC0DD5A0B28271C6F0D0906A7C4802ECC69EAB6EA165711E1333ECB0A0729C4E1B7341DE944E85444E1957472F';
wwv_flow_imp.g_varchar2_table(9276) := '51C81361C20491C87BBCC806C80E199431E79008A6200A7970099CC009A28009899008F8E43664C94A2D2436358A9C407C88159250A8C457460C8F7E9B021C3001063D010020024D4C511525586C13055399C4DFC26DAFF00ACC000ED5800BDD000EE0D0';
wwv_flow_imp.g_varchar2_table(9277) := '0DD220CC5541CCEAA9C66DB459CA1CAC06CCCDA276182803CDD25C142A2910D5FFEC9FDFF17F5B8BD3E5E40E7839C80A01CE0321CE90B797E6C40E849131F1100CA6300B939005F08C09EF8C098190089520077200070AA22052B430A764576FB530BBE6';
wwv_flow_imp.g_varchar2_table(9278) := '6BB4C67991828FB127064C24104710D144B43DFA653C599CC4683093DD300DB7800BE3D00DA3900CDD300EE6200DE1C0BF238DC6BDFA662DBD7C290D98709C5396B3190A1CD3B861C842A1863D6DC820D3380B94C2E3AC534CC50EF8804CF1D00B953CC3';
wwv_flow_imp.g_varchar2_table(9279) := '593008A670DA9CA00893F008A6F008AEDD06A51006A59008B3ED0A60B3A36C754AA647449152BD573610BE0000C5E08884E06B6F3DB1C6A93000202170E0078A260E1FFDD1C990D7A3D00DC4A00CEC600E813DCC84DDB2C8FF3C3A6D9CD83FB8D8A1F3AD';
wwv_flow_imp.g_varchar2_table(9280) := '33F317943DBCDF7CC8E1ACD9437D184CD50EF8006EA14DC94B6D0A79C006930000953C09EFFCCEA2F0CEA74DC9BA000BBA400BF0C864CB198F1B6556992C0503810AA2440EE4A00D166E0D8E2009924229A9127C52C48770C0089500C6BD2C0E79BD0DE0';
wwv_flow_imp.g_varchar2_table(9281) := 'B00D7E3D0AE3100D95A00C4B28D85A2A38FFEBAB4691CCE20D9F8343C112E1D8757CB55E91DE3E0DB6B1D9DE8ACCD9ED20DFA0DD0B4B4DC9940C00831008FC0D009CB0CE037EDA4D3E0BB0300EAFE008AD800A609E9524B84A45A46DA94408520400E4F0';
wwv_flow_imp.g_varchar2_table(9282) := '0E14EE0D00A00DBE800A8B582995924302D1B8AFC0D7150A0EE6300EEBB00EDDA00CE1300EE3300ADAED0991FF700B783CD87859D80F893A3235E430EB011C008B9F5BDE754C1B426EC8F07132EE0D76E68440F42DDA4EFEE400C0CE83200A585EEA4BAD';
wwv_flow_imp.g_varchar2_table(9283) := '0BAE6EE0C7D009BCB00BAA00E612CE0AC403009AB008720E006770069AE00B6E0E00E80000D6E00DE4E00DDE500CA8B0278530520CE30AC8200ED06D0EE6C0E7ECF0E77FDE0DDB0000853EE8DDE00971C00C79AC76ECD0E8EB89CC289DE302610206E301';
wwv_flow_imp.g_varchar2_table(9284) := '02E1010F40101D36672CCD103E1EBB80B1E9EBDDE946BED9179455F24DDFCB600AFC4DE002A10B548E09FB2D0A534EC9B040E0AE1EEBBC50F100E00BBB0000199FF102B10BA8400850800AE42010146EECDA600D02810EE4500C594929993210E1900E7D';
wwv_flow_imp.g_varchar2_table(9285) := 'FFAE0EE7A00EE390EDEB90AEEB90D72B0E0EE3100ED2E009A350EE037AEE35FE6682211688ADCCDFD2020AC100778043C29AEF40DE15FC2E1144413AC62BD46027F05481D4D4300BAEAEF0090F00BAB0CE93ECE407EFE4637F0CF276F1BE10F7BB10DC12';
wwv_flow_imp.g_varchar2_table(9286) := 'DEF11F4F081F48F2196F0DC6B00BC6B0E62A6F0D9B2043A9ECEB7DF070EB700E89FFE7F4B00EF1100FF300E82B0EEEDB500DD540F49953CC997B3845A1F4E1ADCC1C200104810000C0009D9BEFB4810FEDA1DE580F9427FCE91517EAE7BC0F909C078130';
wwv_flow_imp.g_varchar2_table(9287) := '09A630F603210A67BFF66C6FE06D9F0ACED00CC4DF0CBEC00B17AFF1186F0D12AE0923DFF1A70000A7B00BD48FECEFF00EE8D00C606E0960FF4EEB69100B8DAFED7F1E0F8E0F00EB00001E0D0EB8B00DE1B00D206D0E825DF4E87ECC032416E7CDEE0301';
wwv_flow_imp.g_varchar2_table(9288) := '0103F13B0241FA000140E04082050D1E449850E142860D1D3E8438901F3F79EAE8FD8B9851E34685F7E0C1A3C76F633F00F410D62309A01FC9952D5BDE6BD72E5FBF7DFDE235CA92A54BCE3CA2740130A54BD72CA2B3001485255417355DDE62697316D5';
wwv_flow_imp.g_varchar2_table(9289) := '198066BEACFAB2F669D7213A848C09D406C0D8D75DAC4E7923F74E2D0067AA76F17A0BE0D09972F2D6DD5D176FDDBCBB00E68D0B378ED8B86DD2BA4933A74FDFCA7A00E0D59BD97222BF94FDF2FDA3072F2547CE9D3D7F068D904004040839BC11482BF4';
wwv_flow_imp.g_varchar2_table(9290) := '6AD6AD39F2CB57F1A26BDA1CFF3DCA0B3912803C7700F2154429D0E5F09530DBDDEBA78F5FBC44799CB3D14982CD244C47891EC5AE5429B85B4F8B69FBEEACAA5800BE8CA12204C589A05302BF02D805E0D42E63E4D0A945A70D2E2F636F77A539A61F78';
wwv_flow_imp.g_varchar2_table(9291) := 'D6A127AFBED6F10B806DC651269CC2A4A9261CC5186307A4C8569A8CB2952E9347B3DA3E0431C4850C0080C4D2107A028057004845C483907131468660934D461B09BA2D378D4832C93782DA094E25E25CC2C79D7616532C1E52149984C9492619240F36';
wwv_flow_imp.g_varchar2_table(9292) := 'A654441453AE2C6A16ED74192796A79CF90EBCA9CA33A699F250D1449081FA238817B0D2528B9C6650A18FBE6636394440020DC40B80780090469C05A521B41A7026FCA7FF9E0AE9B9B09FC95CFA2DB31B27A594B3D248048001042848A8C54A3FD56D23';
wwv_flow_imp.g_varchar2_table(9293) := '1A2DC208D410731469C79204FA8DA0208724D24824F589A714A02EB932D72B03510493492E99441461AD244A17707429261600B4D1C63B67AC72532A81C6248F3E5EDC7C0F2DB5DEF1A6BFFEE8F3250D6EF4C14B2FBC105C27185CA419471A62BAD9E6D0';
wwv_flow_imp.g_varchar2_table(9294) := 'C5125DB4D10C85FCAD4353F7E597A0034A64E8165BFA2538217936CB68D4D90C5A69A154076A78A07F487AB8528F40AA18221E05BA07B8CA602D4ED6E46825E5914B6EBD12575300B8E464450679F2494C381916965A6A5936CC62A6BA8AAD65A1A2B6CC';
wwv_flow_imp.g_varchar2_table(9295) := '668636C617B1B4B1EF3E72B4B1662C3B0989A5C301F13A47FF9D71C661471A4F5631671C78AB9166C27E147DCCDE4755BA4CD282D796F1DF8628B8E1466488B10546B61982E76084219E31365209C2C825882D1388327E906315368AF9F9A7E25227BDB8';
wwv_flow_imp.g_varchar2_table(9296) := '9E8C1FDAD8475681DC0CE47E3C72E742255B6ED9145C4707F649009A64B2D741562705935A3C71A61667BC11B3165EAC9A6AE7B00C72461B6FA46AC618A4955ED6E9325159841D76DA59E79C75AEEEDA1C70C0490617AF7119C50C4FF4898C6CC85C7A54';
wwv_flow_imp.g_varchar2_table(9297) := 'B2923CBCBBFCDA3025087D821E004086496981911900B001009A67CCF731EFBD351752488585FC07462606000D6D8824F9984C00716490C73DEE46FCA8C74720A39B1E150473C261C99022E80EE4AC44FF498A001DE844F7AB40ACEE498A485DCC068109';
wwv_flow_imp.g_varchar2_table(9298) := 'D7D9CE4DCCDA190054713B3341C568D3BAE1B2C841BBA8684378F6D9A1379A36966638C312DF80473AC6718E71740D1CE1004736B6B10D62ACC2139188441C46C13D7DD0CB42E00B1FE1D4863F327EC6006E031801D8768B3222447F0569899004371C85';
wwv_flow_imp.g_varchar2_table(9299) := '350E00ED80873AC4219000FEA31CDDF8873AD821C07F98831933094738E4718DC665431CFDC8C63DAAF18F9838504617631405E16139815CB07FB08AE07130F4C14908A4652CBB129404E22414C64C66A45045245AB18956A82276BC6805005AB10B5518';
wwv_flow_imp.g_varchar2_table(9300) := 'CD17BC18530C71393B7288A777BB2347107D18BC32F5A116496C2238E0950D4249831956FFACC428B4398A64D4433963AB17180B28C64DB6D19CAB3180FA0492800D00E00705516388843110FB0D6418C8180634CAF7C6C1814C8E18F21B3D3607005B74';
wwv_flow_imp.g_varchar2_table(9301) := 'C31CD9488739C2510E7E808218E5700528F4680E7A642313D9B8862D52410B3F94231B11B54524A2E10A8B8AC392318ADCE41C52B95675F2551924CE063B689325A5EE742703561EE6504A53A24E85980804003631D44D008017AAD06552E183D4A316E4';
wwv_flow_imp.g_varchar2_table(9302) := '97BEF09D335A6134DAE9101DE8589AD39A61094B44B330CA48065893B18A5BE04219670D063146510D6FF6C38BDF93CC441A46B80EEDED9C77CD081AEFD609001802117D25882120E1574ACC735FFCC4A0E6E818D07FDCE31FB43084FF2D685109664422';
wwv_flow_imp.g_varchar2_table(9303) := '13C4F0432A5C61084FB8C213A950C73FC2210E36320314E5080723AB718B4486A31BE23029A530A9D286548E20F9F0E45C87C4397CB4444979589D2204524A60B1610E8300804D5FD6CA15B201007D908F258A3ACBA1E67217AD40852E7399C3661CB577';
wwv_flow_imp.g_varchar2_table(9304) := 'DE182A2F985543B5D06E2CFCE983259E482865E06215DAAC8421E2F007436473149E408D37174336468973AE22A92B5E05AC910010E0446CF304241C328C7932B85288FD2771224CC0806EEEB17FD0AC2DD411895410231CA0F0041CA291093F74D190EA';
wwv_flow_imp.g_varchar2_table(9305) := '7024009E618E6130E3A000486D34FEE14801DE08932D8DC84A7A846300BC146432E5C762980380401C17B9A71388738EFFDB4A140657117320051BF6D0873D1C42BABADCC429B26CD45668F914AD70537904A20A3017C31B00D8C3979D7154F1BE434EFD';
wwv_flow_imp.g_varchar2_table(9306) := '814B1FD2808B68B4F7BD9568441C1AB1E73818221286F8031AC6B03DE578B1BF71D510DA7653CE0137DAD10241C63C91814F68DCD3B0F513C830FA0561C5124761164E4538E091095798C310D9B00523FC100938D0A2C3C380472A0A8A6A00D00214D980';
wwv_flow_imp.g_varchar2_table(9307) := '28326E21EB5BFCE31AD938A9880EF7914CEEA81F15FC918F8704C18FD823C8CB49C4EA5697DC55CE210B0098C32A9B2CED39CC21105DD88315EA50872A08D5CA56B6C429E0828A2D13A488BCA0A578BDC18B3D68A29660EEDD3BC882272A20A1C3A36884';
wwv_flow_imp.g_varchar2_table(9308) := '2746418AFFB34A03ADA388C41BCA80863210FA32FC4520A20B1829463FDAE202BE34A40110E983683AE337D21FC23A0D3EC632CE1CEAE88D38F4F10C6694231AE2B04539CC01F370D8631A0070853AAE418C74446318E940B5389E015173EC6361361A36';
wwv_flow_imp.g_varchar2_table(9309) := 'C674238F83006970116EC906672264520000B9D31E44EAA694ED6C4B7B1073D0691E2A81052300C0084C60C214F6B0F63D48C2CA60DE055193BA0960AEF9A8CDF01DBD35215D5E7C67DEAAD8C4197880842A44A212D90CC659DFEB893FC4E10D0C47031A';
wwv_flow_imp.g_varchar2_table(9310) := 'FA700542BB15E205CC504A18E7988B77BED1C880068C387E370827B6D3FF7394700030403EAE5E627CF4638F30928E1E91A4811693208F29B72A4E0AFFE4A550678C3BDC81249AE6C1EA4BEE3608BFEE6DB0373F10529A52177CA0842A4CA10A48E8810E';
wwv_flow_imp.g_varchar2_table(9311) := '96308534ACFDCAB83C8525C00C004DD0D21876678B37E65D074988BF77BED88425A6A0031DB4600739B0C216CCA0FF3F98E10DFE47833B70833B280337288341B30CCBAB10B8C29089500956191FCF934073023DD02BA3D2033E58A9A30DB9877CE8987C';
wwv_flow_imp.g_varchar2_table(9312) := 'A8870E941C1FA987C6B08C7AB0239370ABB1818C10CC24DA1291082A1B0A3A898FC9C07A88895989875508BBA07A32E06A12E03A2EE8830E9DD0096DF284584830488004E862021D80823AD8034BD00454C02E00B00481D8044D388456E82E7CF31D72D8';
wwv_flow_imp.g_varchar2_table(9313) := '843AE8425FE89D4DA0010C400118B001FF2030822470012370012B78833FB0C33EE80301740303EC8341FB879A782BB3118996A038BB9AC04344C410F90D0C8CA3468CB00D24A089B907CA98C4C349B4C6E9A3C6B2A37E6A1807AC94A42BB68CE0918ABB';
wwv_flow_imp.g_varchar2_table(9314) := '0798F83D50CAC19119B26E5B1D6FD3A92899922C60832EE8022C08025BC4822D90835558055AA0852B62044F0005508004316082286C3B2C948F4DC82E8168BFF31BAA5D981DF5D3843490845A2A0655088110F00013680120280225C8812448821C4003';
wwv_flow_imp.g_varchar2_table(9315) := '3BF4033FB8033D344037188350F887DE32B4886BC0714A9B8A4BC47CD447DA0839821839FFD90D525909D11AA47F800705EA2300B80775C80775288784FA87D8329FD95A3A08BC9CFFC6303D0D6A87E14B8EE56804E332A1260984129AC55AB4452DB882';
wwv_flow_imp.g_varchar2_table(9316) := '1CB80233C826B21A05C9020546600400A0844C080546B08433208334D00342A8034B700674B8A1A1D20460D2843A5037DF513F42208343182A55A0020CE846FB738124000217000220A8823AFC033FC0833D7CBC02E40250F8077B50C02F42B488D93C7C';
wwv_flow_imp.g_varchar2_table(9317) := 'DCC7B6744BCEE8C78C3CBDD8600779F887CB18864C50876E00BA854A8770C88774688774F0047588866EA0854CB005433848DDE397A41B4155D931E0783A54E4C87DD807E6C802309812E7708E40C8022CB0C5E9B3820A680450B00038D833CD72855400';
wwv_flow_imp.g_varchar2_table(9318) := '054AE0033C4004552B0431A09D3A00002720833AD884F82007F9F0A1FFDEEC1D49F8C95D504A67D8C9B553053760806E1C811D18821C30021030011000822BA02F3FE0833A6C0440F04E381885B23C4BC8C0BCB321A0087CCBF454CF88E0B491938C80F2';
wwv_flow_imp.g_varchar2_table(9319) := '8D7FB8856C682860A8065068114378065A280700188670300457080762C8047160A4F2814C185C08DB4AB68FF9B18D5C8C9A88875160032CA84559EC823C480439D8021F700115180220800040F8873750813780834C50514A80043C5083175503375083';
wwv_flow_imp.g_varchar2_table(9320) := '28D08677D88419980132D8834D109EAF680674D02EE1F106494883A29CC65AD88325D8836248820F9000180001172002296D01EA048124780340E3030CE3455E1C8560E8077B0820EFA14747314FC619A3F554D3FF353588D2734F80920D0CF9075BF828';
wwv_flow_imp.g_varchar2_table(9321) := '4328075BF0031703057730C86C60868CF2535A382805621B5074CC8798CC81C82DCDC1418E540C7CA8043910CD2DD0022C580339885433508209E0D40A480038702B40F0002978033F8083ED14082F188355ED032A38046FB084B48BC24DF085562084B3';
wwv_flow_imp.g_varchar2_table(9322) := 'F8CD533052DA91043D6885F3FB8E4EB08355D5800D78D216708122085110B052203847ED6C845B08865E985652A086303D4B46294FB96215CC604B360557F58C4BB9D49C3A629C70B0854C8804FC4C053FB08576F08470C8060020067140354FC8844A48';
wwv_flow_imp.g_varchar2_table(9323) := '8541222005A514C83C548670AB4475A9CAD44847558CFBC2B346900340D8B3EED4D4090000090000FF0200847E58877FF8030828022EF8022E18030090822A505535B00337480334B303265882EE1B085448A621E54D211D524200B3BE0B053B580206A0';
wwv_flow_imp.g_varchar2_table(9324) := '0063ADCEABBCCA1B0001281D8232E8CA3EA8045C58066AA08665080669C0D679DC56CA80C0CC30C470C55A7D6CCF462C57F83C575A608754C03557400671608761E806602B8719B3D76B48876108A00CF1447EA14855D1171CF3A40C648C98C007CA9818';
wwv_flow_imp.g_varchar2_table(9325) := 'CF3ABC3D63043988033880033438024E058009080050FD87BBE0820720022E28032E28B7237882CCF58254DD032A40BB34B0033D48599F010049A0034940055E408B66480342D0045BAA4D1D78800DA08027B5CE2118DAA10500181802388804FF3F405A';
wwv_flow_imp.g_varchar2_table(9326) := '6258DAA60D866D885A8813A7073C4F7DC9DAE6754B46744FD4B33D066286791520C7CAC4004298B9351566B3104D3A08653BD899609C78585846E84E53355C34F8824DAD5DC605047B78855708806E5402DF658437E0022FD8DF27400224680224988229';
wwv_flow_imp.g_varchar2_table(9327) := 'E0011A70598150371D12043A380469440B4970823DA8A53E100314780009D880A1558122180110F000DD05812168844A005E4330ABC45B866D388730659CCB93B894C8976F75DE19F63CE8552C9580C4C37909C9898D382AC1DF284508EA40D70BB64FF1';
wwv_flow_imp.g_varchar2_table(9328) := 'DE50CC31DE3308F18DA998980931B507AF848335800340F0033930DC35500329B00089950002E8BF00E88614088014900243704DFF4A3055AF948214E0000E10011460011D008025C8CD29B8465DF58677680632A003757B3F27A88345388432F0820D78';
wwv_flow_imp.g_varchar2_table(9329) := '000EF0000F68011500021090000F0000EB048024A82F0A468351C09E810387757009176EC0F384C000A3E15296401B9E2B7F7CCF381DC8D5431C0C299CB85D3D8AD990007AB822C6BDC7F0D78418C5DEEB310745459908D37F888737F8822FC0033330DC';
wwv_flow_imp.g_varchar2_table(9330) := '2936D535E08222985808808004488000F0834A08000848823F70855B70853DAB0446F8821490660078800710811808811A600200E04D416885B0208756700249E8CD194A03963D0337100344A680456E641580E40F26822AA8022BC0C3B5B3824E00B846';
wwv_flow_imp.g_varchar2_table(9331) := '08864E9E180A291BFF717A1891B05AAC053481F00353F6BC7C185772CDA0FED9409170C8C279BD8834296648878921A47208AD9576695C463A1944628D39368B1C08261E0E1C94097E10D378400300E0028F450333C08335386A3C9002159058699EE604';
wwv_flow_imp.g_varchar2_table(9332) := '90666A06823700855770054A18614A40831400000A28E70730000DE80181D80300200375139E66A8031D3D04A79C8219A88129B88331F0800880800FFEC616F0000968812AB80234B0833E18AA43D883318884EE6C045C80E8880665339DDB42E46800E8';
wwv_flow_imp.g_varchar2_table(9333) := 'CAC816308F3E18387AD34F732B78880457C0410010CC0E591E7E800771B088415287C7904F5A98064310874860A45D76911BA3C1DEBBA04EE3E9272E4B349002FF2918EA63066E34D8822FB00008E0140080EA0770EABB46834A788554680446C0B33200';
wwv_flow_imp.g_varchar2_table(9334) := '8209E00009F06AB0460014D0012A4859A49C0F756B0526886039C3011A58012A20401348000AE00010F84610800009A04334D0823E5085FCDE843D280355C8B3C4DE867858417042CB7A7C9818BEDAF43484858801CA3E27CB16B93775940ABB0C5B30A9';
wwv_flow_imp.g_varchar2_table(9335) := '5488045BF802484857DFBD065A18065BB8054AB805342029835CAD6C00057608874D0415435D3A52344560D6C876E82DC6B18732106A2908022900EE1F1F8209E094074800229FE623B78275F50440F80340D05F15008045F60008780004300004D0810D';
wwv_flow_imp.g_varchar2_table(9336) := 'F8001DE0CD5320031D3D2A3B98022AE001264001FF0DD801773401BBF6801450811D906409B8024340032B280343A8253C3947C303F08C65E9C6BE97035A34ACB5828168011870F04783F0CC91F03ABA8C9CC3886CA0045778866150719F1B8667B8A270';
wwv_flow_imp.g_varchar2_table(9337) := 'F0035AC806EE61064FC006C284871697ED18CCBD8AF4E520D1DBB1716247092034F0D81FFF71F69582209F66E43EF2A8765640A0843F38DC2F2802AE5E5C0FE08069C61402C8801E60023BB851263884194A0525C0811B800114D8801718032E40EE7F66';
wwv_flow_imp.g_varchar2_table(9338) := 'C316A05808E8DD3AAF823120EC32D8832AD88380F3045C10878C354B023F3403170E04376509B8EE44BF2BD2BE6C4E1CB94FBB8C6BB8057370856170858B22295040064F786D34D8A848B805FF66088710F42C6118865B80DB809591233E7586D90DE5E5';
wwv_flow_imp.g_varchar2_table(9339) := '98767840DC7EF57D105338E0763538E6C843EA35F802F67D02152067E4866AA896660EA802347883C7E382216801629F80BDE69404180803F080251083B75652FC268632F0C6176001454E8227308107E01418680170A7720938E82A20C7717CC32A3047';
wwv_flow_imp.g_varchar2_table(9340) := 'C3C305158EE840A468891874703D6E003001B72F8824D0F736EA4054562CCD661C5078067168916840ADD42A07D2927871180614BB8616B785A1CBB94808AD8EFF9023D67885D03183E818FF51AC46452093B70738F802958F3C3C7879A3466AE0BEF522';
wwv_flow_imp.g_varchar2_table(9341) := 'F8811490002A57E4145082DEEE6D25C87A101888459600224FA3044081178800FFB3535560D80633C8FA1830011110811DD8010A88006F1FDABD860081F8C62228022300821BB801EBCBF93FE0A647FAF30AE9C0A905A87FE810C797C01600801DA86425';
wwv_flow_imp.g_varchar2_table(9342) := '2888009C7B738270CC8EDE0A8B23079A89D76B3D06424899463ADA96CCA66BF54F068876EDF2FDFB67EF1F802F0AD5A00180670D1E330FD7C08183E70B9A2F527E78E0A00248922F5C7EFCB06143858D14133C0000E141028004090C10300060038A0D14';
wwv_flow_imp.g_varchar2_table(9343) := '92547CB54C4E0B153C5EA0102182C38308103CC00001E325070F2F5B1019A244C914183A9228A98226D22A69FDC6FEABC70EDEBD7CFCC6F6E3E7961F80B104E9C10360F72EDEBC7AF7F2EDEBF72FE0C0781BDEC95B5830E2FFC48A17336EECF8F1DF7CF0';
wwv_flow_imp.g_varchar2_table(9344) := 'E4F5DBCB362EDBCC63F9E593A78E1E660069F9DD735B79B3DB7C69EBF5532BF75E3D7AA4E142AE7D97343C78F5F239EE073AEFBD76AC35131F5B4F60BE7EFB0AE2E1A246219AE80FA7E391438951C5375FAAA430C195CB9B373D52D82002A4458A972680';
wwv_flow_imp.g_varchar2_table(9345) := '80A0F00080019B06206C90A033C91B38A9C0BD220223C60B46714041040950E081094D3D051300089E67C415635461C40E202071C51F9E24939959BAB9869A6971F1F30F5DB6997862626FF4554643799DF1078A31CA38238D82F13359658D71E6D96F78';
wwv_flow_imp.g_varchar2_table(9346) := '5D6659656F85262400B4D598186EBA19A9D858BFF176573B71D9551C87C8F1B39C3D0070F1C5736EA081C797FF0E41C4082595F8A162195C002143576818024712475C75047B1C48900210364890404CF2DD6417054AC0F1862BE6249384562CA030E003';
wwv_flow_imp.g_varchar2_table(9347) := '0928D5120C4F49D59104521D580517115631850D4058F1C62BFFB0D5E1686CBDB5965D73D57524ABB59571D85EB002E0851555DCD54413ADEABA2BAF7E4946598E8BEDF8995E3F169BA35B432ED92B60F5E446CF938B55E664B15352699C95CBF1838617';
wwv_flow_imp.g_varchar2_table(9348) := '6570B9D0B7CFA9412625DC4A51C555DFC191891F553C2105175228A1525440A440814CF0DD4501001000C0931F9E74434C1226B070D40609208040020F4465824BF5D5D7B04CDE5551C518689461451249F460486BC69DB55B66A7E6A8EAB2CCAA6C9711';
wwv_flow_imp.g_varchar2_table(9349) := 'FF4A0030C65DB6FA75955D76509104122BEBBC338ABF062B6C67C4E665ECD0C8C235569129F38CD73DB9EDD6D8B4A9E6C59AB5D71E379072FDFCE389175C70D1B5D7614B018014E47EF14457554831B6157F6402C713174B61851445A49742113670E06F';
wwv_flow_imp.g_varchar2_table(9350) := 'BE36D16717C07E8052491237282A827B323D00C1C32620F852E20840904419655C7C872185BC51C618C3FCB3563FA42667EA5B2793B8EAD22B73A50500910080841140EC0080117AC90C40196724418511B5A7FE3BF07EDD48595F44E7352C3D08DD3625';
wwv_flow_imp.g_varchar2_table(9351) := '5F4827AD6CF0C03D1B2D9300C82335945262663572CA15F44F3AE9A833BE3A00A463173BEC00E00E3CEC944FFE39EAA8BF8E3BE303C04E94FFE503A08E39519A33BE39F8A20E77E06F1DEE0B5FF8CA01007330D01CE253C738DE77BE0006901DEE68C7FB';
wwv_flow_imp.g_varchar2_table(9352) := 'D2D73E7614645467494BC9927517DED0E567D1DB953BEE673EFDDDCF7E7661E10BC5F7C213D23075F9F0199032732C0004AD47A862DE5D7E7643A5D5B0484D83876CA0663DECF15038397A6271AEA616D0014079450C4DF37458C5EF71D18AB7C9CC3D46';
wwv_flow_imp.g_varchar2_table(9353) := 'F6A1B6C0858A7691073C4C7845139DC67977D1C75FBC181AE3ADB18E35C261B5B4E8A322F5102FFF50CDE8FC783C22D230494F634CD4F2920F2702717B558A12E89076C34952722FF650E31BE1D817DADC702F46729E5BF4214A7D88508478A19E5E44A8';
wwv_flow_imp.g_varchar2_table(9354) := '997C7C90373F32CD66FA8146FF4CDAD14484AC252E8387471F39EF898E6C4B0F113296EB3DF11E4582165C1092CC82D83149D052628F46C848ED152D74C8D96491B2E94939E63232AD3492C9E422CB3476B39CE63C2762765935CDFC72333D6CCB3FAE81';
wwv_flow_imp.g_varchar2_table(9355) := '0C78DCF01FF048473FEA778B7030131E9F4B873C6EF93B7E380B89A844CCB4500725AA69CF58D8C29A5E94690F7E1C849B45B2283A4F2946BC843364B3CC2848436A4EDEE4E667D7A212F2E0190E7620231AD7A80631B2F18C74B0231BB4200633C2718D';
wwv_flow_imp.g_varchar2_table(9356) := '6C20C315B650C73F8CC94B1DFE63392A73E6410593C8534E138AECBC5A24B586972C5DF2209E14295FC2E8218E128987E3A42556C32AD6D4E1A89A27355530C9120D665CFF0314D748C7355C210E7580221ACF08473586610B7388E319E508AA59DD5854';
wwv_flow_imp.g_varchar2_table(9357) := '8CD6E888CF442400A895AAA6AEF3915115E416BB58C52D8E55A35BBD8D2979683D7256B6B39E5D5959837856CD0CAB8A230A07336C118D6C004018E18806FEE8C10EBC8A63B53965C65FEBB124E2DC65B0CC3AA26EA1C9C44532F4ACC771073EDA721078';
wwv_flow_imp.g_varchar2_table(9358) := 'C46F1CE730C738A00B41759C631E56B4473DF0C11966AE452D373C642EB59A16AE2E692D1FFD2C7AD37BA4D006B19D28EDE366DCA1C0BD70F11A95E1628832F3396969CD8B5A7463600A7A586925969A4DA41AD2B8E78ED1896A1AB878F0837FF10B08E3';
wwv_flow_imp.g_varchar2_table(9359) := 'E216E00040967A6BADBC4836BCED400BF5BA3A2534AAB7C4FF266E551B75986260CA831DF250266C60A9BDCF7551AAF708D2444D390F7BC4C32E19CE30640DE2C711512931861568F10AACD9853A954AC775CDE792216159FC021977B0832DA68C8B6C88';
wwv_flow_imp.g_varchar2_table(9360) := 'AA8AD910583958DB8F61FC351B70CD0628B8BCB4320A862E064D2547BF7AE239D37931C43B961E5FD919175B31B3B0CCCCE8D6F2B98A9E08210521727178E917E026353089A4DE34DD3BAA762C58D0FC48062E247C8B3D4081099608868471210D511D84';
wwv_flow_imp.g_varchar2_table(9361) := '0B1420C21DE050100EBCE11F68608421FCF00057105657A70A0C3FE8228F012FEF8B24AE33B083ED174C261A8B7C6CF18BED929AED258B38B0DCEE32B29005005C200C17C8CBB4011306004C3B0C5950FF04454F2A98232BF17A8A8C52B04E2A454B2703';
wwv_flow_imp.g_varchar2_table(9362) := '00B87846260EB10B5E1CC215C99085A845A5B532FCC11086B8C33FB251397AB86107ECC00E5075C64C3F3233846F7133AF951DE75F0BBBE2165763B18D8D3CE57D12352B2EDD58F0118F52080000050040C9F33280BE0C20E50258B90004D0802C18848B';
wwv_flow_imp.g_varchar2_table(9363) := 'ECDC305F9C89E4E629F9A0E9E6DE40D8FDE06454E214BEF0C5265211EA51F7D70A268043240CF18F4C480106E5284302D261080AD8A2D6346A9AFBC827BFB0BBD0A00F9F1E3B4D695E855ABCED74062B6076C4E7E2FD5CBF9B8907261CA000BB14A00003';
wwv_flow_imp.g_varchar2_table(9364) := '68B9C94FFE9795E345007398473C6C5E6C0033CD693BB78C9299CA504963CB1DA0FBDC34FF0020E157B4C217A868C52D7E81EF51E3A32056A00411D4168E31B40001A08044C02A523EAFC7E846E9F81F3D04A28EDBABA3C5033C1F3DCF6E50677374B36E';
wwv_flow_imp.g_varchar2_table(9365) := '3FFEDB1D23F7640F7BB4F1208500145080E8A35CF027EFBB5EFC0E809573DF2E0D98C33A122FEEBF18B2D180D19A62ED126975533A92F8C83C2E88618BA3FBA218129EF0A82BEA070A18C2161E884E3F644324C8D51B64020C6482CAD003FFA803338042';
wwv_flow_imp.g_varchar2_table(9366) := '3910833984433864432AAC162888433AB44369B885AE418BB319096F501CF28D207AC11DF905139EB9917E75503FF018F439800384411B5C80020CC0C951DF5DDCA0F46D9FDFBDDCF6ADDC05FC43E27DCFE22D9AE309972201008219FF9740EC436664DE';
wwv_flow_imp.g_varchar2_table(9367) := '84FD4231F8422D68839649435C64891709D31B7191CAC8C3FF3C8312A4423570802B80825E598130A0812B64C3F84C51AE01C0F091D6C4711609DE616599A0F0EC19F39D5F7118C4C809800300401B00C01C981C0028C005D0600128C0DE555BCB39C005';
wwv_flow_imp.g_varchar2_table(9368) := '3400B50DA2DF7D5F3C24DE721419F9911B62A51F00A05B36B15F3B44123F40E12F24C3317C422D1C83944D1897095A5C1C1A6CF00667A44A696893AE90C8FF84431264022D284126A0213224812D54412AB04339B0C38DB9453DB8C3AE8D4E08F91ADBE1';
wwv_flow_imp.g_varchar2_table(9369) := 'A13566543532093FB45834715817191A118EC53D0422B5CD81E12D80E1CD41215E401638403BCEC123B4C1F73D023BCEFF81B55DC0F48501E20D567F311338D61A3EE4462E3A065D2C4B3B68E1F7445617354DA56D8683E14230A4021F7C422714822744';
wwv_flow_imp.g_varchar2_table(9370) := '43306C99B1C519E3C585763D5E6DD4C3EE994336544119C04B26DC022DC0013C5C0311B8213BF4233E7C983D2C478DEDD135E66458E9E126F1A1D7AD9866ECC33E3C5FF45D803C2EA2004C9B22700200CC8229E882B57DDB5302C02098822298C2233462';
wwv_flow_imp.g_varchar2_table(9371) := '0304A126EA5BC6F585271298B93155439D145D2097699C222EAC021C5881178CC11850811564C283A9D9163D51209DC6D1F0D010F18AFB44831B4482C07882BFD9021A78821F64423998833BB0C5E758906E111F35EA2465A2134FE69C4FFEC55909A53D';
wwv_flow_imp.g_varchar2_table(9372) := 'C842F419FFDE55D2E0B505822E00002694260984C11C9882552A8222E8C22C0CC22CCC41CBCD4126F223271AE165115837AA5F59A2143DB883E5B5450B4AC32B9841155C81188881178841ADFCC12DB0566FF1861551CF162E9CAE78863A94C3F8F09E39';
wwv_flow_imp.g_varchar2_table(9373) := '94433A948302FD0FB0680D3FA88387385BB024870856A67BDAD1657A52660E1BE50965202AC0CB5DC01CCC81223EC2B4B5C1213E420384817FB6411B3C02003C8222C0233A36C002E8433C78CFB574A2D3989F66F61C5EAC1F70E68634F243377842157C';
wwv_flow_imp.g_varchar2_table(9374) := 'C11858015C768D578C422C8662D70180382C26FF88833C84433BB0832D64834C89832B7403ED9908D891DD03899D3AB4836C38265CA467DA8DD038BDFFA792C2A7F2CDA7A231CFB508E53C405F0D9A9CE15D9B0DA69C5DC81C970200250280DEA1DC0060';
wwv_flow_imp.g_varchar2_table(9375) := '62849E15CEE9856159287D9610A4519359C2035A8E853D4C4325280117BCCA1D9C8915ECA9277099D6C04325C0553484593810C333980332A8C333B4C33FD0020084433930C38E9E48CADC24879D677A1ECF2919DF92766A0DC5E75E38A9236D986386E3';
wwv_flow_imp.g_varchar2_table(9376) := '3EBC18C9EDDD0FF2205E681FDF61DFDF09C0C9A92A0084C16D86236F6D245E141478550F68B446864EDE9BC24372698D3D54432448C85B56811734AB1B944124E8E858C4C33354C335840332B4D4353C4336D8C230CC553420433874432688C37E5DD1E7';
wwv_flow_imp.g_varchar2_table(9377) := 'A067AF4A1C92B6A7A7BEEBD280EAF188FF2AE445E93ECC83673AC0DFEDABE049DFDE091E5E745F22DA45CBE963574EE85F0017480E4DE449939B6E689CF6033E3C832D84C21D3CAB1BDC4119B84127B80200F8293FB0C33320433618EA30308339A40232';
wwv_flow_imp.g_varchar2_table(9378) := '1003310CC334AC2C49EED43D4CAAC261EABAEA6236B92BBCEE6C372DDF4F5E0659E81B6792829812ACD1DE45CC01DEE0519B10E2E657665585420D89EC8586524970A225E854832DDCC22D50588571ED2D744391B460EFCD430081CF3FB4433AD89339CC';
wwv_flow_imp.g_varchar2_table(9379) := '944E05693AF8D31AFD117A0E64F18D10A7F2ACDEEECA9350C6C21E0F8F0089A2158750FEC338F48228D845E2DA052C306EE22E2E60884230E842CD99A9AE2ADB3DB0CF0626861B75FFE39334E35E3A9970061ADB3650038DC3EDA16E999A1090D9053E40';
wwv_flow_imp.g_varchar2_table(9380) := '563D24E41ADD037AAA059C291B6D64E3DEEE6E8C90541FE2A481ED45E006117642DED08890268956D062D495EC8336B1A057DE5CDC656EF065D685EA052A1913913819A54963B07CA33F32DBD174D01CC9C5B2E1EC15C996EE7215EFB6AFAE4C06CDF205';
wwv_flow_imp.g_varchar2_table(9381) := '3CA8433D002FDD154719D983FE66588FCD838F01C03CEC985F04B0508E1FAE2D123CDC9A52E9A1F69A5214758F0E9DCAAD1D8DF18C885829E058BAAF06AF4C91F6597B35125F70A38F14AFA311C7C2E9AF90E16E5F08250B476FAE0A463EB08F023B5A5E';
wwv_flow_imp.g_varchar2_table(9382) := 'A410D38846D2DC92142DB0F4FA63FCAE91FA6EB010334B72C0AFBC9EFF923CB843FD424691D55CCD3DC60B23C68D24B0F5C65D792555154FCD35E1E13306542AD146160FB1184B4B5D741963EC883C0815A96A66B17D23D1FC6D6D70466E8818AECDEB41';
wwv_flow_imp.g_varchar2_table(9383) := '11D1A9ECF01D92863C78F1BC0AC6FA8EB120C745191FF15DDC431FAB716F18F2AEBC451F4F9162D046E8F0919A0E921CC343F292603ED0436F0EB227DB465DA8C63D1853522932D340DC218FF23DE0C3EB4606253D092BB3722501002B2FC628DB852ADF';
wwv_flow_imp.g_varchar2_table(9384) := 'B26834F02B4F9212CA163BD0433D8C722F8BF2F3A8723D2CB1B275525E70F25EC40627D385907271EEE9865E24B35DC486327F3237F3453E24333C44C9FEE085FAE885FB9CB3FCBC4F63A44F3AAB10FAC88F5EE8FF8F3CEF85FAD4733AA3333EDFB33EE3';
wwv_flow_imp.g_varchar2_table(9385) := 'F35D8C8FFBF4F338ABB33BF7B3FE94F3D4AC8A38E3C53C934F4EC250373F7463F006290346272BE1360B46008F1B6C24F31227732E03C7471B99315D743663334903066C08B329A78A6A8806472BF330E7F2289F747ABDB4476FB447FB325E4473A8EA32';
wwv_flow_imp.g_varchar2_table(9386) := '44FF345F42064D03462DBB322B13B328CFF20829B5896073443373A8E2301C0235555775F4DC502CE30356B7B28FD9432DBF723975D2543B865657726040752D15354B5B355BA78EFEAA755F881225C935F540B50447F2A2E98A2F97D7627CB3EB72F55F';
wwv_flow_imp.g_varchar2_table(9387) := '881200E8C33D64B2591F89040B0990B985FE2E0F5CC0755B4736AF7875EBF2055DA3755685748CC0FF1161CB8885C2B12CE7033E601769D70369FBAF5E68D24AE38556470F6433112D4BB66CF30A1CD399052B8632594B97E9E10FA1D3C2A9E07D052F0E';
wwv_flow_imp.g_varchar2_table(9388) := 'CF36719F8841DB30604489412B8670DE4F9408845D08A77042773C8FB375B30A720B0672D7737387E2FA44B76FAE030088F778AB9040B403FDB00FFDAC377A338B78AF833AAC837CA3B743DFC5399C037917B77ED74835440300440336E445E631867FEB';
wwv_flow_imp.g_varchar2_table(9389) := '85740EF84BD945E625B8B5F6F75F9C41B38AC1ACD49178E2850285030054F87CE505385003006C835D6C83D88A386B89ADEA0C411258C5550CC110D885125C0100C038006081196CC12800C0858D36F6EE378F330634DC053660C33460C33528FF386354';
wwv_flow_imp.g_varchar2_table(9390) := 'C334B096920738001439004CC335BC549157C35DF8B75DE9453178C15D48B85D30815D2C810E08810EC848002D1063BC4385DB8538D8059AE305389CC35E5C185F8038B3A40008B44050E03908D8051000408BF3C52A9418738A01CCF4B8C541C333243A';
wwv_flow_imp.g_varchar2_table(9391) := '363C0391BBD48037B960BCEC5D64039353FA5D641E94F74581E3C53040832A140200F4C119D8050D9C000E00C09803C00700C00950C0983F401564F262C83900984221264639A0F93B84CF3B7C43AFDF057481C338D0BA5D78785E78F89A5303B103003A';
wwv_flow_imp.g_varchar2_table(9392) := '7C03ABB4805DA8005EB8001100800F58FB5EF4C287C3796DDB9118A8C1CBDC851B183AB0FDF833FC380024BA93030095677A5F5CFFC390AFBB5D50BA90CF7B91C33BA453795E44C3A6DF453174822AA802007839ABCF805DE0000DF0C5EC3CC68603C002';
wwv_flow_imp.g_varchar2_table(9393) := '2486AE87A7AE0380AF533C8EDBC5380040C6DB859C2BBBB2E3F8C7F7053AE00539C808107C04009C7C9FDF8515E0C51ACC991B7CFBB7F3851A70C1843F01B957D630DC0532ECBB5D586B914FC3A33B799437396B49FAD163036BED94932FF8A3FFB75D58';
wwv_flow_imp.g_varchar2_table(9394) := 'B95D20C33020C33130B92A2C0221004006CC400908C60F73B8398043692A8638A0F99A03C03BE4C58667FCB25F7CB1F7452550C25E7C0339A0BB89980000B4C00DF0390014C15E04411734020028039DFFEF89A9C1B80340141C815DB0400AE4FC582183';
wwv_flow_imp.g_varchar2_table(9395) := '3000C08F3343CF33FF03D4E745D1B37BD03FB95D747EE86783BCEFC594EB45A2F3852500801D38C1D7034004D84504D8848CDC9EB033468B5AFC862B9002A5BD5D943D8B7A7C8783BC3818FB5D04810504C110287F5E1C83C5D70C1E00C073908D63E0BC';
wwv_flow_imp.g_varchar2_table(9396) := '5F60811C00403278B88883C3E774FB15A9811A70B95EE44A5EBCBEE4EB4C08D008310040CF6FBEE95F7A9367FAD31B79E8E3C5D3EB7B5E3CC35E083C400020430340418305111C38B89061438705C101E8F5B061B96FE50AAA330720623A8C0CA9715C28';
wwv_flow_imp.g_varchar2_table(9397) := '0E9C3871D4C435FC72D0079A57D00C7E3BF60D004D867B0038A3B8138D432CBF0A762B482DDD4EA347912655FAD04BC10C0052186CD2A4E093284BB166D5BA95FF6B57AF5F015C036B1426CC82CFD01E8C16B660B56BD3C41ACC1616EE33B962B3BD2D18';
wwv_flow_imp.g_varchar2_table(9398) := 'D760B568D7D602B06B77A13083509C60603036292CADD96C15FCD85017386A2121824C59CA6091824A7C48690940183783DCCC423B0640B5D982DAAC0168B6B4CC9187D21AE263BC5BABA3836EDC00C0A30680982342180A8942957773E7CF1D42410EFD';
wwv_flow_imp.g_varchar2_table(9399) := '28BCA4210C1200A09DAB6100CCBE1BB45BEDE85CBD730FBEBD863E3DF9BD81A3A55D08CDF0A1823466005048BDEB31618E9E18C20200305BA83202C1A92C246A226268A285B638C80C00B8E1E61BD30C82C634B3C8C9C5206B60D3C6988788D92908007C';
wwv_flow_imp.g_varchar2_table(9400) := '00A094607A516699657A2990BF190FFAC4B782DCFF5063B8E19A62882AE49A988EC621893C0A39288A5C289F82E4F9A7A07E18B2A321EDB8038B19640008EC28F2A63148BD83CC4B8AB086B001004900CEC0E0204BD24CF221720AFAA4A0017FA8E92806';
wwv_flow_imp.g_varchar2_table(9401) := '7529E8C03C0D72C5A12186D8E2972E1942CD4EB36A596844A43E09EEA02B00206195527AE1EC41376784C6431D39DDD1A0A894128286E9462508D353C732155583E069B2215A0EE26131FD08A8D22B2C77128B3CB1F85A4F2FBE00808B50FEC820434DE7';
wwv_flow_imp.g_varchar2_table(9402) := '1A5CCA978290B38012910E022741707AA136CF9022E2B3C1691291A2A02086C881219B1C4A0D80D5B85265510020E58C934B61B974D5E65C138EB88584141500214A78A85466472D41C87909FF2E78A9561DCA251600D4E871BB8208308031664A544ABD';
wwv_flow_imp.g_varchar2_table(9403) := '2EE71AF6D72EB55C8A186686C909278330C80F00274C36E080FDC64AB62105285AE41050015886A1710AAAB65A88B45D889B4A4E1C02C5872CEC7243D3C8E56A135E7899CDA03200C0A4144E3893C831CEEC31D8AB7A17596847310E12F83E7E07364AE0';
wwv_flow_imp.g_varchar2_table(9404) := '12D02EA810ADD95EE85F4C9704C055874271F4A1FD08607929F0B012ABCB5E83F5FB1A6019726F27FA1EAAA36D00502968913D6C3068D883F6CC8C233EF90440160018F9B621389239E89B69302CA8DE9D72C1652148BA066059D701A805EA832A8585B3';
wwv_flow_imp.g_varchar2_table(9405) := '780DE26771ADDE29088F85A4AC8AD97E0F52B5217D0118F53E660BE263F753A7FFDAF7F8555BFD4777280D8A457B006AD0DB20BC179AD5211CD064CDA06498095DA9BF098D4BD8F50030BCAD5FBD22830EE89461CC66080158430E00FE5790AA41AB209B';
wwv_flow_imp.g_varchar2_table(9406) := '034341C225B483ACC12ED9281A3726379F67156413BB705A415671903B2CC4191D7C9D0061F12EC730C41ED87B9E51BE110AC91CA4530CC900D990622A52C1B0205739A19B0676A67DE94B79C68B021E9C479DEA3DE96E06A9C14158B001EF01C000D871';
wwv_flow_imp.g_varchar2_table(9407) := 'C88D58F33183E00A29F40B1C5D08E710F931848AAA33481A90E404FEE8432BA73008215E100300780B0089F8C2170208809504E10843602300227440CBAD7108E012974184F60BD3940E280C818620FD54907529C519B5D0FF09004451B501DE502BC740';
wwv_flow_imp.g_varchar2_table(9408) := 'D74186C3101B5224480C4192F2C826B0A73C81218C7044E728C91BE21D643A509061F2F85510E2A9C11188E08F3C1C428B54A40200BE59E24E62E0448310840676E884E90A52B1A444702F07810B5D0A17BF2C1D65186659829BF4981456EC6221A32864';
wwv_flow_imp.g_varchar2_table(9409) := '23B48005831C700D0038E016D610A108191200411810008406AE21A80095A43BC8E6CC279E5FF866137B6805002CD107AD44C676F1EA85631231C2541E4585496B081EECF0BBB2B1F22133240872FA2504E62C048A0BDD8DAA44853CE419249606092275';
wwv_flow_imp.g_varchar2_table(9410) := '7049C48584221790C0CE2F57C01D066C80012A730841AEE2865C20236448590B79B8044DBD1424635F3A0832FF9EC18C8E398418C850A6519CC004DE70417A47B14F41B869106064E21611995041CA69103C9C33AC0589A3E6F838272E4841817228DD60';
wwv_flow_imp.g_varchar2_table(9411) := '00F004DB90F22C76F1C3DA7082933F00200753F8A3566AD7865294021CF128A1471BF20D39D5A8750058841A5AA706B025074925301E2CC736BC879A927300A0C429418BD88F86F45F958DA5105E080037F826B406E1AC57A0641DDD01C084054945281C';
wwv_flow_imp.g_varchar2_table(9412) := 'B69F03D8EA21125BE21400300C610C838A14592AB0D8D74CAE8027643DF54E8F4E5010939D8C094E400E70BDB20F162E6517665C8850D61084724EA89CEB240B1E14A8C08330029F149205AC0050A73A01A04C00C092C30C72882B406D2549B914A5C609';
wwv_flow_imp.g_varchar2_table(9413) := 'FF005D3849B48654A1D7ECF5904E36E46C162D9EBE505B8228D092738EF8EC430BEC157E5D366C61A3EB291BD2B9B51DC4117E48CA3D620B80EBCD16140038300D34909D25E6ED210CF86541B054DC6806E61638DE155BF8829EBC6CA5A70C3956419C20';
wwv_flow_imp.g_varchar2_table(9414) := '46816CD2202FE08D0A0B71D2864882150E3911FFCC10213304100BE9BCB2E68A3B1DF53682301AE246478F435FA4CA310906D90412DACC2E00684129B80380637A91A736C8811A59AB6D81D1D55086B4EE77461A66BE76424A3EBCB6C28C3E4821A26C10';
wwv_flow_imp.g_varchar2_table(9415) := 'EDD276D219F6A441564911E410E7B38CB870E73ABA103E44221529314A3FE021DB7EACBA202DE6E551F2C6DBEFCD4AAA00705E240E320C62FF14B92162C1D5307ACA17B870292FD560E6519C6A9090018335AAF880740B428682048F5EDE0080368E616D';
wwv_flow_imp.g_varchar2_table(9416) := '87D0B52069100456B2BC9072AE011C3411061B7FF003151C015C3E8309A15A70903794C9306EB08241DE30867B17640B6F44CAE6146A90C116C4B0968E899C423113DF399638856E2C45A0B0D1E4F9EBB44200E285FB4660833B44083A24E9C7A942904C';
wwv_flow_imp.g_varchar2_table(9417) := '9B12E37E28B12D19728B2C3E04D5B255E92EB3126B83880F00485808AF91F28C5DE37C217131AA529081A512F1FC20F93903E318920BF87A25E1E72A06BAB4E18AFEFAEEE8502043AD63728E0216241195A8844126244EB082F57FEF6D081F1C5109393C';
wwv_flow_imp.g_varchar2_table(9418) := 'AB900511061E48490421C4D9FF7DECEAEF15C64067396AE10B902A08128C8015126C5C74E73AF0B90CA2238374ADD0C839C213ACD2108F8F74E2129770416E84CA8220A2C48E808343C4315BC2278778133D53BE6C48094F875ADE007805DF0E661D83FC';
wwv_flow_imp.g_varchar2_table(9419) := '992101785800B873E3857C800A0611867796128DD045F0C77B61E61607AA0300E8E0043368822A1CFB090FEDC63B54B0C3620DA2423924A217EDDDC42124B1906CA8EF2055B359295E71103094D5EDACD1F1ABFD14198344E60B6AA02A00040A1361FC42';
wwv_flow_imp.g_varchar2_table(9420) := 'F353678814ACA0CD88C0200CC1748E611A42A7520EA28F14306B2C2D1760825C64C27184030F7E070F1ACB362C80948EC0368CA2E32ACAE27AA92026C8203EAF20EE40F3FF0A82FC46EF215609490646E2E8CAD30C02E508100060652DC0033D68CF215C';
wwv_flow_imp.g_varchar2_table(9421) := 'AE1F44AF9750C021648D22C0C60DC4E00E5201F89209C776E2D89EE95618E263800DE7EEA013360800ECE05E48C3F798CD2B940000A8A0CD8EEE2050EE528EE1823E6161600F5C7CC0074EE40ACC0B00BECE2056A1BD9021324C239190C203A7A82088AE';
wwv_flow_imp.g_varchar2_table(9422) := '20F4AE217A025202032692A1BD0EE2CA1EC41E340EB1D08526A6AF200E8F0281E8205440BD8E42E28244E23689D11C218858AF053F506CF6C55438AC21D4C051588F0F01201BA4612E5C86E500E007B1C71388D0F69482C91842FE90621A808A5022E8D8';
wwv_flow_imp.g_varchar2_table(9423) := '0C023C84EEA900A0A90E02F600F1E612AF2026B139063009FF06D02040211646217B00C0DA62E3201AA1C526A827A4C0EF160250DA6D2C4CC0281A0129CC2B74C66472C2E5AF48911DD8A1771E02B21CABD0166204488A665889782CABC11A8C2AF840CA';
wwv_flow_imp.g_varchar2_table(9424) := '7AC9C45C9114B522D34A20031AD22984C003B9A01A0BE204C1A42062712EAAC11C7A902152CD7A68AB20B0A113966E291643034440048A630C1EE20B972957AA8118862AD704A32184EE209451D90AC32020D0EDFCA33976C021E04016B2811A30C6216C';
wwv_flow_imp.g_varchar2_table(9425) := 'C23734EF0EDE8021CCEBCB1AC20D78C0E60C8222954299ACC007C2902154801F1B424B1491AFDC69211ED1D28A22FBB06F112ED0D66AA8203CC320DE292ACE86C118CC361ACF040DE215D843219522D3FF8EC21F0D8216DA2E1B840200B6A11B702329DC';
wwv_flow_imp.g_varchar2_table(9426) := 'C1E50CA24C68A10C24062B1E4007942F299001269801AE16427EAAA1330D27A8FA822DC2232976AD5E4A041890D1F7FC4361DC041464216978E1200AD34FB00F1228C2C4E0601DBBF0194AA72088C02A65602BC8B120BA600BB02008E610800A220E5C0C';
wwv_flow_imp.g_varchar2_table(9427) := '99CA7121EC210833CCA13E411F7FE7E100C036A222052C402E27E0293ECE8548CA2F49C90338E036B2011C84E230F9F22026A00400B386948317BD800B93421A36A224A4092916F3214A102B908007D6E60EECF321A0014BA061A91EC22FF6932114F421';
wwv_flow_imp.g_varchar2_table(9428) := '7C11C7742D6452332962A1C5A8430984E6AB1862321A02FA28E23F2587A1BCE280C2408FFFC0A00BB289EB00403765815206285CAEACB0CAB2C06E845316422D170E007A4408A2AB0426800338A00486340526AA2036CA86D4400AD4800BCFF30B6EE117';
wwv_flow_imp.g_varchar2_table(9429) := 'BCC820F2277F00C01CD45319AAA123338C94EEA82088E34B717447B940131F02430B0267AAA1308D62316BB42B74E00910A113F8E00EB2D0287085191D622DA201F90EC24F6D121027D47C6E322B3E011701E04D79E32D6DB02116862116ABB14221513E';
wwv_flow_imp.g_varchar2_table(9430) := '2114B0EF343AE7078420286F6037C2C0204EF453CD495459B4450B621406C802724055EF6CC0A413B1F060B230294785E3213C6E21A4C00BC4E05EF0EB21A4E0F3B6010048C24A0D0251010067C22158DB53B53C45D4D00E9542D179FFFC00102821830A';
wwv_flow_imp.g_varchar2_table(9431) := '136764D320D8F34AB115293EB2397A4F29840157926A9A1E344B0035349702D800B14478AA216C13F30EE2C0504E85147537DE523417220E0EAF163AA1162675B1502E510E22130AA2379965077AE02BEC33ACBA000BC040EC0AC20CD6408F2A21110AA2';
wwv_flow_imp.g_varchar2_table(9432) := 'C716E866E2E15E17EA2A20EF4B77421B160FC176D4A4480C0F1C010F180110A87515D46723B69521C2615917A2100ACD790CB2204CCE22579021B46E21D64128BA611C864137D5A15B51C5134261616C81165C12001ED530980D4B32B32BB4241ACED528';
wwv_flow_imp.g_varchar2_table(9433) := '746DB8DA2F9F504E445F854B198322FD740E8F0960D5F62062A118A271463A01D21AC2112EF5518F41C758D0202E4569FF3DCA111E2EF20A824997C21B7C6113F0F112D766673B87650FC21593451D00401A66D120EA701C20978C6C16F30A018AE0C0C4';
wwv_flow_imp.g_varchar2_table(9434) := '16021CB62159827621CE611D0C821DB621FDD806BEDE16006E41B884AB198B716BB7649A92424F19820929E1522DED5143A1180E0C608BE151D78B4626F5C02A516A8717007AB2214A815419E25553E9B18A836178B12148B620DE014E0C227BD972142B';
wwv_flow_imp.g_varchar2_table(9435) := '0C0E3C8F21BA413D012069B3752102A3622A942F433114E7352CCD611CE6D7204C1700D6611E0C021CE8C120CEC1D4182302BA82789F962180A1C890714C1A225DDB824F699722788E090BE2984A70676F889762A1165261788B6183DB364E0C9673BE8E';
wwv_flow_imp.g_varchar2_table(9436) := '11CC4264FFBDE2830AC2173EC11A7EB71680F79284011A4E674517A20D3CB66D1AC72058A171AA6C1172F820A2400F16C11A8A6121EC1100B8D7DA9A6113F211F34C4E295D4F4FF9F67E93823933972DA58C53EC627E21D720BAD820E20100F4B720C461';
wwv_flow_imp.g_varchar2_table(9437) := '74D52174D9F42B1E002C4A922128D474740C6B0BE281DD78D776526D3AEA597C837C4E85251BE2141AC70ECE2013DA8E6D39B86D17A6189E057901C015CAC220A872370836FB00A0880D025DD0C139012032102726FEC10129C9177CC11A3E61177EF820';
wwv_flow_imp.g_varchar2_table(9438) := 'ACE187CBB077BCE11DD0C11BAC218993C20F0C121CD441EBDCE17CCFE19685B67FAF5829D4404A34C187CBB01D20771DDA41EBA8183A21629983022CFF52A14704D82B0AD88083CBBEC4E42C864482010011C496120A210AF83849A80D47FC0090BD8B21';
wwv_flow_imp.g_varchar2_table(9439) := 'B8EDD50CC26D3D241442C115E29912E0EBF75AB72B54A8187C211458B81B0DEF929049430A85266C62230A2C36AC6117123A95912E95B36A1B17A2CAB0C20E5A279DC3186819621E7C596867F6978D42F692421CBAD5D4A4611B0E131CA0841F6E984C18';
wwv_flow_imp.g_varchar2_table(9440) := '2238A9A37D1F42A966973ABED006C11700468C0A3C97466CF07F0AD02024C1121621421B221A2FC94F1209619FCC9F89F7E92CD974045AA01B827408856C0BC6198A613626795976414E165AA101800E080189BF021536A11540B47C48379729A266C7E1';
wwv_flow_imp.g_varchar2_table(9441) := '1670632EB6411A84A21E3CBA2172B8D2FF90228DE562AEB582C0C2016A10A02054922B68A18D29E975338C60614F0519A2320FE2A95FE5F030E427BF02DB2AB9889BAE8873E1E97201A05123B4EBAB262CE420949A928A01AB53D875D645945121FC9C20';
wwv_flow_imp.g_varchar2_table(9442) := 'FC0A22368C61176A7B911C827BFF090070DB10E421A58C62A30DC21C123372CBC1AEEF9A210EA10C6B117F4D771D2E1A7FC3381EEE171C82C17CDB425895A22CEB8B020060B0A12310E7E50B87216A01E04ED966A79951135E9B21827221EEF92000BA20';
wwv_flow_imp.g_varchar2_table(9443) := '1C0A2C8EC192DD1629B0011B10361BBEC1BF1D08001C51B448D61766233679DB1A9A6151EEE720FE89176EFBA10D42DB0CE2950140C20B02C10B021E843B299435B98D4271EEE120FFA2BB2146B71A66511900F828CAF20BA7797172D2397AEA805DB210';
wwv_flow_imp.g_varchar2_table(9444) := '7AD5B116A7BDCE8A216C50B22F5918D005C8BDE36D7DB62B9C7AFA9CFABE2FB95EA0418129A426E6E21BA8012340D9E09A01851903B767FB91401C3A78213646669997B974CFE11C70A6C7545C5B6BD63902E00010A008DBD330CA1BC11AD582B5268300';
wwv_flow_imp.g_varchar2_table(9445) := '20127E3A7654419F63C7C70BC23F4EC720B0CF0F9B63BE011A1AC821B4E9DB42FCFBC94F63E36AA1196A41C3B581CB6583221605C135BC2032D9202E88663BDC287A2C4BAD341CBA411F30B7CB47C418CEA018EE75740D427594E1C3C742171D2232931B';
wwv_flow_imp.g_varchar2_table(9446) := 'E7260BED0CC251FAC00D1ECEE60C3D53E044355448153421BF00E010FF46E6929BEE5C54839B1B021094F30F8D827B6B02A0959C21243B17220318CCDB4F3C013C46672F3317D00D02D317FCC0BB111D3E7D275461D59582AF016014F4C1AADBD3B601C0';
wwv_flow_imp.g_varchar2_table(9447) := '1A98181EEE777465DD20CAF72088B520F44137B8C2F66C452122A6200C00BCB1A20E450B397CA3516DEDE1948F07668F48A021DE1BC2120020AD6BE46BB3620D40811816C6CE2944A02D49D10BC292172BA2A4A44003CCAC68F815EB3BC3B01CD3BDB720';
wwv_flow_imp.g_varchar2_table(9448) := '9A8117B01CD447A419B8FC881702C3417A27D6BC206C7D10BBDC208C81882962720D5399706D4622F3E1755D2986302BA89DFA98D03092171110A1B13E215E0B82E32179485643DB29420E48E121807CDAEDE420FF2821164A031A70C1B14181A8576390';
wwv_flow_imp.g_varchar2_table(9449) := '2AC4749206268E2116C4A00BB0220CDA006317621AD07D2B2661777C01D31BC21BACEDE77F1EEE0FA2D501CA2BFEE0A7911BC42FE882DAE12894C14A470117A774481462B0BBFE28743DF651E5F7BAB0FD22030FA88212D49E04E564C450656106DF21F8';
wwv_flow_imp.g_varchar2_table(9450) := '860DB2F1200CC330E63B298200000BA253CB85BE59432654E32B30568F8685263062B6061C2B2EE179423DD419E282B4E1E719A2E80F821D9222188E3F634701CFA35E4416E214C6E02366B1445447631722188241FF010280C081040B1A3C7890C00103';
wwv_flow_imp.g_varchar2_table(9451) := '04103A1C88E0214147078149BC78709830001B050213260C582E006E5800E804C011A487519694C0FF8031A64C00DC0C9E3228A7604781D000A03B589320345000B060FC66F01BB4A03D672204030029006C34B3719B26901F00AD4E1D5E9AF4E852D7B1';
wwv_flow_imp.g_varchar2_table(9452) := 'A85AED52C5ABA02A999B043A1BF8B699435EC6C68E0A3636AFDEBD31BD01B056B0D59481DB2E6E01F086EFD886071A2AC6182B57ACC71277EA3408E993409400285114F844C809CA5DBF7D9B5C4B20AB773FBB0D5C35D02F41723CB9359DBA9460A64680';
wwv_flow_imp.g_varchar2_table(9453) := '00C85903060F6C350229210C0A60E93181CB0BB609D366ECD5A956290F1A2450D1C049DA493FDCB46B202A546D01B4725BCC593184CE2C0D94EBDDA019337F005402E0A97EFCFDFC05A61D580300D50080CB40A33472D02807A1318627FD5D64FF804406';
wwv_flow_imp.g_varchar2_table(9454) := '444800010158F85027930D844C7F1B594690455408E4C8279C01108A409A15E28641483C885038008C54903602EDB28B7B03D1961C8FB911845C41B7C0B1C66F72F851507305354563724A1E0455185021449C415EC437C775DDC188D02696A002405ABB';
wwv_flow_imp.g_varchar2_table(9455) := '6C720A79E1AD05802F02358366418448A2567805C127D0214C98119382028D1209977EEE854E5DE6A122C9194BEC20D02B0591B28D340529E8E040680844D49F4E39162100077475A262C410344C87073D39D027A168D6D9408B58FA5090129527D04E3F';
wwv_flow_imp.g_varchar2_table(9456) := '46251037D870F38CAD02DDAAA86F6B00D05BAB34E5BA1434DF906A501016582085054118340441D3E82A837789CCA10876D9B17AFFD07F64BAA70A986D1A442742DA942BE7403C2486D12D03C5C16DBC1839F39F403AF0C003005AFCA1DF40B8AC52C97D';
wwv_flow_imp.g_varchar2_table(9457) := '920A5486406EA0E10617F216E498410C019069573C649041048F11330CC6000C8390A80619A7A2239F01F00400510C64713FAC5EC33142E1093A50CBB515ABD4AE5401F04C723703E00A82003032508AB506B9334F5201A0F0416AE08107547800F0B441';
wwv_flow_imp.g_varchar2_table(9458) := 'B2D43C508BD9143D9628810C92E51C0060ABAD408FC0B8C7210048525EBA06E9B8664CBCAC27D0B84B00B08311324D4AD0C1782FCCB740E7BDB8010837D8F0506293DE01401F00DCC1EEA4078FB1704315725902001B544E19480715237457735B6C72BC';
wwv_flow_imp.g_varchar2_table(9459) := 'D974184B2A0841B3FF5153D09053936DAEE746554DD8EC8CF59231D946D37248FA06871C94E44409188C38220723C681EC3BCFD34CFB4B90CBEB950F00B00C849DD75BFA399843E715A409006DA5F5164275EC01E7B8BB2C92060E210000430B0000E182';
wwv_flow_imp.g_varchar2_table(9460) := '123E5C81518B05A35170DF0B872FD00702B98F90680DE40F77601CE24892372B544A7F33E18340C680830C10647D00C8C0092A371A4F5D24350F514521042286333401004D10C2080FA2323FBD0219C920C837AAF129681C031AABEB100D07522C9A14CB';
wwv_flow_imp.g_varchar2_table(9461) := '55D110480F5D259054F4A426E8B88D419AF213607CA64F03A144C09AE8B34680AC12944844536C630B38904614D7CAC3D7BCD837F2794F20A7609B40BE251035FF11A4196FE1D1E69A913D8400010043184212EA5706FBFDE11F0C64951A0B72038968B1';
wwv_flow_imp.g_varchar2_table(9462) := '204F4B4C8BFAD815A601E0831693600642F0010956509225D8407C3A0222899C010A6728080D0000853E82E21A05A1DA4F9C842C83B86E57CFC046AE7AA8CA8120C5554024C84A32819F8354C26705419071A695338124A2577CE12303574510F2994D12';
wwv_flow_imp.g_varchar2_table(9463) := '7B28487850710AB311046DFF910D0008E1100A5020052900800A04320422B8AF08459849FE1019AF880C84700761A743F6864EBD30C09102A1D868320880138880341CFB88416025113A20240330E11B28823910AA20E556B32A48EB6AF53C8224631A13';
wwv_flow_imp.g_varchar2_table(9464) := '9D28009481955F00405446244836BAC24B813462FF97031198B4B8618B4AAC6219CB20CD1C02C12D5C22E40C7A00401AE0249EB399E72084E81EFF00E08C3A1C240419800000BA2990222801082DF8E6401283887E1DC40D63005A3C17D6D4AE30912086';
wwv_flow_imp.g_varchar2_table(9465) := '70D7551DF2194A540E03043D083EBD038C7E1E6413CD940836BF7A116ED8061D0B1C086F1A911340E4A42B5F984AAD3C7A34870220129088D4457649D28168942658190835B8610EB862C40F7CD81D426AEA104185C71BDBD304982E820389B8130052C0';
wwv_flow_imp.g_varchar2_table(9466) := '4823422A593F8160B4A9ED4F8A0E50564916F404169464E662F2D61900E0260E11844066A0DB7895962095F860ED9223575708C4A400E802099CEB5CA83CF72259C889166AD594D909241B81FF2DC8140B1229E62ED73E44A944CEA6350D1045D61EAD25';
wwv_flow_imp.g_varchar2_table(9467) := '0D4E07029E83746F20363208322D0900D61EE4BAEDE51B15FC271013E8052FFDBDC8274A00BA81D83683B4456B261F525354A86D20BE050019F866052B5C8476AE6283444800003074010C2410B1880502063680610B7B7508778F68C43E99D4A489B00F';
wwv_flow_imp.g_varchar2_table(9468) := '006ABC5C4F542219D9B0CA34346A55D2E0C9286638CC57990933008089B702A9AF7B925C100D0CC403056E2F031E60101714618E20F89F4470C15200E8421ACB20050052985A54A1ACA006C9A0042BC7834EE545661006405B3FCB0A1C297920AC108813';
wwv_flow_imp.g_varchar2_table(9469) := 'F427050D57C2114471042D806210F186C12160C0F194C02007EBD2E41ADC90D1FF4084D113633D44C68F1A8827465163F146EA1BDCD5282D3EFA0D7000601F7BF1442664DA444BD9E18E0E39041DC860897439C3B76D954913122C01185459B2C335880D';
wwv_flow_imp.g_varchar2_table(9470) := '8A20C0817459204A8097AA0824E6C22CC351678E075C1D5890144520C10511CD05D14A105B3C1821A8E83300CC5D6182306061F41348B00622E7825CC30F2C6EEE1ABAB006A318C4C8CF2AC8168C828602D164A1020995A81A7BD8272E97C6860500825C';
wwv_flow_imp.g_varchar2_table(9471) := 'F3A04A19C76740C3C31AF080A70789412674E145BDF65C1081A691203288000500C0012F03A0082E800108BADC82650F5B5EB625880ACA2973F68140D804B1431F0EC15C5CE0051CE740338C1870F2861144CA04290422E2FFCD12CC5DE631C0B08545C8';
wwv_flow_imp.g_varchar2_table(9472) := '2D104B68E2BDD33CC8A6E2953482980E233D7CF7409C8AF66565B99CED2E885560098064FC4251CA5DA55F0DC2C4ADB2C1419550D08C61E3587100801ADDC88639D8CB97E2295E204412083C497332CA6802A003A9692DDA7248003C80031210F040A2E5';
wwv_flow_imp.g_varchar2_table(9473) := '810978A0CB489D39B78E50F381C00F081228C8CD79FE400088210E7A1208299401007A201E4606C072001E3206C51D8446119020B70FF24981D80200CB778A3F0170F5AACFE8215010B940DECA0A3A641FF9960A8214AEC00529AC01D617E9213398B151';
wwv_flow_imp.g_varchar2_table(9474) := '848877206327882CD06F10AF0A04F01CB9FB549A3410260A6C1402DBFB8D3D116A8A920DD3900DD410150648FF0DE5A0186F70710000074402085A344883E41D52907296A401148403428011E8E046F38510764010C74710540600A2E74D3F607A880404';
wwv_flow_imp.g_varchar2_table(9475) := '4500021E6054057106637008E5D1497DB3105F07310D6300EA241330917A0F817F0F4167573710D22712E2560B57021364603635155C1881011810855CC2055CD0577B810C8BE510A090085EE809754510BF207012F10BB6600BBFD013AE642BB9100952';
wwv_flow_imp.g_varchar2_table(9476) := 'D54B04E1207AC27FA3A020AE210BE2D00B036178F6604C7E38165F70186630487210350291857FB24F17410EF545109F35104CA00391F70426984D1300005DA6042B787A1B90002777764300045D46014E05006580270045086990790411595C42001182';
wwv_flow_imp.g_varchar2_table(9477) := 'FF5F113310EBF6180D060052C77C535710696511692511B4D01C67F0499D04054E00137F86101736101870022710417F423F594809EFB6049EE7101A350C1C136404531089981107E13100700BC49450C8651186E03D7F207CEA475C1EE558D4900D8207';
wwv_flow_imp.g_varchar2_table(9478) := '0EFF800F59C11533918589F80578D08FBFC28900105A02117928274712D10A9417907E82280EC15FE3E210EAB00E7EB22958063110830013D2101B805F330184DE111299648403410B1B921A5108139B320322677D04310300968B7F92614AA00554D42F';
wwv_flow_imp.g_varchar2_table(9479) := '2A2811C8700BBFB0135CC05F006005DF1713B0217F05210B3A211535813A03D40789F10668D027CEF62C35E661FC97080E8215AE411CB250FF13D9900E80A81752107E0EF10578A30210808900900010B0966D09006C198330028205A138A1F549196037';
wwv_flow_imp.g_varchar2_table(9480) := '0391009BC701299073129000E5040019B790FA030216D96C02C10555E0370060098AD34C7EB05500406D7E12210820398DB110B4C8079D100A9DE314A1E40452677594B17CCD470BB97068D3F7499FA48C557811BA0823DE77058F2710B17068B9309231';
wwv_flow_imp.g_varchar2_table(9481) := '030C8B65760080376D47106157101CF30CD0805032E85746040DEAA8387D803787E0030311040D3095A35057F7F109DCD0111F2510AFA818CF82850A038E04610102C1966FD996E9A9797F920604E14146D0030421021BF002504310146089E859107E00';
wwv_flow_imp.g_varchar2_table(9482) := '4F9058987EF24DFB9934ED76FF250271065ED0567D10300D07230D111199D28300F07B10B36DF0F61041F867184006CA281023D17C54F7A1A3F24100D09AA9159400A00472E00ABF19131DF20B5183856D1776ED76051A2611DC7070F987081D51440701';
wwv_flow_imp.g_varchar2_table(9483) := '9D02C12E0341020DB031C97169A5B412B2740EFBF087A4616400B00689289805C19616E9276D220696701EA9B01CFB69392570A07A21061BF740555005B619A0208408A4A417AD6710C3654774C30346600449406B0331205C627212E48304412116D38A';
wwv_flow_imp.g_varchar2_table(9484) := 'A9221135B56E42E50427804C56579ABB3816D2F710637702A07361D8E4042D39100710016CC62AC25910B9306E42A251DF047E0651AA0321948C7710D8000D54815EBAE2FF13C9991C34A227DE300ADE4098FD0600E4B03A54F14700D0497043107E0896';
wwv_flow_imp.g_varchar2_table(9485) := '63A1A678B005FE787151AA0229909604C19E1010974E1197B158102F622F5320066DD54226206CF92210290700F3190146E501A53701AD070112E001732410443010F3B9035330059BB8A60631A84E1103024165E26A10F06A37F729108C29A4EB171F09';
wwv_flow_imp.g_varchar2_table(9486) := '408B7A093A11C1033879104FC3A90731034205004C007D06010CB7B09B32D1A8B4600BB8996DB1A019B658B15F35049E5A1919A19365F80537FA0556E0A95C7005E519136CD81308B51403A20CD2406078110BB5204DCF122DED28103083072A30127DD2';
wwv_flow_imp.g_varchar2_table(9487) := '0D8F2510BBB71F17079006B189F00A000236ADF63A131C80FFA51241041B370629D2422DB0AF0811010980722660022DE0726F2901D30A027344043F9097F799048CA904631007EA281046C78968A05C8FD17917114848909700501FA7664CDEA1740511';
wwv_flow_imp.g_varchar2_table(9488) := '011B200285EB800831314CE710149B4BBAC9A823A9B179910BB6A09A93B19A02110A3442B254785541A905C596112DB3B103B193021194292A9CA92AB30090852A2513B523AB007094DAB02105112D9B500C6E541090800E6B601CE6A818FC687155F227';
wwv_flow_imp.g_varchar2_table(9489) := 'A337B64695000430BD25C801CF0A4FB8271302D665D8E8AFAA67103A0000D84A6B0EDA5E660B002820015896A7062103E08A1126D0651E10B808F10590A30448D090F9070070E71D093B9CA798AF05B1FF4F3D400153381355A7C002B1B99B9B17A1FBBB';
wwv_flow_imp.g_varchar2_table(9490) := '0010C104A1837D64055FF07D2D1B13E3C685B56B102D481004EB6CA930773C4967F6B7AAFE0B00BD500A2D2410C540B123301054B007AA20AC185B0416C08100600EFF600F7CDB156AD0576A6064FF687116C70870C0088D90C4185710D808007C501FFA';
wwv_flow_imp.g_varchar2_table(9491) := '55824705002DC0013168AD02F1A7A098858C501845F91026B8B625B86C1CB05A03CB056380A30E01C48884BE0381A510F000D1620814780B9B2804A5171354E601603A100E5B0663D076D80A00A14B1A04E0830F003A3CE7057E400991D00988D01F216A';
wwv_flow_imp.g_varchar2_table(9492) := '11EE92B18A81C800900AA930C111CB40197CC188010A2E8A102FE0B0C3007F06F105E048FF9C03B13BB2B08538842B385410ACDA432EBCC2D3E31039401023F27104F109B9D0BE91958F7931C4B63B10CAAACC52AA4589C0087B43B30241586F70041761';
wwv_flow_imp.g_varchar2_table(9493) := '0354AB970671BD590C002AE8077FA08EE2807B637B108C0C00FBC4732EE779264065124001704A1063CA98906B7A668BBEFBCBCD0551A10EC179160901EA34BD8B6B1077A4CD5C922908C00008F0002F90975C7040F3FC104DE0A102B1072DD3B9AAC91F';
wwv_flow_imp.g_varchar2_table(9494) := '253913177221A905320E21058BB8A404417F0251860E5186279C7E03719C38047FD0100D8DB587080140A5973DB5A00DB8D07E02410CC0603A3D940E8F117657187E5F70D4FCD88D24A30447A0045B36107710095675D005F1004665FF0330B0B5176105';
wwv_flow_imp.g_varchar2_table(9495) := '7060598AC20180EC18BFD77B0311CFA0F810D72C980533A4559B5A0E6B1004CB7E2535C05D910473A4CF03013925152F73544E824904F00AD7BA610B5CA0CF4D107C0231428CC90388D0517BEA43FDCB1732F32904210C2C3D6C95ED067A4B09C53606A5';
wwv_flow_imp.g_varchar2_table(9496) := '25C607717E71B7CA00C00CBAEC76DCE09DA5846ADE190ED9F0DAA5C485178126B564106F3C13437AC470F0340DF82B4CD3626880067880376EF09414281365500668C0054A70D7723D101A66B7D78C08F7215326E505AA3B10477004753BCF6D8C1177B0';
wwv_flow_imp.g_varchar2_table(9497) := '3B278224B80D57FDF00F892B10EAAD17E91D13FFD00F2964DE0BC3DE18C1477CAB32FAB0DEEBADDEF5DD15FE0D00007EFFAF12E1C37AC16AAB861146D7DF18A1DF06E1DF024E19D63610F6100FD6B60F074E1AC694DE1B0EE10F31DF0E3E164617DF7BBB';
wwv_flow_imp.g_varchar2_table(9498) := 'A6FB100FF03DE0FBA10F0D2E10F72810F9C00FFDC0E205710F292E59E98DE1015EACF1F2E170C55E5AE1B420BE1F29540FF8E0E221AE0F1FBE0FC76CE38FD1E34DFE18317E66FDC00F49CEE4501E4FFCD0E1580E231DFE0F5A0EE45B2E13F7A832B82DE6';
wwv_flow_imp.g_varchar2_table(9499) := '5C8EE669BE1F4EAAE68A41E513DEE671DE1F232EE7751EE7396EE76311E479CEE77DEEE77F2E10178EE7807E11674EE8878EE889AEE88BCEE88DEEE88FAE18EE0DE9934EE9956EE9978EE999AEE99B4EE857CEE99F0EEAA1FEE7747E6653CE0F9E2EEAA9';
wwv_flow_imp.g_varchar2_table(9500) := 'AEEAAB0EFFE5F50000F7500FAE4E0FAC4EEBB56EEB2B1859E690EB00A0803C0C00437DEBC12EECC37E55ED0000F2C00E02210FE049EC1731EBC6DEECD12EED32B1C962385802A1B700A00ED16E59D3EEEDDF7E11E9F0074F004B1102349B3D102B510D55';
wwv_flow_imp.g_varchar2_table(9501) := '2DECC320605C600865F00CDA0DEEF54EEC1E000AB8840CCF600563701F44802452D00EFA400B079D0EDB7EEB2DA280E650D7F6EEF0B69E0EAB8D06EE70079B78047FB0D7E09ED70FCFF1D13E48E72410E69B7FBDDEEC22DFF127CFEAEE8010C97E10E900';
wwv_flow_imp.g_varchar2_table(9502) := '0FDF0EED282FF3334FF3356FF3378FF339AFF33BCFF33DEFF33F0FF4412FF4434FF4456FF4478FF449AFF44BCFF44DEFF44F0FF5512FF5534FF5556FFFF5578FF559AFF55BCFF55DEFF55F0FF6612FF6634FF6656FF6678FF669AFF66BCFF66DEFF66F0F';
wwv_flow_imp.g_varchar2_table(9503) := 'F7712FF7734FF7756FF7777FF3D7E0A600700D58B1F7780FF8B47E0DD930F8832F2D818FF8ABEEA67F0F00D930207D9F0D9F62F8869FF8955FE95841F8DEE9A6D3D0F77A5FDAD850F884DFF8936FF9A5FFE7A4B4F78C0F009CEFD26E2AFA1F45F9AA2F20';
wwv_flow_imp.g_varchar2_table(9504) := 'A64FFB715E0D8C5F0DD5C0F9830FD90641F90281FAC0EF432A5CFBC56FE39C4FF808C7FBA4940DCCB0BB04C1FCD540F8BD6FFCD50FE58FCFFA9C9FFD1CB2F7A23F109CDF43D540FCD64FFE038EFDA4C4F98FEFD258B1FDCC80D9E50FFF4DBEA7D9DFF7DA';
wwv_flow_imp.g_varchar2_table(9505) := '2FFCA34F10CF1FFFFBDFE47D0F1000AEFF019876ED1AB36902090E04D0D0E1438811254EA458D1E2458C19356EE4D8D1E3479021458E2459D2E449942955AE2C59D025C369CFAE254CC8D2E64D9C3975EEE4D9D3E74FA041853A7429B066C38204B30188';
wwv_flow_imp.g_varchar2_table(9506) := '36D4E953A851A54EA55AD52ACFA4471BCE1C78ADDA55B061C58E255BD6ECD988331552D48AD6ED5BB871E5CE7D5B7060D6870CE9EEE5DBD7EF5FC0229F41ACD6B56642B50E0B0766DCD8F163C862BF426C1BD9F265CC99359F4CCA54EF66D0A1458FDECC';
wwv_flow_imp.g_varchar2_table(9507) := '15E967D2A955AF66DDDAF56BD8B165CFA65DDBF66DDCB975EFE6DDDBF76FE0C1850F275EDCF871E4C9952F67DEDCF973E8D1A54FA75EDDFA75ECD9B56FE7DEDDFB77F0E1C58F275FFFDEFC79F4E9D5AF67DFDEFD7BF8F1E5CFA75FDFFE7DFCF9F5EFE7DF';
wwv_flow_imp.g_varchar2_table(9508) := 'DFFF7F0003147040020B34F0400413547041061B74F04108239470420A2BB4F0420C33D470430E3BF4F0431043147144124B34F1441453547145165B74F14518639471461A6BB4F1461C73D471471E03C4A04720FFA203000CC80040985C6CC905005B80';
wwv_flow_imp.g_varchar2_table(9509) := '4B428715820C700600A0682894631C52524B609804A6C92F6B4381878622C840CAFE866C28CB24970CAE84877E443340606249653837C650A34C02E6C42F945616D9C4914522FAC6A16CC259AA9BA56E3384924E8EF433BF7E1EEAA752E3FE9974C07AEA';
wwv_flow_imp.g_varchar2_table(9510) := '99C7B87AEC11951F7B3635F52A4C2F3D7555565B75F55558639575563B5A6BB5F5565C73D575575E7B3DAF9C8680F575588CCC21F6588C9A84E815649075D62166DA79F659371ACAC60800349DD659251A1AE38F6D1D0C080021F904050A0000002C0400';
wwv_flow_imp.g_varchar2_table(9511) := '0D004A0258010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B183356E4C74FA3C78F20438A1C49B2A4C9932853AA5CC9B2A5CB973063CA9C49B3A6CD9B387326C4472F61479D40830A1D4AB468C64807EDDD33CAD4A03E7D05';
wwv_flow_imp.g_varchar2_table(9512) := 'A5DC02A0CFD65400C846FD5C0869E0BFA660C38A1D2B161E80AF074109AC07A01B807070C8DA64440910C27954F5F53C488B1824BC0B73A9C56876E0A27504ED021027B7B1E3C7900BA6E203003180C1AB00F4010018001CB7914F1A4218C9565B00EDEE';
wwv_flow_imp.g_varchar2_table(9513) := 'F821B895994064D800BCC904C0D3403E70A6C281B414C054A4480DBE51888FA01B4AF2043A2268281231620E3DE1F10D005AE8EBD8B3A3EC0780BB40B3DCBFA2FFD53E32F9BE7D07013F15A8CF3B007EF99CB287CA5E60BCB3E30BD207602F9E3D81F2FC';
wwv_flow_imp.g_varchar2_table(9514) := 'D35B41C50DC4D63F3DC5F3D33FFFF4C34F3FEE2504155AFB9167E1851842744F7204E5734F7BF17584DE7F1956C4DD523FA1779E401002505C7B150A944F8879D103DF7B02E143E241FBDC831E7FF678478F3E1F0EF423675BE508003DFBFC139F40F6D0';
wwv_flow_imp.g_varchar2_table(9515) := '834F3F0532640F3FF995A8E59618D207183EF0CDF8D493FC7129123E55CEF8E08C06B1391099542994E49BF93C65277D555669D03D7ABA581C9C0C0D68E6A0846257CF8C888EB9539F73E2D4E7584F7144509F80CA58E79D316A54CFA606B2B5D6A66C2D';
wwv_flow_imp.g_varchar2_table(9516) := '2568A1A4965AD483107204A183046DFA21A64FD9FF23EB9568E283683E8D12E4E083B9460891AFBA96942AAAAB166BECB1C81EDBDD40C936D9A4B1EDEDCA11AFD3563BAD40D666CB51A54E656AEAB7E0EA240F87F02467EE5A0CFEC3CF3D029EC76BBA58';
wwv_flow_imp.g_varchar2_table(9517) := '32380F82661506008709C953EEBD179DEBAF46F61204CFC004176CF0C108276CB03BEE286CB0BE0F43ACEFC4E5564CF1C516678CF1C4DFE91BEEC72037058F1F65C0710723C0809209289440120928B6D892C91B94B8428927E264B910BE006AECB342FF';
wwv_flow_imp.g_varchar2_table(9518) := '526C91BD060330F0B8E31E5D30C44AFBBCB1D3504B1CB5D3183F3C75D0F51A1DF2D65C07050F0C2C1021C413941482C727658CA1861B7EE0F104075C50E207178C1DA910835E0595EEDEE2F1FFEDF7DF80072EF8E084176E38DE5D27AEB850FFC0F3C30E';
wwv_flow_imp.g_varchar2_table(9519) := '55084185238E14128A1D6A64AE86174208A146287CA851CE3F761FD491A4FAB557D0B50B258B919AA7FF642DAEC6029EECEDC33678BBDF10F29DACB6E7B93B6DF0FB64BBE2E9EF190FECE2CC6FADEC478DEF7043E45138C2C722A06BEE451451786E3D1E';
wwv_flow_imp.g_varchar2_table(9520) := 'A39FD7B7AECBB7DEA244AC5A847AF2B15BDB7BEF7FE35E2C83F0D3DF8FFDF3A79B3FFEF3CBEFBFB2C8EA4EEF9A47C0C4190B24D1839C108EF0093E58AE10621043139A10852778EE1378001FE974669155A12F7D14A916FBDA57ADFA1DEE8428D49F09F9';
wwv_flow_imp.g_varchar2_table(9521) := 'F73FF931CB83CF2BA00C4156AC8F60C91D3FF841E49E108A423822148E10C313FF4AD0042F0C510D0DD460E930E2C188A4EA222DAA610BA7782CFEB1908A0EC2A2165FE8BA197A115C079C48F9FE210F251C6187A158041F1AA886EE51300A25500325F8';
wwv_flow_imp.g_varchar2_table(9522) := 'A0440E8A5180FD404FF90EF2C40E72478B805C95EE8AB58F40420857573464186378BFF37DF19184AAA141CA77BE08791041775042122407BAB385CE8242E05E1CE7A8C425FA718FAD83A22257C9CA5511AB9501C4A32397854A48DA523B612C887BFE48';
wwv_flow_imp.g_varchar2_table(9523) := 'BE2ED2E30F5EA8020F9ED040CB2DA28D9D0B651C9398331F8971962C8A622D43E23A585AF39A8194A523A179CB6E5E4892BDFCA334E5872578C0810B5C185B28F0A086B3A9410C9D6B42E7E448C79C89EF8EBA84614BB0A9FFC5441E9241F9E02716A3B9';
wwv_flow_imp.g_varchar2_table(9524) := 'C8697AF3A08E01A7369F47CEC6B9A10A5CD00131F950BD5020B3737094630647E7CC878C739251DCA7405BF98F7A30E81E239D22419B284084BA14972C5D280C5B48462E94219D5E58A71842718C8B762E8EDF6BA629F3E93F822E8B252965E53FD8B12E';
wwv_flow_imp.g_varchar2_table(9525) := '9426B5A8DA6C29375F4A55B928F4762B3DE0FCEE31862F444E0C1854C33184A106500AA10940CD60CE98A410951AD5A020A9E653FDF78F74D0431E4ECDE25C192A455E56F5AF098D6917658A2C048DA10A47B86006BFD1D3EE2533AD7858EB50B38A55EF';
wwv_flow_imp.g_varchar2_table(9526) := 'E813A901DCABFCFEA10E7AC0235AAFD46C25FBDA52C09A562C578D650BB1448F3268B2095C48E237C8EAD89FFFAAC1111B0D1E42C4D9C2AC8A54B454ACEB5D030A5CBE0210AEA74D2E4DF6E615BC050E3FD06D2E009A440F3448410A51B8ADD9A0710C3C';
wwv_flow_imp.g_varchar2_table(9527) := 'C0F3B1B7E5831BC4A1DB83A0B0B98863C9DF04D2B714BA1770F298873CF0F1DEFA32D7B97C63D15972A5DCFEDA2497951DED3821A4223C8CA10C4FB8ED2216218C5CE0A1B64258261DD3D1A326ED968ABEC5EC718B5BBB92D2E31EA1E5702C4BEBDF12E7';
wwv_flow_imp.g_varchar2_table(9528) := '4492588D2A2D3B143C44F8810F6AAB9C238EE160353CD67B8E704339F6218F267170A02A5E8988A7C88F7A7C7858225E28F94CCCE49B8033C0BC156777D6C5A47D2082118C589BF51CD160EFDE58BBA22B2F1F551A65E47A44B58415AD803E4CAD1027F9';
wwv_flow_imp.g_varchar2_table(9529) := 'FF85386AB29C6182621796D9584B21232320C1083CB8018333AE7132E74909DCEED8C217C6702E55A2DA2117AB1DF2808FA307CCD2A9CEF9D2DBD1E72AA9DC2344E0010E9903748333F7D3CEE1C17A8C800782269B66000699D15016F13FC2313A376B36';
wwv_flow_imp.g_varchar2_table(9530) := '9CDB3433A677CDC4996EFA1E6C75831786FDB9537F639D361EF4A919618B76EC031E884E748AB96869616576D2F72B873A06F96699C299D7E036895659096C1EABA10AD805ABB12D9AEC080BE1D494B0053BC8F8A8314B93C4191632B67F37EB9CD95AB4';
wwv_flow_imp.g_varchar2_table(9531) := '4A86337FC34D708A185791F760973AF0C005293C810BEB74046349AD6C3F540219ECB8D73D70A59145C3BACE93E6ECBCB14DED5C17FCE41DFF2F688A5D086CD4B8C26D4FC8296E19EBDD1244D8E6EDA44534B64D0F7AD4C35BCF8C29AC6549D9E2C68BE4';
wwv_flow_imp.g_varchar2_table(9532) := '255F32CA976EA227EF72AA7D5D958ED0138D4670E1E185760434C29A811294200589E5822DA6A18E25F51CE81F147A4A1A3D69554D1AD74F67BADCD3AEF6688E1921F6C04B3C70218B2E3C610C657304066B9E4C29FC000EDCB8463ACC3EA494D7FD24D7';
wwv_flow_imp.g_varchar2_table(9533) := 'DEF7BE71ADF4B95B9E218CE422512D2BE5BCFFE31CC1104520DEF006CA85EE0C197C42CC33A704614C231BEAD0CBD91D5F6D6B8F5BF293A7ECB72FCF7B697353D703F1FC397A810951908214A190C322C47086457CC211EDCC2025D4118D67C0E3AEE342';
wwv_flow_imp.g_varchar2_table(9534) := 'BB1315FA5BDC7BBFE471EFBDFFF8370F7CF37E8523FF5807F131010B58F4A2CFCCB7C3318A716A3E5082ECD910063DF2D1F30FD3BEFC67E66BDEE768E0B77BE3377E318411FCA00F9FB77EA6000BCAA07CCCA709C7700CCF5708AE500EE1800DB65076FC';
wwv_flow_imp.g_varchar2_table(9535) := 'E77F19E1711A3680B8A77B767780072882178125E7A00BB3200A2E280D9ED00A967008A8400EE4F07C9FF00DE2900EE0000A8C210F3EA77DBFC27D23D86A24B857F9866F28C87B09B8826C317CB33085B3200DA3D00AAA800AAA700CE4500C76500BE9C0';
wwv_flow_imp.g_varchar2_table(9536) := '0EEE200EAF500E46F373D1754AB507790298841CE66D27D884BDF7841381373C310FEA4785BAA00CA3C00BBED00ADAE00CDA400E87D007EF300FEE000ED3E00E43C271E9FFA24A8FB7766DE886C0157071288797A78215C113F6700EA5A00B2EB887A3E0';
wwv_flow_imp.g_varchar2_table(9537) := '0BCD0088CEE00BE8C00B7B800E4BD50DD9A02300500F1D6147DB178999466994786B96C88498287774B889F2D0897290079C3085D2B00ACEE00C9BE087BC800EDA7008DF0000ECD00DC980183792864D678B6C1852B9585C4BB886BD3814AEA125BF4811';
wwv_flow_imp.g_varchar2_table(9538) := '77780E89000698008AD4400ACE500C9B7008BCD08CCED00A87D80EDB508DFC310FF1428B1E6584FA868BDD5854ABF48D00188E26A68911813751620FEB400A799007A6A00BDB400ADA500CADB009CEC00BE4E00DAAF00EF0D00ED48818F380178F0889E0';
wwv_flow_imp.g_varchar2_table(9539) := '687B77369076A648BB9892088969E53811F61085B2200A98FF508CED580CCE500BC9D80C38D80AC5400FEA30929CD113E9A58607198293C89249F5924B1993CA3593A94420F4150FB2600AA6C00993C087C5C093CD908CDE800EADE00CF2900ED9A08F3D';
wwv_flow_imp.g_varchar2_table(9540) := '878DD908932311754E395706795463410DCB2095E49180D56659A5D522B20200F1500A9C70099C8009A4300AC9C893CED00CDA800EAA500C67D90DA9108401E28F45A88DE2566921D74848B7686E6913DB2010A12910A08197D87170F8B69251C40FF630';
wwv_flow_imp.g_varchar2_table(9541) := '25F1400A97700993609895908CC9E80BC9880EBEE00DF0500ED1E009E0702FF4C05C4A199528097EC0A54249587946410D00309AD20000D2A00CD3B00CD9400DDB400DD9609DD4400DC9609AA8D592BDFF952AADD90FAF3909E869988DA00AAA1096BCC0';
wwv_flow_imp.g_varchar2_table(9542) := '93E4500BDEC00ED8700BAE50764298944A191320276B02B26D92F76A2D327038011AD0599DD93010DBE016A32910D3099E60717B9B262BE6490AE8399BA410079BB08C1B998CF1590CE5000DBF700BE65052F4158098A992C8A959F9D06FEA42727A699C';
wwv_flow_imp.g_varchar2_table(9543) := '2CB10DE0109A8CA110CE09A1633152ACE99A163A0983A09E1BAA0AB8A90A1CF995E120188D100EFF00269679999F494D9A296258720DF415A09E29A32BB1A0CFF99C357A10CAA0A36421A18AC49A41F29A8300A48390A187B009AD308F7F7891BC203391';
wwv_flow_imp.g_varchar2_table(9544) := '0007D9A02E6CD9965A6A70645A5CFF700BA3E3864B46A03851A335BA0D0D6A10CB309ACEFF290DD129A644D1A780C41135699EAB30088A100881300A58D0A658388F1A590B87100AB7C00C76EA24791A7429FA9624F80FD7C0A4FFF67697C814D940A30D';
wwv_flow_imp.g_varchar2_table(9545) := 'F1A8CE190C610AA941C1A3147A0EA480A99ADA083EB0076DCA9EBCB08CAA700691400BE7648688F47F7BAAAAB434642D9A0DB506A38C34AD29010E8EDAA506810B617A97BCDA141B265558546426B50E8980098310086CD0085B90067BE0A646CA0BADE0';
wwv_flow_imp.g_varchar2_table(9546) := '073AA004A457063913ADFFC79F9A164845862BB18A3BF172B04F55ADA90516A3199AA5C910395AAEBDAA72E379409B927EA3F0AE6CC0067FE00987300543AA0AF5D80748500468F0ACA8FA110A798BAA39452DDA0FB413482086A559FFDA145F9AA895D0';
wwv_flow_imp.g_varchar2_table(9547) := '05E3B00DA36010130B00D3B0AB148B137C85AE53AA2CEAFA79A41008792007585009A3A00A4C7008B5E0A618A9AF2D90B274B3B2D22AB00239458D430BC399577119794ED714CE99B3A09105E0109C03F1A808110C45EB6416BB45EA92B1E808AF5D8005';
wwv_flow_imp.g_varchar2_table(9548) := 'A35009AAB0077BA00A9BA00ADA600965A0032DF00673F3AF7105901FF7B2FFC3596F600B01A2B085F5A29317A3716614A1F9B90491A80040B40301B7425BB73531524B322FEBD008F0EA037E1B099BF00775A00AB5F0A68730063AB0035760087E50A2B3';
wwv_flow_imp.g_varchar2_table(9549) := 'F8A40D4195DB28B974650EAED00EA9703FC44564B316209BBBAD8D01B7957010720B00A3000AD51B1700700502A10440FFB003A8DB7DD7C47FFC180F8DD0B73E90039110097DD00A6960B8B580AF65C0042060058D900AE780A7FAC9A7902B89DC084800';
wwv_flow_imp.g_varchar2_table(9550) := '900E91F00FE2E009ECD2BCFF1350D780B94F396D519A13B880105A701023000206D1021ADC020080C1E30BC002A648FC77208D80053ED0011DF00578B0078B90069BA00DDA40B255A00320500495700B1947A8B5B8AAAC1AB6FF8325E990090D520EA030';
wwv_flow_imp.g_varchar2_table(9551) := '6F0E2C489B0B87BC38161CAC022DE0C10D510402310400A0045650061F0CC2E54B0FF3620F9550C223200147A006546007696009B570BB544BC3495009C450A2FBA7C30E41BC99E9C3931BC4EAF20FE5900A41125CECA0C049B692062817360000853C10';
wwv_flow_imp.g_varchar2_table(9552) := '4350044AFF90C53A315251322FF1500980F00520000145C0055120066450AF9B70B53B60BF535009C9D00EF77225723CBCFFEBB2BC04489CE50908720DA06008D9FAC3FD100EC3F9767736A87291043E50C50251C107B1056870055F601063E0BD5CC0C8';
wwv_flow_imp.g_varchar2_table(9553) := 'AACC79E2A92C51120FFF10C98C50062690004A00076230054C30B885DB072B60BF551009C38018F2208BA76C3EA95CBC48B859E6E009D56008C3E009FC400F58C42E661BC88315C141B1050401CC0481C5DEAB055F80C50501079BA1CC2A395A49B7520B';
wwv_flow_imp.g_varchar2_table(9554) := 'F5CC46E30786F0061E80004A50096E70024EB00757BB0969A0034C800255F007C04092F3C071BD96CE756CBC9B450F957B0DB4700B39A345479C5270FF37C864A104DE3B105A40D00261066810077000077F00008010098D80D001996BB324C8A3F5CCD1';
wwv_flow_imp.g_varchar2_table(9555) := '8C06509D0209300493B1013410BFAA7007DAAC032830067D300A66C1C5EB8392DCBAC3EB8CB09CD520A9900A974B452DCA6D43B6D0B30A163C5DC1433D108A6110D56B10C141107F301A488DA24D4990C5E2D0F3F0066550062D900016E00A70B0023330';
wwv_flow_imp.g_varchar2_table(9556) := '05575B056960045C5D066F10093D115F63ADA7650DA5B08425FDD0D6587428016A89FA0C14B64110AB4D107BAD109170D781FDB84DD44A4E1D0F88FD053F800013E0097E20012B800468D0074C30053AA00353D0077FA0D9F7C28FE78CCEA94D7B674D4E';
wwv_flow_imp.g_varchar2_table(9557) := '59A4B9545464492CA09F7D1399C1DA05FF71D4CCF1103030DBFF38D85A74DB6FF005BA0D0113C00870200128A0036940DCF65B0356D00768D00988717DCFDD562DABCEFB960FE630D3343D62D14D14E3B00E3C9310E03DD4C391CC060101E4ADAAD774DB';
wwv_flow_imp.g_varchar2_table(9558) := '6850065F7004EC8D0766E0011420013AF00655C0043AA00149B0075AE009EDA00FFAC22DFE7BE027ADD273950FE540E0AAABDD17021550910C95D0D70451054A400402C101127E101EB00113BEC332FE3F7748466830D04A300114C0055FE0010F90001E';
wwv_flow_imp.g_varchar2_table(9559) := '60083EF00012B003445005491009ED7028F0302A9E0DB64BFE54E2102DB2CAB925120755AC042E70C802F10008E1011E3010310000409004495EDE216C488F1CCD6EA0DE5260031EFF20054920011090001260084A200112E0013B000448F007EB6023EE';
wwv_flow_imp.g_varchar2_table(9560) := '60CA310EE30C41A0ADDA0EF7FC86823CD76231DE0231022360112070037C2EBE00600505F10677301C7F0EDD96B461FE33E8F090DE509E02569002448E008F1EE993EE0140700356200FFAC00FF070286741D6DB3D10A0DEAAB9A7C49E3E14523C1026C0';
wwv_flow_imp.g_varchar2_table(9561) := '1063E0CF0271070B510500B01AB74E7905C8CCA4D51D4D1E0F178ED94A50048AED01104000C52E011B200126000446A00439FCEC9D4DE1D39E3CFE6DC7A265E3FC54D3A60E16709E1015FC0657B0C8549C1071F006B24D105EE0E70961EE530000468004';
wwv_flow_imp.g_varchar2_table(9562) := '7FFEDFD2C62CF990B1F2F0065C90B252A0046500042600010800018DFF700510E0011CC00129A0045C600EEF717D265D9C2511F07077B60B6B824B1C19A3F1B30D3F105C70056320104E7F053C6DEB03C1EF4080101A0F005170EEAF06E8246FF2187E07';
wwv_flow_imp.g_varchar2_table(9563) := '7060055CF00645D0020F10F39150061040E41060C93B70A74613C74CC9C32154F0442F97EA9EEBD8210DA23B10179F108B0C11E4AE190000F2E72EF2F6B64B25CF16FCE00752804E5280067FA00429D0E812E05A36FFF614A0DE4C0A008CF8F3FB19F478';
wwv_flow_imp.g_varchar2_table(9564) := 'CFB0799FF0387E1D13FC9D89EA09DC0BE7770DD40291E75590D30351E93780F808310662A0F5593FE1315A4B4F56F220D638EDA00EEA900E0A6E0ECC9F0EE63030CC6F0EE51086EC302F460326014B67E67DFAACFF24D747DF14099E107B711FD2A80E19';
wwv_flow_imp.g_varchar2_table(9565) := '770ED2581905C10EA48C1019B7108B2710E95076810D607854F0AB036CC55F5F6FD2DF000140E0C081FD0C1E249850E142860D171E440800E2448A152D5EACC8EF1FC688171372AC489062C17E0E4D9E44995265BD84FA480A2C29D0654C9528FFDDC469';
wwv_flow_imp.g_varchar2_table(9566) := 'B0E64E9E3D7DFE041A5428CA892223BE344A901F3E7AF734E2BC0980DF54AA02A9E6AB3AF46351AD3DB9C2045934EC588C60C99ED5691422D2AE6D7DEA83EB56EE5CBA75EDDE0D3A12E65E896225F68DB9B4E953A8784DEA35FC70ADE2A35B133F367B34';
wwv_flow_imp.g_varchar2_table(9567) := '2DE4AE2E65C2C54C59F366CE9DEB8AF5387224BF7BF4EADD831AD533E2CD8B3F026ECC56E83FCF5BFF1B4FAE9D5BF76EDEBDBB82465BF15EBD7CF2EAA586AD99B5F2DB22FFE22EA8F59FBA7C00EEE9FEDAD7F776EEDDBDF7D61B9CE2707EF2E8A5DE98DD';
wwv_flow_imp.g_varchar2_table(9568) := 'B07ACAAE61972D09DD276975F4E4D1CE9D5DFE77FEFDFDFFFF49BCB0983A8D9E74CC61071FDA9C4A8FA6C4D8836CADE0480A69B98512D4083BF7F603B0430F3FFC2F3CB2DE2B299F7BAE83C7965B8629472990ACE2273E070952ED24081F5B4CC6B1488C';
wwv_flow_imp.g_varchar2_table(9569) := 'CC428168FBA71C7BEC51F047FC98BB6D46109764B2C9FC80C32DB4B4FAE1279F7CFAA10799546E61A79D7E4009E79F184132714C2579BAF14109CFEA51A7B216BAC99E7FE4AC51A17D8EDC29BE9420E4C7493FFF04F42E1127932F261D21DA68FF182F80';
wwv_flow_imp.g_varchar2_table(9570) := '3187967E2878E39F7AC21A0E2B0E6B4A73BD3547148F46FCFED9279E78EC19F54E00404DC854346363C8C7405F8535569F06A569BF292BAAA79A489029C7957EC68874528C62246F4CA132C50BCAB0DA7C71A17D421D278F73E2D9672A67F1246AC60D3D';
wwv_flow_imp.g_varchar2_table(9571) := '52A84F59BF0537DC362393CD2C0A21AA279B54188DE51F20E09094227EEA81A71D76E8E9A7523359CDD63D24DD64B3D384687B361E5DB21887DA6A4FF5B44E87040C495C8927FED6551BDBDC08194F8029C7966AB82823DE89F8A1471D73DC81E7B47AA6';
wwv_flow_imp.g_varchar2_table(9572) := 'B2F8307FDBEB08E21D67C429546A108E479E6AEB2CCC469991A53868A1FD6B79CF89FE1926935BFA09C7080F3CF9E71E8AF28127FF9D6A6C81C79D7C883313A8A20595EC67805BB6198C69F7B1A74F6C55F559EC4B87863BEEEDBE5628E6A389C964987F';
wwv_flow_imp.g_varchar2_table(9573) := 'F4C989A27FEC23C61562E89D9765A05B7D39C224979572B9C2D0BEF9ECB415EAD961B5DC963B73CDE73EBC218BFEC17B987EC4BCE81F79E089C41046E491A71FAE3BAF1BF6B95C43EB2F12EDB6DDCE7FA8313B9E7BB0BAB6DF0923DEBC78E33743CE27A8';
wwv_flow_imp.g_varchar2_table(9574) := 'FC46E60FBDD1434F1E771801851978CEC3873086B1552979CEA0071FFA53B91FDFF29E01DB0780C8AD838BEE86C3077F20EF8FA7BFFECF648F7DE47F68B1A25D2A0D6AD041FED68E6BBC211351A3D2BEDEE6327EE148591C018BED1C24A3F7E88E1A81F0';
wwv_flow_imp.g_varchar2_table(9575) := 'DD3DE29297DA8DCBFF7E1F04A156DC8738FD79E20799E8073C6EA2912B4DE41EAC4B4739E81123C325CE680DD414420EF5229959900DE788DA06BDD6411E85D08847CC13FE6C0311BE65220991A0C735FE118E5B10831D01A49289E0C10EA92550876712';
wwv_flow_imp.g_varchar2_table(9576) := 'DE02EDF215B78D882077CA061BE2F137210688882344621C4108C7FC5124124AA0443F4CD6A8685CD122F9C097416A782C1BAAC96E8CEB61F96E320E35CE233343511284E828474A1E4F7639F21B3D22E10514FE231DE2B8C535CE7311C3D5B0900C14E3';
wwv_flow_imp.g_varchar2_table(9577) := '180FB9ACDB910527DBDB0616E2818F47324C71A7AC642EEB37C9CB09901E99F8822798468C6BDC221CA624A502C118C6CED08A873F93DFA9A8D18578E4A396FFFF4AA52EB599B949DEEA68ED70052D86C18E7298431CE6A0470B4182CC65B62D9B747126';
wwv_flow_imp.g_varchar2_table(9578) := '04A179A4DDC9921FD784192EB7B94FB9E91395029C4739D1B93C2C925289BD7CA75C30B92366999146E7A0863D64521BF6B4939F170D97BFA0433EC728322AD66A20B72CFA4F1C822D4AAC048C760C752E93BC524323C5684C27E6CF302650991322242F';
wwv_flow_imp.g_varchar2_table(9579) := '21199B66290625DE5A48757653529916555C1AA5D9AACA28429DE614A62ED34E43FA04D4EF10D5A8578D154D95AAD5D91D94A9091D0A55BD9340AC9655625E654C51ACA514AAB4F57E689D15F1EC32D5B55695AC66C56BC5ACEA248B6013AC3FA96B7F04';
wwv_flow_imp.g_varchar2_table(9580) := '9957C2BECA4A871DC861156BA59D2856218C4DC9FF89AE639DC94A65B1880DEA65219B18C976F63A9A15AA56EA410FD20A05B46E39D1680BBB5A40B10300EC50074F623B10D8D6561DB57DED856EAB8ED9E6D62EEC70AD6B2123DCE0023784F6626D729D';
wwv_flow_imp.g_varchar2_table(9581) := '54DA9ECCC3B9F370483D583290130944BAD2A56E65E5425A7A00A0BB9AB96E781B12DEEB36C4B30BE92C77B04B90C96A57B9EFFD0F3E7C3224FA4A14BD9255487A05B2D9B9549737A1856F80055C9BFA0E8921F8906F42AC8460042716C099C32C75AD63';
wwv_flow_imp.g_varchar2_table(9582) := '12CC5886216D1C7086595BDF066756211BDC6C60216CA2DF51D6215365AF8501900F04F317329075AC58353CE3FF5CE7770F1E4882E731247CB877BF38366FFD58329C13D9A31E4646F29113FF82E0E10040C5906D708FF591BEBB4894BE473EB27D69BC';
wwv_flow_imp.g_varchar2_table(9583) := 'E540D195A3D2E9278C44BC1039F5E43A5FE6729A8D970ED83AA41D0379B3704F126793B84321ED78733BDCF1E684F0F94F7ACE2D9E0522E7D7DAD91DEBB0339CD7211044AF031E8D3EB49F07E20E42CF851DE708EE6D2FED5A491FAFB76ADE9C18007006';
wwv_flow_imp.g_varchar2_table(9584) := '8660231A0239F53512A2EA69606320ADAE493606C2EA6B4C4320B6064035C2F58E70886321E278C740CC41107180A31BDB403600BA418D6C6C43D9EA23483804028D60E3A508031942B693703C37A8A1DB03C10341E05008500F4D070010C31200400326';
wwv_flow_imp.g_varchar2_table(9585) := '30600A0B790634667D0D550BE41AD8C0B7AB53A26A6C64E31AD9C046AB6DFD6FFF5AEBFA5BDF50C83BD2F18D777CA31CC14E073804320E82481CDACE5EF640322E10709003E1080780AFEDD20200A8A005245741F1BC20062E88410D032943B933478381';
wwv_flow_imp.g_varchar2_table(9586) := '9CE1030080C20916028D672CA41AD5A83700F47D1259CFBBDFF4FE37006A4D6B5C1BEF1C04A106002C9E1071441D1C5127C837D071171B08040809B9B61208120400AC010089B035D6C5C50585B8010F6E90F9D0A230052624040A4BA039419821909E0F';
wwv_flow_imp.g_varchar2_table(9587) := '241AD78806D0957E126CA81A19009075D36F5D6B004C83F1BB067942108E0E84B7A845521FC7D4A17DF5AB2744ED9451011052EE0285F800005A000016B020105C44DDD941F376DC37870300344121E70600320E3F90DDA3FFBAD681577AAD033E7C81EB';
wwv_flow_imp.g_varchar2_table(9588) := 'FB1ACCF83BE21B3FF4557F4B1709298738BE910E005C3EEB12D7BCE607D27970F48212600045221AD1108F7B1C00E4C885130020849FC060205DDF010086C0903524621402D9463724FED43F7D1B004F60BFF52B0116903D58398084C00021A002938086';
wwv_flow_imp.g_varchar2_table(9589) := 'DEEB3D553B3581D03555ABB7A5F3B7C61B08597BBC85B0355D03BE8313085F1339E8ABB8E7531FCEA306EEC3BA6C1308167488632087633886B65840AF1B821C588855080667AB3AEAB307FEEB102F18886E0B370088028520C002041706108825C00081';
wwv_flow_imp.g_varchar2_table(9590) := 'D0B9852086DEE3095A1B88BE1388A253BA812388087C954710B9E8138874A03E5F2B07EA6B88CF0387111C88FF570000B22BBB2108822190028680863B9437B978038520BB35C005A8EB0673D0328981BB812881F51B08213842237C02250C9408D08108';
wwv_flow_imp.g_varchar2_table(9591) := '108808B8B9DA8B4200108685F0428770BC6970BCC6FBB7BDB3B7C4139A52280500883CE97B8550300970783EED5B08B5CBB620F8021F98C3208839549CB6C8EB8A62C88581B8B63A0400D3D31C35284281E0822848018568024574C458098184603F2818';
wwv_flow_imp.g_varchar2_table(9592) := '883C7C86BEBBC64DE44457FB44C5B3B785003C0884953000006F20078108856FE00329F80100708584008773000757943A6AB0BA14FCBC81C0BA2380C381A8C32DB8B584E0060080065EE48961000062C84450F8BF812046B223855E08866550865EA086';
wwv_flow_imp.g_varchar2_table(9593) := 'FF6590183C78B993603FDB1302DB7BC6573981036080BAAB3D818885844086BD7B8668C0C286D8C06CD0B56CD8445BF34681000670B10681F0065F60C51418021500056A6891785488143441936048F99B4381C801D3330359184881304882EC8A8D1408';
wwv_flow_imp.g_varchar2_table(9594) := '61C48244808552E8858180856F99418130C6B2D4483C10C20054091A1082BC6B4BB50C490079429324883CAC8981E3C2813038E5DB4081104570F10681F80481B083650480F183C757B4C714FCCA94B8C5F993021CDC825F28BAA62BC882740B5EF08581';
wwv_flow_imp.g_varchar2_table(9595) := '403D81E8CAB00480C604419338448160CB75CBBB85804BB6A481D48C4BFF6000263C011CF804601006619037626086DD24066DE440A5F337FFC7F33783EB44A5FBB955F3CD57D98581D883AE0BC881A03800783E5D58CCA434899493BF378CCCB2FB05AA';
wwv_flow_imp.g_varchar2_table(9596) := 'E486A9ACCBAAEC0955F085CD1C882F20885E38C581F8CA78F8966354CD0C583FB72C81B65C089A1382FAC4CFD2148800E483D7E48F456488E4FCCD577BBC0DBC49894185E50400541083F803003C10CD8AE3B8A068CA35E8B981FC8669184859F886823C';
wwv_flow_imp.g_varchar2_table(9597) := '066E8006F0F4896620085F400381C084532C85CF1488F5CC1D3F41B85F4C88970BB745AC4F69348900E44F1E15087203D0EEA04BBE03006648869744092BDC4B7B733C7AA39F9B5C3D000003305088CE530839180838E48220B8363848068520511115D1';
wwv_flow_imp.g_varchar2_table(9598) := 'DC1B8A5A00804C7043CF84D1FF5D038050588485C0CA12A84FFEDC519ACBBBD2AC4FF96CC420F50EDA730482200681D0CD9A003A9B2CD4E36105E6E48165B482AF74852D08824A480829A0433A648816B135B29B3F39FC02ECE440BB240824FD89666886';
wwv_flow_imp.g_varchar2_table(9599) := '6200005B00CDD0FCCA3628855774CFA1D95387F84885603FB814C04314D081700446F8533ECD8D3E500585E84E95083A264D88CA2C568A390585008560F85239F80280148835A05230303B2C9056F464885904000B0000611C02401856829886EE4C85C3';
wwv_flow_imp.g_varchar2_table(9600) := '7B066EE839644004200D8A57B8858168D1AE24085DA0B257F9864F804F70C34A86704DBB5BB7B70480431402F9CC5582E0D584F555DD08D422F589E22488A0BB86259518FF3B600861A0843F2CBB81008322348335303BB3DB02B393D2BA4CD11694C384';
wwv_flow_imp.g_varchar2_table(9601) := '48575B13D36F65BF3AECB9690055520B8A5FF0CA16F5CC09959341749219644570C3038B1D0890544D3A4544FC1C08B6CC51F9D45500485847A0845DEDD585F50C602006DD14C553235082A0D86335D0A149D4445D886C58032CF882D50348330000B54D';
wwv_flow_imp.g_varchar2_table(9602) := '8820E857007805591088767488319D8677048023F8810014D16115359A050A65C0D99B4D8884592340A94AF87C53619CD593A0D3D3ECCF43345A81600481D855AADD8C332801241888AB75580010559E98400DA49805488451030042D00487E84C8518D9';
wwv_flow_imp.g_varchar2_table(9603) := '91A55638285BB52D42DC2408C84C086B94B7CAFD82006C47FF991D08B1DBB63E78B79EF852F54C555DE80513EC8535E2D957B1033C78D38110035B4D449C33447FCD4FF623D800BC5C4AC0DCCEC03DDEEBDC6168589EE8C4C7BBC04F94182A25083A4803';
wwv_flow_imp.g_varchar2_table(9604) := '3AD08381F806124D08B6DD582C2D3B92CD425AB580F96B88A9344C8128C461400634E0022B10883EB08231B80234D002349056A04884097D95B17C533CD8D76F255AD514086A54CD3B5D3F83550347805AA9E555A72D04444084F0C58BE2ED0450B8CD84';
wwv_flow_imp.g_varchar2_table(9605) := 'A461BFFCCB5CFB40869858507C35AEED5A95180684F40E1220C79A2303EC05804FD83A69038052588584705F80DC02FC65085A180849755AA7955461E83D5950833A3C0219885582506000B80207CE45FF00D0D681D801CE4D096F9552181513C445C784';
wwv_flow_imp.g_varchar2_table(9606) := '58840D6608B8B45EA46D88CA0500F0D5553F700444F84F174E8C9C04802A3A5F549B35C1338964DDC0AD450984240621F68D977B05AF1C8845908443188877E8066E088685C0C86928055978E244A80430D0DFB3130768905B8218CC3664C84C1C884C54';
wwv_flow_imp.g_varchar2_table(9607) := '832F104200B88381B06464D4022EB8022BB882044E0823B83681880481B8CD64B0354D4E8854BD60835483E925880E1E825CFD57FB6CC684E86085F0E381F003818083423464BA080550F5CB414D066D4C3E87F04D27158A45E60E209585AFA4056D3055';
wwv_flow_imp.g_varchar2_table(9608) := '81500557B88561BD3F8108022B8043FE45CC2746E55B368971C65B8556087943065B3E3DFF6D45BD359EE0B545BD3100802F058081FC056F1C026214177D058045E8D7C51508385689C63589144E61410EB77126D273A60B4406009BF63BBFD335A0D3B5';
wwv_flow_imp.g_varchar2_table(9609) := '044DD6BBF865DD488584188673348684A0044F38CCB5454F2B28E384E0473994822040BBBA248827103B3B1C8801EE09469003993E59001865BB8C65A734EB8C14883BC663BA1D82FFF5D600DCDEA4BD5E0F7684B7336746F8CF57188671A569B9184B82';
wwv_flow_imp.g_varchar2_table(9610) := 'A8A21BD6E9E43338C0F3E11F1E0AF305D4EDF883D6CB866590B77354082606DF3FC5837146033388566D5DE36F050361485382C0031C38028248E66A1C883E6888DE0B024A6D418218019410D51C00E0520087579595230CB7E90DB7FF974B0115A0DBFE';
wwv_flow_imp.g_varchar2_table(9611) := '9C808135890C605A8160DA465483B795E981F03569403C69E80681E80620EC6B86B064846C40D0DD3B4976889F060A64A067EF000400A04C004087193CEA0C1488A196658780838D15085BE05085406682E06A663E865FF445891E080516C681C0823508';
wwv_flow_imp.g_varchar2_table(9612) := '024885628118E7A5E46B8156697B7D5E1099658278B90C26083110500B48016FCD000EE00082985CE29E6B7F14080A08EE849806692836FCBB6EA0B0055B58086000062166866B2C52EF7688963438C43E89DD0B6A4CEC0D004E514348499518CC601D88';
wwv_flow_imp.g_varchar2_table(9613) := '4E08854E10CCAEB083C1A4519F00832E70880507E0F784536B264B21C8CFD2E4800928010E2881091082FC0EF1278882FF316688784D08379C6EEB5BF1B64048DDDB6E0048CE3A8FD8AE200668B0E440BD4D2AFCF11F75885CF8043375082567C550F884';
wwv_flow_imp.g_varchar2_table(9614) := '5070EF8EB6B5A94589336802A21586635067870803F7BD7487A8608196BFB66E835EB86D34FB8F975BC48D3CC23B2EE98660BF8305002F58B95D0680B75D8822788238783663836E86183670C886E97EF39DC0E99BF6710040C8BD9B71C1CE35A0D0719E';
wwv_flow_imp.g_varchar2_table(9615) := 'F8C516F68E7E03804AA056B39303436FD3C154F281500544A8855028869FFD6382F07395B03D208DEC49CF855070031F90F2D423082C8872290759F71D88FB7B628238DB0207807B07942708709E4085B68B7585C06371AE8457C035893BB694F0F55F4F';
wwv_flow_imp.g_varchar2_table(9616) := '09172708FF2BBE699B26866740BE99066F93B0719FF0F36CE78FD53BD959EEF6916FD38160C5FD3E0640068A503803751B084AA774827084E99D5A405679008885FD26886CB8C0260ECD354D5519EB90B7C583CE3E096DA8054B085ACB05004797F98508';
wwv_flow_imp.g_varchar2_table(9617) := '6D3674AD6E68788650078AB3EEEB86F8F9CEC99C14E241F5399EF0CD7177884A4689C104F7DDB8613B80F53E70768248855A18729CEF634A086700200200E8819A80061894C1843053924FE292FFF66218F263F06F854884227E1556DFE484084C814087';
wwv_flow_imp.g_varchar2_table(9618) := 'AD1B88C807007273D7A6BF7C46F003BC66043C9003564C06AC4B718A93B3D723088E1E085C18B6AC77F8441654BD1B888B4F7613BFF1E46486F10E0AFF4A50F208F78E53908445F064612708704FFB58E80495075F4A18565827BFC49FC15F045553AD05';
wwv_flow_imp.g_varchar2_table(9619) := 'F304805AB0864F2806EDF7F67D2648FF1E482CCD82294D8847B8D72541854548D44508F884380354F8849D2408C92EC7130D783E28643EE0FCA6EFD597040870E7008033774E1D80840A17326CE8F021C488122752AC68F122C68C1A13B280B17121AD5B';
wwv_flow_imp.g_varchar2_table(9620) := '00440218969019CA67D0A22D7C068025C46AD15CBEFC98D02443600074024044E9D34248368732B4954A6124009A760110B387924247128F85027A14802B00A1B8011096F0494468C7A0353C06E018B986A1007C2A16CA6D3185B9187285C6CD6EC25FC2';
wwv_flow_imp.g_varchar2_table(9621) := '64ED15460BC02BA282072B04EAF0DDC3FFB415A5E2596810E13A89F116229446F832E6CC0CD901503750F34714005888002063A8AD8424011063180DDB4296C95CBA8469D125B389265B5784241580EF26A02DAE06C027212B86A0FC00A8C2B656AC8473';
wwv_flow_imp.g_varchar2_table(9622) := '159AEDA43054A8C000C802B00EF19830B30CD13AF415CADA5B5F09D7022816972139AEDB157E5B28BF1C007BC3F7FBB2B6CB1A2A4C31A590240989D79036001873D1210959324542E338044F4293D1B3CE3C0A8DA38E76FB79F8A160F480E8E15F090133';
wwv_flow_imp.g_varchar2_table(9623) := '8C570A0D936043B829F44C6D0BA1141B43CF3063E345382DB408702366E415180E2DB249432BB417CA31C51C08C07409B9B2162DF5A5D8A4437835C4DD43EE9D97CB7B6715D3E431FFF25939113F3E66B68B2FEAFDB726008408D2D0820AB1322045A830';
wwv_flow_imp.g_varchar2_table(9624) := 'B48742F1ACD3CE3A912524E23A932924CE67661AEA23850024CA909F8702F080420110C55B44966852E3499932949B6038F1C4D01D8E5AA413320CA9A71028A024C4C375B528395156DCD4D7D592749143163A639D259658072669D69671CDA564970AD9';
wwv_flow_imp.g_varchar2_table(9625) := '651736F20120ABB2DF4C236A66A702E05F425090410843BB18A3AD800AB1B89037090DC80B4388D0034FA00E4DB6CE85FA00100EB4F17A38999E794636CF39D9389A0000045C565C315E0070C8224E30B02933ADE556AA66279AB81344C7256487C4F202';
wwv_flow_imp.g_varchar2_table(9626) := '405342053AD48342B1D4621844295E64169667C9772B00F599156E7BFF0716FBD05DCAC2C64D36DFD43C8DB300FCD38FC51B3993D0A9CD00A09E266424F42600BBF0B22DD313BDA3CD2EA890BB509C1389B8D036F0F6BCB5608DD64B91320054038E3EF8';
wwv_flow_imp.g_varchar2_table(9627) := '64E6AFBF82DD72CBA7114597106F9482D8F642153B14C5D68D00A2501FBF25548844E195DCD5590CC571E55866DD2A9FE2E22966605C5F7AF96B957525CB0D6C09D59C4DCDE0006036D71B1923B4427412453A43CDA01E3AEB1E2E7AB542EB9CD3E82A00';
wwv_flow_imp.g_varchar2_table(9628) := '48A33500DD74331C01041800C0010824247C46A0A456D243503824B7A6A0A128511F0F51A1D0133CCB0B1500AA74A24A2DB5544DE542E195E53711537147567C7791556BCB592E848E30E858A46FEB3615C36231FFCEFCDCD0D4703284186870F12E7004';
wwv_flow_imp.g_varchar2_table(9629) := '4321DD08473DAC57BF053264201B1AC739C6618E0206C373B9DB068808403C006C9038C85348071FD2366220A3841E12C630E8D690C600C00D2C74030074209C2400A04C201219442C01803D3428212C2BC6DBC2238CC18D49218C0040908C6520C2A103';
wwv_flow_imp.g_varchar2_table(9630) := '1ADFB0D23166058DC7B5EF655C7AD85C6C511C86D84C590B51200329B23F897CEB6753AB1A3900081A0C26241C9609231C3584100999031C120240320882C784BC410B1EFADDF00E00007E55C416A9C9C44222D0101A280F006A0885C8888113498A0A70';
wwv_flow_imp.g_varchar2_table(9631) := '00E0D12517D2041E944054F243DF438844A4847C4B89069A95172102074F20232BCC510857BE11CBFFEDA06C5785DB911DD490101632440E0A01832F83D0986970A5739F8BA3874A09806628467E14914745C4B190DD01A012C85CE03AEE384D362A4480';
wwv_flow_imp.g_varchar2_table(9632) := '663200010409C80D021200148848123CC090832DE404091142235927154B02E713D803801074D0490018C150B8220B0E155209365C44598373C81618728614CD2A214EBCCB7614D71E5A084C2161B8481B7CA9AC9A0D46110B6C862F5EC6106D90836554';
wwv_flow_imp.g_varchar2_table(9633) := '6B46829C4946007C4642EAD0264592E209775D138E6C94461E01E089512484145BC48CA41C62801046A49C0B495B4D21628784E0CD9DD03A685E12E24B86E8888BF6898814822085849C06003860CF42EA134BA832240C6D08C3020070D1B442FF640D09';
wwv_flow_imp.g_varchar2_table(9634) := 'C1DC5B09F308D6F9A27F236AC7422CF8105C14A77609F166527B065300FC021705F42B43F208D8C03AC40B6AC0A4C568A1061C58A4094D3881229F0A89330020390B29051848B110B2882521B58CEB7C1CE2D689A45296102D6D44CE2ADB30A03522D8A0';
wwv_flow_imp.g_varchar2_table(9635) := 'DF34B2C10D73E40700601CCA242E7189B95EB31583310706C3F690552CD6368CDD1AFD1AD2884600E00F0FF9831954F5DC85444F3AB4A005F86E0831314CE4138868CCF4F609AD5A78E714E8400C3542E64CB2C84759DC5089B2A072B83580610D70084C';
wwv_flow_imp.g_varchar2_table(9636) := '1912E29D86642E6558226B5ADB90D6DA5E1422D878F0B20050E0A1CCC1A3009884421481E143B5E214764A08B9F297BFD4012041FF3D04C01831A28C6CBC31225B389C409362DDEDC6AB8009F1843517B2534F78A29A0A798319ACA05D1A5FE72A3B210B';
wwv_flow_imp.g_varchar2_table(9637) := '3284A142D08047216310CA2742D189AA54052A8BE02500300000E1C46B41DEB046428C718A513264886F25EB76B8319714C9610D6D06C4621F828D0337F421B4452200D80A001224040C417808173033880A0FC262D222B32A8CBB90BA3A4412D85A482B';
wwv_flow_imp.g_varchar2_table(9638) := 'EC1AE686BC010005FCA98E15E28946CC38C00AB121917DC4D3850403160DA95D24FE80064F87AAC744866C43EC363785E8C00E3FE9C480FDE6C89A9E4221DEC01244E597CACC61C9AF6E95031F6411DE85CC6C21A76DC8100060010004C1024210C23BA5';
wwv_flow_imp.g_varchar2_table(9639) := 'FD843FC33259B1F0FF0861F230680B03A0D0D01AD0982FC50B32FB2CC59206801900300AEDE6B82171FE7142FA710F50871A447B63C8287AFC874E27040D052F031AC640644800A5139F2844F49E201C0E4420033E82C69219F270899D41E26104B3B1B8';
wwv_flow_imp.g_varchar2_table(9640) := '4345583204C205660628EA7D318638F1AA61B5D2561D02065D362648BFC132376491CAC1C02211159E43A10731087203E012867AB742D82D2D89F8628CA6C3F644708CEF8518BC0C9536843EF241D37E8328DAA082B74242F5865025C40D65B883157406';
wwv_flow_imp.g_varchar2_table(9641) := '22416266110A5788961552028BCB4BD70A694C45B18D01454E0F5AF45CC830B8A3383417116300781643320156D43E84BE8383831C182107ECC961F2473C62E5FFE5E08823BEF519101D8CBB44A19039002010E5DEDA8717A2431D2EDDD71351C526CEB0';
wwv_flow_imp.g_varchar2_table(9642) := '0277B20A225700001CF878874A03C0E030846119CA3063AE9BC9050FF143EEA9EE063498FD0E81CE4C0090BA9F0F28E403740740093680FDB903A034D0FA0426ED1005BC35E4FA00D887A8B8C230AF900319E833FCB2804DE084C01F005F8879FC9BB873';
wwv_flow_imp.g_varchar2_table(9643) := '92A7F9189CF7714234C23D014023E41854585322380228C8C237D00600C09860C0021B0402E9E501E9B1CEA3258D42E810D20140B8A49842E80F9751C4ED0D1F1CEC9E1B905D8019DC181802F1194A0B2C44159801EF1947F2299FC16946F40595421815';
wwv_flow_imp.g_varchar2_table(9644) := '61644008002100505F3B7140F7E19F8FD8C12264FFA04340010DB48E6B41033AD004393CCF68E9DFB1D4C89C61C3334C982945586A315B5845455200E04450172514E0B2105366FCD6022D4D80F0C298398425F49A6951C403708007C4600C0280120081';
wwv_flow_imp.g_varchar2_table(9645) := '42104112E4202224041CE0410DC2500BBD60CFBCC12B1D4A5011000F6A06066400117E40109E400668DF09944027E900E104D47EE801672D841E240419D001003081F260D6D6DC1657C4A24288CC6DC9D2357861425C83424C4332F0222F1E5ED8E40677';
wwv_flow_imp.g_varchar2_table(9646) := 'ECDF957CDE45A8A13551572854021BDE9757244236C4D760881BEBD0C18901C029E81000ACDBA524C429A4010058C22EAC0E435CCA87E5E10424840D00C0100C41F930040CF9810B020022E6FFA04204DF3C32A2A300E20D9AC90EF60B0FFA4B049CD360';
wwv_flow_imp.g_varchar2_table(9647) := '6440250280F96D80F9A10A93408B24208D43B053CFB8165D1899CA31C4BF65842EA2192C65212518C2905993AB495725A8A142E81CE229C43264C334E0873E26441D240408028D43D081360E0510F46142A41D43BC41190A5446BEA45062840F66C6423A';
wwv_flow_imp.g_varchar2_table(9648) := '44162584280E2546C05574C5DF37BCCD428001097441559200550280554E041810D4EDB1847C5C03FDD04C9DA5993078C74F26C445D61B75499D27FCC21AE65C1A4E0335C807FA31654274A3699D82A22D84359ACE42905F43C4A00A44C41770D74290C2';
wwv_flow_imp.g_varchar2_table(9649) := 'BDE1256342C4EF50C0510A8622B9937A3995421CCF4D400B2BD0C19B3881C108FF92C53DC13F588C2CCE8C17260200B041123504187401126165175065126501306141504AD85BD50C37EC5C2A5DE448424425F45837D00C372003E7E10E51B855BC6141';
wwv_flow_imp.g_varchar2_table(9650) := 'BC61A020B49E44F082D0881400680000689F43E8E443D8CD3200402F34267816158864C0DC75923B81E24E60E687104237EE82672D0444B20E22E402C334C46B28046A12144181411880412204C97E02C07F4A151B4C955702403614185CC1D2CE0D4E5A';
wwv_flow_imp.g_varchar2_table(9651) := '3A448EF1547002A06EE51C7D50834BDAC4320E2000FC5FCFA48124F44F33C4241326042AA8222A18975D1D010630800648000780C060B4587882460B80400CE6C06DBE64DC254427E180275AE64E0003FBEC475F0240EA3DFF448B860E22498416EC5742';
wwv_flow_imp.g_varchar2_table(9652) := '60417F2904B76141102454435C0196E2A64330034EA492B2FC264350978056447475C337F0D650B89A35719E54AC011EAC813D8E48ED01001438019E588231BCDB9122A9D168CC42B00A0428440A28C410000108EC2100E0E846B8618DDA848C2E6A7354';
wwv_flow_imp.g_varchar2_table(9653) := 'C245F68C014CA260EC13589C80901AD94264DC60E86543BC2700180D06C41D0BF4CC52268473FDDB04ACE3B4495B6126840AC42AADFE800AA8801F45D535E822A690444A726443502A447448CAC49738C457398CE65000022048DEBFF9D72E190A0F5096';
wwv_flow_imp.g_varchar2_table(9654) := '1D30C12A2A45E930441D3A049E5CD22104D80B24040578803A2904204E800754800948EAA3F60C1000C10D2CFFC41E8CC1B7BEE0F5655642686209A42AADD842DB802A619CE2D17416670A427C6619322183033E035C12200070A8428C42563444C5FE02';
wwv_flow_imp.g_varchar2_table(9655) := 'A73CC42F182B182E4B2C000299024024E46342B0014FB1C14E25822724428E21D677266BEE64835E7D049CC65B9C421E73B0D06A194A0828444C76D83602C03B98D44D36C42190974240CA43B42B0078403ADA0020BEEBD620ED52C5E49C1299C5E96B06';
wwv_flow_imp.g_varchar2_table(9656) := '08C11390E74266DCAA1205219C80134044C2CE80445ED32FD42760BC02C5CE1B6A02402A5482CA0240CA39848EE06242C8C28B5C0C5C018321A4DA43E49835552A43D0A5342AC43FE8470DF19B456C81C1C1A921EE6CEF198A0678DF458C92A2E1C012F4';
wwv_flow_imp.g_varchar2_table(9657) := 'FF9D1418210070403A2A441124C4A04A2DEBA0417729C41EE881A7F55B8F32849639959002837A02030E55D55090C10CCC0000F82E45CC4006D080BFC251A9E885421C66427CC1D5562E44E00231642C43C8822BDC822C94C8680943246C8221FC411F0C';
wwv_flow_imp.g_varchar2_table(9658) := '9FC8BA1A290CD442D46D434C432F7C437C99833D30EE463CDFF301C01AA8419C6299A1805B396A60890D8C4234481F9462439C6BE8028076A26EFD94C1267C4207F69B415A9CC5C5AE4208472ED86E43E02EEE420C253244C2260404F71D03E9C52D3CAC';
wwv_flow_imp.g_varchar2_table(9659) := 'FD292F00488115C4EF15282F4F9270602C26610146422C421129C41F8C5277ADAE425C01DD8E82CA061C4F5543F22E4BFA5283392CEE3F38FFAE4570415641C41628AF054CC0E94240024831150F921413C60E40C8067A631DB0DBC4880113505644986B';
wwv_flow_imp.g_varchar2_table(9660) := '0BE824044040D4D6A0018BCA15284142885283F82FEC52846502C37460DA7040F00B0AC32DB0ED426CE9F22E84157CC1ED9599C67E1700C42454A9C20DEE6A19F0A4438C247525822A2CC4B350C33778CE110F45A0DDDF61725B4314AA155BF1144FB1E9';
wwv_flow_imp.g_varchar2_table(9661) := '1ECA276C4211EC80184B0407146A0C8280042444119841F7BEEE1A1FCAF3417273D07024481D63196443602B44507042A827889081D13044D9861A08DF600A3F44CCC5AF42E031822A0425F8814940947C88CC1BDC3004024003F09900E988EEB2C52B74';
wwv_flow_imp.g_varchar2_table(9662) := '4336A8B33A2C6E4220F147F0FFD217ECACD7314429EF07E882E31E28ADA601433F598428870E96E2C13C27C456FD800508F050F2240D018111EC00001081731C6E521D2443C424431889746030DB20F387BC8932472403E8EB73AD231714F2429C340058';
wwv_flow_imp.g_varchar2_table(9663) := 'C156A5DDED71018C0903F2BA063129285ECC702A8C422CD84231DC020E2744314C911422432D34C4DBA86F26EF0C3C5B04092FC417D4EF3C9330102474432480D252C02C67463FAD00112E04100340405B84079C6E4394AE8FB8D51648EE43B82378968F';
wwv_flow_imp.g_varchar2_table(9664) := '68F0D342C0C1835A84A3D68F477BB4873C614334F342E871188962A09D343503804A03C0ED21A19C399484115B84DD852E4A833228D762F98043FC5ADDF4DE10C4023950FF97344D433AD4D070CCB3FD1A2A009875A1125242D050469C2E211995116600';
wwv_flow_imp.g_varchar2_table(9665) := '59274437FCC21B74C0BC6684044040562BC40F18CA61DAAF871A700CC0B542B8E02884C3523F445DDBB54EB08D4800833567C60CF875DA6ED7300056DA29C115F0B215AC3017A0C1AE36C22DAC82286EA1E765E19C39142E169037144351FB400E284461';
wwv_flow_imp.g_varchar2_table(9666) := '62123A7083D0C8812EBD151C5057C582F650D8A31AC069538F48A1420A0280535142444A7E04762EC43B8E889CC6A942405E1A06F7701012F178C0060C6AE93EE2EE98F587DC8009A0A742482F452CB7A338C13243446A40F74E443766543700C838D76D';
wwv_flow_imp.g_varchar2_table(9667) := '9512E05F1144AD42B8B142B8822CA4461F634A95CCD9572BFF4429F442614504671D69F2ADD6310C8107F47667D803B3DAC417E8D217286FFDC2299C22DBE401021EC0C1D586351CB8E06D53C46E2780F42D446C038021EC0E62D904D37A8009CCEA88A0';
wwv_flow_imp.g_varchar2_table(9668) := '019CE241E476A8E182C6EF10006A2F040DCD183888032E1C819994CF0E2041A35E13DD9804DB8C088D43C4082293082FC415181CFEA134EE29845BFD025C228349D084DE7EA143D44A3D4B447E4B654264A84D04D861DAE3531FE66A493828C881220200';
wwv_flow_imp.g_varchar2_table(9669) := '2E074524B8816A4B848E27C4EF18D504882E411A1141E494428C2B46442A5683EEA11CA6143C9F00265F122801A27F480004C0EF1C78B02784A7FA088F33E54EF78C244AA23EB6C62D2CD6788BC42B20FFF32D50CA30E8C5DAE204695D0C11D186E1D5A5';
wwv_flow_imp.g_varchar2_table(9670) := '4358809D3F04AB571AB01206FE4981271BFCFDC52F1A4CD58E1F01B60F819403C01B404219FEF3A1F033444000059C31A404FA9AEF071F34861948384420223DBE811BA8F147C46BBC16811224C1100CF2D5BA02251C4526346F2E5F0415003043007134';
wwv_flow_imp.g_varchar2_table(9671) := '440310C348FDC94BFC065819086C1CE5143328BB6B1CAE6E29044721687D447D368443D52B0435804336B06DD8764742C0068C13C50D1E22D9D3A35BE5DEFCFE9F19A43CEFBD011ABC81CA6FC4200B06584C044B470417F4E37EB83300C4837E54B9A3EC';
wwv_flow_imp.g_varchar2_table(9672) := 'CC6FB9AF8FFC03B302FE502A503F18BEE1E7BC6650F9471C7E42DCE5431CFE3EA0DF5D5EFF3E4350BE42584F3D74FE3E107EBE7908E1FBBD7EC403E213198A8B0AE4437E6F1DCAE2DAC33CB46F95DB43E8A7BEE3E77E4D51B9E88F48E3D750EAEF4372DF';
wwv_flow_imp.g_varchar2_table(9673) := '83A394C9DF4744EFEB3ED795C968F2BEE23204EE2BBFF44F3F66F083119BC9EA53B9F5EB4C7253BFF77F3FF86346F4873FF997BFF99FBF87743FFAAF3FFBB7BFFB4784FABFBFFCCF3FFDD7BFFDDF3FFEE7BFFEEF3FFFF73F400010389060418307112654';
wwv_flow_imp.g_varchar2_table(9674) := 'B8906143870F214694389162458B173166D4B89163478F1F417A0C16926449932751A654B992654B972F61A24C4370584C9B3771E6D4B993674F9F3DF911C42510128066AD8C6902F00CC0AF643FA146953A956A55AB5731E20A06AAFF90C0A49DB0350D';
wwv_flow_imp.g_varchar2_table(9675) := '766B1B56B367D1A655BB96ADC35FB27E095435D0163200C446B6D56BF6DE5EBF7F01AFEC760B80ACA1C000F812E8EC2E005CCC0247F6E92E9D39C99731677E585696C0B8840D068BDBAD9F66D32AFFB13BBD9A756B834F7F8D2DEB9A36C77FB571E7463B';
wwv_flow_imp.g_varchar2_table(9676) := '54E09F818804BE8AADBBEA3EA8E5882757DE93F7152F55C49C39087A39CFA03B4B13AC6CB97A77EF295F3967F82BDC779DFCDA5DDFA9DE7C7BF725C7940130060017005522417E1F93E97EFFFF23B3EF0E84E000A01B005D72251D04196CB0AA70087B43';
wwv_flow_imp.g_varchar2_table(9677) := 'A0241092F09603F9E1671E0743B205007100F0443F0E492C51A74814720500600E34D1C51761F42B196298B16B2983FAFF0360C11879ECD1C7A86E1B4835770E8247207982FC51C92599742949879EE4B09E26A9ACD2CA98FACAEECA2DB9EC522378B2F4';
wwv_flow_imp.g_varchar2_table(9678) := '52CC31C964084C00B42CB34AF6D4F4924883A64CB34D2AA79C934B7ADEB4934C78E4D1F34A23FD24B3CF40092DB4C77C0C4D54D145196DD4D147218D54D24929ADD4D24B31CD54D34D39EDD4D34F410D55D45149CD262C81A6B9068069486DD5558B524D';
wwv_flow_imp.g_varchar2_table(9679) := '351B5507A2F5D55B715588D5550BBA269B55AF99C6AE59012036D7635B55D5575A4F0D36D86C882168D9597F5DB65864B1B5B41A00B645D5205F0762E65700C055D55481C62D289A6CD97534D85EAFA9269B6AAEB1D5206305DAB6DB6EB1C9B1DD7F0B75';
wwv_flow_imp.g_varchar2_table(9680) := '165F7AA7FFF9759A67463C88D57A9D05D8E145558D955C896D15B7D67427DE36DE87394E34E2771BDE15006694FD755B64A2ED586546690539D586799D98A07557AE99D154790DB69A672296D9E69F218EF55D7299C11963A0912634647B5DE636E9A7FD';
wwv_flow_imp.g_varchar2_table(9681) := '04B920897186DA6A357116F9207BAFEE9A4B9D65B6576BAFC9BE92E65A59ADFA6369BB2DDBED26B926F7EDD66A14A82600EC62E699946D1C061A00EC6060060C66981BA38DB91DDBF0C0D6BD66DD75FD1D081A62884106196104422C951016CF486272DB';
wwv_flow_imp.g_varchar2_table(9682) := 'EE5CB267EEC61B216050B75BF4D511CCD143004A5F2876D669EF71F6DA71EF2EE188FACEDDF7069119E6F6DF89077018CC8B4F5EF9E5996FDEF9E7A1FF8F5EFAE9A9AFDEFAEBB1CF5EFBEDB97F35150F63B925FCEEC9376B18156D19257D606209BDFCF7';
wwv_flow_imp.g_varchar2_table(9683) := '7BBA6D98516279E575F8F187AAB448CA90F00D09E5933F01F2843E002002105C6004174CC10586F0C40021889322242107144C8211B4700B106C300702E9400E5C00C2088EB0243930028500D0C1248CC20A03F101160492830E9290861DB1C1402A3810';
wwv_flow_imp.g_varchar2_table(9684) := '1724A40304F1410D815811FB0C240913AC201000508982CCB0203B0CE2131FF2851B0E640800A0101207520100FC50873884E2171BD2828100E18045A822111492830EF86086A4188732C018478610018D493C481700D0053CF67087B391E31F15720381';
wwv_flow_imp.g_varchar2_table(9685) := '3C8020209461080199C88B5C2185324CFFA1222159901D1044020581610773C0C54846D2062A00801809E2442602C0899B8CE4241DA2495342D2053BA8220036B04A591A64922E00A541E200C347EE72966004820AB028904A02400B00C082168AD9CB44';
wwv_flow_imp.g_varchar2_table(9686) := '06130036B8422C00B00213004007200000082400022D6A51202028A53269580400146187E2044025AD19CD834C1285E07C623B01800200C0A0201464A04094008016B6D09D037CA5158740415402E00DBE2188847A339037C441206610C81818D94FF2A1';
wwv_flow_imp.g_varchar2_table(9687) := '31A055A490090D228D6E48038EB7180A7500B00A818054A2DB43034209628637A0C1A104298F1F09B20E82A8031C07826949AF97091429E40F8668082E9E020E830C8A1E3215C839FFC6C11D9C662F129130682304B2852BA892208C44E8033D2A107080';
wwv_flow_imp.g_varchar2_table(9688) := '431DE758AAF4FE001C811862A7632DAB0B01300582D4329D00E861427AFAC055C4E5ABCA1BD018D05006341824990471AA315B2A101FB4D007538D2102AB30020078000013D0665D9D17D6B00AA40F7F40E942CE0A00333014007B054044096205258856';
wwv_flow_imp.g_varchar2_table(9689) := '09393027648B67889EFA46B53EF5E940DA5ACCC00E24AB22254825324B90BDF615B5BFEB2900C48A9015A0C09A1E68AB40ACB00584484321A0A8442500D15BE2B5F60F062DC81B1E484A172C509FD474C1710B02885108C4B6D285DE1DDE708701355420';
wwv_flow_imp.g_varchar2_table(9690) := '9E05400234404D6BA2A092B11C664194AB598464D7BCC42369E60CF2ED5A00F874A7B91DC82B0C720B9112A6BC0381637F89578F7AE84320FAA0F05001400F0D27E4C20229CD3FA2E461082BAF4EF400409D06220F7AF469500731F188CBC70F7DB0C7C2';
wwv_flow_imp.g_varchar2_table(9691) := '3016603FE464631DEF98C73109718F811C64210F99C84536F291919C64258FF0C54B4E725F9C1C65294F99CA55B6F295FF851CD5290439E6881C9657D727EE20871EE6404E9FD2C10ECBA8030046520D00940AE6CEF1491EF0E0939DE551673ADF39CF7C';
wwv_flow_imp.g_varchar2_table(9692) := 'E6738BD9B23B390F9AD0841A5EA19BF78C37239AD18D6E098E211D69494F5AD28EB6F4A5319D694D6F9AD39DF6F4A7411D6A518F9AD4A536F5A9D3820F7CA82920000021F904050A0000002C0B000D00290258010008FF0001081C48B0A0C18308132A5C';
wwv_flow_imp.g_varchar2_table(9693) := 'C8B0A1C38710234A64D8AFDFC48B18336ADCC8B1A3C78F20438A1C49B2A4C9932853AA5CC9B2A5CB973063CA9C49B3A6CD9B383D8A53E88E5FCE9F40830A1DDA10D94075FA2C2274455029C17D44A326CC97AFA0975500FAD11A2690982BA709A10904E5';
wwv_flow_imp.g_varchar2_table(9694) := 'B0D23483C394A693CAB6ADDBB70C5F79E22391DEC06C7E0456854BD35123430AF3415D8ACC903E86B63C35DC3B108EC023B70CD2E54BB9B2E59B70B601000C20562AB002E52984E3473300C6975D668ABC939D417C04CF42CB06E08E62B202FDBCC105C0';
wwv_flow_imp.g_varchar2_table(9695) := '0FA381C00422CB04E997C07FFF04423A080F403C827732AD7BBE1C80EBD4D8B36BFF58D1A2F77E76931FFF3E2CD0DD41A73E7D6E57993C2B6A82B00B2AAD68705E56D000F0D9031DDF5EC278F874E71F00A2ED83DF7A0826A8A041FAE4D38F4FF99007C0';
wwv_flow_imp.g_varchar2_table(9696) := '3EFAE8538F40E53CE5133EFF40554F8016ED854F7C0B6634E040F6A447D089F29D96CF8717EE65CF3D09DD03957D230E544F3FE31D644F8E02D5B30F54F77C48633DFEF1A35E894C36C997924959D8E040FCE0A3A440F37438E4904A76C94F454B3A99D1';
wwv_flow_imp.g_varchar2_table(9697) := '3D34EA15E64040C2472200619E99D0902C0A74E0416B56B5A69878E639D4871556A40F3FF9E053A697F7CCB3E5A16C7AD9254277B249A59B08F113E74454D57465A42ECDA9E7A69CBAC54F91F5D4934F9723D6434F3DF75065E5A1AC724925980791FF29';
wwv_flow_imp.g_varchar2_table(9698) := '106C950E4495AAFA01E09F3DBCEAF7233EB7069B0F99C13635D07C0A4A38D17CDD7987D0909D462B6D4AF034D71C00CDE5D32172DC76EBEDB650853BE4B71DDA28CF3FFD24676352832567D13F9276180F3DF7C403CF7EE97ACB0FBAE9F61BAA922922B7';
wwv_flow_imp.g_varchar2_table(9699) := '8F790486068F68D3326750B502599BF0C3109BC4F0C4F4A48346196F649C311A1C7FF145191EABC145198878124A28A0A01C4A2494B04C09259ED0921825A9D0429C2188000009242E67E20928AEB8628B2DC30C738B30B7D05209257EC081861B1FC3E1';
wwv_flow_imp.g_varchar2_table(9700) := '492AA0A462F5D59E30C2482A41BB22CE3E083727DAD837C973F040D7BE9476C366B72DF6C167472CF7DC1255748F53E12460C20F4414FFE1B70A29A430010783134E81095E148248218C17C2871A90ABE1861A8550124A216E40124A1F5E88E10500628C';
wwv_flow_imp.g_varchar2_table(9701) := '3106E478E0C107228C38F272EA7EE0A1C60F42BC20420A2C70C0C111783082FAEE5AFBC1C518A8EB1ECD8402DDDD22DDC827AF7C47FCD4234F55FB86B3C10D4A54218512D7FFF043E0DC072E04E58E14E248F885E0E1C6F9A53B124A2C8E2CD2492CA043';
wwv_flow_imp.g_varchar2_table(9702) := '3E10FAA5D76F3EE44F3C21C4FE4234114514FA134214F8303E47A46E7CA9839C0129C1086CFCC346F690073D2015933201A53DC78B48AD96C74127A1871FF46807F4FE110E0E982009D6BBDE11B417381604AE0481530301C727BE45B8C10E6AC0831DF0';
wwv_flow_imp.g_varchar2_table(9703) := 'F08958E4E2137C389923FFD42006350864879223A2E700D804FE09F07F513842149B588228E0A180082CA002B5C68867FC831E439220B414B20F0C92A42AF7084FBA249520E751B083704410A0E4A10E3492D0031CF84112B0A78415EE6F02304C81074A';
wwv_flow_imp.g_varchar2_table(9704) := '20042E884F7CE35B84EB7658BA4FE42217A1505F2E8658C4C8C92F0A4DDC1F21FB07C02778217F98D46415AF88C5F151628894D31A22BC78AE7B1C6C8C32A90A3D9AD39E7CD0E33B0FD11446B8E5117988F052710CA61CF3018F3ABE888430D8DB11FA78';
wwv_flow_imp.g_varchar2_table(9705) := '8466EEAF7B2920A40C139948D7A941918B70A43042F189504C92889043A2188400801298937F00FCE4279F1085FE09819019B0E20C4B894A04AEF21F8672A53C6019FF93AAD4031EC8D1CB0493B3AF8036843E1ED1A5447C790F600AF3A1D80154314755';
wwv_flow_imp.g_varchar2_table(9706) := '8F7F882309CBACC21394F083661EE199CF4C8110A4404F47E0D07EA138063422F90981801300D62C670636D9BF26B0337FEC6C27FFCC194F52665175A82C842A5939A4579651216624894FFE09805A0E941FCA3A28489AC5117AB8E33D10CD6A65245A47';
wwv_flow_imp.g_varchar2_table(9707) := '0054B41C5C900217C22A05211C217F1F75E204BEE7D36AE250913C14C636F1B088F6450E003954C31368DA84BE42F1AFEE14020DDE39CA521E10957E30E03DCBF84F795889263E7125413EE5930A51A920807294A3BAB4C18C28B42101FDA23B2CA8D5D2';
wwv_flow_imp.g_varchar2_table(9708) := 'C24549F77047572B6A8E2F8C010E6F1883149A298527FFD4F6096925A418E659574758B37EEAFB84EBD4874A359CD40E01DC5F26CD2A4027EE6FB0E62CEC4F812A327B7A311EFF686CA360F22978503039493D0E788FD3D46ED5A45B56B58B69D7EBA94F';
wwv_flow_imp.g_varchar2_table(9709) := 'A9765FAC1D99D6D0805BDBDA37B91C1082177A5BC0452C229C91739D1543F18D50FC9691512801009CD8C4E53A7793E6B462010F6B40C8F161A80FFCE22BF70559626A7620FAF80730FA70180E97B71CDDF8873AFE018F74A858B5E508079BC27B1F8492';
wwv_flow_imp.g_varchar2_table(9710) := 'C48CFF542F7B774C14D4AA565B5FB5021A188886D9DED79942B0C0FEA4C0DF6A464E0C51C861FB1CF18D6F1CC375788029FE04EBDC2E3F98B0122EE52987C805EB7E51C3CF7B234B24FA61008438FF164C600230A6949C8AC221009180031D77208E4818';
wwv_flow_imp.g_varchar2_table(9711) := 'C2103B20C29FCE4355931894983AE6B1A281E2DE3A66F71FE690C2170CC1882FD4F6B66955B24EBD40C04FF4D70E5016C313C480875C1C039255FEC610B38CC4042F9890340DEC733509669F5238A88A85C603F7314B7934D4521E3ED33F3CA18A4D7462';
wwv_flow_imp.g_varchar2_table(9712) := '9F65BCC7B918E10743C0411FD74842627E708D3764E31F58ADB18D2FA228618DAA20F76847A2174D6E9B74D7D1F7F84739949084919135ACCE54F259F727654F57330A62C8B71A085CE55CA47A8848749D18140C61423A78B05C86B574B338E6EA8E0F11';
wwv_flow_imp.g_varchar2_table(9713) := 'BA0663AF7FDDE1B509E430B450452D6AA18E43A5FB0D08B0051CFE918A3764C21008FFF8470C92806D4277E7581381473BD8417375A4C3E6EA50C7F308520F765CA8DC40B7546ABB9AEE7248C16F5290F417C28A5B2100F208B31DE9F83CEDE94580BA92';
wwv_flow_imp.g_varchar2_table(9714) := '8BF0773ABE218C6F9443D539DC210EF7EA65597399D625E8E974B5384DDDE93A8C07A3F84CD81C267DEC0318ADD844315AF58F6697810BE9F04200B8900922B8E20DD78097CB11FAD958A9C31CE988FCE3CBC10EC8EB9C20F7F079D0371F131FAB23B2FF';
wwv_flow_imp.g_varchar2_table(9715) := 'B0181796C905C8593AEA104801D4712B43AA17100F4524A5BFBFCE6FB0970EC1027122C2CD9EF05A4F18A80904DFF8A0B1A5D4FA5ACD2BA17B41F6818D5AF8821BAC3A971F02E08A2424E10DE960041C52E1072224A1396E6A56FFE311C2627394231BE9';
wwv_flow_imp.g_varchar2_table(9716) := '10473ACC5F8D7020A31C6BCBFCB8394F7F9480A9982A32071ECA0075499BCFD24760012530015190746C656FF6B60845E4089E567BA1000D5C3744FFA543B0B76065376B3BF54E4290014F7045A9F38106446604C46CD0B725EE200FF3F07233810F69D3';
wwv_flow_imp.g_varchar2_table(9717) := '1D15920EBE500BE9806C63540FE6612A3FE713B3E41373625ECB020033070A99800C55600B42F305A9C008E2701DB3226EF5F78429A124C4E4684D950EAD03756A8006A5737AFC635B49576F9F108676754DE3E30A55B64DC76065AB0653A563445D8670';
wwv_flow_imp.g_varchar2_table(9718) := 'BB77769B940142603A200882A483088EB05845050F3F571392056E76510CBE003650412EBC545E89B878DBF61055FFC10EEA60083153059EE00AB4F00599F00791C773EC304150F88925C1551C167A5A53066E00077020077C2007AE937492063952A006';
wwv_flow_imp.g_varchar2_table(9719) := '40754A550739BDF580DFF043FE960B78A543FFF55F811587D0A581B4A64912A63521D8705E80078880087CF0767DF887341188E4F540B1904DB9702E21B68891E250F2A1828DB8103E0189D930065C40047E608486600E65400CECC0183DE789A0388F20';
wwv_flow_imp.g_varchar2_table(9720) := 'C155DAD254EAD03B5CC445AC683F6D583A2C4509B5288BE3838B3F440BDF400BBD080070A5064D0000ED146B68578CF0843B597440BA434457E48CC8A02503E38737418D33A60E88500563200655E0082B6662E0D51EA1A588C8117E54A5820D318EE9E0';
wwv_flow_imp.g_varchar2_table(9721) := '0A7EFFE007A080319150069E0007D1D00E2A128FD9468F462911523851E0650E5CE41B5AA38ABED58FF5F305A4C4520C684DBDF509107890D0900BBFC886FF1505107981B0568C1A484A14A6876EC005764809D75646FB502D72371322D9547090046550';
wwv_flow_imp.g_varchar2_table(9722) := '06A2930439C34B64A25EEA5215A1A75AF4C00E8D526848892DE9D70DE66073E1707EE1100E97A7239D887C4779990A919454187A6F80079DA985FF98575FA006A3A940AAE37AFF650705A495B9F809B4D095BD0857020600482691C4E8449BE48163B687';
wwv_flow_imp.g_varchar2_table(9723) := 'CDE8065EE00799200CD3E062E9C60FED000F732913D4680FFF900D55E005A2233A5CE005D7961EB6A00ED7100EE2200ED9900DD8600EE2400CD7FF700BE1000AE6806DEA217E18716E38A70EEEC00EEEE00EC7094CF1689998799F98658F4B395662E58A';
wwv_flow_imp.g_varchar2_table(9724) := '96767A38855324F5329F2090E3638B0D988607796A0BD99047409B4F003BB7798167F97BBAE3087EE00688E00ACC700DD7600EA7012FEC707C36418DE9360C4A203AA6A89752D091A3720FB7200ED7900DE1900DB4D00DDBD991E1000CEA100DE5F040E9';
wwv_flow_imp.g_varchar2_table(9725) := '499313C159A6324B70230FBE5610F5899F4CEA105C7554909674F9E38A92168BB5E54C1F95432FC380B5A89A050981DFE00ABB8857B2F9380FEA5142104D0AD76599444823983ACDE80788E00794400CC8800CD1100DE71962C6E958F69912D4A82DB4F0';
wwv_flow_imp.g_varchar2_table(9726) := '9C5E50066A30065E5084FF001BF4FF700DCFE07EB4300DD860A7C3500DD9900ADD500EA0400F8AA76DE12811060528A302294BDAA4A6DA8D53B81790B6056B20076B3004438085F88353CE4490066A6F0A44755EB77510780CB1593F6A70A67E144D1A78';
wwv_flow_imp.g_varchar2_table(9727) := '4E65D70457840770C00886009CAF900AB6C00CCC60A91F8A41EC000F51A59C69A32DD70007E6283A56300691100E2DC70F1E5AA3359A0DB6D00DDEC90CC8400BEAA09D2D2727428A12A57AAAF83A5953A81EFF100F81400AB3200A89800543309AA339A5';
wwv_flow_imp.g_varchar2_table(9728) := 'F92304B6654AC4E569A6C98055B6750A8A57D7643F49760480F342844558D1D5B174880745E605A4F1079E700BD9300DD360A927EB624D651DF2F0A7806A71EE009EE5B09DE5FF407989721A036123650450C8A173E5702115D5149F6A12F79AAFF8AA99';
wwv_flow_imp.g_varchar2_table(9729) := 'E9F10FE3400AB08009010B0B03BB051EE38AB605405A0A5491544FF6760CE5F00EA7064991239BC16A010030018533486ACA5333155DEF7404C11A385F10093F930CEA900DDD90B7ECAA0E0431A23821922084882E322AF09283E2A52D0535106654B425';
wwv_flow_imp.g_varchar2_table(9730) := '71B4487BAAA23863E68009D4100881200AA280099890086C0007B7C54E024452A73975129895DD646089A40651B0086CE83A0B0648B6C30130444822854E6735A56A20051E00013FE009AFF0BBDB790B382A0EDD500D204A1E230AB32801B82F322CA992';
wwv_flow_imp.g_varchar2_table(9731) := '2AA34A155238AA8AA21E9965138EFBB84CAAB48EB20EB0A00BB0FF60B998CB0999CBB98D0006AEFA8A605040BB395C58A4BAF8166562794DBF787B6AE0440074BB5F188B01563ACD8406AF200ED2C00CA3900DE3700BCA900DE6600ED2600E9605840853';
wwv_flow_imp.g_varchar2_table(9732) := 'A26B53BD8B52C1144C14D9ABBDF7C9BD3A080BBD300BB390076C200AA690B99880B9A6F0088FD0066D9008A5E0C2AE900827F338FEF57AAA7B53901365C6F509A8600DC7600DC5800AA0664939E48FA5E3077C0007B9B30ADD300EE2B00DE0900CD2B00E';
wwv_flow_imp.g_varchar2_table(9733) := '268B0BCC10AFE3F0C07E1B92042310147C290EA52806B1283591C11A8C9991DBC1B000C2B38009793009209CB9E35B0AB0000BA2E0C11EDC0BBD6060AEC35F7820BF581B39AB6B0D3E4C0EE4A00D417C0874FF653A04344F89C508B9C308AE90B7E0000E';
wwv_flow_imp.g_varchar2_table(9734) := '4E0CC5E170C0ECEA09CAB0C00FDC0E110C88137CC143EA8D3161C6676C941CCC0FDEBBC66B3C0BA63008971BB0984BC2E40B0BA6E0CABA400DA0B008A8D03EFEF55F50F63F63AB0667800A00700CEFF00EE4E00DCEAC0A354C43BF87077E100AAF900DC4';
wwv_flow_imp.g_varchar2_table(9735) := '0B0EEC300EEBB00EDBB00DDC7C0BE03C0A91500DEBA0C52F1B92A34CCA1141C6344194A96CAAA27825F450C7B0CCC6BAC0098170C2A670CFFE3C0BBA00D0D4300ABCB00B3C8C0A08BD088460759AE0CB0A7D068450C8E4F00EDED0CCCD5C0CADB00887E4';
wwv_flow_imp.g_varchar2_table(9736) := '08045439B1800CDBB97EE6B00EE7D0CDF4300ED9500EEB800BD9B00ED5E00991D00D12B2C512FFEC24F5206ECA1BCF9BA79981322AF150C7FDCCC6A610D09A1BB541FDCA20AC0BD240D0BCE00B9F60D0088D0ABB10D5081D0584700CE40000144D0ED6E0';
wwv_flow_imp.g_varchar2_table(9737) := '0DCDE00DEF800EDAA00AA8C0387C60D68E500EE9500E8F370EDBDCCD701D0EE0B00EC4200DE3100ECA1009C4D0B7162713CDD3D76DE40EF2A8D31BBCAF56C20FF300D0BA10D0410DC2253C0BB80CD9FD8CD44A3D0ABE70D9CD70D9C6E00BBBD0D99D6D0D';
wwv_flow_imp.g_varchar2_table(9738) := 'A84007D6B0CC14DDC3BED00CBBA00DCB8C0EC500CDFE45578B7006A1B00FE900D7B64D0FDD0C9EEB100C0AFC982CDDB7A13C774CD524373DD8847D99A29823E7C0068930089730D4010DCBA6D0D8B08CD46B5CD9CE90DDB5E00C97ED0B05FFCDD94FAD09';
wwv_flow_imp.g_varchar2_table(9739) := '118D0ECC6C0D9E7D0AA94DDE615D0C9BD0DE9B800AD07C08E9E00ED562DB263D0FEB60C9CC200DE0200DECEA0E331DDC7E3DDC4C6283C67DDC33F10C00A0E0CC2010CCA0E00BC25523B22FEAC0066CD0055D90056CA008D18DCF6CECE100BD0DAB90DDCE';
wwv_flow_imp.g_varchar2_table(9740) := '500CCD500B99DDDDBBE00BA8400864B00B866C0DC6600CE76D0CDEA0DEE4E00CADC00BBCA00A3D9E06C7F091B7BD0EF3100FF9AD0EC9C0AEDD990DEC30682E9BD3A148E02562E0508EE02571A703D1E004A1E5DB618FA9F20FEC90088190077990055990';
wwv_flow_imp.g_varchar2_table(9741) := 'E1833009D4FDE11EBE0DA3A00D255E0CDA9DD94DDD0CA8AD074E40079A800A345ED09D8D0ABCA00D13BDCCDEB0E33CCEE396FFD007F2109FF68DDB465EC9D5B00DD2D09DD590C5F191BCE626E50B324B076EE532810CC380E54D22E154F10FEB8009A530';
wwv_flow_imp.g_varchar2_table(9742) := '0997C0099330086160E11B4EC2FFACD88B2DE2DA70EBC580C8C5E07C98CDDDA7700884A009336E0C3CEED9BB600CDAA0DEE8C0E3C4CEEC87800EFA000F430ED7E0100EDB50BCD2200DC9E0C0972E1A34E6127FED249C5EE59E0E12776A145C21EA25628F';
wwv_flow_imp.g_varchar2_table(9743) := 'C3C262276CCBD36D0AAB3E0898300993C009F84EBED3CDC622EE0C88FCEF26CE0B28DE0C256EE7CD600C0040EC33BE0BAD600C07DF0CE4A0DEDAC00B33EEDDDA7008C5E03CF6DDCD250D0E2C0D0EC4A00CDDD0C0BA2210340D599AAE20545EEE3861144C';
wwv_flow_imp.g_varchar2_table(9744) := 'C2D38062EA27FFCC09CFFD08D3FDDCF68E098340EF9350EFF78EEF97A00CA390DDB95EF43C7EDABEE0EFB70E00CE00000FDFF4CE70F0335ED1E4ED0D707EF0BCD00CC54673D2CEF1E7300E606F0EB8700BE090B7E1900C3BC121D601D8DC6555E4EE1639';
wwv_flow_imp.g_varchar2_table(9745) := 'F6F62CBF11C4B0D79B02283F3663EDB0CF347F09CFFDF7F63E098A80098AA008815FEF84BF0A9EB0DDC5500CCE5C0B3CEE7C04AFF44B9FF0BEA00DCE1CF507EF0C547FC8DA30E314EF0C9BF00EF200D75F1FF660DF0DB770D7C4E00966B0D71C76ADDF0E';
wwv_flow_imp.g_varchar2_table(9746) := 'EE6E5F1058F56D6D322C5E9C1E0D85FB940573E3E711713FF7F3D868F1F10FE7A0B97EBFFCF2CEEA699EE6F66EF8821FFDA3500902CF0B4AEF0C3E7EE806FFDF0C981FF53CDE0C0070C8D9AD0D047FE39E2FF581BE09D0200FE9B0CD615FC9DD50F6C480';
wwv_flow_imp.g_varchar2_table(9747) := '0B9ED0087FF007D5A059B23FFB000140E04082050D1E4458901FBD76F904F2FB0720E23D7EFC0040B4F8AFA24388FFFEC9F32851A347921105F6439950E54A96F5E0D1B3C852E64C9A356DDEC49953E74E9E3D7DFEC4C9EF9E3B751CFF9D0B8469D2A5A5';
wwv_flow_imp.g_varchar2_table(9748) := '4B2F99523488D324AA541555A53AAA91AA565C5539E3D5B5152FB2BE8CF172E64D5B33B2BC9AA935D64CDB5A6DE4C879F3666C97B1B8AD6AB153674E30B86DD20C4B23E6A991A755AF527523C80E5E48A03B17360490EF5E3A7CECAE898478CDDCBF7CF4';
wwv_flow_imp.g_varchar2_table(9749) := '4AA663F68F5E397500C43163274E5DB96EEDFF52F34399BBB24C7A2F63EE061E5CF870E2C58D1F372894A8D17649B15E827E29CF20A693AE5EB73AC9539C4DDD2D6DE2BAA9D55855BB5491053057A0AF5D68BD8D37A6CD5BB366E4D091D3E6ACD9D95696';
wwv_flow_imp.g_varchar2_table(9750) := 'CAA5A3AD1B69944926196270598518C398C16514C82402A09DC99093E9328BF2F9C7950CC511279C70E081C7906BC249659874CC49E79F678601209A4C9EF9C793546E492513625C21261275FEC94D370A5D828942218724B248238F5C49B9A2483B2AA9';
wwv_flow_imp.g_varchar2_table(9751) := '4114B9CA2A45E69803CAAB9E847290413051A412EE2CF94EBC56BA13AFBCF1C692CB196D7C298F176F78B1A495B79CD9EB1D74D4028BAC3DA009279B6A92096695513CA9E48F38FE88C4FF93512AF123198122929032240762E8C20C6D3184161B3D19E6';
wwv_flow_imp.g_varchar2_table(9752) := '963B980125125B5CA1E5967F6EF1441D5AC4E9261D71D8F1241C5BF061269B76C4E111001F7FF46D525F7F053658610FAA68287520C2C71EA40289CACA2CD99843CB27A595369041E2D0E2106D0F217393EFC8430515F27C69A61867C654652E4B344185';
wwv_flow_imp.g_varchar2_table(9753) := '2F5E76F1E61D72F25445952952A98699604601A5117F0169C4107F0DF9C38C2B88793442792002F63281307425954C5BF5C3135BBAB1C51357CA81C354D3A2A1E5D66CB2C1C6C3706AF5501D5C4F4A49C8DE821C36669967A6B9B2628982681F6503B176';
wwv_flow_imp.g_varchar2_table(9754) := '5A2B0781765A6AABCDC30C2BEA38E30C31B605B34C5EBA036097F100F005FF80B05AF1253F422439D31767D04187975A54D9640F103C41B592464609061765DE4EE6964ACC40E38D321066B89D854DF2D5E18BFEA105805B3261A61C50C2F184913728E1';
wwv_flow_imp.g_varchar2_table(9755) := 'D4155901C8A6C472C279E69A6C3C1127951ABB19C613764CEA5148207FABB974D34F47FDA17CE0290A807DFE5187676A9B5504DA68A31DE4769EF36043891C9860820726A6D8A3786DC5E305154D4E690515E65BD1CF17B2D26A660F49C05453AD7AFB48';
wwv_flow_imp.g_varchar2_table(9756) := '020920FE68A49251701950504F084623FDBABF6006007C2262471E61FD96C89C5BCD29E71F64B23187997088298738AAF10CC8908C18C7524738E8E18A6CF80F19004C8D447AD40FD1F52A7517C4600691C48FD51565FF1FF7D859CF66678A39E4A18454';
wwv_flow_imp.g_varchar2_table(9757) := 'A2121B78C7063664610A5538C3149AB0041A08010A51D0C31E2C818AF0306F179BD0842500D00C5F14512EDE700621AC972E6DD462135698010874E00220F8C00C57BC62DDEAE68637BC217D77F80231FEF13E7EC46F580C21484922A24636DEC323B862';
wwv_flow_imp.g_varchar2_table(9758) := '231B4512BA0AC24C8377C4631E77C341D639E475CBA256204C78096995907759E8421610D98540A42216A9E804242881083508810669C8E10E77810A4B48A23DA700132A8A383DBCF84289BB7046318EB1870DAC00042E70411172F04A1758010E7E8003';
wwv_flow_imp.g_varchar2_table(9759) := '1EF0700737F4B20C6EB8DB3FDC5846F9090B8D03E1603E2C2214CDD4231FF5B8C73DEA018068FEE31AD7FF90D43D2E92CCBF818E82431A9D1EC5394E72D2848F1EFCA3EC86C6AC152A320B72C042108280052CC48114B41855271C41895080E2134F6002';
wwv_flow_imp.g_varchar2_table(9760) := '260901A675A1A23DA8D8C4F5A4F79DACE18517753804596A718807AC40023770C1108690D12128C10C7EF0031E72D94B37A0C10D61FC873D34624663B6A3201E7123693443917BF423244C22C61BC2411949052B9CE5046A50817A4E7E7C50596CE01926';
wwv_flow_imp.g_varchar2_table(9761) := '9482092D05A2855DE8C23CE3E9832E542210B758452C68110B4AEC939FA170C41ECE408634EC410F7A40C55D4EC12E0070CD19922004F4BC719743A4E110DBDBC00640008358E680082E50810ABE00873FE0120E5D4CDF1BBE308C9100C08CFB68D8FF31';
wwv_flow_imp.g_varchar2_table(9762) := '07D28DC9A8438C1D59E33DB2A10F05B22312E2404635D6281284EC8A5776146A6A557BC18DF4B1A8F630871CE4C042163AD5A95D986A1086E0832028610B9560CC2B5CE10AB0EAB2108E70041E549906E091E110A8D0C63B4E710A24B66217DA30461D08';
wwv_flow_imp.g_varchar2_table(9763) := '715DBC68A30E6948431F6AF1020DECD50546C801105CD0021000A10C8600E92DE300883818020EB71148FC7ABAC16362881999F88F3930278F708C6647D9A0043222410B62F8019BB7C88649F6CB32D31EE7A7ABC5708669764E7CBCF61C89A02716A03A';
wwv_flow_imp.g_varchar2_table(9764) := 'DB44C033081650810586A0021B00410983658427324189907E410D37B683188A110E4BCCC0097665E22976711FA9D5671775B044D6E4FFA38A3490A10FAA48805EF96A042AAA80BD2DB0C21FE01B07C68CC2CBA0D806DFF41B2CBF6108198C8D442686E1';
wwv_flow_imp.g_varchar2_table(9765) := '8A4CA08116D5C8C4E7BAC10C64B8E21686C086476CC1586DF28D20146C591D49A76142177A831DECB04ACDD1883584180B6B8843221A6106154C800310E040A627E08114D860B023E58214A4E0851B7B6111C7380414A09006427CE5149200C07DA6EBA6';
wwv_flow_imp.g_varchar2_table(9766) := 'F7D46113CEA885378A81084B94610A0FD0EB14A90C841D8000042D500261DFF007B7BD4D19AB104764404266C9D6E31FB640F01B90918A37D8421C9E00C9A9C4B1E77FA061A710B145351CA2926F82D382868677BC91D3DAD6A9541D95C077F8FC250740';
wwv_flow_imp.g_varchar2_table(9767) := 'C8E10D3F80C004203070FF0A141C020FF8C117B8A0702944E109A41E831DA270063B9C61787A3884256CED0D746843128240859AC8B189568B4D1BAAE8031218006C10EC00964870C12B6FD082242CBB0F80C0C5360AB38D9C8F96A5C13A2644D411394A';
wwv_flow_imp.g_varchar2_table(9768) := 'C0C1109EF0439C6D110E7764E319D9004624A261EE7FC08316AEA8849F0D52610BBF5BDE5F07FB1E3B8821452F4A6DFEF2D71AE0808621607AE01028380506EE0129A0E10B5E78C213443D6A2F88C1EFCC85C21EEC008034588217DA38321934814ABB58';
wwv_flow_imp.g_varchar2_table(9769) := '620FE0A9451FCEB0020650000520C028128C5DEC627321127EE843246EA10C69144619A351A96317D6D287FCA31CA9300728B2110E6044C356A2615DAC52910D6430FFE21AA28A446A267C125D051A39170E7BF2959F937362681EFF304725180188E91B';
wwv_flow_imp.g_varchar2_table(9770) := '0210B934C3178E20F0B7771F021238021C18E10734889A0B47580212A64085292081864973020036F1C3BB90A10E63A90B2F98B0877A557C0311D8000F6801977381CBDB2B10780134F0044440833F601B67DB86754829F80937A07329818829CC220962';
wwv_flow_imp.g_varchar2_table(9771) := 'C8065D612362280371A00566A08535D2BA81E03AE340BEE563C1165489E6FB87E7338737B825908AAF35C003335002EEF3BEB71B0246000550600438E0033EF8021628011AC0811A58011C009E1560025B6BAB786905E7228B62D0862920034B388431A0';
wwv_flow_imp.g_varchar2_table(9772) := '821388000E30811100022000010990001338C0318884FF3E188332488506191F709887D453BD33BA4091B8A98B88A6C9D026DCE0117EA8077900896EE014094B887613341764C4465488B18B41E8B3BBBA81834AC4A53880032E9800B91BB804783B4FFC';
wwv_flow_imp.g_varchar2_table(9773) := 'C157780521A4844AC0031178800CA0000DA8281EA801E09982B29184BAF08643A083EE50855AD80326A0028AF3020D08430F68AF0244431470812A48023B70C33DB002D1531B5C00077B90460AC4C38188A39200807A488992B0A9C97889132C88142C8E';
wwv_flow_imp.g_varchar2_table(9774) := '1574C4724C3E7AEBB0E72B072E58B831F80234C08338302C4DEC4408F0C47B84000BF00357102E46A004508003137800B97B8082340014008280AA2B4B482535012F6DB1842958811398823EF082FF108880346C0117D8010F900010A8022B28833EE883';
wwv_flow_imp.g_varchar2_table(9775) := '4DE80366348448009F5B88C669FC879F0316C9AA9F1D9123D793886C7023897087D5A38884292D453C3EAF33C7A104BB73BA8764F9077160C7A5FC822F2803BBC30329988007B0C74E7C807B9C0034008557080539608446808316404309E8C404480010';
wwv_flow_imp.g_varchar2_table(9776) := '30822A08A8271B135FB0841F3BC9253C0124E08331F83F09F00015304309780025E8A23DF8837AE90E6E09984880C669542998FC15C9E20778F803666088979C8C74D09BAA53079BBA4C75A08761FA0D702CBE222147A2144D4243477B783E71B082A564';
wwv_flow_imp.g_varchar2_table(9777) := 'C7A664CD2F48817AC4477B9C0029A004AC9B3E3FF8020BE08009184BB3F444133001FF1C88453B20832838045FD8843AA00228D0011C98CBBACC808CCC4B17F0C804C8B237B0829234049304CC4888844A60496954A9979C360B7C987F30911849055040';
wwv_flow_imp.g_varchar2_table(9778) := '03434885F702856A700564B806578884F764861D990971248ED01CCDFF5CADE6E387D35438D62C03A7B43B35F802A9A44A7CC4C722808346283AF293020BC04B8F24CB0420800430000300001E10834508284B508562D8841AD08125A8010EE08132F002';
wwv_flow_imp.g_varchar2_table(9779) := '0A90CE165001BE4C0017E8A22AA8023BD8833160C634F8034F401B73E007C464077A181679B8400CA1057C288767088748C0860663A051A91C1911873F400671308DE10B47E30B4AD402D03055ADE6FB1B7138D0035550345003FFF5B13B254801EEBB47';
wwv_flow_imp.g_varchar2_table(9780) := '4FCC4729C003F591821648010FB034DEB4C70D250002D0802560BF1098023BB08358A8051DD0011ED001117881273082087800114801103001814B000F500225C0D129480223000264B40243A88457E8867518527BB8436141D2F38C0662201162F0BD61';
wwv_flow_imp.g_varchar2_table(9781) := '80834CA8CFDD4B055700855B083E64D0CFFD04CAAE035331255672A2370C91887238D333551F3CC041BB938222F8010BB8D404400008488114103525103520480113F08070D5D33ED5500230000E40010D40011CED03F9DC011EB88118788117D8011340';
wwv_flow_imp.g_varchar2_table(9782) := '000AF08017C853EEC34B15F881242802504581B4AC8231F803509886D698078B18B3C8CA4381389C6BD89FD9A0CFFFC909876138A06C709C3EF91C600D561514CA6215593D82C1643D50047DC71CC4832F503B38C0418623821F980013B0812340832268';
wwv_flow_imp.g_varchar2_table(9783) := '811FD80122D8D77005010FB0C70E355703A0800DD00016F0823BF08369A0852380811E905714E0000A40800730813C0D5709A0804DEBB41D30822448821DB80120480291AC045B403D862D268745260CB9C6B725899AF858901DD691B55B0C3AD6355256';
wwv_flow_imp.g_varchar2_table(9784) := 'A7B4B1F4A9531C8403AFAC04B5F3A2504B0164E3023890821BB0811F38021BF0480FB85A10A0000E3500734D80A27D807555DA6B78062E78811E30010EF080CA5D394EC35A3DDD4DC94D811DB082D74D0220D0011783834A88367B50DBF961CC85A887DE';
wwv_flow_imp.g_varchar2_table(9785) := '5526FF41BC877C10DEDE8DA6E0DD08B92D92A1A8DBBB655ED339D6BF3107BE4553BFFD025D5A0346A8845C7A472EB00269F54B46E0822200DB68F500D235811D90010840000348800060DF81A4000EA80222AC86727083F32D5F0E780004A85A11B8DA70';
wwv_flow_imp.g_varchar2_table(9786) := '25DDF89580DD140122F082D7AD022528C32A78836900007B5026C59C14FAD9A68A183464B2E00CBEE061210DBDD9E0E605E10D1B3BE8E5826545D3EA654D467005850BB56D55022EF8512EE0D617560270A50013280218E0D00020001E36CB0700000890';
wwv_flow_imp.g_varchar2_table(9787) := '823FE8986EE00211B80111B8346B358007E0806F15D74BE3C4834B814DB582BA19834D6D815B78E0DCA5B63CD4E00F0E630B2E9D955ABD1046E3FFD22153896887F20B352F504D29585029908350986329B00229A802399E3E2BA802EE0DB52200D71428';
wwv_flow_imp.g_varchar2_table(9788) := '8218F04D04E050B37C3B2900843F00422E400119285D0AB84A04084311F0001610D729CEDCBA4B020656B637B882D4C0DD55655B0DA3C00F4EE355EE9B11160977000C7590E5595687744807753887783807731807C1508771608775405259168C5B2666';
wwv_flow_imp.g_varchar2_table(9789) := '81100C731808FCF165595E07788807004807C0B865FC29877240915B3E9113110C6CF6E5765807759090756807709E878730E5987CD8D5829FE565E5772E92E7EDA63892C67850A97D781DB895A39F5C097DF6E7B87D293F93E049695596A8880AAE600D';
wwv_flow_imp.g_varchar2_table(9790) := '4667769BDBE130635586E7889EB7FF35D6C087A8889038E88C165ECD50A66D42E8311E8875E320142CBE8D18E39356E8CCB0683296B66A4C2362C110CD90883146569959297796E89C260E79D6402EF5D809E2CF23196824912C8C36C1D6FB87416498CC';
wwv_flow_imp.g_varchar2_table(9791) := 'F80DB7B569C7C2699D96EA3D5A633DF4E99F06EA8616EAB555E7D6CB86619007994E0767AA075BA6077660076BA3879D8226E1BD07788068E21B927C28D2B89EEABBEE89BC7D947DFE1B8560E9ADCB6A2FFD15BDC1C365FA070F61865A9158DA78865B18';
wwv_flow_imp.g_varchar2_table(9792) := '0671A8CF6C288776E0C061682013C1076D4AC494D06AE0C88776886ABC166D9D804113FCE795FEE0C00EEA2219EA23093A6BDA9F3EC10671803A7370BAFD211978301CDB0B07FFD07207D2D86C3A3A0EE508EDD136EE9A28ED31AA6514C96673088C1389';
wwv_flow_imp.g_varchar2_table(9793) := '0793E0208AE0088B882665EA07DC00EAE2EB6C0A696D2379ED1481076C703A6CB0BDCAE96DDB460679A8077A60066298B36C0089750BEEEE060AA108D9E3D6EF9B486E7818065CE8146118866110865B3070B4D588CCF0888A9623D5B6EFCFD4EA9621E3';
wwv_flow_imp.g_varchar2_table(9794) := '9E929498F8EE22914961DAD2389208CE1226D8B9077670EA0BF6886FC2469E026883B8EA177CEBE2DEEF1787E93E5A2377F885F7C60568000531A8856700864EC1958EF0106B5A6B5C41065AC8867420301E9920EEB6EFD5466DD249A68ECE608571E98B';
wwv_flow_imp.g_varchar2_table(9795) := 'B0B68C882908416A0EC28879781D7BD0077D104FC454D5327FE0FF31FF077B1E73DCC5879FC06F1787F1387F086371DB7FA07100FF054748031D38840127066F8B080C410323F887246007F8CA8707A0C123E80637E8877C5872E16668C15671356A5BE1';
wwv_flow_imp.g_varchar2_table(9796) := '0D632A67BD9A88888CE87497F4087C16F55127897C1EAD7F1875C81209354771E46E71BB96F35857123D74075CF805621886454004B2890568F0F191900734A88270400377C80443A08724F83D0200054350F2D091F48300B4D5BE46D5B9EE8D3E68C2FE';
wwv_flow_imp.g_varchar2_table(9797) := '629F886E4EE8820BC8820BB880301077721F77713FF772477773377736B8007088077CB68C578FF57A67F1E598715BFF055C80845AA80544888515B985FC71A36CA8821BB00534A0874CC8847FF0003740BAFFC465F2AC066C68A7768690657670077870';
wwv_flow_imp.g_varchar2_table(9798) := '07589665BDA1074CB7086D3F654E7FA9E89E830650800218809677F99787F9988F7901108578CF67E6A3777BD77985C007A280907F58875F90855B0F0548E00A6020066218F88FF8875410C34CA80289B10264F8816C70CF31A8026A72F08A0F6C95F008';
wwv_flow_imp.g_varchar2_table(9799) := 'DDEE78E76E075BDE787A080C78305E2F2EF99B2889E74B790758790518800288FB02A0FBB997F9B9B77B9667790580857888F7A3B6893787F59D3FEE8AE8F96359A37518FAA12F864EF0F7A43F90720000D3903D7750C924F0841F30842AF0024F888667';
wwv_flow_imp.g_varchar2_table(9800) := '70768B8FF689DFEE8410A6C0706C7388867448D8F96C6C590EEB6CE7EABE91C99C48F37F1884FF06807B015000DF5780E05F79BAB77BB9BF80BED77BE2B77B01F8FBC027ED9C37FC9D9FF5C5C70559A8FE63F8045F2886A44F065C88B67FC646D3A77407';
wwv_flow_imp.g_varchar2_table(9801) := 'A7746B648774C8062FA8064F800166808370500257188381370778F0E80B2792DB9F09368AEEDD07080702E6B4B9A0E0A002010A0A306428404081010B1D422CA010D6B97DFBFE71FC07E023C8902241F2BB078F1EBF912A57B26CE9F225CC983267D2AC';
wwv_flow_imp.g_varchar2_table(9802) := '69F326CE9C3A77DAE457D29D3A7E1EFFADC325EBD7AF63A13E1D8B46ECA9B88F1E014C4D09C0A74FAA54FB71ED07802BCBAE62BD766DF98F5DB97055AE194A622B92B82AB4B8A452570EDED594EDE4F1EC7B955E3B9EF3FECD69D0E0429BFF01891D18BC';
wwv_flow_imp.g_varchar2_table(9803) := '70E1E1C30217162494A8C0B1C0830260C5DB98B3E449AB7E47932E6DFA34EAD4AA77F6E3072FE85700F17011FBE50A12A245AA3C417B6A0EACD98E1CA90E7F29BC23F197EECAA91B56858B123F8CC27D71C74C89B8747CC1B6C3BB7A26609C62ED01282C';
wwv_flow_imp.g_varchar2_table(9804) := 'C0F1C00B0DDA10BC90C541960B241E99CA4282BDFB36611C1FE44C1E784DFDE0034F3D5E7D772082092AB820833BF193CF6BF90C450F31B780524615555821C61E8610638B39520D751500F9B0C48F582119A8E2586001C8D23DE6640387219E5CC34819';
wwv_flow_imp.g_varchar2_table(9805) := '9E9461881F91A8A35D5E007497558323C913984EFFD8435803035C308700053530C7238370A28B2EA63C42822259CC628A2EFF613C32A62E6D34E9002CEBFCE3D94DA0A154249C71CA39279D6D42A88E8454C1834C265678E1A717578C31C51FC49423D5';
wwv_flow_imp.g_varchar2_table(9806) := '3DC90DC5513DF470241455F7FC83A2542F7ED422592BAEE4D18FE6A8A38EA7A0A6634E3AEAB0234F3E5809098F8974F2135E924B1636C0000B8CA9C094BACC112627B09842C22473CC1286228ACCF2E5980D24E4DF546D9AF4669DD14A3B2DB5083EF81A';
wwv_flow_imp.g_varchar2_table(9807) := 'A4FFC033CC1B556068C5187B5CE1AD2D87E2E3D32DE288438B39E1A813CE33CF88034F36E20C73CDA7E188530E2DCCFC53168B297EA5E94AFCC8038F3BECB4E34E3BDDC1F3706879E9C56A9DAF229993924CD2EA18620264A11F7B61CC318703637E4CE5';
wwv_flow_imp.g_varchar2_table(9808) := '236DA4DC0642FF9C0DF6D9B3A2553B33CD35DBFCD2B5784E480C1A5E7C3146196FBCF12D28214AA8AE3CD9A473CD30D5DCCB4E36EDD8924D36EA64138E53E23023CEA4968204A0D72395940FD9653F780FDAF7A48AD5C4ADD2092BC6B236390064730C60';
wwv_flow_imp.g_varchar2_table(9809) := '1143745BE4A4659739A080400A3DC62CCC11DF7C38E2894F9B739EFFC8330C1C5E646885867FE6980E00928A530F3C5C77930D2DF55E13CE3FB784534E3AC320330D30D38463CEBF615F6AA0EC309D9D8FDA6CB71D2DDC33094795DCB436D4104213092F';
wwv_flow_imp.g_varchar2_table(9810) := '7CDE051C447742BDC4B32471CDCAC40FE7D02A7E3DF6D97F9773B6F220438B2168B851461963BC81482CC384286939D398C34C36D86413CD30E1D8824C35FFF48F4E0C32C364330C36B8063097D4CE76BA93D8AADC26278BED24638A6892F22E40BCCB14';
wwv_flow_imp.g_varchar2_table(9811) := '4F82CA630805256210BF110E276E9299F64228C211F6E44E8DCBC7356E018C5BA89016B7B0852D2A843913F1A36A5693873AE4518E6CB8231DD9904737CA812A7E98E31EF550073C62179302E2EC80AAEA8E02E5240F76F0446E02A01BADB218992B5E31';
wwv_flow_imp.g_varchar2_table(9812) := '2258E422DD20F3105174864D3DB9873BEA014212B2B18D6DD41D3CD8912890F49054E6B8231E49558F901CA78F8EF3486B9073A9D8C08460A3E1873BBCB3C0071D698D35118A2E82018B4952B29294EC852533394951C0A217E38887F47A420F77CCD18D';
wwv_flow_imp.g_varchar2_table(9813) := 'A63C65087537457AF0B18F235951AA4A0412FFB20529555D498921E30421BE2C926C8DEC4B28FD581CAA6CA498D29BCA7042599323951295CE7CA6CD54C90E56864477D6140F131BB4CB39F9C497ED70644FECC10F71DAA39CE33C6739CB398F74DA639D';
wwv_flow_imp.g_varchar2_table(9814) := 'CF7BE7F3C8D3176642B39EF65C5C370D364D70AE24972144232FE3D4CD7C1C298A3CF1A7C474B7247696539939A1273FEF29D189A6866D04351C4549728FEE70F341F9A007C5AC654D9F2C3463F2F40B4433AAD2959AE6413EB9073DE4A1C6968E34A20B';
wwv_flow_imp.g_varchar2_table(9815) := 'F2493D86B4C80735CAA039C9542E6B5AD399083524F464295293AA1322C1941E3345AA6BA809A76695E4A97EE18A436B92559B00C6A74AFD2A5857923698C2431E32CDDC2C0D8A0F0034FFAA1E6E7D2B5CE3DACCD510697AAD3989574AE9D5D418B15107';
wwv_flow_imp.g_varchar2_table(9816) := '93EA4ACA2658C17E64B06563495C130BD7B9BAC4B0B4A4A33A001BD6C9523624EA00C06533CB0E53994A269CA52248388BD9CD92F6B221016D9C360B00D4D2C9B4F6FC5165631BDB3DB2D5AD34A1ED49D94A8FDDEEF62568B36DE6189B20E0CA29516923';
wwv_flow_imp.g_varchar2_table(9817) := '0D5C6134D6E52EB734C2952D74A34B137CE063AC2F211BDAA2F55CE972B7BBDE4D1075C3BBD6C6EEF5BBE63D2F7A4F69D897E8431FE97D2F7CE32B42DC59D725ED952F7EF3AB5F6A096CBFFEFD2F806B7631975071C03671C74702D3300407B8C10E7EEF';
wwv_flow_imp.g_varchar2_table(9818) := '353E728D6A8C641AD8887069B2718D690060C31DAE4684271C8D7A9E0E24FF87620935B201806E50E3C12E7E3100A0F10C90600300D8E03048305CE39CA858C312AEC634300C120A43F31DDF78C73B0E550E7380631CE01009359E0C006AB078C5546EF1';
wwv_flow_imp.g_varchar2_table(9819) := '36A60CE32DC3F719D0C87187A3718D085B78C73A51318735CC612253F4C420890A00CE319227B77824D4884A94B9ACE7FDD6381A44B6B04E22DC63910499A2981349549A0C00297F24CF2001479D3FC2E83D539ABBC3F8F247900180194B1800D50071A0';
wwv_flow_imp.g_varchar2_table(9820) := '3B9C631577DAD3430609FF86210C681403008E408518003083139C2071877A074BC6A1923AB798D1729043222A5189447CA2D2C6962D32307D6A0A5338C437D93187712C6A308364C42A5105480801850C5CCFCD3281FF74A2230D0029A800242AF0810F';
wwv_flow_imp.g_varchar2_table(9821) := '94E08363B31BACC820C681842C1236B7C4171F898213444283C3C179D1273E879421BDE84683A4C5E2B8F348B6100425046108415043BB23FE4C0CAC44D92C61F684E55D936B98592533B636A755428613CC00012089C0CD12018D49AB44E02C717948BE';
wwv_flow_imp.g_varchar2_table(9822) := '1004297C440966F80837BE010D6E7043E23E0F210354228C8F30C3DA33BBB40885A01280EB9AE0028734CB3FF28D444861082009020018CE126E7C59E73FFFFACD282E925C8884199A8EC6338C3E2766ACBA184C80824A0EB187A0A7C6143BA9C4C0F35E';
wwv_flow_imp.g_varchar2_table(9823) := '7070E822CABA78F2DF0110F82953C3155817C910AC5E71AE4BFD183D1746ABC12EF9393160064BF8080EFF46A269C5E9614172D649B901D0EF90FCBD1790A64694EB1CF550A8A4E100B8398EB391F395F47CF2B6A7D301283E0321384218C7E01F009841';
wwv_flow_imp.g_varchar2_table(9824) := '8C641083192197D3E601500C4268E2142A710213007080A013E0007E11774D0E9102902CA3E52DD1C547C0FF91692422F1219182EBCD208B6F0020E7388686D7DB2F127BDFBEFE703A434B8E8FFC999041EC0020C06880C302B4814D9C41E80140F7A984';
wwv_flow_imp.g_varchar2_table(9825) := 'F87D44D30DDCE0E11C00609DC3818414E4C04724030064C337B85F8CD51E34EC9CC5858426D81F09A286F5619E487C59323003064A0B3300C030C009873DD902A0061E00801C804148F482A385443638024828DECC291E04D61E00C842CF85203464FF82';
wwv_flow_imp.g_varchar2_table(9826) := '48384348DC420946615F505CF495DD47FC42F2D109FF3C854854215D014003F6C52B84C41AA884E295E14870C31AD01CD635DC1658DD080042324C83117283B485848C3D032D80042FA8842C482120E644AD0140B18904BCD54C2A4C01DC8D0419880406';
wwv_flow_imp.g_varchar2_table(9827) := '3C62E6E99F4C344B228CC40500C002380026060116F4C516ACC11788041A884410A8001172C1087C841C40C31D7EC4D085C29771DD3440C32F8404B61D4220E6A24D9C200A364148C42000B4E0B4001F000C1D4CCC006978C14890000900800200401884';
wwv_flow_imp.g_varchar2_table(9828) := '042EA2824DDC204860C11A6C811F42DC4BD8A1481C41483C0337BC2048D40100E0E24724411210A12EB6E3484C5F4B0883EA10E38C49FF629D9C410838C1BE0140BEA904124C811194C04F15E347C41A0008811048811280C40224C21AF8E24738DF4ADC';
wwv_flow_imp.g_varchar2_table(9829) := '9C36A281197C220060C1CDC55C2886042D40831B00003B8604257CC4CE1DE11E72814860033220C32F2082322AE34754411F58813BDEA44A4C1F3C020015D00044C2A0A66D1E394A0B300E5D1FD0DD4720234B34010BA0C62234230090402984042BB082';
wwv_flow_imp.g_varchar2_table(9830) := '247C443190832DBC841998C11A980118C8411962241AFEA14BC841FB892300B09F4A8C23A62501004C0148C8E5159481167C8116E0A45E4A5FC581C4301003304ACB217EC430D482D8F9DF47A0E3478C818AEC043900C0316803391CC347844219D62000';
wwv_flow_imp.g_varchar2_table(9831) := '44C1479C011DD48120D4FF8446A22118E0011648011888C33798254CEC5CB23142482C2400CC622D7E844A8284A0ECA55E5A9FF5D1DDE5552630FE656022833DCA09BC09432A28253F02401AB0442CF0442D0040736225007843ABE14110542200F0C113';
wwv_flow_imp.g_varchar2_table(9832) := '2C270078E14C8C62196E6448B4E24800024828DB2FE0C113B08430020017084A5E02C0158C041218016E06222FAA04300C43607EC470E64434A85D4DFC2500E4020F585F087C44218642748E460C2201FE39C27386444826C232A8E64884C33764437B8E';
wwv_flow_imp.g_varchar2_table(9833) := '842C4C25000C5B0E82442580832C6CE570D2822B8CC41ED226158CC4507EC4175C416D7624005881420281115CC11EFC8121DC67FD458010409C1D8C811BC48231F6FF0F00B4E4BB6DDA7F5E5C9CD8418186A031F2441250C114C8E4AEA502D989442C00';
wwv_flow_imp.g_varchar2_table(9834) := '438CC6C418AEC21FF6C215C6184B00422AA4E04A5C5A7F82045E86C42882041A8CE27C0A28907E9D4F8E44957ADC908DD884B504BDBDC40B32C39BCAC4608EC43100036A14411100C011F46621B0DE1882449FD2046C669D0F345C106C811C242004CA44';
wwv_flow_imp.g_varchar2_table(9835) := 'F235654BA0E54AC80120C4C1476CC11B5C609EDEDE1818E4486C25A386E047E48FA7E169B505E8ADB6C42D3C4398222A0CFA256542A6300003D9F9DE69FC0000FC00388223F751C3343C0336A0C34E6C4147CA9C1C40E14AD8274810414E488115A49B4A';
wwv_flow_imp.g_varchar2_table(9836) := '58800BBC6A0992AAD065DAD0259BA6D563B50180AECAFFEBBC554316AA44B0C2440C06660C82C2472CAAEF19E769F400B31E24B882441C8CC2793E26FDB904248044218684AA8AC48C4D035B02C0C186840C286A2E50662C1C43B18EC47C8A0416285C27';
wwv_flow_imp.g_varchar2_table(9837) := 'AA041C00C09AA2EBCFF541191428A3CE6ABB7E1939C64BBCD0AB4B10D93310C388CD2B4D246ACC32AABF2288350842131C2C100C011064DDB8DD1C22445E4C605BB101E127844226B01E69F40110862C4C84810E5EE3D782042900807902002EF4422998';
wwv_flow_imp.g_varchar2_table(9838) := '29CBFADC56AE44B26D5A8CF2EAA0CA2BBDCDAD5FEC2B9AC24427602D42D9C41114AC483C2A00F8814D605B2180C484D21E8E09C10F289D0DB40415408166FE2B3470ED488081D77A2D348E442284FF6D4860680E58C075C2C2DA7219D9D142978244CC66';
wwv_flow_imp.g_varchar2_table(9839) := '1AD1859CB5E1A9DA8D58353C294F34E8473C2C48F86B4836A65FB0C24FB2843400402388A50E024226A46E650240278C442840EDF88504373002E0C284662E822BC6D831B05A2AA801277E44D88201D66181E7AE41D85622B78A84C2014022F4822EEC43';
wwv_flow_imp.g_varchar2_table(9840) := 'E96E59DBBA04B07E04AF76DC4AF899D1D9AD5FC86A49AE441F004026C4C256E9C4D2662C4B68A336864427D44228303000246E31C402D9E542214A1BB76A660FBC442D88C1229A64F6726D211C2E0014021F2868F2C6822B84422E742C486C6037589B99';
wwv_flow_imp.g_varchar2_table(9841) := '822848F4C2E7F5EDFBFAD7F9C204AE3AA9A9E5EC4824EA4D5C2A4BACE98BCE891AC8FFEAD885C4CA36F0BF8A8423500223F42F4E1CC36442C3638684F346EC474C28D91D432ED8EA47B44122840176DEF0B1D90214F6E760DE2CAF121D4C3083DDB62469';
wwv_flow_imp.g_varchar2_table(9842) := '7402252C2F85922421AD86969A2A4868822648292214638BAA442C1443285026D67E04DE9DDF4B542E9B5226D7262E482472C386C4AA858499612E549A71A5BD02A3C66CA22283F17D5C08BE2085E1EF298784FEFA85234042277C82148F0424E0EE7754';
wwv_flow_imp.g_varchar2_table(9843) := 'C147BC822B7C2D2D03809486C42E8F442E147249626D22874411AFC4078F44AB39B24A8482358444F3AAC497A10308B2EE25635AE89811273BD8200300BCDDEBA6A984D1D12E8C863369B472484CAE82BCE8FFDAC28A7E04E18AFF84278304964282211F';
wwv_flow_imp.g_varchar2_table(9844) := '433178713E4BF047A4F03BD344E5DA2A33B7C42714834183442E386F8C615A1DAEA51192C4363F58FC4A73ABF9C273D68210CB84FE199FF1E9440903613383C4110432821CEEF9224224A8C43F03C0BED54221277448706D28BC731266B4489003185F31';
wwv_flow_imp.g_varchar2_table(9845) := '4B38B34127721783044E731DE329EE4347B4831DEA488C60B5FC2F4BA83382382B5C1E324C784248D4C00333054C84429F82F1799E244E53664067AF4E63B141935D3E2B1F3EBB8499CD1ECF15B551EF592CE05F2FDF8C0803801B586F9194304B10C247';
wwv_flow_imp.g_varchar2_table(9846) := '5882CA621E0A14A874B2045743665F72ED07FE2BFB51E663E2336542ED633BB63473033650B6FC6920666FA85BBFFF75800D031A8BC41E68A9CD58E34A1CB39C304209230222D435E24226F2AAC431F89EADAE011C4C2C4888F5975931A63536A659AE60';
wwv_flow_imp.g_varchar2_table(9847) := 'B7DA6BBB62B10E356557F65A7F44361C4A6E71F67EA542A5262A1348A91308C119E035CDE8F5483C8169CB494AB7846F5B2A3087C4F48A27420F77FB7DE03730764B04770A42033AD8AF4AB06549D914737FD756266AD069407E263110D3C9EEF6C1EE4A';
wwv_flow_imp.g_varchar2_table(9848) := 'A9102001A426886E03003AB0B74A68C31607B7E381C4509FEA1B7842F25D3239705DFCE1B44B58EEC776EC4483042E4FF26CDE21F4D4777EDD42378704CAA98418B41A521709498B307633A60E14897B37314C78434B24369AF65C2E14751CAC811C9801';
wwv_flow_imp.g_varchar2_table(9849) := '2810FF432CF08175AF65FBB15FCF71C3315C6C4844AC1DE0412FEFEEA98E840622B7729BF87E652A4B28250D38F58B2F48205BF7274082160BC12012F881A4AE7B2BEB4EB0DFC5CE3448DC42D9CAA84888817943F8ECF9F66B67C14C742E97BF18009ADC';
wwv_flow_imp.g_varchar2_table(9850) := '4700A001BCC487570B37FAE2BE3100B47E07D9B937CFE12B48AC424C18618D15B648DCC047D4C0CA422F9BB604C844630D46234B8001A88E843CD5D5A0A757A2B744143C811D80F447ACEEE16400B7B1398230794848A448603A786B788CE9F4C5EADF33';
wwv_flow_imp.g_varchar2_table(9851) := '50F54D18E1778FC4008601C82C00AAA761FBB5A2B7BDFA8BF181084BF097D68C233802530340ADEDF777704338183248B0C26AEE361E8ABA4854FF42CAB28416BBFB795EAF4A10A0B463A2A9B704A961BB7F1180C919400010C0C0CB8431AEDAA2C749B1';
wwv_flow_imp.g_varchar2_table(9852) := '1582958BB482B05FFC3E734C58B1499EB7A68704ADAAC46CDA3BC51675F6B2C402E860347EEF47040118D09CBF3B58AC03E0FFB144216871DB52026B4BCBE1CE35B765668290DAE8BDC4589F64CF4179FB19B74A88653CB34465E7AD9C373BA4D2DC1088';
wwv_flow_imp.g_varchar2_table(9853) := 'AE05289E051C24CA2B391DD6D8F6A53C7E1140A21BFA4A9CF9477CBB480C6283289D4B8881171C33C51DC1009386994103AE8384318844B18620CF81B15A9EA94B50F38EC7DF4A7C011E90F64758231870E3114638D673591F70230D60C0CD7F04077C44';
wwv_flow_imp.g_varchar2_table(9854) := '096CC082883D4B203100347E91F8FF812AC4A0375C313418636E0735080A75D06F9D8D9164A857BCE99F240090341A8284A9CA01253C310094A423B826CED121EB1F3E8C357E069CC0CDD39AE30BA4404ACB123401DC71DB8ACB09367CD9C77F3C4E2B1B';
wwv_flow_imp.g_varchar2_table(9855) := 'E309F5971D7DBCD258487081328682E1EF7DDE02402464422C2F722550021F3702FA872825A81CCF21618B062FEF3FD807D4DA0788BBFD43BEE497802D4F0B0D281D409C003090604183071126548890DB406ED0D03D03004DD83183E8A03DD498312300';
wwv_flow_imp.g_varchar2_table(9856) := '6CCF9E3524382DDB2D871345024809209BCA82DC30220300A9D2C14A3501E02458B351254A00A6AD2C886D6151A347912655BA946953A74FA146953A952AD30C18AE0ECCF021FFC3890C004A9C1001E0050099C0AA4E8502C0C9D7B4501B7E234A102334';
wwv_flow_imp.g_varchar2_table(9857) := '95DC1A72C3864DA4DEB9D312022E28B3E8CA8D0B7502E849B0D1CE50B2BE01E6660BC02A596F3167D6BC997367CF9FDF62C530F00300AF021186024059731DA7A52380463A776047D5913C1D0404400E2039717ECB59231C69478F0E5B16E428B460E244';
wwv_flow_imp.g_varchar2_table(9858) := '457F655BB96A1A356EE66467D7BE9D7B77EF9FBB9640480B00DAF299F70C740240D3D2D8DF5F9E54DAA50B0900F5F193C8DF0540968166006086B6E306FAC625A57263ACB99C4001A041831819289B6CCA81CFC20B31CC5043CC46FB0A35B70A326F2061';
wwv_flow_imp.g_varchar2_table(9859) := '3A3B03805D50594A8A7DA2AA45C4A6B2916BA8861244CABEFB00FFB08FBE81C000000C33E430482F96BE891121BB10DB0980E7121B8819A044FA09806E36ACD2CA2BB1CC12B5134A104FB55C5E440F003DC644E51482AC01E0CCA232F002AA5C6A892516';
wwv_flow_imp.g_varchar2_table(9860) := '0046710AC90101902829309E03800DDED80043503F1B33A8C8036B3350488232296A944A6A44E8D08262C4CE9E2C31CD54D34D9F021180AF8440ADA05C8409B3B35D063A931500522C8A85A940396694399DEA64216CE0F8A2282C8258C88A5EB12068AF';
wwv_flow_imp.g_varchar2_table(9861) := '7026358BB0DA0E1B28314F22515229C1001087424EA9ADD6DA6B3F1D280AB03C8DC53CD6BE236455F50098E1808170A82A963A5F61CA5482AEC9D3280B5420A8DE816C0000081700D0D5203C07BAEC25E312FFCAAD49855659C89C4BE18300DB8721AEF6';
wwv_flow_imp.g_varchar2_table(9862) := 'BD6C090A0B001A0802733B3A06126420423CA683E38266782B153A4119A5CE827E95E20B25E03878202FAA00E08E8186298899271102A5923E531EC8150086A693A05F8801A01A848E2528A48C9EC925C882FE18A8D9841EEDB35D2A9729881A0016FE67';
wwv_flow_imp.g_varchar2_table(9863) := '2086B5731800B3CD8E58EDB5E1EB90A0089A38A2044F073A06AD5C2C646564D04049A4E881AEF8828BCE86EEDBE7062B7990205C88F9051966A28906C98368B94518688D33C490A26AACE9D147DB6D4916717A11871AD32BB472083C2A3189EDD761E78C';
wwv_flow_imp.g_varchar2_table(9864) := '6E82662F0FEF77B5A3C36300F6E6AC1295018870A0C1075776F38184280BA16808729DA0320AFFDAE220E911FA05805BAC97E8C9A417CAAB3C550CA97A93380A2A34A1DF11EAE51B6A92ABD2E11400A0E49557FE8EDDFEFB9F120D00B70B72423C008EA1';
wwv_flow_imp.g_varchar2_table(9865) := 'B181384F364E208385D0A0822B00400B0090820FFCE5078218E156CC90C92F48A490050EC45F0E1C4803A992B34D546D206FE8038000404200F8A0469F4B047908A2060040867D00B0C73FF821B60B2500021330882700213CFC0D91880AA91D41C880B1';
wwv_flow_imp.g_varchar2_table(9866) := '81A0C516E6C11D67465394D2882A2D89A844BB0872850772C10A07198B2BF0660B70156418B6B01E423A383C82E82A704941C62BF036B08240A20F0038E121AEB00714628D2057C399840CD28F0D3D4041048143111199C8FDCD6E3D0659FFC277D285A1';
wwv_flow_imp.g_varchar2_table(9867) := 'A205A1781B94421C5686942410041904D4E0E0AE60850D16648C0681566D50A21C00BCC18E6828E11FBA6810EEC94B18B69ADA4C6E418DF511841F8304800F59693F14AA610DFE1A9C0A52E04345DA2F2B0621534168E0843E08034CA5D4CE1908712115';
wwv_flow_imp.g_varchar2_table(9868) := '4821085218482C11D2448550D0203F58C8E094D0456F1EE417C3C89929B9111483746472B598D5121542ABDAF002006BF8214BBA910DECE4B0979E396632110281049C8D0219226743A722BD35E0C19F092942119699D182586420D6EC4C14D9C29DDDBC';
wwv_flow_imp.g_varchar2_table(9869) := '22610559A752DEF5CE5F04F30A5C68694BB3A82B2E686170E0548848241212823CC420CA9046300602D4628C620FBD420839FF88E28B5620A41B4DBD8E765C491025E82B213000804D09624E85101201063000423670941BBCC00406490021A502A03402';
wwv_flow_imp.g_varchar2_table(9870) := 'C0111A756B4154038C3102E316743D0F67CE35100C94AC3BA568171E0030D5AB7E21968D886A418491C10C26E48C039182144459909AC134701D9405160DF20C6C2C071A4481C6D33E7290CB58C41900C8C1100CB209007E031DB508DE5AA5448D740000';
wwv_flow_imp.g_varchar2_table(9871) := '1FD9F1830407023D82E42B21CAC3D74038E0C309C0A005657558020880DC817CB5200FF8816E07A20C7DD9A005378081093800000F0000AD53410345013B903530A227BB792B1167D0BB8EA285BDD77BE266F24A100C8034339EC0094909220729841200';
wwv_flow_imp.g_varchar2_table(9872) := '5C58AB42DE0BFF382B747108E004026A5966905B7852580AD15342B8E75A84880100DA208879D3A84C009C834505F58C231A415E3884B7202000C02607820834F4202112082E00AC0A80EC0E84000060EE4024E0010E48E0012D4861F00608807ADD0000';
wwv_flow_imp.g_varchar2_table(9873) := 'D81D4802164A1533E0010D13050060E52025CF2000B9493EEF85E4AAE0F23058335164007764714638ACAC7804395E5184003F9D31F80BBA8AA515CABCCA8100E290974106060BF260847C646947C90152004B896360D42064038D4F5CE9CAFF5AA10C91';
wwv_flow_imp.g_varchar2_table(9874) := '80C41B8E9090EC6E17210BAD31417AC801B3E9F678CAF8828FAD6B64850EA4BB2668010C4060021317592983EBE640285189F02AE10828FE4C8D0D9000DEFF5EB988373B0801027069CF3C68B106E102110AE247856C979C9C1C88F5CE888B5BB46BDA06';
wwv_flow_imp.g_varchar2_table(9875) := 'C1C5305C87C1763A6E184D3BC893786610F50DA418691A480B2C50949311C495C3781036B0E31997AD93128D38A4129E509022207B2077102242CAAA14041864026E22489F0BE2B01A07C0AC33A6800428F00008A44D217838247817F206C06AFCBB9989';
wwv_flow_imp.g_varchar2_table(9876) := '341740CEEBCD9CA166CB8B5735981739E66D6696167AC6298B4218344062208C88335292A1A76484DB20C9304836484290621D241CED1B88384694145590B2283AE44C45DD000850D842D687858A17AC0E0022A0A10C71964219BC29058C1AA251079382';
wwv_flow_imp.g_varchar2_table(9877) := '9BAA20D8B7D8231E63139BA1B7234800C85DFFE4719F7B3FF0DE191675C7C3DD717A53F6FEF783F4A3A0FFB854DB01100FC123441F0369FC40FEF10FC41764F19B31FC3EC45679A9E4BD20742788E7AB02FAA4181E00FF98C740F60E1FD1D79DF5AD670A';
wwv_flow_imp.g_varchar2_table(9878) := 'DD0DFD0FCC03E0F10849BD86F09E7BBCF383F737843B54EC518F85D8831F375408E18B7F0FE5DFA320F970FDF3A11FFDA7189EFA7DFF0CD9FEA17BED973E3B725F7DE7752F7DF18F9FFCE54788E61592FD817CDFFCED77FFFBE11F7FF9CF9FFEF5B7FFFD';
wwv_flow_imp.g_varchar2_table(9879) := 'F19F7FFDEF9FFFFDF7FFFF01300005700009B0000DF00011300115700119B0011DF0012130022570022910FF84AF02313003A1AF1DCC61B634F0034150A3FA411D42B0044DB088D8EF04FF557005B125DE58F005611053ACAF035327066DF00633240571';
wwv_flow_imp.g_varchar2_table(9880) := '700779B0077DF00781300885700889B0088DF00891300995700999B0099DF009A1300AA5700AA9B00AADF00AB1300BB5700BB9B00BBDF00BC1300CC5700CC9B00CCDF00CD1300DD5700DD9B00DDDF00DE1300EE5700EE9B00EEDF00EF1300FF5700FF9B0';
wwv_flow_imp.g_varchar2_table(9881) := '0FFDF00F01311005711009B1100DF11011311115711119B1111DF11121311225711229B1122DF11231311335711339B1133DF11341311445711449B1144DF11451311555711559B1155DF11561311665711669B1166DF11671311775711779B1177D7101';
wwv_flow_imp.g_varchar2_table(9882) := '5D813C6C6114C4E81711F116EA24166C21166E411957CE18035190882116FF5E6118A1F110C52613DE40824E0800B2EE1A0151B7F6C5085C00095C8009224166C0910F93A008922007A6C00772A00C46C10524C005F80500F031075CE0CFD6D10E87E01D';
wwv_flow_imp.g_varchar2_table(9883) := '07629372C0164A0E00AEC00706C207F2F11FE77007082209108CAA12A2214DCB21DF308DDC3107924009F845D9560821FC1123D7900B2032220100B5F86D203A00210B62242D9224D370D7880008888008308AD012A2037C8027070213C0411A64F20D2F';
wwv_flow_imp.g_varchar2_table(9884) := '6A2022852082850D82E5CF5A321C86520E63CCCA56881FFB31269F720F83C505183224AF120E778DBB0C628114521EBB120E550022578D20FC5121D5B22CBD322946D22DDB705F504C02E4120FEB0508D2D220B0807CFFB8D22AEF720C770008EE652034';
wwv_flow_imp.g_varchar2_table(9885) := '007000C00CB0609402530D75521FADA04E50C0C4520D002400042E1300D2D20546A031C710D98600084E6C20C28AD2500021F8A5D93C730C1F73BBF632B0FA110906A266266B35B95027DD31201BB20FFC922054289800200E8289A5C6C036AB10A32472';
wwv_flow_imp.g_varchar2_table(9886) := '9350AB0844D320BA611B94216918070070A1205C27938C530ADFE01BDFC00CB6D33901C0290F621C0A621CCC011CA6243BA3301D8B227C8E8218A44B3C0B621D06621DE88120C6411DC8533DA1B01134C76A06020B7C00AB08A28150A826A61300B6C11C';
wwv_flow_imp.g_varchar2_table(9887) := 'CE8104F9F30811418522E1CC002012CC87206A262E890C041AF2350D220E160317AAF34181D00D00A00CFFCAC00DA02B8B0EE20FC8C70CACCE0A1452466329095C00083C5233B5CB033C94447D307C227420FEA00F54A8282E343851088440A820D2299D';
wwv_flow_imp.g_varchar2_table(9888) := '7220477DF407FF004853C83D8B540708427A7A93205621614694318EB42074E5BFA2F406AD742126F33441E0340BC20780D320B661213CC1131A214CCB3406A7744A110121FE00274020079840216B060498003007420E12E44BEFB408DFE00EDE003883';
wwv_flow_imp.g_varchar2_table(9889) := '09BA1E20AC40004B4160052C1300C2EA2050A8A26C62517FD0A3184C85AAE67828D420B0732056C1241286C1600E546F901EE8E102EBE1020DE23E6BD556078FF2EEEEFC6015081F4FF86A6F20E8411EEEF33E1342577F550AF5811F86751F6E6F59B0AD';
wwv_flow_imp.g_varchar2_table(9890) := 'D059A5B55AAD750C75F05AB5755BB9B55BBDF55BC1355CC5755C3B431EC8751395F55CD5755DD9B55DDDF55D63D0055B0E21B0231D780E5E6F101E002075904E1ECA01E9F4D51CD4A14266AB1D00C0416B105F61D01DDC011EDAA11D1CB61D1AB61DD801';
wwv_flow_imp.g_varchar2_table(9891) := '1E1C161E18F66227161EE4011E90956DBC4D614576640FA2D848360999C1604F76653B91F75CF66561366661966569B6666DF66671366775766779B6677DF66781366885B666950FFF02020021F904050A0000002C03000F004A0256010008FF0001081C';
wwv_flow_imp.g_varchar2_table(9892) := '48B0A0C18308132A5CC8B0A1C38710234A9C881094388A18336ADCC8B1A3C78F20438A1C49B2A4C99328536674A3F0A2C0582A63CA9C49B3A6CD9B3873EADC39521D00570B3D1514CAB3A8D1A348932A5DCAB429434600AE09DC37F0563B00F40EC673BA';
wwv_flow_imp.g_varchar2_table(9893) := '33971F99B41015A4CAB5ACD9B368D32EFCF76F2A80B6F20050253B70DDDBB66A73D23D690F405FBC06FFF1CB4BB8B0E1C329F7DDE3A70F40BD7D90E70AEC27CE25E299F7ECE5C38A925FBD79F8E609D4770FC0BDD2F7E651ED7BB9B5EBD7B00BEA6BDC38';
wwv_flow_imp.g_varchar2_table(9894) := 'DFE9C87BFDE68E4D7270CACD07F30997CBBBB8F1E36617FB06D0B874E4C9FC4A2FCCD70F7043E000868FC4875D203E7C04BBCBFFD47EB01FF2F3E8D3EF146FDEE0F7D3C2BFDBB3F79DDFFC79F3E873EF8E7B30BFC1AC8597CF7FCBC975CF3EFF99F6DD3C';
wwv_flow_imp.g_varchar2_table(9895) := '99ED13E0437DE5574F3DA7558890701866982142FD3476527BEA8528E288376505003C27A208405C00B4C3D68B30C6F896428A41E6DC5D6C5557D06307B2B5CF3FE621589D756DFD08A47D91CD430F3DF7E0630F3FFD44D9165B33C6082464063A08993D';
wwv_flow_imp.g_varchar2_table(9896) := '90BD48163C2C0AA422894B8947E6996812448F3BEE8CA962989E8CF1C69C6F9851271A66A0A1E717007CE1E717637C5106007E50128A27A18092A8A299401289A39450924926A9D8624B2A93A6025327500100C9409F022069268882E20A2DB40000CC30';
wwv_flow_imp.g_varchar2_table(9897) := 'AC0E23CC2D9782FF9209237EDCF1861B659481061E9154024A2A00FC0ACAB0C38642092391989A8A2BA900D3CE5608C1E34E980781B9E2406332040F8ADC0E442D89DD5A9B6D9AE4A2290F3CED8138638B2940B00311451431840AF45AA08205294C3001';
wwv_flow_imp.g_varchar2_table(9898) := '071C504001BF1E08F14419852062702108F3E1861A628CA1861B6EDCD10724A18402091E137742891A5E880180180D0B3406000FE361321F88400549A48C50E2082278707C841042F0F0020B2F88C0010B3F788147217E38E248D085385208AD6A482106';
wwv_flow_imp.g_varchar2_table(9899) := '1F8E30C248D317613990BA0A513D75B95867ADF546F95028DC7F51E6F38F3A317050841252A02DC5106B1F51C40F42E09B42BE730B5184CF450BAD370078D8FFF1B01D7C2CC24721A1C4924B288B14F249C58B88A1064176900C004B03F161B2C90B332C';
wwv_flow_imp.g_varchar2_table(9900) := '451400D00C40134244217A14340B2C061E4203A0F7EA8EE0E178D12D43BD4F3C3F1278B543F768972043EC45697561BB3BD40F3F5FEF1E57815B27CFDB66F0D866DBB600B4F78F3B3250F08312D8A3ADC410470C11B7102978E041F8E1DB8DB7DE083BB2';
wwv_flow_imp.g_varchar2_table(9901) := '48CC6AD8D1371F4C7F92CBE145570C40210C3F2ED0C27D93CC30C85E78021544573A2134A109A38BC21344B740D019F074A9639DDE5CA706A635ED69E2F887911C438F789CA62183C9073DE0718F2831C43F83318FEF7CE71A161EC43A77A1873C06942E';
wwv_flow_imp.g_varchar2_table(9902) := 'E5D9F03CF0209E08D9C18E10BE051E3B78400AFF8A7084B43D410A4F38C2CCBEE78112A4C08929100200CE97B745A82F66767083C9D6E78850E4E218A1485D2EEE97BFFD4D8E64626860E704228412948E81014CE31300203A07B28066A7CB9B0485E63A';
wwv_flow_imp.g_varchar2_table(9903) := '085E101119DC603CC0448F7A9C5020F990073BE861C285A0307A2B8CDE6B56F8BB82B0451EED58CC0D37799C7C40EF3FF4E0A10FFF018F237820064450E211B63733EED16C6E4F84A5108AF8B3D55971118B50831AFA86072E86E218D0C8C5273E018031';
wwv_flow_imp.g_varchar2_table(9904) := 'E24F72EE7B18C384C0028194A004772C1D02BD10C7058A8E8E0574A31076593481EC9182A8FB63383448A578C8E39C8674083FE8D18E7AB405790651A1F460A442481E86920CB9643BE1C9FFC97E1E867939144E287B8817527A210949405B1267F68399';
wwv_flow_imp.g_varchar2_table(9905) := '2DB1741678A514A5504BD6F1CD0EEEBB9C157F19CCD485826F8FD39F406226051A00E09951A4D90119F884962A70740514020DB4E9C7A7A9AE69137CC22E85F6343F04924AE79247211B621E7E60D29D0D698C09D385CFCBB8B06A433A6A0AF9E9CFAAE6';
wwv_flow_imp.g_varchar2_table(9906) := '8534F750E455A8F40F7AA0C10B52E08258A5200587B65489B32C1D00529A4709E2128BEBF3E53184E18AD659D1680C1B48CC6236C712744EA5A0FBDC11E8984007968E0634104206DCB84B0B3EED698E7059EB1C17CE9E8ED3484605933CD2B990F62812';
wwv_flow_imp.g_varchar2_table(9907) := 'A90AB9C76CF401250F41B23AE6F19069C1C65A1D3635274B7D6A3EA5A5C9C9FF58F5B679391769EAA155814C891E6EB0421920E6062E94F5082D25EB59D1FA449A9DCFADBAE4E522ECE088C57D54979F704518F130D2F629B3AF9D6B8240C41BBACF9957';
wwv_flow_imp.g_varchar2_table(9908) := '8A054C6C629FE9463F7A13A713A4ACDE0C76D97FCC27A84C5AD1B8A2A50ED022441F05D54723A94490821A783040E2EA6B7142C946062630D2AAC780704B61C244A71E039D92D8E451062EC0C1697E50C3598F48562426B1744E14C2E9EEBA3A00E4D26F';
wwv_flow_imp.g_varchar2_table(9909) := '7DD3DF2EF170862838E28BD0080516BB4BB2391204BD9C1BEF79D908059AA9B78DED0DA72354F734973D8D7DA843C4CB7C4ACEF9C4635A4C82E1417C038FFE22644AFA08872AFAA08ED944CF4AF7284738D8F10F73C823FF3AE990C73FD8A18E36AB231C';
wwv_flow_imp.g_varchar2_table(9910) := 'E2C0079074E4609AA84BB60586B03B28E49B4A56F8D048C1C76932FC960D1BB7508D60C4175A4A694A93EEA151A465DE3E614B5DFE2F8D1EBB25003EC18D6F00E0187BDDE52EFD2686363E04BD8935721B67ED5ED54916B27890C24E5F36B4FAF28394F0';
wwv_flow_imp.g_varchar2_table(9911) := '88073DC0C390F674F91E5A1ECD3F5281042630A113F450EA5DFC02807288E0012608070CB221901870E11F99A04425AA408B0078A1CE0BAE099426D3E7B544B8B6888EB75384530F1E02C087EEE0C213D0E034387C0189CA3DEBF7627A84F3715A6FB864';
wwv_flow_imp.g_varchar2_table(9912) := '581440ADD31B1F038CA1F886A9A1E188557317A44F70B57A4FEAC68104768DB28E357B05A6646F3E968FD1FF851D227C6A24B6484B1EA021AA40E4E1E584E803119B50852A36110ED250C5475B3147156CE185677880DBE1188314D2E18A2A28C11CB4E0';
wwv_flow_imp.g_varchar2_table(9913) := '823A1A6CE88E501D9F182290869CF7E5775355DE60DF09F13CC38EAB08E4D7F090422AB9E027B206A1C4C78D5BA65509008AAEEEE0825338C81CB788637CA31CDF80C631AAED4D55273366ADE6B8E790FC3903829C06458EF57A15ABE27002002A277F72';
wwv_flow_imp.g_varchar2_table(9914) := 'CA71EA87FABA7C5AA291F98AD49195E0DD7BE6AAF0843378C1739FE3261EFF4887091E500671BC201CFDF08421AA700B6698BB1FB608C017489BEE905C3D4AA55187F279C80E00283F1DEA80BE3AD821D4090F8494835E4CD5C3CEFD9A0CE81E653FFDFF';
wwv_flow_imp.g_varchar2_table(9915) := '60E4F16FB715F1DF6A683B128F608112445408C79D62380F9EBA5CA6D1D38BF88430BE910E530FBE1C00F00D1517397B95451EF34C27351052645EE2C54600106B321581CF44727B636B17D43A1C833A47B3729E877D30273C33E765A68760F6100B9BC0';
wwv_flow_imp.g_varchar2_table(9916) := '0B3A477A07821B3F520E46F00C3B900937700BF5C0050F100070001336400BB79004A4D76025717CFD700FED900EE5A07CE5600EE9600ED1A784EC908474D60EF45020D84768DD77853BA10FDF177EEB220F78500652404452F0275FA006417062423001';
wwv_flow_imp.g_varchar2_table(9917) := '6E845C65F5043E23349C467FF6A74B77150AD0F077DF700C63646AC2D03A02E13E02A14BCCA480E2D5711E875E9D23794846797ED43497FFE734918581BB3665E2D02597B40EF0107A324773A55720BBC30DB5500BCE400EEBC0242C087BE96004099004';
wwv_flow_imp.g_varchar2_table(9918) := 'E1E0010CF00652A00ED580069E9009C310039EF00055506750B254232184FD400FEAA084DDC00CE6500EE2600EE1708CD9800CE5900DD7A07C335460D2C224EB761E67301075400600B00758F81A09C20FED6076F7D60FF200076850626C673265586211';
wwv_flow_imp.g_varchar2_table(9919) := '650113304B26464BD5558F7847418BA03AC3E47712074677988715974BB9C45DAED3800561526BA4808995881188646EF4044A061542235992683243D36BC43173EE100FF3B06EEEA0411C02175E2684EA500CBC500BE60026F520601A6489597549F330';
wwv_flow_imp.g_varchar2_table(9920) := '8D77310F6DE10E32B4675CFF35125362252F220FE9900EE150068C200E7F6002ECC0089EC00E5CC008AE5006A9100EE9E00ECBE172F03021FE711C1EE0050251076900005DD995DFD81A63970FE3E85B83010F86E007FFF60465B80678F0056F99345240';
wwv_flow_imp.g_varchar2_table(9921) := '3311554426C637F5480971B8647EA306F90887B92071DF204CFC980B1517337F08520461524200050921450B29813493643C15894ED6347CE069BC86087CF00DE4F4238A240F4FF27503B16E9C786F05321BA7A10FC7A00AB5900E4B126DF7C693FF4160';
wwv_flow_imp.g_varchar2_table(9922) := '910422820136DBA711F24475A4640ECAA804C3C0614A100D911009F220057F000AC5B984995410F0B024F2006FC631057DA08D02019603A19D6199166359965D480986FFF0967089076BE00860603260A04B264656EC290578A9979FA097F5085737B538';
wwv_flow_imp.g_varchar2_table(9923) := '82190A9FE0771DB54BB9C43731C6398155028CC99026B5710F3899D9047FA8133B90757299A94B45E3079C79595D129A12267A346748A6B79273560B7EA00A91A00AD5501BEBE23B041225BDD84828E4432B4A12BD4975EEA084F0900D49900945900491';
wwv_flow_imp.g_varchar2_table(9924) := '8094F2C005C3E00E9E500550D94EA5C90FD1394266521C7D600908F10C00B009D9B80965C00453000062D19DF3362064697678210FE2E9348C20078E20A6E8D93AAD939E337639BAA48F2EB3978ED0977F595D11070D39464C7968988F938FBD0452A413';
wwv_flow_imp.g_varchar2_table(9925) := '5808090045B6466EE4576CA44D86EA466FE88897095911FF5A4114EA077860A197A40ED5C73B9E457AA8599AFFA00FB6500655404D635005550009E3D4160DA69B92041D2664AA80313C80C61131DA603EC90ED9600877000786D0A9705005CC50067EE0';
wwv_flow_imp.g_varchar2_table(9926) := '097E6008E210959C2510ED3442D2711C8D50037B70080361077DB00908D1954C500558CA15634784E4F8165EDA3260FA34647AA6667A3926B3A6A8239F7A490902F16277354C761878FA0900741A467E7971DDF5040D75048548A8204710043A6BDAB488';
wwv_flow_imp.g_varchar2_table(9927) := '52C034927553908557D1C5077EC008A9900EE434A995EA48DE82A9CBF16BECE007A23A061ABBB14A3006D9F00F9B2125C128366C3185CD975586E44EED3075D3770F3FD88BC6775A544796D5C60CC3FF2A0EEE200EE5700DE1100E3C7B0DE2208DC4862D';
wwv_flow_imp.g_varchar2_table(9928) := '18D63CE861044930109DA00A9DD0099B3006850000C520103A40107F20105A70AD4A3176F5B6ADFF200F7EB02B7040AEE55AB6AAE6697CC2276C3A4C6C0B0018E597A32634BF74A7F8A9878729527CE30619070074978002E19803E1570B1853B4C60791';
wwv_flow_imp.g_varchar2_table(9929) := '12897AF3344C93346ED032B4800CD9C06630129AF4302026821029347A978B48CB960463E0059FAAB157E005A11A0920ABA2B1E709FF100EB4C00FB4400FD1900DE1500EE5300CFF500EB700B4A9500ED1E00AD1B06791E411C0383CEEC0434AA87CEDC0';
wwv_flow_imp.g_varchar2_table(9930) := '26CBC70EC5AB0E246410476AB449EA1ACA601055D095552A1088500709510666A0B548FFC1B5E0399BF0505C62655CFF26056F877E6455772326303BA59FF3B997ECEA4DF2C38FFA197176EB9F0481077AFB034650444A30584FA410E885400EF4901319';
wwv_flow_imp.g_varchar2_table(9931) := '899015349683067C100AAF800DD3900DD8C066D386A1D69710997B9A969409555006630031127307225C05574B20C8660E99900ED5300CEAC00C312C0CB20B00CF200FCC000FFF200E0DFB0CD9100D54F711C33B3C9E119B85241DF760C403024F4285A4';
wwv_flow_imp.g_varchar2_table(9932) := 'C8F10B046105033105DC2BADDD6810490B006890B5E07B14D90A9E53020F65A0364FC03665A56BEEA980194733336377F33BBF422390F9188711979F7EB7BF88E9629883AF3FC0B743E03D81CB5E82DB787F453A0A2A050B5C997EFF5008703034A1F00B';
wwv_flow_imp.g_varchar2_table(9933) := 'C810C9CF700DD3F09105154A95BAB906B11C1EACA999D0B156B0B11A5B055C500570200FA4850FEE640EC3F00CD1700DD5E009C3C00CE1300CD9000C9E900DC339CBD5F00FC8000AE3547C56C754AF1A3D60F322677776C813BDD3EB1AC9B09DCEBA950D';
wwv_flow_imp.g_varchar2_table(9934) := '719D35513B05910108D0C5CA8C155CE85BEE60065B200789B00641300416405665C89E95D65202734413F9C6C3E4627468BF11570EE9F00E121780F4AAC77AE50652F0033F102F4400D07D1C457E75D0FC1AB031B534B4C20770B0B00B9B09AF600BAEF0';
wwv_flow_imp.g_varchar2_table(9935) := '0AD7100DD1300D151CB93182C995ABA1986A49C360081D36065CB0B15EC00586300CD1466FB77B0DD9A0CBCF200ED7FF400CEE700BB62C0EE10000C3500DD9E00AE1100D3BFB91C13B13CBA1A2BBE92DD1D93CCD7C18D4900DD20000DD000028F0064CEA';
wwv_flow_imp.g_varchar2_table(9936) := '8D0010CD560A00DC3B10D66A0800A00575A2123EF2230050383EA6CD67D70FF500C66C810FA49008A2A00BB08009891004E5EC279EB6CEEC3C47E1449F2EB3AEED634574CC7FEF900E0F2710FB6CAFF9F8BF4200043FD00272D3448898901C27C8CF9401';
wwv_flow_imp.g_varchar2_table(9937) := '0C8A07FA46510B0B08A0400BC9100ECCE0D31B0D8D75767D985C0FA469109D3C10F6B0B23A4BBBB34DBBE98022AC3584EE6454F4C016EE648E8DD666EED00F47280FFD4043F6045BC51C2DED702EB6C11BD9B00D511DD303B1097BC0BD4C0A00D8800D53';
wwv_flow_imp.g_varchar2_table(9938) := '7B107FFF60067CF20664DD92C9A6D650D2B553F216F19008B0200AA2300BF02D0A89D0055B8005E997343A5569A26377D5259F7837D8F6FB0912D77F60E44DAE03A07A85074F60032920D9F9E201FBE20122705229E0AF8B35A8000B7F22563E65000894';
wwv_flow_imp.g_varchar2_table(9939) := '000AA3800CE0200ED9200EDDB00DDD100EDD500D3EE15B5DB5488FC1190DF1DAD787CCB6595429F45457992352221D04F616A80522496D1245AD2DED0026A7D1DA6AB10D522D10D230D55690B4912310AD800E0991C55B302800602789414E03E1316A8D';
wwv_flow_imp.g_varchar2_table(9940) := '9AC198BC05B60EA3D0DE811008EE8D099CC00989F0E6E9B9392E454051B0539C469FC4E46202B96407675DEAB364E55AE7EB7AAF29C0011E0000FBFFF22F866E0215FE57841B056C7844EC290410E001475009B6700B9A1EB9DD700BDB200E231E0EDB50';
wwv_flow_imp.g_varchar2_table(9941) := '0DE350E3A1648A1041E367271CA731211F943B0942759EA842C07B9BEC561445BE10F0D0DC24943BE7210D7D000287E031756009560C0044411049D0077180065790272531B45E62D6615E10E73D8ED6B10EBDA00CF08D096C3008A2D0E69730099860D7';
wwv_flow_imp.g_varchar2_table(9942) := '60900872000672800741A0D74AB6C0C4B43E76804B713B5262203A22A64B20C33789395D176507E2B5043413C090FE52C9E5699EB6579873042D200580F00BDDD00DD3700BA3C00CEB600EA3400CDD200DE3600EE2500DE660EA30BE1B0AA1EACA3C827F';
wwv_flow_imp.g_varchar2_table(9943) := 'F65A157B75C99C14B9AE10F0B048D1FF59ACC85101DA290900500BDAE0B65CADEC6FF0075AA0B62931ED030113D54E436DED2204310FB0D00BA610DF6CC006A2600AA630F5E42E0A8F600A8FD006B0D0065E9F086D9008A5500A89E00A89602C4283512C';
wwv_flow_imp.g_varchar2_table(9944) := 'C647F77E4DFE3347BB2410A8F009BB500CC5A00DDAB07A7670067BE7691093E004890770C03478E00770F061A0A00CA06EE2E0500EBFF00BEBA00EA3A00CD9300AA4AE0EDD50662E7EEA31FE2D09A1489A5CA40432FA29DF54B14E10A63F35ED76132F9F';
wwv_flow_imp.g_varchar2_table(9945) := '10315F0F339F1EC1A0043B20107A20109670085A5D107DF0BD0020DED15E60E42D10A972F4D7AEF403510FBD000BB3000B4F3F0B83900781C009F06D0A6C1EEEB0F0089C000BA5FF000BDEFFFD4DDF0BD4000A81834BB8B43ABAA440078FB700400803E1';
wwv_flow_imp.g_varchar2_table(9946) := '0D00400EDE80F7C5B009D0BA08D7093FF0733F8EE05800C1C8111E3C8028B9FAD5AD1B0070E0CE81EB06719BBA75A3AAA923E689D83873EBF40100F98F1E3B7AF5F601A00752E54A96F2D4A5640992DF4C9A34FBADEC975367CE983D55F253A9D3E750A2';
wwv_flow_imp.g_varchar2_table(9947) := '458D02D87914243C75F8E495541A55EA54AA31B701C80660854A499A40EAD913D3884A3400CCA0795395EABF7FFBDC0208052083010407D4DEC59B57EF5E00F9F8F5A3D7AE1DDB90F3602D33354BB1625393F20C1235CB9428539C385536F5C8D466C5B0';
wwv_flow_imp.g_varchar2_table(9948) := '60E982B56DD4A24F8B509906B068110035515A4761AD8620484251FF3415F3460EDD3B74E4C879F356AC56AB3EAB1101388E482023817EF8F86114EAD63471E2228EA3B86EDDB86CD72B2A5B27FACFAD6E1E438A246952AA4B98316BBEBF19746752A540';
wwv_flow_imp.g_varchar2_table(9949) := '410AE5AB97FE51A64EE9DDCB2F4001019006A46E3C594913492C01801041584A63AC98CC1890A8932AC430430D8FA269A4C154FAC71ECF242371B159260904934928036033584C540C805974A151345E785165175476DC313542ECB0639120517144133B';
wwv_flow_imp.g_varchar2_table(9950) := 'CE00C9176BBC0140B7DEBCD1C6B7E03E51A510471071A4102BFDC89292505C11269BEACA31679C74B603403BEDC0E98EA25B9451679B03FFF0649C8FD842AF24FB94624F2A9E360454A9FD8C82879D7BFECB27FF504589CA8AC06462920480B07A0A8BC2';
wwv_flow_imp.g_varchar2_table(9951) := '95DC58B49F7F16E5B4D3BBDACBC743104304AD441875914C4558366BF14519677911561ABB5985975A6EE4C5971C79DC05805E41EA559333C8D0841C008E01009DDCC8D1A65967BCE18D1C6754D9048042ACD5928F42F8C8459D74BE5507BB73D254533B';
wwv_flow_imp.g_varchar2_table(9952) := '7AD651689C758809669C72B69166943FC2B913803CEBD9F32897EA890A3F4F3D1DB42878E00190A67F0F06E90F0900B02352001C06200D96AE282361B25429062456500160634D1691C48E87198698AA0B114639E598F291879D76468D8746996124D114';
wwv_flow_imp.g_varchar2_table(9953) := '00288315A45563054917006A1CC5995A9AF1A568957CD9C51A547E5509153A244116A477ACD925FFE9669AD9C5186F767B87595500D86491E282C4C38E2884D9872290B423D7DC75CE35471C75CE21261973C2C13B9B58BAD1C73E91DA91C79E7C8DDAB7';
wwv_flow_imp.g_varchar2_table(9954) := 'DF3F55063460A2060610F140952970A843001024AC3A5642A28A32D0B054A54FAC41D271D147DF8B1E794062D9E551D749840D4C06E124B299254B8C6690609DF167003EDB6615677E071E00A289AEBA6A0094D6910E549804A06B958C01E094AAA37CA7';
wwv_flow_imp.g_varchar2_table(9955) := '7A7484DB24FB4D4EE3E59343C428471E79D82ED7ED75E619079C329351C69C6DE454489D8F421A891E7C062FCA257B0C8F8FF40A151F8A3CE0810FFF69881AD9A006009401121D70252C848818E6AAE013547C02823111424CA0F18D027650FF74808107';
wwv_flow_imp.g_varchar2_table(9956) := 'EA5AF63210AD830D72C84216BA90423604C21434A2996250B51254C94C17BD7346317EA74300D4020045339AAF7E880A41904112D6D00648AC01006340AF6AD26B866EAAC71BE6A902573752451A7C489275B46D1DE33B5F18C5010E0024431AE1905335';
wwv_flow_imp.g_varchar2_table(9957) := 'A4910D79CCCF5E23A9C73DF04794C209EA701EE40B007DC2383C0628182AF9A34A70308653AC64522B614215C610938A35080A4D88C96A54420B61B0E4087DD4D03330893A7E9C4E84AA2B61205A980736B0218524E8421E2631094EC4D0443FB3E10D57';
wwv_flow_imp.g_varchar2_table(9958) := 'A18D62D0B2183AD4A13380E88BE30180174E7302E558E12B63EC8217C08ADE29781125724C111DDA50452BAE78A34DA4411CA7FF5B073CCAA79D79A80922E3A8C636C2218D3556A31A5DB4175BEA77BFF5BC847F9BDC8B1E7BC24778EA6519D35049E476';
wwv_flow_imp.g_varchar2_table(9959) := 'B012493C28264838E44A1A392CA3B86225B270844AB8504F86F2C52FF408615F46B8927FC483142A5A252726810945CCA194A55425671253BB19D55066E058452D559AB15B0A8D68BE68060074A9234938EC57C55C092FAA668C2871AD6BC66845D6AED8';
wwv_flow_imp.g_varchar2_table(9960) := '8C3DD4222521D466F9E2A126EE48A41BC950E31ACD83A7C0D86F8E0174A71DFBD750AAC83326034B1457ABD28DC849AE7200B81CE640A2048102A08200A003009A008598D0A227C8608414C4BAD7BB3C34A2A9236148E281895E50E6129B41AC290E7B89';
wwv_flow_imp.g_varchar2_table(9961) := '400C82950060A5FF6544711953BC4866BDAB652C9A859B8C09CD68CDC8A536620A92AB35037A4CD4A9319BC88B666C6D8AEFD0062F9AB85A5E38A3157B50C7C0C805C6F29D631CC4C0853220828B335A079D5425891C01E049C2A9835F5AE5EB54BCCA12';
wwv_flow_imp.g_varchar2_table(9962) := '7A465729CBC846597BC22049AD24AD0000010C8AB0922F1C4F6400804214D24B5790E42226D3F8C54ABC605DFA1605849F0CACBD068B09512C16B19A59EC2A373A081515F8119878C4232C13BB608CA216DAC8212D8303E15D5ECD19CD5A896841628C98';
wwv_flow_imp.g_varchar2_table(9963) := '42D819316D62339CE11B74ECC6581F5EAD3160BA076FD4A31DDB5C876FC7819D7148C313E4194737C2010E690C631CA3AA1FBEDAF95CF7C464278429CA558BFFECBFE9AE041EEEF8CF4CEAEB137C4A037246F1A77779C004096C40252D60095DD51B8526';
wwv_flow_imp.g_varchar2_table(9964) := '401224B658099A01200B962C74CA6F0E0A44F14BD1FD5EC2CE7606B0621B23E04928C2B1ABE42800063108415F74150EAE85D09AA58D63FC0E5716FE5D126312D3AB69033810169E692D2D456679C31A29AEED2654C10E772435C6322E5399C0218E60E0';
wwv_flow_imp.g_varchar2_table(9965) := '628CCAC08527E2F08685F003B9F0A087ADA352C7950025AC7BD209616CE29E380200289BCAC94C1A07A07EE4E326FCEAC75F52D664953C597CF948543F98FBE669DC13240B0449301EC5923D9CB52710581848C0AC92B88E99BD2079052DD40C00684C03';
wwv_flow_imp.g_varchar2_table(9966) := '1AB78073BE6322678982B23098C0C49D052E70FF4EF8B9CF7C5E256401A0088E027C159550452D6E95E8454F13A6C1CBB0F07CE98B670147A632156D6B7DF31B006863B621768625B8C10E766867C61C69081ABB212769DC0217A3A8C41F74FE0732DACB';
wwv_flow_imp.g_varchar2_table(9967) := '5EF560C75374CD27E7B2044F84C90780B29D934DD5A31E9BE287B36FB229B6E4E3E89B0AC9B1A78E1495841565D45E4A3BE0218F7B307BDB5396457C03F9ED7103000700D08457108956003470031448C25A19B6F79594F90944910533F43D7890F01BB0';
wwv_flow_imp.g_varchar2_table(9968) := '7406F82A2F3189816FE6128E5DBCC2050CD93E8304E0A368842AA8154D2B0EED6BBC90A62F7F685AD382C41BBFE3E58D3AEECB245ADAE43DBDF4C98D515B4BD4821DEA081747DEF73E7292FF9319A3F044253C310AE21F3A1DC64EE74870AD6B77E8ABE8';
wwv_flow_imp.g_varchar2_table(9969) := '20A2873AFEC10E7164E3EA4F2F072DF0C40E4D61FD26EAB885F5E1910E6FD9AB1CD940C6F46FC10F73DCC21DF5B886F4EF714780F98B50808347D2FF7276FA364A25F8841C69683B96C8324961820692000E60098E0933330309E80000463088F84206F2';
wwv_flow_imp.g_varchar2_table(9970) := 'C203C2ABAFFBEAB7FCFA8775C084404038C6133845788C4B5009453838145484859B04021B8538D01EEDB1A2686A85560080D0DB05693A2695809292E3A55DE03828418556E0A9D88B22DD20076BB006D32A265FD8044B28076F318799DB0665488664C0';
wwv_flow_imp.g_varchar2_table(9971) := '052CC4059B631F65F0C25BB885515087F3400FA10389E66B2E22B3B5700085FF7F18865B9087707806786006E913074FC884F66B873788067940067A10077B19064F10877F788661C8047C33074F408648C8065A88045BC8864C700550F082488823FAEB';
wwv_flow_imp.g_varchar2_table(9972) := '14B0030078C03FFDDBAAFAD2AE6FF3091B30247F921824E03295480B00282F9F60AF85FA023580030068048312065908852F182F0CCC407EEB24509A890EFCC04150846344C14740C1551A843C988315ACBC1534C615842C021B84483003EDB184ECB9C1';
wwv_flow_imp.g_varchar2_table(9973) := '4DB0C16AF195AFA9C1705C890BF3051CC9154BE3054290A60B8BAD5D6886EAF10D6798BD1B690655D80368C01B2F94866AC0854303BE48888438880343103E5008C8790989376287E5C33AE753C37F10073F888648C804FF5A78835B000643A08572C804';
wwv_flow_imp.g_varchar2_table(9974) := '43C8844904053818444860865448877F88863BA8867E48057728074D22866BF8876BB00562E80757E80771000543B0054F48499E08C54CB13F81F944668333705B89515C091058094148ABCB39401400000F8889506005D8882BB9223395508357040083';
wwv_flow_imp.g_varchar2_table(9975) := 'F2C5C133BC8932365B5B874068AC6944C6B6F4A83920B441934B4133C6851B04B5FC832D388443D883BDDCC6EC2924006010698A266F8C09679029D04385DA6A164B208442E2B0D472062AA22D5BD90424A80569888664002EE0AB8448308446104D43F8';
wwv_flow_imp.g_varchar2_table(9976) := '034310C848F883374003345888742AC35C1BB29FF88772F00362880450B0854CF807438083547005717087FF9004C961280734880457600B78208C6C10867FE88661F8074F800771780675B0857E180676D03EE81C0673F88B9B184A45E1444F1420507C';
wwv_flow_imp.g_varchar2_table(9977) := '33A56409695886A808260040821A00890D58B795802077532F00982F00000490D84FB11CCB7C93B3A833CB614CCBB594CBB63CC639C88239000942A34B3F0309069D03517A032BA8832AA883344883BEB4840EF5506FBC9156A8168ED9C18DD325D09326';
wwv_flow_imp.g_varchar2_table(9978) := '5F684C41B0841A6C052B6A066DE80D6398C14DB0832900024FB8B94A680400F00452C08560E0472B248655184834D89CD50C0763BB357AB0BAFAE0B5356C4366384E4300005A300471B8864CA804430005810405C17305EB943E64A0855B4006EB0380FF';
wwv_flow_imp.g_varchar2_table(9979) := '6B1087F58B845BE0494F1806DC3407E1B30591F807F03C98F13C4AA4E0BF295386B5330A87618298A00000B801536C1086D94AA5F08346A8044AF8CF2913A0393B4B6254CB03ED2864BC048F72460965D04178469008843C20A54AF0011F480326980226';
wwv_flow_imp.g_varchar2_table(9980) := '60D53438833D9055BFF4462B42854D38854D0896EDF99A0F3BC774144241388453B084C55C346FB0A256B08334E0011E300238A884681D055210526508434F40CDD444D2245D4D370887B66852A0688FFC79BE9098CE7F48077148876F85075A60867FA8';
wwv_flow_imp.g_varchar2_table(9981) := '0660500771B085EA585257B81B79F88747540757188C86BC856F0DCB7248075BB0876C70856840045060877F08ABF014CFA25C1C7710A0FFB2F3BA491D8AC0F4AE2900002F030919B8012148013BB08623812BD8902B008882FD54890B0400BD6A044600';
wwv_flow_imp.g_varchar2_table(9982) := '092248018C152B0D3C3C7E38890E0C0452804BB83446513546C572C64FFDD439F0283620A58FEA822A70DA34A8028E458225D081579DD5160D3D54C85526B241C1B4C1AB39475EB2346F58C73D58905678166D188E4598821AD00118D8012020821CB882';
wwv_flow_imp.g_varchar2_table(9983) := '2D3083BB7D0333C85BB450CD3B78033770033470833218DC6FDD07AA533ED8DCB5723D0FD7843AB6B887AB333AA408AB7C08873F1187ADEB894CB80F7BD144A2FCDC3D123B7928366DB3D9A228229558021CA04A1320024455D48E810D77530944E8D195';
wwv_flow_imp.g_varchar2_table(9984) := 'B001155089CE39DD86C2D9FF89D2D93752CB409850A0ED28B8444109255E532DA514522115EA82460804E24B054FE804D084044470032AC0012648833AA8833DD8C6216C0505D1041513D15338044BA8AD5B690511DBB406A9834378DF6729864DD0810F';
wwv_flow_imp.g_varchar2_table(9985) := 'D8001300811670812418021710E02218822BF8033FF00338E0833B2008C0055C3520DC320807B740DC86545CA2233295B807BF883AD489237E70BAA4FB8FB2BB0722EB8743618B239B096CF339B6F88B4820213D45183E1DBBD2FDD3BDBA8AA9B04A9590';
wwv_flow_imp.g_varchar2_table(9986) := '9895D8801D961090F80456401228A083FB5409CE5D092288DDDE15ABF92B4BD5D1D99328500395CB3970C641535A53322530C8022CC0822000E331AE045200065B8885FF58F0044860844C008554088542680257055F42E850909084A5E1985EB1C143D8';
wwv_flow_imp.g_varchar2_table(9987) := '0411EBD0F71D5B28D9033A68515BA9854DD88010D8801F6E01201882480E6002B60233386004E60382F85B072E0308EE86B760485CBBD83464095BDB146C7B3A00A807BF2836165EC8C875D8143EE564733624B3E548C03A249B61891D0A4FAC61B37362';
wwv_flow_imp.g_varchar2_table(9988) := 'A2684F00A8011430019F5884464D2F901003960D6638AB5463035E0A36A1167A9D3E43C1BB54CB3C80DE2E1063300E8220F0012C9083E925855508436048E34C60634AF0925008854590D53420830D3D0408DA84C9D406AD6D5154908443D8056DB0843A';
wwv_flow_imp.g_varchar2_table(9989) := '9004691A5B69C9D03D103555888429D000094001100001FF2070012570018A76811D70012E800304E6CD3B80833710E9D524E96E7848F458BED8A4A8EADB3EE8CCD3ABC31379C886940C8740140766883EEB9323A6C3931636073FF004462807AA9B365E';
wwv_flow_imp.g_varchar2_table(9990) := 'DEA35223DD0D7EE69ED0846152098EDD0018F0022E4882BF43D9AC54593A982B94B5D295D02B578CC05A5CEA7A8AE297A10991900339685EA535D53C504B36E802700E67710E022508022BD0823890D651888554F06B76E683E7D0922CB1836320874220';
wwv_flow_imp.g_varchar2_table(9991) := '032608A6343884C53416542004639016B0415B6DD0043278CC22CC0D5E2003329882BE2C062DF800881E818B2E821C28828C568116500115E06843204D38800340A06D398803DA068442CCE59130C3FFC58D4871C8845498CE6EA0874C68876B60077EA8';
wwv_flow_imp.g_varchar2_table(9992) := '8E7F800773504E000005500807812C87E34C8791A449A90B36AACB53E584075D7BC83D35EA791ADD384A941BFECFD83D2F89419225000014B80190A8EA23F8BB4FE098B87A37001083846A3390E8EAB126EBBF02DE61B4A83518E32E5821B56603526884';
wwv_flow_imp.g_varchar2_table(9993) := '2ED8821CB0001750812120601580E421B082D5FC03E1CB8448800443C0834E56831177833E388350E08D349801278082F955055EF2064D38856628B1E2692D6F709A3A584C7744564B388329E8835A70680F38660136821C0082D696E8FE55823700CDD4';
wwv_flow_imp.g_varchar2_table(9994) := 'FC8351588555B8B9E21B97F3E0ED0B8648ACB3BAE96E58643084410C874CB8B13B7085FF6CB8054F10D87FB0856938E370F0D270180678404EEDE609C2C0735B2EEAD09D27A4366FD305F02A08CC616E201EA0A0AC5E66281003E4E80999955400AFA768';
wwv_flow_imp.g_varchar2_table(9995) := 'CED9619C8746908331C6822D006333908344688438D8020B988009F08009E0000FF0805327F216F80129E8683C78833B408331F00229F0823150033170833328EC63D88357DDD056F02190E00526418766380565020E72D8053A60C7DA5229CD1B8331A8';
wwv_flow_imp.g_varchar2_table(9996) := '020DD8000938E61B70012370012250011BE85F892E0234D0B904368455F0C26508D4564327FA093A275D2E0C3E6989648470B88637F00450B88654300457A8067A4885F44B2764A80E50F00473704357B8862B8D369E6E6198C6F3FF3D87D83EFF653F05';
wwv_flow_imp.g_varchar2_table(9997) := 'F0F9EA034BC0149F682496081DAFB416A2A8044887A7B23E4B7BB187E0E351D16479D104043900045E84000EA0809AA7000880009B3FD414E0822FE8F931E002297882A1F7022F5083313892CF16195785020EDD833438859E228756A80341D8040ECB8D';
wwv_flow_imp.g_varchar2_table(9998) := '66200449D8841BA98562A89243E0010C78806BE75F1740828B76011B1801D6B6811628822FE80338E8833F785369D88665D8066A08D41FC3720B7636DF3EE9F373053287034AF8C854F08354804E43C8866BF8566618D333A58561A8065778865B7085F4';
wwv_flow_imp.g_varchar2_table(9999) := 'B3BAEEF35CFB3B3A898F8A27ABF87887F4294802245009244802A7B5825B470397258A8D87833B880943400438C003FFB09C7892471849374BC1F2CC957779DA966D33E0C509A8799CCF79E6070008A8CA1FE8F92F00FA273802FAD62B31F00231E07E31';
wwv_flow_imp.g_varchar2_table(10000) := 'D8032A70D5CFEE835F9FDFAFE50549E8EC16DD856761963AD0836DB41555D8F50DD0006BA74A180000B47701896E0110000815234024F913C94F1F3F91464993B66D9B3465D2D601A808E09F3C76F0E8F1B3E8F1A34779EAEA79FCD72ED52D7AB66E890B';
wwv_flow_imp.g_varchar2_table(10001) := '17CE553571E5FEA552974DDCBF6C9E52B173650B1ECA7FE13CB9FBD7EF28D2A44741326DEAF429548B49A356E4470F1E3C79F5EEE5EB47F52BD8B062C756040240891500552C8E29E3C74FC53F8800F8715488A91B3C1FE1DC81F3E6E35FB28207132E6C';
wwv_flow_imp.g_varchar2_table(10002) := 'F83080FFAB15F3656CF7CFE2BF78951A0102C408D05B3F78F0AC7183E64B91091C2440286DBA74450929A4C0B9CCC70D17295EBC3C418264C99428536E2F6102400C001A152DB5E2B5491BBA5664C81037A6CD1B39544EF65852F5E9901B2F1F2250D8E0';
wwv_flow_imp.g_varchar2_table(10003) := 'A1A211172E60780061DE04080F55227542D4A7CF9F58CAE6CFA7368E9E3EC8F434CAEB0856244925FD332081050E988D2B030270CF631F0DD8CF635E29A514004B2186D8545459058F3B5ADD732188213E05871F777C65085C7F38F5061C803555864581';
wwv_flow_imp.g_varchar2_table(10004) := '8938238D351EA618008CB1D34E49F1F801079024C201C8909C71F6C511139C96400210349980451670014825AE8042891F7C64398610259440030DFF3588A9830E504C41836F6900D08A259668F34E7264D4B1492BC638A34D3169A471C82676D831C614';
wwv_flow_imp.g_varchar2_table(10005) := '1B44E01D002DD8E042781228EA810423B4008212861872C8186294E14930A3684A8A34F7E55711461AD1934F58003AB8E03FFCE493EA825CE5034F47F7DCC311001DE5C34F3F5D19D55F451322D5AB8D646518D5861D6E5561B0C982D8471C1FDDD1875F';
wwv_flow_imp.g_varchar2_table(10006) := '15C1F55125001862A2453096F1C54732D800400ACA8A3B2EB915E1A8238F90C5F359196F1809A41C8EC8B1191E5288B6A493F956E481148DB8F2CA2B57024049257818C1010519284C81061BC4C0C40A152D01009F691C078037DA0040C61E9B6CC28B2A';
wwv_flow_imp.g_varchar2_table(10007) := 'BE00E0C414539CE167131A70C70108FF30B8B0C3788A562001A4565461C57B63EC21861791DC324A257190B2CD38FA7C7AD17E1BF9F795A990816AA082B83E96CF3D124AE5D5450D523861B9600D0B55B11E76254FD7657FD4084886A8E8D1DA00FC31AD';
wwv_flow_imp.g_varchar2_table(10008) := '27995414090088C0019B453BB450110510004081D9810B8ED886B5A26B113F91A121C5178D7FA1061AEFC2B146BD16E0FBA4934D4A70841FFFDE024A238C54128A1F47208C30040F3C5051022BC0B0C31416D561092FDA34E38C37753051C721BDF791C6';
wwv_flow_imp.g_varchar2_table(10009) := '0A349C30851D772491C10314A0D0F2CB40802081072EA0D5561F9B546F891D758CF187277FC4D1C82844E787CF63FF243D2A58FC345D9238E9403D60E2FFAC6AD363EA5C634F62FFF5446894AF12628DF5E03CF2B5A784ED58FD205B00CD2629B745055B';
wwv_flow_imp.g_varchar2_table(10010) := '1E3902004C0015BFFDED3B2F08570233A8C18F142E478D411C46CA20052E90900B8E6B1C1A52F80529A4E072F982D2EA5480864A000C7480684423E0A08409788087A80100940000821D20212D53E8982A7861894D34831775700214F660873DF4000734';
wwv_flow_imp.g_varchar2_table(10011) := '588110DCD0872A08AA3BCC33020850003D2B98E10D6518431F54A1C6566CE2101DAB44240C12BE913CCD7CEAC8CAD2A8B2BE5AFD63188CA00500CAE11878DCD17DEC60873BDA210F78E8231CEC30473FCAB1AA4302C01DFEAB108580B5C1013AA5801F02';
wwv_flow_imp.g_varchar2_table(10012) := 'E00605E78737BC815B61A1A047F6B6032380840B63484B286369B6FF7BA80F1E8BF96055FE018F15C6A697273CA11454A0A417968649414C8094E2000A5754420E8CF0032040C3C31E4E007014589D0168F60214AC80097BA89E9ED2B08756A862137B30';
wwv_flow_imp.g_varchar2_table(10013) := 'D914C8B48115F4600C77F0C20612400196810008314B8004AE10073F94E10C692C671B0F51863E44C21391A844F8C64192F8D9312BA4FA0F1D73590E505C241B88308439EE06873F2083440A61462A6C018A6A78E2197EA04536DC60086480827F5C93E5';
wwv_flow_imp.g_varchar2_table(10014) := 'D52C44ACAB18EB4330CD20E05627222FDCB4A7E4AAE52D77044278A08184BF845C0AF1C0AD15FE8034C4C45C933850842F50891280D00B1A94D0821E7AA0870090000598641126A100084BB0832A42E0843454FF4715B5A8453A75C0031DA080032CA842';
wwv_flow_imp.g_varchar2_table(10015) := '199E4001EE78C00436D09B071E80CFA996B20A5E18C39F7676062BEC210E9EA8842746118E75A0AF7C197168A922CAC76CD862409E80C7343C418B6AA4221C91A0053386318C4CB8E2162C814424FA410B5ADC8218C47069FF6ECAC9A6D4122BB2F269B2';
wwv_flow_imp.g_varchar2_table(10016) := 'BEC594204A80031E01815F11A3040802B7B9333AA02D6B854B50C1E30D26749C1ABEA042A5E221725FE0421152E081BE4155AC0958CD17F0F086142EEE0729E0A1A2522301261920010130800118A0032454E10C1FA8C114C670883E600318E9E4C15CB7';
wwv_flow_imp.g_varchar2_table(10017) := '09002354E10711481E7A60D0324535090445508212AA50852924610A46B08D86AB6010846EC31CFFF4C0877FCC27AA3C46658FBAF444367A620B9FA48219AE88862168410C66D002B2F030842D3CE1096478E216B405A43E72DBD3DD36451EEDF02D579C';
wwv_flow_imp.g_varchar2_table(10018) := '3B239D56E4011B9080042B7203A65CC18187310428A52C66C10055558D69D045AADB96326C8BBD4AA5DC172867066E49410943F8410BC4ABA4267920052D50426CA4206825E059CF1CF80E0800E0240218C0230978C00A50B0010DE8E0B063F004378051';
wwv_flow_imp.g_varchar2_table(10019) := '0513C0200637E0010C5800831F9800010FE82A0C526D020F94067A7DB601109290042310C1082FB841126E768537708F18DD58873EF0012A7ADCB11E1D41A0538EA23ECDF2511C9960063C2A410B7ADCE41AE5604637C4D1926C60C316B4B0FF5F390CD1';
wwv_flow_imp.g_varchar2_table(10020) := '8D74840300D5A846FFC21C4B263385435931E0986B040406AF850B15F9CB1B4C64223478392A86B048283CE191B5C4BBE064E920BAD00C007994F20B654043192067A4381B89727200D26762A38422B48003290002108ED0B81FECE00726FF810CBADAD5';
wwv_flow_imp.g_varchar2_table(10021) := '09A047D1622500A309F0E886ADE0013518438922F18C61A0410629B8810C78B04D0F888002A6F6C0F224AC72EFA8DC50402842AE937083D719210956B0021A22810B62B423D8C35EF157BCB2C71C116855E5CB1AD43EA26E4CBE74C9BFFA8ABB3D542164';
wwv_flow_imp.g_varchar2_table(10022) := '1B5C3069B9028C3C12983BC8C82369E90359041E8A6A55642E753F3C546879AEE95644CD6DDE1677E965A4795182327E512178FFFB8CE12FF8E5083B2839118E4004131497E586627502F00B4400301A4A1BD8C0035EE0058440C22590F8C10D7A200313';
wwv_flow_imp.g_varchar2_table(10023) := '181761828D00074CC069F274F5D08CEA6A0A52B0832270C1664A30420B74E08229EC3AB2E9E0A3B9EE88BEA82C65EC0B92073D6635AA5BD58A2BFC50558E2A22AB7CD483FCB652B2DB651A157828526C0744FC58CC800600BC61942DF2881754811200C0';
wwv_flow_imp.g_varchar2_table(10024) := '18F49DCD7801E0014014000012B05254840228780225A0C113101CFE5D20532C9E5041063BB881C33DCEE3A04176BD19BDAC011C5482557517007C171728410AFC8012B0068A2C97AC65980B1A1F00D8C00FB81C021800A3F92010BDDE0640000A584189';
wwv_flow_imp.g_varchar2_table(10025) := '18423888832BECFFC00DB817073C61582500033CC0A1C180F0AD9A071CDAE91457167A80D5BD521958411220810B204112940146E943E25CC43D689F4D4145F7315B55A8CAAD9CDFF9D58A1D768485E4431DDA61AFC01F4C651255C0033BC883DCDD1F06';
wwv_flow_imp.g_varchar2_table(10026) := '7EC5185C8153382012DC9B45DC8C860140219CC1237E054541200050E013FC5B227E22C231DE3FA8C3B66C8B1A986276A5A2E300001E544225C04109095A9D419D127C812164C2DA48411548C1D5D9401616970D1401102100CC1100EB0140A341800428';
wwv_flow_imp.g_varchar2_table(10027) := '9A0718E1DB444337A482CFDD80785140DFF4A0A9CDD315AA1C079CC603640E04C0608615A0198D8112C8DA0E4C0300D843F9B4E146BC211C2E9C1C224E47E4FF211EDE6186E4E1D2A49B4F09E2FCA9033DD08301D1DD27CE8805DA010030D7570C1E00C8';
wwv_flow_imp.g_varchar2_table(10028) := '8D5A1424286A60BA54050054826C588117C8462C069A140000E3B862BD74242C09202F96C141FD5F9DA50517248178ADDAF29980608D95452000001817047080111A021C44822BFC817B251FC280956065A308085F5F155FDF9486EA38490A38DC4A5601';
wwv_flow_imp.g_varchar2_table(10029) := '1AF8C11FFC411F984101B2C33A828A3B865FD8C9638050C5DB41A4DAB11D5810523D08E42711A4588605105C6253649817B8411550C11826C1538C015D00001F00001CA881123C0120AD25E2415750390664FC833DB0833A2CE6625E9F3AA40363A6433A';
wwv_flow_imp.g_varchar2_table(10030) := '9C8346C4C3399C03008C8339A80300A8C366EEFF483CC40300B4833A8C83629A03642EA639984367A2A6479443458003004C663A6CE63A64C593B5038F30E66302803994036C06D26C3EA664AEA6711E2764B2C33A64443AECC821B5C3212DD41AFEC33D';
wwv_flow_imp.g_varchar2_table(10031) := '880A3CB6D83C3E85FC09A6FFAC5D531062400EA4601A06677A84628EA647F466536065679E6767AAE778D65D2D9DDFE12C0D4315C83EE4A73DD8433CEC673CEC03FE1CA6822848616CA78DA45DD6FCA1D12CE8627CC465851F8B75D2D845681E2A9B7D76';
wwv_flow_imp.g_varchar2_table(10032) := '12002999770A8E3F4205210564F83D547C7EC4D138453D9C6845942853FC4FD9F4437E56C43E00408C8E68B2148E9909553D76C463DC211F5988B251243DD2E143E9613FF8611EE1039292FF250731451E19E857E8234808A91D2E288F9604216E04F969';
wwv_flow_imp.g_varchar2_table(10033) := '8848D08347A4581E690DD6ACA157B8DF1D9E5F9176053FCA52873EC587A2A588D2A858BAE88BEE838BBA289CD64828E2281E2628DBBD9DAFC467856E28643C689612CB1EADCA3D9004811288D4C0CF985E8485EC0F9AFE614CA9A9920E2240A2E59D72E7';
wwv_flow_imp.g_varchar2_table(10034) := '8AEE83C26D2AE12C5261D6CA9E1268DBAD294406AA1E894AA1622797E6923AB80232C8C33F18DB3F901B75924A3BFCE680AC263C10483B2083FC5CC456F4433DA46928B11B488027F85D27A862608EDAE3B386C887BCAA07E9E9D3A0DD4BFD4A586EA7B2';
wwv_flow_imp.g_varchar2_table(10035) := '3A97932EAB7566D657268E4D6483305C03315C4338D042346C66383C838D3DFF43B5F904AE8A832D98836D715634304336E0D6B79A4DC05A04FD19E2B14C2BC226AC60F4834466EBFB1408A8A85D9A0E6C3F0A2AA8102AB996C449B0EB4D44C333884335';
wwv_flow_imp.g_varchar2_table(10036) := 'DCC42D38523664C3335444345C9B39FC0331C8EA34940330844336F82BC086A506A1EA773E99DC29EC058E43455C5F450428CF1A06C346D7E1A0DD3F3C926496A66766266442E666FEAA52F06191DA54D5E44AFBA18A995A0D70856B49602C447D659AB9';
wwv_flow_imp.g_varchar2_table(10037) := '0F640E4337BC443954033094433484033684833984433B64C33544036394033F2821BDBA42C962C383B45D8810E858E06CBBB9C3BB45D9D022DE2D54C42DFC02006066E21668C31EE634B8162EDC826A1183300C0330B8FF96E786036EC50F84A05D8528';
wwv_flow_imp.g_varchar2_table(10038) := 'DC90DAECB8706B98FA21A4526A9582842EB12AB91288C33EAC81B0A16FC2E627F9E63F94833A1845AA002FFF94EEA7F229E0D691C2C99FE0C221C50240DC6DC5AA44EE050683F4DE88D18A223D4C0331E0C230D89630D4821DF4C13040C3306C1D2EFC2B';
wwv_flow_imp.g_varchar2_table(10039) := 'FFAC4A3544C3280E03460C435144038C014036045237E016B97468954EC599BA4A1D82C4F93C943BE8911C960FED26C6830CA8517405A9A48A1E5E04F9AC237FEE2762EEE73DEA28B22026533C063B82C47E7EF00747285836EF221DEE9B56AFC1392E0A';
wwv_flow_imp.g_varchar2_table(10040) := '0F46D116E6D2604432FC022EE002338CC2399101137C0234E082E3FE02FA3AF03F78DC3F200307FC83393CFF00E8FE0005D0C21F04003B64021A50E75258EC85C4A8204288ED56ED569CE8EB9A8BEC82A5578685D762702E5D443C34087EE6E78C32851A';
wwv_flow_imp.g_varchar2_table(10041) := 'CB688CCE2948A8B11C7BAAD07A0DC56E8809AF30E2AD02E4EAB15888EAB5B6C30BC74332F0300D57421AB5422BF4C13104832C3003FD1208F92043197001BDEE40EF7A00E856811FC0432424801F78C21D48B1D78A48FF14085224B08450CDAAF043FB45';
wwv_flow_imp.g_varchar2_table(10042) := '68002706F78571D895F20647462F6441165CC02E5F40185C0000840154FC723003802F378530FBF20528331B8CC3198BF11D5F451EFB3135DFA9440E720CCB703278C226BC5533F40130C8B0E3FEB0A75A5715180236FC80119BC0EF560105100324F8FF';
wwv_flow_imp.g_varchar2_table(10043) := 'C50F1882FCD872889C72EC0EA73A28E663F2E63EAB433B181B007FF12C7B5FB2D9B3D33C463C94820034C0003C34440BC0007C840014400108C05754F4455B74454B7443EB42641830F7453356884D35C7DB2FDC82CF9EF45768203BE8E880CC430C3B32';
wwv_flow_imp.g_varchar2_table(10044) := '2EBC4227AC512734322E04C3F926B03EF4000CE0DA3070C02D5C4302504238248121A8035FA443007841AA342F61A49B2EA5433998836EFAAE67D6663AB8833B3867392C12A92C4D2C83B1413705EA3605D4C4832C08800240F45B43F40058340014405D';
wwv_flow_imp.g_varchar2_table(10045) := '03C0445B845D7B4401E4F55D5B3460F7F50090004877F0F2A235494F334BF79430FC822C00C0E52E764B5FEF8E9C1F81C8B42C38324FD7FF4227F8822FC4C20EFF82234B430287031A14A91FD88215FCC03070010C788221504024804226FC83A4443542';
wwv_flow_imp.g_varchar2_table(10046) := '1F46FFA05F3958B52B0C433AF82B3B300370CE5634DE0271E20F59B36A470CB076D272492036153BC83EC4432F34800228400128805B73F700BCF55BDB355DCF75457CF7005C405F97F75D5744600B366153B01DA7356F49F3CE4A364C014345E0822CCC';
wwv_flow_imp.g_varchar2_table(10047) := '306BDA77B2E188FA5012DAC58332C8828107433014432D78F631400382532F69FF2D8236854DF1AFB2A49B3B00E78FC1013184830794413A2841368483120C8319DD423988838991AA176369C6DA31542C2A81C4433028800364B702B4C123B401308737';
wwv_flow_imp.g_varchar2_table(10048) := '4703B64790774543745D3FFF745D0F796013F6198B34F3CA3793D237F416AF7F6BD06303C02A70661D4FB9455C334311B263CB023104432C7CC22714033440C3F6F27484032F16270E3E7085ACD4E3828C0A8458CD74EBB6AF242D70AA8327A040BB7241';
wwv_flow_imp.g_varchar2_table(10049) := '1964C3189CED0ED0366B5BF58A7B44008BB0C442F748DFF9D35477300880030C8000CCC10228C0053C028E5F80A61BB3006074905FC01CE4354657B4A62F3377BBF543BF7707D7B29347299423AE9687122E2443AD4385B5AA8F6E6A1221EF7430104325';
wwv_flow_imp.g_varchar2_table(10050) := '2C422114822A20422D04433677C351D86EF116A9B065E8581EE8FBC8436DCA0428784119105A26708138644319F4B62BFCC09E67793D2892409384BA5DA74864798C4BFF395AAB9F753740A55FFA5C0B401B00800338802964C1231873165404099080BE';
wwv_flow_imp.g_varchar2_table(10051) := '07BC8E3B40C0CF4218047C16B48129F8B2790FB62ED4CAF13A08C4324D56C8C33CA058AE8752DFAD74C7F70A201FEDB055C32F308327A0811550C161CD8615C487E3DE2F16A7B251E4073FE8835154083FD05255AC1FA914A9E1E00A8DECB63A5CB527BC';
wwv_flow_imp.g_varchar2_table(10052) := '4124C04136C48221A0011F0C031A46021A64826796A77E7408FAE008549C356287C580C8833D5C775C2FC01C50FA1C6C370028C223A8FD20E8822ECC8228E8022CE8F22390C02C9882DCEB4218CC812E98C22398C22C3C420154BA0210F63F180DA38304';
wwv_flow_imp.g_varchar2_table(10053) := 'E12EABE19A74C867D0D541F6E23EFE9653B6207B043E54FF033118C2CDCC8617F0CC188C41155C012D24C3BFCE7C9D1FB0828C2E9AAD3E9A61CD8E427A57FA0A3F0CF0F569F567D6666F0367FB00B4D8228DB13C54746D7D764AB7D76344D837405F0BC0';
wwv_flow_imp.g_varchar2_table(10054) := '05E8F88EDFF8A5EBC21C280200E842166082DB4F7C16F43BDE63C2F68701DEDFBDC2CFC20538405F1B7E7EA8E841C73AE31F2EE567D02B01802B64E6FB2786E5E751F6BEC22B8D812BCD06408CB132E64A1543C4B2FDEBF7EFDEBF72B4B2A91B36AC5DB7';
wwv_flow_imp.g_varchar2_table(10055) := '6CECC2651B562E218070E1A2DDC2588EDE307CD99EB9BAA610404B972F61C694D9B25F4D9B36EFB56CC74E1DBB9DEC8002000AB41DBC9C30FFD17327AF5E3E7E00E0CD84294F5D3DA9316D5E8DF9EFFF9F3C7BBD1A28183076C0850B73DA0C10E0605696';
wwv_flow_imp.g_varchar2_table(10056) := '39731ECD09F3A8CDA306174C3D0A03C0D45CBE8F00C77D7441C185012474FDD30760B1569A371DBB84E70E1ED3A3913167D6BC997367CF9F4187163D9A34E87EF4A202C827CF274C7AD3525DE132A68C9B3B7DFCA01923F0CDAD6E36F9E543A6EEDFB374';
wwv_flow_imp.g_varchar2_table(10057) := 'E2AE09B305E099C87200FE0188262E5DB5E200E4452A372C9D2D780AFB957E7C1378BE96F5EEA5578FDE7CFA7CEFF9C5779974293DF32D9F6AA54A4F73CDC85CA1EB2A9E5ED61AAB00B50A10608E0B1C5040010104280000B51E94B03000D61240010C1D';
wwv_flow_imp.g_varchar2_table(10058) := '14A001001C144B810210530C80FC1C232FB3C92A434FBC17618C51C6CEAC98D1C61B47FF3B2DB5D57C7A2A3A00EAC90694320AB2C20B2E8E14C88A32FEF0AD1F7BE499A79D6814A312806B98D1281B789061EE9F2CD369E7225A861107996C6851879885';
wwv_flow_imp.g_varchar2_table(10059) := 'C2C371BC9A9EBA29BE7CEE81CFA9135FA28FA9FBE041512AAAACCACC3FC700E42A2AB0461CA0801005985044B2141DC0A5031795B425450BC814D34C392DB13100B5521133162D73D3D453514D55D55539430D3F79DA69C74F7AA279259648DE78C30D37';
wwv_flow_imp.g_varchar2_table(10060) := 'CA18038D32DEF0E4165CBA892FBE7E9EC9269D679EB9261CE36C0146CD6B10CA121971B2C9060062AA01C09C4CDC01001F964E252FBCAC8C4D173F14F56CAAA5D4F4AB4AD0413133F4ABB00E1CD141002E00D1B0C238CD148045F5FFDD504209250D98D3';
wwv_flow_imp.g_varchar2_table(10061) := '113DC53332512323953D5629AED8E28B31E64C9E1D6195F5257EB2B98518622602C696936F19E6965B7E21269C9AB8EA0A9B70E4C9B69FAADC49A71BE8989B4C5B7588FB471D73FE11479F74F2A1D74D73F941375DF94E64B79E76E4B1AFCDC858E36F5E';
wwv_flow_imp.g_varchar2_table(10062) := 'CDB892E79F521A80502D081B1560EC96CC564BED091B55BBD109E11E3842B2076820B1C63083D8B1C9E42935E3BF010F5C7037376E89C776EE61979E74D23187F1C71B4F676873D899E7A69815C2FC3F387FC4EFEA8BB3D28A217698CA0F5E99FA798A1E';
wwv_flow_imp.g_varchar2_table(10063) := '76020D55EF990A65E89F717A81C5765844E945140076EF5D26582203FEF6E17B39A7F3BC43C74C9EFA261EDCF9E7A1FF8F5E3F97566BC79D7AFCC45C7BED5D828CB1A7F0E1E7C7A7A04E3C75FF1682FAC4CF41571AF67BD8A107FBCCF859BD75A9CC659F';
wwv_flow_imp.g_varchar2_table(10064) := 'FEA7F4E9DFFFFFFBE13FF2EC2375FF03C03E10B88FE800487C3C03D5669217B176C8AF4E1F93DE053198C1BFF10356D7F393C35CF2346301207F11D4A0EBF4B715F855ED833369D3EAB4361FAC988B33FFE0873DF0610F7BDCD01E2EC147F860D2439708';
wwv_flow_imp.g_varchar2_table(10065) := '1100F328A211E781C478C4631E3AD4213EEEC319136A051E13AC87BB4278422D6E918B31E26051E6079312A6B08B52749F4CFE518FF8853132F59B608A681823F6A96F88F6F8C70E5BF22327DA31669FC90A196352450ADE092A2D2CE3211199C898D483';
wwv_flow_imp.g_varchar2_table(10066) := '32861CFFA3223BE33DA9A86E8D86C44A7CE8F146144AF245733464748C654751F651347F14E319AB5835F3001292AD74E509F35119179690344F4BD58F70F9B0D77D2C38B0A2073D2EA395F86C8C1E749CE12E65644C612A13752514A132A7C837FBBC92';
wwv_flow_imp.g_varchar2_table(10067) := '9AD5DC223FE0418FE375AF4DC8E4DA362F064EFC9D5126A8B9878B3263CE5071939CA5CC51BD34D74C32A69098FCE9DCE9AC994F7D626C6A7D024030DF1350819A278A3F6C893EEED1BF7A682D862FA9D340A3289AF7CC2427C1C1937C2C493DF2D9D258';
wwv_flow_imp.g_varchar2_table(10068) := 'E4410D3DAA7614BCC1E48A574CE515A59213F54094A511FD274C26EA12F504D32528C54C49011A5098CCF4322DD5694BD4F3CB5F5AC51DECA00C30FFDF258F7D2E95A9A76A283B24D71275CC841D42B16A8CAAFA92A95A35AB55ED2AC5BCCAD5AB0A8527';
wwv_flow_imp.g_varchar2_table(10069) := '5A1557648036D5AD4626ABFB0C4A4CDA1A1375486EADED0040439B9A57BD9286A6349D8950336353999454B05229EC15D3032395D6B49C408AD1626F0AA4C27226B199A96C64D4539AFB9D07B177BDC72F957ACEC9AA66AFA5356D68321AB8CB52CFA531';
wwv_flow_imp.g_varchar2_table(10070) := 'CAC766772AA3D69EB63309B4ED3E689B5BDD5A33A62F11288E66CB5AD5F45670048D0C445FD23FC305F762EF49A03D708BC0DD4E97BA8854AE4CAE6B238BCA248AE463AEC588ABAE751DF43D3F34CFFFB29B2AF88C502B3FC4C73EA01B1F7C5497BEF595';
wwv_flow_imp.g_varchar2_table(10071) := 'CA7C83E9D7D00C542AE9A5E87E5B0BFFC5970EF7A0B0859E417DE85E1FBEC77FC365B03ECC4BA7C6E8174656B14A0F85A843FB6E98C3914CADF458D9C6F91EF25CE823219ECE17622DB6B3C32DDEAD5D29D392C2C5285C8E69AB5D1D63BD70C555273A76';
wwv_flow_imp.g_varchar2_table(10072) := '878E5B52E397B463AE33C171F4C205E47741252AEB788993DDB10E784899CA00889593AD97AAB69E0300EA2032975BB28E738819006476B28BD14CDFE5E4A20F3D284DB7A4738D964C031B2DB9869C5D72E7CC6403CFDABAD234E43C8D3F5F0900D5B806';
wwv_flow_imp.g_varchar2_table(10073) := '9C61C20C6A96431C2E31474B1E0D0E716CA3253B03C036B2B10D4B53BA25E2B03437BE71A3240020094518C2A88B0080530FA12535D2424BCCB0050080E2D2D031629A71BD575AFFC0040500C8000618F01968B8E4192DA9B39DF16C6C3927DB317A7689';
wwv_flow_imp.g_varchar2_table(10074) := 'B604ED1241331B26D168C9305C120B311CB21CEFE876A85F320E708C432ADDA0464BA8616E00987B1B8D3E063A00F08E9680FB544000420E581D8498C822D7FDD6754B722193039C20039EC1764C9E818D681C1A00746E3866E8AC680064E3D80E9FF8C3';
wwv_flow_imp.g_varchar2_table(10075) := 'AFC1E7695423DA521106348ED1894D3862132EC101006800001E9C3C040008C1065E00000D2841C5377A473A6E0E93E700001CE700074CA8018EA00FBDD1338106BCE92DA316B8C4052A70C14B7CD0922BC42419FEB63A53030E805DC784005799020096';
wwv_flow_imp.g_varchar2_table(10076) := 'D0122848E519C38649A0B1B16C6ACB84CE7EBE469DB1E1E7B3033AFF32C3E812008EA18A4FC4E404265F814C8C60B1723CA7DB3011C7737C4EEE97FCFCDC8E11C731DEF10D74243D46405081E5810080CBBBA446FA96354C7646C4AB8F9EBA295F42D885';
wwv_flow_imp.g_varchar2_table(10077) := 'E01226C484198A96F835A2D12D3C5B5C2BC8E0789DEF2CF73907BAE1CE8EC9DD5DE288562C8210BE9EC14B3000000644007514F33600CAC138CA2F1EE83C8F09351AEF924A50C2542970C90E64A26F9780A111AB5877F6499F7EDD3220D8618FC9075C32';
wwv_flow_imp.g_varchar2_table(10078) := '0C68005FD1B17F89A13B03688D2FFBEC87463473AC4D263681F8ECA025FACE2518000104471C8A0E001A301D5C020237431C1201007E0000646D0882400359AD626AA425648D1492811AB6E1E7D4EF04732BF9FF004007E00F26A20026BA44D18A4D26D6';
wwv_flow_imp.g_varchar2_table(10079) := 'CE31B445CE746FCEEC4C3AAE82185AA2162CE110C880068E0F260CE0000C00701AB025760EFAC021D2C0CCFA1ACF043183D5946008CCA062C44F262C023F50F00BF38A0170400519A008016006CE4026CCAED0CECE33A661FF08ADFFAC2D005B42D180EF';
wwv_flow_imp.g_varchar2_table(10080) := '185C020A9C4005352814F84D2ACE2DE8AE821A9610267C600B5745090020EA5C42193A8E97C03012F589F95C820F5F02DB90211A669019349107AB41F63623E3F2CCCFA20DCEF06F269EE1EEA001DBEC401200E000A5A718B8A1252ED001174FDCAC0F1C';
wwv_flow_imp.g_varchar2_table(10081) := '7A2132A8C115F44D035F420972000D5E02DCA0E11B84E1461051129971FD5CE205658218AC6D06FF691033640F0EAF8D33908164B8A11600800C32080F5FE2071241EEA2501700001D834E17D04F2642410A0060035D82113F4F07AF021ABC913494E00B';
wwv_flow_imp.g_varchar2_table(10082) := 'E2B1144A61174B01006061179BB120990AFE520E26D6B034A0ADF76642E2AEA2F564620F942F7A7C01262C80116442F15CA2177E4E17A830262A50D5363008E0110072A025FC2CD466911B8E111A661100169234A60E130080135AA2174A01780CB22721';
wwv_flow_imp.g_varchar2_table(10083) := 'A9E5A4E204560F2688412279B0D092ED143703D0E890338861D8BCF11434A112A107157C0115C44006A44217C06C17D551E8C00124D3910AB9A112B6D0073470EA00600D7EC1CFB8C12D8FB12560F2259A413C02F22578F22E7D722F35E800FFBA0E005A';
wwv_flow_imp.g_varchar2_table(10084) := '50268E0F1A894D2AAAC1FE3A23E318CE33144DFE66820CD2007A16410F6A312608521061021DC71226A68112F22DDF94401E01E01758F21BB8811B1E51266AA115EA12004E8134606127EF922041882F6D33700E002628112618E0003E602823C314F38F';
wwv_flow_imp.g_varchar2_table(10085) := 'F72032338AAD4BCCEE100020325F823931281866620D00000CE4C025640133D3D125BE410E4E32085480EDBE611AA60F00426D2E9181FB00C0185A81355FC2FC3683136653206141336FB33E052704FEF2250EE0EF7813004E0E115EC20799A1287DF0FF';
wwv_flow_imp.g_varchar2_table(10086) := 'FE0F33AE21353B8318B6F1E0AAA00EC42E830821E65A621962020E301026BAB3251A010030130FBCB30301801F5B420E9E0135FF5F2226E5D225B9E117B8C115B4021732E3166453205B22116C271D71CB3E79F4797460036222211DC340F3CFCE147433';
wwv_flow_imp.g_varchar2_table(10087) := '0E0E00C6EE2A9CA0256680013EA0068E127AD6000CAA1404D7600BD6000FC0000FEA91DF86400355A0032D20087E00106441455B421680AF254EF417DAB4252C01347492276BA70D5C021CE2A147F9946244203701E00134E00190702652EEEB5CC207B5';
wwv_flow_imp.g_varchar2_table(10088) := 'E2402343EEE8EE4580132698C00960117AB02026B6D4253EAF4AABB32592110F343408520D0018A1EA4E14006401DC2AD34DB9E11600C0115C82225B2207A6202533434681A776FE11004AA10DF86D4F3FAC4F85D5540CA037AFC2EE8AB2389B3231F38C';
wwv_flow_imp.g_varchar2_table(10089) := '513B03180E4E28FF9BD40C63620A90A009446070D6801F632D4BBDB525C0405361E21500400D60C24C5DA24301C025D71546D5A0088EC0255A140090C10F62C20A94D3336A272787B55F330851B74540DD5434AC8DCF2E6E3414B52572B3059B542A8CE0';
wwv_flow_imp.g_varchar2_table(10090) := 'E45885157E101D02EE1C92611901C00CCC204B31503A5BE252B522F55E8211CA6E1691414DB5D225A0A1D8CCD5254A6ED4CA400BD0E00A48743376713E63335CFD7567A5876412F6335042FF0CED485F221A9635338A100A0401000A10764CE509008010';
wwv_flow_imp.g_varchar2_table(10091) := 'D2606A53F41B42F225EA716301A03AD7A06B15D22584E0073A106AB5B3ECA0411660556447ED0EB064187E41EA5AE20D5C426665562D41832779366F5325D8FF00156023B23835E3FF1234D96A1000B02D491D231602935A6562EB4C45160A0100F4A025';
wwv_flow_imp.g_varchar2_table(10092) := '1A36DE5E4216EE121412A1113A3543B3503AABB4665B02465B023DEDB5735F62D8E0910844B6685F622042432769B325488036ED486F71D74D300003C8D6535B42647E764A33E313A50D263ED1593503DB628109BAEE044E60492FA61766B7253681103A';
wwv_flow_imp.g_varchar2_table(10093) := 'E11DB2811B9461DF76D142FF7073A9933A016024776D0DD193745301005CD52596A325BCA077EFAEEA5CE20B5ECD0A64830BAEE00323437EA7730BB1E02EE3815C727780C5830FDD400CEE207DAF2D6115ADEA8E36330AD725E2743312566EC1AE25CCF5';
wwv_flow_imp.g_varchar2_table(10094) := '182618559621141CD7255C816562E210D5320BFF5FE215CCEF15025216CAE11792514D5F020E347226E25526DE76445FAD25F8F1F34C583368D35609388865A404A2A00F3CC3FE9077E3F02C821D435119743300D4257221192D06715D22141A81D65A02';
wwv_flow_imp.g_varchar2_table(10095) := '0D3ECF6E4F922481911FD16F26B5C2EC281400806126D455FB3CE32E3B504485388E4B430CC6408A1F52261EB833F25882EB6E26202117402E8D2D26EDAE42815B820FE00054B9F80B3E8F9183E00B30162674E025AA406553170040B525C431515B4211';
wwv_flow_imp.g_varchar2_table(10096) := '5FE23B3F393376F1E982C002E4F89445A3D7AE42182642FE9061D8EA4F3C0EB3D87C70839B582A8EC11684618A371955FEE033F6AE2560F525FC403A33D96101E008461500BC2F268E2117FFB24E26EC1626D62008EAB1F65A422FC31495B91934EEC05C';
wwv_flow_imp.g_varchar2_table(10097) := '97838A5F4290E76F65EB708F91323310935EEBB08F67C2902DE6D4AC80183F43EF00A0135C62EFD0F325A601863363118EA118004018F0D09F4383DF683392BB79A19FF56F61821A4BE315AC583304597080008E3963EF16E18A3F21143AFA134877CEB8';
wwv_flow_imp.g_varchar2_table(10098) := '61863D2319C9419C63220C74562AC0201174B6125E2220319AA1693A33DA971662E183112E460270185C61A2390312227726FA60A83DC14688C02546AD33F03926BC31165C979F2921F584E00638E318A0E1E39E3914DC8011D7125CBB000BB0000C2E75';
wwv_flow_imp.g_varchar2_table(10099) := 'A5AB3311B4D83D5D82636BBAADA5221440219A0140AE65021964F0333A7146FF86CD0BF2592AEEE09E4DA50896199D55130042E18A8B010F8F013D55948A6BF833B0FA2586F955836F9F73E1B03DD5ECDED260DDBAB31D2317DA17262A5A838061B44B77';
wwv_flow_imp.g_varchar2_table(10100) := '706C79264221148A01B36B01AAE71A261881112881110C3A33408E1C8EA19701C01B31FBB03DBA25583B143619A567911478350C12A10DC280B93DDBB36921BA3563405D02709FE7139A7AA361021278E65464D4257EF92AF2119E5BBB1802AEA30160FB';
wwv_flow_imp.g_varchar2_table(10101) := 'B8AF11A0E16DF9FAAA2DD9258AA1162EB2AF43C1178AE113043AB665F21860385CB3000C74F602C0200B4A218083F5B96DD304CE3832405BA731C3DA8EED6FDA17403F81FB3E0112F6AEC11D619F4FC516E0D9355141FBFF12960F622216CCDBBC63E113';
wwv_flow_imp.g_varchar2_table(10102) := '32018465A2773543B1A542BF6502AAC5D1EC60722E071A5593719785815C15DC5F4DC02552A09901C00300A0C13D237865928B9AC062801C00EEC0C45DD32568617D5B02095A2215123B17CCDBCB853BC441838AC5911C64A2188AC11742C11A301BEFCC';
wwv_flow_imp.g_varchar2_table(10103) := '5B9353740DC14D4DB9C11C6E37C88595035A22012800C9636418B4A1B72FF213C8F862369ABB6542814F800AEC3555B08D0DCC00103CDC12365ACC5D62B7AF02B3C733328EE1A4D73533F61B0052DC92E1CD31505481F0BC4F2980025A8200F233326034';
wwv_flow_imp.g_varchar2_table(10104) := 'B433634EC900B60B7D55FE5A2A9E9C626A218D511A0076E125D2D7885B02623B41A0431D267619005C81AEFF3503E45A821C408EB76502CCBDBC97FD7B2E5B523B41EDE15A02D553BD47937037FF320212402B6821A4B5A218DE5B13A00050D36F2A5D31';
wwv_flow_imp.g_varchar2_table(10105) := '2626B9253EA1169CDD257E5D5E773C33A45D2EFF5DB5459DDA61825DE772C2DFF21BB2213CC37D580320090100E22363144623DF676418A0155A9351D6B5A83A8F19268C18D9095E2AE41A0EE2004331E318420DAB095EC613FBE52F1DC767111BB0E134';
wwv_flow_imp.g_varchar2_table(10106) := 'E72CD4B2971A36BDE16FF3083D63D75EC116D4DD50A18030E3CF46F69D953F836CA9409C30A635CB581C0D3AF0D6DA31E2121A40EED65B22B1073E26A0811C4EF3D617DE252CF48E6CC8E979BE27E1DD31A2FC256E81E31F5355B06DDF39C35C79E025FF';
wwv_flow_imp.g_varchar2_table(10107) := '6A8E34BEBEBF37A318603BE6E555C7A3130E2AC1EC085A2EE16D16CDFC18557EE45FC21B03EE997379EBA89816A2BC1292E52DC9F3E79A26EDF9343711C00014703761A2C55B821652C1F297A312AAE0D5AF02AAE91E26805A55C4E005855455B861F143';
wwv_flow_imp.g_varchar2_table(10108) := '03DA63721617720DD7400ED6000E3C01195C41BB01C0CC67D1345DF21B1A3FEB471EF95B363A63E22DB9811AEADCF37B94000A3537D75E015B02020A1326464DE2A52203A060D77D57268441906D81C93343E945E3EE57050FC17E5D1D1F00D47A268EE1';
wwv_flow_imp.g_varchar2_table(10109) := 'E3000280406E020B1EC3F6AC60C12D0A0502CB25EC9B4068050902204851202D310D3B7A2CD846CEC791243B4E2A78B2A4CA952C5BBA7CFF0933A6CC99346BDABC199340419D0600F474D9F367492105631DFB084C2031A505A121AB094CD8CC12002220';
wwv_flow_imp.g_varchar2_table(10110) := 'C1D9929BC592A41A4A05202C63C7AD2B6508A411AA215982471B62F9B8A08DC00523D7F41238ED62B682FC04DAFB173325D6C1840B1B3E8C38B1629707081C10FA1281CA336A0AADB4F5D563669AB1DCB068196549090C008E2C56F88DE037619FA80060';
wwv_flow_imp.g_varchar2_table(10111) := 'E571544768E40492134BB6232898D8500380764C2CCB3023254E23882D1BB7BC00FAF6A529F8D2A447974E5BBF8E3DBBF6ED1D0308740C40B2613C8E04E68A45CB96C754B11A221B8633A9542F2E9F1464A05D62AC4EB5049EF2D8D5471441C30D812AAD';
wwv_flow_imp.g_varchar2_table(10112) := '41522763F55691406D7514FF461BC4C9B500711556F81137D72894DB4C830C629222DC8D486289269E5898013D114040002DB694D448C00C93D95337011323006A94D74927A17CF2A3821E4500C055D731984B41C634B4CB2E9674749458E810285C47C2';
wwv_flow_imp.g_varchar2_table(10113) := 'BCE207490F16840D37090D445B496180419742240844821A5F9C36C7878A8088629C72CE49E79C3AF924D0012441A250920008B9127C373D88831A0501D9D0220D91561A76DCC0570E4E5B71C32000097193CD2B02C9812023B7D0329245A24E740CA81D';
wwv_flow_imp.g_varchar2_table(10114) := '3D61411016A03A8405021105807D035D749C2B2F0C96C81C6F1624629DBEFE0A6CB0241DB081643A0500994206F0B4E727027D6219005E082144061910A91032EAB977FF13329B01F00924CE76A4861A4F9C5150060050D1CF69B73C538D42DF7A44CE52';
wwv_flow_imp.g_varchar2_table(10115) := '02A1F35B81B336F40CA503250340230201024032A928048D440A3198F06F0215C28514E41A2A1018E40100060078580CC02BDCC8A2AF40776C689328810CD2E61CC2AECC72CB72DE19817700C80C400A66DDC9D22263087482BA00300A00551B50E59054';
wwv_flow_imp.g_varchar2_table(10116) := 'F00DF394A086F1D9511F1D616BDA75D960C30C0007171289370090A33549541618B2400C2224D035794D2356286971E83537B5A997250072C021072572C891884094302212238E642C924805C9D211C931E503002C0581A8F2AEA7A50100E42E4F4E79B0';
wwv_flow_imp.g_varchar2_table(10117) := 'E27594020F307DA0D007270844B44019942042474A5314FFD662629CD104004D08D1FAE7DAA5B24A41395EF31470BF91834C951C7E5DA9A50C12B49C406A489C0A45054E5912F1C09447492495144409009408DCC8F501575FBD40A1C8225181B6C001C0';
wwv_flow_imp.g_varchar2_table(10118) := '323789926B1E00CC114876352844C8219A544E7FFD24FADC915932651082BAF8F3CC0100948E24A9038BEF64B2083BD82172514803BA1A020500FC4F3B9E08DE5EF2E530006C091ACCF3889710820D688CED2205A185F212E63BE4A8052C7CCA04003CE1';
wwv_flow_imp.g_varchar2_table(10119) := '11813544860249044604B2990EB90430DCD90D00A255103D1C4212F62BA2111583AD8F7840261FE05CCF1A323400E8603B67D04343E820103A48CE0934F8D98846219CD458644063FC466A2E929B6CFF18CE23CA68C8011B72C1158EA41179F3C8F4BCC7';
wwv_flow_imp.g_varchar2_table(10120) := 'AFC3B08F3B0B54481DF61039221E719084A40902028893FFF9AF67A12BC8C13C92238130ED30826CC80CE6A49CDFA1633795A8040C3F12073984720D9C12DC48B40080E015241B0A9B0D4BEE2890465482866AF945C70AF9112B02A019B8ECA52F3F7239';
wwv_flow_imp.g_varchar2_table(10121) := '921809268CEA99EC1A9224F5440529379901194A82450038815113C44E28C847C26FA8D26A0088030DB3D0051284339C191B893801704E0020C84662639B44BEF6925936C413D3FB245E8441CB5FEA739FFCC453498ED00459B50403F8CB80313BB22D81';
wwv_flow_imp.g_varchar2_table(10122) := '284D21C4A0916204C18A68CE0003F8496289B4E22F1D16240B2C21413915C206393064FF2C990C554BF256893A0AE493C9C8C6050957183300E02D6618693F6F8A5313258B25402B08234F409563AA6446C298174CA040084DA04220BB6045533BF24C85';
wwv_flow_imp.g_varchar2_table(10123) := '944062D9C9A7A52ED2A56D16246F191B5322C0C0868EC8010C1F95DB583B868D6B7C8395A95489582251124F8C0296C5B1A540BE418D48ED83269EC8840B15D2BD381D6217392D6C117B2299CF4C0500342801508F9950920C6346F259664D962A105660';
wwv_flow_imp.g_varchar2_table(10124) := 'B62307204D23B123B0504496247E40E54CBBA04E2CA0962541D80216467A8D6B580477A082C62FA47229781ECC9E00E8644168685581E0E282256DC85E67E2C3EAC990111A5B031E648A9D290A840964A803004EC18B251976BB88FF710700DA351316B5';
wwv_flow_imp.g_varchar2_table(10125) := '24B024F96C09F0978AAF44D2745169AF30D61B934A92043F2672854C526001150040BF02B1C00F1A02041500010043E880690150B57801201B1959CA2F34E5B17CBD5120D383EB4A5ED18D8F7C031C3CA4891CF8C63781C00141004043767430C53D2CA1';
wwv_flow_imp.g_varchar2_table(10126) := '204F12482BB80B63AC3CE7BBE0BD5F126125C1CF0A64B40D9991ED0A43088846D3234225117C3DF28C5F20237BBAF16147645310BBDA7243CF10CB2F7E718B8684106C1E3104855D12476A34E41FF610C88C5DF206E702000E230604F9B089CDECACE023';
wwv_flow_imp.g_varchar2_table(10127) := 'DA8DB19D6FD28F1A2BA63D1F49A2BAA200BA8FF0B8233E5EE8600421888E6000039C9BDC2F94360A578C0214894845FF222A219B4B0300147405C02F70418C5F3CE319D8784A66B2FC116C60C31616AE498605420D6A88831AD900C74DBEC0103360530E';
wwv_flow_imp.g_varchar2_table(10128) := '7850C89AB09301447EC41B5DBBB3B15932E33C9750BC2F328C9F3A52E4FFF59A25313AF24C9CD010410CD9238D5D99306EA1644070C1C405F9F5AF4BAC126444E31AD020063B05A42FA9FCE123ADF64822785B106A10841A0AE3E15F6062EE72E3E10B78';
wwv_flow_imp.g_varchar2_table(10129) := '20F17662E01122F2E2D80C778977F30CDE772326293FC9004125E8C58EAC982546030B656FA2A7196CDB2397149D40AF336F962404D524E18212AE00002EB4248402B98530602A95427C25644645773705E2032DC0D213301CC5289803807337A4CC3291';
wwv_flow_imp.g_varchar2_table(10130) := '42C446FFF20572AB0002131048022070F5AC43A0303D18260036D1F0B0AB0471DEFD87B20522ECC13C5221EAEA6949A4028C412FA6E42AF11F00142B2CF97864A46BB2C2174C0B73A5BBB1CA0521BCA9DA6A20973420080D0000947FEB78676DC6A5E600';
wwv_flow_imp.g_varchar2_table(10131) := 'C0BF691284987F41E6822F88AB008075D06B3D01622F7D891E7EF6133141204E88EA140A620B6B23A68BBE8C9AA74B620581C8DC0A56B80217603E12848845D5008804220C9D41A70100BAD02D0809328F8B82444369651DEDE50763D3359CBB081E09FD';
wwv_flow_imp.g_varchar2_table(10132) := '03AC0E000F28010F046304364DAC8214549D254B04C0147861DD8638D9F40C47BD9EAD73F186C4BF2097E4C38EE34E7F35F115364012304755B927FF73C037165F820DD3901CB3413C2B150BEC310ADE5081CDD77872A4310070061C510CF38713E4D610';
wwv_flow_imp.g_varchar2_table(10133) := '78B00503E75C3645120FB07500C0012D5010CDC77D0231014B24010AF17D02B12C0D711534A0011D110D0201032371830D6102EB1780474818AF1759B21727D5142CB6740B71F611BF271057D079A98630C143160A5610D1170BB5700840D7286C630CAA';
wwv_flow_imp.g_varchar2_table(10134) := 'D06B78A002B9000D91900DE2E0528BE15C06B70568C0053207004550042ED81126A00452401F2727830251830010848398002C92830521021940010F7004F42110D9900C66000223C101DF378448C84F6786443DB81242C2849A986ED1571052907B1D41';
wwv_flow_imp.g_varchar2_table(10135) := '551F710BABD81121B46554924AD020FF4222D411C15010C5D011FFA528E4A05500800E6B4057F6707F31716E04B70614D3106F566E0AC15F0DC1053760021EE1011CE0011E108D02F17D08708805114CA067032656067801002EB00300200308E71137E8';
wwv_flow_imp.g_varchar2_table(10136) := '01305089A2E88E0A81026CF711AD2768002077EFA81254E8114530040AA104BC4538E0F62DA3868500C08500D00BA5900CC8E7021ED135824362C0306005A10E65368C2FA1263AC27705C7916BC00880C0088DC05CCBD7102900004A20107CF0076E508E';
wwv_flow_imp.g_varchar2_table(10137) := '23518326090012908D3D9100343301D408011040807EF006040300B5438029C80126D07E61970006407AF8981800282C1B3739CDA71054658705A18C02615700F06EBDC8250A01FF0B77611E0DD18F0A0139FDD11086F209B190045669579C08703A9274';
wwv_flow_imp.g_varchar2_table(10138) := '0561823E870670307FE1188E0D210522F81126200169D7103F81003F719346F8057FE007234912119000E2618D84D802260002D7D88E0D470049A99497C91DD1478A25710BB8107D2C775BB7E51423411109110DD1900C09393800A00DCCA810046824BC';
wwv_flow_imp.g_varchar2_table(10139) := 'E00DB7605F1DF148D3900E3731957518319B270582C708DD23054AF00461090013291091309244301210400126D09223912C45F912CB82948358100F908930D6875CC07B5F50065580992A41050FF411D5100D0739279008006E000063807C2D330DCC00';
wwv_flow_imp.g_varchar2_table(10140) := '3055F311A8F925799149AC14479802006B1589E1108900306BFF79FF951F810688201080820E2C57420A7191680697CE0507BDA66670C95C9A521068306D8351870DE177E2A904A691722EC1056E500668300656108E5E708AA5F70F31DA61E3F9123C34';
wwv_flow_imp.g_varchar2_table(10141) := 'A3344A1237DA124CB757377A5C6356633F6A792E510F660600F1C0740511A183110F055166F6B00FF690A48B717F3A8AA324310F433AA4FFC096577A445DDA326406008031A53661A50AD161A9B70FFFB057600A00F7B01D65D617652A10328A18FC500F';
wwv_flow_imp.g_varchar2_table(10142) := '65860FF89018F700A701C80F80E11C5EEA4B7D910FF9E0A6BF74A638C543C9B6188B3A66842AA97706714B3AA9EE68A997AAA99BCAA99DEAA99F0AAAA12AAAA34AAAA56AAAA78AAAA9AAAAABCAAAADEAAAAF0AFFABB12AABB39AAA994AABB78AAB970AA7';
wwv_flow_imp.g_varchar2_table(10143) := '7F9AABBDEAABE3999BBF2AACC34AAC93C3ABC58AACC96A6CDEA5ACCDEAAC85F50FECF0ACD34AADD56AADD78AAB801129D8CAADDDFA2BB6EAADE12AAEE34AAEE56AAEE78AAEE9AAAEEBCAAEEDEAAEEF0AAFF12AAFF34AAFF56AAFF78AAFF9AAAFFBCAAFFD';
wwv_flow_imp.g_varchar2_table(10144) := 'EAAFFF0AB0012BB0034BB0056BB0078BB009ABB00BCBB00DEBB00F0BB1112BB1134BB1156BB1178BB119ABB11BCBB11DEBB11F0BB2212BB2F739B20E4B0C6B44A33F682254A6B2258BACD9B0141BA24638DAB224820D2D2B8B4F510CAAE0B2B96A38D7A0';
wwv_flow_imp.g_varchar2_table(10145) := '46410BB4408BAC353B113DD7B3B0AA60CF403233BB17B1A5105C780DF1720D46CBAAD7F00C461BFF9F498BAB480700442B10D5B021632B7D0060B53785B426D2B24FE16E5CEBAB2D3BB4429B0D5C380D28DBAB8222716E2BA9CCC00C5F72553391B7E779';
wwv_flow_imp.g_varchar2_table(10146) := '847EABB7E46A23CC10B836B1210D85844981B8F652B8E57AB88661B7A6C76758192784DB11B8F8750281017A12B99709B98551B7792476E392B823320C9A5B100ADA111114BAEFC8B7658B156783B506697A546019A75365AC8B22DA0076003072B12BBB';
wwv_flow_imp.g_varchar2_table(10147) := '89B117671B800479555A691D466B9F7AB07FC41BAB538B8F99011FF6B91D88DB10CCF01585B007534007B08B53D82BBD33B1B53851BAA2980B3662236D3B224F41BE00807C640005D8F64BC8400CF15BBE746236D45BAD4605BB9764BF8384FF3490AB6E';
wwv_flow_imp.g_varchar2_table(10148) := 'FB8B13C81B13E93B1369AB4FFA2B2CF68B6D037C441356B2A03B395EEB11106C3A4703AB7097060CE0767A104DFE573FF80B0DCFC00CD1E0BB217B2C38232C625B12E9D9118FBB144BE1630561004556AA91A427273003D8060587700896312E4574C3B1';
wwv_flow_imp.g_varchar2_table(10149) := 'EB2234532767B31290BB14552315A34B7285148AC0D2455DB4408EF00964493FF0C5B7E889C072A2C1242171887BBE1E0144F6E3C0C2C2C3637C443473278ED113A0EB75C182BFEDCB1296B140CF760C7047AA7CE01A00A0289A71B995B3C249DB180DD1';
wwv_flow_imp.g_varchar2_table(10150) := '228FA1C394031F8C9BBF7A6C25F25B103B0316ABAA3B25D11E1A85C7C47B002ED212A9F06C73020C4B310CF0C14E548C434625FF15100100B5591042CAA986F65E85C4C122BBC855211032E38923818C74B250C370C3C490C45ED1C67C160B87DCA96211';
wwv_flow_imp.g_varchar2_table(10151) := '2397CB1E46C4CA232B33180C00304C1263600B09C5CC26820CB7000C0E6AC92D91166921CBA1B076BE120B6D2C2C4ED61E3E723097DBCD2C33CD238BCD05B1C4D6CC4C05210CA94C2757EC123FB23671022800900BB900D02C73C4B884BF55D3C21D2B5E';
wwv_flow_imp.g_varchar2_table(10152) := '9C75CFF58853F6A528E591CE2882D05E618FF4E37F03FD119F9009A90B2C240DB23BE512B16758FE6719195D227E920B875710F52C2C9DE02C051D0AB190D3C17C445F829E620CC7314609F35C1344E28431410B7197D0BF52D01F31D241FDAC80D69ECE';
wwv_flow_imp.g_varchar2_table(10153) := '324958F10001E4FF9797D1103C96C6F4F304E501D5DDEA08326D1309B001309123EA1159F74848F893CB2E436A616D67478D158814842EA1A100B0D4468403B844D3723D9E32807737012A7B3D39B1E0081CE14BEC6C44A9A01EB1700B900DD8869100F8';
wwv_flow_imp.g_varchar2_table(10154) := 'D36C2A21CB0A01CE0020CE84D447CD3A0CF6650BA330DAC0100BEA39D93531D12B410B64CD4F9641313836AC80310CA3400BA41D0BA390DB669BDA58C1C4F1D1D100F05745F4236E0905749DAB7075077FF0060251060AD8DB58B122DD581220D811A1E0';
wwv_flow_imp.g_varchar2_table(10155) := '9E83B4D0CA3A063B3060403060539003D13D1804F0130640DD0C67C2CF5A8E44900431080044A005B70002F53DDE00D00139E002FACDB538A0638411149061FF9936B1DAF4F3DFC53A044970DF05819240F7160090030B4EDE25F118E66DDE2A32E10D91';
wwv_flow_imp.g_varchar2_table(10156) := '96E36D0423D1010AE1038514055030E2522D10D99DE18AE176C9DA8F6959109D26E105D190D9D1468641E264D004E2CB056A82E2B81A0542F039F4A51805DE70C84DACFC9896C80900150000212EE30511E384210D62D610658C1374D004ADD33AB25D10';
wwv_flow_imp.g_varchar2_table(10157) := '8CA0296C7DAA78200683CCCBAE6A51CECA9CFC789C00209E0221E139D0013E70DFA4300E356E18CAA00CBF60E78441080030E22421859B928AAABA0878A00626CE0026DEAAE99DAC44C09CBDD51030875A5D805A1FDE90DBB018B67818E88245B0CBE50D';
wwv_flow_imp.g_varchar2_table(10158) := '2182E1687B29AE126B2CAE37D0DC1DB1DFFA1DFFE58B117DD2603E85F1E77E0E0044513DCDED06E4760422681A36E065A80A88AADA6B641EAE3680922D809D5508E1110EE1D9210D874107520DBB5E80980070972A20057EE093ABCAD3AAFAD9E2AAE41E';
wwv_flow_imp.g_varchar2_table(10159) := 'F116E39D034E7E1A9A8E18238EE53314676DAE102ECEAA4B00E4F435EAA48E1D36A05F77DD11AD7E44D14EE280858A026108F5A6AA4C407B0A41ECA00A055A142714D01104B09D341A9D85A5E824F1A2BEE6DAA7EA33422EAA89262703B413105FEB02E1';
wwv_flow_imp.g_varchar2_table(10160) := 'EE98E9024000DF0DC1EAB8144DD11E13998DAA33C0E8A34A071E3F2742F103EB3D9EE538E32571DF39604FE080E9931305EBDEAC332FAADB86D28AD113C136339C1A600376D767ADEA6ED1FF1028D83214C3111D6AEF8581001C7F1A7A42F5D78C83177E';
wwv_flow_imp.g_varchar2_table(10161) := 'A5E10E848DD91015C0E44C2E1020D0902DE002CDC8327860C23ADF11715310CD0DF3A7AACFACCA0067BE18C9C222DE61DE84CA7DDCA7E4D6489D0A518946900340F0E82EC30796C1F50DD1DC6F7007A9BEA1ECD9F5BEF2F7648F589F3E9EFDD8F30231F1';
wwv_flow_imp.g_varchar2_table(10162) := '0A2EDE0A7E92B9977B5770602E73F9A05E105ED0E09F3F5019B71D308CE1386A9C0A819C6FF0075099EACD1707661007022153B1CF329C4FF247C07D30D07E0EAF10BF8EFB24F1B90675223F91D5EFC89C09DE8F4AF0FBAF5610D200309D7D0BB5C3D9F4';
wwv_flow_imp.g_varchar2_table(10163) := 'E3821EB0750910F10531F6D77F450D11FADB211406F002DD8F846800106F00FF0C2458D060386905B7115C57501DB870E00074EBB6701A806006356EE4D8D1E3478E122878D0A8440948942955AE64D9D2E54B983165CEA459D32306004268D884790001';
wwv_flow_imp.g_varchar2_table(10164) := '809F3C850EB5992992474347098EFA63D013805BB8324A2CB84E9EBC810D89D6E46010084129560C96F9328660BFAD69D5AE65DBD66D5B411D4BBCFDC860600611850050A2DBF7ADA146809B02180CE08A0F82399210BC024060A3A75127761BA7EE9C5F';
wwv_flow_imp.g_varchar2_table(10165) := '9044009CDCC845AC17817E0C56C25CDAF469D4A9619628914135000A043BBDA6EDF10F2282490946D23D308EC61D035D0C0451B0F8C022390C1A7ABAEA976A811EEFD4A65EDDFAF5B411B06FAF3E7D0C9A32680A6A0140FF9E6023D204CD14F421B67162';
wwv_flow_imp.g_varchar2_table(10166) := '83262600A8707D0C958D472B810AF5148052EE02147040BF9C20C32006ECC2894006FBBAEDB681FAF8E38D3FFA000940C70ADA6220B30CB242890F95C8A108DA8C0000098E28C92413500882E40B00AA6870461A6B84690600162C88062108DAC7462063';
wwv_flow_imp.g_varchar2_table(10167) := '32E48F210118D290810A1B4F3D4F7EC38520525612CFBCDA50EC08144FB0CC640C25640CF24B30819CE18030CBA48948007033A8C28124D0E138E10A5A6FA02707DA26A182942908944A2A01E4352416CBA9079040A1044633135534C00C32D889201A28';
wwv_flow_imp.g_varchar2_table(10168) := 'D9E7C7452B3592C83F94D40805005C4042B981747041878222A9A411DF46D148CF6EB033F1871E3F6AD152FF5A6B6D0B011D0F60E08008742C480847FEA1C75645EF78E38EE9065A6F3AF10048400200DE2415DA36C384E10652391D880B00CA0080DB24';
wwv_flow_imp.g_varchar2_table(10169) := '0D51935872CB4DCB00736DBD65236046691798FF0A2A72200C0D5AC5DE5B5E816AA07BF33CCD934E8E32EA235A5C49F76084554A5623BD34A2449D7FF6F927E132EBD1471F002EF668588EEAC918E37E42EE67E28DD03A2D640048FE48658A5B76B9A57F';
wwv_flow_imp.g_varchar2_table(10170) := '227EB9E28186F518809B51D2871E8E67F6F96773F1B907007E8036B3E89630367A69A69B76DA2F9461BA58E9A7ABB6FA6AACB3D67A6BAEBBF6FA3496BF167B6CB2CB36FB6CB4D3567B6DB6DB76FB6DB8E3967B6EBAEBB6FB6EBCF3D69B6EA4D9926A6FB4';
wwv_flow_imp.g_varchar2_table(10171) := 'C003F7BAEFA1FC03E039C11357BC6993D9CA6871C82377192BC92BB73C6D7608BF7C73CEB566A773D0437FBA1CD14B37DD46D2071AA626754E77FD75ECB0326720D2E9999DA0743E27C81D007487FD77E0B783E72A78862FDEF8760090C778780068FEF9';
wwv_flow_imp.g_varchar2_table(10172) := 'E5AF0A7E7AEAABB7FE7AECB3D77E7BEEBBF7FE7BF0C31F5064F2CB37FF7CF1D3577F7DF6DB77FF7DF8E3977F7EFAEBB7FF7EFCF3D77F7FFEFBF7FF7F00065080032460010D784004260C1FF8085C40000021F904050A0000002C1700160034024E010008';
wwv_flow_imp.g_varchar2_table(10173) := 'FF0001081C48B0A0C18308132A5CC8B0A1C38710231ABC37309F3E7EFC10F693C8F120BE8E0EF3652CF8F1E148902853AA5CC9B2A5CB973063CA9C49B3E549001807E2DB5952A03E7DF9F2ED24380F403D00F72822CD77AF9ED28AF910EEBB49701F807D';
wwv_flow_imp.g_varchar2_table(10174) := '58913EB59714E2507B00C01A3DAAB52AD6B3590D060D4A906ACC8C396BCA9DBB71AEDDBB78F3EACD0B4F9E5F79F0E0FD1BFC2FE53D7A56F751B43A98606182F51403D868F56A55CB0707F32B7AD59EBC78F214EFFBC7AF2EC28F8D0B272EB8CF1EE37FA3';
wwv_flow_imp.g_varchar2_table(10175) := 'EB019607C0AFC0C2510BBA0349BBF6DEDFBCFBC2034EBCB8F1E37ADB0DA45D4FDC9B3268EEBC79630680193368CC7C0180E68B77815C008CFF2953060FA44CA042A54F9F2A552648902241A24429532600A96CE1BF0F2A160050F0018088419000400900';
wwv_flow_imp.g_varchar2_table(10176) := 'A154A29E2B00D8E22000C208248C30C0D0E24A2A9430E2071E68B80140195C94E147249E10948A40A9ACE7498624B6E7CA85E2D023106DBD6136908C810106C0700DD5589B8FC80549A34081ED76108F4126A9E4924C02D0183FFFD862800730FC50C495';
wwv_flow_imp.g_varchar2_table(10177) := '2A0C61810A160060410A1370000105100814A60744A8C14721030250482102BA31C69C6AA8E1611F7C40120A0090E0D107229D50E2881802794190186A8C01801A03E1C1C7808C1478A0A08E3882871A4F5061841029E0C0030B007020EA0F6AE0212041';
wwv_flow_imp.g_varchar2_table(10178) := '8E14E208238E00E086176298FFBA2A248CD032D063FCD0632441EED0639A418F3529EC42FDF4D3D741B90DABECB2CCAED44E52C5F6734F9409BCF083124A48916DB6433C0180102AA420AEB81E089482104FB8A16AA502C109001E76D46987A38BAC194A';
wwv_flow_imp.g_varchar2_table(10179) := '2E08BEF9C99E9F785810A30799DAE8BB758AF144144D7CFB6D13094771441442441C859A00305210AB955A5A271F8ED097212D85158B143DB4B925CF3DC96234125B0645EB72B37A65D4CF594DDD8324CC38E7ACF34219B1234F3DA5F553CF3FA020C0C1';
wwv_flow_imp.g_varchar2_table(10180) := '0DD86A2BC5104B0F21C40F427CC9C10400A45042D5E8AAB16EAA022D6269BCEF760D80239FE01B8A238B7CC2E02778104AD0BC750A3C90185E780B401403459CB0405178FFDB77140E0B51420913F38150C696222A6BA488BC421A61F6D0034F3BBF1249';
wwv_flow_imp.g_varchar2_table(10181) := '8FAF38A91CD7412E47BB334C95774EDA61BA7E6EFAE939F70C8FAFC5D2F34F26097080E6114A3C21C51347E40E35A725582DEE049C66ADAAAA002CE226DAF2E221B723F71EE34AABF702C0F6A203310A704282D300000D4D000EC013841A7C37C20C0330';
wwv_flow_imp.g_varchar2_table(10182) := '78E18767DC76A99546EA07C8F6404E4F3B941BD417EB9A6FDE72E795A3DE12FF48F1CBAE06E216FF19F08077B987EA5827B47F788203269001110040BB230C4120B91382977C67BEBC49416B191B88D716A1063B84CD78630BC531A0918B4F302F177B6A';
wwv_flow_imp.g_varchar2_table(10183) := '5BF500302F37A801620429010BB4B7B0BE192C7C023918DEFF143638C251EC20885B9F1BDA0789F7C1467ECAA9CB49DC210FD74DE665FD4348B05CD6982C22502100CC875F94C3B22F9AF18C35512000D8B1BA684D8B163B5042126AA78423E02E6243C8';
wwv_flow_imp.g_varchar2_table(10184) := '9D4038359073A5E07B2064170A8B77295319CF78FB12060B3F213D81B40A006E7355F5342890DEED712043FC9BDDBCB74721682F034634DC235B65314A25AE54AA8A141FE0273F77D40F2703A1A2153B87909B78118D1C111D00F241B2DDF02359B80CA6';
wwv_flow_imp.g_varchar2_table(10185) := '3055220F36D2A334FF98D62DA4E0052970213C0090C2119EF604DC7D6B9A4298A605AE06C8AD158484F152DE4098770C61E4C25263FB041FAC2710132E4A8655CB1B009A2004C01DA120804B58C22246FF031A08EE7CEC6315235865A024AA21568E40C4';
wwv_flow_imp.g_varchar2_table(10186) := '40FDE08A7FE06330FD98873CE827C581DCEF312F6BCB4F7E7245CFF56F23592CCC487E29925B7E8E96FC10E03057CA5290D0C367C7ECC73FF2F18F5B78214468E08E1A6E973BDB49410ADFC31D364BC081AC718C5D2224D8BCBA8687B4AD8D51CC0B05DB';
wwv_flow_imp.g_varchar2_table(10187) := '0066C252B153700B5B183DA7494FBCEDED929EF4E4274B20842312D46205ADD4A54AC53156C18195A491A82B8F54458C7A8E20FA488DC8AE48906211E61F209D8C9360F998601510661FED9C18E531C0963AF6B10879E9CF90B9115B48E10B7058E817A4';
wwv_flow_imp.g_varchar2_table(10188) := '59CD68FED45B198C5A119F10C8478A106C04BB9EF1C410053C84021AE6FC84F54C753D31FF7C9520945C586E2FA9300D7AD27CA16CD5AA4CDB31B52A4E558670C45B9FC80F7B7866AE0239C9FDEA72D7829443156FC00600F411ADBF0E841DE208C745CC';
wwv_flow_imp.g_varchar2_table(10189) := '811B789883BBE960073FC401DE6E0806B027DD9FCB16DB58C8DAD7BE6C049A4C37E20A258CC10F9468042336DBD38260D3B77F4C41E12AC5C8B11DF2529014C819C0F72EB4E1C111D0F80600A0B1A7EA15927A582D083707725B4A424120DAA34111CB6A';
wwv_flow_imp.g_varchar2_table(10190) := 'AAB3766C6CEAAB93BA1C915C3FF8277EFF70EE4411725181647497FFE8C41498C0843DA8E3272FD30C00FC80800778211A3148874CFD40806CFCA30CAEF083145C11801B5C03B026DD4B980D1217FED1F7BE6886EC47D8E10E05CA94FFA6AE288214D030';
wwv_flow_imp.g_varchar2_table(10191) := '503870E1A73F0DE2132266010DDE732047282D41164142314CF887132B1B341004000D0B2414C62B15DC04A286DB96A09F581DB1417CBBBDB0AED8ACC5AD182328B55647AD8A117C60D0689A2B51FA2145204AE971471D238F3EA8E2D69BA8453D2E3233';
wwv_flow_imp.g_varchar2_table(10192) := 'C00E262A7EF00328C6708B1790D71C5EA88221FE81062F14C11DA9A8423904C3A4EE3AA52BB08E4A52EA418F7AE4C6CC2A4DB3B85BCA8E28CA144AAEF841129EC0852FEC540A41006A3441DBE72ED9EE9E1A541383C749E8B6E1CD6D6A70C43134ACE15C';
wwv_flow_imp.g_varchar2_table(10193) := '2C5A20B930D5A4DD79C381681AACFAFCD66EF7E8CF4F5F5820027524C62EC505532B7495BD66F54495A39458AFCEAE20FF95E93FE481085ED4C219B9D6075AD2E23A2A730014B730813B88960450DCE01F6F08C01BFEE10A03FC201CA419B35DA2C58F7B';
wwv_flow_imp.g_varchar2_table(10194) := 'D0261DE910883A0030F574A8431D50B77A3BE451D2F9AAF4B0E30EBB01D9A15EBFD2D41649906611EEE99DEFC4FB0852A8B79FEF9DB510BA508407F516A39AFA096894231D1A1EF8408EA13C46C18DB6510095C272584FBEC993B7971C1C8B0DB22A41B1';
wwv_flow_imp.g_varchar2_table(10195) := 'AAD46D453583E2D70F7BB4FA95D23DB98F4526B29587A215BC68452BD0E19499CFE81F77F0832D28F0C06CD4C30A460B4036A4F30264BC2209E970473FC09E1797CD2FEA572FC7DF01607500FC9D1DE648473BAEDE8EAE17EBCC62CFFE17A352EEC9FCFA';
wwv_flow_imp.g_varchar2_table(10196) := '1FC308D1FF13F278D9B6336A694FE8F304A8E653A17E21630D1E5B3B0FAA06AF412FC3803F462E8E31908497F06DA6B267DCC40242404F23464F0371629E746212A76200004A65D556C2855602A53176C22603956A5701589B3172074145F280727C7515';
wwv_flow_imp.g_varchar2_table(10197) := 'D0C00BCE6082E9200F3287160231349140010F6008D700000FE00749C00CCCE60977400BAF70039EF0001C8083F9B057C4E132F0807CE5800CCCD70DCA270EE9600ED7800CE1150DE68075F2A05863D42CBFA07D5CA8103DB3734E025FC3F00668703BE5';
wwv_flow_imp.g_varchar2_table(10198) := 'A73C5F8007F1763B512304540377B7A3771C7320A8423008D52A8C247800700C2AE46890F62ECAE34E76E00676431008C843B8254FBFE54F954456ECFF8371A45431C3B52876C2311FA76A10850FC5D40EFCD013C6C246A3317A447815ECE00CAA500BE8';
wwv_flow_imp.g_varchar2_table(10199) := '0018BB561A33974CDC66147DF150840100F3B01193630FF0600F19D118C5F15747680ECEE107C8100E149009E9F005E1500E4A4009B6F00594C00CE6600EEF4518B9C258F27013C1621CD9D085DCB810F4A00EF0103433057E7EC0075C902DE181076B80';
wwv_flow_imp.g_varchar2_table(10200) := '07EEA6066BC867DF8367D514701DE342773736F1524248F509C2E068C750361AC66186543C61134479A33D9CC64DB9C5880849441A24790157310561796AA5065C10707E9050707022A3D191C5C40ED8A640F0A00E65278A93F1134EF70FC7708AE8C04B';
wwv_flow_imp.g_varchar2_table(10201) := 'BB562C1871166D711B21338A4E525182FF5584D1920FD0670ED9F00386200F9E20056F100E55900DEA400486400B26E009EA500ED2A85892B375C2A20CCB300DCBA00CDDB89537028EE22853C860088CF006EEA68E780006000006CAB35671184D75B253';
wwv_flow_imp.g_varchar2_table(10202) := '8B522994D0608222106B6507FB980B7EB82F8BC68728243704E9360983887B445686793564856295D45B46840714186A15B85650959178C09158011B1F690F3DC10F23A91C23E151F49057E9500B88001F9F300CBEC25D222393D1153403F12B18317C82';
wwv_flow_imp.g_varchar2_table(10203) := '358439A993C3A70ED1078C49600863200544700B63200EE2A004C4900ED7F0034E396DC3B79392E3334DB20CD4200DCBC095D4C94BE0E8638FC30C62395080E00872104268699761FF632A02033072698F82E2428546688F5436FCF70D52A5428F66484D';
wwv_flow_imp.g_varchar2_table(10204) := '753D786028D9D4042CA0900CF82D8659495815620FE98878202875B92A9248506FF928C1E60696096699F9149C4992B0346B79C50EC356056220066350054B360CF5E057FC709950B24B375918F0B511B119861B015F290A1C4CD70EE6C00ED9100977F0';
wwv_flow_imp.g_varchar2_table(10205) := '0756F00C37EA0570F00CCA060A8C5006B7809B57C874BC040F3E034C41220D06110C04910C4E4A9DE3F652F04011FBF50FCC306A196231ADF29DADA29604419ED5C33EF538102E843CFA4836089761FAC748DFF00DF8623C0223A78B709F1143410A4398';
wwv_flow_imp.g_varchar2_table(10206) := '8F2779FFB97810491075995695C20736A4067080077E306ACFB081FBFF502C1FE914043492ECB0574CF70FC8500655E00573C20573020073940994C381222A2300B073BE322DFD80397EC50EEAC00FAC4A32EC3084A5F11BC6C7AAE5700DD9900EECA5AB';
wwv_flow_imp.g_varchar2_table(10207) := 'DDC00C00100ED9100ED5900DD0D7AA60767DCD09244B420D05B185529A7D547A14E7F60FC4F0061BB296EB08006B4069FF423D00B01D643A97037120680336EC4236A1F0A66DBA878B160A039954F7894DDF836F19B0471147490F07568E6838934250C2';
wwv_flow_imp.g_varchar2_table(10208) := '9591EB24056E800894901FCF500E37192D8F5A72FCE00E2449A9C3F70FEAC00555C0055E70B18A72058A02004A300CC9E439FF400BDBE80AC4700FB6E00EE2900AF9300CFD100D5F260EC3F00CEA900AD1A00EB6FF700B5F467C72E132F7A01C545785E9';
wwv_flow_imp.g_varchar2_table(10209) := 'E56A53C7AA81717534259548AAAC41220BD2C0AC04810B00B00DCF1A76922523D36A0B9CFA4C79B6B5E01A4DF3564D7B26101FC460E22A7FC5534278A9A6FB2278F1C97F30F49705810740F5033FF067D36435F95A1011534F384456655531062A91ACA2';
wwv_flow_imp.g_varchar2_table(10210) := '2A7CA03C7C100AAF000DD3800DD580749DB3B091FAB0D4252DFF100E5E600573D2217D70077750066340B1B4D00F43B81170460CF0E00A358B0CC0080AE1400CCA810DEA800C43280F9500BBC4600E38681C2EF34BA47339320234FCC06DBEFB14489BA4';
wwv_flow_imp.g_varchar2_table(10211) := '41D20DDB20B5532BA59225ADBE660B45902D6D09878BF241F2D6371113B676448F524510EA192FC6FF433664A39703219FF379298364975E304D13744FF836712B364F97D43DBEE5881299A0AD0207E5C82A99F00BC8F0BFCF500DD5200E2CEAA8641792';
wwv_flow_imp.g_varchar2_table(10212) := 'C622B9D84953D9F0B963A0A99DFAC056000055000A1F0B9335C50CB8FA0CC8900AC3F80CD7400BE27021BD9A11D5600BF0500FA9E00AE4A574C50752BFB48B10357C2751BC156A1C52DB0D00000E05B10D3CBCBCDA674CC84453AF600566200789000041';
wwv_flow_imp.g_varchar2_table(10213) := 'A0254CF341ED188776334DDF32B66453B68E4442692A10FBF20DEF900EEFE0687B589006712944F0340070412A20105DA2B70AA998B815310167317CA0BF033550A0F00A16F20AD720C0D3300DD9700D047CACFDF091F820A1926A1AD7F70FE6FF900986';
wwv_flow_imp.g_varchar2_table(10214) := '002237D5A917FB069E800DC9A439FFF00CDD700DE1600BCF0085D1100EE6000AC31AACE1300CC4100EA82B0ED1000FCF30BABA5B1015A5B3B494AC4992BC0221B54E0BC45D28C410F50FD2900889600ABA000B98900858300441E01D6F89299D85497679';
wwv_flow_imp.g_varchar2_table(10215) := '9E81DA6025C49EF698AE5107781B06002D649F74DA36F794C63FA0025C22041E609813871025004A8EE80668C0054FE00578A0BF804009AEF00A00D0ABD300007E9C0DD9300DE1C03FC564A2AF29A97D25322F058CCA97D003510EEA7085AE797D6F6614';
wwv_flow_imp.g_varchar2_table(10216) := '80A514F44053C9C47CEA20B1D2E83AF760933BD339B992B44A4A1C3A2CB5E0E0C3287DD2DD70D23FACCBF7C5CBF0A50CA4000BA2FF200AB3600AB300008900065B80055FB006EF8629F3A63054CC489F30977589C569ABC58DC67CEFC087EB0A30E94B69';
wwv_flow_imp.g_varchar2_table(10217) := 'F7640336C0256602001E60028BF72DA0F480DCC40196643542F005EE9C021CF0031DD7089E70C7D1500EDD900D04BC0DDD50D7D5D00DFC83A4021D5D04FD9A7BE55D58A4A29F59175D044B2A479332C38BC1025FFE53BC5C0733CA1BB52EFDD2AB0325BE';
wwv_flow_imp.g_varchar2_table(10218) := '860B81400D93100881600A0030099C0000A410063B2D075F703014C649A445B606D260AD6207F3E235F1B72FD2C33128745007312F627004683D011EE0015403001400418AD741B80531A8DD5975F204BD7D048CE00AB710DDF7BC0ED3700BDB200EE010';
wwv_flow_imp.g_varchar2_table(10219) := '5EDB900D78FDB8ECFFB0D793D1D726891322F14BF5C06DE79D14B1F96399931341435DB5195DF1DDD8F395AC23BD243A5C10273DD990654C2CBAC3A2D00BB3300B81C00698200A9C00DA9C800998400A3B9D0872200760E0085F106FA57261A6253D8C84';
wwv_flow_imp.g_varchar2_table(10220) := '3C691B7F04E34304313103F33600D0077690304800003D904D0E334441256F6EE9AD6BF905BCCD058C800BDC9D0DBF60CFD9200FDB000AC440D7E3108DD2D00D48A6B0DFCD14B036A1DFEDD75E545D3E564BFA336B0721335F04D28061BC4D020EE1300E';
wwv_flow_imp.g_varchar2_table(10221) := '4C3A10FBCDDFFD5DD9B3380EBD000B033E0B98C0066CC009A650D36F3E089380E0A6F00800D006A570E73A5D0A7C0E00AF9008AE000A9402DBC593E175D237DEFF425A624B1084B008A8600D9F600DC50000D6D00CBC70086770066300706F491000632A';
wwv_flow_imp.g_varchar2_table(10222) := 'E508077CC0077E000770D008AF300D046C0ED70D0ED9700BD3400FE6300ACAD00DB6500DE0600EE1D00D2F89E47B2D9214EAE4045440B424E5836D522B8A40002DD249020E2D3D10BF3C0A8990CB62FE58305D18E3000B688ED3395DE0813009DC2E0A07';
wwv_flow_imp.g_varchar2_table(10223) := '8EE000000B8F600ADA0E00A6E0D903D10BBA400DAB500884E64EA6454277733031BEE806410E02C1EF00A00D3067097D40107052086B324AA7E6081BC2078C5009B4E0CF2BBDC3EB300E2B0D0EC83BF1A9900C00500D95300AE3809BBD6EC0E0CDE4056D';
wwv_flow_imp.g_varchar2_table(10224) := '1AF953F21E0D12C97E4000ED0E5A8E1C917DCFCEFF0E00D23E0A05110C315FEDB874ED0090ED689EE6B3A00B9F1D0879300903EED9A6C009A1ADEEEA2E0A388DE6B0A00B42BF0DAB5029A8800A630C307D53BD10662A84F2E8FFEEEFFD0E00DE500CBEE0';
wwv_flow_imp.g_varchar2_table(10225) := '089BB00870225C6C2F8900D056888B0C728DDDB93E0E134F0FE710D7DD600E3D0F00D1B00EE0700B24220DE310F283CC664A8E14242FECADA93228EFC20DB1F206D4F22F0F1CD40EE608510ABD200BA5C0F9517BF93A8F40F9A5721BE1F3373DE00090D3';
wwv_flow_imp.g_varchar2_table(10226) := '526F0A818009838009EBBEEE3F8FE60521F453BF0A2EA70A0281F50DB608AC60078764079AD03576400800400700800A934E10E840F6DA2010DEE00DB5A00A2334366FF2F6A9C208A1E00AB9FF30F7E2108D00C0F7530700EB50FEE3100ED2200E136F0B';
wwv_flow_imp.g_varchar2_table(10227) := 'CA30E4D2700B7F1009D160F8019DF8C0DEE4E31DFAA2A8B023F9D8000140E04082050D1E449850E1B68289560D2C252B622F81C1062ECB262D9B428E1D3D7E041952E44892254D0ACC07801DBC7AFF5CBA1C076BD6CC9900660DD4A50B80284C9C009832';
wwv_flow_imp.g_varchar2_table(10228) := '751396CD9B0367E5D4B58D54B35A00780DDC850AD5AE835105928182EA1B006FE4DE911348CE9A376BDABC014047CE1BAF4D000A2D72C4A790DBB7A106A633676E9CBA7304D70190276F9DB96DE0D88D1B554D1D3800DB8819AA544F5F3FCAFDE4B10390';
wwv_flow_imp.g_varchar2_table(10229) := '72203F78EA300FAC7C52F468D2A541530640591EBCCFA65D0318579831805189FF04362A457019006ABB776F7C1D5CF870E2C5F3D15B89AFDFCB7FE790EA245A54A02981A266C99C7E5D3B0058D07575C3C5CB99D3AA00A80A44650D15004D7A349D1D08';
wwv_flow_imp.g_varchar2_table(10230) := 'D6BC35FABB8C794307E01D3A6FB5D62FB203C0450058A48F286AD9A7B582FE5A879E06D719471CBDD2B9451975C2D9269C6E921945B2CA2C5310807BFAE94CC1D08A433145914E048C351589CB4DA05280BB8820695C7931471D772C2DA595EA59EE2565';
wwv_flow_imp.g_varchar2_table(10231) := 'D80804939E827A6E26EA04924EA0A170D2E528009222C599F1086AA6195F00F0E53C00D4EBB21549F4D8C5AB81AC19C818814E31461B72F2DBAF3F5504DA64135454C173132AB891C71D7A0CFA0B00070705471C75C6B945FF9A7100E8A6D170C2F1B0B2';
wwv_flow_imp.g_varchar2_table(10232) := 'CB32BB47207C38F38C201679E4144516575BA99F4E85A368A06CA8910680699219B555D29E11E819665C0DC94796825C4E992ED8C8228B2EB200808D3C4C418A2682A0B3092781A0DB06176D8AD1C69962B0DC522034BF34EF143AD8E30AAA34B365B32B';
wwv_flow_imp.g_varchar2_table(10233) := '81DEF96ADA5608E245155EF638843578DE15E82FC10405209E06C7E9661C7370E9261C8DA4A9469A7026FB4752CC341391C44C4F1395568749FBD4457E1EF6080C390E5A25226A3692452056015086464D2826D92066668DB520584B2EE81EE46E756939';
wwv_flow_imp.g_varchar2_table(10234) := '69D820328F3C82F5950422399924A8999035282782C0A9321600A43D1A80629CA9A519F204AAD6123200985AFF12360130C6CBAC0138651734E523971C67CE4537DD348A71902078E2A5D7DE75021D27996E1893A69B6AAAE9E643D50E26085313516339';
wwv_flow_imp.g_varchar2_table(10235) := '708F4EE407540026161C8044C0E828915726025999540BB261204B04D94390C469258698933747A8D21F71FD671B4C449924F5491401609041F2A0990D00021105A8A0984C76CA6505225A1B6D068256E9A37D211E80669676BA154D0821846B6CEDC35A';
wwv_flow_imp.g_varchar2_table(10236) := '20AAB2DEC5ACFCF47B479B56B4DE45BC4DF648079E75E05D1B8006E3759B7769C4D926996894B93B6FBD274538B51235051C74FD05229C1E17F7AFCD2A6CF30ADBE426111DEBD8403696904D58C2129210C81EF6A72366780E00C400C0E7262810D1C1EC';
wwv_flow_imp.g_varchar2_table(10237) := 'FF25A613C5254408949F08E4123651442054C7094C08C4274331854C8EA2936649EB59DE98D631A2C5B42D69C94A06511310A52790ACB5E94DE312DB53B0660C2666E96CF4700700CAB7A0759CA38A00C0053194C13E2D762343E0D01B8832D3B7FB312C';
wwv_flow_imp.g_varchar2_table(10238) := '70FCE0C73F1037C1131DE77F9B2B0738A851904251431C0211C7C696310D0048638E0251C6410E2110CD6DF045C8C0E0405066C84AB5C31DF920DD362651BB4B98A292D4A1CE094DB1424C0C02138AC0C42400A0089FA48E132C14853246518BDF29ED59';
wwv_flow_imp.g_varchar2_table(10239) := 'BE3B9A128D67A5DF5DE94A043186D380984B71A1835CBE1B8F9A78C144676CE210EC70C714CD57C5738CA3997B899B2770B10DC274838BD5FFA84CCC26354611612A8A663C5C411A8690FC25649C1C39E7E15C420F97AC11747A135467E4513F92FDD154';
wwv_flow_imp.g_varchar2_table(10240) := 'F64C883426C747C92524738654D130040A5083DCA31EEE68073F2239084E88B09203C9240054C7BA51B6B0A28AC0E82701D0424CE0A212B518CF788AE10D1C8E47895B1229424C5AAD81B4D278CD300B39DE941FDF59434D456CC6BAA01145C1BCED1C7D';
wwv_flow_imp.g_varchar2_table(10241) := '81A65EC0510E2C26631CFEC2C5280C61064F508639F4AB9488A4A80E77B8847F9499583EEEC10FCD346C9CFFC80C1A53534E7ED4A35265CD473E148A1248F623AD94812400EA918F7FDC821291B0055837A8377EF80F33EE041D431825908D608420CAE8';
wwv_flow_imp.g_varchar2_table(10242) := '274192619182407090024903FF4128405014C1EA19D0D05F3D00D08E84C66C39DB1884434538105114241083481DEB443910D651749493188527D2558BA758E92CCE9025977409BC82148F17BE7013577E17ADDF954520FC21A93574C9C4369D42159E69';
wwv_flow_imp.g_varchar2_table(10243) := '0783C6315DC280631B5EBCAE348691544F18220E7FF8C32808F61279A8839B22BA4767E0A1D7B1B693AE0ACD473DD0D856BAFE43AB7F2AD856451524BDA624AAE2A4AB88F4BA9C31DE22AFF060271B3FE4C610514CB00791C634E668CF055AC422BF506C';
wwv_flow_imp.g_varchar2_table(10244) := '2005A203AE41B02075902C008A405912BB46B39C5568CC4A87DAD45D6212A3D5E49250BB49891644B50369612CFEA00AB209445DB8E5312FCED5BD81108F782EDDAD537EFF470E6DD4D62CDA308633F0A3969A129198CD38C43BE0910E08E98B51820D18';
wwv_flow_imp.g_varchar2_table(10245) := 'C058E5894A788236A3403331F49162975CA61DF7882A9CD5CBDECA94431EF5B85037C0FA12C421431C7B36AFA8AC3A3177DC221BFBF88738F2110E782C271DD900063B91918D7F64631874254639C0CA8C5BFCE3BFFBE3AB5F05B78D3BDA489F02E98641';
wwv_flow_imp.g_varchar2_table(10246) := '3636B98104721A7BD4B0412488100F941845C81806329021B81377B6609FCDC3EA546742008CD61473C843685DBC5A892A42D88F18A5273DF1873A15445D3C46D7B9544115556CC917678196339CA62EE07A431B9B18E678CC8DB5AEA485C9CA656E2E0F';
wwv_flow_imp.g_varchar2_table(10247) := '510C76E0A51CD7DD06FC82418C7DE30217B7E03762114B0CFF5CA482184ED5A679E1CCC1F4AA63BDA029981FEEF10F3FA4431DE540863BBA718D7FA8E31A86C846386E410F2E0CE31FC330073CFE7C724AFC991DA088061A342D0E500C2313C48846260C';
wwv_flow_imp.g_varchar2_table(10248) := 'D10D61640219CCC80423CCF18F6A983CC10AAE4C5F251638EB32E6C108793A8D5485901600C01284047142D0606BD3D80511860000220802094340C20F990086C31AE96BA75223D918857B8B45294A9B0DC2D9CE1636459D5DE322FDA10F0DBCBA25DA02';
wwv_flow_imp.g_varchar2_table(10249) := '00B2B5E55C8727C8B601D01482F8225DE2318B985A211E006823A7D50B1B93996B9F756DA21BD9D8883EA5F16F3493B9119188C31B225166508C221595F84353F9FB8FF2528AE173064D1ADF400B5AFCFF8116B7D8FD3518E189707802146F88C6332201';
wwv_flow_imp.g_varchar2_table(10250) := '8A320C83168680795EFFF10C3820E31FBBFE872DD2F10F5AE8B91CAEB8453BB261FD6CD0E215F5A8C633A6DF6976023671A15E7AE0B6715D005857204F2708630982CF82C08020FFEC8828B0036BB0836D8902283840008802AEFB884C480582B0858310';
wwv_flow_imp.g_varchar2_table(10251) := '8661008009EC945E0300CFFA07694836D7813BD71288D7618339709D411088D63A418C32C14008843ED082433804093A04071A3CCBD984C923BCB6588F82381E2E21BCC91B8F7323044DB08F2C710ACCE30F9B32065E604255A8823DC00566A88660F037';
wwv_flow_imp.g_varchar2_table(10252) := '34AB844A008046D0424368843F88842F8C843F788337B8824C40B882292F775838F4C23DFFFED13D5070853FB8055A8804EE2B034FB8854CF80757A80664F8834C101438F84276F8077A900781600476488576E0BEF0313371C82B5B10BF6C28075AD843';
wwv_flow_imp.g_varchar2_table(10253) := '79A88668F80766C8AB70423AAC12B551638CD9E008562B8865304583181941D01C2638881B18B183D81682900206F40861D0350B140894D935B5DBAC7640B45FFB07B72B4112FC408A9A039A9903453041D7324112244181A09931B0823A88AC3448833D';
wwv_flow_imp.g_varchar2_table(10254) := 'D803072A88B64817004085ABBBC183B812543817A7D18653D8034D38851FFCB1295B42266C854DA80317A8825BB8855168842BAC8451F0B760402C69488664482AD4030034288337288348C8C097B00C851B083973B801AB0C3FC840FF46488554B0C86B';
wwv_flow_imp.g_varchar2_table(10255) := '808368808748488537F004400400488886072C876E903EE773054873095AF0B86A800743B80571B03900503E94B3859124AA6B20867FD0ACBD5AB050DC1C6AC03F84401554098991190827100826E0305B740D0AC42C81C0AC8132086100000AEC1497E1';
wwv_flow_imp.g_varchar2_table(10256) := '2C4852B16DC883D32A41BB03803920B61144CB3940CB101C84B6BC19D819852EB0821C48032640020070C52938036D148841123C1C04804DD0043BA1935340B76AD1A5DF320B6FD8053D681E4DB0845DD812DF590B218B4117A80124A8022EBCC2515805';
wwv_flow_imp.g_varchar2_table(10257) := '8054066228BD30FC833B2803002883324003842C032C640EDA53B8386BB8F5A2C87EE80679B80709B910BA42065AA007FF73E83E7540865B48877498067A70856B508795BB8654800750A0B47C70385070386270856790876148CE61E0437EB08569F887';
wwv_flow_imp.g_varchar2_table(10258) := '7070054FF833F77BBFA194277A72B0394AB51471450098B58130811B4008283008B093CA84800664B8CA5E64997C70B3896B27DE60C1B7749D51621DB4AC2445C803648B468140369AB91982C0822AA8020088AC2998022458021E608225988234A80318';
wwv_flow_imp.g_varchar2_table(10259) := 'D484ED99931E2388414A4C71738ACA348B6690843D908443D804A731375F50854D48031058011DD00117300217F0812B0000333852007883381088AD3BC83738C8835C4D84A484F66AB3D9BCBD896418ABB22A8108CAFA1208F63288B572896C18AF4473';
wwv_flow_imp.g_varchar2_table(10260) := '2A7302ABFF7E608667B80666B02F31DD1CF86B308A21C5C6100812E88854FC080F7BCAA83488E619083A38C00404803FA8D2FD2C3101658737C3953E1ACB390804B4F4C0B334A14960CB4198549BA1995E01962E10882E680452F0845188855418C9B203';
wwv_flow_imp.g_varchar2_table(10261) := '003F108326C00126882CF9143CC203C7AB23A28268055F180F72738698D2064BD80342403798D28663D8041D08810D40011000012000002518021770811C200217B00233F8033FF0033E80033CB80300C0033700003750033570832FA8D233AC3DADCAD2';
wwv_flow_imp.g_varchar2_table(10262) := '87BB2AB7BA87B4D22AB33A0E7AE02A7AD82A971114B3A207B592AF7EA807FCFAB5304D8D7E55A878E507834A89B992072E95D377FA10A5FB2B96A106FFC6C0A746C8823BCDA78F0189A9994F0940018138821F200200B0038238403A680282C04245A5AC';
wwv_flow_imp.g_varchar2_table(10263) := 'B41A50D21912B2749DB60480070D044548469A01805E01552CC08220080200C0020018DA5120057C8C855800054860044A0805504885503010268002105B47C792044B201B2F1919AE359EC1644C8120A94D2003494037E3A90555588110908010000118';
wwv_flow_imp.g_varchar2_table(10264) := '7001671D822128021748822150023480033FE85B6EC503287583C13DD73240572B95CD372B88361C2BFE92D7A8C2D7841D11B7E22A361B1181401CFBCA4085A25CC009A3888DD778F544508B58A22C1986288C2FA38D2ED00573A00D5C0080DD48088E1D';
wwv_flow_imp.g_varchar2_table(10265) := '89157881403508431D03FD74D9975589FF3773C87F08062239AD4960B1D5392D16CC035FC902A00DDAA20D021F005A3640335200805588055BB0855808054A6084A7B50B00F8844218A43420836C94CF3A200454F81DF8184CE5113C2B91843AB00454E0';
wwv_flow_imp.g_varchar2_table(10266) := '85F6ED0AA929D156D85155B0820F00596675D622A8DBB935E02A30033FF80344F0DBC08552286D4D34F8024054572C65C3891CB03482876718BA3D1B863F1114BD622F48023D41F14800C8068F948768A8AA0F6198CF0D8D7422DDA4F31F759827C1A19B';
wwv_flow_imp.g_varchar2_table(10267) := '8DD88652E9A3D16859826082AC43882710884598450040C095050046E85D12635477C0073EFB875FE80239E0159EB5999B090400E8822E005AA1F50181B0826705806B5DBDD832D5FF8C04805080043EC0033F28044700004728043BD00674A885BB7402';
wwv_flow_imp.g_varchar2_table(10268) := '322003FADD842B69C773590B5438055EF0066790043A208442C65F6FD8033E4E834378835AE8030D005917905B20A8DB6AB5811600811650812A78833F3004448083250504008803398883380084F0CAA6366B5476BD60DB74C37B30BE61C007D0EB0738';
wwv_flow_imp.g_varchar2_table(10269) := '00806B08077928876C48877E688772581B7700054330075760C8250E3F5730844898B84D695CD4802719D61F3ADDA071D0D85E10AC58FB8816800110C08181F0D881F0001E38086B18902850D98210BB2626A827560E15938644705E2CE8E22CB062EA0D';
wwv_flow_imp.g_varchar2_table(10270) := '842E588320188211508121F8812110081500822250022E400333808CFF4AC804EF6584702D5781185C03A9057440874D98011A80D5C14C1AAED104437E076F3897FBE50A54A0033D28E420C421631AD13EA8852408010F605610700100B05B17D8811188';
wwv_flow_imp.g_varchar2_table(10271) := '5B662D822F9866EF7A8346C0A2875805341B85603843D9B4BD5AA6339788044D64075AF0836A880471C01164180357A804E1AC847000CA4DBC067C04866E40845B68E67F48054DE35C718261AF22286E26B12D1008232509FFB31C2106001C5801BF5645';
wwv_flow_imp.g_varchar2_table(10272) := '0020542456C03350037AF6DD461D1115238656DE67BD3E5239B84256FE021098000F98000E000011008012E86C0F48811D20022FE85B3C08573728032970ED7215039315033B280668B0849116084B5085663086FF91A91EB2DD05765437C754DFED6906';
wwv_flow_imp.g_varchar2_table(10273) := '755B5B44D88331A8826495001D885B0000821C4002A0AE3A6605E5313E54BF6D045C10386508062A9486337C48F46A573A5B0E7E40D572003E5AC8846EA0055FAE43E7D3C482A9B45B00005770054BAC2B4F303900088731F2AABA76616D86581A7E23FD';
wwv_flow_imp.g_varchar2_table(10274) := '6981110000FB1488AA5B688656011788C58448822B1803BE2E89D82688D8E6834CB048C69EA0277EEC9798067EAC042D54EA81B8184080832F48010AE0000AA071008000081088C902000EB0012EF8028118032E908227206229F0823150033BB0032A98';
wwv_flow_imp.g_varchar2_table(10275) := '02091A03FC5C8258B59CDD9251FAB50F296332CCB93A26649A4DE80331D0010C78004B866E00D801FF00A86E201881AA03E516000251EE833BD05669F2A365D8066A006F69980CFEAABD3594485B4E8D7F68876AC80648C8044FF00350786643F00446E8';
wwv_flow_imp.g_varchar2_table(10276) := '87747803732006B30E0790138748C8064F78535740064FD8C946FB905F2B27FC19F51986AB1ABE61FD31E01DB0813367681143882BE002239DF58FC8CB2A488291C0038460044360046D65ED2C14715AE9A0125F8E6CE8C77D54F1460084668F03385803';
wwv_flow_imp.g_varchar2_table(10277) := '096E010E90000AB87182C0711D9F8023E002C35503217F829225E227F0022F1083F93C83251808183C03A774209832865600B13AB8C12803802CF76355A8854FD8043598820D18730930010060D61D90D633E76982F7642058484870833EF883FF4AF0EE';
wwv_flow_imp.g_varchar2_table(10278) := '3B374A6950867138D3877C33DAEC8CAACABD7FB886AE560750B00573E8867230B86116F448E8876BF8337348854C088772C8044ACC04384D874CD0B4C91DF66B064579424F9651821C500200086300E06B2D70D226DD821F2F882F2803ED1E080C2D6385';
wwv_flow_imp.g_varchar2_table(10279) := 'B0C852966370E5838108DC82E056281D0871EDF98761547888E298511540607640600440D0566DEDD637684D29508109A07109B87600488082988014E00238607B3E38D772F7020078022198822658C0291008763E673B488313884F81983C26033141A8';
wwv_flow_imp.g_varchar2_table(10280) := '77AE2087567082FD550500198325D08007A0800DD0690EBB0120E86900A8351360560F70013FF00448E883DAA74990114D65D886FF753853D97C248ED7D2778DCD8448059401CA8178D88619580357D43092584342032D885200F8023358FA8190FE592F';
wwv_flow_imp.g_varchar2_table(10281) := '0323A56C81F80338E803AB37088B4CE58300FBB19FA07BB80C0F5A0E62E05B3880FF38F083544E655FC60333F80222A0F66BDFFB0400080810000C1C68810BA34AAE40514284078E1F3E6A846C0070A2060A002B742C013085490D00640000D8B4495033';
wwv_flow_imp.g_varchar2_table(10282) := '74EFB4ED215367D32E5FCEBC15030085D0A643760E79E1F12002050F264080D8E1C208089212402CBD51B44FA64D63A6C201806BD5A844ABA48D5BA7AF5FBF7F62E5A903808F24807AF7E0A983F70F2DD8B0F7EAE5A3778F1F80BA74F3E56BF7AF9F5A7A';
wwv_flow_imp.g_varchar2_table(10283) := 'FC06E3BDD78FDFBDFF7C7FE5DD0310172DE4C8922753AE6CF932E6CA71E3D6652B0F6FE6D0A247A33503208795C85720A331F3E6CF9B3896AB02F803E00D49DC24E1F401E0A7360044860C01A04412916EC85F2213B941FA39F4E8D2A743CF278F1D3CC3';
wwv_flow_imp.g_varchar2_table(10284) := '62C3DE9252060D1A3C661EC20104C88F9C8768864CA020706002000920C4479B820B2057B75EB9AAC408402695E0F143061464F0C003143CB0C10B3DE8F0810E4830C10400ADECB10700DA90E38D33759071488500A8520B21344031C51462F421860E07';
wwv_flow_imp.g_varchar2_table(10285) := '0635140046012101001248E001084A5851451563FC718818629C518627A38CD24823A328D3953E5F6D775D3BF7340680946CB90517588A8905005E60F1731858FF79F115163F5BBE3518978E7D491D9B6D8EB69997F478069A9B75468606005A00500600';
wwv_flow_imp.g_varchar2_table(10286) := 'B2A11509649E00E049258286461C70BE555609258892F4851724D980160704D97929A6994A27E575D985F54F99B648C105175F7C81677878AC411E1C7828E1C17BF2C9471FADF349A0841FA0BC624B7FFF85D2081C3F504001071400602C000C288B830E';
wwv_flow_imp.g_varchar2_table(10287) := '90ED91C61EBB34A30D2F0034E3611D241DD2C71900D07002132A8E210400404900430B361C45D4522E24A1C418658CD187497D58B2C71963745289217100A26457878935163BEDE07316956BB5F5966371FDA34E37F4C8F3565858AAF930336FFD130D3B';
wwv_flow_imp.g_varchar2_table(10288) := '00FC6397C7FD3836B2A6254707673F9D754CA7C9FF6C124A592590153A68648D440628008E56961C5A4940E61E04085A66020C31B47C34D26DDED3A9767FFDF38A12A44A0D80A95FA8011E785F48D19E4024D53719106654F2CA2BA054D208238D500247';
wwv_flow_imp.g_varchar2_table(10289) := '1113A0652341F1190041BA0054F151B69618D38A26BC34B30919138A71C8184CE850C3092C78C1871B460090208E45B900C40B126C00C2156FBC21EF267FA8A24A2B25ED412FBF7134E28932E6D003D6C0FD40793049552E0C9762E218124938FF88E316';
wwv_flow_imp.g_varchar2_table(10290) := '3DE6C8534E3EF5A403403BEDE493CE3FE1A853CE3FF08823163BC3BB934F98495B4F19CAFCC8D9F1F526E31259CC68551289CDB3C181069F90199D19071298D03DFCF143D718764D87454BD4FFA3EA5FF57200A841921454C001817C0D2DF181CF41FCE0';
wwv_flow_imp.g_varchar2_table(10291) := '8A5754A21280280F1CBE60030F78E06D12A04F020C4092166864060048C3212C4406975842449BD8C314AAD0111E0060032278C21DDC700404590E04EADAC1083CF0800480000D7FF84319ACB007447CCE248720DC1F22E109F28D2219E058DDA716C30E';
wwv_flow_imp.g_varchar2_table(10292) := '771C0C2F67B112C31A768F4C20EF1FB6B85D3BD0E08731D2C215B88944249E618B5418C21C9128472614188E32BCE11A9950C75F4426BFEBA14C657BC4D43AA033069228E18F863C64A6A40480FA7DAA4CDDF902A9AAE63F00608D6A5493420BDE139FF9';
wwv_flow_imp.g_varchar2_table(10293) := 'CCE70190F14011BE00084601E221545382052A48920978C06D9E048001124000FF58BE80074C48C3073DB8874D88A8189D5802B378A003167060034698CA0F10141410C4400530785F0212702BD704B10A0018831DF610A43358C10B7F2854A1A4A18E40';
wwv_flow_imp.g_varchar2_table(10294) := '3A4D8A244198ECDA0199B0C0231262A9071CFA410C5740821D915047263C910D500080169E7005313C918F48B86218FFC8842B68710D4FFCE3337A4464CBFA2827757C06A2D3C907491E5A3EB4E0092D3B30812A21F3CAF6416628CEB1284A539AB0457A';
wwv_flow_imp.g_varchar2_table(10295) := '4A2C652246A9F8F7BFF07C010F35C51A247F908256129093B27A00043C20859A9AC10D78FAC21154B0530070A09500A8E04010304B92CCD2394918830E66A08334D82138D088C51460000061BE00051C8841159EC082043CFF8003EF730A0C3C20816806';
wwv_flow_imp.g_varchar2_table(10296) := 'B5084AA8C25D9330852420A1AF294442159218892696631D6139ACEB0AC60F7C140600EE5007F7325AA654D0C21CE9F843363201803746221D68CC6C365CE1894CFC63B499B84526323B0C50540314CF68C763549A2938690F1E91956D645C50C8E738C5';
wwv_flow_imp.g_varchar2_table(10297) := '72962289271344AC901ACD087645CB183A8ADBE5CA8F7EF0A8C7A730CA0C2E94C16A68381578F0B00555A56A0D46D59A1286F08316A42005ED89E653536083FC49012D47B0C14E5519521AC987001A0C800601808217AC604146B88218C6108B6CD8A20A';
wwv_flow_imp.g_varchar2_table(10298) := '2900800C6210031E9880053FD8010510F022003C13041404EA8D3C90AE1FD8D5088E7B81096E90841D59010DFF6FA8C42DA4618E90C5451EEA4C0B49EA818FC79625A360CA072822C10E7518C216F204C035D8718D6BA4231B45CE4638909189723C831E';
wwv_flow_imp.g_varchar2_table(10299) := 'B7F04337D4918D726403186E792873DD04273F6639073E73410B92421210B88024402873655E1919134CEA327778C39B6FE3862CD3D97A4B63A4581AF30CEA7E073C00B0A9AAFE479255AD2A0E70381F24AD208522FC8082A0044228BF408449511ABE21';
wwv_flow_imp.g_varchar2_table(10300) := '7D2A08602001646930BFC0D5EF061E80043EA10114D1B8051A5A200304CBE0052C4081092A2561A10CC50420AD51A51C6DC3220020093C02020C5E20E2775D410B8618C530BA813217C7F89C8D51478D6D8C5133BDA53114D39866D092451BD759CB9BE1';
wwv_flow_imp.g_varchar2_table(10301) := 'FFF272C7506C92E889324AC8015A8682231AB5808344900CFA6E73192ED84D0CDDBE77C9EEEC8EA629E6195FA86E75AF465355E161D000280F25D0068737648D0B4A286F0A94A0842FB4EAE132B0C10F88508409DE8895076E41A5BC665FAF79B25814D0';
wwv_flow_imp.g_varchar2_table(10302) := '8011C4E806416583113FB081106E6002113C55410F90B008DEF7CCA76624E41EE0C004D4DB0220586147552802B061B083FF964189D1704C1E5D573CB3C48E24D05EE761ACC3987AD0632F88414C62A807F67BD8852E73C9073FD08ED1D8E25B3A5B9EA8';
wwv_flow_imp.g_varchar2_table(10303) := '3C30CADCF141C767682943FA76B3F0DACCF9325ED8D16F00D004001801096D3FFCFCACD396BBB8F41FC8E033DECBF03F3C84470D6B2049C1FF0100084A3890E1D7859412740A8411BFC1107E50421192F02E1E4D50952648011080C0014FCA729301785C';
wwv_flow_imp.g_varchar2_table(10304) := 'CD09520437F8E10D4B0E872B36BE831BA85241D16400B148F2CC5B5390A910685F538BB5032B70A1E863480D106E8084245CC10F3E2E535CE8A1CE7CD82376CF56079D1E9376BE80064D91A1ADFBDDCF76C49F6C33B5BD6D4AA5B10D00ECDF3236B30D49';
wwv_flow_imp.g_varchar2_table(10305) := '00A0A65001002C02154401FD25E06824065964479938CD307807DE4D921A588D72A0051C148A1F40527B49C18E1441EA4DDCEDFC015E494115141D1700C1CFD18807A480CF849CA7790D49200B04148118C1812164C33E0D410A08C14E55CA0E19800120';
wwv_flow_imp.g_varchar2_table(10306) := '4082D09CAD3DD5CFB58FB100FFD50EB1950BF24815D011DE8D4115248111B48021F4C33C449D8BA953F9A5C5F9798C8DE911617049FBBD9FFA95219660990292C6DBD9166E7982A100C02AE08232048368F84965A45E140E5268DC155A4C81E3B4212152';
wwv_flow_imp.g_varchar2_table(10307) := '06032EDE03864538A00117488117E80FBD35620742460656021C488107DA8DA2DD152696412364C2259E6021D15B1500419B6918AF851C4920000020802BC60705480082FC800F3142068E0220FC0049A48009100B7C20400440000588C0819184A3158B';
wwv_flow_imp.g_varchar2_table(10308) := '40D0DE0E7180045A411278C11BF8011CC0C6E658013168E1665C07497CA1225DDD1A162244BD2145C99D4AC5816D940FCE400631E06137C8CC1FC081A1C1C63BFE816CD0FF1B00EC164978181018DE20A2055E5561BC440A380E246424060020E2C0780C';
wwv_flow_imp.g_varchar2_table(10309) := '5B409B37A24559EC185AC4433CC0035BB08339ACD8D5ADD83960473C40D6411E244696C58A7D24498C64499EA43994453AA4643BC0433CB4A43BDC964AAE5839948339D4E4F01C643AE46464D4E4454ACF3AC00300A403F7144C3BB8833B90C497B08E3C';
wwv_flow_imp.g_varchar2_table(10310) := 'B8833A210C3E3C1B3B94C91812A421D116DC91A302D68364B0C3467A25F148863A24255AF0A458760CF7A4833AA8E550AEA55526A04122E2610D4C4292C43EDCE53E689BC7D0E5B6654A5DFE115F6E871E894C9EA1DD52F6836DA9D39428D2147165C31C';
wwv_flow_imp.g_varchar2_table(10311) := '469A649452A249F54826683C1461AC099754E65BA2615CD4FF1645B14C9DE943656CC9FB6554935806698AC6B59184697666DB295E76EC2561FE8519E245D4916119AE09CBF08519DA98FB916398D0096168656488A664914C9DE0C560888CC8A86166AA';
wwv_flow_imp.g_varchar2_table(10312) := '5D7382055B28E794B4243D508C978821C97026199EC9619CE1DA91CC52C2A66460E59C98A77AAE279BC8A6B5D966EB340C7BBE491ABADF71A6DD612266C1B021F1C0437636CC97F0C3C46C49CA6C9B1E818A6368C952E643634C099A20A7798AA33C745B';
wwv_flow_imp.g_varchar2_table(10313) := '6666E67C5E28A63CDB6C1E16D4D9266762A866D4278466E66624E6435DA77F328CC0CCD3F3680F5566833C00463FDC8345AED83FAC64C70C8C3A44C3EA0886EBE48564AA277A52148816A991464603DEFFC55C26E49ACC9FB6A9E89166069C542796DD83';
wwv_flow_imp.g_varchar2_table(10314) := '53A6E818568339DC0231648330544339D8822D288F3864033320832B5CC3945D032DF0D345FE43360C433A30C32D8403330C0300008339E49190C2893CA46794062A7B0AA85CD2A56B8AC6663CC76B7626CA50A9646027C3388D9886433660833A5C832D';
wwv_flow_imp.g_varchar2_table(10315) := '30593488030030433B1C5934308338108338740333C8033DF04A345C433930C3335C2AA96E479F66A36708AAADAA27A1C203DAD1253EECA45AAAC33800C045AA434AA6A4B0B2836092A1926EE68C2628573AE73F8CE75B366A59342B6440AA6B1E06A7C2';
wwv_flow_imp.g_varchar2_table(10316) := '4339A8C32D64833AD0C23494832B6483380C83393003009403F16443346043363CCC9E76FF032D549698A64335E48E939ACC874694C334D4634DE8AD0EAC55E62AE3E9E830DC022E7029000C0331E069C32AEC2D589DD3908496C0277172A7526AA74A25';
wwv_flow_imp.g_varchar2_table(10317) := 'AAFB65D17046E61AC6051C4E06B6B2D8C898665F4E0669C2C3A9CEE85BE403F3D84338ECA5C5F42BD625AA749866F52CAAB7B18EEBD42AC10E2D3836603D7C89D394C32FFC0231E00231308330D4C24EC4C23334EDD2120338445D939C6BBFC52B3BDC82';
wwv_flow_imp.g_varchar2_table(10318) := '624443260C033B90ADE3ED297F5EA5973C27738E219AB01FCB4C698D4D095AB4A4C03EA66B9E896324C6813669CA9821A8A45DCA8405DAA5C93C6CE35B7CA17D520C5C84C63FC48365D8833DD867C96CC662C0218412ADE6526803E2FFC3A7848538E0C2';
wwv_flow_imp.g_varchar2_table(10319) := '2FE082D3DAC2217C0413F4C1312CEDD20AAB6036861B04C034FCC30E18C23F540305206B121880215C4300BCC13FC4002DFC8361C00F58ECC3CAAA289685C96726869418E4C822E6DC4686DD7EA365A8E164A4DFB6BD05E4F6E55D26CDF702803DFCA59D';
wwv_flow_imp.g_varchar2_table(10320) := 'C0C9E5E2DFE6A62FBE51D4D1D265E806C3E8024025F401E8ECC222D402FC8A2E2E64AD69968315DC413C55813B3D830920AB17A001A57E143258812D106FDAC6CF63B48E73C2056118A4695E6689A22F49D8ADF23E305A60EF6888453C24421664C10590';
wwv_flow_imp.g_varchar2_table(10321) := 'C405840100A4F00AAB300BBFB00BC7700BCF300CD370185C40093F02001CAEA6986FD06AB0FA06F172192DD28A8538C8FF4230C8821D7AC226D4822FF842210000FCFE822C0000FFDA262DFC801F78C03F4801695D83098805172440EF56412654011134';
wwv_flow_imp.g_varchar2_table(10322) := '70F12292C3E8E75092446461E441EE186455D46352E7F45E2B96E2EDF5526E089F43160880000CC00040860000C0001C32642432212BF26514320014C0214B3225137203CC814476E8A5F8F09F02B1107F324A11B1FBE2423024312EBCC22740022FA002';
wwv_flow_imp.g_varchar2_table(10323) := '22ACEEE82E2DDAFEC359BC0102280102804219280136DCC203A4823854011A884334DC803ABC41001814748523EBC0C34A120F3DE0E8B0AE2445B20335772B3C306706579D1EFF271FD709CF02403C8081022840010C0039233265280022AB7301140065';
wwv_flow_imp.g_varchar2_table(10324) := '0C403993FF042447463B5B721BAC03E4E2A6CF4E87F93654C9823240AB94283B0D3890722993722D38B12F1403301003EBFE42D686893EB8C135FC832B28D10B480132548109A442267080153CC31D70AB125434F5B0718BADE48ADD822B944338DCC2F2';
wwv_flow_imp.g_varchar2_table(10325) := '10433A84036589431959563A4CE874BA319550EF1EEFAB0793C65DC6031B088003B8B32403800214B239373552A3733C5B062153463D0FC025C7C33920E8CA52473F7772407FB545E52A57CAEA1127713090723184C213E7C23124C3D20603D6CA2A61DE';
wwv_flow_imp.g_varchar2_table(10326) := 'ED6510A672A2743F586439C08327A0C19842020154033328013BD8821220832170C198E2A819926CC198EC4FE32C9B88C550838103A8F30038C01CB4FFC123CC810014C052BB7322BBF364CCB364C433254346395F35E446D156D75F1B7B75E682356D27';
wwv_flow_imp.g_varchar2_table(10327) := '0D59A02AD2822E2993025C27C3317CC227F8C23170033338F4E8A2AD442B255FE0836F2A2998D4C3D172A83287C945760C0CDC423954571A71413BDCC20DA4822BEC802B2C8F39A813985027F7D06D6360A7F566CA50B341032CB5005C401B5C4001B401';
wwv_flow_imp.g_varchar2_table(10328) := '229FB07ECBF36490F60917F27CABB300A8F3059CF080877603DC733CBC369B70F23FD7368477CF6DE3437C16F42F9432314402222CC2227C422174C22D30C32F24032EEC69427AE764ACAD5DA3D4C07C6A3AD8249EFAC10F704115D80217C8838DEFE430';
wwv_flow_imp.g_varchar2_table(10329) := '13993924255F5667161D4C4CEEDB9332FF383FF743658FB30208C01C5C80205FC023083200984216E87018A83349384016AC3009908429CCC1253B802ECCC1965FC01C7C390ECBF305B0B62C6B4A60CA3664187984CFF974F08367D80F0084EE2FDC4224';
wwv_flow_imp.g_varchar2_table(10330) := 'BC811550811704891750C11D4402314403BAD6A5939C099DC0675E8049DAF1ADC0AC09DA05F56C85053D10AB3A981123F88127A4031C780242DC4215184226949E4DFA0ECAB443B5A2C55CCCB1617633A60CB51C0C78222F80673B407DBB3393EBF01C00';
wwv_flow_imp.g_varchar2_table(10331) := 'C02590042C94020088027CCF4209CF8228E8022CCC421864812E7002003C8229E8820A47B255B78144CAB29CC3F66179359D877BCB7806F5345E3938AD9F9FE019043A0004981704FFD62DFCC2F398E66A621B691AF9436D2F775A7AF982893BE46439B0';
wwv_flow_imp.g_varchar2_table(10332) := 'E547A683380C8F389443C1A7433B38149CB07A8CBA3A57421663758964B7C97BDB7A2173F69487C180CFB72E3C421ECC020060021B7042B092449703401BC0822E04421638FB24E8822E98C22C0C02B55F8003CC379BCF3657FF2BB88B3BD0630AB93FE0';
wwv_flow_imp.g_varchar2_table(10333) := '978803335442155CC1F55D9317B07B6A000028602DD002003CD8C230B44338D04234389E5A868338646A36F0C34C0FE52DD8023BD4EC3F0C03B19E1A2DBC98F594E8D41D244392A43AB4033563073D8C615C387C41463C3B4CBCAC5F0AAD0F78391F7281';
wwv_flow_imp.g_varchar2_table(10334) := '3B800E0FF8057CF9B4934418FC7A962B401B98C22364C11C3C421868FF3C494C822264FE233475B6CFC38257AE9F3E78D09F3E75D83945F15BF23003098E0175DDC11DF4C19BB981B85981A1330F5850F835E44E394C2C00740340B5AA2D3C8F2DD04337';
wwv_flow_imp.g_varchar2_table(10335) := '200300C843363CC33F0C593D7842352059365434BFF77B96A045A5F74354427741F28561E6673F38BCB5BEBAC4A7C9BEB6C9F1EE43388FF3681FF2670F407D77BC22C33F00C07F3B63395A4CB2523B004038105840810005032E3498132FDE3F7E002046';
wwv_flow_imp.g_varchar2_table(10336) := '943891624589FD306694078F9D458F1F41861439926449932751A654B992654B7EF0D4C9BBD7EF9FC37EE288192A73A58A142F5C7E42B432A64C245CE6FED993874F1F339AE1A2FD4B77ED5A3664D7F80D1357EDFF9FB96AC8FE89BBC6CED62D71CFB2D9';
wwv_flow_imp.g_varchar2_table(10337) := '12972DDCBF7E2D556204C02F1F808CFDF8D1BD97AF6E5E88FCEEF66B17F32DC47BF500A863876FAE5DB97023D684B8AF5F3C30060B0C0040B0000001100B84D65CB173C4830A001C04305AC080019F0728C8ACD05EBCC6FF00E086EC38233F7A1C770717';
wwv_flow_imp.g_varchar2_table(10338) := '3E9C7871E3C785C394978FA64D71C35ED132F4E64E99326ACA404463E8152E6248F1E6CEF6AC5C395BE198E164978A183B64D59E410C472B5CB66B009011BB764B9EA7FAD9DC42CEA4BB22F24B22C0EE1A4C9EC200382CB1C5FCCAC838CAE261A301D908';
wwv_flow_imp.g_varchar2_table(10339) := '3A0D800B081AA0B3CC3494A8800B5083E8B4D04A9B28B3D01A68639E861E222E30DF8013D0C61B71FFCC51471D959BA9267EFE2967985B88191280B284296B48227F610629C900D0271B6CFE61A71A71FA31479FC4C299061E29010CE79A74D4C90D8074';
wwv_flow_imp.g_varchar2_table(10340) := '904AC71D76D4D16DC78B2E92F0AF180B0C4C41061D64879DBE789B701FCB040874B5CF221A6DB488084514A24417F570D0D70E6D4D21861C2A6EC6DFCAA4F3CD4D39EDD4D3373982A71E8CDCC24D1D735045F54C88CC6115CD75987BCCCCC81E7ACB4D90';
wwv_flow_imp.g_varchar2_table(10341) := '6A62F0D3B802534ED77B0068C71DC4DE925338B9FEDCA6175860910816517A11A5D9695B1265A26745D1054A4BEFA2B1A3BA760D57DC71C92529D45103AB695B9032D28D2FBBF441B0B1BA30E24BD6888AC5B7DC910203C0D788C075071E7ADCFF22D038';
wwv_flow_imp.g_varchar2_table(10342) := 'DD6AD5674B89F66918A2850B8B9732DEF00A2FB75A212A98A6C970BB75B86E01F8ADA37B80DDD7E49351DE115876440D0CAFBC0CF4C8E094DFECD757702312981EBBFA8453B87CECC1871F7B341D7A687B4A421A8079EC41DA3600188AA869A305045964';
wwv_flow_imp.g_varchar2_table(10343) := '7770A659EBADB94E09D8735D3ECEE3AE53B299308ADA1958E37BC7D5F423DDE08608695DABEE2D64E0F22999ECBDF9EEBB317506A6D8EF7D8BBDEB5F8001D09962BAC5753B247B92421AF21DFBFDAD9D2807CF5CF3931F021C58633717A9B0D1837319AF';
wwv_flow_imp.g_varchar2_table(10344) := 'C3734E7B67D3CB759C24D7F9ED772E986187A87279DA91A7F6D079EF5D40DFD8590E41B68753B760726DCD18B2E66A421D807CE0FF716739C940EF7DEC386D57B72502FBF9CD1D7A76F75DFCF121CB871E96EBE2EBDDAC495218A2779FD7271FC426DA8B';
wwv_flow_imp.g_varchar2_table(10345) := 'FD1CF77A28FD7C628C99A2FB1BF3BEBCF08F7F19715E5D544732052AD023EA831F494806C091D0EF24F5D09B441E58BF0592AC220EACCB06EB418F7A8C7084D1EB08F95098C2E070F0840F428E622CC226192AA64C1469610D39D5C28FC0B02327DC59FD';
wwv_flow_imp.g_varchar2_table(10346) := '12232C88E8A9872A1CCEE56C58C460F9EB824674E213459237C300608415A1C70F51428F26EE86645584086320032CBD51102214F4224876760F2C7A0431645C0907270841AF6DEA8A5704D843B608453DEE11837DE30B1C9193C729028B84BB091F1F49';
wwv_flow_imp.g_varchar2_table(10347) := 'E230442E929128C1FF0718B7F6C84706CD381204C0233765C98A00B2220AE38BFB2602CA468E92949B631F271799BE8A144D93C3816407F381C9BC5D108C487B88284382CB52EE92973463CC1987D34A1C7DB2644D33A6D23EB9B00645441FF768A62073';
wwv_flow_imp.g_varchar2_table(10348) := 'F4C8F5C5B28AF6A8873501D034A1310694628C52C9E0974101494E92BD34E7393D829B43920F69910B09E37615A1033506638041E73DF1B93777040B89C471C73E8FE38E7E5644884834E83E071A91160A0C006C4A0C8E2ED70E890A1422EDD093442ED7';
wwv_flow_imp.g_varchar2_table(10349) := 'C335511400EBF01746253AD17FAE031E1059873B4E2A117600B4382195A842CFA1A77320711DE7F0A84DCF914F9DAA901600C80544EE208488A08025D100C07DFF22429569606337483DEA349E1AD5A4568322C8000033F800002F44012267F082182A72';
wwv_flow_imp.g_varchar2_table(10350) := '042AECA8863905403900200E8AA8551C688D0838000057716CA31B11D90600EA0A116AE0D55349804811865084240CC1AF56D8E96119590300682002C5592A44B0C1548838F52448CD4644EC0380695C03AA1379467C22228CAE5684074C00000F00B004';
wwv_flow_imp.g_varchar2_table(10351) := '1C00A00748E8810E6E348E8A7CE31DE578473A44D22A8980831A70A5465EBBF15B00FC76AF383241454000001548C4078875EEF87E2A20D002001BCFC04635382B59964C89B2499D2C553D828C612043189FF8880E60FB81104004B60FA882328BA38B73';
wwv_flow_imp.g_varchar2_table(10352) := 'E8A214CD82C83B688BDB72A4A3B6E8A0C838C061FF56BDC27522BD1DAE6F096CA3164844054070C1728130848804C1B0CFB570E87AEA531D6163A9D9654976373B11A85E03BC5505003100205A007CA216AD98C80C681091136880223B78136DBF0180DB';
wwv_flow_imp.g_varchar2_table(10353) := 'DED622BA4D3045781BD7DE1677B81021C737D081E41B01A1C10018820BFC2A112C5C98CA88C440449A0091257CC4AA00006D35B08BD4A58E99C365EEB047A6348DCB4EB6C39B2D3145508C1F00D422226700C0094E2091C646800115B95E71662111B796';
wwv_flow_imp.g_varchar2_table(10354) := '43AD6EB5886C77ABD7B816191CBDA0041800108A4434424731B0810D940B802258640D8918C534A8210E6AB44A69553675E80E2011AE02A0041F890F8AE383D4FB901825F71931443A2B9137FF4764BA10116D2D1661894378C400E233F05ED53ADC570C';
wwv_flow_imp.g_varchar2_table(10355) := 'E10800F8C2AE8A90030907410B1099F22A820111BAC2D57FA7F6F6E0AE8CDA893861AC26D93549D62C915B43241ADD950832BA6C5E8838210311C1016A0F8080547BCA14D9108738BE8156B5EA16247BFD715C453D121FA0A153CDF5083570FB6D89F7EE';
wwv_flow_imp.g_varchar2_table(10356) := 'CA57BE73148A01806178191A57058051215262AABA1B249B85EA65733D9176F31A22AF3E718A2D92E77125A2173A8E4839D2FD115D10B8E6411E8916861004252C1C22DFE006378A738C5840E40BCD8648107210916448A322F880E7C4B18E320CD41B22';
wwv_flow_imp.g_varchar2_table(10357) := '7D86426A01608788749CE500D8F5C8518272EECE1ABC20B7083342ABB53600C0FF1A11C905340A111244534317425E3449AE10F421984122488FC83120330C5B441A005590881422520A59F44219CBB03C91B39E7994719D2218802D00B20C80580843C5';
wwv_flow_imp.g_varchar2_table(10358) := 'F881FBC7A72BF296C459255FAF8825CE60F14F9103F1DAF844C62D7084E58AA4B7BAC07C48A82D6100305CB2472F3C00A0F18D63704318194F092528120400602110352F85F5EDAB79ED77ED0027703D13F2FC096820BECB1689069823726E907076FD21';
wwv_flow_imp.g_varchar2_table(10359) := '4146C75D0F917D97ABEE7497B7A60140899A4B44BE42E67BA37DAEEF4222E82042C264C1F0B221C720821B928FEC0C0F2E6A411594A0DA4A21229665FB30706F646F228461183A8E19882119AC2AF574ADD6C08C19D42F24FF9841C50E41134E21226600';
wwv_flow_imp.g_varchar2_table(10360) := '06C900000C20D50E80003C65177661110861C12AE21CC0011CFAAEEF8A8BEFFE0EAE74C1D02442FA00400AA2CE0C92A1E800C0F01A7001C92EBA0060178C61175E30245AC1C58CC1192402132862FFF62F03D190663630224ECFCBDC6E2252F0234C8EE4';
wwv_flow_imp.g_varchar2_table(10361) := '54820E24020AEA2022982006E56F53766122F6C007354B222A30087F2FAE04100012711A64812282EE0AA4EE01A74101A7F00125C21754212234E1233EA10F26A21900801700C010081116EA0B222AD076D27015CB850F29821992A1D75A82FDEE431645';
wwv_flow_imp.g_varchar2_table(10362) := '02EE8881BC2042ECF2502266705C3611B900E00C23620B00000CE400240E2E22A46D22D6600AB3C112A7C101FFA7B0E3C82E2276410C23E21624E20D26A2189A011401C0135C41222EB01412F16258711DC505B61C412270F117E00D2E428C25BA2CCECE';
wwv_flow_imp.g_varchar2_table(10363) := '200DCEE01751E614FED0C50040069A50190060149C2D19D7000F9EAD00A540F88C110092B122A48F0021C20218A1112DB11123820119F0B332AC22580F247C41F4206259527122C0211EECE1EAD8B1256D64B5C2CE46D6AC1E5102C542D222EC10004C8B';
wwv_flow_imp.g_varchar2_table(10364) := '531E12005861220A61149221DBAC0D22200D00D6000C9E110B180E00B6600DA072212302F28660082C402224EC19526E0A7F6122A0611ABB72111601005C6CD850821BEBABBE2EB02415711F5CF22D7724D5568BAB3CB14888C3A9682D25CA6F22E26FDC';
wwv_flow_imp.g_varchar2_table(10365) := 'FF769253C4EE0FEB0F22800122922D22A0120C18EE1923020CBE00196FEE16B8412A83E00782A021210210908F1BA0EA2B01E0099C0E24CC52257A212D25A20D4AA10225072E597353442B3FE6B1E5B62B2268F2246E522260CC095CB1531CA014C0E0EB';
wwv_flow_imp.g_varchar2_table(10366) := '24E127FD1100364122EE4A22CCE00BD6C00C9813D29E91F0A4322264010F320D223013221801AA9E810121820BB8E0087EC022C02A22A6600F9AD22482C1145B733D37650D4DCCE35862E42E8B0E5362E360502490E0058E830901A00DE4200A08010036';
wwv_flow_imp.g_varchar2_table(10367) := '31188B811C0A531D88D223D080F048E207842F22E4E017B8531614500D52203CE17118A213008C0000F6400BCA600BBEA0DA4282284BD3BEFFF6CF3FB36925D9B345E1A2CFE64F22EC53E320631AB0CB3E388B3E77830CF400223271225ACD381221221B';
wwv_flow_imp.g_varchar2_table(10368) := 'D10BBA2A270314008C0ED122824125620DA6CC28F1000B82600DE06A1A4A2F3C774FF85C4142A910007E200520E20900C00DC0722F2582444B622B0991185DF44D5522D5FA0CEC3CC23E91C1164722E54C6E37667437292214085340B40100D4204A4B61';
wwv_flow_imp.g_varchar2_table(10369) := '2CD30022FA1222D461190060152022112A8122CCE021B7000CE0803135B2221801003A1514BA32224215009A2DCAA40E00B80012B90022AE600C22420B567524AE2F15AD1215E1F4565B82013EA0DC26021886614665D324A8C2BB24E20D5382F5900000';
wwv_flow_imp.g_varchar2_table(10370) := '6092538EC1F920CD512942D8FFCCABAE1234F21CD54D2B410E90F128D5AAF420A21320221500E015CA71F1E2AE22C8AE0D010012D7D50AAEE00BA4805D9DCC0880600CC6A00F2241C4AE0F0012E141D9329BFE0C570556CF22C20EC6C00D962E22AC0AC5';
wwv_flow_imp.g_varchar2_table(10371) := 'E00DEEF0344F8F6346EF002278602C43EB1A01A0308BE3FE262217BC81CE80CF0A82604323150064611564E11500C01C84811B3DC20F4AA2CBA2B022B6A0297B92226696222AD00500C0E100201503646085B62268A009B2CA22CCD522AAC1A8E8B01A6C';
wwv_flow_imp.g_varchar2_table(10372) := '34E46E045821812210CF46C40011483222684118BC81EE3E223985A2229400242C3122C61600C6D3D7C6F4B8D4B622345322280D3BE5006645E20C7D7668F11624C6206DFFAB365021A2E3D0340E3985F584A130B1F623121639A8E1B2D0E223CA3122F0';
wwv_flow_imp.g_varchar2_table(10373) := 'C00FEEC04927620B2E132264E171536E59FF0A22BA0CE944CB0D00E01DB19022AEC00AFC75F70080672B62BA66B602FD7518756162F2366F5900248081188401DEA06104BDCC643416E60055187EAA307321718DE307301422E24022C8A1E37661244DC2';
wwv_flow_imp.g_varchar2_table(10374) := '6201000EFC600DE0601B39321B422134D15522540C79255264D574CAB0E0662502664161228831EAF42A606B1757FB203B7E0A58232278DBF0B33EE2FC76C47E2702500100F14AB7388060D3004009206F1443C1BF00001528A21842A116CC4B1526F813';
wwv_flow_imp.g_varchar2_table(10375) := '540112A08F2484CA23328122546180A1C116F24E25120100FFE2D65621C27D236276E3B78527226929A2779F81191EB65350CC57D134220038223EC1139467378460D30CB8000D1811BA6C3001001724428241221438B6F0A6C111C454246AE10C9A20FE';
wwv_flow_imp.g_varchar2_table(10376) := 'C68F1BFA968421E28487318525CC02DAC0514BCD85F336BA722115164FB40A970DAF6A864FE6A710E170DF518721E27001157E4F02155C0F082262888FEA518F11292112003EB2163A01914116112818228A415C2D02E9C273077AC022AAF61DB36C8421';
wwv_flow_imp.g_varchar2_table(10377) := '628B3D020C82000CB0C03995F2282BA18401C06523824AA7EF514B2125CD386F93168623624689018E51E20D8D7537D0145C418216589225880000FC3809825922B4B528CF73C52402504116008A2116FF7241E9E44D4F0180AB84E0062C62628F2114CE';
wwv_flow_imp.g_varchar2_table(10378) := '60CB48A210469812EE6FE96261E980A1FCB8A11B72F68B51586EF4F8955B33173E1222B8317885C3A872B925BC95872B0250C9D4539251EC3EA2992122140098931D81121821834102923F026327A2169C78C5265AA29F3917A2792298EA244FD367E019';
wwv_flow_imp.g_varchar2_table(10379) := '5707182264392288E1F498211A6A9822F0594728A113C41922B2CA1337C5F1500CD2EEE070D3D7158061F1767822C839175C3AD21861522FB2E312F87B01801CF659228E811C2AE213AC2114A2DA1720D8F9C0171AAEF101C1200B228204C2000C14C126';
wwv_flow_imp.g_varchar2_table(10380) := '3E1A5769211760D81568811B47FA6F7F379F55DA8D97B6388237833F419CA7967375C448FF21C21522122234E10F2182124655A625A21872E1999D991242019201F5710D590D40021A969A24EE0F82A91622D0011AB8B3CB8441163A9B16405B1DC75A60';
wwv_flow_imp.g_varchar2_table(10381) := '69216951F9DD40223EF23722507AA5770412EAB853FC4AEC6CC120CB946E7F52A425A20ABC192232DA99B130145C41B801C0B111AFA703F8B78F01633999939D59AA43A1188A417A81DBF9267B012B621ACAA152461B6F417BF16EA10325021AAC7ABC5F';
wwv_flow_imp.g_varchar2_table(10382) := 'F177F5F719729853823447701A0CBA0011F23522166113C815A71F3824B0101A42DA2B9DFA6F9B5A18A0E1BF2D42BA194FC39A95930D4FBB2239377EB9BBE1D2167A6AAD3D2218AB6ABD7F978F88C0087855CE2E5122D617008A9987FF11CFB937B9B877';
wwv_flow_imp.g_varchar2_table(10383) := '18A23DA201957AFCC68FAD21C21B9AF5C033AE6A05D8223A8EC1B15B22B81BC25D14AD0DD965551622803516ECAC81010007DF0DDE989C19301C478E36ECA2FC4DE896222401009274227040B122427CCD3BBA54CCF04CDCC830F6790378C08FA1A94DDC';
wwv_flow_imp.g_varchar2_table(10384) := 'B09D39C1CB7B22B841C7B94101BF211A7DFC56875C22CCF5B427823AC759613DFCC96F64CA2962D53E85D2083D223499247E8A93B1B7792FDBA9C9EE1894EF1A55DC9103B81812FCA1216B0A0120019721C772EECEDFD415168F1654769E29C209428F22';
wwv_flow_imp.g_varchar2_table(10385) := 'C66BBCAC4AD06D84B02782579FE0C17725A48561B905DCD37998121217D229779355ACE3BEC1D8297DB9C7FCB0331D24FF726CCEE73C1C281122469DD459D3B1F53C241AAB2236AEFC6EF34DA8B34CC35D747520CBFC6A9DE0629F53E18947E21876FDC5';
wwv_flow_imp.g_varchar2_table(10386) := '3752C5DF1622DFC013D63BC7920FF92AFD799BFA23324E7CA30B18A263C8C5155425221B9410DDAD3DF37C182262C1154C5D6533C10A026024CA7B46FD174746D862A917F478A0BD758401FD6BCC0B9C970FCF1A61FCCC39CDE1139D018FDDE595DDC59D';
wwv_flow_imp.g_varchar2_table(10387) := '39D21C382220BB4C41E2982322C7D40CE167A7C7179E1DD5B52212A02432FE4DDE519321A1AE2342087420483B54472EFD24C66F9F1F5018CA1600CC80E15476B5CE40B4FAF601F33DC7D23CB9BD00D2B89A24DA200CD4ADEDE929E88556C93FE2BAC945';
wwv_flow_imp.g_varchar2_table(10388) := 'A0B94AE6FF7684CE29E21AD67922EC13DED135EB9D722228E10678A007568BEE3DE221C360EDD7BE3F170022D8DE22E48042A7E101B981D4E604EEF3B609C06A2CB11DE652A6099AE004B63D47E69C22BA3024CCFC23B853DEB0A1E14B42F0015F22C260';
wwv_flow_imp.g_varchar2_table(10389) := '016EBF0D16C0F16FDF23B8A1DA39FFA369DDA7FA7B5C3E0111A873AC40FE4604DF27DF011DBA01F82359B33196FAB13D7B3D82DD757CBC8F21DC0160F70180ED1FBFF76FBFF72B22B282FFCE4301CC65FD533A1E00AEACD537A5EEB461501F7A8BA121B3';
wwv_flow_imp.g_varchar2_table(10390) := '315F2272C1D401E2161C0004E5F8914590A0B08409B961E30620164172D0001CABF48560188D611600D8C8100CC12060D400E0C66D1A4486D8B0317CFF0933A6CC99346BDABC8933A7CE9D3C7BFAFC0934A8D0A13D17BDB4658BA8D2987C00B8590AB5E6';
wwv_flow_imp.g_varchar2_table(10391) := 'C29309BFBD74F9105B45973001DDACC81022B45C0082240CF2C482140B432C04714BD0024129436C5E8B8A37AFDEBD7CFBFAFDFBF70912C03C2901302A464C14C23581D984768C20BA8ADCA055FE0696E04A9A8C004C0BC570F2CB95970190CBD5540C00';
wwv_flow_imp.g_varchar2_table(10392) := '29470098FC8227616C3C8E629714494B16B7678C7BFBFE0D3CB870C2250060009081E086E13363BF3C2E3C961F55C300782397102C7600996FDE05C09561AA98DDC9579E4A708D1C46722881910340647BF872E003A0D419802CAB30B199630E6080020E';
wwv_flow_imp.g_varchar2_table(10393) := '48205EC9117442712700500207C53167FF47148B4121A02D9F64D212640C1D531E431DBEC45B4B29ADC445589641C39F4C9555760C2400444289610435024025A13442492395DC37634289A0049334050E496491460EF9C182009C90DC091C24F4E07069';
wwv_flow_imp.g_varchar2_table(10394) := '0090461300E0202028558958DE54E83404CD649BB5F40C36CFF096D9340925C51D4A9B8DF6128A00381209009EEC08139E3ACAB1E38E8685B2DF8A6C1214DE91861E8A68A2442597C1828D12545C093C00A847427410C484800E65F30D57108976129009';
wwv_flow_imp.g_varchar2_table(10395) := '61A3A64BD3140A939A09F196DD5795C98467253B26A263AD33F609CA332A29044022D92C938DA2C20E4B6CB10C7D10D372030A6268A71E3E045A2632C90108B53C6544156531B9B4FF629E9ED484E74CD32CB40AA1E5188B6EBAEAAE0B1CB300CC300341';
wwv_flow_imp.g_varchar2_table(10396) := '1130C7ED4AE149B446B8439901003304C90913442B969789BE35CE44A39D01CB921FBB0E3F0CF15E1940B7E4A344B24287BB4E3040D081C37D13EC660E01001A416CC497C54F60B0816D4D29CEF42D43313354492209ED08CA2FDDA404003211FF0C74D0';
wwv_flow_imp.g_varchar2_table(10397) := '4A31B964719D10E94442F366E0057360BD09C077073374B24E6C3402DF28D93C140E785067D76D42D21214C9CC327D7B27439C4E038D2BAF7C43CD37FFD92374DD76DB9D9C10092698906345728C2C41FFF443E45D5BC0D7C51A0475A19315416C312A41';
wwv_flow_imp.g_varchar2_table(10398) := 'DF8483CD30492183CC2D9EC524519F6613146BCD958C42F32DDD2434FF4DEADD9C4E10DD3F7D7E77ECB207E7F1927C27141980EEBE7400435200B00F91D110F4475C29C895024E2EA8C0D02F51DFC5CDF0000C233D00AE049C10D6A0D719AECD3E7E1E2C';
wwv_flow_imp.g_varchar2_table(10399) := '00D95013BEF8E706D548B5D5B2E7C71A70AC8107BFB3CF4FFF5011786C254307DA010030B6F83D9CDD1184630CC2D21384C3A62A34ED0D09199EBF92818C5FC88827AE28577F7C96106658903B007886BD2432A3E225A44E534BC82844D72B5A10241BAA';
wwv_flow_imp.g_varchar2_table(10400) := '22883800000EA198010FF0539C41E4000739D0D03900980004EA07C420D6C463F36A4D4C84913B212E2582C3705E4CAE77135CFCA23A04894645A8C810A4B4CA32C030442444189393E12911A423C8CCCA1793E0FF01C01EFFE009E400C02FF7B90F0E39';
wwv_flow_imp.g_varchar2_table(10401) := 'A4211A9488C73CBEA476158314417201403DF68455CE1B46133BF305F905051BCC40063160F28B57F427907D1061F168E409528C02760028A3F866E23A7EF00327F798C91714A73841AA52881898987190F3121A9C804200D0224102B94A9B64E3433D01';
wwv_flow_imp.g_varchar2_table(10402) := '424D6CF10B0C6A6E1160F9D026E200803E30907823B9422713E18913D6E815D588492F04C7C651F6840B66294B464A14049330C4021CF8210020900074AA3301B96C27D0A090B4280192209A73274FEAF9923BFAE419D06015779C47967F9DC4320AA9D3';
wwv_flow_imp.g_varchar2_table(10403) := '1FDE70082DEC410B8770E6481A1084AAD18C469040073E13928E6CFA440904C9C817A4F08570FAE4FF87ECB4A749879534009021A50CF1DF4971628484F8EC173C6488151C4A9335FCE2A21EC460367846093F74475B04B9C31B96F98638E0B4012400C0';
wwv_flow_imp.g_varchar2_table(10404) := '231FC98C47BE241C8E60C837CEA1C69E70B2A36BF8C21662F3C69A94F4013DACC21B3A03083F74140040B0800722F6463C9C722E00F8815BFB420003108020308829419EF4529D548A214E38C1228E9194FF05F6264604403D99F7122BBC84A32F295142';
wwv_flow_imp.g_varchar2_table(10405) := 'D0A315825CE33B501B984500900A10C6A49BA1798918CE10954A94A86504F9EA5CBFDA5586B48021E924083A0140010AD82021CB0440633D300100BC15A6005801411623140F0C97288ADB02FC66320422E4C500094140496DBB58A0640A18C0FF08E8DF';
wwv_flow_imp.g_varchar2_table(10406) := 'E6252C9FE122215CB84279ADF005CB12A4BC5FC02900EC53130F42233C278A5E0B09420A9898A52E96F8AC4B7C018081A0610812491854BE80865366A4863B4C8819BEF051824477B730494112ACF03BCA3264B88005016E7F6800EACE84027E15839668';
wwv_flow_imp.g_varchar2_table(10407) := '02831E88809D14E04B466A0A8086FDE5BA1A500E4CC6930C3450382122E8B107C0BBD86F79979EC0B885632E2A9CE3500C513BB529009460DE9798D799250AEB4CE62BDF57C1E419C100402918128C62C4C2193081AC665E025F1EBDA21BE6F8073E8422';
wwv_flow_imp.g_varchar2_table(10408) := 'CED7C89586E294491918B263868C41062F88090726F02410C080B604B8AE885F5206B5EE840280CDCB1AD040C384E4304732D6CBFFA1D989020924240977CE6E4D6670A997F86FD44929F290A2442CC93EF9770C29024C140788518CB7C930E1A566EF9B';
wwv_flow_imp.g_varchar2_table(10409) := '90F102A0180919414C22034500402E14C7A84B42DAEC3AA0201800900600FC60BB43834CD0267040041A7A6093D9262F217B25C05E0922010F70400264EDB421B671138E9913002D8001084CB01434C00F0F77549C1F6CE415DFA0C0030F8080B1696282';
wwv_flow_imp.g_varchar2_table(10410) := '0701D9D3B5748C62A7E7585C02287F88AA8E3E0972053438D399AA9E892C9A1841EE70AB4C3D4922417210135E78E32530D60F32FE23940403202377C4C3570912691A968C21ACCD89B8350D801DB81A006405404913F06D08001A268600C00B13B20382';
wwv_flow_imp.g_varchar2_table(10411) := '786039096040CF39FFF05641EB25235228D1401A3110002441098DE50B75AD6B005F2A9A20274E48061EA057820BEB493A20881158D07000ACC289F4B40931A49890260A0373154193BF7A026000C805E9489802416AA18D88D404E54051AF47410AD2D5';
wwv_flow_imp.g_varchar2_table(10412) := '44B8472F4982847FE0131850F8D036A9F8E65E42810450F7DB0411F1B81B3D143EC46686A924F91B4ABE14575BA10C5C40301AD40B80B13996126FF0827A597DD233544126D5A846F5CEE4CF0075BAD3E84A0633924193643CE3EF68041900F8C329F1BD';
wwv_flow_imp.g_varchar2_table(10413) := '8C205D6308060912993130C40D8AAE9336AEF18D4125449209692350B20E73F8C1FFB92FC9C41B9E0280DE6E93F9002882E561220565F03B52E06A86306D3251FF0549600449307C632005B3377C0080614BF10FAE130F6C341CFDA08184A3763DC18182';
wwv_flow_imp.g_varchar2_table(10414) := 'F30F21D88178D146FBE07E2F718232915533918204C181FA0000F50083FB100F80E13AC906003548372D481421A8812EF81722181518C846F340106A640FC1330F4AB80F498883414137469810F6F08134588123B82E1F582C57C88340A1851E08833151';
wwv_flow_imp.g_varchar2_table(10415) := '4AC0D1850CF1854B810FF6500F51B10FFB500FF40000A5B40FF9F012DA241C6DF80F26A88779C88739C10FEED7466DF485678885C3F2818418347658887881882FF181FF900F2B582C4FB88878248265588999281398A8899DE8899F088AA1288AA3488A';
wwv_flow_imp.g_varchar2_table(10416) := 'A5688AA7888AA9A88AABC88AADE88AAF088BB128FF8BB3488BB5688BB7888BB9985DA5448774A88BBF088C79C478C1488CC5688CC7888CC9A88CCBC88CCDE88CCF088DD1288DD3488DD5688DD7888DD9A88DDBC88DDDE88DDF088EE1288EE3488EE5688E';
wwv_flow_imp.g_varchar2_table(10417) := 'E7888EE9A88EEBC88EEDE88EEF088FF1288FF3488FF5688FF7888FF9A88FFBC88FFDE88FFF089001299003499005699007899009A9900BC9900DE9900F099111299113499115699117899119A9911BC991EBF20CD5D49121299223499225598E0A679229';
wwv_flow_imp.g_varchar2_table(10418) := 'A9922BA976CC907C2C09938CF17D31499380311E3589938C71341C94933DA917516014E8F1773E499478D11DD8203D2059944BE913D5F1542FC994516913B66048DE275552899539319359C9FF9535810CC3000D1834945D698E53210C0B811E75337D50';
wwv_flow_imp.g_varchar2_table(10419) := '4996DE880C8D541DD5719604E10A21800081E330692955D5D396DF080D8E814532710233A01A0F531D6FC9977DC98D6F9996366114E982928A298E3E13980CB19387E11A9FF5306C2999DB380C5B795909A1067C30640E33969DD98D954910C310484783';
wwv_flow_imp.g_varchar2_table(10420) := '9600900B8D899A29F995AB399B92390C574913207434E3110BA5592CBCC199B7499CC5498EA9B0084D718045E21891699CF2D81489A29ACF498F9F409D5DE906555524EA779DF90809A235242AD49DF83870433228D3399EE9A99EEBC99EEDE99EEF099F';
wwv_flow_imp.g_varchar2_table(10421) := 'F1299FF3499F3721047C549FF9A99F7E010551400651404B30B79F2149074D00FF05FD99105E707B75A68B4DD004C9519E030A31FD492114B20431D108D78364B0E8066A805C004040120A319542071F1A1363971071807BAD58087D200654A0340C27A2';
wwv_flow_imp.g_varchar2_table(10422) := 'EC4208004021644010011A133C94113B37A30B59A204612593D219B181069D56042D73402D5069A8D8343F6A3751106A56B2045C902359A74F36C00570D0A4AB5898505A37058AA03371403EFA64B228044B9001E065A2609A2E005AA00C01232BA78BF0';
wwv_flow_imp.g_varchar2_table(10423) := '04135DE7A6E8126A63DA2302C8515C605960348BE015A1795A2CC8E59F09D1A5B98801856AA8C652A23ADA236A00698B3A8B9C178EBDD373A4978E8BA00676C03F99F9149DB14C8C500905A37B8FEA13981A00EAD8147C10FF9D00E01C030163F0578B21';
wwv_flow_imp.g_varchar2_table(10424) := '3A8EBDA32C04D1AAE95808AFCA104865ABAA3A147B25022FD1ABE95809BCB14C4645104FC140CC57051148AC3F91ACF69804D29502F00600A857AD4181000010AED4856AE5F80331B05C35D162DFAA133D9710BD431004B06DEE0801E306130CC8AE3B91';
wwv_flow_imp.g_varchar2_table(10425) := '01E11A138E7A8E98471055B0A25F407BED97AF40010125A0562ED28E56D0345CF014829A7B076B13D79A10D4E53133C78EFA47B13C81A9F7D8199EE009A0503296DAB12FF1B1F70823223B42E2077C278B90A1000A234B095F90042F0BB330D16229D003';
wwv_flow_imp.g_varchar2_table(10426) := '789A8F9E9009E297B3326102D846107CF070FB7893437B13C3CAB4086900FEFAB403E907883010CEDA14263B7DB55BCBB55DEBB55F0BB6612BB6634B948D48B6678BB6423386694B8E74C7B6FB880B5DF6B6FBE8B6738B8FBA260E666BB7EE58B77B5B8F';
wwv_flow_imp.g_varchar2_table(10427) := '7DEBB7F5C83A814BB8854B24BA66B8F3080CBA99B88DEBB8EB920E8F2BB9934BB9956BB9978BB999ABB99BCBB99DEBB99F0BBAA12BBAA34BBAA56BBA12790F6B7BBABF1110000021F904050A0000002C0D00160043024E010008FF0001081C48B0A0C183';
wwv_flow_imp.g_varchar2_table(10428) := '08132A5CC8B0A1C387102342C427B1A2C58B16F95114980F00BE8D18438A1C49B2A4C9932853AA5CC9B2A5CB83FD0AF6E3678F64C79725EFD513B873604F89FBF6758C39701FCEA348932A5DCAB4A9D3A70D77CA1B082FDF3F92FBE819C5781500D1935B';
wwv_flow_imp.g_varchar2_table(10429) := '15764D78EFDE3C00660118FDB7EFDF3D79F0E00EE407802E417AF0424E85CA5721BCBC71F3DAED4BB8B0E1C324FFCA9B0AAF9EB83765D0BC7933D00C00345BD008FC5266E0982F03DD30CA140A00A850A7419DA614E960275702417502904A60A8D68C2C';
wwv_flow_imp.g_varchar2_table(10430) := '0A1B384CA02D5A003C414204E78E403465B8BCF193C993C2D3911831F2E4AA76F57005E5225C8CB8BBC5BCDEC38BFF1F1F9E1F3D7AFFBA5AF584C0430C2245040E01A04285050029007818C881A009215EE0810800852052884006AA01801805DD510825';
wwv_flow_imp.g_varchar2_table(10431) := '0239D2071E8E0874A04062784192184F340180102F8408800802A5F0841A7E20E4881F8EF0A186145EF01121248E0047905BED18041E793C36945E8E3D0629E49028C1C38F5DF5FC93490226FCA044150028210500F351F9C30F42DC37D004020971841A';
wwv_flow_imp.g_varchar2_table(10432) := '855468D0810ADAE106008BF0B18898022D42109B0C4A7426415118E4611447D4F9A1170AB27990237888A1061F8EE4460923B4B4F5CF4CF9D063103FEE78C5CF5785F5432991751DA9D6A4EDEC85E9A7A0866A503E70690A4092EC716083120048C1AA40';
wwv_flow_imp.g_varchar2_table(10433) := '471CFF21D07DF90DC442AD5F527861856B5E48101F78B8599A8507C622D0990A56E42141CB16F40400780AF1E189BEAA88079F32164A8923AE8CC5CF3F708D35103DFDE43398A8DD957BE43F3BA2EBEEBB3C7604CF4C02DDA364021C7850C4114A3C2185';
wwv_flow_imp.g_varchar2_table(10434) := 'BFF379291097F89500400929782906850038E2AB9B76006047B268F2F10900C7E4326C417186E690C1061F14C5B3D00E244406424481878C0A012AC6C20D178A48B703A517AE41E41E79EE52E2C24B90A5ECFA2CF4D085DD34AFA6F682C2810931FCC02F';
wwv_flow_imp.g_varchar2_table(10435) := '00470C7184B4D2DE270407B5A680B0976A305C90236902D0B5C4167EE2CA6E025D0CDBC56A742CF6DB0E45210587628CCCACC900A07C62421036FFAC20CC850E47B340361FE40EB9964294DECF97122D12D0ED3A2EF9E42F917A345D56B94244125192FC';
wwv_flow_imp.g_varchar2_table(10436) := 'C4D44ECB2A44D5D2E66741090A7B7D901A76D88147B0C10290CB406CB20D37D90F352B909EBB1B6470CA2BFF497BA0633B22F3E000D81C29CE33358E90F337F64CB94331013DFDF5D89FB4D1D11CFD738B145C84DF2A17504BEB39D5E56B2D6DAE7EB609';
wwv_flow_imp.g_varchar2_table(10437) := '001E1347BC48B016C3764C6960465850B26ECCA9509E226B82B44C56021A74290A7D8A506E04D2B70AB58D421562841FBAB59645FD4520FCB8893BEA61295325A47A94D2475D08B2B398E883288BF20A09A1072FC865EF8530BC085CCA953CABDCC20B5C';
wwv_flow_imp.g_varchar2_table(10438) := '28C39CBE30255949614A00F017DEFF3230811220507505598482F02090D7352C14A5695F8B14D204160C90204210604178771021D0E064460413230A359031369089301B900453D195F4F0E32FFD000900DC612F9DED0C83C93B610A07A20F110E662CFA';
wwv_flow_imp.g_varchar2_table(10439) := '188B2047C8B8C9B93086884CE44266D8917FD8500A5F80436EFCE0867F0D0488CF9A5AD50C96B0AEB58F20659258C404123135D46911B38346C31812B2836851770631A010425682BD11C450006004845CD6B53049C70F6C4C9E1BE1888F0C0A6483FFB0';
wwv_flow_imp.g_varchar2_table(10440) := 'E3A3F8210F68F40111E910E1572665A998B8A31CE190C73FCA31957CE8A31CEEE8073BCCF10F7398331BE248DC408026BD4F1D5291F08CA740E4414300D8B00A5FF0038400F1FF2259916C775734592719F609475CCC7DC96ADB82EAA40637A58D200725';
wwv_flow_imp.g_varchar2_table(10441) := 'C82813F2C583E1CD2003F4E2E80412C6552E3037B87419E010B1C63626138EF720081D93A9B3827CCB1C7B98021300A08A759CB071F8F8472A12B0811B94C304C348CF330210897FB8A20AE1A0003392608032CC0B5D1D84493F8226CFAAC6902EF36A64';
wwv_flow_imp.g_varchar2_table(10442) := 'E68E2005370002007EE0E1416465812C4D0D9448641313CFF084BAB99589C7480813278A101AC812645483651751C7D113652B97B974C4B6720328B1258BA41334E91B9FAA527BD16B54FF60461F6AB1095EF4011DF508E455A26A2F4F8C611849C8C60B';
wwv_flow_imp.g_varchar2_table(10443) := '6E71153854C10BFFA045129440897FFCC013EA60615FA65A8F8EFFA4D49E1CE1C9796E2B93A946CEAAC09DDE53BF95B91D28E1085CD00CF9820044589D755A50BB24A10050D083AE090F1483A82A05728C637C6320A1701376E1375E2C0EA4A20311A016';
wwv_flow_imp.g_varchar2_table(10444) := '0B52D12FCA3203D0A258A1C434D88661570D6E0853C3807995F49C94B1B845A63A0BD211686CA216CE70C626D0E12881F47120DA04850136F0067578E019DB34812D38308D67202001E600001102708745C9962933790B3B00908E82A843202F068039D4';
wwv_flow_imp.g_varchar2_table(10445) := 'C18EC69CCB85220CAE8E279755CCFDC3164990C211F605498230974A64E512572D79841821C4A16D2D482EBEF15D81CC6E20B363DDDB4A19445A122464028C42160B020500B4D7A219A8659FC6B8C06D0DB6FF104CC46FC310DBAD6FB9D11D79B98731E7';
wwv_flow_imp.g_varchar2_table(10446) := '98A40193F01FE150456537A18A74D4E31E46A9265DB499892A648301A030412AFAE189007820007E18069488D08F1D78821D7D3E4C3FE8C18E7484F8C5E664713A4C3D6375841800EA5047830582E31DDB5A6858FD8A5586C19927C4A7C862C383583F24';
wwv_flow_imp.g_varchar2_table(10447) := '84227A694A9FF35785224A1025BA6D2055B64DB4C3FB3ED7498C89251B482B036A5EF74ACB801F421D7C8F4846056ACBBE0BC2C3810AC55F612613CF711CCC4AFD4C907DB0A318B568062FBC016A7DD045D100408F2D3600802A94830804488E218CCA05';
wwv_flow_imp.g_varchar2_table(10448) := '5A70A11D2688841708508515DF112AFD8087A9D5510E6484431DE110473AC4510E73848319E8FF64C6C7CDE18EC1D4FAD630872A00E091CC98D86B1867FAD794BAB606D08026884728EB048EED5C2950A8BA0635289A14D4D0B4392214D13E08B6233657';
wwv_flow_imp.g_varchar2_table(10449) := 'EC2AA4950429B3797D674B824068978C80B3D8F21B213E0C2E3DFBF80B5BF64111BA28CA2B8D4BE93B6AC18B5ABC831E999DEA554CC596C5C46431B5A5753DCE73153C4F253D27E699C6D3110E37F841E52978833CD0000C79E81019CBB145C9D90112FF';
wwv_flow_imp.g_varchar2_table(10450) := 'AAFD67310FFD90FE9241BAE414F3C2F6D717BE80EDB7FDF04300282B5705F2ACB16DEB4D4B6F2241421157DB608CBB687A1FFC1C4A36BD2A24A3662E085FD55C468F362C3788709118F2AB463E80822D3573873B82B2957CCCFB20222417FF3B3E51F768';
wwv_flow_imp.g_varchar2_table(10451) := 'F61168FC080AE1D629931B256FFDB4368CA5569C8E6C28E10FF0F0040EC351065AD8830B63700B55800621560EEC602E18E45BBF257A0CC823A4672EC914597EC0086EF005C9020600200705316C3B57104CC46C11F5378BB00807C57B037150D1C6444A';
wwv_flow_imp.g_varchar2_table(10452) := 'B48205C16D58843ABFE365DF262DADA4669F0400BB442032327D058208D1170A5D6114FB8067DC4711DEE75897A20FF7D00FFBF00D9F80089FA00A9D000D1CA4470261143591292A3429FD057A7B364217D714FD700FAE960EEA200E55F00765A0043F40';
wwv_flow_imp.g_varchar2_table(10453) := '0B68300CF4C005993072655006E96080C5446B5385670DD8873DB25831D11156F10CD2D1309204581AD84460D07AA0F43E0CFF743106B52D05F53609445D18A34ABD0700DF9089EF333F8C08001EE22101358A5DC257084183CFC2070B8410D107006330';
wwv_flow_imp.g_varchar2_table(10454) := '2802E10778E00941C816F0B07D414111F7B052936210FD900D7E5005552006633006508208C39024B4A6286D3113DF325573B14E8F151E33D10EE9D00ED94009CBC105CF600890C105CC1019A910096F40091C070FFE3629EB826761E887EE48188C8441';
wwv_flow_imp.g_varchar2_table(10455) := '91C50890508819182118B84AB4B33F4E64895ED744F2A33F18F35DD0501AA5010DC7F009D8D6502AC8883FC03B01A57516751031384008F47C82259016C2076EF08A7C0007AA9809C89042684784EA674FC86410FFE00E906005A73506E4330600E0924A';
wwv_flow_imp.g_varchar2_table(10456) := '9009DA645226FF761556910FE6625B6891248E940EF34263FDF062CDC317A3C60EAE760DD97087ED600EE2100ECFD00DE1900DD8710DAE266B8CC32E0BF88E0D810CB9F1895E5912F1E848FF300C7700074CA4198E4889AD47313FB78F11F509947050A3';
wwv_flow_imp.g_varchar2_table(10457) := '3482177331B9D07B1BF30D573610B1836DCFF6655D027B0F614414221DC6B38A00E08385C0915EE006864009AE700BD1500EEF973CFD6092EA6714CAF867A085431AE28A02319A56700D8BD215F6820C41550DB6F00FC4100EFC005BD7200EF0E00A83C7';
wwv_flow_imp.g_varchar2_table(10458) := '0CC4804D00200ED9E00A9AA74248990FE0A10E66980E2BD60E39829CEAD00E79A10EDAB49517349610310DD4C91233C485DF620B1AA221400444A0D15C06FF212B4104003242979FB031495410DEF5509AD85DCDE6880EC505476003B0F204E8E38208D1';
wwv_flow_imp.g_varchar2_table(10459) := '04FC097BA8C3305F375F60055607E2789E600BCC700D0A1A0E8B436BB7C87DDC9792356315A05005E2D33F7D7007C8219356F09ADFD23DC83073B7700BF0C094F2900AD7A072E6500D26D70DE9910D9E507F4C891D95C2283F1170B5C50FBC857752B592';
wwv_flow_imp.g_varchar2_table(10460) := '46729D0EC10DB200A429B11839F92DAE1064C8D62A43F03900C0432F427B02135D412405CBB64BCC163F0DF10DDB156C0A323F03413E00609F55429EF075515D946DB3A43282B59864E4070302A7A33110CCF00C0B7A2319878B102AA173F10FFAC70538';
wwv_flow_imp.g_varchar2_table(10461) := '249303E1055630064A30694BD83DD1A09B00FF8072B4400BE5300CE2000AE1D01BC4804EE5400BD9C00C8076A031D14E4FE17281484D7A7871EF44A40B310DD0C098C2D98EA8BA10473355DFB20A5280058DD0085D200543600143B07316D82AFF342542';
wwv_flow_imp.g_varchar2_table(10462) := '809F27F28175898393586DC1F750B3530EEF007C09417C50639F548A51584798CA072D89F93E2C93228C900AB6F00AE06A9DD50000D3900DE8048D0EEA0E57B1A71CE452FF500D99000730E98A32C9056260057DE009D93086FF6615D12095E6300CCF20';
wwv_flow_imp.g_varchar2_table(10463) := '0EDDD0A8FD000ACC100DE6100DEAC00CC8C00CB4210ED7100EE5809AAECA142E27291EA41040C387AFBA10CF10B226312FD53455DB500981200AB3600A9810066B100402A10614F34F03FF61370A0221E889ACBC0237C91A572B66655C2A75BA975DF3A1';
wwv_flow_imp.g_varchar2_table(10464) := '252990B415F19F62439F5CC0447EE00795009C00900DC450AED60900DD300DE220137F01A141C1A735230FAE66B15DDB9B03610EA07694E33255A3F67EEF9A0FF6624FFF400FE6B013AB460FF4D495A10234CE99B1443A0D82CBAA247B11B15A17FFD00B';
wwv_flow_imp.g_varchar2_table(10465) := 'A3300BA200002DCBB88100066B80056BF0A497447BD0657B91585D05053F6822ADA5E1ACD376B36D29AD1F52562522101C8035CA77AD0863514290B45F226429E0013FC005925409A0F00AD9500EDD70B0072B10DD900DC1BB4E9C19A1EF7A10A04A42C2';
wwv_flow_imp.g_varchar2_table(10466) := '298F5E8178D6F3335DF82844E3B73F5AB805F10DD3F00B94F02ACE81BD15FF61B21DF40FC19008BA200A810000A6000098C009B010088900008DF0A4CF52BF85196CD455974AA7744A243149575DB2E3376B72B314A3824CE782FB21102CB07506812703';
wwv_flow_imp.g_varchar2_table(10467) := '21446A700413C00122F00495400BAF600B00800BE5F0B0B7200DE6000EE0500EDB500DDD90630E0A0F603B849F49BD8933788E52163CD9BCA342C375A1AE3064BD804B9D7060AED94010294248E0FB10DA641728DB0BB0300BBA10086CD0BE9C00004F8C';
wwv_flow_imp.g_varchar2_table(10468) := '0900500A890006899088EFE3ABFAE875BCD23A0EA5560BC220A6945D03D1BF22037B030440D0C2451D38B304810752303A5F5009BFA0B5D9800B00400BDDB00ED2000AC9200D073B0EBEF9C38494716A01A1F820B6D4FFC3103B9CC353F5B7436C9EBC8B';
wwv_flow_imp.g_varchar2_table(10469) := '56912C11871B13E3D00BB3A0BE50CC06ECDBB8EA2B0A833009A2F0C48F500A6DF0086D500A009008ACDCCAAF9008AE9008C3E2264DE78F8C3832CD356CB75310BEE00B0FD17AAFC3084C04B56055091F2C0EE0600EDD200EE6200DB7B00DF4D00DA3200D';
wwv_flow_imp.g_varchar2_table(10470) := 'D9300AD5300EE9000E34BA4E79114702810FDED7C22E8C47F1C7C8A0274F8F7CBDE07B26D950C7952C4311087799BCBE8E2B1083C006818009A6B0C9A2D0BE50FC08B00000B0F0C40020D04FAC0B00A0D0D4808315425762229603011A640C00D67010DA';
wwv_flow_imp.g_varchar2_table(10471) := '00008750CCBFD2302CA33F8CF091783081A1800BD9000EC16B0EE7300EDB0000E040BCEBD00DA0200DEAFF400C9EB00AE5300EAFE6CDF3C25BE3CC4261987838818041B2CE8DEC9540D4A5F12C11F4D48B3391C99B4C10BA300B973008793009EB9BD5A6';
wwv_flow_imp.g_varchar2_table(10472) := 'ACBEB0F008EAABC404ADD00B9D0D8D800A6EE208662D51F1052D4F70225D43B356C70A18E30D0891D1AA60BA05C16684C244DF6A0BD300BCCA6C0EE3B00E84CDC7C43BD8E050CDEBB00DA360089E200D2DF633704410E3BCBC41CD177676D448F90F90BC';
wwv_flow_imp.g_varchar2_table(10473) := 'D4002009A8301041EBD97E412F89330E49FCB852EDB88320109800CAF7BCBEBA30D002A1D0600D00E1E009B500CCBBD00A0291D6664D0813B508A8D03E1173D102410ECF4A10E42010CE60216CE22782150AB4000DDF8099670B00E7B00EE3B023EBFF60';
wwv_flow_imp.g_varchar2_table(10474) := '0EDBD0BBDF5DCDEC300ED4FC0791900C0080C21907602899BC42F22DD9A04D37411E7BC8CE4BAD09EE49DA08C14C3467C4FD80DA513D10623D108C2BC5F62C10B090E0521DD5D9000A00C00B100500BB0000A16D0DA13D10A850E10000056430109C5810';
wwv_flow_imp.g_varchar2_table(10475) := 'C83D10CDD00A237820EB26236AC20DC61963E71062E75010844D0FDFBD0DE030DE34EDD2E1800B7FE01CEC0D6F94ADC8F1F20F7090093A49D4E5B192434C088B40080471061D53D1FC3D17E1A2AE015EE00B610A2CBBE00A3E0B49ECB8B020D6519DDBCF';
wwv_flow_imp.g_varchar2_table(10476) := 'FDCBC06C0C0351E1192E10BBD0E6A14D078B30E204C10ADAC0E10090D1E80000CF5A0C8286267DD06C627006DF500FCB8310EB40E334FF2EC8826D0EAF90CDE08DDBC4300A42DCDE63C8113F8D294A920DB6A04DBC458D5405BECC46BA53AE10CC54C47B';
wwv_flow_imp.g_varchar2_table(10477) := '0700BDD0087330CAA2D0CF053EE05F6D10518DE50391DB192D10CD0000B90ECC724EE1188EE184E0E408B10BC8DDE606410E212E10BEAD0A67D007EC0017B37610F10000F3B00E232C631FAC0EDB200D5A8BDB5EDBBC3CB941428D18FF1009F0200EB430';
wwv_flow_imp.g_varchar2_table(10478) := '0FF49053E2E15B424CB2DFC00DD4F00DB2D037A3BE103161B2F1070B5DC0065900005DF0EF6C9007A220E60BAD10033DD5587ECD0090600D5F0CCE500CCD00CC02610DC40E00BEB00BA8A009644007CC5DF10080E6682ED70391E702810E74CD0BAA2010';
wwv_flow_imp.g_varchar2_table(10479) := '2BAFF2AD9006B5A00F85FF4D10870E00EB107000100FF460DE3A8D0B366ECD405F0E56E815933D10958DE999A00EFFA0E91DA1D94BE1EEE3EE8EB4C00DD3C00D0461B3F72E13D9197FCBA0CF00300700E0EF59D00524A0CF9CC0CF9BBCBEB05EDB075F10';
wwv_flow_imp.g_varchar2_table(10480) := 'E8300ADAA00DC500F10351E6C04CF1C8DD0A9A50664EA00772DDE6725EE1157E0A07810EDAC00BBE4DE114BE0BBC600967C04D8181F303B10EF140F902710EDD10C2C480DBCA0000DC1E0D272CD9F39287EFBDBCE251EECFFE0FEA10541D2B7F505FC9D4';
wwv_flow_imp.g_varchar2_table(10481) := '200C849BF5EDF7DFF1A70BA430099340109330088190079E2C107960D0F76C10B43E0ECA20E9775E0CB74E10B53010105F0CBF4D10194EF10971D1CD3D10E480F8BBFF600CC6D0FD219FEBBC40E8F270F3375F10952F108BFDF3CF0C007F0C00265C105C';
wwv_flow_imp.g_varchar2_table(10482) := '196F1C21EE44E24870801EE5908DA455DF000140E04082050D1E44983061BF7EFFE029841851E2448A152D5E4428CB114129183D7E041952A4C57E00E0FDE327B024384CA64C2114F572522045980060BAC4491400513D77CE02A06BA0B251DAB4153B7A';
wwv_flow_imp.g_varchar2_table(10483) := '0CC05100CD7C357D4AD01AC1A7D6A216DCA5F09D3683BB8C0168B527DD437A03CB125C776EDDBA6DB8884933D756593769E1CA15EC070F5E3F7C03F3B9ABF76FE460880C1902F8F72F92BC48C4DE5C132798F064950DDD51C69C5933416105A1712BC8C5';
wwv_flow_imp.g_varchar2_table(10484) := 'CB66D2A54D1FBC57726F4A002575913275E9D2CB82B3FF015C02C009C0A441986A4EB2895320A749B90110F3E4CC593182DE98FBF2C5CB2052E65C9D0DBCAAADD975825F0592FBEE4CBBC0AC008C35AB138BDEBAB303D7013837EE1C7C00E58279C2156E';
wwv_flow_imp.g_varchar2_table(10485) := '1C806EE0BAE1AAA6B2D6F4E2CB2FC0243BA8A4D30C628D20C30CBBE71F48DEB8C5155AAE4170C18BFAE1E71F77E069504311470CA52059A099C6202B4664B1458FFA9167AF865AFBE735D90C8A0D801C0118A4B81E0150E4A6206DE25191204589C513E9';
wwv_flow_imp.g_varchar2_table(10486) := 'B8E3CAA8627881CE206DAEE3CE1B817CF18EBB82BE6A06002B017807BC838C7106954DD2F9D03DF8E233472073C019271C5C9419A71C696E19E50F333C69EDB0BC56E3909F94023B6CA00E53E227FF9F4207124C30415B3B889F7A00C807807B2A851400';
wwv_flow_imp.g_varchar2_table(10487) := '4405BD87354435E5D030BFA209E79F614061E61F4C5D8C88218732653556CC40A1E5155A04724516D03402A0882FB89035586105E22746C114AC9114DC8A2B88368106F9511166050A72A06A6D4A25120078E1A51681B862AEA0259BE9B298EDBE6C4A3A';
wwv_flow_imp.g_varchar2_table(10488) := '84B4ECF24B31B5998ABCA69C39841C79D401601DF90602070071B6E14F9A6EB6210697512A3144A03F46E9532502F111146200EA5914314B13EBF09ED42A2D29304DEFB1B89F7CF80915C107155450A07C24435032914FEE27C27F400E879E0C87C5ABA1';
wwv_flow_imp.g_varchar2_table(10489) := '8770E6D9233508AA440E007EF9059A5F061AE38D377A667AC162F71AA8A1D782946DFF924BA6DD71101DA7B5B6A0206BAAC510755B211B80EB546905ACF2100A17ABA7B802E02A819C69461B31AD8457A0A98CD1661355D851271D00D419E75F00B6C946';
wwv_flow_imp.g_varchar2_table(10490) := '9A6C0090A69A6018AE84CF814689469F86FFE42BE241FF49D92173FA61A79D6CD2C970650086894C20764A32D943629EB1D91C78CA21FD9F76CC19269B7FD8A1859D7C8689C6765BD89998E44547EE30B1A6737E7579E7151A0300460061447A83800500';
wwv_flow_imp.g_varchar2_table(10491) := '8EE7B7A7EC6951119B5A5A82AE1EC89441D81864D9827A9456DA477A03206183D2060B2B00766945956DD51D483CB9AFF3062AD2D6A56FED026E02B1923508E8155ED4011DED4887390636B064242318161CC82D2A38906A1003FF4FCC80544930073141';
wwv_flow_imp.g_varchar2_table(10492) := 'FD85620A5A19333CF18F6B80421DECE84634E8C18C72FC231DD9404438BA010C79A0C115FD784638EA91BA6744221B204BC535FE600BC1B8C216B688843852E1894C88C315517485270C718F137E8F2021729EAB1E9232EE39AF0902E9881AD000004A10';
wwv_flow_imp.g_varchar2_table(10493) := 'E417A0E0C2110080874A000062F628631E2FE2BD42D5281173A896408AF308AB05690E3C2A8EF876A308AD696D20D00AC42604A2090058A29260D9C4265A710A82A80B1503D1DFDB98D30CFE6D276E87408557E6C62581BC436FDD69E028DEB18D6E0020';
wwv_flow_imp.g_varchar2_table(10494) := '40CAC0C52A00300A4F54A2118688C31F12C6275E7AE20D0C13153F0834324A99907302895035EE108D48802213B6FF40C335A0088A724422156FC8063222E1893BB8821986F0C4355221986CF0C116FD10C73BB3218C7F94639D0070C530DE990AC1D182';
wwv_flow_imp.g_varchar2_table(10495) := '18B4E80737FBF4203D3A4867B02A68CFCE38905FF9A120AF4868443DF2349494641F7E3C249012920736CC416B8734D22018F9AC811C920D87008024F6805281485220A7D8842638793F817CD2A50559CE403E89C05608E210AD80D2B6F4D70C7484096E';
wwv_flow_imp.g_varchar2_table(10496) := 'C6C80A2F3631853F74B01ACA00002E0652C73800A0110A13882122F1070098610C92A39132A1A63213162A42D778C3300C010A50B8629D70F003286E018A7FA40219C4F8432640C18E4838B486F49007E73C118E5B60281B4CBCC53300708B70A4639DAE';
wwv_flow_imp.g_varchar2_table(10497) := '8007FF33B2E10EBAA6A24D0D11A1445BD3A19D69D679D5D35EF506D2462578D6B409A128C900B08FA024E2A33C3AC81CD800008F3ECB91EBA36D20020180340CA4B77B00004A593A9053A48D17F44B48979ED20A54A8CB1BBB1004216E4A3F6B90031DDA';
wwv_flow_imp.g_varchar2_table(10498) := 'F08E400E510526BC8118AB6098557759106928231906AB4455018086379401140F420981FC52560545E81974BD0615AD59D74884431D86B8C51B3291090054D39F8618DD0F01700D5A54428A0F595C3F3C718F5B64E21ADDF4845D19710D0064D86289A9';
wwv_flow_imp.g_varchar2_table(10499) := '584239D4BCD33E0F1071A01E28AE0A802714A1C42FD694B15272185D8C0290B4FD9AD68244C8396401B7861C441EF20080DD0A040B4A98C21400FFC0048140A1B70038834024212EFD0100A66081A900091837B0F0823BC63884202A894AB30DA419BB50';
wwv_flow_imp.g_varchar2_table(10500) := 'C5260E310526C00009668884B676490A81E01200A0A884B6E0D0DE8194010D6828039F8CA729F992F54087E9903A22A38E72D02E32F4B00562E2990D76308318E5504735EE010C62A8A354FE02853990C144D0C1231BB4F847386E15B854B4A31C10C574';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(10501) := '2AF005622F8AD8322082F1F600311020C820D7A74D09A0FAA48B400C22A3D4E2112067A3883C686DB77338E49067CB5181CC560E41508215D2E0052A0000094210020E7000058248C292DC02804D392937335F6717A6FCD629EA00004258C2CB73E3852A';
wwv_flow_imp.g_varchar2_table(10502) := '0EA1031CBCE0060000020086E003FF2D10C40C4B3B387B01708737DC010D6E58A39FCB4009C1ECA324624D593E9C4946105B8C5816B399445C259070AC8E35E920DECD0A62329849D455EDF835CFD638101B0804104B7371CC3D1B6C3F95841ABA1DB247';
wwv_flow_imp.g_varchar2_table(10503) := '417A48AD5DCDA3C606C09005E2638174210B5D10C828A42E905074821188608423F0E06D1A1064B83BD50421AE64E54D587213FC6BC596BDE18D5610620F9A402E006AD15B0DAC00003018011086908421087C084528C21500F0873FF8810F70E8C31DDC';
wwv_flow_imp.g_varchar2_table(10504) := '3090C5ABC10D133FD6C59749D67610EA8B20AB94C628C50F7AD42351F5E8D43D3A0F4D7A8CCCF331A34784349518D3F1838B9BF5FCC43435E3966BF6E508D5B98BBE907B9D77FFCA241C6A182C2AE1D122C396B63C82D66C97CE06A70B2D0800C0C2F3A1';
wwv_flow_imp.g_varchar2_table(10505) := 'DF0552AC8216914E4528445B095794C80E4B708292E97D084B4AE210941408B7CCC44996FA8293AD78B7DD04628C3AD401EE419DBB06F42F8181B8400939E8BB22C88124500233802B00303C38C083A51908345023C81B348C23888DFBA263D198D44089';
wwv_flow_imp.g_varchar2_table(10506) := '7A18994B298991310CC1181910948C905394CD631432328893C13D3DBA3D14E43D0D213081C01E81F08346F0032E48823790B317CCA360AB28E083852ED82D91621F2079AD3C783A00803A0008022C604200103C3928BE5BB0855BC98554B01E835804E0';
wwv_flow_imp.g_varchar2_table(10507) := '2283272308E49AA99702004DF80A4A928453D8052DE1B23490AEFF968A8410D8800DF0000070012070812418C03AAC3920B082A5F10343F003ED59403320883FA338D52234A849098D3B3405E91071B886C0128872C01096510943E98770C09005231D71';
wwv_flow_imp.g_varchar2_table(10508) := '40861ACA861A62261E5C888668075C23451159B15484311F542D86588638C802E54BBA3C28B2DD0203E87BC282B8021FB0822B8883C8D925577085D16284ADE30347F0838DE8833EB012FA6132724B3702EAA94DF892569024AEA0243D803BF1F80E5E60';
wwv_flow_imp.g_varchar2_table(10509) := '3200D8833ED8045BD0010D900010B8011B708122E03B3B548116008116700129581A4330843D8B8346D8B55D8B0339F803BACA147EF8109159C48DEBC054F3A66E900766900700C8047A780675E88772181DFFDB911DDB71050413A7FAC8044FA0C4BEAA';
wwv_flow_imp.g_varchar2_table(10510) := '213062C5CAB09D925C90E83188DD13084478032538822F8004947C1E57CC146A1805276CBA6A138844080439C0022CC801155081800300151882A274812190022D30C036022B4400009614889FB18333D0065702AE19288866F0066D9029001093AC589B';
wwv_flow_imp.g_varchar2_table(10511) := 'AC9837F3F8166F50054B10032838035588840FD800141008762482BF73811D904700300110480234D0AA7CDCC751A03381D0A551389A812C48666244CB5BBD70880475F8876CF084484086540887CA8C062EC8227370854CD01D7C984C6418067C12874C';
wwv_flow_imp.g_varchar2_table(10512) := '884C5770876A180655714156BC3D9A348D423808A9ACA3C503803210087BE0073C924D9CE139FFDAFB8760101A9D2C0839A8233988032DB0000E008009E080090000E7E480E84C0100F801254083400480A54103D118082E50033160B14D38866300AE29';
wwv_flow_imp.g_varchar2_table(10513) := '4803F1232E31BB0E721093A6E00A72300641D083E2F285ED388A5670044B1A031DF80000A04B75A4C32400023B840181984720B802612ABC60C4056910885E20856088D0818AAFB15219C058940E29074378866C00853B7805CC4C053488B47FA0C26A10';
wwv_flow_imp.g_varchar2_table(10514) := 'C17070857FB84C7E02806CC80457A0876C00869979CD548CCDDFDC8C4268238488410098411FE5199B04BE6CA8A38888832FF881EA8480E98C528198520080000F7882DDA34A81888281204F351803F5040031D8832500006904804D38CBFFEC829B29FB';
wwv_flow_imp.g_varchar2_table(10515) := '162F91043D90844D780A5F28065528043B988210608007D800097801101008231088BC1C011810D4A25C113FB8833EF8034F0806093D1C6A5086481510CC99AF4614887F108770B005D4A405384805024B853BA0854CE05438700762888C708084D1014D';
wwv_flow_imp.g_varchar2_table(10516) := '5479065B78055B700550F8B413444957294823DD0C3E78033E18084310ADEE14883622495F7591E0DCACC90485834908ED31832F008209A0000E80000AA0802AA5520A00801650822FF81900908227388223780282204FF2F4823DE02E82B0833460B243';
wwv_flow_imp.g_varchar2_table(10517) := 'D804EE581B4B4825AFF4124B60434B90246FE90331E0810878000AD8001320881D70819A9B47001801792C020133043BF083FF3FE88408958665008065282F70D00751C1D4833C34467107B7A28716AA867280445788067328957440D56B30071B9AA26C';
wwv_flow_imp.g_varchar2_table(10518) := '68074F200677488554784854A92823E5550D5556CCD09E851B88A5D9BAF819DA617145865899646884550400F59A23812044279D0008E03F6E2D0809F08022582346F083ADE3828E00962E45020038A323400233E5010050B233E04AB1A3A9ACF0064970';
wwv_flow_imp.g_varchar2_table(10519) := '823AF0D7A5D086B5230332D8033A758443B0032F6001821588BEBC81BC04B88110D4BEF4002568844E88043B00803E88045D82AA3ADB8675F858487188BDC094C67C2646391685A8074F081E6842104CE99C4BF455315ADAC148DA81285A82D04D96FCCB';
wwv_flow_imp.g_varchar2_table(10520) := 'D90D16668D19FF534183A2AD2A40D01E8712083C40832F5002E9E4DA83908088A50450E830B1050061C503297881130080122881155801BA5C32331508269837FAE105F0F0064B1A43A0028062F0864D608234B08445205C31888212B052394CD07FB343';
wwv_flow_imp.g_varchar2_table(10521) := '8425081018011028028BED833D288331E88355C00552903A52A013CFFD58C328344BA1404699987CE0228DAB94D40B3D77E01C8D3B21D1D3B80EEC9089A118650DDA1DE5DD8B9839954CD81FE8B3158E15DF5D995B90823F7383AD5B0361255E46285A33';
wwv_flow_imp.g_varchar2_table(10522) := '9082AC6DDE8288D22258034A80A86315884AA0042EB8CE2A7D80E984811D1808F60480B34CCB437002E0D22481680528A08134588228B00337A0020E8880FF6CF500BCAB3923105400A800AF6D812A10882A40834DE80371AC023B20260090034F786000';
wwv_flow_imp.g_varchar2_table(10523) := '88E00151C466E250142C6195900C92512D551114CC4289A8390C97195A31125A19AE881501002A160809D0D621265715C664D2A894D5688D95B10529E0822F60C92FC0CD3580030544A31400E581488028B5802F40625A05054A0084255583EBA4520820';
wwv_flow_imp.g_varchar2_table(10524) := 'E604000004108818785B81A8BFF4338FBE1588DEB25C00986600A08128700337F002FC85000EF080863D5000F08074240200B0022D2803DD44844CB2833D1083318833606A845178E00896E0BD00990D75CC4DE5D47248144BBC44CE493466C8E76C489D';
wwv_flow_imp.g_varchar2_table(10525) := 'B260195186CD0EB90C851E658A88E2E974CEFF147C6811B994DF9BB10E790525285B8260493562282968012B050063BE65631688931667290004E9050026968336620434500181980009904E84E0647154DF5D90845670065578B233B003F2B466EE4502';
wwv_flow_imp.g_varchar2_table(10526) := '3708D8C3EDE639ACB94D060109900020D88238589A32C86300409BE05AA9388B84C1540673788FCCC29C7C6ECCE3F9075B582B78A087C8708874A08772E8077A300779209E7C985971109CBD1007CB918799052C95A349D9ADE89048502028E7821803F0';
wwv_flow_imp.g_varchar2_table(10527) := '74E8C2268C528EE411B3058E56E5CADE52005083DDE3821FC8DA28860094466982808021408346788562AC1E40F08335908214C8699B46081D0000BB6B29F5ED2D3AA566B84D5B010500FF0A100235C08331780104E8E609680115B0012000810D28E921';
wwv_flow_imp.g_varchar2_table(10528) := '7803E22D0331D0CD8190A432D8833F88843C9BE76400077AB067C420908BBE94432616674D0C76C884250A8732F8430040864C78033F88840DCB274390A26B7085B84A87ED7CA25449D692246CC7C60C4D16700D81EC8C4E6B29F895A91C88CC76832DFD';
wwv_flow_imp.g_varchar2_table(10529) := '0229F8016F3D885B2E695C960238A8A3EAC14D2E1802D7B6690FB8E9CF1E080248000300801A6002F1052E3495BB6230821A00001D58660078012F28032F4001E2F6E6798C470F88D2040001C17B83826BD7326867711C832A1803ECEEA551B806755887';
wwv_flow_imp.g_varchar2_table(10530) := '1911A1F036108F51997F20062602806758A76B020571182C4FA0847218ACFF62EC724FA0879D4555B98284FF529513065A9DB9E40217892A20D402E7CAD248090F46705B58658358A33FC3E139FA9522480111F7560B27620A28022E58A33798392940F4';
wwv_flow_imp.g_varchar2_table(10531) := '390CF1E71C08034000022080948E018130EA1A50323BE8036180062F906D00E001D916011138022FF8810748630F308116B0751000F292968016E83B3A06802498822420542448822A40822AE0AA4818856A0007779811C4286BBF989894E9907430A274';
wwv_flow_imp.g_varchar2_table(10532) := 'B80646E8864C5021CAA4514638CD6EF0045088847EF8CC4A008648E8064A382773D8B052F96FD83CA8C6B6738B4004C15EDA5828082608C7CCA814679F3154E68232F8023F036943C70333C0833558A3698D70980480FFA7665E2BA5F51628828E200825';
wwv_flow_imp.g_varchar2_table(10533) := '40F4819880399C0013786D04308004E0740230000A47010D780024F08296273064D0CD1448817F838117100119200213888004A0005A07801480018495808816E716486E0224022328829ABF8124B0822AB00233C06E5C08C5CE21487C86269091F32C0F';
wwv_flow_imp.g_varchar2_table(10534) := '0746602266F803FF1A9DD1E13075C806B30F076CC8064A80444FDB307C780679B8066680F7D865E87AF78862F5841219088C2F6C37E8F4D2B8683F3FE57F788581676506B7DA815883DA8D65819839722DADEBE48091FE811B9602A3FC011BF8015F7BED';
wwv_flow_imp.g_varchar2_table(10535) := '81F0DF6336790018FD8110016F3582318083897B865F80831F90F91EB8BB17485C6F45006FE6CBBBE3CBFF719E68710601207031A7C7731820FE5F877A2DA8A65B581C96C1B8D12DAB82589963719996290C7C8F77792731BCF78812A1A2612D7006308D';
wwv_flow_imp.g_varchar2_table(10536) := '7F07BE113B7C824FDE07C703AAD461818003EA0100D55E2F8280610028677BF4033480E116E064226801AF0508091E0000500183028007080C1820802000028204353CF8318620A36CE2400D11D242460A821C38204C1081820713044D9818385022000F';
wwv_flow_imp.g_varchar2_table(10537) := '215B00A97205409522407680B891C4CA9B489E88C104C0CF1DBC7EF7F811CCE7AE5EBFA200EAC9ABC78F1EBDA546F3F1CB0720DFD27C5E0164FD3A952B5AA352D7B26DEBF62DDCB8728BF6EBF70F29D3B97AF7F2EDEBF76F51509E425572A3E409E0FFC4';
wwv_flow_imp.g_varchar2_table(10538) := '8A17CB65D036026389EEFAF1AB9BEF9F2D2968D47C7183E60B003412B7E081E98752254670CC48E4C225498B164594A08103E04D922400940090A2240507982D88D840086021020230474A245206C01D46E1C4C99292C2861095C1211C4770327848002C';
wwv_flow_imp.g_varchar2_table(10539) := '257AE00081838498E87F78716D658C95292E00004972C50F28CAFFF61F4D7AAFA953504505133F4C1598175B03BA5557640D3A28575D773D38218515AE150A008201E0C611522062218821B265C00106C0740003110407401342B4088023734D56D957FF';
wwv_flow_imp.g_varchar2_table(10540) := 'BC2245199FA9C1991A457DD1A31B5FE05109008C7CC1851448F6C6DB6E520405001C4C12C445152DA8979E0DF441804002040400C097FF0098084070094804871F7E2403C02D5248A412005B46741C00C6A544D040E6C529D103093C20836E3895F10600';
wwv_flow_imp.g_varchar2_table(10541) := '655C51050049D8F0463FF3FC03C03FFCC0E31F41F704F8A88212E545595B99220853A6228AEA5784F08C7A2AAA720D0600910020962AAC0D3A56D49804096104412FCA48595DFCFCD34D195C1094647B4916A5A41944FA21AC445648614515BC59014725';
wwv_flow_imp.g_varchar2_table(10542) := '91A0518514D85A4150123F8407800D490061DC9C62C2741E046602E0074194B8D2889B12A5176744083C40E68A701224014210DCEB67021C085B86154978F1861F7DFCD1C71B040FD3E8A3914EAA14804F851A2BC6A8960ACFA7197B4CE1737C4009001F';
wwv_flow_imp.g_varchar2_table(10543) := '5F3C91842D1FABBC963BFF6B99C396392F13A40E00E910F4CFC56CB913E98051B943F35A361324B439F100D0B23AE7A803344CECB4E34E3CF0B043F3396EBDFCB2D06CA513F3D64703C0CE3AEBB4734ED6324B54CECBE50C2D51D630A96D4E3A4EAF230F';
wwv_flow_imp.g_varchar2_table(10544) := '3B36B7F3F53A004C1CA9AF464D2C91584FE19CF3CA852FB631E1862B3E17D053B34350DD4C2F9EF13E523D0A008330ED77798272CD1855CEFB885E543CFF946E0FAC9C17AE3AE67659AA16E62D17E5D43D38AF15EAA61265DE7A5108728AF9E4A2EAF777';
wwv_flow_imp.g_varchar2_table(10545) := 'F0C51B7F7CF09F038F393EF8DC3CB8A6B01338BB51BE4BD53100CE4736A058626D4F635B63A955593B7717E54EEDBB436ABBE6ACDF0C3A415131C5D5EFF1235FA17EFF48257E3FFFFDFBBFD87F8EC6ABE5D5657FFF1315F6005720A3F4A31D8F3B5FFA14';
wwv_flow_imp.g_varchar2_table(10546) := 'F40F7AD48373BEBA1C53F613BF47D1884119340ACEF251C0033226424821210A53A842B87845799E72DF0A27A4A0049A65812274A05404E7C17FA8C31500900765E4B19F7484E31F6299603B6CE62B7698431D337C063B26583B7A30851E068CE1EDEC72';
wwv_flow_imp.g_varchar2_table(10547) := '422C72B18BFF7361EB387545F57991319F22DF038B12C19B95A31BD900C633B2618B70648316C410873AE8F80C64A4E21AD948473486E1896CE4F11FE9B08538BA418B6C60C316D3B80632D857C6B7D8857893BC24263FF639184228930F42630E2BB83B';
wwv_flow_imp.g_varchar2_table(10548) := '7380C28FD900803A80518D7230E31AE2180600EE518EFF6C84E319C4080732C2C12673FCE31AA0686539AE418C60460319F0F3A454B4682A6432B399209A11A67E2833755CAD89001847D9D4114D98588A32F7880A578CF21FF9D9EE8A58042504A137B3';
wwv_flow_imp.g_varchar2_table(10549) := '7418921DE1B885CD1059C7E920231DC8100700BAC10E7130231B91A487380C890C5784631AAE1087389EA13D6786F11F93622844230A189F8D302AE6B8854488710BA2000019C220082E6E01CB7294533F04E91BA8587799FEF56A79BDDB1F3A61A2C3A8';
wwv_flow_imp.g_varchar2_table(10550) := 'E08C3F9C74CBA39EC14E7A5CCE1CF5008038E4A13B499E8A8C22029D439729D1A532352E9BB48B387001005CE08228C428C62100508C641043AA53ED8624F3018F5B14511DC330D5358AD80E5B80FF8296C4F8073B6EF1531A7E8C3279E94A38ED6743E9';
wwv_flow_imp.g_varchar2_table(10551) := '11E82EEDE8475E8F26CADE9D1474FCF866A420651748DDACB1F0B34B3FECF1287BA08EB19545A0449A5754CC39D4A54DFD2C6809B2B34DFD0A17BF906A306251863430810C7BA8AA2C400AD601D52E1B01E0C23F90F1009A1DE10DFFB06D1286F10700D0';
wwv_flow_imp.g_varchar2_table(10552) := '120140A42B88F64154FBAD85759C121F0DFDCA37C90CF62D0B2CD0083BD7D80C5EEEB218BB1C0725A2411972D654E60C2D7A33094DE06DC3B4540D8627FAC08B4DD462139578862CDC3B5B82E803008680431266C9019B55C10FBF15012DDA11090E54E1';
wwv_flow_imp.g_varchar2_table(10553) := '1A2638EEE224783BCC31452BFBC9997417285A0119F0BA4C312A5CFE813A5D740100FF17C8C20500108614AF58C52C7EB18B63DCE219C398C632BE001BC6E15D0B2155A9E9FD71449372C1A8740317C1C8AF323CE1075E10C4BED1C0456C71B15FC8BEC0';
wwv_flow_imp.g_varchar2_table(10554) := '101B70453644408FDD180200E1A80832FE7B0700FCC054C88D955D1C3A359BA9E381EA68DBE3DABC65CBB9A31DD3DDB03ADBA2E10F9F57BC220680291A3080011445008436B4540A0000440B402E0250F4A31F4D1001084001E30000EA40BCBDF202B9D3';
wwv_flow_imp.g_varchar2_table(10555) := '108547A4A259E460501517B1E8442B54D10A00BC8219463E6D37686A175B1040091C50C23510008A74282109D960060268C18E86E5230106B0E29963F58F2402C01CF010EAD2CA918E37AB43A8E990073C9A685ECDD5F9CE82CDFFB30C07D4DF47340000';
wwv_flow_imp.g_varchar2_table(10556) := '8336F75A144D900228A000035037A1092D1175CFFB2D0AB034A68F39DE0615B0B39EFE7726C52A640E96F6C8041906287CE18B5A146318C430382EB2A1BA4864A21FE670C33078938A4C98C00BC4E08D275211897FA4C20AFBD074C6FAA154B5C1D39FEA';
wwv_flow_imp.g_varchar2_table(10557) := 'C8864EBB910A5AE892166AABF6EE328CA0998EEA1F81BE80BC1B6D6E050C80E844A73700DC9DF4C5B47B1CF1B847E5FADC977EFB18E056EFE2B323C45970ACE2C8B820053262A170AD723518A48E7834175B3BB9CCB978FCA0A639D891A65B88A30CBBB5';
wwv_flow_imp.g_varchar2_table(10558) := '563F32816B389481EE5B9B8C045BE6EDA9801B443E6F40BB01A000003C822029367AA3919EEE459B582E87C6B7E8FF507E384E4BFDEA9E0F9EC07955D3229F3618BF80462E3E01805A1C031BCFA0EA5425AE20598B507BF30BEF61EFB1F6E0F1C366718F';
wwv_flow_imp.g_varchar2_table(10559) := 'C40EAE118D3170C1164AE6872776607C19DC421D68339F78BBADE14B753E313E0FC2B915D0863908E0028DBFF7E3EDCD16A01740E84B177AD10B70E9D181A8C79F7FBF0A99026A064115B5C9C00525FAB008007CA21591B04532FC02001083ECF18EE574';
wwv_flow_imp.g_varchar2_table(10560) := '0A63D94F6255DF84F010DC944339784212F80111684626F85624B8413B98832D98C0345053D539D4DD7890A4D4CE4D95900405DAA0295DA501401B5CC0E265C12C009A89A59803541E4134C00C128403A09829341E009040183C42E3AD58A315DD00E818';
wwv_flow_imp.g_varchar2_table(10561) := 'FB85FFC87E988AEA3020FC45E1A8BC0EE0614A69DD9FB57841159C01415441159441240C035715A067C54FCEE485F8A80558789059C04A25359B3978C21B50C21B0C8338A0412654812BB88212504224BC0124D4CCB5A98ECE7D05F5695E64F84AA0B99B';
wwv_flow_imp.g_varchar2_table(10562) := 'BBBDA0032840E321DA230C02418882285C5A2F10042710842910842E78A2295C020900DA235C0200CCC223288003101AD1554DE6AD0F85D0D45D089514D622F2B49049D9453810C51B5881B07881178841308E8116DEC146916163A55419BA14EB241B02';
wwv_flow_imp.g_varchar2_table(10563) := 'F143DDD48CDAD44CDCC54C395053B3E1D1B4C943C71462E0701814EE85AF901B230AC010B641E365010FCE0100CC41207C223B36DE36E4E02C84FF01005C222572C22004C20CCE0227984218E8023B0E5ABBB962E5B45F9AB9032DDA22434E0E2EF68D2E';
wwv_flow_imp.g_varchar2_table(10564) := '3243257CA1158801178881447801001C4A241060C4F4833EFC16CD0D20304CDB2DFC963A20C333E0D3AFE05339A4C230F0C335A8C33DD0823D884335D0C22B2C24AA488C44A4519B410E00DC8D03B543DB719B9DD9D02186A35C68D0E1B99BBC49448AC1';
wwv_flow_imp.g_varchar2_table(10565) := '60A3E9C205CC411B10843AB663561244E3DD603BB2631B7422260C8222D823F711444102C0121ADE2C36245C1A0E156A9D2E12832154816B8CC11BF40174F4011A5C4415C4C130485C53FC43393C833EF4033CC5553844022B4503A488C3490EC335408A';
wwv_flow_imp.g_varchar2_table(10566) := '2DBCCC2DC94324E0923954C32939FFA30C8D4500610E581456016117197923F52DE38484E422C69BE2259D02A458A5291A58AEDBBAC19B0338400B2E1EA1F1A64428C0110E1DBE2DCFBE35E05BC6A5727ACC5CF6CC3F88835D7E017C0000B370811740CB';
wwv_flow_imp.g_varchar2_table(10567) := '157CC11FDC82ECCD03A45C0349D1832DE41400B4922DB8033F95033200401C3D03000C033B7403305CE62DB9823A80E7CAD8D5F82888EE8D4502A9A60EB1A65F1C670181E4E1115DBCBD5BE215DDBC299AA2BD1B4C3C284C40A883969FB9BD9BA2DD9B03';
wwv_flow_imp.g_varchar2_table(10568) := '5C1A6725602CEE87422EA78862CC436E9064A68C21BCC11D3C871A94816794C11FBC024615E065A4831DA60333782636B0673944423A486638CC11DDA5423BDC42390C433460FF544C46023B54832E8166AA9091861505808A122232866B9280A1AD2083';
wwv_flow_imp.g_varchar2_table(10569) := 'AA25BC2D5EA279A944A49F5AB285D13D62D508A88324244F8EA89B8A48897296390CC346D1E97C62942D00C330BC022CB1494049503A40513F644336E8033C385139B48346F01033D84C5AC5DDE3D003D00455501ACEA748E97F4ADFFCAC2653EAC5E111';
wwv_flow_imp.g_varchar2_table(10570) := '445446E5849ADFA40DC0704A85A1519A44A4AAB9319A005C9A3D742A8434E19BD6AA880410E02996516023DB4804DCC44CB3B103B2359673D114A8740A1AAA2909F9D5EC588CAC7AEA3804032C48842854622F88022C88C2B53246B616052C7C6BDE20C8';
wwv_flow_imp.g_varchar2_table(10571) := '71AEE91BDAAAB95208AEDA0EE79CE0844D4F54F4D7C5C88F1A1AFF88A6C8CFB3E667033DCE688A15879DCAE600407F655181CE5E7F2997C18ACE3F544EC488CE416A50BF796888F44A3F08551A9EABC52A0653EC8CB19E94C5D6050E15053C0808AAF083';
wwv_flow_imp.g_varchar2_table(10572) := 'F35456F3E0C34FE1033FD8C399CD8377B2C5CBB2C5C92ED451F10AB65D2CCE2AC6588C16C4766C3FD4592C014EC866972749D6BD4E9DCDE6ACD22AC6FCF56CC702ED68EACD371DADE7F18A992D2DD6EA453E605BFDC00A94CAC5D72623BB1E8EA4C80E4C';
wwv_flow_imp.g_varchar2_table(10573) := 'C0830851ED5241695D3C54D6BE6D5C605B6201D962A96DA9B44C006945FA282B43F5CC87722DDC062E5BF003B6E5433D6445D446467F1DEE4F4984A584ED83BC0EC77A4557F0D5F4B8C55D690A5AC0C3DD8CFF2653C8C33D346E5C788F5FFC47C5AACCE9';
wwv_flow_imp.g_varchar2_table(10574) := 'B245E24A451A82C5E1B65D565892E0CE2E41D043F9405F2D4ACE5B4C8D64B4E9543890D32C671A4944E3CCCC031D25EDCE6EE8368585202F0A21EF9645AFF3B6453D88EEE258AF0A55AFD6262FF7560FE0581DF6C244F5866FF796AFF98E28CDAE45FAA6';
wwv_flow_imp.g_varchar2_table(10575) := '903EE803E9C2C4FB9EAFFC7211F6A42E53ADAE217EAF43AE45C7C42F4C348FFF2606E4028EFDCEAF014B85EECD4E02FF5BFBBEAFE8DE833E4030F9A68A57ACEFFF6ACA8E71D3EB4070F658F05EE04301AFC54FD5036565F0019F70BBCE10DF02D900F358';
wwv_flow_imp.g_varchar2_table(10576) := '1831D7F5C42A0ACF700CD115EEB6CCF03E08EEA68AD94AC50EC304D33C0D2A3D4EDB80C8E3B8FF03120B710F434ECBB8C3E3980A3B343141E4CD0D23B14494CF152F315C2CF138A84317E70D5CB083188BF1394CCD3AA80318D3F0FC86304CD8422E1084';
wwv_flow_imp.g_varchar2_table(10577) := '2DF4410FA8D0354CC35AD8F15B1402129C01151044306AA45420C1AB9C4A9A02CD3B88C3374C235C980D38CC2341500300CCA31B75030040324174033EED0520C004166CC11614CC101C411588465B14411214C110A0324C30C94DA871F9FA2E005C432A';
wwv_flow_imp.g_varchar2_table(10578) := '48C41B4B040AF8CF8EAE851FC5F22349453440264CAC27464A0513E800002C01000881312F410F20C10B880A38144534BFC337E84534C30435800335CCA32553433778735F64B216BC0511100468A880447C8B7010840B0C410E00C0B6B8FFF20CBB022D';
wwv_flow_imp.g_varchar2_table(10579) := 'D0B11FF911364C433654E62911442FE3314C00B34440C33100C022A8C222A4815B64C0091887A88C832E9C431B64623503C03B94C345BF43CD50B34503150080439A4A443657B2369734365F333588833054333ABC851884C410F800006C015BB4800AA4';
wwv_flow_imp.g_varchar2_table(10580) := '0008A4400BA8333B03C10800800B14C16EC8742BCBF30167C32CABD03460C335E472653E523F3F7565AE0533F4E95A4081449CC00900000D00400960C0C764F2376834416034469343454B0448B345348F74368FB4449C03247334417C033AB4B444B474';
wwv_flow_imp.g_varchar2_table(10581) := '13340110000068C87410800641C08095B40008C4865BA8001000C1100C415C8CC3DC1AB564AFCC3D33D23E2F7554D7F15357FF4340CFC50C140564A8CC3788035D031504B2459A5E33367F74257FB42533024154826CB70534C0443108014C0441101044';
wwv_flow_imp.g_varchar2_table(10582) := '1FA8822FC0854ADC8044EC000038364114354C28C3366C43378C83724D367417C5096035ACF43271C5B23F1304674FB544FC325C384109640000803541CC8A68974322B385222B3241B4B56ABF3538E0532603861DB8418F308B544C81ABCC853B13C46E';
wwv_flow_imp.g_varchar2_table(10583) := '17C536A43435A443A645F7647F40517C36576BD53358F584DCF3230134776B7767B3E75CB080443084CA50432297C37C17315B7CE2234B847CBFB57FBF0A16CCC531A43541D801466A034CFCF65C90325C504336F092091BB82B3BC60728F80C54412C00';
wwv_flow_imp.g_varchar2_table(10584) := 'C04781483F63FFB72E0B340020395C9400F220728678F45B508325BB456C0140100875104801603F475B1C436D7B79414B8435C0B831C44531D472190875BCC4C594EAB86483356E53B7908B4865D6B15C28395BD000589BB7E17803001474317083C8A8';
wwv_flow_imp.g_varchar2_table(10585) := '354C9C03388C836A83C3276AB35C18771028814CBB053470034C10B44434C398374333C0443DDF023064D44781C27E13840FFC370090422F04C3324C432F4CB99B1B38033001414481441C83C385887557C821EC019F678C35900339143486A4806357C2';
wwv_flow_imp.g_varchar2_table(10586) := '944733A2B7772F247A5B6443220C72100C014D07013A1745454F7A6D7303346C7B98C384353843517CDDD71585EAC18414207729646229C042260280D1BCFFFA6433C00C203357D3000ED482307C546D5BC8843B138C8F1D4C3482AB7FF4A5E902382CBB';
wwv_flow_imp.g_varchar2_table(10587) := '2E4072BBAF053780C27F0FC17FBB490ED0380000340040C337EC3B00B0384C94394144C22870145FF442290040BB970287C27BF7D60A5FCC800EA8DE3110C37A66948358BC83CC0079038013C83A8A0000011C00C6A08244A08218C800462CFC3541B46A';
wwv_flow_imp.g_varchar2_table(10588) := 'C384A2B3851DBBC96E43BC1444BB5B687B3567FC5A18C32E18832648842A104495C3C426F0022FC8383CC3C4BAABBCDA8FB7828FCA3D73F6836C35192834419041CE2B87CAE8C10F48C432AC055C4BF35AC8C237C84110FC00C4577B516403377C033728';
wwv_flow_imp.g_varchar2_table(10589) := '3EA55FBCC64B45991BC32948842DAC02D84BFFC4A09B3D0070FE26AE7DF9F6FA5F6CB5A85837DC4706753B0100D07DE154FE5A5840C54B458AAF01181445BAB345363882711FFE1750FBC8C00437D8B12C50FAE34F7A4765024134C329F0C2A64B04E613';
wwv_flow_imp.g_varchar2_table(10590) := '4420C2048CC34426BC0200ACFBBA2FFCB412840C83BED2E27D6260C009C8FA87F0BBCD3B535601002B580300083D41808015F47D22A0411010091CAC815F34B654A8801C3003404C033070E0338203B941E3F68B9BAB830F871DF462450C0026008A357B';
wwv_flow_imp.g_varchar2_table(10591) := '3810562958BD600108D34B17005DFBFEF1DBB892654B972F61C6943993664D9B3771E6D4B99367CF9D344E00E8E3F3A540A22BC9CC204866A093A33A4F9DB2864A12003FAE642503D0E8FFE01A00601E6E19B806CF40B12B8300901244C590810C074EE3';
wwv_flow_imp.g_varchar2_table(10592) := '66942037968454C12402E4A12F96A500F42AD56620B8784F112756BC987163C78F217F18D804801B00C8146783BC9189D3CD2B099D1AB8EB612600E00098F1FA15CF1AB25DB7B8063B509C30BA0086B87D429091ACB976E112DC3D0D1A8067C2062242DC';
wwv_flow_imp.g_varchar2_table(10593) := '0B64A94404E3D9EBF7997A75EBD7B1675F79000001000C0004D0FEF21A806BD3AE554BEC44A9678234A0004032C54889EBBB580D6C7530DB1A2C04B730C30C00B0708DA0358240A325B7364ACBA0E256FA812083564AC38A43AE78888B816ED06FA55E06';
wwv_flow_imp.g_varchar2_table(10594) := '122C44C2C62BD1C413514CB1A5100EF2EEA61076A36C2064223A2A1A00B2FF29EF36A2C0930C801998620A803D0050633216202B052C3124A98AA05AD0C985202D362A7040AF6603E02C82906BF0A0DE0048682E4700F842082106E2C3A85F1EEA630A00';
wwv_flow_imp.g_varchar2_table(10595) := 'AE18430B34AEF8E2A14D5A0AE9A08F745152C53F010D5450EB08E06EBC6C9E414FB3F39E52C5470C9A2264A04F08AAA88ACD00AB08003DC8A8430F27EDDAE82C05018463B58D40DCE8082908028519001412861B46CE04C08681EEC08619CCDA04C08A31';
wwv_flow_imp.g_varchar2_table(10596) := 'B628638B2DEC0440898186DA489910374A44CF41A18D56DA69673AC0C5F1D463E9C69E22F21100A7CE38885200BACCEE2200F2DA88140040792EAC5359A2E521380001A0DE87642917001976DBC80A3BAD80B38C0C07FFFA82E0819078E9D98182086261';
wwv_flow_imp.g_varchar2_table(10597) := '6A218E5862ECC0232000EFC4B318C56AB26DCC968B7408618626D2D52E5596BE09872559405C662539C0908320686E79889283E49D89573609B273C381B808582D2B9200828895A079554482726878E989A18E5AEAC42CD638BC9EA089885762782A6F31';
wwv_flow_imp.g_varchar2_table(10598) := '626A7C83A03E2C1BB73AE51ED2A698878061C9872B0EDE0830C04ECB17D683A220080E9BF43D488B62012075CA96643968881C726030557BFE99DAF1C7218FC9D08B89B2A56D9FBC86EC5596FAB68E1C008C39C8939B09123C6E828E2068AD448CE2F5A0';
wwv_flow_imp.g_varchar2_table(10599) := 'D47D057AA350607F892B96E400240E00D640C38C5756DAB1E91C222FDEF8E35B24C080EE2A7FFC186184FF39A6446C5C4AE5203EE0286B232A1996028C5B5E7128D4817490D1D8DAB91CA82CB41F42461605836075A02154784885115CE279A0C4111FA8';
wwv_flow_imp.g_varchar2_table(10600) := '14C31A873C010E106201B016787872396A456418351A482D1C680B1341E373BE204D4D0A4110EC998A4BCF98CB375241190915017D1B911E0072518C5C746E205608C215D232902E68E925A118C8E60E9238829C84803DF421B402B03C9E38306AA048D1';
wwv_flow_imp.g_varchar2_table(10601) := '8010510C085DF020B1A8C5276A0180718DCB119D00C0CD6E66B6BA1825050020029A62E2081502E01810CA851F5A028630D004170F098205DED8065918E68775B463892897C08911F121A1E8841FB3538416DE0D007E2148E108024582A42B830008FFC5';
wwv_flow_imp.g_varchar2_table(10602) := 'B81E190AEB6D048C3B0040870E22A58114830A50C8DB40CA58C68198E1670449C41AD5389B3064890D30718B5B1201A2C3DC9196B5DC8CA17892B397308342D182C49F8C2233B0D44B9352AC45278E3910320D24168E9C9066BE3410216072235D5A0400';
wwv_flow_imp.g_varchar2_table(10603) := '3ED992321CA40BFF0140370F0286358893770769E341CE12042C00461729B1E53BE1B99904E01226BA5C093190C14B414128917F52CFED68B8250058B125A1585B2E8A49BD81DC627C3DE8014BEC00AB5A88213E2EB121411CB1CC8C669120523A2100BE';
wwv_flow_imp.g_varchar2_table(10604) := '81A36DBDE41FD389E749516A130444802014D8804B19F30C66740C5094B022415114333058410D5E78492A6AD14C000495258C60C4CDFF76B412A1DEA4169174E4276CB8B64D0240810451681B4E998836AC31A55DF56A4D604A101478003138ECA5A03A';
wwv_flow_imp.g_varchar2_table(10605) := '41299C6AC7A76D94191AFE00004D0CE4107640C424370954833A3116C508C5316271D18740834D3E6509AFA0F15198F8228ABEF884353EB1B65058E3A2C54C2C42A0413D9989840403C90209C280897D7C95B4A525C806366202C56046A60351E8892408';
wwv_flow_imp.g_varchar2_table(10606) := '00474062ADCBC4CEA508029664950626CDCCC5528DB8125758C625A2B4890D7D6150C10A5694094108B990214168D80D39DF609C69B18B5D191CC404AA45CC6B0735DB8150A210D9FC0C15840280F0E18A0F1B79455509B2D48D10D415821D0872D68AC2';
wwv_flow_imp.g_varchar2_table(10607) := '6368F2B24863C9640DEAFF17A992B118FBAD494809628FEC2ED8AB1180000044C018C606AABDB66DC911D8F7980C2247667F201D412C718B54186276C728F07F1D02005B842A7A2F21073F0FA2D8FFC618232924C831C4A490A200E0BA0CF6F13B333010';
wwv_flow_imp.g_varchar2_table(10608) := 'F1BC73B726FAC11192004A00E0F05E07B1DE1D8CF010A20EF821C8098543BEC18DF1BD44CB2FFE6862FB4BE0135A039452F5E841A0810ECC6E7920DF900B4150F26339DF31010741406316E1047A02AA9195B92676DA7BC399A020913236E140F88BE096';
wwv_flow_imp.g_varchar2_table(10609) := '84F9212F060039A4F7B94C6244CC27DE0884B841BD507D231B21ED7452E71C6A0112E05AD752CC35ED0B28EDB104BD026C714C3E07E3178339941B3928464C6C6297FF78101B99464836B2310D688A9AD83F3480A9152384706D046C343251A037D22F00';
wwv_flow_imp.g_varchar2_table(10610) := '5021802A0A9D925FF20D081DC3119F70C8D1E0F5905C484FCDB01A1F3F614C104B637B20E810063A14C2660084831B9DC6D13750838F62EFBB8742440CA42ABA9161B8AE44C425DB408CC48384A5CEA48E497728A27893E208031A1052F44318D192E791';
wwv_flow_imp.g_varchar2_table(10611) := '312121E5C631B4FD0D43BB648C282CE62D6CF10A7B56C220D9E00635107CDD86F39BE68F430077EABC1835A41A6CDA415B23A18D4D1DD0E03A0A49330B353EAE16B7F8E2F775AD4C8C8EE05039FAC6649C1441F060878AE081B82F919F5DB6CC387E54BB';
wwv_flow_imp.g_varchar2_table(10612) := 'E6658F9ABF01E06F0AF4E40442A8E8C8B1A39C3F4B11FF1266E3811082229FEAD825DDEAD238ADC334BB8A43E39C2D11C331A4B7656864B9E2A22C8E365C21861966E9205BB57C18B6BA116113C4E5E6E03100666E76D1438C3B77564CC07311DB411909';
wwv_flow_imp.g_varchar2_table(10613) := '0094B18F75E44D9069E0701547E11E412231101ED4201570EFB84B2EDF8605880400C34FE39B1F528ED12F1F6AC7564C149E60870CCA575A5158420920459D2C6F243F1BA9FD60259DE68334FDA2D030E28070122AE33E640161683FE6E12F12C218FF21';
wwv_flow_imp.g_varchar2_table(10614) := '7471F9B0151C7AE6EF5F50683F4AD00742F50025A3866237F2EE33F8C9AF08EA14D0E11DB2811A08E2FB166D23B081422E2A131AA1C966C2D70EADF2D648F8306FF8DC8F20B8EA900662D87A6D1AFF3C8FFF58B0AB720618FA2E45FA6C20582A61AA23B6';
wwv_flow_imp.g_varchar2_table(10615) := 'C82174BC81CC40E714F0E421D60F00E02DF6124218524118802727F82BD628E12C8C0F2C4AD08DBE2286DC6C2E1EC20A5B300B6B69060702BEFEE49A22AA44C40121BC212620841C9CEBDC10C220B8810DB941020722E35C827AA827EA8AE38400672D72';
wwv_flow_imp.g_varchar2_table(10616) := 'E38D5662082CE009A85016BE41A178C0AAB4F01001C5003280A53206D96AE2137EA916322A5A28A5BDD4E009966D3C90A14B7E702078F0D2C244C70842EA7AADFE0C82121A811264E619F0EA258C2E218EA110A46043A40DE13662D50E22547AE90DB010';
wwv_flow_imp.g_varchar2_table(10617) := '117DD1440C05015CC4116BA20F586F25820C003840458A8C06B5231652A10F3AA10CFFC9A10C01C08120A4DC06E215FBEE1AC06B4674424C8A09E3AE080C28C11CE5401501C0A8E410007CA30D09629B72E417E9B144588A2892712058842096D13E32A0';
wwv_flow_imp.g_varchar2_table(10618) := '0422AC44C4E00C28C37C4CA4133A811BCA232290831C3043D208E9B910E21BBDE6ACA681168ED1DC162F0667C6B9E2902512E1C348A71258A297BCC265EA3125B363ED1023047C24194B201F03723CC2E50CE283E84E44B05C2E21D0A1975E6D234245C7';
wwv_flow_imp.g_varchar2_table(10619) := 'B6AC02152A1BB061473A2EDD86AD2ED2CC2E20E19760A2121A612AA5120048120078A6708A090255B22B3F038112231F4F2019518B0574C044E88020D2A02950A4D7B22CF60869D8B42CF0CC632592611AB4625904422BEA823FFF42052E57C21306E276';
wwv_flow_imp.g_varchar2_table(10620) := '2A412A0D732BAA32142A4120420A42564116A801D4BC72329F220258B227B2AF255E0F459C6450EC2D1709E22A0FA25E002177E4200EE4600D527335BBC29B2E8DCDB881D302EF151FC2134493251AE13063821B5690327DF328FC2F9ED2F25BB22F1FB3';
wwv_flow_imp.g_varchar2_table(10621) := '6328C727C508220BC080049AB30B48A00B666825A2732048000B66C32B7845CBEC827A384DDE1202423C21F744E7214493242BC188580E00E4621A8401A07E333E8FC2F4C2925A048115867306B2EF1E4FA4D7E890CD9EA395C0803909742566C8399713';
wwv_flow_imp.g_varchar2_table(10622) := '00E4000B34F004EB2D3697726664221148F2396EF32134A3702C4C3E3914458C73254A2028520D4584040020A504FFE4273B30C3D75C6E25DC0500B20A005AC95D5A6920C0E24561A612C022097793360533F7D0F336057314AEF24581F21B7E415EB8A1';
wwv_flow_imp.g_varchar2_table(10623) := '1BB241F9FE61B43A344A5524443B6A50B8231FE34C50B46077B0A00BFC8340BC222DB0402CB62008C4C20708222DD0AF2E91E61758889F04D32A01603C9BC52A05B31246612B4EB02E04911AC67020A0544A0515260C60C8202316BC103B246523C01200';
wwv_flow_imp.g_varchar2_table(10624) := '7643FF54E45E3CA07E5AC00200A07E00C00254C05207A27EEA872F1E8263BE916B58A23B09420E6E2712E234341F8248239020608E2B410A3506B55651C432722151AF633809C2504E004952F43A2EC70B2EE50E56821936073EE594204621B846413947';
wwv_flow_imp.g_varchar2_table(10625) := '8147FF0762A45A0239B0819F8A490E482CAEF454466B334F07C21380A71BB8E1640000027BD356D5755D69E21790E11788E85913C115F2B45D6C68551FE217708154CD83E00642397FA1382A30D37221120C81C4588224F1D52A47C1480F421CFC941ACA';
wwv_flow_imp.g_varchar2_table(10626) := 'A1C7D8B56221C332A447008B6D5B90E116848167BEA00C14447000A09468A238082E0975E95A376213FE6028FE406C0A73144681142E144FAF921A42A517BE816725B6DA28D662851631C691E64CC3E95AC20A58450A02E6743A75259EE1ACF40700FA2C';
wwv_flow_imp.g_varchar2_table(10627) := 'F65E566CFA604DBBC00C7C2008E29448C11600468AF51E10DF00402586366D1703188AB6E66AA673FE66206EEF0B84C6159F01C6FC751B3D121AFFA0B20FD00043F6C00CEAB6018280042A2110F035374DF020203025C84E6D2197434BE816F66623AEA0';
wwv_flow_imp.g_varchar2_table(10628) := '6EAF400A2EB74EF44616349665BFF11A43713609E20DB29620B8D53AD3A28D8AE346A0418BBE012A09C21CDC299E16365AD04F0DD6A0583644055260021CE3D89C8F32814163F92DCA04F0561E22580F82559CD681A2765A350DBC3C12D16E627CC8A2A7';
wwv_flow_imp.g_varchar2_table(10629) := '162C5BBA285AC4822CC2ED208A4090A8862096E701082D721703031A355A24884D7E416CE0840BAE807EB900700CC66407A24141D3B5344D6F8D4EA1A66159D46D1488E420466028CA30545A410E74F707A4843CE3E9C11E028706020658800344A07B07';
wwv_flow_imp.g_varchar2_table(10630) := 'E201080204B263408AA535F0400EFF009031124079BCC38395910228F85FB1D20CA869203218054CA07D43AD78A9EA1680A16674D53AC0E343A5A54B8E6569AD206E70AB64AF000D004716EC690E61E5B5B0411682C15C01A0AF5AE207156A3F5A221BD2';
wwv_flow_imp.g_varchar2_table(10631) := '41D43CD803540B06B0030D48187CF980112E9431906D03C8AA2BDB868701052727E66086A06E71035437420E52E116706118E017EAB0211A3207004AA117FE38268AE173C0B59CF20B00CE0125D0B696D0400E6B06535B228C010084B1C30CCAE235C642';
wwv_flow_imp.g_varchar2_table(10632) := '312BA3311020E75C84022400055EF82558202059B8D834D6876B464596006266F920BE2097AD2060F47720E2008DB092676A04308DA3021FA2144A822518040004A9D5362223FF0F42F914EC780C2085E9B3A8BA815609C2BB9611004CEF95610004C8D8';
wwv_flow_imp.g_varchar2_table(10633) := '3ABE601659850B529474944009904C318691790020018273205A110028200210C050892D179EF84FEC030706E2075E605A084E165EE1965D0290DFE263DF02C6EED682EFF6200E9920D8646DAE8D9309E24D068217CAB09E0722B842778010E0CE720E00';
wwv_flow_imp.g_varchar2_table(10634) := '0CCB251E00D9BCC33B28C003D68E8513E09519030FF6E68C01000FB80278DE000F765A6C78DA0DE4B7278600088060088A6008B8800B8E65255E2113D0800B4EFAA4F7ED4638E646A2E1AA55640C06A2EB24C620B422192CD82E29E436EC4236C32442F3';
wwv_flow_imp.g_varchar2_table(10635) := 'E72090A39707C28A8A21A455AC9694604382F56863E2089EC0A7FFB800B7ECA40AAA60A93FE330E2213A3ECF441EB705ABADA4FA61B1F74FC1A6792614EC496FE2B037225009421F0E02B301E0B035DB9620F526183B3BFEE1BAECE1B1AB23B2E761B327';
wwv_flow_imp.g_varchar2_table(10636) := '9920565B7DE5D3B27F4C253E7B23C8EE1E00C0B66F9B1EEEA11E587B3A2679B68F871FA6B9B55D9BE628DB3AC6CEB445AD1FF881B88BFBB91F43B9A17BBAA91B45A4BBBAB13BBBAFE3B8B5BBBBBDFBBBC13BBCC57BBCC9BBBCCDFBBCD13BBDD57BBDB590';
wwv_flow_imp.g_varchar2_table(10637) := 'BBD9DB8E78FBBDE57BBEE9BBBEEDFBBEF13BBFF57BBFF9BBBFFDFBBF013CC0057CC009BCC00DFCC0113CC1157CC119BCC11DFCC1213CC2257CC229BCC22DFCC2313CC3357CC339BCC33DFCC3413CC4457CC4FF49BCC44DFCC4513CC5557CC559BCC55DFC';
wwv_flow_imp.g_varchar2_table(10638) := 'C5613CC6657CC669BCC66DFCC6713CC7757CC779BCC77DFCC7813CC8857CC889BCC88DFCC8913CC9957CC999BCC99DFCC9A13CCAA57CCAA9BCCAADFCCAB13CCBB57CCBB9BCCBBDFCCBC13CCCC57CCCC9BCCCCDFCCCD13CCDD57CCDD9BCCDDDFCCDE13CCE';
wwv_flow_imp.g_varchar2_table(10639) := 'E57CCEE9BCCEEDFCCEF13CCFF57CCFF9BCCFFDFCCF015D4A6DA191031DC3DF000E766B9B0ABDC289C0058CC0D15D600A307AD121DC06920C00722009922007349AD2239C08C67720A68078AE188F3D5DC195777F0020C9F4D88EA2000A02EED4F7CF642F';
wwv_flow_imp.g_varchar2_table(10640) := '7D9969C993C8A0090C3297D711103E4CD645ED0B6E857C87E0D203704A5CF37824E5D5B3098CFF46F923FF75B36018D8B3AB050882A8F5F868EAD6053A4080321100A04046C4201492706F34B05E8EC00A8E4082A91DBB76A0D5096261FFE33FD820D923';
wwv_flow_imp.g_varchar2_table(10641) := 'C79300C0D963620866B8DDE70C064896695CC00572C005D05480F47D2304E708520761FD7DCE8020C95C40A60928D685600CD438A8FB85791F3ED476C0926AC9BCC6EB2100BBE36BCEDA61C2058A270A4A741DB942D147F3D74DBEE6046A200E3E725EFD';
wwv_flow_imp.g_varchar2_table(10642) := '206EE60BB8E0098EE50BB87AE6F79B0E987D347119E685FE105DA091B7419BA38510CEA0E86DE62010A111328124D93DE9E50C04484C0330FD21481D401EE2F604050F28C50EE60E00B6EE20F020751FC2D4B53EBB6C2043406005DE1804FF5000042460';
wwv_flow_imp.g_varchar2_table(10643) := '2546007F466007543E5A32080FCA020FA0AD2C2AB725F6C6A3E3FEAB8A20F00120953D80D0DEF820541E08205D098A7DF3A1850F1C01170120F101C05801E00D489F20DC00EE1BDFF1010054D337F013A60A1C1D003ADD6F08A60CB420A8534439E02014';
wwv_flow_imp.g_varchar2_table(10644) := 'D8447BDE80ABD1C00D987820A47AF5192CF08D206675FF2052370ECCE00DA29F869C560B9CF63A3201155F4290C61900508BAC3AA41D919FB48A2009205F5906A28D6EB9F00822156ED7442A770C8466075AC0BB6002B5C67FC1029E20C0416500024037';
wwv_flow_imp.g_varchar2_table(10645) := '0004C7112C686E5B3800E0B66503200DC0AF83142B5ABC883123C61B1A0F4AA0E0C1A212251D4B9A3C8932A5CA952C5BBA7CFF0933A6CC99346BDABC89F366244317E31CAC04001731650016AE1B070F00BC75F4E8515C97D326908352AC542CF365CCC1';
wwv_flow_imp.g_varchar2_table(10646) := '7E51BB7AFD0A36ACD8B164CB9A3D4B7067A4480723F90460F560921C07B5A03103806D5000440B4245CB928B552F6F00F8A90814B0E2C58C1B3B7E0C39B249433B2BE235E3034012002E08EEB8D8E1209121070B37028A0B97648B7756BB7E0D3BB6ECD9';
wwv_flow_imp.g_varchar2_table(10647) := 'B3CB94B198F84F4A202EAA1004E1614248DA7901540215CA535AE2CC9B3B7F0E1DFA9BC21D1B518C83B7A21691569458C9A1A4B36C4A9932813A08E90B00DFD1DBBB7F0F3FBE4D9E15336F2118274E25DDA46E11544D915E1795B19D7AC481E20982998C';
wwv_flow_imp.g_varchar2_table(10648) := 'A1047BF23D08FF6184123EB8050A26108402080068489015F71114CC41D26C5351321479E24923D639070A25064E08638C32CE08997212008044674AF83005083E52A46262722807C02A220240A27BE7D1C864934E3E49531F681CB4C203186D80A1455B';
wwv_flow_imp.g_varchar2_table(10649) := '6457916E0010F95F32CA10B58D39F54089669A6AAE49DB2DB6D872104F95A545599D1981622400B7BC728B6A46FA47D134040DC466A1861E8AA858F59C09403DFABCC41541FFFCA3115794268A69A69A6E9AD2A332DDC369A8A28E4A6A4A5CF1B352A4A5';
wwv_flow_imp.g_varchar2_table(10650) := 'AECA6AAB86F2E3A9ABB2CE4A6BADB6DE8A6BAEBAEECA6BAFBEFE0A6CB0C20E4B6CB1C61E8B6CB2CA2ECB6CB3CE3E0B6DB4D24E4B6DB5D65E8B6DB6DA6ECB776DB7DE7E0B6EB8E28E4B6EB9E69E8B6EBAEAAECB2EABE50060CE33EDCE4B6F58EFCA739039';
wwv_flow_imp.g_varchar2_table(10651) := '00A8A31445FAD60B70C031E1AB14C104C9836FC210FE2B70C30E3F0C71C4124F4C71C5165F8C71C61A6FCC71C71E7F0C72C8228F4C72C9269F8C72CA2AAFCC72CB2EBF0C73CC32CF4C73CDE62E6AF3CA01010021F904050A0000002C0B00160045024E01';
wwv_flow_imp.g_varchar2_table(10652) := '0008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B05F9F1C3C8B1A3C78F20438A1C49B2A4C99328531AA42772A3CA973063CA9C49B3A6CD9B3849D66339101E807A02FBD1ECC7F324BE7C0CFB6DFCB7CFA0BD7D4501DC23D81400';
wwv_flow_imp.g_varchar2_table(10653) := '3C7957736A8D298F6057A45BC38A1D4B76A2BB82F7BAB9A1E929153081990A420260C891219268D60A74F387120050A90C820A05C013A5BB00020FCC56B5AC63943E1F4B9E4CD9665782530D11000003C84015432C149C309002410F00B8F029040011EB';
wwv_flow_imp.g_varchar2_table(10654) := '8577F40EBC93F28840163C58BC28711091A342BF1DB576E4E735003C001C311208AA71E5E718CF429F4EBD3AC6CB0259FA210083A09484290088FF06805A08C75C9F5EC7FA64D27C94814D102E17289CA123504C01FC03E0D2BA7F84EE44F6DF8004FE27';
wwv_flow_imp.g_varchar2_table(10655) := '207FDA19E0810C490C3484404F0C619B40169450420A1E6008E1187C48C41E41C2B9621215003CF11E421D32248618C809B49C278D09B5507F0596950F58F2F003568D3CF638994640F9610000261001C011DF097484104398B7901A0301B7487D1889B1';
wwv_flow_imp.g_varchar2_table(10656) := '1794189948909303B9611C41F309A40696058562CF56322695A68F026D244F8E3BB229E79C37210554241474074011472831D0924B9A97C20442F006400A868A9122418B2487871D06355A9070B9104466432C2C14859609BDF72500F3518987950329E7';
wwv_flow_imp.g_varchar2_table(10657) := '475C10D1D8503F6BD219924B39BAFF2AEBAC285D86D4549EECA04483DF4D68019703197A680AE145A1DAA402498AE522782CD2212DC708F461426AE0512DA903010B40132712F48444A102E0D74063623B10AA00B44AD17EFBECB75F49EFB2A9A355B4D6';
wwv_flow_imp.g_varchar2_table(10658) := '6B6F485FF1870F00AE54411017491E89244113129442B703494AE540CD363B903003F1F10995D8DA612D0058022BC48951C47790101E0F4483791918CA1A23CAA55CD0A850B2561F61FB09F50F76FC1DD4EA3FEEEEA3F3CE04C9A851CD06E9D34FBC3DC7';
wwv_flow_imp.g_varchar2_table(10659) := '296B7FEADEABF4D20D61E7922B4922D7E240DF0A24C513B6717961C10D49CAD0D42D5A0C00A9990200B241082B34B28525D287F27C7E3132EED8020127101F3002B00FAB33BBFFC3CF3D3FDB7C50553AEB3D90468127A40FD14CB7D9F8E3902FE4347303';
wwv_flow_imp.g_varchar2_table(10660) := '510208C6471654B5105C7360E8A2D302E035E66A402AD0D403451B7AB51823679EB65B52D4EDDBC2C9ED08956A60FBF2997B0F2D8FDF6D4E65908C38E35C78B49BB8B3B77E04C5CB8E40FA0834D5CFED00205D390395A3AA9C6E46EEFDF704FDEC49C1CB';
wwv_flow_imp.g_varchar2_table(10661) := '7DF144D5DE52389068DA2EBC30B64F9CB15028D5962E267C06AD6DF6425024F42D1FA1A21D25C284B14BE1AD2955E9C7EFB657905621251C6760C240E881338154305D2CC904020040047350E01A021946611223856E44601A46D820CDE6D43DF0B97069';
wwv_flow_imp.g_varchar2_table(10662) := '930340257E401038A46F73D90216D74237254889E13DE86B88C5FFAA35C45105AB5048C4C87B6E17A6B8898B202C02CEEE0CA79F05F2878106F9C75462010055B402007678873D8452157EFC8328A02AC32D8C108E0D64432068F0821504E2274F104931';
wwv_flow_imp.g_varchar2_table(10663) := '49138BF0A4B74782D46323AAEA8F3EFAF8C242CE29869148816DA4F0050004CC20BF12CD77BE651ED6256762F419DD448868AD8B1D0A00861A99FE2E82BAE450C211A70C138B048288E598898A7D438A46088990A9540A00C63086059D53104330C00377';
wwv_flow_imp.g_varchar2_table(10664) := '70C703C221100F202302E12006001EF0BC1D00000E43234BD2D261107300201DE6500700E8910F1AC1EA1EB434A4386B14C34AD8A608346CC878DA66364B866E202B7AC2A5089390681DA788624B5BB6E0B3FF31F3F44F20AF038028B9A44FE1A0F2A088';
wwv_flow_imp.g_varchar2_table(10665) := '10088B3A249C0322B08AEE000B163332156EB4A215BB3885400A77388220820B0020802D1E708B7FA08B12B620880940A10E5651A49B2F314739A8694D0060AF20D48C554701200F708EF3A73DBA4CE05CC105903E88208D5CDF13D69910474CECA90AF9';
wwv_flow_imp.g_varchar2_table(10666) := '5039DEF1A445B00E4ADF2A1BB00C053B21D0A07F032D41A14059359455AE3ECA21971A6E57B7571A2E9600309A4236928E5AF8C217002087DE74E6B3FD74C5130F78C018D461822129211285F90217E941014FF84B0AF4C8E38C7026D790609319D9A026';
wwv_flow_imp.g_varchar2_table(10667) := '318949CD67D8F4196F4C873AF0D19F6F8613A8A87D8E9BF8415AC3B9E20D6B29426A923A90EFFF48410842602A3B01D0A1B9D107210B630896C486907FC26E7F1049D9720EEA174720A243AB4CCE722A519099E98DB4AC6D0853F6418E4FDC351DF2281C';
wwv_flow_imp.g_varchar2_table(10668) := 'AB68B48FAE44861EF478930591729976546F208C63C84688210EA085A47AE648071A00600B75FCA00AFF288327FE01072F5C030E77704538CAA18E31CA48285DA1517C534B611BF17490DD448A2D4A3910304029085805A8058248904F9C12AA502CF13B';
wwv_flow_imp.g_varchar2_table(10669) := '0170CB8210F722345048062266907105D745AD014026DA65419EC61570131D883E76F60FAADE35BC314A888ED614644046A41EFF304424D8F18FCA5E241FDA348735D7420B2E54411C68C8C43FDE90846794A141D454473D600A347944AFFFC270AE0C7B';
wwv_flow_imp.g_varchar2_table(10670) := 'F371147E0845847E40CE17F0B0060E5FAA2052C0D2894B85C9FBB1D520F43C88B598C52C3C50213E506882A1FE591024C638C602E18D5885A590DAE5584C295A8E5FDC85B3DFD1397109D923371CD1A84F7CE21BD19C30425AB511C93EE41EFF4885385C';
wwv_flow_imp.g_varchar2_table(10671) := 'D18E2A8B047B5AE6C21BF66B8454F861C06830843ACA01072558531DDC74C946AEF2E6384B641AD020A0B549928F084F6FBE03F1831FE400007287C91178008341EAF7E7813CF54B8B608F23124D90637C033D966296E8D8B9B14C0B2464FEF6F7589358';
wwv_flow_imp.g_varchar2_table(10672) := '90B59A923E9098CB8D0B32EAAA58371FF7B8D169A1C79F6138DA0B63B3921720F10C5AF238280379700367C4105C7B421EEAFF70453AB488B88E9C451DE1402C00BC408C4C9481CCC4F003175C910938F8819AED8878410EB4ED88C842387880435C7C56';
wwv_flow_imp.g_varchar2_table(10673) := 'F48FC4501888F02D23962307A4330CDD2B8392702861E277DAC17EEE66B140EC397600241A0F0E6B11A98EE0B1B10A040A5C72121237EDF66CB5C8A04F642522123AB632F0160EA87CCB196566EA6E36F99A7E48921830BEF82AECCA13764E17415832CB';
wwv_flow_imp.g_varchar2_table(10674) := 'BFFD2D3BF7E026D0DC710F6A1284CD0AC9C73F3CA18E7FB02315E5F8073D221EE487D4E3BDD8B06938DCA1CD725C231BB6EF063101A0CD087774854D8FC81B42EEB8E073C4691BA1C51B908386524A0D4A9D2CC817B0544AAE27477458BA1D26ED090D81';
wwv_flow_imp.g_varchar2_table(10675) := 'D0BB518F3A8EFFD7300E8074062B219B56086E052DAEFAF0BD10C5510317D4E087C408A4BEC43735E01A32BE3190FF5F5E300655F04606410BCA840C02710BE2A00F99D00ECF205AB4605D08D80DA020108A615FA9367AEA000FAA070AF5156D225153EA';
wwv_flow_imp.g_varchar2_table(10676) := 'E00EECF07202F13CEC404DB4667C1371742C4812D8D10F4D910A5280718F24104120105F1030DF92354F200481B6751F221C1F623AFB4610DD770CC7E008D6000DDD771CA2D322FA66104A700405C3699A724406A1327E401C8EB0280641805E115737A2';
wwv_flow_imp.g_varchar2_table(10677) := '102E851800500677B08669E87F5EE65906710B3F618000500D7AE309D9800CE2500ED1900ED9B07B20341081D810B896091CD80EB7900911B866AD972A08FF111513C440D3E6662F98108BF20BA75389242123A130213D6835DF12688156229C3362FB63';
wwv_flow_imp.g_varchar2_table(10678) := '8506C11ECD25105F777DA953102D56105348103FF0037C2210E9C469BC3156FAB46EA0C21094300CCC0000C8308C00D00D3DF370FB3771FDA00F3A8771FF271055807156100B443315C3C80CD5F00CD7E00A2222879E200EB41018D7600EE2600BD38080';
wwv_flow_imp.g_varchar2_table(10679) := '04183325377AE56008C36008E240412A317107D1429AB810C8E017FB958F1D118367920A4A60067290085B100416101A00405B56433508C175F34684E46284380500DF50102B6610E9F420E984286E5777EA8785ACF46915381076180D04110E8C932F56';
wwv_flow_imp.g_varchar2_table(10680) := 'D633B610096F00525E00525C300602587F2AFF7938D80800C3780BC8500ED9500DC8A00F9E100DD5900ECF600EB7300CD1900D250900F8D79203617286900DB6800CC4206B238114B6163EF4E28F0A818960E91134B311CBD00800000BB00000A4900858';
wwv_flow_imp.g_varchar2_table(10681) := '9039DEF13120326813E35B0FF10DA190686AA049902410E1815CA0745C0531636282078D843E364409A3400B03910C06A1924453788DD80FD5530EF82710962910D4546D6358332E410FF52072F4C00FEE200EFB2710F0E064DA3582FF700D99300D5A99';
wwv_flow_imp.g_varchar2_table(10682) := '1367D1952FC80DD9008700E007D4359615210FEFD20F67020089000098600A02610AB0309C00908305D72D3F183026766356650776B03095F20D9EF721DF773A9222064F90022DD002A3FF51698429111C4010760400D32010624810ED09513722956D22';
wwv_flow_imp.g_varchar2_table(10683) := '6BC58333EA5259BF19147F8445F29945EED26BB169131B211DBCE99E00F00C8D9024E852A011E19B2ED114A4400AB3000083300700C009970000A2500A02416E50E29C07714A00606207D1284E655079592AF7A306EF811C8DB2970431011E3001E1411A';
wwv_flow_imp.g_varchar2_table(10684) := '0221020421920A0152E1811A94F00AB6F00A00A080EB0000AF900DE0505FE0808C07A17F8D888176F2130E8134C3637837A223FD3957167441014A13B3C9A000400BD9B09EF3F1072007A613A11400B00C0030A1130A008A200AC4F90898C009A580091D';
wwv_flow_imp.g_varchar2_table(10685) := '060060E0085F0062D3D71050126F232A1C5EB329EDC69D14094602C1034BFF60109EE8480A41263C2A2E8E291098380AEC6947D9200DBC07009C7AA6CAB81142A7A520A1A657846A1D519F5D3A13040AA6B6298769481B68DAA0C40700E090966D5A10A6';
wwv_flow_imp.g_varchar2_table(10686) := '200AC6C9098120108FB0966D000B6D00006D9008C53A9CA59008AEC0AC2EA6A2F0042151F01E0C2910848010CDB0106B71A8CF547F8CD02236A49E497AABB79A0D476AAB76C4A400505340E11511253CF6D8332AF1A4DAA5AA6131A0B3BAA64F98AF1D01';
wwv_flow_imp.g_varchar2_table(10687) := '0EB0F0A6C60900BF5A109C3009171AAC9CF008BDC0A1B8BA96B0D00B02A10BEBA9107CA9830D197605E10D046107B3582A76B38552234372280EDB3010450A950251B2E0909EC95009987A1070C5232EE59F172416ADFF5A2F9A2009318180FC7A1142D1';
wwv_flow_imp.g_varchar2_table(10688) := '0FB71AB00561B009010B8F300BA610B0A630A1BAB09667850A8B00B5A8708458622EC7512DCD223F534B0ED6800ED89A3004611C0B474FC444B2E6300EEA300E08614DD5300EE1800B66BAAEF02510F9F218B41972AC7233F6BA15F8AA349290B387D0B3';
wwv_flow_imp.g_varchar2_table(10689) := '92017C04F1A6BA7A109C10B0BA300B6FBAB8BA6010BEA00ABC30A20331B58BC00A5E2329513B106770AD00407602A10D5C4B10D93AB5AC6137C0F1B1FC0200D9807FE070B6EA700EEA70B202A14D00404C6A5B0DEB000E9FFA07CAB426A65623799BB734';
wwv_flow_imp.g_varchar2_table(10690) := 'EB18774B2046401087A0B382EB182BC40FBAC0A9429BAB045BB4B84A108F3B10CE000078B50BBBE00BA8FF30B502810ABB0000E44BBE04D13FE4F00DD6405507A10D04410EB5D028A7FB857723104F980E34350ED6740E05410FB40B00CF0300CA00006E';
wwv_flow_imp.g_varchar2_table(10691) := '2B105216575B1ABCA84A1DC3FBB3332B1944E723D4C0BAD2507F0461098200009E5B11A880B99A60079A00468420C289DABC10E17BE93261B390BD09F1A6B3F0AF4E0BC32E7C10BE90ADD60000390C00BB20BEE20B007AA0097AB510E54B0E54850E7AD5';
wwv_flow_imp.g_varchar2_table(10692) := '0AE0D72C1C0B007D3095032C10FE7B1040E1BFE090B6B6E098E1A07BDD608CEDEA57117545F13A190F1CC1288C10139B06B201007B001168D00A9FD0C100406925366F674C119125646CC906036B10002B10860B00D9EBB403D1C28B310ADB3B10D9FF8A';
wwv_flow_imp.g_varchar2_table(10693) := '57DC5B10D6E0BD7825097A40C400700ABA6410F05BB951AB0A05E10EF270B2535C10F34010F8B70A6D4B4C255B5D607C6AD9F51F654CBC9341B83EF2A9007008816BAD6DFC109F600D6740060045C705010D17491F6A2005DF8125FB72C787A35E41217A';
wwv_flow_imp.g_varchar2_table(10694) := 'A4200759E010D3CBB480ECB881ECB50090C902510CCE90C802E10B8FACC300F0450691C38F9CC3DECB10BA44CE933B1064D0092C21CBDBB40E003CCABBC7BA05F1873F3B100C4CAF765BC692A7CC041C0CCA50A900A00305B1C10FF105532B3F27220470';
wwv_flow_imp.g_varchar2_table(10695) := '0705A5240CB2F00DD3209602AD643D7646A247C87D5C10725AC803E1C28B8B10B4BCBDC50000299DD2D9CA0BEDCCC8BB7008BE5CB93AFF5CBE02A14BC6A051369D10366DD3BA9406EFC012F40C00014CD4F150A4475DB26ABB0DD84380C9900D69B2CAD3';
wwv_flow_imp.g_varchar2_table(10696) := '4320AF0CCB92E1CFFEB19E9E2110CB5B07B9CC107EC71E8400CC09010DD9F00DB270247E92D106C10FD8B11F1B51C10F91A1C77911996C578ACCCD07A15137BD0BC6B0D3A4EB10380D00B5F0BF06B10EF14010D2604DDDB00DC950C0ECC93CCC53780552';
wwv_flow_imp.g_varchar2_table(10697) := 'D556CDD619BC0992D0C60ABD105780067E67104DD03F004710DC0000BF4040D198D16E3DB77656C3882B1083409C93800993C009179ADB010B0B356C87195B0CC500BF85DDC8CDB0D2D6500CE0DCC8D690AD1F91C3755053D851D40471AB8F4D4CCA747F';
wwv_flow_imp.g_varchar2_table(10698) := 'F51599EF5AD9969DD113FF8B109620105F0D11BE3CDA69C398A63DB1525085908AD9DDF4D6A60A0074AD10063BDF0441B4B78D099740D7849CCD29FDB9DA00BFCDC00B8C0C00CC2D10DE0C00DBEB0B971CD806410EE880CD384C10E58BD20221DD0361BB';
wwv_flow_imp.g_varchar2_table(10699) := 'EB0AD9EA2A10C4900C9CC953EFDAC02481388164866AF2CA9431C13CC2A9DF7D1082B007CC2B1069800435800212F019054107731C05508030103310AFC00DB2000D420A007EB2DA025D5A4211790FA108782A10B60D00933008440BA7146AB0443BE0DB';
wwv_flow_imp.g_varchar2_table(10700) := '2C10DEC0CDB5E0D28AACE05D1EBADAB0C80B610CDB3BC40CB10B90020F45EABFE750A46A6BC0E630AED47DB6DD800B0080586828795FD14DB6566B3B153E4AC12A11FF676571D2AE3D530FA1D90F8C8EE2E952D59581D594B10C2F0E00C160D005F1D575';
wwv_flow_imp.g_varchar2_table(10701) := '00004C80D000601A0741D6DEF70AB470E447FE0BC2000858C3055F10DA98DD3CFC21238FF008F67D10BF7A098A30DBF7AD080371E500C0450211E604A1CD07B1BD16AED207E10D6CAEBD0E610DC690C93C710EE7300EA13C108D2D10D2800BE028733214';
wwv_flow_imp.g_varchar2_table(10702) := 'E25F31AA0B011653C1E842910F3C917940D195AA19DF011DC1B636BC937EBCBC8989C13011690000368EE304738474D02DFF24EB3856E4952A0547C561B37EE8B01008937009F5FDF00421B4C09E1044AB08F8DD0904C1C99C5CD8ED3C101F5F10C82E10';
wwv_flow_imp.g_varchar2_table(10703) := '1735101AABD2233F10432CED359DC3DE2C5A02010E4BFF7A8CD2B0A9EF999E04710B692214F410C6018D10A2F50FEAC00EC8D0AEADE20A1A5E7A2E9126EC700B8358BB42C10E1ACE5FF0400F4E2FC00B01D0B3EEA9CA200D9C7E104E5010A4CE281CECE3';
wwv_flow_imp.g_varchar2_table(10704) := '004006EF11327E301F72100A72080D695DAD5BEF38A69A08C24E10F36DA10951F154FE0893C0F79B60109BC00BAAC0C90C61F806C10BE5FBDF5F54E002D1CE104E10E8AC4B9CCC0DE5604DDBD0D8D950C0C9B0E90281A9CC90EF8D99800631EEE992CC05';
wwv_flow_imp.g_varchar2_table(10705) := '0114A92087AE400B67717BFC300CDA240ED5F006E6700DC4400F5C000CFF300CE2900FBB2742E17019D90007082814B06A4DA8A218179814D361E9CFA10C992E1036000081CFC603F1E90070E339FF6E290411F091163220F5056EB0F6613AA466D7485C';
wwv_flow_imp.g_varchar2_table(10706) := '00077EC10FF600FDBCF90F662483FDD0DF43EBF70291070201EC83A00800A108C0408200144D1248308E254B050B9EDA74CAA1435EAA9A3903A0CD194655BC061673D86CA0365E1E07A203E0CD18805D05D3C41A982D9BB289001A452A58098027827F70';
wwv_flow_imp.g_varchar2_table(10707) := '02F8F70FA83C77F906F22BD88F203D00AEFE5C8343CB93AB31E25C014865CE8F2B34E186314A5506D92B4600BA117C7607683757FFAEDD02208E202862B4FE8152D794594DBE7DFDFE051C383052C1850D1F3E2C0DC032BF870008026C05C01149A15845';
wwv_flow_imp.g_varchar2_table(10708) := '0100250A9426003A0F5403008E43B8009420469D5AF56AD6ADFB2A05008BCD200073FF00D0E69B659040DC066B0F4C9870E018C7031B0E941871D3618E0445164435D059C75618535A2BD85215133FD198294B36115023823F275E314450683F79008CF2';
wwv_flow_imp.g_varchar2_table(10709) := '233C91A92B3FC4DED01A08D70B4E5A570D6503060E5000A8070E43206907007998FA2713735C09A79F68064A251B0068396BC08188012041D73E043144114554CC2F560090A48E81D200600A8788E8EB33870001C08F89C83BC28B1177E4B14711618365';
wwv_flow_imp.g_varchar2_table(10710) := '94391419C436E16A9AE437458E1C684800F2E04BC5D6303269205F066A0580E21CB28EA55D5A1A680A1D26AAA4125200C0A5A0603824C80C34CA18C890A0840280BDA208BAA726A64019E6C201A70220924CCA29E70F00CAF024FF92483CC9A42E00C229';
wwv_flow_imp.g_varchar2_table(10711) := '87A0BD0030474100A2B9259F4CFEA1259268D219882E48AA89F42A1F4F453555D468F2AB8F81200BD18F2FF000040E1A7702400D299420020D557F053655A360096410DA8CAD491128073A760E649BB4CDB6BFA6D8E38C3DF408AC4A2B01E85295827C49';
wwv_flow_imp.g_varchar2_table(10712) := 'D1B8E5401AC8989200D8238D25C6D4C2A6BE3CF1243D43092AE3CD8170A2B39F7E9832CA2FA3C489B49C4A0188941D57F602B09B746C19C61C73AEE174D2983C4967983EFF51A79D67E0B2B020772ECC6AE0604F450A9E91830DA62F1C00D08420320AC2';
wwv_flow_imp.g_varchar2_table(10713) := '6105BFE80060B382A82028345F0962A4115F8948E164A1875EAD9F614711C8D982A425688E39F2601AEA65999EA8FF8E2ACE400280257818730916D125284B005AD90495E5569AE84A2B357288909A5A69658F2556400186160000220725AED8028037FC';
wwv_flow_imp.g_varchar2_table(10714) := '1EE86F33FC46E38E37DC40C38D81142FABCE3A8D06809F7CE0032CBE81FA750836BE2627281B77E233A71DCB891EF963CD49DFF197C298288809090080A1A645688E828ECD641CE88BBF0110428581CA3A0D75E1879F88307C629B2D9089681B32C96503';
wwv_flow_imp.g_varchar2_table(10715) := '994379360CCB0480B21A17822015F7580E15B1513C2E6D913C52DB21411A421BA4333E6000000F4C50C1852286C881202080B062341B01E8830F87D4501C1AD4D0B881E8EB3D911B1D609852903CD5A91E00A0C702FFD2AF0662AE2098B320F15883948F';
wwv_flow_imp.g_varchar2_table(10716) := '6990FF6834931200366002234CC41A6E2388CD1C02A781FCE0071E84610CFBC5864014AB208AA01AD5009085818061205808021626628B1B850214AEA084673243104B6C297C139104135932106F78635B2119080642B0010E78C0774300E340C038842A';
wwv_flow_imp.g_varchar2_table(10717) := 'EC6C207EE0C31BF05010165ACF718F3B20E55E7314F7F04328F758E0032F789804D6A48F31E423004C06C80FA5AC20ACDAC680F600005644917503C1C1066A620787D0413304B9151ABEF08582C081127FD815214519ACE391420E7938164208A23CDC74';
wwv_flow_imp.g_varchar2_table(10718) := '818713C1820F823011608C2217F8A9492628118A3EB82D0D2F2308B65061C5816CA2654C7C4ED82852902CA9021133A0000506D2021500610800FFB8A6EF7C371038206220FE53CBEE0A5216A5E80B72928BDC1C65B28FCE01A61FFC90499DA291978180';
wwv_flow_imp.g_varchar2_table(10719) := 'EA1A03B947064729220EBE719FA899866258158C55946689120180131639101400A00A0539C2402E3310CD5C520C00D0C944E004081B15E19F1FE5513FF0F10F5274A10B1359D65FA4204B2BF8A05D7DE94441FCE0884200601176200739BCE504003081';
wwv_flow_imp.g_varchar2_table(10720) := '0CD85ACE431C02268220343B05710C4C1ED0451050D39AD804C20808B24D1A19EA0E06FA0320E4301040C421A38FFBC701D3D99761542F1DEC20C63F6C410B7C20634195620700D4518EF6A8231571810B25CC01168DA5272F0D046988FA1958C4C42177';
wwv_flow_imp.g_varchar2_table(10721) := '0571010C4060021DB090662C72D1FF40B83006D33C01339F880E450BA286FD1584B26F60848D9E5084321090B0A74D8D1D59E5902CC8617AA320C82C07A2821F5C13003F5041113C0A0034F8A111D523888DD4C04982501200C740090030B0C4AF118415';
wwv_flow_imp.g_varchar2_table(10722) := '2DB32239324B9095D0AC2687905B4124E0010F00C0A9D8C4DB363DD002D2BAEB0F6F484F9ACE348A55006015FF28673FC23AD63F1AE51699680F3204458C5B588812CCF0025CD2918A48442A4FCF88862D88010A73E0841EA9F80733900100C0A2768300';
wwv_flow_imp.g_varchar2_table(10723) := 'E8A0855363031B2876228F04400D240900294C64769BB15D66C420066F4EA42C49DC1D65353CE3C218254D6B28C816843838002402006B202E003830010E38E47D1381C31A07FF228527E8E8A294C5594AB446912B6962A100482E440A620D3D488917E5';
wwv_flow_imp.g_varchar2_table(10724) := '1B481F2EAA5C0A70D7BB789B1F004670B7818060227DA81E4D7A118C60C86222064CA71CFB724F714423137000862DB2A1A15001A0634AC9067E6C7195B84E0828D778060469BC9A92F973D27F19C26E1D62893E18B72F8A2BC819C48019D010A4C57E09';
wwv_flow_imp.g_varchar2_table(10725) := 'F2A555ED90E3A98E27EE2AC856E370AB164813001080C044723D90E071E166117D427143038031EC610C2036CE1EC8A089644EA4D975B0042AB4B508C77C602065EEAE0D80E0826D6FBB054D3D3300EEF0075701A01667D2458908A20F8228E53D93FB63';
wwv_flow_imp.g_varchar2_table(10726) := '9DEE990A50A4677786B0C51B5CC1936BBC8153A0CA467A02158EFF4C4C8816B7A0852D3C51A978AFBA2F9576385FB890EA8924610A256C1141BC50055F97419C05594441400D87ABF24CE000C003C5237E697E1C6F1A3A694425C8E3103FE0F86F6C0600';
wwv_flow_imp.g_varchar2_table(10727) := '05704D90045C1B0214B041890FE5171D0DE40C6338C344CEC0D3863CE77B92F8DE40A248106F4D4403AF9B66B7A5CA66370FC40C31E51FAE68B28D655063EC137977E42A4C10A4942313B7F8C73052318D8144BA1A048914008691177130AA1BEC28783B';
wwv_flow_imp.g_varchar2_table(10728) := 'A622394F4C68ED2B0FCC2011EF972B9866077CF1821BFA302F0018C20F04ACA9C8955C90AB7E1C70D63BDDE22DCC0F7B00E0178D9303230001083C3062346BD424006C90F39D1764D70381C004226AA3B298FF91C49DE9CC14A290B5AC0D64090048C309';
wwv_flow_imp.g_varchar2_table(10729) := 'C87065BE487B20E4D0C612377B86EEE69C202DD0F6444C00020F4CA0F23CE98325D00B5B00187220E300803ECAE99E3CC73B3E7AE48B3B22110EBE1C6F8FA2C73F6BD0F0526E0286F2673494931B884CF09F89F03CDE1A8EC9C83F1AE38707728520C331';
wwv_flow_imp.g_varchar2_table(10730) := '6E92839AFB31C51982210B0CDD83834A7085BBA28402CC3C16288113008015288112343E485A91BF78A281E0A943D8044F1B88A50200136801360382EAEBAEEEF21D2028A63190B151601300203F02391DB1FA8B77AA09F893343C398A0792A0059442D5';
wwv_flow_imp.g_varchar2_table(10731) := '30849B70884A508B89C8C281B82AFDA9BC3F280B4171238DE224A10300190080C79BC2196B40FF0018104EDABCD120203858033C081EBF80809E938023D840FC700542230811882682B0B517B881816082E2FB0B146A1D26D80C9CE98388028007982610';
wwv_flow_imp.g_varchar2_table(10732) := 'A8A6A8AA3E0070B33B04809A4A3A2DF9AA9803007028A03D42A786B31CCD418A04B2A07E51428768B835944587880443308F89F83F3F98974CA8844C8884B2F0033F280319BBADA0A13DEB9BC54B7B2050380D5FCB193CA8431C7B3D00F03EDBEBB98148';
wwv_flow_imp.g_varchar2_table(10733) := '805CEBB91428030EBC85AB6884B2A8044A08B241E4B9F64181430C0C2608A1BE08B649A446185081BB492CACF3410008325769228230844E98B9AF42BBB1AA9C70001577229837BABB8190073D0ABD6474C88100C8CA030C5DF40B639400FF4A04806B74';
wwv_flow_imp.g_varchar2_table(10734) := '88322308757C48902A3D4F904412DB2482F8023530835919080BB0B5C0908CBB02C79EA10440F882A0E9AE09C0BA8130809C03811D5044C490198760004AF4BEBB21826D820017100D7C244600F096E3480F81F38460000776603753D4A7CCD114ACF807';
wwv_flow_imp.g_varchar2_table(10735) := '0FE18776A02782A8077580077A8894706087749007A3500A78889405F9C8878C844A308F99138CD8F18B96343336C3B882982CC988CB7D2A3D420B022E30C382202E33CCC35BCB4687D0C324C0A83F1C8809643D00B0809B2C88C6CCC881788111E38B56';
wwv_flow_imp.g_varchar2_table(10736) := 'A8BA9AF0CC1ABC360F682ADF81818B04004D03002FF0B45668418298CA705887D04342BEC8135B280D73B0BC6760065F8184FF37C8063F103848A03B2232874C10874C989732808361A005BA0BCC8734041AD99F32004C87C8B5DBEB0B1350C39AB08231';
wwv_flow_imp.g_varchar2_table(10737) := 'E082C93A142F70C6E91CA5C1E40B38C4C79423081BF0809ECB468DCC4C00304677F103D85BCD8198809B1CB29C240003400082E0012648BA31038027824C0078011D68A88238CC09C0B982A800C94849871203CA425087728864188741D29CDB5CC29DE8';
wwv_flow_imp.g_varchar2_table(10738) := '1857800B4630D16C70856C48054670073F103C229AB006E91400A81E9C3094F640CF87F4A8D879008CC4C68218CDBFF03D82104F00F83FD3D851C158AE53310AC5A330ACC84EC44C39F774CFBE984FBFE03138B12D87F0BE5D4300034880001808063844';
wwv_flow_imp.g_varchar2_table(10739) := '1761020CA081FF341883721B08160080187853211B0823B0B5224B0110983D8770B3123B8D2948022438BE8C9B82E069044F488672C80BD8508A7BB813A3C84AA3A03FB9B8054A18345B50305AB8274350073850074348854DF10402230646100743E090';
wwv_flow_imp.g_varchar2_table(10740) := '72F80FB958D235544D6DCC394ACC4400384418290C1D9952C010C056A51087700228381528CD1353C9958248392083C62F884087280215D8530F005282C85500B0D581E8BE22D3C482200002B84604D080EA7B000D484000C0868240C38250C70718D081';
wwv_flow_imp.g_varchar2_table(10741) := '3001BC2408EE2C0823000223308107258897BA056960D502EA0747B53FBFC8936B405500B0054E2D0771108770A81464800786BD866EC886688884747806FF7808B86C30198D8986BCE3D55904811BF0C11D4882E069CAC228A1AC8104C138B58E1D085C';
wwv_flow_imp.g_varchar2_table(10742) := 'FA1528A51029F0154DA2597C1C083C58A368C48338A0C0362208EF9B3DFC69A13424DABFF8D18CDC560320808110D707DD8132C842E95481EC4143391501F7018008C83911A8BEFBF400ACF3BE14D8A622804C1F348181A89F87FA83BB4AC8020AABA238';
wwv_flow_imp.g_varchar2_table(10743) := '3C588C0FC290AFA261D929BC1F8DE23C1B3940BF40028CCB1E0040044358595078B5BB151E61C50A8758A3595983D040D63A940347B8958990021FF400D6FC82C7BB81172288AF1DB2EDDB01634C809DD4C9A545C670AD89AB4801CF2D088C64000828B2';
wwv_flow_imp.g_varchar2_table(10744) := 'B3751FDAC5D682E0B01D50022E900CC8BC01FF1DD80123B8829D290DBA755448FD0B7E600A7AE8977C989C0CCA87869C887B905EC48DB82F400334E0313F7803FDC9C2873A8CBEECCB5D35224FA0043478822A5859EBED8BF60911C5BDAB9C999593B459';
wwv_flow_imp.g_varchar2_table(10745) := '35A8C39B5D56040CB222983D49DC1FD664570FE0809CEC0BA5FDDC58755DB3E806D5E19D3D2588755D57D2B456BEB85D2378A8F06CBC2400029F2CA13ED0897FC00773AA87CFA931E7CDCA4062DF05BC82C9E2BF8990D7BEF45BBF185C1B1D1023FAAA5D';
wwv_flow_imp.g_varchar2_table(10746) := 'BDDB0C0080306D9F0330800328080330000D18312168022316DCC280877CC99301D1243578627C1CAE29E6A420F3845B7146C0AC5603019C2AA882C3148CA50D807595260878801F2803FF8AFC05FAF3B5A0B9CFD20D5078BC5DBEA0C4C594BD23488205';
wwv_flow_imp.g_varchar2_table(10747) := '2DB73150020DDE014EB207A4D09711C620C1A8DE14BEDB051D03165AD0D5D881A22388D118089E48A2464E61380DE28970DF814082CF100218060C28358A8E19082FF08212F335294865632508A193022B78E52A5002F02D88D3E044C3886064F4AE32F8';
wwv_flow_imp.g_varchar2_table(10748) := '832462845798080E90DD07E8B908A04FACB55661AE89591D0834F80343D99D2A8030C719641246E46B060C495ECA2B408122005F43B0822998D77B748859BEE5BF2803F224083E80033550822770599685D97AE28B7228480000157ADA073A09E576830D';
wwv_flow_imp.g_varchar2_table(10749) := '0F71887CBE677C568773188878200891A11475084BB98AAB86460D8E5507FF7328487868077668877360687A6E6885A6947AF268BE680777186800882B7768877CD1977F18617E885B6C86E9BC60877588AB82882BC5CB0B8826889A0E0C76D0697A62E8';
wwv_flow_imp.g_varchar2_table(10750) := '926E557EF667F922EAC73964A0108C799E88D22388D28B877DB007A93E6A5549EA9A706A1F31EA82A8EA811861B6CB2039E28757F40B3D13483F623B9856357D59B79AD087AB54EB4953BCD3B187AC8E9C7FB0233B7A9CA20EBD7C02167C98DBB3162C82';
wwv_flow_imp.g_varchar2_table(10751) := 'D887C2366C76126CC769693A92DBA4A88943B69C78E39CB8A6ECCA1E99B9A6EC7E386C00D867C4560ABA55ECCF796939628F13AE09D3F68BAEB66C0B3327B25E6D0B636AB5DEECCE2E45D0568A9666C2800C87546086FF77CA87053A5802D969732807A1';
wwv_flow_imp.g_varchar2_table(10752) := '982BA5560A7A400677D09CF6B8EAD786EEE8368C79168A7FB007EB0E8A58444FF8306B4BBB6D6B460A7D428A6C280766B0856898065A10876B7085671098F5668661708568E88672B80622C2E78128075A28878EB9065AC886484B6CE926F002EF8BB97E';
wwv_flow_imp.g_varchar2_table(10753) := '6EE8FEEE36FCA3F136B4721D085B98067110700EF987F5060009D3BB72A0BFB81A86C37534007886B432F01237F19A58E2BD068079C88B8131680018879C8EF1761BEAA098A3C556BBBE2887B8120777B86F7388065A78185710876E68988148D847B927';
wwv_flow_imp.g_varchar2_table(10754) := '851C0873E8937208714B3BF12997EE92C917FD469381E81300200664B098824813BF48F0064A70E18937FFF86AB805CF9358648F28AD9C0B620693C913A528877E89C232A7F23C47E4B9468A6E302806AE05502308F373887FC813562D0D017707A9A0BF';
wwv_flow_imp.g_varchar2_table(10755) := '0933075BF8D77DB220EE4EEBD7E88796F6EB24840FF873DEB1AE5B6A1664B62E88C2E6EC4847E81D3975BBD6F35517BD41822F302708FC800232601D0E09F380BCA732E887614880B88A016D2E0264B01171B0909706297342A713BEF4CF71DED478C5C8';
wwv_flow_imp.g_varchar2_table(10756) := '86C581100AC3E6EC81B8EE11F907C466F56D5FC01417753F4F195950864CC8425E688864C00542A7F1BF31027588060A48902330946BA0005B900746A0002B08070E785E0D6BED527CEC966EF6D442EBBE080ADA1E0853189E2C388753E7F6873FF6FF81';
wwv_flow_imp.g_varchar2_table(10757) := 'D80635A91E5FF0855AB0D1BBFB05751F0878A0004878805B88060E108A23C0896C18D06A08C6BFB90179809C8F0ACB4A498774D868854CA0657769D4468D863BF86C278847E8110128808118800170880210000520080180F8A627249DB7333BC38995F8';
wwv_flow_imp.g_varchar2_table(10758) := '1E5908733A418AF8DD0029A80603480575D8AD613000FC46837B1050D726A47600684AA9E9043107787087BCCB209C1F7854B171A078F51336FA89D87B0018FA021800051880A17708052800C32F7A00E87BBE20FC79D8671577FAC8171A1D057887B033';
wwv_flow_imp.g_varchar2_table(10759) := '0058898B2706D54977AE8E134FB8703420862330811A1D8846AE1E50E0023C279D54B085BCD8724773055389DF7448F182C0749D3F15FF76BB0400507ABF1F88C30FFCC11FFC8900FC9A18FCBF27FAC52788BD1F7A52D476C997FE93E997AAC685A8C705';
wwv_flow_imp.g_varchar2_table(10760) := '47F1086DF80506F68BDCBEB4723099372086747803042807D5774318F9032EB005FA93ABCC1178DD6F8DBB9F08DE2F08C27F84246900A30788020006000020A020C2840A100E50407060C288080502B80760DFBF82FF324AECE8F123C8902247922C69F2';
wwv_flow_imp.g_varchar2_table(10761) := '24CA942A57B26CE9F2A5488BF2E421EC973018005C3869F15255F05AC46E36230E05900F00BF7CF410E66B5AEF69519852256682F12C1B80329E6895E9E70A462A5A31682164C7AF68BF7AEEF8DD3B3AF5A43E00971A2C2C20F0820300A60A360440F1E3';
wwv_flow_imp.g_varchar2_table(10762) := '5F94050E22C4F8F630E2FFC48A17336EEC5831CD8DFDF8450C762B131F0085542DCA941097D08E36FB91EEC8EFB447B48F4BA62282C806172FA0BE00F0C4059EB8611C90156C27F11EBCD39457974618F7128085071501B80080B903071774156C1366A1';
wwv_flow_imp.g_varchar2_table(10763) := '73E90549EC4518262F420773DA9802CF50603C00F2F6AD0600AF3DFCF812BD00F060443EFEFC2CDDD204501CE12D09792186176720040C33C384265169FCC485D059FDDC53CF7015D5E3914515CA974E41A020648B390529018A2D4944E2991FE2A81362';
wwv_flow_imp.g_varchar2_table(10764) := '5469ADD5947E713DD2910017B481500300CCC1895CA65007402FE02017118F053D92C52C007082092C7A9967D738EA5DE45F54870DF59E7E59C20787965D7AD9517FFFFE21C4CC2B68007005425E548190126632F860421C99C6E0976246142200E6A4A3';
wwv_flow_imp.g_varchar2_table(10765) := '4E3A1C02908E3805F96914516A25E5167E707E44C2007D0170639281E805CE8F1E3D32875E0034D9E4A3394214254DEC3576659DA54AA54E42E994632AABF185391942915831466C638C018018B702A0EB2F0B220454A0C3D8A24E39B60000D430096105';
wwv_flow_imp.g_varchar2_table(10766) := '40A0B75419CE35AED882A57C6EB1A38E3AEC7C942D00EE8499908B87E2479A8C122D044016059907401E1FAD1BD1238FF07863410B80271038154D396A41D4B6FA2FC001B73A5341A40DF70B00569C09C01D7CF4C1704168FE414CC100E0034038FED533';
wwv_flow_imp.g_varchar2_table(10767) := 'AC3AC61A620E31CF9075E0B2ADCA891465C20947DA46FF090DA761B86D693964420528A76E72EB3AE417610F2547985DEA12961CD17E51148F612C9F3C954DF0F82B30D4514BBD1AC1050F17604155D0C745440A1B02403705A507C0332152CB4C41CB86';
wwv_flow_imp.g_varchar2_table(10768) := '2D0EC56817744B3BE160CD2A6A478D46A57046210AB3A13233A6B44627F3F8D75F0A083434437EF9EC11453E0FE697438DDAA5CB3FEB15DC4FCB88913A35E79D7B2ED5AB948533CC2BB44402C01B00B85146428020147685AB664C0C50D7645C10B1B404';
wwv_flow_imp.g_varchar2_table(10769) := '9A903BC014F4CCE7A4558914B886C29825270D5054C043812DEF10F420055D5060350FA4800351EEB30F3F4B6BDEEFE7E18B3F7E4855FB77F5DB6F0B03A0B139AD4F5439D100A00F50DDCE0F003BFFD194D38F39CFA81315AAA2A6212AFDA7207C7B11A2';
wwv_flow_imp.g_varchar2_table(10770) := 'F233A3810860000D445C4216C74007F28C20103C1C03270841A419E66FE4FB200841088FA5D96455830AA044D4618F9164242ADE9BD30BC31733538982539A8285287A51C39788425309495241CE71118E002E84463C221253F29E01B26478E022DE136B';
wwv_flow_imp.g_varchar2_table(10771) := '924489D4A31D49D1D270465325EE01E01FFBD0071813A20F8C78B18C5D34D8F6C868403B5D2E3E987B8FA2A628C739C6E7695289211D4B420F2B028C1F2BF4A31F41328F88C46390793C242213C92A272A1200C643E40AFF05C74652B2922749A025E5B3';
wwv_flow_imp.g_varchar2_table(10772) := '1179B82391A849883D9898C95192B294A6ECA23CEC4847469EB295AE7423535EF93DFF84D04395B2BC252E736912B7DC63298B39CA85227245CF619224574CA52875A9CC6532532DDA2AC8B5A299AD694AB39AD444614850C5ADF13DF39AD6BC16FE0090';
wwv_flow_imp.g_varchar2_table(10773) := 'AD76D0A398CC3C273A656991F604B320BEFC5C3BD329CF79D25322095CE72DD719CF7AF2B39FFEBCA539FF29D081E2B298F824284213AA50CE3D25226DD9272EE3B8D0895234842F8B251E2B8AC81669B4A31F0C683811E21BDFE0B2930173876FD8D1C9';
wwv_flow_imp.g_varchar2_table(10774) := '95FAC6961D31294BA8750E758C431DE76887103DAA53CE1D1424B4685F2EEE20044BF2610A5E884244C4C0B9DB81641B05E90635A09A8D6E4C152B617B091600B0052CD066084928821458B7D3B1024C95D9F050414656901A8CFFD24005D90342748010';
wwv_flow_imp.g_varchar2_table(10775) := '1E2C01070018AA7EC4B1BB7794E31D834209352212D8C0EEAE24E5B08344828090218C0000478818008040D6C90A2C15B978E5FB0A82D482D0800938604241321082106CE00500D0801258C9986FF8B523DF00C0AA3A922F8480831AB5ADEDEE6CAB5B68';
wwv_flow_imp.g_varchar2_table(10776) := 'A00300AF0D490B00E0022B6435213E70410A40900200041726D3A02C74DF820D572813B4059941424EA00189DC473EEFF8068762EB5B74F41621E538C76CA304801F053624E000C7310A828ED7CE971C09B16F148EF0838515040B682A480A6E000010B4';
wwv_flow_imp.g_varchar2_table(10777) := '000453A1C6393A18DD052B14AE0529414418909AF8B036221C7A8744F0A4DE84CCB6237290030040D1080084C223FFBF2D482E9CE0113B7C6231D4100735CCF18F6432B8C602CDC0D40A8B90BFAE1700B5ED886E01F0842114240816F0810F94E08391B8';
wwv_flow_imp.g_varchar2_table(10778) := '01215250AA44904A85C3C8389236F668FB264A831324C4AE0600C0015A255ED9164417F90A6CBE740CE3DD4961084118C21ADC2C853783041AD088881BDC9A106320E6AA579E2C4411CA8008406D55B2A0046C3B12A51F77D8232F2E45418630842D7CC1';
wwv_flow_imp.g_varchar2_table(10779) := '076F56821922028D134323BE08A9C59F43FD1663059A256126490442005D6B7CC3BEA1F8061E9E8090F616041CE398AD99A941EB84540A4808516C41A4606900B84922DC00C0A601706C005C3624AF00802DE6861265885AA788608C84AB1D116F00E018';
wwv_flow_imp.g_varchar2_table(10780) := 'D6F0FF45427E90889209D1D6B35E6F90694BDBE74A01006E76B316DC3D69652BFB1BC75E7641EE6C9255E08214B250492FB4ED5146E021CB30E901420C70EA2F1340245C4E080D346A0D00142321444674A381BCDE8C47A4C445263200143B0433FC6259';
wwv_flow_imp.g_varchar2_table(10781) := 'F8DE74B201400E7C7F4415FC6E09A46B6D658123D4118DF932981B1E110D7C0021AA9688106C9E6F00108319462786FCE457CF5DA0A2208BD8437301F15C5EE734E0D40147C0035E661FE74B16A11079C8E59C0300AC0161DCC8C637A65E9063EB9B1BC8';
wwv_flow_imp.g_varchar2_table(10782) := 'F0B447BE561084454415E0A63983FDD01E09379C0004083303548D7384CCE003D83D036279E3B682285D96BA68C3023CE21C84A082E905418518FF7650903768BD2001DF75ADB79EAF7CE9421CD9980623DA1C0415803C2168CB0637EC0D00597C031AC7';
wwv_flow_imp.g_varchar2_table(10783) := '3EF1A73D028CB9010F128B2848334ED20B5D7011EF0315FA5B6870EA826020223A0740F3B3DD910FD895C40949063392714B6560FD512C69AE49024B9D5E0300C41F973363016176654FE3B5C04376427E010D4403C018ADD8C5471871878414C319CE40';
wwv_flow_imp.g_varchar2_table(10784) := 'C98C191FDE2D1F0A44808485D9062C5F426C4047449C44500CD1310304B6929F81C40210992414C42920C41EF0000C580042BCC2160000FD45449BB51B00D0861C205A2F8C1948BC9F6F01C034E89B542C01003843C5894422C0429380437ACC9C008ADA';
wwv_flow_imp.g_varchar2_table(10785) := '07E8DCCF196041044041485F4AD0FFDD2BC5D005441E42900009D04606B2C22E5C2121000022804230E004888D604180C11A48C416AC411982011E844410B4D94770C334FC5B423CC3B2219F4AF08247F44229D8D07AED833DA856103293DE6506623C5F';
wwv_flow_imp.g_varchar2_table(10786) := '42AC0000E09CE0A5C4E2E1D27259000AE20C1416841DB042D3458430205AA0AC4156A1E118925D4498614494C32DB05CB0AD5E41C801F0BC1F1C3A19D9C8A0BE150224BC9554E8611B685D00FE213F15821FA421622860126E40002C5FCF9904041A1D22';
wwv_flow_imp.g_varchar2_table(10787) := 'FD033DB8831F4A841A0040142CD7103C220944C4299CC22E6C60446C831998211876221846042F160435C8426675C41050C2BF71831C061B6DDC1542200C13AEC948F4401A00FF804F484493F4821EC65CBEF4212ED25C3046C401FC9D4730C001182400';
wwv_flow_imp.g_varchar2_table(10788) := '9CC094250431F0462365C47BF49449D0E102240200B8152B004006521C396419B021C43696A1478021387C033926840A48841CD899B2210337300200A8C17215841FA8E39DA941EB6D024294019AC45B428C412B7C843EFA5A99E9E13FF2131EF80124B8';
wwv_flow_imp.g_varchar2_table(10789) := '025349C50104000120614210E4471CA4845917420843393692329A04B769C33178837D15044C824141C81A00A4011D0080202004EE8164416C41A60140A675E21AA02142F402290AC10F144142B8423A420332E89B0DB823E3CD1DEB700DEAECCA1594C1';
wwv_flow_imp.g_varchar2_table(10790) := '16145B41D4A347A8DD514E943050E65BF862483CDFA921C1289DFF4C2D9D44B3751BC5711B0090401800091F50819E15C427F4968EAD0200244225548259C26541ACC15DB6233750177525841F80184C02003238243430E164F29762B6633BB289649DC1';
wwv_flow_imp.g_varchar2_table(10791) := 'C34804B555E6141D41EBB5C72DF0C6346443FD4805A1412512361C549284129E5232D21848B418C51D4327A8811CBC42CC15C4261CC24662CC376483F64544292C830C26442558A418020018540238C882B1C060271444893D5B49DCD9565E417372C17F';
wwv_flow_imp.g_varchar2_table(10792) := '2D9611DC079AC4624108437EE2217526115EB587F669DFD465144A80A7CE11224860000F00C022B88118DC412A20C4304CA02221E38BA00494819A6648C431041F42C40200609F445801B075624230A8E701FF80300408CB3D96627EC40FA0A53C1644B2';
wwv_flow_imp.g_varchar2_table(10793) := '2404D768413B7E6344E84AE315C434405AC0B980BB015BCCFDC33276E89758C010A8A90508C1043C981094C050D1C087BEC5764A439EBC058A9604847D84EF58D27982D447188167BA552A8CC2B601C0C4458427E066C29863445442E7B52242A0A51214';
wwv_flow_imp.g_varchar2_table(10794) := '84AEA484F989C437E24447C49C917D249A4A8D10A86942CC6444F46944644009B02A009400ACA22500ECD74864039EF6E75B04800134DCE0A5C4682644952E621E7592A09E447B916244FC664124E51DA081197C01A58D6073869CF9D182DA7D831B0801';
wwv_flow_imp.g_varchar2_table(10795) := '5E59411510C1D0219BBE3599CDC15D4110032E9881145881C28084984644E3C161C00DC1D881FFDCF0EDC3998E6A9D4C0007EC2B8E21449D9204F885C4365C55C9E8E9DF21C04BAC8F300C43950280B04ED1BD7A846401407785841DA2C4EF2184DE7149';
wwv_flow_imp.g_varchar2_table(10796) := '41D8823A7203BE556C4438648616442CC4C231906B4204C11504814F024071159747A09543C6A7BCCE1A89E26B9738E083BDE9720901AA22441354EA66C5E423964436E48B39E44B7E0EA266B2442ED8C256A2D3101081575DA74B74422894A048FC00AD';
wwv_flow_imp.g_varchar2_table(10797) := '464482D65D2E549C30789AC1210418A426C025C408B859229402F1E96CAB642C1D3E417E09D9D18E84207E815F8A44A3224488284353C2445426C47822C6332C5E979E92D746D662A509FFA984D6D642287C42E52A6B44FC005F76845A39FF6313400142';
wwv_flow_imp.g_varchar2_table(10798) := '741A3778DA1A3C6218A46DDA4644EA86A1488C400E58400E8401E8C9ADA968C347E0811AE0AE4900821F54C2B339958F7D4437002F3860D354ECE94A002900FCE9D4A293B7F66D4448C3B319691C8442E74A44210040D87A1C0078864450C2E692C4D0D2';
wwv_flow_imp.g_varchar2_table(10799) := '219EA96E7F810116A0AF4A1604A2CA6642600118029B0FE62CED6AC92E642C1F0862F6768423B84E387EC43A7844256C833AE0C2E904913E442C4B2040AFA6C4D432C3E2DE921068DE472442178004E566B0F5154431C44231C417D7CE5D413C9610DC40';
wwv_flow_imp.g_varchar2_table(10800) := '0F08184B846D4114C2FEBA26895D96C765D6D91D0B00B45729689DD66D58FD7AC9582284368CE52EB0B023F0C110238423B4FF3000F081EB606E051A2F87055138C866252006032400426C000560314CFC29D111941C80411C28169425710B2B6F281483';
wwv_flow_imp.g_varchar2_table(10801) := 'C785422D78F0AF0280CDC124B286041DC61734F4F047805AE592181A1F03CAB631A59642182482DA0AD30ED749790180EDFA30FE15C41037F24780C3D24A444EC5C33B0140001744946C03921E460670404278000ABC048DFED39A4CA01B5C1B42580200';
wwv_flow_imp.g_varchar2_table(10802) := 'E8DDFA78482C9C718C525C89E5022D5B2E0996A02CDC59DE76C431DC5907571C0D926647F8822F14C3274C5C31E8680E6A1AC822441680C16DA22618B401FD16F2632C2A221784697E0411E301EEE281BE99C33A9C033B9CC3383C134204F03B81C33A88';
wwv_flow_imp.g_varchar2_table(10803) := 'C32874C33888FF03F02206054884694945C3A2CDC332137D000092EE5F4228550817848EA2180078B019230428BC5A422CA447749A414B841D47C4314B04905ED6FBD8DED00D83569E645A6904105AB37C5C234218C32918C3361784357C8225A4A11D34';
wwv_flow_imp.g_varchar2_table(10804) := '23005422D8C014347D8421798453EDF35B04AD07DCB34A346C3F25010020D6D94A44B421C494A96744F0311A53822B70EFF586442F2744D99604F772F065C597CA4AC489B9E19F4091486B099F21043687442BF042507E842AA5C75569323C4B43052E46';
wwv_flow_imp.g_varchar2_table(10805) := '02D4B3072046B224F3C5C6A1325D1BE924021618C20183045B9D31CA2E7344BC327545759DF5F05407F37A1A36C5C9F27A4EB6B139B6B175117A86F56AECFFC25803808FBA654758834C7BC43AF8D23AC4C36903C0D858724E804D41C0F562D4330020EF';
wwv_flow_imp.g_varchar2_table(10806) := '54108225A832E8C21F71EA74261181112CA4EF240B18C0C1882DB247B095F656DC56779C30C49EED1D43F36ADA2117442FABEC317C301A5BC3D892667CB5316FDD591C1744DA6944666B766270B671A3C42E94B544C84300A7F669A7767ADC2AC5CC3300';
wwv_flow_imp.g_varchar2_table(10807) := '54435CC304A121046DB74431F4332AE4363AE95D429002D969C22264248B6EB05C7D9A1F67A54A908365E79B84F73239A86C0E5EB7487083652F1BDAC19E79E347F0A1B749A47741E05F33ACA54401304228039EDC3700288338F44348B3440048E5212E';
wwv_flow_imp.g_varchar2_table(10808) := '8618A4618B656C440C03C9E652CC510220A4FF6121F401F9A204744B441C0000C72E75414C34754334FF795A895D37961BF6311C1B3600003660033780B9B2A19D78CF6E883B868F76764A2CB23134C32940194D7BC438E4D453C1075526C6D03641D18E';
wwv_flow_imp.g_varchar2_table(10809) := '2C90D75327A882528304740BC3847F84912284A781B76E779A945F77561B3664DB59782384C9AD4A8D9F39C08C358AA741227F8439D35441346D410C2C7C202C62101A198004C504F92965163A3C3806375BD95279471C1BABAF011C5482BE55B59DD55E';
wwv_flow_imp.g_varchar2_table(10810) := 'EC69DA315C78444036B31D432E1C832D900530E402176B9A6F6DE7B29C0558633A6380DBFF258433B4B99A03003A4C346727C4EFD9913947F238848853E1C4989901EBD0F8CD21EC7E27FFC61823437497AB297138B22D3700A8B2A0DF597547C4B1351B';
wwv_flow_imp.g_varchar2_table(10811) := 'B272AC2B2C8220225BED85EE371C43C2775A301783D02D026235A31BFC2FEB7A04EC15EC69DC22B52706B8DD5D475CBB4934C3FF85834B8143054A036F3F86029A3A0040C04B6400140CED486825959E123A4477226C6A47CCFA542784BEB942730380B4';
wwv_flow_imp.g_varchar2_table(10812) := '81A2B1207742BCA5BE41B47D559C17DC6647848175443DD403C0D4BB5636B8E0C6E3475E234433A474471883ED66822D61C5AD2AC3748E42A392022EB8EF637C59034FC5BFCAE88128290000F529C531DDB101A2A284BD93045E8542B34B84A28B44182C';
wwv_flow_imp.g_varchar2_table(10813) := 'C08D0C72AD7A3514D9433567FD4974FAB6D9AE4E2204B79938480C2E4278FFAAD07B84A83BC601BC3D4C348118A8818FCFFD39DD19526123429082CE239B7D791A3A143AB2BE6C4AD85BBF5B604240E10220BE4488B9B2BDB8E32B46C541B62F247216FA';
wwv_flow_imp.g_varchar2_table(10814) := '3000783C48A082644AC4B3ED7D41C401EDE707CBBF45748E442CCB7B2B5D352BBC436FF99981233A424CB7E06B74410C3442C034FA5FB66E3FBD75143ED52F80D377C4342CDB767203D607FF5BF0C267F302406C42A50A803700AA240100C04B6143870F';
wwv_flow_imp.g_varchar2_table(10815) := '1BA200A00CC0AF86A31A4174E829A3468F1F4186143932642E00B4440A23B992654B972F010003F08D25B987D0B841D38833972B990ED700FA65ABE13191D0BE1905C048E3023061164024F1901B4CAB57B166D5BA95FF6B57AB0C21B612B447532B00A8';
wwv_flow_imp.g_varchar2_table(10816) := '445299F29194348F9500944153C66B5D968B1CA214F973985DBF7F1D566D094D67CE6F481D6203804D27806CAF1CCA8163F123376C3931E304F924880521472C741EA2F00880D20DB94DB30C98756BD7AF6183DCE4D099474B75125A6AE5CB2315263114';
wwv_flow_imp.g_varchar2_table(10817) := '7EF1B80A40A346711ED24513DBE1810D0800100010C0C055489F0074FA8488E44FE6DF5D3686680C244EC40F152B0E9CAC38A5464C01840A2C1862559B0DB94851F804807E3578846B088C86F000030F005E91E51B597242C90D6CB2014FC209299CF014';
wwv_flow_imp.g_varchar2_table(10818) := '877C6906A4B10869481B882800C086865C50E2212D967B03803E1E52912E37D018C393D7A40320820014FFC2F1AA45C650E8049284E90BB64F2001E093421CE16391032B8428955820BA2FA4CCE8130C9B6B14524D21F13CA209264AE450281139189183';
wwv_flow_imp.g_varchar2_table(10819) := '12472819500E47CC04801B05C55B6E9A69CA6932364DECCCF32F5436C1D3A3DA1C12E4A1623E1AA10800460362B424BEF8432138EE80148037EE78C80D0066840D3AAE3E702803874AB013C94F1CD168093D136B48258584FCC83C371F7A0635F582D308';
wwv_flow_imp.g_varchar2_table(10820) := '9D958471C4104A225128234A0008B312B8825508D8F8E490CFCD67B8D10B55D8CC52E81000C87BD65AAC24398497668CE910805D0075888E8678214823175450285D8F108183C93BDC5071C24F01FB11801336C820548F56656DDA33C838230D8784FF50';
wwv_flow_imp.g_varchar2_table(10821) := '68DF6B4782061DF3725ACC2166654D6D9A08356A18B52EC5F38458883A72A8918D13D18C9B5F84A9A414F6E844D82F812CB1E4A14350D945E5994732461B4906D604DC912278A805170E7568DD86FC28048E3C7BF6EB8313E86D2854115EC844987E5DD3';
wwv_flow_imp.g_varchar2_table(10822) := 'E38C86F478888C996955883E88AE54E83287219A26996900604F21661CE2921B8A297EC8CBB74852B62A6E6C49C4955EE2A6792B54FC94D965F23619D7EFC3433AA50E870C6A088A860E3157E88F6050484546FCD013010EB86ADA73A64B681A00289D05';
wwv_flow_imp.g_varchar2_table(10823) := '6098A9FD9A012256BC451C358541F1A891300191A3F638E45823F7DC1DC2620D8FAC6CE81B6EBE7628124832D52891902A9115002D11FF046019D7BD4207AC87708B967AEAABDD44FB86F06AC80E064254A8059848C145A1F447D194B98301202A2660A8';
wwv_flow_imp.g_varchar2_table(10824) := 'B6CB09282EFC48500066505DCFAEB7443C2869A40B022241010F98C00242240B61D20231B6D49008112F1B346158638E05918DF90A223302852CDCA49A5B34841ADBC316B51AE71132E8A6212934E1B378F3103FD50250DC018017A610020034ED7C2109';
wwv_flow_imp.g_varchar2_table(10825) := '904388B10C8A504414B8D8C63F5C531DBB60C0534CD388779AB4BFAD71ED6E1F790A18B280C50129648124004317C0E0458580810D60D84298A8920D6E7CA382C57353FD36422CB82462830D49DE9CA0C108A6CCED852D91C41EAE07800BCDC619DE30A4';
wwv_flow_imp.g_varchar2_table(10826) := '42FCD4C726D5C6266049FF88420CE20D9769A40F6AE841042200818680C0068A4A570F21829C4A3904160D5186FAFAC8448FFCC85EDF61C24358610D56E40F00AC5088139EE5085AE8646C62FB081B0000CC8608938CC1022618D0C806392C530BED8349';
wwv_flow_imp.g_varchar2_table(10827) := 'EC40E24C00485321D49CC934A0F10A5A50CC1C00D807121509129C912191294C4820150780D984B342C608A44264D690475ACA0B00480000CA5739150C21689B6C010810F590D9B4651B0D991E3B9D06001A84EA04F09B102BD0A2105B4AC2700D618022';
wwv_flow_imp.g_varchar2_table(10828) := 'D7B08605AE010B00E8A84783D0512D0020080AB9820F00F03B5F6A0419C81821005B224700D01122DF286143BAF10D702074247A38C43A2112519E4AE8950020CB43FF1A5787447EC40D7600C00600A0490EA4A07236184D051AF2CFCA01C00A8D489E47';
wwv_flow_imp.g_varchar2_table(10829) := '0E1A1B02D4882BF073A843E4171B5B3E647FCDC9D3005B3281115900002AA06B4354004A0000619F0AF9AA465A95A586BC6A246C48DE283CE1CC468CD023D9A8D35043A28988C65321150DC9A5581055C86A25043550481D36B18B0E69C8217AA0E54B5C';
wwv_flow_imp.g_varchar2_table(10830) := 'C0570F2844021F19C31EC4E028C8662069002898C1F4A527C3796BAD10A1419EE457857ACA2B5694894FC7A0A91057242215C975080801800C9654C921807848AF30E509360C2B11A3D8D8289C893600884321DD00C04EF1B1599130041D36C12500BEF7';
wwv_flow_imp.g_varchar2_table(10831) := '110FD456BD5739D5E3427288D33EE40C977208E71A42FF8421B4400221DAAA42C4B0873E58E25F1FE9E60B6BFBA92878E418323109782C0B800CCF8001FEA3DE308C0B00578C02147A8B0F004091E28FFC22B020B98530A6810D66E904188688846C3562';
wwv_flow_imp.g_varchar2_table(10832) := 'D88B54B38ECF2B2135C4418D6C3CB8BE2221C7871E12AD75324108137E0805565B64989CCAA800D0C3244942031D3CE15254A0C0032010A214EC55512688EA881C322D8710626000A8E338E0A1C8562A2403F63AC18180910B28C2C6C31099E2435820BA';
wwv_flow_imp.g_varchar2_table(10833) := '67390F00C2209942B880862D40E4878BD6082A47025DAFB9091AAB32C41FFAE0A83E20C7AB7F6DAC78A9C10D6A5043A700E087944982E53D0060117BF82D4444704F00A39A251BE0C11290B01600FF1CE291AC58357F0F71061C78A47C93FBC8161621B9';
wwv_flow_imp.g_varchar2_table(10834) := '86B8C1100F11EFF63280814F7D4A950D7142094E750C3D3784B1AF51E59F3F52821F9D554FF291EE2D400C922B98E8215680C82D6E11628DD4AF31DCF04EA659F4903860210857A8447713F1D56AD4946FE9B0C73FF8014E5A8FC40D67D0810E3C828030';
wwv_flow_imp.g_varchar2_table(10835) := '2FFC252188000F4682848664562360E6C06AD16C66CDAA940B5500402128AE1132FC76CEF2DB336BAA0D6E9090FB5A32496B43BEB01C0008E70A5C00C01542F2E26770A9329A29347677AD853D68E110285548101A1084447457239FE0C6AAD0D68D2103';
wwv_flow_imp.g_varchar2_table(10836) := 'C01E2917491FD602719178C0CC68F6BA4878C0831EACE4052508D50B7AE4111B00F4FF216670483D15E28533985C23E370473FC2595427C83C7E2F67CDB08B6C8486C8DB235CE8B915ACE0738F48D76BCC80866A5443F90002A0300DB9C31BE465F78734';
wwv_flow_imp.g_varchar2_table(10837) := '000010EC8BAC84D10988BC42EBD9C886C1157E76271D23092C1179851C0D2095EAE7071688F26B122076856C6009B57FC80B1C62821288E0341EB9FD43F80E802210010937C83500A660053844C210A9A8C66315B93887CCC0097C10C68525F4383D08CA';
wwv_flow_imp.g_varchar2_table(10838) := '0919EEA3F135FF838FF4BC3F0A81BC493F2263CBA0AD6F9CAF0A9762211546211680A1188021DF3CE25614A240C4E06A1C221C64EF215EED21D4E6C048C2042660427EE70BD68049346208880030940822A04A21E24E2338EE23FFCE27CA24E0F71CA29F';
wwv_flow_imp.g_varchar2_table(10839) := '442E09D88DDBEA6B2D6CE1186E4E422610B220C374708149BEE00AACE00B8610D1E80FE84402339E41C664EC55BE861BB0641AA4211814427D6281501E420526493C54C15DD06008E00AD524E001EC89000C80AC9E0C00C4402142A11B2CA20580E3BF5E';
wwv_flow_imp.g_varchar2_table(10840) := 'E00738800C1D42AF24840399A403D780118E86461280ACA00A0534C92152C1235E40041471BE20C2021BE2F934A27234EE2162211B628F9D54EF276CC1F0F80CD58601844643219440081DE2FE764EF2B8ADDBFC0F27086DD2622518246D7DBCA116B030';
wwv_flow_imp.g_varchar2_table(10841) := '071E227C1A43D91EC2154AC81E000FA16260CC140201CE300174A4215C100E748E25A2AC054C80EE24040FD0000FFFF8100FD6A4635A23100351238A6019C76BAF6C2B055800F928A725C64038AA40F134221AC269F0206213E11155384CBD1C4F14F5A3';
wwv_flow_imp.g_varchar2_table(10842) := '2114E5212A0139444C16E04D21348F249E6DF1D4070B3F02C900C0BA0060D194C521D4A1EB7E5191C6AC0538A01047B0212680032680022000940CC1BC88C3EC1EE2011220694CC0CC4CC00221D1357E67393AF00B00015818C11BED82AC12408936A0C0';
wwv_flow_imp.g_varchar2_table(10843) := '1E4009E84221C461A714420684E0F9E8AB216000048E522480A021C6E00AC640096A0F09D451CA7E021872F03BAA6DA8200822166DD1EE912490E117A4CB79B041C63C82E860A11746A234DA0C21175021D04F21BA29BDD8C9EC0AB125C8CB216EA07200';
wwv_flow_imp.g_varchar2_table(10844) := '2C02FFEE4921568BEC9E31250113043840020EB3357C2E40A44038F06063A440069BCF2B7404478E11001060681A029A4480CE1EE00C3DA21029802315822487D1002E1300A24F218C0FD562E12AC1233579EA16C212006E417D70E1167A10248801D20C';
wwv_flow_imp.g_varchar2_table(10845) := 'ADD00E4DBAC483E800801D350284B481B4EE50440060126B411B20CD2180E1109F271D206B0786D1230CE09E36050050110006EE21EE1247C6CA002200CC264EB300C0341BE2225B831A950B36ED4209BE800BB8A03ECD000DBED313A8D32E96D2EBA8C0';
wwv_flow_imp.g_varchar2_table(10846) := '0135024BA2213C23903950060098416D3EE219D8C6319EAD82FA6F2626342494624A34C2BCD40B0D5CA40A9460061F4238DC4D2110012E320124FF94E0094AE3088E20096ACFE4AC403FD84D32DB2D73FCA2EBECA1EB14E212BF8347791426225224FA21';
wwv_flow_imp.g_varchar2_table(10847) := '48CF8E480F1461C0E947F7212B7874481BA21E00A01FF661491BC24921CB49FF214941E2475F224B9BE4D4B88E42E6211EE6611E72142274F448D5744DAD824B57C248D9D4D44E8D1ECE341F34024C1BC21743E21E00804FF9744AF9614887F4E0C2944D';
wwv_flow_imp.g_varchar2_table(10848) := 'B5D44BE3345121624A0F144F2BE41F08955017CE51991489FAE112B3145115825213154E15354EDDF45345D55AAC74544722E14C355555755559957A50B55561355665755669B5566DF55671355775755779B5577DF55781355885755889B5588DF55891';
wwv_flow_imp.g_varchar2_table(10849) := '952538355999B52500CF539B355AFFA5755AA9B55AAD552BA0F45AB5755BB9F54EB3B55BC1355CAF351D884C5CCDF55CD1355DD5755D3FF51FD8815DE1355EE5755EE9B55EEDF55EF1355C97355FF9B55FFDF55F01366005766009B6600DF66011366115';
wwv_flow_imp.g_varchar2_table(10850) := '766119B6611DF66121366225766229B6622DF66231366335766339B6633DF66341366445766449B6644DF66451366555766559B6655DF66561366665766669B6666DF66671366775766779B6677DF66781366885766889B6688DF66891366995766999B6';
wwv_flow_imp.g_varchar2_table(10851) := '699DF669A1366AA5766AA9B66AADF66AB1366BB5766BB9B66BBDF66BC1366CC1F61902ABC5C4F66C01434886A12FCC166DDD362BD8662BB7B26DDFB66EAD821954622BED766FFFB5821990611868416F59856F09D725E4B67011D72A8861719F886E1337';
wwv_flow_imp.g_varchar2_table(10852) := '7121487055058EC289721F376419B7F42E1768FB736688A15582647379F674C2556D45775BC3B05B53F77459B7755DF72372C116E4F3755F577269F7767197708161CF88816D9EC13873176A7F8F7344322488E22A29EF1376411783F7350A06BF469623';
wwv_flow_imp.g_varchar2_table(10853) := '3940046EA03B6CF3E5562521DAAA795FE37184A009F8806413C00EADA27EF68B6763E1156C6100110B3C8F140A9CEC676582D0B2C6677F912E404F5E6852F6A2007EA1A0091A22142C97631FE00164B3256E6B688160815D00097200E23C4DF6FE57B94A';
wwv_flow_imp.g_varchar2_table(10854) := 'E763EFE901D0B0252E0A22A077678BA09F00200972600C46C105FF24C0055C40215038075CC0168B8CF03C9600BAD3464A332B0EC023E2F2668D2007D4D14515C216A2EFA414C2075258BDB2C6FDD4806365D80C65B8359AC00EB0C36787408455F8238A';
wwv_flow_imp.g_varchar2_table(10855) := '58215C78B3FA377E43D63D1522836182099AC0C962C124387166932014732009FEF3219CEE21B2389C5A070A3AF82354021B2B98616FB82E269168B3388519AB03B00009B1984478EA6AE8A009E0B721F06EF55EE115E0C362BD782B8A647400E0427596';
wwv_flow_imp.g_varchar2_table(10856) := '0842708A3DE28A3BC0073E592130011CDCA28F3AA4831FC70B40C1153E420EA4400922D36643C120296F805D96AF48048443C2163B000020509110D92100B891CBE00D60A42715822E8AA07861B6162CF9EEFF348E0332003AA0C1161C176555003B4310';
wwv_flow_imp.g_varchar2_table(10857) := '0040E00D92EB8A1D228E112A0A121900A0208129C10C94A32190B9F6849166C7800A004007CE0AAA72C1964F766834B3215AAB7700C005881800DE18B2FAB709BE332EBED20FAC2B09F403E9603604AA4DD0662D7E6416948020855DA07A3502E850CA07';
wwv_flow_imp.g_varchar2_table(10858) := 'C499A726582118218300803F7A3604E6EC2132E007721866CFA7056E6007B0131ADD389CEBAB83B1511415A2D9B837605B000FFD198ECFCE0B60B92100C1467F36A57556052EBA351FA285C179B308CF03B9E052FED067955A6781FAA93E62A01589159C';
wwv_flow_imp.g_varchar2_table(10859) := 'AC8E71CE0DFE901222F866EB4C68CD0E061CA5B55C60A43E02AEB7870F4AA521D4C0A992F852FFAC0B0FE000A9B15A5FEAACA168E044154218CEB86541D805DC4D073C402200E019250004229B9B0DB9AE98D96FC2170098E4AA1FC2AF7BF653E007936D';
wwv_flow_imp.g_varchar2_table(10860) := '7693DB789314C2B121C2058C40B5D7788A3999660A810F32BB21E4E5F3888BB8FC4B671B4A2366976693A0883D0004B0532114CF4472C081A7C00756D321B4A00C44CF5A9ACD0F3C816DDE4052E4C59801603990D9673360076D41CF7A7B6575F9219CDA';
wwv_flow_imp.g_varchar2_table(10861) := '21888BB6E3C00CDE40F44ED021AE40AE9FA552966344012004E3109F90B6A55FF650D2B8F6A6B8084A9B0201001704373721C2BBFCC6E78AE007E2B0D83462A27D9628B62D26C2DB64DF607F2DC721284221C2611C20621DC601C4D70100FF1E6B1B20D0';
wwv_flow_imp.g_varchar2_table(10862) := 'BC28824151E52F2102021293BC8716BC8F376623A1C71E02C71CE2B915E2361562A7427C1DE0411E14621DE8A121CEE11CC6A15C27240134C9C10140FE14A20A0EBAA711161B0DA1230819006C31097C80BE15825804571DCEC15A0E65B91BC20AEAA9AA';
wwv_flow_imp.g_varchar2_table(10863) := '0100C785D6E60E1B651101C7B80F00E6DCA115A2A3A6C08587FB9F3F020866D0EE0C61465681F1C063943EE2BC9D6B68E311662FA50CCAC00D90790C96839047A1570C811F3DC2CB7F5B2146809F55460C4CFA2198C2133C011494A548409467AD322666';
wwv_flow_imp.g_varchar2_table(10864) := 'F6D2E25C21308DCDB3FB25B420CBFDA6F6A80C2222C1AC3D2114668412B820D4A95C5EFFC0D5D7FCD28EDDB46D11BE1B0217FF8843219EFDCBED5C211CED0BB4E087F2642A879D60915DD6330D00B460053609B587F8B9A313004A3924309D428C401D7F';
wwv_flow_imp.g_varchar2_table(10865) := '20813B2876CE7ADBD5B5D88BDD8634482174A08857D30598A09743C99A0EA7347A60ED42A273E93D5E2905F4689BE1CF1B24FA39C71DED2114728388211892C12DA4611CF4E13B6E4007902F057B44387E28CE793AE1E375764741761BC2C63E2223A8B0';
wwv_flow_imp.g_varchar2_table(10866) := '9A5471C7576184182BDA1F103C3A2113E062D743E2155617E5E9951E8A1C00A0F45B59A2E31FE2177FD44BA195359C7E249E5EE8EB154A95BEE83F82E88B1CE9A95E6A3B5EE9BB3EECC57EECC9BEECCDFEEC5B625FD17EEDD9DE64EDB4EDE13EEEE57EEE';
wwv_flow_imp.g_varchar2_table(10867) := 'E9BEEEEDFEEE4657824FF17EEFF9BEEFFDFEEF013FF0057FF009BFF00FD43A0D3FF1157FF119BFF11DFFF1213FF2257FF229BFF22DFFF2313FF3357FF339BFF33DFFF3EDF61EF41EF4D92920000021F904050A0000002C0B00160044024F010008FF0001';
wwv_flow_imp.g_varchar2_table(10868) := '081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336AA4888F9F417E1E378A1C49B2A4C9932853AA5CC9B2A5CB973063CA9C49B3A6CD9B38732EF478EF1E807D3A8306952790E840A342932A5DCAB4A95384861C458D092A15A8A742E5C9';
wwv_flow_imp.g_varchar2_table(10869) := '83B7158051AE5C0180ED8AB5ACD9B368D31AE433D08B18B76A008C892BD0CD4AB66AF39E84A7B7AFDFBF79E38AA14BD02E41BC241D0146B90F683F81FD224B161A76B1E5CB98718A19E8460D9ECC6A43E60B29F9F1BFD3A053AB5E0D3A1641BA6A0CB366';
wwv_flow_imp.g_varchar2_table(10870) := '5A3A1F005BE100D0E3379ADFE4D9C0830B1FBE51317186F7FE45CA54EE9FBCDEC7A34B9F8ED38E9BEB844D7E06A0981100468E2851FF2F98EF1F2873AE9AEF0E1972BCFBF7F033E2516307CF66948E0A7D77045EBCF1F7E579E2CE3FB498F30F3DF125A8';
wwv_flow_imp.g_varchar2_table(10871) := 'A050B42C85984076A8119B1A42085182490FF217DE7FEE25E7093BCEB922CE3FED2D68E2893029A1947111CEF799842BF1475078DFBDE7E180A7A532628928F6E8A349650C244776337DF3898B440A74A141345C1405770689C78878038981877E1C02E7';
wwv_flow_imp.g_varchar2_table(10872) := '613DEE98434B26B7FCE3D38F6496B9111ADE11F4841436D1E7627D300A646193349420C4454F00B0DD401A5292A51A8A21425C72A05C03C72D9198C3A3998C36FAD01343201404004FE429D39B2E2A49D085165A54429E8AF5C927950249E808228AF1E1';
wwv_flow_imp.g_varchar2_table(10873) := '0950B311CA087AC484FFC90F6A8ED66A6B419E143150A405B129532E05E10127A5242DA9A740E0A5892C00FA95AA1F787E8402C03FFBFC331B82FF64E34936FFD876EBB7B7A642D011064D0AC01015023001B1001CF1C4119E01F0499619D56787407B1A';
wwv_flow_imp.g_varchar2_table(10874) := 'AB91104F3AA2217803916A90A0AA0255ED4A91CDF4583FFA8869AD400F832BB1996EBC21D01341C4B59D1A933E618192163C5950A8F3CE2B2F49F71E24041400E8EB909D190CB4E7C89014249B40D2B6F4D84CD6A266EDCE1307ED28B903AD81071E5FA8';
wwv_flow_imp.g_varchar2_table(10875) := 'C1A6AF000841F440BE52F2899F266BB4C8678B00A08617770ED4E4405D1B24C4D70BD1EB48CD02353B321C9444BC5A69BF092DB78FB72004061E77030086D60231FF0D80144A73B7A1BC5293B4DD192B777D67D87636DE69D35E83DD50CDF4EAE707BD6F';
wwv_flow_imp.g_varchar2_table(10876) := 'C39DF0DC9C9B880C41703022C77F60388287E906CDA76776E2CDEB27E6145D4D50134D141436D8762AF978CB0DF9F99DA005013F9CE69A776EFC7B864C2990BFA3F3B9B7DE3397FAD9679F047CB24678645DD00F08D53E50EE8EE72E67E351C4A52C947C';
wwv_flow_imp.g_varchar2_table(10877) := 'AA2D101C7C181294B727115FFCF1F40FC7AA619FAD515092077D0165E18523881852161135682F7B02E10243BC67BBEF19A4044F9B928CB823BC83D8A21AC291DFC23657BF0E06274F4C5360DFFC97A4771D410895D293D45A373581C88E2E5563C87C16';
wwv_flow_imp.g_varchar2_table(10878) := '61C0E80DC452B86B88C8C657BEF351A9820040031FFF40D12081605026637289064BE3C126CE86086AAAD4107C05385F3DA14247F858D370E888EAB5AE8B03216044F6A43D2FEC8A57B7835CD3722704061EE4089FA11187FC40904C0C841900C0606E56';
wwv_flow_imp.g_varchar2_table(10879) := '420BA0C964894E0C646AF0D1B72D340200661088058680C31B3224145D5C2194B21617ED15507604B1C1B98AA00221A0D1582E6B591A45394A3A1EE415D7A0891F63A24141BA7235A210482276B5BF83EC70202D0463F584B53C7AA9E31D0939DA432660';
wwv_flow_imp.g_varchar2_table(10880) := 'A1623224032570191AFC361057BC0221D9C8463754620E8CD463951491DF2BB7A917A0119220B19C0541B6A037A6AD490A6BDA220EA936B518F2ED7A0709452E72513D9901206B1B3BA1053469FF102D2EA40429004040C537100F44441ADDD0470637C8';
wwv_flow_imp.g_varchar2_table(10881) := '416E3A342DF6208829003008009842110080451B009088E7B10B00B7C4A540A4D6C52C59525E9F00D6404EEA423D5D4D8CEA4AC1BA0010B364061422CC1C482568F18A5BBC6218E050473206128E71E4661AD9C0A64E3C824DF8496467BF51EA43A7CA94';
wwv_flow_imp.g_varchar2_table(10882) := '5E10240F00C0C44038518A470020104202801CCA995382D473461C9A99181AF99A7BDAE1A49B49D7EC42EA10368D5220AE40C838CAC114DF00605122811B5507DB94F6C4F220A6E0844030A1888902A00D1A0540291E3BCB36C8E299CF3408FF0A9242CF';
wwv_flow_imp.g_varchar2_table(10883) := '002E8C05B186409C51A5C1D4F24506319DE9F8C0083C00E290D2100738CCB10D71FF00401A03E9C6288E3810734C533AF323AC70972A10AB0E44171415C820C43951AD028013A6784429A26B55AF1A5717BDC0EE321AF20435D0D57F0411ED41BC71CF43';
wwv_flow_imp.g_varchar2_table(10884) := 'F0F2336C592D42D807003810A41BBF05874294B18E043171B8F8C5894774B10C7146C414A680C5406021CE59C002B90B41850077585600B02214E43D8836BCE18B7A728843E071041FF07215004CB31BE0986D7D1B52370028833AC1CDEF490E91330068';
wwv_flow_imp.g_varchar2_table(10885) := '4213475171C41C5B9059F817009318088D0F3C901B1B8417AAF08582578A8A4510427B762872910B52BD080F44B4DA6848A810D3206E0CA41CF205C03AC65190714CD3B604E1B240DC07008502B7A1AF5402126E3264D851B5FF1FE310F02C68CC10019B';
wwv_flow_imp.g_varchar2_table(10886) := 'C2C0783EEE8DC3E1895AF8821700E04585773110422B7817A840B42F064206819063215116889305C207FDF0C197D51C8739CE81107A200800E2183100CC514D709458C5C7A1805C5C2C893D10620F1039EB9059A16056DC93100659C4BD08B143980AF7';
wwv_flow_imp.g_varchar2_table(10887) := '313E06802E825D10006754207716B02E084C906C88AB20C6F0853516BD0B435B7B207458C4A40B6D0D630C64DB0979AB1DA8F01381C4A3D3F545909835FD8A680040BED32486409C8AEAD58CC2A07D1888200C52078504A920B4ABD24180758C84B08AB0';
wwv_flow_imp.g_varchar2_table(10888) := 'B629851CE6A055C502C0BF083608727D3C6C8154DCAA7C8E743314628D211304D70401A6AD05720A0054FB20C5FF0034002C2190561C842F0859073DD6110F510BE416CAF0AD87EB3D9B6C5003B702C12300EC2009001C8220FD3E481C08828681B04C4E';
wwv_flow_imp.g_varchar2_table(10889) := '09B13241B86046001826A2F8ED87730592852EE8F820118FB842F6485A0014A3ECE1DDC5A2A74D90461BC4DBBB3086B717A2F284D423210892F93AE6716E00A843BED2A826D081CE73CC6C5720CA488632A6417882EC61DF06B1C2FA104206EF41810650';
wwv_flow_imp.g_varchar2_table(10890) := '7063836CC1599EAF320FA067C3413891E3AF3FDCE2C41E482A057276842CFAC90068058C052288D9C75D20C62034A1BF7D1055400429E6A6B9961134DB64C097F0EE2EFC65B69B8C654C6320CA683CED61DD902D801700672048E210C28DC33B82914FAB';
wwv_flow_imp.g_varchar2_table(10891) := 'B7FFD801E0D587CCF922BEA845DDCDAE90DCE71E21D678B444DA31109BD7BFCB7784BEF233E3F38370C105026109925007D47710553010220400D640404D907950D0352A751090B23485470A0070091571581965630A710C51567006E10CA4E50CC5205A';
wwv_flow_imp.g_varchar2_table(10892) := '1B377709818204810E02C1820B510EC0D710F2665BB8500DDBD00D7BB47F8B410DD9200DD277620371740000790EA11884C032501005B4E34606C10DB200005C70042AA262D8E45897600A18D810A5271097507A0EA781A32510DA500C00405A8B0668BE';
wwv_flow_imp.g_varchar2_table(10893) := '507663A80DA4A50D1B2710AF5786CED00C73A77251860EF2A7106FB810E7300EEA2066007015DB5010C1207437B1413CC21ED34255D4308812FFF17CD1B778CA008407F1784228107570034C20011B702E00D002B804725190790D88579C3710B6200BDC';
wwv_flow_imp.g_varchar2_table(10894) := 'F00B79D52E3AF808E5778174861093A0558CA5088C95550281510EC70BCE500B00308603510C1BF77A69C87A65288CEC17680BD10C1B076E0B6114EB700ED30800E7600E9AC665E0908303716A6596139F063FF75022BB3158DD400D1F0611CB30898D97';
wwv_flow_imp.g_varchar2_table(10895) := '0CC130544C90106940101020010501637610057400000D1852A75810BFC008531844CA97850C91631845108AB08500B09018F56C81560BBFD88C685786620800715886E4006E6FF8681E19697C687359D6104B27136E2311801548DBC08302F15B00C078';
wwv_flow_imp.g_varchar2_table(10896) := 'D370622E0990C10000BF90102FFF90104937109D6810BC06004998840AF10BCF608803613185370959D88506C190089190E4A78B00100984C60B9BE07BEBD772BBE0727AE80B7B3810F257917408002CE864D6406872178C00B00948A1692DB90D3DD883';
wwv_flow_imp.g_varchar2_table(10897) := '04E1099570106686153339583C488900B0920F310DCEC79707118F7580049BD89306610774F02448F82484010804F18437994085070BA4009518D5854CA9900C91901515115BB9950B5176BBE07B6D28105939102E6810BB0700DF905B02217D043154D0';
wwv_flow_imp.g_varchar2_table(10898) := '570DF2060C31E18D12C1570050970FF561E0808E8F289B06418402C1043A00008819445CA0608A398AD0291044A3064D875706F1057850971D817584652D6CF0990A3107A2FF371083300950D99038B6900C07007DB0099B60109BC0950D21686428106F';
wwv_flow_imp.g_varchar2_table(10899) := '486819098700E00DCEE00B84B69A0A887B04F16CDD200D47A49B00D008161309910000A3E009A35097EE1331524512B640663A6810B6159C2E490D0FE1A1C4591003E8044C308F53500300200128D03710620D2057103BE43FA62410B69059E1576F8930';
wwv_flow_imp.g_varchar2_table(10900) := '070DC1063A7A1015D5A306A1057B7008057810B397106808006F289F15197BADE08C00A00ABBF09502D19A02F10700400CD5100CF246108D00990351924C0700580A1308C20886E00E19AAA18E48118797103006794ED06FC82910F69898FB089D426929';
wwv_flow_imp.g_varchar2_table(10901) := 'DE113A8DD06100201E4AD060DDC95183505188CA109F390818FFA5A3833007875A1057301275A70AA8209F04517202E17B250800C0849A566A108D300AA3400AC1509308D174D509000BB3A638C183F0D6A60E81AA092184450700F1080027AA9CDA3774';
wwv_flow_imp.g_varchar2_table(10902) := '00C06BFBB85E6AB0067030A302F16F0080AC3C07A407C106E3291090DAA38F0A0079300760C55100900469C0045340106970067B00AE0E810A9B700A57699FCC88A9BF5A801E47A502B16603D1A005017457D1A0EEB5AA04416627E9AA31314DCFF76E1E';
wwv_flow_imp.g_varchar2_table(10903) := '4A10A77A5B09219804919C9A8AAB0451032B2A0139690336200484F009AC2032C1FA7403F1056EB01D2AD208CA2203A8D61E89CAAC07310758F5A3039107CF2A1087241067700649D0AD610305DDFAAB47FF870A4086109620801EB7A9CDE00C2059105C';
wwv_flow_imp.g_varchar2_table(10904) := 'E90D7BA803289A9304A1050291484C87AF7780066EA0AC6476703951A1C2E5A120B60A0DA07F065B10B8F0106E5710480B5A4E179D055106D5F903FCD43750B47F270BA95775815069AD5865105D97050601910501AF12718968E7AE00A00726778C0481';
wwv_flow_imp.g_varchar2_table(10905) := '01CB591045D0B6044147F976079CA1066510B52961B5FCCA105D300EE0E0092411B608C13DB876AB0040074C2810D70704953B10244BADA94B106CE075E532560841099A3B104B000064308F0D41AE92708930A6AE00E06D74C0726128101A201029008A';
wwv_flow_imp.g_varchar2_table(10906) := '0EF12003B15924416F1341B9C29508A2170EDBB00A16D8B503419B033178A30000FDA60923FF371035B00226C01041391086509768AB10682030A8065693509E16314BA4B00AAFF00AB1F08F054109A1F0098B50A4B9BB0930E66D96609C04E10B69C0B9';
wwv_flow_imp.g_varchar2_table(10907) := '3C49117070074879BA4E010EC1800593000E7C299B8E280D270674BF800BAB3095BAEA6209517505A19802410742B96AEE4BBADFE15E375AB9757B104A1004032910BEB9BF6BB182BECB10A7909A05E10D3E0C0014D0936B1B118620A6109C14E0008802';
wwv_flow_imp.g_varchar2_table(10908) := 'F173A7340A0D5AA6223404440004A00803BE0A00B80B00B52B105EC0054F9004B037106E24064004857A82A1AEDA0558D0756C305616B8102A000440300492F706EE75C30070C656779112A1AE80D66F6A5710967006352B12F59BC44FFFC134D7471020';
wwv_flow_imp.g_varchar2_table(10909) := '80BC04A102360002377003F798064E2006D9979C310000246C4B180B2536A42600D0C8F9B50A80D005E4541058C0B20080C4083101638B3F6F8007CA2A70070800209810A02B7F47AA6F0441A596E005F7C20022716271DC1477A77C2E00020000B10661';
wwv_flow_imp.g_varchar2_table(10910) := '0323B0032E50C7061129BA421092C79E96703307B1AA46867DD9771876C41009A8624305A805D10872C0CEEE050010501031F3287435107B60077BD0C506610941FC10F752BC722C10CEBC10DB20601FA1C8350104D56C03A60B0040A0029EE87F57C005';
wwv_flow_imp.g_varchar2_table(10911) := '5F30D109310549C0B74650105CE0CDC73233A30C00C97394B79C5FC930BB05912680E05E89B4B610A06A0311CFF00CCF20FF3B10CA4A2E56347455476E0A419A12E1B8352DD303B103024D102D30D00A210DDBB00C84979208DD123950C3045106AB2C10';
wwv_flow_imp.g_varchar2_table(10912) := '5B8006935A104A0B0056700549D0D09297CB6320107E30A365BAC700B0610481078E6B4F70F0066DEDAA9009A60050D68080178984065C00D1F508D30291000661504C5B170954751BBD66B573C80F91AB0EE1051722D30665C90EAD021E70A70251BE28';
wwv_flow_imp.g_varchar2_table(10913) := 'F9D4356106592D105A8006556DD30070055FA0055F70CB651DD706D1D6C073D606110A9FA1DAED85106520420FAC62C80A07720007600A07EE85074D770413E0D7090001C50D00804D10624C2ACA023CA08402C6C2AD0080A207E182A0EB101C80002F0D';
wwv_flow_imp.g_varchar2_table(10914) := '003080D400FF80D43335020090CD06F1B50671979A2D13F86AD35BBDB4681007BE8DA58010092D1BAFA6E407AE4D100F5CA6185A97401424E0B5CD007003456CCACAF71980B0D272B01D91C2010761DC102E10BAE209AFC0797ACB0863E0011920D40F00';
wwv_flow_imp.g_varchar2_table(10915) := 'D33B800321A0038A3DBC15518FDF0D8A443DD01E30013365D37C2C1072300AB46A13D0CB734112DAF94A107559097479109160083F4E10654A47F84DD67F30A3E52C10880007F8BA03C8DB89426D1055B0AF8435BB8DACAAB30D00FA0300FE84DC337DDC';
wwv_flow_imp.g_varchar2_table(10916) := '802DD3ED5BE105110A8DA0060605001C10E50C8000D3AD03929D10DAB0074EC010F926020F20C41ED0022D00D1400002697E10EF996F0421AF03215F35FF9EDE26C1E336AC1074D9E35E5A10F29ADF426E4A6D3DA94A50043B80C50241010F10E5336D10';
wwv_flow_imp.g_varchar2_table(10917) := '9D0C31F536A853C774D8F9054D37010E4E10601ECFC9AD101EFB89EA22102DEEE51080E2F738119F61021190A2E5AB4940B003690E044A9B4862E4BB0D0A9927B60E894E1154AEE81481D2BD49DFF1DA104A90044EEE10874BD40A11ED5485D25F2005E6';
wwv_flow_imp.g_varchar2_table(10918) := 'D210420DE6A17E1009BED2EF2C102B9EA2F09CDC0620103A800233A010BCB008977810713DC443FDDD1C00D8BCE207FE33D688D00AEF397463604ABE890B606612861EAFAB27ED0A710E9CB6CC0641DF910099EE83A54DA740628CDD06B5A23050C41CCD';
wwv_flow_imp.g_varchar2_table(10919) := '0563600541320654B7A6E0051B08A102ADFFEEEAA04EEB0D3101063501120001790E0006400009400000909CF6AC102FA0032FC002816DA72630D09CEEEE5760060F7CCF7B30067B20069A6C05843E10EA607F1B810D456408306747A0D0A5148F10E85D';
wwv_flow_imp.g_varchar2_table(10920) := '936A0C004A2B798A4B01B14E101EB001960D022FA049E46DCE636DACD259780DB6E57A829DF88AF3F10CEB0491E710A0B8B72DF712C001380FEF3E3F106E9E003C20106380033350035360078E6B0BCF60052F10E708D1F3582CFAC63B100718F2F02AC6';
wwv_flow_imp.g_varchar2_table(10921) := '465005483C92CF4E6208C108AD28ED4090030E81A5DBDC022650D9870B001DAEE604D1C9409004213FDA6DDD077720DBCFCB73E0A5B1A98E3478B0065F60340731047C6E0126300110FFE0E6EB12505C20E00AE101803E10F3FEF3E74F012800032B2010';
wwv_flow_imp.g_varchar2_table(10922) := '46207992970DCC8006DE3DB60060FF69EEDDB62E10C8FBD5006104C80B0030001C0480E64D2500D5C021841851E2448A10E51DAC5651E3468E1D3D7E041952E448920092E4200260474808075B4A84616325102355AC00E002F1CD9D3700EEA0B903D210';
wwv_flow_imp.g_varchar2_table(10923) := 'C2509E2056195A52E952A64D9D760495F3209A2F78BE005803E02A563C6BF0C0F113074E428829CB4A816803805AB5125380A0002141020306342201F0064DA56400000168618347410028269AF0405862E2884A0EBE306852C94D00A39E5EC69C59F366';
wwv_flow_imp.g_varchar2_table(10924) := 'CE13AF68B9027204080FA4138368CB716C50B238C700B052052292251EFF3D810AC5F020A2CEBD7DFFF628058D563757ADAAC90A000F443F8D369A8008A70CC2954700A480E821858D161028004000314082880F004C7F63A85B652581011004E06103C4';
wwv_flow_imp.g_varchar2_table(10925) := 'EF1B2570988050ED6B88206EC046C816E00624B04003478AE30F88B690E80D33ACB8A988213482038E9E1444C88A24CE8B48B633108A62A9A40E24B144A5B8980E0037A852C32A17B73A480E46346AA1A324B04B8B22BBC0F36EA237788368871D7004E0';
wwv_flow_imp.g_varchar2_table(10926) := '01F23EA260020E189BC80B008C3828092BE0C8C4442BAFC472A96EA47928A26000B8E5A32BC618F3203253DC88350001900DA1264032AACADDB2A4B3CE88CAF8420D35601C90038910D851223F0138122166D68308FFBA8310084FA404CC9B88B52BAA30';
wwv_flow_imp.g_varchar2_table(10927) := 'C288D4ECC434D32B2B19C52884825186A3790E1A4B23B3A66B13222827DA70A4DC00C8048D2734A5B54418B990025735A4D855A2E10E920A002952F54889953442208164777C0082962020D2AF831CA32FAE45CDA34004A5AAE809003F5853C2957E6A25';
wwv_flow_imp.g_varchar2_table(10928) := 'B75CDFFE8803803F1A1911A15B70E96B22B1FE8063DE74114A82DA485215F2A02B9C44885890C0E203AC2F9E484240731726509D740050E72087D531279E83E0A188E273D8C1B8A287433207E274428EA81D76DA3907A1882132A79C8F437E98E48F2856';
wwv_flow_imp.g_varchar2_table(10929) := 'C79D83DA69671D77C665B8679F9F5A679C89D699686589231AE764006C9E889D9F9F5E781F00A406C0FF1E7BE2B1A76AADB726F09F90BCEE0D6CA8C726FB37B121D227EDB427AAA79EB2DFB6931F7C10B2E71F7EFEE9276F84C6ED879F2CFD863B70C169';
wwv_flow_imp.g_varchar2_table(10930) := 'E5A770C007475CF07FCE4EBC71C71FE7A8F083F4E98C1FB521C73C73CD37E7BC73CF3F3FE89FAC211A1D74D34F473D75D55767BD75D75F4F5D66D867A7BD76DB6BFDE59661703988187779DFE8F0DB8727BE78E3351A06003B10C2E5975F8E873E7AE98F';
wwv_flow_imp.g_varchar2_table(10931) := '7F1EA23498D008ECD2A7E7BE7BEF335FE520E07F45281A88B68148F8EFD767BFFD9F118DA819008A01A012F3813F881F9E01D8C0100A6CC9C8FEDC37400216D044B89005FE7C01804D1C2418CD0300FA0EB2BD835CE373E968870135B8C1C4A582FF1707';
wwv_flow_imp.g_varchar2_table(10932) := '29469800208BEA1D44800771C3E752210E5A70D0852F7C5A309207912F49A41F8C03DD0DAAD12E18F6D08799C2C53322820D6640241B62C321450CE7B30C42E40BA040082D4CE00A0028EA8757C4E2816E210BF1514222C000C0030170C4CEB9E2087EF8';
wwv_flow_imp.g_varchar2_table(10933) := '81B0529113283ACD7745CC621CE57899C5856418CFF01D49F2018013962B4E082983A724E2B274C02389734464223B220E8804AB431439E4E0CA811073B0C368138187FA14B9494E6EA40C561803C03264C44862CE691569622755B94A8874038E38890E';
wwv_flow_imp.g_varchar2_table(10934) := '875AD9478FCC9095B7C4E5E3C69013CA7841948E2C093272394C62BEED16B678C5418252861416D399CF3C5DF286614B771D244CC4FF10A14484C891497E0C9ADF0427960E27B38F8D0C00DE6C0A2DC3B94E76062E1FF4B8073FEED14E7AD69356EA94C8';
wwv_flow_imp.g_varchar2_table(10935) := '12EDB94F7EF6D39FFF74DFE2EA08508216D4407943A8DE0CBA508636142103756844ED548F7B54B4A2AC9CA744358A25A35D72A31F052945DCE6C28C86D4A42745694A552A913DAED4A50B9D674B3145C197D6547A7BBC473EF2718FB9CDB4A736056AF4';
wwv_flow_imp.g_varchar2_table(10936) := 'F489A9B39532A8475D1D3C4E090F9C1DC41D260300C6D8C1B48B01601DA94CA553A6AAB2889C12A95F759D38C4F10EB146649213E9D2F92498997B31082157280258E5CA3AB222A41CE578473ADEF18D779428857CC202425CA082B916D6748CB46B5EF1';
wwv_flow_imp.g_varchar2_table(10937) := '5A0E74F0150088A508FF351E2259CA82831A88A5AC3884F10D00A0632367202C0082B085204024082368C15B7E0082B7A420B586852DE2388B90BC02A0B67B25C74126690E70A40C005D9A6C5A21420D844C161D9E9D2D423C2B9194E4A4B4B03C88092E';
wwv_flow_imp.g_varchar2_table(10938) := '15ADD856B76CBA104772CBF18D87E135B908F1AD7087FB5BE24E162195480425BC3811680020B7DF280614003018006CC10710F9E046B01303EBF6976C67FD86CBCE0991B36AC4B2E060A4387A212C840C614241707044720B8D639023148B5003B07022';
wwv_flow_imp.g_varchar2_table(10939) := '4AFF7678708F286B76BBF95B1287EC21BE252F890F62D9144B640841300384832085FB46041A9C3D06373CBC63C895A21414D10D5A01A08B2EF5021C4696887945FF7B90E7D2784211E10634740C8063B417219F20C93162C1E3E91D80005E4688061219';
wwv_flow_imp.g_varchar2_table(10940) := '060078831CC7989F8EA52084899C031C42232F91CB4BDC151BF120477831939F6C068ADC180052B6329A45320C0185824D5C3E9E970F10280044E0030060B31CADE1DE637C827E16280261932B5E394B16C910D105427A118AE71E64080C0A820AC82711';
wwv_flow_imp.g_varchar2_table(10941) := '292364C2126986363CB25E44478F0000380042E82B91194404071BF406007C610D2C1F24AE0058305AA9415C3987FAB7CE864822660561D186E6D81489F237FC6CE55C4864172229C626AC109A5ADFCE00B98E0806428090474B4407C506803099418C64';
wwv_flow_imp.g_varchar2_table(10942) := '10831942CCC8F75021063B1F04CE430638718D2C59FF670B971B419E881964F18D6C70A3E1158186953982C088B4A215003086FC00109A5260A2DCB5B34BAE038090088819DD08C1C00C30008028F40100C200C0360F22F3E9A10200A8F8360016B187B6';
wwv_flow_imp.g_varchar2_table(10943) := '2C07225C54314284466484841A1CE0007A831122851C1C245EDF9832471678108D1F2417C00B46113FE172884C5D5D0028C5233E5E3C060060E5143901F600D0098830231934E71E2B6C4E915079848B920D3A00BE3B841A9B1A0E7D99C677A30C80C147';
wwv_flow_imp.g_varchar2_table(10944) := '991BC2A47A0335D22D8414A319CE388827A8C88952C022D963679D015010825B7BE4041381E32F9081F8E95942120060054208F102FE22C4325F4844259213912707160C7280C8344CAB82539BFF1A00BF98B28EB9917488481C21C6D04815420911C823';
wwv_flow_imp.g_varchar2_table(10945) := '848AC83E082C7EDC8652401BF398D30098518E90CE9F3D24300780EF4A183D2C94BA22F1621083C080073044640D57B9CA1ADE8F90F63E39C25FB0C044B8A17B6E8C9FF0CFE00661981100D8838BDB8822381684F03A89B03C00480458F82D8BB93ECD11';
wwv_flow_imp.g_varchar2_table(10946) := '3300E83C6D41379303893C8A17EE21330020845330B02DC082AC903F84F0B983D80230F882DB6BBFCB22A1146432297832C24B86FDFB33DD9382348A08C4430447388843C09724A84191E805E9838536488421A39A097C9C2F0300BBE83C0B9CC20AAC25';
wwv_flow_imp.g_varchar2_table(10947) := '642006D23B08F3C937E3C1823741BD5D60856F9B3B8958832D38C334DC02DC4388FF2FE0137178855FC8B08A18C03F9308EB3094DD70920F018029D80334A08CFAFA8240E4C38A68C083F8317F7342CE218091E33E8A3800063880950B8159898837F21E';
wwv_flow_imp.g_varchar2_table(10948) := '1250C226F8104D00004F04805A40876E8388C03A883530033E030033584388488E651306E22BC28368049923BE2182866718862FD89056819233D9023E214020A188058340E8B3BE457C1D49CC351DB03130EA9DF2899E05908544100335D0033A48033A';
wwv_flow_imp.g_varchar2_table(10949) := 'D00384E086EFC20AB7AAAF53840830384300180B3AF3822738360BB08EE782226D0B406E70841F60B3B670030B9A8A8D83082B28032D40832D400372AB02D910428950862F394665F49CCE9B428D38B9B20380DAD8087B839EFF2F088225D4B9103908F9';
wwv_flow_imp.g_varchar2_table(10950) := '020055E8AB703807DDAB4600008544680436948815848335683F8AA0840AA184BF08855F303E00B0C48910A240040032F1978848022430823D603C885806E89388CB6348D739398880468A301F84B8862E7C9D5048A155E885A45B04493848BD0B076EA8';
wwv_flow_imp.g_varchar2_table(10951) := 'BBCA5842A03B4A89900339304728A23F8458AF2D6BA19783886E5B358818860E3C08D0C0892B08162B90022500828DDB833F480A0A43885250CAE85B4AD78900362B043B180337D8B24B9CB722AA86A8849E52202E5BD006FA71BE61F805BB04001F0802';
wwv_flow_imp.g_varchar2_table(10952) := '72534588089F115A052EFA05F03B88426039063B88E78B8823C0C3881086EAD1822F080D1811C6A920B7B5E4A2FF05FBB10969BA8348B6BA494CD4A1018E00863C12A66888CA68C808AACCBD6AD047D6D9B2DC423EA26804B54C885FF94DDA93B12F9003';
wwv_flow_imp.g_varchar2_table(10953) := '3A7B1EE3C343CA0026895884A71C093E7B03CBE80B21EABF88C881FB9CC5E47C1D413B0868CC2389B0CCDB91056938086CC0068A982D4760841929188A10C7AD90052AD2B16C203C3CD0013CECCB6343BC003C88E5E00D5294086A294EDECB3F8418019D';
wwv_flow_imp.g_varchar2_table(10954) := '3C08FF63B2122D05708807A3D2CFD381C6618006648086573A1E2E00045058B8AE6BA5D8FC0443AB08D7C4033F6849199C86F6FA06EFE4086110B45C28865C60CD88B082D12CB5D9A388B14805C22B22C3A4085D68C2186D1DF08B053002BF1B8D061CA5';
wwv_flow_imp.g_varchar2_table(10955) := '08FFEB541D202802C7B0825F89CC9CD3085538083B2D362F62BB4FA03590D80121105288588463E8B62ACB311085883078498E20056919214454BAE29240315D1D01794A68A0D1E46186227A0638823BD7310B0088AB27734D8DA885403D884FB0D34538';
wwv_flow_imp.g_varchar2_table(10956) := '08430B85200DD22D3D080A8D3A95E0082A808228B0532A8B38B88C083008834450D48350543203D6723C0884438812CDC885A4D4D501519803A319423C21FA54DA095584C0060A3D0873040039A8122CAB050008855AE88471050020C4B250E04C00582F';
wwv_flow_imp.g_varchar2_table(10957) := '6C4006989B0646B0C71EE8018AE0CFD7440827254C341B8E2E40085324811534C55574C9834884939C883528B544E805307D56D5B185C8A488FF7BE35491A04AEAF49C000580C0FA15B65BBB533DD55044885888D26EC3326CA8D58308117BBD817B8D08';
wwv_flow_imp.g_varchar2_table(10958) := 'D6088533A04888C82D882804564D572004007843085204069813BE6E301FF89108148BD8D439266A023DE81C097C431D1CB58342EC036244548418D98998114AA8438D90D55495307E8D08CE8455542D06768DCC7C9D88604D5ADA79CB8D60068ED588E9';
wwv_flow_imp.g_varchar2_table(10959) := '6C9D4505004B0000495884AE040059AD8554280693455BCEEC042F0A0546F0A23E85B88320079863D7AB95884FF08562C0B262F0055F08056B60572125D48938D0F603561288884708D3B6051D5A7805F7D449B9AD882E1422E94C1D95F4887605802DCB';
wwv_flow_imp.g_varchar2_table(10960) := '05933D08597505435B598D1086FF40E388B3F5855AB0B4CC1552DAA5B28330BC56130664B085DF8DC56E4B26D34D1D85E1889BAC886788066B651DCB50113FD808D98084BE1DDB5CC8854FE88450D8DD83985E2AA30554A5B25CE0CF7CADB28350DB506C';
wwv_flow_imp.g_varchar2_table(10961) := 'D7498308433B06CE9C524083081D9B2D1D2B30EA051D5B708530018661F85F925DC083505389D8D44A95038055DC4DB0DE8358CE5AC0DD8A7085F52DBEDA8D85FE85DC3FFBAE63A8DF8E60572A2B06342B61C2DB08DDE32303F69CF6DD8843D0044F2483';
wwv_flow_imp.g_varchar2_table(10962) := '83403C66D0C28888E0CF41B3224A0433989105040526FDB58E38861672855C80BA2873D289A8DF9BE50672A0306868DC14A68862A09FFEAD087400608880BA286EB8DEA5E1FFCCB1058579DB6CAADD42B4C0EE594230900454208483C05B59C5811A580A';
wwv_flow_imp.g_varchar2_table(10963) := '1D03BF5040D414BE592D4608343BB30A03218800E3FE05E39290E134FE1C11625A84E0301944082C1C1EA05B505645844228D539F908279D5284A8977B79CB2C8639896B2F2C5E4BFB858828A5DDFB45080054D9039D55CECA866F78889F8264C8A10564';
wwv_flow_imp.g_varchar2_table(10964) := '6A211B8E088EA488492E1EE7F8C84ED8D566A83A89E05759569526655CE3335457062112FEE2165E0A86EB65D011E690C04261FACFD6516568AE885010B46310DBE29BB2F69238D99588DCE20634C66244AE88718D524225453696889AE4E66E8EE4B7FD';
wwv_flow_imp.g_varchar2_table(10965) := '08CE9C26001886717E1D297BB58950BC8A10DB2A0B3E3B8461FFEC8D089D25BC56F388579D084B8E1173B45B55E4ACE4AA9BBB0168C8718CCE6B148E7861DBE10668AE0436384D2A7E66BDA3626CB8D689E836A8F3C679B6316F3886505003801D894468';
wwv_flow_imp.g_varchar2_table(10966) := 'BF879B55A7500484B88492D6945B4BE98360B489888551261E7084E018695488A06A9198317CFDE183C0688A9E883658808E384A87233CA31E1DC91109B1636A7289EA8D904D5F251E989B8289280530F0DE83F85D56762F2803005B860821FA022C1589';
wwv_flow_imp.g_varchar2_table(10967) := '5E0D09B20E830FD4BF69D031C796615E2E89A43E8849B8844B70EBB7869A959E9D58385789A0B3786EE5DEE5864F95BD8948119095885A35BE39948830286BD80600D92E6B8848C46CB065342E8939A06CFF88508449D06C132180F030800068C487D408';
wwv_flow_imp.g_varchar2_table(10968) := '29FDEADAE9B6289B346D903500D8855DC05B1BCB57C3AB085B48059803DF88E0EC983B882DD3B6C675578A3056C6EE56D15AD46F70ECCD1804DE1E84DE0E6E2BD91187F4886ECB60E299A46F4087E8DE08F013BE1BB3B229AB656E3850953DCD35908335';
wwv_flow_imp.g_varchar2_table(10969) := 'F00359E0ECA81B3CABA63D0088B00929D1FCA341E55D3800CC8C3C78EFDE1E84F9B61202B08BA7DE884F9E1E6834C08920873C5A2EE555DE95B5E929CB066152561BD336F6D23689CB958A78C9F5E3D988F8860D9739C85E0A584804DE9E831017F19F29';
wwv_flow_imp.g_varchar2_table(10970) := '0189980FFE219E5848053F5085E409B6C5F58867B06503E5E1D8A484AF3D0874D0ED31A769FF88900338604339480420E45A006004190103054558A8938595CD86EB1409CA11058498030008040088EF265F98765B9F03150672A02689F32C005E5E8910';
wwv_flow_imp.g_varchar2_table(10971) := '6C958588390C051D830631367092608846F0A24AA0046446E66F05054F1F21CE323E02650A58608340F8F33CF873422F970C08015907800FC880CFDB80CF931E1D3B508C4E5EB0F6C64B0734EC8E396C80862E87616FFC339E2E7356438448C8044142D8';
wwv_flow_imp.g_varchar2_table(10972) := '644508786E844A0885474608ACE4D692C02758D7140CC800435FB713C80088D016E8C9E58878719A1E6003AD6500D076849C865049866420BDA813EC8A68F689A804E708B2519F88F6959D92F070702F17714788729F8F0C7872E9F986FF7D97326E805F';
wwv_flow_imp.g_varchar2_table(10973) := 'B304043988038C5FF005EF886B70E764D73F00A6041E8A0884FBF788088585337284A08669286084DF9C7307805B3F085D87F8030D70AB66832CE80212E8F99E6F3F9FAF889F07033630832B80237DBFE5002776D5DE881B4F561C150639A08465E87698';
wwv_flow_imp.g_varchar2_table(10974) := '8FF908A8790078F8EFE1F5C0960836000030C8028A2081F6EB0230387B00E802A18E118A68385ACDE57DE7884A10A4D89B768860D2FE53DCA6C80A3EC382D2C47A2C91798878F2AE8F1EDED04203EF5DDD20EA44107B8DFC558DFCF1F42663A366AFC1A3';
wwv_flow_imp.g_varchar2_table(10975) := '884890F6C84B04A308B21BA7D0B9760A4A50D6AE1DFC12F13E84F8B51328811360019B0780FCEE9E5614EAAC707B84702BFFF30B82D12AD8C0C68670E02CDF1186577A6409F78825E4941FCD86AB0F876C787991C80428327D383F0820F48A3598CBD427';
wwv_flow_imp.g_varchar2_table(10976) := '9159317788D8EEFEBC9DEF8E080529020BA811ECC8BFD002000BB080BF142C203851B58C5B84C8866D22069A5BD96BAD04A80708000201541A58E9D54000D4C401E806E01BB88412275214084820230080360AC4B3064FC5902247922C69F224CA942A57';
wwv_flow_imp.g_varchar2_table(10977) := 'B26CE9F225CC982833088CD0646086122758C8ECE9F3E7446002A58C64269052C181A1920A1C056A54AA51AE12FE1258F51A8067D084528496951B346ED86211042027D29F48124755AAC4C6D32800892A252288301B00BCD41E52A3660E803D976B04AE';
wwv_flow_imp.g_varchar2_table(10978) := '8153588E1FFF391E0D0F84300128E4C8922753AE6CB9324D89429EE4CC3C10D83100B62E932E5DF1D7B081AEA4268A0A009440A61471111B888D2242D102B90DE40DC090A1817D1236720BC0935C819E3C551A15D7A12C860A23C6D40200CD169085CD82';
wwv_flow_imp.g_varchar2_table(10979) := '0400C734F8F0E2C7932F0F0003CE84184E24742350E868F3F263DE1286FAE2F52D5FD00CE442B26A4258D596D054BFE4064058D060C3D51F09FDF10641CD35255B22C84DD4CB37120506003FFCAC14847F02F1F7854725CE77228A29AAB8E244349C7093';
wwv_flow_imp.g_varchar2_table(10980) := '68B97CC6228D15D9274C455258C10551007C21D22BC3E02210365E01509F2C12E108806FD02C09C0267108F40684004809C0153E24324A856CC535CA34FF14ED65CE3FF6FCE3214B527011045141A8E1E38F006C31D06335DA79279E799A048513332674';
wwv_flow_imp.g_varchar2_table(10981) := '8B9E768E06684609CD896545575024CC30D03C939056B4D002C0194C22089640D040326542655831111B7191A4174400F483E64A3F72C1E317527CF1451014D51928ADB5DA3A1F197DDE4A2B32000C29D015210AE49FA2004871C58EA711A9D533DC8409';
wwv_flow_imp.g_varchar2_table(10982) := '805113F1662400550A345C420D9000406A024523D0270985E3C82DD47CB3973A6742A61D89030D010005BBA66886406AAC11A77F2AA4302B650400F080405350216FA04EACB008C1770208800D2171A1A81203052B1237CF60838D6F9602804EA61A0350';
wwv_flow_imp.g_varchar2_table(10983) := '4B2A640D0428C5037DA446151239049314FFFC0D74E84773DE3B510A0941900000374390B39D26982010081E8827B347211551C4640418E0EF401A00C041C27732010057F1459D2232B7FCF21D00FE3D9C50B0AA96942037D160633100B7016076820054';
wwv_flow_imp.g_varchar2_table(10984) := '03803214D572880F141D438E40C600C048BB40C1B69F8F78C4F945CCDA81B4051AAB0E0484403F93B6B3170281924D3200807083402F9820424829C00080D0E29921B8448E949600010904909007F15E5D23723252AD1B30B70845F2EBE00DF82B009F0E';
wwv_flow_imp.g_varchar2_table(10985) := '9B50CA135F116745609D5D6448194B244B30C5C4E24C48DA78A33C006050D40D99A8B614A7768495F8D16022A960D9AC2EB70442CDE3A16122611955825FBFA81B604042000F5146EEFF2C0263CBFE5C8DEC7FFEC8D323890C016909B150491E4511058A';
wwv_flow_imp.g_varchar2_table(10986) := '047A09A9DB4806530B6000C10203C95E4BB8F08537FDE8550060DF401801084650027EA591800738208107344C25001B88E74C0002D049003C7840C360408207399006010949400236D09824F0C70F014C11FF647744F2740B00F412D115D0A02845F94E';
wwv_flow_imp.g_varchar2_table(10987) := '227030614A14B4B68194421721C90100DE15B043A8C21B127913004406805F00487B28410E1AF6E31EC1D191781E51031C602311FC89C70F0D32490424E20110FCCC71416B9D04A046191EF9874D47A944779470842480C7008CE39A44A0C6010A44C087';
wwv_flow_imp.g_varchar2_table(10988) := '4B34CD813E099E61FCA25722B1C52D42E92B81E02E255A515631AC2192FF29088417E17195AB34A82600C42A449468C4409E2049CB20C08738F309045C671E3C988112AF98D440DE001269AEAF34A1004023A6224AF254E36D5BDC268D2A279168244381';
wwv_flow_imp.g_varchar2_table(10989) := 'D3C00B509E24914DA9256D13B9453824D28F9648070F5C83C3F7ECD91D905CC4169034DF65AC508501A6C40803899840AA60851E25410949A02469E231907F00463E1405E789FAA1D17962943C14BDE84936B48FC88C7422FA18C849292A51949E9434FF';
wwv_flow_imp.g_varchar2_table(10990) := '78693CCAD4D1CB6C0800FF98C740448AD37DEC741EFBB047492D138F9F8274A646EDA8992A7AA2A05284A9E1296A4D6D5A1E7B684F5D25D9075605C251ADBAF14E66DAC73FC02AD6B086F527453D2A5AD33A92B31EFF75AB2B622B45E02A92AE12CCA96A';
wwv_flow_imp.g_varchar2_table(10991) := 'BD2B5ED79AD7BD8AE4A52FE52B60031B40BA0AB6B0863D2C62F344D8C432B6B18E7D2C64232BD9C952B6B296BD2C6633ABD9CD72B6B39EFD2C68432BDAD192D63C1E926B6953ABDAD5B2B6B5AE150F3D5E2BDBD9D276256EAD2D6E73AB5B81B4C31CE9D8';
wwv_flow_imp.g_varchar2_table(10992) := '2D7083CBDA7EA843B8C63DAE68898BDCE53237B3F3FC4B73A32BDDC42E76BAD6BD2E5F6F8BDDED72B7BBDEFD2E78C32BDEF192B7BCE63D2F7AD3ABDEF5B2B7BDEE7D2F7CE32BDFF9D2B7BEF6BD2F7EF3ABDFFDF2B7BFFEFD2F80032CE00113B8C0063E30';
wwv_flow_imp.g_varchar2_table(10993) := '8213ACE00533B8C10E7E3084232CE10953B8C216BE308633ACE10D73B8C31EFE3088432CE2119378BDFFD18256AFBE55E215F37518BD42865160CCE219D3B8C6FC3DB18D739CD668E158C73EEE28314CF9E32107902C4D243292F3172E000839C94E2618';
wwv_flow_imp.g_varchar2_table(10994) := '150AC1AD8150EBC956961703D7A636155FB9CB765A526A98D1632F931945B94086300604802097B9CD343AB29B2D0C8D2663D4C5748E3386C78CE73D8FE7C51201C63062910106F0B9D0A481F39405423F819CA052867E346486A166002CE900518034A6';
wwv_flow_imp.g_varchar2_table(10995) := '21A36700E4221323114668D499E951AF449D8588C59D49ADEA98781A1AC7D81FA7A139D137AF7ABA000CA03669918A5AF37A22C310F540763D91D0A4F19ABD76B0305AB9C44F5042D835E2CAA48F9D5B6D8AA6760349B5ADF8206581189B46B296FFB670';
wwv_flow_imp.g_varchar2_table(10996) := '63511F605F6DDB6904778385E1BF01453B6AD45E912D68011F740BB7367016F3AE0606003584028DDEAE08A2E9AD5B6C93D6165613F87299F1AD6878651845E2B26871F42464A438CB08D7ED26503190676C7AAF8A7CC991A3A50A55D812C4AE98942D46';
wwv_flow_imp.g_varchar2_table(10997) := '6170BE42010042002C34C4D9580A9840062C7912575801003D7CF8167189852DC40D7488A7F5E5501002C23E7C6B4D7C789EC488C52B52CED728B4FCAE76C06C20711683956083120271F487299A893718B10FF402285AA140F526541D00AE5022465F5E';
wwv_flow_imp.g_varchar2_table(10998) := 'D963322D259DB883409640E232B4D0050605800BA6261BB4B29DDBE4FE6414E850D940526075F04ADF493C29914B8338094548420EFFA650373EA255F179D55563E79710C92704733D51E38687807988A695100068FB40DC33539AD020F44A53DAA22702';
wwv_flow_imp.g_varchar2_table(10999) := 'B51FC4040AFCEEF00E069204D50B84716A553BEC672A042880FDB1754F88E379DF92E58B81DBA1CE30F18E06801C34D40500682746792E1032C0682455F1FA4054492B1DEC5BF691CDBDA263A2F7107321F844100825DF757FA3BA9EEA541F084111C82D';
wwv_flow_imp.g_varchar2_table(11000) := 'B8020FE50E1F5816E9F984E970DAEC68580B151F111001D2185047558AE709C44D884128A8DF400002171C81151C41C22082237C422784CCABE516C80C049865D80F049F405020FFBD5E42BC5CF5090489BC411900D48F0C81E9E5D7F3C1C43515834488';
wwv_flow_imp.g_varchar2_table(11001) := '81416D0005101A3200FFC3E12D980D348CF1C1001A88CAF681131DFC5FE1094423900EE7998F08B6C0270D1A6D89C11300000FD49E44D004FF4CD8033E60FD105E1308C11848041A94A140C041462841C4A05FD460806764C009B04709B4D6077CC040A0';
wwv_flow_imp.g_varchar2_table(11002) := '47427846034A581BEE800D000118A6D5FF1D05301DD451B1076D9D400884040708C1B7B121C3D8C0F8E015192444A124448F60D1360DE2672CC993FCDAC51DD113BA61607181300D8421FC912895404E04172B7E182D1E55F255CB407C01FE1811386586';
wwv_flow_imp.g_varchar2_table(11003) := '67A09E6BFD223002C0F8181F00D490281182A351DE44A841350140260CDE1161E29FC1DD6AF12289ED00108CCF0C0180D3204AFEE0C19209841DBC49F581444648FF932E26E30928226D01223F96000D944027B4228881000AA4A32875C70112234560D2';
wwv_flow_imp.g_varchar2_table(11004) := '2A26442CE4C2C13523008023037ED8FE01801085CE11F1812374C74070CD1BC001DE09C4482AE436D1C43144646B9163507CD81048A30B182445244115F840F0040A2278472854051E842400C89E1BF0877B104F4745012D08432EC09A6C9D8033266552';
wwv_flow_imp.g_varchar2_table(11005) := '8E581F5CC940FC01BD508940FC411C5449955CC11CEA0984E08FB020CDE70884107554D2559B4AD6565A72D8364884324CDAAFDC022E900C15E2C9A71CC10E44E2CE8444598213CA01978CAC5CB589D8DB74435B52C438AC43628E0300984344ACCC9DBC';
wwv_flow_imp.g_varchar2_table(11006) := 'D04448000568A425769438E61630E402522E628705FFC7407802F825046D08443C0DC43A24C43AC496408C833A30A6793C00C07C5CF1016015A19560C6225F018740809F0F541125E5801228CA1349843464C33698C33914578ADC1F424D04177C8A1740';
wwv_flow_imp.g_varchar2_table(11007) := '083276148EAC256D8D86527A5825020F180984F7610E08781F4590277114042EF00E79584B45942400381B38E5A670F5CF88314723E822405901044D04102881795A668A8C81BE49845A540228848285A8851D7ED2660AD71A62E7861567489881545AC7';
wwv_flow_imp.g_varchar2_table(11008) := '1558879E1814125404256442268082275C13247C01EB1D5166520D84EAE636B19F401CCA3D924242D465237467426881167CC18D62E8896C2860A5E51A26C4C1C19A90A6A88AEA4941A2404858FF4B3048C4618EC43D8E0712409410F4404880E86B8093';
wwv_flow_imp.g_varchar2_table(11009) := '38D2E783DE5A916E1308E40013F8804D7ADFD4C42445C88185A8A79D18D40FC89D48E8D1278DC68F76695E21A91081800ECCD00A4C23465E0D0CDC00FB21E9EF80E5541A424EA69512E5022D9C289D8AD21F00472404872144825AF08ECF01C0281CC82A';
wwv_flow_imp.g_varchar2_table(11010) := '00CA2A8CCC89784227A845268C2645D0C2BB051037644386A82A640240386448A3EE553D8C0447F995A968977C68945491046AC5AA7DD503B00A04B0CEAAAFD25B87142BB8754875212BB336ABB3D208AE3EABB44E2BB556ABB55E2BB666ABB66E2BB776';
wwv_flow_imp.g_varchar2_table(11011) := 'ABB77E2B46112BB88E2BB996ABB99E2BBAA6AB9541D79A8DC45FA443C7A9EB86C179030094834030843C940343D0AB39A883BDFE563B000073DAABBC7E983BB8033CB4433B246C3B206C3BB0033C242C3C1CACC43A2C3CC8033CB026C1B06BC176ACC77E';
wwv_flow_imp.g_varchar2_table(11012) := '2CC886ACC88E2C7829ABC99E2CCAA62CC9AE2CCBB6ACCBBE2CCCC6ACCCCE2CCDD6ACCDDE2CCEE6ACCEFA44B0EEACCF72D73DDC037005040021F904050A0000002C0000080055025D010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1';
wwv_flow_imp.g_varchar2_table(11013) := 'A2C58B18336ADCC8D162BE8F2043761C49B2A4C9932853AA5CC9B2A5CB9730630E0C49339FCC9B3873EADCC9B3A7CF9F4055D61419B4A8D1A348932A5D9A921F3FA608F5E90B2915C053A858B36ADDCAB5EB49A9526D72FD28D09E407EF8AE7A5DCBB6AD';
wwv_flow_imp.g_varchar2_table(11014) := 'DBB748C902D0B7F6DEBD8FF8ECD9C307B7AFDFBF800393ACF60F40348BEB7CF613CCB8B163C1F31ACB0390EA1665826215F2F124B0DCE3CFA0438BA658C9A0DA81B1B83CAE62599F2DCB00908D3A5D70985164005E8DDECDBB77C74CB600FC22186BB1D5';
wwv_flow_imp.g_varchar2_table(11015) := '82A08019F73BD9A0BB58C420995D08EC60619EB47C6BDFCE7DA2D94E03F1DDFF2388EC1AE36487331203DAADBBFBF7F001F4B3771AE4C0F1FF96C70760AFDFBFEBFB0528E0804DE5F3D43FFBC835D03EFCD8430F3D7EEDB3CF4474D5D3DC3E91F145E086';
wwv_flow_imp.g_varchar2_table(11016) := '1C7648D1534ED1E754420A6A67533D4EFD072100E379E8E28B300E74A088237288CF7FFF64138E3CF74CB8578C400619E08820D9D5E147FFA4034A2AEA00008F3CF6D8449755B40969E5958F3DD58F7E1CD2B3CF3FD730634B39FFE4D3CE3DFCDC230F3D';
wwv_flow_imp.g_varchar2_table(11017) := 'F23487E59B70C6E9168A600EB32433E17CC94F3F7835E7A69C80062A6850F6C0034035B7D0720B289918D20D3F990D2AE9A494E2440F3CFF20EA4A34CCBC724B2A650258E9A8A4963A5261E210F38A3BEA98A34E38A002FF80637EA6D66AEBAD0CF1F38F';
wwv_flow_imp.g_varchar2_table(11018) := '2BB7A0018A7C8B65034A7EB3E26AECB1B8EA9A0A31EE84239FAED57842EC7F02518BECB5D80A7A6025E2FC334F3FBA6603AA7F85952B6AB6E8A6EB96535CA674A93A919803C08DB94D239FB5EAE6ABEF5AC66DE992A1E5FC910D3FF3BC22ADB903E1BBEF';
wwv_flow_imp.g_varchar2_table(11019) := 'C20CFFA4CF84B2CA27F14BFF98930A00B610C317AD0016DBF0C720E3446E4C4EF1534F616CE6B727C2099F1BF2CB309F34A1CB2B950CA953F218C86ECC3CF7EC98CD06826BF396EDFA6CF4D15AD95C329525178DF4D3503BD40FC42F296D758D4E47ADF5';
wwv_flow_imp.g_varchar2_table(11020) := 'D6D5D2BC52D6B4722DF6D6BC14C3CED868A7ADF6DA6CC3E745DB70C7DD521255CC25F7DD7867E405176FE7FFEDF7DF10A101F8E084176EF8E18827AEF8E28C37EEF8E3A48A030E3887426EF9D6E900204E3697771E753AE038EBF9E82F4B231067E12456';
wwv_flow_imp.g_varchar2_table(11021) := '0FE9ACEF74496FE72CA4CC3ADBB05565EB7907329AA10B8D634EED00FC81FBF039E9F25621856C54CD380275830BF1D0E3640A2C6D2D0280186700B06242CD2546503AA354034039DB38CB4CF4E8A3648AF103512FD0FA00CCC23E56A814A40EEF0AC5A3';
wwv_flow_imp.g_varchar2_table(11022) := 'FD41EA000F407B764B9F0047220A83CC62160341E05AF4D10EEF11C47BF458473CD6111900F84E2094E35C35B2218E290DF083263145FCD6C20B5E0C6475114CE103270800169A631CEB014735A4D19E6480F08610A1C64114A1888370C21405644B33FF';
wwv_flow_imp.g_varchar2_table(11023) := '04428FB335447F009097406CA80C1C3AF12198B884080F620A4E0C44119898044144F14351C0627AF33B8A3528523B1B3EF18C1291A2141562458260422059D4E22438A1C5A3ECC2181BD9C6EF8861C6A29C266BA5DA860ED17891D73164128368631601';
wwv_flow_imp.g_varchar2_table(11024) := '80C849F410133DC422000C19945D44041CF2A21C00CE0700CE2D251FCB69519A8CB58D5202C07F843CC92018D24300C4E22843048037E8B28ED819041CDDD806000FF28738788E1A821488FFA4A10C69D86B90A94C08250562C83A3AC4918C7426000C21';
wwv_flow_imp.g_varchar2_table(11025) := '1055B4A2153AC163415461C486D8B0129C11C82A04529DD66D431AA61B482E9389105D24C2997264E64314E148473E4211AB2C8A36F188FF4D8B542319B681CDE828574A53B253218B49C41C0EF208690A049100E0611D7BB8CA86E273207FB084415AB1';
wwv_flow_imp.g_varchar2_table(11026) := '8998684320C6B024442AD10843F8D210A501C5283CE1095F92AE76B9D4E4290FAA1036E4339F0B69E540708A90431C620F8750C82956428E8AB8749AC22B8819C6D0BAC9D1B4218B19C5422132D59D02600E3C154815EAC6137450A48903E9234104D7BA';
wwv_flow_imp.g_varchar2_table(11027) := '6C00F394327D6A435AA9D3830C02AB0281EB1CF25055004CA16E4C58C240A6B08733EC410F2D71C641F43A90461CC432A3280D00DE30D632909575B54BA74107828B262E43AD1135485615B25036D455203EF04115F650853420010084456D1A04B20749';
wwv_flow_imp.g_varchar2_table(11028) := '00E09A263C892A04420300FFC040202E48820F14720734DCE10E0070831B0CC208739E721CA320C1404C170CCC22A4AD0F6D4817B2D00581904220AF1C0835072284977C14003388C00A043202200C0100E72D820B0EC2073EDC010F4FCC0238B6310AE7';
wwv_flow_imp.g_varchar2_table(11029) := '2E64109B554810B07090EC64A720171348130000853AA8A416BE38030342301015A860203900C240AC50103F18440DC34DDF28AA6B0E698CE27997B56F423E6B902004E10A00E8C22802310A52D86214B928082004428950D4B80F8460094701C0E0839C';
wwv_flow_imp.g_varchar2_table(11030) := '77203B602F63018086210BA40CD0DB462FBA8089731204AC0491A9BDD4AA3B8558C1075640310038938AFA0E043C0371041F1C01803E08841CB35D892D6AA0010E20C4FF050F5E0823663CC071A41500BD40E54046018AD2C041205A5602107660033426';
wwv_flow_imp.g_varchar2_table(11031) := '82145DA8EE418A0004159C570A5F3083853341100B03400D07F1464B20A18A0D0060032030C81054D08281843A21ABB8EE0D5503E8838CE0D4046981AC658D3E39AC81BF08490420D6C06A859860206485031EDCF0582900800B62C034155A2206A60240';
wwv_flow_imp.g_varchar2_table(11032) := '022830880BD41B6B86345716D16BC1080070835217C4C18D9EB6418A2090F32AC10A488E5E3811020840F832051CA0000506326F813C8020C63608159E201031C884C11A80C04180E0026DDFB621084C27F45C4070420B44051226F741AEC0051457FC86';
wwv_flow_imp.g_varchar2_table(11033) := '8920E941FCB006220340051C9880BC0150EF83A4802098FF2E08BF01F03631B8DCDF2BB97741087E7010B4C0E614C29D127280102D3C96C85BF88241842E905E2B6178C56584610982873FE3C10C02F9814028207086FC1C0D6FDB1B00A220842534210A';
wwv_flow_imp.g_varchar2_table(11034) := '5300C0695BF2EB52AF37C805F140CE7187062D1024D23F1788DB2B5E06146F81207F808399D3D77181C0410E7E90031EFA8E5E0E48A02010480000AA3E90A313841202F143F200C00282AC60BC6417888411F2E0CD33E4CEAD83BA41B4A06581A0C10C6F';
wwv_flow_imp.g_varchar2_table(11035) := 'F8C31B8E7A903F076FEFC443031CFE0C87E212E4E81028790204BEFBDE23E45703A104174430729C147A2012507B41D030F983342211168C3D00DC7E90481084339E00A7F30FB2DDA48EAED700C003FF1A060F5F00B85EE403E1FDE215AFFE1694A112BC';
wwv_flow_imp.g_varchar2_table(11036) := '2A482528F1859393BCE44131B3460F02084F343780AD937DA7A310E0A47D0AB15DDBC55B43067E84531A0CB87C688006426701F8B77E16C878094109337672CAD7137777106946104B47101E84468A9510D657616F606455C0680737408A778100108300';
wwv_flow_imp.g_varchar2_table(11037) := '70040B910213A014AAB009FD54067BE07DD6170CA27343E39018DB53108D1009253582134610A7366F325710D006001D78386A40740AA17C898781BBE7104350853D416103E105CD76082EB7076350056FC384030148C3132936C48682C35585E6665108';
wwv_flow_imp.g_varchar2_table(11038) := '0032677805F16B0060040791618683075898107A18838CA7781420716FC705E4767213FF10722107863971746147109508422EE0780CE14B8E77032020011B0001EA776F10706F5578033B40040971077D00880040617D7337E946641288075B30785FB0';
wwv_flow_imp.g_varchar2_table(11039) := '0683478B03310445506838888709706FF60700F936103F506839381013508C3B717C0040043B6004BF760309210EAD930349B05EDEF610F57687A6760312B603E45637CE263877F006C0C558B05710A7E587640637A9208607F105F0B5066AA08BBAE87A';
wwv_flow_imp.g_varchar2_table(11040) := 'E33673F4888C00E08CA6660212F00032470008400006606F2D0102D0381030C087E9330657407D0EE1022600021EF08900206B2EA08A08918EAEC758E9D86A2C07009606004D800442307652374D88908077836978307898A68B02FFC108B6E7107E8085';
wwv_flow_imp.g_varchar2_table(11041) := '0F491019B9032787810381009F26101A00006867121DB89403D10230E094002050ADD34B04619103817A57707443900404510665600664E5076FE07A8F158B3FF78F2A291063277603810879A306E3678FF6187E58B8069087105E4910FCC810DD481006';
wwv_flow_imp.g_varchar2_table(11042) := '9090331885446912CBC8019EC70563406112B6797D708297230D93455900F03C0E517114090099A9104060049E378611610870A958A1607A4FF0043219355F7085AC39888F05990A91820B717804A178044000016010DFA8120FC07E06316463A0044900';
wwv_flow_imp.g_varchar2_table(11043) := '929EC3525E2610CAF07F0AB122AC771046A0044AE06C00C055035137A5A78909D1030C587E04E10647409D5023055CFF209E52A07504319E02217A05A1960341690AD10212D910B9E76609F09729E1058F6505AE383C71203C8DF007B24959C4A09C0501';
wwv_flow_imp.g_varchar2_table(11044) := '07710007AA9777564985D34910A7B5036D79106AE806E089106340747EE07A70A0064AF004FF9536E9903900900E4DA20EEDE02448841026EA401C910EAE924403E10EEC70A24D8212215A106773A2D0538407D14D04614467730E330A00276A0EEBD024';
wwv_flow_imp.g_varchar2_table(11045) := '2C3AA209D1243AAA10EA703646F4A46B8320D7E12300B00F296A0F5E231A5B4A48454334605A1055D13AFE413467711D20422522261860E1860BE1A69EE32F6BEA18637A3B737AA778FA18F8933079DAA77AFA277E1AA88CB118800AA7827AA85841A888';
wwv_flow_imp.g_varchar2_table(11046) := 'BAA882FFD1A58CFAA8901AA9E9021BD826A9968A157A2610BE70A99CAA14B2800B954A10B6900CA02A109ED4A9A80A13990A00DA4410C1F03CBB94AAB22A13D95510B2301CB39AAB2D81AB9B940BAAB0A9BA1AAC2F61993604668BF00902111C62053354';
wwv_flow_imp.g_varchar2_table(11047) := '23ACA3723E6C78067563074B641B8EAA2ECDEAACA35205EC291047671B3C93ADDA4A29AAD16CE37AAE29213C8B89647DA0771E17335F52A5E85A29E9668E0FD8121CE4210A632DD73AAF6F729C68A0068E2513CF60255F22AEFE5A29B7200C182310B601';
wwv_flow_imp.g_varchar2_table(11048) := 'AE2B71A2764A20077B1D2D72A73532B10D630E99A3445F83250A0300A10A0B41F454190B00AB93B045611C0062A83774B229ABB24571B156311D34FF75B2329BB316B1344F11B33AFBB30E51320682B2CF02B446AB1042ABB147DB13727A46F5602868B2';
wwv_flow_imp.g_varchar2_table(11049) := '34277A844B1B14917243E3E126B4D1A455BBB4345B104ADBB518E1B37EFAB5627BB668BB13669BB6406B131AC2B64BCB17F9201E2502B7406BA6767BB4EEA0A3ECC00EEE2010EDE0B700F0B77B9BB7F35A0EEF200EDFE01904318486EBAFE0F00DEF4010';
wwv_flow_imp.g_varchar2_table(11050) := 'EF900E8CFBB809FB0D9D41B9E9F00E92ABB9978BB9C18A8D04E119E580B892EB559A333EE7A049CC23BA9D3A0BDF40BA03C1B8225A1094634BB01BAC8BAB39E260BADFB3BBB96A0AD400BAD868BAA77BB999644BD44039C824BC8F9A08BD5010A45B9AB4';
wwv_flow_imp.g_varchar2_table(11051) := '7B4BBA000ECDDB0BDA0BBD8BDA0600FF600DDF5054A1F00D7C0000167010E06067E3C03EC8D4BCDECBA89A760CD6E00BA5990236080AC8644B4E050EDC6B3C3A94BD00603C9A440DCF1BBFF63546D6500C04715E8D400DD73BC0EDEBBF0060C0028C4103';
wwv_flow_imp.g_varchar2_table(11052) := '3C10A78AC0788A4D32301021060094330E76866714ECBF281C46C1C7C1F635542225107AF0920010C200500A02C13E61040E2AFC780DC6C24F750AAC7010A136650391088307067220070461C314AC5F3FE6C3A924099A50107BC0032F08008920749500';
wwv_flow_imp.g_varchar2_table(11053) := '7D031104473004C778774A9C1043F0C400B06D056B2F9A3B0DD040C4503C1A100B00EBF12224207439760A43351085300ABFD05C4BD7716BD071470C005B60061F080678000609FF1104E92B10412075A13A10D3C0B0AE200C9AFB0CDC000DBF108F6F1C';
wwv_flow_imp.g_varchar2_table(11054) := '18711C238A0C0087C00ABBF0C2E4940996810566C05FA12C1084070081ECCA4ADC0B9E210B2987108C900CDC80C9D0B0CB09010D02D17C9DDC170C8B0CC4800CB82110059B1E1B0206503010AC90C705B14B856C06D6BC0685FCCA41C09D03010DDC6C10';
wwv_flow_imp.g_varchar2_table(11055) := '7250B0985CB0C7167500C06FD8A0C9C8E0073037CC7D810CB691CC30B20089000667200639C610AFBC056B70CD00D0CA0E718C00C008B2C00D00D0CBB29097DC050053C6ABEE0C17710CB1E4CC2160500AA5B0727A40070CA1CA07A19E800CCB9D241002';
wwv_flow_imp.g_varchar2_table(11056) := '8D5E41F063AEF00BDC90C9C00C0042600142200447075CC93C8B0FFFDD17712CCF04A206241006028107D9436064C00408510AE3049B02F181208DCD4AECC60291098C50087E5009C5050AC83C100C9B6F42B097610500A557D36F011B12CDCCD5601EEF';
wwv_flow_imp.g_varchar2_table(11057) := 'D10998F60AA530BD02B10987E05A05D14789E065BD900C6A5D1060B006720006A53910DC200C382D10BA6110C171CB65161B00200C13EDD56D01CFB881CCB8C1CC1D220BD3FBA10531C78970053CC710812D10369CCCE47CBE3648100196107DF3B0CBAA';
wwv_flow_imp.g_varchar2_table(11058) := 'D86B111CE0BA1EE42C3E0B510DD3E0DADB310CC7E00DC07A3A94E009A33D880751D2418010060D008E305C2B9781018903858DDA7F111C02E1D80521DB01820BD4900DCB000D9A7B108EEB08C5E5076E209641FF1774008085F9F63C811DDC0080DC0A01';
wwv_flow_imp.g_varchar2_table(11059) := '0DEA1D5CC27D109FACDC59514EEB91CCCCF00CE703D902F20571C0C71B5C109E140BA180AC085108E70B077C70A0AFECCBDC30DA0C710CA85110DCE09EF0CD15710C0C12FD0CF68DDF05110DD02D1A44D095C6287A0C0C00B79D10028EAC6966637B7D10';
wwv_flow_imp.g_varchar2_table(11060) := 'D360DE08F1033D70109C3CE18151D5C05CDF02E279E9251070A9A908F109B520E000A00AC8DA7CB520109F10E0AEC0D7F6B29332BC100386106670AF34EE159CA2E1F0A18803710DE9646B8A1C07A519E6B5001E635E10A559AB94D6E2BFB0D22CFD0342';
wwv_flow_imp.g_varchar2_table(11061) := '608D07C1B00531796C2E10A0A006FB55E56C81E31301D9583E1A77F781429E10C5100BC5E0E090FFE7E2B770DD0B41AD00500B62F0CC03E1E0D0400EC2106345AEE75EC1491771187FDE1838AD06ED9C10A1500C2B5E0C3196104C7D10B56A10D0700C96';
wwv_flow_imp.g_varchar2_table(11062) := 'EEE00711E0A589AC2BAEE94BC10CD190D80BE1E9F02109D24C4E00007CA64E1C85EE4AB7AE580E8D10C9FCEA0521EB075D10BE8060BEF009D6500BC530E86C7B0E35BA1BCBDC10CC7C3ED5F0E9BD21E10471E40581EA03B1D7A5E90A2B4DD90801EDDD4C';
wwv_flow_imp.g_varchar2_table(11063) := 'EAA66EBF259EB7DD0E1A7F0DEECFE0EB1C0273029E0B0C9C0BF20E00AE100A4B6EF0D79D0BA94E10049FEA752E10054F10D95E0CC5E00B232EBADE33412C041AE8EE10CFB0EF02325EA5DEEAB39EF00E2FF00C9FF1035154C1FDEAC0CC0D13FF4F10A130';
wwv_flow_imp.g_varchar2_table(11064) := '46E94EF062EB401B2F413C6FB38C21E9D0D0D89C6E10BCEE1B74C611A1200CDCF00DBD7C0C725E10CE1EF3E400F3B18E0E332F10C57E0C2CAFF504010DE810F1329BA41D2F100E649921AD0CD1E0B85BE104071024633C10D6B3D73A805D413EF331060D';
wwv_flow_imp.g_varchar2_table(11065) := 'C2200CF07EDDA160F2D14EE96706F6603F100CACF5866FD5B29ECEDC800D2EAEB2292A4105710E9EB43CD5505902510DA0A7147B803D02519AD60324475F087D30E3C2DCE00501EF0F0E00C750E9603FF5ABEFE033EFE0857FE82C7FD0BD0CCC8ACFF839';
wwv_flow_imp.g_varchar2_table(11066) := '9BA4E7504BE7F0BA02A1F66C21043FFD269D40E42025580A91F706910B9FA0D00B81F35FCFD7D6FDFA8C4EF10DEFEA450500AAFF0B00DFB0F4D9A0B98CDEDFE39AA4EA00438121E940C2E00C71EC0A91C90801D0C9ECF4AA9FC94C0F00537FD0AE1FED04';
wwv_flow_imp.g_varchar2_table(11067) := '21EB00510C80C058C7001CCC75D0D6AD83AF5C0178E8E920006E132DF6B39851E3468E1D3D7E041952E44892254D9E44995225CA7500CEB57C390EC0387300C08D037750994D713B0F6A49B552E8D08C050120134654E952A61F2D8D8476ECDB41681445';
wwv_flow_imp.g_varchar2_table(11068) := 'C602506822B46F5CB972E37A2C2A3983133F655473D0CD46306BE41C7C1B64ADD56CDF72E26B9A57EF5EBE7DFDFE05908DDEBA73E7346ECB79501A00621B2301F67B42489445139342C6ACB72AC7447248751426F6D865956742539DEA752AD583C7B4D1';
wwv_flow_imp.g_varchar2_table(11069) := 'F292B2CD5B6ED9FF26AECE9C5BF76EDEBD393A03E089DD419913B72DB67D3099EFBF50CE684DC85CFAD05F07D98CCA388CE3376EB83D4A09629107001C074967F46E118BCA35BD0E629B38ED20BF83F6FE4DC79F5FFF7E8DE50E82EB861A69820160B983';
wwv_flow_imp.g_varchar2_table(11070) := '5639D040FE568AE2093B1C0100AB0527B4880A0058C988143910DC4A2C72A8FA30236E9E49A9A2F72C32512CBDB049CE3FFAE8A33046196754AA958C163B3038002A01E40F8B0C39A812000C018A468FF8D0CAC8184F41E71D00BA59C94495B0E106BEDB';
wwv_flow_imp.g_varchar2_table(11071) := '2632088F89C26803002E4D9A869B6B00B0524933CF4413A46A000886434F84B468144F4611B292C7DE30E38D31244A73235AFAD4CF9A838C3965938C92DA0CFF0074129DA8CC95B0B132A1B0360B8FAD30C000494A4037E55449283A0A66996532C2EE20';
wwv_flow_imp.g_varchar2_table(11072) := '340040A38C534101809E3E0B39CB22600088B5D3FD36836651ABB8A988CA11AB34319B57E05A0300466EF93323460120111A4D33FA2208F08408C282F02A9D480811B9910F80170E12D35671C7EDAD8721CA8843A3CF343A75A23200B8E3204FEE43F313';
wwv_flow_imp.g_varchar2_table(11073) := '480E7204C2839AE081830832201733638C11B443100170F62B11DF7BA6226E966BE420400A0C6AE113C175364400B898E8088BD450434B00F000436430D4C09416594674F6A17803863966C05C20220768397A190037CA28C30D2E584DB38FB400A0E103';
wwv_flow_imp.g_varchar2_table(11074) := '80353A5AE6A61A9BC89B6515A52861B0C06A54FFA36BE4D3349450347A1A45AB2C02640D462C7A0B80B71CA1440E46E4405B0E57B8E546167795A6BB6EA254384809155C28E2A07727EA835D374ECD39CDA4933E68838938E0A004BB877A16618334AE6A';
wwv_flow_imp.g_varchar2_table(11075) := '6A842DEFC8C430873D2895CA278A1C7467356AA492880F6A84122129391D80D413A14444686C810380511FC73DF79494B0C80F3E6AD7F98DB5769E0BD00F4E00E08389002E2183133800C071DD89020B1DF32C5A746AA9477FC6518BCAA4A5F2AA964DCE';
wwv_flow_imp.g_varchar2_table(11076) := 'A284BF11465FD4490700F6D61B61044E00E473D696445E11959B9AA6E7BF7F8D88C8881F4446AE0C60A08007711EC09007800D9480053AA0043280711EFF95647419291FAF8235A68E4C43FF19F2A1DF461C062E93B46E22A5CB482542218BD53C431895';
wwv_flow_imp.g_varchar2_table(11077) := 'E01000FC53411AD210427CE8C81FB483260362607908949E458222A11A96846A15D3082026769038C8A1896E714B48A874C1F205C62340D3514750681150FC2239264A44E88A38C622AE8B533E3CC8091037915901C0166494E2465A070612D0B10B7524';
wwv_flow_imp.g_varchar2_table(11078) := '0100EED811126001533F4146342CC611675DA613F29397168323A42EC6E716AAEB161C2549372D00001100E8436570B198DB0583401801D4D112B8C08CBC719222A952461201003600000C5978E52B0F82A92ED0110C5D00401D0F024B00AC2753916314';
wwv_flow_imp.g_varchar2_table(11079) := '2253D8BE1D4D442295484636B2C12D631D044AA784E6E396A18B6DC0020066FFEC14F2D47810C775229A2629D32AADE3A58980A195AE64831CCC6936B880414857788595C2F10D4801A08DBCC29894F834914A081300743A88382B512A00CCB32E00E05C';
wwv_flow_imp.g_varchar2_table(11080) := '7ABEB9505BE1621938C2519F1007301A44EF0425A001C0DAD846867E043E5A481716BAB0062C146B2295C242107C99914A4EE41AD7E84E3800A09D6140E317499192183D224E89D0A974269CDF449E09007B74D4A89D229034B6B10E7A19EE2051B06846';
wwv_flow_imp.g_varchar2_table(11081) := 'CA7254914C6C0829B0800A2C7010ADE20D0078FB01006C7010200CA10316F9C5350449110E0E63AD1A014B995A1709893C2648F24BC43E35F20D6A00401C81D91F55054BA374112823F180919222F0C389340FA300B083FF3D4D39D88E302323B13B08AB';
wwv_flow_imp.g_varchar2_table(11082) := '1E9291878C62B31641060004790D64DC628708B54C98A49690D319C2B541B20E418394083871881BBDF82B00A8218E6CDC85B2BF5DD0DF10390E7914D5483E4C5A049A7004C71E0AB824F1EC28409188870CB41289D85A25B078105C544723143C0843EA';
wwv_flow_imp.g_varchar2_table(11083) := '79B18CF8087575FA679CAEABD783E056B7CF85AF7EEAB03E8B98231EC6A5D11A7F98342D4587A3F1E5C817B6F085767D81235A3070462C0B9FD0664416E0FD110036F187C0F5215D592CA645062A1218D907C01FC64C19EC3A116904F6B807446E469C50';
wwv_flow_imp.g_varchar2_table(11084) := '82254C64B220FE881400A0048E71EC2032B642479E412237FEC2BB2FCECE4428FC068EF8A052D79993905EFFB1268F2416C64FD68D3A38350300F8900C15BD5E2EFEFBE4254EC4C0083EC815A025E68D3C031A3C46987701305FF8600E70986C1767C4A9';
wwv_flow_imp.g_varchar2_table(11085) := '4A55CC1483E9F03094F59C19733015509F9A8113C8A011600019C4BF101917C83C912B70C1C056B082A23D62D93343234C84D45546FA10E783F8E0202468C0569875106F966DAF26DE337EB670103C7CC1A432FE81053C001803002001324ACCA60E3091';
wwv_flow_imp.g_varchar2_table(11086) := '40E3908DA9FE6A471A9D112B2498236D26135C4D84394FC46214CE3E886C2D420E6890A34C2413C31960EC81141CC404139851B1B6B00691A9C1A413190200F942805A031B0069D0C814DC789042A71A171B91F4C6AED0E8457BC4CC23C246F79CC563FF';
wwv_flow_imp.g_varchar2_table(11087) := '5C51AD23DAD803B60E1238D0F1626478E0F493BA318D74E4CE0400D04006280000318C610CA1E846755A108383C08005D003C00E44901113B400002098111A4E3540B3E10110B523F2C6005085BEF505050781007FFE04CA33394123DEACB7456E010C86';
wwv_flow_imp.g_varchar2_table(11088) := '6C19B86AB6488E2792E32F0C3BE2651E1189D04C156C40A3EB1A090629BC510B81646408122E06B53712AB46F8C12278C1DDAC89D202135C5C46AD263700C89D77D68DCDCB3AF70BF4825E84ABF726124C3E1319A8BC115B389DDE0C8131A4355204206C';
wwv_flow_imp.g_varchar2_table(11089) := 'E4DC1FE9DAD73BD298B26B840A7BA8F344CAA6256F1201DCB6AB387EE936010E4C800210703949169B119883C004209080DCF5339753ADFFC1DC075943972DF2853148210963E58B0450F0008B004F3A86EE54A16DD1F854735AC08F067C46E2E076E7C6';
wwv_flow_imp.g_varchar2_table(11090) := '75EBDF3BC83338080058B807216607400E7AFE795E682324C898A1EE2420568B40691A5A20B94612F0805B0300E57587B989F00010E000092840FC303029F8021993021B6B1DDEC91B8F398824D80B04380804C01BEECB8895A3800C788076EB0B234813';
wwv_flow_imp.g_varchar2_table(11091) := '28C03290481677DB885B7805C8B308EDA80E8618865F082D64A88AEF133500183F8B901B6D68068DE8B61DB0885A00805BF82C0020B2D3D21D03B8350BDC8848DA0802980804E8BF83783D0A713E8B2896C2C303E1314237C8B9DCB0854A281EA3B28328';
wwv_flow_imp.g_varchar2_table(11092) := '98823378028E8806B5423CFF14DC08CBCA88E58043DBA80D8A38A88338A83B9C886CC82D8E98AA83BB1E170380130480A6AA9B0504801C1B0343881D7FDA080904000AB4882AC89B24500248DC8FA2DA8778380843DC0D4F04B07DF8887F0045371489FB';
wwv_flow_imp.g_varchar2_table(11093) := 'D887FB50BD42CC0B7DD888550400A23345FC302E7BC02F51242A519C075DDC077BE8C55904C63491C59110C554FC887B88A67E503D7B18C68E404664040027CBB398D98754B4C67FB846630CC66D840C27230A7A2945AA6AC68D18478F08C7C781456E54';
wwv_flow_imp.g_varchar2_table(11094) := 'C77564C77674C77784C77894C779A4C77AB4C77BC4C77CD4C77DE4C77EF4C77F04C88014C88124C88234C84EC188723CC88564C88674C87FAC878794C889EC136FA4C8FF8BC4480A81877440B58CF4C88FE48D7F180E9024C992CC0D9134C9945449BEB8';
wwv_flow_imp.g_varchar2_table(11095) := '8FF85BC9978449930025858CC99AB4C98EB0C89BD4C99DE4C99EF4C99F04CAA014CAA124CAA234CAA344CAA454CAA564CAA674CAA784CAA894CAA9A4CAAAB4CAABC4CAACD4CAADE4CAAEF4CAAF04CBB014CBB124CBB234CBB344CBB454CBB564CBB674CB';
wwv_flow_imp.g_varchar2_table(11096) := 'B784CBB894CBB9A4CBBAB4CBBBC4CBBCD4CBBDE4CBBEF4CBBF04CCC014CCC124CCC2344C8D80AAC3544CE93803A88A022410034A888EC5A4CCBE704C2A98028FC90488A8CCCE5C0A0939032F68CC339882241003CF444DA5080554D0B62838032AC0CC23';
wwv_flow_imp.g_varchar2_table(11097) := '1083CD1CC461B1C1D4C44D8F108833C83600684C339C08FF57A0055A609ADC34CE8E3895ADD10300B0100080AA26384DD00A0CB89906083B4ECF34033B10428E9B086D03803198085AB80538A40827BC4EE3EC83AD61CED34C4C796B08D059268BA0B9F3';
wwv_flow_imp.g_varchar2_table(11098) := '44CDA7000042704EEF4C4C8BB0056698862A4234288386D3B24EFA54C72F3C086D6B4C8E30257118065BC01A16FC3064A8A90613866110065708012634D078C44F2A184DF79C886191A961F1223B0331A440D1A4E0A85D3B881988CE0E9D453300003358';
wwv_flow_imp.g_varchar2_table(11099) := '04215450D74C4C3100927993295798988A9050F8420666B80C249C0806680219E5C69CB351ACC04F8D38833FF89357F02ECE918F5FF035009B418EA0056FF288D1B027267DB23CC1A462604DCF7B02FF44780860D8A16489CF191BC3E7A2D006732E8BE0';
wwv_flow_imp.g_varchar2_table(11100) := '835C285032053104DD851C1DCD26A0824B1A4224BC05DB40D2F8A2D08D1886FFF2266180D484C8D08CC0453E7D2E1AB50841F0CDD18C82FD74A3E20400A89BD01D4AD4AB38885820224B8531EF5C50EFF4086EB1D30F1B0650ED88549D88E80805245255';
wwv_flow_imp.g_varchar2_table(11101) := 'E0BABA05ED5491400648980B1B73C750F804F5DC55E0C2548B704DE78082E7E4883200866C78A3E6FC949C9CC545D8525D4DD6DF62386D2383C4FC148EB80112B20831A89575DCD66E852F86A303423883283D485B655753D484794C4C37F88439AD57A3';
wwv_flow_imp.g_varchar2_table(11102) := 'FA0333408355D30879ED08F5998834FC04E33AC77E854B2DB83A281857E7DC08EEA84EFFBFCB085761D8BA6C9780D582C8FA043A00006DD90861A00592D5C1B4B03119CBD8824C85378A855B7859BA7983C031833210D85DC80891ED208BC0C45659D980';
wwv_flow_imp.g_varchar2_table(11103) := '1C8687B08551185A6088853614172BA8822B78033C018004B3862880822505804F1102AA0D4FA59BB127500263C3D89FE5C7FB1886677B05E883190AEC378B7856926084271802959D08B8035B7DC488482803226B5A00F81B99993F4A7401B3D0D48998';
wwv_flow_imp.g_varchar2_table(11104) := 'DA890805F09285AAE09827F8024A9C5B801C0320040020A8BCF4D3010C1B17C54937B3000090955AA81A5C88204470911B00E839D7695C812C02494CBF2968A98091800D5002D53D0842F894885DDB8D58990703048F29BCD3EDC7FFD2B519251805A91B';
wwv_flow_imp.g_varchar2_table(11105) := '970708C0043D0BCE0DD78FD1883F1106689005CCCA2CDFF547E43B881C903725F85B04B51509A85C8B80106DA30368F5885B783000D8AE83F85AEABD47628DC4894882C91D1713D8800D808183F8022B88CE286D82DA4D4CF72DA5B9615F7EFC82B12ADD';
wwv_flow_imp.g_varchar2_table(11106) := 'D48D5C729902FAF55ED205004804598BA0DAD8009B117D05E11B607E8CBDC82582222882B353B74E81B7FB3D081030021508ABD975CE41EBDF83888DCD723B8B351B295002E393DE0CCEC71D905FF9B5953DD80300B838C5B9DF16F02ADF1CDF8398DA4F';
wwv_flow_imp.g_varchar2_table(11107) := 'F102DAE408BF3B820DC6E17F24022028578BF85B34A9833498829F9BBF8380E2A73A6228D05923DC5BBF9908252802FF1988E281DC01DED9812E4E931FF69615388810DE8867FD9426E0827BB1080804E03516481EBEB5D63D933AD86220360919DE3940';
wwv_flow_imp.g_varchar2_table(11108) := '5E481BB0DE4ED1361D4081FCFB88880500E9E5022E48C3A765841163E481ECDD0A9202E2FDE483BC3740C96200F85EA1E082502E657FFCDBA0603E4E31024AFCE38C18B483488B46C0839EA99DF89108457E657E945F4F80E34D29638E189AB4588B2EF3';
wwv_flow_imp.g_varchar2_table(11109) := '83D4A9844C901F0A1E6680D4010FF85E1018400900810A9811C6B5022F6817EE9D083E984F8DD0C08320B222AC667C94DFDC4301BBB31548F0BB42409273DE882F44032F6CE77EB49983F8B9830042174802EC0500179882E0CD3152DE0F38F0832B0404';
wwv_flow_imp.g_varchar2_table(11110) := '0D7C03FF38C0DB90B0E37EE64723F80322CB938E3E083330AF74F1E834899753B1021953828BC6687F84C0101E2AC5201062B83709E5108648DFCCF80320312F8FE09822F881FCABC29526484E5B56E3C8B58958877148EA960000C47892A64E0EC3C28C';
wwv_flow_imp.g_varchar2_table(11111) := '97495B8BD8BF8998650080000314EA7F8C044704895B38E53E9C087940EA8938079A800C0F509CA0CB880408BA8DB38814EE6A82348448308446D8E9A9F3B4BC3908C635C28DE8866E180775308CBED0008D706B0EF00014F00018B801BA06ECBA6EC811';
wwv_flow_imp.g_varchar2_table(11112) := '5B8F2DF034491C68203CDEB3B208D91D1289580551258AAD66EC8920619CC967342067CAD6C73220647E0200F32A6A1FB0021FE8B71CE0E18338E6FFBD004295F60826B6084830046176ED7B8C830AA3D11C28BCC7888374890333B830814D6625B002EB';
wwv_flow_imp.g_varchar2_table(11113) := '56022550BFE910D1E336C89D3EDED88E83C7188553DE88BD3E8855D302D8EE0D3E9E4024F0EEEF9E8815D081E3B5887F9E08F3568C6D980865501050E8270048972B048CC90600F88EEF8264B889700124F8E71CD0011758658D88835289219FD08F4D3E';
wwv_flow_imp.g_varchar2_table(11114) := '082310C1040F489903003A9EBF80060038EE6D90E851DFE89BB0F202F8E68118F8160058390F17484F4EF183C06B8F20A85B882100A869EF8A28BE7813F602804CD8CC48C8044FA6717E74C58EC0D888EC087AE987666CF22967C5BFF044295F72815CDF';
wwv_flow_imp.g_varchar2_table(11115) := 'B23E08B39E08289F882EDFF2ADE407B17DF0C626EF087DA0C9320FCBC4D2873877F339A773BB5CD83AC7F33CD7F33DE7F33EF7F33F07F44017F441074B6824F44347F44457F44567F4398FBF52B508FF3087DB6CF49F34EBFDF10F7A3007FF30EB746087';
wwv_flow_imp.g_varchar2_table(11116) := '9A903278008091ECC84AE749789007798007545FF5546F755587755867F558EF948A33F55BC7F55CD7F55DE7F5CE9CF25F07F66017F660EFF56237F66347F66457F66567F66677F66787F6689776B8BC07439FF66BAF217C905B7A0C080021F904050A00';
wwv_flow_imp.g_varchar2_table(11117) := '00002C0B00080040025D010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B183332DCC7B123478D20438A1C49B2A4C9932853AA5CC9B2A5CB921E3DBE9C49B3A6CD9B3873EADCC97367CC8E3D830A1D4AB4A8D1A34885FEE488';
wwv_flow_imp.g_varchar2_table(11118) := '2F69C27CF99C4A9D4AB5AAD59E50F1F16BFA52E6C07AFAAC36D5A70FEA3C7B00ECF503B0EFAADBB770E3CA25885620BE7D5AA376ED481640D87A6EA1DA1B1C2FEDDCC388132B1E8A961F3F9AFBE40100166D2D454F41EDFDDBFC6FB1E7CFA0438F9405E0';
wwv_flow_imp.g_varchar2_table(11119) := '9E63C8036D4DEC030A409285F0DADEF4A346B4EDDBB86DAEEDC73525286EA9009C468D9158A4B08C74564A579092C05B96734B9F4E5D6358B62AC571D979CF62394F7D0044FFA214C990C07EEA08EEDBBA9251B7EAF0E3CB870848E03CC92F99EDC41FD1';
wwv_flow_imp.g_varchar2_table(11120) := '3C8074C318520D28B46422D07B006003407233D1320C00C88433DF8414CA17566103C95621429D09444F3FA074830831C484F3CF3C00D0631F00BD6DE8E28B3062D48F661FB1A5618C04F5234F3F9E44E38A2BB7FC410B3BF1C8030F3CF2F087E3924C36';
wwv_flow_imp.g_varchar2_table(11121) := '59503F8F09E7244151EDF84F25CCDC424C96A098F34F3F9B4D29E69831FEA39998F67C844F3FD988E38939ECB0A38E3DA0A4C3D9666BB548E69E7CE2664F9464EAF38F3995D06205985F5E69E79DFD44D7E7A3908216E694F008240F3B86AC238E5A505E';
wwv_flow_imp.g_varchar2_table(11122) := 'A94EA28D020640A591966AEAA956C1F34F379E8009263F57B2FFD319677AA16AEBADB80A354F3FB780D22898DFD9438F3CC3CAA367AEC8269B531300305B533BC2D58AD43FFC7C080A28EAF0138E2126FE2AD43DD22A2B2EA4510050EE4D48D6E368519D';
wwv_flow_imp.g_varchar2_table(11123) := '3D06E6339578F28A9D8D02F0EBBA37DD430F3DEE8CEBEFA34F0C7404B3349420506D2AB5038F8A27757810BE0C41C90F549DDDD3593EF536CA0FC4344D6C24A9FF86DCE413E72A84071F29B5A3B0A815E1C9B146614AEC985EA66DEC98B7F6BECC92C7F0';
wwv_flow_imp.g_varchar2_table(11124) := 'F42BF2CF3196EC2C426A148252770A339C503FFBFCD3F45A0E1BF472D45143B496631BF70315D63743B99BCE2BF1DC8E9240974D61134218440300060FE487230BC21DD23DF728BC30944FAED574417BE7FFECEE408F01BA9B40618159DA5AF9001AF1BD';
wwv_flow_imp.g_varchar2_table(11125) := '8C670CF64B131F09ADE266573EA11034A4ED92BE76334CF9796C6DD6B4D3E7AD1BDD3F61A14E5077FF743710B50F7DDDF8BD03D57B53E4F0B063F9EE2F669E9023C9012F90DC16D1D3B9408A372AFA3EE9D462472CFDE8A37CD460C2534E38AA9663B170';
wwv_flow_imp.g_varchar2_table(11126) := 'E5B4A30F3BEEE0238E3AE274F3A9E10ECDEE78ED38779C8F91BAF32E7F759A0F5482101968CE07F0FC3368901A6A801B221CC20FCE1DC97304C113AC5231050030810CC8108E6538D30F7AFCE3160840410CCA41816B00E01FC4084026FE81064AA4A20A';
wwv_flow_imp.g_varchar2_table(11127) := 'C42000076C01BBC5CDCE5E39B35DE958822FDCC56F7E38ACCEDA0090017301807803710425FFE0E63F00E0C168406488F10E28A51C35AA6990D8842A54D18A4D486674D3ABC73F6CA1046424211B2F780600F281062F7CA11F70184312CAC18C1D944332';
wwv_flow_imp.g_varchar2_table(11128) := 'E14288FA683792CED0231FF5804A69F4788F7AEC4B5D19035C3E8EA4BB38E6F090A0B95F09DA0600943142783F04C01009228689F8B17389935A69FE118B56D4C218BB5045FC38D297C8FC4318192C433A60F08C7F444306B7D8803A3C1180D73C030130';
wwv_flow_imp.g_varchar2_table(11129) := 'D08F211FC6B818CA3023F9B8073CD4C19CF4A4233DFFF90F7300A00E77DC11673684C72E1149CDAAD40F0A00581BE684C0C8E11144883F1CE22307E206895CF2809974A28D90818A56F0E214C718E53EEA654A5A24211C0F0085097C05FF870088200001';
wwv_flow_imp.g_varchar2_table(11130) := '2A831240710D18BC3176736C5F4672670E6602A0A1E9308739D4518E89B2A3A1EC608E3C306699684EB39A204D0A360592B66D66EE7E6C0B181E1EC952703202128E18E0408C0691732E6C384EE4C73ECA01005FF8C218EF90876C64E31879B872030FA8';
wwv_flow_imp.g_varchar2_table(11131) := '823A7E80002E14C115FF30C47822C18C1FB882030F48C53F3ECABE843EEE21FCC82833B3F18C8A66C31CD74B8738AA510D7344231BE9608E56EAE53177B0439A21CD2B5C76C8CDB42D3288800DE70F1941D3C03EA41EEE38126026C53EA7ED831C9FD845';
wwv_flow_imp.g_varchar2_table(11132) := '3192C4113CA9E71F46FA203CEA510FD7994958C23912B140C790AA15C4B415B9873AE0448B2F64421CAE48403690C10579FFD0E207B760441952D18D72A8438B14E4873CDC012DBD1A972ABE4BDB0EEDF74D964A3292C99169411881B2862C7161528B9E';
wwv_flow_imp.g_varchar2_table(11133) := '8DF6F18E4FA8C21B6CE98BC40452236A01EA4B0201558E60B8937FC043A2EC48452ED5E1062E6482185E98872D76900A3818211C1455073DB206A57C18EFAE9F3BAE828382B96C92F4A406C1C3370D52D846020011D25D884D95C63EBA61161A8B80DB27';
wwv_flow_imp.g_varchar2_table(11134) := '72412F44E98DBCC843EF793A8437BC09442F099EC93FE851D189DAE206A0F04019AA308C32F4C3155C088739224104714CF48E599B183DE2D4C4053B392828EDEB49EBD71CB90D11123F4C2200FC50D3EB721886D2BB0730DC10B03388410C5470432ACA';
wwv_flow_imp.g_varchar2_table(11135) := '41C1A18609FF5686335CD428A762F6DA241FC464872B0CF10637C0211B493084123CE10A256422137E784345D901AE241B98C94F8EB45014C94D00545A201908D84018E11C871451211BCEE93FD201872A54010062E08218C6E005D78C4142A705D7662C';
wwv_flow_imp.g_varchar2_table(11136) := '661AD3CC585F8882473AE0D10E73102B1DEAD2C930D3118E6888431CBB3E7638AE71BD6C84A31AC74CC78EFEA6E476B0836C92CE364D2E4DD283946C9206F14321F850CE81B88280A1661FAC3C71843108C40BAD1E8315525D853F24EA83F9F847363CB1';
wwv_flow_imp.g_varchar2_table(11137) := '2A16DA421DECC8043D88010F71B0B01CC47886396C410C759C9B1863D4C99201DED0F4A84C77CCD15DA5D4A12A4755FBDADA0E394FA84C523C104F9C02FF418423C40D8032140233009806BABD9CB7A87A810B5C288340EE708732B8DB0B6FB05D3F2C96';
wwv_flow_imp.g_varchar2_table(11138) := '0D50B08319C350C733C2C10E4FCCD61CCB56073176540F5A44431EB630C72D7A32317D71B866FB025C9D9167606B3759E468470923D13690260C4D20515003A7E5E6DC8CF023DD5D350F17AAB01D81FCDC0B6340839DDC65B1706CE91A644D852D0C1F0E';
wwv_flow_imp.g_varchar2_table(11139) := '50C03615CC4006AF98718D4FA5221512426D4D6E26488E6AB2204A8E13B6D34EFA90949491DC2EC81116129C8154E3610AB93BCD6B97335B44020D3F1FC8CDC710095BD0A32CF6223A36A6210E0895631AD188063C30938D7244E31AB6B885C191618E61';
wwv_flow_imp.g_varchar2_table(11140) := 'C88318B28AF14C382FC88D3524F4202FBDFFF84762309213A48705F902178EF08583640321D308C72F418FF7DAE5434E0411074F01500EDFAA0AA7FFD0599B116C33A62E500126F5800FE6602717D52FF7902488F171F2A07DE3578111D14D07A1391610';
wwv_flow_imp.g_varchar2_table(11141) := '05DBF1041EC00208D15000100EDB4010AFE728EB227BC7E3448E4241DEB21938E535E8D51913945EFD001809A63C11F8683764813E481128F510B5E101034109AF700B47287D3D2821244838B1577F33E42E5A0318F4D059E0924E798385E7913518F318';
wwv_flow_imp.g_varchar2_table(11142) := '5AB8181F77763F38860D413200103052803014310AB046100D550ED2E0414F387B4FB21014C8317F03380441816F017EA34786809810B52161D345107E00077E5009AFF07E06710BD2FF0000C50700DB700BC9F050E6D00DD781102AC844B01725B68353';
wwv_flow_imp.g_varchar2_table(11143) := '4B131D7C281A121888A6A810FB5310D5D548703010A1B00A90588208812002310EFA3110E0908907B189D8C54BBB388A2E528AA7388C0D911C6F0300A1907FDB600EE3804C07010E00F07AB4E81050C83EBF4826C2488CC4083734853249C48805710EE7';
wwv_flow_imp.g_varchar2_table(11144) := 'B00E07D18600B00ED058879A588DB82281C0A88D68470EBE60348BE04D8EC007ABC81C71D510E40800E0103FCAC07F9208710DC18EB7928DF0688AAB68077860077C2310FD6810EBA0222A720E422610AF100D0F2510B2A810516190B6E231D6F6870949';
wwv_flow_imp.g_varchar2_table(11145) := '869B2010AD3011EB300F112910AB500DE3408BB006362AC289CA127AC5FF5592C3B80BA0E60E24B92206E16C05217F4AB482375976D7F68E3A39869AE021FDF89306D191106140BD78940706954B398C80D192068121431911890392A8E28759A993C640';
wwv_flow_imp.g_varchar2_table(11146) := '101439105EA910E0308DDF2796A7829065399707D18CE3C04CE3500D98318DD2900CB7086A7448122D668D80833E9E2192E11714D4209574892CDA909209D18C02610ED01889C1204706E133C241951CA631EC058A2EE67D63F4395A538563242AB5B216';
wwv_flow_imp.g_varchar2_table(11147) := 'EA323139A24762481588899535D10DD4F01E6ED99891620D00600CBA0900E450912D298292D80D25588204D9109A0900F5A78370062B38D885F50067FB026763E435AF639D1F2443B0B35506615E7D3848231914DBFF400D8C488BD3200DD31090B7899B';
wwv_flow_imp.g_varchar2_table(11148) := '4EC29305614507B10DD2E096B75809B07710DDC18B4AA33CC4E45EE6A01F1DF225F9560EAAF141C3658389C20EB7700D16640EEE200EBAF30F0F7A0BEDA06FAD940DBEF70F11B247DF290FE16914E4199003319EEC792B3C258BD520A2C789102B5A109A';
wwv_flow_imp.g_varchar2_table(11149) := 'A99FA5A345AEC042C3700B76C50C15F50C43B76F99200FAE304B6FA06FD7A02DF9360C91100E46950AD9E007D9F00FEC300CCC406812F207D1800C99B0A0876622AE731591F3A143619BE0509B25FA28E00500BB004A025107AD6110B89010912010A3E0';
wwv_flow_imp.g_varchar2_table(11150) := '09A350097FD0109C593A16440B7E300D707079990007E2900991900DC0900986E074A0100988160E7EFF9009D7900AAA120D77C042DD0055C8D00DFF300CEF670EA96074E1A01AD9400BB6D00E8637469A971491635745517C614A8BD430A66452A6BBF9';
wwv_flow_imp.g_varchar2_table(11151) := '108D0000F54110FE311068408DB3D728790A07C8C065AEE074E5E00599C00C91F00FE19009FB7607AE807C5CE009D7402D2AF20F99600EB4D0A49ABA0F02A7675141AAD1900EB4D00FA9A00EDDA01F4A3914B1B9AA8C09AB64F20E03B10B90D910970900';
wwv_flow_imp.g_varchar2_table(11152) := 'CA20A2078106F636872BE8ABFF900AB7F00FAE000A9E9009C8000F6F600B55970A86600890900A093BA87E700DEC000AAAF20C05C2A916A4A9E230AE86E00AE160A49EF00C8C300CE2300C06C2535F55145D9A9842419ED0489CEE6A2A3030106FFF5A10';
wwv_flow_imp.g_varchar2_table(11153) := 'D5D0A6047B118E916E8D32A0F6120E35F629E2900AE27041CC900EA19A0DF27075CF600BE9D00D44E709CCB175A3364BE2D00F11340CF6300CD5D0B500F00CF6600B321717EBFAA5312710615A10C170998F38B33192924BB0020261030000044340106F';
wwv_flow_imp.g_varchar2_table(11154) := '00006630106F80066FD0676F7007008006E5467B0A71A78DD5649B913A11473DA7E562CACA0EDEF70FE290479FC72287D1B2135814AFDA0DE0B00A0D30100189AF70EB22C520101FC00003D1022E6010457010844BB803A1066EA00668A006B99A107E34';
wwv_flow_imp.g_varchar2_table(11155) := '2A55E937DD0115743360061696A6A1177EA42FF7307418E375F80626510125F4601A43B7BCDDB1BCAF6915B199AE37D105E3000E30FF77BA31E20CB5900618A00102010236000404F1BAB15B057D5B1078B0B702E1063AD7101F199839038389032B0118';
wwv_flow_imp.g_varchar2_table(11156) := '9D74F3995122A0F8965ED51A15ACE92EA8C5BD46B1BD4991086C3082DBB00AA460AFE2EB2252040033C0103BA0024410610040B87F4B10BBCA10CB0926D9C0889B61B2C8935E30342BE9500D5AD47C968B0C76C26CADC3C070C1B93AFC12E0100C583009';
wwv_flow_imp.g_varchar2_table(11157) := 'E060BA6F4B101D69BA177C1BB1A00314B00109C1BE03716A06D1B0134195A2F2B31A4A09B4E00EE9C00CD63A0DE6D0A4A41A0EC2355160720B91800CCF000995500E916074D160087EF0295CA5182DEB14E0709704410D454C10AF300A6F5AA700D07743';
wwv_flow_imp.g_varchar2_table(11158) := '400440D00249EC19AAFF10091F00001E408416410AB03895D775C55A93A90297A986000AAE800CD560080192094EF70C9EA055F9A6A0D1700BB6C05391400F5AC50CC4C09DB971C755210503D17E060102885C102A60032070033790C88AE1050E090014';
wwv_flow_imp.g_varchar2_table(11159) := '00C9766B110159C10B91BF46F92BFF700D8C10B286C008AEE0B57F900A9E40638A979DA366A3CFE00AA9202BD5900950750D5EBCA5D99B180E7C142E0002006003C94C103630023BE002786B10790B00B19B0457E06EC28C18E8FB001440102AC0BEF8AC';
wwv_flow_imp.g_varchar2_table(11160) := '022DA0CBF0BC10B00000AFCA10CE6C93F612CDE1E00A820A0A7EE0098A1A09A990096C66080DC742F2D07B151BAAD180B1B720AA9EC0669E78AA3BE8A1BAD3C32EFF0104F8BCBE0201042A0000FB6C105C7005DB01D4012D1A1040CF3680CF0DBDD01541';
wwv_flow_imp.g_varchar2_table(11161) := '813EDB29E670A517847942760BAE200EE150A1AF05005E6C5B99100DF4E009C3D00E9CAC15232BCBB3FC3E66971439A0040851065B40105B80065760105A3010732D10523CD48AC1BE3B6D770831D155E99915B35EE9A5A1F659C0E9C53A50A317300D1A';
wwv_flow_imp.g_varchar2_table(11162) := '8829156670D702A10568F0D605A17357F0055AD07E75ED367E40BB7ABD187D8D117ACCAF14ED3779D44705646077A42EED002B0504185A9322D19B499DC132D2F1D84E51C297DDD9026106681007700007828C105CB665C51DDA7101C502E10113101172';
wwv_flow_imp.g_varchar2_table(11163) := '300AFE589081A9318F61595FE299E84331AEF241EBFFF52534BDC3E0D98345A173963DC504619FF172D80571B30521C8C7ADDCF0D1089520A23A03A38DD50F4CB726A795285BD53A0DF741CE0626A3756FD5A1DB48112F02C1DE07E109EBBD10379BDC08';
wwv_flow_imp.g_varchar2_table(11164) := '31B80221D9F29D14BECD10EE8DB89AA8B85BC82386400BA3E625F5C071BB960FED900EFDC066E5C00F110570964BE06C462C8D7D9868EDB28711BE08B1BB0231DCBCAD0449B003BB7CE1A151ABB81089A6DD8B8D62312BBD19E1C0087FE0267EE0078C90';
wwv_flow_imp.g_varchar2_table(11165) := '09D35006C90107C0D0238C80A1C8600B7E502765E0072B3DAD756CC7E32D9B46218ECA891091D0089100083C3EC80451B30050D4456D101C40842840E44661E10AE1071BFE3A0981DFA1F20F04FFB519A9900EED600899100E543BA398F7508C1009D710';
wwv_flow_imp.g_varchar2_table(11166) := '09E9600B1FFD0F9E80C6ECE0079885DBB841CB70A18B97C9E3756D0502B1038E0C00094010AFEEC84E4C102F2010B16B10BCEDE7539104126E87867EC9E170A4EA600BAE400BAF30A88F3EB0A9300D99D00D52C50ED1C0088A87254E8708E660086DD242';
wwv_flow_imp.g_varchar2_table(11167) := 'D271E39D7B144090030E51A7AA0E002D60021E20014875E7AE0E00040D001C4010310004CC6D107DC07304D16AE3AEEB53510671F0A67D5C10B582774BAE6F02F2AF95A00F70F50C4A9BC2EA5079D1100EC18E7815E5A8F2F00CEDF00CD770B4D4C1B946';
wwv_flow_imp.g_varchar2_table(11168) := '910439F0C1AC0E11799EE705010336C0EA40600400A0EA7DB7B783BBB7B38B102AFF8F04008065FA2E1557B0C9CD2C1C025F60DE6D38EABC1034789DE915DE6E41EA4371055A00E80B310220E0014F4F84EA2BEF09F1067040BB225CC27DA7EAE1211048';
wwv_flow_imp.g_varchar2_table(11169) := 'B00448A0F296967286906137DF1337D0D04C5FE82962947E030070B42F08CC5EE0122DA55185748347CD8B38467FF4699E147190DCE7EDB7666005AA5E043D0D005F80066810BFC34DBFA09DEFF48BD705712E620F00973FE767DF13467003211FDF9A88';
wwv_flow_imp.g_varchar2_table(11170) := 'DFEAF662B1973CBB381F1C2F14DD200DE9481097B9750EF1CFFF0C00B3AF104690F20691EF0E8108E661200000736E70045260F69BFF12A70604C1AC895FA1BFA5731A78A84EA03721A9DF139510A7AE8FC407812200D08A0AFF4104495005F7EB1A05C1';
wwv_flow_imp.g_varchar2_table(11171) := 'D67D0700799D103BD06A04C1FD24FC049A56FC34F10793AF5549FE65B992AAE4DD137F100700F00700D1C8100082056FE14A565021803870FEC069F8A72141140094289C02C0C88E850B938C29E3A563C7325C08C2F143D0CF9727496C8D841953E64C9A';
wwv_flow_imp.g_varchar2_table(11172) := '356DDEC49953E74E9E3D7DFED4C9AE9D3B00FF64F2E3578F5E3B78F0E801851A55EAD482FCF2C16BC74E1E3FAA5D0BAE1B3772DD487504CBAA5BC70EC0D871420110555816A65AB533D99D2578D7EB5EBE7DFDFE051CB8A752A64E01F443DA8F205785FD';
wwv_flow_imp.g_varchar2_table(11173) := '143376CC78F142C7822DF3B48A55ABE4CB7E8D76D4175AB4BE85F5EA75469D5AF56AD6AD6BE603B0B429BDC85CFF157754FC5921BF7F9FFBE5ABCC95DF63C4AE535B9597559E719D4891FAE4CC5CFA74EAD5ADC3840D80F0ECDA87FBC9BB47D02863A395';
wwv_flow_imp.g_varchar2_table(11174) := '8B0E379ACFB7D57F88FF592578FBBA57E4CAE73F07407AFE7EFEFDFDFF07203CED6433CC3BF5C249259AF7F2A1A7BD6ED4E9A7C1ABD229879D7FDC29279D7E8CFA871E62DCE1871EDE96EBE7340081AA4FAB135764B145175F8C6ABB0223FB279C70AA19';
wwv_flow_imp.g_varchar2_table(11175) := 'E69A6A6E31671857B2C1B01C5BB2F1849967D8B9269A4CAA51A79B7FCCA1C59C6E68E9E6195AB201E09AF760C429B3ACB804334C31C7DC4F40199FF28EB76E3C01209C6CC21187161B9929A79B61CAF9A71A3787098799376F49E71F664069B31C66E8AC';
wwv_flow_imp.g_varchar2_table(11176) := 'C6FFC8A2C83C2A9FE4546434524927A5D42B02D1F4EE9F72D4D1B49D678651E79661A0442654379F31271B76CA01209B613AC4B39C5BA24426CA6EAE59B4D2AAAEB24F575F7F05D6D7ECCE8CAFA0F69E8AAEA3F1C4FB271A4EEFE1509CA2C2313657D7CC';
wwv_flow_imp.g_varchar2_table(11177) := 'DB2BC5E582E5B65B6F5F448A58CA2213B1B77CC2738CC3C324E3AABDC380FBA71EDB00B0671E7BAC5DC81EF9A4BA77B17DFFF272B36F0726B8E0E9EE41EA9E4B6992EF31C8284B0C80C486CBAD5FD574B3ED5FFA7815D8608F3F0619B084179EC93C87E3';
wwv_flow_imp.g_varchar2_table(11178) := '4BB620C756DE109F784A01208B0BB200E082306ABED9669C77D6B9E79C7FE619E89909CAC2947FE6092CC5909766BA6914932259A6DA4E5E37FF2696DB432C9E44041060A101BAFEBA23B0C11EA980020628BBEBB3096AE0917EE6C94DB78D35DBD669BB';
wwv_flow_imp.g_varchar2_table(11179) := 'EFC65B2184A12ECC44A97A337943C7F6B18714011C9009ED8ECE2E80A0C61D2F4081C7011860F2821407A0EDA3572E4AEEA9B4CD3B74D1990E37EABFFAD947EBC3D17E7C0005D0AE1C73852CF749738BFD027D74DD77FF7664009AF23BAA743D3F4C9F7F';
wwv_flow_imp.g_varchar2_table(11180) := '5639FCF10B4C79640E070478DD6C9ABA2E48FA9830D73C9F7DF09D5BB99479073FFC314B2F0CD3D35347DE01B42F78E40207E698C3F5AE2F687C81911458A8F1C6159FBC6BC9D97EC43FB283AD8D3D4A7C0744E098DA838F7AB8A329B7FB0BE1B6A63E01';
wwv_flow_imp.g_varchar2_table(11181) := 'CCE102031800FBBAE60053C0AFFF79175008CD00803800E8426632D3C51C14328B30CCAC7204714000F101807D688C2A8891873BDA51B704F6D087FED99BC2CA67997D1C0F7A0010C005DAF0B5392CC001F53385220601004E84451725E4444148300753';
wwv_flow_imp.g_varchar2_table(11182) := 'CC621C9CD04518F2A00B5100C014A20823F53217C0796CCF869FE3D80FE538C7FBF06D3644541DFE06E080363CA20D005004F540F888310212008F00003808420253D04C1761648329C200465894228C8F988503F0B7467BD8C38DB8E3180FE9384A52A2';
wwv_flow_imp.g_varchar2_table(11183) := '666FE202CC3E8A88BC4D16807A7C9CC3E162D8862C2012007308C31F917848A221320B7F34451415D1BC3F5E60936DAB1762DE28958089B294CF8426EE50E915CE1124755BFFDB240623A7800A5EC07F6A74E52ED51639AE11C4750451400336B9CB82C4';
wwv_flow_imp.g_varchar2_table(11184) := 'F05EDB631601A392BB68D6D39EC293981D0B0495C099EC1FAA545D38F9F7B875F2CF71945308FE5EA74700EC0F83D52B88E6E2C19BC3C467993E7154AFEEB9518EEE847C77E44B35018ACDB59913000A00A1EB2E08B982B4B2A10DDDE43A637201CD15C5';
wwv_flow_imp.g_varchar2_table(11185) := '1EEEE24B333BBA539ECE243CFA34DF0D452A41717E4D7604E9DAD864D7380184F3724D259B00D0A6C635C66351F2A40A72DC51979E76D5AB7AAB4753E411D4AE608B70DB50082CCAA8D65E000016B0880A5C177246518CE31F373516D6BA921978A8453F';
wwv_flow_imp.g_varchar2_table(11186) := '5F056C47EF718FD3C063AC97718C688A45107DA02E34B719CDFF6154591078AA727B4651E57B70DA1BCE62355BF7688A5A041458D2D673B084FDDD612D531C7C407021FCB0076C658B347A29641EB42508D2708B5BAEF4EB7BD90A2B564A3B5CD30EB6B0';
wwv_flow_imp.g_varchar2_table(11187) := 'AA75CD6F2BBA937BB5A737C7016D5F03445CEAD2F15CC605803C90DB1AE55E5426EFF1AC651C959CFC54D7BC3F34EE69C64A56EB785764B871EF62B4DB8EF3D6B787839DEE5883C71AE25DC65DFD850A3D1A2831FB169877D71D6C0E1D981D9AE0D727A3';
wwv_flow_imp.g_varchar2_table(11188) := '650E8463920F06C304C28415B089E8E140FA2AD7C01F669A830120177BAA831D7001718A47875F09EFA41E22C6498B2B051F15D7D8C637C6718EF7031B191384C28CFDAB8E853C64AF74728613CE4E8501FF800F06C77621A1F9F174F043642A6FD45E33';
wwv_flow_imp.g_varchar2_table(11189) := '64B29219ECE07AD8A3CB05B1183E8EAC9F20B7C61E4756089AABBCE61FF623B677FD8C73082CB5DD7898CD77C6334CE84B90ACB0C32D3A7C4B3BE8EB0EB89CB82E0E2C483BC6B21682C063D10B218A70DF129876A8A3D2E7F033A6F79C674EFFD01C0010';
wwv_flow_imp.g_varchar2_table(11190) := 'C73BC4212D85B08A5AEFF83400529D485203A01BD4C80635168256D60C210905298242AE00002D74DAD7E21307AB4A5D8E7710FB1B00480741140980B08C84D605E906415EFD6CD600E1D7D7EEE1378ABDED74BC43DBDA2E48AA975D136A8C5B35407081';
wwv_flow_imp.g_varchar2_table(11191) := '0A14E2032BF820081D4908B6E5ADBB7290E3D805597658CC0D0E59F35B21E62688BDDFD119FF20A860082EB80841763D926ED8D5CEF386F8AFBE518E6F245BD8E850C8A7C1D1EC982852D66D5D482852638385BCDBD9DB88766D23BEF2819583D4C24E36';
wwv_flow_imp.g_varchar2_table(11192) := 'B201206C727B9C20EA5E37007CB09A1CD4C4C92C077AB0EE5D9056271200E758B6BF01BE106A88231100900241B6A090212C841BDF800641BE210C6E28440D7B0080337AF2868E600100669746AB0822EBA0B71D58ACCAC62D944D6E6A941B26A41EC2BB';
wwv_flow_imp.g_varchar2_table(11193) := 'BF008020E47D24D0C03A41A0710C8574A220DAB006009A91932F1C2126D350BB42F4E576CA570AE74547FA38C6CD6F70E8C2DF23813C00AA3E849E4BC10752C8011A60B2F56343A3EB0BB106E2B5618C9FECBC14C1E88532964190DD57FFDEF78C2AC642';
wwv_flow_imp.g_varchar2_table(11194) := '2AF1EF8284A5DCBA607B22AFD8797C839CEF7E0740CF0160865F4CE3F500083C37B22E7800107E21B4FF09095621570094A2177275EDEFD5BFA25AEC8226FA56482F969D7CA313641AAE887AD5FB1E0429541D00B278BD6CB83E853886C0F3BEA8E8B585';
wwv_flow_imp.g_varchar2_table(11195) := '383FE75BBF067C115F58843D688182483ECD5308E493B5BA3B3E45BAA282900591E33BD1E3BFBEEBB95FC0926F1840EC238814F40567D80563D88553E0092B280307B4C14841853388BF91503A66DB38CFC3B7121207C8630400B080BCC3392BF03F15BC';
wwv_flow_imp.g_varchar2_table(11196) := '3AC8D33EED0BBC85A80585D0849DA88532000482C8A28E280570880700BBC130BC8E09EC0857C0023020083424085958BBFF0E5C0830883A11C4B91C50014060C382E006C89385D6BBBED02B8853E005B133089B6886E113C3430C93142088B672852D30';
wwv_flow_imp.g_varchar2_table(11197) := '3900C00382E83FBE733C005883340400BBEB3AFDEB883A64063C5CC101743D0040066CA08582E0858520869D28854A722B00080390D385ED793844B4C5CE4004500886849083BD5B883500834BFC8235F0C53530C68E08821F10BD251C8221908367B03E';
wwv_flow_imp.g_varchar2_table(11198) := '00884659C83A5040060078066E788667108622DC0400500500B0049E7805B76AC5F23B3F65A9C55B6447C1A0045C20886304463398BE8530BB2D004685788569F0C598604327DC4385780282D8466E903B442808B023881C9802E9CB09F38385F3839952';
wwv_flow_imp.g_varchar2_table(11199) := 'E8C27898BCFF76C448E3C88635C0822F30BB78A4C74B54882F983A859005645083980882220480ACDBBE3804801F703C6EF8856B04009110090048032B38848503003448409A9048B932BF82D00530CCC8A4148C73F885A0AC4785308363EC0870980659';
wwv_flow_imp.g_varchar2_table(11200) := '1086985CC2471C096E604921200865ECBA4F4C4900C80800400200B88232B802A0B489646043B892C5B66A0339A0862F4C3FA5C4CBA9480341988992A447823003B39303005043480480DE038023A8C4C4844942F1C0ACFB8114F8011B1848379886ED53';
wwv_flow_imp.g_varchar2_table(11201) := '3D85180300D84C82F8827EAC09062C08D1CCCBD2DC0B325088635B8655288844A8844A284C4BF448D5BBC47C9485533C4582A00400F00339A084C17405FF61F88582D83E82908181EC082B28885D4BC02F704AA15C8811C8010B2001D3B4CEBD20844358';
wwv_flow_imp.g_varchar2_table(11202) := '082CE142650886822847D70403390083601C3E6828C7674086AB5C085A4805E22488DC54883B288861F8C482E0025FB4022EB8823894022BB83522188331E883821006617806745CC8E7C382A2BCCE07ED8A5BB8CF51E83B850B02D05408D62C470068AB';
wwv_flow_imp.g_varchar2_table(11203) := 'E1048014CC892A20089BAC89BF9489AEF3D082708121D839828099A2882F0895D18E4845820885460005C7FC499958CC8240CC96D44D35788284FB3B85A8010058849868849B3051208506B75C44D19BD129E50B4A7004DE0400380000B28B0993F83F00';
wwv_flow_imp.g_varchar2_table(11204) := 'C8CDA1D38882A80222980984EC0812E53FFFFF5B4200508111808968208864083D9871C8459CC518A5D229DD055F5808F6BC09385883485C8869F8061D4DCC5C5388E254885C580868080593504E99D04A00184C860000919B86E1743ED25B426A40CA3D';
wwv_flow_imp.g_varchar2_table(11205) := '15D5D41407EE8489702C884E0805C38389AE833CAF8C894C1889E023CEAC43D39A00832E5888A75B5200804707CD813B9DC551255699788990FB842924884F208824050055B5D14F0885F724080124881410821FE8010020B946ED882860D6823886C1B3';
wwv_flow_imp.g_varchar2_table(11206) := '449824883000839B290834445785783A00E8558578B72524CD62B5D78500045965D65A080566ED046545C87F5D88DDE44E9B74842380559D18D77105805808053768514CEC022C30BBFF2E4043632CCC4A7857781CC98F54882DB9D751AD069870836705';
wwv_flow_imp.g_varchar2_table(11207) := '00698D895028866370D470C50603ED3AC713821BE8811BC089AC5B58C2EB842B2588422804DD5CD6866DD85860D96B04BCC85388170DD9A59D099E1DDA918885863DC0BD60D48EA885702D08652D08475D08390580367857A615DB85D0044DB003035588';
wwv_flow_imp.g_varchar2_table(11208) := '5A8805AD2D865868DB5CF8045985899CEC89632087ACAD053F2D8862D05B822806109CDA85B8D4B1ED89B678D0B385095A5588A88D89D773058230029C98DAC0ED88E0FB5B82E05A0038D0271CC58EB04AF9245C9AE0AA077D0560F004441883818404BF';
wwv_flow_imp.g_varchar2_table(11209) := '75D462C8DC56F589EDAB5A82F08550B00691E3DBBD0580D75588274C4DFF98B8CBD02D08782088758807E385501A0000B50D3ECAB5515A0041028C05A275DD9A200761B0DBC3ABDCBF0DBE5C58D9EE8389D98D8975B457E225083431DEF48D07DC0A4396';
wwv_flow_imp.g_varchar2_table(11210) := 'C409C5FD538270855C4041ED235702EC0868C0388218D7C1135F1BB58663A055EF15E0D74587CEED5D14C43EC8F343E185095142DE8238878258458248BB6AA886946B3B35948491C0818A80DB5AE05DFED5DCC17BDC8E380687A50972284E1626BC1726';
wwv_flow_imp.g_varchar2_table(11211) := 'E1465DD9191657D97DC2977D59ADCB866FD86107A689473BDE855887B4030065300769B805225686A20B3A46C8C282B8D52A70D69BC0DEACCB85D795032D6504D08586BB2D88BBF55F862D4EC51D61E7456085F0C3FF65E06156095E070EAA753807B098';
wwv_flow_imp.g_varchar2_table(11212) := '6068BB45ADA589FBED887035D3826852B4CDBAD73B36171E3C2FEE3E5AA5610038E47125076E80C2C6F5619D98E3E2338778B3C158C0DA843C04858C89EDE33AE2045182185C208DE1637BBD027C54E7055FD6E55F5BC84D60788553DC5000A8043F19DF';
wwv_flow_imp.g_varchar2_table(11213) := '47265E385E8B7398607350A471308766FBCE7200074A2E8351703B54260854DDDA8538862A7EBDAE935D9858035058453E50880386C201EC3A862D885040859F5D0842155CC2BC4434948248E406EECC0656410A9015DE70808738E6387CD360650080FB';
wwv_flow_imp.g_varchar2_table(11214) := '5C888168BB4FB6898525D74FEEE48E50BD58C6DC508409BBF53E57E082D8B48936505769C4C31E7E64FF82D00600C804F35D350090062C21E22266C76BA0E48E0054AB536099284985E881843D5198386985B09F9BB19F980083D0833C6B2508DF22DF3D';
wwv_flow_imp.g_varchar2_table(11215) := 'A51666DB866D50067BFE4E82903B0018057B0E43197CC33FEDE2FF3D366CE0E79938861C5E41AD5B54643ED7827068987EBCAE0BC09B5E2EE1458585306A002847636E8446880385F8038260933F3003446D3B56780774E80653654D99703D04C686BCC6';
wwv_flow_imp.g_varchar2_table(11216) := '89DDEC5DA796EA455D0887FE5AFB6983977E69585C883BCC066C78D9AE0BEC8926087BFE058E1D857865EB51F00436F1842535833730032B80EBB6F38699C05900B85B402ECE67860660000060B8052DC5096D8C094668E9ABEE88EAD46D3C78B7FF6FB0';
wwv_flow_imp.g_varchar2_table(11217) := '3EC80386CEC4065C916CB28C095290868E2688BB06801A2C0334A04F36D9AF4304E4BF06006CC84650B48914F4DD0F1D89116C4682B08020B000A8230821B0802778B73BC446E32488C87E641E28822F58EB85E0D885A8C18250BDFC06053DC5B65DB006';
wwv_flow_imp.g_varchar2_table(11218) := 'F0FB3B516CEA0FCDE167C0EE5649D1C6D5E61C06BC3F2E8838444E00D83B4245C348BC7071E60600D4C65374036C68ECE22E087423528278CE82E0D2E67603374083316093CA1B06852087181FF0BCF6DD01946AA796C6FF15BCA7864F0070E22C1D4CDF';
wwv_flow_imp.g_varchar2_table(11219) := '2C4C47600446184C47B8D4234F04140440CC1471858053D1730120F03FD0A4CF8560F1922D59DFCB611A0FB861E8E23BE606E2C646FFEC76ECC77E86637DD403C66B28746DA06D04430480DD4C044A98F3DFA4043C6F555A48EB28A7091185623820D43B';
wwv_flow_imp.g_varchar2_table(11220) := '7003B243031657BF6F7070EDE35FF6E48645D65F1BFFD0AC43F3829CEA6C083D8216D3A9865D00800443A47382E8D54A987382183E3EF77430B53F8806F491B036852804D90E431DC786A1DBDF0FAD6E5C91EA69686078833C7BC6E79150E7DE3D639A30';
wwv_flow_imp.g_varchar2_table(11221) := 'F582885750A8045F7FF59E284271EE0843186ACAB3E99188848E08653988036E978335F8F650DEEEDEF5E4518C04487871599609534FF6DF75F556C1928C7EF69CB86FCA6BF08278CF3F87892EE882EAECF77FAF4E69DEB5C886EF98F0846CCF09369965';
wwv_flow_imp.g_varchar2_table(11222) := '69EC3A6168044AF8D1FF79EF88BD4B8945285062D83DA31605780CD588D3F1557F4311EA088B5D087E570830D8822796894E1F8974EF88A71BBEB0AD8417EF863CDC702BD5BAA593F89880856DD085B4ABF7B61B618530738260030078BA740583A4271A';
wwv_flow_imp.g_varchar2_table(11223) := '39607A351CCF4418CC5130D5A966CFA37D540018ED961F85E1AB0463068074AFEB92AE56996BE39D476E5A8B7876BC442CD05585F058BEBB6DB4AC09644006B9FBF5AEA35664477AAF077BA6BB3E26DEF99A80C765008773F06FA0FB75006881F29EC0F2';
wwv_flow_imp.g_varchar2_table(11224) := '867C3755379C73812250019F04000C2E08AFAD6047066599608374EFFA9160F9991B7C9958EBA08F8DB3F73D6448069BC46C82C8D1444805503861427185BF1F89FF1CEE7CE636F082C086A8A5F348A8EF8218FDD6ECFA772DC76E803CFAB326D67FF6CC';
wwv_flow_imp.g_varchar2_table(11225) := '74797358878E773B68A8C95F1886055F0842D9D0E163F685184E30276E305788AB8C46909F89D137E644F084AE077B53A586D23FFD854803545F88718007EB6F3BEC070861C386FD6204E020C22F0811A241B845A11500B810225B6811C0AD5FB42E0238';
wwv_flow_imp.g_varchar2_table(11226) := '168923C24A00028D1A35D213C86C08A9890390CD9C3D7B07F9F10369F326CE9C3A77F2ECE9F327D0A0428712DDE9C690C569EA8A326DEAF429D4A840A161BC19F18A94AB376F65C479CBA630557F00F4F9D3E74D1F330BCD04F1217254A25195E4AEBA66';
wwv_flow_imp.g_varchar2_table(11227) := '919BAC6FD400ECFBC7EF9FD4C08207132E6C78B0B9FFC38A17336E7C13984D345A146AB1A270E195CB0B6F093B4895E2AB5C16A171FBBCB00F9A435AF6A8B5480221CA8322117606B0EC1B806FE0FEF573ECFB37F0E0C2018C73D77B38F2E4CA735EE1A2';
wwv_flow_imp.g_varchar2_table(11228) := '05A1E5E658AFDCACF8EC193766162B02E05E9A1BC7D668010439D8A0FCD783D116825968CBA5CBA5CBE7CF6FAD66CD652E0054A4985098007D3695132081051A76040090E9C40575521C24C515D4E9C7D133D860771078D820F41969A60190CA41DE8CA2';
wwv_flow_imp.g_varchar2_table(11229) := 'E041AF01500C34E49066D119622C041E00E900209381F39960C2412078B0D81600AC81C71A07E1D11A424514415800352AB92493BE31B8908320C1B85085D068080078DFAD278D32CA1C44CA89FFB120E403004782C4070078A820DA41E250C34D624D0E';
wwv_flow_imp.g_varchar2_table(11230) := '05010700500000044478518618A064930C0020DC70D00B268870D00F752E94020C00ECA8D8900068E6A32370F80140439202A004824E01F82980358A09989CA59A6AD33055EDA4DF17FA3D77D02AA395B610870761632534CF7014CC310B0D81900A3941';
wwv_flow_imp.g_varchar2_table(11231) := '722A53084020C141103CF043194481900208381E86061A40A6F963908D5402C842CD46E494010B1190C0413B3E00C010CD2697C97AC4BAFBEE4EBF2E54491C08FD02C02FE9E9E421475F69530B422EE470508BAD2CC4AD8F00D4F21EBC4479000150E722';
wwv_flow_imp.g_varchar2_table(11232) := 'B4630A0098A063B98265AA161A3F0A2907475C7CE1C5103B808B50B8126F003142FF9722B751C33133992A51B210D41D00D8E97C654EA5E862D3C043C87B064E6CCAECD39D08FDB0504BCA7CD10247112410819D1E48FBEC423A7A4081048A3EA51F1752';
wwv_flow_imp.g_varchar2_table(11233) := 'E81744949420142500492481901282910B400226C3C1519D1C5010010286117134DF35A6BACABD3C1133D1421509F30BBF0068675185BA5A14B83508410DC0E40020B1102E20324473DF3A2190F7DB17557353000404507ADEE7B28C5002121F142A532E';
wwv_flow_imp.g_varchar2_table(11234) := '5B840700442EF4061E6FA459ADC617A144492AAF649269E7C51B7F98E3074D93CD942FAAF48D4A0765130E00D48305D24716317C3C4F56540180835F202252263A1921451965C05106175C8C31E14D5CCCFD543C33D24823F7FFF9EBBFFF42A4928A3F48';
wwv_flow_imp.g_varchar2_table(11235) := '00D31B5209A51E072120FFF2E7BF79208446FB60E003F9328F7DD8631F8AB1473CFC92C00DF2EF1F3241A06F00F30F0BD6848345B147090F98429CECE31E00B8C73DF251C2151AC81E23BC615F723842A81CC7843EFCE1618ED3439DFCC58640B4080803';
wwv_flow_imp.g_varchar2_table(11236) := 'E8131A9ECA82477C2214A328C52952B18A56BC2216B3A8C52D72B18B5EFC2218C328C63192B18C663C231AD3A8C635B2B18D6E7C231CE328C739D291833549621DF3A8C73DF2B18F7EF4093DFE28C841121221432C24221359C7769843468A7C2424D7D8';
wwv_flow_imp.g_varchar2_table(11237) := '0FF944B292961CE3242FA9C94D72B13771E224284309C412E25194A63CE5FE0E89CA55B2B295AE7C252C6329CBFF59D2B296B6BC252E73A9CB5DF2B297BEFC25308329CC6112B398C63C263293A9CC6532B399CE7C2634A329CD6952B39AD6BC2636B3A9';
wwv_flow_imp.g_varchar2_table(11238) := 'CD6D72B39BDEFC2638C329CE7192B39CE63C273AD3A9CE75B2B39DEE7C273CE329CF79D2B39EF6BC273EF3A9CF7DF2B39FFEFC2740032AD08112B4A0063D284213AAD08532B4A10E7D2844232AD18952B4A216BD284633AAD18D72B4A31EFD2848432AD2';
wwv_flow_imp.g_varchar2_table(11239) := '9192B4A4263D294A53AAD295B2B4A52E7D294C632AD3991645085010C24272210C5A74861BCBA029285DB1115B8CC216DB0322147AF28421A8010008036A216F619258D82216B7A06ABB9E0805472CC4150B9105008EC029A826B237C488C52B884AC5A4';
wwv_flow_imp.g_varchar2_table(11240) := '1EFF2414B5410837A6D119B491B59080C9C41B2E95164C1D110A5100C05F0F920B982D641A609582581752BFBAFEB10C3638880B8C00592600603626F42B5BDD6A11B00A495E8C556412CC04001FE4405D098C825FC980DA26741521B6C00B34F4D52CB3';
wwv_flow_imp.g_varchar2_table(11241) := '7DB6906B3BC8DA72608BEF6D30A97EB58957A1210B6158B6B68434194286B0B62400A1763E0CEC567EF156E30E7252A255820B9E0B00283481B50769AA5319D10884BC622170F02A75F9C80593ED0DB7BF6A2FFF88B610B64629530601405AD38BC8C71E';
wwv_flow_imp.g_varchar2_table(11242) := '8408402002118E245AFED1C1BB0871914500118A4A78F5A900C89E7EF9F803E496C9847A40ED45B840DB8B800C100D19708407F9DF462D6460FFDCA3036AA18B103C4C0A00E0356D88130984B5B9C075FA5BED41BC408946C0E10B6E584844B87504BAC6';
wwv_flow_imp.g_varchar2_table(11243) := '5890FC3DC8B9A8E3C34AE8AEC89A5401853958E085DC57525E9042DB9A355E273FD276409C9B17DAA69F86C8AE0CE8E5F220F575E3D4DEE4C71C292F9AFFD85C9320EB78AC88028AA1C05690F8C16CC58DF32083251B0D188F0F5C5D4453EDA093F2013A';
wwv_flow_imp.g_varchar2_table(11244) := '92204001080E7231098080D20D43131FD064934B596A7E08999BE61ACD47F86E00051E4041DF86C58742681A244DB6C81BD0E06651F7D1B38F0240768D9003EC5A2E076BF3C1F794BC244318C4138B43C81D6E8786F45904C4B4EE6312FA50AF3798010D';
wwv_flow_imp.g_varchar2_table(11245) := '66180B00DED0E4B150FBD535A2FF4425AAFC86641F2422A1DD41C50E722713DCFAD979BCAD68B7611165104322F526DC41D263129310C8659739C20E5AD06E772BD276DE3E4838C6719171AC83E10A070038A847BD6E48E320801A4E0C16F280D0E9E4B6';
wwv_flow_imp.g_varchar2_table(11246) := '04AF632520DC135CD4BB7A1759074202799071A8E3E1C179C0B9BCF6714B46C2108D3004522CE2836FA5ED206D3B8897A5B70D739C8392C2B101857F3E734D6ED9B958F89E89B37B83EC6637471651FA41B425117C03E7E04B7FE41888B790F1D68BAFD0';
wwv_flow_imp.g_varchar2_table(11247) := 'D939CFD356F5850C3C399DF87A24FFA03B6DE33AE80018EFB56B1787D6BCEA55D051821500BFEBB507E77270AF64CE01A0038758E40FE35D45AC409278843CE70B9349CE14FF247BF847F601219046F545C8B4906058641B15B738E90FE2094F8C772C41';
wwv_flow_imp.g_varchar2_table(11248) := '028E113CBEF944621B21396082E85D00022610DE2272880DBE4F4F9F292401094858DAEC0B5906DDA17A038142C80A10E2FC9E3858393758FC0B92FFC8C9D7FE208610F945E00C8055A8393D2497DE6FDE3E1B4A5002FCDAE7A3016D127F9583E438FF48';
wwv_flow_imp.g_varchar2_table(11249) := 'A2FD05F89B52BEDF8FF1B788CAD11F00082000FC5FFF71933EF0833E588413D9044D1CA03A2DE04C3C200456A00596932A5DA0066E200776A0077E200886A0088E200996201719A009A6A00AAE200BB6A00B2AD427959C4D24463A1CDB0B0A133C00C080';
wwv_flow_imp.g_varchar2_table(11250) := '00404BC84339B4440E9A833A0C888CB40300C8C70EDEE02FB95A833BC0433BB48313B64313B6033BC08313C203135EE114C2833CC003019ECA2729A1188E211996A1199EE131D1841AAE211BB6211BA2211CC6A11CCE211DD6A11DDE211EE6A11EEE211F';
wwv_flow_imp.g_varchar2_table(11251) := 'F6A1FED4030AFAA120760E0C0D5240000021F904050A0000002C0B000B0032025A010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336A6498EF9E3D7EF8368A1C49B2A4C9932853AA5CC9B2A5CB973007E6EBF8EF9F4700';
wwv_flow_imp.g_varchar2_table(11252) := 'F362EADCC9B3A7CF9F40830A1DAAB1DFBF70EAFEC513188EA8D3A750A34A9D4AB5EA4679FF04FE2BD78916BCAC56C38A1D4BB6ACD9B30E87C502406BE03A0088C64CCB34EC16A26E9E08AA43CBB7AFDFBF80034F5CEAAA9FA181D06C01288726552A4891';
wwv_flow_imp.g_varchar2_table(11253) := '32197225B8B2E5CB98339B8D64AE8CAD51B132518283A6293B00E0DC0DE4A7B9B5EBD7B0633FCCE507CEAD81F76CC18BF4F9193061D5AA94E3D70FC01DD9C8932B5F5EB938CE81FFE45D23664B5D3973E2AEDD722E70693EE6E0C38BFF1FFF136C3D82F7';
wwv_flow_imp.g_varchar2_table(11254) := 'FE791A5606943E7DFDFA89F3F4AF5EBF7CF0EFDD23CFBFBFFFFF26D5F30F30B7E8534E3FFADCD34F36B1F473CF7BEFD5F39D4021013021801866A82186F684F44F2AD9E8234F82FF5C53183DF1F5C3CF3D335DB8E18B30C6A85C71C4F1438F21E20070DE';
wwv_flow_imp.g_varchar2_table(11255) := '3FAE84F30F84EF65C5CF9044CA68E4914856068F3BFD94F34735F4B0030A28FDB8038F3C4BC2038F40F200D0E597578689A54BFB2569E6997F75E9943CF410C74E2A95A4324D3FF2605927965B0A94A79D5BF2A9269A80062AE84B42D634905135256AE8';
wwv_flow_imp.g_varchar2_table(11256) := 'A08C364A9E6A2AF23353414352542449C515970F7100281869A5950A44E4A50AB9A8D13EAC39AAEAAA2CA1B8A9A90070FF17513EF4B4695271FFA418A9ACD0C5772843FFD02A11A906CDF44F9EAC26ABAC4628A6AAD18A75C26A105811E96A2DAFDC590B';
wwv_flow_imp.g_varchar2_table(11257) := 'EC3DF210BB5047CE16141F3FD12D6BEEB912B98322AF12F98A5B9D1E62AA6D8AB1B21B914DDD86DA907EE11234EEB1E8062C3041CE7ED72C43BA0A64EF40F55CA98FB8FE22B4B0B8EE5EEBDCC40BE1EB6DA9931EA4623EC7223BF0C8E6B6E88E7DAC2D6C';
wwv_flow_imp.g_varchar2_table(11258) := 'B1BB0AAB582FB7F0B0B60F58FFEC8328BDF482C59ABE2B195A1F3C0F43B471CBE46E8931C948A3D9E24CEEA497B0C4D72624A93C4CE60A40AEFB5CBD8FCDF4D6ABE8D542B2B4283DF09459948A0027ADB6A3DF996CDFD3155B1C6BCB94E24375A659D9FC';
wwv_flow_imp.g_varchar2_table(11259) := '0D22ECC0FF179F4D077EB5973AF05887CF3FE4AA3476D922FDFBE7DA9003DA36D34E774DF7CA73CFBBE292377F974D1D38A0634F4DF4FC33CC037E1496C433B4FC7147155B4A8B12D96667E478E4B82BBD74D3B9B24CF1CA5DA7B8399329821CCB26AAA4';
wwv_flow_imp.g_varchar2_table(11260) := 'A2CFCCE90113891F99F453452691C0310C28F58DB4628B2CCE24E990B4FF0A7CD41EA3BD65D0B9A71FE3D2F99CDCBBBDE3033F7C8AFF8C7E7C2DDAD8B44F7AB61810092DEAE002239200876C24C146CF6A183BD8910E7538D081ECE892A4C8F69DF8C58F';
wwv_flow_imp.g_varchar2_table(11261) := '62459347EDD4C7410C4DAE7D02B29CBF2C78B1E2DDED6F5B83462B54810E796C0D2BAEF0431952418B0058811265C8442636920F79B0C31CE930073BFF1C680E75A4A31DEC2017ADE0514112026F8419DC6007A7C89F0951EE7D507B6209C745B59A8C6B';
wwv_flow_imp.g_varchar2_table(11262) := '1FE970862FBEB1B5FDFDC31608008515AA408C481822156FD8413A1087917BB4A381E1C84639C4218E7264431C48A18785B0940F27C6AF52FFBA9214A9C8A83500400D5F9002002479A6540D091E33A396A21205B64D72B2938992150AE5510C5FB0636B';
wwv_flow_imp.g_varchar2_table(11263) := '00C8E4D5FA510F36E5699114B19B3AD8E10A5A302212A0900C1C5CD18E66D1431EF3F0A43087F9495CE5AA5C8C4C161EC0A0063504410D0078C299D8C73B9559B065BAE2471753B40F171EA316A854D8CE36098015D1039611B9473DD4D10E4FA4021486';
wwv_flow_imp.g_varchar2_table(11264) := 'F04426185186615C6982F2789B213127FFCE0CA22F99AA5AE62301F08569EECE69597C62BDEAC545E2016079FFF8C6273EF10DB0D58B3899720EADE8B1298CE46388EAA8061AB850064FB88219C380033C0469A3B29190A10A8D14C0FE09504739020C37';
wwv_flow_imp.g_varchar2_table(11265) := '555AA73AC2BB7E290CA617CCA63CDAE1ABE509C30B627043158081389C69A59CACD14FD82CF2D10682E20D91488515FC600843D02282E5A4DD3EC7D7CFB4D554598E700400049AA4DD85D02063C5667C864ABF6C3CA10A62F08217CA508E58FDE397C712';
wwv_flow_imp.g_varchar2_table(11266) := '64E9A283257634ED223672A038B2619D70E49119E548074BC337D6791D6A48D111D9591B55508440F2B31B9A4919DDC7AEB866343EF46887124DF7042EE8750C55288C801C1B8E3EFF9A231AE50829339E310C64D0F122517AA03ADCE18E0512EE1EE063';
wwv_flow_imp.g_varchar2_table(11267) := '1C50F7292ECC6A69B3AA8A642407224D001C01004278821028B9A1D1BE15AE4EFC1D3DDC412E01D1A20A5C184319CA30BDBFFE231BC300643AC2610B665CA31CD7A80633A2412DC46EB4561C5D5A72CD56D9D23AF7A1D055951AA4004D2944C1BA42B8EE';
wwv_flow_imp.g_varchar2_table(11268) := 'FAF2E15DAB95CF90D81CAF514A970A29C036BD5E30C47D8E628B6E006318E1A0453588210EFBDEC2473EC548A846D5D2DAF94E840B91E9F9122CA8234881BB07C96E7627A9564A7CC2C84626CF77BCEBBB11323745A925577A981189378CC10B68C80433';
wwv_flow_imp.g_varchar2_table(11269) := '1CF48FBD94A31CDD48477CD5D1E26764E31A49893162C3053E0D8EF0FF770E492482796C2652086408411048677F3C104A0AC1208EF88440922C1035D8013C15865F5C5B16E54C0D718FE628627A3695154575E958ED5047C3B0C2127EB4527614A1DF98';
wwv_flow_imp.g_varchar2_table(11270) := 'E86C265308240C7220083427595D814461BB0339B22342A15600D49A2081764D7F53B9B59335F950E493AB280190DA42FEF4A7861AD74CE8A7157276FA97A09E482247446A338902130549044113D2EA40E7FAC8822EC8276EFD1AD1F6FABBE005363F0B';
wwv_flow_imp.g_varchar2_table(11271) := '32DECC955361FC5AAE4028FD6E359FC446F28876BBFEE6B06A274911055144204A511030AC35CF904448AE0D32EE70BBC6DC20B470B51492DAE56E9165BEE2194CF08D4E69FF6DD4FE16D42000200A813C82E004FF2945224AC172CF1E1A39B1B3108B48';
wwv_flow_imp.g_varchar2_table(11272) := 'AB1051E2D820C57E5ACD7FFD6E9770BC71680379C893840953CFE2120379042700008B47C0021604D7052C04D20B58F44217D358081E1E1985565BE683BEC698421352EC6A1DEDD9F906BA51843E74234D4220482F88A9E5CE7458CCA2208D38C8220472';
wwv_flow_imp.g_varchar2_table(11273) := 'E80743F3C15F9F77C4C5BE6E844419216AE6F9C63F0D7472B1BDED802AF94066717786F80200BB68054150B10854D8E1E500E8FCDE357186BF80FD6DDA1BAABEA3D2309A5E847E3B86BCA36031F7853483179707C02776B179DE17C41A00B0031DA0607A';
wwv_flow_imp.g_varchar2_table(11274) := 'B749FC59AA2FCBCFEC2D6DE2CC54F68DAAFC2CECAE0BCAC3A2FA030145418C71795F00DF1AA8003EFF2A303FFE81A0E2187D39BDE22BA24DF22ABF1EE4DDB545603F67E89B89F202A9FCE401807D81E84220A3E00C02218000E00CCD3010BEB70BBE8779';
wwv_flow_imp.g_varchar2_table(11275) := '02A10705410E98770A63C13E3AB27E964235ABF714F5117F1B216AF07076F69721A6F07FFE0700FA370BD5478202710D02A10D03580CCE500C04E10BDE0700DEB77B024107040181BB007CC6C08055414DE8867CAAF57E4CA476CF178249A27F03918209';
wwv_flow_imp.g_varchar2_table(11276) := '910D03A80D32381031888006210903A107AC700AE1978000F08341E856C79711DAD40E19E8143F738671C66FF5A784467209A2507BA6C08410510CDA500B62947B03A810BE600CBB008613C834A82712EDA78644414148187B6E6824983009D8FF36109C';
wwv_flow_imp.g_varchar2_table(11277) := '200A9C600AA2407B0B2183C72085067180540886B9E70CDC67100B1815A7378632967C64F15747D8816CE87A8BB8217137106F07008E8874D8168B00500B02618704E10DB9787B02C1897BE882CE40805F1885C1281080E814DC3378A9A75A59C12EE192';
wwv_flow_imp.g_varchar2_table(11278) := '2942D17A89F88A47A2088D28108E080098A008DA08000007002307009C300A05C80B02C88B7B5810C2080030E882DE608CBC8010BED00CC6608C43E156BFE62B3A773930351051164A7FD33B6FB62992E21CD4E2322CD130868830AD888D31528E04818B';
wwv_flow_imp.g_varchar2_table(11279) := 'DCA808B35810B5508F12C18E05C19108017CFB287320D48F38332F27E98FFD7078A9B228B8B21AAC746C02721EA0D490AB783646FFA188128926188910F5B84202A10A12410EDA20807A0886DEE00DBC308503F18E3FC18FD81254F17378477147EC9028';
wwv_flow_imp.g_varchar2_table(11280) := 'F4C082F964285F660EE1B024CF500ED5B047F0D00DF2172037693B11B9932F429106310918A9088F90911901924DE910A01814427863D764418DF62100501DE5100EAC910AE2E00ACF600E5F410BE6D00D94505B7E300CAE600BB6400B9E90142BE190D7';
wwv_flow_imp.g_varchar2_table(11281) := 'E88A6CD91F79208EE348102307707039097320109B6010A92910ADB009A7B09A08219414A10DBCA0794001954E5660BA5276FF600899E00A910000AE700BEE944BB6E009D9F00F99900D4014593C4266E5700B7BF45B28A199AC9893D4D69919920523E7';
wwv_flow_imp.g_varchar2_table(11282) := '96E2B81057200987FFB00704F19A12080096C01042D90CBEA08F08810AB84783EDC8137B6973BAB99BED703500C00886000A94010A91A00EC31009B7E00A86C00EE7440BC3C00EE2F062E1200FD9900D8E650ED47912D6899349A89D47729A83709A0591';
wwv_flow_imp.g_varchar2_table(11283) := '06577010876009879011A9298C844008B0B98F333788C2769F7FE909F41509CC400BD960A0996099B780A026F565E2600ECBF90CAE900AC8E00A675912176A3BCEA7931A4A1E7479101D0A007930078140105530050030054C30106970067BE0A50ED10A';
wwv_flow_imp.g_varchar2_table(11284) := 'AF890AB6291097279B0371088240101C299200209425BAA503917726414DA5639FA7555954C98283090FCCC00EC8C00CD3305FB73047C8700D49F40CD9710D66FF160B8B852A8A93A418417F9CD9A4E331A50030079FC9104A60050231054D805D03417C';
wwv_flow_imp.g_varchar2_table(11285) := '10A10923BAA298E70B45199B5438105BEA010351042A819BBFF3645C048DD0F1499F3437E9701A43443389520FCCB71192FA7A6B69A94EAA08A749A599FA10E8580B95B09F04610400800312919E04A10ABBA0870E11010A310440000021CA436E6392F7';
wwv_flow_imp.g_varchar2_table(11286) := '5986E4F23EAC3424F5502B1D316F2893222CA222EAD426C3AA11C53A7FC78AAC18020659906A0CB11602010802010AA9401064F010AE7908582810E7891075A0090BD10200E002777667B28A0622D11125A968176471E8AA490A132CFAB92888936CDC31';
wwv_flow_imp.g_varchar2_table(11287) := '240F6911F95A1194CAAF31E2035BB01002CB0802FF110A02F1098B409E1021A687009B752010A30800BC40066940109B70180361022A0000B29A030000042360034010AE05010777F006132186A58561D7D27EAC912B50F85E00F01589721DEC000FD920';
wwv_flow_imp.g_varchar2_table(11288) := '0FC3616F473A120D73AF10F1B2307B24DA67109440107E500885107A02810E656A1112BB83431B98D6BA1020D0671AC1B5B9695A0DE57CB690095E090AE1900EE590B6FC300CB4600BAE400CD9600869C613719B88D959B71832042A50044DEBA96F0007';
wwv_flow_imp.g_varchar2_table(11289) := '09D15902B17500E08218B10B82A083BCB08C08B1011200023030B1E42A887C799FB7EA7C9EE09526753D99300DD5310FE2400BC4190DD730472B2B122D1B6AFC56BAA63B1E1E30011CE0BDDEFF0B00E13B106E90105E305004010CBEA8103C0B00E83010';
wwv_flow_imp.g_varchar2_table(11290) := '0FDB8082B09A7AB8099F60076350AD0020012820102D90BA0241040591B8190176EB025E8EAB2254432EF1A162397A0B86600EC340A17D545FB7A547150A13D7EB7139D986DBCB1F1440101010C202A10407F1048077BE0291BF0030067B3006726A109A';
wwv_flow_imp.g_varchar2_table(11291) := 'E09404E19E0D7B101F70104060B13B6C0323D0022040B11BCB34775AABF73954CE270F99E009F2440B7ED0A0DDD00EC0100D063BA314CA136948BA20F8C1B20101108010146003DC661076507A0060C60941C396507E0BD1070441011B0002B02A103BFC';
wwv_flow_imp.g_varchar2_table(11292) := 'BB040C0304BCB82673C0EA46BCC5618646710DC3D00DF1450CCF100ED1A00EF4FF400C8CDCA0EAF00C3DB7131BBC6F1DCCC546320106E1065C304904D1044810AA05A1030A51A64E809A1FCA040EF8A69F07002200000FF0C503D1B40331C70221C705D1';
wwv_flow_imp.g_varchar2_table(11293) := '076E4C11E51A95726348C56613ABD46CE6700DC7224C8F1313597C9D6665C9E241C20B715DD12A10367B10252010D5DCBF00C0030B0181E859CAF14B1096B07704910003E1BB2AB0030941B1B20A007DD0BE12A17E1EAB4551E32B66D844B1A24EAB3121';
wwv_flow_imp.g_varchar2_table(11294) := '5FF3B62D31C96657C9CC2C1EB0FCCC0050096D0100077B1019F0000241010CAD033DA0031FC004486010B42B10E9E9CEAAA00A50400369B0040271078007005F0CC440D0B42D20010951068800003C0B7A1041AB8D7B6C73FF236F99F2CB74242B44424C';
wwv_flow_imp.g_varchar2_table(11295) := '3EE1CF73CB86011D2329D0105FCC010591000C000028C003DAAC10DE5007311C7A7B20CA036107C701001100CB2020C60831AEEC9C9AB96CC63B040080E009C1300E1E2C131642C4FDC850166771506686B9420F5F69516043A10CF4353D9D9693BAA441';
wwv_flow_imp.g_varchar2_table(11296) := '8D268040098D30CDE22B102A7D105C2DA20261972DBC04870B00D4CA07E7CB005F4CCB0631B32B4C10812B108741A739F22DC28B2D70DDCBD71265ACC10E99100EEC500F60354BE6701DEC040008FA133EFD10F4F7D73092040541D802610196AD102BB0';
wwv_flow_imp.g_varchar2_table(11297) := '0207510725AA0A9B00D3055106120107CA7D68C883AA632D10C1D00D1CD1A2C3EBC739F79CE6100929E509B4FF5006040ABDEF34A0B640B23B91CC18AA59B82D1B898D100C2D10435D105AABB54510DF0E5103207DB40291B0064103E66B10ED3D109E3A';
wwv_flow_imp.g_varchar2_table(11298) := '1055300676F0C2564A109EA00CDFB2D6EDC3C72FAA9B486C1457330CE5E00AC3600BA990E19D7B0BD1900D86E90EFCDC33B5BD86D8B9DEE0D1BDB0FCC5E42C100C3DD0006006E5CBC985FDBDDFDBBD0761000080003700004920063A8001FE5D105E6002';
wwv_flow_imp.g_varchar2_table(11299) := '0801640F51050501D20361C20F61A7C7E7C72932E1FF700BD7700DC860B0B4F00ACC900AAE900D74710BCCA00EC4DC13E87D36198AE2C9715DB20C001E000108F0C52640B156B0C90451DF6E5E10265001248C0000400009400004F10228A00113CB0330';
wwv_flow_imp.g_varchar2_table(11300) := 'FFD0D4906DE41021C4742C1073ACE413A11F6167C40586AE46E10E924B0BD3700DDD100E83095FD9C05BF840E6239E997CFD7A7E5DA96A8E196BE00731AEDC0541CB440064E88CCE01EEBF0201012D6E0004E0EB0261E8AD3C10576D1032C0108C9E1029';
wwv_flow_imp.g_varchar2_table(11301) := 'D0E603A103BF6B10E8C811A16DC4A32D3F483CB2B95A699B845CA78EEAD59B10B0A7BDAD9E19AEEB088010CD08F1DB0621C0884DB1CE3C10820E0024CCD03F201068100950F80A4390EB0491D50E81C90911E04ADBE01D8BC0987348489C28C6262ADDF3';
wwv_flow_imp.g_varchar2_table(11302) := '3D92326FB49DEAFADAC1AC3EEEB1B1CE9CEA10086000061000243D10EF2E109F3D10FC2E11732C01D45A1053E0023B50D1D2BECB17F65211FF8381C3242A34361425DE102A42F116DF1AB02BAD0781F1158100E41C00F1DE10BF501209C0D0EF8D104E5E';
wwv_flow_imp.g_varchar2_table(11303) := '2A3251F05934DA70D543725DF3378FF312EFB2FBDAF396B1C9B28B11BABD100940F47ECE10BC5D122475107E70D592CE3152BF11605BF35391F310899D15EFF57C910EE7701AEEF01600900E05514404515C07B1171721F802D10E485410E9A0F8242144';
wwv_flow_imp.g_varchar2_table(11304) := '8C0F00F9D910324D84E9EA495461F739D6F57A0F18FB100F59E31FDDEEE0EA729274936EBF92FAC4068DC4F4FA7A1D139C5F737EBDC59F4F16C5610F0BD51315328195BEFBE08EC0BF52715663358862B2B0AF13B30FEE49ACDEB7CFC5D30EFC64255799';
wwv_flow_imp.g_varchar2_table(11305) := '531CC4EF255D5290422221AFFF2FC95B1F6ACDFFFC7F3D73105EED0B7541381DA8B9220F144A0F0E0400E6901EFF40A19C54FA48FAFD1C9C59E21FD01D710F00E1AE5EBF7E000C02209850E142860CE9B5E3F7EF5FB868CCAA3163A62E1B2D64E5A25D6B';
wwv_flow_imp.g_varchar2_table(11306) := '972EDAB36BC490C9FB7750E54A962D5DBE3C580F5E3E98355B26FC074F9E4D9E3D7DFE041A54E850A2458D1E459A54E952A64D7DD2CC17552041950DAD5E25F830E23F93E1A65DBBF6AC5BBA70C8BA5134372C1BD861F5243AE52993A6529CF2E0C1C59B';
wwv_flow_imp.g_varchar2_table(11307) := '57EF5EBE7DFDFE051CF865D47C530B56C59A38A1D67F34737E64962D5C6471E290C18317EE16B067D9D2BD152C7769DDBB824D9F469D5AF56AD682091BAE8A10A1E2AB5AFF0D5205408FDFCA89ECFED153D70E5F4A00C48B1B7FA9F0763FD0069B1F5F29';
wwv_flow_imp.g_varchar2_table(11308) := '9A2EC17F765B5FC79E5DFB76EE7B094B1D78F826C383050F8B27280FA2C47FFDF851ED77AF5FBE7AC3F9BD676FAF3800FDB19DB3D4AFBFF6B08249BAA470BA4B9FEE1664B041071F64EDBBC2C2EB093EDC5C92C79D7C98936D36F3CA4388BD78D8438E37';
wwv_flow_imp.g_varchar2_table(11309) := '83F60100C58348DC6A40AB100340A688A663CE3A086FC431471D777CEA357A2EACC942F456E227C3DD904B4CA27EE249240B00B2B8008030A29C524A2AAFB452CA2C2E59923A17176A49C6128B42501E057944334D35D7C4EE3BD878121244958A6CC7B1';
wwv_flow_imp.g_varchar2_table(11310) := 'DB96636F21FCCEC94200050E12600083046DA980010805A0FF8139FE1991B92FE15B2E2678663C903A1BD9C434534D37554AC23795A27337391B5292BA78C050C0D0435705A08083062820D6410F35A801451875B154E5CA23484C1AAB2B8D53618725B6';
wwv_flow_imp.g_varchar2_table(11311) := 'D883DC744BBCA48AD4703CACF839D54F000650805A4205B516803F0FBD80D006DAD0C71EDA94FD47AE31892228A24B8D65B75D7771441648A4425D4E482F4924281E361C70608E472E70600001A61DB4D5435D9D96565B71755457AC7CADB4C660DFA5B8';
wwv_flow_imp.g_varchar2_table(11312) := '628B237C8DC2A598157525C5F839070C6D9F9CE302804D6E55019407F6D36457BFED679E71A39BE9DCA1D2ADEE629D77E6B9AFFBEE83E79EE792A2C79D8649441A5F53D968C0E401E6785A9192A17CD2FF9430FA6D0380394A1EA08147E2111727A48F63';
wwv_flow_imp.g_varchar2_table(11313) := 'EFA07BE4E92F2912D7EDB96DB7DFFE092AF0DA6BEA2167AFDA8751300235F90205B2784411532EB9E49130B6D66516C11F31A5DB6FF399E7D117553210A932E1C63C73CD578A5759A2DBB9DBAABCA32D200C00DA680070C107D1650E001E79248F3C0437';
wwv_flow_imp.g_varchar2_table(11314) := 'A50DA81F8F9C369AE78A38A7CD7F07BE6D64E966CA6E96141B1D8C020428E082929DD7FA02AB1578646B7F4F6F630101BE0D57B10E25E5DD72EA260EBE7CF3D9CDE79E09895FCA788F13CB3B6458076E5E6041FFD4568181A3D43F615B9794DC8BA853B9';
wwv_flow_imp.g_varchar2_table(11315) := 'A320E87C0744A0A676333CCF21C57DF65A8892FE11BFBDD14A7FD83A984114A0BF58196AFF5B5EE3873DDAE3B086506E264C195F0255B8C234658C7D4A711F62B042C156C9AA5A03E816A1FE843F5825EC0220CC9DEE9C4340A31890854744A2835CD8C0';
wwv_flow_imp.g_varchar2_table(11316) := 'A3C4905733FCC739BAC0320008205057149815ABD892AE2D2A6C2404934AE871C25FE9E44C4944631A5B031E791D854EFB791F56FE610F6AB04414B3100500F208933C8A621CCC99D96C7243C6DE914F8D8744E45F0813A3361AE58D36F3D013F3F4A1E3';
wwv_flow_imp.g_varchar2_table(11317) := '29E42D09D1873ED295902736D22076095F015378C64496D2944DF90E239958147EC0C31D70AC2456F0D1127CD41200F3B0877E42688F5DE63284EF49CC4B3214CA22BAA71F3B396532958994546A0C54198265850ED23118AD685C16FFE209284763CC04';
wwv_flow_imp.g_varchar2_table(11318) := '2DD39BDFEC89FA16299F5512851F638C269CA6399E4E0AB127E70C1A0ADF73176282D39EF74CE586CA2994DDDCE32E90BC197A0814460050D325E794C73D62B9AB0A11C495F784684401109582024068364B5AD95E429C73A6D326E201284C524222FF38';
wwv_flow_imp.g_varchar2_table(11319) := '67A4652B083FEE418F7CBC25A43E61CE5DF629519AA6519CF968A53CEA718F9B4AC8A751E16950856A909D8E513E2A59A4D914CA398AB224A806116A507F2A559544B52563FC113F9A6AD102D1C3ABF588516E884A0F7F7EAFA6672DE556D90117750000';
wwv_flow_imp.g_varchar2_table(11320) := '743A6AEB5B95C28E761812AD773525588DA250BD8A13284BAD493D044B54C116D6B0871DAC4F868A57C636D6B18F856CFF6455324BA4FA24939944EA5C302B59CE769635F8D86A4B00CB927A1AA4A9998C0A3EF8015AD4DCC7B3AFF5AC3D804A13853695';
wwv_flow_imp.g_varchar2_table(11321) := 'B2A33D08656949597DDCA3B74BF52D29FF828FB4C1D6B878FD47083929AAE5BEC4A0305190708FA7A2E356D7BA4869473BD6EAD657B263BBEC78A576EFE28EB5BA0374AF34C83AD20B8075AC03BDED50AF5CDD7B10B9EA65ADEC38073BD4B18EFD6EF7BA';
wwv_flow_imp.g_varchar2_table(11322) := 'FF8D68390020E070B0441C0038703904BC127174031C0EDEC63654428D6E64A31B2AB9F05F8A30842414E1204960C915003CE26F7E4325EF48074B166C0E838063C2E0A8A38B0D9261835018352A68810A0CA20220E480C43FF6E681DFF10D141FA41C43';
wwv_flow_imp.g_varchar2_table(11323) := '1EB24AC6FFB1E495B8B88E1306008CA34C0D1843031D0030715F5CA063952801004100729813996583A4E31D0641F137D071E5839843C62B893100A84CE51A33D8CA6A06003AD48C0E72E405083C76C1108600001F88D9D069D48538C86C1005ABC4C443';
wwv_flow_imp.g_varchar2_table(11324) := '2E878CC1318E9AD0F9C90769C42760626272E4C2090010825280A0922058A126E3C8DBA155FD3B450B58D10639F08065DD1227C358CA5006C013064D6A000CC10C2A3906008E410E681CC30E7850035346BD6B9628431A0E764E71573D6D9E3D22D6DF28';
wwv_flow_imp.g_varchar2_table(11325) := '47AC536CE48380E31C07E9054B641C6B7150E315BD6E49A101200C832C1A1AEF56891BCE00006D1CC5C72E91B0855DAC5B6AF7DB62A528854AC421E0FF578002C12FD1858B7B018E855FFA20D428B74182C06C9620E320DCE00696830D0D95D4E220CDA0';
wwv_flow_imp.g_varchar2_table(11326) := 'B731820262984C6325FCF677CAD9653A6F9023D8C780462100F0833AD31A00E1D6859CA3EC923A4A41E214F73500A0F10D6E9079E81C57492E0EA20D6B805C29BD5086CAA5CE336B5C591B9F2806002C601083B3641C390747C20D82F3B04739E772CE46';
wwv_flow_imp.g_varchar2_table(11327) := '227C6E9021A8DB2068900500A6417400605CE8581676C659620D6D38DD27876849297A010BC14FDDF017CBFA413C4C6B4AD7981A977EF34ABE9188834CFCDE00C8011AF0DEEE8B23FDDD7A5FBA350020729FA84225223E48E14B010B838C231E87873DB1';
wwv_flow_imp.g_varchar2_table(11328) := '76818A962C43C9BAF8F6CD0170768324FF1CECE0E64625D8FEE52180B9D76BB8B84AA0017AA4ABC4EF2D91C52F5A620CBF73E10B07213CEB09CFFBD8771F53A898FD4B6C7F90B8EFFECD9306C79B792F60595042D04150C1AED70E805F6463D100908589';
wwv_flow_imp.g_varchar2_table(11329) := '33FE8DE603C01700783E8300865B300859780600A084453088FF7B89D573405D0837EF93C08B5903E403033910190008B8866B0939A83C413B882180836400806CD0BB8CE3068E4BC1E4CB0483308656D885E75B0595B803967006FFAB8516D440D60BB8';
wwv_flow_imp.g_varchar2_table(11330) := '83C8395DA0AE0914C21B013C9B180500F8020F0400E43B0829004100D80200B8C09B5BB02F8BBF2F5B0939788669D03B2E2CBFCEE3865FE83F96180695F0022B100300608295A805FF6778055BD8A3B13B9D1E0487D71BC23B6C102C0033493808D17B09';
wwv_flow_imp.g_varchar2_table(11331) := '2C5089350003268C4283284400F8B502040025283E2E73C283E03893E3064994BE5058BE15A43F44008045208456008022740922183595E00583B8055B70C09B233C3C644508311D002004836085956037833003403C083C58C29560C229843559800635';
wwv_flow_imp.g_varchar2_table(11332) := '088250330829803F83D042003840A13339503B82E483067673044DFC44A45845838085446883086CC56ED40E5C04805338059E33833508823540832D58033350C72D50C283B83E95788531FC329AEB354A88BB8CCB3F8350831F380262C40668903E0048';
wwv_flow_imp.g_varchar2_table(11333) := 'C38398823D40035353092E30881B480398583D6E64BD168B8711F1C6FF8B4C0D12688344880200900456D084595C09750806E33388755C83764444296489C71386B823C6995BBB634C06156CBEEBB30183E003935B468A330200D8032D28832D88479530';
wwv_flow_imp.g_varchar2_table(11334) := '3D9608866080056E8440081CBB5C9A298C944AB858005948043110034298373AD0839A48C4434C4939403E26DCC56F00C68378C6F80B82672C40FE03008B63042108352100B13BB8066630883258092BB802A1DC82743C082F338829B00496F8C295E841';
wwv_flow_imp.g_varchar2_table(11335) := 'E778AEA9644CA7F88220A0BC4DA4023A80023280829528B0699085C36C04399083AF64470B0400CD933B9728043FA8044680C4BAC33FC5A3CB96E002D41B0300403D8664092200803E5009603008DB9B48ADDBB5FFC46CCCE1CC8B5070030058855E283F';
wwv_flow_imp.g_varchar2_table(11336) := '05E4C395E086A86309E53C88190C448348047190056140067A74050038B7831848A55B09DD3C8867008483E84B0088CD973002D45B4D12EC851EA438E2A4CFBE28853A12CF951886815C8920B802F76C895528855768465B80093F80892730082F308832';
wwv_flow_imp.g_varchar2_table(11337) := '5489A2F44ABD34886A30087AECB51CC0D0FAD450BEA00561703963D805988050961802259838EB2C3F8B5BC69550025363D095080500100116C8CD95B03864F409383808BC840993DCD01F550A5990066A988667003DC9330847504D4730883B400333F8';
wwv_flow_imp.g_varchar2_table(11338) := '02A2344478DC458368C697F0305D540976D3526133CC84B402851C8A15ED3517C8502045D3A3E002FF4000857D3C085F08D11913BAEEAC8942E0038388035A34D2BA4B05952802B65CBC1B3D885C3886588885605389314003112BB520D0029BC8401DED';
wwv_flow_imp.g_varchar2_table(11339) := 'D3741B82CB4BD34BFD092028022FB302CD33848388D372F8061A038050D0340030BD53FD096C00801470891D10824E70094445545B40D09EE8820C3C08520080F3A43FC1EBC12018014C25569FC04D83F0B0F90480ACA30595880500F8048F7B89187D89';
wwv_flow_imp.g_varchar2_table(11340) := '2B25C698F409762BB697008330D055296149EBFC567063BB612DD673ED89635D896C38C94104003990D518D5B45AE8845A5055683588C453096C10544A08357BEC09053408983388FC3C880C04031288422C00C40C14C495204095384474A5D8FFA0C040';
wwv_flow_imp.g_varchar2_table(11341) := '8300C42FD0BC4F90555975896735D8D274891EB8811E6009F2348A538D51F1CC05425D09529543E1ACD899AD090FB4032FB0039D94B982EDD354A8855890566A650947A00446A00495F8C91D608949850982ED38953055A1D5D79645549558C65278C5D3';
wwv_flow_imp.g_varchar2_table(11342) := '319D0894369AF5DA1A6C0957E0CD3E2D069F0D859035884E38DA773D5A4640BAF96309A40BB650288658D0D79628065F905683F0385F0805BF5D560030D8230D5795C80227698397F2DA7368AB1F35D0953805DA3388B58509B49D543A45BA6605002478';
wwv_flow_imp.g_varchar2_table(11343) := '89FE533A0B6509AC5389AC0B85AAAD50E5A3458B738537F4DA9E68DC4B7D833B0DC783B0858805802A3888D22D06B40D85507005FFA1AD896370592F5D898D33DD95288662D0B462B006E065893E7B89FD6B5DA0502F00888775B85EFA1C444088848398';
wwv_flow_imp.g_varchar2_table(11344) := '454BB0DDD1755E98A8C59E205CA11BB6E3C5DB18AD5A832587653CDF83B852FE505C8AAD5EF63288EBD5DF75E85A56E44D8B63033C38CF108D4598A0D663B8DBA42BD5BABBBF2D15368E2336FE233698DB38E87D896240D4DDC5E0BB5DBE0E06005675B4';
wwv_flow_imp.g_varchar2_table(11345) := '234DB5E97589FBCD5F13BE5F5C3808765586682830095C46B1D484A55D09A0BDD7B82D5F768BDFE2BDBB3E83E00AA560D0553A0D4660F5ADBBE5C306146C37FBB33F12EE093B642F28368873605700A88671A8065C80CE6A883C2104044690DD42105800';
wwv_flow_imp.g_varchar2_table(11346) := 'A0028300DA67A5C5FF63C861356637D35D035F655220CEBBD59CE0627339BC1DD80D0EDC753B5E24CEB82486B314716298306100388775388773683C8378E1A9AC843F40D54E38CA002C5E61285F608B639620CB8330DD3E4BC16F305D7A1C6261C360E2';
wwv_flow_imp.g_varchar2_table(11347) := '850662CB33D62CBAA20B872A36416A68E0417E894256877120066F2C5F74C88550D8DB8338843D00C57CB5DB7553BEE6C344C2FDD61BBD64834841A443E53BFE09A513CF533CB7D535B850E04F951021B39A5EF53A64435E074A1B0716433F83883A7010';
wwv_flow_imp.g_varchar2_table(11348) := '07E804002D60DAD843077803DD4D0000790636009055357EE063C83215AC0938F0048B5B04D955898C1BBAD504650BF6054718E378630991C1C035F040E3CB32FF13DBB7E4AA5F4CCD067A40E4DC53896D78336900805B6689EE9540A463B396A80436A0';
wwv_flow_imp.g_varchar2_table(11349) := 'CE96108620AE096850E1071D8566C501820C3661D0BBA3E33F501E588EB38673EB8283C8DA9A0883AC61E615664D5936881BF484ED5A6400D80690AE620020C18B54B3E5638969184839E055A578D495B8011E00801A686797005DA16E83A1EE092EAC3B';
wwv_flow_imp.g_varchar2_table(11350) := '136431A5E6B628EB066A908660A0EAE9348855A86A56643E489045C4048023E464A1B3E096385FA44B4497C8054C1C68BC33629648EBB43E08C976096C6055106EC6DD58CC99F5449500E9BC06004F00804A0004483E884F1D6D00300476EE3ED0EBDD83';
wwv_flow_imp.g_varchar2_table(11351) := '38057478876CB8B4AEAED0C23E62C6AE50C2CD53FFB104832E35881B160ACA56EB050000E3866BA1A0D060A04E4F103E9518054F1805E1AB84EE7D033378833110ED09E44D95A8379BE0B8F03EE2065EBE5CE8CEEF548953F4D8653608107ED6660E36CA';
wwv_flow_imp.g_varchar2_table(11352) := '6509B54E5891F90230805B831006DB9CC4E40680CB7489605886F13B08C11ECDD12C03CD33387A90C058CB56483CE98300E1BA0B48BCDE453980035940DB7D153A82E60672E0865AF45163B480ADDBB520D83A21D8BAB52B0513E3426C8805576D6FFFEE';
wwv_flow_imp.g_varchar2_table(11353) := '812128833C5D09DB5609D2CC4B00005B4FB868C3330663F04383200707C56D8C536210DE5310C6CB4A68044AF0C067005E7A3CC10EE6B83B2D4895C0035DBCBE2E05EE024C4123A553FF5E09FF1720024B454297005B00708332280337E082AEC3439136';
wwv_flow_imp.g_varchar2_table(11354) := '086FA0479B4CC13DE7385605BD6B008A088FDE604304D5444629C7404A0003295F5B25347457E086FCDB53F99D5FA5E63225500117583C093508943D08347003CD6B733CD4BBF28539F14E650F1E68CBB65A568D861D6E6C9848C177AE4592A6844640C0';
wwv_flow_imp.g_varchar2_table(11355) := '4AD0754AA80439080539E07583A88444700450E8EFB336F396104C83F0033ED051377F83E37CF3E3EC46BB4B6A00208796DE6D10C7EAD3658980BC6CB9AB62CD4D3EA088041D5409E18B4C9738DA4AE8EF147C5CDB8375335757660F73A9E40676B53B74';
wwv_flow_imp.g_varchar2_table(11356) := '00E40ACD32253ED2095789AA9EDFBDBE3BF0D66D9406005C17F68587D1A3E6C2FFC74DF69F60528166893F70503CFC0610B66CAC8ED1E75689CEEC55390004398803B144F94D967564CF6D8EA30443A073A190051354468320D03AAAC289170A1DBF4381';
wwv_flow_imp.g_varchar2_table(11357) := 'BFF6675D03903788A03688840D6A12E802A447FA973083478D06A1DBF81264E6267E894C10FAD40EF99A98C44897F24AD7799678544DEC0305C405901EBFA4E4666FF4F983C8826E3D582769E85C65093378C78BA379FBCB693E5F89ABFF896CA0790050';
wwv_flow_imp.g_varchar2_table(11358) := '5204CB869CFF7A9B58065DD806D6E37921D45C6E6055135C7BEB04003630083660836F050336A8FB4DFB06C8B789797F094F106DE70EED25A6DD69E8866F70B1202CFC96C08565F8ECCFAE4F403F082C58832EC00230B0FDFF96D04397F8EACB0E876FB8';
wwv_flow_imp.g_varchar2_table(11359) := '066468568164EFBB7BD64AD8EE9E4804D25F570C6BFDA0B06B69D8867508F2097C7A00306D0B08B514D83A2EE3B2160080511C7F6555896C683E32FDF6A598EA8350FDE887893CB5EB958887CD96402FC0DD5137086678866C06080002070A0CE56A9440';
wwv_flow_imp.g_varchar2_table(11360) := '5700100E94C50CC02F8200800DFC754BA2C45C001A010084F1E3C24A892A2D64C84DA0B881D4CAFD03E9F225CC983267D2AC69F326CE9C3A77F294584620C981E3E4D9EB69F428D2A44A97DA7C86ECD7D3611813814A040014C2AA002A8192886BD82F62';
wwv_flow_imp.g_varchar2_table(11361) := '00A23D83064018465AB77E99C5F68C1BB65C916A5A1D354A64A557127BA564EAF72FE0C08207DFAC23902341FF73F18A126EECF831E481D1002043764BD8AF6180BE94310300CD67815C067E09AD45A0148820C51294254CAF406C6627AAFA03E04F1FDB';
wwv_flow_imp.g_varchar2_table(11362) := '2FED7EA47652E0376AD922132F6EFC38D33273094A3387FC39F4E820330D44FB71B4142B5C945C21D81DE3AB61B862CFBE2C0B00AD81B32546DA04C03D803E6FFA189A0A6064C851AF26B70E3E9CB174010A386071EA107820828D5D649D445B9406C017';
wwv_flow_imp.g_varchar2_table(11363) := '578C4650691356271500CF0CA4217AEAB9F4C71B6594B18716A04914C4400C6DB41024E89C074036D32438238D35F264CE3A2DD9B8238F311D511100B7C021DA150F4A64A415204544DE33D8A81709225271B31E466F0874481C129100C0786271F80941';
wwv_flow_imp.g_varchar2_table(11364) := 'FFDF4022D049DDA4D3239A346D21101E5FAC811A003F58E0419A7F8153279E751A81D10F31292190155694F6DD476F4DC3CD35874AF41B41B5A8084C2C276284CE30B50C24C619040D078073FCE4F9E9406FBA89874B4310012AAAA9AA3AD32F56022021';
wwv_flow_imp.g_varchar2_table(11365) := 'AC134A585A9280C6345B936FCD06CD94533AA98C34C10834DE4203A138C440DE98058D3100908A06B22BC2B8E9AA788E2A1123D522955E3FDA7A1B1D860349911DA10054D1DD840EFE19647820C9D62B79B2C986D179B138E30C4C8C0A24C78F025132E4';
wwv_flow_imp.g_varchar2_table(11366) := '40F97C4B189D46E181061E6FEEEB0800940CAC5324D53C3C717443D40A0010430031901249C2314423A0BC0840B81CE6249633C50C34C247FFDE7C14CA312EA4A00200D3744AB15F26C060C2403CEFB4C6C10088CA48509151E08104143CA044198000FC';
wwv_flow_imp.g_varchar2_table(11367) := '9C2D384B4DD8459E5108C0C512B9FAC79BBF403590AFD060C31F41D1C82BB140B0F402530E03512190CB1F455A9173531B0581443080309007207020C1DF3749F1456A8303F0746404006040020600C1851F1F89000005193C60C0607BDABDF95FC80449';
wwv_flow_imp.g_varchar2_table(11368) := 'ECB02F7D45105A0C7A2ED17A1A42130DEBF40AD4CC407BB760810C3700308540BC78B3CADC02BD41CC45B171AE5300041080C00310E00DC0F2023D90004198F7E40A6C82594CDA4FE586B2912BB654E2C6F0E17FFBD0432E912D10B52E65F3CD40E16413';
wwv_flow_imp.g_varchar2_table(11369) := '8E40DD80748C446AA081C898FF02A90C52D403752B3E4D8E7084243CA10A52A882129460409858217233614C3C04A223C8F4A38200BC20063FB20F006C90201304C9FF3808930F7E441F0008A1040160C20C06C85302B10763ECD1411902601E1BB4A10C';
wwv_flow_imp.g_varchar2_table(11370) := '016494792C661E00F8873D42188F7DD883842C3CE28C8A08001D1EE71FFC58211203B38F0D12F187FCB0870B8D33C57FEC838B5EEC621775C2C41446B18CDA32E260F891458914718D66F4DF4CBAE5C6018DF18D76BC231E7954410BE6B18F7EFC232003';
wwv_flow_imp.g_varchar2_table(11371) := '29C84112B290863C242213A9C84532B2918E7C24242329C94952B29296BC242633A9C94D72B2939EFC242843F99C7A88B294A61CE43D4EA9CA55E2111EAC7C252C33F80FFF76C4B296B6B4DB2C6FA9CB5D7AEB1FED28072F83294C34A17098C63CA68DE6';
wwv_flow_imp.g_varchar2_table(11372) := '88CC6532B399CE7C2634A329CD6952B39AD6BC2636B3A9CD6D72B39BDEFC2638C329CE7192B39CE63C273AD3A9CE75B2B39DEE7C273CE329CF79D2B39EF6BC273EF3A9CF7DF2B39FFEFC2740032AD08112B4A0063D284213AAD08532B4A10E7D2844232A';
wwv_flow_imp.g_varchar2_table(11373) := 'D18952B4A216BD284633AAD18D72B4A31EFD2848432AD29192B4A4263D294A53AAD295B2B4A52E7D294C632AD399D2B4A636BD294E73AAD39DF2B4A73EFD2950832AD4A112B5A8463D2A5293AAD4A532B5A9C30B9753475ABAB3509597A9885A2C6E91D5';
wwv_flow_imp.g_varchar2_table(11374) := 'A80E4C2AC2F82A5A80115606C572180AB1C528D00A29B471FF55556241863028621D6104AF962D19C62862F18AFEB5F55BC308575C29A2CB6E45A20C567A83957ED2D76AC51500512B5D5D6F39861D0804081B03400E7400004F2CF65318FA6A75064289';
wwv_flow_imp.g_varchar2_table(11375) := '0DF0B20849C84112520B803174565B97B14E125830061C48840FB0346DDB5ABBAAD20D23AEC2B08530B6A74B1B10E4B453C8011274BB2AC10EC40B3C00C0271C5188814417008E2055A63C692100202B0900F0EE5694FB29600C83227C05C0090090BF81';
wwv_flow_imp.g_varchar2_table(11376) := '74024C03011F0084C0C92F10B7080229C210BC7B59815440BC3D22EF4C42D1090008982076F0421400800182D0E3922D20C8A9A2B55FFFF6482A001E48D43487914F50C2BDB615431330D2604CEE60BFFFA7020A8579C45CB282E413ED152E0016419028';
wwv_flow_imp.g_varchar2_table(11377) := 'D06095C44D718F587C8CD9245822D4C1C8DB5EB9833FED400212E94E0E928C591C0F2814AA00538F6B92810C9C72C2D0230816969C031F30193ACC1588135C32DD5DDAE0C620C96D9703740C440C04030710C882FB8013DBDEA398A55C539A0FA409F848';
wwv_flow_imp.g_varchar2_table(11378) := '640F00D00441E8109331839266402802E808920317A039CFC8690548A0800A54008015A7A8893D52F9C91DB860207778804B729B03CE0A041CDB707463288D1127641724829008020892E92EDAD99240B0C17E3D6164009CC6255926089E511D1854E021';
wwv_flow_imp.g_varchar2_table(11379) := 'C802A9F1AB67C2000DA2B19213DE4177742001CD02000428A8800440D0DFFE0A04049D6EFF810B6826ECC790E1CF2EA143B20572800597B20887CE18104E0C0009F8AC6004D99B117210EF7113660FA880F42E04D28A4B5B33B9A745026ADBD631ACBDAA';
wwv_flow_imp.g_varchar2_table(11380) := 'D7FC564A7A09C28B9BCCE0CDA68CD64C5C65063903200E66C812003CE3F0871B8509CB9EC140544D0732085A20E9C6080318108112983209DDCD81113A2D10758CC31CA70E569084758B550CBDAE9125F952EC700857BB64D9A5741541A02E90640C447E';
wwv_flow_imp.g_varchar2_table(11381) := '18598744CA716A0074A31BA79691B0906E93F4C4420C3169B94B70205F50CEA51191285A4D6E91E8758C031EAE144883B12E9073F45CEC32490F008ED1091A3861EDCF3444240CD108DD741C505CA6092E94D1F571A8E31C7EAF492CFF68910AFA012003';
wwv_flow_imp.g_varchar2_table(11382) := '3546B94D22BECAC42FA7F100E032780542D96A8384081817882138BB8A255DDE250A9108E169C26E5696E134236F442522A11BAB09C407492A97405C500582ECBAF6395930E1D3001337C3320E72EE03F125C291D2779CF8C1767E74844073812873938C';
wwv_flow_imp.g_varchar2_table(11383) := '2F3EAF251287B91C9D20DC1FC8167AFF052D1809FC32713A419C007A9088FE94B8F988BD01CAF7E104C8D99F4CC41A414400067C404C088123FC83A69512A901800BB800EED40AB581441C30C42A18E052C4DC4030C001C41C9561040B50C23E44602899';
wwv_flow_imp.g_varchar2_table(11384) := 'C8BC25D7DEA040F349000AB844F679604E185B4C585CFFA952EF0C447D18C21F945EE2CDC4D005C94074A00DDE04A97CE4049B350C8715443AD05A29E90314911283B9841562C43F345B122205187150189952835961160A843C48043DA4E140D0830A76';
wwv_flow_imp.g_varchar2_table(11385) := 'E160DC432AE5433EE0C32B3D911B411148E843ADB9613D51211EF2212006223971A12016A2211E222226A2222E222336A2233E222446A2244E222556A2255EA23C01934040D547009339980C2642D319D60D30D1833900D319A6033B388781B8122D714A';
wwv_flow_imp.g_varchar2_table(11386) := '283E133CC8833CD85D2DCEE22DD2E22CE2E22ED6A22F9E612C06A3300E233116A331BED31E25A3322E23331EA3333E233446A3344E233556A3355E233666A3366E2337762360E0031D3E5240000021F904050A0000002C0E000B002B0259010008FF0001';
wwv_flow_imp.g_varchar2_table(11387) := '081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336A4C886F5E417A1B438A1C49B2A4C9932853AA5CC9B2A5CB94F8FE01A8974FA0BD973873EADCC9B3A7CF9F408326EC37511F0075D0FAF1BB09A09BD0A750A30265F447AAD5AB5855D2';
wwv_flow_imp.g_varchar2_table(11388) := '630A2015254FFFD6651D4BB6AC457166D3AA5D0B40182D00B106BA03E0A74CB924E568E131C88EADDFBF80A54E9BB96FDF4DA2811397A4350C803C62A3004012C88ED9DB6C9EAEA189E52A52A5C8023D01E0A7B8B4E9D32519CDCC970F1F3EC4A8634F7C';
wwv_flow_imp.g_varchar2_table(11389) := '6B8834424A00405DCB0D2A492443D9640A14FB0F9FECE3C8930FA427B31D807BAD8D2B9FEE9016A237B89603D3E789183062CF80DDFFF2048EE8B5379104DEA3CEBEBDDF9BAC59E3E347DFBD7D81FD98DAEB47B45F37CCE5A4D3573A95A403803DFBDDA7';
wwv_flow_imp.g_varchar2_table(11390) := 'E08263C5171F83ED21E6D14C00FC130E5C56D423903EDC99A31469354128E2883BB5E6206B24DA77CF3DFDA813093CE6D063948699A8331A7FFDD473CF3E29F6E863492BBAE6E08FA8D547D03EF8EC934F3FE25462D493FD44A2CE3FB60150D37A4466A9';
wwv_flow_imp.g_varchar2_table(11391) := 'E544F4D01422825BAE659B3ED0E5B3E2992BD243CF8AF2F4430C28FD70C8642AFDA8598F8E71EA83226C071919E69F8006FA933C8E35D4CF3F88267A4FA2F2C8C3CE3E88A6E2093F4C46924EA2FFEC43CF3EF2D493A93BF02C240F3CA3964AEAA9A6A68A';
wwv_flow_imp.g_varchar2_table(11392) := '6AA88EAD2AE8ABB0DEFFE7AA4084864A28438DDEAAEAA8EA4152C61D657C3146198C80E24A289984924A2AA1505289176800EB09325EE1412C28A078622C32F2B8932A00ABDE1AEBB8E496BBD2112FC0C001071450E0052288E0E1061E94205217177EC0';
wwv_flow_imp.g_varchar2_table(11393) := 'E10724F57A71040B1C8C6188BD7E18028AB90827ACB0443836AC103FFFD0F3841146D890820929A8C1082377B85108289450E2C6B07CC0C1071A5E507184113CA84109247EF8C1882B32A1D850950BE7AC73960DE328507D3261CA1C3D47F47084101EB0';
wwv_flow_imp.g_varchar2_table(11394) := '90C2188CF881871A8E84D289236EA851861A634C2CC411510891F1CB7EF06170A6ACE17C90CF11A1BDF3DA6C2BD63300FCC1CD1A9F02C1D3CF3E4FDC70C4C522A4FFC005238EC00135B322577D340F423471441342B0E032247CE081085877DE63B6413D';
wwv_flow_imp.g_varchar2_table(11395) := 'D3AD90DA6D77EE795A0EC3B6624132C1C3CF3E5EEC60440AACFBED0823F23A924B289FC8CB85102524FE44D7B8ABF10923912392C93F77D6E3E7D96F3BC4F9E7CC371F95C304413750D0FFC093CF3E631C7174EB6AC8CC07D4B33B22AF188D0BB17BE2BD';
wwv_flow_imp.g_varchar2_table(11396) := '3B42091F7CF8114AC4775E5E50E60F2DEFFCFDF8BF045BE888D517F740F0B8073DDE2005ED0901775C708423BEE7885828D00D553B60E28E26041A94006A8E4044FB40013FE9210F6EF65B4808F347C2129E2474200421E7E4A1263E94A180DB138302F1';
wwv_flow_imp.g_varchar2_table(11397) := '600705F2E1136AC003F924C838DC9540860A0C5B2AFF3A980FF9FD6F84264CA2127382429F41AF74F8A0071CF0C005EDB1CE0B36CCA11DF8908A1CAA8105123C200D7007C4C0F961885D828E111183C425BAF18D2774627F32D730EBC9030F7EC81E0531';
wwv_flow_imp.g_varchar2_table(11398) := 'A843200A23726AC09D04C758820B2A708167FC070BF9514411FE0F8E908C6449A0871F3AE2C874F27803B09E50840326507C5450C33172018D45B86187B91B2321CB18B3F7C1833937B264F22449CB5A5E8492B23C143F4C078F3278410A4A38DA1130A8';
wwv_flow_imp.g_varchar2_table(11399) := '0631E0E11BDC804621D410C8128C518C643CA4BD38C80EE6D0C7922A7CA42DB7C94DE53D32974A319D3BD0F0842728E1075BC360D53E210E642E33901950E5017357467BBD8F1DF2A012A5C0A9FFCD6EFAF39F04499E2CA9240F7E641200527802EB86F9';
wwv_flow_imp.g_varchar2_table(11400) := '403B7CE21BC2E0061F4E593E685AB08C8580C3FB1CA34F596613A0200569A20482A80A61AAA45482C77CFCA0042E48C16B0C151F1E1CF10D5202B20929A8A04ED317443E80051E9EA2D449873AD2901A959BB8A4A3DCAC471729B8A18AE6D3D8026BF80D';
wwv_flow_imp.g_varchar2_table(11401) := '571CE3A6608466EEA0468942B0EF7D9D2AE23EF979D4B2D6526D4AE54F4AF3110F46BC010E6E908214B8C0D5D8D5F4AA4FC3A920757AC14F28708AC34BE3923C4A49B31AD68D68F5683EEC98898D01425E7898E90267CA8D5CE462A26AD0AB4E9FC9D505';
wwv_flow_imp.g_varchar2_table(11402) := '6A9488B9FCE86147BBC46F2AD67400A8C4C61831C5C839E213AEBD6B64D510859CFFEEB490920D1B1EC032133512B68DA40DAEE7F819B77EDCC374FF30041A220B4166866C117C704465F14ADBBD0ED2770A4403228203127C1491B89A13AE78870BDE7E';
wwv_flow_imp.g_varchar2_table(11403) := '2CD6A06FE0824B133A4C4AC0B61034CD8530228B871E4A100A15C4AE1F28918D7244911EC6192B38C74B60E61537B4FDC087DDE28106297CE1978C735957A3CB8D631C63B6B505E3330FE8B2D7BDE21ADDD014808D7444A516F8C46C036F85CEBB0E40A0';
wwv_flow_imp.g_varchar2_table(11404) := 'C10A2E7D427B61BB08E942948678E05DEE764C03A831A212B48846361839E280F26996284EB2C2126BC9C502601DAB18850FBEC005194B987D342D073470CC3B1614B20419309F1418618B6A54A31BF30130430AABE436938BFF73728CDB62C3120C5D24';
wwv_flow_imp.g_varchar2_table(11405) := 'E20B729D311F6A0C8D6F842287394E81D2BE5C82263CE1078CF84536A6910D816C65CDC075B3A4B594D881A06DB1FB8847303881894404C1CA212BC44C43E108662E22C7B8CB6A149EC05E5B4CA31BB01E8D9A1DD9CF49DB3A4C91B6123C32DD8B408882';
wwv_flow_imp.g_varchar2_table(11406) := '1489C00216E8A5C01A2FE2096250831D166187282C61D5C97E9A142A218E578B631BB296CEE6727DEB6E4328D7BBCCF4323081094E3C8213A548C428D637533C3C21878BF8C4312C41053BCC4B6670604437C4018E6464631DAD311EA46BEDED829328D2';
wwv_flow_imp.g_varchar2_table(11407) := 'FFC8873CEE118F5E984211B010C5234C010B5DC8420EED8E423109610D743863D97E781D1E22C18C7280C31CDBFF0085583A22BFF971DBE030A7CE08F9848F4E9DC3E18FC084294CC18959E8821B945884D0C560073B10821CE820872A16012F99D9221B';
wwv_flow_imp.g_varchar2_table(11408) := 'E630C738CC51895F1C68D6DB2678CCB71E21842BDC1E37DF39A777EE736C746217A8103A2BCEA0097424BD188B28442142910D7188431DEA00C73892310A7DD8032486D23AD7079F1C3693AE66F0B047C367C1788A335E17D7E8042F768176549CC11B49';
wwv_flow_imp.g_varchar2_table(11409) := '2707396A21743E7CC31CE738C73AC6518E6D30831F6A0ABCE009CF7AD418FE20986EB82E184F7B5DE8A21A9E30062F78A10AB4BFC31ADED046D237C1EC70B0031EEB487E37A4E11478CC4338595F7DEBA71F98D71B64B18A2785CF69FFF86BA4A219C6F0';
wwv_flow_imp.g_varchar2_table(11410) := '85FFF851F10E6D1863176E6F852AFAE08D79BC32F9DB603EB89E3F70E953FFFE6BB17E41B01F8F44742110DC677BD7100BCED00CCDE00BBCA009E6870AA8E00DEFD00CBC6009B5F00FEE400FF0776600400FF3D07246667FF8F78165A17F04C17F89C006';
wwv_flow_imp.g_varchar2_table(11411) := '598009A2F07890478006D80CA84006924079A7A00DE5E70B8B3081EF770ED2200D17620FF5600FFAC081A2058244E8172238100A370FF1400A8130086C900793D07DB1D08210A809A7707EA8E00CEFE00DC6A00AADE02DC9370ED9207FFC300FF4208495';
wwv_flow_imp.g_varchar2_table(11412) := '145E45D87527768402117BC1200A723808983009A2A00BD1C082CEE00BDAD08293670CE5B70BCEB009E5200FEB400FFDC6834168862132142FFFB786900814486664A3B158F4B084A6208793B08928480C04D887CDE00C05D882C6A079C6E00CA8100E86';
wwv_flow_imp.g_varchar2_table(11413) := 'B80EDDB00DDD000E1C123F031789EC41376A485AF4534903C148F7D00E97580AA26087A2700993406EABE009A27880CEA00D7DA80D05A879D6B087EAC00EEA300E3B480C9E10845D82862A448BD3C12293E65195C448F8C00EF1100FA5408C9C60879B38';
wwv_flow_imp.g_varchar2_table(11414) := '09B85009A2B87BA2A80DBCE00C5CA80DE4408FBC800DEE507AD9700B95100946A181589275DE381D88017D28065E8C0400E6B884C4588C123908A3D008AAD00CAAA00ABC108ABED00CCEA80DC18791B1A00EE2200DB8300AA3F00A1CA226DAE688B77890';
wwv_flow_imp.g_varchar2_table(11415) := 'A5B13F15B290076649F4510FEDFF500F4B28919BA80875E80971B0095EC87BF5E80CF5680C20E90DBED00AB5200ED5700BA3500DC4400C34A1268DE89230597896A664E59523BBB68483D08E93300864390A7160099BD00AADC00BAD208ABEE00C6D0992';
wwv_flow_imp.g_varchar2_table(11416) := 'CEA00AA9100E28E909A3A02D7AC29233899559D91EDC5856E5453C89770E4CA80888A90879409695800596809669B909BC500BADA00D692997968008D8301E86D00866901E7FF768B4F697B2519070C39535694984F90F4B18088939088B39088D700575';
wwv_flow_imp.g_varchar2_table(11417) := 'B00790299973A90DADB009BEE00DB570067D900B9F210D9EA005E9D11158E797A4B99C3CD195F5B06B8649968A409673100881800539300555609B9B2094BB570BDA700895FFD90A50500691E009AB100966609EA3D12968E886CCA9162F3908C2D595E6';
wwv_flow_imp.g_varchar2_table(11418) := 'F595A4E093D3099B4F78053990043D900687D09D69B97B96B909DAD0074C60045670056FF0A0656008CFB170AA179FEE3107C1958B69D8308BA584A440966339077900065DD008A3C0086500056240A069590B73B909CE90063300040CFA0770F006115A';
wwv_flow_imp.g_varchar2_table(11419) := '1C143A8B16DAA32C31603DD3A1AD39088A99056C206CAE708C9E1005698096BCD09DADC0871298061840A356A02F386A08FF700F3B3A9A3ECA1E98305AF4934B24486E79D005C2660689400B00190A8B900669D00AC5909687A00AE830A06330033B1003';
wwv_flow_imp.g_varchar2_table(11420) := '4080067F800668A0A50A679ACAF9A5864A12FC43A689170F8DFFC0068190075810044120058DE00AAF203EC5600750D00A06A80A9B6009E860097B20061F000431D0025FF0076FF0076061508BA290C8F392875A1A58D0055D900572C0064795A8AAC97F';
wwv_flow_imp.g_varchar2_table(11421) := '72D00572106C16A0023F600621F3347E45061AB987BC7008DAA00A7650051F60042DD00256F007A0300AC370130B57520639ABB101085DB005038105030108462550B2C47F71800572500941600116E00152105974D50796000569E90DAAF0ACAA500C87';
wwv_flow_imp.g_varchar2_table(11422) := 'B0022B00043B70034AF007AFC00CBF401A5DFAADE07A1C95200708010700D00214C001104001000001194010108058A9D96489B70EA050098D309B1220010F00025EB05E62700650B007ADE00DBCA90D96FF500C7DA001280003D55A057F700BD5200DA4';
wwv_flow_imp.g_varchar2_table(11423) := 'B126F5F7B0B1011A0A61060060031370B1194B1009004771B6AED6B30EAE10B1723004299B002930575EE005599306537008CE209E655B0B7B2001280002300003571009AFF06A37410F5759A8469B18E89AB7AA61106850101FEBB190945674B458F8E0';
wwv_flow_imp.g_varchar2_table(11424) := '0E26CB086B5004120001102001F852065680043C00054CB007CEA00987E00D7BA00A67F0002600021E0003631009A9900C4E6125751BABB27AB76C01076B00086BE0078040B103A1B445D0B47F0B01511B4902954295847DF6D03471000743300119CB01';
wwv_flow_imp.g_varchar2_table(11425) := '5F900A91C0053AB0023430039250807B60B387300512A0032000024870057F6008A3600E95FF98BAB1CABAB281076B80071807001877BE66F00400A0B1DB64626C8423841B0F37EABA5260BC8D5B06B7900A6FB0011A80012BB0079BA0B99B30AA534001';
wwv_flow_imp.g_varchar2_table(11426) := '2EA00312900465D007AC0A0EA3E15D154ABEB29143E74BBB801BBF535B62F7890FF1F0065F80067090BF8C4B015FF00AB4F00610F0000C500369C07E9B60076980046770BD20E0023EDB077D406D00E05DE28B391E68C16A416503F1057880C406A1BBBA';
wwv_flow_imp.g_varchar2_table(11427) := 'BBB109F0B109F000494456F46B3D0CC6055F600626FC0009A004A9000A68200114F00121A0037D60087B70064C800455A0012080023EFB0791D0BDB008007A52C1449C1841E0527806114DDCC4A515B283AB5257FC0578A6BF09B00301FFC9052600011A';
wwv_flow_imp.g_varchar2_table(11428) := 'F0004C50067BD00767B0024C50050F00031270AD10BC098D50C72802AB2E37C4799C155C00005F40107D8B06233C103F30015CECC40211B5806C421D3CC86C955E23FC053FA0BB09E001F9A2042620011AC0002B500553A00A6550033C80046E2C014650';
wwv_flow_imp.g_varchar2_table(11429) := '0665700568406D466133D157CAA8B15C0821054BFCC46F74CB99B358B93CC222AC041310C51E80066F90041EA0B2068001CD6C087D8003D88B021BE00120B003486004DCDB0D46B1237D8910F0A9CD6391C449BC06487CBE0A0D006B50061C2CC8E36C3A';
wwv_flow_imp.g_varchar2_table(11430) := 'F65B066FB00668C0054A90021200035550052DE00128F00006400028E001738C02266002EFFC00FA5CB049F006D5C0213BFFC2235E6AD07FB1CB7DBBD048BC170311070A310153FC36825BBF7000A870E0BA68A0042D500455500430E0011E40D2044001';
wwv_flow_imp.g_varchar2_table(11431) := '3090097FC00126F0022CBD011D5D0440000457400C345D183C8AD369C10510CDCA6E2010E60B680C8D0780E0078D801B1A5C102660CB829B4D44613DF30007486C06F906085650045650064410D22640D514600399100914B0D22C2DD53040044960044A';
wwv_flow_imp.g_varchar2_table(11432) := '300AF5A00F9B62D30E8BD66521057D2B10489CCA470C003EBD06772D4964A542E46C0F80BD5C70000886600549C0CE440004510D0104800014500499E0091220D52C3DDC1E60034FED1B1CB2709E6DB7A0BD166A40106A60DA00A0064A1B0A127B104430';
wwv_flow_imp.g_varchar2_table(11433) := 'D440CA1FE4FF3C40585C0668100970600556F0A04A90DB26900006F0C4455009A940011290CF1EB00114F00012500565800265C0D98DD2DC044DCACFFD13100D002DEBCD2EA50673251073E5CD00D008B6D4DA481840FFB0BC65A05E91F006879DD44F0D';
wwv_flow_imp.g_varchar2_table(11434) := 'D6EC9D0009E01B7F20D5F35DE2BFCCCE569009FE5D18002EC4AB3BE063612306E11CF0100F0221E303A10EE00B4038FE3912FE33AFF40FF3600ED3D80EED002A78070FEC600EE22075E9107544AEE3512EE502322AE900545C2A0F9072D3305E16D0670F';
wwv_flow_imp.g_varchar2_table(11435) := '368D20F10026DD445CD7B44B806710DE7A7898C2E606A10F0DEBDC5D6E15F6E01AB6013110635A1F725668B33FFC411F94F24A367118BE5B107E027DA4FF211C437520F1B081EF29E0736EA1D8A442A411E8697E9A4421CA04715224A5E827B5148D7E3C';
wwv_flow_imp.g_varchar2_table(11436) := 'E31BE9448C4D0D03E8FD20E8FF701394729A0CB1E69B4E1008A2788ECEE5A47EB70CC91F41BE14F6F00F8FC810A8B715DCF8EBB74E9AF6C94243D51F1301EB3FB348785CEC467BEC9E827749EEEB10533317615067C8EC2E0EEDACABAE3DB34F010400CC';
wwv_flow_imp.g_varchar2_table(11437) := '400CD1400CD9201D45D5E6D3E3EB09E9EEF8C1482C54E801FEE2DE9E1274931DE235A601A54276B30FC8200C7EF074F8B00EC8A00EEDF00CAED00E32D19504517397FED9F79E13B07A0BFBEE4467E3EF0000F09D5005A9D00DF5900D09400CAEF0060F10';
wwv_flow_imp.g_varchar2_table(11438) := '1C8335507ECE1F35670F8159D0133F4904FF816D175F5C0C010F99820C9D000965D60FEB000491400B91E0071EC222E05554352770451BF33BA1E9B888F1DD0E2E99320CB1E00965A60FDD4001DAE2BFCC403CE0940FF4000FD4DE0E051545F610C4A36C';
wwv_flow_imp.g_varchar2_table(11439) := 'EF4C4F8B6E8828760300D0900B9D1095F5300E1CA0D6655005EE40130D83283D1313D418F8EDA00EF3800F7F97E84595F66BFFA5F0B94B15F20CB6000AE6AE0FD9C00549100DE9750D5ECF4FEC900DD1600ECF700B08BF14F280F61BAAF68BBF866EA8EB';
wwv_flow_imp.g_varchar2_table(11440) := '44010DC2900A402B2387E2EB8892F27DEFEE6A250FD50007C4900986C00EECC00F51641CDC6E69C49EFA1FD8F8ACC20CC8900BB7A00C32E27796C3F7E0250FB6F00AD9F0D8F4E01CF6FF50FA4B8FFCF199F80B81E5CF900A7E100BD5C00E4A71FB44E5F7';
wwv_flow_imp.g_varchar2_table(11441) := '38B24BCCE009404B0BE2102A66F81A0B21FEE0BF9CA40C5400218FD89D2A7E86A9FBC7EF5FBF7EFCF22D64185162C47AF05CD9AAE4A712BB75F9E8C9031052E4489111499E449952E54A962D5DBE841953E64C9A356DDEC49953E74E9E3D7DFED4C91026';
wwv_flow_imp.g_varchar2_table(11442) := '3C7A00525519232556BB7F4D9DD68338512A3F79EAD4A54B67B5683D79FC5A9A041A56EC58B265CD9E459B56ED5AB5425FC293F70F5495325C52C1DB57AE5CBA70DD9E89FB974FEA447E15D7C183B74E5E3E005CBDB204CB56F264CA952D5FC69C5973C9';
wwv_flow_imp.g_varchar2_table(11443) := '7E43EFFD4B35A68C9754FFD45DBB962DDC3F73D1FEDD1B2C919FC37CB3FF1D86740C39F266DEBD7DFF061E5C78D0CE6F157AF2E2858BAB7DEAB25DAB268E9DB868FCF0C5963DDB6443AE8C75171F1E5EFC78F2E5CDFF74EB121E807FC032E1A1844C5EDE';
wwv_flow_imp.g_varchar2_table(11444) := '68E2B2992B17AE9F60ECB145E65E49A2F30624B040030FFC2DBD911E2309AF7D9EA12542629ACA271DB8CC31479EFEB00B89217CEA6150A5DD1024B144134F4431A6ED46CAC73B916623CAB4743044C8291BA3DA70C5175D7CF1A4115304324821871C4F';
wwv_flow_imp.g_varchar2_table(11445) := '4700F8B9A71E921C82CBA925F961C83A7EEC698ABD0ED3730B3C997E24B24B2FBF04F32C23014892A4169BB40DCACEB2532847016BE2324C39E7A4B3CEAF84020F492559CCA7C9936C0B29CDA6E2CC89503B0F4534FFD121B7FB27D07BEE31F31E798A62';
wwv_flow_imp.g_varchar2_table(11446) := '095043717A53514D37E514C135D76CF4C8DA96BC879E5157027450B1A204B453575F85B5AC5061AAD2A9E2AA3C92C150F3A987C79970DD49AA588725B658B4BC6B3159EF92A4879E47212D951EA22035131F6BF1696CCF47015096B167BFA5A95B5F8D25';
wwv_flow_imp.g_varchar2_table(11447) := 'B75C73676A8724760060275D96D459295D77D35A77DD73EFC5375F94F60C695B97F2F197256AB315AB1E83F9D53761851766B861871F8638628927A6B8628B2FC638638D37E6B8638F3F063964914726B964934F463965955766B965975F8639669967A6';
wwv_flow_imp.g_varchar2_table(11448) := 'B9669B6FC639679D77E6B9679F7F063A68A18726BA68A38F463A69A59766BA69A79F863A6AA9A7A6BAFF6AABAFC63A6BADB7E6BA6BAFBF063B6CB1C726BB6CB3CF463B6DB5D766BB6DB7DF863B6EB9E7A6BB6EBBEFC63B6FBDF7E6BB6FBFFF063C70C107';
wwv_flow_imp.g_varchar2_table(11449) := '27BC70C30F473C71C51767BC71C71F873C72C927A7BC72CB2FC73C73CD37E7BC73CF3F073D74D14727BD74D34F473D75D55767BD75D75F873D76D967A7BD76DB6FC73D77DD77E7BD77DF7F5FDD8C90D458E38B90B8004085142600FE6C0F5208C904E667';
wwv_flow_imp.g_varchar2_table(11450) := 'DA028035F0B01E8FEB8D17A98822C4220080F001D0C083E66BDE4104924C680100106A32030FEE4502C48F90842F2B81000C20FF7C9D3908490B4C601334AC21258D60C45908C03FFFEDCC7C21818109DEE70109C4040FDAC35E651210920D34D0FF6614';
wwv_flow_imp.g_varchar2_table(11451) := '00E000016002188804041EF0000524004096206F24D8A3041C429204251CE12C0630400272B8832FC8D08347F361FC0C28925790040F6F00C011DD80C49D2881246828034A2801805764020D3F6C9914AA3043252421092FA9D23EECC19E3162916FF618';
wwv_flow_imp.g_varchar2_table(11452) := '63A8E601807DB0651EF3282349EC118F8498716FB31A8996EC78B738EEB16F690C911F0539484216D2908744642215B9484636D29199A3D4232539497DB9634694C464268D052F4DAEAD1FF6EA642845394A5296D294A744652A55B94A56B6D295AF8465';
wwv_flow_imp.g_varchar2_table(11453) := '2C65394B5AD6D296B7C4652E75B94B5EF6D297BF04663085394C6216D398C744663295B94C6636D399CF846634A5394D6A56D39AD7FFC46636B5B94D6E76D39BDF046738C5394E7296D39CE744673AD5B94E76B6D39DEF84673CE5394F9910839E191B86';
wwv_flow_imp.g_varchar2_table(11454) := '3086111261DC4218F77CD83EF9790B000803180095D83F4752088442CC9F0D9D583F5966036A2A7418079D591288308424E4600A1ED58234252A9212A881052459C4C88850848E7E31070050C228AC004D605C1400020500125CE6C524B800004C9C662C';
wwv_flow_imp.g_varchar2_table(11455) := 'C470924F3802009030D94B9500040044C29917FD274641C1924E88C40E1D23C20CBF77920E24D3A627312A493A110A007C82AC2271C3504F02928A31150845180200B2CACC7F7E3524B910091F4ED289A28624A55E88C2490616B11FEC602473F5843215';
wwv_flow_imp.g_varchar2_table(11456) := '0A008CDEA409381059FF0947E2536336969F0AA5024BEE8032207CD1050FA8C048B0000017F8C0A73E10662D1CA10A006476256EB8AAC90C2B920790E40A0040AD0F5EDACB6390840C2161824B8430920CE4150091C4980A00D03E94A07698C26068480E';
wwv_flow_imp.g_varchar2_table(11457) := 'C080905037A53361685C3436DB938CF6989638054A862A0999E8951E7AAC980D284BD093B820079405262A4ED2040090C112BB00C02958411241D04125FFE8CAC68040D937543025CE75C12844B20D70DCB21528A1811E56420741984CB9002861253A08';
wwv_flow_imp.g_varchar2_table(11458) := '80DBAA24A423F9302D37C187C08AC4090090F04850B15F00B0C2BF2973C14C61E0011186E47D2614890B46903CF5F2120AF925092BE42B88FE96ECAD4706C01743FFF2C094F8D4054678722EF5A00AF9F22224BBD004CDE20ADF95F8948624D142876349';
wwv_flow_imp.g_varchar2_table(11459) := '0392E07725ACA8F0493250DC8DC575AB22616A48DEF00795C441247130C31BF20C80EAC11207180000A043F2E0FAD2E1B72121444828AC68E9069ACC1BCB6A5C43A284211421CEDD188739C6218D6E00401921B1270070310A5CE04224AB00C0546B4988';
wwv_flow_imp.g_varchar2_table(11460) := 'D89EE4C50048B3483040DD8DA1E10D572409FE48120E00303824DB508939C2D1E05E03201B9F56A52D8CD26A95A4F9D52261C0091E8DB14C38B5124DAD84534562086D8764147FF8431CECAC9271ACC3DC0000C93A5A198BBB7E020734F8314A28FCEC13';
wwv_flow_imp.g_varchar2_table(11461) := 'CF00D0D316592378420C69B89216B188055E01F081FF1300A0E0133E49090010018CFD0111DBEEF6498487BF29C4C4054A5EF7499C806F96307C639B1D0314710D8031A0E4DA8D18374AAEE08395C3F4A54670622D193E03281C3A246438F1C81CEEF090';
wwv_flow_imp.g_varchar2_table(11462) := 'F4E10F73EEC31B801A127D03E0E42A41C315C26CCC131F00C21733C41FA20E80A81BE2256648ECB55752745C7A7C2433C83903047D92E1EE631F817498D401F07095484007EF43C18D45E2035D0B9381B2CEC0D843828113289CA49FB0471B25567570A7';
wwv_flow_imp.g_varchar2_table(11463) := 'E4DA2810894775AB0317E8A025A4EE2502F4CE122138E21FC885D81DDE7087CDDE0F009D0FC90601E0F8D173D0F429196248520ECB27CCC4EF22A144A3FAE830F6920418A3B8FD41B51DF199A095BAF60058C5EF61097A92D8AFAC94F8C4481A85C78AD5';
wwv_flow_imp.g_varchar2_table(11464) := '431FFA0000F4F985F9FF9C04FA3E525030FF81C690840ABDCD9FC9C1F6440F8331B3FCF8B0C73C1006327E5C1FA2FACABE4BD0FE7EFAD7DFFEF7C77FFEF5BF7FFEF7DFFFFFE794C102C00124C00234C00344C0049C256650C0063C1B9C72C04E7906508A';
wwv_flow_imp.g_varchar2_table(11465) := 'C00AB4C00BC4C00CD4C00DE4C00EF4C00F04C1109C9B8051A780000021F904050A0000002C08000400500261010008FF00F309CC07A0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336ADCC8B1A3C78F20438A1C49D2E340822553AA5CC9B2A5';
wwv_flow_imp.g_varchar2_table(11466) := 'CB973063CA9C49B3E6C5933673EADCC9B3A7CF9F40830A458873A8D1A348932A5DCAB4A9D3A733F9499D2A152A4FAA54AD6ADDCAB5AB578858A77E8D0A805F59B163D3AA5DCBB667D8AA6D6162AD0937AEDDBB788DBE359BD723BD83F6CC0AA66A8F26CA';
wwv_flow_imp.g_varchar2_table(11467) := 'BE88132B7E59985F60B48B39DEDB870FDFBEC7755D16362830B2E7CFA03BF69B6A0F5FE88AFD00EC0350D8DEE39AA9536F3E4DBBB66D83F6FAE9E67B9BE2B97F93018CAE2753D8B37FBD932B57DC289EBD7F625303D0078011804877961F7C0620188079';
wwv_flow_imp.g_varchar2_table(11468) := 'FB76CFFFD3BC39162D83E1B4AB5F8F3052D7CE0A5DB137980D54CDD5AB0B52F232BFFFF26E06DD329B55AE2177D07905D1524921CBF1A7933C0BB982CC74FE5518593FE500C00700D1C4D50E006F80535026D328C7DD34CCD8F41733255AE862687FB165';
wwv_flow_imp.g_varchar2_table(11469) := '9A42854997DF8B335187E38E3CF658D3783BC1E7E390441669E4914826A9A444F7DC13523EFA4479D08D4B56896493564E940F3E03E1E39A6BF37CE958655FDAD3E43DF5A0290F9693452965416B42C8907C4DEAE36459FBE4A9E73E679E59CF4980DE03';
wwv_flow_imp.g_varchar2_table(11470) := '289F336669E8A16CC909803B00C0430F3CFF442AE9A49446CAE79EF2EC93A93C9BE6C969A67A3AC98F74F038698838AAED538F3CF040B866AA7956FFFA4F3FF44CB68F54BAEDF38FAE94C2D3E8AFBEB65A50ABC42A8AE8B1C8F624A7AFEEFC83CD1865BC';
wwv_flow_imp.g_varchar2_table(11471) := '81C71B6FA0616D195F64FBC518DB7EA10623A1842B6E2894380200259474D24928AEE4122E00A99C8B08228C500200B452F8014A269EA4928A2BB6D802CC2DC808630B2DA13082881F6E943106B48CF00B4A28A0543CB127E5B24B8B79E92C1A6CA3C626';
wwv_flow_imp.g_varchar2_table(11472) := '2BF2C83C8D269D599410F0C20E44D8E0B20D29983001051C4040410614D0CC051F0B17C2071F85B821861A6AB8E1061E7864E28A237820E208236A48E1051700C071071A77DCE1C61B7E30020925996442492490305CC61342F4F082086C73C001177E38';
wwv_flow_imp.g_varchar2_table(11473) := '62C8DC8C18A230C35EE0E108BD8864FF48A57424072E384DF7D0F3673EF5FCC308033F1CA1C4134A1C71C41044A460B9091E9860020B29A8412F238E84CE74D178FCCC8723A9C49249219484EB86176A9451101E46DFE1071F70E061F5B40D7BF184E446';
wwv_flow_imp.g_varchar2_table(11474) := '1CD1C411541C61440A428C412F259044822E249038E2861A7C40E23523E100B74F3E4D1E36F8F7E0A7B4A5A35B266E08014224F1B814914B6EF9049897E08107427C5108E88E1452C8E847978E0724B170972394160A3C78E161F7329A02D5C005DF3DE1';
wwv_flow_imp.g_varchar2_table(11475) := '09461082107E30BC2844E1080F7C421484C00216508F115E631E25BC263D2EFCEF7ADFD85559E8410FEF85EF8530E408E2DAD142162A8E003268DCEF2237841F586E7E22484109FF90F7053EE02F7FA3B303D21681874FD0C25D00706201C5003B350060';
wwv_flow_imp.g_varchar2_table(11476) := '7A6390C2139A20848274508246C8A0162DC8452E0AA10462389DD3AE173D4618F07F8EB01E362205807CB02A1FBC89A11EF7A8A57AB0431EFCA0873CFE41890820CF714F2882E4846081124C20051C48C12385A0063CE06F7F855804D1F0C0C426E6021A';
wwv_flow_imp.g_varchar2_table(11477) := 'A170C427625140A28D217647439B10705082124850820FF4820335F84A09B6B292FB7B5AF4ACC7B4BC59CF7ADCA0633EE0010F7DE4918FC8AC10E84057AE98F0C38F105AD53F522183276831723F685C118480BC6E72B37E7A13DDFE34A9444E365118D0';
wwv_flow_imp.g_varchar2_table(11478) := 'C845E842F189E911AD68D36B822B0150020008A10951D0A03E2DB8FF41339EB1955E005AE8BCB6CB5EC2518EC224261E93C9D0F9DC2F74D53197BDE4520F75C0E399F4F8872B8EC02D2E48410A4250A4142677841F705388940CA738C9694E4F1E23148B';
wwv_flow_imp.g_varchar2_table(11479) := '5884B9ECF0CE2B162D0A29604141EE29BC23F0139F42D8A0046920041AB4328DA223E8D3A4E7CBA72122980519263C5CD8D0AA26C75C05596A335FF24C8B964FA347389A1BBE30D2237C548B243D694A45273A4D22CD0E7CD05BB834E98877110D00A453';
wwv_flow_imp.g_varchar2_table(11480) := '4314ECB9D37B06D5AFB57C2551FFF9845C2EB58D4CB5A453E71855851ED3AA90A5CD32251ABA89BAA4AB1012E43F6891044B32ECA3663DEB228588BCBCB1D5118B28841A68BADAD5E2410D430B05348EE1089AFFBAC10E4753C3133AC8D7C0FAB6A8B624';
wwv_flow_imp.g_varchar2_table(11481) := 'AC234EE78872F19211AFB324DF185B47C746F6B9A73117560150D9E95EF61EEA18A4665DF10438A00B0F1FB5E647875052469E71ADA7D5E4D0C44045317072110010C637B8D14E05D2CE0D4FA0671787FA5BE002D79547556971976AD0BD298CB952A52A';
wwv_flow_imp.g_varchar2_table(11482) := '74178C183C18E469E73217E8B88ADD41E623A3AE48C21D1801872F7874BC5AB4806F2B995E3EE8969F693C463A43F18D1617100F4A2C2715E809E0F34A100A37E6AF8D5D1985D39EF68D7BDB1B8215CAE0222366AFD29DB07E8A4BD1EC02E01FF998A659';
wwv_flow_imp.g_varchar2_table(11483) := 'BF3035297C78BCE6959C49A9E763F54681BD6A60B138BE910B6E9483CC30AE248CF190DF561684FF0683C5B16F070BE0123C41C06C45041EDC1B643F40B5B95335B2A0EF925FC53E38C2095183B9E83512CC3EF9C9A0901C06A5A0060F83F6071640DE03';
wwv_flow_imp.g_varchar2_table(11484) := '8F40C9D37D4294A1D3E41336B9885C94E3CCC7F8C6995DE1D672DAE10946ADE77E89CA4539FBD7C667E4B38F43C7073EC7CDCF064AF0A0871D17886A95B24A36889243819CC762841F15A6A346BD508529132D5B2315C204382004D14A81AD9F462D6CD5';
wwv_flow_imp.g_varchar2_table(11485) := '905A47E4E21BE92033345AEC8A35C338AE62D02F00FC996321C879B0E76DE513768D3F13EBED7EC09E0A31EFE16C621B1C2A7B757041AC8368EA2222210F07402542026D27970500B64083178EC085A3A1A1D21FCD7406BAFDD12878617F94FFF844CA43';
wwv_flow_imp.g_varchar2_table(11486) := 'B749D1B1D8C5A9FE064C610C80B78A61BFF3D6F19C6D4C5434E279A04CE3F3E9FCAC1AB3C0C31D8139B8D2BD32D9665A964107E19B1F44D2555FFDE339C378C3D9BE800733E0E1E364152AC9B5A8E8E27E3ADC34B583CB5B2CF373CBFCAD35475ABC9BD0';
wwv_flow_imp.g_varchar2_table(11487) := '047BD2BB9644CDFB7F837ADA72F55B0C6E40221FB2A1BD7FB4A31DF528F8D2179F14AC62D53AD38D78411814B746571452CFF90732FCE0872FB8610D789043E85F4BD68FBE930B6A609DCA575F5B127FFAE52F75C53740893477EFF9083B752517F3AE77';
wwv_flow_imp.g_varchar2_table(11488) := 'FED239A8783EA28915AD3F3EA4901E7972070D15CFF8E61B85C9D46DA675A06E459520CEA24F8E143340C8791082D011A2AF3DFFD2FCF0DAB2A77CE5AD57FBD9D70D4AD942E3136FADBD1DC4C0E923E8D49EB606EE607F7F54E20E78B2C3C70871830784';
wwv_flow_imp.g_varchar2_table(11489) := '972986B77CCE97804651027B751010F660F38210B8635D1F517591F21CCFD035202407E0F7637AA33B71A537E5522E9FF069AFA576A2245BDFF0522CF6524C04004A046FF5674F2C504B38D67BB7D67F6C35596EE479A5032EE5B02BA6A17CF4C07C0A78';
wwv_flow_imp.g_varchar2_table(11490) := '8435817B59655959E507508710A9700B1D427197C71AF3F00FB7500666D03FE2277E95F64E446376E7173A342553EB946A2C080DB4A74400D0496A807B92634FC8D35F71165C3D565D4B0542D3E30688E009C6C10E50E624EEC00E2D848486D81351F02D';
wwv_flow_imp.g_varchar2_table(11491) := '0AC1081B020053FFE7067C601F00700D245175AC110FFF000A52E06157F65157964192A668235882A13634A153822D060D00100A2A367305F133AF557792F64FAEB47F1254467F956BA2E3774EC508D4E287CC900DD8A00ED0810FFC30887F7288CA9813';
wwv_flow_imp.g_varchar2_table(11492) := '42A037CAB654D4050700771013528955C80F98A8891E35045AB48956165E68C36912240662284A9F463466585731770C68584076303B71F5865D5452009053AD046736788BFCD563E59287B7830894900AD1208CCF900D8058478BC20EC9B88C0C29137B';
wwv_flow_imp.g_varchar2_table(11493) := '05078E000759E588052189F2418929C10F17E664F89038A310047290086B300416B089DE12350E944FC23306AC234A24885A626086A8980EECB0822EF65A06FF81346F0800256552965363B5786BB684466CC579ACE30AA0900AC8300DD7C094D9D00ED0';
wwv_flow_imp.g_varchar2_table(11494) := '4110C868840D59951D514F08015E4F403551A191F4A00E7F8147FF900D89400AB3200A89800541C005DAA25B19744146907AE87276A528538B3093E9A6862FF54E0EA6939C66522D60392CD04A40D94A19709884590294F68645C4077EE009AF900D4E99';
wwv_flow_imp.g_varchar2_table(11495) := '0D92F99465611AF0C00E7762959C4912C853024760454730011EF010DDB00D9588475FF91751F20FCA8009A5C009B3000B9C00066AE92D52904F0E2439726976A0464E67F709D0F00EE9904EC7400B8E303439F95A9C663929303F1E805289399D354669';
wwv_flow_imp.g_varchar2_table(11496) := '47803C6AE007A1900ABF500ED9100EDD009EDDFF300DC488908348709D999E22915F00F005003001585909B4F00AB7F00AC37010D2500EE0100EE00020141748605947FCF00FBF8009BA100881C00998C0096D900860200723A5451AD40448403DAC176E';
wwv_flow_imp.g_varchar2_table(11497) := '9A2453C1C94E4CC4447755736D4834DCE40122009D43E44ABE6546F9F404B274041090014F000AB730A3D9A00EC9F09DE2200EDD50A30531A0995928EA19A41A514912E19F05210DD95010E991A454391100FA1704F70FDBD00BB0200A6C90A09C409BA5';
wwv_flow_imp.g_varchar2_table(11498) := 'E0A00EDA086BB0065AC00568B006DE778AA8650732798E62908889A85705B10868BA087D6007742A5415C44FB12406945645AFC50768A04866F00A3BFA0BB4F00BE7500DB8900DDB600EE0FF409E3DFA0F99899E423AA915216155632E12790BD2B010D9';
wwv_flow_imp.g_varchar2_table(11499) := 'B00EE0000AD2100EA3500D00A00E192212AB0900F7A00FFF000EB0A00BB0600A6CC0069C50AB8FF0089C600A97F00897A0088A900881900889B0A548394221988E7BF665A3366A56B45A8B800AC5D00CCEA00DCEA00A87C0AC7CC985B5F734B7030770D0';
wwv_flow_imp.g_varchar2_table(11500) := '08B7D00DE090A38D8A0BE7200DABD00D823A0E9D6A1090AA994D4AA9F25A10E4A72112770B00D09F0BB1A906A10CEB900C2A91AA790200DBF0AAB3309B088A09B3A00B9C200AA6200AA290AB97F0B0A6409BB0F0AAB70008C76A86B0C5A6CC1A6F84A007';
wwv_flow_imp.g_varchar2_table(11501) := 'D0EA0DE4400EDEE00DDAF0098710538B0034FB332F02F8347060448CD008BFFF400DE20A0E8C9A0DDD400DEB200DB7300EAB300AE110A066F1AE923AAF4ABB10460400A080200020AEA8C210ED600E06819A2921B0AC5AB0077BB0BA200A8390A0A67096';
wwv_flow_imp.g_varchar2_table(11502) := 'A650B6666BB6BAB0B0BA405BA8800ACF6A9744B3A66BEAAC9A00007AE00BDE0000E8B0B726EB0DB5E0B6983450DE17B38CE00ABFC0B3E2A0B3E7600EE7200E387BAEAB300EE1E0099EB00DD42115481BAF4B3BA9DF60103A6B10EBB010530B00CAC00EE3';
wwv_flow_imp.g_varchar2_table(11503) := 'C0AF8650103AD2114F9A2AAD2A0A69DBB50BCB0981B0A0653B0B152BBB6AAB0BBA000D9DC00BBBA00ABBD0B66E4BA79A105300A00976A007842009BE400E7A8B0E7D4BB2C7F009809B3F88A03FEB247BE2C0A8E6C0B8E7FF10BEE17B9AEBB00DB8300EE3';
wwv_flow_imp.g_varchar2_table(11504) := 'A00C7F50091F82B991AAB99B9B9EEA5010E6300E8C6BB500700E0C210EA10B00A45A10E080AFFF290F60B92BB7020E638BBBB29BB6A28009B7ABBB5EAB0BD4A00BC2F0BBBCE00B17AC0AA830BCC4CBC1844006A8800EDEB0B700400EDA40ADDA20BDE450';
wwv_flow_imp.g_varchar2_table(11505) := '0B6FCBB299B408DCC00EE5F0BDDF7B0EECB00E388CC3E3000EE58B0B8C0A0EC9F0074CFA6483C825F01BBF9C7927F1A0BF0F91B80601B005D10DDD400C039C5D066C0FE0B0BBB1ABC0B89BC009BCB05ABC0DC4D009CEE00B666CC6BB90C669BCC169DCBC';
wwv_flow_imp.g_varchar2_table(11506) := '798B0EEFE00DBB600CC6D00CC6600DE4F00EEF400EBEB00896B0089B00C870BA08ECC00EEAA00EE790C338FF4C0F39CCC3E63B0E52BC0DA330C4EFBA90487CC908B10E4CFC10B7A00CEA80B58DC60F049C51B1120C6C30080EACB607FBC5BACBBB5ADCBB';
wwv_flow_imp.g_varchar2_table(11507) := 'B5E00CB2DC0CCD80C6BBF009BBE00B6B4C089A400E704C0ED630C7C6B00BA7600CBEACC7DED0C79BB0CCAAA00AAD9006D0200FEC404C381C0FF3B00E2C84C38E8C0BFDB90D9469B5479B99968CC9E44C11D230BAFC0A125231CA06EC9A59C006594002B3';
wwv_flow_imp.g_varchar2_table(11508) := '1A08AE0CC1697BCF6A3BC1C4100BB25C0CB36CC6749CCB66AC09642008780CCCC23CCCA7B00BDA90C77A4C0EBCD00ACD3CD187A00A85CC29EB100FD8BCD12C340EE7D00DC9000EDBD00D48BA0EC6E4A30AA960E5BCB41B2D11E6A00C9419CAEC1C2BCBFF';
wwv_flow_imp.g_varchar2_table(11509) := 'C00679100879C0065DD0055990079C30090F0CC611CCBBBAB00DC3500B282CCBCE50CB176C0CBE600CBC40D04E2008AC0000740CBCBB80D5780CC7C89CD5BCF0D511BD07E850C8F5C0C8EB70CD664D0FE84BD26C8DA4EC70B995ACD22B2DAF21A310FD1B';
wwv_flow_imp.g_varchar2_table(11510) := 'C50040C59BFABF1528CAEA8089B1420D98300993F0D38A300879F0CE6CA008B91AD45EBBBBE4900AB2AC0DC540D9B50CD5746CD5BBA009CD0B00760CD559ADC6BBE00CC7BCC7CEC00B50FDD5C67008B5A00F84C8D18ABC0E907C9ADBA00CCA80A4E38090';
wwv_flow_imp.g_varchar2_table(11511) := '713DD7977CD70D21224A8A9ACA40D200902180B311EB5CC0817D0911DBD8652B0A9740D8843DD8CDEDB0634BD4C750D9DA6DD900ED0BCDFF0000CEE0D9DF5D10998DD9A06D0C24ABC7EFA00D741CD0CDA00A9B4093F210DB8A3C0EC4A00CDB100ECA500D';
wwv_flow_imp.g_varchar2_table(11512) := 'F9AD0EC6F464E2BC50BCBDB931C210E760BFC9601FA8099E044B757EFD1779620FD4C0DC97D0B0CE6D0A3F2DDD832DDDD20DB1BD700C9E30D995AD0DB56CC6D20ADED30A00D44ADEB4BCD476FCD40DCDD528EB0C577DC187800EC4040FF47DE02F3D0ACA';
wwv_flow_imp.g_varchar2_table(11513) := 'D09F909C0CE6A023908A78723DE091811CAB5B1B899CC8F45B10E39021C0CD0CF60BCAAADBD7337D19D43009115BE1161EB1D33D098A20E6933008628E09A88C0998500BB5E00BCE30E2FE7CC6D2FADD296E10660CDE284BE2D23AADC76CC2ECDDDECED0';
wwv_flow_imp.g_varchar2_table(11514) := '0A9D60D69A7CE0E8FBC320FFDD0DE500B491A005D2F0DF459EB4481E1AB1B1E4A7A1C9508E10A70920FE890B06110732ADDC5A8E0997B0A0855DAB0D0BB6843DE68A8009637EE6ADBEE69DA00A173CE2B510D1174CCBBA0E0079DB0C60DD0C0DED0DD34A';
wwv_flow_imp.g_varchar2_table(11515) := 'AD7C2EBD28DBDE73AE0AEA50C8E86BBFFB39D2A7490CB7300A9E600871F007DD604C917274E33CE9A701389310DDBDE1CD06510DCAA010A3601096AE11C90DA5FB100FD430E683BDA0A45ED8AA0EEBAFBEE16A8E09AA1009ADF0EFAAE0E611FDEF60ADDA';
wwv_flow_imp.g_varchar2_table(11516) := 'C0BEE218CC0BE12DECC35E0C955DB2338EECCEB009EFB00E88BE0DD280F1D2B0DFAB50099E40EDA3300AE0BCED8877C4DECE167C71DCB70120CA00C5DD21C0C1E0F2A4FF1BEAEE6E0FCB50BB641EEED1DDAB6C10DD64EEABAC3EE6A4100888B0CCCB4CF0';
wwv_flow_imp.g_varchar2_table(11517) := 'CE4CF0605D100A7FC2C50000BE40EBCE20ECADE00BDA80B2FE5CB226DBDEDEED07DA60F1FDB9F1D5900CC9800BA330A3B8D0F2C9400C22EFAEF050F2270F1AA371E5C971EE09D1080080F70090BA0791090E9EE5365FBBBE9AF3848DD3D20DF4BE8ACA83';
wwv_flow_imp.g_varchar2_table(11518) := '10B66CD0077D6009907FF49BD00A938FEB94BF0B50AFE24F5FADB4AEE2CBDCF4A75D0C7A4CE274ECDD9BD007E1B9F1D1800BD3EE099510097F100786F0F19E100966C0D790EA0E921EF78A911A0692108A101A322F7180A0F706E11E0761067F5FC09361';
wwv_flow_imp.g_varchar2_table(11519) := 'F3793008879DF8AC9ED3890FFDD6BFF88B1F086C600765FF7008DE7F089660F4A7B009BBD00ABBB009A7501001EFD9B20C00FF6EF5BE00F9559FF0DAB0C7760CD663B007D230F6B8B00A00E1A951A3387FFE188AD42852A43866D028030080DF3F78EEEA';
wwv_flow_imp.g_varchar2_table(11520) := 'E58B9851E3468E1D3D7E041952E44892254D9E449952E54A962D5DA6ECC72FA23E8D8A00CC799953A74934CC3AE2E2486C67487EFCE4A9A307E0DEBE78CBF20452A4689054A993F2B0199455ABD6407302056273C6CB9E337BF6103A74C8D2DA4DBB76B5';
wwv_flow_imp.g_varchar2_table(11521) := '42050055AB56AA78D572C66B532B5EC5BCA92264692F5F67E8C8F1DAA50AD5211E62888DAA947054305CCAB6495386AB52C3370EB365A46811E350D2A54D9F469D5AF56A95FD3E0E8A085B2A6BDA20FF414C8918892344009E32C2E158C674D1A349EFF1';
wwv_flow_imp.g_varchar2_table(11522) := 'B3A72C10A6AC519B5BF53A6750A0E9D3E73CCD9308CB0E2450BC373973E6D01EB5A7E8D23D05A015804D9B543573E68BD75D6FDE36A915EC4BDB7E55AD2C898142073116AA64145CA449E616C80CF9C38C32D080F08D32A4010D9E762EAA2D430D37E4B0';
wwv_flow_imp.g_varchar2_table(11523) := '430F4FFAC7B58E70822DA3AC1EF950351D22022207254442E30E00DC9851388DFED9899F7C8AFB679F7DEC718ABAE6B49A44913CBC1A248F23D9B88A0D26D9B822092AA888620A1E98D0218D34CCB2842E5E5AD9443DBD34E9B2165FCCF4C52F725A216F';
wwv_flow_imp.g_varchar2_table(11524) := '135EB471461B5EEC70A2041C7AE081082BAE80D08C37D0F0F38D37EEF8F34F07A789E8FF9FD08E4BB151471F8534529702B969109C32BA54D2A15400A0080072006008178800C08A8DF88888C654D5384D471E7D04920DEAA4CBCAAB4926B134102599CC';
wwv_flow_imp.g_varchar2_table(11525) := 'A28B5E7B6D8414504209A513482041648C299860A2CDC136B104005F7C69AF4B6700B0CB19BFB4D9440F6BB52966131A661041871D7628225D178CB0E20D83DEE8038E3BDC40E34109110540510BEF194D537FFF0538E0DAF22871A33C621378A514221A';
wwv_flow_imp.g_varchar2_table(11526) := '62A3221A36A3233C3452C346D25C45EA1F7EF0494ED65AB5CA432A27B36083E42EB008020B95B1486495515E712513484049251655CE7082893AF6588B2DBAFA83D692BEBAE4C597FAC8D9A48EB67C716693194210E1851ED005C2FF06208A50C25D38FE';
wwv_flow_imp.g_varchar2_table(11527) := '10745E34E895F0B37C296A87DF84CF463B6DB5499A6423120128B98BB54702A1050080C8C80515765081D453DFA08DB88CF9D9E71F59D8604E114C14C135ABB849C0628B2D50F6A10B395A5EE515CD69A184114A3E0F6511B3D2A863E73A0E29CC195434';
wwv_flow_imp.g_varchar2_table(11528) := '01F390569ADE039537C921A798D205536593153E4021061BD025A285BD81F8E20F388E9797DE3ECBC0575F77189D3B7AE9A78F94E48864A5BE25205CB0BB243986336A707C0CEF020C2795FC4AD72E820862081FDEF7C10A1FCC68049457467125FFCEF1';
wwv_flow_imp.g_varchar2_table(11529) := 'E003914210E9C331D0B10727A4810C4A33866124D10A6F68832E719284D2DEE40D72F8020A6448831D54810406A000FF062DF8011180B0371BB460076530881F8E6708401882417FE8068E9C67B6ECD5D08637D45020E480051C6AC40420D8880BF09611';
wwv_flow_imp.g_varchar2_table(11530) := '208E641400B8C55004470F8D8D4F193BC44217A44832B0ACA17D231802104678B52170610D9EFB1C23F8A00632BAC10D7D10432DDEA18A19E4AC0E7CD1463324511872BCC519DE708620EA700AF85070137B48831854C1820878E0834010E10E6C50C216';
wwv_flow_imp.g_varchar2_table(11531) := '28E10F91305E235E360A978D421D895A54BF7AB8494E76F2277258030F376286EF55420E71F8424426E0810970A0951300802BD7E68188D8E06EA11A6246BA079260002018A4109B4E30C644E4FCE317A08C1C16B46086385422116BF081055609020F78';
wwv_flow_imp.g_varchar2_table(11532) := 'A00220FF00410A88E7073FE0C18C5FF08218B820063B886113C2D805130C98864D34831782D1063AD0B10B4DEC421B0D24C41E78618C38D5421576B003153E10024382408B4050E4226D90843830080E95888632AAA18C64ACE29213211B0D3DB9518EE2';
wwv_flow_imp.g_varchar2_table(11533) := 'F0170000454406C291EFC5612310880805A4A7818D6C2F232A28A248660180650C674783CBC73FA6018A4A546220726804504F6985094800024695C0031E70540A106F0C5FE00217BC20052978219C6338431A0E518734E86C0FF7A1032FC8810E004842';
wwv_flow_imp.g_varchar2_table(11534) := '109B881339B421882EA9C219B5D8841DA680010AA0000430D8C14155B048150021095A8B8327A6210DC24A0317E39088BECAA6C98E36D6B16A9B46FF2500D008C96604101101047022B24B0A4040A5D13BEA0F0170034E0101882DA85BDD5242939C2C51';
wwv_flow_imp.g_varchar2_table(11535) := '29398DAC4F07F2D338C0610D52286A02200081072475B710F04015CA30DC3178E1094FB0AA17C6B0DC3174950953B0C41E9AC5C7661843106458A031EEE98C9DB9E913A2DB0006362001188C60074264640B5A60032B38F40D95186C3630538D752436A3';
wwv_flow_imp.g_varchar2_table(11536) := '32796C7EF52B30464C560E8CB82C001801878999C10D5FF8822D3F3B3DCF6AC4962ED801006019115A4A602396001C4858FB12D7E223A7BF00442300316240180F0E1092820574BBDB152FF5A844709721E0C0052958C10B5540428E91300517E8E0B963';
wwv_flow_imp.g_varchar2_table(11537) := '6002000ED19656ECA70E6CDD8533EEFF580732ECC117FFAC8206282001BB9ED7B41EA02636515005501842508D7846329431E66DB07686F8DD6F9AD5ECA85466C40F7280831C50B591236C44B777461B0232F243E1F96D232D1881463631069080E362E1';
wwv_flow_imp.g_varchar2_table(11538) := '334E4E6D5106E4A930B3B645C3172CC0E2DDBAD8C53B80832B40E1093F0C0A005CD0810634108215D440074860C21272B6073049C21BE830061904519766D8C7097B58C42102FA000D54130479DD010824604D0FFCCE0A9EE80382FD708B4A1ED6CCF75D';
wwv_flow_imp.g_varchar2_table(11539) := '73B4A5FDA13500000FC803C49B2706002900A0C111814002BC7D679476AA37AE48E2A3C4ADD2BAF51500D494F0B039C5913344E4101A694422C0579CD7FEC3155C80101ED6706DFFE4ADE10B43F82DA597BA54102CFB16B4884C2428E106136C60031410';
wwv_flow_imp.g_varchar2_table(11540) := '75084CED637596F514F7F4C629D280BB5AB48209DE39431FA8F0000A788003BF86B007860D021B28A10A76F0831DB8508537B862140309C6389EBD2F344FDBE847674D9B45226E8D84DBDB02DB00483C65AA886CA20FEC89C85814A21165185A44AD4574';
wwv_flow_imp.g_varchar2_table(11541) := 'BF532105047F014268401E1C0E3E813B2F3CDC4AF540193C710B5778221299F0C41B5E4001952A95010FF8000E9E0B803DD4C112DA35863700499E3E1CE20433A041CAC510010D0CDB047975C1785DA0042DA0A10F7D40C4A0CF50868500A212CA400A26';
wwv_flow_imp.g_varchar2_table(11542) := '898E74D6B7DE259EA8F346941E70A56744B7764629D3051CD247BDFF200222D14246ECE091E14F16000106473B9418767EF95B0965E742D9CD8E872FA8600295566A02941A6E0854A112B418852720B11034A4800312900005946A0003AC400753E86A1D';
wwv_flow_imp.g_varchar2_table(11543) := '24B18B53A05515CFAD835C69E0841344A10F63D08007E0002CD3221818B62B88833E30834D88047F6ABC37183FCA5206A153BDB2293AD7C3C00C2C091A0B02B28B0856498907C808FA7985B401826A0380542A83BA089330293EDD0000180C8743E3B77B';
wwv_flow_imp.g_varchar2_table(11544) := 'B8077F9382A8D241048BB42DF802DC62B1EDD3BE04D03E20F8039A89044380043F180313A8A6F3533F06300006D80011A0011A2003C1D0994350857F4A8365B9C2135802340A400E3001AB010114480009D002FF4388832B38843FC89D0734849EAA8460';
wwv_flow_imp.g_varchar2_table(11545) := '60877950BDE7B9400DF4C33FD40804FBC088F8828949A56D03005B1A37700337DDDB084AB8AC89418347D9A58DE88C8C100300282700A83700F0028D188564C888AF7309D76A3E5720BBA82A3B354003EA43308423C2B7D33EDE02AE324008132B0325A8';
wwv_flow_imp.g_varchar2_table(11546) := 'A627E400F5633F06380006A0012600A819C8A042E8845838031FC3011A28011D28AE00F40013302161D33E2B70082BA8823D18036EDC832BB08348F0843B54073D1C9BD503C474F44350E00289513A1434BB8C58A58810B7DBA3478EF89388684700A025';
wwv_flow_imp.g_varchar2_table(11547) := '99AB0D06480923E88824982C182C0D53BC4154943E3530BB2D0094B2538209E82C1623C2DE9280FFAC99443418032BB0815DECC7F5633F0038800C10823398821340027282046C18031EE0811778011628812440025EABA61B80010F7800DDAA00BF5202';
wwv_flow_imp.g_varchar2_table(11548) := '25B0029A348224B0026C14C7600087FA3A470B54C7A6C4C05448C18C60C542DC028103413518B854DAC75A8A080E0000ED03801458182EA0BA8CF80145D4082CF347003000B66CCBB6CC097133C377830191781123008217C888B2440D84FC875720BB2F';
wwv_flow_imp.g_varchar2_table(11549) := '60C842FC828133CC48A3AA2150AF9CDC2D432A822AD0466D240227F4480FA00022643F0200000460811BE8C523502E5BC0863278011990011E30010E30821E502A1430011848C3A49AB2625B1722508211F0A024204A2DF883033907FBB210FF0C71CAE1';
wwv_flow_imp.g_varchar2_table(11550) := '44BA6E8B8848A33E00580356494E8D381E008090ADE4082028CBF502801F08CB8E480110583000200004D0CCA1A8A688300113180982348217304F8EE0BDE5E3B77CC829C0E4C1486BC5C214B8FBF4C1A8AA0225000227848124B8022E48822218502068';
wwv_flow_imp.g_varchar2_table(11551) := '81279C46034C00F63300CD24000E10010AC8802390175BB8063E300119488197E4801850BF0D3043188001279480F1DA0010B8012DFA4984320223B0B92DF0045C30870A110DE2B451A4FB820383CE426C4E6B93033C90034A68044630299180038B8930';
wwv_flow_imp.g_varchar2_table(11552) := '4FA9440F58188F408000D00906E8CE92804C8DB8818D30C81C091F78D0981B7C85E863C8AF294433B8CF3580034060844E8BB4FF2FA8022D7ACC134B82AB49978EDCC50FBACCCC8C08046839AF4C823B8083543007DF90011135BFCBA4800D98C6BB0201';
wwv_flow_imp.g_varchar2_table(11553) := '1DA8262A232F1425CAA22C825F2B822BF8034F30348CDA17C6BAD14E55333450838909D5E554CE889898CA1A093FF008821C40AF0489EFFC4E4721CB88480223B88108030038C804F71C9C1BA485E8FB8232303BB38390813B1E4AA8043F80902F28CA38';
wwv_flow_imp.g_varchar2_table(11554) := 'E5BC48780325D0CD24E0CF01ACA60F8200062580064D000AE0806F2D023830045028075AD8811840D7D4DC3E2A2BCF76F50014285197AB26EA1C832B28032BC04BA05C836CD0987C09CE3EF4D480CDAFDA934A42C483FA09B09030049168398E4000B804';
wwv_flow_imp.g_varchar2_table(11555) := '800008CF58BAC7FF49CC55009841DA901100B8822A000023A844B03B0A79D0987AC041612D838A11CC483B303478834CA8043420CB2AA802021D029EF3B22AA056A02C02994354137A006EFD4E0358B1610BD7232C8757D8810F62CC9DEC2D44AD2614A8';
wwv_flow_imp.g_varchar2_table(11556) := 'A6F1EAACED8301A0AC823180102BF8C92210457BF0D70BE1548125DB8DCAC1A952831C344E6E8B88F78A08E3B482B5DD0854E58817C94E274D003DCB0817F3B6264D91AB0300257005522CC5F0215900C8A96A883E618D2A2FA0B1C7CDC1BBDB396DDC4F';
wwv_flow_imp.g_varchar2_table(11557) := 'C8E4823780569BB3B9FDCCC9F3DB812458D005D508EDF3D6227803840085482882F55AA4CBE4BE12855A44A5DAEC4B8022B8D7A8D29A37E83C719088B0D5A8FFB205DEFCBA2400B824755087DF74879038077680079048079550877498D18C8807006007';
wwv_flow_imp.g_varchar2_table(11558) := 'E5AB0D7660878CA82FC22DDC91C591B149877430DEF2355F7560077568077830DF7138DFF45507F725DE71905E7598D1F80500C40280E98D88195D8776D05E75580776205F7388DF03A6DFF3355E736060F7358775A087EB658775A8077A18E075B00719';
wwv_flow_imp.g_varchar2_table(11559) := '0A0DE10CDE0E569BE60D897DD0087B600A1106DB7C693D11E907EFE530C3D59889C0284591E119A6E1F055140058611C5EE11DE6E11DEE881CF6081FBEE188E8077DF83A7D40E267ABE1F0050D192E8A8CCA0780F5E029D6948AF8087C280AD780E110D1';
wwv_flow_imp.g_varchar2_table(11560) := '88A2900920F61029C621C121D92706007BC860FF2F56632F968835864F8C708D1ECE612DC62F365E611D298A2E760D1FD9071EC6E12C8E893E54943496A1B191E1B179E2E08C622A66647FC1082B6EE48344B417B6AF8940091FEE8710C1641D06891EC6';
wwv_flow_imp.g_varchar2_table(11561) := '911C16E13E96631F4E945256941836E4191E1BB0FD0777105B318EE458DE101096E51CB9A9C3856142BEE43996639300E38C08E551ECE58DB8614BDE882D2EA67FB0878950E45A76E667BE2132C6118CCA60B02D0A6BCEE39050E1611E8A1E6E098CCAE3';
wwv_flow_imp.g_varchar2_table(11562) := '6686E6712667B591E6DE5DE2741EE220D6643F66E191F8652226E51B61E22606E61E5194C2E991B0E5E072F6E77F969473666673205FFB6560033EE8FA72620C198D288E897E80CF8BE0E2FF4D66096E26E64336647DCEE78D863680F6E88FFE9025C291';
wwv_flow_imp.g_varchar2_table(11563) := '9C32875BB80566F80562600666208696FE055C88860CD660553EE5990E91761E6511511420DE69C2F5638EE069759E617D1661B2E96790466A96A8E7A4F608914E2C71B8855FF8056680064F18835A4806979E063D64227500856B90876850947010877F';
wwv_flow_imp.g_varchar2_table(11564) := 'C80676B8867048057ECD879C5E89794E89C221EA7D60E60B8165A6C6EBBC5609A7CE29715885A9FE054458163B00066248065C9806B075877FF0840EA58554FA871FE0827EE0824C28035050A97F686BB7EE641D26C59F0E89A5C6A48DF69156BE10BD46';
wwv_flow_imp.g_varchar2_table(11565) := 'ED9210EDD496661DF90771C0055960865BE80355E8844DF0846A20065CF8DAFF9CCA8437F0835FC5D83218837578030FC8866118837288E35E7EE71F0662D0F608A13E64B9561457AE87BB4EEDD48E67D69E64C47D6D5C08865FB80544A805B81A056638';
wwv_flow_imp.g_varchar2_table(11566) := '6C51C4877C69EC327005C0A1859A7D863B0800794006037005CDCEE9E796E7FEEEEE88A8870046DFF3255FF28507A2BE6EBBDEEE06EF6210F66FBC3EE7BE966AA9F6A762508551306CDED611F7860325B80320B8063FB0010AE8342EF0035028037330E2';
wwv_flow_imp.g_varchar2_table(11567) := '1D9EE15F8E6700776717A788FA350771885E7660E0087687725087E39861ECD66E07FFE87B00005A26F288101C2E05EF70906A5CF88563A8055E688696A68C64F0B07C41861778837050025B74876C18BF6CF0834CE080FF48F8077CE061510E70A09671';
wwv_flow_imp.g_varchar2_table(11568) := '8EB807FB55879316876C28876C30876E4805717005664887E73164214F72224772229FF0F07E726F98726D60E92B576393A561434EE5CDC6E17C59E17516668D90715ECE087A20DF6B78836CB8050EC80638E88624740538B8863FC70819C6EE4177F042';
wwv_flow_imp.g_varchar2_table(11569) := '37F42D1DE9D7AEF02837136FC8EA64F88564406389C8077AA0877BA8877AE0977CB0411BCC878BE007CE86E751F66C8EA007E3ED8624B88657480250F8037190315B48826E500779A8071436EDEC86F57377F015E6B7980000D80E06667885EF420455A8';
wwv_flow_imp.g_varchar2_table(11570) := '04F5EE75345E617B08E466EF6F3B967490A0EE25DE883827DF45430325880438108748A00575E834799087FF138E080BA16B74476D794077A79E08D8C68548288370BA3131F083F4F67599460EE440F6656FEB37864F7EE1776166776D7E738EC887E815';
wwv_flow_imp.g_varchar2_table(11571) := '87AD31846BF86D43F86D8F778576386D1916678B277AA6D6F87FE8865BF8032B18832A108370B231347885C496692736E4187EF17A6E6EEDEEEF683F667970071D475F03865F032EE876480AA117DBA2677BA43EFA6E18857B2DAEE5522E6DF40469E098';
wwv_flow_imp.g_varchar2_table(11572) := '7CC906E39D0678280776C806F20D0777E8875B088770B8063E07007D68767E6F76998776B8CE888D918776700778C0FC765807CCC77C7790876137E4A16FFBD12F6781FE877200852BD0DA32B8833BA8977BAD8467988727268669088761B8F37438E9FF';
wwv_flow_imp.g_varchar2_table(11573) := '7038EB6C28EB6AC8866C60866C80681D916EE81E66C957F27CC0877AC062F8446296C7070F9309B53F6AD2C7FE5A3E74B546039AE50261F5022B20CB4C98062C9E085117F56BB8856E48EE6C20866C20EB6C48EB70C884B28676140EE21857FEE55F64A2';
wwv_flow_imp.g_varchar2_table(11574) := '000800FF06C26B572F1F80840A17326CE8F021C488122752AC68F122C68C1A3772ECE8F123C8902247922C69911F3F79EAE4FD0390EF9FB961A0FC942983E6A64D4FC4A6D5E327301CB369B498311B266ED8AD68C3B2550B2A2E5CB570FFF8F5ABDA0FC0';
wwv_flow_imp.g_varchar2_table(11575) := 'D58D561FA2F45971E0BF82074D922D6BF62CDAB46AD7B26DEBD62D4A95F45AF2FB970EE930624889DDE2CB371B00AFF4E4B92BF7B21C3CFF75E2FE11CEA6AEDCB474F4DAD1A3BAB5E3E5865D2F123488F02DE8D0A247932E6DFA34EA8571D5C16B29905E';
wwv_flow_imp.g_varchar2_table(11576) := '3A73B2CBD136475B9DB975AE05B6740D766ADDDF0A2D6FEDBADB62D586592F7A1528F673EAE8D2A753AF6EFDBA487EF4581FFFED5D78C2CCE1A902BF87121FCAE458ADF2B3779CF7DACD610D36C76EFF3EFEFCFAF7974CC95D75570106C8907A0A597560';
wwv_flow_imp.g_varchar2_table(11577) := '423E2DB75E55EDB9571F5BF215641E7F155A7821861956A7DD7F1A89C7A07A5D2108A283EEBDA79684EDDC039D862DBAF8228C316E544F87C88557E08D057AB52083810517DA6600C0038F3E10CA782492492AB95F3EECB48651561F1EC8E340032618A4';
wwv_flow_imp.g_varchar2_table(11578) := '46463A34E26603E6238F3CFF2C2E392699659AC9D6550DCA43CF55DF81A8DE65054659A06B3C468463770FD9D91B580BD9391C3DF4087426A1851A7A2847F70C464F3D2EE5F3E8A3133D7ACF3D8E3A0A297495264429A500749A50A39A26242643A24EC4';
wwv_flow_imp.g_varchar2_table(11579) := '29A70CE5C3693DF7D433E45888CA3A2BADB2AA13113B0FE52AD1AEBA02D0AB74EADC5A2BB1C51A7B24AA0F997A91AB11258BEAB26F558A4FAAC75A7B2DB6D96ABB2DB7DD7A6B91A9A47E3B2EB9E59AABAA42E875650F4AA969792EBCF1CAFB1642F6E073';
wwv_flow_imp.g_varchar2_table(11580) := '2F00EC9256A93EF8CCFB2FC001C7D79C7B3886F6DE89022BBC30C30BB9F3AB3BED28E4CEC3EEC003803BEB4824715A1A27346CC3218BACF037E530548E38262B040E43FFDB88E33235DD50930D350074739612431C51C51723FBFCB3BCE968040E352C53';
wwv_flow_imp.g_varchar2_table(11581) := 'B30D00DBD46C960A2300FD34D40A8373CED40D15CD90D15953230E00DFA01392072DA8D0020829B46076D469ABCD2DD50BE9C2B2D5702F440D39DFBCE335DEE4689402432DACFD37E08572FDCE42257F73CECA71AFBC34439450E2D037E440A3F737C540';
wwv_flow_imp.g_varchar2_table(11582) := '01000F1C9900C00D817BFEF98B260B0D403A2A33A40B007213BDFAD60F0531441000A0D1D037C790134A426EA8D1B314A0FBFEBB99E0706D0E00C433C478425C03803C00892C6486423943CFD031DF74EDD01E0038033CF7DD6B784B22C84C543435E5CB';
wwv_flow_imp.g_varchar2_table(11583) := 'BDB8F20B0521850F09A1B18A300D41030D00C70000CD31FFD07CA290360058D30C458A918B849461084A689FF712A8C0B508C121E01887DCA8F136F241A4170E0982129490838470231BDFE0C642A001C2FB01406F0AB18636AC411162C40F1400788211';
wwv_flow_imp.g_varchar2_table(11584) := '002005252CB08636348905188238B7112D21A8639E42ACC79021340484DC102207EFF78DF9DDAF160BD18631FA4791FD01C00E09F141CF6EA8C52D62440C422062457E0800D439641AAE889D4210088021406F84234C0834AC473F122E048500D8C54578';
wwv_flow_imp.g_varchar2_table(11585) := 'C1C53DF2D123E74B08387A11C8D4017179B20805181D62866404711A1C14E1F518024063ECC2189A68082E64C1904DA8C217C6E8232843C91031ECE021A5A08620C9E8B6D38183658E44E34392D1C1FF0F82701A22E406FD20C9904F02E0140AC9052E12';
wwv_flow_imp.g_varchar2_table(11586) := '120C660000120A01200000E80B34FC4194CE0465301A828584C8010C72488826CDD7906930229109F9C2EBB0F90D478ED321B8C425341E97CC4D64A419CD70A2279E294F2DC22021CB3047227A96884A80010F0B1942EF280246D8F54C054300842C1D09';
wwv_flow_imp.g_varchar2_table(11587) := '80378610970B75854278F9902A8CC10B005802437C518C58DC629E1EB561341BB1852D4C6F21FDC4C216D6C090D92DA477B0CB21437EC150DA2511008E00C026B207004B44A408A5FC2850F9280E2C4C0F0C6B506943B660D28494E316DCF88214BCB910';
wwv_flow_imp.g_varchar2_table(11588) := '46305221CF18E10F8410D0672C04118E380300741AD4B1CEF36609310349CDA05233A8FF352160989D52A5A0546CFAB3A5896C8455B9210B5A00E00B47600857136251B002200D5638C41518628584F480B00E8105007A0159B252167466C0C21AD89A90';
wwv_flow_imp.g_varchar2_table(11589) := 'A302E09A0FA19F05FE6A50850C81888155C84DD59002211401007EE00633E8F785240080B600980200AE50862BA0410B0D4144052B2BDC04A654A560684836A6218B2724E407FF5C083740384700A840083F60AE1B0070DA868C21B10DA98242D2700886';
wwv_flow_imp.g_varchar2_table(11590) := '2874B2C33D2FD44A91904A380F009CDD6C16D700862F5C53930EE1032300008884FC028E00E86F428E20032A4CE40A59FC421615B2032400E00D0B899F422C981015A0B7C20C8B264364B10C8734A29A72906F25C0018D5B4C1700FF9D48482A00400B88';
wwv_flow_imp.g_varchar2_table(11591) := 'DA0200E20300841772073A3283118BED6B16AD70052EDC58214628C21812128984C4D8C2468E9A16BE805400A87321ABB0A0308ADC103840C4B913F16D42B09C90B92AC4B741AEEA4C8F2C6686CDB5C70C791D1AE500180068B2C40AB142EFB8F06085B0';
wwv_flow_imp.g_varchar2_table(11592) := 'E021C49C0823E4E007F74D2F182F76880BC62CE872850300A9A0C44D13E2077FA2610B5F986B827BE7D9854A840800C8AE4602FA10A765648383FE34B7D69CE2851873218BE0432114028725DB821B578DC85FE99811EF5A64CF2E74C806A50AEA5D5FEB';
wwv_flow_imp.g_varchar2_table(11593) := '134E740825429189507CA2C90B71649817F2831E64A22360088343C0D00586380FAFA3886C29240C000B0401A602F9FF13AFC34DA65B032017BEA6E2434E9C904F101BA21C54E8451C4B91303CFBB8F406C0BDF1EDD6F66698B46B54C838C42D70590D10';
wwv_flow_imp.g_varchar2_table(11594) := '00C436F8425481885A84A218A1880543B801E08C2CA10917997642B040023C601C006AB52600AC0D8055340496A550EFC0536EA6376C21BB9DD81FEE16127300D42217C5006C46AC68F0336074238E5B482E200E0CFA71031B0EE9857A91AEF2A513AA0F';
wwv_flow_imp.g_varchar2_table(11595) := '0B81B8421C0EF4822B24BF350580A57BD010A84BC476113938BA15720CAA4B240C6D0000CAC1CDF4B52B29161B7D7B2CC80E00AB4F3A227F8606C305C810FC7D5D22C26062451EB10FB6135E46CD6EC8AF1302F58D863D21A118A1BBBB2E768CE41DE11B';
wwv_flow_imp.g_varchar2_table(11596) := '5D88FDFF00F035874003C0B47845BE1256F8D1F3E715C09889427CED769BE722F30951B742F84A641333A4F5547773425C2F116B34BC7E7BF7AF2E1F320D6E98C33DA43FFE8B56307900DCBC21AE70778B67CF7A9BCBCF84F59BE3E41CA27B86DCDCF5F9';
wwv_flow_imp.g_varchar2_table(11597) := '13612E1F926CE4935F3FA988274342E1C4016E3FF77C8DBC44F80E7E74CC5172F6F37AD4992FF6E61FA318FD97FBE6195D1971C3F0E54BF91D607EC49C0ED44045FCDD2F5D0F0841582C70DDFD9810FDD80FFE6460FE789FFF25C4CDD95CFFF51FE7151D';
wwv_flow_imp.g_varchar2_table(11598) := '0296608BA49A42A49AC3351FE60943FB39041CC4814240DD0632D1E6551FF7159C082E5FFE900357D10F368890000AA00916A17DA882BA4994DCCDFF5944C490E4C111FDC191F535C40E86A0FEE5DE1C4557427CD037785038BC513610DF834C851196A1';
wwv_flow_imp.g_varchar2_table(11599) := '747803F5B820DF7D5644B8D9E43894749150FE945044245EEE0DD0000183ECAD58E459CF9A25C855BC8B190EE25B48510829842EFD208C25C4763104FC2911D12D51EDD48EE4F8DEBA51911D2C82CE01405D2D4435A954352D4418020060988C3D10222A';
wwv_flow_imp.g_varchar2_table(11600) := '5E478C59CF0885C27459DD9681428B31E019B8E00B4E62FCF09D36D082452944165C44221C17742584F1A4A23192C6304C4410CE543039840C34100EE0CE9F41D71CCDA142AC81D9999D466C98D1FDA1E91C2338A605C9B5A1F5BD518905D6926DC41A62';
wwv_flow_imp.g_varchar2_table(11601) := 'C4024404012E540785A33C9A85598DFF5C4494A34218919BA9947CAD0195498411E5231CE58F1A40C4D92D04B43504CA0DDF35000036BCE33C46645AB41F1C16113408438A75544CE5C2E13DC476590F39C40F2C461B00B4234380411014A444AE646894';
wwv_flow_imp.g_varchar2_table(11602) := '58402251D105D61B811E35ADC19E01E4DE2D51E6251800BC0E11C18E100881B725047341D74302800CB0A4529AC41A4243146EA1AC2511369C16805182D541C3A825C453CACF12451200C859437C811AD4D571255A194103112EA55A8204846D1EF89D53';
wwv_flow_imp.g_varchar2_table(11603) := 'F011A15C2684F84CE32146C4D740C300DDA41CFC2300804122C88160225A9EA196B139443634E45A2E2646585FF02D14F83184626A17110AC50BD1541B9ED33130022350422450FF4223544242FC9C4254025E3D8E682684F39CD32FD8825F32266C5204';
wwv_flow_imp.g_varchar2_table(11604) := '3A4CE356DECF39792437282644461F223E0411C225FD188227A4A642244268A6A669024072E657B0FD42397183EC2504367C636C56272306DF08211179091F23290300C09B4086045EA5265E95A642901B644A9975AE2707395444EC971C00821CC4C17C';
wwv_flow_imp.g_varchar2_table(11605) := '7E987D2EC41A4CD308C6DF6D3E04FA550480156022B81B3614237BC2665A3644167401093028838201090080833668843EC41A2496D145170809A0078DDFEB4104BF3584687AC2C44D833030025E510337FCD181AEE5F8B1C15FE21B1864C18CC6280054';
wwv_flow_imp.g_varchar2_table(11606) := '68174C5B857A2216EC1743842160CC5286BEA54588A6F310E77092FF683740A43AFD618B56270845C34210A7BD012600C068F3FC2596F25B35F11300D0243784C3371CE5084E573C756443C4D3B525C42888E69AA6A60725842BBC821F8ECE931EE8165C';
wwv_flow_imp.g_varchar2_table(11607) := '13C6E56717E8674F2AC45CA9514FA2554234E4118503360C438B21033268E423CD147146047B2967A41EDB343852A125C4E0DD698BB696DF501844802A756599F8496942982A22BAE74294E77A2927448C42883E44366403F19C22A7C66660DDD9E3B06A';
wwv_flow_imp.g_varchar2_table(11608) := '6A8202288C027ACAA942FCC29D2D84A332C33892D05545A6425C93210C1900402B43A4E69B92DCAC2604F3189F01DE2A7BBAC2283CDF802642CC2542B02E043138443232842DD8823038D2B272033018024424FF271B78822724C2B525C2BDDAEBB575C3';
wwv_flow_imp.g_varchar2_table(11609) := '334CC3D62CCD3780C33FD82AB7AE2717DC84A3F55542D0DA96312C973544B11AEB2F4467F045822A2884D335C42890C27F26C4C726D7F128846B68EBC15A67CFC0D91548C1626511586A5A44D8C22F880F4D2E624340C21F6CC21FF4413399C121444279';
wwv_flow_imp.g_varchar2_table(11610) := '62C115040196B669F3C41378160EC1AADDC93266923184C3E616C34E44E7959B42246842A88283F5011AEC81161C829F32C49A9A6722A80237485936088DC9366D6CEED84270C18E7D018FE91858BAA3F874D03B52C24D465CBA9E551F94544374D43088';
wwv_flow_imp.g_varchar2_table(11611) := '4FDF2A443838424759CF37D46A0D890BDB9E89DB36841648818F16D13360C33560033638A97F42FFDC2850E0D62D0432F84245186C0209E244AC011EA8AE19B0D4E35AC7175C81157C818E2504DCEE18AD05946709AE6D8AD0E56A172E612D0034A43478';
wwv_flow_imp.g_varchar2_table(11612) := 'A730299E43F094ED181DE952597641DC61164CB6FC0007B8C572AC484838C23FBAEEEB4607CB2A81EC2E8415CC2EEEF65622252B644E65EFAAAA440403291C43E279DA4480C1135011AB2684BF788B072CC4E6A045A464C4EA76E21AE45725546EF7A686';
wwv_flow_imp.g_varchar2_table(11613) := '772981A6150110B4564254010DC58112C8018BD1656F0A2F45146E4350C11EA842314C21C3760230581A4398EEB6546F4280805AFCEF45400F1AA8943FE1811C1CE601478752C5D543FCE3DE2A44FC5CD5E5FE2ECE61843751C1141C42C632FF445D1D83';
wwv_flow_imp.g_varchar2_table(11614) := '03CB825D768B07EC2F00A40008F4AF59606F46708114C8D9FA94665D29C111D8560D9F86A33A445F2444DF262332C4D874152BFD3C03103F843590AE4258400AA4C04FF10F2E64A5EC6C27BC3C805A58B145D4550033447436983FBD011EA04127863168';
wwv_flow_imp.g_varchar2_table(11615) := '545555C5D2764D0360F8A17676CD1F664338AC59EB64837A2E4419B8C10E1B624314B2E8F90E205F843DC4C3B69A30239FC629B2B244B484AD6EEA44ECC671D0B29E3CC43FE0729A6CD1295B842CFFC33CD8EA2CCF0300EC833123F33ED8032EB7F25914';
wwv_flow_imp.g_varchar2_table(11616) := 'ECA058042C8BC43E306D338B12A4AC857BECC32E7733377FB3331F4C82B4453F3473C196F2B5A0B35BD0055598C63587B3464CFF333CCFB35AC8333DDFF333E3B33EEF333FF7B33FFF334007B4400F344117B4411F3442376DA32434433B443B98839D36';
wwv_flow_imp.g_varchar2_table(11617) := '3443F703C848744333AD451BB481663441A32E471B34467FB4488F344997B4499F344AA7B44AAF344BB7B44BBF344CC7B44CCF344DD7B44DDF344EE7B44EEF344FF7B44FFF345007B5500F355117B5511F355227F54F1B8C525767BB34357B3E35543BB5';
wwv_flow_imp.g_varchar2_table(11618) := '544F756C56B55533265667F55A6E35572FA5577F354B86B55897B5599F355AA7B55AAF355BB7B55BBF355CC7B55C2B443E5C0C5690F55C935F5D8F8747E735E9EDF55DF343FE06EB0104000118B65FB31D60F783578700062CC4611F36001000011C4062';
wwv_flow_imp.g_varchar2_table(11619) := '0B9C5DDB09D4D1FF800124446147B64254F6658B5B663FC4094484618BF668F35A69D79E1758360134046507C06A63767838C41DC47643304042E87606D436F9E9766CD33670F39AA0744464EB7671979F6A2FB7733F377447B7744F377557B775939E2B';
wwv_flow_imp.g_varchar2_table(11620) := 'F0952D8CC2BA5E77CADDC2B5C5822D709478A3AA777FDA5510432CBCC2769FF7C0B54426BCC19EFDED1EBB77B8958142B88013BA0013B8AA7D835A1124810303800FE4007EFF37A8198137D1560ED8027821F898DDF1BF250410781C848B194F0E380004';
wwv_flow_imp.g_varchar2_table(11621) := 'DA858B191748786D11110977F891D98042100110100111B4968693B8A015418BBBF8C0C9AF8C0F9A04D4B89899388E0F9A0A94920AEFF898E938900B1A10B8FF00180F798551588523B985ED001050D88F6B00930B578C030008A0C08F9B000848C096FF';
wwv_flow_imp.g_varchar2_table(11622) := 'F8943B93A589F842A00014A3C0978F556B2D7943C49012B8400E20C10655810F8057D49E79F754398703401FC8E04234538339180034D31B9801A0DBB9F7B456120C016D29FA42204D4274C33628C3B936232EDCC22A8CF1B58DADA17BCE1B702F445483';
wwv_flow_imp.g_varchar2_table(11623) := 'CD004038045CA82704A92F0438145AA175833424C4236FFAD34442A5324424C8AB42784224C48119F87942E0C2B93E84C700C07103C038A8C3A9C3FADAD47A231882AD87DC1599594564C33698C3395434B2FB0C22F07AAD2BC4B3DE2F00600178D178E7';
wwv_flow_imp.g_varchar2_table(11624) := '6C3844D0D0AA8A262E34E3B5334C76D5841B1CFFB8FB48EDAAF23AF75A810F8CEFBD03400ED0969A270414AFBBCF18C21F647B42ECEC1FBC41A14F294498019F03801668C1156819C0A7CD1F083C7055BC9F377B426C1097C54125FC015EA12F453CFC17';
wwv_flow_imp.g_varchar2_table(11625) := '2499C44F3CC0087CA03704CF2604969BF9953744C26B04AFA3FCBF60BC21001744DC780E30810FCCB90B800013E47943C8413C89BCCDFBCC1BDC01C22B84833D7D423CC00604BD0E58B9F2DDF806DC3845D47CD2330C6F1AEB7677B7C6577CB33F2B4558';
wwv_flow_imp.g_varchar2_table(11626) := '7A428CE318777DC3044AA3D4C3423FC4420F7B2CB37DDAE803A80000DE0B3B43D03DDD0340DCDBBDEFEC3D43BC338008FEDFF003E15B04E16309E23F3EE44F4448473EE557BEE55F3EE66787BEE66F3EE777BE7D04BEE787BEE88F3EE9977E4416E3AF43';
wwv_flow_imp.g_varchar2_table(11627) := '04F1A4C3C49A7EC05C8CCA708D3CA08C9014CF63900E0048CCB050A7EBC70BC514443B00BFC5B4839314043CFC7EF00F3F3CC8033CFCFD853471EF47BF4177B2F4470D33704CF5673F7A0908F7777FF76B3FF887BFF88F3FF997BFF99F3FFAA7BFFAAFFF';
wwv_flow_imp.g_varchar2_table(11628) := '5BC03DFB27FDA7784F40000021F904050A0000002C0B0008002E025D010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B11F369CC87B1A3C78F20438A1C49B2A4C9932853AA5CC952E1468E2D63CA9C49B3A6CD9B3873EAB4F9';
wwv_flow_imp.g_varchar2_table(11629) := '12E6CE9F40830A1D4AB4A8D19B1BF1E13BCAB4A9D3A750A34A25C9CF9EBD811AA76ADDCAB5ABD7AF33FF09BC0AB6ACD9B368D3AA2578B5DFDAB770E3CA9D1BD31E3FBA78F3EADDCBB7AFDFBF80030B36F88A92B981DC18450234B8B1E3C790072603900D';
wwv_flow_imp.g_varchar2_table(11630) := '594746F300B0135869A0ADC8A0438B1E6DF09F580057C902304DBAB5EBD751EF61C477579EC6A500F6C1DECDBBB7EFDFC0830B6F9935A43EA3F7640FBCA734B9F2E1D0A337D5A7D49E527CFAF259DDBE7D603DD500AA02FF485EAF3CBDF300E83D07A04F';
wwv_flow_imp.g_varchar2_table(11631) := 'B9F2F3F400D49378B7E0BEFBF70134779E5CA0CF81F739B74F790496B79E740826F8936CF898E6E083AC25648F3CF8E5A71B411452A8DB85F7E407E03F6E29740F3DF20C24CF89EAD153E185103A98DC86F785B88F69F7B578173C0AE6A8234A389A2810';
wwv_flow_imp.g_varchar2_table(11632) := '3DE5DC51C61B78BCF1061A471E8946195F34D9E4185F403946198850924928586229502794384209250050D24927A1B8620B2D5866E24A2CA1308288218C18C2902B00D862CB2DC0DC22CC30C3D8994A2894F8C1C71D6E94A1C61863B8C14826A00000CA';
wwv_flow_imp.g_varchar2_table(11633) := 'A39086F228A08C40120A2DAED0128B30EE08D4E38EA086DA513FFC8478D73508B060C30F2AD8A0C20F1608FF61410A297830010710E44AC1AE10B020851B85F8116CB00014C2C7A16AA801801BCCF241C99F7CB88187978C8C21851700609B90626066E2';
wwv_flow_imp.g_varchar2_table(11634) := '2D2591506208226F94E1451546C8F0020B22B0EB0107328CE1072371D6EBE6B888F8E18617634CEB08228E64128FA804173C9146E76555CF3FCC44D0C3114F28F1C4104F4841F1104700402BAD1ED49A820842708107238ED0EBC8C927AB212D1E00F0E1';
wwv_flow_imp.g_varchar2_table(11635) := 'B22397BA4289CB6466726819652084C7A077B07CC7CFCC9631C6B94F00704413464771C4D2470821C40F6A200200249140022E989040422F1E63A8E147D6F466E2CE69028D68F0D96813748F3CF028FC0F32043CAC8412524C5C37C647C05AAB071E88FF';
wwv_flow_imp.g_varchar2_table(11636) := '2002DF21E30170C92723520800C9E2C1B2CBCE86924B2C9F9C5C26256E208A38E2390B8447E5D97AE1C5134F2C6D8410A3036084D2003CA1341551282DC40B42A8C1072353674D0924B56BCDB5EC5D564AC9D8F5F143627C69172F6A3EF5C0E38EDBC318';
wwv_flow_imp.g_varchar2_table(11637) := '9082104B0F21C511D253DFF4AC2C745C420A250020841782938CB22387BBA1861D2C2F8247219FA4924B2EA1480E391EC91E3A90F9624841C51148382D040F2F78010F9C5634D0D54D75AE6B82FF9C263B80918C76907044D64E86072EA8A11095922025';
wwv_flow_imp.g_varchar2_table(11638) := 'D8F10F7E98666DF0209EF146A8A37BB4A31D59B9C7DB28200319400C63166BDA107E2084144CA00413A8D5F6527004294CCB0FE3231F00FFECA0063CD8817185C0D23184118AC8850272C75A961ACAE00681A80109DE13480958B045FF4541209E03DD13';
wwv_flow_imp.g_varchar2_table(11639) := '58A7C005D280064210031FC847B8A901408211DCDDD74A66350ED6E71EF0082109F7A8A07AB4831D59C9C73FAE21042918B26278B3C013A037045939ED79B42A410FFD15C4C319117D7850DF229E088D63B822729F881FFDAA584581984F08DD13080BFC';
wwv_flow_imp.g_varchar2_table(11640) := 'D78426640C74A98B82EACA684654A6715A002019EE76294146EC8E0F5A2BD9063B689A7CB04D847C4C667046C48E76F0231FCFFC47369EE0052E70C190D39382222716BAA615C17B35741AF88278B2421482888A03402601F0895C1C23179F2884BF86A8';
wwv_flow_imp.g_varchar2_table(11641) := '2C82984F0D4D48C1409CE6FF3D5702E08B5F3C9A026929043496A004A87C022EE92810AD45D01178E0D7EC2258290E0E841F6CABC77F94C951D8F4A31EF450073C3A08004166430A2AC3031AD460C8E8613386198BD5F69AE0C34A3A0200EA431F26ED50';
wwv_flow_imp.g_varchar2_table(11642) := 'AC327D020F62C04328DF58459E9A12715F4C653F8530D07F0200690211C2539D86468322340AEB7B231CA776329201950BB32B5945491A9E3CDE63A31D4DAB68EEC10F908A94981ECC4615C600074600020F5F38E44BEFF6041A4612629444D9E1727ABE';
wwv_flow_imp.g_varchar2_table(11643) := '7AAA537D6A00DD2272D1C94F30AB940351431450E910A97A0F8D05B5252A4B80D542A0CC6ABD245C44C117CCB1DEA58366E5C8A7D4CADAC8B435A425BA8B49A900D62FFFC1E1A5D2C326C69E56C3E715727D95C429FDC4405C3178410C88CB244443F18D';
wwv_flow_imp.g_varchar2_table(11644) := '6F70E3A745449FB492B5C8EE75CFB202A1C13EA38A467022D49607EDEC1B49D6A5D042540C22239C6905C28FD40260B5AD8DEF605E2BD2F094549A47A8021C28E14B430661AF8D1C42AC1608D8F179F6A68BB0831840D7BAD4E121144B842700BE219050';
wwv_flow_imp.g_varchar2_table(11645) := 'F081A76E409F14BD20558456B504DDF51E14449CC5EE82F7A09C6599566907A6F101B55F8493200775835A789C152BF2CDF15F6CFCD190E248B6FFC0C61188A0042E34490A797D29001A192B0B300D7A41252782D540DC271037599F80467301208C637C';
wwv_flow_imp.g_varchar2_table(11646) := 'A31CDF70C522AA68C481D8C10BDA4DA554CFA854A85A76FFCD99751A8AB1BA0894B5F8A1273B9617D6F8D919FF631FEDB5314CE0ABE342E3059A6EFDF17DB301B114ACCA905F504392EBD6E4ED410C74DF036E10855BDCE82E2216DF48473ABE210C617C';
wwv_flow_imp.g_varchar2_table(11647) := '39CC464C354F8DC861002855AA991D31148430E22C46D5965615EFC95A5CDE7F1D4B8D254344456B0468F7BE17AD864E365CE83B52FF48B30C5CF8C1D250FA05BCE635088BB4400920003D2900E080FE02A5233E2110058B415907666E39CA0180776E39';
wwv_flow_imp.g_varchar2_table(11648) := '148B30733A154C59A942F5B2FDB43500B45B55AA6E16AB02B133398F955E9431821DC40600DBF03168642BFBE168696B3DEACB5E008483594AE861B5379E2C43CAAA041950A4B7C5B8C62E7549DCF4FF2BA25661D6DC6F40034BCD7D391F58C6B2550375';
wwv_flow_imp.g_varchar2_table(11649) := '9F48BBB776B75B6BEE6616A19C55C34D77FDC65E4394CAFE72E06658240F77B0F5BD108FFAB2CF43F1FB86030EB73D82C8D6A038BC4ADADBD023E0B53EB7E77153E213676727F992B5883A8F3BCBCD7D67284C0D000B17E4884075DA172D7BEFA8EA7BCD';
wwv_flow_imp.g_varchar2_table(11650) := 'FBF67778556CF09B3EF0BC2AFB5721006647FBBA831DFD796F7DA44E79B0D483D9ACF1A038E8E58626E1010E60C043E8434FBF433EA17EDFE6DDD9BD84F6C82D82ED6A1FB7A9BF718C269ABAF62A2E0850951605A44975C4FE3EE33EB59B59CC1A14E05A';
wwv_flow_imp.g_varchar2_table(11651) := '05530651A667E0F201833316C83FE0D18E7A28071E93AFBCF6A7C291CB53FD539A6784FF27E865B2AEA2ACEBF4433FE22E68F6D6B3F313C75243BCC70D332F7F037EED2435BC3557C53E284E0C4D9331813710B3866FD91567C5F76F42B7725D924BA285';
wwv_flow_imp.g_varchar2_table(11652) := '746B242C883052BAE141F0C00ED6B77D1AD8153FF67D17F50F9B170976452F72C00872E00827E80860005110954E5D572C5F12396797768E007B27F3099F607FF00361F7170A8A635400D007EA844FD0D33400C0027E476B80371026B64083375EE57578';
wwv_flow_imp.g_varchar2_table(11653) := '8EE007F4F305D2C207C2E60AF24036D38781AAB58160E8141BC15E1E5836D284064882075C877E6C6845EBA732C9520826E77EAEC7766E174AB9E072F89787B8471078D0077CD0076AD03445685948581005656BC4E78441373E87FFE7265B8328234309';
wwv_flow_imp.g_varchar2_table(11654) := 'AE300CD9400F64F35ED5772061D889433186E15186F7750D48664D468664D8A42C2C7540B02446303883745883F2A7553898873DE8383D984E4324102E935896C5343FC03DD63580B0165550D04AFE93625DD56B24932FE4520686E00AC8800CD7800D97';
wwv_flow_imp.g_varchar2_table(11655) := '781A37527D83967D9ED88D39018AC2E363ACA142D56005495631E8888ADF963A4513764E93317C8076B0A876AF378B37987FCD053F13867B40A84E33A706490000D256044BE35707257C3BD7735355463410745F627E8810917EE00759380CD7700DD370';
wwv_flow_imp.g_varchar2_table(11656) := '91DD808915477D19F85E21E28D228914C5118EEA502266980D5760067200066B1004163004D21369F5637AB2B4485FFFE42CADD77E6F4444F3F7765E266AB437614C443F06413F8BE43D45F0034C1949E09588DD83590BF46F3BE3082E4332144909A040';
wwv_flow_imp.g_varchar2_table(11657) := '0BA9208D198991D3300D1B49105D7863923792685913E04822ECB085E1E141E3900889200ABA000BA4D00541F05F5F000628855262043A47A034C0F625AB17398EF07A76106F9F506739580EE9F00EB4A765F0534FB9078883A84F02D9021BE301D60567';
wwv_flow_imp.g_varchar2_table(11658) := '07451028066242900158D5974FE00613E90794F80AD9D00DD9F09AB0299628297D177863849696B8491221E91F25C996C4A30F1E640EA4D00B984097B0609789000641E0245270939F039851B06733C87A6F578389296E009087A2F672B95077B2789483';
wwv_flow_imp.g_varchar2_table(11659) := 'E80102FF412B13300126D031ABA46F5A04001980629A750489953729707A8890095DF90CE6900DE1B09FE1D00DAE990DB3B91AB5B98DB959A02AB196F2C00E98D8411E040E89509781C006A2C0099CF008A5D006C9C997757340514005AD34986867765A';
wwv_flow_imp.g_varchar2_table(11660) := '853E8A599D43F57A3B335C9A33445D874FD67543B77243DCE36A7E074E4ED34AB2F46D5EC052C18800298007AE700BB77027D9A00ECC2096E1000EE2200EAEB95A65E970061AA52291151D98A01C297DE3100CB0300BA210A1146AA19C500AA520976020';
wwv_flow_imp.g_varchar2_table(11661) := '9772B0066B60065A70055F000780507E37783289F993E3865392F54545A32C51902C05B10842885376700637CA54471398AA63409E736EF5837EB7FFA50247F00599300DE2900DCCF00AAF500DE7200DAC290DDD600EE3100E97685FABF178B629A5A65A';
wwv_flow_imp.g_varchar2_table(11662) := '12F98047A168A562019CFF700EB0B00DB330AB98C0066C8009A6F0088F600A8AC00900F008153A098FA0088310087239A663FA0AA3000A9560955DB7696210050B2659AA885CBBC853AAE00C02A10DDAE00CB57008C4C5538AAA32CC925C8AC307F3222C';
wwv_flow_imp.g_varchar2_table(11663) := 'F3827580000AAC290E4A0AAF00F00AC9B00EDB300AE0F00BAF200DE6000EDD701CF5F10F8FA7515077AA064B15BE2910AEBA0EB0B00CB33A0BBA200A79100881B0A5BAC009A2600AA230A113AAB1A600009C600AC7799CBA400DA4E0AC99D47628F34FD1';
wwv_flow_imp.g_varchar2_table(11664) := '2A10A7574F840000672010BEA00D02FF410E38CBADDA7A086D9749CFF72F4034853705447820288CF025ACB90DDDB00DE00000FD9A0DDB00B5F170AFE3D00DA35009B8600EEAA00FC7E120A4FA85071BB61E51A50ACA5E7701ABBA00B10F3B0BB0700981';
wwv_flow_imp.g_varchar2_table(11665) := '3008BE6A0A723BB7720B001F2B100F5B97DB800BAAE008A8800A8B00B802116F54D6B2C8959800A0098B400874D00A00E00DE42010E8800E00400EDA500CAA10B885E07627934B02819540E407A140AFD900004A0A0E9EAA0EE3700EE200004C3B0FE080';
wwv_flow_imp.g_varchar2_table(11666) := 'AFEB800B91D008B8500EC73110020B79602BB6BE7B11C293A028C90F670B0B69BBB6B3AA0BA6800981800921FBB1226B0A6BAB0B0000B1BA70BD7BAB0AB5B00BBCA00ABBF0097FFF0BB87630BE8B1BB8802B098410B33CE50D950B00931BB9DE10BFE450';
wwv_flow_imp.g_varchar2_table(11667) := '0CE08B5337552C00B3785E420BB6F00B4BAA0EFDEAA9E3C00EE7B00EE750C0E0A00CDDB00EE3300ADBB00EE0200D9E1007A3B01A77E141034BA0BFBBC1F44122EA2042BA310E5B8ABCD3CBA59390B1B060B7B350BD0F2B10D78BBDC1A0BDBCC00BBEE0BD';
wwv_flow_imp.g_varchar2_table(11668) := 'BEB00BE18BC300B00B02416E9A00057A3010E4F00E0201B9C6E00DCD60B3E880B3C7406EA8502C9B1BC56B240EEC900EE5600EE7A00E07ACC5EBD0C55E3C0ED2F0C00DDC0DE300AFF71A09EBF081EEA00EF6700F6E817D1C1CC70D51A51F7C1A33720ED6';
wwv_flow_imp.g_varchar2_table(11669) := '7BBD24BCC2B3A0B17D8CB7784BBD69FBC2AE1B0CB5500BBE90C889FF3C10BBA0C300F0C43AAC0982700A912B10EF600C8D6C0C0080C9C6400EE8F00E93AB0DE4166FA4BC096D77068BB00FE9A00E040C00E7000069BC0EF1100FEB400F5D0C0EE0C0C0A3';
wwv_flow_imp.g_varchar2_table(11670) := '100EE3B00D4A2B0DB1B00EB93BAA0AEAC6EE00C7729CCC08010FB4E1C120FC0FE0C006CD7BC2799CB6733BAB2CECC200F0C2DC0C00D4B00DA4E00CC5E00CE4DC0CE6EC0B98CCC334BBC38F2C097AA0C991FB0EDA700A99BC0BF4BC0B90FB0EFA8C0EDAB0';
wwv_flow_imp.g_varchar2_table(11671) := '0B96B00896B0099B5008ADA00A960005DFC00EEC000FB32C100343CBF360CB5D3C0E02FC0AA8FBCBAF490F003BAAEA500FF8D00FEE200FDCA8CC243D1EC15BC702A11BD1CC065990055D90056C900779C0097AFFBCC7D6BBCDDB3CC8DBBC0D863CCEE2AC';
wwv_flow_imp.g_varchar2_table(11672) := 'AD00D00C8AACC937EC0B00D00AA840078F6CB38F8BC93B6C0CC6C00BF4DC0CF1BCCFECFBC4AAD0BDDDDB0A7BB009E9D096F220D1B21C0FB61CD1EB301FB90C0EB8A0B4BF2C0DE1500F007B177FA41E200D0FBB59D2CA6C63C2030F28FD67FF300ED24CB1';
wwv_flow_imp.g_varchar2_table(11673) := '79C0D25DF0D26CD0AB97D0C77BACD3828CBDB820CE97EB0CDD3ACE42ED0BBC600C462D10384C064E400600700AEC1CD504B10BADB00BDA80B3FA0CCADAA00A0030C3AE3DC375E00DC21B1FB4DCC5B44CCBF081BA09ECAF612C0D6EADD1C42B10736DCC76';
wwv_flow_imp.g_varchar2_table(11674) := '8DD7C6BDAA289D1B7F8D09983009CE3D098300DD110AD36C00009790B172BBD8DCCCD33F7DB9DEFFED0C421DD5441DD4BCB00B922C0889ABCE9AACC933BCC3BB600CD6C0BEA94D0EDA6AD9513DC3BEB00987500E275922B7EDC500CEC0DB100E6EAD0CCA';
wwv_flow_imp.g_varchar2_table(11675) := '200DD5F0DB5C7B5AEDD0D1C43DD2C71DC7277DA533320E98000B1BEBB1748BB1CFDDE120CBB1D76CBD7B0BD9C5C0AD0331D40261CE41BDE250AD109AFCDEC670DA43ACCFDAB0DE505DDECDA00A75800E79D423011EE0E3400C61ECCB09BEB4E100DCD2F7';
wwv_flow_imp.g_varchar2_table(11676) := '78747DCC101EE1619BAA64280F7D5DE1C5290A9770DDD74DB7A6C009CFCDDC1E3E109300001B2B0AC1B00AB550E268CEADE3ACC8E6DC0C400D00DDCAD4DADA0CC6A0ADE5DC0CAD2DD4CD90CFFAEC0D3A7BDF33EC0C875008C70C0F005EC05EFF7C0EE340';
wwv_flow_imp.g_varchar2_table(11677) := 'D1D2300AC9E0AFBC1C0ECA50AFC0297DC35DD74E9ED7C84DE1CB6DE5586EE5566E0AD7EDDCCDAD089360EA8A0000A81EE6A7CEDCA4400ABC500BE45CE2DAC0BECEA0C8418DE700A0AD713E10741ED436EBE736EBE6E4EC0C7C4E0E7E1ED4500DD596BD07';
wwv_flow_imp.g_varchar2_table(11678) := 'E41052061CED8ABEE801ECAFC9200DEAB00DC9800B9EF00766B0B5017BE9C77CD799FEE4AA3AE162F167F6000E8380AB9370E5F0EEE9A200DD980000A70EDDCE9DEAA82E10F58E0BA3A0BD59BDEBB45E0B5ADDDABEA0EB0221D9B54E10BC90C48FEB0DBC';
wwv_flow_imp.g_varchar2_table(11679) := '0EE790FDBEF1AB0DD6B0ECE6EC0C9B500BF0B0CAABBBE8140D0E49EACB4B1B0D423A0A91100971F00768CCB5495ECC75DDE4E5FF6EB074CC917E0D0ECC7D09CF0DEFF10E008360EF61AEEFA70EE6615EEFA4C00605AD0A8E3BC3B2CE0BADF0F459CD0B9B';
wwv_flow_imp.g_varchar2_table(11680) := '6CD4C6E0E60301DE469DD5C60EF16E6EB3910DB9C88EB3D640E7506DCEAAE0D5E9E0A9FDEAAFDBD0DB075E0DCA700B95E0099E300A766FF7F230CCFF20EEC83CF3BF5BF3760CCDD3DCE157FEEEEF5EAC616EEF42AF088C0FE6983008282FD002EDB84FDF';
wwv_flow_imp.g_varchar2_table(11681) := 'BD47BDF4A32DF5990DE7941DF58FAB0D4FAFADC25EE29EBCC4DE70F1CBDEBD96100DE910F2BC0DF700C00CB8E0EFB7B00AB860E0C9400CC4E0EF1AADBB6B6C7D754DEE7E4FF39B9EEE0D3AB1D06DEACEADF3CF1DA1ACDEF88C1FFDA92E10C5DA08586009';
wwv_flow_imp.g_varchar2_table(11682) := '7D6009013DF94FFF2F108ECBBD02B109472DF500500CDB0A0096DD0A345CEB06ADFE353BCEBCE00C568DFAF6FDAD91500E04EEDBC9B0EDB7300A00E1A952A4487FE2FCF134CA93C082EB00F0FB07E05F3B76F4EEF57307AF1F008E1D3D7E041952E44892';
wwv_flow_imp.g_varchar2_table(11683) := '254D9E449952E54A962D5DBE841953E64C9A356D8A84F7909E3C75F42202C0F70F5C9E40838C2A42AA68D2D24979D80018D4F1A8A2A800A802081408D096435DBB5A02BB49EC298EAD5A7124BBE92C005E1C6B0170A60AC02655CDB469DBB4C7122A5FCE';
wwv_flow_imp.g_varchar2_table(11684) := '7CF1E2E50CDD3B72D6FEEEDAA54A559D3ED9AA2563460C97C2460623C5A94C90A0A13871CCA059A78F9FC489152F661C7D53F56AD6AD5DBF861D5BF6ECD8F9FFEEE5E4B7B3E7CFA0E0D890323A88EA70E183E6B0899A1CAAD18F730201306325CD993DD4';
wwv_flow_imp.g_varchar2_table(11685) := 'F7783D04D6D2294D6601B4DA94962D47B97E559955E5ECAE254287D49AF565171D39638951A15A7486469F670A2B556A048051820946996DA49146195C3CF9C30C073F7B431ED148A3C8228CE0498D360D37E4B0430F3F04314495E0A927379E7CE2A837';
wwv_flow_imp.g_varchar2_table(11686) := 'A282130EA9A326998328E7E6588EC6A80299311036AC70618A25A098628A28A6BBEE3A00C2DAA5A34D50F1089556CA73862D5E7CD1C69B625A91243B4B36E1E5AEBBCE43C58E33CE80028732328904804A461905176992B96594810C31C40C2DDEF80C0D';
wwv_flow_imp.g_varchar2_table(11687) := '3DDF7028B5D22C444D44410725B450430F1514FF37DD50FC47C5A25874718EA506C9C3B94102C923D3A7D8E0745300BAB0C2072A460D72091D9860628A3AF66075CBB37659ABA3562C992B30009AE1A5965CABB4F290F6D472C6CA667C59A409274A3881';
wwv_flow_imp.g_varchar2_table(11688) := '07217628C20A2DB4D8C2413C0178238E37AEEDE30D34B4D573DB3E39FAF3340C1125B75C73CF4537DD8E4CDC2D45A112296A8E398C136EC6A538C251534EB360A38B2CBA00588E405E1905945042818412482041648C29505D750FB1BE9B0B80532C694B';
wwv_flow_imp.g_varchar2_table(11689) := 'C956FAD215B062787566133D2C69A54B6DE24AE384134A2821052180286288219218820820AC80E30F9DFFE8038E37DCB8A30C3D857E0337702B147723759766BA69A79F6EE9369D4EE44DFF2836B2326ADEE232A5AA537EF90538082CC4C6A20B2CE458';
wwv_flow_imp.g_varchar2_table(11690) := '256D575E0145E14E5249A59848F640358D55C11A8997B3B6742664B5D2F3861C6FB4B1A40E929B31CF890C686039051B7E28020815809039092BDEF8C38F3FDEF0F90E377E46C38D6EE579E868D32ECC106AD55767BDF572D94511807CFED9E6B7E03051';
wwv_flow_imp.g_varchar2_table(11691) := '6A12AA8CEA970480B1D0028BB183F02108301A496414525679A5795A426184114A28018092505461350DEDEBD003803A0851451B00B401AFBB4DB26BC59956F690A4645EC929468F34DC3B0F913422388103135AB00166C955D881E48000009DE58C7377';
wwv_flow_imp.g_varchar2_table(11692) := 'D85602F7F42D89B4431DF51057EA5C37410A56D082AC3151457E32BB6D80A1FF0BFDEA5456AE8629B305210839F0410A7D10AA15AE410EA018C52B5C3143578082117CE0031E0A81081E2E0211E8D0461DC8802A32D4814BCD20073A3461095F78234A66';
wwv_flow_imp.g_varchar2_table(11693) := '518FF708E13E6F04CE17697002913ED1070C70C003FBEB5F1154A0021BA8A0052D480110D0C0913FC0C18D743204200CA13343F4E91F77441AEA2EB8473EF6D18F25811DB866078E46084F78000318A748D12FE2B94005430042242707002028E10A66F0';
wwv_flow_imp.g_varchar2_table(11694) := 'C3F434E9073CA8C1936A70831BFA60073BA0E31B9B6082139C50C423AA8764DE980F001003802A7A4F125CBA4BE078D1873D4CA71363788008BE0882C9C18C8C6744A30AAC40279DBDA111046BDE2856C1267D800B8FECFF80A01EFFB84D6E767375240A';
wwv_flow_imp.g_varchar2_table(11695) := 'A44482B20D39C4C19058D8023ACD80BC4AC8210816B0C00440E0010F48609E2000C104D2280538F881939D540317C420503178720F5E50053A00A0BD211AAE16CE30C62634414BC2F0E2149BD8C5E0C8E13D4DEC821788B3522D36D1073188E1041AD01F';
wwv_flow_imp.g_varchar2_table(11696) := '085A30B921FC808C664C410B7EA0843F54C68D9560463292A10C9E260317F4F048B8B4E94DA216D5A88602E7A236281439FDE73F8D802A80E4D088385CC10212900004B00A01083CA0AB1DF18015CAF0853190950B52908217BC00002F8C610C7B988217';
wwv_flow_imp.g_varchar2_table(11697) := 'AE938687A5412F1C312247D0E18D5308E296CDA0A53778210857E5AA18AA58441FA6F0010DD01304305001FF4724F703FEADB47F4A30A01B3DB1D36C48A3B3CA2006503B3291078AEBA8A7456D6A3594D413756476E2702A80A03AD57276660D5CB00057';
wwv_flow_imp.g_varchar2_table(11698) := 'B9EA550824A0AB10E8480BB85006E296E1AC4F402B5BDBFAD62BECA10C0F03C0140ED14B28D4812DEA31C629C84087EDD82570DAD883E13626D2458861091BA0003D4D008200465272C83CE30EB83047CEC1A111D3E82C82B661207A54D37480526D8005';
wwv_flow_imp.g_varchar2_table(11699) := '3C609A288A6A1C995D3800D188050302108C00843FDDA8A72FE456B75EE5ED03340C80078415733A438317ACC0853100A00A4840821192B0E287E920BA0EE3C81E2CC68B5D2051BB842D59B0BCB10932A461139F50C528C5A0030AA4F7B12D7041245DFF';
wwv_flow_imp.g_varchar2_table(11700) := 'B05E0FCCB3052630C11840F1873B5CCB103A55468210048E7A54F38E42750781C53C66329B249CB2FB4736D0E0C67E02A29F7090031ED68007337CA1055CF5ED6F378CE10748A00A7000452A401189FAC201006360410856B0821AA0C0043AB8C1143852';
wwv_flow_imp.g_varchar2_table(11701) := '03BC7EC7129A80255F8B788A1CFB850C50B0C4220E21063B54A1065A1D660B8090E41648C0031568B24C6F50064FC0A10C6585C32D704130696E631CFAF06F034F17E63217DBD80436704F5C9B662E744BCECF66F39CD7308409E8D6B71AC67602342C81';
wwv_flow_imp.g_varchar2_table(11702) := '24FCC115B7B8C5A02381A64C94E1051B402FB601B08115B898091DD9521DC80200C109820C12A38B2FDE02853440A109A4F4C20A28B001FF003419062E30820B6EE06A7C82400955A8821D1AE6D62A9421156C02D028B6B18EFE8E368FC43E76C8456ED4';
wwv_flow_imp.g_varchar2_table(11703) := '12299523F7F84735A4F0059673E10B68A0F3B3A52D050B7715C3BDB5795781F0864AD8E215A9F0C4B833918937C000BD14D86D473480031E2CC12382C0A836EC12A52202C03D7D60C20C5406053B9074030F486F934DB0038483C09E43508215AE30863E';
wwv_flow_imp.g_varchar2_table(11704) := 'F461A48728C319C610898134624D1BEFB2C7873D72BEF77D9B6746B9CAB930F895B3DCF07AA233CDABCDE73C2700008E4F8007E63B0A5B8062209A29C30D3C3081AD723801060040BB01E0F42914D11288B9A83154918677EF414C343801EC7160073E8C';
wwv_flow_imp.g_varchar2_table(11705) := '810360F70000541A4910A0FF00024330C31B0080863EFC4115B508F226EC50064810C4EEB8D838B0F59ECD8CF8DDFAD7679DD460F793C0AF9C0B4118BCCB0DFF852D18BE0813A0C0B5BDAA6D6D0300B80050C21B3C01743A41C2107EE08209E8997B0A48';
wwv_flow_imp.g_varchar2_table(11706) := '80020F300002600076DB8013000026B02E4B20831E93985A10933378181CA001D8A30131E803DBC33D1800811B70811D30BB045082CEF80334D88337508C91EA8343B8833E880481A88455E886D008AA3C02809CC0BE1BC4C1A5293978500779E0BE7F98';
wwv_flow_imp.g_varchar2_table(11707) := '06EFFB02F13B3C3CD80223FC0229B8336DEB2D0DFBAA07C8B316B0823F8884FBF3836B298324D8BF8EE000F78B000400000440000338001C00802610B510608234E803FF43A88558880426301509649C12A08231A882AFDB80FD89AFDE4B8004188132F8';
wwv_flow_imp.g_varchar2_table(11708) := '8C2BA8022B38042D80BB3D18032B18038448088D838709F92FD3CAC14AB444A42A399EF0C1934BB3C21BBF97438323DC8235183E3448C25643BA26ECAAF693001348026DB9163430AE2A68812DE4C2DE02438FC0001C580231A0820FA8813B6C3B60C805';
wwv_flow_imp.g_varchar2_table(11709) := '24E0011ED0811760011610012338310DF32213808116B80113900028F4008453821C48032B4882293002709C022BA8822BF883FF58055F231D8F2BAD8D18974B84C778FC10765947A060369653035034423983396943833518422950021BB0811600016B';
wwv_flow_imp.g_varchar2_table(11710) := 'E42A0978811648824224472B803F22D03F7AFA88AE1AC3FF8E300003D80019E8810D88000FA8023C34846FA08524908193E4012813811D300213C03D2883010D34810DF03F9A048000728122288224C3271D70C67234833F180569088775F80989708761';
wwv_flow_imp.g_varchar2_table(11711) := '7B477964CAA6748D64DB440040B96C103F53EC16809CB35194399F31452E20472518487A82012048822BE00225480200D0499B81017AEA4200D040F74B0004200000A84B8E78001630010A88801418033F70834CB80666E08217E08114E0811730011180';
wwv_flow_imp.g_varchar2_table(11712) := '8117F8BF0D40812F8AC9F57A817ADA807A1A4B2020022278B824583524708186BCA4174C06A31CADA40494A574CAD5644D98B00D8EA0C78E98CAE1FA02D1A1303CF8C79893363F802A40E09621F4C6FF1DD8012268489F4902222802E424CE5A74CBFDD9';
wwv_flow_imp.g_varchar2_table(11713) := '01B9043D8F3000E012010E9BB537CA867280831B88011848811430010EF83AAFBA4C98048117804B7A72B5FD3B2318B01C2B20C724F0C04A32C74A780506222DEA53CDD6E4CFFE5409C0FB876BA0CDB152836E710333D04D39E38346C804462845E3B202';
wwv_flow_imp.g_varchar2_table(11714) := '258824CB418339AA822258B1B454821DD8BF261B4E1B8080E82480000CC38E28B21D68444380846B300757208218E84E28E380DDD22A8E803269BCD1F0E40009F022F524022B68AB322044F92C82B4DB0243508719544A09F2CF2675528F4836D192CA00';
wwv_flow_imp.g_varchar2_table(11715) := '9582B1B2D22FC8C79763B9351A3E3CF80F38F04A72AC820C4D022528833FB050B404CBFFB423020FF02200D81F22D80100248004A85302C845FF4BAF1DF802343504621087570082986C4B0FC0B33C9380C8A4A7C89C4809402F9BD336187838F82C836B';
wwv_flow_imp.g_varchar2_table(11716) := 'D102F89450253087196CC74079D24F05D5A9513604FB87724083E11A83C1F382F093022E0080563D2B0018B7327048889B54882C0338288887E3D5424C82B64C54B8F44CC70B09DE82000A3001CC3204357905431820823CA36BECAD04A84947F580CBC4';
wwv_flow_imp.g_varchar2_table(11717) := 'D61D453A289C4B2508D3E1C21C43F019333047876047FD64D25055D7A68CD2A39408763007765087249DD77AAD578E68871A5C0776E888241D87244D0700D8D775C8D7710080243D580018877448077350877F05804D8DD8713007FF834D588575588165';
wwv_flow_imp.g_varchar2_table(11718) := '877680071201D8847D588515598EB8D7835507734059874DD97580877670D97670087A5887999D5989384D75B887A459D79D5D4DD652367E00DA7F80882FFB32D2B0D991E887A4E508A50500E99B09A6BDA393509AA6F5886A4ADAAB9D5AA27557ACC5DA';
wwv_flow_imp.g_varchar2_table(11719) := 'A2F588A4D44F9E15DB787C4D51F509A01D0D7EB0077BF8077B505BB50500B7B5877E005A0060DA8F188D7CB05BAE9DDA90180DA54D8DA9C55A8FA05BA0DD887FD807B44D9DA455DCBFED878848DA8888880C095CC9BD23A58DDA9BB587D318DBCE95477E';
wwv_flow_imp.g_varchar2_table(11720) := 'A80779D020B4258DB6155AA10517BB5DDABE6D09D66D5DC23DDC7D705790509AC78DDCBD3D4ACAB5A6D2D5DAA04ACAFFCDC508CF155E1CBC0700C84476201D7EC087D1605BB6E5DABD7D5E42E907D9955D9450DABBCDDC8EE05ACBF55A8F180D8AA0BEE1';
wwv_flow_imp.g_varchar2_table(11721) := '15DFEBC38DD0FDD9BA6DDEB66DDEB5655FD385DEF7650DAD9D5D91A05E9A78DEC10589EFED541B1CDFFE1DB9ED0B2AF9E55EA4E55BD7FD08032609EA9D5FFA45DC06AEDED52D89EDDD5BE8BDDBD1424A6C3A8D7AF4DF0D2E36D03DB0A0AD87863D598A4D';
wwv_flow_imp.g_varchar2_table(11722) := '59945D58898D07DB8508DB285EC34DDA7BE007BA7D0818CE26FCB5A6CC8D88073E090556E090C05FCC655ACC5DDDECF5DE7F404D7C085E0E56E232F3E076095A7718865BF80562180662200666888C2AB6E25FB8856E10E0EC9DDAD1F889A3DC88321E09';
wwv_flow_imp.g_varchar2_table(11723) := 'CBA55DFFD7FD62225E5D1BFE883186DCABF55B00F8B825B6E3016B57D8FC0776C0055CF8052C66865C408432E8036478062C0E865FF0E23B8A870075055A48B370900878780675F80771B88672608672F0045760877F7063412960AEDD875246DCD2D15F';
wwv_flow_imp.g_varchar2_table(11724) := 'FD44E03B66E56D2A5FD1DD447E981D75F0E35FF8E34C48032458434FB862620806E86364B6E5821F48005030043E50DE6108003FF80734F08331A0B500E00273105A39F690BEFD8932EE5A8978DC1C2EE5BA8508D4E4DC5626E7A2F2591491E57FA0E55F';
wwv_flow_imp.g_varchar2_table(11725) := '48646230044450854E300455000662F029604EDF3780843718863F28831A840343A8827EF0841BB0027AF0042388864FAEE00D19E53796DC1B8EDAFF6F4E5B3A5ED2721E330DDED93C4E6775B0655B260648383EE48B847ABEE76D30DD3B2A03C819860A';
wwv_flow_imp.g_varchar2_table(11726) := '050076F8814C78806870850018837F000502E08272A8E686868D02CE0D7890D79736597BADD77450077728E5C4255D070A5F8C866A6E02E08EFE685C408654508CC3AA052B26105CE886B5FD322EA0042EF8B32AC80657A0802A08802A44832388045048';
wwv_flow_imp.g_varchar2_table(11727) := '816BB0E4AB25DA50AE89516E14903D59755807732887762887749007076287C086077A58DE8A06DF718EEAC6BE208E9EE58F9685611806BF008C5BA8E260908C6DE08779F8B248F00025C0065B88B24848857F180643888461B886327005F70C879E9EDE';
wwv_flow_imp.g_varchar2_table(11728) := '535E65FBDDDE7EE0C183CD8654E806FF71005471600673C8065060867000856A3087748007186EEABD73ECE7B6A0A98EEC8F1E0660300F67180668F0E56000806EE88779E86C79605BF9355EBD4DDDC0EDDA2F8B5C50AEED971865070A6CF913075A3080';
wwv_flow_imp.g_varchar2_table(11729) := '5720862A58874CF8826A28033F6051E566EED271207CE0DCF686EE033F972885CDE9FE05AB1E86C3A21268D0EE64F865EF9E5B7B980779E858192EEFBCA5077AA8871209F118B66600D887D8006A77500786D59672F88324808361E00282366B38F00271';
wwv_flow_imp.g_varchar2_table(11730) := '9857792891E6063004F771A871DBD0658779806076F8E86400864858844528045530846250869CC20571E8870BB78778988710AF87A0080AF6565CD8446FA28D0D01EE07076258FF71B0023788D02A0085832608A4FE0337186C7AC8908DF85D7CA8C11F';
wwv_flow_imp.g_varchar2_table(11731) := '3F2AFE155B4511EA7A08AA75C00566B8854A28032F2829440F4943B8059FA272E7655FA05DDE7CE8877B802059BE07DBA0F48DB808DB5DDA035E8D5166878635872A34843760073F88042B58882A401334A0057670074057D2D4D4F35B5F9AA0C6A69F80';
wwv_flow_imp.g_varchar2_table(11732) := '08411F8537005220150345C7C332D0B547BFA3A105655A47300E3FDA4FB7D9C1ADDD502F600D0FB38075077A288778F5EB7955D9799DF537FE383EC7F572472A9DF8F375395862F803465CBB61772BB722C43F200670A8F2D39D8676406D76E88670D887';
wwv_flow_imp.g_varchar2_table(11733) := '6188D87408876C28555AC806753078717085D0626F33565D6AE75BFF7C085D7768077B680715CF888ECD898E75071D376FBDB3757317F941D15B3FC7A6655387606877E222BE37089AE21A835C8BEDF1FE0757C8867E480573B8866A40E86CC806710000';
wwv_flow_imp.g_varchar2_table(11734) := '66708768A06600F004E18E866EB064C735F09818655996F87AA0DBB5DDF1C6959D7C80885ABF883C1FF9AE1F940C92D259268655274768064E8724A07ABFF73B8A0666C806B7B70557E8866B108761108768B08569A88676400671B0057310874C4886CB';
wwv_flow_imp.g_varchar2_table(11735) := '2589A657091B96E57CC07AC2A5E0ABAD5B77053372F7FAC9E7105DA7F5A06D8768A0854C40A06EE916A189842B2E877E088AC79D7B6218CC6CA0E26980075020866900006288866CB005DA57876C888670A066FF12978D127F08D24DE3E87DF606DA5FCA';
wwv_flow_imp.g_varchar2_table(11736) := '37FE0EE9077A48F787981D7A7806CCA6EC281E065CA8E25B78FD64180675A0DBABA5878C18F53B6207718808A0EF879EA8866E8007C730878EFFE44EEFFD0AFE721F167E71C7264AAFC1743DFEFC6F0DE53FDFBC050875E9CC113457EE603983E5D431E4';
wwv_flow_imp.g_varchar2_table(11737) := 'F7AF1FC47EFF2602F8670F00467B12FFDD8358F11FC69000F0F1EB2712A34900294FB26CE9F2A5CB95113DB6FCE78E5DBE9218F9C1ECE9F327D0A04287122D6AF428D2A44A97326DEAF469527EEEE8FDA3074F1D3D00FCB6629CE895E2D79333678AE4CA';
wwv_flow_imp.g_varchar2_table(11738) := '7367BF9C69F1A98C18142454986EC7BAB4C98E6BDCBC7AF7F2EDEBF72FE0C0828D4AA56A559D3CFFAD78772ADEEA98A7C7B16E83729D3C38E85CB2356F9EBDECF933E8D0A24793FE3CB5EAD5C48EC56A865A99E65BC1992DB3BC990F63E2DBA577F3EEED';
wwv_flow_imp.g_varchar2_table(11739) := 'FB3770BEEE2A1ECEBABA62C8D67957069FACFCA4BB76F5F2FD4B1CFC3AF6ECDAB7EF7677AFAA3BACFF8EC36D0B3BAED7E34FCF638E3C9BF9C97CF0DAC9FB2E0F1EF7FCFAF7F3EF2FD45D3D00DC030F3CD425871C4A3449E6147C443518168226C156DE47';
wwv_flow_imp.g_varchar2_table(11740) := '5F4138D15C2EC9070F3DB765E51F88218A38626FBAE5234F3BF809584F3DF768252000F9C828234BBAF534E34B2EC6780F8F44D9D8528F31CE88638E3C1A29E49034DEC3628018D183223BEEC8C38F71245A792596593EF52100EA88E4A597FF27B1A3A5';
wwv_flow_imp.g_varchar2_table(11741) := '52EC8CF91243E990B9269B6DBAE9D23DF9E8F812934D1A19E4914205C8E24979FEB627933005FAE39B851A7A28A2892ABA28A38D3A1A12A12CE93329A5220D89DD622FD1F828A79D7A2ADA452D3DC68F3DC75DD4194FFAD838294632928411AB4E850AD4';
wwv_flow_imp.g_varchar2_table(11742) := 'A630F1840F5B657DBA2BAFBDEEC5A389B8DA832B00F6943A6CB167198B2BB15AE513EB3DFAC4C9AA3E30C909143E72CED9133EF50CCB2CB322E15AABAFE59A7B6E5409A66496480ABAFB928444FDB3CFBCC5F6045F834251882EBFFDFAFB923B01037066';
wwv_flow_imp.g_varchar2_table(11743) := '48F8052C308100AC03C07CEBB8B37048ED00D0CEC3C34527928A218D49B0C6409D33B03A1CAF43703BEDB063F2C0669EB9F139FFEB7CFC2FCC319F6B0E006AAA295239E29C244E392281530E3800E88C5137006CD30D35D974533446D4B0D43300EFB4C4';
wwv_flow_imp.g_varchar2_table(11744) := '0D39A1A0130E2500FCE1D210491421451921851D52125D03D0F510678B6485152299A185CC71CBEDE938E0E8027539EF20D473DEE1BC333400E0D00C93D34E234D3435E074A3F3370034FE9238760000774B2EA8004011187DA1040020B4D4820A2D6004';
wwv_flow_imp.g_varchar2_table(11745) := '840B698BA4051673ABBEBAA2E3E8520A2C806324F5ECE2A0F38DD43A9B330EEF3F51A3B3D3E024EEF4EDE8BCD4B81836A8ED520A20A400940B000061BA0F57B4340DEBD96B9FE5022FBD7373DE51938351CFE09C13F43821057DD2FA2D8973CC3BDFDCEE';
wwv_flow_imp.g_varchar2_table(11746) := 'D30F30C1700300FFA20755440E00B41DC41682B0BD0112304BB30849E3CAD1B86F08A425833B892E58123CA789A41289F8444BC8F18DF101801CB9700200842092205CC10DAAF0C5493CE013E585A47A21499D1C56210D6A204D1DB32A200E73A81DA9E5';
wwv_flow_imp.g_varchar2_table(11747) := '0C003DECD9CD00F040A0AC4F0A22B91C4CA0E1B862E0C10D22E142488AE10C6760640A0078C2507C30C246900200D9705A367428C631F6C614D9D0590F45C2B3C099A37D12DC59E0C4E1B45788640D4308C210A4E0033400408921818612FD7892330040';
wwv_flow_imp.g_varchar2_table(11748) := '1B18B1463378518CA1E4C0740010601700A00C8C7C918C96BCE46712D10BC785441CDF780528641114378684822C09C2177C804701D2911B3F514548ACA10DFF6314257341D0A2164F12468CD0EC8698FC25309BD2060058031DE30BC537F80080FA9DE4';
wwv_flow_imp.g_varchar2_table(11749) := '6500481F007A010E6926EE25D348044BF4288521F09125AEE4E41F8F119266B8841600B80530CE398C75022014227942108C2840000463932CF16530F3A9CFA278637CD628863B5330041554C267D0C4C834ED06006AE88294089D862B0498B67902C007';
wwv_flow_imp.g_varchar2_table(11750) := '43D8C22FB02712687C4390C768DC3116194B2AF6A414217162489420402C2402160028C5264DBACF99D21429B5C0881D9E078082B2A47DD41C9E425BE2CE473A1200FD7B094795F88D637C1300B1004033B4610D00D03224A3F8492D60F905006002002E';
wwv_flow_imp.g_varchar2_table(11751) := '756948A459D3B192B527BBE8C94101D0D05E30FFD4690D0D5C0445328D4A1891A8F10CC91A7E81916F4CA3A99C146448AA7A923F440223A23C092A00C00B5F4CD17F612B05266027D35E80B5AC96B56C62019059981C36703D55AB67D7270B6EC8C18843';
wwv_flow_imp.g_varchar2_table(11752) := '28EA519F918D6FF2F59B1C050037A0E157916802269FE8C3496E1A92AE7AD59EB0F8ED65832B5CA080610D6010894C8507DA908431082AC02346280A806470238CDFD4681F631BDB672023132139052F60F20697503113E6C408EC44E25270C44323C37D';
wwv_flow_imp.g_varchar2_table(11753) := 'EF25258191538484102F88C14BE4F08535C0440E8D4068484C27D12D9CED727ADD2B469E1112ED42631AD078C679150B132F58410C2DB9A92B5E0A0BD851160061B0A72EF601DF118B9104FF5B25040058B18BB3C22475782DEE1AB6B086AD8A84C01851';
wwv_flow_imp.g_varchar2_table(11754) := 'E23C4F7B124688921BD8C52E3244F20B6420A2108B20042C7B4204209CC417283C2772A3098036D893C456C6E171E7BBD99E18D7252E0E891A30F28A69847984DBC4881C9ED1D7EC2A786A6D2E0424EA709224242128C2B8C52F2ADB61939642A657FEF3';
wwv_flow_imp.g_varchar2_table(11755) := 'F6B29CE25DB0A225DBC02B00BA191230E001006BE0EF565169D85F94D9258C70306C659B6135644E24C840C62F1081912A1CE5A9C978699559A20B8BE40BD0AEE6D70212010642024012ACA86D4F640C005D7FC10C5890C30B5912E4005B60AB1698E768';
wwv_flow_imp.g_varchar2_table(11756) := '95288B6F3002005F1021118C00006CB4392456C4480EF6A0052D8C0D289334FFA94B7BA10B7137EDD5E6961918FA8C4500E8810C720E0A8D638C11E3E2010B5238EE3764810C293C21733F1828008C08C56A63C4113F10C2C1EB7C07000C1B2350C48817';
wwv_flow_imp.g_varchar2_table(11757) := 'AC8706CA79FB25D80C897BCFADF172A9810461C0081FBC10123230C125874D044FE5E06B009861D7BB863146349A619138020E5903402A187E122C164108756E09C5013086A5A8C00261DD38D2CDD58930BF02A618B1C4223082EB909CFA2432EDEC4EB1';
wwv_flow_imp.g_varchar2_table(11758) := '290730C8610D8910872CCCC90D6104F9E619A6E31F31928B44ABA1AEB80DB2309E0188BA5A0F0057B80217AE50572B4841094090364BA0C10C8C6C120CD24D3AE2CF258B54B384181849C4157270548CD81823FF0D091DFF5F214A64DC02000417891F5E';
wwv_flow_imp.g_varchar2_table(11759) := '52842308E50B70AB7C48D040E06E5B5DCA6A3B7CE263BFAB580CA3259EA0842772CE721AD79D2577742405F53A5B8C700E00226F894E610288FC32220E3ED1A849D33679D953FF51B8580646A2810D98B8C2112771A219BEB0051A579EC627197E483ABD';
wwv_flow_imp.g_varchar2_table(11760) := '6061F88418B83083127A0F0024021C892C69F32F0E5BE52018BDFAFE67148DFDC22EC1C453890406894421F4C433A05F4FB0DF31E4C2DA018038B94D48B40D007C194660A048C001CE4DDBE0BD9448E4D2FF8D60A110C1101441F10180A861C49309D501';
wwv_flow_imp.g_varchar2_table(11761) := '86842A60502774422874C2CD39C52284140008831F4520506081A06144172D9FE6B99E519D1645D10B092EFF2196305980650E17841E0B62C4CC89442D7C826EB1442864E152DC54133441481C8338F991193C1C4B804118085A1A8A4496F1D449489E05';
wwv_flow_imp.g_varchar2_table(11762) := '4C1F13CEA19B608334A05997C541289CD72784021676826E21420CB6532C0C552700804601565040014624601F61C404C284E18101103A5A102602285C1C4B6081A4D1A127BA493400402244D2AEB51C1F7DC221B24416164331E442246203033E45D415';
wwv_flow_imp.g_varchar2_table(11763) := '1C4650C20B3E552C4420FBC156822D147AC554877DA230AE89F3A98118549A500D5548C48248ED1825341B521C033928113944220034E30BB644012AE24924C2C7B5C1C70DA33866094A01C02948C22CA6C22E3A1540854428140333B644415102D6F5FF';
wwv_flow_imp.g_varchar2_table(11764) := '0439ACE38D5DA32AD6C2933959317CC254B98435F222B06501186499C78DA3428208DAD1D65959984B34A348E44231640D286084320E05600D644B7CC23F8AD43BB69335FA916CC91646088330C8424A02408459C442BEE47E2C1C46141A46D8C22D7882';
wwv_flow_imp.g_varchar2_table(11765) := 'A86111241483EE85940F9E44150A85308CE42346240615832FB0224648A404620439B89648B01637F85839B8244C5E2576C84117188248C8D726D8C249D00000D4423C1603479E448401455341C3045A6348895333BA134099A50436235B32582C62D778';
wwv_flow_imp.g_varchar2_table(11766) := '60255FF686380D5E229841B3A1907C0100285C646E7D8218FA4428ECA26C1D033E9EDF34BA92304CE359426253B2E222C12545BAE2F9B5FFC437704368B6565F96E66F7CE01AC8817CA1184BE0000A00402E606101B60434B05F5A82D358A6C24F1E0360';
wwv_flow_imp.g_varchar2_table(11767) := '29116F5A265BFA9121E9A34832E5D498E4D45092692E277000DB2C0240D481A552A4257F9D44704EE0F870036F76106F0EE43184C23104641229912B41C3F62D982E210873AE276934025702402724193961E6490C2537C2E62750C25311814F400307C1';
wwv_flow_imp.g_varchar2_table(11768) := '56794AE07546D15BAA9D4BA08330A0832089A668860302855136400D7B4EE85F08125BEA5E4F185248156077462672C284270C9B38B1DF5A6A90E3FC265B9E844432650482E52D80252DD011865A1785D66860C8D67FFE84378404060DE50E5EE6040A92';
wwv_flow_imp.g_varchar2_table(11769) := 'F3850431C4021F38A24834FFCE6C61A73B86C422480E9715174BF0156EDAA895E60507DDA7487491400EA8928A842B44E64B88C1404EA599021260B5A25180631B001B223A0EF644E895CEE95398E9E3BCC4558984987A534B1C184BE00F00D400000083';
wwv_flow_imp.g_varchar2_table(11770) := '636E942B75678DB16918B06950C8C1B2614F7551E98B14CBBED0A9A5FEC49D0A4336B204979E244B4CE66B9DC40B7A4250DCA94B6869482CAAAA0E5318744F4B64435F6DDF9A5D2AAD1A8520C5422A9E84299DC4346E54DA61C4790240507260506C5FB0';
wwv_flow_imp.g_varchar2_table(11771) := '8AC465860438B64438B204363CAB8FAD56AD4EAB51FCA43DEE6007F96A47051E37E4822B80657516EB7DA22A46A0210020241890000090001ECC938FC522B5C62B5048FFA84FEC2868F2226C196B3E7A5148741D0030C22DDC66512E981FC5964FF0DFB1';
wwv_flow_imp.g_varchar2_table(11772) := '1D9B4808415D8D56CC09EB0BC8ABC4C60539341C7996A4A9BAD2F671C37972C3A9514223DCDC346424828544C7BAD2B626A01149411480991A341A46C0ECB922234670C32F70C379F515764D2CCF1645ED3DA2F17C664B545B2262AB4B3CCEB1B28435C2';
wwv_flow_imp.g_varchar2_table(11773) := '811C30821C648D1C5C9CD35202183802236499F7FDAA13F66C6F24864974C61CF62683BD84BE262D46D455A669574F94A430380257BA210034C23C5A1E2564CDE579D302D2C290722D6F70093F34C912FA67E0052D0004AD6C1DEB336083797A91D9CAD6';
wwv_flow_imp.g_varchar2_table(11774) := '54A627BE4625FB458277B9C47F25C2E55DDE0D8E96C1F2FFED6FF8ED1CC262C1EE15C7022B76256D32ECAC487CE0BEA2A7E398AD4BC02D4BC86E2564E43448E7322C03370C91E75E063C78EDA492A0E2365561B1849B2A45E7EE12CA766C490200244402';
wwv_flow_imp.g_varchar2_table(11775) := 'A95602A9FA84DCC28405B9D234D06BEF7E066DFCDF6CC5C1DDBA4417A8EBF88EAF06FAC4E37E296DDE204B442F46C86E482066CDCA42DD2E4336C8E9F686067BFCDFB14EAF28028041BA04091C5717A4EBB90EB0508866CD5AE749F8EFFB860436159426';
wwv_flow_imp.g_varchar2_table(11776) := 'BE6FD585113240A3E3F452FE5EC670ECEF086E5FE242F049B081ACB10118B0C1B90280096313D7F52B1B005B9E8A04EC46A5125D64F10200F48AC455F9AFF4EE9403F362D8D1C22EF54CBD6CF06078FF30136E9F16381F1614301684EBAE9DAF746941E5';
wwv_flow_imp.g_varchar2_table(11777) := 'C1AE30B0EE1FA92D46387025C0EFE315540C9FC43764C3B29D043E19715E6C0B4C2EDF10E854FFF51F46FC001C63840B00C1089C44345CC335DCDFF935AF481C6F48DCF0EC86B14B50C337044DA5A271EFEAD590C52D00DCA0FC26422ACC1C86E6292363';
wwv_flow_imp.g_varchar2_table(11778) := 'C41E37E0B4BD84207BF12824C22858D04968D4D0248D395825D82A72CF4243239FC428B8C228C8AFB06EB161CAEE2FE00231E8D53384224BCC9C30FCC2E2E66B2E0872EC8632DC86720C73832C88432F348E1C618488A9B2E72A182BEFE22F60B0F83D51';
wwv_flow_imp.g_varchar2_table(11779) := 'EA9DC41758E04FD011D6752E00A8C2D66CC2DE5A9E270402008CC228A0704878F14281FF1134874AA64873BC2A63E7BD8414588119F65EDB5881F9F5C481B1DF229024F16EC2D600401F98C142E37042DFD2F47AC2274BF4285443486C95328BC334D04C';
wwv_flow_imp.g_varchar2_table(11780) := '22DB33CFBA284B64334668014073B350345C3E8AB3F3E21646A081B61D82088AC4043B7248FC6C9C7A74FE029ECEC14449F75EDEC95F4F60576105925F01161F2D74426384BA02002EF4D1CFF6AB4848270030CD3ED9181EEC174E63499D81E54AFE8405';
wwv_flow_imp.g_varchar2_table(11781) := '4A81F57CC115C0C12F3424B02E6E5F5DC36C99A420D5C2283CD52878435CB75C12CD9B4B38284DF1978CC9ACA265F588FCC29D112B14FDF4C3E1DD4B2C1F00E8D59E4E5BE2166CC186A232DC214634752CD4C221FC442B28535F87FF04F68C474777CA0E';
wwv_flow_imp.g_varchar2_table(11782) := '88405E6C95CC620462B39C5F8F8828710EDFBD04147D01178C5F0ADE423E9FC479B659792AAEE27E9E4828E5F24C4D331C20B0418248A05DC6C58D0920C51AA0011E842B07822C06A7B6885C81378B04101481E9A060DBC08123DDC23000365338DE58BA';
wwv_flow_imp.g_varchar2_table(11783) := '8418B4C27082829B1218780EC10430930D7DB6BF48800A11051AAC011EE0011F41B174838878271A4B7041758BC478010020102B00D41E4A272E6F17C5F44DC119EC012F0C274BC4C2CFFDC22F686FDCE89407800007484087975EC03D5C25500207169F';
wwv_flow_imp.g_varchar2_table(11784) := '1290DE7E6BC72D801A51E042ED7D777D0273E0AD2E34F0324C5495FE8804126004179EC453D3141F349A1934B75DBBFF021DC12C1E0C3800BC811B28798AE7878261F1499C1A164B2BCAEE5236344E187D0355FBC462AB4224C0924845663748F5F6A4E0';
wwv_flow_imp.g_varchar2_table(11785) := '5058657B45F3933F4ABDC0B7BA04059B87442AAB444B540B59D90348E8F93C40734688D83C00FA3ED8C3A0B7B996C0B952EC439DFB79302DFA5EEC03BD44FABC4CBA124E2CB9B8493F40C66EE879BFB45A4C8004A20BC6194FABA71BBAA99F3AAAA7BAAA';
wwv_flow_imp.g_varchar2_table(11786) := 'AF3AABB7BAABBF3AACC7BAACCFFA76943AADDFBA52A831AEEF3AAFF7FA9FE9BAAF07BB4F0C87B017BB4FFC03C718BBB22F3BB31FBB0F35FBB2DB3AB44F3BB557BBB55F3BB667BBB66F3BB777BBB77F3BB887BBB88F3BB997BBB99F3BBAA7BBBAAF3BBBB7';
wwv_flow_imp.g_varchar2_table(11787) := 'BBBBBFFF3BBCC7BBBCCF3BBDD7BBBDDF3BBEE7BBBEEF3BBFF7BBBFFF3BC007BCC00F3CC117BCC11F3CC227BCC22F3CC337BCC33F3CC447BCC44F3CC557BCC55F3CC667BCC66F3CC777BCC77F3CC887BCC88F3CC997BCC99F3CCAA7BCCAAF3CCBB7BCCBBF';
wwv_flow_imp.g_varchar2_table(11788) := '3CCCC7BCCC737C2A80652CDCC2CDCF3CF50D4386D9C228F83C30C48245EB3CD281C430BCF52B9839D1279D494442198CD71B8C17EB2DFDC60DDDE838610EE80000FC30D5BF5A12986048E4C014045DD79B1B11A89F510180128C428097FD95B11046FC1C';
wwv_flow_imp.g_varchar2_table(11789) := '00448F93BBBD9599E16F4B8FDDBFDA17C03D4614419D6DEDDEFF598E03C192613700F0E7E06F1C1128FEE2FB5FF43CFEC65580E4BBDA0E54BEC6D9FFC0E5E438E603DAE577FEB9D531DA833E895D7EE493BE9501810A30190C60C406A0FE7B097E48C080';
wwv_flow_imp.g_varchar2_table(11790) := '072477E7A00008480008503EECCF54E6648EE0D73E46CC77EF9755DA9CFE49EC7812E40012B8409D298112FC73F1EB505185C4D6BE415263C4809BC1903A9F19BC015D4F3F01F127DAA87D5151B5347483344C523EDF022E8C425387C42A18A6F8B30E1A';
wwv_flow_imp.g_varchar2_table(11791) := 'D4BD4B9C9A836EC3FA1C1A400000B04E604100E1C001E806605B3681C10C4694389162458B173166D4B89163478F1F41861439926449932751A654B97264A648160DBD2C38EACF9F38710CDEC255515E418202CF8D33C7926851A347912655BA946953A7';
wwv_flow_imp.g_varchar2_table(11792) := '4F4B1A6A24F54F419C00ACF8F0D8ADFFDB3875E7A086153B966C59B367D1A6F5F80751C1980523BD356846EB14833B0482A89824A2214F0056FD523B987061C3871127567A07C0183465D018D40260B2C14A8D0A9A31E8C3CA151F9E0128C901C0484409';
wwv_flow_imp.g_varchar2_table(11793) := '8A51A756BD9A756BB36CD90AECF3E7CD9F3E1331538CA359209A2B5AAEB8163E9C7871E3C761FE315475B92181553753CEEC294E2500B73A6E29A3E50B77E4DFC187173F5EA572006D23DA162841875E147A23F20E79957C7DFBF7F1836F5ED3220A002E';
wwv_flow_imp.g_varchar2_table(11794) := '5CC8610A1F72D0C1051D2A8A63140016CCCFC107218CB0B53BDEB883318134632C320012900089F600D0E1B40D009080C48CE89350C515596C1129EC2402661419810140268196FFBB31AE8C568111C6555C0C52C82189ECA81E7DF40100498BE811A81E';
wwv_flow_imp.g_varchar2_table(11795) := '8DFA2952CA29A9A4F249009ABCF2CA827A2A684B819AAC52CC31C924929F8992B4489F28CB6CD3CD37BFEB874D8ECE1408C934E1CC53CF3DF9ECD3CF3F010D94A37F042DD4D043C59C13D145196DD4D147218DF4AC7B24ADD4D24B31CD54D34D39EDD4D3';
wwv_flow_imp.g_varchar2_table(11796) := '4F410D55D451492DD5D453514D55D555596DD5D557618D55D65969ADD55615CB2968988B7235E7995B810DB6A39E860220577ACCC9B5A774D8194A1D00E001801D818A15D6DA6B0B82471E79E0D1B6DB6DBFE5565C71BD1D97B874B04D57DD75D96DD7DD';
wwv_flow_imp.g_varchar2_table(11797) := '77E18D57DE79E9AD774A39F1CD57DF7DF5B5D7DF7F010E58E08109242ED8E083114E58E185196ED8E187218E58E28929AED8E28B31CE58E38D89C2071F4103020021F904050A0000002C00000000580265010008FF0001F00300009F417C04132A5CC8B0';
wwv_flow_imp.g_varchar2_table(11798) := 'E14283090FF2B337D1A143880A0F1EB4C8B1A3C78F20438A7CB871A4C9932853AA5CC9B2A5C3893029CA7449B3A6CD9B387346C467AFA73D9D40830A1D4AB4A8D1A348932A5DCAF4A8CF9F4D4F428D4AB5AAD5AB58B36ADD9A7520C1A75C394E0D4BB6AC';
wwv_flow_imp.g_varchar2_table(11799) := 'D99618CFAA5DCB5660DBB770E3CA2538B027BFBB78F3EADDCBB7EF5E7D80F5CD1DACD62BE1C388131FC537D1DEBF7FFD224B9E4CB9B2E5CB95FFF1DC8750B167AA773F8B1E4DDA244F7BF1ECAD63D78E1DBB73AC5FC786DD9AB6ECDAB373E36EAD8E9D3B';
wwv_flow_imp.g_varchar2_table(11800) := '8AA14B0B1F1A7CB8719CF992E73BBEF46EBC7FA6023D52447D7A75EA8AAC67C7AEBD3BF7EFDB1F05FF9AD46F1E807DCCD30755CE7E79C3F6CA1DC24F0E92BEFA90F3DD13648FB27DC2FC0AE5679F5002EAF7117F1DF5259241FBEC33CF3FA58CE3D83F13';
wwv_flow_imp.g_varchar2_table(11801) := '3E56E1631662A8E185187298E139A4F0130F3E9C7576DF892D01F8DE7CF2B1F85183281EE8E27EF19D54A37B02FE97E35005D6E75F827AA1C44F3FF6F413613CF1D4434F3D4CD673CF93F44449CF3DFB4C29E594FB38A96494544E09A596FD8C434A3FA9';
wwv_flow_imp.g_varchar2_table(11802) := 'ED638F8931A669D28E0BA94897576E5AD4608303B669A07A7122B8668034C217209BEB01CA919F40EE651260459222E19902E1552747C5CD891E43F8FC23A688F69889A6488FAA995E3E0CA297CF3D06D953CF9BF0F514983EC985960F601325FF071841';
wwv_flow_imp.g_varchar2_table(11803) := 'B3F2734F3DCBDD43CF3ECB1908E3A98F227A6667C511742B00CB31665F70FB3C5910839BD21A185DF8DCF3A8ACAC828A4F72FBDC650F7B3DFD999C46A1E9D32060FAE9A56D72D6327697603432C41E3EF34C34AB40DFAEFB2ABCE3D6A32C7F30AED827B2';
wwv_flow_imp.g_varchar2_table(11804) := 'F93869D0B8DBDE69ECB677C1876E42AB2AA40F3FF84C8C579FEEDDD520AEEF66EB58843D4D295171F492A85C70144335273EA7123C0F6A9692825AA69D4ABBEAB89C111CEF799C698AB1604E7A7A96C2F7F60340B800DC03803EFD54794FD3F2C8D3A0D4';
wwv_flow_imp.g_varchar2_table(11805) := 'FB00B6B2411103D00F3FFA3C19D95DFD3CC6EA3F5566B935B2FAF0F4D84473DEC374413D61746B64DB564AF63D8F595B643F4F4EFF9C4FDE712354CF90D6AE3A10D3460F6E18AD91259D107A0D5A68CFBD81837BE6DE8F9D1B58B332F5F44F99CDFEDDCF';
wwv_flow_imp.g_varchar2_table(11806) := 'C40201D64F3E907386BA794D5BA8F1533ED5333AA9A83F4D215E1BF39C307BD68E3A9FE424D2D8604F7486ED93410DB72718BAAB9A0ED9BBFC700B1C5D993E36383EA35FDE8FA2A941460F8593EBE353D8E27F4B314F47C763B43EF558CD73D4FF1C6D8F';
wwv_flow_imp.g_varchar2_table(11807) := '989FCFB34F3C0DBA6DEE9C6E794567C2BB7BD59B4844BC39252B21D113DAD0F261987DB0233552134736C2960E71FC831E006087D40020B57FC0231CF3681ED3FA563EE8FDC31DF0A8D23FCAD10D7DFC231DE1F8073FFED18EE78CAE4130942195CE730F';
wwv_flow_imp.g_varchar2_table(11808) := '78804F260399210AFF55588E70EC6385E238CF09BF47A1E7A82386339BC805E171BA8E554D1FF090473894981CC8184D32277C0ED98E584124490A00E08B5EA93C078F7994A31C4D0B0CDF8E48B1CFB9038D3AD44738D8B13539C283670D8A1E8CE0018F';
wwv_flow_imp.g_varchar2_table(11809) := '6FF4647666720CC584C8C47C38E68914A2D3A9ECF1C75EDD68209CE19BB5EE310D79FCE365CF491A95F036C77EB0038A13DA9D46B436AB89691230D7A00791ECF1A079F0647490014E3ABA61AB7E50117C105AD436CE110F6910F31EF2485B3FD4110C24';
wwv_flow_imp.g_varchar2_table(11810) := 'A5C691A871E638A6410F7D482D1ECA2066837A410A628A696693DA21419A553500C08369FB730F42B4859AA40D2435481AA7CF12A234058605470CB487D45CE1FF083874E31FF2484739D0038C589407187E78453652B10FA965A311FF6047FEF4E10E43';
wwv_flow_imp.g_varchar2_table(11811) := 'FC46585C635A2E10E10770F4831EE94847D86E918A0BDAC20FAEC8862BFE81B76B440200EBA80719DDF0876C7C7226DFA3851FFE600E96AA231D8FA1C528C8960B38A4F41532FC073732D10F77C42F1E00C8861F20D153FD01461E7730C433FC10197968';
wwv_flow_imp.g_varchar2_table(11812) := '2D8BFBA8443BC2660B3EBC621AAFE807F6AA11897F9CC368E8610722D641A183D8E37BC028C32D3C010C5FC68F1E7C44C62DB4568E48FC411CA0E8A9270D618E7EAC0300B2F3041A3CB1AB40FEC41D598586215C88411A56A912EB98C84969818DB43EE7';
wwv_flow_imp.g_varchar2_table(11813) := '1A94306791BEC70D3F3002A8BDAB143B3C614E4FFF44E68F8F714739D6F11BC7E0966C00A88405D901806EBCD493AEA0455D97E3B9D9F6431E4CBDE0D22E580E76C0634800C5902C2B014775FC231B86402328CAE0094FCEC348E3484D17D2DB05703813';
wwv_flow_imp.g_varchar2_table(11814) := '46E5480431F117B9A702E015950886B9DC8A0562FE631424C8022CE2012233A2271A00200641DA11BFA9FC611BBE846A42BCBB9C741024890E994A28EC69167C9A6A1FDC80A83CD861884ABC421ADC30841946F1513880431F8CB0C228C2910D4AB8A21C';
wwv_flow_imp.g_varchar2_table(11815) := '8658453CA4C68C3F04E38213A3483EFA818C4C9853AE99784537A4FA86B4CE030EE5F80724AC900A1A676214E5F8C32B8A148E4C8463A8A93913DE88E10980BA03119EA04536AEE10737ACE2FFB97D883222BC000A70700312584EE863D26108769C105B';
wwv_flow_imp.g_varchar2_table(11816) := '4C53872196C9087640C20DDC50472520010020E0824877B06021AC000A1A47221759BE05CCA0E18769DC6E5B30030531FA910A685CE30D91A007310C71D22BB8A31FC0A8C43FC2218446BC421DAE8044395EF152A645221CA050C71C2B920E48981212F0';
wwv_flow_imp.g_varchar2_table(11817) := '88C41B00A08E4C4082184578743CFC20672A8B631A9488853810A1E97F089AC1EE3858D2BC8D087B98A3CF8C404338B071875BB8E2177E40033B3281865F88C30F8818461140D10D44F03B132C85472632B18E3331F79188A0873AFC200F65D3F80EC0B0';
wwv_flow_imp.g_varchar2_table(11818) := '0531FEF0857654C20DCF10071CFEC00C2078A21B86F0443864FD0F4A2CB4A7B2FF541441B280095390601CB0204118CE11882C4C87135920812E024182478C830D5998432296D1855904FD1C5948AF2ED60BD5787C137F0070C31BE4610B5B7C03008C48';
wwv_flow_imp.g_varchar2_table(11819) := '0D000AB11044200309A0C03A6409626C00C4E20EA0380728D2410B60BC0110001006D77F31760E87257AA0328F97D5510665C4A11EC3C0EF3A70C1E27EA4A30FC8C8C62BC2710B5CD8621491E8C41AC05129507C0314FF78556864B7773744030EB04E45';
wwv_flow_imp.g_varchar2_table(11820) := '26F4018C54A0311D7C18063668D10D89BB3B129088C38BCBE1053F4C305367FA9E70D3E10666E0E11FB670455B6F310AC2C22119D5B045366C018C821A22137700C73FAAE10AB59E0E5BBEE4C21FB0E109570C431F865007FF31DE400B4FD075857C60C6';
wwv_flow_imp.g_varchar2_table(11821) := '33141A0B61E422169188848B1F038A6C941926A0FA5E2AAA708B58002312A4860CE1100A70000CB7C00FD5140B88C00E94C00EA9C00CC81076A8560961030963607E4D233F193406DB170AA3100DF5F007EA300C6F600BE6374387870CCC400B8C770BC0';
wwv_flow_imp.g_varchar2_table(11822) := '400BF1277BFDC00DA94024B7C32D0DF50586B071B6800BF49009B1505277F00FC4400CD7505294700B95C07DC1260EB680067BF518CB670B9E862BE3F25C636008591571826182FD0007FA400CB7607FFF1009C39009D9000A9E300E4EF8064AF8189D70';
wwv_flow_imp.g_varchar2_table(11823) := '81A9712A47F20F60D00559507459300B6CA0082C370B60700E83900738A70B3677886CB00D5A500960800546FFA7745D404C515360F8C380D86086AFD008FDF00AB8005CEAE0155B4510E610775C4010B41709E0F50FA1000C9EC00E9D9060B4600B2F95';
wwv_flow_imp.g_varchar2_table(11824) := '10BB62775A61202CF30FD00051A3600B8DA00F8F1709EBE009A3C00FF2600EFAE007E5A70F7F800BDDE0099E6008D2B00EFD407B8CA005D4402181510FFFC00CC6168483660BA9208C9E000A64226C88900AB6F507C3000003878A4ED565E1E0079FA329';
wwv_flow_imp.g_varchar2_table(11825) := 'DF430C2F050AA9C008FF100BBC060F9E5052EC500EF56008AE50667C400CD8000A990008D9E049E9E007E9200FC2563745C267FAA00E8C2054CD960AA07007AE5009C21650FFF007075992D0B050951009DB408DE1C00586C00516041C30E309C4F00F9E';
wwv_flow_imp.g_varchar2_table(11826) := 'FF100B86B00EA9600BD9760741B83551360C2BA90ED80007EB9009C4E006C3808CFD0009E1600836B52BB40400E98008DE1609A3300AEB5009B1E0097700837C1450FA908EEB6884A0D009A8180F198908E9B00E1589830B674A91400B565909B6700BFD';
wwv_flow_imp.g_varchar2_table(11827) := 'F00720D70FD1E009F71009C29052A15009C6450B7A4581FF60086FF006FC688547E36D9B956CB1904199F082FD8008D91009FB800C94600F66E80AE1E0098659977A055152260EA87841E8D5135DA00BF1A08738370959A00BBAC006BA4002A6F0088788';
wwv_flow_imp.g_varchar2_table(11828) := '7348D708CB0000C4A8056CC074E7D00561F008DD00004FE7407C406454B060003058F7E007ED500D095162C5050076E95100C06800F00709FFF16B91405BF7457648554FB6881506921C9EF40A3B650EA9A00FCC100DD8600871F00BFFA00FA36006B7C0';
wwv_flow_imp.g_varchar2_table(11829) := '0E6F305BC43082E6F0075CB90FC7F00CFFA00C3F163E72440B7C6008E9300AF8C00CD3100E701009CC1019B1E006C2B07000590DE6700BE68008A39029EA700777B00D37853C0F420B706008E2B052C8105531BAA1F4E00970700BE70008F1E009D3500E';
wwv_flow_imp.g_varchar2_table(11830) := 'C0500E7E900BFC705EEC167E6A9532A6E40A19090AF2D0096F204186C008D8905C14120A7840A286100F99700DE540A277300A2E440C0ACA0CCC7034EFF23DC3700D44980DEC4659904009222782DF3555E7800BB1E00E7CF00FA9A00EA06008E1C034B1';
wwv_flow_imp.g_varchar2_table(11831) := '8006A9E01389E46DAE0058A9FF200F876669A8F80A69E5A76E800C110990413AA4E99829FD700D7750097CF42D54E240AE9041AED07077500ED7000DC0476F91A00EA9F006D9200EC8200EC3400CA9007F95700DB77042AEF020A93056B1E56D35D80EB1';
wwv_flow_imp.g_varchar2_table(11832) := '20707D200EC9306AC0000A6E1009E6E00A6830ABC4200EC4300CA9900ACF570DDDE60AE4F532B2A3283D9108E0700EF2B574F2A528BA400AA20006B5490A24000BE6BA0EA4D008C1700BB7A00CBF900871905EFF000E599005EE453F50E5805E0500D710';
wwv_flow_imp.g_varchar2_table(11833) := '0E6F5009D5A40FB348108C0000CC3058A5DA09A3C89D46230C6EA035A1D007A3400CDD90A6D5C007A9E538EBA915FED32D3F412647D4B06183464FE2415AD30FC6B50EABFF428D47343A61D3311DE34591712A61730F43523018B21CE140094E153F0261';
wwv_flow_imp.g_varchar2_table(11834) := '4B8F613C81334E8F91108DA3355AD33E93316B94E0434A0B0F14C134FBD90F56C82D61A3B396814659E2186834109BD90EDB580F9E539532041C80213B5F8B46F2B4416E8121661B0ABF1019E89436B62343D0322AFBF05C437245ACD4B42F5BB8461355';
wwv_flow_imp.g_varchar2_table(11835) := '48DBB400A0758E31290D034802D13818423E3A2B46F1A3B4853B436BA33545D260F4401FA032647C732AA613B91321199982475A332491C15209B1B261F3320F02328F114F51FB439139460D1266D2000E99200EEAB00EE7700E6B8824A33331A941B0F2';
wwv_flow_imp.g_varchar2_table(11836) := 'E442E3A4356EB39F0BA1B7F0720FE6113047231982D1386FFF3316277B158B231078D32051C23EAC822B4F82BEE7150E70440FF2504D4D3311F2502D563831ABD23EEC830FF4604BA3D43B421B25FF200E51E618EE5237F58410B0234AF1A0BDE8C24090';
wwv_flow_imp.g_varchar2_table(11837) := 'C53EF7404B9502BF9FA434F3400F1523184F332CDB421044B23437733024E22C3FB1C17A044780D1B08C01113C611F45D335FAB02BB55836852B4ACE020FD820100C64301D9C17ECD12CFEF2136E333A0C743643622E55DB0F18BC37D8B335192519B8C3';
wwv_flow_imp.g_varchar2_table(11838) := '39474A2A903525ED83411C0C59B7A22B4B02B3C8B248A72113F6712BCB21484EC3C106A12499A22B8C722BF623B4A3722A8CD12814813DE2EA4CB4D4132FF339E0531EA1144FDD606257F02036580968FFE4188C9C1A20D24E00B02B9FC432F1300FADE2';
wwv_flow_imp.g_varchar2_table(11839) := 'A08E542DA0D23E427BA4F8A3BD66C20FEC3BAAE75210045333E38B14EDC92E84F324A47230A713C1C9F12017742BA6A23469511041A22EB5C31308C1134F5229B45C2F9D012FA2F415F21337C3D213F661C2D67217B9A819EC2218FB022F600131D3A223';
wwv_flow_imp.g_varchar2_table(11840) := 'F46157669C37CDE3158C612DC8623334DC3530D22CED4BCA0A11B4CD731077322DFEC3306FD22841643A559337173343A68338542C29FE8CCE3AECC5AE8C171091CF02C11814B11FC6822B08D43B1E8C3AE72153B887494AC32B078440EEFC0FB220214B';
wwv_flow_imp.g_varchar2_table(11841) := 'D23CD242CEFD4B0FF6306FEB200EB4340FCF5109D207C7F3603FFC00BD4AF4142F93CF41FFC418F03C10D084A806D72BE72C297A92CA4D8177EC21C4278317B0123D426B2A425D200CE417F284D0C342106B74261D732F525DC6C7132DADB2D4BC83CB20';
wwv_flow_imp.g_varchar2_table(11842) := '0D2F6B243181612808D4184743C1A523D6F9214256F3CFFF4C4F42DB28470D1312D3315F0C2A42EC16F46CD4CFFC1772044647E4D6F943425F8C2C9C11447CF1268EA223E20C1F0DB33F67F438FCD310D06C10FDB0D199831996812147640E4345244882';
wwv_flow_imp.g_varchar2_table(11843) := '935EA521180222F5383C3EF132C0C1357AC1D6C9013B3F4131CA21D83F0DD44CE1D88E52D43C8B7744CDD44DAD20BA934818B146C8935111C34EB073302EA22227D32C0ACD242DDDD2A7D2244E52C16E7BDDA692DD4F51DDC1EC2FFEFFD219D7CD2490D5';
wwv_flow_imp.g_varchar2_table(11844) := '32AEECCA4A02C652A22B91ACC3E54DDDD9FDDD6DCC3202BC244FA21C77BD1C6C1D180E03D98C2BD8CDC2254FC2DDD4DD24DA0D3BD81DDE039EE05A22C00553DE0E5EDE1A11E191DC0F938009BA300BB699E11ABEE11A0E0BBA000BB0F07394B0BBF11307';
wwv_flow_imp.g_varchar2_table(11845) := 'DB90E11E7EE1BAF00873F03951E2B6275DC9B6842B34DE13E6CD24E61DDD0D6C2C0FDEE3E6FDC5408EE302DE24ED4DDDF75D23A7ECDB4ABEE44C1E1F00D2E44C9DE4488E40F804E5456DE54B5ED9C9332E8BB4E54E8E2C111E4058DED4562D12A47DE668';
wwv_flow_imp.g_varchar2_table(11846) := '7EE604A1B42A91E651CB11A4BDE69D1BE76CBEE60AE1E66A0EE74A8BE7716EB77CFEE7699E1267BE0ECB400DA410B088FF9EE88ABEE888CE0666400A7E56585D2007018B87791808BA400DE7E0E67A9EE77B5EE7720EE8A23EEAA47D7D637EEAA89EEAAA';
wwv_flow_imp.g_varchar2_table(11847) := 'AE3055BEEAAEFEEAB0CE1EDC780D65C00555A0044FA00449A004B8AE04B7BEEB4910ECBA3EECC0DEEBBB9EEBC19EECCABEECCC5EECC86EECD09E04B9FE0455500563500663F00563B0ED5F5006D85E06DDEEEDE27EEDDE4EEEE27EEEE89EEEEA8EEE63E0';
wwv_flow_imp.g_varchar2_table(11848) := '05EEFEEEF0EEEE55F0044F90044740054980EFEEEE0665C0EF6E8006FF1EF06800F0043FF0067FF0FF5EF009BFF0032FF06EB0B1101F7504EFF0135FF10FEF077070077000076BD0F16BC0F11FDFF120EFF124DFF166A0024F20053BF0057160066650F2';
wwv_flow_imp.g_varchar2_table(11849) := '1DEF0777FF00F00F0FF0FD7EF0380F0008DFF0658006E5CE0540EF0556E0055CA0EDDA8EEDDA0EF463A0F440CF05424FF4431FF54F2FF54ECFF4B62E055250055690F552E0055FA0A0611BEB623FF658BE100944F6689FF64BAE2BFFC0071110010110F7';
wwv_flow_imp.g_varchar2_table(11850) := '723FF7745FF7767FF7789FF77A6FF710C00114B0011440011C30F8845FF883EF011B40F888CF01899FF88ACF011E70F8902FF9935FF9910FF81170009A7F000CC0F99ADFF9044000786F001B80022260FA1E8002A9BFFAAADFFA1E6002AB0FFBAAEF0122';
wwv_flow_imp.g_varchar2_table(11851) := 'B0FAB53FFBB7EF01AFEFFAB5DFFBBE4FFBBF2F02C16FF9914FF82520022550021C90FCCB9FFC195002CF1FFDD0CF0142E0012F2003B3BF0119C0F81BFFB0012190F8A92F021C20FE8F1FF9E63FF9E75FFE90FF0009900006F0FE08D0FE10F000F3FF000F';
wwv_flow_imp.g_varchar2_table(11852) := 'F0F609100109C0FEFACF00009100C14081081230107830210203041F20081051E24434FFE8E5C39851E3468E1D3D7E041952E448921B016004903265BE93255DBE84195366C77DF5FEF1E1F0A0A1019E3D09FC044A204050A2067E1A258094E84F004B8D';
wwv_flow_imp.g_varchar2_table(11853) := 'F6841A552ACF810828BCC09A222B0C1831B87E05EB152CD718316EB4B871C346DA1B3B6E987D9B162EDCB637286888803783060D193894F89B93218103077A326020A2C7E2C56EEBBA85BCC3C60ECA90D7D66DBBF6B2DAB695DBF6B82183ED0DD0A4D396';
wwv_flow_imp.g_varchar2_table(11854) := '467D9AF462B5365CBB062D84876CDAB3FF85DCC67D3B450B1B4276F410DD43F26C1EC229B32D1E5AC672192D9C6B3E2B77B45CAF1CAC43C04EC18388EDDC4588B01E5EFCF8F01ECCA330CFC1837A0AEDC317AC4A3540C58B33EDDFC77F5F253F962DF3FF';
wwv_flow_imp.g_varchar2_table(11855) := '0730408DEEB1C90F81925A4AA88922026041898482504107278CE8A7A11204CAA7A0764A4084144C0011C4174CF8D084AC4C8001C5176058712CB2BA2A0B46B15C04CB040E288820C70830D0318312586021852039F02B03234FD84B030E78E021061EA6';
wwv_flow_imp.g_varchar2_table(11856) := '8332ADCB368BB2CAE94493812E2BB74C6BB9B45A106D35C618C3923933CF32B3AC18982B0B2D186E7873CD2CD54C218616D4EC2A4F35670471BD0D207820500A38002FBC4289BC71FF830D3858D43DF2BC532FBC0D287860500A181A88A79F202AC32201';
wwv_flow_imp.g_varchar2_table(11857) := '3F05553F954E5A2954534F1589C07FFCD074290A0368D0410887A2F5D509672D2A284C9F1AAAA1813C083144AD5E60C1C417B42271C51669FC2AC63D9FC5D3AB04081868470C788CE0000400CB2025218865E147714BD820841718E3325D754733CBAB75';
wwv_flow_imp.g_varchar2_table(11858) := 'B734F34CD0E6356DB479E38D175A68972B8BDFB8EE442BE0B7D68C1186F0DA8BE08184ADFB6EBC0D329874520A2635543D145840C1041158E80E3C11260D34034AA3DA34804EEB43356595331A9554FE568619D50231B435565B6FA610D7047BCD54D74C';
wwv_flow_imp.g_varchar2_table(11859) := '29085644124548F658AC8CA6D1460F9ADD93D9AE4CA020C31D35B856FF6104748C808314B82DA1EBAE43C04B04624580C1B128A143FB5DCCE22A4BED2AE3BD3234B9F1F572607DA1EDEA4E19F7FCB75D35EF24F8E9416FC47AF043257D38714519566F63';
wwv_flow_imp.g_varchar2_table(11860) := '0F8AE59805EFB60B4F6141E3438A534F63E61CD496FBEB3CF400E9F9E78E005A05AA669C57BFF542572B1408A9A7624F00D86087157158A497AD51BD1A9D8611069D103480816BF9323282AAAECEF1EAAE59A881850C22604051E54D30FB6CD738A3525D';
wwv_flow_imp.g_varchar2_table(11861) := 'C79E753B4A7CBBE461B9F2B3A43B4C2E0B96716F7FCD02383AC0EDE66020EB708C20810828008F0549AD7B1891223638424DCE80DB41A0C77074350830203E253B99E824889F51F5A35413C4604C488786D359C8FF83B42240532462B3D655484216AAD0';
wwv_flow_imp.g_varchar2_table(11862) := '834C18A10C49E8748331C0E90C103B037020685A119207B0523464310B45BF739157944601D41106037CE1D160AA0294ABF9E804217898064A80824989404BE1C362DBB0B8AEF4AD4F8B6C895618C1D72EB6B52D7022808801F8B7C01C518063005C94A2';
wwv_flow_imp.g_varchar2_table(11863) := '1427324691875077645CC30EA63C03346F2749D11C3DF8F1B20C165224A3E2C7050DB9489090AE0CA7BB50AD50384258B14E85B672A1EB8E92C98164C857082000055214A263818868A434D1875204BCB078052E398921CD1880440614E6002BEC63094E';
wwv_flow_imp.g_varchar2_table(11864) := 'F0810CF0880119C081FF38F0C52D86CF5DC55417DCA0A4BE2E11138C05BBDBDDF82527163D402856FF1181D5AEC601C9116962728C5891BE393188C97162755C14E318453D4C393053F2E9543D06494846D6936529492400E8694F7ECAE31F8F440A0821';
wwv_flow_imp.g_varchar2_table(11865) := 'A48232C0C10F5EA040252984000E08E50130484185182A14FE515404A7FB8109587894184E845AAD22885112304A12716544A7849CD05294025656C77731E040021EB4B3034CAD9685018A612290240C20E600BF2C0178504016646EC96F5AE4CA9620F3';
wwv_flow_imp.g_varchar2_table(11866) := '98A202A734A46166680856A531F66B4ED124D8882042804A6DE001EECC40A1D289B841F96550931299C8DA8356720250527E6488F2E2331093FD439E83E4675E556241FFE4B59FFF84A4822CD4024F04631AAF48453480E10788C82A00AEF8C7FF0B02C0';
wwv_flow_imp.g_varchar2_table(11867) := '8C7FA8031B09A5443F92100050FCC30B0110073B28000D73A4E3019A4C4A471F044A5A512596B60B1A781EC73113148B4428C22DF0A24695046868670130CCB57C8A539D1A4903C3FD69064EF09D6615D5A8787B939596BA54B7C90038EF5293DAB0BA27';
wwv_flow_imp.g_varchar2_table(11868) := '7EB1E852014040A0B4B9BFC39167719612D90332A05E0AA4B5BD966AD4C37044C386F091210DA9EB45F6E95743EE5591FC6524E9BE1049095D2119C178851DA6C08445102319A99040AD6825826C6423130108871F02C00E4F040019D870450068F18F4C';
wwv_flow_imp.g_varchar2_table(11869) := 'F4801DD9F0C23F00A013D4526B850649408C1F9000F1CED8046959AA0D98931621202BB7B9FDCA0FB992D005B5F0B784414C2D0DFF604BC32499C9B5DC29375FE0ACEC3A773A7C7B8B09E872C5E9AEADCB567EE673B78B5519400D94D4C25F047892B5FF';
wwv_flow_imp.g_varchar2_table(11870) := '212E807124927BD7BBDE39222AAD0A5333020CB3BC9E0412C0FC5C095FFF6C4F7F3E52B04251C12F70C10C4058C212A890C42A7E118C4AB8502888B8061ED211006C689816B4508238CAB00F02B86218B6C8C430C281803BC80318A8ED15012090045AD3';
wwv_flow_imp.g_varchar2_table(11871) := 'BA0A4A50C213707DEB5B73A10C6840831B7E5D866113BB0C635042885609E4E0C1C0031DD5D9CE6625914C1D80304CC6F64F19F0000E646C45D374A695AB9CE5AE0C0C4AD49DCE97C19CAE316F5706229895551E5215BFB8D5611143941DE1289E42B557';
wwv_flow_imp.g_varchar2_table(11872) := '7F72E589B61E88DFFF4EC9E31E071F747F4F22E8842FB2D092144A2592818B5F344215CDF0C52646F10B5924830B920CC035E8118E7FA4E01994E0C03FB8108A7F90DC0BA930842DD8E18672FC200644F0ACEB5C8700205421094720421294406B251CE1';
wwv_flow_imp.g_varchar2_table(11873) := 'D644F7C2B0C7506C5F1BFBD841FB61D473A2BF4CA59066D306A161969C6D6C2326CAC5FA7655DB3D762CAF722EE95EDB68D4BD6E2F921D6F26D86A43F0C71006E011CE8C52D47BF3ADCEEF34ACEF05CC49F310E0C025A7B6210882C8182C520F84371C83';
wwv_flow_imp.g_varchar2_table(11874) := '2BC9A747FAEA7895F973C00A8A61A215FD8B51F0A216ADE005C5279D890805C004E6F8410080618854C0431D94484038C610004F78020065C003337A908D23A4FF231DB49896073344042554A10C5C48C218E0C0852ABCE1D8CE57021784FD0643BCC1D7';
wwv_flow_imp.g_varchar2_table(11875) := '86B803B0CB7087E3C740C829F240A00E94C98DBA8AFC10E23A9397EC75F54AF9DBFCBAAADBDD3E4A574A37ED6C593BDBA92AFF197145061100AFABA1944C7980F282A3C5591C7E63188FE90EC6C1116D6A08C27B0A9EE099FCBA077CC007CA9BA040C3A7';
wwv_flow_imp.g_varchar2_table(11876) := '791A247DD2270F14C11124C11234C11344C11454C11514C187030A99E28269A0385CB88562F0055F28068EFB05454B28C18236D71A8AC60A421F0C42136AB12220025078866B30846BA08537780657F8836B180638A80275B8862F080764C8063F40865B';
wwv_flow_imp.g_varchar2_table(11877) := '000526A4046658BAE54881FBE9ADD4D1240213A8FF0F92308F0A0A5B5AB2F5AB2FF55A14DB6229AB829BF4E1C32E0A0D883201D1480166529FDFE81EFD7B973E54C4E580011960A9E5B0919892377A13263C629489199CB1BAA3F2FA3BF058AFE6E1A34F';
wwv_flow_imp.g_varchar2_table(11878) := '528A0C09240CC4071644C55454C5554CC51024C110FC2F0D0C1D7F9ABDA0080033C806D1FB856208856238861DDC4162E0009D8B248F32C212123E9D29821F48855490426CB0053810075738826C40863268C270B8836CF00464408661A8822FC88667C0';
wwv_flow_imp.g_varchar2_table(11879) := '8667E0022FF0804B39215B3CA13704214B4210C2808AC1BB9A4A2114DB49817CBC1BB2601FAEF83E7ED497561A9872AB92EC4144EDE2BFA66916FF0BBC40892B4B74187D5B4088F418C2C91FFFE50138CC298AC4B3087C683C59EC1C0E9C3C90E49C8713';
wwv_flow_imp.g_varchar2_table(11880) := '29A13003194C865B68844540844F50854A983462C08561C49577BCC99CC4C916038A65040573B80625E8C224E0826C000666608424A8066628074F604A5A70856B303A0B73056210BA51DC245BBC2477CC244C8A0A06289EC1632F42B99D41DC1B7D19C8';
wwv_flow_imp.g_varchar2_table(11881) := '65F347A6892676A9BF2BC2B183CCA284EC3F7E4C114AF9B7DE7A804A8448EB008CBE03CC7BACC843D98084C991BC5C9EFBDA480BC440920CC98503807B70CCD0B907CB731D995282956C8432F0822A10032FF0022E780350480657803609B3B412023963';
wwv_flow_imp.g_varchar2_table(11882) := '8C90654C85DAB38567B0854848056488842FCC847028034FB80664F083693004FF640085488806EABB05234882F2333FC73246D649ADC17320AF4B9841392510C94770C3AA2BD3922D839628A9BF284137B95C17BAAC4B7E841A85A13A04C8006132C0C3';
wwv_flow_imp.g_varchar2_table(11883) := '194C8FD998F2BA331DD11F77BAAF33DB90403A38C99CCC9551897C88BCFE2C49C0B2C504B80543500229E8CCD0F4022B90022E78853F00B91A120A353AAD5E4900225210AB88884A09804A2180041846AB03025D2BBA2A908231F0B53148022B20362B30';
wwv_flow_imp.g_varchar2_table(11884) := '82E8F382E2F33934F00229A8821C55822288A5D799244B5A9D4F72A01C1114EBB0AD540A441938CBB12BA53AE912EAC0327621C82A792AF15417774B13AC6A446773C8E5C9000F000C3C3A948AD49804FA8E8E098FB48280FF4F0445B97AA7C5543C7A60';
wwv_flow_imp.g_varchar2_table(11885) := '3CFE14D09481BC58ACD353A1459D138A2F78832A08CD3BB80337B05107350413304637F0350428832AE8812A0800A37303D1F82C1838BE2A78003E603E37480211808332500209A38022308223480222208222480255F5B9A1CBB5A3ABB5538D555AF380';
wwv_flow_imp.g_varchar2_table(11886) := '1643CD1402D257D994C1D31FCB7980747A9CDA02915622BB61259A027CB7DB6A1F677296B8188DBA510E2C919B717356B9E99245A41BB7243333312996A291187801C2C19CB052C04DBCA3ED1056EF38D38ABC9FF56A2F08304CAA7327A3D02482FB0779';
wwv_flow_imp.g_varchar2_table(11887) := 'A0878FCC5353B9D391DCD7507141D4F4B52AE0822F50D131C85134483D07718300E80129E04C03908207F002FF133084709DBD3238AD3220022E8881823A020A280313F82C4BDB903E4B88FC9921FA22197A5DC3AEECCA5CAD903EBB485F758F334DA952';
wwv_flow_imp.g_varchar2_table(11888) := '02C8B13381A5211AF56081ABE08E18D801570A37B1F04E18688C79110E74510EEA600B2FB1AE270D137CF18A3381D2EDDA5225C521A7B111363A33C0AB18C0E38E6241A98E6940B17AAFF9BC1A3EEB51260A00C533387AD8870CFCD75011C9BB4D19CBEC';
wwv_flow_imp.g_varchar2_table(11889) := '4A0840833B70BE32708337B8033C9082986D582378823248A88FB58BD923D900780300E40219400429E0003768083F8003448D5938A41686889DC1781D154A9DCF95D98DFAA4FC112FB51A2B048A1CEB64CB31CB921451D21770441908923C7C0B1971D6';
wwv_flow_imp.g_varchar2_table(11890) := 'FFA39A5630F2BF110911DB8294F2300B2C01D7D85A0FF1C044A0B1DAB1FB8ADBF5561FCA89790BDB3CCAA3751556DBE218C0D4230022A7F60A14C17BA77AD51C7CDD073AD55B01E9D7F6D55302A5901F300457B8055BF0043718D109B983A4338037C05C';
wwv_flow_imp.g_varchar2_table(11891) := '03602C0EF0039BF38317B801CEC4D48F7B003838821EE082084003D4C5A59D30085F91B6D5A4E05C25C54FBA1A1AAB94F67014EF885D132191EA95DE462CB320618E41040EEBC45D629A0B321A0D18102611C661F112610E80000FA08B3293181CCEE1F6';
wwv_flow_imp.g_varchar2_table(11892) := '0861113893F8D35AFF8328E07901F0D0265042004EBC238D895DDA829C0442A0BF54DBF97453D2D5248E34387D85DFFCF8CF7CDAAF31CE8FFF3DA5E01863889BC9D088602800642D6EE3AA84025117E3AAFA89A169B999935DD99D78479915E45EA18AC4';
wwv_flow_imp.g_varchar2_table(11893) := '64DD4A0180B5E23774CDD9AD58D27DD43219C809EE3816EB50521B4A5215D64EB80C8DAF15628A198FF5B831B6B0614791C8C9C1DD1D43E268620EDC6591AE3D16B0F08049315F6A195343211AC00411B32DD3EFD518314594B5C5337AEC24F4AD2B7958';
wwv_flow_imp.g_varchar2_table(11894) := '5FF645630A3A89005DE60009D84196E63E5E1D4F0ADD8288A5409E669C09DDC4E4D58409614D144C1100809C3DE1D9D5DA3531A548C1268DE959E080D667E26425ED37F1308F1199DE6A0D8D1211D658F63F4594AA76E3561C9281635152594698FB2480';
wwv_flow_imp.g_varchar2_table(11895) := '0870CF71EE6553AAADC73920FF06140FB632CC6AE9A4A548DFFD7CE6FF78DF8E061035DEE6AD74C7698E595DA11636A6C09B1CE99BF1158CD49F5E0D61025AE4EF70E7543A1AB3945E145913D328B3F2E00EAD8967B78C1240CC1D15369F69854BE6B8AE';
wwv_flow_imp.g_varchar2_table(11896) := '6BC556E5955EEA5552465462AE48C705A28A502A94AD769CF8BC692031D3EE580FF00853B3E2E2C42C3F30E66890161500C553B68E09BE6DE9B906523F6663D6C23ABA2EB25D55082205E7B4D2379CDD65137965A4D9562F118B5FBE9FF0DA9D476C4439';
wwv_flow_imp.g_varchar2_table(11897) := 'D99739A16ABAE18114381F396113CC7E6A45B4AAC8EE97ABED56A3C9C3AFF000910138A3180F06046BEF10568D5157FF6918CA214CF2C59FF4CC68A2D868BAB55BB88E89FF8FE66DFB8866BD166E5D05A46BEE8992D66B08296406A8591DAE1491494043';
wwv_flow_imp.g_varchar2_table(11898) := '11EB9C6511D16E11F0F943E2058F84868A850E44827665F96B1FAE5DE2A97E6CAD35EFA9668EADDD5A2A1BB3AF88E5F8366FEFBB91F2554C8AC45920219AC8C1E2A056273723DF4F6C5B09243082EB077A30C5DFEE6DDF56F0B8FE875A1CEE08BF954D6A';
wwv_flow_imp.g_varchar2_table(11899) := '88DEA2D70D1E643F66EE7A04670D782F111667E92EE19C369A58EE693801BFFA3E6D0AFFA80760A9413468B0C04ECFD6EC45D4C3F8DB6CBAE96C567625F56E4457FE0AFFA19427662873E5A6C741F22BEE6A76D537735A2F3C3B8807B245030F63656EF0';
wwv_flow_imp.g_varchar2_table(11900) := '9160F02B7709CBC44A0CF1F22F07F330F7F27A9D21824888FFA710F33017A8421688E67E000F2FA76FAA23864120F438D2ACB86EA6EEDD51BA5E1ACA146FC694AB49D26CDD22EB2A13ACE512558667AC1D1F2C628EF3D93121BA91F6C880B66568757567';
wwv_flow_imp.g_varchar2_table(11901) := 'C8119211F15E884E5B3C6ADE4B84EE34CB1F8480A16B369903AF07C6D3F29228E3B76E7590783809A7F55A37694FF295E8C4E87FB31CC314624A27DF19C3709C2972898C946337F66457F66567F666BF91FBB1A3F6C8E805D19187205285991E857940F1';
wwv_flow_imp.g_varchar2_table(11902) := '324CF42CF5989E574D510A4B92DBB58EF59078757F3DF78FB8877FB0052B68500575D078A7F779B77779575014B50214AD0207ED771CF5F7800778796FD07AC777838F777EBFF77FCFD18677F8878778FF879702802F78783F472EC0F8D0E48283E5F8A5';
wwv_flow_imp.g_varchar2_table(11903) := 'F3F86373BA902F033510DC903F58D084772910788677D0890754979F78D014DC604383999FF937185C9C7F839DE7F99EF7F99ECFF9A0FFF9A1DF79A1D77937185CA4C7F9A4D779A2FFF9607B03A897FAC14583A817B663DBF8730CCD9217B6AE477AC1FD';
wwv_flow_imp.g_varchar2_table(11904) := 'FAAE2FF9B11779A71B83B3DFF8834D7BAD47518257F92AB0058B30F775FF882CA77B9018A403A787BDA70779C057BFEFFBBF17FCC0277CBF1FFC9428FCC1377C7C95D3BD07FCC757FCC5977C78E8FBC0870779B8FCCCC7FCCDD7FCCEDF7CC1C7D77A90D3';
wwv_flow_imp.g_varchar2_table(11905) := '55AFFCC70F7CC3BF7CC9577DC8377C77587CBADD07BE5F7DC90780D9F77B78000078C87CFFCD077CC7E7FBDF07FED367FCE10F7ED957FDE287FCC4277EE3B7FDE697FCD3D7FDCF5FFDE8D77DCFAF7EDC870777680777E0FEEE4F7DCEF77CD437FCBDAF07';
wwv_flow_imp.g_varchar2_table(11906) := '79C007BFB787B9BF7B8EB0FBF5EF087CA87CD92FFDF9FF7BFAEF7BEBE7FCFCC7FFDFAFFFFE07087AF204121C68109EBC840A113294D7F0A1C38810152E944831624587082F72EC78712343782247922C491240498D1A4DB26C49D223CC9832677684D810';
wwv_flow_imp.g_varchar2_table(11907) := '8044913945B293D7F3A74F78EE860EC56871234500388D7244FAD162BD7AF8A6E6AB6AF52AD6AC5AB772EDEAF52BD8B0590154E5A7542CDAB46AD7B2ED7AEF5ED4B8F7CAF2AB6BF7AEDDB35795EAC54A562BBF7E82FBE12D8CF7EBDBFFC48A17335E9C56';
wwv_flow_imp.g_varchar2_table(11908) := '1FE47D922753AE6CF97265AB701BBF9DFAB6DE62006FF7DD23BD4F9E68CEAA39A385ECFAB56BCC94D3AE562D591E65DC937557E62DFBF7E4D1B2B53A6E6BFC3872B667CDFE4DEEFC3974AEC569E7AB0BE0EE75EB86F10EE6976F2EDA7BDB937BDF6EDEBC';
wwv_flow_imp.g_varchar2_table(11909) := 'BE7BB0D7B367CF4F1F58BE7CAF2AAEFA96FC79BCEDF7F3876D7EED6FBCE9E65B70A901275969FBD8C38F3D540156977DDFD5171D85152A471673166AB821875C699717886699D71D5BE33D97DF79DDBD86228AFA78569B6330CAB85A752CD6D59F6B84D9';
wwv_flow_imp.g_varchar2_table(11910) := '981F80071E788F81FBF4B3CF3F441A69CF3EF394368F3D4D32C8A36613763865877F65A85573546AB96558DA6597A557FF8109E65D891C8A492656F759E59A5DF025A6956B8B4126E75C72C575279E77CEB82763D5D1951F8E3A9E29E660857627265DC6';
wwv_flow_imp.g_varchar2_table(11911) := 'F9089C68930D59E4A30AEE138F3CF128E8E482E7D12725979D26B75C5F9E8A8A9C77F448D5E454A9AABAAAAAA84EC50F3E81C19A9D88B51A56E88E3BB2BA6BAA898136D767EBA9376C7AC5121BA73EBF12BB2C8EC8D6590F3DD1460BADB4D58A162D00D8';
wwv_flow_imp.g_varchar2_table(11912) := '56BB2DB7DD46AB50B5C916FB1AB373BE856369E99AD61869F4DC438F69FB801616789525B8A86C43EA6BE43FF32419CF3DF1D8330FC179DE696A3E514D372AC3699DD58F5268363C315A75FD7331C6196BAC31001AF7B331C7208B3C32C9259BECB1A1AF';
wwv_flow_imp.g_varchar2_table(11913) := 'F5039960FFEB19FA32CB2FCB3CB3CC275F4CF3C71D5FACB3CD85EA33D83F1F179AB1CCFC0DF63366A3DD8B19C638E34C24A4FBDC25D8CD40FFC3B3C95863BD31CEB0AA4A31D85F3D1C6AD86503F60F325F70A136176DBBDDF6156EC77DC5155FD06D77DD';
wwv_flow_imp.g_varchar2_table(11914) := '745BB1B715776B5186165FFCFDF717851B7E38E287A39138E38897F145198B47FE051A8F57BE78E565685EC6185F8CC1C5E763840EFAE8A2936EBAE8A983BEBA17AB7FEEBAEB5E842E3BE8B48FD17A15B927A14412BDFBFE3B1549E4EE85ECB31B5FFBF1';
wwv_flow_imp.g_varchar2_table(11915) := 'B71F4F3CF15C149FBAE89C6FBEB91BD34B0F3DECCA7B21C6F6DC73BF3DF8DF13FF04F95E94E1061AE8A78FC6FAEDAB8F3EFCEBBF2FFF1BE9D7EFC6FDFF68E4FF06FAD38F61FDE6D877B9C8111080D3AB463F1A2415B331702F648118981A68B677FD030E';
wwv_flow_imp.g_varchar2_table(11916) := '09F0800432A8410D4E60831DE460063FA8410824A08409C8E0092120011556A0022098000C2750010FB870022070210872A8C31DA640873DCCE10F4190020BE490883BCC610B8C08C416C0000626F0C00636C0010EA0408A54B4E215A748450E78808B28';
wwv_flow_imp.g_varchar2_table(11917) := 'E8E214A328C63192318A21286319CFB8010D308001086080010E7000021020007594A3010CD0460D68608D7CFC23200329C841FE110318D0C01957B00214A040078E7CA4235F004947A2E005265823050829C80CF031039EFC24271920C703BC60073F38';
wwv_flow_imp.g_varchar2_table(11918) := 'E50F4C99CA53AAB295A8ECC12A51994AFF23EC00083F30822C7399CB1DC4A0892F80410C64108318A4A098C50440319DA8CC2632939926680107FEF00F7AA44A820D1C5B04AD09360AFEC1032D00810AC099C3707EB3052AF8A60A54308275B2739D1DE8';
wwv_flow_imp.g_varchar2_table(11919) := '400BE359010DCE738312A8803AF3390217A4939FFDE4A70B02EA8221A8809F400028100A5AD0832ED40545700110083A8488AAA00840B8A80B8870515BDEE097BFD4010C7800521DC480A4232D69134D4A521EC000A4927C014C632AD3984652072FC0C1';
wwv_flow_imp.g_varchar2_table(11920) := '4B6DAA534956D18F1A78002081CAC7102892913AC0C151798A831AE8A0064C7DEA529B1AD51A4CD5A93550E40A98FA4826DC60093C4002139080842988D5084830AB1168B983AFEAFF80916E65A455E32A57A72EB5AE385841080CC98223FCAEAF7EF51D';
wwv_flow_imp.g_varchar2_table(11921) := '5F8F10D8BF1216B0BDE36B128E400459E292088BFD816323FB035BA692B2A8B4A5468960026952D341DA0C1B3625F659B0D1E31F7E90C0373B9043D58240B5AC7DED08D4390210B8D3B5F26C213C6F3B4F19B6B603E98C2D70D7994F8512379DC62DEE71';
wwv_flow_imp.g_varchar2_table(11922) := '09AA02820274B92A38A8449F7BD11D3851923BAD694E73FA48EBEAD4A630650178C30B5E14B0000538306F231BA9D5F5DAD4AD2B58E3064290813586A0BE44450156F17B5E1D6415BF45C56A56171960FC5E95C0003EF02499B056AF22E1AB0E46C2127A';
wwv_flow_imp.g_varchar2_table(11923) := '80041DF0E0066D1570516B805F1AAC80C31EEE300D422CE210E31503FF0CD0400F8A20581527B608894D828BF91A6318BFD8C5BDB3318D5DAC631817A1C73DE6711188B0831DF4C0941A9525108EBC031B30D906437EF2906DB903CD72B69AA3051BA8B2';
wwv_flow_imp.g_varchar2_table(11924) := '79654F4D451FF4E8071C24E08277927904643EF33BCDACE635B733CD1D30F39BDF0C67DC9EB99D766EA70BF6F9DB3D03579FF90CA84299EBDC84127AA33630C10B1A7954A4E2A0D18E7E3452270949A452D5BCE265415B71C082A8A2C0A9E975A4569BDA';
wwv_flow_imp.g_varchar2_table(11925) := '5416D4A004A6A641093A7C6000CF5591577D35AB032CEBABBA5AD6ABD601131CC9041EECDAAB4B88B0AFC5DA601E88F4C0AF3EB65541DCEA109FE003704401118EC0E21913E1C635BEB6EF704CE36DEFB8C7D2FEFFB18F977C832143D6B2995DB20D62C0';
wwv_flow_imp.g_varchar2_table(11926) := '64283F79A340D8EC34ADBCE5866579DE13EBF297C39CE738AB99DFFCBE33C0EFFC6F34A3B9DF0607789EF799E784337C9F0A1FA8C29DEB5C88521C088786A94E6B60DD9B6E1CA78D7664A42789E94F43F5BC8D56AFA8512E6AAD367AAEC98EABB25D1E60';
wwv_flow_imp.g_varchar2_table(11927) := '58277BE636A779569D3AF350F3FA064CE8C1AF81BE04082301E86BCD357E3BED72987358E773A5415E4F7C03690F76C67CAD368D8D905869733BDB39B6B68E550C6E21DB40063718F72A4D79D1C502A0052950B729E35E59201881081EA8B267EDEDA9F9';
wwv_flow_imp.g_varchar2_table(11928) := '4050EF13F3723F4E9B7083CBB9F0013F7C9BFB4D7082133ECD6C46BC9D07AF703DFBB3E2173DB409FF14CDD4962FFAE31F5734C827DDF24AB755C3A557BAD29F2AEA4736B2E54B5D3AECEB0A7364E75CAE3B4736EC738D6B62038007418F30D1817E0362';
wwv_flow_imp.g_varchar2_table(11929) := 'BF9EAAB27779D361BF026733C003D5E6BA60B3DE3BACCF18C736EEF6D7C3FE6DB10779C9C204E60D9C3C64C75EF4943780C10D00B0CBC9D61DDE9DC587DF4785CDF88B0ADF601673C0E56C67C3E71FF17526B8052C9E9BE91FE41DDEC2295473F1D3101C';
wwv_flow_imp.g_varchar2_table(11930) := '9A4D999E79419AA31DD5764592C7319A86C955A7CD1C5CA5D77E3195CA6D1E046ADA516DDAA65195F18D1ECEC1DEECD55E5C3595D3651552EDDACFFDDA1200C0D07DD5D001DB5159D5A32D9D22255FAB7D80893DC00FC0D88AF158120040D861FF1FB865';
wwv_flow_imp.g_varchar2_table(11931) := '9F8FF9D8F63DA18F2D1693A580095C610BAC5B92010100945F0B28C562D5929401412DDD5DBCE51DFD69C9FCA5A1A700DE1FE09F3BC5E10804600B0520C0155E0758C03AD9E10854409CB5D00D55401FFAE19905203C319E1DFA9B002262E4ED99420141';
wwv_flow_imp.g_varchar2_table(11932) := '0B201AC945E0E6851E24619A4D459AA3C5D552755AD22DD205AE9CA44D12A3496029325A08A2E0D231C10A30410DB8A20BCE555B9D9ECB455AAFF15A0FF81EB0ED0084791504EE20F2FD200DE8DC305215D439DB039880D8719D8E29A1D8E5D8127A5BB7';
wwv_flow_imp.g_varchar2_table(11933) := '719F1406191148E16345A207788009A400934DD6166A94520041F74516198E5B349D21FCB1E196AC213B5289FD09DE9A159E0B6CFF811C544225AC8115E4E1E1E580158CD915E440070CC13F768015688116B8C01598594096599C2DA29B295EC141A421';
wwv_flow_imp.g_varchar2_table(11934) := 'E6D33B1DD73979004EB160A7A56229D694293ADD5C11D8AB79A2A7799E042E5AE75922A499A2ECDDD5CB39952BD655E7A962275EE0D215630CE2E212FC9CEF11DD0D2E414DA222D3D50087A99A538518CC092102700010505DD825E1333621B849E1B75D';
wwv_flow_imp.g_varchar2_table(11935) := '6335F658644961F95921377AA30D40566489630BFC4090A1D290F5520B50001C4C5383ACE33B4E4968C5E594C423FEFD9B0568C12A0483328CC228E0822C54820FE861E2594030FC831640C036AC020468C1395C8104E0423C488316C4433048C0328C82';
wwv_flow_imp.g_varchar2_table(11936) := '041C5C1E42A4671EFFE267BA566F81930A38517A5DA0A535DAA64560C88DE2C95915A9951728761AA9A1A6C9B5246B4620C869DA47EEE626D662A3C1222CFAE6E7B5955BA9205279D50C5218F0E5A0570D25C815E555255F5615A3559D001B3D400C0816';
wwv_flow_imp.g_varchar2_table(11937) := '3356E51332631456E3586EA5568EE73566960D58A137D69279925D2DFD0000D880133DD13646001CF4833CBC095D56098690CD7E5688FDBDA13A395E07AC413004C3281C021338C126044332AC821510A67059801550033530E68526C0163CA60404032E';
wwv_flow_imp.g_varchar2_table(11938) := 'B880158C433C9801826EE6FF2D9EC109948AAEA88AD61600F6D645AA8025791A5DF1E66DA2E2288A9E53D5266AE2A4A6D195550DE5293EDA23E1E8A4E9C0A6A5FF1EEE99A06EE29AE851920BCEE2D27D9CEFE9400FF49AAFF99AA469220E5867CDB160AB';
wwv_flow_imp.g_varchar2_table(11939) := '85C00344000A18C18A7DDB112821907D675662A56395E79B5AE358269946D1697AAEE7DA95A7C5A500323951175100054000056C8001BC41BCA9C97F6A883B262A80E203E0E91BBF59C0151C6830008225B4422B1CC25F226840B5D30454023554C23958';
wwv_flow_imp.g_varchar2_table(11940) := '00358C420238E61044663C28C3156C032858682588596892590E6C8119D82AAEE62AAEDEEAAD6A019CA1992192593A651EEA79226D6AD88FF2A6A4B554E7919A49269D86AD406C222B6DAA66A3DD14A391E0C72D1A2652984881DC6A16DFEDF1209552D8';
wwv_flow_imp.g_varchar2_table(11941) := '287EDACA1DDFEB45950E785595FE9E96EA5EAE79FF9E975A958729658771E20AFC148AB558772A617866A59CB6E756925F666DE164F5D80FA4400BC45D92F51819A6E7156E63174180A03E00A01AC01DFC036E202AA352C8A27E2C74D8E5BEC99927C882';
wwv_flow_imp.g_varchar2_table(11942) := '2C244325A8822FD4422B8CC22FE04230AC81E1550035AC0338FCC31648C32FB880198C680728032E10E43AF8C028FC43AC8ED9AC7680166CC11620A4D3466DAE36EDD36EC11AF8002102EB430EAB07FC978045EB06D600A96DEB96AA266ACEE66C8AADDA';
wwv_flow_imp.g_varchar2_table(11943) := '9A1755ADE6A6859EB6AEE6083A12B14D1279FDA8D3652027966BDD7E2BEBCD22719AE20E469A5016AEEF1DAEEEF9AD2602A95C01E1AB711E7EFD140E441BF77DDB9A62659B8EE7166E94C186FF23C2926311FC400BDC402A3959F901400C00007D829104';
wwv_flow_imp.g_varchar2_table(11944) := '6C00A07200057000026C6CC78287C84647BDDD6E85B8A1ACBE59055C812C78E82FBC822FF8022FD4C22AFC42F08E423B558015808315404060AE423C5083199CC33A54C228E0AC196C83150CC13800801FFEEA675EC1ADCA0120988119C48119ACC11AD8';
wwv_flow_imp.g_varchar2_table(11945) := '6A1C34C216C4811CA8AF12646D216EAD0A980015AD1A86F5D78E52D5237DAB24FD66067A6D7EE1648D12E9909AE0DB6EAB487D2BA3A99755295D8059E7B6EE9AB9D2EDDF1E294A1225521D2EAF1DEE73B66B8235D53016DFEBE5AB5CB91E0A8400036C40';
wwv_flow_imp.g_varchar2_table(11946) := '11A2A9F63D21E6DAB0796EAEBB9D9265F1705892DF0D34AC0DB4800C5421C576FF11184D51EB4A0017714002B4657E7AACEE7ECA03F9E71427C79709689A4D8081A26CCC1643CB6A032E8CB1870A249CCDA1431220E1CD219D3DE46722E42A48C3286CC1';
wwv_flow_imp.g_varchar2_table(11947) := '2AFC83193442365C41238C83F652C32BB0AF0FE8906BBD9321CE6138F1AF7FF9EFAAB5B04B1A9FCE29B2FF2AB05485600B93AD6B52F023039887191FDDE61AB1E95E0BA6ABE711255D39D273F6E408CBAB933E9A521A652BFFA048FEE60A3C0006F48060';
wwv_flow_imp.g_varchar2_table(11948) := '1941564A1BC1CEE9C16E14384E1630A3A52D7D63E932ECC46E23EC4A40EC3231334F11186D6302F001C7EAE71553713EF45D35434769BDE1194F401C082D2EFC423014832A1403391C2860CA821228E200321EC111621C7EFFE60820E42B8C03FB4E83AB';
wwv_flow_imp.g_varchar2_table(11949) := 'CA411E37C2395402289C83FCBEC1FD0A3221136200662407FC6FAA4132AB9560479660B4AE5A224BB480D968DBD65506765A4A72B0E24E726D8A00809D0056A5F000135B04835A90AEDE47A2E24D6E1509EB40EF0180AE15A90EB472E3EE9C5DB5DCBE32';
wwv_flow_imp.g_varchar2_table(11950) := '409952AEC00E2C9DD62965D91265C99DC3B21251BBE70EB81D7D2E33171D317D3E91544F3505F8017EBA8BED66B37184AC561BC7369BE89B71713004EF2B44C2226CC2271482270026600EE6193FE41A1B9E218E6F3C932FE369C1AD8EC2388C023848C3';
wwv_flow_imp.g_varchar2_table(11951) := '3680AA123482F59A4125C483FC0E746BF59605D8E14183001731B4FF8A7402A3D797423664E3248F46B47959FFA2933E9207BAE08F5EB026D7282409E5B74A32CB6DE9A2E95C08EFDEAE0140AEE9DE4C371A2C03A94D1B2393E20000C0F00308012E4FE1';
wwv_flow_imp.g_varchar2_table(11952) := '2EAFDDE6A2E52A891FBB0DF3510F3193692312536C371A1374275333C14055732CB4EC035C76F55A70B576AFC557FF6A0568818736421954C11978C1199C8115BC012870AABFCDA1213276BF05207DE79643926F1BA7195EFF252E28C31F972A38804223';
wwv_flow_imp.g_varchar2_table(11953) := '80C328BCC22A2CC31A988115E0502126A26F39764203D8062892484FB84857F8094C787E3DAB655B36B4A6ED05E65793FAAD67EF606D5AF051D6766FEEDE51FD17DB72364D6FA2A32DA769CB200FF45E9102E16FAAA0516E8089BDC011D4DD790EAC39BA';
wwv_flow_imp.g_varchar2_table(11954) := 'FF5BF9FD80710F59932D7958327915AAE71546757433EC94C3400A34530C5477ED76775BE4EE587079587CF7990DC12A0082157081157841EE9C791558C12B348220969905E4C03A8F801598990BE8619EFDE3208EC00474800F0CC110B8D3BEB9400EE4';
wwv_flow_imp.g_varchar2_table(11955) := 'C010B8B1F9AEAFFA3AADFAB6AFFABA2FFBDA6A0E046B4167ED087C931A65F80974BA867F7A8687C0099C916403988129D242773A85AFFA81A57824C35A7E7D6D6B861EA489EDEB1DF00980F48E366991D657CE29DD8AEBE8EB61DA7326AE08CB7697D6AB';
wwv_flow_imp.g_varchar2_table(11956) := '51BAB251B2F0756200026C809093A70D1BB9A13939B62F790BB400314537B7BB5D0F1513136D3BB983BBB84FB70D6C00675133983BCC355BFF713E6859BB5F8598935905AC011A9C7919BCC11BDC4119B48D15FCC182BB595EC6C116F8401CAC811C0C81';
wwv_flow_imp.g_varchar2_table(11957) := 'FCFA80A4E7C01A58C010DCAAF956421058811CDC7B1C8C40FD8EC215E06FAD4AADD3362DD43E6DC95FC1E259009DE91014C5D706A8FA0A64F8AA8FBA7DD9D78403808B1F98854B36CFAF9AAB2FF280F9AF4697ED245F348D4EB4AD5BF223ED6B0824B25D';
wwv_flow_imp.g_varchar2_table(11958) := 'E5E86AA79EB77A6B96F61E89EBA4F11DA5AB0321761A4004EC809C62A3505FDEE53979162EF77267E1B6ABA715766316A29B0AA0DBD9A37DDA6FBB30F5925A6A39BBCF7B58F4A796C93BDFE743BDFB610548EA17EC4DE7B44D9BA3C13ABBB10BC841074C';
wwv_flow_imp.g_varchar2_table(11959) := '80AD6A68FBCAC115B8EF1648FFC01A8C400EA8AF0F8CC01A48C0E50FC11634C215C4410764FCF8FE1F67CEA11C2EA2CA13626BB58004F411A9BFFCCE4F78CDEFBEA84372AA5D78A75F78CCFBAFAB0B7FA92B72062ABD4A7A9E09F628565D20AF3BD2F211';
wwv_flow_imp.g_varchar2_table(11960) := '5502AFC0AC93E252C95ABBD2E0D0115D9516A9CCBDBA5385001B31000C28566615B9BBD980C5599CB6973BB90FB1DB813B3746F91389FBDC67BB72AF3D135D3940C0306102060438FDE8E1BB772F5F43870F214694389162458B17315A044071633F001B';
wwv_flow_imp.g_varchar2_table(11961) := '2582CC3892644993271FD2FBF747420797153A58A80064CD1B9B37E1F829A362C4880E3E3BB888D36182192C09B6685963A5D11A086BB6ACE93004AA92116B5C346A6454FFA91C177280BA143B966C59B33F635680D90144871612346C08213744DDB976';
wwv_flow_imp.g_varchar2_table(11962) := 'F16A08A1B7EE86132B000716EC77C509C385110B064C43F0DFBF8A210BAE81434765CB947164D63C1945E0CE8051D408ADD9B2E51518F82AA66C9947691D3858D4002C1B87102448962CE9B104370F003C9854AE319CB86CC100563026BE424304031E8C';
wwv_flow_imp.g_varchar2_table(11963) := '00F9F1034875EB407600B1B19DFBF616DFBFA76801A3450AF303419800E1817D7BF61CDAAB1F0F2246F9F1F6C59B4831D084FB0407E5A9A71E86502AD0C003471229A28E3EE2272404218C504287548243821160522BC30AAE906394555619258E1C2A18';
wwv_flow_imp.g_varchar2_table(11964) := '0104A080DA228E2D8688638D38AEFA6A8D2BAA5A438E21CCFF90E38AA4B6C8C18C3572D8A2910EE458CBA5B0C23AAB2C243BD0702C18E0DA2083BBF0AAB22EBDF80AE1840D107BEC2FBF0CABEB042D0D2BB3B0C7182B8CCC320F8B4CB0D026AB2CB3D734';
wwv_flow_imp.g_varchar2_table(11965) := 'AB1387CF2283734ED76AD00035BB245BCDB5D73A43014F1C78E0ED36DD74D3A1353A8B1B2EB034932B6EAF0818A020BB1F76A0CE53EDB4B341851D54F02EBCF152482FD5813C58CFBDF6389080030A20A895825B65F5003EF7FA63F53D0E38D880020F10';
wwv_flow_imp.g_varchar2_table(11966) := 'B8E39F00179A50D96521DC889F8F988D56DA92F051298E963654AB49B55CE8765B252BC86108987C70C102737F12B782094670A1020B72F069040B2CE849A623952CCB822663220B45B2B4E5D7030828FFD0408329A7D40B80BD18B672AEC7B80C0C4CBF';
wwv_flow_imp.g_varchar2_table(11967) := 'C40C934D2F936BEC6233DD7C7338D87098CCCECD3A3E0105D25C0BD94F0D3E0014B4385F8B59B4150A0D6D851A78B80DB7DE987834E4486B4893B1A13F964D8307186020064EB7EB343B1B00E8CED4F2528021BD5E3DE8EF55F664ED5A585A1F8020ECB0';
wwv_flow_imp.g_varchar2_table(11968) := '6B25F8560AE04B5BD759CF461B81378E1590C069E9AE1B220615B45B6FBA2BC4564327C53232DF6FE9FD69DF6D359440AD09DEDD37DB7B051FDCF17E97440BF1B12C185883820DD60080CE41C7B2613123FE72CB311DC6ABCDBF6858EECC31516FB3639B';
wwv_flow_imp.g_varchar2_table(11969) := 'E1246E643A6D868CCBE1621EF434D43E48CD33E258A00C349A3B1BAE331D164522514783FFFB39D2A1339EEDE61A00F82069034CD8C186EFA46EE17BF04EB5DAD7F626F0A0EB58D997006D0936909503B3DB965F5758E7A795FE5B3730006E7A1632B7BD';
wwv_flow_imp.g_varchar2_table(11970) := '0D7059CE82160111B82C6B618B5F6B89DCE0CC92A4C0310E7093B3E04B20E8920B8EE55F18D456862420368345207425045DC3561002C020474B7DA192C35677BDE1508A4D640ACC63F2241B38C5C64E74BA93716E383C41B9260418009E5DB60499D0A0';
wwv_flow_imp.g_varchar2_table(11971) := '200486F2D8CD98B7B3253CEA35C4514ED06ED6982E3547030678CEF76ED08230920F00E2018F7804D21F57B92756BA729FFAB6A6355E656D20FBD11ADB08B6BFB3F9EF1F004C560201892003E6CD21840CE42127D2370F7E2B838D0CFFDCDF02E6484942';
wwv_flow_imp.g_varchar2_table(11972) := '1070DBA2C003304942121E8D930FE0A4265143C2B964402E7471E10BEF524A15466C36B96B0C5D28B60256BA8976C3295E9D2085A78ED5605095614EE790384B9AAD40042238DE060C65A8D5E8CC79969114A55E26B114FEF20118408001104001F1C840';
wwv_flow_imp.g_varchar2_table(11973) := '8CE2A90F0CD088C6F1C8316B5B6B0F084020BE518D0F06E471671DEB731E5DA18D9EFA6B1BFFF8E8470122929F1A8196470C998F80F6939F8A5C244C0E97D049920504906C095060D29688F24BA26CA1E845279A51B638F0916A692808DC87C90744A09A';
wwv_flow_imp.g_varchar2_table(11974) := '25C580494D1A0123AA340307CBC04B4390B098C2744A7D5125E9861799603E4C851D538C9E6A70CBCC8806881DEBE56BFF7E69B0BB7C2930255801079C6A4C2E89C0502C78810EAEBA83DB00473845FDA90AE79242A4250D010730C003B6D9026E96073D';
wwv_flow_imp.g_varchar2_table(11975) := 'E534277AF4231EF1A45305DFA98E0AAAE3BDED60073BDE83410C52C09E5B95CD5679BCE7ADF22937822E9623FF3C2063212B9105F2AB8119EAD7E1160AB075FDCDA217A56C5B2CBA16D056745B0DF5A8652BD0D02699D6B4A90DA1484D0A0006688001D5';
wwv_flow_imp.g_varchar2_table(11976) := 'AC2D066A9B34066060932634E15E12B601BE10C6A785B9695F6407181CFE54364115D96438232937C5698872FA256A940A56591A06AA27104154A91A1B1694C67948706609D01B19556249B70C40C07BB549B5F390936BF09140D65A0002F380AF69DA71';
wwv_flow_imp.g_varchar2_table(11977) := 'C15DAF03FF0417EC40AFDF4BA31B075BABB1119656F7CC6700231BE1863876A012EE67DF2498C10EE6AB2D1D465C6A3FDAD9D1BA04B43F29B158323C16D256B4B51E759F083D59D2181FEDA434DE6D047AFB5B83B534BBA5D48B5C0A634C38DDEC874585';
wwv_flow_imp.g_varchar2_table(11978) := 'D89B6846D41C7E8C34829A53A44216B2DE55860754D40160F6C217D379F7A925F86E5559305ECBC0C032E6A5629859B0C412A43930579231494988B6146CC73CE68B8F7AC0491FF18DCF3A45F033118A00682014E1AEDF69677AD868BFB4C9EFB06DFB1A';
wwv_flow_imp.g_varchar2_table(11979) := '07DE762C085B18B2D07A16001C44E9C5F2831FF7A8C73FE09000C54960D4A49EC0A9517D6A52AF9AD5A97635AA25300156CF9AD6B1AEF5AD719D6B08FF8490D4B54A4002104000031080000710B6B1914DEC622FBBD80770F6B39BFD6C694FDBAC666580';
wwv_flow_imp.g_varchar2_table(11980) := '01DA8B5B1CAB74DBEDBDB6B793D66D06606ADCE11E37093D69B074876EDDEBF66D5837106F757F1BDBDE4680B7D16DB078C7BB33C84C66BC5F2A250AB414535EF4A2B109100085275CD806488082095B36F751E0BEEDB9EFAEE469F15895ED01BFFEB5C3';
wwv_flow_imp.g_varchar2_table(11981) := '7F8D00607B9CE4227FEFC9519E720404004093D634412DFDD802CAFC2415DE1BA7A1550F0024230E2E5AC3CF812E07AD00422B4337031CD6008737D4240E8D20FAD39D1E75A80382EA55AFBAD4A58E7438689DEB49E7FAD1C10E07B0BFC10C642FBB19D0';
wwv_flow_imp.g_varchar2_table(11982) := '9EF6B48BBD0C6828C3DBE11E77B88FA1FF0C741F831AEA7E77BDAB61EF7DC73BDEDD007835B881F07D7083E1FB7007C52FFE0E6E683CE1DD5006C83B9EF18AA7FCE52DBF78CA579EF389E77CE52101094388DEF38497BCE4279FFACDDF010E89EF832122';
wwv_flow_imp.g_varchar2_table(11983) := '017BD98BDE10B53704226AEF0737A021F27597FBDCDB8E069B08FF263651FAF1B77EFC3724DF107F50FA4DD0107DE9471FEE6E8FBBDBB1DF76ED4F9FFBBC8FFEEEEF300C8FB8FCE5FC8CB9CDCB6F374E73BA21F3B0473CE0BF8E78AC43FEF4B7FFFDD701';
wwv_flow_imp.g_varchar2_table(11984) := '8FFCE77FFEF0F848FEF50F1E023000F7CF1DDAE100D7A11D12F0FEDCC11DD6C11D0890FE1CF0012590FEF4AFFFF6EF02E54F03E161FE3CB003415000E101021BB0041B70044B901DFFE4811DE061055D5005DDC10545500055B0065F7005E1C10655B005';
wwv_flow_imp.g_varchar2_table(11985) := 'E5A10775501E4850046150046F100621900651B00595501E96B0097B900779D0076FF009675006059009B1B007B5500B5130085BB006855009AF300B9F100B79301EE4010DE3A103E36F1EEA4FFFE481FE30100EE510000750FF000000F72F0F67B00FA3';
wwv_flow_imp.g_varchar2_table(11986) := 'D00989100AF5699FD22F813E62900A91B1EC611E3C10FEE681111F911E24911E7A5012D3F0127B301E267113397113CB70092BD112B7701449B1144D7114E74112EB8113239112F7A1145FB10763F11469B1164751056D3117471100E4811775F11781F1';
wwv_flow_imp.g_varchar2_table(11987) := '1427B11269F11EE421160180128B511E2C71151911FEE8E111A5711AFFA9911AE12F1E18911EA0510D99B1133B511AB1311529711C99B11C95B11CE1811EF2C1D30624110FE910F3E1D2DC919FF6611F16D11EEC011FF0011FF1911FEC211FEA3120F721';
wwv_flow_imp.g_varchar2_table(11988) := '8008722104F22011322107B22019B2211B522111F21E14921FFE011FF8012221F21835F2153972233DB22341D22365512037122313F2188DF11E00C8244DF21859F22531521F64722669722603121FED711F00A026EB412625F2201B821FF9D11F396D1F';
wwv_flow_imp.g_varchar2_table(11989) := '85F22891322991521FF53122F4111FF5B141D60FE70EB12AF1A11D0B721E01E910014A2B01E926853227ED212715721017821E60D2241D722D1F322D27D21EFEC11ED64F2DDD32205D9225EFD225F59223EB3221FF01A01ED1721F027330599230051330';
wwv_flow_imp.g_varchar2_table(11990) := '11F33015331EEA9131F7C131DD4F2925331EF09132F1B1216852271132288FD21F01C01E3E533245732C49532CFB512E318DFDFCF134A7B2355DB3211CD22B11882B696E5A4002FD220B1F6ED21EF9912CE70121F372210BB22F13922D1B12000208390B';
wwv_flow_imp.g_varchar2_table(11991) := '5239DD322EE312E75C73FD304D2631B224F7F223ADD32EEB712F49F231F7E11FC0333CC1F33B31F2371D9331D1D33BE12F31253230BDF33DCFB331E5133EE7D33147132929333FF1312E779226414237EF131F3FD333EDA11F0A14340F54297DD3348912';
wwv_flow_imp.g_varchar2_table(11992) := 'D3E492D386F24189323AD7EF2118F24164335A681337337442EA114085D21F9DF32221F21E98F22AFFF1A190E07122A2B3214EF44561344665B41E525422A2333529B43533132FBB3323B5932FF5F22ED3F2275F323EEB91480328208994389954204B13';
wwv_flow_imp.g_varchar2_table(11993) := '2787B22665B229F3214043F4400DD440435341C7123279B3412BF429F3B1462B82FD5C942102A81D3B546F0E511ED77480C4142989D22194341FEAC11EEE344FF1744FF5B44FF1741F67D41EA2311AEB21150D7550F7D44AF9143469541F5D334415C238';
wwv_flow_imp.g_varchar2_table(11994) := 'E5E62C8553238334242D352467711649515365B11C05531E8C513047152DFFB23BB590533B153B3DB55559152D8F118062B554475531D132301D5238253280ECE11E84721AE55442F9214E7DF51E22D3FDFE2132257358AF7458653446E9A11EFFD69120';
wwv_flow_imp.g_varchar2_table(11995) := 'DFD46EDAB436AB555A2C122EC1733F41F3593CB33593723591724B153540CD951F8DF228B7F52807542EE1754B718E25A9332D4FB52F53355F3FF22451B5257F542185F4205915487F346081733B051661F9925F93745717121F957529A3331F8BD5588D';
wwv_flow_imp.g_varchar2_table(11996) := '5528E35229FB615821141F37D622A7B21F36B645EDD42CB3956EAE15D34EB66EF4F11F98E10AAC800BAC006667D60A6AF66669D666755667954009ACA0677B7666BF606887F60A88F60BAE800B9216698BB6698F9668B5E00BA2566A87766AADF669B136';
wwv_flow_imp.g_varchar2_table(11997) := '6BBFA00CBE600CB8C00BBCE06BC3166CC55666C1F66CD1366DD5F66C9F006CDBD60BDEF66DCFF60CC0966EEBD60BA8800A9AA009FF7883378460096C636F9BE0089A200AA2800A9EA06DCFA06DDB960AE0560C107771F1D6712337719F806EF3F609F276';
wwv_flow_imp.g_varchar2_table(11998) := '72BD806EC5E07341F773C7400CD4E0734B570C46570CC0967211B77527577361777135F77535B70AA8600A8C0009A8E0F4E2AEF7AAEFEDAC2F7883AFFBA84FFBAA0FFB9017EEBA7679DF6E79B7F679C76079BD567AB9A06BB9C06BCB801992915A575643';
wwv_flow_imp.g_varchar2_table(11999) := '1B045BBB7742F8611E40ED013C40D6622DD5D2777DD177D6DA77D5444DD46A0DC4D0897ED1E97EF1377FD1C9444E647FFDB77FF5F77E4D6480FB37BF62406B440058145881131805380005A82A820DA5983820814B00AA80E50482654B48694B4280031E';
wwv_flow_imp.g_varchar2_table(12000) := '4695E26D2E60494BFFFC8401A80DE188EDD976AB65C8644DCAA485A6E403C68486630A2F5CB82E3EA0655AC6A92AE563A8AC351EA5CA5E830568C0305C3889795887B38C8777788743A065680B851940078CE0078CE08AA7438BB1783ABCF88BA7030888';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(12001) := '80088C608CCD988CC1F80788408DD9788DA7C306CCC33C64E0066C2006DA893CE8388CDA8920EE18CFF8D8045A6003FEA08FB8377C95256533CD90994525FC60027862C44E8C83D0428234848218C7D6E6F748DA65935DA05D5C4005BA059443B95B48B9';
wwv_flow_imp.g_varchar2_table(12002) := '944DB95B86C00552799555B99559D9CFACE306FEEA0578E0AA6C19AB70F9AA4A438875200684F8056C3998AD6A985F60BC8A19AB30C335741907DAAC84B04B2FFF70088847663380A69A25A5B9B2088885788A746367BC595174E351AE5986ACB99C3323';
wwv_flow_imp.g_varchar2_table(12003) := '85B407059220098EE008D6B99DDB799DE5799EE939098A609D87A09ED9999DDDD99EF9D99FFDEC8BCFD83ACC583A08ECA0113A3B149A084CC00FFE415AA755910FF97B3954A24D82912540054EC4723AE85F7AE2A37B82C4B2E5C32A39D6260AA4517A04';
wwv_flow_imp.g_varchar2_table(12004) := '540094579A2746F9A53F999445F99451B9A65339C060009891399993399771B932821997D16CA85120CDD2ACAA40E664945A7A6243345000BD44C0834BC92FE42289664364A407688A6BAB8983351225517A6067C21A3776E3ABABE8785C079B0563685A';
wwv_flow_imp.g_varchar2_table(12005) := 'A7383E40DB7A809FE1D99D8FE09ED7D9AEFDF9AEFFEDB9AEEFB908F2B9AFFB9AAFEB9AAF8B80AF89C07B084C3AAAC38BADE3076C809BE818B109CC06145A3A3CC0A109E48F2CBA59283A91371B42F0817CFD20A37F425E4CBBB44B3BA53D79933B1A5F1E';
wwv_flow_imp.g_varchar2_table(12006) := '8983541BA57962B665BAB65F5A94870094735B95675AB7556008F20A04745AA86E87325E608882FAB8873ACC92A9B99D6B326E899728030562A67888FAA99FDABBA05A31B03AAB2365AB7DAAB9782788B97937C8BA6F77633784C37ABEDB75328606E0BB';
wwv_flow_imp.g_varchar2_table(12007) := 'AD25457B184004E67AAEEFB9AEE519AFED3AB0FD2C09FE7AAF0B7BB0FF7B08F4DBCF8AA0C0285B3AC2B8B1EBB86A283BB1115A3A8CA0A1FF211E23FAB30589A251F66E3602372B7A80309A27FF505B5E26D9B455FB947FA29327D972B405433439B6675B';
wwv_flow_imp.g_varchar2_table(12008) := 'A5699C277AC2C6699CC63F99A5639AA559F9B7050CD07620A7AF6ABC78DA8774C0988D1BA87D7AB98FBAB98B7ABCA87BCA7580BAA74C0782CAC9D12CCA9BBABBA9B99AB339CCB93BCCB1D9762A63091C8551CC9B37C29A379EA78AC4BB38B2D9384E20BE';
wwv_flow_imp.g_varchar2_table(12009) := 'E55B528A68DC7620098CE0BEF719A0F5DA9E01C09E0BDBAF091DC0059CC0FF1BC1EBFAB0B9438C289B53A48308A4E3C101F9A0FB8A5328FD072C1C36355BC30B64437374D449BDD44BBD4D4D3DD5559DD49F521EFE61B4493CB6651DA53BB9D667FD25D4';
wwv_flow_imp.g_varchar2_table(12010) := '02C62DC7B54F3CA4673DA57B3CD87B7CB7050C088660C881B9C970694E7ABA34FF74B9889D2B369668666A07BA78E9DA7D48BA410664AC3B33A23BCAA0CBBBE3BC9C172330CA39CE57839BCB9B517486CDC5D99A33068BCADDCEDB9A06F29C015080AEDB';
wwv_flow_imp.g_varchar2_table(12011) := '39BFFB5AAFFBDDBFFF1DB0099DB0091BC103ED07C4876A62A069B2638C2BDD3E36653A28BD5380A0C20779FD1C3547511D3A57BDE33DFEE341FED20000A03CDB361F42246EF336232B80E6C1D52D44054ABCD7597BD64979B563FB5BDC0573C402B3504C';
wwv_flow_imp.g_varchar2_table(12012) := 'E66FFDC66F3C94577AC74739AF4CE064BC7D33989D4EAE3C654246DAA39DA83A43DAC52B334E06CB5FE3B831C34E84AA8887AA68C0DD8AE0FBDC87A30468C0ECCD3E524AC08A8286065623381245DDCD7BAC7303CD7DA84EFFEC3C39E07BAD17A3DE99E3';
wwv_flow_imp.g_varchar2_table(12013) := 'DA3460CFE93AAFFB7DE005BED001DBE015DFE0014DF143C58E00993BC498D2377D3B3CA5E10F5BE23BDD413E3D23421C253EDF5A3FA22B411D23028AE5473CB541DA836042D6CD855EECE5A32D805D30A44414A70214A7C5773EB328A7E77DC2C6671BF8';
wwv_flow_imp.g_varchar2_table(12014) := '5B1AAF6280CBB77DD98FFCA864A638B2BADABB9EBA8668E97B9AA7A7B94ECCB9FAC9DE9AE70438BE7ADDBD39675A63FA3383DEF75E68A847BE4F608A6160DFDF19D0FB3BE0059CD1175FF1C778F1D7F87BB426F26D60F20B7A3B00820811203F76082CB8';
wwv_flow_imp.g_varchar2_table(12015) := 'E387073FFFF239BC77CFA14400122B5ABC8831A3C68D1C3B7AFCE81080C87E22419A3C1912A5CA8F142F42BCFF672FDE3F38125474E830E266CE0E2EB634AA9428CE959B2E461835EA4285952D663A0CD1A222A7122D2E3A58F151414B0E2D667C1CDD99';
wwv_flow_imp.g_varchar2_table(12016) := 'D3C2CDB164CB9A3D0B62ECCEB436414455A1A2858A1B1E50B06081A346DE1A7A71E8C0E137B08EC1840BFF05AC3731DFC57951E8450138F2E1BF83055BA6ECF730E2BC9CF9D258DC37B264D1A041D338FDB9B45E1D3C98F458C28307EC253D902CB12DDB';
wwv_flow_imp.g_varchar2_table(12017) := 'B0E6D3354EAF40BDE2048DDFBF4FEFDD8001C1062347921C2992240974E8D2A54FB73EBD8876E9CFB57BFF2ED03B11EF0477B4F0E0C1448A163B80087C0FC4860DF7440A16BC01233F0538FF22E683B85280020E48A0480090D412810A2EC8E045F84034';
wwv_flow_imp.g_varchar2_table(12018) := 'FF8F3CFFF851934E4775B0C52AB248334A27D00453890F3C1D159505CB9C730E2E5AC493430B15ACF2CF1A0928F38A1CE7AC38CE281614B553593D9E451608621905649164C905030A4AD6C002939C89A61965BA110658937B2DE6185F562A16DA649545';
wwv_flow_imp.g_varchar2_table(12019) := '999960528A462668646636E566895DA9DA5E83C9965B6CB3C9B6C46D639246030EBE7D365C71A8F1A6E70A1A3010810CCE3577DD76DF79F75C77D82D0AA978EF8D57C44044EC90820729C460437BE34DBA830D3F20949F0926A067420277F4F75F3DFE0D';
wwv_flow_imp.g_varchar2_table(12020) := '986083B216481182B3DE8AEB49F8B83A8F4C34E504EC0815AC214B30A3D83105139B04330D2E56EC68940A2E54C0E128AB6C11CF10200CB1FFCD34C124800B35E06831C4396BF088D3592EB830C4BAEEBE0B6FBB3F1A79965C2F28E998634D5AB92F0E4D';
wwv_flow_imp.g_varchar2_table(12021) := '4A396565FA325983632B88B0C2C0782DEC6F95814586D79911B35098C3A4F1B5025F50A2C9836E0EF7DBA4BE90E1C5D79BB1B5D69A6DB4CDA6430D543E6C5AC6BDF9F9A75E9F9D1001031C30778411D565D71DA3DE3D0AE9A4465B3A294102A56082A89E';
wwv_flow_imp.g_varchar2_table(12022) := '6A27104136B41003D3A7724041D6146C80C01BACDEE36AAE628F9D514908F24376DA643F784FAF3355086C055B04234B329158724A2B87BCF28BB1EB1EE58205C99C034E25689C3304048080D3483C1D8C020038132811CF38955430EF582E706546E758';
wwv_flow_imp.g_varchar2_table(12023) := '74EE39E89D33B58512F49E05FFAC5BF7E25BB0C15AB289266B5316CC579628AC807BC28B91ACF199988DA6196084751C3C62A5C91C5A661D2FFF32669A257FD86A3ACC395B9D70027C679E35203FDC9FBCAD2928030F08E15C124460E7E8A28D2E7AB4A5';
wwv_flow_imp.g_varchar2_table(12024) := 'EEBD3F1010F2BF3FAA7636A430DFA8F401B143A899A2EA010E48800210A0C003286000AFDD036D002A90DA1E8811B3950482146C1044F0E1369AD864272E1805DD40D48A66D462137C93852CD680B911C00504DB180520FE0188789C4B1AF1D8468C5EA1';
wwv_flow_imp.g_varchar2_table(12025) := '0C69FC2207FFD8C2103277930AE460745A604A11B740BA2D1CB18866D0C2E9D245969CC0E50575C117EE6EB73D82694C7AAC611E950876C5DC89D1495B8CD8C68AE73C8EFF11AF4CAAC9A29906C384D84C4F765F7A19992A7325BFA06C09AE81D312E0D8';
wwv_flow_imp.g_varchar2_table(12026) := '1A8FC92C3579F11E6A0093271CAC200211600173125584E75867924533DAFBE68749F9FD80209A1495767E803F848C4A3E2DB0810C4E851EF46C206B1B90C00638D03556FDE75515ACA5804A429158D972972889883D24A4419D54E00AC52AD62854510B';
wwv_flow_imp.g_varchar2_table(12027) := '55F8E216BF30264E906281559C631C8DB8C238CEB18A6D982101AB1845254661CD386C039B4512A219B6108746AC019DEB8CC339D7D08838C0D39D5A004105D2723AB1A40B2E2CB062C2C22846DD952C60870959406F973BDB6DD1778149DE650AD3B187';
wwv_flow_imp.g_varchar2_table(12028) := '35A97618DB5EC690A7C72ED2F14B67EAA8F156B3C7D6BCE6FF8F6F2A0C132A9331D875AF4D8A09010336D08324182192DA095A76285549F86472933C1D554108F203F98CE7073128E5D46ED00219302D951C08600005C881A84A40040980030022F2125E';
wwv_flow_imp.g_varchar2_table(12029) := '6AD52406CA472EB5DA55AF6EB523F6A007006882CF114C600DCA90052EDC5A0C5E7C421BB2F8052E82818B1CEC282AC2228B3E7B54149C88A50212A8403995B00540B4509DF6C0C515B651CD6DE042B1ABA84413EF090221F9C8AF1DC09C052CD08216A0';
wwv_flow_imp.g_varchar2_table(12030) := '4004B7432842039A50E8590631A74D286A7347C6CEB09131CE330C0F60E62F8A5E14776E7499EC621347D9016FB577C28163F448D239015207271DD3673E8AB1D494C6788BC4C00B7A760422D8947DEDFF8BDAFC7AEAD3F08AD2A7496D0F28539029540A';
wwv_flow_imp.g_varchar2_table(12031) := '90025075AA7B9B1A550F3CC0AA0BCC2A4A743956B2994DAC1B31907F27985F0AC6E46DF8EC8004E2D0D66004E317C5402639EA6AC2603CEB2B80A330857934587D9EA5023E30431C7274856C4A630BE0008416B6218B466C231846B46781D345A4B25860';
wwv_flow_imp.g_varchar2_table(12032) := '272D008108108630DCE5F8B5633CAE932263301E0B59A0660A0D457F4CD0E869F1C8634C69499947BCD7A53160C6D5D81CE7F8473912CF308AE45262523ADDBDA060501C404276C313A9EEC64F7FE24D489B43D5D3A991D25401940054DB9BCAF4E879CF';
wwv_flow_imp.g_varchar2_table(12033) := '2678801FAECA405A0678D021C1257F098D6887F0831F6525B030D7805759BCA2118B5884FF2316E189BB367308CFBC30523E4DE1B118365865A9C010CE190770645319EB50B15018C7146A28430B4E4C0B3E4B44A479ED440536E6C0907FAD5031A3B604';
wwv_flow_imp.g_varchar2_table(12034) := 'B823F60A8C8DEC63EBAEB4B49BA842FB6298E02A393113C5589385373CE6122F5F7DA158ECB8FC24BFFC71DCAC896373994BA5EF31A637D2658CF14AC048241061A69F7A8FA4E07749F08EAA7FFDB34F42E4D329A0DE6FCEE8692AAA4C85DE84E767E126';
wwv_flow_imp.g_varchar2_table(12035) := '58380C28F067AC3630D18436F456FF4B718BDC831E8E0EA21682B10A407CA10A5EF08218488E064FFC6215C18A71B43E0D2DBE7E96B086356C67A1D8D90E03A2AEABA0061CDCAA0C65C4411AB8B096B194686BB380652C1AEE400B52FFF0CA631B9BC727';
wwv_flow_imp.g_varchar2_table(12036) := 'A8BAD54F30C6C5EC367758C7FAAF5FDBC6DE5A394D7BA93696C0BE1AE5550CB60B25287407031B6D0F4FDA95E94D98791B76BE9420393AC86EA5A08653A865F2BB3F05B8E143259FF8185E3EE835159D35A59E84A3976A496DC10D62008316383C0610BF';
wwv_flow_imp.g_varchar2_table(12037) := 'EA2C059DF18B8F44D1BCFC2F8033CE71B442710421B782EBA5E0052B70810BAE77610A8D62011F00C10239F8E10FD96501DF074E022EB042058ADFFB2BE420C61DC8C11ACCB08635A08129E7F4F03BA35FFDA114690433EE40D3D362030F6C20041B38C1';
wwv_flow_imp.g_varchar2_table(12038) := '0682B382F3773DFD21687FFBCF2F4683053938E5EFBAD7EF8F3BFC733DEB170D32B77D0B6E9D7164F377455D52528451FF75B9F33DD846762C2033D783325DF447271519D2F55C7AD23DC4311CA02128067002DA7534E0113F99341F8BB77840504A2A20';
wwv_flow_imp.g_varchar2_table(12039) := '674F2779A1155AEB01834F278345855435A8793798799CE707FD800F681336A1975FFED50F290184846656AA276A588006AEF7056570076FF00663C0055560084A8039CF6401A3A00513500958300295E00241000A15200743B005720001CEB70523B006';
wwv_flow_imp.g_varchar2_table(12040) := '65D8868090036571054A54445F508774F80557406B45A47C4FE47D9C751E1BA001EF677E27407E86587EEEA788E4177FAF6588E8A77F5F873B7D9245FF74500315800DC564ADF563B1D35C82E2759368801E537619333D275327A9D8037294196DC25B19';
wwv_flow_imp.g_varchar2_table(12041) := '48897C11FF028312013B6004ED5329DE253FED518200A7822E088C53E38209A71EEA91544E83784665033700709657799A97790BC779F4F57945188461658D15D7714194155A20055630065F30065650055C8006A6F34CE9A24E2E50095B10046B70054A';
wwv_flow_imp.g_varchar2_table(12042) := '5009EF88586BB8862320016D38046BA0056BC069A2F64C70219031060223F06245326362A10283351669711E1AB00119F07E8A387E13B988ED178A8E987EC1A17F91D827FB877EBC8502C4D65ABC4565988125DB4380DCC6808451038388916CF76D15D3';
wwv_flow_imp.g_varchar2_table(12043) := '18168503A9781B2B938A15B3457A31891A481C8B710283C20026708BDD854925A878A1258C45258399377926F07474864AA7628CCC68822628039807FF02A5620220D070F3F53513978DB68471D8589615F412F5004C12A04F35777C6BF006EE04077309';
wwv_flow_imp.g_varchar2_table(12044) := '0771A0052DB07A3C21071ED64E8D20075780055F504D8DD00841600623C014F07860EA64736A11244DD7016961738FB959665173A2F69082180219307E157991A1597EEA2746F0A77E579780A9E9757D829A8FC85B43E6241EF33B55463B96985A5C4425';
wwv_flow_imp.g_varchar2_table(12045) := '27800183989A323393786451A7C50348409CB681047E846E7BA12736A380CD696D44B90106A13F83C73FF1818236F08B2FA87929D0958D07965FB95479F65476966791B71E322083E8050329502A7B861EF3D50F12077A69A936FF853667697AF9A99FFB';
wwv_flow_imp.g_varchar2_table(12046) := 'C99FFDE99FF82536BB22126D590170E9FF7D056A0572F00AABB00A9EB00639609930068F58A00472B0053D714E43A04E418058FBB8065680058070050FAA4411DA234987736411A13AC1A20069992020011A20A39F69918A0893179980F5779AA4D99AAA';
wwv_flow_imp.g_varchar2_table(12047) := '1992F9D7A319993BC66651B4E5511FB57501453B6272181FB09B216088AB096D54123DF1770228309CC59993C4135116182840F93DB8338B39A3016E262A9DD21EBC181F71414A2FC89E5D1979A8549EA9345502B44A040401795A4014F05EA96495725A';
wwv_flow_imp.g_varchar2_table(12048) := '67AF94005E43116003A0F43936A6779F6889A869F31200D0961650A0062AA913B013938A4F1A062C9DD6723356158635013C11AAEBA2391A16A10739992E8A3A9859A04174131E00FF01322AAB9C3988B53A8BB7BA88F5179221B09155577F558791BD29';
wwv_flow_imp.g_varchar2_table(12049) := 'A4401AA556F77559E250C2F33055266459F29B2FF9A4509A80BA7347AC45515894A5B6F11A11F817AAF19133C31BB933A6E2A303FC7378D66954C0A89D5FE9781E0002E29967E489351B504079FA001070AF7AAAA7146067065770814A401C9040B2740F';
wwv_flow_imp.g_varchar2_table(12050) := '87DAA8B8F29FFF5911A7576809CB9F8576111364B0B3C20F57051191DAAA052AA9DC38A937C19062A16121EBB1413458935A5815F0594C77736891AA9953994A97A2939A99F85840B23AA3368BB3327A9125C0ABEC9788A3698850BA88BD095B5C07AC47';
wwv_flow_imp.g_varchar2_table(12051) := '2BA4C4A6B4CAB602FD44306644260E8850C6067F080319CFFA011A90FFB5C17A9B3FA692B563893890AD5B9A9CC89331DFDA64624A940C8002E6AA8CA4248CC3B89DEC0AAF740A5576364059736759B3A703D45EFE5A7003B4A75A2301B1B44022810F69';
wwv_flow_imp.g_varchar2_table(12052) := 'C9B0B9F2B00050B10ECB12A6E7110E8B715E55B9FD45B9227141F480B13767A02B8B907E1844133001051AAA2B2ABAA90A90AE6A2432DB599925010FA001B29BB3B56BB3E487BBE3877587089A421BB4EE37AD3FF991F907A51C49B44256A4AFB331CC7A';
wwv_flow_imp.g_varchar2_table(12053) := '75C141A463B7761AB09B3A0BA5F0C77695885A59343D48F01AB641251785BDA8D5270823A30C600009B0010571544CA9AE2F0803709A1EEF2A9E78EB01F42B9E8E07A8E529A751C5AF5AE3BF7A3BB0050B00AEC2FFA81351C0B492B91194B90B9C9F96FB';
wwv_flow_imp.g_varchar2_table(12054) := 'B08776B00A725557D5B99E0BBAA97B3A057AB2AD9AC123CBBA86556099F98798D959F784A9134040118001B22BBB2AFC002B3CBB1A1001313CA31B60C3B8CBBB19A0C31AA0C3B8EA7E1F60AC07659BE727AD482B8932391A5A0789EB8777B859192520BD';
wwv_flow_imp.g_varchar2_table(12055) := 'B21AACC38ABC14251BC79965DD2A4653570255D7C527803082F800E6CB0009F000A4849EE8C982C408024CC39D7EFA9507872A995563EF8B9DA41403791C034895C730A85EFFCBB7802CB00AD42A138BA8860CC11CB19F0EBCC8112C2B6C730FF2705610';
wwv_flow_imp.g_varchar2_table(12056) := 'B0B12F9BB132E6C192492F26DBB1AD3BB29669739409BA19A6B11A5BC2F634A91E3001F73AC32E8CFF0139B3C2AF2CCBAE9CB3B8CAC319C0C3B28ACBB2FA01BD0CBC410C50EEB702BE2BADF0675A4306B58351513F9ABD48B6762130C3D14A9A1B997FAE';
wwv_flow_imp.g_varchar2_table(12057) := '653B6E329CB4B14616855ABE2AB4E3F70011F0000680000860C64D13838D57B7F0CA344F070245B51EA1A5024030CFF3BC78A1D26F09110374863580ECCF00FC069E675F1987C889FA5F43E85F8E9C366CC3966FB3B10C29C2A19BBAF674B227DBC17F18';
wwv_flow_imp.g_varchar2_table(12058) := 'CA2B2BCA86C5909E0B9705EA01205DA9ACECCAE2C30018C000299D332B4D2833CCC2326CBBB69BB51FF0CBC11B46E7A7BB422BAD3DAB9119B92490D1AD4A5CC5BDC365281002B2ACB39F497F85087F25C06C78715CAC719CC1A5485B47032550FF021179';
wwv_flow_imp.g_varchar2_table(12059) := '023B2CC3399300E69B0008F000E82C79802A01ECAC795DF9B6C2A802ED81492EB00373211F98C770B0AA357BFA001900017A6D40FF5B40015C8D0AAD5FFEB5A80BBBB8824D206003361262061280C1AB6A1391DD01BC6690959D59AE1B4529DAA2A85360';
wwv_flow_imp.g_varchar2_table(12060) := '40042497ED62F604ABF8FAC231CCC22F8DDAE253BB8268C31AB035140091345A919E790258ADB4AD6345C78C63079350F8A2241983505F0BD4A418193DE96ED8A3517F01C5524CC559378A84711B72543C553292221091B8ECD2E2F300DB7D4030303509';
wwv_flow_imp.g_varchar2_table(12061) := 'F774FA6B2A6DBC1E86479D239849E601A8F085B7586367EC0501FDCC5E7A3BDFECD535FD500F818DD862739668B3DF010A11F630FF0FFF1007092001078EE009AEE00BCEE00DAEE0102001061EE10E4EE1156EE1069E001080E11A9E0001E0E11F0EE221';
wwv_flow_imp.g_varchar2_table(12062) := '2EE21E4E00256EE2257E000460000470002BDEE2290EE32A6E000690D22A4D28276DE335AEE33BCEE33D8EE32F4CBB321AE4B4DBCAB15CDA442EC33A2C91BB1C0107E0E42C7E003EAEE32A3CC3372ACCC3DCD55DCD485BCE000890E2230EE20490007C8B';
wwv_flow_imp.g_varchar2_table(12063) := 'AFA47DAF7CCA0113D054ED7DD6F08AB7649E00712EE7E54CCE0930E30840CEE58CE77B8E0004A0E7748EE7E44CCE010007F8FD12F3F9DF0C42D8964B8489DE20F800E902FE0FDB20077160E9951E07989EE9960E0871D0E99F1E077FD0E9A2EEE97F50EA';
wwv_flow_imp.g_varchar2_table(12064) := '8020EAA94EEA96CEFFEA72B00697EEE9B15EE9A03EEBB1DEE9B60EEBA0BEE9BBAEE9ACCEEA50F8067720ECC34EECC56EEC7D50EC7C00077DE0077DB0ECCDFEECCC2EED70C007D5CE077E70EDD98EEDDBAEEDDDEE07CDFEEDCC0EEEE3FEEDE55EEE88F007';
wwv_flow_imp.g_varchar2_table(12065) := '7E5008DFBEEEEA5EEEEDBEEEF1EE0788E0EE8860EF885008F6CE07C8DE077D50EDFECE078560EDD52EF0F19EEFF78EF0F65E08F11EF0EABEEED7EEEF7780ECC61EEC6F000770E007E9AEF1190F088660081DFFF11EEFF1202FF21FFF07E97EF129EF0717';
wwv_flow_imp.g_varchar2_table(12066) := 'BFF2197F97290FF3177F56319FF27890F2CA4EED189F0DFFE02A03EDE8B2B2E88EFBF3B7F212F63060FF80F4FDD00FFFA0F449BFF44A0FF550CFF44F2FF54E1FFFF5FF6020488FF4F6A0F55DEFF55F0FF6531FF6634FF6656FF65E7FF5623FF5697FF65A';
wwv_flow_imp.g_varchar2_table(12067) := '1FF5082284542FF6702F12FA60F776FFF679AFF751BF0F48DFF77DDF0F7D8FF66EBFF785BFF44EFFF56CDFF68BCFF80090F84D4FF68ECFF85AAF0FF289E8430F2B5D75D8981F20FCB02B301113F120FAA31F0FBD42FAA77FFAA66FFAA8DF2BAD5FFAAE3F';
wwv_flow_imp.g_varchar2_table(12068) := 'FAF3300FF440FBB23FFBB74F0FB8AFFBB9CFFBBBCFFBB40FFCC12FFCF1C0B9F1000FF280FCC9AFFCCBCFFCCDEFFCCF0FFDD12FFDD34FFDD53FFD9C8BFDF210FCDA2FFCDDAFFDD6EFFCD84F0FF1A0FDC46FFEE38FFEE75FFAE37FFBB6BFFEE40FFFE92F0F';
wwv_flow_imp.g_varchar2_table(12069) := 'F03FFFCB4FFE9CABFCF040FED05F0F0C0410F5EAFFDDCB57D0E0418409152E64D8D0E14388111102A0C82F1F808518256EE4D8D1A3C47B21ED8D1C39CFE4497AF352AE54D93225809627E7C59B39CF9E4C9C396DE62C89B3A7CC9F276FEA245A4F253DA4';
wwv_flow_imp.g_varchar2_table(12070) := '49952E653AD06948A851A54E655A35694879FBB2C6DBB76FDE3EAE5FBF82FDCA351E00B260D59A2DBB361EBD7871B5CECD5A579EDDACFB42EAE3CBB79EBEBF81FDF6255CB8EF3D7A88EF39AD27EF9E5DBA7AA7E2A38C6F7265CC99356FE68CCF9ED195F4';
wwv_flow_imp.g_varchar2_table(12071) := '3EBBAC875420BDD2A9050ACC27F5E36BD8B16553A47851A36CDCB97523846AEF9EC97DF634AF265E9C386592C9EDF15BDE9CF950A1368577A68E5CF9759226AF6BA71C9272BDCDE0874325FCFFD7F040C3A8BB431538556FD7AEF7BADA835F3FB85AB000';
wwv_flow_imp.g_varchar2_table(12072) := '46E2E74A9F3ED7B5F8C3CFBEAEF222509F830CE32B9F051152501FEB92A32C3E022BECEA9F7DFAE167430E3BCCA7C37E340C71C410F9199136004C2451430EAB5B6F2A18A3DA6D461A6143D1A2DA6AD471C7872CBB673FB3245B0D41C18A04ECC8BF28D3';
wwv_flow_imp.g_varchar2_table(12073) := '0FB3853C0BEEC7FB789432C107AB2CCC22833AF4301F0BBB143038000004504020E113B3AB31EB82CFC0AEF4D1B2A0CCC093131F39F3C1C74415F16CAE1F7BF864D1CB0AB51474C3150B35B41FDA0E05E0448A0A15F4C341373408AA292B9D12458C52B4';
wwv_flow_imp.g_varchar2_table(12074) := '74531D7B938FA6C5060A89B5BF1CAA07A30D53E407430E11E54B5385EE8CF4D1FF82382CC84D5A2DB572D7BE3A7ACF4BFFF6F987BE6189DD6FA46183C3B0D8E0FABBEF5840E1D327C4697B6D28A4E0201574B383A23D70DA7DB464F55072115DB4DC10CF';
wwv_flow_imp.g_varchar2_table(12075) := '7534D7836C6D8D524EE3DD8D367E2ABA4D5E7C3F8A8AB512B59CB61F5E1B257159FB00F83752EC125EAE557E28E34B45F8FE4177628A4954B1628CB14CA8C3FA52EDE71F90875D15640040B6276494513E5958964D4E19C36847ACAF9F0A09B62F4F7EBC';
wwv_flow_imp.g_varchar2_table(12076) := 'DC902F6F679639E2962F2C176446294EB4D090596488A07743CAF7E9D712ADED5EA8AB76682A89F9918AB5A6478D11317ABAD3ABB4AE5A65D1D13ED3F653ED91345C58440E1793D14E7C1EFAFA6EA81C9E75EF9D717D14C6FFD292BA4B1E004C536EB5E4';
wwv_flow_imp.g_varchar2_table(12077) := '4E8A677079E089EBF17BE2F9CDACC5DFBA2B9EFDB0054B9EC50BD44ABE9ED7CC8AAA9094524CAABA12432CAFBB3E1F9C1EC663974FE2753D3389508147D492CF7AEAB558C3D4DCE5EDC3D6BAB6FA7888A4A60D79E6158A8A9E7F6CF981881F76B0FEFA1F';
wwv_flow_imp.g_varchar2_table(12078) := 'AABF7E7BEE77C8DE7B29BC48E206197EA8A28A27CE57DF8AF3D9AF827D29AA90027EF9E99F5FFDF3E3B7820825C6E0C20B2B78C10BE143C31DDEF006371C50810B6460031DD84003BA010D12A4E0042D58410C5ED082132C4319B830862F805084FF0BE0';
wwv_flow_imp.g_varchar2_table(12079) := 'FF04F83F2EA4D00B2944A10A53688531BC010D33B4E01B3CB842014A810B6EA06019DC508622ECE008472082FF108EF0BF231841084DF8011290600424A4AF0A029C6215BD70BE2B66B10A53A002FEF0973E30A24F7D4A40DF13CC18C63108F0095130A2';
wwv_flow_imp.g_varchar2_table(12080) := '1391D083EABDB1074298A31084B003239C70855C08A01292500525B0CF0A3424240DCB80860EA2610C85242417CE0784237851925630822DFEA13AA7354F93064191B92EB2C94D3EEF1F6508800102704A54128000A83CA52A5DF94A571A80001CB88107';
wwv_flow_imp.g_varchar2_table(12081) := '5CC94A5CE65297AC04C02E5B69000880E0062DB8010C6E50CC18C82006CB8441339DE9CC6546539AD3A46634659002663E539BDBE4663353E0CC63DAE098E38C81365FF04D1898C003EA5CA707DCA94E14B4739D26488109ECA9CE7BB2F39DF44C413DFD';
wwv_flow_imp.g_varchar2_table(12082) := 'FF4901021840960440C0032260D0084480010A4D2803187000031C00A212A568451F7A808B4A940007D8E82D5709CB00AC3295014000051E9001942AD4A115ED28475FE9D25BA2120110E0C03CD9194F11B8339E1EE0404D39200113A4339FF6F4404E21';
wwv_flow_imp.g_varchar2_table(12083) := '908081BE52A04B3565192E3937506A925E1589AA26D9033D3404E00108480057BDDA55B07295010948400412F080B3A615AD1CD8810CD08A00812280AB64A56B5DED7A57BCE255023600425F814004C0FEF5AFD43342F67E5058C31A01088A65EC621DDB';
wwv_flow_imp.g_varchar2_table(12084) := '58C83AF6B0899D6C65117BD9EC1516B199356C673DAB3DEC554FB4A2F55EF580505AEB91B6B33BB0C10E7A7083D762AF07D78B0104BC5A50FF0E8460031B08416F7D1B020D0457B8187880438DCB000D10170311582E038ACB00B91A00AED2952E57CD6A';
wwv_flow_imp.g_varchar2_table(12085) := 'D6DB5EF7A02128010B58508213640003CB4D6879556ADC861ED4ACD0C52D0A6010CD6E3633A8413566F7AE67031878800210406B7F1FF0000804F8011408C01BFA8149A6559579B5F1A4829927B7D2FC23AB6195AB5CBB5A610BCF75AC62052B0320603D';
wwv_flow_imp.g_varchar2_table(12086) := '0E745596D5CD6B894D9C57101441057EEDAB6151FB5917ABD67B3396B16A615CDAEA19E1C5A3FD1E8C572B63FB622FB533DEC16969DCE320EFE006AE6D2D6C9B7C031B78C000171E30703F10820F6459CB1F186F97198001870A940106382E74C70C5DA6';
wwv_flow_imp.g_varchar2_table(12087) := '0654CD721DEB562F8C610424FF340325A0010DC03BDE32E759A171468071FB1C670A508003F4EDE650D7694C1BB456D1ACDD4139F56B52B29AF5AC031E3081DDF0D4F6381879CBAB57A6346DB5AB4A58AB15BE70A9339C80B14A5AD21C7E000C7E10E2E9';
wwv_flow_imp.g_varchar2_table(12088) := 'C215A927A6F589275004BF1619C83EE675AF7DADD9C3E2118FC1D6ACB037EB591DD738C9CBE6DEA2B7D764718E53DAD25EA6074E4D01E0F676CBC04D6EB7896B5C3293D9B90DF5F37447ACCA118B15AD1180739C173A673ADF19CF60FE7299191AE77BC7';
wwv_flow_imp.g_varchar2_table(12089) := 'F9BF82F6C00BB869CFFC0E15062D60F4A29B1C031348600347457559FF0BE00113C0C008FEF4F1184CD58A434D9413BE2D584DED71B2A235D2654DAB077E6082ADC675CAFFB566795E21E00216B7D8D795A5F9666D4E59CEE6DCD844B65EB2AFB7D8D00E';
wwv_flow_imp.g_varchar2_table(12090) := 'BBD74916670B123DCC727A139B2D8841D1A16CBD44475D9C538772D58FD90218D8B6C20FC83696B58C656F27B7DE63C6A84313FADC339B3BA0031568571F4E57EB463A027366010D4E70022F9799DE66773774AFEB70410F1AE083272A3EE79902284B3D';
wwv_flow_imp.g_varchar2_table(12091) := 'EA554F014F213DD77D071AA068B864D3320EB5E5998B6A97E754A8B3BAD50DE355C32127BDC845BE0120D476D653663DAD01D0F2BB8280082CFE416B992D6320C458D73C3EB26173DFD9DC5BEF0631807A91899968AC1B7DF7BEB67DB315FF7CE8475FFA';
wwv_flow_imp.g_varchar2_table(12092) := '5237BAB5B7BE5B6D7F40035BDEF2788B1B6E71975703E056FFBB9A971AF2FFAA75E4FF9D739DED2E5E87EE1DBD0BED3BBBED7F5608047E9FF794A73BFDEF81149081E883B27A72270A80BB8793BC0D3000CAA338CEC397CC030082D8BC079C1208831E52';
wwv_flow_imp.g_varchar2_table(12093) := '6A3890A32BFFAAABFE2ABDFF82001B2002295B3DBB52A7048000095841169400D8B32B0998BD5C9B3EE4938116B04101FC81DFD3411DCC3D1FE4C11DCC9E20E441D64A34D32A3220E0ABBED235994BAD1BAB3167AB9E442B42462BBEE28B3A667BBE1420';
wwv_flow_imp.g_varchar2_table(12094) := '2B0BD300DEF23AEDE3BE2CC3B3958A28B38B000D50A9EA4A33B683BC00E32FFE8238F6A300F7B33BF25A283C9C3F86F23BB93AA8040CBC9ACA2977AA299E2A4442A4A7AAA3BA68EB2713E0004833AB3FFF14340378034C1B880A84408CF0240ABCC41DB9';
wwv_flow_imp.g_varchar2_table(12095) := '4051EBAAB1B22B040829E90A28F5FBC00730A50048001368010F48805542AA53422A03A80013202B09800110D8C55D64B8174C000988B9DAA3C1E66BAD1F3C46C19241205C46CFA2BD168B39686446CFEABDD52AC22904821B60C41420381B002DA823C6';
wwv_flow_imp.g_varchar2_table(12096) := '2954BC166801DB9A350DF8AD2B13C32C4BAEE75AAA332CAF318B2E81323F82E22A0093BC377CC340CB800D28011CA83394023372333B3CB43FBF6337837A38FE02C49E024443E429420C4019209F1B9C488A2CC0FD5AB749A3800D10B404A0C4C4C8344E';
wwv_flow_imp.g_varchar2_table(12097) := 'E4948BCB9191AC145122253703390290002E00844AA884374802B73BC50448022EF802FEFF2A039AF4002580451520820080002540AB1CD88190930091FB45BA8280111046DCF3BDC182C663ECC1675C46DA033E1E44BEC4A3CAAA9C46B0A4B16F9CC2DA';
wwv_flow_imp.g_varchar2_table(12098) := '3B42D56ABE6703C7A81B4717E42A03F0427404C3EEC33381C2280310BFF3AAB0793CB7B9923CBFFCCB40DB803AC43B785429C37437FBE3333F7CB84A933C0EC83F0908B49EF2A99E02C000BC4C1CB4C802E480F49BB401AB4C040049A83A492989C04D24';
wwv_flow_imp.g_varchar2_table(12099) := '4D1AF13CADBA2B02B08257980662F084570000666804109832D34B8000088778480771288273888400180500B082E104001850027A00267A3007A634311048C2241C4BE82B4B267446ABBC4A1914C620FC41D24242AF0C4FAA5442B1FF1CC6FB2A321AEB';
wwv_flow_imp.g_varchar2_table(12100) := '46B5A4C171BC452EACB22F4C47EE1B2FB11B3331432E0CD08076D4CBA532BF90034CC0E4477FB4BBF01248C3D443FA4BCCEBFA2F3FCCBFFD7250C794809E9A80CAE4A77EEA271C24268C3CAA75DB37D0BC83A78217D42C4D54419111E59150CB40BB0A00';
wwv_flow_imp.g_varchar2_table(12101) := '33F8855F78853130022380036248865B50017B0CB900E886AC32074FE8863F80816CB8855B08004FC0875F5082719038699006342000139300150446175C412A6DC10770013F52822D2D8224F052304D02311D53252882EC7C46ECF44A69AC4AF16CD3D3';
wwv_flow_imp.g_varchar2_table(12102) := '5A42BFE22B63B43DF334CFEE49C2F59CBE16488103A4C5DD3A472C934B2DF3BE30832887EAB6E7B230EA3AB77AC43F07FF5D48853C293A743FC24C2F7B4B508752CC382339C6843808CD3FCA94D077BAD00BBDA61BC4C8FE2A280FADA9D00CD14C3A511D';
wwv_flow_imp.g_varchar2_table(12103) := '314D9384D519514D51540200F80566888429E8833DA88257C00566F004176CCA00C8863708805F1805208583728083E51C8554B80566E8060290064F60065C783DBA5A39B2F2012BB0822BB082401A577025D7700DD72AB8023878207755202538537965';
wwv_flow_imp.g_varchar2_table(12104) := '53ACE4C17A15C2337553AF94D3E94CAD6B64AD37954EF5CC533D7D45B23200AEFBC2409DCFBC8B287153AE44D54B8252338242BFFCEBD44E6D3F021DAF3DD433C4D454ECB23F858C4338944C0EA0D0C95C277F22D57E6A0176E22F92DB48D0144D11A555';
wwv_flow_imp.g_varchar2_table(12105) := '1A29498DFFB1D9DD48C955B42B0008861AAD044B50054438845188065CF8852765B807080071A8042EE8873210873F48067AA8067DF88254180509D0077500017D100773580783BDAB0AB802401A8270558221505BB60DA42108A4402A033320A40E4AA4';
wwv_flow_imp.g_varchar2_table(12106) := '19B221194AA437E082117446BFAA577ADDC1C1D5573705CFF224CB7F1DB2DAB346B5745CA98301B41AB3075058F99CCBFA7447E4422EB473CB3443370E94438C35A80C3801F70B48863A504C4DD04DEDB3528BBC8C0C415095D09F224495B5505255A7C7';
wwv_flow_imp.g_varchar2_table(12107) := '143948FC4C56A5D957D5D979F1B44F125E1DC1C055B4300218025C20065D05854D50854D68056020065C080650A82B08308051100771808304C08548FFC806E38C844A30844A088048608637A80677AA862B788015F480162C0234D082414AD73FF8032B';
wwv_flow_imp.g_varchar2_table(12108) := 'F8024040032B880333500233B0823780833F382043308446888446800343F00334888403F2844638202ED881ED04C2C0F5417D155C7BB557C1325CBF323AC513D8A8030213B6011326B82AEC9EE883DCA383010A603D06C03E419D4B70B34BE262C78855';
wwv_flow_imp.g_varchar2_table(12109) := 'BB79B430B57A3B8D2CABD2A5D43B1C48823CCCC464B34DF5DD4083D97BE4B7C93CC47AA227DCD55D5FE454C9B436E04D30E3C58DE5D1889C0DE3DC408C512229B00A00344886A44D06403804E9DD8351D0565CC00510982B2E5425BA624BDD2C25408652';
wwv_flow_imp.g_varchar2_table(12110) := '036881DB8480FFF3BF182C032530B051FFD8015C78854800846AF0044078E46488836C288351B0856C300738300750100766A0D66468873728874A608657A0053F78032B4042ACECE07C0D4F10FE3D2CA4CA71DCC681DBC69665E10B3501104801250402';
wwv_flow_imp.g_varchar2_table(12111) := '15D8816266615F66446E94BE6FA442E883B2574433B85C5886CD5C43FDB207502E54E34F466DD4BB62B791638023AEB3F04ADDF35A6277D3D4523BA840F3BFC7245940A4500AF0BFA15A59A2CAC8B2B2C729F66257056333B691A92988D3FC678F40E30C';
wwv_flow_imp.g_varchar2_table(12112) := '9C2B367663E7458334985E32F004374EDA1698A9A6D4DE09000218E8AA902A25419E34BB5ACA04F0802B28825178865FF8836C500217A80650008137D8061080E864408351B8055CFF500766100734F8054FA88467B805449906660000086E572B5832D1';
wwv_flow_imp.g_varchar2_table(12113) := '7A3E5826E15ACE1E6232BAF1343AA946E64443E1AAE657ACC6D3C70DC7A81366AE94BA6222AB338BCF1CE6B26FB3CF3183587A9B35733B3759323552EBB8B9A333724E628F65623EAB30B3E248C1834801735094A5DDFDBBA72BBE67985DBF4A0B311075';
wwv_flow_imp.g_varchar2_table(12114) := '40828E0D06B38DC63E63E4F5B884BE855FB08537D883E8DD83484006E7C585B2F5455FA4801600820324453E5E396EC52B0300817035875B30874AE8862B508264180520888370188257B805277D855448865410877878836948054F88865F70856CB087';
wwv_flow_imp.g_varchar2_table(12115) := '57C8064370874A40032ED8C66EB4C66182320FFEE0C10DE1592661F0FFECABACC66A2594D317B6C6C22EEC434EBCA93B4036236B31EC327A73D8F87B00FD2C3720A6D8EA6AB7B89E6B4ACD803DECD800D7D43FEBC3CFB429BF9EE22A3ED99C1A2A2C262A';
wwv_flow_imp.g_varchar2_table(12116) := 'FD3AECDE4DC05665ECC8FE88921CE80B8F08832629E5B5ED61A0843498823D68054BA88334388458800650D862BC828018306D53E2638A4D805EA20853A408A402812AF8836A5082570085541E051ABD8546A80437B68248480662D8690716873718869E';
wwv_flow_imp.g_varchar2_table(12117) := '265250F0034F26D26EA0602BE02B5ED3CE118E46EF9465121E7368246FBE1A4734EFE5FB6A2D9755E60BDDD31B5CE1257B45AFAA5CDFCA32B9CCCFF92EBBCDD5CFE27A335942007A8C2B0C7B330C1367D3ADEBE6FF52624CBD3776632F7BE4B71720AA9E';
wwv_flow_imp.g_varchar2_table(12118) := 'D2C7C7ACDDDAFD3F7CE2BF04E7DD217E0089FB075109DE0DDF08D32CF5D8E8704387809A568234480332B0843D60823460823EB80638E85991F380B572410F8881228001288552586C4920382A2090521B9080B6432A0F4857414A82713D1FFC55827125';
wwv_flow_imp.g_varchar2_table(12119) := 'D76B7F033370573438A032300405F25B5CC335C022F7D9A31E0EA665C2953921F42B5C2373AF0C6F1643BE1D487360DEC6213342635C3E6F54BC4613EB82D2ADECCB7332D45CB5DE6679DCCB35E3EF8F13E712A0EB72B6543F53A93EF3BB4C652F76AEA9';
wwv_flow_imp.g_varchar2_table(12120) := '49D7DD8C8450C7A4CC41A4E77672C4D81D39496BDA061C4D549788DAE8340D5FF9A5415E5283C52FFFB0852418713248833D38F134E883613058B4DADE4A28820030042E30803F301F4F20003348802148561040032580003480030FF8826E6776B242F6';
wwv_flow_imp.g_varchar2_table(12121) := '40525772E5D22D057BB92D57462AA44342A443E2821F68011540F316B0801480FB0988FB1F5001108EB130B7CAEF86F7981BE6372DB2AC4642F44C6A70C477E8A300B744000DC82D6D13D4823F33E44243E7CAD4B646B7578A2EFEAE30E7A2EBF7937882';
wwv_flow_imp.g_varchar2_table(12122) := '4CD000A7FC48AF29FE73C485944C0905559A8ACC2A3EE44A2FF9D16BDA4BA307CB837996CF70DBF708999F79A44F8543600232980232D883868E852A2076D2FB832FD8803F500218002425F08424F80213480225E0002BD8000098C4488001B4FF45831D';
wwv_flow_imp.g_varchar2_table(12123) := '90007702010070270000817542FF598B52C13FAD1E332D1586700F9800FAA7FF938500FB9F806E0CCA7A65618090D1C2C68F1F400A1E04A270A14215406C305C68A3C58E16162FA68018D106478D0F3F7A8C0864C78F1D3B3A763C99228509962D51A2F4';
wwv_flow_imp.g_varchar2_table(12124) := '90000182040F3684C899F3034F9E1A30306060C0405006181EFC7C1094E6D0A6040C10886A00C1549A5469CEA41921C3091A5E4F64C010814184B145C922301B01C1520656233CA0C0C18307131E38708000212E040A7EF352E8AB7770DFB91E44DCED4B';
wwv_flow_imp.g_varchar2_table(12125) := 'E101E39A8E13440880E61FBD7B96EFE5CBAC7933E7CE9E3F830E2D7A34E9D29B01A0CED72F333FD3AE5FC38E2DFB33BD7F650264FFC58AE04119487DFAD8B1E36653A4290412204FFE00CE983256B8BCF103C7CA1D2E7F7EFCF1A3C40A052B65D05C3180';
wwv_flow_imp.g_varchar2_table(12126) := 'E60F1A14741F48900020FD86F481911B48705C7EF2F81222162C991008911D74E94EC0C104010E388107064E90420B06319850412775A41F42062D34840B200C28410212A4C09F4246780001472D287891463B48D4D1481B4DF4834513AD94820703C184';
wwv_flow_imp.g_varchar2_table(12127) := 'D2452FD60823043321A7014E3A85D013061F0015D4014431A041924A3190805B544115E553C7117055555559C5C0035D7D8581586481399698689DC5945671C975D85D79EDA55860810DC6989C8A1976975F8B3D809C55353D10801B945D86D96C83125A';
wwv_flow_imp.g_varchar2_table(12128) := '686CA901904F6A86FF32DAA8A39DD5769B55B951D5C21B9E8C324A255A6C105F7235D954860D56C08046150F5481061A3BF851850914B8CA05174058F107115C6C5045129ED6075F02F1019B9CB0C242548442F9A16810110AC96882092D58B0920542A4';
wwv_flow_imp.g_varchar2_table(12129) := 'A08210D3AAF0830A4564EBE041087DFBED84FB5D280104E925E7C10ECB8E644248123184E28A0A4164038A236674A382300CF491431AD59B234C16C904EC0321FCB8534F448E65C091411D15B193C03A15E55455EEB967564E465082573480F5A59865A1';
wwv_flow_imp.g_varchar2_table(12130) := '35A65B27678CE65C22E02541600FB8E9975E79E6092ACC72E165279C79F2C863649355564F3D823E5AB4D1AFA196686BF92C7DB4D34F8F16296E195B15155B08FF10809BB08F3906EA551E1071C3030804100054095010DF62BF0E1BACDB000C1B777220';
wwv_flow_imp.g_varchar2_table(12131) := '78286EB2752F44C40F45EC5D04DF7CEF5DD0DF0D12BE1085FB85FB0308E9A5370172E726008348229DC8908AF582F4D1BCF43E64830A2675FEF9881391AE0247A20F64027C06DC14C2093A09A981060D3F9CE49245FDDAD4505251F52BD5BE3B4696C75F';
wwv_flow_imp.g_varchar2_table(12132) := '8515E698C7B385F29E6541B0419D1CC87CF39D33EBA931CC12B43C975F8CF1F8589F7F567619D4E393AF28A2AC959FFEF8529B3929D51AC7C775D7A01A4081491C40793195001800F7506CB3CD7FBDA28FDCE043B765E5273F0A6157DE80E037C141303F';
wwv_flow_imp.g_varchar2_table(12133) := '7CF356E11A6438C311A1058C4B4F0534642E9B98FF402128BAD788E445B97E612E859923E1435808238BC00004FC92218968D411103CC0530808410680B4302F356C284179809788E8A4AB49092A57E95EF7E6C716AE7CEC04401C5950C4941632290F2B';
wwv_flow_imp.g_varchar2_table(12134) := '1128CC61B4F732C508867BEF4B8062D604BD973969264AB1896400253EF5C1B151495394F9E2684747498D52EFCB58FC8017AC9AF431010AF1005374E7B602C6076E049C0F0007B8210F25105CECFA41845A902D15DC28927AD31B051D54B8067A608312';
wwv_flow_imp.g_varchar2_table(12135) := 'A840073F48C67A81604499DC1CE7549842D2B5C004207096074030907F416420376AC10D6C8812200C4402583180062800BB85FD847642310A118DB8948A3D45374DEC5AF7B4C4259085E578FF66294AF24EA63CB7302667669C996076C6B3ABE8262E78';
wwv_flow_imp.g_varchar2_table(12136) := '09109BF6323635DAE47B80121AD1EE68CF43D1715189BA273F5DC33EAA61694F53015EEF0EF9470F00E105BF8A0A00AA74369BF8AA80126DE4B04030C9924852842D00D08104E4D10429F00746A820051388411B4C807115E8800BE825813C8160072ED8';
wwv_flow_imp.g_varchar2_table(12137) := '01BF44B810135A2E73AEEC08895200020571A473C0E4E92E77091318A88E6D490A529016C630A11CA028CD3C8A50D8B63BDD31916B592DCBF0B0F9A5309DA58ADD644B1AD382B634CD052F337B53186B9631E4A88C03D87B19CF9A041798B5317C96E927';
wwv_flow_imp.g_varchar2_table(12138) := '5F4BA3B43AD2B1AF82A58D6D02B0C7A92056A0042DA855ADCA0120886D4A5081FFDB711E10223282A0969ACD2C082A30D1B8C5876EC98AA4E12849978F763441D5FA81DE8CD049925AF02044B0C1062B908396BAC0082E90652F21D440064E8E959483C8';
wwv_flow_imp.g_varchar2_table(12139) := '088F351217AA925F2D88814598FB4B8BE0D07709909DC278828164421549536512C5A6E43EE44420AB4C6400578617326D9EE578625D4B78EF2A4E2FEE657ADB3BA76EF884B335F5454E8E91130508F00637EE75B002F6CC6AF439E003E7238F57DA23FC';
wwv_flow_imp.g_varchar2_table(12140) := '086A50AB424021F89B92543C1522D68512051208257B34F4595E2107A1237C10E21814A31373C4A406712D6C5FCB90FEA49483B725426E81600419CA70A6231158505794C27BDD2B7410CA91507DC963CF9DC424C2FC9596FF74A2811F2AC948DA8DD81A';
wwv_flow_imp.g_varchar2_table(12141) := '85A2BB68F62C4FE1E551933E0597AE9EB78A612DD35A4E9695F6FEE5B41E889E60E254333D651902726D59F4D20899F81AE0BF411B1A820F9CA8A4EDB3CF02BE87D4DEF9298982EAB3C37A808D6130B649019066F11416CF14BDA1E4EC08A1CBDA34113A';
wwv_flow_imp.g_varchar2_table(12142) := 'EDB722749A08A0F6DB103E6DEA2314C108A356B5A95BED6A5773580223C841A9414D8424EC80860AA100421F623A243730B8C60A2EBD20E2109C123BD9408001445B278215B82E27D49D5D51EE2A3BA420C5264DEA239FE4E4ED6F7B3B0325D0010E7040';
wwv_flow_imp.g_varchar2_table(12143) := '830C64B32C6289C0ECCAE2EEADC0E5AEFCCD995DEC82973B41EF8C339334CD18C36B35DF1B4F77FD4B02F41CFF28410B3851FD400D3F028D70BE12BAB0659B38C52B6EF18B631C37AF9A38000290B48B37346B16EF78C62D4E800DFFE73F76A90BCBED22';
wwv_flow_imp.g_varchar2_table(12144) := '230FA4004131AFB7B368596FBAAC3CE738DF39CB77849C51824086CE9AE506FA2201662760E529BFB9D253EEF4A787D2E94D873AD5A14E71021C29EB07D8FAD6455EF1A880DDEB251FFBC40950960C440028610F7B00A2D2F6AC89FDEB03854C6EBC5B25';
wwv_flow_imp.g_varchar2_table(12145) := 'B6671C63DD834ADC9F221F83D3F3E182551AA0032B787EDEE31FD9900EE3E1D0F8C73B3EF28FF703E52B6F793FFCE10F916044762E5FF9CC833E0EA087C31F484F7AD1833EF5A8173DEB35DF8848C03E12958804251A9109D8CFBEF68DA04425765F89DA';
wwv_flow_imp.g_varchar2_table(12146) := 'FFD7FEF6B78F84F0714F7BDB1B3FF8C96F44EF0111073900A211CC8F3DEC5F1FFBD74F3F12B69F7EEF653FFBEF7F5FF6E20F3FF9BD3F7EF16BBFFAEA4F3FFB63DF79CA2322FEF29F7FFCFD5008CADFDFFE9EF73C00F6EFFFCA23822138C2003A42FC1542';
wwv_flow_imp.g_varchar2_table(12147) := '2120C201DA5F022282FE3520025A5E0352DE1F1802231842055E60060202E6651EE64DA0FF5160005AE005BE9FE5856037B4C6C11D5E3F11DE9FADA060FD430CCAE00CD2600DCEE0C2F5430EEA600EC62000CCA00FEE6010F2E03F08A10D1AA10CF6C311';
wwv_flow_imp.g_varchar2_table(12148) := '2AE112326113C6E010DEA00E3EA113F62015FA201562A1120A61103EE1167AE1177E610D26A1188E211196611656216A30A10FAAE115A261FF3E60860ABEA03DB5603ECD213FD5833CE8E11EF2611FFAE11FFA216AE8213DD0030010E221D2833C20A222';
wwv_flow_imp.g_varchar2_table(12149) := '226222EA613C0C2220CA033C4C621F3622214A6225C2433C6CE23A40A23C7C62267E22278EE2263EE2266E623CA8E22A6262223AE21EC2432CCA22297AA2291E2200CC033DD4C325F2622FE6622EBAA2220A63260E231F5222312263326AA21EC6E21EBE';
wwv_flow_imp.g_varchar2_table(12150) := 'A21EDE833C44E33456466548E3355223A1111A26E621231E62242A623CD083389223249A621F52A22C1EE31F52A25EBDD11DDA510B9E0F3CDED13D0C4DA0E0633EEAA365084D3FFA633FF22340DE033FE0033EB4063FECC33E1C646614644316A43E56E3';
wwv_flow_imp.g_varchar2_table(12151) := '21D6C33CD8434126E445EE83FF3DEED93FD6833DD8C33C80644852A43D74644992E4498A644AAA24458AA42A7A643DE0C33D5EC638EE433CD424487EA447E2A43DE8433DE8C34F0265500658803964511AE551226541C261A064E43EC883532664500265';
wwv_flow_imp.g_varchar2_table(12152) := '3E28653EE8C33D5CE568F0632FEA2256FEA457EAC33E84655846255962E4599EE53E064A457A645BB6E54AC2654872A440CA213DAA8FC2159E5DD6633DCD865AEE236B6CE13EEC60D36CC63DA065425E864366C66166A45ABAA55B2665433EE66452E663';
wwv_flow_imp.g_varchar2_table(12153) := '8E646B5C256266A44D72E63E8C2464E2835406A54F5E6556126541F2436AAAE66A8AC66AAEA6681EE64FF2433F00E56B8AE66D8A663ECC253D094A69F2256718A6613266FF70FAE56554665B02C0711EA73E66465DEAA51C81065ECED173C6D13D28E764';
wwv_flow_imp.g_varchar2_table(12154) := 'F2833DB8A66A46A651A6261806E176B6C645FE26D3A86669ACA6416AA74166A74766A778AE2665BE277CA6665B7E675032E6450A2166E2A64FFA646FD6E6777A216EAEA6178AE759FE643FF043502A680EEA037D42A83E78866554E55582256EFE647E9E';
wwv_flow_imp.g_varchar2_table(12155) := 'E56814E47126E775822668382775168AC371461D9A28898E0F3ED00348C6C33CBC688CC2E88CCAE838AEE28DE2688EAAE24E4E665CAA248802E971EE244C4E6491EEE65C8A6457EA225D26E6D090A6855E06543EE5943666A008633002C0955EA95AE2A6';
wwv_flow_imp.g_varchar2_table(12156) := '7092276272294602657E064A9716273E0A0D22EEE246F2A6FF5F1EA94CCA243F06644072648B7EA65B86E438DAA94AFE2366A460E0A9E8F8C8638A06AAD39C2116BAE11AFE201A326AA33AEAA392E112EE830D26EA12266AA5426AA66AEAA666EAA52A21';
wwv_flow_imp.g_varchar2_table(12157) := '1B626A16A6E03B16EAD10C6AA98E4F3F88C32BB842A68082ABC2EA28BCAAACD2EAABDAEA28A442A6E4AAADBE42AFBEC228FCAAAF0AABAFDEC22BDCC22A14EBB1262BB21AEB2F382B31E0022E0C43B44EABB452EBB55A6BB6566BB5DEC22F142B2DD8822D';
wwv_flow_imp.g_varchar2_table(12158) := 'BC022DBC82B892ABB996EBB8A6EBB9AA2BB8DE0200C4822BC8ABBCDA02B8DAAB2BC442BDC6C2BEF26B2C08C3BFFE2B2DD0822B80422814AC27186C2820ECC22AACC2162C28406C2AA4422CD042BC4A6CFF2C4CEC3000033084ABBE6EECC76E2C2D808227';
wwv_flow_imp.g_varchar2_table(12159) := '3CECC4BA02B802C3300843C712C330B82C320883CBBA6C2EF46BB8A6ACCC0E43C5EA2CC5F2ECCE56ACBC622C28486C2A842B3118EDD112033224EDD22A6DCB1AED303C6DD43AEDD4422DD54A6DCBDE022D0C43D6DE42D7DA82D776ED2DD8822BB0EAC0CE';
wwv_flow_imp.g_varchar2_table(12160) := 'EBBC9A2DB982AB39F4431C0618AA1A0D8AC2EDD1D8E33F30C2B9300EDE6EC806ED2DE4988BDF0E4BEF90D106C59804144881905266594005604867356E05784007B440D05D842D59127459042659EEE4662EE6621246D085046C00056CC0E896EEE9A26E';
wwv_flow_imp.g_varchar2_table(12161) := 'EAA22EE9926EE97ADB6298EEE93286EB2A49336940066C00BAE52EBBF18FC3C49DC9615DFF511CC5ECC80EF12285086CC00AE084063C400428EFF326EF06184598C8CE0AA08008E0000B94EE0AF040F7EA40F77A2F0FBC000BB000F26E00526C808FB06E';
wwv_flow_imp.g_varchar2_table(12162) := '31C505FBA62F051453FC621B54050003C08048759A11E42F11E86FFFF2EFFFBA56FFDA18FF0E700017B08DD998008FD40FDCC00DD880CBED80034BB00DDC4046C8809AD5454B683052D51C0544028095E7DC96A86AE4E5698870A1D4C61F48400B74400B';
wwv_flow_imp.g_varchar2_table(12163) := '8F40078CC00BC3700CBB400CCF300CB7700E2F2E29554086304EE14E00E382800A8C800A18B10AB880110301121F711223316E1D71144BF11437F1143BB143A84003C7C00DC0400CE8800EC000187F71188B711987310FE88017BF80FF0EB0800EBCC01B';
wwv_flow_imp.g_varchar2_table(12164) := 'C3B11BBFB11B7FF11AAFF117A3001B93EF1EEFF10A94400810EF75B1DB20CB4EE9A2000EDC310EA0C022D7C00BE0C017B3C0224B320AD4C0244F320B64EF222B2F227B6F0F20010F2CC10E84321220C10E2081279BB21194720FA0311FF3B1233B721B63';
wwv_flow_imp.g_varchar2_table(12165) := '72B9D1F223E3400DB040258700BBBD4012A05A120073300B73301F411214812F1B33321F73312F333033B332FBF2311FF3AD2541A8855A24B116A861544184DAA889DAFF8A801F80F0093F8A74361C39334A6AEA033DF4830ACBB00DBF703CCB733CE770';
wwv_flow_imp.g_varchar2_table(12166) := '07A8400E83400774160FF7F0E1FA3007BD301133710D2731413F311357B1115FB11317341034346E41B4432331BDC040FF457FF1456374466BB446CBB20E98C01B9B802B93EF2D33721E53322EA3742E57720D282F2017EF4BCBCE09AC400DB0F44CD3F4';
wwv_flow_imp.g_varchar2_table(12167) := '4DB3744EDBB44EF3F44CFBF449AF4050AF002D5F342883F22723C1287BF229F7C012A0311B9740544BF54AE7722E9F344EE7344D0735911CC006F4C0301333581F7312180159037359FB325A17F3AD3533353773311F81FE9A044924105DD775030B8403';
wwv_flow_imp.g_varchar2_table(12168) := 'CFF55E9B840788B33BA233742EDC740676A1ACF33FB8330E13F40CC77063CFF33CE3B00CB7F04A51366577400F5BB6636BF66673B663BBC0670FF4678BB6858876697FB6432F444587F11AD7800EB4B62D935B6CC33651971BB921B21CBFB14863F22C3B';
wwv_flow_imp.g_varchar2_table(12169) := 'B249DFF2FF6FD33470B37408ACC009187771CBB44CFB3456D7F4723B774FF3B456AFB450EFF4233341F73AF5127832287B72537F322B67AF5447350D784C7993F7C7A03773AF009104C50BA0F53017015C27B3AA95F531D377359735FFA65A7CD3777C13';
wwv_flow_imp.g_varchar2_table(12170) := '415CEF777FF74703DBF5362B4B49DC8040C8C00DF0B54960945F8F73618FF0601B9E84CFC661ABB00BCB730D77B666473667DF303D5F36295D363C77F8896F36128F00419B768B97F61203C110D84045DFB16DBBF646E3F845B7361D9B801B1FB22B67AF';
wwv_flow_imp.g_varchar2_table(12171) := '22DFF20BB43625FF762DD372255BAFF5A200932F795607374E5F3573ABF74D0735742FF723F300137CEF1224B5276BB7527F37B9D54009F8F14D9740FF99AB799A63350D30B71401C506EC005823B3599BF57FAB1A59A7DA7FEBB7AA01787FEBAFA801BA';
wwv_flow_imp.g_varchar2_table(12172) := '36473081230B492C1082E7B5BD18787E80C85F8FA885230D09BBA0A4C78652A6B0AC69786333F666773A8A8338895F360ED773A997FA3B83FA8A17B442ABC01020B1ABBB00AC5B88B17C741EDFF88E5F34923F726C3B321BBBF12DEB804907BB22E37255';
wwv_flow_imp.g_varchar2_table(12173) := 'DF741E37726BBFF66C971B0050394D53F2723F7B0DD0C00AB8F995B3F4B567BBB55BBB9BE3322583BB74D33497EBC0752F810E24350F24F5BA7B7976979B575079B557BB4F6BBB7A87005044402FC3B57C4B7332F7FB58FFBBBF1B73C013FCC00FB80DC4';
wwv_flow_imp.g_varchar2_table(12174) := '40C233BABC74DA8EAD04451C04A22710FF1140383D2C65085B3A6948E7A264BC6B607A3B4B403E7FFA66BB40A77FFAAA277111AB3C11DBB0A857800D8FBAA9BB706487F8636BB640477111A3FC69BB40113CF02323FB171F79AE0BFD1DD73846877BB8AF';
wwv_flow_imp.g_varchar2_table(12175) := 'F4499F74B929BB8DC736D13B3D700BF7B45BB95774FB4C573BB563B5D67BBB22533291E3342D73F99623810E2C815327B529F74053B3F2178F3D4E5BFBB6CBFBD6BF79947180111CC1DEC3B534FFFB5827B3C0177CAB5573328B5A35EB8D03C700075304';
wwv_flow_imp.g_varchar2_table(12176) := 'C3373C25F51825B15624A100A4936AC79B8639573AE673283E2418C84BF686B7FC4A71F8C8D370690BB4CAA7FC0BAF1464D7F34AC97C3DBFB3CCC3330E13B13D4BF115B77A0C9840FFB9217B0DD43651E3716D13FD45B7B1495772B01F7B4E5FB58D2379';
wwv_flow_imp.g_varchar2_table(12177) := 'D43BBF6C477D2D037FF53BBDD5573FF027397313B9D2DF3413CCB475F7001388B251B73B29A7FDB99339925FFDDCCFBBBCCBFD2DEFB296F400DFEFBDBF4BF32F033EC0FB8DFE034411810389083462B04892820789ECD81103860713305AFC0002844846';
wwv_flow_imp.g_varchar2_table(12178) := '8C3F6C5C2402C4C68F8F3F76FCF881C2CFBF7AF758DECBF712664C993369D6B47913674E9D3B6702C8C70F804FA13C8916357A14E94B7CF8F2D1EBF74702880E5347741851B5838B205AB4F8A07A156C580B2A5474B03042058809642B48AD20A1428509';
wwv_flow_imp.g_varchar2_table(12179) := '70C34EB57B17AF5DAC55CB5AB540F5AED416685510265B986C0C0F35FF5030D68183310E1C3A6AE8B07CF9858ECC97393B46A10305E41A35588C6E1CBA8664D5AA395F9EDCBAF56AD5A969D7A0311AB26CC98F578FA6FDA2F269D1BE475B5EC2E338931E';
wwv_flow_imp.g_varchar2_table(12180) := '4B96EF588264F972DEBA89AFA0B1A28675EDD789D7281122020311448E1C49623EE1C0240293AC6FEFBEC89181E907CA2F28F0C8C22244D61F04423222134C6861078F34FAC8868EF6338908925288E1060E52A2A7259792BA10C30C91F209A8A134FC10';
wwv_flow_imp.g_varchar2_table(12181) := 'C4109562CA29A8F6AACA850E725863156690B9651800B6282CACAB0A0B668B091A01C70A0946D9C68A117EF945896DC6A9C40A6ACE016482AAC0CA0B2FA9A4EC402ABEA0BCEB2FABB0D2AB03B26040E1B4C62A4BFF4D38C82CABECB1CB60E8EC34D37C13';
wwv_flow_imp.g_varchar2_table(12182) := 'D3371C58C8ADB4E926BB73B5345DB3EC35DD24EB2E351C98906CD0417518F4CFD550FB8C31E2442394072690D361094A995B0253E4FCFC93864E57B0EEBA4FB7C3EE36DB4EC080010D6430CF3CF8EA632FBDF5E4C36F3E5A6B8D0FBFFBF61BE906133C78';
wwv_flow_imp.g_varchar2_table(12183) := 'D0860235C208A4902C22E986185210108607DEF887C296449C96DAA47CEA2728A0F2F1A9DA6EBDBD899E7F4CD42B451F460926984EC498A216656469A4C6ABBA5C678D09C089A711089601001025FEE1319E358600471A2DCC68F22B28E38A0B84B64078';
wwv_flow_imp.g_varchar2_table(12184) := '18E2873B68AB02BC46C8F2CAA9C87AA1CD46710BF4B5E260E3814FCA70680C3BE2E0AC6DB4D240DEFF34CF3C4BB653CE3F7DA32137D662DB344EDA72C36DB748853E0ED3E526E58DCFD97CFBB454A6BB5B01B2EB42608001148C688FBE5965AD75D65BBD';
wwv_flow_imp.g_varchar2_table(12185) := 'CE08ECB0C5FEEFBF655308F622813ECA68071B6E6801225F39A0606E0F1078969E7CA4FD96EFBE5FBA36A8A0FC1EBCDAA5F429312A2E735805DD48F638640F3B5EF9459938CE0AABB071D030831A40C0492018705EA9841A6AA488079C3500596795212A';
wwv_flow_imp.g_varchar2_table(12186) := 'FE6B4B2C87B8822B2D68BF02F7DC71B79D2B1FA4CA7862BC365E6C0594493B3ED0D4F4BC8C079249E64DCCD03A8693CEEA63A639CDD998CF3ED1E345ED14E8C998808DB3D5E63CBEE69E95AF947DE432C574E6F17B5BBA544F474B99E55319C8FFE087F7';
wwv_flow_imp.g_varchar2_table(12187) := 'E05B0F57B8EA9AD70832B6B511EB80171109116C90020229B0201AF9410B04E42B0FCC0D021078000528703768558870219C168704C72D119EF0424B698AB82470971154A011BDC085322AA18A6638C312A3F8852C82A1050BB8E02A2EB04005E2A18551';
wwv_flow_imp.g_varchar2_table(12188) := 'FCEB1F430806284AE709209D230E43508105B6218DA864297653B18016D660062F7ED10C5B00A318C198838A012F4A2A7801F13C86BCD2B469373A78DEF392E631FC01EA67B381D91E27D3BCA4D96C38D90115F856333EF23DA63679549ECF0275A8E649';
wwv_flow_imp.g_varchar2_table(12189) := '8A68CD4B8E65E8C89BEE94CA3698545F76A6C6001DB80A805AD3D5D7C4B6B68F5C0495A94425498020901F38B024ACFC4F8228E8FF015B5E706E1CAC9B07A3C51214FE32431D121C3089C9131522EE7753F1012E64818B608C4215D144C52A76188C4A68';
wwv_flow_imp.g_varchar2_table(12190) := '498857000738AE708E516CE1489D93C538D6700E1FFC631B9E088634C0018A09A0B1035AD842EDB6F005DAA1419E5CD9C23CF769861C70099E2050230AB023AAE809323B9179CDF6CA0719823E343BC65B596FAE8727D6DC498E94728DD2DC24AA84A62C';
wwv_flow_imp.g_varchar2_table(12191) := '8E8E8C8DCF302A339B298F52CE9314242F23A99D7D4C9377EC0E644EA0010694E06A0024E0ADBA564A04AA729564B348825CE9C0602588962948C12D6FC9010970C0A950F54002EEF0C19558A89859C589E0B005006D9950AB6185C9319F92B8A954C00C';
wwv_flow_imp.g_varchar2_table(12192) := 'C168663048E18C5AFFF8A218B8A866EBB2529521C84109235883052470857D2AC1075F18821954B08638D82E0E6B680B3CF7D90859DCC20C9EA0C6161A810B2B00421AA370EC2AE2B0852158054A599C8A4051E001837EEA34C56B549B58109BEC31A678';
wwv_flow_imp.g_varchar2_table(12193) := '9F12416C694B50D5464F32ADB5E89C4A23A7A465B4A1E7F39E6D3D7A3F9466D479492BCD9CF0A45BD710E7369691942423B53D43660F93D7A91FF8669A1A1A4C0D033BC8E97C06A836B0997758C44AE5B1FE6392901468A83738560B1CA8D465D932AA51';
wwv_flow_imp.g_varchar2_table(12194) := 'BDE07E39B0DFA9C2A11FBDC4AA5809BC2DAE66CB43050E2B59A192CC09ACC15DB870663154510B6F0CA999B2B042058078B10958C0026B11625CA8D49677BE45FF02134800C2009A97792E831A5E94463C0051092055621C71900538C2E84FC0FC382F55';
wwv_flow_imp.g_varchar2_table(12195) := '694107C0242AD9D696B6A8856D6F5FA09AF311D7C8518EB2A3FCC45CE9E1893395CC2DF28C2B65DC4857A5740CDF455F1A274A42D28F227D9EFC861348C8DC316781A241785870B5F4744D3E002C25D8827A2C009804D0EE0D162B39D28290345040177C';
wwv_flow_imp.g_varchar2_table(12196) := '2A059ECA8109F8F796BE4AB4091E0060012BB8C081FB49E0C08AE9AC32D8AC1D98801C94410A74AD229ABEF0852C76B843AF80053187418B0B3A5C16B25069881503015F92991779AE811ACAD8913470D10865F8A012E090435AA9B106CF02D449574A0B';
wwv_flow_imp.g_varchar2_table(12197) := '07081A022947F9042BD88041DBE864D85E1BDCDCFF6E4C20BB83DB9052B27CA971D9FDA05CDC8536CF8F3C00E4F2C877D22F23C77D727C64252DC932DA948A0963F6EED428B003ACBDAA807B3E257B8F15E8402728964335F4042D086989986059159C08';
wwv_flow_imp.g_varchar2_table(12198) := '0C60C0AC8950C0D2F8D89BA7C37A60AF769AE4C00475322B808553FF410B6250831AC480864C50B37598BBD8146914AFC24CEC618BEDB9967C6D864AFC68199905C728C0118764C7C1133806C416FE095AD08A162B2D00C106B61DE576AFA004D9CE76D7';
wwv_flow_imp.g_varchar2_table(12199) := '3FD55BD2BCF953624F7BB88DAC4940354AB53A43F746BBF3C66B8F7BA1603E53426316D2E7F9F651C691E34ACFDCD084C62990708ED3091810011EDC2723A4FCE92A0B84368780A4F29547EAFFE6E1D6021964FCE202B2EF805200028AC02005A8E738C7';
wwv_flow_imp.g_varchar2_table(12200) := '5B007268E1A31E2B4979C901A7E9D91773E576A9C0322B71052B58A10AC1974215AC6086555CB32E20AEC014415C57D88D402A1398C05B801EBC86C52576FB94C328E2D088355CA1117288FA1A4611F5444CDD0C9FB57AB4AFA4F510585BDB6B5FFB064E';
wwv_flow_imp.g_varchar2_table(12201) := '70826DD37FEC9F8A68473F45FF15D49FEDAEAD539AE64DA66C4ED0CDA5EAC86596EBDB5660B64AA031986BEEF824DBE04CEE80ABB578AB38F0CDA5C66768160A07AC03F19E863B9E065550800818226CD4663FD44B953A22418A450661B058928ABEEACB';
wwv_flow_imp.g_varchar2_table(12202) := 'BE72D08128A2057AD0D07CD0815A60F5288203FE801FEA612944EEF6B2CAE486FF69097FE99800A0C1F0A212D6E0F7B8A00CC6200BADC00BACA012B0E072FC620DFEC00C2CC00C9C4D0B268076E2C00CAC600B5AE80CF30A10AC900D7D001000E10AF0A2';
wwv_flow_imp.g_varchar2_table(12203) := 'F8F8898CF6499EE6499EBEC060B400885CE82ECEE82E5AC00336E0FDFEAFFFC04EDB4E2004E86F12EDAF122191A02090B6B6ADFE003000B5C3119946FFB083B86C6BDC26D03578AB661810654AE0B61A09365640032A500475A692326335A22B39546A39';
wwv_flow_imp.g_varchar2_table(12204) := '2E857BDA8C360A4A1447A369502503766057CECBBC800A082A0F080C4D0536CF06A2511A7B70F4ECEBA8A4511BAB51087B10064CAFF5000C099762C09EF0849A10E5FEC609CDF126D25127724FF772600BAEA00ABEE00DDCFF000DCA800BACC0AFEAE262';
wwv_flow_imp.g_varchar2_table(12205) := 'E0650DBE400E3C2B0E3A208C2AC107AC200E24C00CF2F0B0CCC00EE5C0F7E2C00E11D12A7260087C60083692233BB223730008D088C410511119510326B112ED4F1219F1FD5AD2253F11FF3CF1134545263DEAEBE20E15FF88A2E04EDC72A3A5CE44033E';
wwv_flow_imp.g_varchar2_table(12206) := '801641EA35928BEE0489062C05539612093205CCD4270445D16988A3A61AEF069251194F299568B00769C907BF122CBF31E32A089690AA6D90EA19A73141A8D10739AE824000E400601C55885ADC911D6142D3FE81D3F8812FFBD22FFF12300353300793';
wwv_flow_imp.g_varchar2_table(12207) := '3009F3E48002310B533117131FF8011FC2A5C1CEA862264021ED490AAE900BCE1008B008B4E2400DCD800DB7FF288CEC3007AC600D24400E2A2001B080B2E200FCAEC0052A410E7C074BCC02636AB3F95E079E1626303C40034ED2255932385192118B73';
wwv_flow_imp.g_varchar2_table(12208) := '121D712891B3133B3114691214D3AE260B6AB68CCCB68EAB64764351DE44900CD03A2D23047ED313CD8C798C3235A2CC5290003D8BC62949E651A04B04B343BB5266053E80CE8C20232C22815EB0067F102CC152A9BEB1822482A96C09E372D01A7D10A9';
wwv_flow_imp.g_varchar2_table(12209) := 'DA72222A8ED2E00000E621091B93D3269442F912C1BCCA2F3114431793433BD4433FB443F8A1ABD6F12E43E870A4302A16262E422C07DEE0E85EE11534EB0B52C4103BA011820010EEEA0A46C00540A1341BC105C0CF20E9B022730048ED5009E2E08CA4';
wwv_flow_imp.g_varchar2_table(12210) := 'FF644AAC0E9E800C3078736246000624E003BE134B4FF2248DD325BB3404F2CF11BB8E1329511297D3C892F3FFCC7428DB0D651A237B90C6A20AF026F12EEF28E337AF94167DA335C4AC3166CBB674A0297BA02903B5525CAA7B6E66540669342431020E';
wwv_flow_imp.g_varchar2_table(12211) := '60037AA0414C826CB6B206D5F240294207950A0402D4961E4DD138080238C8E208D40440C06C26ADA9FA2B019E652ECBB144FB46D34634C15E956F0C073253746256542E2660080C661E55A0022C00046E732AAE00223FD30A2C200F5D208CE4F10AD470';
wwv_flow_imp.g_varchar2_table(12212) := '0B5C40057CE09DC46808366C47A9445B85D5629EB4C5CE4A322B60043C4002B4F4FD7E135DCD555DBBD4FFC054ED56A011BFF44BA3335197FFF34BA9F3EEE20E64DE144F4C23C9A8735F5B6305302028E79516DD1436DAE4B6568052D21309F04DA5DA13';
wwv_flow_imp.g_varchar2_table(12213) := '514BF036B8ABA630E0001C8F2406EDF26010A9D8B21B316E5351554099EAA920400240358334E80156368338E8A99ECA535315AA7469555522095D9556BD2556116C5B76B66F6C1545AF6F61726D88522CC5948F58CFEAC3446DFAE46262A44FD4E04202';
wwv_flow_imp.g_varchar2_table(12214) := 'E082614020C55454D7B4B549BD15DA3086C472B5033C0002D0F53BD3156DD3F5FD320025ED2FFEDC36FEDE8F2597935EB98326E5F55E3FC515F5B6B61A65B9AA6CCB520B12F75604CEAE4E2DA3A63E0038E715B550E0053223330417CA1AE33906157E0C';
wwv_flow_imp.g_varchar2_table(12215) := 'F5ED4645BB3AA5DA32203C10FFE005CE721BD5D22B1DA8543BAE544BF6969E8A5C9D8A6E42F56461D6652900769D8A5C6FB7BF38487775C983EAC13195106861557084C92E833744A2100E7055452706C4FEC279B5E84AAAE279BB3557977737CF0A4AB2';
wwv_flow_imp.g_varchar2_table(12216) := 'E48CB4177AA7B77A2B86C4C8366DD39560C77771DF4F4D639212B99471A32C3EA1D360EB2FECC22EDCF08867C08D7EBFEC7075E03B09F6250196324003B5EE0E39A0A329D38CDCB6936F5D91814F20036CCA001000056EE06DDE6674811040970A0454D7';
wwv_flow_imp.g_varchar2_table(12217) := '966236666F17849B8ABF06B4E26A366577577739E06E00801E72D67885F7E46C0F858A57AC0C471E002079C5167C99D7799BCF6B334645E1027BAFE42F74737B83C72C86FF987B93F879C177792B8076D3F50134608A358060CB777CD996FEB6381255F2';
wwv_flow_imp.g_varchar2_table(12218) := '4B59128CE5F604F636DCCA541233E0043840DBF696811918EC588BB7968BB95880050617ECEEEF8DCFAD7C36E03731C0250F164C4083311EAA040A194CCE470704153A8EE3793ECA8DC16E7EE9EF3B3680026C0A010CC000362005DE46065AE06DFAF306';
wwv_flow_imp.g_varchar2_table(12219) := '3775A92CC8573678406F69534DCFF4566FE3562FF5EC4B407389766937544375777929427FB62768621D69F8850D0C00645597BFC5973D4D6893B7618267877BB87933264B96162F54F4699FF436AB197A93189B8B788886C82C46529935088BA7380234';
wwv_flow_imp.g_varchar2_table(12220) := '609C31E001302002AEF88ACDB64CE55538B5783851326FCBFF5812BF548B8B535408F71159EB7858EB648E2C4CE15602EBED620BB6250DEAA1924C040C1905E6A4C91A163AFC4834AEAD90EBAF3833E00122200210E0920D00024CE0066CE0F394EA0643';
wwv_flow_imp.g_varchar2_table(12221) := '19F54A59404539D1964595B56E1A7740051C420542FA061CA2406CBA816C09853588023688837C9A830C006F40A8278AF9977382D384D9A88FBA28F8F244DFA0852453896D93AA9F1763A0392F16E66977387B99D9AA7B9889ABDA798395ACB75957E362';
wwv_flow_imp.g_varchar2_table(12222) := '0232089DADF89C1F8001500503D01955D2B9F1D2799C7F3303F8D87CF75A6EAD0D4DB3A3FE5C129EE1D6C8C858C9DAD44D72A34D1DF0DA0C97A0E3DA5C1B7180B70DFEF416021B7A373243508F834F14FFF84C273903429B9C190001489BA31FC004465A';
wwv_flow_imp.g_varchar2_table(12223) := 'A930EE9443B8F450AF2BFB53058060B6A371075CE0F270DA6D8470A972C996413503783AB8835B7785FA83460E4396BA44F7D267955B279C7B09F5E11EFE2187C33630B816D7026AB4F222D7D09A3787357BF1E2AAEDE299C9BB9BBB5B6BCFFA2D7ABAAD';
wwv_flow_imp.g_varchar2_table(12224) := 'CD1955CE393CE03A3C1AAFAEC7F9AE35A092D1168BB5948FBFD338BBCE4F632B132DB1128B738CB7ED91EF2EA1A887384AA378DC18024B80340E907C4AC08A1F1838C9EEFE8ED31545004CCEAE358C866448E3C1ED98FED816C33F97B4493B012820B553';
wwv_flow_imp.g_varchar2_table(12225) := '0FE32CE883F14B0224A2F3621095D0129562DA05204E0835CE96281966871C5467D9C829FF2003386803849A85899AA94728704274569950C1A49BBA53549AE5422ED4A2023C40CBBD7CFAC0BCCBB73CCCB57CFACE5CFAD23CCDD13AC486E8CCBDFB69DF';
wwv_flow_imp.g_varchar2_table(12226) := 'DCCCE11CADD5DCCEA56F57A50F02122001A8C6CFA9C600FE9C01023D8207BDB4573C02122002325AA3355AAEC7798AC5998AD135AF3580EB36A0042E1DD31931B4455B03507C12433B04F27AD44B9D6D43607EC77870211C920B19D30B19D60BF9005591';
wwv_flow_imp.g_varchar2_table(12227) := '8E45809CED1A8BCF96D2F37A8C4B4004E8388E71E0059A474E327D12B798D4435BA3011D939B3D8213E0013C0075998A6E5897544D2F080DED8285D094C9750324A065775A83C67DDC5BF601CEBD65230002161DDD212000DEA0C991FFFB9739EDB9913A';
wwv_flow_imp.g_varchar2_table(12228) := '70945A44A05B26F49D6FF4211FFAA1125C60087280D604DE058040E08160085CA008127EE18740E11DDEE08B00E117BEE12FFEE07F0E310C832CA4F5303CBEE30F4305407EE4451EE4A515E54B9EE4D162834D60C3E5F96CFDFBD8359DEB4460033820D3';
wwv_flow_imp.g_varchar2_table(12229) := 'D5188FFD5AB644C0E77D1E05801E4C1ABAB53643338EBEC9845D35929ED6E584055E80B72017E98F1EB838E371350372B39E0786BD7984A007BCBE077A60EB835E8D85FEE77F9D8E3303DEC49EED7940ECBDDE8FAEFE71B31EEA6DBED393FCD2A1AABF26';
wwv_flow_imp.g_varchar2_table(12230) := '22063AF9933D6FF30A44950A220994200986A0059F51EB0254E31ADFF11FDFF15920E3A0DE5732412EF5C6979E1CCA2FFFF4AB32ADC0FC5D1FD4011CB6611B469FF44D7FF4BBA11BC0A11B4A7F1B56FFF559BFF4553FF559BF1BC4611B701FF7595F1C6E';
wwv_flow_imp.g_varchar2_table(12231) := 'FFF5551FF883BFF583FFF755BFF8871FF88BFFF8851FF955BFF7C3A11BC241FAA79FFAABDFFAAD3F1BAE5FFBB79FFBAB5F1CBA1FFCC35FFCC3E11BAA1F00C67FFABF5FFDC361FDA5FFFBBBBFFCA73FFEB7FFFBA31FFAA5DFFEA35FF5A13FFAC50120C475';
wwv_flow_imp.g_varchar2_table(12232) := '13282E9CC070DD102A4CC85061B8871015027018B1A24575F4F2E5AB57EF9EC68F20438A1C49B2A4C9932701A05C3912804B00FD5EAA54C9B2A6CD963773EAD488AF5F3D7AF3E6C5131A2F9EBDA24487222DCA34A8D2A643834A9D3ACF5E3E7CF6A84ACD';
wwv_flow_imp.g_varchar2_table(12233) := 'AAB5ABD7FFAAF6C28A1D8B2F5F587C58EDE9D3C7911E3D7970E3C6DD278FAEDD7BFBF2BEB55B576EDDBC80030B064CEF9E3CC386F725F61B17805FC36FDF329E0B976EDFC99833CBBD0BD8EFE0CF82FB5A1E7D7973618EF5CAA21D2B34693C7AAF9F22DD';
wwv_flow_imp.g_varchar2_table(12234) := 'CA7A6A58D43FDD72B4C7512BD378718BCA033E5C72C67B1C3DEE5CCEBC79F3973101F09BE9BCBAF5EB23F969E7B7B67BBFEFDFF9D9EB377EBC78F200EC493F5FBEDF74EEDDD75E453DB6FE6DDCF8F3EBE75876BBFFFFDA6974CF3DF12936E081A029E6D6';
wwv_flow_imp.g_varchar2_table(12235) := '707C35385782820D488F6277FD95D7657601609781041E38208481E105E23E1A7A98D8858A1D56D85C13EAA59967A2C5685761137AF8566E6EE5881BFF6F3CD6D3A358FCA185638E4446B620910014A96464C3C165983C4CEA366072D8556925733245E7';
wwv_flow_imp.g_varchar2_table(12236) := '523E3461D7E5975D8214E695D805884F7CF1A1A5E69A6CB6E9669B3EFEE8E39C3DEE67677E6501F0E69A1F7D68CF8065E1E6D63D7FCE738FA1883A05DB3DF1307ACF8475E145204A12BEF56861977E28A28C91EA59CF46FA6C44CF904B5EBAA492492689';
wwv_flow_imp.g_varchar2_table(12237) := 'E95EF40060E28134624AA1A4140EB6E25E50C295239445CA432A9177E2360F50FCA5D6D6A9C8E6D6565082EA18EBA1A6BA858F891F7D49E6B5D86A24D374D465BBDC98DEA2F41F9A680268AE7FEB6997EE4BFCF094DA9EF0C6DB663EE84A97AE7F1AE505';
wwv_flow_imp.g_varchar2_table(12238) := '123EFB8035D63EF6D9F34F3CFDEE43B0FFA1080676155A28614528A1637DB8E1607ABA991AA0D3BE7A60C0F6CDE363551E83A5F19420736C726D5D013555B0F4D1E9F28FBCBD2B2072A8798816C0F7B89AB3CE1E9A0CF15907AEA99C87E1169D2DBB5B82';
wwv_flow_imp.g_varchar2_table(12239) := '6B344E4BEBE41FB96B9DFB9EB9F7AEEB5280F44A8DB5735A0348AF48F2AA299E3D63936D553E6B7DC6DC81F9482C6288EB85A4E6C8AFAE79F2C9627ED4E6DD7C8B0596BF62D17D4FD816F7B730C326B904B53EF76E7713CD1E29AD74D39427EE9296DD92';
wwv_flow_imp.g_varchar2_table(12240) := '19E6E4952F87CF9147FACAF2E8A4977EEC92A6A7AE7AB36E39161762AE1A4924AF45E2F86A91AE2729AC54C8F6EE566CB0050F7C6C0000EFBBF0C8C7F655CAC3077FFCA8A3030BD4FFF4C37A2CA79CF8189BFDF6DA779F7D47125ECAD1D76D0F1812E75C';
wwv_flow_imp.g_varchar2_table(12241) := '9EAF6DE7466F9B34FBF0EB44DD3FF4D76FFFFDF60380BFFEF8D7CF3FFDFFEB9F00FFF13FFE191080031C600013C8C0063AF081106CE00223D8BF0952D08214CCA00637E8BF041610830C7449598816BF12B204692F31A10A51E22A7E9423159EC8442422';
wwv_flow_imp.g_varchar2_table(12242) := '41091A46428633CCA10E77C8C31EFAF0874094210032510922CAB0129E00052892C8C4253AB189507CA214A39844252A3115A0C0A216B368452C7AC213A1006326429189329691123544231A6948894C60D18A7074A21CABA8443AC6F18E78CCE31BF318';
wwv_flow_imp.g_varchar2_table(12243) := '4700F0B18F7F0CA42007494838C6308645446226BEB8C8437EF19190FF44A424176944494632866634631B17290E9D816F85A06CC9E5AE86BE5096D25B8FFA872112808000B8F295B08CA52C6749CB5ADAF296B34C000576C94B0850E001BF0C262F8749';
wwv_flow_imp.g_varchar2_table(12244) := 'CC621A93021CD8653291A94C0A486003C97C80010840800350F39AD7B4A50150C0010F70A09B1C10C137BF094D0E94B39CE34CE73725004E6F82F39DEE8CA73AE749CF7ADAF39EF8CCA73ED5C9CE7A42E0010840C034A7890056B2B2A008352842038A80';
wwv_flow_imp.g_varchar2_table(12245) := '6B0E940006308040230A51884654A204B0A51F9204B9507AB45A2AE156FA3EFAD154C2019A17B52846B199516A3E74A0178D29455F4A8089CA94A1383DA8406B7AD09816340109D8800D62708316101506308881FF52952A83A63A550644BD8154A74AD5';
wwv_flow_imp.g_varchar2_table(12246) := 'AA4AD50637C0AA56B3CAD51BECE00622C88058C79A011198D5AC1C98284B0D708008F0600746D8C10FE4BA83BADAF5AE78CD2B5DF73A57BED675AE3FE8AB5E014B57C21AB6B0883DAC62F7AAD7C6EEC006908DAC64274B59C7DA400630F0E630BFE90111';
wwv_flow_imp.g_varchar2_table(12247) := '78A0B39F15A73CBD29CE649A96B39E354167EB49810820800105BD282BDFF08FD37484A41EDDD27422975BDCD6E31F7E0068005AEACA8CE21296D41C6E368D8B5CE526D7A13055694B2B3A4D6C26D40437402A524DC0DD1798C0BB2F78410AC42B5EED2E';
wwv_flow_imp.g_varchar2_table(12248) := 'F5BCE84D6F0CB49BD4F5B6D704C98C40043010010DC8B704E14D010BF49B01F9CA170211E82F0356FFE0D5AEF6C0AA084EB08213FCD51B4475C1108EB08427EC60F55A98A95075B08663E0541884579C0F08313095594F6822139DDF3C3132C3E95916B0';
wwv_flow_imp.g_varchar2_table(12249) := '60B5CBCC00332320D194D6340068A8AD874EB9121EE3B6C72195C98F43891CE04A73B8CA2DEE718BCBD26CCEB2C950766993535A5D9E1A20011CD0AE0960C0DD2EB3A0BBE1F56E0AB68C54A596D9CCEC75AF7BDBBBE6A452A0A0FDA52F7D691C81127036';
wwv_flow_imp.g_varchar2_table(12250) := '054218B3074CE0620F9480052B084181B13AD50753F8D0543534A217CD68AB5EF8C24D25AAA4398C5919A4C0B3DFFC676B81C9D970BE539D2B9EA76745C0670FBC78D4291E3105605BE3EAB6B20C492A9F72D667131F0FF98433D9D2AD415964FF380854';
wwv_flow_imp.g_varchar2_table(12251) := 'C9C45DF22B9B8CE4584E37CA15B568029C4B800424DBA507850099B7DC65EF7EF7DAE34D0197D9CBDE3DAF57CDEB35419BD92B83B4BAB4BEF3C5400660DB5FB17240BF1C284109FC1CEF13D8F7050E466AA3132DE107C360DF0007F8A3075E614A37F505';
wwv_flow_imp.g_varchar2_table(12252) := 'DF14C12E23F00086279CB5CD4CE78B274EEA515BBCB41B08B18C691C539706A00C3AA6D2AE4BF83EE9586EE4452BF21D9CCB72613797B8301F36928F1DE5692A39015766365009F0006A6F9BDA5F16B377B9CDED189880021EF87666939A59326B37BC47';
wwv_flow_imp.g_varchar2_table(12253) := '7F684D35A06E75F797A1F2152B02022C6F79AF3B02A9C6AEC035BC60A54AF5DB01AFB0849FCA76195CB5AAE925BB99270D69B653FF5A04210EE706FCEB70B466809C1B9071E0292063C2B3D8ACA776B1085870D6B37EB3BFF205A88D211A8031E8986D28';
wwv_flow_imp.g_varchar2_table(12254) := '875FC933AF427AFCE30DCC0EB6CC971CF3E6CEFCF435A7FCB09D5DE566E31C013E8F3D77B3EDF36D137DE9EFE5EE7BD1BEDDB4B6BEAD19C0000618C00089E214A719F0FA09E89B016E2640044B4D3B84CD9E6F454BBFD0F92E73DB9DAAE0A5B6F7CCEB3D';
wwv_flow_imp.g_varchar2_table(12255) := 'FBA3B72F03132CDB00E374AD6B37B0780F083EF0C9DCC0E0098F4E71A2D5E2E1242D8BE31BD0865FD49A11F571499231B3C67994B37906183F9E870601505DC5E6722FE764A8975C3617736BC55CC3855155C64AD39465D436665CC667D5A66DB5777B26';
wwv_flow_imp.g_varchar2_table(12256) := '886698C5010FC081FFAD474D07F001C2C70007D082D4C47563C57C3A6002D004036E777D09467DD9677D53F5554458608B16691C265532D0033D486168E6730387616CF70214404D08804C19B07508F000FB4701E8247F60E8855EC80132B64FE3B401AD';
wwv_flow_imp.g_varchar2_table(12257) := '25500CE05A3135839537802297804D5372B6268756E27965D072B184002D900440E00110286CCBF5803585810DB853D0867304206DDBF573AAD56223E87426E8744607032900552FF0002C07656D455F32D87A02156037180107700027C078A496613E88';
wwv_flow_imp.g_varchar2_table(12258) := '60D117840C765746E8834BD88484F683851685E8E554EB855978375C23A67E57F862E6146A7F378C68084DD0246365788CC7984EA5A582F23551AF655312F571FFB5C52176B834293413ED928D94D32A796800A7E74A098006AF300DD5F00BCCE0094A50';
wwv_flow_imp.g_varchar2_table(12259) := '4B04200C3B4000B4600ED71062E1C00501400B4AF007EAD00D266008EA900DD3857A01F06BB014500FF5530D057B8D486DAA8502DC35717BD6653FC76D6416031E108A2116010E456C14F800C4C756D6548AC4278AF2558A06C00063B85FFAD684AB287E';
wwv_flow_imp.g_varchar2_table(12260) := '0FB66551A56878158BABB88487868BE9156948250354D85006C07069F85A14C00264687880878C7F3778FDA5710FB071841795E92456D1288D08C9569437061C8579DE182E7458875DE91C9E37060D986419E501A0300DBFD009679004B5A00CC96008E2';
wwv_flow_imp.g_varchar2_table(12261) := '284B04C00E47E00AE16002CF100D1EF00FEA9000FFE25006A9800C0F906347C005CB0673C13697C8C55C1085881ED8655DF65926D05463C65D13A97B4457891C208E53C65266995107407CC53783245992C4578A28595F1CC002E2956142787DAD588933';
wwv_flow_imp.g_varchar2_table(12262) := '49765E058B45989B2F19613AF9682F200210608500C686AFC5013A588C670886CA8986CA184C4FF99486B79CBF9485D4C85014F56A04444261892DDBC82529B49DDEE2795F5096C59600E7C80C91B0077B700887F00AC4300D70F064E15006E1600401F0';
wwv_flow_imp.g_varchar2_table(12263) := '03ECE005D9B08ED7300699600FB7A097E99087CF257A2650048165573F500444400445F0A00D4A0449400455C005163A0616CA0518CA054AF0025C666D9219A232A95426D04AA1876CCB554DFFC5C7562CAA9A32A89A2969001AC07EDF456937E0922F19';
wwv_flow_imp.g_varchar2_table(12264) := '7DE1266EB7485545388405F6A3FB86934ED89B4B858432E001014800119086C57785688562F2674EC8484FF2278653AA4E19C770D1E8531C4750957779E6039E9AD39DF6926B642A2632B1A66CDAA66B3A96C5965C80300DB8C00C8DA00ACEE00C9B000A';
wwv_flow_imp.g_varchar2_table(12265) := 'BF800BBF9004B3A40E5E200E94100077500E36500E30700DFF2005A0300C1EE06C65D00F80FA5CC506014A50055590A99C5A0552A0A999EA055620055EA0046380066E50066580AAAB8AAA689004D716A2E6156E9A1562883873A03988C6E5522209A3BE';
wwv_flow_imp.g_varchar2_table(12266) := '9A92C4470166B565299002E8C59BE75570B1A9AC0EC65DCB2AA4B719A436B99BFF8E66A43BC902ABF74B0889008B176A9E464E546A4EE3647F87D7598E87560DE75A5A3853C6C7AB61DA2ADF591242F61C6E5AAFF63AAF65BAA6E973AFF74A126E5A6BFC';
wwv_flow_imp.g_varchar2_table(12267) := '1AB06D8A1D785896C92501B7F00BC3100CA3A00A0ECB0BAB400CB8100C8C104B37600EE140005CB00FE1200F65C001FFF00055F00F5CE009FD700B86100ED7900D30006CC5B601495004497004446004316B044AA00436EBA94A700449900455A0AA63F0';
wwv_flow_imp.g_varchar2_table(12268) := '05432BB465F0064A20A2EC055FD1D45027FAB47A8881D2659A23195325C97EA456ACC64A693A097ECAFA685A56660A06ADBA09AD14B655B588ACD6CA6D29A089A1B84B0819019826AEE994A5744B4F67055A68155FEA1A50FFAC3650406985EFEA2AAE92';
wwv_flow_imp.g_varchar2_table(12269) := 'A655C2A6FB2AB0032B4ADA12AF40A6B8904BB0FF309E73995156C00CB890B0B8500BB5E00CC5A0B9B2F00ACBF64A112005A32B025CF0020599041945045C68055EC0014AC0059A6881AE4401496005CF400C990007CF60087E600B9EE007C8E0095590B2';
wwv_flow_imp.g_varchar2_table(12270) := '5C0007D1F00C91E007CF600BA9600B65400C6F5006B0DA8821E80114807384786CC396ABC9454BBCAA9AA619A3291960ECF7655A9B544878ACB6796165C666E7B55D3C9A54636B93653BADD47A8B6B1BBF30107F09100110409D065056774BA5818762E3';
wwv_flow_imp.g_varchar2_table(12271) := 'FA8CE3BA7FE6E45F09005B02B5AE5227B89687293993796302963981B8B906B9F87A3EF5DAC1201CC22261AFFF6A5AAF70EA9919F505D390B0B7900CC5500BBEE00D7D8A0B7E4A010F387A3B8C4BA5C70149C005D9E007D19009F3890CD3500591200E7E';
wwv_flow_imp.g_varchar2_table(12272) := '2005C3000F7F1009C3900ACC700D913006AE600E9E900E7E50061D0A5F9F055006D9C3D8646C652C814F2653314A9A6B9801582B66DA26BFB868BFD60A8440B8BF5695BF45DABFF1DB5469B58500359A0FC7C076DBC0E44AAEE55A02841701015C9513BC';
wwv_flow_imp.g_varchar2_table(12273) := '53AD178017AC9D265CC2967CC9BA96C21C2CC21EEC9D1FBC8D992CC26A6AB823219EE4298E68F0C2EAD8B09FC0B9B7800C7D3A0C13606CA6677ABB2AB5E388BB56100ED970077E900D635005CFF00C9400CC6F200EC4400C7E900ED7C00881A9044B9C09';
wwv_flow_imp.g_varchar2_table(12274) := 'FFE2F0066390041CC07AA0A964B44C97966AA9E26BB5C0FA5A0CE7C628E09AF965AC720CB64467025BBB661676766A87C7BB59C7EEEC613EA9AD5CBA85875CB7F5647FFE0C63DFDA5AC0D8B75A18B80E859D185C80A214CA9AECB82C34C22684B8EDD29D';
wwv_flow_imp.g_varchar2_table(12275) := 'A45C258F02006459B90170B9C4E00A7F60A16510CC681009AF800CAE30BA8128BE3F5C0463100E99500D9E900D6510098C900DA0708FC3900D91500EB6300CB6C00CC3300C7F400BC890048109AB061B7ADA2C888218518FFC5A01BC4BEC676ADF7566ED';
wwv_flow_imp.g_varchar2_table(12276) := '0BB6E3F6024D95666C06930F76C756358B43CA8453457E385AADF40C7EEB255E47C7C86E6D000FB0CF0CDCC0E65AD7FEAC4E32D67001C5C8FF6B885355365C0BF986094DC20C9D37A2EC9D29FCD0887B346B3AD1DD58D15762CA184801BF90095CA0A99B';
wwv_flow_imp.g_varchar2_table(12277) := '5A05A2EA0568700B859AD23DFC64B79BB37E9004D46C087F00079910CC8660088C30064400076F70D970A004AEADAA4A70079A0A888A89CB86684BBFAD4D0C457C8D2CD5C3FA5D1E9ACE736C6698C58337CA613A1A9B602DCF374A7ECBFAB5462AC748F5';
wwv_flow_imp.g_varchar2_table(12278) := '9BDA3A8D0860C073DDC0A865D79EF68CCA9801CF198DB0D5B7ACF65C4E6D8D830DD9D6D1D8882DDF77F80F192D737EE00755600563A0AA685006165A059450A9B054063A2C053D507904C0017998040660024F509055E0061CF0036E600244700752C098';
wwv_flow_imp.g_varchar2_table(12279) := '0569B3124A0447F003466004FF12AAB33FEBA99B0AB4405BB33FDBB33D5BBBE3F872A07D4B8FC9A5013C62F9476AC8ADD63A995DD486701CD0DC3C187DF60B776A276955D5542F69D6D347CFDF3677DBADBD62CC71C23AC8EA74C89D756AF7F7AD571A95';
wwv_flow_imp.g_varchar2_table(12280) := '84D770015CD088784D813DC95C69DFF44AD16A2EB9E369880FF0055ED0DF77F0066E8006C15C0655304B90B0E79070040850066545091BF0051150047958052D5B795C60005CC0021FFB80702D62942E4CCD04D062484C0DD5CD7439E3359E64C6D77095';
wwv_flow_imp.g_varchar2_table(12281) := '5E7F549DDCCA4D70AA8570AB95021BA05AEF2669475EAD08C67D4AE8925FD50384D6605675600796606CD77D509E5E49055FDDBD53C8D9CFDD6471767DAE531995E89DAEFF7E8B90CB15D8931ADF6D8E252874EDD8F15B64F9DB26F007210DBBFE3D066F';
wwv_flow_imp.g_varchar2_table(12282) := '70071EFE4A6320054630063FF004E92E025270046580BA6E70035E40004F4004A41A0055D0C4A16DE366BEE986E898BAFAEF9FCE64C6B775A2AE71529D709078CEC5AA9350657422708996E89315EF5D5B7D66481E7E519561CD5D69E50575A536B79549';
wwv_flow_imp.g_varchar2_table(12283) := '551DE693DE25910C2CAC6E3793C1CE7426A8701CD0B71D88ECFFFC652F86025B8E7F0FC7945109ED125C8107FDAED8A8EDDF92ED9B8CF420914A943B4B0FC00599400BB600BD866004C14D0065F00365C003FF4D0463F0044AC00194A0D94AF004475005';
wwv_flow_imp.g_varchar2_table(12284) := '4920055C30E15CD003B16BF0662C5340657CCCE680B62B7AFF9F0E5D7E1BC1393E9DBCF4ADA61674D9A66D4CD59BE4E69396C6833E7991D2FD6F61CDB468984C85174C19E04BBBE401904FA267C84CC574F9C054F18916EC16C6BE0A37944089B7E53D71';
wwv_flow_imp.g_varchar2_table(12285) := '13576A14877FE43A4C1BA7D7434F733786E663CAF4F2434A26A7FBCCC1ED724F0144A004490003E71E4B1420511150A20110011EC0915B76BB01D0035560001420053CF0665C9864008F4D1285734BCA6CB84A90C10D818F89537C9D00AA26D5E5245A3C';
wwv_flow_imp.g_varchar2_table(12286) := 'EE9ADB15F1A72EEC44556E4579893D204EBCE801E21577007143600C1837620C3C28C304070A0D1D3EA4C04122070F260E1A8CB130A2C48D0C396C98C8418409190211C6409952E54A962C61C0909142FF228408086C12881072A208912C44B0F0309205';
wwv_flow_imp.g_varchar2_table(12287) := '501422828A406A9467C80D1B286478FAA02682A906085CC54A00418032FDE8DD037B2FDF58B265CD9E459B56ED5AB66DDDBE2D0B402E007E7301C0C59B57EF5EBE68E9FDFB12804000C2850D1F469C5871E1C18B095F75CC988055AC091018C02C5833E4';
wwv_flow_imp.g_varchar2_table(12288) := 'C19C376B8E1CD9804DD2081230481021C283A70E414EF400948589172F5E9A489142068C18327CFF06FEFBA58C8C2227B27E616236C98B064D0E2CF85CA08C174B754A0C6A427B8A97BD51DE561ABBA276F2295EE48649BCB7FA96ED53BE84DF7DB8C607';
wwv_flow_imp.g_varchar2_table(12289) := 'A5715ADF195EA88991467D1E3D4A229E966A082A0AA49A8A81CB3ACB6AAB31FEF92AACBEFF26A4B0C2BDECAAEBAEBB2CE4B0430FCDAAE79F31400BAD44131F53ACB1D0B0B2CA2AD31624F144190F9B0C01056DB451B507766C8D02A742320A051384A48D';
wwv_flow_imp.g_varchar2_table(12290) := '36F452402938E008DA0DBEF392E36EA9A0A684CF3D94A4EB2D05E52A9A8D3B18746BD2B7E64C5232381ECA14F3222B5DE24D3E268783C904A7A6BA69A3D744F2604AFD8042EA28A48CC3EF231F9FCA402A1C6D3240AEACB4E2CAABB0C4FA305249F59A2B';
wwv_flow_imp.g_varchar2_table(12291) := '9F0CF3D970524D375DEB9E1003537146514D0C35B2AC5C4C00B3CE469D112B9B18888001A9667D4003D67CBC4E29E5C8ABCD842F7343923725614A6FD8E48C6A48A8D8B85B73CCE7CC03D3CC924CDAE1866AABBDA1876CB3ED415B6DFF05F2765B6F6DC0';
wwv_flow_imp.g_varchar2_table(12292) := '563A73B164B336F37663A1A1FA1035A0299DA6042A4F14B81C09C03F07149023A7E644F050AB00200000C2007010C2473965B8E1B1E4B214E24C1DA658D27BFE1AB1545637A651C6AB281BCD32AB38263500CC6CD291D65A6F6DAA23EC90E28F5723CF43';
wwv_flow_imp.g_varchar2_table(12293) := '8FB7F5949C6EB7A5DE3540309C707B92A02BCF25FA06DF864353CCA28DFE7669A79FFEAECDF8BE3C0F86F344682802CB2E8BF7CE3E851C4FBB7BB5E353A9A502F5112AB555B30961040886BBB3ADBA8A10AC8AEFF6B0D24B27C6BB6F0A3F8D9164C14565';
wwv_flow_imp.g_varchar2_table(12294) := '51AB54291BFC33063F1ECDA61D1FB7D540A85EBBF3E591764DAE57EEBCECEEE61892E3A83EC46BD48A800776DBED8566FF8B463DE9DF8636D775349F3BC859956827A8CDF788FD3226860EACCA808F80F4006CB12BBAB7CF3FFB656A830CD4DE71B59A14';
wwv_flow_imp.g_varchar2_table(12295) := '547060B97C4EB86E48FDE69E528833E4A77BF1F9FAAB0C934BD438F183514C5FB245AFE29A6BCF56A55F71C5DF87BF34AA52DB51EDA6E4CD9548FA84B9DA68AE4AB93B16F016D4A2C94C0633271B8D0852C003DDD80C76E6BA96B532389D1E94E44C677A';
wwv_flow_imp.g_varchar2_table(12296) := 'DAB964D0C1109610772D89CF0BA8239142698D344042CA6C96439ED86847794A0194449AA23642056C7A37B98AA246C3158549687C47648BDE24864426B225445C505F14A53845F67DEC55B48A5C6B24E71A1FBD665FFACA53F11E90AAC618CC67F87B5F';
wwv_flow_imp.g_varchar2_table(12297) := '029693B9FFF24CAD732949137B78E7C6E1AC698E748C0F712CD8ACA8E1F1254F4A810866B5B5160DEA47D7C18E4EE4E51443F630022D544D6A48A3AA8225462E5CF8873CF611A12676322EDF934BF83C39CAB178EA1F8C48006B760481553ECE95857ADC';
wwv_flow_imp.g_varchar2_table(12298) := '811EC0CA59D6D295B754254474F91055DA920210D8252B37E22E5C16D398B104A62E0F3911D9708E0731E0C10DA269B467C2B15B3DD8C10E7EB0CD1F60B307C5D9654318394E7196332211D9C11188600423AC9308EF24823AE519CF2224210947B0A73D';
wwv_flow_imp.g_varchar2_table(12299) := '8F504F7C1EC10847006840058A4F7E26A1A0FC1C6842137ACF83DED3A00E6D284121EAD080B6534B4FE24F50BCD92D2168939BDCD4663645EACD1D5CFF5308DDA28E7930CA82DACC6679822227071E40897FD46361A46CA2123584534F82051FF0288738';
wwv_flow_imp.g_varchar2_table(12300) := '843A54A216D5A8471D6A50911A54A532551C4E2D87528D0AD5A75615A957C56A519D7AD5A63E95A95F8D6A58A3EA55B186B5AA5BCD6A5A85AAD4705C351C6F85AB38DAAA56BAD6D5AE759DAB5C87DAD6BC1295AF7E156A5FB5AAD6BFEA55AF708DEB54CF';
wwv_flow_imp.g_varchar2_table(12301) := '2A0E73B0439337E5291241B9D3C8F6F462F2C06C6635BB59CE66562E9CFD6C67314B8FCE92961EA4156D6A55BB5AD672F6B4AF3DAD3C501BDBD35E8CB6AF1D2D6C4DFBDA8BD543B7BF05EE6F6DBBD9D9E276B3F0900772959B5CE46676B7A85DAD69652B';
wwv_flow_imp.g_varchar2_table(12302) := 'DBE05617B6D3956E76A79B59787437B9FFDF5D2E788F2B5EEF8A76B9CAFD6C73910B00CE2AB7B9987D6F6AE1B18F7D40B6B2DDD3695DEEDB444FD5C3BFFF053080BFA2C901D7372C02AE6E7DE9BB60062FB82C01867084253C610A53D86E6DD1478635BC';
wwv_flow_imp.g_varchar2_table(12303) := '610E77D8C31D6E307DE71262120340C40E2E6585FF7BE1B390B8C17EEBAF8A7D5BDDCB6EF21E9AC4B1811FB5E37B00A0C700A0C73E723C64FA1299C85F29F0828DB85FEEE914534CE6AF5B5CBC61B298D8C5570E3194D3F2612E7799CBFCE04788E58265';
wwv_flow_imp.g_varchar2_table(12304) := '2C7B88CCFBA8EC99AFECE50DABD9CD2EB6AF962BE664BEC999A753D67095DF7C653B9B85CD7FF6B28BC7FC662BA3B94367DEEF9E170C680D33F81E0A7E74A4210D690F9F65C97D76FF58A5FAB1444C8B0FCC63D933951FC6E049E1C3D4F8F830A7C40266';
wwv_flow_imp.g_varchar2_table(12305) := '56B31A2D8CCEF35B787CE9B88C72D6B7C6F558F411965DF7FA1EBE06F6AF792D6C5C177BD17F2E0B7DC7D26ABAB4DAD9CF86363F4EBDBD4E334CD39CAE36C5EE11BED3FA37B6CED5AD7341CB5ED0A6D6BAE7A6473CB0AB5D740797BAAEFDAD4D674D0F08';
wwv_flow_imp.g_varchar2_table(12306) := '8305C1EDC63770679C6F7EF7DBDFFFC62DBBB13B70815737BA00D7ED3C14BE7086377C1E12B6073DEC61A953E323DB99BECBDE2EAEED7EFCC3E31F0779C8450E009197DCE324FF38CA4DBE7296B7DCE52F8779CC653E7390AB9CE637C779CE75BE739ADB';
wwv_flow_imp.g_varchar2_table(12307) := 'DCE623AF79CEC13CED8D73EADA942DBAAAFB210E4F64C2E94FA74426FFA24E09AA579D1291880424209175AE3322125E67C4D6C1FE75B27B3D1257777A25A2FEF4A737BD129978FBDB1B01F7AA4B5DEA54CF44249CAE77BEE7DDEF79C77AE0B31E764630';
wwv_flow_imp.g_varchar2_table(12308) := 'C2108C407BD4F5CE76C637DEF14F7F7B269A2E79A7BB3DED9487FBE59BBE79CA73FEED96077DE643CF79D277DEF4A547BDE4533FF9C963FEF16C6F3DEB5F3FFBC6473EF38C5F7D27368FFADD9F5EF595F044F0812FFCE07B62F8AAEF7CD341218E7F549C';
wwv_flow_imp.g_varchar2_table(12309) := 'DA49FF109DA1BFA98B9DF20113A165AC18B0FDED6360FB07105C630C90CA5BB96C22129088041E20010810000212480001523319061CE0000EBC8C541A47150A50658C90510C0430267721C0700AA7450209001AFF26886019440A89736240608200619A';
wwv_flow_imp.g_varchar2_table(12310) := 'C064DA08F473C00CD4400D5C8AFF41C046FA9741F91DA7789E12EC111E829E4251C107E021873090036488049C9744F2008AE0807BA108A3B0C11AE4C11DF4C11ECC13A30823A330010830849A22BAE9931488D934A453C248F90B38400120C816827801';
wwv_flow_imp.g_varchar2_table(12311) := '16288112A0011A38012EE4C20FA8899A380DCB48A554D29A332CC3315A0D0A48250EB0A011BA2691D22620008216F0801650811698801480800490080DD88010D80040541B1860019D40016B410182C09AE839140660811B28A04954211EF8A00F92014C';
wwv_flow_imp.g_varchar2_table(12312) := 'D444DF00216EC9266C2AA94F2C29A3391AF3C89690924339C4A669510818F09557840F5F818116B0FF017209A91FB8C56CEAA85D2C296CEAA86E4AC51F10025C2C2924D80163FC0123E8C59362C61E38294B84C668E4811E88266AB4441D90464A7C011E';
wwv_flow_imp.g_varchar2_table(12313) := '78016CDC466F94C69B210E1E8001722C896B42C76C12C68F62475C54C67684C778E4262348C67A34022078271380837FB087247CC20E393AFDFA4728FC073FF00068B29A2B148113C8801370C813988113F880ED238D31D49F8BDC1A9B4825011C8FA9C9';
wwv_flow_imp.g_varchar2_table(12314) := '44DFE8815ACCA63CB4803B0CA33EECA2A6A8150A602916F89796B941D5B18D17E080ADA99108A08096A20D19520E6DAC0DAB01CA990CCAF88026A7F9A302E28E6921C5E0C8082739C41FFCC1F1B88116209A3239136D9926A2F19669E4CA6C91FFC66CE4';
wwv_flow_imp.g_varchar2_table(12315) := 'C6B0EC466EDC4695BA421C7801B4BCC2B56CC99664CBB554CB9F9C49A1B40D37E18D6AEC966D11885024A954F4CBBF04CC5BEC015CFC012030013FE0477F1CC80A39BA275B4C0FF90B3FE000E8B01A9F2881873C8110F88010C000D2400D352443FDC9C8';
wwv_flow_imp.g_varchar2_table(12316) := 'AD192304A0808E74124E1C2172B181A9B4811428C916904DD9B417144001A7C0410FFC9F1B140114B0199A44100A108149744B965217407A120AE2C64C54A16D5421DDE94470891D2B8416152A09DF788E923081485A0D60F20809A00009D800F0E40060';
wwv_flow_imp.g_varchar2_table(12317) := 'C24013A04AA3910EDF484EDDB84AA5948EA6C14A6DD981AF044BE7E401705C4E0AEAC6B5ECCFE27CCBFED481FECC4FFE6C123FCAFF9DA1B9A653D420396CD0C0845039C4C5C11CC6C1DC0122384C2434B5E77B4CBE68CC3AEBD0BE884C0E68CD1B38CAA1';
wwv_flow_imp.g_varchar2_table(12318) := 'B84C867C9EE300CD1D4980D4C8C88AD4C81DF13F0AA00D9880A60982C36EC196D74C013C0481160852150081222D52EDF000DDF4C0018921D521CB011D8AB664011C188A021A50B104C76D2CC7E52CC76DFC484CA44674CC4BA34992D7118EA7740A4329';
wwv_flow_imp.g_varchar2_table(12319) := '0D3F443FF074D38620CFF73BCDEBECC4A3714EF3B8CA0E02006EF196051508AEE4CA30B5446BCC444BDCC60275CE4425CB6D64011E304E96424BB41CD00195D4B474D449E4C6012550022DC74ECD533E15534FDCA85E0C45BF04C5543C559002C61FC850';
wwv_flow_imp.g_varchar2_table(12320) := '9BF22F0E0DD1BC90FFBE58AD90C8F48081C088DFD0019E288101D28EDF61C35B8AD1D1A451551A09A93908BC4447A3C90D10F000158056220D52679D801854D215D8801528810DC8C26CB5CD1510812C2C012C9CD2281D0AB2B4C4466DD4B1B44468124B';
wwv_flow_imp.g_varchar2_table(12321) := '0AFAD271FC521EDDA8BCFC482BB49A0D781C019229D144BFF7935339653F609A0008F0001DAD53EA48C8E48CCF74CC4BACFC5369F2CAAEBC44FB34D4E5744E75E5461C4801B474CB48ED584B65812BED4F4CC54FFC9C204FDD513115D35E64596C22466D';
wwv_flow_imp.g_varchar2_table(12322) := '82590B95D99A1D466DAAD01F1001C4D41E5A9D90C9724C9F15D18224D11BB08184E0C42EC52857FC12F8F00036D49AC7D19AD07CD1E88988EB9BC9DF78D96BB2FF81984881300AA36AF54E1D0AC41570486C355B6DE5566D45DB2C0457DBAC8128A5521D';
wwv_flow_imp.g_varchar2_table(12323) := '98A0DA084B6E14029375CE4C2CC7094AD9F7E4D10AE5CB5E24D31840811DE1801790CE1E7801597A51F30CCF5F2AD8F2848009885C8345928FCC99B264A9946D1A50252931DD516E19A16A2CDDBB05CB7715D08E55574A0DD9495D4B4AD5C64585011DB0';
wwv_flow_imp.g_varchar2_table(12324) := '1A729CCBBF1597ADADD7AD1DA974544598DDA6619C5056454C796331A1C58B8054DE0919D1A38D81169081160080DF7881A0A008D9E40D2FF90EFAE09FC721CD17CD09994ADC724409DE1D5394A88D8A0842ECFD88400C8110C8CC0D7848FAE5D66D0DC4';
wwv_flow_imp.g_varchar2_table(12325) := 'FBED4DB8955BD79DD47765012150DDB08409727CFF26031ED46EE92665ECDD6DB11A162C880E4AD6A331813C69088678D3CAADDC5FA200CBC5DC4265C5D429A0B05CDC9645DF6B0A548AB5584D0C4B751582006629479DDBB4A461D9E5D8B8D45B92DDDB';
wwv_flow_imp.g_varchar2_table(12326) := '112E4ADE3DC5979D461E8DD052BD45621C4C14E0D9386BDEB698D525CE8B11DD8116F8D11FA5C5AF25022EF8023490021598009400166091E2AF6588311A8D07183F04D08A07D800AC19CE025ED938F4D326815216A08115B0E3CCCC4CCD8CDF3DE6E30C';
wwv_flow_imp.g_varchar2_table(12327) := '603F0AD0800F98811910E42EAC811AD0011CD081457E57951A0A95A20E857D890932E0781DA111C25906EE2696F50D7DB5CE33B9E44CB4C20AEE6038EDE00AD4E053C65C4C040EEBAC0D4B3EFFE113CE96D2FD524BD4512D85C693455746F549B34C542B';
wwv_flow_imp.g_varchar2_table(12328) := '1D611EB60D6E4C48DD78928F0CE5310DC9DE7DD86E2117C21488D654C7BE5455C26C55C5746226BE8B260CDA6C7E8B28E4801D001610F8510B200240B88569F8855B20865178032996CD296E011320063880836C30845B3002754083004006F3B1857250';
wwv_flow_imp.g_varchar2_table(12329) := '072EB83E5F89E4373E553F7DA64965811AA8E3B3955FCDFC80899EE8109801891ED80718E48DBEE81AC00145C646705CD814900DD544D748D6C402A61676FCC551D51619B83EA6891D72B49AEF8CDC522ED89CD6600E4058EC644F155A172F9D167A3561';
wwv_flow_imp.g_varchar2_table(12330) := '665ED65906D3787DD767C2CF8BB55B4AD4E1E3AC8DA2400A2129A0DB1DE6B25CFF616844C7E0A84C3F99885F62A5097C801428A96E22C66DF2289132DE224A5E6F568B2686EBB680E2DCB000D8F40029788564C08542388325F88464F8854A5001799E5E';
wwv_flow_imp.g_varchar2_table(12331) := '13C8865B280738300471A8827F50871F10073400057538022E788207308ABEED0D96D5A667620FD81D502E94C88926E419C000D456EDD3FE000CE8C3093CED8D0E814366E45C0E4BE5D095F3D84F84AD44A5A616E2DDA6D0DD28E2788048FC9650255318';
wwv_flow_imp.g_varchar2_table(12332) := 'F00008284FF02CD8542ED85F2ACF83F5525006C96CB95DCDDD51978563976EE00E02E569FC4821A0E4D4C5E55F26CE02A20EE24401DE4481615609B9A48D2B6401DB1C92246D19577AD1FD8ED135358D8D743F6BE9A8514DFF6BB60680E355E2B9360BB9';
wwv_flow_imp.g_varchar2_table(12333) := '5670B588421188622D49810928825790056860044238040D7F855F908546A845E9A5451360867F40060388846CA88272B8065A8886C6E6024328073F109EC44592CE7ED9CB1E032ED8F131D8713118032FF0022A38832A48032347F234A002253F832968';
wwv_flow_imp.g_varchar2_table(12334) := 'F22AA0022BF0012930F229B8E88DF6E845AEED0FB29A2D811916604EADD65193BE4A6B99C79B05457A55DF072009A25E563D2ACF38676EF673530D7E6EDCA85BF65C88189C6F1900800EEA6EEEF66E526DE678A546640E47025654AB21D9455D54FA6EEF';
wwv_flow_imp.g_varchar2_table(12335) := 'F7FD1F5BA174047900D44094351D3FFE4E255406D89C9E805017F53CE143049080074D73C20CC603776B586DFFF02ACB386C7BF5B488C207F89578AE846490856768045E28866638045778865FF8852FF0001B904D1BF08069988674B0024308872A5007';
wwv_flow_imp.g_varchar2_table(12336) := '2BC8867E28836718060EC8065AD06C0EB088F4E8D3991D833B7083377083734777371803201783761F833D78F7788F773BB0833E288331D0822FB8822DB88331E0E819C8F202CD526EF4726F3712B2A48E4D046570995923FEC4E1FE9CE2BE64D0ED966A';
wwv_flow_imp.g_varchar2_table(12337) := '5A6EF4D369CBCD69C9FD25A001805E910A843919A0018E3E25F4843E79429FE511629A4C94A6427557AC76741DF00987508DA9BD48FFF6EFC74D800A64BF099080A0978050AF0051AF000B98000B50FAA5477AA65FFA095F6E53B7C5B3A659B58E596D62';
wwv_flow_imp.g_varchar2_table(12338) := 'FF75E475F5599F2C519A7507FF0737088002540262BF856018055550855650855B20F65FF0040B985E1950F66E88844A90875408072BC8871F28837F28832AE88770F8074AC84989F80D8687E33270833270FCC707803150033B188333A87C1FB7FC7747';
wwv_flow_imp.g_varchar2_table(12339) := '8331A07CCAEF8331408332B0022BB8822F687C27F8772D8FC6434DC88C1A89F3A05BE5C4539366797021F4871FC5558C89E2E60E157A598CC0609C167E9D9E4060A12016A80FB711790400733F3708DB10D5D0DDE494DF28BD446AF0260E1D7057680AE9';
wwv_flow_imp.g_varchar2_table(12340) := 'FECCD78AE4749F7F3FA1077A5117F5A64FFAA677FAF55FFFF4677AD84CFFA4F7808235F51D10C952F5269092D00CEDD9AF07887C02050228FF988F9F41000317326CE8F021C488122752ACE8901F467AFFDE04A0F0E00104025F92FD2A79AB96AF5AC56E';
wwv_flow_imp.g_varchar2_table(12341) := '21337924450B1B365A5849D2A28C952A3FB8EC3091C404012265B800609182038718326E30BDD1E3E98E1D3DCAB881032D1B2448E1A0211A260C113468C4EC784AA78A583800D8FC00C896EA4E393F9E46359235CACD981533F6CE605243070FC0805FF0';
wwv_flow_imp.g_varchar2_table(12342) := '90C103C68B172644BC484138058F143A1C473E6C59868C1E4EA5FE881AB58754A99B6FC08041418489C4999FB27EAAD40304A4133848A030018204DAB16F43F0E038710600088423180EC0C003134B632836010334E8D03B84FC886EDDF367E8AC0DF728';
wwv_flow_imp.g_varchar2_table(12343) := 'CCE33B611E8409EB7851BE7CFF04041026B0B730C1027CF6EFE7BBAF6FFFBD7BFCF0EFEFD7AF7F3F80FBA5202004EAD9F0834C9F55B7E00E9D3918D50F1EF8F14F3DF7E083CF3D1669B821871D7AB850410A21A490421F9A78228A1CEAB3A2467720C001';
wwv_flow_imp.g_varchar2_table(12344) := '05311AF0C634B894144C319F58734C4B264991C20E33DD608209377840640C45C260807A1C3C40010BA92115C30D9931C5DA676594814D2A9064930B34C008F30D307D7CA34A387D40C38E277E84E34638D5007047379EE833CD2DC96C83CB176F8CE104';
wwv_flow_imp.g_varchar2_table(12345) := '5F33ACA003A1DF194A580C89BE80186698556618A4DE41861954D179069D689A4985D90622C0809953ADB1C6146CB949305B6EB7A90A01AB1318E5180BC50D6740882152FFD0830C3010995A6652610A610F9D618769A54FDDE01DAEB97E17030FCC0526';
wwv_flow_imp.g_varchar2_table(12346) := '5E622F64804002FDC51720B6D96ABBEDB5DC5A306080054210A44C367C06A110D261D7A0091356780FBC29CA3B2FBD208A586BBDF9EABBE18AFD6A0407031C6C90C10609D0686332A37CD2492DB5D8C2CC2FB7FC52440A36DC60F10E4C659C3153A67DB4';
wwv_flow_imp.g_varchar2_table(12347) := '6B6A2F88C0010C4D5D59E90E5A8AE3079CB194030C1FDF80D20737E284021736D920120E1AD588F34A15D9D8324D32EBACF20535C1B851865E7C39818260E019CAAC6594BD006977C9F2902CAE3C38B55967C15E9A9D66C9C2280395A18EAA59A21CC496';
wwv_flow_imp.g_varchar2_table(12348) := '1BAB1024207702D42670776F2938C60193B2D67ADC039F2AFF96D8A7584275EE7588FBEAEBB1557A6758B380C1005EB47CCFDD1E7FF4596B9FB79D779BED7CEFB96D20C68AA7CB20670D062B82BBF9C09BE1BEB1CB1E914123F2333BEEB35FD82F8BFFDC';
wwv_flow_imp.g_varchar2_table(12349) := 'F1000A2288C0020565400C0A1C577851861D5E8C11892DBFD09202051C4016C3A85FC78082071A2400BC09515E8D94956563299596A064038D2DA16033C618E2C4626627E170C34D27E5C412CE1BE2A4920D32A6610871BC611DD268C42BA8B134BD006A';
wwv_flow_imp.g_varchar2_table(12350) := '0635C041A10C25C1C210C630932ADBD74CA6414D894D6CC3CA5495864481C69C6C6DCD3ACA7A5875B715B2706ED48A8D105E4081BEF92D44C849C17294B2B673A16E5D0B2296689AF2B8AB1DC63C8631FF4F621260000878AE89DAC24FE8E423C5FC4871';
wwv_flow_imp.g_varchar2_table(12351) := '8AEC29D0042AA6291EAA8E3A977250B058E02E0B61287766945D880E5290DB9DB18DF4E29D3EFE158117A08005223B02323291132B78A10A5518831FCB708B4CC406291C101E0A50809817DC00051EF9C88B48969AA358EF394BD98C76CA708732502213';
wwv_flow_imp.g_varchar2_table(12352) := '68E00322CAA0064474A2108B18C3263CD187E721C2106F70E51F5201073444020D718803202A61862FA021503370C25F0033C1663DEE7156D2A0DA5A239DEA9C4B3AD9738A0C92032A51192B496E7BC00AE3869B14AA703D11A0400A3240C31A02EE9256';
wwv_flow_imp.g_varchar2_table(12353) := '0280B1B4139AC4FD4A9DCF1CA278E2391E1E986003D4C25C1335479F7D5EAB8AF5D15C13FFC5A50221D880A097024DBA9A199D1F78B15DFFA0C7EB60E7C689A2288D23CA478928AA5115F18E1EFD80C31CEB68471140E20E55701EF3CA003F2E5421125E';
wwv_flow_imp.g_varchar2_table(12354) := '7880210FC9073F54C10D86F00211FCE00523DC610C362842190CE1071E94810F45D8E40EEEE0074A94E1703DF0C21B96A6C9A5C1AF0A4F10C31EC6B0074DDE010D5DFDEA1BCAF08637A061965BB88215FAC485A6EDE5813878D630BD564C4A5DC964D424';
wwv_flow_imp.g_varchar2_table(12355) := '56D884C519E864902914D840F992D98318E88A0278638F04D673AA56C52D8B29F8E606C629ABE214E4924DD9E1E1D6E51966AE533BC63A16E426254FF1C42056EA09DD3FF34345F9A8169F4E7C6D7FE4368116D05608BD62A617351BFF9A1F7446080E85';
wwv_flow_imp.g_varchar2_table(12356) := 'E8EB362A5C0EA5B11F6B1C2E722DE2AF8F3E80055063810E58608432F4510C5AD2521FC7E00514C414297C3082507B60D24820610C88788055DD90042E28150D62CC4415FC7004487C31584748027E8FD003EE6E0046356002808D80DF011398C0432882';
wwv_flow_imp.g_varchar2_table(12357) := '0BE033822218612F0D04A630E3EA94B91E7383D45CA607C746ACAF99E00138D48C5D43C881BB998A9B8CDDE67AF4262D043060B22E0600072C1BAAC5B133AF9CF1A2533D0B29195C8D30932362692870CFFFC0B6C846768F6C53C0D01608215D99D5AD6E';
wwv_flow_imp.g_varchar2_table(12358) := '7F20C6874634B956A69D41FA8110365EB9CB0C592E1C3430B9EE0486054928844AC5E03C2E8CE10E7DB8010B4490C83AFF6EC00F86A0022220E1053C2781055EB883149E30861E24810F7018430C3609073F809707BC75673D114000021C60D20460C007';
wwv_flow_imp.g_varchar2_table(12359) := 'F6A283A898CB339DEE740B545001F9289906815AC1032717D7ED14065720B6F08555C7CECE829029307A35AE6FC001043CA9C4ABDAA6AA12C00121A480D8E9498F8B8BF3004682D870EEC41467AFF36C63C975C7883A0C0C62E081BB618EC847FEF6B6DE';
wwv_flow_imp.g_varchar2_table(12360) := '93E41F3099A0C452A73315BA03D651A8CA5E7E37460DF28F35020023F6BE37BEF3ADEF7DF3BBDFFEFE37C0036E6F8160248EFF08F37796D003244417053D70432700000C5BC4221388866E62CAC302162042071AF0C3147A8A882334E1092CE3021FB8E0';
wwv_flow_imp.g_varchar2_table(12361) := '87246CD2FF082BE743248CC008193094B32F78120782B7810744200200F8400800B50324EC0008BC35FAD13B030420A8203F15B000121CEC6014E0806AC364CDD65A235865721DCA8A3B7795AA17441077980226D80D6D68F3EBC6F686D8901101B592CD';
wwv_flow_imp.g_varchar2_table(12362) := '6B13E0DAD9EBBC7B74729B1D5F79B66B91821CB661F000049C0ADC86DF5C15DB739B04BC0741082AA8E168EC75CE38948C171238E633AFF9CD73FEDE21E287714904EF778359CC84D2C153CAFC821EFCB18F3F780174CF737A1D54013049408180D57C04';
wwv_flow_imp.g_varchar2_table(12363) := '355441084778024E51F003EA26E10747A88211AA102C23F480F922A8DEA7542D321801FD972F28FA0F90DEA0ED0361072AB081D34B7DEA07127382A2FFDAFA5D2F5C361A03D19918A49EF532A3188F88C006D4B30D072690AAF5E4DFC4132076113D09CF';
wwv_flow_imp.g_varchar2_table(12364) := '1547023080D96146C9745DBA2DE0B36918DF7547A458C60B248A07DC13E71C1E804051054840056C60074AC005828E05C88D04B400821054BA0801429DCBD7B8DFE23408BBBD4BBC8C5E97155742D020E9FD8B0698000AA406DD315F99094CCE65DCEC9D';
wwv_flow_imp.g_varchar2_table(12365) := '5E60A0DE6088C006740A07D81191308993A006DAA0CD6E51470FC4C8F581D8D694070088C009F0051320815330086F5D8A186E207B78000E00CA83519D3059DD77A49F1C3660B1B09F1DD6A10CC0C806C4084CA580669840F5988A6DACC7204E806DC448';
wwv_flow_imp.g_varchar2_table(12366) := 'C520200F548FC8080F6A3CC6D594CF1DFF02111DEE8078F04AB16050A334CB8F15C8A9B01640F55308664E6AB547079EE27F405129BA870430DEF7391ED974569564C68761927648D98400D70CE26072D9A0E8F16297FD4B722085077080091001F39D07';
wwv_flow_imp.g_varchar2_table(12367) := '73440B120DC660C49578940733EEDCB29D8C333D5A046CC00F18812D9219ECADC00A000A132CC1120881C22D010F3001A130010ED000139C006D4880046C4008F812AA41900E80D6E3CCE15DA55B3B9DDB242A8E54388609F821AE881005984ADA19E26C';
wwv_flow_imp.g_varchar2_table(12368) := 'A08ADB7800DB641B0564C06F108E6A7C8795D05A1D6E2410C18008784094DC803F3245A3248AAE0D5928229E7FA4D6A8ADA22AA6227FFC137DB4E204A800826C16DEF19D0740D203FF0496F9ACDB185D884401A370F9224611A595DD8346F8C10388406E';
wwv_flow_imp.g_varchar2_table(12369) := '2424076CE30EE88012F657B41861D444D804496394104F047C04B32C853259618C301FFB79E30BD040383A1013AC0013D080A9F952A0ECA13C6A403DF24508D4403019CADFF1A35FFE2560EE959335052042E5623124FED5466D9880C598E4CE31A36A5C';
wwv_flow_imp.g_varchar2_table(12370) := '6409ED003A01A6A8EC00A320C665A693A3204687250008AE24B6BC646AB9646B259E7CC8A36A82266BB650097E5FA739205454C9AE21800124404616CB0F38940C0E25526A54966DD96F269752FE831F240077C14D5456070F88C00330C057E61CD5C0E1';
wwv_flow_imp.g_varchar2_table(12371) := '04A99A60304722BD00074480311EE48C054B0F3C1F33590743490578FFC4650305CA8349DD5E7C40424AC003649AA0385030118A3E628D65726440EA277F220E6814A6423264FE25268C1489525009076440B4FCC6A3B49A7654E67E3EDBD7B4DA1D3605';
wwv_flow_imp.g_varchar2_table(12372) := 'DA34C6E0F5866A8DE66A55916AAA266E2456DCCC4D36B150DCC98A89D68D8A568B0C984B6C428793B5860CD8537144801FAA8DAFFC400C62C82E0EE7445914BDF9A84609E55222800740250450C0A3450E9138E73761CF0D5089944629B3A40D313187F8';
wwv_flow_imp.g_varchar2_table(12373) := '34A5631846324DC715C200F3E15675305FEAF1000EB0955CA6E95EAC80062456086C0038BA657D5629463A28FAE5279E5A666814A661F69F80D686212A07DA20E808410B8F1DD16A98CFD7A4D3A2362A06592634FFE10A628C18025080072C9636652ADD';
wwv_flow_imp.g_varchar2_table(12374) := 'B4500BD9CD89AA280182EA64D50D01DA0D0BB54AC524084EEA166DA268C96C0676E062BB09A590521490FE62AD4ED43DC883711A29922E2753A44DC7A00004044E949ACCC65CCCC9384573C448782A078E6EE30FF0000718016F51076FD59C76A4A35EDC';
wwv_flow_imp.g_varchar2_table(12375) := 'A59AFED25EB4E50ACC596A100A0CE8C0B93285D7A4DE66DE1D038211BCAA4EBC4E1EBD36132022C5FE3524FECD46F51449B0F680C04086687107D7D1A1C146A8E4C9683479EA8A261BA9822AA99E2801DE26C3322CA79A2ADEB04A626D2C0778404CC466';
wwv_flow_imp.g_varchar2_table(12376) := 'BDC6C0AED58DB1469984B45B70E56A1BDD2A97A96C1B15E71B1040B17ECFDD2C4562A0C0A258E44EFF22C006104969FC2CD0062D0F7AC4A208219144CBE4204672340BB31C4BD332AD0EC4800EAC000660C0075CED0C645A3D6E6D089C400884C00ABCA9';
wwv_flow_imp.g_varchar2_table(12377) := '0724D2D1F22064464B11151161AD6DB6B52DDB260AD35629DC2A45A3D4ADDDDE2DDED6EDA7A4800868AADF6A9307E84A62945D9C0DCFF07425D22E4ADE2EEEE2268AE33E6EA294060B8CED03589AE54A5A711000E66AEEE64ADAA4499A01842E0124C0E8';
wwv_flow_imp.g_varchar2_table(12378) := 'CADD8ADE0D36B5D0478004EB6A1338C1C48142AEEC26C903300900248073046D6988EC18A5ACCBE6CEAD1EE5EFE68E50D6433FA4C20EE88DF2CA401254C11120E3802941F33A6F0CEC40815D2F813D411230DFEF25C1117CEF8069EF1328C113FF281FA1';
wwv_flow_imp.g_varchar2_table(12379) := '612FF612CAD02D1C121841FB22017E4D81114C4112C82F7E09D880E16FF6E297F626C113DCD77DE597F70E30000F30F6F62F81752FFA5E2F021758FF2AC1111441B64EB04DAA80D1D9648304307E11010C7CAF077B70F8FAAF088BEF089730099FB009A7';
wwv_flow_imp.g_varchar2_table(12380) := 'B0F83E01371A010CF420C898806F78C091D4B0DEB4004CC0444CA880F7311DD3910B0F33DDE32D5D8394A1D1715A0CD0160CB4C012E7306D118112447114476F1248AF1557317E19C9AE10C1F52A411578B12BF44344F9E6F0EE8B2F6E59E7A5B11AAF31';
wwv_flow_imp.g_varchar2_table(12381) := 'E709843EC0433A94831CCFB13998831C8B431DCF7139D8F11ED7711EFB3120EFB11EE3B11E17B2218B832127B21CF3B1222FB220FF337222DB711E97431C37B2255F322667B226CF3138C8712777B23974B2234332264BF2239FB229A7322AAFB22A9F32';
wwv_flow_imp.g_varchar2_table(12382) := '1DB3B2235B32296F322297432D33F22CD3B11F6FF2254B721DA7833BDC033F5C083EB0B1311F33327BDE1A5D54469571EE282544CD033DD4033D54B33543B33567330058B33C74B33777333DC40300C44335CB033D98733C987336AF333BB7333783F337';
wwv_flow_imp.g_varchar2_table(12383) := '7B73369B333D9F7339BB7339C3F339D7333E67F3AE9EF33EC4B33DCBC3AE7673410F3442D7B34227343DC7033987B33C38B44487B34347743A4B733AEF733C6F344777B4477F343CCBF33DAF73463F343D7FF33A6F743FB3734673B4356F333D48F342AF';
wwv_flow_imp.g_varchar2_table(12384) := '344DE733385788EBFFE0B433CF4EF036F34ECB8E3EDC833EAC3143A4913D1CB53DE00E1CAD0897ED8353B76C4510F3EB38355557B5555F35565735BCECC33D64B5577FF53EC82031E3035297B55997B5BB0D041B8D71BCB0B55BBBB587BCB55CCF355DD3';
wwv_flow_imp.g_varchar2_table(12385) := 'B5EBC8F558E7353E00405DF735EC04D73DE8F44F9B71ED04E960CFCE8A0835510F84512375AE06B6504614585BB55F7375574FB65307B65FBFCE5977B659C38B6053C4668FB65B073569FB75682FC45B5344BEED8B44F5E861D3CB19C73662EB43BEA4D1';
wwv_flow_imp.g_varchar2_table(12386) := '5803636EE7C38A2C046667F5686F885F4736BC78B667FB6E459CB6722F77703BC46A4F446BCF0E6CD3768AF434750F671A0DE7851CB51BDB3659DBC3546FF56FFF6FF641605E451444560BAF44645E19EFDB43001C00F4837CCBB7BDD51B320FC4745FB7';
wwv_flow_imp.g_varchar2_table(12387) := '8958B77EE70B3E70734ADBF33C7734001038481F3882273882A7B38237788243348497343A4F38441F38836B7444ABB3354B783667748753F8863738863B3889F3733F6B784DA7783DACF88AC3748ABF783DDC3572F7F77E1736AED2788ADCC33FEC388F';
wwv_flow_imp.g_varchar2_table(12388) := 'F7B88FFF389007F98F03809017B9911F399227B9922F3993173991EFF89327799437399557B9955F3996CF9B924FF9942F793FC4F88CE3F87917F5BDDCB8987FC83DF44337544223B4B99BBF399CC7799C03029DD3792354029EE7B99EEF399FF7B99FFF';
wwv_flow_imp.g_varchar2_table(12389) := '39A0073A9E6742244402A1177A245042A22FBAA2FF5342A32F3A2440BAA42B7AA4537A24443AA65FBAA6673AA76FBA21408221B41222F80122B4D2A77F7A9EE5595660FAAAB7BAABBF3AACBB7A247482A377C2AC7702AE774226E87A26648227F07AAF3F';
wwv_flow_imp.g_varchar2_table(12390) := '7AAB6F3AB177BAB15F7AA81BBA27F83AB32FBBB337BBAF7B82B34B7BB44FBBB5573BB54BBBB66B7B265442AF57C2B27B7BB7777BB88FBBB98B3BBA7F7B38B0F5996B48331BA54FB7FB8604F43FFC8101C82368E23B88AEA6BEB3662BB622A7AED087CAE3';
wwv_flow_imp.g_varchar2_table(12391) := '2976E004143CC21FBCC283C0048000C23F3CC49FA20754000D83000D5F7CC59B0008C8F03CFED55F6900056880066C805DD223C99FBCC887FC0388BCC8AFBC06B8FCCA7FE557F2DCCB4740CDFFBF3C06AC3CCDD33C03B458A511400004BDD00BFDA41DC0';
wwv_flow_imp.g_varchar2_table(12392) := '01F43C0354ADD22F3DD337BDD3333D0054EDD57EADD7A29A5E3E901D9D47623897128A3C031460CF7F250668C00758ED076880D9A3FDD5AA7DD5F6FC0104C001880069006D0CA440DDDFBDDDB7C0B192A4B23285C5F87D089124A808BE85B6800CD370EE';
wwv_flow_imp.g_varchar2_table(12393) := '1209E2E72E0CD070C73E7E31467EC7D23005440285ECB6BC6F087F673E87D0FB1F48800B7480E88BFE088CBEE9977EE8A77E0784BEE98BFE297220C1ABE6C157C0EA8FC008B8800BDCBEEEE3BE0AB840EF0301EE07BFF00FFFF00F810B18FF100041F22B';
wwv_flow_imp.g_varchar2_table(12394) := 'BF0B2098F31FD88101C1DF476E60DC8056E6A3A1E4A33061BF6014A1D6134A33FFCE9E79803FF99F4722AD00C9B37CCB6B80CDDB655EEA250441D0D5C3FF03D53F0ED4FFFCE7BFFEDF230EE0234030E1B164E092253D961841B290610F243A74BCA88182';
wwv_flow_imp.g_varchar2_table(12395) := '628D17386AE8C0A1A3C6C68C1F3986AC51634588070C602439A232494B972F61C6943993661222407E002142A4C84E9C3A6DDEFCB10308D19F3973EEF8F143849F7FF4EE45BD978F6A55AB57B166D5BA956B57AF5FC15A0530361F3FB200C2A655BB966D';
wwv_flow_imp.g_varchar2_table(12396) := '5BACFBE4FD332461C4880E1DECDED5BB97AFDEBC7B2B04165C418260098703DF7551977163152A46A870215972DDC5232E6796EC827367202E3E03110D5A45E8A22060BC8011F14544D71061BF68AD63F5ECD61765B366C1FF02056FDEBD59BC08BE9B78';
wwv_flow_imp.g_varchar2_table(12397) := '71E228566C08B181B9860DCE9D2F0FB182FA8A911D47D2A05183C68AEEDFBD5BAF3E9E3C79EDDB7108548F10E10E240E17F6E8C183870E8A2836DC178F9C2449F1FD474281241442608081048CE0E98822166C90C1248A80D04107598A702506319C7041';
wwv_flow_imp.g_varchar2_table(12398) := '08398C10A71D40DC8988A1940222C1A26EB8C10610596C51A91F38700A2AA9DCAAD1C61BD91A0B2DB3D0420BC71F810CD2AA7DE8F9E70F095CC00BAFC6185B7249269BB42BAFC112BB8BCABBA0641232CA169B2C322FC1840C33C986A0ECB3325D180234';
wwv_flow_imp.g_varchar2_table(12399) := '358B180D88D55273CDB6D76E7B0D22DB70C081851AF664414F0101E5D3CF3DF5CCD3CF420B450E3911A8DB20FFB9471D25EFBA4949D2CEBBEF30EDAEBC4D35B52E230004224854F6E25BE8A01E201AAF22013D1D69BF015D0D70050D0C44C1A6968E58E9';
wwv_flow_imp.g_varchar2_table(12400) := 'C20E3934A2575E8B8850580E1524424263233496881673BA8945118BB2A1051595AA16C4A57E3002803F9E926A2A21C10D3747B4FA394BDC73D1F50A2E23917C924927A3CCB2B1BEFCB24B302CFF5252CA2CC574AC2E3101B6ECB1C940EBACE03445DB21';
wwv_flow_imp.g_varchar2_table(12401) := 'B7D9606B78238D20CA884E88F2C488CFEB029D68D24335AAD8E3423176F53F8D91EB8ED2EB30BD5465F0C603CFBFFEA8434F07817458A266FA0E62E83D24088A7805FE901BD9BAA07FD67852EA0A6440831F7265D0D761A1E6B025A885DD50D860B12696';
wwv_flow_imp.g_varchar2_table(12402) := 'FF272392FDC10615A905D1061B7472565A135AF07A29A56CC849270E0CE9B69EA8D2ADDBEE7C742CCBDCBBF93E77DD3F2690375EC1E5CD0CB379EFC5B2830AF6AA0B5E28FB15FCB1C927E78CCCCB412B0A0614247A0105FB1A0E1DE2D836BA88233D4F4E';
wwv_flow_imp.g_varchar2_table(12403) := '9DD53C3BFA1807005C671DA3D92B4E3DF5566D7775BBDB45DE7D661E421D48F8F796D8990724EAC341404AFF13AF3C985D0DE103034D3036D70D3BC43A6A09835D507BAC1D0CF656648D45F18616628861EC1DC62E5B34695320FBC5A49A35C20344BAA5';
wwv_flow_imp.g_varchar2_table(12404) := 'B1EFFD83248B477EF8174020FD2D704E7257632EB3AF77118E4989D9D7E218D7B80E80407178A1E003A5F4A40E6C89721DF4D26612969ACFFF81E473A233219E3A1632A3B12A63AD8B9DC73AD6B1D85D0723BB43D9EE70A89DDC998C52CBBB614760132A';
wwv_flow_imp.g_varchar2_table(12405) := '210C6F09EE291E426CC6918E108A7947ABCE75C4D39D0F6080011B2042837625BEEE0D0B5810C2D0D5BEB7216415816B3B194A0C60908234A6A0052BD2C91B45D302A3600B2748F981079C3237FD09908F6BC91B8FF0D6471BF9886F7FA3CB01FF35020B';
wwv_flow_imp.g_varchar2_table(12406) := '4CA00216201C651219B0BA58204916E04BBEE8A5B8BCCC2B839DE48B0A36B8C1C588E983453101E75019A090AC3223256498E974E0A78B9D8C852321D4A15EB8115D426C9786A29DC54602CC4AA58E091D6182A774789D3DF99052E9D988F044C5038420';
wwv_flow_imp.g_varchar2_table(12407) := '8F670EA9994682E9B1A34191FF3A2FE34E764E30BD07C4A04253F3A2F7B80846ED79117C18E249B26CD2939E8C6807313081093C9082F8B5ED8D3E699F509AB5B61D780000F9A39B2011FA151D010090844CE843B742C04D2AC90516B08012B6B0053358';
wwv_flow_imp.g_varchar2_table(12408) := '61081588CCBF08F6180BA860A48A54819A0636048B060632055C9CE332A924BFC4149352BA606496D4AFC7D8E773AD42419E7E4AB1183EAC4EA41BD4EC02042B01213597BDE4E5532BD6315CB22E7518296636917A3261E60E22D0BC663497C004E42DC1';
wwv_flow_imp.g_varchar2_table(12409) := '62B1E3A1C84676321A84808A1B30C24ABA88A1B8A2F37B5B7CE74EB02622BD8EC80629F080074CB0CF66B98F7D3F0068B56E100319C40800333A2844212B161D958BA10CFFE5C765319B59CB6696B39DF5EC67411B5ACD6276B3A235ED69250AAFBBF8A0';
wwv_flow_imp.g_varchar2_table(12410) := '11A498C62F6EF18B57AC01325DAA6D0592310E25B8601CCA988012CE210B0948611CE7D88616B651DC6D0403107138870F94008E1C78B42FF972DC75F5A52F9B4E7082A094E0085AA08218DC47951351E20865189B3B19F5627BD258D198194C17C2D0A9';
wwv_flow_imp.g_varchar2_table(12411) := '4E152A6C2A76A8585DA7981563824698A04BAAD2F062F19D549E7ED7339B19243E06A11882B509C5FE80C78623392649C4D903B80E819DEDCCDA16EBFABDBDE65544C18296D7FC8A3637FA84277C35ECB26C903E35DE930270F8C73DF091637C9C96C795';
wwv_flow_imp.g_varchar2_table(12412) := '2D2D8F81CCD9B10499C89BF53100281BC8C84656C7F830E4FF444750812BAC4219B840441AA6D089694CA31239D8D2472B208D7F00420BFFD88604E4700E700CC10AF1D8C2393C61016A24A303D4A8841CFA810B1FC4C30796942060624A2F0A0E9ABBDC';
wwv_flow_imp.g_varchar2_table(12413) := '050105EF125E1898C022810294F24482E086AD66BDB104997B6BF9D3A4CE77BE50F5F4C342F7B14955F8AA929E99806B8711DEE46E76B049A240A07944B2823AC2121E66EE4862920898C0575EEC705EB5475711EF95D8C56631105AA0CF15356BAF3F90';
wwv_flow_imp.g_varchar2_table(12414) := '638C17ED010E70800214E00002DE60D06F2D39B20B6D28B7C14D24766DD22E3EC08532921189431C620F8758C52F96D188C3FD2BCCD278C528C0410D086CA311F176413CCEB10C2B244016AF08C0322AFFD1086A6CA312E3F001083029D3215C610B5AA8';
wwv_flow_imp.g_varchar2_table(12415) := 'F8C52DAE858C6B5CE35618C1A1116D25BE84D77314F9D97F344DBB60C2A63EF531AA7B71503499CFD296F3A5DDA73DAD03973F5896B6B6759E026C428A29133B59A5E1C36C469F501D4454429D2114CFD31D27E08E5221A0D5067EC0A1217C31C41FEEFA';
wwv_flow_imp.g_varchar2_table(12416) := '3C8D7D13B1BB0F083DE9EBFA9AD593A4A4E09EF8FC2B05200001B873C0006F68EC3DEA3137702F5947DFDE7B649F0C9846F4E2DC955045318AB18954240317C1D002083253017EE71B14D450423CC001006558611CF8F6010470B18A0420BC128E5FC739';
wwv_flow_imp.g_varchar2_table(12417) := '94E0E7997EBC0357304346D16006D99B21F61A7DBDEC6D9F83430326827A513479A9A328FFF8920CC10C6B586B96C94D55ADF0E8F98DAAEB64086A9D3B6C89176B5E339FA9F39653FF972AAFDDCAA1197E83ECFCC1DACC533745464CF16C00030FE081D4';
wwv_flow_imp.g_varchar2_table(12418) := 'A2C6F5AF13BB9FF5178D68064BB660FD808D631BDBDAC6469FDC6EDAA88D02246003ACADEEEE6E8FFE2EA1266B6F1AF0A10C09307CE01782E10257411554811754E1152C30182AC1A3186302C6610BA4E117E2601B3C011C7CC0B9D6E0B97E41DF640117';
wwv_flow_imp.g_varchar2_table(12419) := '46AF11144E0256E11F3A8AF526E8E3F2C2F5B400F7B6E00B60EFF5D0600DBE00F7CC40A5764F2F7A2FD154A0E4842FF84E4E6398A8ABA68FD2900F754EEEE48206508AA64F7CA950A40A75A04FE850C7BD58A0799E6824B01078E863FFFA20E2A8724986';
wwv_flow_imp.g_varchar2_table(12420) := '826A20742E9A84E7BF7E8797F28406FEB0C2AA63EAF60B23668501500059D849D84CACC4C00E5A6E028EEEEFFEECC86D562458804006DAC8FFFCCFAFFE4ADAA44D02384014A74DDAB04DDB22D0011FB047525102E3E248FCA202CC401964E10271A11954';
wwv_flow_imp.g_varchar2_table(12421) := 'C1178AE11788A1F15661089E0404AC204D8660E2ACA0CF54600B94601887400B4640097C4002A0111A23C3199B90D02C48E34A6F15CC6014C6C10C002118AE0010B661141A211856210E96D09240694A464E057EC3E4A850F806C43A70604E2AED229689';
wwv_flow_imp.g_varchar2_table(12422) := '0ABD70054AA00B0564AA6C8E759868971A86FC90AA4F9CA71E3D2588E8230EE5900EA1EF61062C237A26FCC86F66F0ABFFAC9A28565AE5989467051EE0016E809DE2294380ADC51E7144706244000A5B60727EBCA66D464413654000FD6ADAE46E144BB1';
wwv_flow_imp.g_varchar2_table(12423) := '27FF8A033C2001EE00155BB18F162AC91CAA6F92321527104B24200E7AC11683411B3EA116C8E117B0D202AD4004EB6202EE82A4BCF23146C02BFDCC2B3BC0020AC382EC051BEF8282400904342E18B6E1F594611D126E1BAEA011CEA11156611CE240A3';
wwv_flow_imp.g_varchar2_table(12424) := '3AAA07632ABCF4836836853A18C50B974AA806650D0FF3303786C0A80A98204CE8B049D5F8A41F2545FA740ED6744E763E66741C06A8248D66F6B03E600D21710010B70AD710EC1013519DEACAD82411FF8EC28E8A626D860227A465456C20B0DE6E140D';
wwv_flow_imp.g_varchar2_table(12425) := '90273FB1FF388DD3031E000EEE2EEFB64DC902C94792922C8AF246BC0D02A75380C4CD0F24C02F26600D94C11647011154A1133E81168821187E41161E2E91A0E4711A238202C75FFE8207B1A402B4000DB62018EC0C1CBE13102C4F0EC0210EBE601502';
wwv_flow_imp.g_varchar2_table(12426) := '54191907E2061304E4F131ABE30456E0041C345296E7FBFCA3411D14421FF442A9C341ABC3C0F66B64A24A74980A631E1388A40F78F0ABF94234D46249BE9E2935618D66F8F0BF56D376A88EC046A240366007E2E9AE547225DB641285D4288C427E8080';
wwv_flow_imp.g_varchar2_table(12427) := '6CEE8F287A730792ED1325A038EF0904F4298D4C60D1EEE9AFEE2939893247AEB346AAB3B2046929F74EDCE2603B9D100BBE7314CC800BC4600CC4A0FF4D196115820117742F8320638240A01DDF052F2A00E2BC324BDA32BBB2D10C2A611496611BE26D';
wwv_flow_imp.g_varchar2_table(12428) := '1C5E611C00A1E100611440011CE4C0400553E4F64205408039A68343CB23422174031C340412939958853C34F44137F430976755930A2057CE84520D3BDC0B324DADAB50144062075623A63F364208164CFBE430746E4DBE2AAC99AC43040C24254CAC11';
wwv_flow_imp.g_varchar2_table(12429) := '1B115A6A33498F345AC9C6FFA4555AE1A705160D043E314AF5095B5BE05BBF158D60605CAD34066A6C4BBB5429FBCE3AD3B56F880400B413307220181AE10AACC00ABCA00AA8C00BA4400AD000172A4193EC259454C0A3428E602680913A802E1E284922';
wwv_flow_imp.g_varchar2_table(12430) := 'C871206ED082500E2A610DE2200EB4A0FFB91AA112CC400E1A8162E5200875EF822C752F5A000496235493E3041CC5534135046056391EA543DF8B3AFE7143315443391555F991664946E602853379A9E864B54225A5754C88241CF4C080080B59343B70';
wwv_flow_imp.g_varchar2_table(12431) := '000E3BB33309826686AE99B8A39B6E94244420021880039E06D84C4C48275149A715D9CED6FF36516DC1558DA434D9BA35D936B18DC0F57CD20706C475D1CCD5C6E8211F18102CC4B45DB9C2A116EA1FC6A21F88CCB47E2C7119B77113972AF6A1A0E235';
wwv_flow_imp.g_varchar2_table(12432) := '16E5C00CAE800BBEA00CCA400DCA800BB8C00A2A610BA8AB2E84310ED66008CCE0622B200EAC2007340E10AC600B3AC005B4C05ED7A012AEA00565D10C46600D6E57769504047C40FFF62CCEF6328AE3382EA35E6F07656A71F8E2D0A40366A597654F20';
wwv_flow_imp.g_varchar2_table(12433) := '04AA3766A5573976F63139144379767B19F4894A9433058C6831D368C7834F8436E634603A5A25AA5A0E22614377A2566A45C5201042237795D3C243530084244A80561E8047F16A597D826C95F448558013DB6881C7E65BA5055CD30835FA8F6CE6766D';
wwv_flow_imp.g_varchar2_table(12434) := '19388265207D62408DC6756FFFA11E9ACC7149B884CDC284836CA1904C3A05977FC40D16E5F50AAEA00AB8A00CD0000DCAC00AAAE00AB4A05EF0E27427400BCA740DB4400EE2C0F5E4E00A26200E3A0075CDC00786200E82380E5CE0767D001046400E2E';
wwv_flow_imp.g_varchar2_table(12435) := '08419B380786C08B39434D8A314DC8380738E3CF9CD76427207AA537FF7BA54339DA583A78967B51B57BBDB753EB384363A63CFE51512406BFFC7032C1107DAD836342675660B60D9116223C737E1DD33A746E880C420878862010B27588B57F29455368';
wwv_flow_imp.g_varchar2_table(12436) := '052512E4C59C956CDF8713C76681E9165C51D96DA994ED40200630989433187DF2765CDBAEC616F0B15AB86EBED439052870D1C597BB223BCD742F2E2A0ED0E00BBEC07333170EE20053F1A589A5B83BB520015C8F88D57189AF600D3C6A0DB6404DE260';
wwv_flow_imp.g_varchar2_table(12437) := '0400216435CA775D0010FA144BB8982F2CE90917C702D819D0F6425B29A07DB55739EC197BE3387B51355252B5042E1442011AA0C337A0EF783CFA1856FE18AACC6F909FC7901D86ADDCB70D31C23233733C6A86FF6730DA20AA160E550E3B78E84669E0';
wwv_flow_imp.g_varchar2_table(12438) := '0434C06B3DC04490E25913D8FF4C1982DB968DF409354C0004DCEE383FD1A5E5165C1FF85B61005BC975A69173281DAB3973F997579197873A5DC8743B1B892F5C80505761156E61142AC1E3428E3156D772AD2089E5200700C1051A210E72600D6E6F0D';
wwv_flow_imp.g_varchar2_table(12439) := 'ACC077AD807531D677314ADE1A218242AEBA9AB782028D9D414002348002F239AFDB77AFE3D89FBF779F1FD47A055BA01934A061D67BB757ABCACF759C8890EDB15623460334E003221AFD84169BD0B7238A47A311020F5B4E763299655026B04F820276';
wwv_flow_imp.g_varchar2_table(12440) := '604486022627715A6DC081BFB55B61404A59B9ED8EF349455114E34EEE6E1B4AAFB4B77B5BDAA8CDFF034E31A8BDF4A815AAA881D9B807A8482677A9FD2C3046C00AAE20087220CA9AF0492CA9762B2007B6C00A3AA0BABD9887C752BA2580BBBF783126';
wwv_flow_imp.g_varchar2_table(12441) := '008C4740F7722050572FAE032D93E8DAAE253B9F33808DF9BA7DA7F79F21E5510E9BA00BBA3A3A05A0071B7CFFF17FB16A22B1E3653605AB44E7043060B235E054014544117A3C70A0782AB9E9AE4907D043BEFAB77F75883A46DA00487228481900A895';
wwv_flow_imp.g_varchar2_table(12442) := '945F1B5B659AB6B1B4B679F2000D10EE20E001E20EEEAAEDB64731C63D4004A4CDDAE46E03EA0E5DB522B9957B70571180C4053A9F335D2F0B728B040E941A822CCA7903A330DEB92FAA8491A2CC4A128330C49C4AA28C4AB67CA2E27BAEC3FCFF2E3C00';
wwv_flow_imp.g_varchar2_table(12443) := '023240B2E1FCAEE31CCEADAECEEF7B39FABB655F168E41B5CFAB37C0BDA3046AC09FAF7739FCF91F111D31BD9064D4175164685026C21F25FD0446557D4D6805229CB2AD7767AFE37442F26716E5E4A296214E65FB5A336B43FA3B4A800684AFC411E005';
wwv_flow_imp.g_varchar2_table(12444) := 'C406964D3982DB9682675A5B8BF330769BC6A94D38ABEDD7759C023600288112B07E72DA80BDDA8ADCB1088970A902C9937C2B8E72C8A21DA98B0416EF25821847F5D2FC92E4FB4ADE59DBD3B8DB9D30CD13278224E001467ACE255BDDD9BDBE63566703';
wwv_flow_imp.g_varchar2_table(12445) := 'BB7A5F36AFF7DB3C2CB4D059368F25943C32A6A930C2304BA2659747341B06C233FDBF31146864851F35CD3A8EC7542C3979B883FF87BA034253FD043A655668C5001040046E807D5A4013CF27A75B3CB6A994A63D40028693E56DFB3851001409B0D88D';
wwv_flow_imp.g_varchar2_table(12446) := 'FD4A833CD9937DD9BDA5DAC365DA59F197F9AE2DC48DCAC17CCDB73CD0324850C19C91C4BCDC9D9071A09EDCE199CB8B3ECC1927EE222002D65D03D45DEBB93EC2233CCEB39765A3178E61B67DEF3BBFA7B765BA89D00BBDCF21C54113F3666F3650FA44';
wwv_flow_imp.g_varchar2_table(12447) := '7D0FC54F82E61F1905CFFDD1854414E125BC8D3935D2E771051805D26B20E24DC5E56A283C4446E3015C393AD9000C60037CF37C34D1955B3AB67FDBC7737D5B65DAC5C9B5F4ABF49EC8555C819B0270FC01587F241F20035C9F0274FE6F791E477CDEA8';
wwv_flow_imp.g_varchar2_table(12448) := '6FBF46A29C2AAEDDFF4CA35EDCFD8CDBA59ECBC73CEAF9C2E88BBF64CB5DDB0703822AE0C61F200230A0FD3020EBB1FFFAB59FFAE95CBFCDBECED59EAFDF9CF03905670FDB7A5F967ABB706637853FF42BE00F33524400F04753F03F40BF13793C44603A';
wwv_flow_imp.g_varchar2_table(12449) := 'A670A90002078E1A38742C418284C7121D3A70AC78F890064488272A86C8A021020304060C107820E3468B142347A638690284090F2B3D7800E112440A95335BC0A8D9C20610154080ECB061E306D01D446FECB87123068C951B3850780A35AA54036F00';
wwv_flow_imp.g_varchar2_table(12450) := 'D0BB87155FBEAD5CBB7AFD0A36ACD8B164CB9A3DDB15805A00FDD4E60380162DDCB874EBDA15ABAFDEBF3F124074F8FBB702E0C1840B1B3E5C2171050989111FFF7E1C383261C1823B28AE5C01C484079C2378D6F8D93383D0A2236078A021F5060DAB35';
wwv_flow_imp.g_varchar2_table(12451) := '8448AD01E3C510B433D0BEBD21C48A122B50ACA831116288DCB47313F71D3C79F01A2C06D6A88102FAF3E4BCA3372FC830BBC308B06187382162A2EEE5D71BE2687E70090F86037FBB87C87BC389DC193522D868000104183252983879924B1278C0C104';
wwv_flow_imp.g_varchar2_table(12452) := '1C0CE8920724C19013500EDAD0424E3D4D48940D44F954D45226382555871E6E40D53F57D553CF3D779D88628A29AEC5965B73A998168C32CEB8953EF7ECD517643AEE38420723FC6899628C11D623643D56B62360482ED998652048900004113C40DA68';
wwv_flow_imp.g_varchar2_table(12453) := 'A45D8901771AA0D61D6BB06560DB6CB78D39DF43FFCF9D89E60A156DA0E6092B7CC7A672CA0147A74003DD49D099CB11541076D931B44297AEB9291E6F66F2E9277B3A28C4C37ACEA5F95009250C17C2671B21800067095010124AFE0978200709BE6442';
wwv_flow_imp.g_varchar2_table(12454) := '844001A1934E3D154104AB444C882A503699D012071C7A88AB541C20F0868858614563B0C2A2C8625B00F033EC8BC32E7B968DFFC091C0938B4D304105D556CBD8B5D66ECB5862D92EA658B5972D2641B9E676CB2DB8DF76CBD8BAD6B64B6DBCED4E9BED';
wwv_flow_imp.g_varchar2_table(12455) := 'B9E726C0910107E87B40BFFEFE0BF0BE1D19C000C10C1C8C70C20763B030030C67898177638EA941C4119B9651C5826E9CDA6B1EEBE6269B6ECE77026DAEB9565C450F2137D1091A249CA5C6FF159B16F1A02BC4F91E4402D5E0E6C4AFC1A611BFFD0640';
wwv_flow_imp.g_varchar2_table(12456) := '40D104609A00071B862A01051050E041D31448B0524B29C5102149104638D24A1034DD34040F244076D911907D7602678F9D76DB68BFFD400065FC53E2AFCCDE8D3758C5BA88B7B279338B0F3EFAE8F3CF2D4A58A1C4E13E28AE840F882F0EB9158B372E';
wwv_flow_imp.g_varchar2_table(12457) := 'C5E292277E79E3881FDEB812397CFEB90F43409E38E99D777EF9E4AA77BEBAE991934EFA102D10D543EDB6DF8E7BEE3BF4B003123F1801BC11BD23313C4208198104F2C9237104F349244105F4D2479F04F3C857DF3CF6494CF1FC11531C6144F5493491';
wwv_flow_imp.g_varchar2_table(12458) := 'C411D23F1F7D1554A85FC513EA4F8FFEF4ECBB4F7FFB555461FCF246348F7CFFFFFB47FF84F5ADCF7DF65B1FFBE007BDF02DAF510CE401524282941FFCE008894B42E22E78B82A5841835690420737E8412E70C10A56E042159490842124A108402042AB';
wwv_flow_imp.g_varchar2_table(12459) := '5CC8AA2218C185332482115A78431AE2708736E4A10D89408B7F64051F26FA9B1199C5227EB8E58871F11B13CB32177AAC638AF198E23AAA88C52BC6238B5CA4A217B778C53082B18A5FD4A216C7180F008CF18C5B6CA31BB1E8463372718DF090471DED';
wwv_flow_imp.g_varchar2_table(12460) := '280F3BC2638F7CECA31FEBF8473FCAC31D830C641DDD714843EE318F8C6CA423190948482E929083C42321FBF8C84662F29177C4A33C0090494E62129091ACA42739194A5496129255A4071E57D9493EE6B1937904652A67FF09495C7AF28EB494073DF2';
wwv_flow_imp.g_varchar2_table(12461) := '5137603D7198324A22DF88894C180D0E98F3686633DF08CD37CE231ED3A4A61B9D494D7B4C739BD5E4A635B7D84D7052D399D89C8736CB49CE676EF39BDFAC073DDE498F78B8D2958F8C473DE939CF3CE6939E8CBC471EFD298F7D3852A0B714E83EF641';
wwv_flow_imp.g_varchar2_table(12462) := '8F7D6025A00C3D28431F4A50823654A1F730A83CB072157F1AF4A00E8D681E15FA518CDE23A1150DE855127AD18AAAD4A22C65E848FD8995961A149EF3201156EA46A27AD863A73AE5293E766A0F9D0A35A72402AA3D7E6A54A3D603004A25AA539FBA54';
wwv_flow_imp.g_varchar2_table(12463) := 'A892E89DBF126632AF5A97B5180B5958ED6A5DF401CC7A349344E934A759CFA9CD739ED5ACCD34AA39819A4EFF00CC43AE749DEB5AD59A54B7A675AD6D652B5FFB4AD4B20A369D52AD6A551B1A50839674A389E5A86315CA518D3E36B194652C4711DBD1';
wwv_flow_imp.g_varchar2_table(12464) := 'C74E76A39AD5AC61634A51D01EB4AA9D2D2D481FBBD28A9AD3AA5C099C6B5F0B5B227E36B6B4856D3DF071DBC0DD43B6BF92AA6F735A44D67A75B87AD3EA31898BDCB070351FB56DAE7361CB0F7E042EBAD355A275A9FBDCD74677BBDBCD6E768798D7F0';
wwv_flow_imp.g_varchar2_table(12465) := '8AF7A8AEDD69E0F2A10FC84676B4A3ADE87A151B50C99AB6B4EE652F67E78BDFFCEA77BFFC352D509115DDC145772B03CE07770B5C96031F782B2F1AF072BBF2D9084B381F764BAE8519BC1625C2C58917EE308DD6E2E1B28C77C4E3E5873D4C8C627B6C';
wwv_flow_imp.g_varchar2_table(12466) := 'FFC5B42A05AD7B5F2CE1AA02C0B033366C7B631CE1F6B2B7BEFDDD316453FB581BD9D8463D0E3258F371501429F858059E0B876554E1101357ABD695B287B532231671E51E73296258BC8CD5C09178CC2436F18A359BAC27A348C0FC283247F9C166EE0E';
wwv_flow_imp.g_varchar2_table(12467) := 'EEB1017E309CD3EBE683CE19BF67513077190CE865DDA344561E6EB1ACABE6422373A4F06C343DA4EAE8484B7AD294AEB4A52F8D6949CB73D3F1EC34A7C119CFC10ED6D1FFCCB4A94F8DEA464F959E0005E83E2FEA4B78BAF3A9A4FED53B1919695FEA53';
wwv_flow_imp.g_varchar2_table(12468) := 'D7B78E353C2F9A6B7FD65A1EEEACF46F539DEAE0125AD158DDDB8699EDD5411B8B45D4AEB6B5D5F28F6C6B7BDB00D8B6B7AF0D6E6A7B7BDCFFE42EB7B9CF8DEE74AB7BDDE566D1B9BBCDEE78CB7BDEF4AEB7BDC70D6F6C9BBBDBE1EE378BEA4161E1427B';
wwv_flow_imp.g_varchar2_table(12469) := '98C65DE2C0AF0AF06CDCE10D7068381FE0E00788377CE214AFF8C41F6E888CC361E16FE038C727CEF086337CE4238743C9431EF28ABFE10F9168842122017346C43C1232AF39CD6F6EF39CE37CE73AEFF9CC6F0E7499F33CE8308FC4CB336E744330E2E8';
wwv_flow_imp.g_varchar2_table(12470) := '4C67FAD2939E74A7333DEA51CFB8D5919E71991FBDE27EE043D7BDDE87AE87BD0F7CE0C3D8CB0E873EDC810F77483B1CBCDE75B7DF61E16DAFFBC63BBEF18647DC0F7BE7BBDF110178C0FBA1106FEF7ADCD15EF6B5BF7DF10F6F3CDF1171F5AC477EF24F';
wwv_flow_imp.g_varchar2_table(12471) := '87C4CE21A17443445CEF14F7FF3BDF219E0DBA45F9E04F74F6B3494F4CBDB82100AC6FBDEB5F0FFBD807800226889BEC6F8FFBDCB73E012F5109AD7C4FABE00B7FF8C4273E4B8A8F7C051D7F252958BEF2919FFCE0B364FAD2AF3EF569E5FCAA657F54A3';
wwv_flow_imp.g_varchar2_table(12472) := 'AA5A4B5C62FBD6EF2B60E4071801604F80039CFFFCBA6F3FEB09403004D8C723EEC73D02D4F680A76C402A52735AFE29D014A222800442204E91001EC17EADB77E45630072237A02877A77536DFD8068891681CB420FFF5006B3A73609C0366F737FF832';
wwv_flow_imp.g_varchar2_table(12473) := '362348821EF80008C00144700363737F2DE88126F80062030151F2822358833438363308013AB8830920013CD142AEE24243488445688447E8422DA484AFC2844BD84243FFC84242188548988442C8843F000458A88559C8855BE8855D08865FA88512B4';
wwv_flow_imp.g_varchar2_table(12474) := '033F508666481415F21347213626B80122F3266AF2263EF31A1F90110A831AAB41019DF18109B011F88229F7C70035C81924C81914900192A28819E01954E28857421AF837259CB1012260022F0003311003FD112132D002FD01209A6814448186687814';
wwv_flow_imp.g_varchar2_table(12475) := '31E001FBB78785987FFFF7140E084C107881C2626DD3E66FB7888BB9A88BBBC88BD7260F1A1800271888C3D8824883296E93292188001450861B408C485336D1288D651382D3688D6503843ED11312C48DDDE88DDF088EE1288EE3488EE29886E7888EE9';
wwv_flow_imp.g_varchar2_table(12476) := 'A88EEBB88E0FE22042018F3710122DC001F8822F11D01A1CFF533317F33207D311F791299D1101C43830F9529081782983F887F847018A580260E219F2279103F98C08198867130114C0012C402B30F002000292FE117C29200310841427F9402FE001AB';
wwv_flow_imp.g_varchar2_table(12477) := 'F8826B13833148010EC80FBFD28B356993378993E0A66139C9933DE993FEF68B1B7882F6A88CD7689422680344E001F7F78FD0188D06503650493652398DD5788D13B01313828559588E5DE9955F398E65680366F80363299664699665899668B98616E2';
wwv_flow_imp.g_varchar2_table(12478) := '966B58966FE996402114EE489736E08922B194C5B80160F2331B6331A9A111E36730DC211A9762901DC18047931FD5188880A8361100268BC88803F919F2A730A30190F2778F1EA891C7E71FA1597C2E1EF11F21219748610327612B3B98361D0893F9E7';
wwv_flow_imp.g_varchar2_table(12479) := '80B6F893B3499B3D1910000021F904050A0000002C14001000D00155010008FF0001081C48B0A0C18308132A5CC8B0A1C387100942021007E2B08818336ADCB81118C78F20438A1C491264B8922815BAE3082F61BF74025F0188A4511ABD87FD04024AC9';
wwv_flow_imp.g_varchar2_table(12480) := 'B3274446196DF91C4AB468C99C03FFB41B488CA2D1A70AB9C1A189B01FBC54F468962348CB95C274C4CAF901C00F2337829F8A762A03A09BA185F2A03A8C07C0EBC36CCCE4262C25701C00BA7A1D7602203370C29BFBF60D0CD7A8E03C7BFF0CEA33CCF0';
wwv_flow_imp.g_varchar2_table(12481) := '5F648DFFF8E1AB5AD072C39602F54D16B85921D283997DDE03D06FF26984E12081A68CBADE6A86F62097A67C19C03EC009ED01A8D76FDFEBA2FC228FA69D70F36471BDEF2D1FB8BA2CF383FC8E3B2C4BCFFAC17CFD6E63FFC4576FFA47F129F925368FB0';
wwv_flow_imp.g_varchar2_table(12482) := 'ACB9EB07EDED56B8AF9EBD7AF998CFFBCDD9B170E186D1530F7C6411840F7ADF11D89075F929E89D770C35389062F428365459102AD8137BB40DC88F3AF4C973CF3DF1C4738F7643DD23A1862CB648123F300A94A18B340EC5618DB3D5A8E38E3CF6485B';
wwv_flow_imp.g_varchar2_table(12483) := '6F3EB2480D00B30C5464904826A9E4924C36E9E493504629E59429C57107955866A9A5430C18A0D001016C5954061B6C0040060098E9010A007020829870C609650C046940500900E0F9A640071020E7483208B483103C0C7403413DFCA9E8A235D24910';
wwv_flow_imp.g_varchar2_table(12484) := '0606BD89A740197050A940219C09C09E8C4644670A810A44670C3184DAE9A9A8EA7583090818E0E54011D8FF2910076DD29A82109396C042AEB2A6EAEBAFC0EAF8004211441091B16C06FB109D873AAAECB3D046B4AA41087C2010A405199B50A6D176EB';
wwv_flow_imp.g_varchar2_table(12485) := 'EDB73D1D301006763200000203A10BEEBAECB69B919F07F989ED4004F819260004A0194206BDBAEBEFBFECDE9BD0BC0411A06E06D60E7480990037ECF0BAE2F26990B90060A0EDC31867BC2E03113B2442B21A872CF2A206743CF2C928A7ACF2CA2CB7EC';
wwv_flow_imp.g_varchar2_table(12486) := 'F2CB30C72CF3CC34D76CF3CD38E7ACF3CE3CF7ECF3CF40072DF4D044176DF4D14827ADF4D24C37EDF4D350472D35A3E82640F1D458BBCC0002DA3E7071D6945D0D7693112400C003C38E6D98D70221B0B50108D4ABB68FE8766D270573CB85660211A8FF';
wwv_flow_imp.g_varchar2_table(12487) := '0B77DE3D964D29DE0C6F402BE0445190B6D508A88BB88FAE16E4F8E328954CF9E500733186E65C00B039E63BCA731300A3839E524BF2C0937A5CA6079963EB43C1F33AECB4D76EFBEDB8E7AEFBEEBCF7EEFBEFC0072FFCF0C4176FFCF1C827AFFCF2CC37';
wwv_flow_imp.g_varchar2_table(12488) := 'EFFCF3D0472FFDF4D457AF760723608FBDF5DC733442F7E083D441F8E46FE443F9E843748519E9B7CFD01600002287FBF42B5458FDF80B248D4ED4749EFFFF80D8C6FF064840FAAD0100EC2B20F8B6A005F801400B0070A002C937BE09824D7B23B08005';
wwv_flow_imp.g_varchar2_table(12489) := '37C8C1E9E5A083E8AB60054148C2129AF084451B21096900C20AA03077DF8B2100B6B73D007CCF8602B9E1083B000281F4708620A80008FF6E68101E42AD0666E256490A05001C00800550AC014118161822204D0258CC221613A2C52E66110012100804';
wwv_flow_imp.g_varchar2_table(12490) := '2000003272316A21D0809DEC1401B16524536502C00ACA94290D6C408D77B453DADCD8931F12C403662C5A1CD640C84112720D7040240213F9063898010E8D7C642419E948479AE1926F58C31B1E99483874B2930050A428E1104A526AF2677748A52A41';
wwv_flow_imp.g_varchar2_table(12491) := 'F20600C0A10F6F80651F5EF9CA3BD072965772035B88F2075742AD447F09663CD60180750C5376C624E631D7914C00C0C3980359873BA4B90ED9096425C42C263657A21267F20C75AA0BA737E5C14D8DC8E39CF438675CD6A9CE70B69328D5A4CB320532';
wwv_flow_imp.g_varchar2_table(12492) := 'BBA0CDE39EF7ACC780D209FF80B8D0E59CF1904740070A50759ED39AFD0CA640D429BC9BD0C3A103B909EB4657BAA10046A20A651DD2F2C1D18ECE2723230AE96D2CD43CD198F4A405B9D1F0EE312012020840CD23E9885C0A80FF08C41EFB80E9F0FE81';
wwv_flow_imp.g_varchar2_table(12493) := '8F8EFA141F1F2DA062863A54B2AC6878304A6A52EFC354FB38B5A9507DEA70742A907ACC831E57CD2A56B79A55ABFA8E1EF7605D580180A017424D1EFB40AB5AD3EA9BB8B0F5236EED2749176AD6C7A9C1739E13C35DC590112F5001006778C21300F004';
wwv_flow_imp.g_varchar2_table(12494) := '2A78612047400261EBCA34349DA0042B60210B08A2031E5496B23580AC1215F281CEAA7120994A186329A7D8A28876B46313021296D0032408A1279B45EDD8149B2824FFF060093C6022006AB00229728460B2951A127AC05A002C6120890A2EF196B05A';
wwv_flow_imp.g_varchar2_table(12495) := 'DA0EE4B825398172A776DBDCB296B9C61DEE7495B704DC4277BBC5DB817113E544F0FE8E09893A6E7ACD1BBCEE02E0B600206F79D9CB3BF402C0B6DEC5810EE80BB5DCEE1724D05D820EBCCB441D3041B74C50080BF9DBB3048BE4C0072670411C0C80FF';
wwv_flow_imp.g_varchar2_table(12496) := '1684062BD8AD6FC9A70283B8506D95DDAF652D0B120B5338C1233670850D5283050F24C3F36570CC9C18621E1C382416B671810F6CE1836C78202E6E1F11A5D65B29C6D8B295C5410D50B06481E0C0893146886FD17BDBFD0A58208562C27E1D9C6100D0';
wwv_flow_imp.g_varchar2_table(12497) := 'E0CBEEB3C00D89D861B0D560BE2AFE48942B2CE0CB0280FFC7131C9F0A3A308482B8C0CC05E9F1474056611B1B58B7EF5DF30635383526FB16CD2291229F714B90E352B88389B002007CF00533A870692BE82D0B7E1C124E17A4B64CCC2D49ACB83C3924';
wwv_flow_imp.g_varchar2_table(12498) := '702066B8C240E400C1071E1067826EF20AF8DC101DC49623B41E2F653722DD81FCE007CA93B4152A4210175482201F5CB5A47D2668B964BACB0871B09E15BC60E9522CB9C8BBF3F8EE4C688154D0021690C09073A8C14BD36CBFBCF53454A03D058390F8';
wwv_flow_imp.g_varchar2_table(12499) := 'D10BE1F4072015011E001B7916185FB709D2ED090C640284DEF7CCD4ADA01AA81BCE2D7648902DE66BE5091C211F1E5AB31B026F9F003ADDD05648097A0D80AD0140BCDC9B4005FCCDB30C1B9AE011FF99B848B01D91124C8A200880C0A1420E3483A340';
wwv_flow_imp.g_varchar2_table(12500) := '0746C601931D82721795AB4BED8BF8CD7A9D6926B3C9B71967D1953322B6ABB5C07A2A14BACD665D031DE4DAC267DEED7574FBDD8714AB5800F81AF720208104947D676D7C0003FA752D9FBF1010BD14C8FC04426C9C15422077F7032200309642F47D2C';
wwv_flow_imp.g_varchar2_table(12501) := '00F07BE0C7B277BCCB582339B94C3F72B2F89D2DA7F19801D2E137328FC95BFEF298F7D78C5094F992F8B428368D8762448F53E0F84AA933EA3C4980CA7AD62764AE1C898C62642F9CD9D714A7546554EA55AF1095EA43A9A2596A662CC38FDC0BE4A81C';
wwv_flow_imp.g_varchar2_table(12502) := '81294CFFB18F7F5015F6BC67573E56E74EE403001F90C98DF68D3FD3E4DBE331FBB928FF00EEF917C5A0479EE33751627A54D191043524EF07E11BDEC0852A78A10A52A88215CAE00634F4BFFF9EC30502388063F00503E13F5C500665E03F1921805EE0';
wwv_flow_imp.g_varchar2_table(12503) := '805CF0800471580C7810360000F997286320103F80044860041A725803D10421910402A1045580124AF0034920052714038972033B208333E82C03412A29202A32102881E22C3770282630103000002F000026E00146E8014108004A88847F74844CA884';
wwv_flow_imp.g_varchar2_table(12504) := '03E1849BE2013938104B484606331066F3350C207604C2471A6100694312B4823775056C46A0866C08006BB88604016C40406A0EB103F7F6713F608720F76B20F7717EB80380282802610337806D76581066633614104721602668FFA22076B4294C672C';
wwv_flow_imp.g_varchar2_table(12505) := '11F0005CF347244188A30582C0B60320E8890471880601727D285E7DA8107998871C5810A4B81032F88A33285E37703807715A5A32399C22124358577DD8891C788A7E681077688AC1C8113B6003C7481033E7104FD7366703001A706BF071312E265A0C';
wwv_flow_imp.g_varchar2_table(12506) := '0029D7A8107503007C43104BA88B8C958A0601041C086C17680317E88B18818E8378032D100329708507F1833F981166231014108D2D223854E462D948106228106068104B6802F29811DF5857CE0272377081E2C52C2211885061366C771D0F9000C312';
wwv_flow_imp.g_varchar2_table(12507) := '0154D47661F7850BD137208900C3528692381207295B0E498E1F07043B000477381217C810C0E810DFE8251B208D94FF419246418520C19326746FE4F8032A6914317985315912F7281066225A15191881641003D92218299266D58C29018CE2858CA9A8';
wwv_flow_imp.g_varchar2_table(12508) := '8733A911B448234F89105F682E6DF4111C4001142001683812176956C858143F10932F59125498000970473AC24241D67151191164B4962541952834978641981BD1028114900492012F8726D8D8971B614680F91149197D7518979DD89520713537E923';
wwv_flow_imp.g_varchar2_table(12509) := '94E89124F1006119123A69990B41989AC911F7D8883B7202BD36963C51861CE09396699820418EECE81336B82E137038616484A6591236408E4339140860354A529623F1950381371E402B1CC09C03918306695E2C69032DB08C24D10212591496F82C1E';
wwv_flow_imp.g_varchar2_table(12510) := '809604FF119D00D09BE5B927277992C1091140309C47599CCFD246F2499663A99C20417261349B53988329509DEBC91140D08C20B08BC229108AE9228F9810E6E23807BA106849016779104D8885F83899FF89101DD687B9599D2670941C719493E323A0';
wwv_flow_imp.g_varchar2_table(12511) := '39105BD33757733521DA101C00012BFA47B4F29C98D826A379A107419CEE2910E4D8923A9A87A9D929F4692CB0C9356E8311E25910102A10BF59106AF98C34AA10C3A9022AD9A38C92A00711927D23901CD1A2F818966BA99F0060A14D4A102C3988C108';
wwv_flow_imp.g_varchar2_table(12512) := '9FCA229F13239FEA32A41831A30A219D619A10EDA992DF38842D000320B09B8C529F1D1776426A9FCE48129539855F599A71AA10392A880010A0A7FF82A60791A26E940060BA1167F99C1270386E7AA807D19262FA7440A002522A12B6481BB0A92DE8B2';
wwv_flow_imp.g_varchar2_table(12513) := 'A01D77AA932376708A10833A9EBF79A91060A89A8A10781A843DB4841AEAA12531AAA40AA45069A021DA8D93DA10936336334AABB53A10A02A1026D002CF4A10CD08AACD2A27F3297664492D65632CADAA1083EA381C909F65440166C400092098C58A79';
wwv_flow_imp.g_varchar2_table(12514) := '43A9999C9AA32A1993A6087230F0743140AF561911A1B58F8AF985A7CA37E78A8F4CD82630CA10C719A80701A161D9A09DD79237BAA837DA9E1E7AAF43C12D1AC07091C31C230A73269AAA64C937C37238B3199D990A73E7FAAF0311AE324A10FF8A369A';
wwv_flow_imp.g_varchar2_table(12515) := '3A9445402075741018A0936D59231BFF8911355B462E1A9E04A1ACCB1A2402E32B291AA6954013457B6C3EC207057177A8E2078CF0163FEB249E11B5545BB556FB388B077957AB25ADC77AF6B07B5BBB28DB971B23417E04814F95B71136251C5D351CF6';
wwv_flow_imp.g_varchar2_table(12516) := '211F5D4B1E2E321DE27113DD07112A85B727855261DBB728330AA3F00A800B00818B10B8400C870B00B870118BABB88C7B11B7F00AB7800B00400C917BB9950B00937B110E710BC3300CC410BAB7700BB640BAA6EB119A0B0CB7A0BA1E610BB4E0BA4201';
wwv_flow_imp.g_varchar2_table(12517) := '00AFAB17B450BBB6000CC3D0BAB42010C02014B10B11A8FB11B83BBCB9FBB942E10AB4100BC9BBBBB160171D340120E06F15E001D02B44D5EB0116D0432DD0023FC4BD00D0021DFFE6BDE00B0020E00120F0743FA402E0EBBD02F174977AA48B68107813';
wwv_flow_imp.g_varchar2_table(12518) := 'B2CF8984D0693886D326F8CB01F98B101AA038D0C8363EF1008D78931B3047738447919826086C26802A106C72737B72731C5126166CC1FF9BC1F9F8001A20C01D74678B7A672E506600D06123FC11230C0443B0C22EF0A977F6A971292A09A10330F002';
wwv_flow_imp.g_varchar2_table(12519) := '2660C32FF002350C03349CC34458C30040A005F102FBC5C3440C00B9861293F5443A00457C66722529105224452FF06380465C3C305C8AB5035ACCC546F0812C471011CC022840C64F74103A0065456842231043DF63C2250CC222AC02732C10278CA303';
wwv_flow_imp.g_varchar2_table(12520) := '418E26ACC705010420DC103890C3824C844E46102FF06487ACC608FF71743787023AB75B2CA0738A26452F97115D76745A27472FA6C9BDD55B4C96743B371057AC5E5A9C5C8CC6034EB4972EB7CA7852C903214549375D1D66C2742C10B5FCC703E10275';
wwv_flow_imp.g_varchar2_table(12521) := '3610BB5C1045809D6BDC444FF66403E14444ECC387BC621596C615A66838D76CE56575D2DC7319315F289761D8ACC904D1C905C15B02F1676F86C5F8D55A593C5C3D006806D1CA79C2C90401660211CBFCE5022320CFB8CC10B55C8C98D563811CC8B906';
wwv_flow_imp.g_varchar2_table(12522) := '6569AC5FC41CC83DD7C84411CA06F16C088D109E9C6E5AB75F95555DD83510DAD5750751029935C55A1764F0FC0114639B1B1443D8336E0A21D2792CC77E5C0443600330800287BCC6E515CD1576733A508433FFAD5F47AC5F8EAC73D2CC649B6610886C';
wwv_flow_imp.g_varchar2_table(12523) := '75441159F01C590AC1D3D0D65B72F464D2F65EEA158A10617006274718465F18544303913D0831663954662D6CCB43D0C22EB003457866E55575CAFCCDDFAC67C98CC43B6D75287773675675FAD54415A6721931D5782DD50CB1C410BC5FF08C5E8C2610';
wwv_flow_imp.g_varchar2_table(12524) := 'CCB55A3B502848906409E1CD18B6D819B697EFECABA8B53D5A9D102A704377360295AD8C685DC8748D73520CD48846C838B764A44DCD04E144660D154A0611D386103D605F89D25AC8851144ED651917D5D048D5DE666E20C0431D50662AE0470CB1DA4D';
wwv_flow_imp.g_varchar2_table(12525) := 'D4DA0311CC0361DC0C5175A9DD134A66D70961CDA78D104B775FA5655C85A2DC04C1698B5D102BFFC046910D02244CBE4326D2E6964356BD5B068D039355DAFF95DACCDCCD82D6DE49FC443A47DC2491753E9D6038C004FD3DD7F146D7AF9C6702716385';
wwv_flow_imp.g_varchar2_table(12526) := '025FF1855BDABDCD033103BCA597E6D5435207441D500197D601E78D10489871A8AD64FAEC6EFF15DF108CC4032E657211D7A6EDD38F1CD7DBFD5C03F667C705D1BBA660AFECCDEF9CC905918BE69503972666136E102880D4EA5D039BC6D7259EDCEF15';
wwv_flow_imp.g_varchar2_table(12527) := 'E236A761A40DCFDD6C18FEBD650FC126912C45ED4DCC6F86CE04616333DEDA5DD6D81946CD20385D0984051C610226C0CD0CA16724B6DDE515CA4E5E10D09D1251AD6501BE5BF3A55F1B86D12E2E60DE15E205AEE50A7D104C00630CD66A09FF246611B1';
wwv_flow_imp.g_varchar2_table(12528) := '84426EE42CB6E02FE6CD54C75B8C7C10731E1249D7DC80BCE050F65E061E61A20667FEDD100447DC900D42B8B005A0B010AFC611297EC63F36D7FF75E906D1D391CCD928B161713EDC4E06E09D6E102FFECDDF6560FB4563D03CD53E2D5BFBD310896E14';
wwv_flow_imp.g_varchar2_table(12529) := '411ECA8EFEEC41C25BB40EEC0E11ECC6B5E5805EEC0911642C8EDF2F2440CC0E00C986D5249D10BBEE6326CE2E7E2EE86F1611359060AF0E69DDB0EC7D7110F3D3CBDE963DE73E124DA675F5AD2C3FE6E722A6654C547152066DF33E418DE11010F44158';
wwv_flow_imp.g_varchar2_table(12530) := '3D10E9BD2D7384122B7002E97E2A1676598542D138AED00B6F56AD2610AA26120C83C02391F1BE62597E2E10AB95DD47DE449EFF56DB6695E109F1D51C91298D78026682F100C02D1BC0711A21F4C1D265BA75DDDA1E634AC6DD2A6F411D10700311711F';
wwv_flow_imp.g_varchar2_table(12531) := '966F3334D2F85A3869A2F33FBFF529A35D02415C099EE593E7DB1961F30B914668AF8F3889326C12D1CD85E40BD1F420D4DBC2FD10DF833D0F87106954106BAF32B34610AB955C081FA72264F604B1F70CB1F7FBC29A1A53022280272C10C6E79C6651FB';
wwv_flow_imp.g_varchar2_table(12532) := 'F429D1F71A335FABE5B73CC12F9DA93199C6E4F3C5C5D32DE990E5CA9C0F11411F0227C0FA0DD36587E6F25896FA3EA1018F88F9D112FA51EDD000F05AB34FFB2941A5FF8227445EEDC0CF96D712011633B31DDCFC1C7CFC3ED3C02B10024EAEE3D06F33';
wwv_flow_imp.g_varchar2_table(12533) := 'DF70FD4AF350ABFF5156DA2F341035566DF5FD3C437E5A055664855600A00FD647FE33730F95477A02711BDEEFFE345316C201B6ED6FFFFCDFFF000140E04082050D1E449850E142860D1D3E841851E2448A152D5EC49851E3468E1D3D7E041952E44892';
wwv_flow_imp.g_varchar2_table(12534) := '254D9E449952E54A962D5DBE841953A645030900D89C9953E74E9E3D7DFEB44820000200060C1A059A54E952A64D9D524C40C0268181091058F520D0048CA75DBD7E051BD624D2815413187800C3C44E0C1104BA154B31465CBA75C3521588008101BC37';
wwv_flow_imp.g_varchar2_table(12535) := '890A54AB36C5D6B52D1960F880C1AEC41B00E62E861C79A901BD7D811AC0A0E1035C0096257F061D1AE8D082647B1E3EF857F46AD6AD75AACE1960A169D7B5FF6DDFC68894AF69A3595FCA6E481BF770E2C517F6DD2B10B84BA19D0104F06CE0C0C0E98A';
wwv_flow_imp.g_varchar2_table(12536) := '8D5FC78E1B48C12449971F903E90018003E3B39F47DFBA8A52A1D305F6754F3E7C7AFAF5C112A14B407F51F2F6FDFF678A198180018B2AA308008FBF812800B0410773BA468AB0DC338001D81EC430C3A5C2E9092904CCD3304411797A6627CA46443145';
wwv_flow_imp.g_varchar2_table(12537) := '9DDE48EA810706E200801754A4B146E362B43147E29E00801100C66350A0311EC04F47238FB4EB08833CF0A2410F4430810500B8E24AA7C700D33182073EE40C49899404804782D6B30FCA815EA032052BA50CB2C60C28C8E0810888724B382F1F7A2080';
wwv_flow_imp.g_varchar2_table(12538) := '1752F08C3E163C60A1309FB8DA40A0426D94F3FFC51FEFBCA8CFFACC5C4A50B1AA7CE9D00C089AD34E4673FC534AA06E682C2B137C53F1CD440140A0CBE536B591D4A4E692E10549C192A14A0E144DE9CD38BB2468394759D5D053A7649021AE1762F54D';
wwv_flow_imp.g_varchar2_table(12539) := 'CE937465504B847C055645519B2A36AE5A651421B543418213CEB708520DB85FA32537A5C604BA41861E640015D4B0DA54E9814B8F2AB75E2F5FE0000200784569CE8356B537E014F13B628719539075A519039512470028D800E2872316B86207C519A8';
wwv_flow_imp.g_varchar2_table(12540) := '9C8130DEA91C713C0619007504DAC76293D183471E780A5A59A594097A7921794EA6B9E682F69959217AEE91A7649B7F063A68A18786481F7D6CCC2769A59326BAE9A1E9A107809C9DA6BAFF6AABAFAE91924CB4D69AA04CB0065BA24A1C849720D4C246';
wwv_flow_imp.g_varchar2_table(12541) := '9B21DFCAAE6F46824EA001EE1300502C0106ECB62A810812780027815EE40CA7BED3A6B9481B2FFCCBEF82AE22FCE41F08DA0180C755FC40A12D53C389F1C64FEE21F21AB7DD966FB3314775739385901C00CF472CE152140672D521C54DB777721B79D8';
wwv_flow_imp.g_varchar2_table(12542) := '73A018285588B30B69277707D47F587DC41444F04DCD82785748EFBF8127F7F11E8CB4C222A2003EA9728242804002E8157A81074FC31776A91E6C4F117D0086F16A86100A7A1F005CBF276846B705925287A650977C87E2E9774862662090010A240112';
wwv_flow_imp.g_varchar2_table(12543) := '989D40B4B79473D9E77EF71B880824F83A9F448E78EA03A043D27086345421FF0D5448C39808524000AC407FB4D301F900E0A91200605B4A215E0623220683D8010D00B80200BEA0050094E1290D04D096122843D0D8A1877BF0A1417208001E02808416';
wwv_flow_imp.g_varchar2_table(12544) := '095F0A70572D8F98808A49F11F003AA7C5C8756E8B24D19740BA17C609486002445C0C2E04720D4430A40C4ED8C8B1A2C80318F0408A32E001006E303DD1FC40085DDC011FB588923302C0020D99C0211389C6AF740300250A4725FA61103794610517A9';
wwv_flow_imp.g_varchar2_table(12545) := 'E3B11262C73CEAD1223010A44FF8B8831F4C8F8F5F2CC921015048467E061B02611143F0E04400C09122CA0300B1F028905DE631941A39570F1A734598480F90830C642055F7CB8D2472910A61652BBB928E8170080002FF42081AD050035A5AA431DF4C';
wwv_flow_imp.g_varchar2_table(12546) := '8830994991FFE9A49CD23C52190C610800B821126830042814F2C60536E59C7F0B634BEE99936712C402CEFC273A81E206371CE40E0929201C2F79C29E9C6B9F05E99E192170C6EE61A79F02F58A121032848210E192247C1D430BB22EA5506002269DE8';
wwv_flow_imp.g_varchar2_table(12547) := '40BC3781890E11A3546B201077600300D8A005AA14C80E0668CB81F0E04A05B9220F80389342C28BA50008633E3BF9D2A6357007DB79EA407E804100188109DD7488BAAE384E97780F2185CC2753ABA683EDE414AA0028EBE35450109D0A84A78E59AA41';
wwv_flow_imp.g_varchar2_table(12548) := '1AC3D59C9891417725C81963979D8B8AB527462025170FA2031A74B306DC0480FEAE484CA570C08C1C3829FF4B4FAA2F0F3C0E063190C1A594E7B0CF546095FF04AD330DD957BFB644903AC8230E121282B9F1D40914F46941C039549F4476A22685AC63';
wwv_flow_imp.g_varchar2_table(12549) := '296002DABA4D4DB9E30163E382D3820494B8A595C95B1F72C984389429288DAC492920817C31E4B76A0AAE1669DB15807617B93F7922457810574FAA6E29270580C31C2B100A70202B576CD3C16484477595172CD1340804FCE6D2EFA644B90E61680C44';
wwv_flow_imp.g_varchar2_table(12550) := '2A16AFE673BD092956AC0622C560CE758FDB750AE3AEA239BFF0B7BF2B99C17F3D40C1C44A249982DD6288CD3BBD2EAA8E94E77BE845A82B91621D2BB82F1E8832654C621A2FD3C633BE718D9349D78F58A5C2BFFBDD854DF281191099B533606E080AFF';
wwv_flow_imp.g_varchar2_table(12551) := '850240690500261830F32242A9D8E6F1A73E29DF0A6705999A74F92C428E09128C8084244C412049400200C86C04007467206EE6089862B2D6826C87A6D951C14C6B5A5630EBC41C1A2B473A34660E84686C207F160B380C2D107328BACF619307CFE821';
wwv_flow_imp.g_varchar2_table(12552) := '8F494F1A0051935AA6A766119E95CC6700F874A4370D9299C50300A66E503CE4A16A553FBA25F92048C994F6927BD4DAD5B7560A3D3E8D6B5EF7DAD7BF0676B0853D6C6217DBD8C74676B295BDEC1CC1C06D526676B417E28222780ECA503E530A072C6D';
wwv_flow_imp.g_varchar2_table(12553) := '6E0FC40553D2F641546B9071773BD9DF2ED25A748002FD217621E53677B28B202376B33BB1EC7677BCAD668111D0190023D8890A463082FF6F7BB206F5BE373739AC6FAA7580CE2AE840077602706F3FF9E0EEAE810E32BE70860BCD021C55A34693B2D6';
wwv_flow_imp.g_varchar2_table(12554) := '2A1D5C200B47010E320E808CE7BBE31673641C9602028180C0053A60010B0E0B001CA0E0E22C0740CA55EBF28F945B0738387AD291BEF4A4BF1C37CBF0AA40383AF229E1CFE703F179CA05B26E78F300B5DBCE08BC9D0EA0603465DB2B40C10AF2FD7383';
wwv_flow_imp.g_varchar2_table(12555) := '905723441F3B76CA0E804A8CE320DB680ADA09A2F7930B04DEE10E1B9C0732EF3E67450BDF9E3A417CA0041F58C1022E58A24B4C90AD125290B99547BBDE57FE8213723E6C8417087E885004C32117A71600410588EB590040FCB830C93CC739CE5C1670';
wwv_flow_imp.g_varchar2_table(12556) := 'F88452C2010BC4EE34D0F7FF77ADBF1748BF250E80E1D39CF804113EEC273237A0A78DF04598F7BC89507AA64ADCE10E2FC808866F107FC784F90FD9C00956D0426E66996AD387FE40A85F5A1050DC200067FD4FE2E710D66EE0F261133DE9D71FF78F78';
wwv_flow_imp.g_varchar2_table(12557) := 'E0850ED980FAA39DFDE3BF8E0001FFA308D672A1C621C002F4080D281425AB3F098C40840840F113BFFF73C03ED3008BB03F0010BF0DD4B71508C10C5C01FB3B81F09B3F1124B60C3C01CA0B81133C01250300254BC1146441612B1412BC2415D4C01C1C';
wwv_flow_imp.g_varchar2_table(12558) := 'B60974A1F7F9412024362234C2EFDA3E67F9080D989724FC1E8ADBBEE3931F65B10E28F435D68B3F84D0142C04B31C1088C5F3010010C322B0813BF3425F8B877520884E75C89995899934E4B578980782889A3B9C877A90C360B30700A8C33A1C887AD0';
wwv_flow_imp.g_varchar2_table(12559) := 'C33D0CB67B10885AB3350048444264C44674C44784C44894C449A4C44AB4C44BC4C44CD4C44D2C89C1F0449508080021F904050A0000002C29001000BA0135010008FF00018CB2A70F40BF8200122A5CC8B0A1C38710234A9C48B1A2C58B18336ADCC8B1';
wwv_flow_imp.g_varchar2_table(12560) := 'A3C78F20438A1C49F20AC993285372FCA4B2A5CB973063CA9CC950DA2F9A18FDE06CD92F21B685947646A45749A8D1A3489346AC67101F3FA55051DE5BF8AF61BF9E08A36ADDCAB5AB487CF9BA86F5EA511E807B538FF65458B06039B270E3CA9D4BD7E3';
wwv_flow_imp.g_varchar2_table(12561) := 'D8846891224C5BB7AFDFBF8003EFD4479830807A7C052B5ECCB8B1E37C90CFE64DECB8B2E5CB98336BDECCB9B3E7CFA0438B1E2D32C201D2A853AB667C636184D5B063CB8E0A83E1EBD9B873EB761903460202081662786D606189144252B0D8CDBCB973';
wwv_flow_imp.g_varchar2_table(12562) := '87141A62D0808161F012CFB36BCFDDBB2183E9D32DD2FFD84EBE3C6902C2010437CFBE3DE8000FE17F7048003D0003AF4FB8DFCF3FB07D870C54A4417F041608587D1605A8D06D0636E860651C2CF7E084145668E1851866A8E1861C76E8E187208628E2';
wwv_flow_imp.g_varchar2_table(12563) := '88249668E28928A6A8E28A2CB6E8E28B30C628E38C34D668E38D38E6A8E38E3CF6E8E38F400629E490441669E4914826A9E4924C36E9E493504629E594545669E5955866A9E5965C76E9E597608629E698649669E69968A6A9E69A6CB619640723740040';
wwv_flow_imp.g_varchar2_table(12564) := '9C6ED609009C2A2494E79D23F079A79D66F69990050A11DA90A023585001A06012AA454572027085A08C7E990C00A0C892500E9132B468A55D1A7A13005024944C300E8DB0E836A05A9AD02612EDFFD9EA98CEC00A80A6008030EB98B802C04B2DBCE022';
wwv_flow_imp.g_varchar2_table(12565) := 'ECAE65E2E250AFC486896C42C724F38B2CC6265BE622BCA85214AAD296794615D9A66905005200F06DB7687A412E9A5C2C04E7B961C2C1EE9920C009429FEBBE6BEFBDF8E6ABEFBEFCF6EBEF5C2BFC4BE512B5E12070953730B1830E0BD5A0500D2C388C';
wwv_flow_imp.g_varchar2_table(12566) := '0200010B55848E1048B0E606016F30A006AF3D509DC8091507530A0D71A0F1C119BA7B07006FBC7CC7CC6EC88C861B30B9FBC78FEB24D40E003FFF0C40CFF0F40CA6590AB903CFD2F000A0B4594B23DD52D166AD13CF3A4D0F5D233DF13094759952D3A3';
wwv_flow_imp.g_varchar2_table(12567) := '90D80B9945764BF324D475DA649F7D2353BBF2F3944270B36CF7DD78E7AD774BF5D8FFD3F7DFF68C29CF3DF2202DCF3EF4108EB8E27B0BB98F59FB000039D28F2714F9590DB9DDB88D4F007006009D27F4C4E74F50F1C41355749EC4426500807342AD6F';
wwv_flow_imp.g_varchar2_table(12568) := '1EE307217C30A042B5DF3E5F0809CDC790113FFC6084EC4E2671C4110A194F7CF117039044F3CF27F47CF4D3273484F4451C51C4EAD96FBF3C8BC6432FFE42CD0350C4F6E86BCFD0F9DCAF4EC4F7255EBCFAFAED9BFFFC10F397AF50F6CE5F8CBCFEF0F3';
wwv_flow_imp.g_varchar2_table(12569) := 'D0FF8C173DF3696F7E09E11FFA1882BCF505D044F2B3DF02DB273FFDF1EF210D7C6089C2373DF415F02117D4208C8E900404EE2F7A07F41E00906742003A5084282A60061BA24218BEE80846889EFF0018421BCA6878EC5B6105FFD7A73E1FD2487DCF43';
wwv_flow_imp.g_varchar2_table(12570) := '62F35868C41A29907C336CA213CB87BC06BE4F8A368A2216774484225C718B399ADFF0C0B82323B8908C684CA31AD7C8C636BAF18D708CA31CE748C73ADAF18E78CCA31EF7C8C73EFAF18F8014CD5A1AC7944232A46E51B1872201A0C87DC4E372816C09';
wwv_flow_imp.g_varchar2_table(12571) := '5A269917904466218891CC2493F20F7BECC31E9D5CC8233DB9107B744D447203C05D90F48F56BAB2951279252C0100CB7E54E5950AB98A2E75F9907F5C456EC04449E48609807DFCC3980C091C23190949B2504676F7E0873CD8D18E6A56931DF0586542';
wwv_flow_imp.g_varchar2_table(12572) := 'EA510F79302D6ADF04A73715020FB314EE9CE754A643F201CC7E5C5225F18887D8C4D64CB199051FF6A087E64633FFB790F4041F4C79E642E4A6CD21E1AC0C5C184342BFA0D0D831C40D65402817263A512F54B4A256F08214A450058E66F4A316F54246';
wwv_flow_imp.g_varchar2_table(12573) := 'BFE09074A1E1666878C3CD1432AE90841400E90280B91C02040028C10B0D8CA91184D0841F4005750E414213C6A81125244109DC1289437780D488286107478A410C0070831D58750736B06A6B649010AE52F50659B5EA0FAE4A56B2DAC00655BD416BD0';
wwv_flow_imp.g_varchar2_table(12574) := 'BA03B58255ADDD59C80D7A0383BABE00062600405E6B431213F8F5AF7965486003501CF884CC350A424A041EE0109371643D2861AC44FEA3A4E0F9D4B2102102118CB0D9CE02C0B3C3FBA2F000E053D226E4B21281AA4A7A00801E64552156ED816A493B';
wwv_flow_imp.g_varchar2_table(12575) := '5B88FF646003BCE31D54240B000931A43A0048AC6D02F480082440B80078416B4E129D8744070209A90A92508BDA878CB5BA09A9ED692F6B59CC9E5622A5F52E4CA00A55D73684020880ACC712A2DBB8F84E230AE2ED48A6EA9D4A79B7BBA4ED6E6901A0';
wwv_flow_imp.g_varchar2_table(12576) := '5DEEE2F72358AD2D79CB3A91042484415B396E42360000EC2404B800C04080241C91004176212F10890D12C281E602E0B8065653784BBB83B16ED7C4D94D714AF82A910D53F5C515594F021E1082DB7525030CC13185D3F310C82E76211E48085FF1DA11';
wwv_flow_imp.g_varchar2_table(12577) := '940100BAC9BA410B1412BCAB02E1AC0070714D2362D5AD0487C15A09718821B263883020020800B3711B12649104562161DEF29A7630E5868C15FFAA6D06C27E1732D63633B9C4787EF345B4BB1123AB070021C03254903C131198B9216A4E939DA7EC53';
wwv_flow_imp.g_varchar2_table(12578) := '3977E4BA6C66C80F5CCC67975C38B70A79EF513C5C5FB93C2001634ED69251E26285945A252B234B7333C00107DB662414E000042890EA90CCF88155E66FAE1752698E9C19010FA0407B9122DF983C3725A04E63AF3592020F3BB62B14180F004EA01F04';
wwv_flow_imp.g_varchar2_table(12579) := '93A4B984FEC885C1B86B5BE34ED05E91764B20506C90247A8BA70E898270DB972FA784D012E080ECF66BE790A49B21F7E6088B031301E4A2840365963700CAFC4615B059562E39EEB6E7E26E7F6F84E00B9137072600000A407C21794DC199ED15BC1628';
wwv_flow_imp.g_varchar2_table(12580) := '99D4087F4902CE9D1A0EC87A2114FFA0B8CA0000F0846C5CAF6A6473BE432470794FC0D02ECFAB09341EC93D2764E17471F84864AD32810BD603670E78B67D58D3999364B64287CB6BA21E120A589DD32D6FB942026B75290261D9B9F932D543B2728648';
wwv_flow_imp.g_varchar2_table(12581) := 'A0B9468F3874976E4320A8E0C925EA7A4266CD10427B00E76C6FFB86BF0E8416BC5637626F09A72972F134A60004AA5D720A5A008351A3A6DFFD06C0D4C51C664B3B44EB7357768AA7EC621B84FC3381874ABC8B5EE6728311EEA6AEA9CC4703F9E002C8';
wwv_flow_imp.g_varchar2_table(12582) := 'F50818BB45809E108B73D8EA7907630B4CA0ABBCEA0A00B2EA3B68226FED85C4FEF8B0F7C8B38333F8CCA711CA0048C1E1FD1CE584F81DFA9D117BE419C2800031E8F8A68F31FF43B61C6B00688C02E44E08886F93FB077E9DBF007034FCAB0F7DC603A0';
wwv_flow_imp.g_varchar2_table(12583) := '0553C5FF65DCFD10305BD8B869C61109206310216B83477B22047706676AB1B17DDEF165EBF11AA0167E16318016B810F1667E9CC600061601ED07281D703D43F03E672412F5B61D3826790D711B699711B79610F2057026E71AB3620248A76616600144';
wwv_flow_imp.g_varchar2_table(12584) := 'C62201601F943513CF462C95D0080B11070A41842E510991A0844CB8844E98228860088CF02EB34415AE145D3D6721520300F6B44F59D820F3C04D09310F61080000F585160219F8800F8CC40F6081861552187258188B21377398150CD14C0BA10FA944';
wwv_flow_imp.g_varchar2_table(12585) := '877613388BB4481811386458888C24881311888C440F61E8378EFFC84D867418FA34899098189381137A28499424509291389EB8899BF81089B310F4804898618A70D811BBB48AAC781509B14BBBF20A00800BB7408BAF800BC4602CC3308BBB880BBDF8';
wwv_flow_imp.g_varchar2_table(12586) := '8BBC382C00508BB3988BBEA88B10610BB7B08CCCD810C3B08BC2200CB7200CBB0800B6400BAE100BB4400BB1A08DDC980AB1008E09410B32410BC0000CC2600BA9900AE49812B6F08ED7788D00800CC29010AE308ED9988FB1E00ADCD88FDAA88D00E08F';
wwv_flow_imp.g_varchar2_table(12587) := 'DC0800D9282D1580322DA002BA0202A3C690C0777FBA929010797FF7B764BFB764164991BF3770B4866500870222C00121F910F2666826597B0FC0581A90921AB0921AD07D92A7011BC05818505C2AF11A1BFFC0310000323279122BF0022FC002403994';
wwv_flow_imp.g_varchar2_table(12588) := '3AC0030CB310B7136C0FB0924B4901C1A6014EE93114009554B9941458277BE20240E0027A027C2AF0791591272AE0025FF995C0E7766EC710B5C1030AB16F19A6101936941806003A906147991028A0033A303176F90238C03038F0962411940E23213A';
wwv_flow_imp.g_varchar2_table(12589) := '6030BE95117AC95A0AD1034BD00348901091393CD585046C19970911943820942CA00342F9970D019A10B32B6449960040967B929AA5399679C295AD097C5CA995A5595379429B5CB995762698060300BB991077A910381098C1E9972C509CC58902C889';
wwv_flow_imp.g_varchar2_table(12590) := '9C35909C28B09C3A503113E330BD0531A3B99C14D311D6E93015B31013D31035B002D6C910D2FFA9104BF09B0B81049099108CA910AE9610D41931CBD19D0C1130E3692F2E709FAC799A0FE99A5DA91043C0950A01A00C01044050570A7194BFA903F5D9';
wwv_flow_imp.g_varchar2_table(12591) := '9BC2199CCB619C2C809C118302389097C8B9977B49970D9198D8E99E1FD19CF2D99DC1C9304BC00325BA0400B0043B80A209B10496E99B00206E0A311E341AA336FA30F5992F63A99F019A9A1131048202A4FD996E7F199CC04997C299612C309C06A3A4';
wwv_flow_imp.g_varchar2_table(12592) := 'C6999CA309A2CBE99CCB59A118DA1239AA10DB0911DF0900DF299D01B39D4C7094AC05992A8A9E68FA985C5A0235801D6EEAA50B21A396E155BC86227D72A773F2115C390462097CD7A37AC9D599BF099A0DF1020C63A80C73944BFA02A3FFB91C35409D';
wwv_flow_imp.g_varchar2_table(12593) := '140A0079B902385003199AA55A31A5F2299D8FAA97637AA20060A2E7B99E1341032B60AA5E7AAA9EB16125E66674432272D22916A10223E0A37AC29A5A693D36105819169CBE4AA80CB19B75499747E9A01053A9BE059DDBA9A018DA9B5BB1995E0AA270';
wwv_flow_imp.g_varchar2_table(12594) := '0A004CE0303AF0A9A26AA28EA99E8F59A2E6399FE371AAE21AAEFB42291411277D6228E6FA9009719B1BA6A00D03AFBCE9A57B59A9DF0A989B09A9CEDA101363AF96BA10457AA0457A9804BBAF2AB1978F3AAF38BA106CB9A26CF99891A91096C9041781';
wwv_flow_imp.g_varchar2_table(12595) := 'AA1423A779532FB9D201BA62AE82B2277C55A135B0AFF2FA10DF2A9E92EA9EDD49A9545AAF46DA1557DA10D59A10BDC9043DFF60B3A1DA5A2DCA9617B1A50981B1008063B2B73952CA1020EAAB74399E47495FBC99B0D999B2472BA90A7AACD6CAA0040B';
wwv_flow_imp.g_varchar2_table(12596) := 'B027FB124EDB100123ACA15A9EE5D910DB5AB15A2AAE3E7B2F20F029E74A28AA3211D1299F343BB2CE8AA93CEB9DCD399F4DCB9D0F231711E39EC1399ED2C9043C20B80D51A2002B11DBB902AAEAA1F962121AD101B2FA106576B60EB1AF4609B022BB10';
wwv_flow_imp.g_varchar2_table(12597) := '1272B729BB99068398C17A980B51B00C33B23391B0136A3091DAB4FF3AB83C30B88D79A2754BAD34EB10D216AE16DB2F6600005B30122FD09C2B800215D3B7D37AA4A33BBBF3EA30D6099E3EABBC950AA7CA4B16BD69BABCC9A00B11B6AF2BBB254AB1D4';
wwv_flow_imp.g_varchar2_table(12598) := '7AB91401B4FBFFB2055FB0BB27F19DCA29A912433153CA106C79B2C08B199D69BC48EA9DBE599E147BADA2AAA1BE99B579830600B00A09B10C2471B6C1BB0212A2A99F0BA30C9198EDD918D6AA10CB61B0C62BB8D8ABB084CBBD11F1A8E1CA0494CB2EEB';
wwv_flow_imp.g_varchar2_table(12599) := 'D0084848122DE810158373C15B98BC2921F92A021DBC181C9A11AF9B10B0EBBD18B1A5D48B2FD240122250786EABBEBD051B121CACE2F6B00F9BA01B11C4E7020E27316C1B42B8322CB80C03BB78C4602B10021DA321ED8BA245A903866B11F4D9C2EFD2';
wwv_flow_imp.g_varchar2_table(12600) := 'BB2A811D2B006E1722B8833BB613C1A9710AC6013420FAD121E391BF48E0A26AAA10829BA338E0B38BBB2F919B1281C6C4151299DD4AC86C49C324FCB36EFF8C4558D6C813E298B3E598AE7BAD5EBAAFA70ABE70346CB8B50227B0C8CD113011DBA29189';
wwv_flow_imp.g_varchar2_table(12601) := 'A00AEB471A8063B705681CB3CA9C6C688116C7DAD19B755CC7F85BBB816463D3C6102160C5BC53C5ED51A6A39B85A71C680A71021B70021CC03BC7CC60C6ACCCCEDC1C281ACA0A8C862740CC1463CDB9D5C8CF4C31660C1BBEA5C6A9C85E487911C4ECC9';
wwv_flow_imp.g_varchar2_table(12602) := 'A241AAE10C00572911B875CC00C0C22C2CBCC2CBC225E0CCBC03CB9C21CD09C1A60DFC478B557C15E131DDFC6D1F13B41930CC9CD19BFD9C8533981170FB1086EA970FB1A414BD99BDDA5B7E19D175B9D1D3EC15429099FC9BCE223DD2245DD2267DD228';
wwv_flow_imp.g_varchar2_table(12603) := '9DD22ABDD22CDDD22EFDD2301DD3323DD334FF3D1706308037DD96268057FB56D3B8F1833ECD1CE8417241CD1CEBF1003BE8107E55D4E7B1100440D40E21022FC7D499611F06B01E40CD102F8032302098547D193E550453568212E1D55FBD194AD01166';
wwv_flow_imp.g_varchar2_table(12604) := '7DD68C41D615B13AB5616453CDD67FF10C09610B74CD1CD39054195105739DD7801DD8823DD8845DD8867D12747AD8A431C28ADDD846C2B48E1D1A901DD9A0B15C947DD9980D436097D99CDDD99EFDD9A01DDAA23DDAA45DDAA67DDAA89DDABB11C72740';
wwv_flow_imp.g_varchar2_table(12605) := '0333400382ACDA7011C733306DF30161B2DD15715902299810338001BD9DDB7481CA0A9176002DDC49519C2CF7C32E87DC74C17342467DCEAD153DF00277677D0D31D9D3AD15E1B2DD64FFF145DE6D27E81CDEE4DD1263B0070070DE0ED518899DD96830';
wwv_flow_imp.g_varchar2_table(12606) := '0663003B8E91023DCDD93FA1107D50DE5D110E0AD10D99E01832D0DE991D0D0B710BD50000F1F00A8FD2188C7903ACA5DD5CB103AC25E1FCC55A969D4668200E0D41BE0AF13A8131DE8E7D0786F0067F900A0BB13309B105ADB302B5FD17203E77EB0CD8';
wwv_flow_imp.g_varchar2_table(12607) := '6F003366F0288E1BDF00E004B5ED3048AC140D5E1112000113200113005D451ED869BDAEF48BBC7F116F417EE40941711903011F28D35965038E37281FED1030C0E47DB132D996310040711FA6105B1ED491B61013B06498FA102FDE1564EE104816E767';
wwv_flow_imp.g_varchar2_table(12608) := 'AD5D3928044EB019432E6FD0957646FED5B2C55AB33B31E61C182927E487FF3E0129171D29B06132D0E5D1F1963807D338400332BA01B53D0379EEC3321C033C20039FDEE06FBE1545A7E81330714507011E30DE4696615D0D00A0CED29B1E0248367833';
wwv_flow_imp.g_varchar2_table(12609) := 'D0E68251E4A69E722A436BCD57A8B09E61B1EEE027DDE20B863B9C91811E9672B7975790DDDB28936129F0E99FAEB3289DE721807E0BA15B086A9417AE1864BEEC74DE109749A72F2003A24E553D40ECA9A8E3C56BB20A41ECDFFE17507E112833EDA00E';
wwv_flow_imp.g_varchar2_table(12610) := 'EAEB295BAD555EFEDEEF00CFEF02FFEF03DFEFFC4E4633D05EBE2CA92F67D677A50310DE1993EE722F4CD2498004533005178F405A243AABF3041F6F427E31675DB9D930FD16E900006FA1F21281F28D510E4AAC10E051500EE640D7F4B0850E314FA704';
wwv_flow_imp.g_varchar2_table(12611) := '11374F388423175D634F82FD4EFA5DF4467FF4489FF44ABFF44CDFF44EFFF40283EB502F13213DF5567FF5589FF576339E03DBF5A4DBE35A6F11521FF62751F15A1210000021F904050A0000002CB9001A0024012B010008FF0001081C48B0A0C1830813';
wwv_flow_imp.g_varchar2_table(12612) := '2A5CC8C0C0C28710234A9C48B1A2C58B18336ADCC8B1620C821A3A8A1C49B2A4C993285342FC481083CA973063CA9C49B3E20D13080C381C1821E401821C84A41052A2A6D1A348932A25F8C0A0060C110A46E5B0B4AAD5AB5831DE3488E00386A7126B64';
wwv_flow_imp.g_varchar2_table(12613) := '1D4BB62CD69F03433230CBB6ADDB9A0410C675693040008104320008F1B6AFDFBF13EF228C0AF103E0C38813230C80162261816B154B9E4C59A1081495336BDECCB9B3E7CFA0438B1E4DBAB4E9D3A853AB5ECDBAB5EBD7B063CB9E4DBBB6EDDBB873EBDE';
wwv_flow_imp.g_varchar2_table(12614) := 'CDBBB7EFDFC0830B1F4EBCB8F1E3C8932B5FCEBCB9F3E7D0A34B9F4EBDBAF5EBD8B36BDFCEBDBBF7EFE0C38BFF1F4FBEBCF9F3E8D3AB5FCFBEBDFBF7F0E3CB9F4FBFBEFDFBF8F3EBDFCFBFBFFFFF000628E080041668E0810826A8E0820C36E8E0831046';
wwv_flow_imp.g_varchar2_table(12615) := '28E184145668E1851822444486A1816090071070D8D91F00C0216269EBC0130F00F1A4B88E40F09C98D98A00D003803C2C0A84A38C3CF6E8E38F400629E490441669E4914826A9E4924C36E9E493504629E594545669E5955866A9E5965C76E9E5976086';
wwv_flow_imp.g_varchar2_table(12616) := '29E698649669E69968A6A9E69A6CB6E9E69B7006A78F99F9D469673E25D509803E73F2C9279E60F623E8A0822E44683FFC08542800FD14F4CF3F00F0C3273F92EAC30F3E5DD679CFA69C766AD03D00D423EAA8F9204AE9A9F9C0B32341F69C5A29A601E2';
wwv_flow_imp.g_varchar2_table(12617) := 'FF036B4498022AD31B00BCA1EBAEBB1AE4C61B6EA001ACB0C1168B86B1005841901400A071ECB3C18EA19810881D8104122F95C1051700948146B75F948190B200FC40130C300010C3BAECB2AB2E41370060C30DF4D64B2FBAF8C240EF0E37F0BBC30EEA';
wwv_flow_imp.g_varchar2_table(12618) := 'E68B6F0B29A4F0575C00207C58642A512590071B78E03042222C05841140007071C6086D8CF1C73F846C6EC8462054F2C958F5709010E6EE602E41086446D86305211055040FD80C510B06993010CF07ED60C35200170D00C008B96CF4402F978B74424F';
wwv_flow_imp.g_varchar2_table(12619) := '1BF134D357F9DB6FBC0070604002A345C000CD083090805E1317E4B3CF04A1DDC2D4A0FD6044D341978C34DC6F0D0D40CC003485180318F0FF0D80DF300F14590211E09D90CFE99A80764437B0D457D3740F24F50F0037BD83D402510E04D646D97D11D7';
wwv_flow_imp.g_varchar2_table(12620) := '7753A0015F93310C99E03673CDF50608192C90091EC00E7B6A3B701C391042F3BC430B8E27C67548656540010D087DFD90CDA947054188B90111B9400067EC79ED882DEED006A48FF500EB16E94C10CD09490C80C4E4973DDAF30371BC19E802B16E9840';
wwv_flow_imp.g_varchar2_table(12621) := 'C027C53C55C45704FE441C94EF416D9E53663E5BACC381451880BCFB414402591BDFEBFAB33F812420011B889F5FBC2611C235056710C91F001008A01630EF6F7DA1815E5C42C185187022133010C3B0D796130020037D9349030904BA1070CF2C22840A';
wwv_flow_imp.g_varchar2_table(12622) := '61D642C1C2792D2A5F2BE0DDFF06A23708F5EE2F7AF9DB0F0F5240210E0401458C080717C71F0424C0746429CA418C2710C2C48C015C344804D827110EFC4F20063381EBE69333B7B850229131DC419A42018CAC118D5AFA9A1E81F8439B81712412C81F';
wwv_flow_imp.g_varchar2_table(12623) := 'DA3C60B014A8D13E76C3E25BBEB6C4C0F1D07B52B108072630B1D8CD106D14A8E37B3C27C7BE28D28F04848CE11459110D22A4811CF8E09348184600F031664B046328390281330E4402758CE292DE583C1FFE118409E1C0EC204201557E48209A8C5212';
wwv_flow_imp.g_varchar2_table(12624) := '13D2C7C8CC922710E09E0744E0814C66C4965B52A4E908F7410DA63222641C88F888D8A54F2E842A1CA44888EA18C86A7E338F430C2242A098CCF1619320E1040A555228FF105D66C974045C4BF21E56B1F159F3784FE41A042820BE837AA970A7830CD7';
wwv_flow_imp.g_varchar2_table(12625) := '306891701A8E03089C2400EAE925D30DF422561448CCF229C60484144B042C5C40274AB88290CFA10AB1A24C8192D18298346FFE44CC86DC4398653EC49410790049ED594DA6686698ED21806004F390A162A4939A8984800C91111201E00F8CA06A9CB6';
wwv_flow_imp.g_varchar2_table(12626) := 'CAD5AE7A552996FAEA44F6418F7B94D5207E02C03DE644903EF9E9ADA3AA0741EA61A3AF3EEAAE78CDEB5D05825735D922168075050062211057D00218C0B8052D6C010C5BD802008275AC63138BD85B00C3158445930E5E301016008005284001073073';
wwv_flow_imp.g_varchar2_table(12627) := 'BA0D6C40041AA0000A52CBBAD4A61600A68DED0DD9543200FF9CCC084878190F3E2B10CFFA56070078816F79EB5B1608D0B870EA0112760B001D00B77E0329410D58A045DE1A442C2B10C809D4A201B68509093D588272C5AB32004C7722D90540FD8807';
wwv_flow_imp.g_varchar2_table(12628) := 'DD3481175B04E101730742032DB6572C03C92E7EF3530314D440072800B08005A8031C1418B88A41C2120030DE1D2C01BEF935080D5630E1F69A973FFBFDAF810D3C100E4B86074BE0017C151CDE812058203510208AB35BE1FC5A183F6239310E66DC5C';
wwv_flow_imp.g_varchar2_table(12629) := '8114383148D0C18205B263062F78092A86088BFBD3DF13DBB8C699C9F16EC50BDE079717221316CB840592DDF446372427344F8A719062FF76B8323A60020FC42C661EFB1800200EF244D66B9FFEA618FF00347E339C27A3E21D3F19C4680E311308A266';
wwv_flow_imp.g_varchar2_table(12630) := 'F4D267055CFEAC9AFBAC181A3341654BD0719E4D4C10041B5921FB2D8895D1271ECC90D6BC3A887165224DE6822078C7619EEF42ACCCE71447DA3D2BB0B4402E9D1939EB99073AD631AC0BC20442530407C493207BFCEBE5FE5ED8D66EE17086F11BEBDD';
wwv_flow_imp.g_varchar2_table(12631) := '0237CC68DEF3A30F826B81D0A0069136F5A931FC16601324D10048F4B227B25F01E2D7DA530237B4198D67819079B77B9E088DE1A4681E3B77D68E0ECB97E384EE81807ADE0799F657434CEB84A898D414F6EA92154CE281C0BACFE3166B41164CE21EA7';
wwv_flow_imp.g_varchar2_table(12632) := '5B21F50BB85715ECE086BF7B20A79EB2C2C5D2E33303E0E1FA5638413CCB6305A3D9B928FF16B944AE05621DEC16DC2A27C89D770CF398CF5920CBB5B9451EAC738A2CD920282801A97BDEE8CE125D22E5DDECD197CEF4A63BFDE9508FBAD4A74EF5AA5B';
wwv_flow_imp.g_varchar2_table(12633) := 'FDEA66326902085044359A0006546CFA4EAAEE10A8521D7410F87AF8481EF3B103C0006647080B66E855C1E444204C458809640000437A356344D869122C12F6AF5621238577D34E31A204009C4D20E97A133304020CAC0BE41ACCB28812386BF9CE7BFE';
wwv_flow_imp.g_varchar2_table(12634) := 'F3A00FBDE8474FFAD29BFEF4A84FBDEA57CFFAD6BBFEF5B08FBDEC674FFBDADBFEF663F2D03D970E020B6C10B602C95ED499B781A103C085C2EF39DD07128213846005CFDF4B09661BF313181F211A908031ABEFC21990CE303320C8FFFBB62FF21918E6';
wwv_flow_imp.g_varchar2_table(12635) := '0333C040F805F23E81402001E44FBE5954C639119D210D54484315F07F862AF8805CCC877135B7143DE05D1232066240107B202D03710865202E5F700503C1807F517F04C17712B20700408176501077902C05E1047EB17722720800600E90400C03E107';
wwv_flow_imp.g_varchar2_table(12636) := '056122053106D787183780810FA282B57010E1500907F1066320827E01034F5610333821D9201068700D04610BD3E02B00905DEB071858D303F122037C470181944E099209E520106F100E06812B055106D9E5837FC1367C1779B8D42063100988902B91';
wwv_flow_imp.g_varchar2_table(12637) := '800686000A0411070361065F00004ED07E650811EFB72068F08106F1817080065B008200C02D00F084FFC51658638006FF2101FCC4208367104300002E801022380337E61641681014300156F889061189FFF134DE253405910248B37E4E80193C704480';
wwv_flow_imp.g_varchar2_table(12638) := 'C14F1CE57E051232E54269005001BE27103E9870938140A0380110208C29448A00423DB6383208510177147EAD886691371993F489A9348CE4272021F32FA74410226865BB058B7E218A1BF57B754415B5E4018E981FD4326648F6627B21104F686237C0';
wwv_flow_imp.g_varchar2_table(12639) := '0332408F3C108516E816813410C3584726908EFA118FD8571021F08CB3568F08497F9DC816691822DD7420994886A9C14F134315B3F8202C945D4C405A30E072E07818D7382128E0339C972EE9B25BF7B8908781510DD27E7CC14BE284029CC76A030103';
wwv_flow_imp.g_varchar2_table(12640) := '2FC003D18AF82610060053503249D0930431890691044F000044699445A919406003EA6320E6B085270811E910959F010EE5000E07B22AF7200FF4C0955E391038C2953732967505965D490F68F917343210F16023F2B096FE5127940200FBB00FB87797';
wwv_flow_imp.g_varchar2_table(12641) := '7899977AB9977CD9977EF9971931804E2798805998867998F0116407B6618BD9984747984B17720C1210000021F904050A0000002CB9001A0026012B010008FF0001081C48B0A0C18308132A5C18E1C0C28710234A9C48B1A2C58B18336ADCC8F1E20D82';
wwv_flow_imp.g_varchar2_table(12642) := '113A8A1C49B2A4C99328534A845130A4CA973063CA9C49D3620C18090820208821A4018225520849C1A2A6D1A348932A3548C120060D180AEE2CB1B4AAD5AB5835DE34C8E0E9538934B28A1D4B562C019E0076965DCBB6ADD10008E17E3848E02C000321';
wwv_flow_imp.g_varchar2_table(12643) := '4FB8DDCBB76F45BB071944D4E0B7B0E1C30AEB4A143CD025E2C790232FE45054B2E5CB98336BDECCB9B3E7CFA0438B1E4DBAB4E9D3A853AB5ECDBAB5EBD7B063CB9E4DBBB6EDDBB873EBDECDBBB7EFDFC0830B1F4EBCB8F1E3C8932B5FCEBCB9F3E7D0A3';
wwv_flow_imp.g_varchar2_table(12644) := '4B9F4EBDBAF5EBD8B36BDFCEBDBBF7EFE0C38BFF1F4FBEBCF9F3E8D3AB5FCFBEBDFBF7F0E3CB9F4FBFBEFDFBF8F3EBDFCFBFBFFFFF000628E080041668E0810826A8E0820C36E8E083104628E1841456B85C1116829682411C489021677000F0C787A4C1';
wwv_flow_imp.g_varchar2_table(12645) := 'B38E3C00AC13CF3AF008B40E8998CD23503C00C8488F4037C2A8E38E3CF6E8E38F400629E490441669E4914826A9E4924C36E9E493504629E594545669E5955866A9E5965C76E9E597608629E698649669E69968A6A9E69A6CB6E9E680FAE833503D10D1';
wwv_flow_imp.g_varchar2_table(12646) := '59E63D78E209409E7CF6E9E73DF9F059CF3D00C42990A183EEC96798FF34EAE83F00E423E9A4F9F083503F97F6A3A9A6006CDAE8A69626B429A7016ACA4FA832DDC38F3CECB4E3AAABECB8FF43CFACB4D223CFADB8E20A4FAEB816244F8BBCF6CA8F3D90';
wwv_flow_imp.g_varchar2_table(12647) := '16E4A77BA83E742A0074D233E94C6E005006176350FB45B55C78618514DA726B451552802BEEB6E2862B851500983BAEB6EC5AA12DB507512B2FB5650CC4C5555EDC2B84114818D1561300F8BB4345554484C61802A151EFC1681C84C6BD00107184404A';
wwv_flow_imp.g_varchar2_table(12648) := 'C814430C00DCB0C3C63BD8B0B1C63B800C32C73FEC50B2C9289F3CB040361074C3CB1AC3FC11001BBAFC720B30D70CC00B3A9FD4735C083110126357B9E4D04B1E10D4E1640034A5D40F500300F50F524F6DF5D53F1841F540546B1DB04059832DF5D809';
wwv_flow_imp.g_varchar2_table(12649) := '6DBDF5D727AD3C500F03B3FD59540010CD114B09B5AC900900409014D57C93FF3DB0DA07FDCD310080237476D4650F64F2D930CDFC1005211C1402619A45E034422CD12D91E302E98DC003712FC5F1C68497FEB7E98303CE38D87D2F743AE9297D24BB42';
wwv_flow_imp.g_varchar2_table(12650) := '18139440068661D09560BA4B047A422CE19D90C61E17DF31002C250D00E80824B037D7D04B14F5D946A00C84403B0001FB630F4CCE560D005005B75311817E79419A23D442E12CDFD082F02D0DA4B75140407DFDE1641F043511A5673C36D5C703820D70';
wwv_flow_imp.g_varchar2_table(12651) := 'F6989D6CA02C11D84009703010DCC5AD7716391F413C6002E559E4670070DE61568790EB09E47E1C9CC9F62AB293101C702C19389F03C72716E5CDEF73EA41805A22173981CC45294E3BA140F4E298B5FC2E01BF434F02FF0CA0C1B27020686C81001001';
wwv_flow_imp.g_varchar2_table(12652) := 'D043F418E001906B8B5EA21201C10CAD895679400260B8A41364A08A4C941B598A989E07FCA42F54149A18C912C425A5F18A718B0002C028C73A3A8F68643489F31EC0C5F3A4CF2FBAAB2218B922B4391A1224792CC9EF22B04423E9E520830C5DE8E6B8';
wwv_flow_imp.g_varchar2_table(12653) := '468124008B27D9A3F3240824AA48442D951C88F374981246B65149825463185339C7AA5C329148AAA22A0922989DCCB220A72C25101BB9242C32C0908C4100D1D432135E5E3249B8BB65E80419C75ACA31942AD1201F6119240722A48E8764A2423C40C1';
wwv_flow_imp.g_varchar2_table(12654) := '680E33974162616004A91661E292024E13810738C081F991A479194C4B958839107A7EEE722238A2043839FF92E6F5314AF41408340592347EBE4920B64C0B0342198108B813001CB0E04115D24361DA728BBF8BA840D8F9D0891252208E31E70330E9D1';
wwv_flow_imp.g_varchar2_table(12655) := '88D0738B8C2C290917FACC565EF29411E5A84A0FE240921E649D333D4800EC0298850434A717610450874AD4A21A552C714AAA52976AA8A33AF5A9507D090A64F2000D3C409C5FE2814C1858031CBC00052B18130F9630D61E000009667D4958C344D6B6';
wwv_flow_imp.g_varchar2_table(12656) := '960E0929011F99740080B62241AB514508130AC204B82E01AE791D080E1808001DF455206E0DAC409810D6BD1AB6074CD80113CCCA03C02E817D43EDAA41DAAA03B86A15B078352AF8E48A9025D0B5074B80AA660DA203D30E24B5631D2B5D0732DB92FF';
wwv_flow_imp.g_varchar2_table(12657) := '76B506A425886CB53A56DD1264AF00206C49715099CDB656B69C052E0F6AAB52E11E84074C58AE69F18AD7E81696B925C52E00C2B2581E20D7B17C75EE9B08ABDD824097B7D55D6E683D4AD7F20A96BBC8D56D74DB1B58E79E1700EAB52E13704057EE46';
wwv_flow_imp.g_varchar2_table(12658) := '55ABD10D306AD79BDBA7CED7B4A9250873C55BD4B0A636C18845C212121CDD02E7F5AF5A35AB0E965BD8BC820FAF80ADEB796BCB60A2D660AD11AEAC40480CD515B878053858EF40801BDCC04E5520124E6B68DD3BD412500505C5F5AB88571C554FDEB8';
wwv_flow_imp.g_varchar2_table(12659) := 'B80040AD62C3F7E3E2BE00C7A8E5315145000014D48005CC6D6D5A978C102473592142F8B242C4110E7188F9CC684EB39AD7CCE636BBF9FFCD708EB39C35C239E7101101441C080C4CB0E73F06B6A7683E0B35CFAC9607EC392126805F517B4A80411B44';
wwv_flow_imp.g_varchar2_table(12660) := '048A56A95D0CA016401B8467C87BB24AA956040F62A8229A960E669953318C847AA29FC6481290473381447A4DCF10882DDE3C8D8259A40AAF9EB3AE77CDEB5EFBFAD7C00EB6B0874DEC621BFBD8C84EB6B297CDEC663BFBD9D08EB6B4A74DED6A5BFBDA';
wwv_flow_imp.g_varchar2_table(12661) := 'D8CEB6B43FB26535EFA0DB6996014264EC9A2DF627057EBE4D112500010F09A807B5838D050432010BD4FBDEF6B63700F23D817DF73B3D3210F7417A5067D6FC7BDEFFF64F5A6F60D68BE5AD4347544DBE0532EF81E89BE2F501B7566B36818E4215DC08';
wwv_flow_imp.g_varchar2_table(12662) := '4980C75D73F1834C1C3D0BE787C804DC9D9A93571CE3F7A64FC10922810E41A0E30661795EDD3DF28407B6DF359740C7713EF2C0D67CE81C18FA979796B7A635BD29E84C81DD4A73707C5BDDDF16A8807E2670398803C00320374D05AC8E707DD7DB3E38';
wwv_flow_imp.g_varchar2_table(12663) := '87FA400C5A1A7EBB9DDE181F88CEDDE3EECB3525E2AB99FB418A3E1FBCABBB9CF5D4CFCD7303CF0CC2D3D14F95219E87F8D3FEA8A064B0B1810A0636F9EBB50CF2FD310738CA711B3313A41C9E078039381F1F1411841E348A87E95D43AB78CC8A20AA7F';
wwv_flow_imp.g_varchar2_table(12664) := 'BDB6674FFBDADBFEF6B8CFBDEE6F6F61354B79F7C00FBEF09F435AFE1A5F07C74F7E547B8F662F3B2820000021F904050A0000002C0B000800D3015D010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336A6C686FA0BD7F';
wwv_flow_imp.g_varchar2_table(12665) := '1B438A1C49B2A4C9932853AA5CC972A4BC79F1EEC58C09801EBD963873EADCC9B3A7CF9F4015EEDB67AFA8517EF6F8055DCAB4A9D3A750A386B4B70F40C7A3F3A46ADDCAB5ABD7AF1A8BE2C367F55F477D00F22905CBB6ADDBB770836615182F9EBCAA71';
wwv_flow_imp.g_varchar2_table(12666) := 'F3EADDCBB72FC5BAA0C081F44BB8B0E1C360C30078D4808D29C490234B9E8CF31280595974CD9A93E531E5CFA0438B6ED8C554E92C6148CC22716EF4403805ABB99E4DBB6DA2D2ADCF254A84090C2C3681C0053247FBDFBE7FFD6A2B5FAE156F5100FFE2';
wwv_flow_imp.g_varchar2_table(12667) := 'FD1B25CD93BE7BFCF8D54DEBFA38807B00F6E9FFCBC7BCBCF99ECFCD4A8FA75BD91F4F95B624FB07AFE3BFB9A0D79EDFCF7FA73E7DF5D8C45E22C1DC324A30728CE2CE3FF7D433CF73FAF527E184143ED44F722049E78932C94C234D36B600905C852496';
wwv_flow_imp.g_varchar2_table(12668) := '686242BAC0A28B2EAB8CF2063CFD98F54F23A500A0CB65369EA8E38E15AE32CE1FF3C053161B6BF068E491CCC1569012B8FC43CF3AF6C4D34F25571484051C6BF881E4965C1AC641090595A08212DBA827DD171094900107196C0026001C780080081C74';
wwv_flow_imp.g_varchar2_table(12669) := '69675F31ECC803412900E042073EACF3CFA0C400B0830D3DF020840C02ED70C3407BDE29A95B79F2D8430F003C7A430F2D746041054A78E20A233698F0280029C8706AA6954EEA2A583798FF808001061014010615622AD00DAA6A6A82071E7000C30D30';
wwv_flow_imp.g_varchar2_table(12670) := '0CB4EAAAAF26EBD50304312010061154886C4137ECF083A30ADDD0AAB2DC3A15EB91911A7BD00E3B746B2E611A00C0000147DEE0EEB9F06EC5EE41ECE2DAE5B404E11BEFBE3A059050B424BEDB03A3F832CAEFC15C057000C20C37ECF046DB3E2CF1C414';
wwv_flow_imp.g_varchar2_table(12671) := '576CF1C51867ACF1C61CC36570C720872CF2C8C9C66072C424A70CEFC926ABECF2CB30C72CF3CC34D76CF3CD38E7BC2F0502B1A0F3CF2472E0B30940176DF4D14827ADF4D24C37EDF4D350472DF5D454576DF5D55867ADF5D65C77EDF5D760872DF6D864';
wwv_flow_imp.g_varchar2_table(12672) := '976DF6D968A7ADF6DA6CB7EDF6DB70C72DF7DC74D76DF7DD78E7ADF7DE7CF7FFEDF7DF80072EF8E084176EF8E18827AEF8E28C37EEF8E390472EF9E494576EF9E59867AEF9E69C77EEF9E7A0872EFAE8A4234604004000500410459C5E7AD22018E40104';
wwv_flow_imp.g_varchar2_table(12673) := 'AF1BFD07004A2A597BD2EBC0130F00F0AC23CF3A0209B97BCEBFD7A4FC40F21CEFFCF3D0472FFDF4D483D5D13C0ECE434F47D5D34C563DE00310D33CF7E0D77DCC689CAFB3113F1851D00F44C02FBFFA3327710400F717617F1245DC4FBFCBFE2B02FE04';
wwv_flow_imp.g_varchar2_table(12674) := 'D2BFFFD54F7549509D020DF832FD219081108CA0042748C10A5AF08218CCA00637C8C10E7AF083200CA1084748C2129AF084284CA10A57C8C216BAF085308CA10C6748C31ADAF08638CCA10E77C8C31EB265446B23CF40FFC053927A10D16B40545B7696';
wwv_flow_imp.g_varchar2_table(12675) := '980FB52C31423F81A2CE06851CB4E5E31E0DB2893CE461939B00608B0C699E45EAF111EED92C890FA98713D1F60637BC010D5C008017AC20052F00800B5C98631DE988103B5E248E93AAC2130039102320C12255784819B830868924410A004864D98A05';
wwv_flow_imp.g_varchar2_table(12676) := '8018ACAA5C04C1242601F0038394CB5A9B8C480C60404965394B5D2AA9130082B5CA563264560561D7BCD2D63E81B8EF650023C89B0402B05C66A4050629253011D28218B0522009784002D246AE661A8A93D054482853324D1ED98B22D1625642886682';
wwv_flow_imp.g_varchar2_table(12677) := '5212240636389438C349900D008059094840049679B64D36F307F0ECA4342542AE46354A9E3223DA41E404FF001BD8C0208F4219021280005AAE049E0329D73FCDE533817CE0247D4A080CC0494C7C11549B00E099D8C2894F4E7674233B00C24201D082';
wwv_flow_imp.g_varchar2_table(12678) := '1B0C935B341808B400800106F8D221EC44883E37724AC789B49F994C1DBC4EC04B8BD02E25E85C67E33ECAB00CB09425714AAAB164D00282C9E09F1FE30004D4098098FA502A2F3DC93123CA109E295399577D4A4A8DEA525446A0A624E1800426A24EAA';
wwv_flow_imp.g_varchar2_table(12679) := '86B5293CC555B4CA9ACA09D489AB0D69EB5B9B92520064F5241318083F4D8057855875AF4139C109C8EA52679DD5AF0838EB5C2310D9C802A0A002C1A842EAE4019ED5499F85358836DD8AD8A5404BB2742D486529CB5A822040B30A092C413C908299FF';
wwv_flow_imp.g_varchar2_table(12680) := '266499423D6C697FF2585B09A4A00C486D4184DAD583D8562044ABED411890CCDD76E594984508B3349A1055C269AD0339EE7109A257E77625B268B548605539586E2AF720D16AAE77B502DC8144D7B70EA1000728B0566065D70333E5A754878BCCF546';
wwv_flow_imp.g_varchar2_table(12681) := 'C559EDB58854AD0B2781C4094EBFDAAE7B71AB5BFF2EA5AC960DEE7BE39BD1FD4A40BE14E8EC2A090CA79FF23201CCFDAB837B125CD6BA14B81336F0AF1E425DEA1E53201EAE2A32533C621253B62111808039572982CE52B7201A7D00ED629C10DAAD73';
wwv_flow_imp.g_varchar2_table(12682) := 'A003AD31504CDC5B84A8D3C307DEAF74DD9B107E2A792FAFCDE840EA84DD84C036B3D7AD935A616C90065F9925A86DED65D535E1045060FFC71BBE08CFEC0A00220F94B9E13DF34E82EB5784E4524E076E489B05225FEC4AD9AF044DE797F5AC93CA0A44';
wwv_flow_imp.g_varchar2_table(12683) := 'C2D14AEFA229F0E388C8B7B3758A318D19FD9313AF33BDB924F0A11D42E30B0F04C466E6B44E18505956B3BAAD7F2608A52D22010E9F73203956B54F441C8145EB7A3204F057B0614A905AFDFA485A0200220C71EC663BFBD9D0C69C1401F0C4279A31DA';
wwv_flow_imp.g_varchar2_table(12684) := '7EB95E41C888ED6E17ED15210277416E3190610C0300B738F72D84318C7593DBDB6081802A25B001147800052830B09883C56F38D109DE6E01A6B6F674031D2004062FF026C0E352AC62191C000F7FC1407440F117E040E21707000E1A3A9B25F0C0E34B';
wwv_flow_imp.g_varchar2_table(12685) := '00400F0E794310481C000EFFD7B8C171A003963F1CE23AF059CB4F4E1B1E30E1E3983A643563384D1DD4E0E5101708C5290E719903C0E2B5E181D2433EF2912F61E730BC38CD6B20101C54DDE03A7801D0F7F371902321E437AC010A7080029FBFDCEA1A';
wwv_flow_imp.g_varchar2_table(12686) := '0700D5835E9EB503E0E64B6002D46908741CB03CED6CD741BECF43751C3001001FB7790F402E72002001534B207A0B5120769F0320DF7DAF90DB6F2E778FFFFDE313A1C10AFABA0200685EF31ADCBBDA0D42F59F0F04EDCBB1FADA132F10C1835C576FDF';
wwv_flow_imp.g_varchar2_table(12687) := '7A423A4F90CD63700535407BEE73AFF697E71BF51482FBCB41FE71D403BF207DF53C00682F10B74790EAF9663C0B6A30FDE61F7F42AB7FFBC775E071C07B1CE80F97BDFF41407FC115A000F7CC7FBC41B6CE031D848B3968DF7EB8E6FFF09BA770EFB467';
wwv_flow_imp.g_varchar2_table(12688) := '7CCFD48E7BD10B1DFB02C17AF6677902717306F777A48742E7A77F5BC20407187860C7762A5742FE17116307002C807619B8805C277C01E87EE207421C50810FB176D4877DABA77490020002784270D62D546773E1E2803617821F14020010022B604E3C';
wwv_flow_imp.g_varchar2_table(12689) := '752E06D87A21678321D4791B907EAFD27E37F77E07E17C1B848338082FC9871091D27ED727421B10022F782E2127837887424FF88576926F5B3810BA82840FC78428942E03818527B0023DB823C7B70483374321902E2160541B70024558847A48842BF0';
wwv_flow_imp.g_varchar2_table(12690) := '84132286ADD77A34284380988305A1878A05007948219DFFE7765F378755174319A0015738107BB8882710023C1502589883E6F489E5D15039E77D93484379F8847AF88478F885A1B8636D581E2F77783A64546B081197F886B5F1704B80044A38436A38';
wwv_flow_imp.g_varchar2_table(12691) := '1158F8892B2002E6778CE757027A088A9D08194BA743EAE46B0CD126C1681057685446A5011A90017778185558432590850E21020C91755987101B978E19E83318C7025AF78EE67872BFD814B0B77094110EE2100EF6B88FFCD88FFEF88F001990023990';
wwv_flow_imp.g_varchar2_table(12692) := '04599006799008999053334B5565000940000FD04D0AA6905C014B564691514100B4526CE514513040581389914B810003656C222915ECE290F34250EE159227C914FE2210C616932F191544E03A09FF54936091487434479254060080064029943AD913';
wwv_flow_imp.g_varchar2_table(12693) := '47204004214906B1488D54943CC10C02010C07E147030195AEF00A027107E9E39439710D9024104A490906910AE90000C401004A40735C0915FAB8966EF9967019977239977459977679977899977AB9977CD9977EF99780199882399884599886799888';
wwv_flow_imp.g_varchar2_table(12694) := '99988AB9988CD9988EF99890199992F96CFA32990F518F9629119599999C09519D491132502C3DB0999F7910DE742AA309001F539AD92503063377AC492DF6242E032164B159273280299859641220011300018105015DD6982FF02E858710143001C909';
wwv_flow_imp.g_varchar2_table(12695) := '9C03B156BF3901A96699B2F563BF59676436889F399C05215B44169BBEC933E0491081FF7591B7E99B1CA09CCF4901B4E3019D345132605411656B8E899EC0999CE7A95614602A0671727DF2027DC203ABA998CB899EC9495FA38610FDF99F8C929A88A9';
wwv_flow_imp.g_varchar2_table(12696) := '9C056660D87569AA296B032171FD2903008A29A42998D80565DA59108C22033497023C809A8F329A0CCAA1F2B9108CF20218FAA2E1B2039822A38632A3365AA3384AA33A7AA33B4AA378C9713DE39286A90206913A23159B02010EE54010E6A0A4486A10';
wwv_flow_imp.g_varchar2_table(12697) := 'CDF33BC9F3A4545AA5567AA5589AA55ABAA56F117E47977554178A562A7148577B88F8A427F70254A7A62C707E03418E00D0877B4897DF7811685875BC577D9DE77FA5B77CE4B796754A11AA377A4B787ABB17A88FE9A55867A56EB7A7A810C77290DA72';
wwv_flow_imp.g_varchar2_table(12698) := '927A776E89A81901A441877591BAA993FA70966A9091C772BC3712A3BAA89DCAA990EA967A87037DFAA913C171AE1A9735F073BF37AA23C1AA046175A7BAAB945A948CA77FBF7A7A6A79AB0E666C95C015E62710BF4A7D6BD77E7BA2030A97991CD879C7';
wwv_flow_imp.g_varchar2_table(12699) := 'B89F41277131B7717BBAAD6EEA6C81D5015F91AC24C810E38A6D23C0A5E89AAEEABAAEECDAAEEEFAAEF01AAFF23AAFF45AAFF67AAFF89AAFFABAAFFCDAAFFEFAAF001BB0AC498DF11210000021F904050A0000002C0A000800D6015D010008FF0001081C';
wwv_flow_imp.g_varchar2_table(12700) := '48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336A74F86FE03F7B1B438A1C49B2A4C9932853AA5CC9F2E43E7AF5EAD1BBB70FC0BD7B2D73EADCC9B3A7CF9F40833ECC47B46851A148932A5DCAB4A9539235F3E1339AAFDED3AB58B36ADDCA';
wwv_flow_imp.g_varchar2_table(12701) := '15254881523B761D4BB6ACD9B357E3A15DCBB6ADDBB770E3CA9D4BB76EC530004828B2CBB7AFDFBF2A1F11D43588C42CC088132B5E9CF0D2405D6004E6619CF08DA181CF286BDE3C3632C17381128912388EA038CDFBFED514D88FB3EBD74CFFC92618EF';
wwv_flow_imp.g_varchar2_table(12702) := '5FBF7DFBFAD5168813003F81E710D71C7E4F1FECE3C877FE1EF81564ED8FFFE2C5B3375D2075B5FB4A27DFCEBDBBC8AA00F489FF171F939EBC7BF25EEE9B87B3B5F7F7F0E347ECD8AF9FECFBB3E5EBDFCFBFA02E5800E822A080B0FCF71F0000F6A7E082';
wwv_flow_imp.g_varchar2_table(12703) := 'F065E1E0830E829105831456781C1C00ACB1061C1A7608C71B6F18140786169668A25D199490010725B4C8E2041C6C20D006210C24E38938C67543853200208410360821C38F37F4D0C30E3B0C04240049E6E8645C182828640A325079830C58CAC00300';
wwv_flow_imp.g_varchar2_table(12704) := '587239100C378019C393646E3566020231406191005CE966963D0A34A69C65D6795604026950610C7CF299100C31B400000C7616CA14A10411A05F0C5B0E14674137EC68E8A4681DA0A84051C2F7E843920E4AE9A7A0B6D4C3A66DCA3067A8A8A64A129B';
wwv_flow_imp.g_varchar2_table(12705) := '0B8DD9A5AAB0C6FF8A12A9B2D66A2B45472279EBAEBC5224830773F6D9EBB0C416240311777030E8A9C536CBEB0E2670518E072FF8E9ECB5B742EB4538D4529B02B6E0C6DA43B4D76462C8653F201AEEBA85F219E90F2F78518D2DAE44634B240F34C9EE';
wwv_flow_imp.g_varchar2_table(12706) := 'BE4FF22903B40F48514E37E164234E2414E8CBEFC22662D983086F9411433FF9DCE707070A33AC7185375060C83FC39C57DF3F7F60BCF1C90A3E6A02070FB8D2CF4CFDDCF38F2126A36C33831E54F30F4CB25561C20DCCDE2C74771C70E081071CFC90CD';
wwv_flow_imp.g_varchar2_table(12707) := '7D9E606CEDD05073E78108470F0A072456981003A04147EDB56B8402EAC1060F4020429F4F7FADF66691021083095A038D76D76BD79D98DC72A63D90DE76F7FFCD97B032C010F8E07E179E18DF8627FE57A46DD3AAF8E390476EB31B21520E80E5945B2E';
wwv_flow_imp.g_varchar2_table(12708) := 'F9E666C9430F009E83FE79E89C976EFAE9A8A7AEFAEAACB7EEFAEBB0C72EFBECB4D76EFBEDB8E7AEFBEEBCF7EEFBEFC0072FFCF0C4176FFCF1C827AFFCF2CC37EFFCF3C47700FDF4D4033F8205D2571F7C07168CC03D0020500DC00A0389A07DEE1D7C2F';
wwv_flow_imp.g_varchar2_table(12709) := '90F9E7EF9E3D002308DA7EEE2308F43E00F7CF8FFE40F9EB5F7BFDF8E31F08FC87BBFE117076F5EB00000F38BBFC49CF7B0CA45DFE1208C108C6CE8116CCA006D5963EFB01A002011408083798BA0E807080150041054C28C2DE01C1063600820A00E082';
wwv_flow_imp.g_varchar2_table(12710) := '26B940204000800A3236BB01160404D2F3E140FF8008BE22DE0E084428021100A0C4222891863BB08140406002E6A1090212480004006000DA99408802E180041082A6E099812066089141D610223494C1766A5CC81B07E2C63A96C18E6888DD3AE0018F';
wwv_flow_imp.g_varchar2_table(12711) := '78AC0300F058871FFB484879101274B6530B3C0E12C84002728F7CDCDDE70E428F494E1200F39887746A270F00A8C5209F4CC83C9CC70FF790F094A84CA52A57C9CA561E041F00B0873DEE31CB51BAD274BFC1072D6DC29E797CE5969C9B233055470423';
wwv_flow_imp.g_varchar2_table(12712) := 'FCA02044F841329739CCD21D21094C04C0119E59842414A1999183A63401A0CD235C139B9CBBA635B909802582339BD7F4E62A7500001CE8C09D3838A7E4DE29CF7ADA9341EEBCA73EF7C9FFCF7E5A04053588270BFC593880123472E403000BE279D0C7';
wwv_flow_imp.g_varchar2_table(12713) := 'B1D35638A841430BC7D0897A2DA0341048452D0AB58C72B46F2BA0414847EAD18FD6AD060935A94A1998D295DAED040259410D24EAD27DADA0460841814000AAD39A86ABA506594109840A549F1AF5A82909414A430053A432ECA64DC5A952018082A23A';
wwv_flow_imp.g_varchar2_table(12714) := 'B55821B8D1404280D3AB864BA7295D8108C4EAD5B29AD5247EE0435AD70A803EF8A1AD6F752B5CCF7A2DDB00C0AE00680D5EE9CAD7BEFAF5AF1731A52B893210E330C4B0AC5B8E6FA6878FA9E4030046E90D61219B8FF184673C8F858851BC661FF76436';
wwv_flow_imp.g_varchar2_table(12715) := '789F1D482911C20FF1F0A3B486C5CF6C507B5AD3C2F221A3F5CD69157B9CD5FFA025B4C2AB24436EC2DB7BE4C33CF03024418A331EF134D62152F94A252FA99FF4747223F680256D2B928FFA1C4F9803A98214B4CB5D2978810B63E08278C3CB05005881';
wwv_flow_imp.g_varchar2_table(12716) := '20DE45031ADC808637AC170D63908815BE6B5EEE3CA10A5E3048138C3010FEF640203D100200FE2B60007081BEF53DC8172E82DD2A1C6F076D1348A70E02B448B96B4737B0C10DF4C527407938052D48C1B708E2B8B00D4A5DF2C1534108700000584A20';
wwv_flow_imp.g_varchar2_table(12717) := '2D06C0A51E82020F50759FC704C031F9ABCC722211084600021211624E820859C74816C80F92B4E4260B64074060320F1732E5AE3CC0204D5D089E181001044804C50FD130987DB7831C13A4C9492AB39AD17CCC1FB839FFC746D8017F09D2A438E750CE';
wwv_flow_imp.g_varchar2_table(12718) := '506E489B0D62E6353729CAC7F4336360FA818678992261AB6298E54781E39979207E667392211DE782CC39C876CEE1A413F2E88A489121104E88FCF8A2260670F9215F14C89815026149290B0065D41F9E9FCCA437A71987B47648991744538A20A0CB57';
wwv_flow_imp.g_varchar2_table(12719) := '469356090203454FE406211648A3C93C124D03C00632583200A2DC820C27896E4EAA6806A2746A84981A4F5DC613021E70E52D92C4D80CCC7341CA6C835B3F39CACEB653060CA2A682749B01BF16C89501B06F8620EDDFA88E60BC8795650074DBDB6AFA';
wwv_flow_imp.g_varchar2_table(12720) := '75AC1B823400FCFBD50F697404D0A462C06AA6DE27E1C0040060B488B04C2015B73862601AA52D879C24CAFF9200C423B270910326A3F3C6F84960E4700AD8582213EFB7CBFDD2D44CA984E6637C750AD0BD9007B47CE776A1C1B60170F299176D8C0421';
wwv_flow_imp.g_varchar2_table(12721) := '3AD261B36D2E5B1D251DEF38004C30E287E87CEA8069FA4868BEEC9B13E45B5C6788B9C15EA257C3C8EC5D1748DCD93E29951FC403DF1AFADCE9AE19B18F840314B07B413C6002B32B9A02CBE67B62D4E4F78D5000F00281BA401A7EB4C22BBEEF07CFB8';
wwv_flow_imp.g_varchar2_table(12722) := '0410CFF181148DE3668F7CE22F5FA6B50360ED5A5736E9131381CCB7E4EB0881FDEAE562F52DE724018736C8CA67DF97D6375E278F1FA30796BD6FDCE31EE4BC77CBD57DCFE55F373FE132B748EE75CFF18D8F1E01B87F00038E9EFCB39C3AFA033175FF';
wwv_flow_imp.g_varchar2_table(12723) := '4114FE7B8570FFF4365776E213B0FD719FBFFB65617EC8C5DF65002060FBF82F89188B667D7D637FFBAA077F6CD17A06216E694280EDB711E7C701A6777C020817AE677FAD676AF7578122817D042146056870FC267B0FD8171E481146777A9EE7709F37';
wwv_flow_imp.g_varchar2_table(12724) := '10EFF78138D2452A682797C1082D1883323883345883DE01128DF55A36B8833CD88349710B40780B03010CC2700BC2300CB7000C9CA1843E48101220235AC5013A35851C200252B87B9BD1533AF0024D28273AB0353AC00330C04E5CA86A3AB06A8AB151';
wwv_flow_imp.g_varchar2_table(12725) := '02B104FFD5855FF25005914FEC84032FB0852C00876958030FC5038DE28630F002634810F93410F1044F02F14E2FA0867E215300A0874CFF00003CC0043DB00448D0863CB8855CF84EF44488714886ED54867E61501A154F3AB00400668AA6B8832F8002';
wwv_flow_imp.g_varchar2_table(12726) := '78080070C84E12D56B9C91500CA5038F08896C488936488A2FA08715F550EC048B94218A0521514CC04E4CB0047DB8838AC85034850238C08A8C5103D0A810B6D80392A88C3C488D38D08D8DD84E37C619BDB810EE548A3CB004E6988A36D86B03A5517A';
wwv_flow_imp.g_varchar2_table(12727) := '7810AD6817D5D85382488838708CE8F888CA2889008004B8F881D448531115517AD86B8A98865318519C38104C708EB6B82510998A3C108FA4473EE413902C5003EDA803BE288B69385001455312154F23291091D8285BA28E00708BDD875255258BED68';
wwv_flow_imp.g_varchar2_table(12728) := '919A481061489173218B38FF5988DF0800E8888E3498503D458D3B158E06B18C7E1150AE7888EFB8891A35109198940DC993C13810B62883200950EDB81803358849098E0811863E291051F9889168887C8785083156C5B895ED880319A99671E1917878';
wwv_flow_imp.g_varchar2_table(12729) := '9034D9937C68922C598C53273E13915019A91FA53810A668948AD75586528AAFF888AF484F1E6971327253E4336C4FB2870D599578B990745702E323994E529979891074D9577A5270766255FDA8920DD9986C97558669276C4895F07723B26922BD968A';
wwv_flow_imp.g_varchar2_table(12730) := '93E88F64F999C9679834B20227609AFD718E5BC292AA79791A306F19202359B5021BC09CBE693E59459ADC51036D988ADAF850C5497A7A3210A4C95537353EADC91DF7FF381093989231789C59C59D1B70021C5023EB292327402300209FF2A9192B7091';
wwv_flow_imp.g_varchar2_table(12731) := '1295954E4910C4F88027909EE079233502A0F48953CCC9180925901BA592346898DBE910E9099C75719F8DA88895C8A03118820C4123EB0900633556555555635502EEC95500209D64A1991AA986A568893518010F507E09B1011AC0995B45A300A02719';
wwv_flow_imp.g_varchar2_table(12732) := '9001E849170BD583271811F4981075988808B15048EA965C28508958A45BF8A4877815FE080075E886567AA5589AA55ABAA55CDAA55EFAA5601AA6623AA6645AA6667AA664C28207516CC53674C586A69A51465207A77E11000871681C80285C67026848';
wwv_flow_imp.g_varchar2_table(12733) := 'A77C8126D3A7146A820181EAA71A61A70860002C887D18FFE8142A76006A6AA8237129B937634261A92E1663912AA915A169F1F64D4F61003217639C6A11DAD41597D2622DB6A92EC6AAA59A104530670321050060044A7015AA2A632E06635CF4AA0F91';
wwv_flow_imp.g_varchar2_table(12734) := '1900208405711A5C6129A45A10F3E6AB0B310D0E2610B48A16AEAAAC7F017ED20A18855AAD7E71ADD82A1781AAA1DBFAADE01AAEE23AAEE45AAEE67AAEE89AAEEABAAEECDAAEEEFAAEF01AAFF23AAFF45AAFF67AAFF89AAFFABAAFFCDAAFFEFAAF001BB0';
wwv_flow_imp.g_varchar2_table(12735) := '023BB0041B171CC0022316271356B039110122E03825923074F6033DD069C9A76884B920A307692EFA8078B2B01672249DB20342206DF0A7A61B1029A0B8202A26601B066926856D2D21B3FC21042DFF20031DFB5129D0A72BC1B3FA01012A2004292060';
wwv_flow_imp.g_varchar2_table(12736) := '46B20339FB5147DB2C1B0700132004165060FF75242A252311B61334EB1D163010432BB4444BB24C52B23A8BB30306B26421B57E010182F2B403E623FAD286146BB10CBB118222603F002442306547F25F46CB246E1BB716910233E4238242B60EC13E7E';
wwv_flow_imp.g_varchar2_table(12737) := '1B112A60033956B7013611497BB80FD1249F06B93A714C779BB7742602A677A65B32618FBB16158BB990D2AB70DA23846B174642B9AABBBAACDBBAAEFBBAB01BBBB23BBBB45BBBB67BBB0C5B869958876095A3B84B1103C502FA0900EEF9BB11D18E3FBA';
wwv_flow_imp.g_varchar2_table(12738) := '50213A1009D59CCE2BA1B61B9A6EB9933A8552033185002052D909BB25199A0311920AAC69BC0AC1503A69883369104829BE0AB5903A09B93619121ED9BE875BBDAE58902411BEF2EBB711A5033A45922571909A084F013CC0FB0A8D0A098DDB6B11E92B';
wwv_flow_imp.g_varchar2_table(12739) := '88032CC00EACAF0159BDC458A52691C0FE5A550211C1E95B9354FABEEA3B3E183C852B30A4519A8954EA964239C220ACC2B78BC1D07B10C3FBC1323CC3345CC3367CC3389CC33ABCC33CDCC33EFCC3401CC4423CC4445CC4467CC4489CC44ABCC44CDCC4';
wwv_flow_imp.g_varchar2_table(12740) := '3DBC013B0A2A01010021F904050A0000002CDB001E00050137010008FF0001081C48B0A0C18308132A5CC8B0A1C3871023029021B1A2C58B18336ADCC8B1A3C78F20438A1C49B2A4C9932853AA5CC932E48D82145F168CD1B2A6CD9B382DF6184831A64C';
wwv_flow_imp.g_varchar2_table(12741) := '8234730A1D4AD4668F9D026F282DCAB4A9D3944A7F0290FAB4AAD5AB127B440510942AD6AF60C34EDDFA32A8D8B3689DDED01AB56CDAB77073F690716347541978BDC6DDCBB7235E8A3B38B87A43E1468CC37AFB2A5E6C112F000AD10C258001A32DE3CB';
wwv_flow_imp.g_varchar2_table(12742) := '981FDEE8B98302314A558A74566A36B3E9D31329028021A3F32D57C35C658213034669D4B82FBFA4FC83C22D5BC888DD12672246E2DCC8D39A10C1C18308132F10D8E2070F5EBB70958F27DFFE9505070A143650FFE851EE0DAD7E00FE012867C230F7F7';
wwv_flow_imp.g_varchar2_table(12743) := '6F397000E0E101A87FF0F8E5E3B7BE32FCFF629990C20B269820DE30FFC8934F3DFF64D31E80105E95025E73A56082073084F3CF86FFF8C1C10E1186E8946A405140C42DEA8413096522B6D8140CAB4D04A30785C1C0C16138BAA8235134C170E17386E5';
wwv_flow_imp.g_varchar2_table(12744) := '78DB8E449A545B8C47E2A8648E5C0D59E4931FA946E2584AED60179458DAE4017D5C66E925496F0CF4861B61BA01C0986792F9E59A20D1238F40F2D0E3260073CEC9E69D78E6A9E79E7CF6E9E79F80062AE8A084166AE8A18826AAE8A28C36EAE8A39046';
wwv_flow_imp.g_varchar2_table(12745) := '2AE9A494566AE9A59866AAE9A69C76EAE9A7A0862AEA4A4CF0B044A9A88EFA1F0B00D480030E0094FFAA8340B2CEAA2A8435D400C012032DA103AAB6C61AECADA8E9DA2A003A2CC143A9BEFEBA2C0FC3129B1C0E3C0C34EBB2BDFE2AED7FB20A84540FBE';
wwv_flow_imp.g_varchar2_table(12746) := '6EFB9F1004098104AFE272B78240E8220180BBE83A9B2E6A2BA040D0B90020B52BB2B1CE5BECBA042D71EE4EE1FA9B190A000B94F0BB0257CB44B406F795300A35D81BF176086FB08208176FC7B14025740C600913C33AD00E4CEC302BC422C765AFC905';
wwv_flow_imp.g_varchar2_table(12747) := 'ED80840ED5325504112D831402003B37058209392717C7407004DDD19B4EC103803CEB0C84B4D1173DDD143DF1504D0FD45867ADF5D65C77EDF5D760872DF6D864976DF6D8347C7076580B1FBB76583418A436030FE8FB36532BC41DF7DD5FB5FF5D5008';
wwv_flow_imp.g_varchar2_table(12748) := '11300000CE7C5B8543AE6917FE150E7B2B8E150DB0C2ECB8554C343E795590037038AC6A5F3E94AB02456EACE7448D6E90E9A4D74443AEA7A79E93DFAE174543DEB4CF1EFB50B3E74E3BEAB7F7EEFBEFC0072FFCF0C4370441F1371D7F7C4108204F1205';
wwv_flow_imp.g_varchar2_table(12749) := '02290FC0F2CE9BF41D00DF655FFD48CD0360C0F62AE12150D1E2C3C107004583AFFEFAEC17AE0F00EFBFDF7E43F8E063D03DF71C94CFFE02F10FC0FE00C49F002392BFFFE5C371FAE91F41F8A18F063A107E026960041D48410902003D03E1873D342810';
wwv_flow_imp.g_varchar2_table(12750) := '7EFC833F07C1E005FB4142C5D5A3206F12A00AAF76C081E08F1EF950613EE41443FCD5E31EF4C8DF0617820F7B9CD053F3104A15FFC670102F70810B463CA21101C00522329188471CC3119B38452A4EB10C652848139FB8C52F48918956008015BCA038';
wwv_flow_imp.g_varchar2_table(12751) := '1B204620209A0A88D662979794452641A1499092621CE328C5360048011EF3381038C68820301A55730020010000ED243F008011086204202872078B2C8811D20880444272073FC8A4263319C981FCC0910801C20E44E94820809250828B000222B09143';
wwv_flow_imp.g_varchar2_table(12752) := '02C00626F901262B394B5926F2078BA424252D89C64456F297273B082509324A0094D29888125C485AB0031B34F399B0D44E4340642500A4719631B3A5402279CD4BCA0C93B3B4D22987991020C0F29CC8D4130330B04E00B49320CD5BA5323372C81648';
wwv_flow_imp.g_varchar2_table(12753) := 'D324973CC8243B89FF8434FA7298207266436C604E82DA40A077C20042E6691006AC32010078C0632A920266720496953C65467C2990185CF395D6E44A0B62D0021B64929AE584A53905A2512C354EA100085C42E4098055362F01118028F41893C98560';
wwv_flow_imp.g_varchar2_table(12754) := '742040E0284A0D02CA53B6744D27C8803B592910A60E44A635556553A377198E5E8497C4B4A555AD494E28992C030A0D1C54112255554A14355D654829B74ACB53DA129C3FF8299B94CA00A74228A86EC5EB40543ABF8A7CD2209F0CAC5E3585010C8895';
wwv_flow_imp.g_varchar2_table(12755) := '4882B5EA51279501BBEE28B183D58828FB7482133CB5AE4B5D2A4D55C95988CE13A26C4AEB9E1C7B1006D4D5A6527D2A68BF040227E949A1989DA7320547D383FFE0B4AF17E91E430D02D10DE0D6220E25ED6F1FB25B81D07620C58DE87013C2CAE436EF';
wwv_flow_imp.g_varchar2_table(12756) := 'B8CB25EE580D2253D3C61401C98D2E43508BDA9A26D7031E70E572EBCAD0C065B7200F008F4044E001F9506F7E624DA56639AB1004A47720CC21E44EFB4A5E8BE41400BE15C896F68BDBC32AF3B9DE3D6F0420B0DF414657A68E5DA540BA87DC04D85720';
wwv_flow_imp.g_varchar2_table(12757) := 'F369AF7697DADF829816B31376E80384CB81F7E216C404111C741FFAD0816C6920EA5DEE748DDB3DA7B212A767C51E414ABCE1832895AC3D8E4800080080213B84C20020729097CCE4263BF9C9508EB294A74CE52A5B596BEEE281BBAE8C101D802BA45C';
wwv_flow_imp.g_varchar2_table(12758) := '5608BAC27C9052C50A092913D8AE9050AD99F140FF72877BB2B27AD5665EB119006F9E32AAD0BCAC2D53D26E52D681BC7CC50470D56C57A6925C938D15AC422FEBCB0231D5B058A65D58D5605684B69BA9244D1026844ECAD03233AD06E2693C53BAC99E';
wwv_flow_imp.g_varchar2_table(12759) := '3655AC54DDE99A9DBAC7A32BD5A1F945B395E1E0D54C7E564164356B2B6FDA209ED616AC70BD61C985AB5BD01AB5AF91D5AC43277A20BC7BB2A46BD6EB82449BC97BABD9B9F0451068297ACA5BDE091290E2E95253D95E3B410A9B97503062333958DBDE';
wwv_flow_imp.g_varchar2_table(12760) := '49B73437E512882064AC2A08B9C91C696F6D19CFFC8E33BCD845901AC00ED4DFE2774294556D7E0B61CC0A1FC8AD239E10A4E8E00514CFB8C637CEF18E7BFCE3200FB9C8474EF2929BFCE428FF4FB9CA577E1A230FE400DF8B780008127396DBFCE638CF';
wwv_flow_imp.g_varchar2_table(12761) := 'B9CE77CEF39EFBFCE7400FBAD0874EF4A21BFDE8484FBAD297CEF4A63BFDE9508FBAD4A74EF5AA5BFDEA58CFBAD6B7CEF5AE7BFDEB8ABA27D8C74EF6B29BFDEC684FBBDAD7CEF6B6BBFDED708FBBDCE74EF74A556C5DA3A3D8C22AE6B61A6CA0731B5E81';
wwv_flow_imp.g_varchar2_table(12762) := 'C17365317B0DBE202BD0C1BAEAA52BC0FFD6567C1F88E0AD7D90C1036C053005C0118E50048124A1F39F2F9E96012EF16FEB6AF1883FD6DE66A081C7182109471848E843CFF9CF27C177CA0A97AD82053ABC2B8CF28D8BF611428F90D803A008B777DD98';
wwv_flow_imp.g_varchar2_table(12763) := '299D2B8303ECDA045997E38F9F8421D41EF99D8F7D11AECF79CF2D41B408B11CFF0056E0848323A4F306413F0066AF7EC77D4B59EE2688131036FEE82B6408B457C8F649572D824D1CD7782778938710B0837D9AA77FC677393BC16AE6167EB623100657';
wwv_flow_imp.g_varchar2_table(12764) := '7902110223E679EDB77D9DD77EA9D380C8B27BB6A610B9030096632CA3F30001467CDDA7791A281009E8389B766C78F6300D118103086D96E65BAD877E9F877ED9A77984231044B08277536AC9722D45D82F921711D16202AF2784C17384EC2268FC3285';
wwv_flow_imp.g_varchar2_table(12765) := '16013314600445B0484E887BCF022DDA82841C0811AC13325CE13C09E32BBA962CD5523019418683F386D5D36C05E16A12A710BE175DB032664BA02FBC128607F1804FB66E2BA3101118810AF1033F688698F66FBB4233C02B027D0AD17A00D63ED1B269';
wwv_flow_imp.g_varchar2_table(12766) := 'D5D27015E15AC8936F0371677E4866FF167F5336671D478A19072E8CA82301010021F904050A0000002CB90020002A013B010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A5C2863A2C58B18336ADCC8B1A3C78F20438A1C49B2A4C9932833';
wwv_flow_imp.g_varchar2_table(12767) := 'DEE821F006808A2963CA9C49B3A6CD9B3873EADCC9B3A7CF9F40839E8429B4A8D1A348932A5DCAD4A68DA650A34ADDB872C740982EA76ADD3AF586570037769880B1234656AE68D32AF5EA552C9A2A1E6EC498ABB6AE5DA06C054633F4406E8C9677030B';
wwv_flow_imp.g_varchar2_table(12768) := '96C996ED0F00C8F89A189B77B0E3C721BFBE84390C542638634C5885CCB9B346195E6588FE41E196AB61C35C311BEBB9B56B87264478E020C2040B0E0F6E650BD7ED5A3818AF830B47488102000A32F8BAFA77EF9F4013C3A30FE7409DBA0775E1AEFDA3';
wwv_flow_imp.g_varchar2_table(12769) := 'D70F4039E0D2C37BFF7E61228589171E1E54B1B79D1F3FEFD0C18B9F2F7825D81B8B1FBCF9C78F5EBD7FAE70B0197D04065651457F3D10093FFFFC23CE11269C55E08476790583091C7091C91F6251E8615AA2BDF4D25F2650F00005F27DA8225767C1F0';
wwv_flow_imp.g_varchar2_table(12770) := '975512AE28A356B301C08107B201E0C18C3C22E5C6406EBCF1E31B000CF963913D2659943CF400400F3DF23009A5934C2A69E5955866A9E5965C76E9E597608629E698649669E69968A6A9E69A6CB6E9E69B70C629E79C74D6E9D0082EA890A70B76CA39';
wwv_flow_imp.g_varchar2_table(12771) := 'C20804A9D0679C805A6028A083C669C1081600D081408F261A67A400342AE99A960250C140885EEAA60594BAC9030F4B480AAAA8003001C0123A78EA28A300A8FF20DB0A28905903003CA8EAEAA3A7EA28C29935B49AEBA8AC96EAEA8E65E28010133C00';
wwv_flow_imp.g_varchar2_table(12772) := 'D0AAAB662A6B10ABD0A279EBAD04E9D06CB568B270EB0A0251ABAA104BB0B4C4B6DC7A496B41E50E64ECB906499B6E923A600B40AD042D412E00E6CE7B261200008CC4B6B93E9B9671FECA8402B8F8AE1A70B8B8AAF500000F404031C20987A4030EF8AE';
wwv_flow_imp.g_varchar2_table(12773) := '6B6FC34B0C6C2C5A180F5472C61DA150C3C2E01AD4F241E872F5AB0726200B1DB2287374EB0616E14003002F33F5D74030A4907348E096A0F40A25AC2042D008F1206F5440EC000458045167F1D11C95C0F306E03A0DF540220B347553611D7432D719AD';
wwv_flow_imp.g_varchar2_table(12774) := 'B0410940FFBAD00D4CECA0EDB3DE0AE42D0B4003FFC07350D009B4C1DA1CACCDF6440C2040D0C4077DED37002124A481400CA0640208813F64400208706E500287837407007D28F48740708C4ED01D3FBAE1461927C101C0E94486FE933C02C18390EE02';
wwv_flow_imp.g_varchar2_table(12775) := 'B95310EEB9F30E00F025C503C03AC20BBF903CEBD81E933CF754295093B84F497C95F74C3F3C4AF1D0D37DF7CE0BA5CF43FCECB30F00E7EB337EF8F3D9C3FE97F69CFFFEFCF447557DF4FBD0137DF400F08FBFFEF2C8DF3D9A543F15055020FB005E02B7';
wwv_flow_imp.g_varchar2_table(12776) := 'C7408210AF808E798242CE2041003CE10C02790215BC3090277010094700001590043B811C09829DD180063E10B910AC107206F9800630700082FCC00846380C0A5714B9821C21094918C80FFF7758A00F34A4084104001205B2442526A1082144621198';
wwv_flow_imp.g_varchar2_table(12777) := 'C8C4271E618A57BC2211A36244865C31894D6CA240422890213CD18A502C48128610C2272A718B4759410F1712C429AA718A6EBCA219ED380483687189588423507E46101ACCD12058946212CF68C731E2518C02492241C82848A38C6D7206D0C080A208';
wwv_flow_imp.g_varchar2_table(12778) := '0046D611005F742241DC88904656D2283408DB429098841F2A12927E34E529A17202856C00038A334227B578C73A3232926F14A2428830CBA4D4C0672B98DC2AC198105216132DC74C8811CED8492552D291CF0C4C0DAE75901012C18D69846516B36917';
wwv_flow_imp.g_varchar2_table(12779) := '1C9C0D91750C65133F494EB56C1300C7BCD521B1794D67B6D39D02B9D6390742FF044A4ED18EB2BCA7601AC64F810A679F4A2442400DFA1A321293A1E139C243214AD18A22050698B3E8708C56338D8667701E509C471DC3018194B470C7018048471A98';
wwv_flow_imp.g_varchar2_table(12780) := '1B1987025B33A901581A180950800331258804683A1808188EA777C9C0D660BAB69902152D1038914F974AD4941E9564852BE942D0E09CA74645A4041008028C8A90AA5A752A70C08340F0203B3E945520DDD847F6BE3A98B5B2F5AD708DAB70D437907A';
wwv_flow_imp.g_varchar2_table(12781) := 'C8352DF7C85E5EF35A8FBDFAF5AFE3B3EB5D67928F7C0C241FEF31887BF0C1587CF0A31FEE11486405D28FCA02A0B296E5873D343B58921070204F42C893461B5AB70A64ADA48592601FF25919C92F25DD198C17B8C085D9FFD6960B0319036EC70080DA';
wwv_flow_imp.g_varchar2_table(12782) := '0AC40B56E0200701A05B811477B8C805001A784B90E2EAD6B9B8B5C26FB9205D0A552126256C6E6FEB9215B3CC452EF7F1AE4062F01418D900BC2E31CB40FEC25EF60A443E2112480BE40B2D0FD44A6E35CAAF8EB6A24381F417003F38CC0E8CB08389FA';
wwv_flow_imp.g_varchar2_table(12783) := 'F7BF000E3044FE4B841F34588757F3EF9C525490F80C64BE52D981800FC3E181FCC02A040EF06602AC60000B84C0041EF0800F3C200F13A4C56C23EF0E6C30E31A0300C34651B0864D0C00187FF8C302D17089137C6200E872C54086C80EACC26494D598';
wwv_flow_imp.g_varchar2_table(12784) := 'C650AE0B897B4CE50EF757973D867144AC46652094F729DC82810CC0BC142020382387F90A8471DC821BE0B8FF214BF6B2D5C8DCD98D70F9215EF6F244FE1BE13A77A4CF0D01F44504ED67939CB9D04AF981990762E6450799CA88068AA309D268455B3A';
wwv_flow_imp.g_varchar2_table(12785) := 'D24CA934A00F8D69495BBAD21CB973A79B42E8512725056F36B5AA57CDEA56BBFAD5B08EB5AC674DEB5ADBFAD6B8CEB5AE77CDEB5EFBFAD7C00EB6B0874DEC621BFBD8C84EB6B297DD99B3B104092C61F6445650036A076B20A47AB6B42DA2B296194C20';
wwv_flow_imp.g_varchar2_table(12786) := '31DBB643CE664E263CEB5C4B4037124AB56E73F14007DF8EE6B26F85AFA9E9A054062315BF00D6037C7F5BDA2A1B88B27C36907BEB9B200003B7B809B23282E6D320CC6A16BAA29DAA7F333B9AEFC44134078E2B66156B5BE82695BC107A6C16E0C0E426';
wwv_flow_imp.g_varchar2_table(12787) := 'FF8F27C7C395EF9115E4591627B6C64F0ECF82D82B55115B15A9766E6E81304BDC0337274270906F66E51BDCCFD215D005B23100C86B6C1E4FBAB69CDE7469DB9B213B2F95AA62BEF0877C1CDCC36A95D89DDEF58560CBE8D44AD5B05245740010B2EC0B';
wwv_flow_imp.g_varchar2_table(12788) := '59BBB3D00D6FB87B3D57EE5208C9EDCEAE751344E97C6F88B112DE2E1DFC3CF008B955A9B6D56F8A0B1CF14377D7BA9190F487437E202BC8BCD347F66C615D5EF04868B7CB3F9F78653DBB5CDBE23AE9C5CEEF528D6C6CA4DFA7C11C4E7A83F420E1B51F';
wwv_flow_imp.g_varchar2_table(12789) := 'F740E006805A86806791CB40EE09220481BCE0E5C707000B5EC0FBE13B3F22018CFEF970B7C0E7532981D54FE000F1675AD243097FD5DB5EFF6B733F8F8494DFFA0899875DE7E13EF4BBFFFDF08FBFFCE74F7FAEADB4FEF247C0FDF13F10AE020002AC81';
wwv_flow_imp.g_varchar2_table(12790) := '101EC0379767549C335338B3102C90805D170002610022E5800A610215611E7C676006D61099B3704A70105E200512B181D2460419785D0FD181D0113814866CCC2010C06011D9C577D70082188123F1270EFC671004400001905539587F3D18843EF883';
wwv_flow_imp.g_varchar2_table(12791) := '4458844678844898844AB8844CD8844EF8845018855238855458855678855898855AB8855CD8855EF8856018866238866458866678866898869DE57853B1036CA8867018877238879D011C8EA765CED72C6F48877CD8877EF88780188882388884588886';
wwv_flow_imp.g_varchar2_table(12792) := '78888858492D536D0C476D04FF11702DB330CA246E84F4761E03342B53102A732D8C384FCAA62AD576738C88897DE332A1281021D04500F04D64044892C46B2CD12CD2B24DEF4410E0C24D0CD7372DF30118E037FDD448AE684D52846BFA268B662370DC';
wwv_flow_imp.g_varchar2_table(12793) := 'B48805718B03F176A3044BA314490BF56AFDE67424676D02017B05F133BDF88C9E944641F48DD7E46A00332A0D0135A9E48C0CD1477E341080348EAE568D134103EF248A0A510480A410BC341F04486DB5B2322BD32AE684027BA724E6569002F1333490';
wwv_flow_imp.g_varchar2_table(12794) := '4A4EA08D30641043104E0A614FAF3102200004C977100127101BC974C6672521C77480E7328E988D3787798283018C0349D4048FE2212800F03435C7910C432B00497BCEFFB2821F7270CD329266C78841D332F2C200F81246ADF88AEE281D2A300228B0';
wwv_flow_imp.g_varchar2_table(12795) := '30F7F2320B532B61B391F2727CAD62952857934FE994C3412D06A37A08E188A338104CA09513034649F0509C848F04510419E81A20F06663998DB582930B6197E1F12CE6A82BA3D273CD18116783020A859433829764C22CAA227180E79311612F1BB003';
wwv_flow_imp.g_varchar2_table(12796) := '69B98AC0567C78677415E7913D032E72A3933C720227204702514B3C73021B7002BFB725D8722E89D92ACC422E600911726364C1342320E0891B30477F0343B7A9252D137604218F4A7792DB588A5DD20213809BBD57109EE825FF568DFDD62CAF998DEA';
wwv_flow_imp.g_varchar2_table(12797) := 'D82514D043BF1702A4B99C67123223A3755CE788259910405880653DF2536F822E3077113D649EC4B66EA4723752239C111123C9D66F53477FE5C22AE1067FF2887F07877FF7597F69877F99574BF83742F4E73BF0003C0F047FFA43104F827DD2277DCE';
wwv_flow_imp.g_varchar2_table(12798) := '97570854106A95A1DD171801010021F904050A0000002C72001600750132010008FF00F3E50340B0A0417BF6F0E133C8B0A1C38710234A9C48B1A2C58B16F561DCC8B1A3C78F20438A14998F1F3F83F7EED55B596FA44B87F400C49449D3613D7B371FDE';
wwv_flow_imp.g_varchar2_table(12799) := '7B69719F419F06F5CDE449B4A8D1900809CE5B6994654A822D99165429F0A14093FAFA1DDDCAB5ABD7AF60C38A15C96F60439325E545E2E2A50AC12A4994545132F6A2DB825EB8702943F0CB98BE00F87E19FB57A2DB27498E504942C56D19378F1FA371';
wwv_flow_imp.g_varchar2_table(12800) := '33190D00CA98EB6AFE5A060D5F005C08E6D53BA68CDF3263FC72F9BB1A3446BDA0BD00906DA52D002B6EBD5881244FA0598302EFFD0B57620381CD23112078C00140738E1C364427E881437500D5AF6B6FBEDD3980070C0C10FF3420DEA0810310096828';
wwv_flow_imp.g_varchar2_table(12801) := '8802B97BF71B202807A03C418207101E14CC40304104FFF7F587000009D0472002093050E0800429489E01041CD710010984F34F3DBF1524103DC3BDC082780CBEC7D1031434F7020029140403462BB610430C00DC50908C32C650E38D06EDD09C061168';
wwv_flow_imp.g_varchar2_table(12802) := 'A0017F006C6010051100701E01E8118440083012B4430F3B3C744394044D29E2951DBD2883091E0040C1971C8459100B057569D175008890269A4242905F02211A495F85176648D042F20C67C203128E14C04504FC19E8440490671E7D5F7A7022412B02';
wwv_flow_imp.g_varchar2_table(12803) := 'B0A8095EADB8817E00145950042500C002A4691AB441062710B4C10B3DF0D02443A75609400B3262E96A458D42FF2A02075FD65A6243CF6D40C106BA4637DD431E8810EC735F16045E41E21D279E8518C2244F3FE17080407905F589A5B2040C98ACA110';
wwv_flow_imp.g_varchar2_table(12804) := 'DC5A90092B9AF0420AE28A7B940C94868841830000A929412994402641F38630EFABF8BE04230C2658E765A50F64B02B41CF31F4A9AE4206699008C26A8A020B6A121C2405FA091C418811D26700B37602700F3DCF463BE1ABC7150AA1010C1A8AE0C0DF';
wwv_flow_imp.g_varchar2_table(12805) := 'C230EE0B26B090C2A2334364C2CD2C26CCAE061860A0DFC5950200014125144CD009FC09F9020A9C4E74830D345A4465BE62C500430C26DC4A017F246690B0D10ED1AA30410D436A2676C2CE4AD00311E84781B6C96ADC4D9D0D2D040FB47C8E0C56A083';
wwv_flow_imp.g_varchar2_table(12806) := '32FF0421007C9F4C5F00D3A2FC1D056787FB28BC2FBBDC100C8A1AD4E8432BC6F0B6E0063070294196C689007F990250C27A1970001ED81041CD51AB547F05A3091B20D81CC5420BFC5C73BC1A2CAAB7D4A5ED010BC106EBDCB0DF5DFC0078DA663C2DC7';
wwv_flow_imp.g_varchar2_table(12807) := '0DED7477360C4A38E89F040590B144D6570F78F5D903D07DF704F51DBE9CE1675BBEF90326E02F4126A4482E8A8EA208F3FB0FA5EAD0D5FC3A1727929AAF371EB50632D0094A708210B44B536AE2C0E42462BFD671A58111B91A006024AD0018204C4402';
wwv_flow_imp.g_varchar2_table(12808) := '5898D496309D4D2462B35253080BA2262289A748E539D9B4E6768F9364C879FDC8C6F5F8E6BDED81C47AD66208F51E523283142A0116BC5E02FF20A4C09639CA041163C8FC6035C146C1E072E3211F419204000C68AE86580440A8429081F54420022C78';
wwv_flow_imp.g_varchar2_table(12809) := '41A65EC03AB040D081133C63436420831711C46A29E013E14A9401064580030CE340E9744601E778AD8F7A54D8ED7C55908235270311080F0034271E43692C1CFD682100AA72277A3C8F7A3DB45E000220012FBCC10F68E04144ACE701030420012F9001';
wwv_flow_imp.g_varchar2_table(12810) := '02AC77C1083DA0940178A5057F60821C2ACB20160C912311408007C40A452E8B1900CA45A6F6816B81F78B41973860821B3CB13CE2F3E1152D6590030090470DB294B05E002335F2C49B688CD10DC0691036BA4C0440ECE5AE1EA09C085080830E29DDC0';
wwv_flow_imp.g_varchar2_table(12811) := '3ED54786B84B5412F35291A635FF2006E8525B2C74E16F3E76491A86EF9470C0C5347E010A622083124D2B8826CBF08F3B04C010FF5047388C10803754340088F8871F02808C7FC8C0160030070776B8BDBF552F5B8392D0B42C78B66F69A798293226BF';
wwv_flow_imp.g_varchar2_table(12812) := 'F2E79018486B7BF391224372B84886848867EC6200063630C60982A58CE104091B19F5020A9872399CEBE73B71E7905E1D703F5B0B6B900486B04036879D2142803FA3B8C20BA105250090073EC2B1CA6A054A02A39806310091062650E118C9C04511BE';
wwv_flow_imp.g_varchar2_table(12813) := '07B80008231BC80800234011006824D615D9B0C545FF410B2288231C63F80717ACCA52C01508930C7A408108B4B604986007AC43AD8C6400001908A166E08A2D4F01D02818FF95727C3E0460B5AA67006A3EE48A0038000334B78124BA07AA51BD086BB3';
wwv_flow_imp.g_varchar2_table(12814) := '36D30840609F03BA6341A433DD4296AE5DBA62C8AEF8034821D1936D51248F2E956480B9D1A3631F93473DCA51CF4D062A008D08062E625186539C6211AA00802C6E310189068A08E528833AD41409C53EE308D9E0433A4C808868D00214C878C60BEEE0';
wwv_flow_imp.g_varchar2_table(12815) := '0E5B00F038411C5A41E40200253CA1C37399CB5F3AE38687A086080FE1D4E4F654D81EF25093D2CB9C6EF586800814175EC8340AEB1A85DCE46EE4061CE81B0228A656F1642062D4F554BBC294642513CC6899CA00DBDAA62D258DE79604B0103D764249';
wwv_flow_imp.g_varchar2_table(12816) := '8F816CBDED35520086C00C59FC22167F6846331CA10AF92603FF10D4B3A06287F30F3820C21514300723FCF00F71D49911A9C8443BF0700D2E98E008FF1883050B1B3E0400012E472042120A928424CCE52D5EE80C6A3A0380D418040D6E59D430539535';
wwv_flow_imp.g_varchar2_table(12817) := 'D10E1170D11C2A8CAB053E8950CB839AB191AA7CCC1119A4C094C7490091A725DDDB7947675EE355C14468DC04A689565F54CE159104A20115CA4859FE873C52D2E5F482F97C0100443570810B607882170050452EF4FB8B5BACB4C5D718E91D84E18776';
wwv_flow_imp.g_varchar2_table(12818) := 'A4C3150F40C64823410B4350820BCFF8C130B8508E74D08252D62A1411E452062E24A10C77E04215DE809A3B8C410963F00C1C0C51F03718A2C497818C6C24D7AFFE5C18972F76716789DA10E0464CD45BFF6995D56070B51E87C5E552526E432290AD22';
wwv_flow_imp.g_varchar2_table(12819) := '11393C0F509BEEFED52B9D85506D227C8E08B646A92B0E685A7D8A50A178998D7FD043215DC6473DE4310FF6FE09870918453200F08B61C40200BE28C6318241906428217BD61BD02653B676DEF2F2BDCE56FBF6584A802210C113C8C8861FB2010A385C';
wwv_flow_imp.g_varchar2_table(12820) := '231586882C1AB8508F5BDC411CCC60861FAE410BC896E116A9F8826C6E0029D34D8BD5110938F872D8D986C8F88A7D346E58527003192C500630D7F10D5A95FA9174DC3FC76310055820F45C0DCCD764C323EA723565FA4440BCD1BB651403D07479D8C3';
wwv_flow_imp.g_varchar2_table(12821) := '2727210841E961F5FE9CF21681C505336E518B5AE442180451681530F95E1B7A0FC3AD9EBBFFF6A229BD22FC0014A0B0851FC2010A3F9823135510C72DB890896C4423F09E60C6353CB1F072DC421CA9000055C001F2513274177E22675016614D06E14F';
wwv_flow_imp.g_varchar2_table(12822) := 'C0C53B90424E21E14613D47AA83535AAB77AAC771495C301B0A73177A4733B47360B2331C3A67BE0E51F35A62D70733D7212284D070FF5700FD50632CC4701D9132110B00ACCF00BBF10808BF0099FD009AB900CBF500DDBA78034C43730D684A9767513';
wwv_flow_imp.g_varchar2_table(12823) := '627E9EC00EC8A004E1F00607270EB4500D7E500588250E99D00DE2E009CF900A448006E1E007D1900900806243F586AA662DE1977905111E76F84594B2462920815B912A17987294C70131A05AADF7112CE725E0A5310F407B246434C6FF6610DC214290';
wwv_flow_imp.g_varchar2_table(12824) := '4810449282450227E6E182E40183FB2083F8D06532010F37F827069000855209C9D0770AD7696D810695300CBF9063DF27510E117EADD68480637E81F60AAEF07799900ACC60088C970AD93006B4100DC0208C86C00C99E009D12005B6100947F0039EA7';
wwv_flow_imp.g_varchar2_table(12825) := '6AD6684B14413D20724557C41F4613515872818508121E5005A90001AAD587FC42310B421019C08822584892D8889D423C6A2230ED9288FEB15646E26C87C289F2401035280FA3583E018006F35705B2B1906C610595E00AFE653DB1633D14133843F637';
wwv_flow_imp.g_varchar2_table(12826) := '84D31C01E05C1B695543F652D603046F6169525070059704A1510655500455C01649200500509204411773815C9884495DFFD18D3A732F295039AFD20336F0113D2011948768AEC0016D040018E812F82302CF852005F14E40D71C406710C19336FE023C';
wwv_flow_imp.g_varchar2_table(12827) := '45E38EF5743C9DB34FFF1321DA082104507C335883A2D87C0745017E501B5680706FE00663801B7070170725059EA1266570035210003B500565F00332C00501B001A821051470072A89064F60020C7776121200F5440447401046000047606993D6611C';
wwv_flow_imp.g_varchar2_table(12828) := 'D6619599046E58104700019DF73D18E6270551636C4329F5D429F0028E9A815CACC33A3CC05A05C15A54329B33D210AB1723269004FBF00FA9F000AC358E11248B31F002C8163D5E526C546934BF834448243C5D1242B8C33540F2332AB85610023EC952';
wwv_flow_imp.g_varchar2_table(12829) := '7C3E819637FFD81001900268A01B81B11752009852A07963F0000630976E80000358053D00073FC0016510005E9002FCA9045EB0036E700749A09F31E005E04377C882200882568B1427C8225462A19A6D938F42429531232EE4228B66B446A8A79404D1';
wwv_flow_imp.g_varchar2_table(12830) := '032EC77AB3292322CA9B04B12588F60FFFE025E3C487F77388A88235CB491FC7A17B78947B9D8247D44926F702891CE42E149382BAA47411BA31FB400FE14949E9359E7218006E71079EE1066E00077C5006A3C56A6340316C410401200265700414A068';
wwv_flow_imp.g_varchar2_table(12831) := '1C40985CF00201A0044760085C10037C512470E001730872468232A5C84F332687D3A380479187F5D49A227033810A2928E72A499922F1B3299A223C65FFC2638CC2108A8A956A42042CAA5E8CD01C30609B16B12832EA10FDC236D1730039EA1C53A926';
wwv_flow_imp.g_varchar2_table(12832) := '5D023C9BA2A869625C46D347F8B83929D39D7D922CDF206DFB4083036583ECF510B154069E000090E70722392101101A6350A665E00104700726900078900429C00747E0016590171CA0681480074AD0035E40019F011138591E5029A1B5E84361C11F49';
wwv_flow_imp.g_varchar2_table(12833) := 'E31DD891AA0451A85BA1A91321032F50420D0124F5A42B1ED04C6FD42FA843895ED21C28F60CE1E00151C2A111A1A906FB021EA02B400338083042B9372B4884AAD1594CC0E33B3F974FD9C936591A5CD2F33F00D0745B765EB9AA5EBB0AAE770AA13A74';
wwv_flow_imp.g_varchar2_table(12834) := '41AB6400146341A6C41CA5B8520F0B21CEFFC61C48678ABBA543D57274048232ABB4845E417245C5950D1142156B2EED63B09A910248864FB992305D022E06C1AF1111260F9004C01000A9000745C2B4B0B2229DDA2F44125404704754A9AE6A8244D441';
wwv_flow_imp.g_varchar2_table(12835) := '2666023C8BEA3B90583AEEF24501846ADE692473230FB78A96F7500E1AE612442B117DD26A2417AEE5B120B8B66A5BB1680DA19A57DBB6D1393F27322E30DA15349A4FC20329B5356BDFF22D2FD33EC334334E1B2649000D14E04C97CB102CD7BA0BE401';
wwv_flow_imp.g_varchar2_table(12836) := '5B73312072B63A07429B2B2CA9FA3B9D9236F3629D6A923061C51F09425E39B489E190A44B3A155F76B221C15223A7371331873BB489F4A11F43E4845C711C3596A5585511BF1339F1FF83A8F8226A2982722A17230EB17A3CD02AA8D703ACE5BEA5676B';
wwv_flow_imp.g_varchar2_table(12837) := '22900282697A1F914A95BB878D32749582315B25316B1B3166E3A36703B7D4A17B6A43B76B035EFD84B7B30A21E03949033575FD200E2A1B559D973E75CAB847418A0CB21C156A73641511B86B2EE28B2F534510A294A229FC46ABCBC2993A2E3D0003AB';
wwv_flow_imp.g_varchar2_table(12838) := '07B610312E2E3333AC653504F32540932CC346AAD12902F3722FA64AC4AE5948EAAA2BF878890DEB52A909386629C1B9FA0FDDD079C92528D992B81A33A77ED24328D336D4744F5B232693C83EED61C2F243BAAED22430B087AD15C706F1C2AD95A96C64';
wwv_flow_imp.g_varchar2_table(12839) := 'B92DBC112B87C3FA4B5B34DA47C9261EA25ABB63C23E819ABB171B3CA3FF9AB685443B41F3C171532DDD990DFD1090120C1C1C120E588CC18DD68F8ADB3D83CB119DA7397EEA3FEE081166C23411553338466B05A1256D74B96C647AB3CCBEF00A2BA6B7';
wwv_flow_imp.g_varchar2_table(12840) := '22F8FB2DB4F23355F69C64132CD2394C24E89ABA071142F2AA4173B736A48D30C80F3278C91AC22157CC159BDC11B6F4C1DFA11CBC34631B117072C2A0CB1C305F3536FD3A2FBADBAEBACC5A29C25AB7EC402B2C73B739CBB30C2551B29418519B06314E';
wwv_flow_imp.g_varchar2_table(12841) := 'FC22369562291170AA0DA3AA8EF20230C3AED389361B74CCEA7A4044F795515432DA427CFD000F1E038AF990C9AE4C359DC520C07531C3CBB1C6928740E241F0B9D1226134FD6A2635D5105A833AEC08C59BF33315FF7A4079A81FCF1511BE2554915911';
wwv_flow_imp.g_varchar2_table(12842) := '538CD1C2C10E75A91B5240D4466D05458DD4479DD4455D0552501B6E81D455A0D43169053139D5EBE996BA819E15819E49BDD5B381D431C911EB39D60D111A0461ACADD16915A10606111918571063B0D65D11970060D7C861D7780D111817D70DF10693';
wwv_flow_imp.g_varchar2_table(12843) := '01D86F00006830D885ED197CE169B3011A7C11190401198F5D1096D110DFFA10A5A1D685D1696CE10552F0D479A11B557007EAD00F5B26CD533149FDF01BF40032321190ACFDDAAE1DDB3421DBAC1D573141DB051115F5301411C1DBB31D90967CDBF020';
wwv_flow_imp.g_varchar2_table(12844) := '0FC35DDCC47DDCC66DDC0411DC34B1DA1EB313043113BC1D9016DD103171DD046910F050DD7105152DFFB115B79DDD45B1DAE4EDDC0C51DBAE0D11969CDE17C1DDB30D00DBCD1040A1DD04C1DDC35DDFDD0D00EEE00EFACD10C50DDF0571DFCC7DDFE69D';
wwv_flow_imp.g_varchar2_table(12845) := '10F0A0125C6627F9A010F96D83966C11BEFD11115E1196C4100FFE12C84DDC0D21E0167DE11EA1E11EEE2A214E6BD59DE105E10EEC200F29CE0EF0B0E22AFEE2F9ADDC23EE10F6DDDFF90DE006410F33B810A028C14F0115D4D6310F611226F111C90700';
wwv_flow_imp.g_varchar2_table(12846) := 'FDA0151471E445CE10BEE11142DE10FA30E51A4110FA00DDD08DD21B11E5525EE5AD73AB0DB10F0FEE1317CEB72331DF41D1E31EA32142FE425B9EE51E917C497E1270DE11441EE71841E55981E44A0E00FCE0E55A2E11472E1153EECA0F6EE601FF49E6';
wwv_flow_imp.g_varchar2_table(12847) := '68AE7C04B10F8BFE103E91100A511667917C66910F59AEE6F832E72371E72031E81691E405C1E9812E11255111855EEA17E1E800F00FC1F9EAAEFE0FF12013FB9014A62E90A72D90515EE718F1569474151571EA7C0EEAEF01DD2741EA8C6E1685DEE456';
wwv_flow_imp.g_varchar2_table(12848) := 'AE0F51AEE63F6EE5F770E5F822EC1391EA0EC4EA1701E74FE1137D5E10AE7E7CF1B00FF350EB05610F00A010EABEEEF8F0E3DF6DDAB9ADE3C42E1108C1E0B8CEE0FCF089BEA1E90571E4A2EE129E2E110C0EDD1A41ED0C01E80E01E8578EF0AA9EE3B99E';
wwv_flow_imp.g_varchar2_table(12849) := 'F0D33EED07EF12BC3E4918A1103B9112191FED1BD10F3ED1A2FBE0F100C0EA08310F26FF10E5CDDB43018A2E34122DDAF00E21EAFDFF90155A41F3A33E11DF1E122FEF2AFFD00F3BDFEA06F1F300C0F01DF1E8410F12492EF3499FF35EC1A24ECFA205B1';
wwv_flow_imp.g_varchar2_table(12850) := '1011C10C06311814F10557000058CF10596F6284FD055AC01165A005952D11A671F684DD195FE0195A1F181031D7AC91D974DD10990D1A75AFD9738DF7ABB11A5E00F77DCFF7708FD657A2D6945D1A06516265BF1554F06925361984DDF890FFF895C110';
wwv_flow_imp.g_varchar2_table(12851) := '9811979641199731D92091F81161F5510F121320010621FAA14F10FD050012A061125020A25F20153001130002B18F1D1520FB2050012DFD102080A8BB4F10BD0F0020E01016501020F0FB0D0129B737482870A1CF8102D6611DCE4F1028D0D2FD4A101A';
wwv_flow_imp.g_varchar2_table(12852) := '006B0D1102D8FF1EEBFFA2010624FD2B80030020FE0CA103F10C1219704F1311253FC0FEEE0F00ED0FFF54428DD468103F70FFF4FF159C02299C629C000100800A1004071604D1426042000A550884086204880E10014CA8205002808C1C2B800061D185';
wwv_flow_imp.g_varchar2_table(12853) := '8A11235D58B438C40510812B05AA586992251017455CA804407308909D4304EE840804068C17300018D50123E9D2183A62BC682A30E951A7528D4A4589F2858E1738B67EE51AF64556B265CD9E452BB0860E943B9820E131452092B969ED5AC42130EF5D';
wwv_flow_imp.g_varchar2_table(12854) := 'BE499200F8CBF708E0C17F8F04E69B75A640204088249618B283E49059278E1838B92200CD952D6EBEE871C2CB8A0F018C309DF6E4CBAC32550C81493326CDC62CFF05DA40291680D8B0BB058E658B752B0E16795FA0C081E27872162FD602D85B16858E';
wwv_flow_imp.g_varchar2_table(12855) := '1502356CD000007B88C4DDEDD6B07803C00D266E51F658B26389778B34D877472C30709124F4EDD7CF5AE4FD7EBEA0D362B6CCA2113A18B0A20A267BAFA4913083892C931E32C9859B20F2C92600565308A2AD74782E388B74F0D0ACE86A482E2FE258A8';
wwv_flow_imp.g_varchar2_table(12856) := 'A138F07440013CB2584C2E2B1AAAE3AF46BD2CE2A1BCF57A008087F596408FBF1A5C6C8F461BF1934F20FDFEA20F80269D1CECC9C10078CC46F6FC8068402D09E472CBFD0A2C6B04CCC63CAD4CB24A12A82434B31C68B50B57931000D850B20DA2E9B642';
wwv_flow_imp.g_varchar2_table(12857) := '41A0E950C221B83E4D844E4FBCF29CAE50887058ABFF45B388B4B2D11588DC8B09F17C5C0F00202D828B2E1E0078942F1719AD71B0C7E8FB8BC9F9EA43553F2897D4EF08551B15C888C74C480B8EFE004CD03FB32AE212255CCF3AC9CD96CA0C76D89872';
wwv_flow_imp.g_varchar2_table(12858) := '03604F1643D4A14FB698CD8D448B6A406E483B3B9C6E2D22579416566F21628B091F3D0C12222304DA34C4B4ACFD96BEC3205AD249C450CD0AC96F51AA12AD7FFE60EDCC34D3AC68C0D37435F333BB2C20F85E941E8C690718A65317D4669B05E02BA9F6';
wwv_flow_imp.g_varchar2_table(12859) := 'ECF3D0647158A1458FC1AB6E480EB35D16BAE8147ECFC54E19D561894D21428F2E885ED6C13DBB6CF6D654FB0070B52C51797E15E5F76C858840CE2CAAC082D1121688570BD2EAA8AC0E9EFE12FFA2A7AFB6DA2292488237ABBC3804FBCFDD4E66EB6BB5';
wwv_flow_imp.g_varchar2_table(12860) := '00A0D622453B455BD1B1C4266BAF3F279EFB64A1C13D8B89967DCC71871E337DCF48811E15BCBB56E585A830C0BA76F26E2BF9FDEC57BE24773C72948CFE5740AA8BCE1C2BCFA562172F8ABBE253BA6DD1469B05D44195CAEEB22B272B4FB47410F7AD1E';
wwv_flow_imp.g_varchar2_table(12861) := '055A0289DC61A5D1EEBB9ABCAF71D851B6B54EB294B96BF3E191BE3C6BB4A85621430F50525476D027CEEAAADD586FB1868EA94D1100D55990DD39687D5F1E25D607478909F4D41588471BD7E74E2019D09AD255FCE2B368CAF4F97301D3EEA202E5FD4F';
wwv_flow_imp.g_varchar2_table(12862) := '351629A067CAF4B064A58D5A792191ECD0573AB37C4F202852DDC602F5A11B816BFF82C363D1FAD4F2AC1EBD0C532E63C2BD44F83B03B6D02E9473214AB6608619364F209BF38F07D27623F06190381BCCCD582002BE8FA1E07B2DC22091B225C4AF7D30';
wwv_flow_imp.g_varchar2_table(12863) := '86DBE310EA284816B87C2885C1A19801FDF7445805AC22A0E0E2BDCC00800272E6699213010A8C98AC8E55678D480C1FFC40D79D3CA5C875400C6356D60236F595C56538B2480A6DE4C43C1AB08C85E40B1A002007408C112D53E3CC08942738D93DCA7A';
wwv_flow_imp.g_varchar2_table(12864) := 'BDDB205BB6E23945A1053C190455C610992CB6584F74198B22889610AE4DB94F2029E48109DF2337883C203BA35C1E0CCB820B5938AF69CAC38C0015268DFD98060426E0C01AD1B236BD907085DED9CB335BC89615A412077BFFC1DE042B9515DA755390';
wwv_flow_imp.g_varchar2_table(12865) := '896154B718804B2EF21217C900C0279C010065E0C29C3EA80C6804D6C24648E30A66A11A827C9915532EB3810DACA3F8A4E89DD021CAA0436A51E1D257CD6BAE456E1493A3D97024C82B3613519E3C1B39350A914D7CA21500F8054494B0992DE1AA57FF';
wwv_flow_imp.g_varchar2_table(12866) := '6B047B7479023A12F19AFD7C4F1D038A48461132A366E141B83C27C7B2846EA3E43C43152CB28A5F092C6A4D13262211961AFE28532D30ED4E75BE67412E866865D75C57075F19CB14AE7295DFFC6958ED620581780100421D455986E003A6A64F910219';
wwv_flow_imp.g_varchar2_table(12867) := 'E31ABAA3CB1A4155AC779125FBF8121D23E5542A7EB50BFA7076575C92D51096E3A216B60091C56A01321D300AFF051CC5A96411367D5FFB547572B49B256C33ABE099D1602DABD14372F1A4EC99CCF4BE65D7D13ACE63101182A5E4B7D7D68E764B4925';
wwv_flow_imp.g_varchar2_table(12868) := 'AC3EAD54BFDAB6302FACBDD4A57A3BDCC8058CB8280BC10A36B0821328F4B82893630671A73B9701F6B996A5EB0DAF6BA3E66A67BB77439F42D3B3D5EF96B768A5352F4A68D45C9602E0041B486FA3A8A35E3D15AEBA3C8D6F7EE39B5CEDD088B700F8AF';
wwv_flow_imp.g_varchar2_table(12869) := '7E13235D41511522BA4302EDF22A60069B37041B78B040200C800C44B8C17C71EE8535BC618B70A7C21A084185397C971258A4042B38316BD105A211B7D8C52E3E810800706219A7CE22EAD1C1820B69831D00C106270182696C73921DD800372F467292';
wwv_flow_imp.g_varchar2_table(12870) := 'C9FF2282125B4488BED94D1535064A145536C30A234211665284C7CCE42121310A0854AB643227D9006881AF40F86B61B2604020675EDE982122590024E0011639730210A0E7040000016506F488DD80163FBC010070E883A12DE2863B00E00E681874E5';
wwv_flow_imp.g_varchar2_table(12871) := 'FE0008A29DA50C16796BA035DD6279C8A32C9E86073C3C2D9050C30322F27007444C5DB975987AD46669B545E0B18E576FDAD61AA6073D5EED697A00E0D5BAEEB54082CDEBE1CD231EC6A6473CB2126C81D4232BF3603644E6716B6A7F771F7CD147B601';
wwv_flow_imp.g_varchar2_table(12872) := 'A00F00F0831FB5FDF6B7BB6D8F7CE4A3DAE7EEEDB4D1BD6E76E3721FF66877BCE53D6F7AD79BC1BD96C73EE8718F7CEBFA1EBEFE77BFF9ADEFFF81A70FDEF3A8C73CA00D6F7B37BCC1FB1875BE0522F16B03E0DF288976A3F001807A741C00F1B8C73C42';
wwv_flow_imp.g_varchar2_table(12873) := 'EE7092D7960A6779C219CA7A72009CE1094F804815609E04BAC0FCD29106C0A5AD94E992F73CBD21F880063E00800F7C803BB7ECF00718304E73FDE007E76A94119E8E921F10A1EA57F779D6193C749424E108FEF37ACE061325AFD7678B5A47FB73035C';
wwv_flow_imp.g_varchar2_table(12874) := '1624B55D55A902CC937C12775745094A4A3A7BDAF53E5C37A7C5EB6F07BC455E5584FB14A1672821BCBDF6BE7801C70BF1A692571186309FFC9C5DF18CC7FC5DDB4B16B21F4655867F12DE238F92BC072DF3A7BF6EBC0ABFB89D29DEF066C93BEA653FDC';
wwv_flow_imp.g_varchar2_table(12875) := 'BFA70AEE6679FDEC752FE0C3F0FF6FF4FA93D2E2185716D3EFDEF8AD4552EC95E4FBE3379FB84730027E5A65FADC3BDFFADF3D57E2811677C41FFEFADF7F6ECFCCCE2A81280EFCE727EEEB83567DF4B77FB8844F1CCF04922FF7D7DFB2CAB77FFE479B65';
wwv_flow_imp.g_varchar2_table(12876) := 'FAEBDFFF620D0CA8FBBF01142B23283E0244C00454C00564C00674C00784C00894C009A4C00AB4C00BC4C00CD4C00DE4C00EF4C00F04C11014C11124C11234C11344C11454C11554B27B70C1FFF136169CBD8E73B6F4293719CC3C6F13B76E330B731388';
wwv_flow_imp.g_varchar2_table(12877) := '70CB366FD336EFE8071C343E7AF04117723675CBBF1D44C031E00200F0022BF08228B4082E180300E08229D44200B0822884428108432D34AB2DB4BE239019F6102AB2B042FF8BB8B42CD4BF1B8001F1B801DCB881181008F100003CD4C323A343818881';
wwv_flow_imp.g_varchar2_table(12878) := '3B14C43C1C8F3B04C41488405A11080F50B1F613C0B4F801BB3002BFB98BFE7B3AE369BE08488033A300F8828140C4C305FC01BF19C5B228458888C4F7A044B418454C6CB826AB1106A0B3085C45BF594500B845AA13881D18C553CC8A1D40825C9CBDA1';
wwv_flow_imp.g_varchar2_table(12879) := 'C300A6BB0B04D0444DCC00B23081A130011078B20B743A00E84581F0C59C200B3DBCB1AC88C41E3BB2926380BEB38B08B0883E8308456C4613404412DC8150DC4594D01E88E0C51EE3C66F24B9650400062047EFB8338BA83188F000456441DCA0476EFC';
wwv_flow_imp.g_varchar2_table(12880) := '4520984784F4B178DB8B0CC0000C20477DCCC7EEE8478BF000FF0EC80A0EB8C88BB4C082D4451B49C5C598379B39810C880089FC160EA080E9D14894183319B80119500898148F0C194057FC9679ECC51D1046767BC893FC160AE00008984509C0488B10';
wwv_flow_imp.g_varchar2_table(12881) := '482344091B60891ED3497B64B7651CA77D44C97B9133A5DCC5A6B40DA6E44A9E640C79C3470000CABBE180D1E000A39C9EA4C44A5CF4B1B6E4CA7A2BC693DC4758790008B088963CCAB5548C92A381658C48A0044C6494487D444664F4B35A328B8AD44B';
wwv_flow_imp.g_varchar2_table(12882) := '883832DC704CB493CBAAB488C28C00CA9C4CC5448BD100008C54CBC52CB9B0ACCA7DFCB3A59B4B94D04494C84B97C448B42C0B5A4981CEF44C7014883F4B4C00984500F0000AB84DC932CBCD3C479480CDFFD86C377D24CEBF24CC9334C6F7C0C8D5CC0A';
wwv_flow_imp.g_varchar2_table(12883) := '13A015750C4EE13C37712C4D88184DB134CCACA8CEB2D0CD8D384BDF3CC780044881184AE98C37C9144C06A04DF58488E4BC0B95DC4C3A532DBC3401F1344F79934B8BF8CB3FCBCFA5634FF68080D444890910D0F2BCCF5BDB3CB238CEA51308F744CDFA';
wwv_flow_imp.g_varchar2_table(12884) := 'DC8FDB040019B3CB03B537B94400A6FB4F8888000848330F1081DC945088204A008000CCCC8AABB4D07973D0E44C800E8508BCACD0B43047B498D1151DCEACA04DB360CEB3A8D18C14CA8B54C959DCB33D130814C5D1241BA7D1ACCCB2408007B84D8E24';
wwv_flow_imp.g_varchar2_table(12885) := '8B1BFDD1ACF04EA384800A65BA2A4DD24D4B4EF55CD2645CC41A13D1FDE080B2DC4CBBBCB3FF07184D3BDBCE2E2DB3269DC806EDB30840521B594D8CCCD23A5BD207E05238D5B4E444C6176D941DB54D29B50836D53340A536F5AC4C30AD5342B5488DD4';
wwv_flow_imp.g_varchar2_table(12886) := 'CDC45854DB0400A3CC548CBCB33F65D440DBC7B04C8B96B454CC64C9DC4CD44FBD35020800816855BBF0D4FD305455EDB9C3B2114400005BA5D55DE5D55EF5D55F05D66015D66125D66235D66345D66455D66565D66675D66785D66895D669A5D66AB5D6';
wwv_flow_imp.g_varchar2_table(12887) := '6BC5D66CD5D66D05342CD2316E6DB71CC12F706537B6C811EB2257795BA59CDAACD9B3839CAB8460151713CAB167A11869B2B72A202B88302B881016555DA599D926B04ABB2F18039D13D671398B11D93B9CD302C7EA5550891900901FFF56C2577ADB57';
wwv_flow_imp.g_varchar2_table(12888) := '8130B47F055604FB9115D3BA2130034F40092DC0495ACD131E490FDD418F73A51DB4B129874B1ADC82531D98AD9901919789D9763BAACF50205A2D012663941EA00B14D218C6431863D51D8AFDA3D9C39A60BD28992917D9A39AA725239ABD4FE2E0011E';
wwv_flow_imp.g_varchar2_table(12889) := '4182961D22CC9B1A5EE11CF4C2510F89ADACB8B292C3DA74AD360FA8008C705BB87DDB0A885B10C088BB9D5BB64DB29BE009BE55899EE0DB9A105C9B2882B6D25B0EEB866DB0886DE80681605C7000806E805CC9ED06CA3DDC2463428150360060C2CDB5';
wwv_flow_imp.g_varchar2_table(12890) := '885ECBB8CBBD352714DDD235DDD345DDD455DDD565DDD675DDD785DDD895DDD9ED5238A35D329BD5DB6D30DB858858D5DDFF0643803FE3DDDFD53002B854020080E824DEF2425E9468DEE515B093855E015B438890827E9DDEF82A82474C1CE6CBDEE37A';
wwv_flow_imp.g_varchar2_table(12891) := '0681B885AC0887EFD5AF69A85EF355DFF565DFF675DFF785DFF895DFF9A5DFFAB5DFFBC5DFFCD5DFFDE5DFFEF5DFFF05E00016E00126E00236E00346E00456E00566E00676E00786E00896E009C6C11970B319A0E0FF398333A08234A8022AB0021F9002';
wwv_flow_imp.g_varchar2_table(12892) := 'E2D2C6F6DD8331804381D0822FB882C5CA606FD9039D83439EFB82E172C7D5F50366C006EF880644B0856B880543C392174E0B50C05500400661B88B6CB8866830B44CD0876B008060685C8128030C7602CB0AC41BB859D4450484BD8B378806B2588755';
wwv_flow_imp.g_varchar2_table(12893) := 'A8618800ABFF4761821B7EE1F23D8B4C1B5FB88A0765A884B4523300C0600070823CF9562E7A811428E1EFBD034350B437C6E3AFDD592EBAC52E4ED7460380144E0B3778033728033428833140034B7E033370AC7BBA633D06E5DD58B0FB61E4E549CD40';
wwv_flow_imp.g_varchar2_table(12894) := 'FE5E25B008C4B080C1C8630C7E947145245426AE1EE8C911DC811710D0BBB00DBF01821650818EA01AF7C8628B88813E26628B50486C048254B488D14002F7C8E3B45DE00D5847BE40486C44450038B28EF8012C4EE6523E8B9EEC0123B0E590D8088128';
wwv_flow_imp.g_varchar2_table(12895) := '660CBED864860897095826C88B144AD0FF2A66774E0B1A700217B96781C8634C258B19F0291E900182E601F1B065ADBB1F38FD67759E337CB69119E867A78880650DD808368BA2DD680A5A8668B37002B6C1CD3CC122A580998ECE0AAEC3E310C8E3B513';
wwv_flow_imp.g_varchar2_table(12896) := '1F7484320D510A3626E25B9C82E843822498029CE65EB37882BFE86900F869771687B2488772100873306AB428077300807430E9B490875C03360008DDCF3D358C93077EE33722CEB6AED6077E48C2A716EBB126EBB236EBB346EBB456EBB566EBB676EB';
wwv_flow_imp.g_varchar2_table(12897) := 'B786EBB896EBB9A6EBBD4BE44122E2768E6BEFC1A3BAEEA94E82D680000021F904050A0000002C74000E00730124010008FF0001081C48B0A0C18303D9215CC8B0A1C38710234A9C48B1A2C58B18336ADCC8B1E3C448C304FEF348B2A4C9932853AA5C29';
wwv_flow_imp.g_varchar2_table(12898) := 'D00DCB972E4101E847309AC14800E06CF473B01DC15FA96EDD29C8E5A5D1A3488FF683E451E6C8A45005CAD4080C52AE83C4065E23F846603E81E204D214688FA23A87F2F8455DCB1622AE48EB06EE2BE80910C75B63DB6A348430DD9F81EA427A0CCB6E';
wwv_flow_imp.g_varchar2_table(12899) := '2C5F81F0E0E42598EA8BA78CF6640E3B6BB010A87FF7F46ADE4C100DC270700C21D3C89433C67DF7160FCCEBAEE453B1FBF6F5EBA7CF13B1D75EE901C8375BAD40DF12FF0947D86F1D70D3C8A3E22ED86E6EC7AFC927AACD7C742EF0D800F415D4471D40';
wwv_flow_imp.g_varchar2_table(12900) := 'E6D93481EBFF83DE502D3FB5E40BDABB1EBD3D4B7ABABB13CCC7AFDE459AF9EA1D77FFF03CBEB2EF6167903EDAEDE65541F810A48F6F044E744F8308EDC7DF84D261C44F7A145684CF7F006A842145E739741E81FCE0A31D891266B7E07CF269341B45CE';
wwv_flow_imp.g_varchar2_table(12901) := 'DD236377F6EC9360869CE193224B3746452081B4F573DE904402C90F78482629E491B41949646F441E795E3EF03994197557E2538F9633DE634F3D5F2E748F7DF4D4B3A58C1AFD38969007CD38109A02B9794F3EDD6D88234ABA20D42200F35CD4A790EB';
wwv_flow_imp.g_varchar2_table(12902) := '4519DBA0FB4469E8A188266AA89EF2C8039F3CF0402A69A4944A3AE9A595668AE9A693D253E09DA0B6C58647590C542A00A76E33D34990664AE9ABAD5AFFDAE8AC8D464AEBADB8E65A2B3DAAE543A53BF0046BABAEC4CEAAE9B196C23AACA3FC18E28515';
wwv_flow_imp.g_varchar2_table(12903) := '492811ED13D22A41EDB4490060AD125574EBEDB755701BEEB8DC5AFB6DB94F54E1454665B4EBEEBBF08EE1C5BCF4AE5BC51349509144BA63B851864B049571904B68106C300005230C304A6FAC41D01A660000B1C400340CD11A189B61C6175B6881C61B';
wwv_flow_imp.g_varchar2_table(12904) := '77F85BC61863B4CBC5185F3CEB05175F8CFC45C9637071F2CC554861B3175594E14EACC806BB69CF3F075D69A300C0A35B41FC400A9E704C37EDF4D350472D75D4555414C0D55867ADF5D65C676D80071C0000B644607350F6D91C989D76DA1118700003';
wwv_flow_imp.g_varchar2_table(12905) := '6FC7CD350200A050B70728E0ED81097BEBFF2DB6DD768B50B7D882078ED2D8047150020719949001E3193C14F6E2252C0E40066D1380C0030F404001050F4440C1060F2490800108209040049D73CE7904AA27F000025B3F60CFD4532BA9FBEEBC2F1DAC';
wwv_flow_imp.g_varchar2_table(12906) := '84902ADAFBF0C4F3CECF3FFDAC4BF7410408D43C0106448F00EAA9536F7DEAD34F1FFDF6D8578F3D0531841F8340E32334FEF837C47043FAEBABCFFEFA37D87083071A44A0810619345EC206991F8000030688C00B7AD08381EC60203710C80101708303';
wwv_flow_imp.g_varchar2_table(12907) := 'DA6007F21348026D00000826B0241734080F7820030E7A10003C100243449802210821053C78810938B0010A70C0043034C10BC006430E88800314F09CD944E00116F4908738341B05FF12D03D0270201E4D9B8D70FAB18FA78147515084A2AFFA01AC4F';
wwv_flow_imp.g_varchar2_table(12908) := 'ED462DF0E81DF28AC7C52ED6430A011848180110000234AF8C6234A301A007BDE899F18D708CE31BB7E7C6E8252086E383010C10628281C4408F800CA420C32782D06120028804000B58F0821B422E04F963410F78C0C082B4A092D1599F0C3AA8C714F2';
wwv_flow_imp.g_varchar2_table(12909) := '00061F94014252209014C4E0052F60C10D47D7B7BC99C0916973E1E75CB83611F0D0919FC32103B4678030CEE31FC7DB62929A48CC2E1A3349478A949BAE5834601EEA98518CE66CEE018F2A5C8D8C5DD31A01CA18C75E6E739B5C03A71CD7A839047840';
wwv_flow_imp.g_varchar2_table(12910) := '047B64080C600803F1B9F39D7AFCE30E36803AFB45E09008089B078420FF021694C09FFBDB000F08E8C79394AF24A74CE80B62C083831E44940359E70D3D304B11C0F09CE76CE10636BA0116DAF0A31CF0A12D71F8800C946E7BDBA4003D84B9BB7F14F3';
wwv_flow_imp.g_varchar2_table(12911) := '9830EDC73F94590FEAD0A79989EA623477CA8F7BC84309D9CC261CD7B8C6A06E4D8D43559DD94CB0473D1E248600F8A3200329D5767A0001D063C0210F89C8087020058FAB5C094E503F54C2A08012BCD326FFF80200BCC094009041061148904D4AF4A3';
wwv_flow_imp.g_varchar2_table(12912) := '9FB328DFD4D6C2D175F4A3B0B4250A7C8843D6854E7B295DE9F084D3C498C274A6F2A8A94D93060F671A0A9ACFD4E96CA89484AD91119B59C3A61CDF58C6A08A538D4435001137B0B786C470AA5395EA0D3870BAACFFDE137FB043002211A03F1CF02F02';
wwv_flow_imp.g_varchar2_table(12913) := '22A080DD1698D6F83190821699EB45205A105182728F297841271F220315AE8D021980C00B5990B616724EA36B4B5B60CF694BD0FD6F766E0C0005E4214C962EEDA58E35A632BB431F480133BEF845E666E94104CF9A512057DB2619BF19607296169C01';
wwv_flow_imp.g_varchar2_table(12914) := '26B08203E046E89D0E02EC04401F0B924EA6C2769D80FCE3391FE046001800038704A0E63417C013EC2F7F28B8E184C917D5086E647D1AD9A48C07B2493F86EFA1710D9F28651083423E6074A17B800DCBE6DD0CB870038FABA5786D38520E446097D52B';
wwv_flow_imp.g_varchar2_table(12915) := 'EA06DCB1A4FC5AD977F2F0D540EA5B59265D39BE43A2E60EC288B5820418000236E335AFD64B6E76EDFF9B6A2E308913A0B918BE16004ED523532D7C61F599E0016836009AD17C807B62E000078063E43210E20DA812053160AE8D3902E394B44FC70291';
wwv_flow_imp.g_varchar2_table(12916) := '015A778C6918BC8002D01B1D22857C438E6E14BB1930750B59D8D1BFB21073A9F3F0F452CA0ECB7E39BF33D50D7DD043D9FBDEDAB152A2473BC60CDA30DEA00C7EE86C69D17C35402760071C60B07953803A0A048008D1863382196C4622AE716F760624';
wwv_flow_imp.g_varchar2_table(12917) := '9EF58CE141C6C0031EF823057A399037BEED908826740432A0010CC0CD0019E0EE423BF23E18EFA081150C38710FA2DC4C4704A2925E2BFA244C3B0460179114287577C3FBB8596217D5413C756EFF573D5ADB5A774BFCB5168D76455EDBD7CB22FF37A6';
wwv_flow_imp.g_varchar2_table(12918) := '94E4D18E1F9079C086A8463684318C3B3C008D644C4036CA100373A8A30C0F10871B1EF00F2F88460AFAF00383B9B9ED3962350010E69B9DF9BCCE3D4F9503D243ECF3DC7D0000D8BBEB6F9BF7D7DF96817EB69323E5837102FF7DC0B6075C810D8CFBBF';
wwv_flow_imp.g_varchar2_table(12919) := '2902BFE6F660C70A97B108D6F8BAFF453CBC697BDC5F2F6EE4C21F19C9A1831D00B057540A146648297F6CAE4BCECC2E471E9AFDC8873CD2E1819707A00CD188451FA6108968C001AB6A7E41363241045070E11A3FA8462458F08F3BB8C216C360049DB5';
wwv_flow_imp.g_varchar2_table(12920) := '4D4E0298EEF74484C0FAD80EBF534EBDDC7A0634D646EB6E0600100088763E00E3E655112CD4A11AD96306FF0D70B70F1C21090C7FFF46381D691938197AAC8372C45D3D71C6318EF0D8753F9229C03AED614FCD8E77E9792E7F4CC816E4A695C57F2AD7';
wwv_flow_imp.g_varchar2_table(12921) := '0FF7400FE5606D64C601AF800D88B0098B1009CF300C40106001C00599600B56600B14300C7E000A94C005C3E009D9600B32E00E77B0746AE6014790042CA8042E182D49903368500633388323C30549F003AFC54E56456714B87570C466D38368444884';
wwv_flow_imp.g_varchar2_table(12922) := 'BBF438322403E9B4117F145569377C1554700C217E527810D8575737760337D76DB063000CC07EE1B551803786DDD555DE8358EA556B85827202483C91921E00E86B6D383C475280E5B00114F805D5000DB5A00AB51009C0500D4AB77499C00EA0610B65';
wwv_flow_imp.g_varchar2_table(12923) := '1082F5200E881009C2FFF00CC8600470E0094B575A1E5005441083D3D22D476005F1D2322823063AC84E26F04726B001A75354DA465A65E63604508488E68525C5016625571A01634B08776B371154B8113CF647E6A746BA353D5E35861C353A4B664BCA';
wwv_flow_imp.g_varchar2_table(12924) := 'F851B006656E336BB4161BFB3787C4335306B265582487D4B83B536280140060011073C8600BAAA00AB6C10CAF80020C9600B660021D980EE15005C3B0036FE00A7740098CE009A0C00E5EC06DA5C5015590324950063963324AE0066F600877806C6830';
wwv_flow_imp.g_varchar2_table(12925) := '067780065EB0037BC60110503A58C56CE088666A264E65048B46C800F3167166B5473586114E853EF0E36F07417C045749550811E40703326002D8130144C45B28FF0078A7C6514A764E4C465250B64BD1D375F8A786D3B88DBC0359743210211280B8F3';
wwv_flow_imp.g_varchar2_table(12926) := '9450F994B3810F06986D57E309D7800CC3500B00700BC4800BC45004DC463B014044DB9400654496E48455B4435A10C005CF600B9E600B94700B8CC00C63000AE1400BE1400CA9C00CB7E009C300074FB057B3D33CED36680216461B595A4CF78A6EE336';
wwv_flow_imp.g_varchar2_table(12927) := 'CEC739486861E3035119F492059140A4244A9A147E0DD40314A45C955611921657068156A809512BB43AD8B301B0144B3CA96437D464F4B771513647EAA50E2ED54451F99BC0C93432050F00800F99B1215CA68D48A924F9E18DCC1600A9500DC8700B9D';
wwv_flow_imp.g_varchar2_table(12928) := '601BB8800BBFA0029588608DE998DA44600F2005B4FFE009B4400CE4F905C3F0065EE909B7300CC4E006A0500DCF80065A183D1AF9468A3968072654A9E585BAF5001D056EA4E484E9748510113E29099A6EB79998F412E7B3031E6093B0C30020B53662';
wwv_flow_imp.g_varchar2_table(12929) := '489B8E549B0F77938C4754F8C79BB1B19CDCC81BC4991F3312876C28A24F6487D1F6597F690B99E00790E009D7F90B438082CCC774FBA96600060155900DB7D0813B900AD7000A68700DD7300CE2E009CC500699900AB4C0051E008470E43C564A81FC89';
wwv_flow_imp.g_varchar2_table(12930) := '3ABB0492A4164329209333965679C4541256A00691A004013F6E3757E207151CC039A9035C1EB03864589BE4754BB19478B8D960CC967F85A2A2BA934CBB612668A2799607A8C8540FCE09607FFFF00C77302F55300693880B12C066581A67581A4E64F4';
wwv_flow_imp.g_varchar2_table(12931) := '005C900AA9900DC3900A300A0A30EA09DDF0A4A0900A9E6008AE500561E33C71541088E99D5DA3A5FFC33A1D65675F2A1137E684085477670A7067DAA027710326A00400F08D0614A1AE5976B109583F599B1A5A78870565A993686AB49BBD89A84942A2';
wwv_flow_imp.g_varchar2_table(12932) := 'F0901F9285A2DC8A24F5E18DDC5431AE8033F262055680069E809666F463D2B64DE684354F773A1CF600CDD34B1490045290045EF0053398045CE0062E5833E18233DD9204537A9FFF8598066154420892ABF338FD04436F35A0EA846726B04909A43EBD';
wwv_flow_imp.g_varchar2_table(12933) := '9A92C1FA7D69AA990DF14E063AAC02F1A6D8F3004D0652B53964B7E49384977837FF2968BD9752209AA2809A4CDF4AA873D26B3CABA254220F774881035905ED7A0732338365D44B330803DDB2030FB0320D440177200530E00552C00528F006EB12460F';
wwv_flow_imp.g_varchar2_table(12934) := '000344500446600499F88230C8826CCB823F0068CF3368566A66125B4E41868C3D84B1BBCA10E3D34714204332F4A5210BACBF7A0305747720D441BB8892CCC50337608B8F6B10288B7D2FB90385943A04507D300B58E7B442B644B346565289D7A188C9';
wwv_flow_imp.g_varchar2_table(12935) := 'AF20FAA7E32A24FD102C6342A8C939B4225AB4074881DAC2055E80322B03746E563555C005966B0244202D45900409F0034770042BC3013F5004B4E33CD2433D09C000D1EB6D74043DB28A1012CB4DD2C33AAC838C16C5027AFF9B8B5628618423107B73';
wwv_flow_imp.g_varchar2_table(12936) := '63EE43B83466B804D4033B4040092457EF23106815B97165579A8656939B9930962D9B79B96CD964D23A643E245223E54846865DB3E38C6B2410A6DB9BB08B94DE0AAE3222AEA99B79F460B4D13646C95A066F3083204304FF454663C00145C005E0A304';
wwv_flow_imp.g_varchar2_table(12937) := '306004E1F303066002BD4B4008906C1EB698ED063D8C17AB0411B79F95BD0786C3E7C539D815A0DFEBA54E35BEE3930276A542D1953E5135BFEAE399020103D11543AA54362F14C54A884A26C0027FE3010090361D9B77EFE4B17665AC47A01A613C3BB4';
wwv_flow_imp.g_varchar2_table(12938) := 'E3B29BFB4A3C04BE5D7CA7169AC0BB553D83163D693828EED5B3ABFBB3E19A8D17BC5FF2600E1B6CA51C0007A0FF000C99F0AA631400688006554B0447A00426200555F0061CE005D5455B63806D55B03C02A698D2938A3A7C103EBC7CC2A85BABF33946';
wwv_flow_imp.g_varchar2_table(12939) := 'C664791BBEE25B50EAF3569444BFE32657E2933EE7C340A78443AE5C91178743E9F6B82F1036B314392D040001AA47BF88B232C6636FC5014740103DB037FC336BB0998CB754C05DFC4A185502B06464774C370FEB71D278C13E0B006652537138C84292';
wwv_flow_imp.g_varchar2_table(12940) := 'C1865C6618B939CB536CAC1346616346A0E36C82F68D9CE361826610CF6347983BC2D89BCADA4B3DFF5952C8B843B18C4AD1A54E5665368DE4015BACC4BC7C690591022C344B1FBD36E906B22B14C661FCAAE165024AFCCC652C63C6C701C80A0032F135';
wwv_flow_imp.g_varchar2_table(12941) := 'A4FF033BAF0878CA28523E34C7B7149B486652132AD044790061B4B311BC8D3E4BC1416B5FF05CB4F34C108C09B1E0F8669EF7593BBC1073A45A66899F099DCA0CCDCA424C4BB02CC72AF456B38C10370400AC63512F20BF2969A058BC542A144FF0A384';
wwv_flow_imp.g_varchar2_table(12942) := '31C4C4789D02D13563931BCD1E7BCD03311A14C5C69A13B3046C5171ACD374DC5D0A9C5B8B47CACD6394474D8D492D5941DB4CF0CC0FF2FCAA508DCA4635AB560D11A875930F2BB750ADD038BC3AAB13D680D7431E50D612DDD60BB14E08E7D1FAC4021A';
wwv_flow_imp.g_varchar2_table(12943) := 'FDD6D8E769810B4A0897A03506AC8FEBD72EDDD77867B87846108D645E58055CC968C0058C51FD445E1347CEB3E3C089769F0060D43235AE13FF0CB4EF3CC89A5DC89CDD1012DBC31431DA5B6DDA00566CD98BC3BB24A13F966AB5D4B9E08B4A6F65D634';
wwv_flow_imp.g_varchar2_table(12944) := 'E6503CA64861433A0F105D5FFA8B0A67A02519DC04E14E0681776E5592E473500EB58454DC5629C037B7C97702DC4322E5DAFDD4D36083C00A3C8C1E76C345AD7F933D87823A266E62A87D8CA84E5DDEE61D54A13D11A8757FECADD05983C3F22DC4091C';
wwv_flow_imp.g_varchar2_table(12945) := '5E9FFBCDB1FDA5F114699E46BE1469CE6886006DDD56933BDB4AF8E4B988BEE12393540EE5565EE5586EE5532CE429105C26553D65978CAFF44AE03BB34014862D84481CEABC1FEA52F03C9CBB211FBDD6D49B1D114665D51C1C116D74931A4966389E60';
wwv_flow_imp.g_varchar2_table(12946) := 'F514640E0DD2F55DC441DE5678FFE6670000688F3DD002A15B7ADD549806CD08E7D799F68B0F8E10075EE90E9EDC0651E4A844516668007F27ADDF0CBE656ED8168A4340BD71234E5A14C0DD17AC9406C1D4E25D0F1A9C910C41A58FC9DE13917544F4EA';
wwv_flow_imp.g_varchar2_table(12947) := 'CC97A335AE3A8635C4172A5E9DCBD62ADD566D2D637AF6A68FEEE8DC9300225092093A770BC1419A769A0CA4760677BFDC4EDC9DCE10779702DC457F8745C0A82E43F83DC7630E44B0343A403D8C1C8752B1EE520B32C8B45E10B63EC8F9910ECA1A2A38';
wwv_flow_imp.g_varchar2_table(12948) := '8E5AD4B3A5AA6D58F39DCC9F73DD11E170FF5D10603C10282D360F31F12B4191A1D36601A05BDCCBBD896752AF133A091F650646CF53FD00BC19B4EA6C8D5FD11D49E30E74FFD225345FF3362F23ED9CF3F0B1F33B9FF33E6F26F0C10E70A02E56503300';
wwv_flow_imp.g_varchar2_table(12949) := '5035472F1055C3B500F02C472F054F3F10CF220553EFF4506F052A630554AFF50080F5583F10988CC9E032F6DE62335EBF322B233331433263000025E3F601D32E22D32E2463BB5DBF2E986C0506312F5CF02F6E50309E81906F20F802D115153330887F';
wwv_flow_imp.g_varchar2_table(12950) := 'F80809008B0F308EDF12901FF85D81908D6FF883DF1537C8056A0000FFE2F76EF0F97FEF066A30F76A102F3758F76DCFF45ACF05556008ED9034F5C01BF8D553366FD95D62FB152C236FE81DDD510FF0D00EEC10FCC23FFCC45FFCC67FFCC87FFCEAA00F';
wwv_flow_imp.g_varchar2_table(12951) := 'F8200F02E1280000FDD22F105502FD04713455A21BCEEF28DBFF1FFD00A0FD197C10C682294533294543FD91552654F9FC191CFECE3F1044F3FD195C2BEF5F263B0F11C152FEDBCFF3D8AFFD00214FA04000050D02A0971000C185F40E3E84181161C385';
wwv_flow_imp.g_varchar2_table(12952) := '152BCA8307001E43791AE17DCC1852A43B920645661CD8D121BD7BF4E0E583C74E263B75346DD6C479D3E6CE993D65E604AA935DBB76F0EE15BC7714003E7C05EB3D851A55EA54AA55AD5615B8512B46AE5B333AB418B2203D7964CD9645BBF1EC5A9513';
wwv_flow_imp.g_varchar2_table(12953) := '33460CD95563C78D05DFDE35A9116E418C7C072EEC28116247BA76053F4C99F8EF61C68DE18264072032BB983125CF8D48782361839CBBCA7B9A2F1FBE84A54D9F469DB01EBE7C5553A75E2DBAE9D2D906FFF301489A14696EDEBD7DFF061E3C373FD1C5';
wwv_flow_imp.g_varchar2_table(12954) := '8D1F17CDAF5F3F00B71FF2831E5D7AF4E4D3AD4337289C376EE4C6F57D07EF18C03EF2E58DD7138F74296EDD8DBB1F7F085E7EF8F487F7C92B8FBF7CFEFBFBFDFFDF67BC0003FCEEBD7CEEA947BBE012CC871F047BBB4A2AA59C630F22F8EA2BC8400D35';
wwv_flow_imp.g_varchar2_table(12955) := 'E40780EB3E548EB9880EA410370F419CAEA00E6DDB10B9155544113BA504D30780F9BEABCFB80C4B9428C6170BBA513E0C0503B03F23F7D3AFC8F2ECE1A7A9EAA0EB4EBBEC82134D41299B9B7248C75AE4B2B80E7D946E39898A83E8BA7E503CA8CBE3A4';
wwv_flow_imp.g_varchar2_table(12956) := '3B5122E6E813EC3AD9587B6F47F1BA8B31BE2071D47239310554B2C87BCAEB87BC7FF68967FF1F7B14B5E74C7CAC73114C148BE3AD4A2B67146D370BB56411CB0C3FBDD3CB364F6493D410BF4CB1C73CD9C4AE39323BDDB14AE7965B3137206DD4275357';
wwv_flow_imp.g_varchar2_table(12957) := '45CBB5C6A37EBDA7467D668CA83DA7C49BCA55E2D65C11CA3DF9C4909FF2A0D3679FA4F0C32F292573F3CF9E795AB227DC46A77B7459E3249DF44004E949F05262296CCF397BF0B10743A6C23568B60EEB8594C7E7A2ABEF4FC6D0ED55581BB36B8E29E4';
wwv_flow_imp.g_varchar2_table(12958) := '4CECED565E838578D861D9FB95E18384C51141F48085103DF400F8B8B1C42252483D136B8CEF6083A0152F40DCB0BD4FA00081A518D02217C5F75C288DBB874E35BDDCB9B8A6A07A0DAC88428ED7434E1FF27369A79F8EE89F88981311FF00119B3EE81F';
wwv_flow_imp.g_varchar2_table(12959) := 'A9A13EACEAC6B4D6BA20A9C3C6D04FAF991B5BECAD0BC2DAA0B3A9669A489719230F80B50F033BEFBCEDD65B60ABBD3E08F021CD6EFBC7879029880B00AE8848F183B8509C0BC6BF58BC202B1ED2A20C2D0CFAA20C4EBF003D3DCA01D81C00D03B371D00';
wwv_flow_imp.g_varchar2_table(12960) := '34CA581DA231141FA3A0D80188FD75DA01E062F6D12987DDF188BC380878DC137FBDF8DCBD785D7825007842222A0048A28AE769179E53E4AB079E8BEA0FF3BC20370C2A638CEE69CFBD7C31BC389FFAF3C510ACF982AA30C80D340090DF8D370ABAFF0D';
wwv_flow_imp.g_varchar2_table(12961) := 'F9EFC75FB0FA55FF1E1ADE204034ECAF800274DAF81A13B2884C0022129088030100410742100009484041120041081844FF0212A800002AE0C0094C2084009800082AE00111A2B020210CA1072AA0C282D07086320400086A68901458E0203A84080C58';
wwv_flow_imp.g_varchar2_table(12962) := 'C801006CC0884734621101E0810DA080880040C10624B0012232F18911B9A2122342818284600305D1C0030080000618E020012040000E40808230000062048006BEC8358368008C000881415000001D4084077D84C81E296047C768C0908744A441D878';
wwv_flow_imp.g_varchar2_table(12963) := '901F14A491007864241D79981E1864074B8381783209804D667293186A0100540082519612042D38A50A50A902151864041DA8C0092758010B3EE4831560A5415AE902158CA020BC2CC80858D9CA568AB297C464252F5D008065BA60082E00022FA35904';
wwv_flow_imp.g_varchar2_table(12964) := '200C010805FFB9A6417E700313C040072FD0C137FB28CE1878928FDE8CC10B38591018FC1106EA2C08383F791075D61300E084E73DBF098015C4F18B0F20644122D04525AE609C3840810E6AA0501C2C140038100C44FB5883835074051435880E905090';
wwv_flow_imp.g_varchar2_table(12965) := '2520610907B9A44136CA831D54F29E0FC101440543D11AB4B4201805801B9370044ED194A60038424E731A9122400FA749C029F46E8AA11DFC60074068A424E9F8900EE4308723180108A20A4359466484253CA1540100D5628A5298BE84EA56C5FAD5AD';
wwv_flow_imp.g_varchar2_table(12966) := '42D5AC5CE525310B924B150CA1AD6D3D4C4A71A083944A449DEF7C813DF1F95016E080052F604160050B80C0EE319E28F02B0B6A80503DAE608E21D040FF08205B900DF4B3B12D75290A2E0AC5CD1AF6212BD06C0DFA095A287EF6207FE4414190C083D5';
wwv_flow_imp.g_varchar2_table(12967) := 'B61600264DAD490FA2D9CDC2D420A3E5676EFB79820F08D4204538C24C810ABD2224A1B8C72D424F938BDC2300D7B9CD058072877B90E92ED5BA10696A075E0980A672B720D9EDAE41B45BD65816C487E2F16559C11A56B08ED5ACC134A633550084F9CE';
wwv_flow_imp.g_varchar2_table(12968) := '57941151A841301A4E40D635AF7985C85C11CB023E3694A1727DE80B06ACD2BEEE11B135506C09F4BB82CD1A8406FAD5233F2D7A5BDBE656B416B5AD651FB2581D3001004B28712553BB04D96E34A30539C14B5100E2114384C20511F10108ECD39D1AD7';
wwv_flow_imp.g_varchar2_table(12969) := 'B8BF75AE72A31B649B0217A7CEBDEE759BFFFA4A266BD7C94DF6AE6396ECCAF43235BBDEBD7296B1BC652D6BF7AC5F06403401E0566732F32026802845D32C4E7802B28F0AFEA63D133A671D20569D2A85629D615A67852674A12DCDAF4460BA820B8BF8';
wwv_flow_imp.g_varchar2_table(12970) := 'B62316713F3BFCE18B361AC414FEB0894BCC838F16A4922CEEE81276A0E91323D4D02BED303F094D03CB9A31BA362D888F8FFB63E506F9D4A77E2E928D5CDC57D33AC9431A2F44A09C9E2B1FC49755D5F556C79BDEEEF6BAD8DFF56577D3BB6C5D025305';
wwv_flow_imp.g_varchar2_table(12971) := 'D0A4E71EEB0C80854ADBCF81A6683DD5695885D6B9A1DFE62314555A03C32E96DC18AE3186585AD10ADB58D08711F1A49740E98320A1071E5DAD6C9F76E1881821D53DF571740BD253FF8127F7C7D03D7273693A6BE34277B846BE757A88EDCAF06277D9';
wwv_flow_imp.g_varchar2_table(12972) := '15AFB82BA57C5EC618FBBBE2FDF84346E0822A3FFBD9A21C820D4CB06D4052DBC07FE6E342C1F9E26E2F56BF0FFEEC8C75FEEDC5E239A1749D28B509DC573C831BA51A76F4A76DFC611C6754E90030310F9840E9D43EA4A31CD512A9430D110A84F4D5C4';
wwv_flow_imp.g_varchar2_table(12973) := '05EA718F1C7086F7F4A6B28EF8522F7E5F0B54C08716E8AAC801C071B94724E373BFFB77339E6BB14E39CB4FD6E55777196688FC99CFD42EED5C210AD17AD6A09EE3D6EF8E3D1CEFC5D315BF4EDB7A4198705126D4A0F375157442DB2D1826F4A0F4F35E';
wwv_flow_imp.g_varchar2_table(12974) := '6DA5F55D9F42D380D4FC7E881B0F73D386FFF6E0D1BDBD44861AD4B473FFAA985B00C461C2DB011F5C2ED811317E95C74B77F83266E221172FC6E12ECC8A6258B10FC5FE41C2F9E28258BEC38C25B76833ECF28280BEFC403F7ACB1983D17643D4C436E7';
wwv_flow_imp.g_varchar2_table(12975) := 'E3F61FEA731D5C34A18799FABC3F7A0326789DA3551F12D82B3FDB4A80393288DD6B0C0484B8DE63C057508660100F095A1A27EB38BB6B21EC6A8C0E80BB8AD3B33D622C3EF23316A0ABCC33083CAB2807032D0863300853C1BA023A895A9A41CB2DFDC2';
wwv_flow_imp.g_varchar2_table(12976) := '014973BFB9D22F7072303EFAB40E93371DA0BA8FA23ACD1BA7702BBF8880BDA72B88DE0280181892DC3B088263C0DE83400020835B5B03900BA6BC8BB2A7D93BF3EA80AE422C6A432C13C4288732C18790BC119BB1FF7EF2C074D33E173C081CD4128B2A';
wwv_flow_imp.g_varchar2_table(12977) := '3AC4833A237CA8EDBBBF19138FD4D201142B087AA3A7240BA888182E049CC2456C8C3F6044A7D90233008048040033A044C1382F6033081328083FA4289D83300723412DC1331624BA355CAADA3A3AA75129A333087A2B3D4BAB34EC2B314E21B5F480B8';
wwv_flow_imp.g_varchar2_table(12978) := '1F7BC45D6C8C5A40055EC410499C442DC9380E10BF4E4C4128B22D3F5CAAA18330BE9ABF704B434E6934A5DBBA3F82C3705BA894B2BCBA8229407C8840D43ECD4B0F459B468938382904C6757C085FF08555F80576740C610480386884FA78A5F062A1D2';
wwv_flow_imp.g_varchar2_table(12979) := 'E227C3BA310ADB23408B28C2DA30743B886424ACDE2330252CC113EBA3A9938896A328F52B3A88923AFF00A0B44004C43E423113DBC38843325D94C79104802A048055E842BC3B88296340942C086A30887B94380BE82ECF6A8CD13AB78868A8515CA939';
wwv_flow_imp.g_varchar2_table(12980) := 'CC3EEBDA41C600C2EE533F409B488C523C9DE43E261044A81B2726D83EF523C9A94CB262F0069334C92AE32EAD5CC469280839C80689A0C71CBA3B0D7437F150B480C43932A4CAC8A32816202DC7E0C8C2933FA91C47AB0B44401244A83408A89C2B016C';
wwv_flow_imp.g_varchar2_table(12981) := 'CBC07C1A5500005C28085CF0011F6AB2C5A4B8EDCA47F3A2A365108C75A8C41F0AAF13E2C221093F9DC3C3C07C01B952AC363C468800A4D44A2D8FEC440CA343C780C8EEEBCB5A14CCD85CAA2A3803839005C2132FAE844C265B4798040025603EFFA61A';
wwv_flow_imp.g_varchar2_table(12982) := '8150821AD2F243CD0ACCC5BA3F9E140C1E0040FC3AC7C26BCEA9734ED9B44EA7011EF8B99C5790881C5082CC1C491F0022C1004F2D09ADB874AC912CC26A6BA8848CCBC6804D4EB1B919FBC683D03F708CCEEBD4CF87981F34F002C571C488580333C881';
wwv_flow_imp.g_varchar2_table(12983) := 'FD244F10D02103841A142C88125881187B507E82D0459C2B352BBFEB534686BC359B7C8815BBB43C34D0108D88F1313E2EACA5B6E43BC638A513A523CBD2D05DA448AE3944757BD18E22C4EA13D11C2D0834B001C1A8804BD451B24C45FD9C46866A290E';
wwv_flow_imp.g_varchar2_table(12984) := '158F3CE21466543A241082FF0BD2283D880AE0CA8C93032C90830E8803297D9A13A8AC1388D0D8B4BCF8A3A3FC648CF6C42D83F8A8FF4CBBB4A7E4521DCDCC21E0AEE511AB8218821CB000167D53C648CF1705C63D9BCA3E72510E753100483DBBDCD344';
wwv_flow_imp.g_varchar2_table(12985) := '652A83A049456D8C189350CBDA0048A5CABEE2BE0ACDC921B149268C289502AD1785454715D551D59215C8A3F404004AD522927CC6EBC201556D0CF66B3A89C8B43F425452C5D55C3D880DF02225F5223CE2555D6DC8F490B01210016395B0F47029C014';
wwv_flow_imp.g_varchar2_table(12986) := 'D66655D40CC0A30C80AC10805667E5942CDA0011680CD4B4D66EF5D66F1D92174DBD7902D77235D7733D8C4DE2BF4B1A4A0C45D77785576F55D222AA2C058DD77BC55767ED033800803BC8D77F0558514589C0E00B7708D883455811359A89608B8475D8';
wwv_flow_imp.g_varchar2_table(12987) := '8785D88895D889A5D8FF8AB5D88BC5D88CD5D88DE5D88EF5D88F05D99015D99125D99235D99345D99455D99565D99675D99785D99895D999A5D99AB5D99BC5D99CD5D99DE5D99EF5D99F05DAA015DAA125DAA235DAA345DAA4555A870DABA5755A5ED4CD';
wwv_flow_imp.g_varchar2_table(12988) := 'A7955A3A3AAFE09CDAABB52E2BF081F2C4DAAED592A8F5DAB015DBB125DBB235DBB3C555AE45DBB565DBB675DBB785DBB895DBB9A5DBBAB5DBBBC5DBBCD5DBBDE5DBBEF5DBBF05DC84AD8DC0255A5B418AC185159521DC9BF5188360A034B98D9FC91462';
wwv_flow_imp.g_varchar2_table(12989) := '595C8ED591B20912204199952993CAFDD8929108823D887BA81388A05CCFDD58FB0180F1D11EE39388DC7908D629033790DDF9F91DC5F94FF05120C6B0022EB082FFFFFCDD8C6D027F335B27348818B881E44DDE1D8801E335081BB881E30580E86DC2E6';
wwv_flow_imp.g_varchar2_table(12990) := '6D421E20D787B8012774DE144801ED455D93FD81F13502200002220082F225028818DFA521821F58DF88C826928D000418A8874080A51DDFA48A884BF2DF476A0CE2650C009688A222E08D8555C7B0DFFC8D29FB8523A3DD8108B6A487302A6D2A2A4882';
wwv_flow_imp.g_varchar2_table(12991) := 'A4F6DD81F2C560A3F2B70DF63FC7E05F91C580982A61C1903D83A8DF0848800878E0B57DA46BDAE0497A8810168C0AF65F00B82420B0011BCE580C48618888000618E2810AE217365B0136886B9ADFC3E8D182705E4832E0A39A60903DE121D6920C8261';
wwv_flow_imp.g_varchar2_table(12992) := '023EAA1D2EE083E061A4925FF6ED6220E8621F4E58FF7E3B810CC0E2368E8822B6DF87E8A0B33D60263E606CE29A6C1AE18A55A90CC0000CC062C658E0BCBDE3EB32AA432EAA27B6583626E2F05D441E0EB3A292643476D8123662810A6247E614338E64';
wwv_flow_imp.g_varchar2_table(12993) := '6CB2011E3EAA272E6487A5D446D6E4B40BE34FEE6109BED80828E24C3EE5A5A2648A3D8118B3E446C6E51576A315B6DF0C4A612D3EE56C6262DC04592236E6886000225EE0FA3D08168EE5943D610008E4986AA3319AE68768E167AE590686E583C8207B';
wwv_flow_imp.g_varchar2_table(12994) := 'D5E6917DE53636E6218EE37086D96AA5668870A3FC3D66884062742ED96B668005963D3232080696E7947DE76A2EE298C2627BDEE79355E7375E6606BE5F89F0000FE0C481E667382E087C3E88FF07A0002E020011F0000EE08039766892D5E77C3E0804';
wwv_flow_imp.g_varchar2_table(12995) := 'A0688310012292008BEEE891FDE86A3E0C1642E994FE58771EA364960857E66800E0807D8469FA0DE97A8EA90410E982C869A1DEE89D1E599A96E67C76A3074868A35ED98F066A67766A95252365AEE7816A6124CE698DBEE9A9E6D86A6D6AC6C868AF06';
wwv_flow_imp.g_varchar2_table(12996) := '59342A88456A8C9526EB966584B576EBB786EBB896EBB9A6EBBAB6EBBBC6EBBCD6EBBDE6EBBEF6EBBF06ECC016ECC126ECC236ECC346ECC456ECC566ECC6C6D55A706C89FD045F38066690055CB8ECB98BEC8035CCCDFE5740601C8340834C0080DBF4EC';
wwv_flow_imp.g_varchar2_table(12997) := '7BB502F801802A9082BA3BED73159FD979EDD9A6EDDAB6EDDBC6EDDCD6EDDDE6EDFFDEF6EDDF06EEE016EEE126EEE236EEE346EEE456EEE566EEE676EEE786EEE896EEE9A6EEEA5E5960B6EED8240053C3DFECD6D10CCADF078081868E0813206FEF66C0';
wwv_flow_imp.g_varchar2_table(12998) := '454280ED1E23A0C66EC71081F346EFB40B80008868EE668C17F8DE779AEFDE7BA4F8FDADFAC8A7FE7E442F686D0C197002EF3D294882EA3A0CA0CAA4EF0500F956F088F31DC1B0DD0A07463F8884F4186A0D9FCA7000F110350034B2EF1147F1874DA315';
wwv_flow_imp.g_varchar2_table(12999) := '3FF1E76604D54EF1A944EB189FCA16A7F11BC7F11CD7F11DE7F11EF7F11F07F22017F22127F22237F22347F22457F22567F22677F22787F22897F229A7F22A3FDAD5136E2A48832AD8F2E283F128ADA459FE6D3B20F3F9F982FF2BF882D2915219306E31';
wwv_flow_imp.g_varchar2_table(13000) := '906D7FF59CD056F320CDDEE106060048057FE5D744A570E10E87687808AF4C866D3088317002009801118501196073E246836A7808488F08437382847A4EFD34A91BA8A428BE6DFE7988375807696804EE6CBA4327BF5B154C2CE7EDF9B9830005004300';
wwv_flow_imp.g_varchar2_table(13001) := '00572F08CFE1D4434775AA6C74552F08088867C0DEDDC3B80337B8033418F6327883613F08D74D7444C7436CECD0E995C72FD275C190000898000998800ECAF6CDAE2E390DA69EB2AC439F81314D5409E0806ADFF682702008A8F6AE66C7929ADB1E3001';
wwv_flow_imp.g_varchar2_table(13002) := '70668C1EB57700E8611B6881F392A0445FF657E4F428B5A09B667717BA208378D2C1BE24493AAA030E2123A028FF5367CE1C95408898E38A9F6B0EA8F3C3685F2EBE2F8317027117D66B27A20ECA226DAF6B3167DF025EAD1092C0709F4152A5806C9F80';
wwv_flow_imp.g_varchar2_table(13003) := '99B7F699E7A214E8511968272E82276DE56B2198374933B10B134005FD775C3D770EA8F90960FAA587000FC07209BF2B7592814B7FEB1560027E4B7A0030750070F72EAAF483B8FAB2AF244DD7519AC779A73FE9936E0CABB7FAD4427BA8D9F8C5FDFA82';
wwv_flow_imp.g_varchar2_table(13004) := 'F8777A1756730700949E79A1A6004E8C6275FE5E754A011E28FBD79A6B27E8FA8238F410A0800E0A56CD332C6FE281807F5309F27B8C7FF61768F47B92814C3FFB1E98FBB99E81D144014E84276FFA24ACE7D274AF8FEF3DFCB2E701D9EA814BBAFDD7C2';
wwv_flow_imp.g_varchar2_table(13005) := 'FDA5DDD7FDDECFFDDFE77DE0CF7DBDFDF70F9801254D602882A73D4AF077C25E7405FA4D44C5B7D63724488229B87E23C0FE29108F24681EEF871EF7E1D23B6E2595CFEB7290887230878250FFC63087740080F577D4720087830087F6DF6CB2B807B4B0';
wwv_flow_imp.g_varchar2_table(13006) := '88D005080002E9092C288FDE417A040B326CE8F021C488121FC6034050DEC48C1A3772ECE8F123C8902247922C29321F4A7EFCF2EDDB67F225CC983267D2AC691364400021F904050A0000002C79000E00650123010008FF0001081C48B0A0C182ED0E2A';
wwv_flow_imp.g_varchar2_table(13007) := '5CC8B0A1C38710234A9C48B1A2C58B18336ADCC8B1A3403C1E2FB21B382AA4C98ED936DE12E867E09D933001D88B49B366434F00FE7D540809401C8DA9F80C73086AA8CD87F3425E13380E402E004635B62C48E9164E82C08E169C55339AD6AF0DDFC47A';
wwv_flow_imp.g_varchar2_table(13008) := '98AAE35883431B0D845789623FB015211113E8C953388D2501007BA5EF4F38436F05AA3D1BE9EEC04831391D0C93C554439D04A125B9D5C8DDC24A8638BE820C37222200D962D12A682EB3C0747335CA730420553983EB045A3E9DEA8FB881653A038894';
wwv_flow_imp.g_varchar2_table(13009) := '70A3E18299A6658D68595EA797D3A2E913F886513A82465313C40720D6179918BB08EC32ABA9427014F9A4FF044029694171862231D34849F7C4B7FB1AC20BB9EF6DE07FFF020308F54BBF7E00F87076127EF15027503F067A64DF40CB45540F3D04FD13';
wwv_flow_imp.g_varchar2_table(13010) := '4F3FF9E8D320410B1E08403F6F19286045FDE0B78F3DF1CC04403C02FDC34F83284AF41F00FB2428D03E90C5A7D185EE39940F58F208748F8D360EB4D444FBDCE3226902F1C34F92F604B61C3FF8EC489189000250CF4C4B1AB9E38B10DD630F3E26D623';
wwv_flow_imp.g_varchar2_table(13011) := '539005D1632100F7DC53E140FCD823E54426CE23E1415492F8E1402D1A242643F9E023E344F7E843CF9F39C6F4664469CE48513E6FAE38239915D5E327A38C0AB49C854A1E2A91A60449C9E944F5D4A34F3E69FE680F9405615A218E1989E9AA406FDAFF';
wwv_flow_imp.g_varchar2_table(13012) := '33D39E00C8B34F3C466E9811AB85F6BAD1990D01DBD092A936780FAD0411BB909694520AAC3E4AF2531FA404E57AA63E628E5A69419F02D06D413F5AB8A385B92E64A1B003315AEE81D44A849F4523FA2AAF44BC0E0BC0B9F8EAB3CFBEFCF6BB2F8716F6';
wwv_flow_imp.g_varchar2_table(13013) := '132DB4017368B0C04A127CAE92070B0C003F1C3A7AEEBDD156ACACAE39E1A7F1C634F29BAF3E0843DCF0C8075B6C32C42B0A8C6FC827279C6F3F20E713A28D8AE96291CD05E10C80CD3AEF2C90224BFEB30F3FF89DDA6493241FBCB29246CFEBF45AF2C0';
wwv_flow_imp.g_varchar2_table(13014) := '234FD452476DB5D4585F4DB5D655C3D335D75B67CD75D759635DB6D55A4FADF6DA6B9F3DB5D8609F5D36D969A33D353DF2C443B7D85EC7FF6DF73DE604334B202464018076240894B8E28C0390F8E3873B2E39E490E7318B32E0C4B30EDA66CBEDB7DC4F';
wwv_flow_imp.g_varchar2_table(13015) := 'CF3B9FDB6C976EFAE9A8A7AEB6E7A77BEEFAE7B0BF2EBBDF757FCDFADC7D876D2B81F168DEFBEFF19C03BCEFC30F2F6BEF24023F8F92F5701E76DF55C7FEB6D9B5621D7AAF1B67AFFDF6DC77EFFDF7E0872FFEF8E4976FFEF630CF2CA2BFECB3AF71C7F0';
wwv_flow_imp.g_varchar2_table(13016) := 'F32B747D207378BEF8D7CBCBE18649F7EFFFFF000CA0000748C0021AB0801B6B188D0C76BFFCD4C77EDA1360F70CF8AEFCE9EF600DE45E88F293C0FC1CF083200CA1080198409295708421C44F0A7572270B6AA565308CA10C23663214DAF0863844A10A';
wwv_flow_imp.g_varchar2_table(13017) := '0F981F9165EF7F3BCCE1FEFF5C9823191AF18828ABA11097C8C42636CC830764D8139D084022BA856447E21F15B7C8C52E7A11800C8B2014BFE81F2B1E2530644CE3124546417BFC4356F6F8D718D548C702F2CF8C5AA9A31E47A82415912C5A496B939D';
wwv_flow_imp.g_varchar2_table(13018) := '12F8C03D1A728078B4897D0EC94830DE031EE9A0C718FB881F996D1082F190D028F290883C04621D99EC5F102F59C751A631913559642357393288E5031E9948871F37F80F6604471D730C911BE3818506F8D201E73887D04CC94A3D6A11953451653159';
wwv_flow_imp.g_varchar2_table(13019) := '09317598831E7008C73DE8718F7FA48319B428073D9E618E59329043F1E8420314E0800B045368CB5CA6AF2EE61E65A6939144134738D4F1067AF4031EEEF8072DE040FF0C78888316EA9862FAE6D10501284000E6ECDD02DFD94864C6C49D0CDD633CC5';
wwv_flow_imp.g_varchar2_table(13020) := '718D1FD8531DEC80473822618B7454A3A3DEECC7BE2C440F395C4000E5145E3CF695CB88AAD1A13071E92A273A8C1FFC431DDD98673968718B7480221BF984D8233786AD825E20A50A5DA84CEB08D30165F0A9508D6AF942948E6ECA439FAE600482F0F9';
wwv_flow_imp.g_varchar2_table(13021) := '0F76104D63ECC8063BC65A0E0B61C1018FB84016C6718E7F3150AA0D0C105CA39AB1A6C674A987A487D4FE218F7E58E516FF804788061BB17CFCA31CC3500731EE108D7E60210B8F684342E5C74878B4D490763D095EF39A0D7104961F3CB5053FDC410F';
wwv_flow_imp.g_varchar2_table(13022) := '52312A5301B24537E0610B50F8E11F7268832E24AB5296FF1EF21F7EB0057ED878C8CC9A64B37AE4473DFE91896704F61FB6480F3BFE51DA7F942A4DF9904724B281D85464E21F5D088329DA1006B65256A2FF88042DAAF18F7A58B2B7BE551070EB584D';
wwv_flow_imp.g_varchar2_table(13023) := '3F44E31FED48873AC4A1CD6764B41CFDA8C773E9910D6CE0521CE908274A153059DBEED1B091E8073398E1DCCB9E32BD1D596F1D89E6876BC8231DAEA0875EDDA10E75D0E20DB8D42F7455388F7D9DA3A0E454406D955A47C3662221CF40063E78BB4708';
wwv_flow_imp.g_varchar2_table(13024) := '7344C274443032CC218E613C081EFCBDC63062C98FE74EF34AF688DA3948E0800210781C2B35B01E5D0C0F313DC3B83466AA8D3582633556F319E2982F2D28742C765CE31A9150073F48750F3FF9A9FF4D533BB10006208002088F1E526E31711352CD4C';
wwv_flow_imp.g_varchar2_table(13025) := 'BCF7BCC6DC7246BA9C4652E1321CE6686C9AFE118E5BB8E216F2C8C79A9B25E924EFE31C72C842E1D8203C963AD88B2E060D00FC908A6CFC03D05A16F445084DC6224BB26FD0ED873ADAD10EF3669943F26B073BE4510E76C0EFD3A0FE872752418961D0';
wwv_flow_imp.g_varchar2_table(13026) := 'C2B2A84EB5AA41C4EA2FF691423243D9B14E7D8FFE41C94FF3B36D9EF53C0CC0A6E216B6E847B5D1BB6C6637BBD56A6AE5AD0DC6E63E69B81E22DBB69EF1530E57B46395182BB78BCEDD45159ED67E032CB279F3F1A028C51BD85F0C152DD7FD527D5F91';
wwv_flow_imp.g_varchar2_table(13027) := 'DF5BF4B7A4012EC076133C541367A6A4114E46875B04E25C94B80F07A82E46BD3BE3CCFFA425C7BDE8F1F7809C8B454EB7C1182E30815D3C4D1A2E2DCDBD58B19AAB7CE55C6CB9CB1B29C562CED58340DFA21235C6CA01F50A42560A95D417A26181E4FC';
wwv_flow_imp.g_varchar2_table(13028) := 'EA58CF3A3DA4CEF550697DEB227EEE83B46EE4B28BFDEB664FBBDACDFECA76B8E3ED70A7B5DCE74E775AC3FDEEED8047B2F9C8E6E70ADCC8282F59962FDEF5BD137CE71F1CB4FBE243283C8EF5F1908FBCE4274FF9CA535ED796CFBCE6375F7967A6A3AA';
wwv_flow_imp.g_varchar2_table(13029) := '9F37C7E7474FFAD28F5EF4A0AF2A4631CA8ED5B7FEF5AE8F3DEC672F7BD6D3FEF6B5C7FDECC79A7BD6F75EF7BD07803A840FFCDB137F20C31F3EF24752FC59CBEBEBD0BFFA40A00F000859BFFAD8CF79F6B75F75EB47FFFBE00F3FFFD625E5E6F29BFFFC';
wwv_flow_imp.g_varchar2_table(13030) := 'E83FBFF8D79FF3B167BDEBEE5F3FFCE33F7EF6B3BF5557B715351D5AFEB5FBFFFF006864A16276DE4269DDA2760568800AA88008E823B9B22E0601810E11801498284672811598811488261B28815DC28178B30F3D827DC854310B788228B8239AA28229';
wwv_flow_imp.g_varchar2_table(13031) := '88828BD2823018831BA18134582A0A818135988335A81138D723FA075326188330B81042A88015518445F85CEA528011982EB052290628431261440B61326C122D4982445A68310F631056C88350072378862C661484DB62804F48696A426944988209C8';
wwv_flow_imp.g_varchar2_table(13032) := '82DB121170088594022B4C788776F8297E122A0CC1875682260531759246854A92850741850A11326CF23085F8308CFF727E83386992B885EC442C5F8811D3843721388600D2785A917E5568118DB810E5D789E8478068122497822FE17229110878A4F2';
wwv_flow_imp.g_varchar2_table(13033) := '8604512F56324D692245EA122881722FBCA80FBB982BD4848369822D46662161F75CBE582AAEE88BE00288176875EFE687E9B28446128CB5720F3E687510588A45D82971F884199125FC8273F4601E42F75B07111FEA0823ECA88E1594222D8411E7B28B';
wwv_flow_imp.g_varchar2_table(13034) := '14A113216211DAB3104394220E712D1BD220EC34112CA4210AF18E076130E76810D751065AF0055A2010B9711268009102F10565F00568901B13891B1979105F30060C0192022192003006D7619220C90563A0922CE9050EE10563B0922409005EC0052E';
wwv_flow_imp.g_varchar2_table(13035) := '391055FF001763009335291036B9921531933E29932AC99362000047E9103909004F401068E00600F0944FF90600E0066F309157E90668909509C9100900001000960251012050101E40961300021500002090966BD9966559016719976C599720509607';
wwv_flow_imp.g_varchar2_table(13036) := 'D10278F9101BD0101BD0977F29021C00001C50981E40981ED09703A1980D31988709008AC99814A00109C000F282010FF00121009900B00228500312810202A1010F901119100102710002F10300B00303E19A17019B09B99612501020300223A0022300';
wwv_flow_imp.g_varchar2_table(13037) := '002EA002BDB99BBE199CBC49102EC09B2A2010C5999C43000040C09C4030042A5004C5F99CD1B91031F002D8A90300F002DA2910DAA903DFF99D2FFF0003DD090030C09DE4090304819D0D0103EA399EE62910DC0900A239101A0000A5D910A2A903A039';
wwv_flow_imp.g_varchar2_table(13038) := '1035C09F38F09F02CA9F042AA000509E0BC1043BB0043C201053701046000011EA9D006002F54910FD39111F209F47900421910447708E6BD90163B910C7A99B00B09B04A19B2C0A00C7391027DA9BBEE9A2C8D99C45C09B40E002392A1138201038F0A3';
wwv_flow_imp.g_varchar2_table(13039) := '40DAA3DF79A0DBB99DE589022F80023880A44ACAA44BFA02DBC902DDA903DC8902E5C902F409009BA9019BA9A5F769109ED9A3F459032B90A52B40A69D99A6655AA669EA9F6B7AA10090A102A1A00070034BD00306C10348D0A04BA09E9EC9A6025103A2';
wwv_flow_imp.g_varchar2_table(13040) := '490313D1A50231A100D0A145E0A18BFFDAA84970A35D091123D001BB49A234519C272A10D099A3CDA9029BAA0240709CA10A003670103DDAA3FDF99F040AA43AD0A3EC29A40381032C70AAB32A10586AAB543A9F460A9A38F00201CA02842A10C15A0272';
wwv_flow_imp.g_varchar2_table(13041) := '4A106C2AA7A059A6689AAC720AA80271A60AB1023AC004E5B9040CBA0400C0030C0A004880AD781AA86D7AA6CAEAAC0A51AC182010A2F9A805F1A8EC2A10EA7A0437EAA1915A10962A10F57A10BB99AF29BAAFFADAAFFCFAAFC5399CBD099D9EAA02A25A';
wwv_flow_imp.g_varchar2_table(13042) := '9C43309D02910216DA9D628AAE07FA9F569AAA54AA9DDCE9AB12AB03566AA544EA9D1BABB1BD8AAE1A3BB23F0A000FDB10722AA6C50AAD9D99AC0721AE648AA66E0A9ADAC9043CFF40A7D98A0402B1A787DA034B7003E049AE1D01AF04B1A806510444FB';
wwv_flow_imp.g_varchar2_table(13043) := 'AEF19AA848DBB4F01AA20020AF502BB53035A92A0A11244AA9590B005BCBB55E6BAF93BAAF628B9CBDE9022EA0A265EB9B3B3A042D209FF4A99DA299AA59AA9D38F09D758BA4BE5A103510A0817AAA7B6BB23520A8230B9A50BA9F0F7BB20F71AA0CC1B2';
wwv_flow_imp.g_varchar2_table(13044) := 'E0FAB20B71A60FBB044C60A7D97AA700B00448F0AD0281ADB1EA9F1111AC0371AE07E1A1EAAAAE03A1B451DBB40DD1A84C6B63F7BA1016B01057CBAF245AA961EB102310B005B19CCD29B2A029B1596AB8FF19A7142A9F40DAB84BBAA482BABCB66AB2DF';
wwv_flow_imp.g_varchar2_table(13045) := '39B171FAA3FDE9B7A82AAB087A10C80AB30F21B3191AB82D6B10D5FF9AADDCAAADDD8AA70D0AB81821B40E11A2A84B10498BB40060B4F13BAF1891B5B33B10952A10B3FBBA06B19BCBE90108AAB271BAAAAD2A9E156BA5753B10F589AA71FB999F89AE7C';
wwv_flow_imp.g_varchar2_table(13046) := '4BB3884B10055CB7165CC01551034C70AC4C30BC06219A0E5CAC796AB39C0B003EDB033ACBAD07CA9F195C03A02B1027B010502B10379AB4ED2A10EF1BA2903AC30301A9E758AF61CBBF0B51AF42DC1016A002473C103770A00F0CB13E3AC00471B8D78B';
wwv_flow_imp.g_varchar2_table(13047) := 'AA188AA580AAAC0411B7086AB71B21B300C004C48B0360CCAB026CB2712AB8C4BB103AB0046BDCA03EABA7778AADDA3AC112B10284FAB70C21AFEB1AAF3E4CBF1461B51751C40FD101F51A03169AA4225C0350FFDA10E5A99D3570ABCD8BAECBBBC8CADB';
wwv_flow_imp.g_varchar2_table(13048) := '10743C118CDBB9A71A9E52CCB1BF0BA705C104627CB33EAB03DAEAB33AFBAD0E6BC68DEB10657AC9AB4BC3ECCAC77EFC10574BA9BA51AF2F6002DEDBC459EC10EAD9B11F4CA6717BABBF2BAB0601AB1DA1ACC50ACBC4ABB1DE29AD22FCAC0571B39B7BBE';
wwv_flow_imp.g_varchar2_table(13049) := '0371BD3631B507C1C3B54C1366B0050010CEE4BC05E56C1096DA01B1FBC10D2CA871DAA4D30CBE093CA6218C029E29A82BC0028FFCC800A0CFB39AA1DA9C1168AABED9CC0301ADB7DD29B706B1AD6CBCB3956BD0603CAD3E7AD01A61BAF0FBCD1671BF26';
wwv_flow_imp.g_varchar2_table(13050) := 'B10600B0960A71BF1E70A6F579CFF6BCBCF07C1094ECCC1001A5FFA9CC1A11B3250DA80F6BCADEFF89CDD87BA0758BC12C3CD3E23B1036AB1014AD11F02BBF184D1113A0D17041A9EB4C98A2C9A6F6FCC1653AAB883BA5811AB7C6CA10BE5C10ADEAA3BC';
wwv_flow_imp.g_varchar2_table(13051) := '4A11A009A72F4CA13F6DD0369DCCA81AD0A079B30D6AB365ADD6530AC62701AF8CEACD45ED10821C11AFF0104A500145DC01482C1026D099A01CAD308DBD258B11F1DCC56DCA10D6FCC50EE1B043BAB717AA9D366DD3706DC62A5DD79DB1D417210D00E0';
wwv_flow_imp.g_varchar2_table(13052) := '098DE0D90BE1D11DB097036101962A028F29D0FFDCCF4FF3A3585A032240D00AC103060D115BEDA33DAAA4942D106A6DCDDD19D19A4D44568BCB12E1D98DB00D0A21CE0351DAA7ADBF043198D45CC793FCC8990D1713BBB7FA2CAE61DDB905FF51C28B1D';
wwv_flow_imp.g_varchar2_table(13053) := 'C5519CDB0461B36BECDB125DBC607CDDC3AD6A56E0D10A81DA2F9A114FED99693C2FABEADA15019EAD3CDE411DCADA2AD1DF09C60DDDDEFA660606C1D10291039C8DAF0AD19731BC01B45D104FFD996C5A02136E138A0BA4FCFCD589FDDDFFEDCCC8ECCE';
wwv_flow_imp.g_varchar2_table(13054) := 'A19CCD3E2DCC069E5ECC7D1120D001EA4901570D99657A028CA99F6FFAAC120E002730E3337E14AD4AC5D16BCC59ED10748CC70CF1B00F5C9EDACAA7E2FBDF29DE193970112AA0D40471BB760D02AB0DC31B70023B2EE1315C1125302F27EBE40E51031F';
wwv_flow_imp.g_varchar2_table(13055) := 'F0A559FCE1FE29C225DCADDB5A10ECFDE4CBE6DC0691019C69A8357E10867A3DDA2CBD4B9AE1D17A11246E10E56BC2972BE788FF7E1121B0025E0EE89D31CF87FDD244BE10833D10DD5AE8734AE6891E1216509CF09D5E3BCE994F03C9714E117BDE110C';
wwv_flow_imp.g_varchar2_table(13056) := '7AD99BEE1E16B0CE15D0E089C4A63BFEE534EE34DEFBC4385DC915E1AC68BEEB05F1C628BEEA85F2E9A8B4E8322E107B7EEAEEA1CF26A103CACE11973EAD652DECD45E1021B001D72E10D80E001990ED0EA7E9D51EEE27B199DDCEA5DD2EEE8C8DEEEABE';
wwv_flow_imp.g_varchar2_table(13057) := 'EE12F1D3E0FE154060033630AA2E009B01DBA937209BECBEEF9D31A540D0A0B7DDCFFDE9CF699AE734510444400400A0F037AAF0F50E006D5B962610D8FC5EF170C1988BBEED0BF1A596F915144F1061899F5F39105F6900098000270F00236FF12C6F13';
wwv_flow_imp.g_varchar2_table(13058) := '54B91050399265FF20941E010786F0070EB19114D9F23C5F132338113D223530D123EB000F45CF10464F109B131B3DDFF41EF1F3B56275F2A0890601F530911450470FF110860301F55C6F75E6387D4E3FF627812ECB418FF9B32306F2660149F66EFFF6';
wwv_flow_imp.g_varchar2_table(13059) := '701FF7723FF7745FF7760F61D4212B5E720F617FF77E9F594B820F5E8226F3C0F754F2F7880F531199F88CEF5B446004AC491044F003935FF98D7FF989D4A1F37B048A6ABA98FFF9A143B552DBC7A05FFA4F43CB1EAAF0A6BFFAF2D2BEACFFFAB01FFBB2';
wwv_flow_imp.g_varchar2_table(13060) := '3FFBB45FFBB67FFBB89FFBBABFFBBCDFFBBEFFFBC01FFCC23FFCC45FFCC67FFCC89FFC150FEBCA0FFC7120074370D7CDBFFB6610E5D35FFCCC7FFDB90F0841FFA0FDC63FE50090FDDE5FFBC43EFEE67FFEE89FFEEABFFEECDFFEEEFFFEF01FFFF23FFFF4';
wwv_flow_imp.g_varchar2_table(13061) := '5FFFF67FFFF83FDC644811D892FF000140E04082050D1E449850E142860D1D3ACC976F6044890F01D4C398F19EC07A0AF9F1B31852E44892254D9E449952E54A9627F36D1C780F26429900F4DDD4074026C67B1971E204405128CD96458D9E947754E952';
wwv_flow_imp.g_varchar2_table(13062) := 'A64D43521408F226C27E1F4102F82894223FAD1501F4031B366B57A765CD9E459B56AD4A79F40ED2EB594FA6BE9DF4ECDEA52757E65E81F784EEE438B09EDBB5854D263DB84FDE4CC38D1D977CE32621172F04AD241C530640193477D0B84123D00B1700';
wwv_flow_imp.g_varchar2_table(13063) := '95D1BC399D1A349731025B932E833AF2E9D602FFB958196D85B2EDCA8F1D3F598804C00F00C20108E9711CC00ED1BB052A5192C4F774B33014C6B87143E00EEEDA6318FC2E10C6780031BECBC0FE7DFCFAF5006EA017981D00FBF60A4D78B86F82FAFE08';
wwv_flow_imp.g_varchar2_table(13064) := '050F10008080030402108001F74330C11F8C108808001844E8070925248242001C2488082034E4F0C281206C1008208C10B144200A226EB91F765851A0158963B120E66624C8860453A2C12204226080A01D057A80831B873C2BC607874332C507991B88';
wwv_flow_imp.g_varchar2_table(13065) := 'C981889B30CA2819DAE14482AAC4D2CA178D6491B92D95442839224D2AE1A1087E64A047007E04608331DF646A4A09B75BCE08275D9CF3C939A11CCE481751C4923B2B81B0D10642EF5C88FF46380D638047471100E0CC4527350B5144530473B9826CBC';
wwv_flow_imp.g_varchar2_table(13066) := '923B844EACF2071B7630D4C62ADD7BC806EDE253B5D51B5C759552845800E004003E680852482395B5D7A3102528D32401B0A158193415A8D8E56C68015500B43C15462BB79BD1535F0DEB0F835CCFE43681071EB836DCA62644B6C964AF9C36A1740502';
wwv_flow_imp.g_varchar2_table(13067) := 'E2D4673915F72C6D791488DE86C00500DF78F75D89CF83843569507ECBCA51A00C006894213507665829601BE6775E88275EEB07202CA658DC1C0FEED1DE8C3F56CA62912F5E1764226DE5D5639357EE97648059BE31476D61A639A513471EB9E631396E';
wwv_flow_imp.g_varchar2_table(13068) := 'B4E38E774CB8D11D7FDC355F9D8F467ACC797BEECFA0A1B965532004F44DBAFF6AAB1B3B58655ED74438E1832248E06AB1C74650CDA20F029702B2D766BB30A0DB863B6EC3205DF8EC819A963B6FBD55EA91EEBDFF06BCA584D164C0EEC00F47FCA034B9';
wwv_flow_imp.g_varchar2_table(13069) := '151A61C301E0E0BEC427FFBB71862280C04D003C10C1030AD4A63C74B219D7BAA004301F88030F20874074D70F9F1A00D021074082D76F47DA51A19BA6DBEE0428D07C732171273EE934B73608EFD5552FBEF9A3871628CD1FFBF3F6A0CF9DC79EE6DD4F';
wwv_flow_imp.g_varchar2_table(13070) := '07807B8186FFBEF5ECC7A7B8F0330B2FFC74EF3727E87AF2DF6718EF8222A01A7EFB2926208000F56F28EC810CB85F000538400216D0800744600215B8400636D0810F8460042538410A56D08217C4600635B8410E76D0FF831F0461084538421296D084';
wwv_flow_imp.g_varchar2_table(13071) := '4DC1C10A6A70421622A40628C081406A80831AAC90093A68610951B0C2151224863DCC210969880200FC90860559820E98C0031E04D18338C0010B6AC082280E64860369A2133B38C31A1691214B64420F96C0833126518B13C4010E7D58901AA6D18C08';
wwv_flow_imp.g_varchar2_table(13072) := '61C2193FD8431EE0308977D4811AE518C21B02808C3C58E21E455830419E5107782C6409E328904532528D314CE405C70848408A89207A8464242BC804E32C01099E5C822641F849815852941A5C61163F691C0028B18E4504E22925184A82887120718C';
wwv_flow_imp.g_varchar2_table(13073) := 'A52C1BB8025EAE000062A2650F96A8C65CEA3282A16C22124C69CC0B1291964BB0A5179959C134B2328BD3FF9CE00A3369C96B62F38242A0A53733A8475A0120046DB2D5C1CE294E078A498F0279811A5FC00211B0D39EF7FC9B62F499947D00401EFDC4';
wwv_flow_imp.g_varchar2_table(13074) := 'E702FF39508012142EF40068400DD89681BA25290E556802ED9110C244F481F6980700306A518E76D4A31F056948453A529296D4A4274569AF0C900004AC74203030014CAD93D2F11588A6CE0B0002CE0620FFDDD47E007C9C4F5FC73F0318C0A62CEDDE';
wwv_flow_imp.g_varchar2_table(13075) := 'EA84DA3C0214C800415DEAEB8A60A5223428AACE93C2734A73192F28412092E1CC66427355D729E10806F9C218BE40D6C9D9A221CF00402ADC0A80376886AD94FBC3415C610E00A4432055D0CF5D8B270EC116D6B087452C498193D8A132D6B18F856CFF';
wwv_flow_imp.g_varchar2_table(13076) := '64253B59CA56D6B297C56C6635BB59CE76D6B39F056D68453B5AD296D6B4A7456D6A55BB5AD6B6D6B5AF856D6C653B5BDAD6D6B6AF5BD56D754BC1DCEED6B7104CC16F19869EDE0A375CC71AC8AA7AA01DE41A97520F73AEACA09B2FF145975F10908004';
wwv_flow_imp.g_varchar2_table(13077) := '260081090000BBD66DCC320B4281099097BB03B1DD7627D053F052A7BBB223C876BD2B90EA76B3BD86B11D42DE5BDDFBEE47BB6A03707CD9D7DFFD7040BB1C28AF7A29D03A0F1007063190C1C1824B3B02A325C1DC252F820D4C01131417002F1048705F';
wwv_flow_imp.g_varchar2_table(13078) := '105C1E34B7C247316F82C94B01097080BF081131898FB5DC13B7A4BC14865C7E29C03C13CF0EC42296418993E3E11AA724BFD535B0428E4F250310879807CAD5CE72695CE492B45824C77A4190B57CCD1D24A7CBCBF17298C13CE62F9759CC66FE329513';
wwv_flow_imp.g_varchar2_table(13079) := '52CE81B020B06A2E8A0A0C722278C1792DE0280741CC81673B3B2629F10000A05918100021F904050A0000002C8F001000500138010008FF0001081C48B0A0C18308132A5CC8B0E1C2580E234A9C48B1A2C58B18336ADC78C7D5C68F202F7A020009C0BA';
wwv_flow_imp.g_varchar2_table(13080) := '7D2153AA5CC91200BC9630175EA3E531A6CD8CD700DC02806814BF9B075F0A04E50EA8D181E300949B981340247B07191DFDC84FDED4AB16FBD9FB69B49F417A00F26165D94F1F009414FFA98D97F01FDAB116CDC29D5B7029DD7AF3B872A53B11EA5E81';
wwv_flow_imp.g_varchar2_table(13081) := '6C01041E3858223F7AF2A016CC87AF315F8AF9C43E9E3C97DFDFADF8284306504F2C5881F758E2FBABB9B4E9D3A8277A359A593200CBA9E1C23E2D37B6EDC996F5E99B7DBBF74D79F0ACBAB41ABCF844E2BE8192C8B2BC4BF2E7415D4A7F497DBAF5EAD8';
wwv_flow_imp.g_varchar2_table(13082) := 'AF5BDF08BC7B71EFE0BF8BFFF77E3478C1F1E2C742B5172F70E18BE8050A874EBF3ECCD5B6FF1574ABBFF6C67D42D9A7927E0216F8D84F68E1179182023148D03EFBFC238F3AFF90662045FDE473CF6AFD74E8E1872086D82100237E48E285286AC68F84';
wwv_flow_imp.g_varchar2_table(13083) := 'EA8495E24588F5F38F5722D658638321BEA863652EA5734F68124518618A889148A38D489A28E28E4C4E45203CE6D0F359930D1D66957E1652A9A5424366A416816A9D455098FB0140A64BE5C80316810D09C9668155CD47D08A5F0E14A17E62F123176C';
wwv_flow_imp.g_varchar2_table(13084) := '3FC1E6DA4D5966E4A043370E7AD39D6FBEC61FA2FFCC630F7B8F460AE9A3F13CEA68A4954A0A693CF36089A69A816E29103FF90077905B101288124A6AD1596198FA7DFFD92AA0898EEAE29C79DE63199096E937E26B057988908D2762D5A541B226AB56';
wwv_flow_imp.g_varchar2_table(13085) := 'AA7742E8ACAC883AFBACB22BC2530E3CF5842A2AA9E69DAADF90ABEE730F3BFF98130E58EDB8532E00EDA8234F38F29CA992ABEE84466A8556DD8327BE662A2BAB8C75FE23598E46E2986442BFE29856AD5D2A7B569811AE33471E734C5C31C5148771B1';
wwv_flow_imp.g_varchar2_table(13086) := 'C5185BAC71C714B3A1CB3FF1FC636D3CF4683BE68C86D2C7AD9C03992C4CBC109E15E1351EB4E3070168FC03871FE618C08C1F5C44F24034B592C6DBA89669BB6236EA88534EB2EE20FD8FD52603700D31FFB4134D38D178D2B52B91C0E34938B60C534E';
wwv_flow_imp.g_varchar2_table(13087) := '3602DF186C92C21A75AC41E046788E000D08A0F7DE7CF7FFEDF7DF020CD0C01C249B7C6D5EB58A3A6A3EF00448103D9F4C018C9810EAEB4A0FD36492CD1DC3BC0187390944E206176320536141F76818D98FA96BC8FAEB916599CF3FB6B4734D36C04CF3';
wwv_flow_imp.g_varchar2_table(13088) := '75357ED8624B2A6574E3CA35E9FC438C2DFF54734B4EC374738D38D9C4720B2DEEB832CD3015124B1087DAB324AF9D893F8CAA3DEB5CE040010AA49F3EFA05B4DFBE000A0C90BEFCED2BC0FE00F80FE0401BF3546A2D3CF15099962CD3B837AD481C88D8';
wwv_flow_imp.g_varchar2_table(13089) := '4426F465B30819C20BA93044392A61883BA0211A5CB8C31B0C810C0F84E31F291B953BD4A10E7690D084254CA10A4BE88E10A2EE1FB7F003285CE18972182215D118C62D98F1065B20C310D788973AFF98A18E6B94A31BFF0086396E410F1DAE4D1DC8D0';
wwv_flow_imp.g_varchar2_table(13090) := '0732BAD7A02A1E4C2215CA479F04E21F9B7D4F20737B10AAFEC11EF3BD4F01F073DF00DC573FF9B9D17E6C2C00FE06D79E7FB8E35AF1C88CE20E4240C7292A1DB5E8442C8453B374EC80006580032DBC60340E440212A4F3433BD02036D7FC231DE62021';
wwv_flow_imp.g_varchar2_table(13091) := '3C50A80E73B0C31C9E2C870ACD010F2DBED016DD18462AAA518E3730231AECA0892186F10A3FB4E81FE5F85A38CC910D73990319DD100700C2910D6600271A32A222DC4C34A6D9998969FD528B86F4D49FD3CD8E3FA7031684F8C49B66ADC57C0AB8401B';
wwv_flow_imp.g_varchar2_table(13092) := 'E6803F399A738D6ABCC01AD1C9C6753A600E75FC5F1EF7C8477E344E20615A113B62A1FF0A683C3355D9B0A521CA10004F64E216C0E042260C6188488C81021F7CE64FD8414C76A8ED1ACECB4636C2118E6BA843A3514B47BD4833BB6150D415D1708727';
wwv_flow_imp.g_varchar2_table(13093) := 'B2810C46B8A21291A0053152C18CE2A9231CCF30473AB2610B43D8E21AB6D05C2484918957A4E31A2C2BD43241B49F72C1439AB0BAE48A42031676A4031F5F0A47F1FC25AB6882F161A98AC7051A3080365C409C0350E759072000F6C56FADF143A33AD9';
wwv_flow_imp.g_varchar2_table(13094) := 'D98036C4138F8AA1E7F6AAE2380FE96318A02887593AA40F08C9A51EEC108858DA210F7984C61E536AD03DF09109346442867EA86C389E60084F78A1128CE8AC2B88410F2015C41EF29807B05CA28E7BA6831D2F31475106428CD0FF308E1DAE20D7B560';
wwv_flow_imp.g_varchar2_table(13095) := '6BD579B0A31E5D95175787DBD513894373EC284A37AC72424A08131F887D832BD4D1427578A293B0F52428E5712D7530561CEC48AC98BE2A18F3096001F8538402343607B33AC001E67BE723D47B01459CD5018F38AB1C053087FEA1C91DF2788B5E1757';
wwv_flow_imp.g_varchar2_table(13096) := '408288E51FD0E8C4D47465199490EA27D9F46ABF0AC28F7ADC23139188841F22F106E085030D91A0841F7AA80E3478E116F5C89641FE22B0E04695208EC567ACD422A37E25B344C532D292AEA8D87F84C315FFF00428C241094F5C23159170051A68A1D1';
wwv_flow_imp.g_varchar2_table(13097) := '72D982A59168A8219EE1095BF8C1137E4003228E4B8B0E0FC315BFD3CF95BE25A1B10E809C02688302EA3A87470C42FF17BA98C42CD850314598621673BEC424F43C07018C159EFE036F80C3B8476E0925AA43E30325A6B69B5E69F1C14CDBE26B965661';
wwv_flow_imp.g_varchar2_table(13098) := '0064420AB488843A0C51055064A3077080C3188A6AC348D8A2C2B25B9185B1F468BD68512CD9BA878A9375E3A5DA9A6003999D2D6E71D937FC8316D37085399EF1646C90CB1D65A0098691210E5784E316CE660628BA518D0C672315A0F80743F563083B';
wwv_flow_imp.g_varchar2_table(13099) := '99491EE62BEB1C16F008070CCE14619885291E618A7164810D59B8842E02C1893CCC42179C98C424F0C7DFF600A81CEC18F484F56AE8D502E01E8BAC8217AA7007B63578487492B1A2A219AB51D5831EB6F0C41BD0000A44C0A10C996D6826FE70871BA6';
wwv_flow_imp.g_varchar2_table(13100) := '6218F6FF5031855BD599D6A50ED2C3FDD3AD67EEB651E1321BAE30443832F18C5408D91CC4884438AEFB8F4D03C013D1700532B2318C4CB82215E5087A36301C8968D062A599401A00280180687811DC643DF305C6DD80308CB30D8F08C323CA3D075354';
wwv_flow_imp.g_varchar2_table(13101) := '6C0E9730C5BA1FD17675BEB33DF1800778E151B30113D871FFC8461914EE052E54C10FF4F8073E22940E6CB9EB279954CB534D280F73E8431E5C91473AC4B1D3DB412D1BD8288738C2518EB5915E6AD8529A8F3D91F87230C35FFC38A23B9E71E1D1D3A2';
wwv_flow_imp.g_varchar2_table(13102) := 'E206839B8E691E379BA72312E218062DDA618B1F67A31DA67F323CF481D46B33A3F4660B4737DC210E8F660314D73007F49E7CFBADEF452CEC786FFFFED83A0775EA0DBEE9835F5AF57681F4B53F9C6FED773CF6C10E41F7DDEFFCB8C73D7B3C8C2A70C1';
wwv_flow_imp.g_varchar2_table(13103) := '0D6E5006628006E4025CB8850CE1B074F0C00C4F960DFB700BC3C00CC2370D33210E92474225145E56155E18A80EAF155EE9524A7F3210CE660E34750BCFF00CDD400B43540EF8300CB6A00EA9D00DA9E073D37526BCC754B6B672C46526D9400BECA00F';
wwv_flow_imp.g_varchar2_table(13104) := '511530C4952CF5E01401620FFB900E24E000F9133F69C556F2133881C3566D5500552847F9438573B00EF3577F01777F03567036270E6E20058537064F1009F1025CE6920E4B970EE1C00CA9700DD7100EF88036DDE009D8300DD9608161212588D1586A';
wwv_flow_imp.g_varchar2_table(13105) := '428886D85852D219A6B41FC3A036AEFF000A111809A09082B66081E68054D5800CF4E00ACC900D53C3263998832B166BBA923A2F5761EC505A5DF5238FA688A4A22BF9D019A4A23A472810B3150DCC0000E9E00024803F70544EEDE346FCC64E72143F6A';
wwv_flow_imp.g_varchar2_table(13106) := '344773700E5F280EEE228604C7384F35102BB27399900994100A14321AB8547AC2F05ACF507DBCE480CD963614150BE6203091D16A4DD32796D16A0CF1130C18098C600BA05075F0900A14F20FD5F70FAFA40E99A036E7088A39128A3C864514F74511C1';
wwv_flow_imp.g_varchar2_table(13107) := '15EB00008AF10CE1E784C3387E12598555289113790124437FCC2870083940D03827F1E216FA5227B3530EB4F07CC3003DE9C064C5375A50730BD9F00C7F183E18613233450B9DFF8565A6865BCC80446BA335E1D03BB76008D138103B469054B4301DE9';
wwv_flow_imp.g_varchar2_table(13108) := '1099D10802D10D00300A00A00F6CB01C1790050E900558990557999557D9955B099662C91C93201812F20DC1912A7EF71A1F4961D1C427CF245B00E04900800FE9D00EB0E52EFF903AE9900EF1C2402AE181B1475DE52052707818FAA20FFAA78F1A1251';
wwv_flow_imp.g_varchar2_table(13109) := 'DB536B4AC25407B1545E52271791199500008D700BAFB0903FB10EEB700E5E289AA0599AA6E985F1509AA9A99AA5590F66B116E2E00EDBB4966CB97F2B1669104684B9396307F92A29B19B33A616C4842766C215B062700D3223057324CC3499C4D27B73';
wwv_flow_imp.g_varchar2_table(13110) := '8112B6F00A510900AFA07812E62F63D29BC9322AF6F025F2200EEDFF307FB4599B7EB4624D2371DBF94CF8B4329EF29BB8D22B02A334926621BE923046D932BB2799D00917D83910A3E038D232A0045AA0062A6312229EF3A0476B49860E31846DF12634';
wwv_flow_imp.g_varchar2_table(13111) := 'D912A4521125F22BFAF9366E839F1621400E615A55A416DF39A26454A2247AA2269AA2DF1971090A0FA3519EF9679B5834A1CF44A3A771A11CB22049899E4B238DEB989E3F1AA43FEA9C23026108FA9D259AA448BAA422DAA44ACA26092A1C1ECA240E5A';
wwv_flow_imp.g_varchar2_table(13112) := '9E0681A35544283B4A61E9C9A3EB889B423AA493A963C8C29B2F76A6669A38091A590232A52B760FA612A6722AA4E9988E410AA6739AA77ABAA77ABA7BDBA310CC5973C0F2A3754AA7751A3B6171A8AFA6A88FFF3627FDD0341F72A77CE4A5945621C619';
wwv_flow_imp.g_varchar2_table(13113) := '9E9FB1226DEAA6B8420FF0E02A4518AAA23AAAA45AAAA59A1243385CEED99D657AAA46E230086AAAB2AA1698CAA0B12188823810524288B95A106C7A1EEEE00E8D13828D53ACC67AACC89AACCABAACCCDAAC8D13ACEED00ED23AADD45AADD07AADC12AAD';
wwv_flow_imp.g_varchar2_table(13114) := 'EC52AD1251ADDAEAADE04AADD11AAEE45AAEE65AAD1A982ED08A971AD8AE20B8AEE8EAAE1CC881AD250F2F7A212D42111DD8497DD9AFFEFAAF001BB0023BB0045BB0FFAA53FDEA81E9A0B00CEBAF08FBB0FD2A10E920B11331B1BA28B1030BB1FDAAB13A';
wwv_flow_imp.g_varchar2_table(13115) := 'D5B11E8B491F0B4A9834B21D0BB2247BB2A094B20E7BB2236BB21BCBB2105BB20010AD00604236FF9B42379BB338BBB3E205178E81102916B4425B0F8D015D425BB4489BB44ABBB44CDBB44EFBB4501BB54C2B1A52CBB4432BB49C91628F92623F521041';
wwv_flow_imp.g_varchar2_table(13116) := 'BBB5574BB44B1B19BAC1B48CEA3AAC988E8D6129AA05335AF23A0B916240D1B507F13AAC3311769BB77A6BB705F2B3676B60F96016829B1091A110859BA8671B19482B29B5282A75BA10746BA53091B8945BB9948B1075AA1B9ABBB9FAA0A89B7BB69C1B';
wwv_flow_imp.g_varchar2_table(13117) := 'BAA27BA8B6BA258F2BB90441B75D7BB7A73B8206012420EABA967BB986B1174D93B9A2DBB98FF223F6800F9FCB18F8A0B8BE9BBBC42BBC0E71A802A23AAE1B11CBCB12201A11613BB4AF13BD8D3B10914B11419BBA7BBBB7D2FBB894AB1BA9FF7B7007C7';
wwv_flow_imp.g_varchar2_table(13118) := '3AA2BBB7819B9EE9A8585349BC72C1B9C86BB88ADAB70391197A84B40851B4AC63B998FBBE856BB7AE33BBA07B0F822BC03FA298FA7084A191C0E32BB7EB0BBE592B6B0A2CC0750B1AAF3BB88A7970164CC1D67BC1048C3AE20BBB7A6B61AC7371B87A0F';
wwv_flow_imp.g_varchar2_table(13119) := 'B8CA1976CBA6AC98C07ABB0FB96116772B11708BBA1A512B5D551683752271D39C199A10B5211702DCC3572AC48FA10F38AC1BD73B1046EC15CFEB2DD162990A539E5700005730C5531C116500006850065FB0C568A0C5599CC55D1CC65BEC105F00005C';
wwv_flow_imp.g_varchar2_table(13120) := '3010698CC66C9CC65C507868EC05683C066F4C3A6F3C060341C7780C0063A0C76E4CC7035178826C0502F10400A00402520663FFA0C80921065EE0C80461C778BCC70951066EA0C5978C066EF00697CCC900E0C99C8C061BB7109AFCC503B1C95FDCC900';
wwv_flow_imp.g_varchar2_table(13121) := '70C9B63101AE3C011210CB13E00115E0010631012030011401020291020A61022620101C30CC1EC001B66CCC1C60101BB0CCCCCC01CC5C10C93C101B20CC0531CDD34C1014401011C000008000054100014000007000067000B7F1020080CE0291CD1171';
wwv_flow_imp.g_varchar2_table(13122) := 'CD0DF10300B0030000CF1B41CFF22C1040601F23A0022300021DD00120300223E0022A0000047DD0FC3C102E00004090CF45D0D0F90C0443C0D0100D004350D107010430000030A003310003200DD21C0D032FB0D124FD02E88CD22A9DD22A3D103A2010';
wwv_flow_imp.g_varchar2_table(13123) := '220DD23A60D21CFFADCE2E3D102FC00202B1011A60100FD0D33B1D027C81040741D4444D102870103840104B0D00498D023890D4299104470000549D040E81D500700458CDD55BADD5A7D1012A20D600DDCF635DD008D10100300202B1D0132D10133DD1';
wwv_flow_imp.g_varchar2_table(13124) := '40E002733D042A60D70431D7F93C10F2ACD3E8CC022AAD0382AD03290D003A80032C80D88A9DD88CBDD83880CE3AC002844DD890FD0282FD028F5D03948D0291CD0249BD02081102400D00A0EDD4A00DD557B1034CB0034BD0034BC0DA44FDDA00C00337';
wwv_flow_imp.g_varchar2_table(13125) := '60DA05B1023570DBA48D02B8DDDB34B002BF4D10180000453010575DDC495004C9BDDC0751DC0951D55BEDDC0421DDA8A1D60661DD07A1D6D83D1077DDDD74FFDDDD0D6DD1685D042E50DCE53DD70C4D10989DCEECFDD2298D03F0BDD452ADD9509DDBB9';
wwv_flow_imp.g_varchar2_table(13126) := '1DDF4E8D033560D928B0D29C4DD8F46DD89CADD9868DD82C5003256010BF4D030281DB09D1DBB94DDAB9EDE0141EE1A42D103550DA0EE1DA3D00004BC0034B80104D4D10190E0011CEE017CEDB0B6100B9CDD5D4ADDC302E104550D5CA4DDC348ED5339E';
wwv_flow_imp.g_varchar2_table(13127) := 'E34790E3C91DDD565DDC3B2EE3B7A1DD0040E4445EE4484EE408BDE4055DD0042DD7743D107A2D102AD0D7EA6CD9800DDF2F90D498AD039C0DD54F1DD55E2EE6523D108F3D107EBDDF0221D81FE1E018DE106E4E10713E10195EE7BD4D103AB0044C70D4';
wwv_flow_imp.g_varchar2_table(13128) := '4B40D4AE2D1047DDE10651E62AD1E305C1DC33FF4EDC38BEE38CAEE3408EDC8FFEE3D00D00B55D1A6C2D10973E021DC0D69CBED604A1E99DCED62AE0024C0E00A3CED6044D1008CDD036E0CB507DD8968D03872DE02F9DD4161EE15E7ED8516DE2FA3DE0';
wwv_flow_imp.g_varchar2_table(13129) := '528D02075EEB823DE0B56EE266AEDF145103C87E10A06DE117E1EC4CC0033CC0041DFEE1218E043DE0E7AECD030281E20231E22171E38A3EDDE24EE3938E10C92DEE3FEE1BDB5D10EDAED69A8EE99E3EEF23600106E102976ED0A36ED016BDE62FA0D9CA';
wwv_flow_imp.g_varchar2_table(13130) := '4EDF87EDE586AD03F7ADE6E84CECC69ED4FA5D030E8F02F60DF1264EECC44EE00000DF86CDEBF79DD8E08EE1CBDED4139EE1DE9E1025CE101AFED2D11EE2DCDEDA4BD0E7D9DEE71551E70AFF21D40C81E38B5E10891EE341BED50671EE4CC2E99B8EDDED';
wwv_flow_imp.g_varchar2_table(13131) := '5EE4F95EEF9FCECF685DD0F96C02FD9DDB061FDF187FD8CE9EF1EE9DF156EFF1122FF1176EE201DFD42F0D12CAAE100E5F034CC0EB24AF031AAE103A00E220BEDADC8E042B7F111A9EF6059100362D1060CDF335BEE3866EE38A0EE4422E103E1FF8ECCE';
wwv_flow_imp.g_varchar2_table(13132) := 'D6F66E1087FFE9F25E111D6001F90E002D6002FF5EE6BBFEE605F1D284CDD45FBFF5C61EE10E9EDB0C9FDF9A2DEBB26EE69B3F11CB8E10657FF14CD0F1742E105F5E03846E10D19EF26CDFDA0080044880FBA7CF10284EF7C63E100810CD0331F8E35EE3';
wwv_flow_imp.g_varchar2_table(13133) := '346C108F4F10153011FF0C00BCCCDD1C6DCB132FFBB9CDF11CBFD4186F101BFF3D105AAF101D3FE0194FFA0D31F0226EF9242E104C30FA07E1EC10FFFD0651FA1D3EED3CF0D2BACFF2661E111A7EE2BC3EF2000140060082050D023842F04891240C0114';
wwv_flow_imp.g_varchar2_table(13134) := '497850E2448A152D5EC498F160078A23347E04D0C182C61A350AB230890307001D125B025839B1068A1A2B00D004C022278E992009E2D001B4A2C9822B88567C793026C1993A56243D7814008F1E05792C217815AA4F8B212C265138B10857B265CD4EF4';
wwv_flow_imp.g_varchar2_table(13135) := 'F831C759AE3D67A224885267C5174199D2C43B73455EB935E0E260B1F4A2E0A92C0DBE308982A051C6157930E18151470DC206A51EACBAE42A5B002B687C8448B02167D2A57DBA00A9658BE9832D289AB4A917AFCECA2FFF2793550C1866E09F952D468E';
wwv_flow_imp.g_varchar2_table(13136) := '997B31D19A97B3BEE4B1553151BB3F9BC78C19192A56266C611BA7387A216BEEDD399B01200790F789360B2ABECBFCB0F3A116754E86AAF225E59C1393130C3A19C54B9A2B8C76A6E83EFC0A024AAA9680124A29FCB05A4207267AD04CBA06C93B08A2B1';
wwv_flow_imp.g_varchar2_table(13137) := '46A330C3B32A2068048EC85A45C38C4CF28B35F460622A2A8CAA3348BF98F65A91A5EA5AAA2E380255C20F41984A3A4887069760514421872CEDC3B3A601001439B22132231C843BB12C9326E389278D924A693FEC2E8A6C42827002A086E6083CB0259D';
wwv_flow_imp.g_varchar2_table(13138) := '4A5A09321F1F6BB24D377DFAD0430F7D5A06804AA87933AABC9EDC72C8C80AD261BF27579AA938F390CAEAFFCF1479CACFA504C9A42E4F49279568244AB98311AF9B24DD6AD314E1F2894D897C932CC24B4F45952C34248A43529B3495545140C58CCB4A';
wwv_flow_imp.g_varchar2_table(13139) := '9F6C3BAFB328875AE93F409968E9C7CD3A4DB55849B53016C09B0E3D35A8A578D469AF3E0D9255D730992216D0828E4AEE3108AB2228C864C7356B08B33AF0D0C84B4540B5DA31EB3B4B83F2483D48B11308C20A0070AD22B75F7F8564D6D89580BA8DCA';
wwv_flow_imp.g_varchar2_table(13140) := '9276D5C82BCE765D0209CDF2FD376289493B6183154EB838D94675C8962B7AB5B508618390F8B3DA894F46F9A215365036D56959FB00807B53E40A629053C639678366BED8BC0D663E95B701619AAC27DC0C8AD9AC5D7708D7649D9F8E7805AF562608FF';
wwv_flow_imp.g_varchar2_table(13141) := '680058BEB444EE70B09AB5863573106AB14FDE2084B209321B00B3151E7BA28F39DBC1E6B6E7263703B53308418310ECA69BD3BEFF063C70CEBC4CD6861D80B0013520542008088250DBC1061B04A7BC728C6020E8061E9060E94FADFD4AAC65118928A2';
wwv_flow_imp.g_varchar2_table(13142) := '0820C622E2740016770D00184000C003CB67A7DD2085D7BEDA220C0832A049D933EA1D800410183E010010A83D79C1FD780300382CBAA3A032C62883C23F0079FEA355A547A38CEEBFF7BE7AE5C7C7191E82CC2F081EF429325F9EF5B9331F9E75E459C7';
wwv_flow_imp.g_varchar2_table(13143) := 'A275E437FFFEF9EB27BFFFB1E901803C0C22408B005043F100C03C08120F7A20502206AC0804FD3741C1F1831F06A90700F4710F0A76D0FF831F0461084538421296D084274421DDEC91C07ACC631EF458610A6538430CD62383F1B8C73C7248431EF6D0';
wwv_flow_imp.g_varchar2_table(13144) := '873FA4E10F8820442202D1881F4C424212C290233424224784A2F2223296293E318A57541E581C3296B160D18BB3DB2258BE38463296D18C6744631AD5B84636B6D18D6F84631CE538473AD6D18E77C4631EF5B8473EF6D18F7F0464200539484216D290';
wwv_flow_imp.g_varchar2_table(13145) := '8744642215B9484636D2918F8464242539494A56D29297C4642635B9494E76D2939F04652845394A527A501FFAF0092A4B39430E6AE41EF7C8072AF331CB7C14E4951924C82B01708F7A70F01EF8C0C72B8539CC5FE2A34DFB5825CA2CA84155F6431FC0';
wwv_flow_imp.g_varchar2_table(13146) := '24083463794A6A9E9296D7FF9C653269480F79D0831EF9E0202E0D128F6E7AD39CE56C203ACDB94E6F52681F0E3C620C7BE886E671C60B56E08217C6C0052E8C41225C00403EF9E905810A1400042508410BAA502EE0D30A04C527420F0AD0B20854A23C';
wwv_flow_imp.g_varchar2_table(13147) := 'B482F80A82867D9A300616B901486E30D21DC460A42115484831070093B6F40631F8284C59CA5298D614A628B588074CA0D3DF69A4A70731410F7F5A10D971407612004050C968042214E407042162539DFA03AA5615004F856A56ABBA55AA326D223FD8';
wwv_flow_imp.g_varchar2_table(13148) := '0158B17A38A6815523E002975953F851899800736ECD1C0FB17AD58A50D52073BDC80E8CE0D58BD8D52040202B60091256C2362EAC0020AC5A2BC257C1EDCE4D3D8D5CFF640D37399C92D00814D16B4198B603C61E64B38805ED67393BDACF3EF5A980DD';
wwv_flow_imp.g_varchar2_table(13149) := '2C671DC79A1B74D6206C1D1B0618205B00D0D62C4A4D2A0CE03A911B4CCE87AE05C065112BDCAC0E16B37915ED60393B59C7190E00BECDC80D5C83D2DE56D706D6B5EEDC4AA03BD2E0762229A82C1BA53B91C9B5200630684159096203B17A75AE886B9C';
wwv_flow_imp.g_varchar2_table(13150) := '0D56ABC79D1292698C3B1C5EFD3AD7C20E1671C0A588E47C2BE0327A8003B133AA5121895720E0558F0736F0410E9C3919B460203790C1E406A24D2852E022296063831B2C4AA4DA51C43F3871272140100FD3F1C4F3E5F01A4F8B621A8F38C637C6718E';
wwv_flow_imp.g_varchar2_table(13151) := '75CC19C0DAA005E1DD7190853C642217D9C84746729295FFBC642637D9C94F867294A53C652A57D9CA57C67296B5BC652E77D9CB5FCE712D0F72413077901EC834482BFF680F3603609D6586F38D5F610B3ABF8220AEA0859D15F900458238A98FA4D7CB';
wwv_flow_imp.g_varchar2_table(13152) := 'E4E8B8AA36950846707022C17490D804EC4B8226E340A0FBC9D059C4D16414B0E434CB4848A38728512ACE4D8A83025F95F1B388E5EC260D55131A1CEA3FD212DD17011CCACF5886446182749CE7861D42812ED7BAD619A952829212FD1AD87DA3CCAD2F';
wwv_flow_imp.g_varchar2_table(13153) := 'F3B663E74C5C32B1D25C9A3D3E1205C6DAC966F6B4A1363002693B706C725A8EB6D2316F4FECD9271994B48766186397BB584909B7BB293723AC70CC24B47997BCE7261D7DD30E57E7EEF7DFA41DEFFF800B8EDC054778C215BE708673183D574142661A';
wwv_flow_imp.g_varchar2_table(13154) := 'FEB4126C1705285909E77AC0B9CE4D1C65DBF514BC0020378F4FACE23779CF440E5EF262B18B26EA264855F6C572BA819CE6639BF9CD75BE739EF7DCE73F077AD0853E74A217DDE847477AD295BE74A637DDE94F877AD4A53E75AA57DDEA57C77AD6B5BE';
wwv_flow_imp.g_varchar2_table(13155) := '75AE77DDEB5F077BD8C53E76B297DDEC67477BDAD5BE76B6B7DDED6F877BDCE53E77BAD7DDEE77C77BDEF5BE77BEF75D5239F77BE009B261C1179E20DE0D3C0C6440F8C0C3565F99AB8AE3F10EF8BE539E2010E0B3E10D2201084C4002135831E8D90EE4';
wwv_flow_imp.g_varchar2_table(13156) := 'CD7380F3A227C804000001CEAF98EE2576FDE591AA7AE115440871A7FD445C9FFBBA7BFFFEC02B9EF0E501C0FBB95300F413307EE78DEFE1146818063CF0F00B08C2AEB59B9E03C89FC0F5AD0F010F00DECFD28781F4654070AE1F7FF9D9970005D28F11';
wwv_flow_imp.g_varchar2_table(13157) := 'F18B3F3237B07CD62570E01603C0F804E1000582EA78BE0100C4D24F011E18BF8188BFADA3BDFABB3FC7008017203C060417F80300F88340038CBD8F00B1001C40AA28881E601A0ED4970E04C10F14410F24C1102C410F843AEA2B081380B9B14B34FCC2';
wwv_flow_imp.g_varchar2_table(13158) := 'BB720007830087723007BD4320002220CDE3C11EF4C11F04C22014C22124C2220CBA33F9926B29B5BCCB36BA130A1D1995761B3B04C90F2A84C2A26B42F2B0C22AE4C29858B9924B09A2A18F21D9C232FCC29B0B142B09430D390A35332C43A34B8C9690';
wwv_flow_imp.g_varchar2_table(13159) := '42B398C3A0738B5CF909E93B43AE6841A723B52819381D20BFB4FB43F3500C18A115BE639615600191E1B280000021F904050A0000002C00000000580265010008FF0001081C48B0A0C18308132A5C88909F3D87101F4A8C4871A2C58A182F6ACCC871A3';
wwv_flow_imp.g_varchar2_table(13160) := 'C78E203F8A0C4972A4C992284FAA4CC95222C3973013B69C2932A64D003473AEDCA9B3A73D003F6F0A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5EAD3A056B36ADDCAB5ABD7AF60C38A1D4B3629D6B268D3AA5DCB56A8C381FCDACA9D4BF7E659';
wwv_flow_imp.g_varchar2_table(13161) := 'B2FCE2D6DDCBB7AFDFBF80030B669877B0E1C388132B5ECC5861E1C690234B9E4CB9B2D3C796336BDECCB973547CF8EC891EEDD970DEBCFB52EF8BACAFB5EBD748478F069DAFB6EDDA81FB01D087536FE9DF4F41CB160D7C306AD5935FC33E3A7CF46DDC';
wwv_flow_imp.g_varchar2_table(13162) := '4AE7CDAB470F00BD7BD4E9C99307401E3DEDDAB77BFFE71E1E3CF8F1DFAB13CC07007AF1F7669BDF3DE81EAEEF98A90562866FF3343FD5ABD9B79872AEC5361C6DCFD577143FB781E6A083F744780F681302202185125E18217B02E9B61A3EFC8578D33D';
wwv_flow_imp.g_varchar2_table(13163) := 'ABD5861D00FBC4338F68F90DD41A3F20BE745F420116D4225271D9830F89B5B5081D6F4C81D61A416F29C5A17EF7D956503E400E550F41371ED4E23D430D09006806D5D69A82055189507D0F0AF7933E546E79E4926732A42387F984398F40186218613D';
wwv_flow_imp.g_varchar2_table(13164) := '744A68CF8AA4BD09C039007828E29F84E1F3A47E7AEEF6CF3FDAE986623C40FDF4CF91F8E493617EFB30D91E428A0EA4E759BAF543E64B31EA17943E41D5132A415E36451C50FF1434637F02A5FFAADF8EFB5869CF3D3FC5331F4C8ACE532B9607C1D8DA';
wwv_flow_imp.g_varchar2_table(13165) := '3DF1B44ACF3E1316566341A289091B88FDDC93CF87FC5879D0A00245396B6A24A6981F902B46DA9A3DFBFC84CF5BA9EAC3DEAB0030FACF93F3C41317A33809D4DA754F92F866BCAB02496580871209C03CEA2109A888C022D42A00E5B44B10A2ADB5234E';
wwv_flow_imp.g_varchar2_table(13166) := '9A00FCB38F3C3736391077FA19E40E41FA64DACFC515C7C49B38DD2C4C503B0C453B548C71FDA3173BCB02600E50AE2EB40EBD06E1D3296FF4B0DCA73E05B3AB903CD9E8830FB2F9888CD53CFD781ACF3EECF4990F836F153A507EFDFCE4696BA00558DD';
wwv_flow_imp.g_varchar2_table(13167) := '4F3F494BF140995A68D03E99A676AC6AAD72675BB477D67BE5C8039D5A503CF150FF2390DF404937CF3FE3F4B2CE40F4F03D3541F24408C0E1872BBC9BC607573E502C880020CE41A9FCC3281FB40000CA3FF7F4338D40DBED06003B88B43375CD2A378C';
wwv_flow_imp.g_varchar2_table(13168) := '2D41B31384CDD63781832200EA08944B424145F20F3CBBC6B43095EBC4054C1FEB11B48EDE30A96CCF39FF10D331257E80E349ACBA350C13C7CFFCD1A73CADC2A3CFA0290AF44A36AE0C2C5024FDAC93B642A0C0B570A61FF7C9503602C123902DF37B93';
wwv_flow_imp.g_varchar2_table(13169) := 'D000E009DE70E727FE13883D54363F8200E226BA4011E94A07805130AA4617C3187712E1308174611C3873800205A232003C23296E3084E50E232B8140A3124049E02D00900D3F0060150311473F1C419048C4E266A3084A34FF04F23A9CF046652C5321';
wwv_flow_imp.g_varchar2_table(13170) := '0D0120BED0514C1CDCA844FB04A23586C0A31003E146E62A460F3E08048B02C106255EA1BB820C10265583843086B09B7DBCA18C00488538AE91891FDEB0840CA9DFE906F60B40FCEE71F7731E005418BA83E0511D88E04D24D8010981540D00C360A340';
wwv_flow_imp.g_varchar2_table(13171) := 'E0900E458D0200DC88042DC0618857E863358C80DC91B0C21EF101E00DD9B8C6409031904E982119E1C003008431104384221C95E8077728012782BC891D4A141F24EEC0BF3E0C23164C44833A3CE1066810240900088740BA6110EF0D846F00180400B2';
wwv_flow_imp.g_varchar2_table(13172) := '000E5300600EDF14481B1E71812CCC029C03C9421B2E211072A273206BD8D3E24AD61D81140C852BFC0B832E55FF106A02A01A02B9452C1A510FEB016911C4C0862D00F08A61DCE2159D50458706323A7BC5AA84D0B8C33F8E09C319EA0F00ACB445385E';
wwv_flow_imp.g_varchar2_table(13173) := '61101D2E2413047983406291897E2C5420E6F84334AE11BA5CD012009088844D0CA1CA58584F20C3B803DA04D287642463A1AE00462BE15090FA15A48AD6FB89333DC154FDF58316868047234407490010E30D28D5CB18DAA5A3D5E0B1135E1D243B7EDA';
wwv_flow_imp.g_varchar2_table(13174) := '4B00D8F01A0B0DDD2D680109B4AAAE6241D1D1AD00008F320C0418B79847255EE154A04E94807BE4932DDC000018627286D248C81FFA203E60F423138584C3C2A651D84A74637BFF434342EED98F2C08840411DCE6404C918575E4810D8F100818129285';
wwv_flow_imp.g_varchar2_table(13175) := 'D8FF12846723E45D27E82814710063AC02394325A61189B808A31267CC675B5EA5B558141200C86C072840D10FFFB50A99FD30C42DFCB9557A00E98150521B32740ADD9221D379E9E0871F425742C72670215B05802B744A8BF6C92314DB83C7CDA04BDD';
wwv_flow_imp.g_varchar2_table(13176) := 'CC55637B5BC5AD42F4D1BB5720D3B1EF031978DD4A8CCF02A011D95847ABBC00002B14041F55FC63286CC188F6B96214FFE88739F8610B4F54221DD8606C26868106628063810811300066A88E46BCE292A9E01D5FCBB11A5A381517DC004026C80B8074';
wwv_flow_imp.g_varchar2_table(13177) := '3C6C34F4F8473A0CB1B04B9A2314B978C53F22214D13762712C320C836CAFB5C00E0010D448E154118996396D962A186C8864EA181D23003A0FF1B9000061A6C115F2A2B913BA4E818080110416FDA761CA625889FD9904E4EB0210B24984516F64C90F9';
wwv_flow_imp.g_varchar2_table(13178) := 'E0E11FAC24082E1A68934C38732070552E5BD845255AD850BEFD800636BE51880583020FB858C7A771310E5C307120C2B87430A084AC7F2C3412EA70453F88C13F9C0E911EA1C0832DDAF1878F0D71A17E7845151172DE72D40F1AD9E84655DF754A628C';
wwv_flow_imp.g_varchar2_table(13179) := 'C310EBA80436C4916538D8221FE44A714252D124946E4E20ECA345DA7A078F4A44C31CB730B227FB810C804E83ADBB1BC846C3910D3780221E8D04853922B15F0020421DB7C8311FFE31C5CCE92616A2855E1CAB2B906102409507B98330D8F107EE9C4E';
wwv_flow_imp.g_varchar2_table(13180) := 'A985F0E43EFE810D1B266F1E0EFF514F8E1D8952004C631AFCC8855D09726EEB39B512D2B8453FD8118A9FA4E2BD28DAF928EE51357864E20D55D64D2AC0AC8E54A8D4209E68E4ED1626DA7825B914ED7A1518F240104CC0220BA62D0509000047007010';
wwv_flow_imp.g_varchar2_table(13181) := '135C17089FE251763EDD874A70B8DD1B28B1EC4166E217C3706ACB0BD20792FE4FD372D9278740640FDDB4EA50FD38D4946A143043C8236A23FCD6DA90A36F8E057D72F6E31FD0ED118FB349C95EAD813C3EEE19329C3E926DF12858D428ED27D5852C6A';
wwv_flow_imp.g_varchar2_table(13182) := 'A5A707885AC59E7060DB6703A9C79BFEC1B18784AA76FA26DDFDBC74A880556C614A13D46E7403338B558C1F8AEA148DAE44434A70A71F85F1D9EC5BD5AC08A9E74EFF8851FFE28796DB89EA8637AB9F95E706B78F53E16358D822D5020B9F7899E58C37';
wwv_flow_imp.g_varchar2_table(13183) := 'F790873EB83F51BED1A31F79A62BD7C43741814DD0B730C587808E527C382341C5170F8C46109982470581807DA228F54069803717826710DF612151D32D32E325DC7131CB420FA61214FDE05D350332FD500FBC8125D5511D3B42278352650DD8420AF1';
wwv_flow_imp.g_varchar2_table(13184) := '26A6021738C31EC947417D422EFBC00FF3703500500FD2122C06717EFAF07663F351B4672171B13402017C058182D5210FF14025D4510FFC4782FC432BD6822430A31727222916523A2F385113640FFF371024C27F38B1210EA12320720FD74136027126';
wwv_flow_imp.g_varchar2_table(13185) := '7AD81ED29187D6F12431721DD5817D3F81722D487EDDD17E6FFFD20FA1310F54E2385D822C01B21A44730FD2018644348004D8289C3738F38061BAC287F434109C87333276175DD335D5E179ED511BE7C224A4A22749663662768A1B3816461323F58184';
wwv_flow_imp.g_varchar2_table(13186) := 'D90220E1051A749284D4872609A23640512EEB5120C6F81094B310CCD831FF512EA181879FB28C91D21EBCA12D0BC121306234B2A217AD812C7D9810919226BE2211A6882C4DC22EF0A8173F018EF4711B5E828BF5D82CAB31896BB810C538106CC21E6A';
wwv_flow_imp.g_varchar2_table(13187) := '788C38610FB06851708284D3922D0F6123DC822A4A481C79A68CCD738516793E4DA2845E723ED3B13BDE520FEBC28423720FAF918ECFC14FBBA8161D3814C8910F4F32902F91200AB22C42A21C40613432FFA217B2788DA0C7255341892E528609711BB9';
wwv_flow_imp.g_varchar2_table(13188) := '327FCD218C65027A31A183F5781B3119790A11203AB81F4AE29331E91BA7B188B4961AAF312728584287978009F8121A683CEED310768379939320717190290916FB541400E2943121936E3939CB61148FB193CDF27ECE2814905796074169BCB11F0D71';
wwv_flow_imp.g_varchar2_table(13189) := '1A0B542EF3D7351031722D3224D1981476F91278B41A96E97C878596BDE11F0B927E0C0120FE011A79818574B17A5FD331F5121738D9845001796F99148689225A4914B109277E5992127714098314FEE33FDCF19BF5841EE3614596479CDD110FC0F99B';
wwv_flow_imp.g_varchar2_table(13190) := 'F0C031F29040CDC914CBA910CBD99CCB599DC5C95705E19BD57934DD711EC17914BFF99C09FFD19CE4097405010EC9000B0C4102A6C59E00C09EF08968DB149F08C106BA306BD9299EE4B931D6D99FE5299E06F19CFBA99DD7C93807010F1FD89B07FA9A';
wwv_flow_imp.g_varchar2_table(13191) := '9AC9A036A1A0F010A1121AA1D809A108619D43F15EFEB9A1FFC9A1DBF9171D1AA21E5A9EA8E33F5B4814FA199DA8D8897BD3A215D84138331FF4D72418CA9F305A10CF199D2A2A9DFC599C238AA1EEA00EEEF031E67910F7F49AABE9A083E99A4B6A9A82';
wwv_flow_imp.g_varchar2_table(13192) := '89144ECAA44AAA8B4D3172E4C292E1052532D3348A428142617C492196621A30FFC00EE1900FF47097538A9A6B7A98A72129C0889AFE711A4EF1A46D2A15769A108149420F2339FA36989812A5501AA5845A31E6900DBC07927DA8A648FF7AA7985210D4';
wwv_flow_imp.g_varchar2_table(13193) := 'B11E07E9A580D92979EAA84D21A55401A695BAA746C1A932A164889AA6F488A90263AAF6F1A6F9109DA7F11D7141A8977A81B09A7ED287AA5341A953A1A93661A99007AA6E2133C06A10FCA064D500874B68ABA78AACFE511BAC9A17DFC11EB0BAABB3EA';
wwv_flow_imp.g_varchar2_table(13194) := '99B18AAC8CE1ABD1E7993071993533ACDE4A81C39A0ED1E01D716AAD49AAA473CAAC96C70FAE2A13AA39A7EF5A9B68B3A7D56AADAD59AF4DDA21B5AAAFACC9A4A6F95164E99962797CFFB0400C18AED5907A5689A9E77AA7FC700FF0D00E47521BBE9180';
wwv_flow_imp.g_varchar2_table(13195) := '231795ABC12048582DEB7235FD70351AEB1B4E3AAFD2E79AF4BAAF4561348699A70D2B1817DB84DA9A2DB23AAD340BAB21FF163539221A78321CBA528AA5281F40CB793D4B80BA527CC3AA64D1F0AC2D8BAEF64A2410AB0EA4797CA9C1A9541B96A4532B';
wwv_flow_imp.g_varchar2_table(13196) := '647AB387920F0CA8AFD46A55D1CAAB310B137AE1AB7C8A244CDA964DD387F590172EF9B1F7C02051631B6C981728DB162F0BB39FC73635DBB7846A7F0012B80062318E59B8824BB8833BA6031BAE494B0F5869AE4D8B2AF0A00E9EA778031B2CE9403EF0';
wwv_flow_imp.g_varchar2_table(13197) := '100EE11030EAC00E4A160EF8F00FE600BAE2100E4936AF1708B682FAAF518378BAAA1087720FAD620E8F128B38410FBD1397BDD1276119B7C747B06CFAA27D38B66911307CABB7325B2F2317987E6BB3376B9AFFB00C610000793007613007739007D97B';
wwv_flow_imp.g_varchar2_table(13198) := 'BDD9BBBDD8FFABBDD9FBBDDFEBBDDA7BBDE87BBEDA3B076C200A05FBBEE9F00CED1AB94BBBA64F9B26C67728E5000DE4F3B201C3B5E990001AF50704F0007EC50E14E005FF400901700DE960007EE00A1BF000880AAD510A7D170CAF1A5CAEF30379E1CA';
wwv_flow_imp.g_varchar2_table(13199) := '0CFF904AE230B08F9209A31B4D23AC32ECC10C91960DD9400BFC100E7E80A8E6400C9EE009FF700B07C70C7F500EF4900AE9F028C68B168E19A824A43279FBBCB30ABBABA70FF1C0410210C5523CC5545CC5567CC556DC0017E0395C1CBFD451BF0E0AC6';
wwv_flow_imp.g_varchar2_table(13200) := '4A7ABF07D18DB1B00750100A8C173049460B4A9004F4F0067E000F1AC00CD790044AC00E9E100099600B04100956E006087A3FB4BA2114FBB74E0ABB05FF31ADC31A0E9990C3A9500EC37062AE300C9016098CE0C8CCF00677C00E99D00DDBF628AEE00A';
wwv_flow_imp.g_varchar2_table(13201) := 'BC970A7414A4E1303AD1700BF750C933960AEA0057E540653233C46A11BBBA7AB14ABCCBE5920802E0000350000330CCC35C00C22C00C69CCC0580CCC62C00C1ACCCCBAC00C62CCDC92C000AE0CC0E300704B840F13BBF4D2BC60793A7646C10FB570E96';
wwv_flow_imp.g_varchar2_table(13202) := 'B009A8D007E9503323F70F55900937400C7EE007FFE005C060087FE0053EB60368E007496008E560024710C41E6B9AF9D00EEA90D0EA900E0C9D0E0BEDD00A9DD010BDD011FD78B33AACE5006665E009AEE007D5100D861009B7900903270EB610C1C430';
wwv_flow_imp.g_varchar2_table(13203) := '5F99900DE945BA967C0DC4B051B65B0DB7FFC070DAE109D7700DD6750BCFF00FCF30C2D01716AE9B99FA5A9B86D92ACDBBCB7E9B1AFC300A515C00D26CCDCC8CCCC51CCCCE7CCCC49CD5CFFCCCC92CCDD43C0002A0CDC53272EAC00CDE6CAFE0CCA0E36C';
wwv_flow_imp.g_varchar2_table(13204) := '104AA60ABEE00BB5F00EF6B735FF500E14400101C0089C7C0D0FC00C30C0010400079150065C50056FE006E6100E1CD03905BD7AF4500E9F9B0EE620D114AD0EE600D993CD0E969D0EEC600E926D0EA5FB84B03AACE2607DAEE009B45009F2300C6EC0C2';
wwv_flow_imp.g_varchar2_table(13205) := 'B6306525F606A9900DA030C32143BBE150D3AE500E57A539315D0E00340CDC610B08E7C287720B9D1BD4F82AADB5EABCEC71B3D0771A9D7235AD2232BE6B7CBA71B4D212DDD28DC1DCFFCDDDD887C1B09A1AF6E0CB0010CCD9DC06733000C01CCC5CCDD5';
wwv_flow_imp.g_varchar2_table(13206) := 'C93CCCCE4CCCC6ECDECA4CCDD71C067C03AC658D82699D92FFFD964FCB94BCC10EC5E00BAA700C18D325B6560590C6057E800014E00ACF9004FA900D65E0079140097F9009F84C005560BB4E1A17F0900EE1C00CA08D0CD7200ECCC0B9C8500E899DD8D1';
wwv_flow_imp.g_varchar2_table(13207) := '100EF0200EC870BAE1200E9C6DB7848AD1A4CC0C950C0AE5900E7F400B9E1CD2F3A5532BED07E1600B885AD7CF900EA4BC51EA50DBB7400CA7EB0795200E9EC0E4218D0C9006D4B1CB14B3DA278D5C0EC547BB8A3C3CD9A017BA511BFD500EE2002486C7';
wwv_flow_imp.g_varchar2_table(13208) := '0EB4D00EAD32ACC79778F5F7BA8F7228473BAD4CEDCB1700D673D00603FF70E8D6AC0017A00003700117C0CC5CCDE817D0DEC2BCCCCE0CE9F23D008E2E005B3CD6FFD0DF8E1BB96919B9F8200FEC5045AB971ADF500BC5F00DFA877D5123360142261968';
wwv_flow_imp.g_varchar2_table(13209) := '2183D70EEDDCB60020346289B3EDE00E7E50057E900952700B77F007B72005009D0914100E70C00577300C70C00886E009CF0007ECA0EBF5A7B8EC4A3A479B64ECD0309A9D84E920EEFCE0D0474B3A9084A8D1A24B9E3DE5EA500EF6000FA0EB3FEA107E';
wwv_flow_imp.g_varchar2_table(13210) := '970B15569BB5BE3B0C91B050E260BB12E30E6D2B0F0CAD0E8CF0E4B217EA7030C3FFD0B9EEC00EA0606EA09B0EE2A05FA43B3C29A3BBF9AE0E230CD95A9B80B35E84BE0CD50280E8CEDC060AD0F2A670018FD0068DFF5EE90E50E90AE000B3F008A6E000';
wwv_flow_imp.g_varchar2_table(13211) := '3C3F07E49405D94C4E90DEDED98C4DAB910E662D84310133BBB8DC480AB1EC503447FB49755D0BA1C063AE51180C088CB3DB1BC02BB75A5B2F968A35DBAEE1C59E042C7607E540ECE2F0064A000C82CD086540CAB62005655006ECC00E3CBEC47CCEE747';
wwv_flow_imp.g_varchar2_table(13212) := '7B7C3163782583B3798128D18D7D0C1862F95BB6ABF7AAB9CAC85366C9E29009BB6D08B480D329ED07C490096890090D66C9714E43A1F3078E1C09F31C0D911009D93006B430D8A6DFE288700BAEF00604C708B4405CAEC0A584CAD43024DF7310E917C0';
wwv_flow_imp.g_varchar2_table(13213) := 'F20E20008AF0088FA00883600ABA300B9390F373E000ACF50898300BCBFF0861600A83F008B0C009B0FF70010D20DF9FFE0FFBD7DFC07B132FB98B019E92505F30897F0FDC00098BB008AAC0BF2F426B6EFB181A6B1BAF4AF885619A00C12FDF3D76F00C';
wwv_flow_imp.g_varchar2_table(13214) := '99C8F4EA8E3A715CEE946136AD471238777664F203EA9F2B43A0CAC06B97AFDF48922547DEABD7EF5F3E79FFFEF5030080DF4C8122FBF1BB77F35E4C7A22EBD5CB1753A54B95374DCE8C9954E952A64D9D363519F59F3D4FB652F98964EBD6BF4CDD8665';
wwv_flow_imp.g_varchar2_table(13215) := '8AD6CE932B77A98689FB47B0CC1B7165FE648A044F5C9237E9B2250490E99AA770A0CA458A04EA1A31B0FF3C614DF78F5FD192FBF6FD4B24A040810117DA8479D4A64101015974291AA44B579840A2759120612ACB23D161260D0A336B962951A5FFDB38';
wwv_flow_imp.g_varchar2_table(13216) := '1830C0C19C75F1FEE9FB978E19BD7BFC9E1E071014F972E6CD9D3F87CEDC7874EAD5AD5FC78EFC1E3C76F496F2FB270ED2982754C4781163485C5397F9C0FF8B091FFECC7C2E17BF74999F24CE76EC0CB92AC30F2B3CA1040D50C630040E3F9041C30D5A';
wwv_flow_imp.g_varchar2_table(13217) := 'CAC8A40C460CF1849837E46967A6A84CCA8FA57EEAB927440042AC09809BEC730980FC545C49C3A8B28371C3A3B229271357BABA261273000085924A88592F92706E89E49F7A82F303AD8EE011B29A2A6EA1C5AA4C0030E41AC122B991114FAE71C5164F';
wwv_flow_imp.g_varchar2_table(13218) := 'CCA1C59070641CC9B17E22038032052E98C3B2390410C081D1DA68E39139B2988535071C3025B32C4C99630E5D4CC9D31453F230A5FF0D057213E0827F7C034F9DE1EED1A73AE560C434534D959A6E534F3F05553BEEBC4B0A3C79FC50C20BF4D01BA30A';
wwv_flow_imp.g_varchar2_table(13219) := '44E051CA2575DC59291D5AD3A2471DEFEEF907C37FE861070078D20196D691041A369C74CA11271B6CC2C986A16BBA29271D71C461D69C70AA0907DB70D481C7453287D131BF486ECDEFBDE4FE318719766F01201D46C2018012621493D1C4509B2393A4';
wwv_flow_imp.g_varchar2_table(13220) := '7F9831649A7B3CA1A59F616849A7C26C0090A79B67A2C986966CB2F9A71D00E8E9A79C79B371479D37FA71C50F009E01A01A73B269F69A4A9E41391B7868B9459E4C6C794946C7EC896C00CA181D4080362E28604D051C5040E8A22F381A690184BEC081';
wwv_flow_imp.g_varchar2_table(13221) := 'A69D5E33E8DC76EB4DFFB1E086A3A753E82EDDB76BAF39FD3A6CB1ADAB6754A57855C70B2BC678C30D34CA18C38A327634AEBE744001065A5BA005E01A668649E7997FD441C69672B271E5195AAA11472B738ECD071E75D449A7727626A75C9DCBD3C17C';
wwv_flow_imp.g_varchar2_table(13222) := '72CE2FBF7CF2E416DBB0BE6E282947D24C982C079461D4A1C51371D2B9E61A97BEFA671846E8A1E595545C71259272F0CD776CA8FA558945A254742A1F4ADA11471E7DF3E11AA64C825D78A5FCB6E79E7BC6A2BA399198065834B79E2B9B4C009D79EE59';
wwv_flow_imp.g_varchar2_table(13223) := '7DCE26637432F873937FE746A7B25A387AB2A6EE1EAE8D07208CB416400212703BDD295550F091092958416DAAAA82173221BD9880A71CCFB8C73090418B9369EBFF19B630C730F8C10C6255E3197E138C38AE8132FB080425FBA3C74F7EF24218D6707F';
wwv_flow_imp.g_varchar2_table(13224) := 'F2C0213DE41143F790093EA0B0453FC211984C640319FF7943366C418C5B44E325F6B0454B6C918E61E4C3169190C70A5742A6022A057941710F88FA41A27AC4442441718739F4039363D50329F582877748060037BA877A40B1E3187D921332854F0000';
wwv_flow_imp.g_varchar2_table(13225) := '209FF9E8A73E9DD54F7E85A40CFCEAB73E43C28F6A901A1CD62A459DFF75D192CD19E0253519AA0392AA542BF94A2644099728CAA482FFB8E03E90810C6CA07218EDB88638F8712F62A8831F467485396CD1B1AAC0C33E26311149A857139A1C0B723441';
wwv_flow_imp.g_varchar2_table(13226) := 'E6864C24928DA4E21658A1C42D52018754A4E21FA9FF00852F5DD20E57E8831EAE50872BE8412475104345A453E62691C346603225455AEB5E52DCB1942D22CF9EFDF0232005B94F7EF6739FEEF3A7F9EE678FFC612D93CDA9A43A155AAA853654536543';
wwv_flow_imp.g_varchar2_table(13227) := 'E05278D5A273C62745F151875954E88A72B08316F840C62DCCE18A6B94E3166789D63F68C18C6E74CB76C6198950EED9AF0A3E053C77CB049128E40902FD8116D6BCC597ACF90F78D88225B4900731E0408C6CC06182C47B91438F5392EBC024124A7185';
wwv_flow_imp.g_varchar2_table(13228) := '8A6C32D37EE9831FA47000002E9085B13A80AC59306B5AD1BAD6B2AED5AC6325815BE5AA56122882792A0ADCFE0EBA1CFF4955AA7BF56B60F96AB6A64C473EF301C03EA6639CCBF5CA1CECC8C7FF91E8618E7648AE62E9D00951CB210F5EC9039D6CD457';
wwv_flow_imp.g_varchar2_table(13229) := '4C45CBD5E528461C6A64163FE2383B7CF8D2151463477B8A930F8CE9231C470A87C5B8C814980496AACD814FAC7A9B55DE721579175D477295ABDC78F4A6B9F188C739A2DB1BEA4617BAD2B5AE74B50B5DEEE263B157DB9F75122AD82E0296BCE7952861';
wwv_flow_imp.g_varchar2_table(13230) := '0B9B58F682CDA28A61517D949722A2A82428DE93E968F51B4C76F2B79DA58D277DCD018CC5F82FA6FC55D1487ED95BD1EA6B29BD452F759607805BF423150F3E703A85E2DF0D6D2F29DD730941413C62126F8FA0A7D49F27A333DE081BCFBC2D3E6F2791';
wwv_flow_imp.g_varchar2_table(13231) := 'E398F6D6949EF531AC7C926294A170AA53BF3DF08E373CE4FC3A18394809AE1973FF2C93C5203398A135E58E416B6421C318C0DC3332385CB10E2F1A5746358B8963C43C663297D9CC63BEC79969CC2299B0EB199C4DF2D6AC5CDE39D719A22A76CA631E';
wwv_flow_imp.g_varchar2_table(13232) := 'F3941545B9CFFE75EF53F6EB942053393BFC00CA1B999C4C08D779AAD5F13000F0713C2F1F1700F6B834FE08BA694D779AD39FF674A8D9DCE6148BD7D1017CF1A91B2A6318C599CD49FE2D740A0D1543674AD1DFB9357A63DDE5171957D6953EAE88318D';
wwv_flow_imp.g_varchar2_table(13233) := '3F620B3BC4C72E36B28D8DBFF87C5238F328A3AAD19B6A69AB93D55FE3F19C735D2A6A3774D7526EA7AFF94CE8FE8EF6C9E636F7ABF1B36E75B79BBE8775B7AB519C8CF0569BBCDDB67779EF4C13262F1A994EF6B171F81DF0FFBA09643A41612749785D';
wwv_flow_imp.g_varchar2_table(13234) := '69997298AAB3CEAFC2117E6E08375AD00EC73653008EEB7FFBBB981E1FF877681D70B0FD7B311B866FC455BE618157D0E45ABBB5C939850F760D27DAF9F62BBE714E40DABA63A225067AD049BCF33947DA9DF1B438728CDE45A137DDE9B2AA460C999374';
wwv_flow_imp.g_varchar2_table(13235) := 'A27B4DE755DF573D62F8931BBAC31DF08087D7C33E76B07FBDECEE6847DAD9B176B6B7BDED95057BDC8505ABB9EFCBEB77BFFB71F0BEF6FEF4C7ED6E670ADEF39E76C2171E8078574A3BE69929AF03A0F1F26C8EC596A2F879AA3D5831B97BDA9772F9BF';
wwv_flow_imp.g_varchar2_table(13236) := '779EF2822F3CE13BDF76CD69AE3FE980473DF041BDA0F88FF5D4C33A00AF1E7BB175AE72E930C7ED755FB9DCE3FF9EF7BFF77DF07BBF7BE27B6D470038FEF19F727CD1A90300987B7E52D211931D4D3F5EC89F7EEE911F13EB77DF78DA07FF71841FAFEA';
wwv_flow_imp.g_varchar2_table(13237) := '97DFFA4A997EF7950F9D1D9923F7C73FBFF6B9AF14EDFB1EFBC2C7FFF087EFFBF7FFBEF7FD173E739895C50B9602040003BC3CDA0B9BD953C0AFC187497BC0A478C0089434A6F809E698C00994C00C041519F2C00BBC8E0F94A1AACBC0496B0A10B48714';
wwv_flow_imp.g_varchar2_table(13238) := 'B40711498A1049C1E7B8A3197A4100D08749A2C0D7AB410A2CC11DE4C10CACC1D70B9110793DEAC940154CC179C0A1065427065442B119C1A4B840AD13C129F440A93B0E16FC1429ACC29BAB0E2DFCC02694A89D189120640AEA1142165B0AD82315291C';
wwv_flow_imp.g_varchar2_table(13239) := '43FF223441160CC2389443317C0A0A34A321C443377C402304413ABC42300C152604C4AE21C3166CC13944C439440ED8039544F4C3FE41C4416C8AD7538A1AFC4134740A9488092C4C0A462C43D64BC33C14C57CB0C45234C553BC445084422A7C4249F4';
wwv_flow_imp.g_varchar2_table(13240) := '144174450072C459B42447C40E940891197AC44D0CC533DC094F5C2855C42413ACA01A0CB94A7C40225C8A4AA11E7BC023A5B0C350BCC151C4C30744C56B44C56434396A04C658C41458F446ECD8B6A69043E6C0C4AF410911DC45E598C538D43A1BC233';
wwv_flow_imp.g_varchar2_table(13241) := '4EE444285C0A100C202C94A15DFC44D613C34A49C5FFA9C156ECC71A4CB317A24398E8C61A4C0E61BC432004C238A4417DE8AD528CC85374C3FF61B2A38100C1321AC132D2C770A40E700449628C46A69841685C2C7E8B40A4E838A73838D633467E633D';
wwv_flow_imp.g_varchar2_table(13242) := '0E8C891E2CC15FCCC308CC455D8C894932237DA094A0044AA03C9B5C8CC35D890910A123A154487DE0C210D107E5A01EA014113F24CA4FF1C9161CCAA04C0A7F3C411A044B3F84CA52644A8ACCCA3CC3B488344388DCC4762CC79EA4C8490CC27D18427E';
wwv_flow_imp.g_varchar2_table(13243) := '704610A4A098C0A1BDDCA18F0449E810C9588CC0B47C0E889336062BAE0CA3BAEA38C5078B48299337E08A4C480BAE2093B7C80CB28A7B3AFCF2C33D538A7DC038705338D184B8FA920AEC00B1BFFC46D5A40E13648698F8822BE0822B0000DAB4CDDA8C';
wwv_flow_imp.g_varchar2_table(13244) := '4D00884DDAFC82E5D0822FD082FF32F84D2D4083E0ECCDA5D002DDECCDE30400E174CEE0440300781BE994CEDE4403E62C83EB8C8932C84EE8E08231F84E2EF082F0F402F004CFF1344FF1E4829828CFF01C83F41C839810CFB80180F1F482A518CFA478';
wwv_flow_imp.g_varchar2_table(13245) := 'A0985082274882E5F84F4DF94E00104F02BD4FE67083E64C0AB82903FD549507BDCF038D5008ADCF0A5D0A2A388EE80400B7711B00689BB64103107D83981051B719D1983051E904D13B689006818EECEC4ED60495C07445C26C8A0988091C4D0A09488A';
wwv_flow_imp.g_varchar2_table(13246) := '09E0D11D550A08888E0A000010A8002335520F00812205811628D29858D2257D52007052A5A8D2A5488129CDD2A6F08098D8802F05530000530E408E0D880932550A33650AFF35A5809868D3358D8907788098400003008003488A002080000000023800';
wwv_flow_imp.g_varchar2_table(13247) := '03B0530D0080367DD34CD1000DC080430D0114408E1700001E480A1D7801468D09415D0A33C55431D5542FDD5400B05402608A1F88891D30821D000052355554058052750A515D0A57050057655523708A18588E14308198C85500D8D55D95D1EBA05190';
wwv_flow_imp.g_varchar2_table(13248) := '54811100801150011020D61100011588091570D6622D56628D890E98D2E6980063558A11700115D8566E65561700020018020070812128D7720582214857701DD7215001732D027195570008D79818D7504D8A17D05749D5D77E05007F050018D001E480';
wwv_flow_imp.g_varchar2_table(13249) := '81807D8182FD571878017E050016F8D7A450D8878D09144001FF330D8138F5D44A05800810D31030531460011C78011CD0811A28591C808E921DD8A4A8811A588115708A2588892988095A450223B8D998E8819870580078D99605801A205900D0011418';
wwv_flow_imp.g_varchar2_table(13250) := 'D8A25559A305009445D98BBD8E000D50004882A9FDCFA8650AA88D09AB5DD51FA0D5A7F8811D0002B015D57AA5D75F1547B38D0E38985600A0566A8D0965ED00B84D56B685D20E40561070DBA6E800227D8A11885B631D81C025566F750117D05670455C';
wwv_flow_imp.g_varchar2_table(13251) := '17600AC405826D55DCC62D02C575D7C66D5CA5B0015E255A0060D4CD9DD4CE458117608117A881CEFDD7CF35DD4995D4A35D58CD8D89D1A5D8CF4DDDD8155D8A0DDAA40801A715540D705AA55801146859FFDF65D41A800E98F559E1F559D63DDE485D02';
wwv_flow_imp.g_varchar2_table(13252) := '1D40021D58021E4002E885DE25D85924480A1C5881123881988059DA0D5ED67559145881F06D59985D810F608E2338020058DFACADDAAA95DAF885DFF92D82F995DFA530D5582502B4953DFE5D44D88BB3B98556689D5BC125E0B74560BD25D6BC658ABC';
wwv_flow_imp.g_varchar2_table(13253) := '95D6A4285CC58DE00876D77155DCA418026D355772550AC48DD77465D698A8521618D81A40011C10DA144661CD45DA923DE19645E1156E61A36D611D2059A65D594935D9136ED8DAAD0116A001000862E2155EE2A581F16D8A224E5E970D5A9865E2276E';
wwv_flow_imp.g_varchar2_table(13254) := 'DDE335DEE360021E6002537D5E00D8D9EA658A13D0DE200E6226FE5EDF0D5A4A2D5E240600FFF4558AF54D827855DFA5488223A8DFF9C5DAA99D63A96D633BD6E33C8E89FD4D0A583D8E1BF05F4D09563004C57F80836B5DE0077E60722D60E688DBA488';
wwv_flow_imp.g_varchar2_table(13255) := 'E446768A473EDCB79DE008E6560E9660088E894E568A10B65C1370544A355AD31DD84965E1133E6591CD57135E5947CDDC48355A123EE5A628D9E770D923BEDEA4185F2476D927FEE560265EA640635CCEE2479559EA95D9A4885E99C5011A28011AA066';
wwv_flow_imp.g_varchar2_table(13256) := '26665D46EDDEE335E39605DA98C0D3CBCDDA9868DFF555DFAAAD5FF93DE73DC6E33966E73D8ED77805E7A4D881AFFD5A3F1EE419BDE7E3B8AFA59056017EDB48768E455E5BA7705BBF5DE4491EE0C0056500E0D6C21DD662755C720DE1FF4DA66877558A';
wwv_flow_imp.g_varchar2_table(13257) := '5C5D58A3155EE10DDE121E58940D5A1BC60192DDE1A4CD658D3EDAD6CDE59456DA9800E9A585695DE6DEA5F8E5A70866295E0E26205A2610E498E08166EE01EB0580E8ED81668EE25E46EAA508DE294E63A638E7A43082364E0A77E663FB35E7A8855FA9';
wwv_flow_imp.g_varchar2_table(13258) := '7D6AA6B8DCCBFD8170DDDF70EDEAAFC6DF7C7E8E4296C4A4F35BBAA5E46C755B80FE67A6686B826E8E7E468E4666566375DC89A6571730551630654925DAA1355E9365E18165D491DD5CA4D55CA5256333A654A14569937D69A5F8681C08D99E5D0AA64D';
wwv_flow_imp.g_varchar2_table(13259) := 'E29A5E8E9B768A9B5E8191E6E92B6602EB855E2D5E0224D8D9A50862965562E22562F36559A550E30770D5ACAEDFAD8E5FFFA5E0E3AC7DEA785D0AE13E8E2D1DD5982882FD0D6B5B7D0A200064B37649E8A68E05060022E5DBB99E5606860E69A5560B48';
wwv_flow_imp.g_varchar2_table(13260) := '0AEFD65BBA5D8AEEFEE70766E00B1EE098B0010F18D9DA0D6993355E1D4869A658D96B8665CDC5011ED6DCF115DEFCBEDECA8611005F0E91A6EFCD35E1E3705E00386D9EA6DE9830EA475DDA291670A628DFA366EA07C8D5AC966A0020EEDED66AE40671';
wwv_flow_imp.g_varchar2_table(13261) := '0E17E7A52067116FDFA77052B00500E53E6E7B5E8A7896EEE88EF1BB8E5B6A5D6B2D9083E360E41CE0E0ED7EDBB5D66EB60D72497E8EC1B5DB1096D6F57EE1A2C5EF895D5993CDE59890EF48FDD71D9ED897A654225E61F78EE94805691B6E0E90AEECD7';
wwv_flow_imp.g_varchar2_table(13262) := '7E8AA1AD6CFF320EE996AE6D1CD069E7FDE99F76F3D56E66480570949D62276EE2A56062902673E4CEE378956A39D6EAFFDCED0F5FE30EBF0E186801B00DD722707422D8011B00021707001B10E41810D219D7384D770AF45E6B225D05004806B96E0AF0';
wwv_flow_imp.g_varchar2_table(13263) := 'C694215FEBF00600EF66F56A956BBC85522A65598ADDE82A3FE51AAE6FCB76D4D1FD6156F6EFE4BD7246CDEF1FBE612A5F8A5C1FDECD66EA816DF3A49E58E345592628E69DB6E21DA8E2D2360266460226D8D994FE6863B6E9DA3E014BBD81DDFEEDF6C5';
wwv_flow_imp.g_varchar2_table(13264) := 'DAAEC95F1348F17A75F40F5E8A9EE6F4E3406B6F7C6017A05659480A28488A517F0A6AC88EC06D8A54EF71C13578C015F8667D0A0696D22E75E95BFE6FFF959E70299770CD3661D0DE6887FD7529A7EF591E6C30778ACAB6E62E570A9DB66CF7165EC466';
wwv_flow_imp.g_varchar2_table(13265) := '6AA600699D86D49EB6DE25305548650E32EF73E6487736EEF0131FF13ECE14188081FCEDDAA56801E606D2429DF7404BFAA430E8EA06007D0F0640000054888957F02B33D802ACD7FAACCFFAE3D0EE11780111608103776F460DD9987054D185D848CDE8';
wwv_flow_imp.g_varchar2_table(13266) := 'A21D76E0EDDDDEBD78CDE659943D7BCE8EE91C5E8EBB6F5D607E0A1DE001C05F0A593E76971E691FAEECE76D666BDF762B66763007791A40D969778E10C85F0E5FDF732E029E17744FB1671890813F5EF1157755E376530AC8F4A5577AD517E84408065C';
wwv_flow_imp.g_varchar2_table(13267) := '500A67D8045127F2EA38072BA88E11A04DFFA6D802A538CEE40400337075227FEB7FE500F1FDE5C8FEDED675E5E3387B9FA57B2576E9A575D8B3E7FBEB7D7E644F8AC09FE5EAEF7B60C765EE877004C76131AF758E87D4D31E6A00580294D57EA598780A';
wwv_flow_imp.g_varchar2_table(13268) := 'B77B38C67C40DFEACEE779EC98741B8055190008193B000CFCF103808D1632520068E8F021C488122752AC68F122C68C1A2FF2DBE8F123C89022335600104C16AE86BC54354CF9715CBC86E700ACA106C0050039373B8CC0D8738B99865B24CA01D4B091';
wwv_flow_imp.g_varchar2_table(13269) := 'C30E0E7B3654DA1484C3150E5144AC81A2C6431D10B502D081E321D5862BAE460540B66A571C5C1B7E05D0766B561C2874600560B5460DA912DB32E1A1834756B37B21E2C08A55C712FF1D4C7600E6C1A46BC3C70ED5BAADECB02E0DAC7AEDDAA50B4003';
wwv_flow_imp.g_varchar2_table(13270) := '80100E93402C42DA6191910F813C4CD1A2E1C1183776C4907D2322070F007403E0A0FA37F0E0C13B0A2F6EFCF844A60E83B96CE8ADF946A53C1D5AE85061C274A71A5F3534F3CA9E432B0D2B0158360AD016F10D476877DA41E908116231E6A53AF7E18B';
wwv_flow_imp.g_varchar2_table(13271) := 'BA6137AEB06AF9FF640142E4176173D595D74379E1D590566B01E058830DE14517853578E590565F6DE698634870C8C45A8A4126E15B0ED190190D10D55058431A30D05011471011516AA96D34236B141994634309019002430D99A01B07127850246FBB';
wwv_flow_imp.g_varchar2_table(13272) := 'F97624724D3A091C714F4A396570B5F8728C32BF34248B12D229071153FF3D4D471D0015B0F7D12A0E29034E258DD8E4D02811A9B05E5315BC079F760F49558244546185427FF71D7856449B357442826C7DB522A35F9145955A6F3958D98A2C94589684';
wwv_flow_imp.g_varchar2_table(13273) := '6961F8206099524899A40C7E2517837D21C604128A01261957914274A24675C967848DAA1D04C00F3BE4BAEB43BBFEE0A30D1449D05B434952792CB21945992CB3CD3E744B237D48244B5210F174ED0820F4A45C49D759CBDE971849D3503611CD64C610';
wwv_flow_imp.g_varchar2_table(13274) := '20BC370253ED8DF9D1665785C5957D18F1B9014467D5C0C2460EE2F0C2A258B1505FA1004208405FF3613429670D259618880E49F6508A98314A588A13F520A37003553490C741FE58AC43260060324428ABEC2CCBFF522EDB32CCC78A71C643C18C8253';
wwv_flow_imp.g_varchar2_table(13275) := '441640A4ED7450955981B71DE8FC912C5A42348A4E0E2DF3D0BB0008ED749E870280A8541BAC70C2D52B588D75085763FAF5488FEA5757468B0260A98461019AE8A86BF995E1540BB21551846DE9A0580F20FA25D9AA9D428668A60D654C510D27441001';
wwv_flow_imp.g_varchar2_table(13276) := '0046CC189CC718BD9602CA0E31F45A432D4C0E03002D601E33E7C8BDDC39E8C159314615E279014015179D897307383B34C15221AD01C0500E05E5501CB7373444D42531AD82EF888660350059E3EBD0F05D17DF90DA63E90940092B5C8DF5D4862A4C51';
wwv_flow_imp.g_varchar2_table(13277) := '7FCE6794A16776A10D91F482D91DD1A58016E6B6DF6C191656AA093BCC4362E92308000D2C2E5FD6E0FF2D1A00C0E2C752FE1A0C5E23C01FB54073940B56E50C18C001028002A17BE0463E07C1097AC40A68B84343CAC005D41985285B50C2432AA10510';
wwv_flow_imp.g_varchar2_table(13278) := '322D223EB88247B4F090A1A8D021B5A3489E94D282091C4F342138C1067008B8130CAF21C72BDE0F27A235A9000E7BBFB9945A2CF4107E2DE82A863A8BDB227419C1AC882FE9CB90FDA4D2A9BE2C01004B404243E49729FB5D0F383B604DE31EE2238450';
wwv_flow_imp.g_varchar2_table(13279) := '0E220CF199CF1C62831CAD11219983480C0208001880E03600E80705031911090AB290D672C8E91AE2052B24B224E06A480701800508B410005A30431C2472850EC401761689DAB6B03526F7006068878C882743138255B2529512399E544473BFFF326A';
wwv_flow_imp.g_varchar2_table(13280) := '6D6A0F2962199FD72FC2B4AA6142DC17830AF581D07CED5281D18BA17AF0C52E3A849960A3080DAC271220BC664E769C481B1F021513C4B1212AD8C1372382C03BE6D167987B8021D349C8740AD24E37C9E44330E84DA79DA921722889196AF7420048C0';
wwv_flow_imp.g_varchar2_table(13281) := '0C41F11D007C30848760417722316545F2E4CE87D8909815916568F412443DFD1097B89C2548C252A2BBB90507E5436654AE323EF0616A5E1E0DE683DCA215E791CD99F003E38778D016630A6E05D1249B435EB483FEF5AF2140982300A839CF71520404';
wwv_flow_imp.g_varchar2_table(13282) := '268B1C44865532A302C9210C4C010C50C61BDF3CE00DFF606720D78955D0BD67A10F410A4426A02D3A35A4853988C3ECD603CF86F8FF60AD0DC1020A691211100094AC1A21A5D39AE2909280800214D000BE7AF81988FC7003B2C4D70A64294BAF957195';
wwv_flow_imp.g_varchar2_table(13283) := '51C11A488B473D5DF62B5217EA8A6128222F9A7206346281A85D380BA8D14AA80760FCA232C30819CFCC947E53B44BF8186B800DDC80573F00C2ADD268030412D521986388078684D48770C0810F40674338E09BDD3C44B84222D90624B0DC376C95825A';
wwv_flow_imp.g_varchar2_table(13284) := 'AD6EE7DCE91ED8852B5C13F1C19C5CE0BB1CF8A00313C0C9042AE0037A9632AF001841B7CA84508948A74CF62DE15EBDFA90E305D6B30D6968610160D8AAE930A2A0BDA54323AB27694A335F75294CA822F42704C3B23F7393C8300D5C164B5996052850';
wwv_flow_imp.g_varchar2_table(13285) := '9B59FC0380D3226109FF9DFACB447060D3291EC82111D8DFE61C8740CA71F364C6AA48911A825C00400000E884800305DC10A56217BBD72D72CCEA6B9DA4D455244EF1E4B0EC541DF936A4243A03DA7C2352DFFBEAD5BD0F892F3F3372580D0816B10D45';
wwv_flow_imp.g_varchar2_table(13286) := '1E7FEC124D054B4D6A80DB4FF1C632619C62C85175294111A522157E492C2A1FD0C0071C4B528FEAE005828133552CEC102428D32FE97B888A3396D9C77A1601B8BA664686EB10DEDCB881C5FD74901FA2D4E832B7584CF22B44428D64D01D79D5C882C3';
wwv_flow_imp.g_varchar2_table(13287) := '5ECBB4E4A87D84D63094B2758446CA26D3D769603E6595B55301A83C4003E8F46F450CEB50010F0F70B54C734DF572D1651F182D165990F57EA81763EAC05019BEFFE1F1FC840216C84704F6F9F0BE508083473F685235C81FF8A8271A170140A7BBEDED';
wwv_flow_imp.g_varchar2_table(13288) := '4540D069E9F2B3481C48E5A623A79B213D24AA28F38D0355EDEA09B67AE15382A7EF726D9C765184D7545A7244905DEC8D1BBBE31130F66736001AC3E26B0325F7610F273A35E2C5CD50CEFE6FD71C3B6DE6D5074174369BB40F2568BCD0142B18F8F907';
wwv_flow_imp.g_varchar2_table(13289) := '821E515B86D46A801ACBB8FF45670F4DCC2E8659D0FC1CEAD8C3BD68B62DB8C16B64D0821868CE3530F03A546B1C39C821959B265BE06B8215833D520E066EBF816C3087B284F718D5A97678E71A8EF7299524D776F2DD94E7EBDD4FF6DAD71D50979DD4';
wwv_flow_imp.g_varchar2_table(13290) := '955725E7554C6762FC92E3FB77BD3E79C71AF87804FF1E8001CD737EF39B7F51B1353072C092BEE4A5076C060090011BAA3CCE14096C0E9527113E0926701D95906136233C88CA6D221FC00000FEDC50C68EA5F889A64AA1CD96D225A4D1E964AB8BF486';
wwv_flow_imp.g_varchar2_table(13291) := 'B719E023C000062000455210DC5257A4802603C1006DA0827BEF16643B280841D43E240F6CC0AFEE6F20FC09BBF798E97DFE4E9AB57E758D9C2D43C577FD574AFE35453DDD0901420D014ADCE235C404205702641E03701E03B80872BD08F001C0E621DB';
wwv_flow_imp.g_varchar2_table(13292) := '7EF9D043ACDE7F2DDBA1C88710111143555B9B25888565D6A8E045F8A0D9099C051209CEEF49849E25965918DD5858CADD840556F00012A00AA590C5C04C98D6C8927F599A433C80A6259543F0FF9B38DDD16E018035B186EBF0C80EC0DD44F8D5030099';
wwv_flow_imp.g_varchar2_table(13293) := 'FBA15AA8F598FDB54CFD7D21CB5C8B5E0D6097C51044F49DD3A8CBE1B9174F40855274D3B63C12AD3985EFF055C4799917861A68741CC7751EE73544C20958C9999C219A5C069C9CC9F990F6C8D9597C9860D4522D251AF3388FB901807CACCD1479452F';
wwv_flow_imp.g_varchar2_table(13294) := 'B905DAD4CB8A4444FCA4140E9C80E80D96683851F11C9D26169A44380816998D5C604508A080C83504031C4E02F8188F295C440C1CE48C8C1AF9141000C1E2140111E4C819F948E428D772F19B04F09706E28B6F54A318C24C185E6393585C700CCB2EEE';
wwv_flow_imp.g_varchar2_table(13295) := '22CB0C8B380E190004803906C001605F3A0200F6615F43B423001C003B124000D0FF233DD6233EDA633D12003FF6634318C08BF0E2C76D1EC73D202FF22272A193422224002400E8E5E2036200C80D56C639040676A09EAC12BE04E40174E4460491680C';
wwv_flow_imp.g_varchar2_table(13296) := '91A1F4611FE26240C6E33B4284114E84044000915984C0490005BCA443240002AC243882A3A5E1E4FE7CE34380A336324B36062572A4955CC1D31AC0C1ECA4151CBCC11ABC815252D752028052D28441F99319382555CE4E553644521A6552D204AC2565';
wwv_flow_imp.g_varchar2_table(13297) := '54D204549A01ACC995554A843FA1C11700C01834841A50441900C05C96415C96815EEE255FF66519B80100002600A0811B106643BCC11D2466624A040629E605DDC105519764BAC16402C01B50A643DC816066843C5584B4C0FF81B40080B4E8E518E065';
wwv_flow_imp.g_varchar2_table(13298) := '19D8011A4C441FDC411F80E61DA42555B6A66532E643D4A51DD4655C8A44531EE66E36041C18C21F40654694416A0E6648BC416A16666012E5B10C257306C73A00403C44A743ACC374C20300C0C33A686743C0434CC003776AA7766E677762A73B48A777';
wwv_flow_imp.g_varchar2_table(13299) := '6667749E673B00C07976277CBAC37ACEA7765EA775028075926776CA8377F6673C78A73CCC833DCC833CF02700F06781262882B2837BBA8383BA833C1CA8844628852A28854EE88182677682278746A843702888BA033CC8C37972E8878228883E843CB0';
wwv_flow_imp.g_varchar2_table(13300) := '03765A04836EA8813A848752E8888E68855E688142448B664481BEE78676A7878EA88AEE6846D08343C4C474CAFF437E4AE78F4A84904628769A2845442982C2E78C02403D78E8733A89736EA96ACC8344CC839832A974CA434C1C683C98A99AC68491A6';
wwv_flow_imp.g_varchar2_table(13301) := '6943C8033DC4699CD68391AAC699AA2846D44343D0C38C5E684468A9965A849C0E2A0018A9A116EAA1E229A27A699DBEE9431C2A9FFEA98C4A8491DEC3A25E44A342443CCC433CB029994644A73A04988E2A0080694480299FA62A9CAE2AA4CA433D74A9';
wwv_flow_imp.g_varchar2_table(13302) := '975A04ACC66A46800795DC839E4A44AEB20C3E80873DE0AA3CDC438E0EAB9F36C43E00C0B1EE833E2C2BB336AB3EDC03B446ABB42E6B3E0080B35E2BB636EB43F4AAAFDA83B7DAC33E846B48446BCBECEA442C2B44982BAB3D444710073FD8433EC46BBC';
wwv_flow_imp.g_varchar2_table(13303) := '36FFC4BC6644B5D2EA6FCC2ABE868EB44A2BE7F82A00E0833E1C6B4510AC3E3804B3F283C22AACBC36ACC3CAAB3D706BC45E6B3DE843C52E6BC5E6833E2C6C3E7CABC77EACC7226B4CEC8391922CB2966CA662C499AEEC44A4AC43D8EA44D4033EEC6B48';
wwv_flow_imp.g_varchar2_table(13304) := 'DC2BCD8684BEDE2C05592ACC00EC3E68ECB5DEC33EDCC3B22A2CB61AADD13E2CD05E2B3EBCABB7F2C3D25E2CB3666CBC2E2CD4822CD67AEC3ECCC33E8C6C3C742DD87E2DB380ABCE1687CD966D04A1AD71F8EABB0200D45AADC20287D2066CCCE0C3CCC2';
wwv_flow_imp.g_varchar2_table(13305) := 'EBD262EB4364EBC632ABBC3E6BB3F603DC5EED3F446CBCA2ABA5922B00F02CCF2E2EB926AE43406E43C0EC431CEBD7DEA9DA8247CE52493DDCFFC3D9AA2D466C2EE89A2A0074ABDD9EAEDD966AE9AEAEAFD6833DB82EECBEAEECC2EE3CD4C33CD0C3ED52';
wwv_flow_imp.g_varchar2_table(13306) := '6ECCC404BC12EC9E162AF0262A3D40ABB522EED00E2FF20E2FB4266BB2222BF14AEBA0462FB406AB3CEC43B01EA8B02E2EA0666F4364AFA5D629A03A4B840E6FF592AFF746A8B0926CFA222FA2C669E4FE6EE3D683FCDA2EAAC603EE8EE9E406ECE95204';
wwv_flow_imp.g_varchar2_table(13307) := 'FEC22CE942C4CC3E047804B0487C2EE8CAEA01FF463F2069E916AE3DF403C07AAB44E82E92D96A3C3C70431C6CA5FAEBF33A2EB43E2B44F02C85362E46346EA022AB43F8AEA3E2A9F55AAF8452C409FFA90ACB680B57AF0D1F6BF51E280EEFF00B5B440E';
wwv_flow_imp.g_varchar2_table(13308) := '23AB87BA3085CE70F61A2ACFB2FF2FFE8AA912E32FEAEE2FA50A3045A42E44BC2B3F10B0DB7A840127F04488AEDA8AC77A01807A34C41588C7183FE75B3E4422A5312285B11834446E52441B2B921C03801AA3711B7B411C4304188DD817098133014013';
wwv_flow_imp.g_varchar2_table(13309) := '4441135001005081173C411BE731009CC1137881211332003C01234732CD38B2243F01153C41212792223FC41888811AB4F15C82B243DC71264FC42453724360721A5341EA34414310F2662E272DA301713A842D17A72D53447146842E03C02D0300177C';
wwv_flow_imp.g_varchar2_table(13310) := 'C1187C41199CF14510B332C3251714F34464B1160F52346F040143C00448407A459904F80E360FCB3587D56FD055E850CE87ADCD0A88C010F90608FA063526D77E70C0100DFF183129E2228264F29499A0ED8F467C1B442856F0B91207825608F8976804';
wwv_flow_imp.g_varchar2_table(13311) := 'DA0DB9D6857585A3FDC55A70D643885EA08506A07960865DE40F18C1A519C1AD68F443F45444F048E25C74441C0449E39143ACDD0DF851459800CA608EDCC1C0DA4504344FB34370B1CE4A004EE08997F59A5320547A01C04F87193B0D9443BC0D474548';
wwv_flow_imp.g_varchar2_table(13312) := '83BC8083C4008A65C5517305C3D00D0018DABFCC8DA394E04490E09434F54474D11E3BCC7168356924C1582347121C411298065AD78A44DC8A44E40815C2865B3B44BDD2F416DB35483C5E19E609B8E055B500947E151ECCB8C010CC893505D3DD20B5A6';
wwv_flow_imp.g_varchar2_table(13313) := '00C82B7A5461E085BA99858735049FA988A3CCE27D380FED81FFCEB63188892D816981F6578BF6484413BC354486598469C0C869AC360098065B6B448CC08870A8F419C9F44CDBB54DEBACEB8C800BB40E5FDBDA7BF9764FE0041D3A9E44702344A8C008';
wwv_flow_imp.g_varchar2_table(13314) := '303773174761BB408E14810D600EDC34F685E800BF705B68C90B9D55845C5C56857CC4771F879ECD0DBB79913221C15703400F6884A2A90844A476451C816BDFF76934C41168847D93866BFF46E3E0D633E7364DEFF6CDFE36D42C5E5FBF9770BFD7526C';
wwv_flow_imp.g_varchar2_table(13315) := '0B833FDEE00D5EEC4038855B84733F840AE0041070B80A10755A9CD4A8A8D4642835BFB822A475376497F7BFE0000BE840645775F7281DB2C4F74534987BA3D61795D87BAB967CFF38C5E0B846F87744A4FF350018F9460CD46AFF774514E38CEC0000C5';
wwv_flow_imp.g_varchar2_table(13316) := '346C104431FE8047CB2B5EDF75967B846F03F76FBB4E8347C4854F44378149D38CB944B8C0864FC4108CC04081F80D98C08B0BC8A48837F9FC875538B4FA78948530CADDF4F975BBB8A06FF77687E28897888D43935E640C8899458AE48F6344448FAB77';
wwv_flow_imp.g_varchar2_table(13317) := '897DF54C95485EE48F691B0AAC84406A63346A00407FBB765A23B994B480AE0415445421A6A97A44F801BB1A385102D2967B84977B795E6744B6E0D745409E4434F77BCD8972B800CEB8CEEEF811BF5C85615C4A434F845658CAC044764450C57677C58B';
wwv_flow_imp.g_varchar2_table(13318) := '23DF5CB8226540DA9C93CFA1E379EF4113FDAC18BF943B66044E5B3846A32DC167A7918949FFC6F36944C60CCE0744C003DE0A5ABFF691C33691F7F76BEF777E0787F639C4F9A97A3226631ACDF543FC01BD02405DD77A43C83AADC2E6E221B8ACF59D72';
wwv_flow_imp.g_varchar2_table(13319) := 'A3B9444C00C757CB4664D994B5173D75C0733BB8C99F3C00DC8007C0D9CD71D44654F6D94CBB5BF4B9886356605C8414C58A467814CC5FC4C3A4161FBFB78724B4ED61CFA38B05BC91065A07FCBE337D4318B97D03F8440C04483FB9322ABC443C3CC44B';
wwv_flow_imp.g_varchar2_table(13320) := 'BCCE7E490EE484EA0CDE613F04C041E18387F94384895DC1D01CB28B53B0CBD87B0F84FDC7B62BCA4510FA5B3051CC2B519DED05275A96653148627FBB849C3664349DB72F8AB2C30ABC3D0CFC70853285F657377B4558CFE0684608D8FF3BFF9446A9F3';
wwv_flow_imp.g_varchar2_table(13321) := 'FB6B77FEBE8B3A48787443880C0CCC915BB30611CC46E24004BED135814F33D7EFEBE3E104162442302447EC4CC4619B0104504B2401002864C7702FC5928180CE20BFF25B00F287FC7BF844954584A13DD8CC3B5F5A3448DD7BC49CEDF9F710864640F5';
wwv_flow_imp.g_varchar2_table(13322) := '8870C5B9D7458330813139349C25F4577011437FF68839BB44647A2ECD5279B336BFDF378D887E6CAB064BBF3E4000100860C70E0036062654988FA142870F214694389162458B1705F2C3B89163478F1F2B8E50A80CC0A189222D2444B34E490500D2A4';
wwv_flow_imp.g_varchar2_table(13323) := 'C902B04AE09781430074182852E11017128138B400E2A30E11354A00A8C162698D813870B0C08102878E8A5305AE600100FF458DAE4CA5825D8A0380D41A552D9295E814C00A1A34943E05A0D6EA53B50ABDDE1D2B57209384480402E60191AC53B234DC';
wwv_flow_imp.g_varchar2_table(13324) := '4EA4C1B6E29122009224741CF93180232001FC00F2F806801B3B7EFC3042646091A000525C64980F736BD7AF2D6A843D9B766D881D44EA1CD8C8A1CC1C3C051205600EC096750E7F3A6C94322170E002CD08DC02207AC2E8667254100EF1F9C00E2A14AE';
wwv_flow_imp.g_varchar2_table(13325) := '881B1707E3B9E705D6050083220AAE6CA59685A8E3AEC4BA832BBA15AF902C131E56D5B3AA2AB2D43A8B2DFAC6038007FC00586209249670C8AF840A630B2E89E0AA61318B92A84C320F4122E2B4817680E1861F04421100224253C8038128800000191F';
wwv_flow_imp.g_varchar2_table(13326) := '6AC8B61B71FFBC48B61C79ECB1A3EE144A0617E42CE8060039ECB9699981CC1825186A001822C98DB698CE0C2DA613480B855CE24EA21604724FBC159CF24A2933053A6BA0FF048A41A2FDDC0B133D020BA3903EF5D04330211D188CE82D87D4D4A1AE09';
wwv_flow_imp.g_varchar2_table(13327) := '2984AA3EBE9CA2A13F0098E801001D96E001091EFC1388CDB904540A2A0032746ABF84D832EF43CA1C83CCC3C82E0349C58762F82CA11F0C7A88030936008082596B64CDC75D7BDC91D75F81752898845A016048875418A18257C63967A0710442038051';
wwv_flow_imp.g_varchar2_table(13328) := '123A670D8170A90048817052E88FEA048203806B13D24EB789743B77A0FD3E0DD3A9AEDCAB014F8FC4636A2E35D31468C07BF37D6830000FEDAAA2003FFF626C2B1E96805407FF221CA8524205BA50A90BDF724BE2886235D5321E5705B3882376B0E1B3';
wwv_flow_imp.g_varchar2_table(13329) := '1B3AB3C1CD843CE020E5175F9400009501B8E31F81560BD666D87CBD5967DBCE2525185C64F2C59762049269A71154E80084A5B55B1A04DC5CA8A003DDB4DD29221FCC888322DE5E296E0BA2A6D6CD39EF72CAE93BF05068B75D85E095EB4E8AD61E285E';
wwv_flow_imp.g_varchar2_table(13330) := '03A32A0FA2AE069CF7D13BD98AB386311F3AB44185323DF4EDF458D00A3D462945583DBFF486E8CF8AD82322B2C8047AAC08CC3D1A314584208A0106184C48880308288888E584665E4DD79D61DF28E7D8690789A7658E1D1680628EF9252125D4054F05';
wwv_flow_imp.g_varchar2_table(13331) := 'E10118BEF8E25D00EFE9E024EAD62133B6FF69E40A7082010400A30562CE4BB205425BCE8BE2E475A97523827820B006FADB223E1F0575F188CA33932CAB127EF8BF3EF3BBC808CA40BC31631201208381A46C2012F0C08B26523A81B40E0036AADD0323';
wwv_flow_imp.g_varchar2_table(13332) := '323B084E7023B238561F10A18A420C644839D0DEF18E079EEE853021DB1981D812928367752D21D6D31200B63190E5A1506CB889080744A0901CBA267CECCA0A004AB082A450C43CFB11DCDE14B295AD886A60FE1154DA16E3141D6C257268690B992C95';
wwv_flow_imp.g_varchar2_table(13333) := 'B00851EA5190F3E2562212B7873C0000452082E6FAD7A316EC40740241A00207024787C871660D742005F128413CEE11235EF08215EE008060BC22390251DA7774A20210E44691DE21FFCA0400B0B4B28904384AD8026F06B286DC09C4772789080A1BB9';
wwv_flow_imp.g_varchar2_table(13334) := '820DAC403C2718A26B4A7082ACA872239F8253E0AE82978A5C4A20ACBC181139B538FFB0899615D11047D28819D01DE421604A4D6A00600213B0873D606A410A9C299016880E4C0AA963CDF848413D66939B0FA90200FC28102E2444372A1802703A00BC';
wwv_flow_imp.g_varchar2_table(13335) := '289D6B085D2A5B947E920375F920215F3083B4C0C591A919929C09D94008F6130200A8B256020941413BB28213B81222A55C652EEFE615C338A440767BCF7BC42811B2848095092262091465A94A3DAA618C8A5C781093D2C40CA4A32B220D6D40574D69';
wwv_flow_imp.g_varchar2_table(13336) := '3A933D0389264210725362E6142275B4633721B84DA002750C00704320FF056285E69CEB0AD2198812465101AD01C0850AC9411CE400081552644B00F842572DF21C75B91300053DE809CE9AD68CFA885DEA5B5BDADEA7AFF4F0EB2260EC4B2D3FD011BB';
wwv_flow_imp.g_varchar2_table(13337) := 'C66530918A14E1DAF71ACEC166980E49810940008314D800083B0002E886C9D39D0220066082C1761672C7A1EE4CA89BC56353950A80710AC40BF9C48DD2146285E8F8A0124DB524009E138746FCE40A6B709E4072F3CEB3C13692DB7248D860DB01A991';
wwv_flow_imp.g_varchar2_table(13338) := '6D3B070580710D5AD6E33614A1F4BA885B1F123ED810C8211FD0404B29A217F15C0C42105A82A31885A1B6A81431EA73881104E23900A85721929569429EF94C8820963D8C558141EE2B4299B680A6C291E340B0E9FF59CE0A389B521B2E75C4F50600C0';
wwv_flow_imp.g_varchar2_table(13339) := '010E7110D722D50500AD4D35215B002B265D902581908BACEF34A40D239993E5E5A4C3FCFCAD42509BDC7F0EA4B91059B14245C9D2B22A74B90D5D6B2D2BE21E2BAE45295D01DC550E75E324C6693F8C891060D6145EF73126A514D9C14B0702E5F532D6';
wwv_flow_imp.g_varchar2_table(13340) := '063668C130A109036326F699884D2666070891D14D93CC6E92694D1DF2866B6A96C0C0EA6C9B61275C8550CB225730830FE4609D815C819E3E98AA19E410DADB90CD861136318AF9E95BD42844030311A84546B9D0AC8C72A0B50AC1A3C39890B865543C';
wwv_flow_imp.g_varchar2_table(13341) := '49F9145D78DC9688D8B52E6869F443ED231016A0A004256035101FF2DD08A9C73070B9254A971B0181FFFC0F34E9A5F2416C2042D4B440B12948010814E8E53003400230C3158C6C95BA6703E08D1E289DB54DD7EC05F7A31E767C1D9CDD0C6ED8DD0322';
wwv_flow_imp.g_varchar2_table(13342) := 'C33DF0271532020B88043CDF39B44020D91CD87EF021283CB44EE44C56431BD29D3C499D4036A081164F44A0A214CF064EB0504B0B94E109C7F40F2346BE81D692D3A0A28A43EE445DAEDCF8880EC12E4458C082568B6005390C1F601EE4300509AAE313';
wwv_flow_imp.g_varchar2_table(13343) := 'D180AEE1FB1084A800A70249C1659359116DD3CA56B5A200191F40235B45FB65D4E680D13DE07397295720DDFEA9B8C30D753CEA242586C677D9D205000B7460EB86248A761C526274619D790030B79CFB696F0FE7E4451AF8B7404E3D910C009CFFC694';
wwv_flow_imp.g_varchar2_table(13344) := '66E93F1FFD7055C2387D1117758DF7A3CABD6F5CD465CA575492781E1F4EBC2D026B2800308081ECBE802B251081AB5B2DF10641484113B268826E899884C45D20851D48CD07C29E9B1F9628FFE5C00466157B0950C065B342A0CBFEBD015AA90C6603D9';
wwv_flow_imp.g_varchar2_table(13345) := '218C204046082C1D00F4709DD47FF566E4DBC6E9E542B14BCE25F673ED5B2262DF88BA74627D8A50BF220715A8E0098AD6872F57EF7F4F530D0CCFF84BAFE0A0E2F9BE2AA50B91A6EC49293F8E7147A142308970D4215BC97C524A8031A40B09C00B3FAC';
wwv_flow_imp.g_varchar2_table(13346) := 'A24C42A55FFE6E3FC8C8008AAEF4104206C0C4F42209E75AEF2128C0039ACD8088CF8D14E2E804429942B07472E8E8282046660400FF828EE98A8F35D86CF96E44F960B047B44FFB38C2252A0092D04E22B28EDFB867EDD02E252AC0C00402FA2242D7C8';
wwv_flow_imp.g_varchar2_table(13347) := '882218EEAC10EED29CF0093340A0E2EED1DA255144CDE14EE09F560CEF3EEE2132843CF20FF1D882956A05FF3AEEF7E08E0515E2E3D06F2ECA0307C0AB61002654B0E88AF88E9414C2012900743AA333A0A99A10EBB00431E73C00041088DA3CF0B22E8B';
wwv_flow_imp.g_varchar2_table(13348) := 'BF88AD056E40CB4627124DE40664807400400438A056824F057F0EE86404A1BA2DC066104764701469A303CD4ECEB82EC27A90FB20C2657290C478909FB0CF08F10D076F51EBA466EBCC8D9F8882461E40F22E22098F8BE10C4A03A470204E2DAF8A71A0';
wwv_flow_imp.g_varchar2_table(13349) := 'C6040F252EE1B2B0C6FF960BE17E4FC8CEC4A2DE85A5C2EF7BD2437034E0E51242A00A8A9590ABF1D86240EE0230D84701352D88EC6EEE04020100C000E811998849808EEDBF4A4899900D04A0C9CAD603046EA0051A8B20D86BD77EC051F01104890EDA';
wwv_flow_imp.g_varchar2_table(13350) := '148202E8B1F8BCCD1473A4142DB2366CB0DE36C225E2CD657670D0C8CEEC74EBDC8CF0C0842BFAB2C7255CE6011E80012200031820180100E620E2E53400031A8DF494F0D2B2E219C363A0382AEF1402E1604D207E2F95682C4DC8C45098C23D86282912';
wwv_flow_imp.g_varchar2_table(13351) := '6EE0E46A2074A00678725D10EAAC80483C96422AE8C3AEB6A82E4485944A69C56A7220220001D8D2E63A03650A28F61C82BFF071BD80CDB1FE0708F4D2060AE206FF4EA67436C021FF4D1E1F2003C82875DE0EA1E8A12233D23630B2315B83DEE40DB728';
wwv_flow_imp.g_varchar2_table(13352) := '93929C6391460033BBC7DD5A636CA68627224CD1840B042A407B884F03C8083595F10150B33583F1351D42E01AEDA0044E0AB5D0B8FEA904280D5ECAE4296920F3480E0017F04C1AAF3805A64C0C8542F8433EF664C7564E41CA022D01202B1D227C0465';
wwv_flow_imp.g_varchar2_table(13353) := '3006832C382F2194883957ED18A7532092F00160EE644EC6121F7075D60300AAC97348A308E053CA4206D90E91F7864EB938E05664E556F8532116F3E92073361E33406147E85230210C34212420016E061573E4000C800020940004C2012DF4001C8201';
wwv_flow_imp.g_varchar2_table(13354) := '00404335340260D235609201308035470FE6505327FF63322661D326957103026E201CF022742D023420036C34E0A270E058542018000162B423846E035B4603E5122220E048138041E7D142639400267222EB911E1DD0492D1446A11422BE8D405B6340';
wwv_flow_imp.g_varchar2_table(13355) := 'B5F423B04AC2A80A4C0161C224EC0FE2C04CFFC021D294C226E24B254C0EE2604CC7144EE514ABE2F44EF32C21E8F44E8F446BC6B44F1FE20FC4455C60E30EFC60C100E05009155117F55005C20FF800522535522915521F825201800F32D50FFA20513B';
wwv_flow_imp.g_varchar2_table(13356) := '758300A0100E1511FC001112825443D55113150050555449555461354D1F755621820FFAA0103A75550502114C75226075200E9553E1A053918A230C41208E15108ED521AA8A5613425CFC000EFF047550712414BBF435B8F45A376266FAE11FFEA11FBA';
wwv_flow_imp.g_varchar2_table(13357) := 'F55B01C05BC9D55BC7D5A7AC095D7B2A5BD3B522C03558BC155CCDF55CE71500FA0123D47520EED55E07825BD5155CDF1524F6755CEDF55E013622EAC85CCB7561C9552100F66017885F756660FBD521289636B2545B3B825D35168FE2618FE4A16371E4';
wwv_flow_imp.g_varchar2_table(13358) := '3F2F421E42D6645116004276A8E4211E5656204CD66507E26413C265E9E165671623EE21634556477AF667819636E2611EF6211E8AF6688716698B56203E9622EEA11EEE411FA2566A01401F2682DCEE411EF6416BB9761FF62122BACDE9EC811EF0A11E';
wwv_flow_imp.g_varchar2_table(13359) := 'CC966AF7811EF681DC78646CC7961EECA11EC6D66CE9C16CED1600E8166FC3D66EFFFF931EEA966425826783562238767075C61E10177169477105021FF0E11EEE011F988F6D77E66801C06893C41E2CD7688D162310171FF8411F44577429221FA0D668';
wwv_flow_imp.g_varchar2_table(13360) := '5B566BBD161F1EF65DA724213E171FF2616A938F1F1CF776711777E356726D43700DF7210AF77723C275889778ADD6730120493422787B44141DE205EBC16AA59774F1D64734F76397562032F77507621F92C47BB39722D6D61E1862744997789B6E20E4';
wwv_flow_imp.g_varchar2_table(13361) := 'D61EE681738B566BED4172F775602F961F945774F9817965277FF9B77FFD17477C577813427F83366D69060076367A03B881AAB6358A972178172422B8225CD021223782339621C86D7421977211188147B76A45F78149381FFF785757BC968479F76B93';
wwv_flow_imp.g_varchar2_table(13362) := 'F76BEDA17393F772F7E11F30D77B5BB866651822F2D77C49B78707C271EBC171EFC16BBD167501C07B177820F2F77993B87F23688901604706148A09978A6BE48A05782208F867F3F76983587265F77825E27897371FBE76861D56205AB75BFBC17FF917';
wwv_flow_imp.g_varchar2_table(13363) := '24B83574F5C18DE9B88D73E67F234821F2F7F87E8A1F48D821DE588FD5B81FD0B86007195C97F788C1F7888DD686B1F7728F18925DD86B93F71FECE11FE68175D6B81F7838841FE28C3F226021827A2992DCF64176F7E16225C25B67B85E6103601F3389';
wwv_flow_imp.g_varchar2_table(13364) := '05788B7F7661FD9835DC381FFC778EE77876F9815CBFD68313C26F6FD664C9D660F9B58D41626D7776763BF899FF3B582020B7F99AEE6E5B7093F9A183A9B61EFC166A9FD96CA1D96EC5599CA7799AA1D675525897FDD7849BAE7D39F79D97D68623F991';
wwv_flow_imp.g_varchar2_table(13365) := '6596693F761EA66465CBF69CF3411FF2811EEE01703742A0230270015A1E1633A0EF6189BD96615D799881776D113A7F835894A3181F92A46CC9771E82588F59B781B8B91E58C383D9F6699F378BB518A53BA20AACE08FFE480ABCA00A942009669AA693';
wwv_flow_imp.g_varchar2_table(13366) := 'C0A6673AA7AB400AACA00ACAA00CAAA00A5285559689744C4409583AA87BBA355C9A0BBC800B5ADAA9A1FAA99FDA0ACAE00DDCA00CA4DA0B00A00CC6E00BBE3AAC7F7AACD160ACCB000DDCE00DD09A0BB800ADD55AADDD000DDE5AAEDD1A0DEEA0AEDDA0';
wwv_flow_imp.g_varchar2_table(13367) := 'ADFFE71AAED1BAAFE33AAEF7BAAFD100ADCB20ABB39AB0FBFAA7F160B0FFBAB0A5A50CBCAA0AB8005606A20792609CAAE009823AA8950009D06B20AA20A6453BB415E20C04220A2EE20912E29B1442B3AB600CDC600CA4600CFCC80BA400A6BF69A81D05';
wwv_flow_imp.g_varchar2_table(13368) := 'BCA41A9C7AFA08321B0058FBAC13E20DAC800B201BB2BD4AB9BD09AA93E008942022661A8B551A78AB1B240880420120BBB9BB4221C21E11C00364800302A0BC1F22BB0D20422334BB67E3643AC311DBC42F5B25064E663DEAFB2176E00644C620DEB24D';
wwv_flow_imp.g_varchar2_table(13369) := 'E89BBE25F13C47673D24B1C00D9C3D1EB1C01F82F20EBCC08DEDC121DC048CAD748C6DD12A3C04A94D043C2009E951BBC57343635220843121FF205422D29BC425D4C3218200024021B85BD7364004E6CE002694C5034042010043737CBB575C0F738880';
wwv_flow_imp.g_varchar2_table(13370) := '50E04582FCE838E0E86ACF03D0136594690336D121D43B70AFDBBAA3FC2212000112200212E001B2FCCA1974CB5570CBB53CCC399120DE8E2288D1363463BD3423CD8180CD5D0A008C6055E01C458C0008EA1CCE07E2B3532421A02C2880404400FDCF05';
wwv_flow_imp.g_varchar2_table(13371) := '5D445664D0D76BD0053D454263D10F5D2F1DBDCD173D565064D2297DD1199D2076CD51482605B4DC748AB1A0A812EE343422806E439514007CB42332000459E03701200376542110C0433D5405B19C43CB4A0428EF052AF1BE0522C929EB7F122263102A';
wwv_flow_imp.g_varchar2_table(13372) := 'CC4F7D461E40C50F78CA0798D9FF2F4243BBBC26A33D49198041ABDDD8ABDDCA1FE02DCFBC1E21E24A6BE3D1F71C22265DD8F11B8054A545300256D8DD2050442F0FDDB1D60B2FE53C33EC1DBCF09D44FAD033022806247220DE6E098F4B03AC8B2318C0';
wwv_flow_imp.g_varchar2_table(13373) := '00463D21D49B004E3C01AABDCA33F4213280190522D679742D6DD2E1E9D146CB82F272EEE315886596C911F9B2E443A6BF5F46E8AA1DE612342176D6D99518E62B8241AD1CD513C2E14FDDDA753E2D73EEBF12C0008EDDDB7344DC5BE4CE8DFE34D43D33';
wwv_flow_imp.g_varchar2_table(13374) := '92DEDE157DD18D2063287DD7307D2026DDDE55C420A05EE9330334B0DE21E4DDCF7DADCA4446BFC97EEC498664F87DDF1DC2CC847ECCE12E0490311C29FE210E3EE12982E1FFB7FB47812EE86D5EE21900D76B3D21301E26677DE52772EE72E8056040F1';
wwv_flow_imp.g_varchar2_table(13375) := 'D7F3E30F6820F49B204C9E2F0F22060E3109F91E4B653E8A377F226A7E20C01DF43B1DDA0180CB1F8003D42B467F340F875E21C01EEC8122BDD29CB2BB5EEBD3EB55CC7DB2C41EDD2F5D2150A4207A4DDE0D0208AE8C3DB5ACB2644064485EEC4526ED9D';
wwv_flow_imp.g_varchar2_table(13376) := '7FDF29B0F463F3D1087E20244F26593F43431FEF3162C47309036CD22613FE433514DC754D1E3DC0E31508995607DB92FF21DEB212058246ACDC265B1EC0369F9681B6CA335F490102010000091E107C9020C241001C00DC002090000281032B5ABC98E0';
wwv_flow_imp.g_varchar2_table(13377) := 'A2C68D1C07EEF80100A4C890247700D861322490812B81B4DCFF010466C5940080FC5859B3A64C1B006CF8E4D9A245CAA0365ABC8C1913A445A43897AA680AA045C7A954A372C8487060088E180060E87AD1C001061C0D2030B091C0468411B022347831';
wwv_flow_imp.g_varchar2_table(13378) := '83D7080A2BD605100141DEBB17214018C8C1C340C1822F36046002400A878C1FDEB0F170F1408309C8560590EFB2E6CD9C3B7BFECCEFB3E8D1A44B9BAE5830EBE482A95367A589208159B4682B220450F8B4E7A2325AF4BED89265CE8D2E6BBA2C0ED546';
wwv_flow_imp.g_varchar2_table(13379) := '539E3595EB74A9DC39F1E02DA9F36CDA527A4F8BCC3783E0DCF5AB4503626B0FC400978101CB6A2BD2BE08170084F81D1944B06C17FF40BD14A78A28DC900787692483638D0120C36016B575D93D99E906FF6184120210DA84165E18210319E907805A6A';
wwv_flow_imp.g_varchar2_table(13380) := '99C71101ED59140000665D04426EDF0D9498041876165C4E38D944E34DC61D07D58C1515415C734068B71472370AB7520B20C0706445D0B9F4D4709DC530906C036DC05545187C000059688D65405D1A58A49E45236EF41700F47145177E77D9C7DF7D03';
wwv_flow_imp.g_varchar2_table(13381) := 'D165105F1551000005870576516E29DCF0900D32401615466772748F832F1E8AE8461526CA68A31825201056265E048712931EC4DA033C72D1510C4A0D04810B2B0DEA2855312EE5A49238CA38505197E108154BB0C23A900AA9FE8863743FDADA5D8458';
wwv_flow_imp.g_varchar2_table(13382) := '5ED4D597E331C0A189EAD506E2547F9559260D1B5976DF9A10BDC9DF03726A44E75F1C4090FF9B45264826159F8192F660A9E642B8E8B9EA329A80A500E052D12F95809AD16D03A9634E3800A8630800B400C0692AFF08B60E0012E883214CBD7E769348';
wwv_flow_imp.g_varchar2_table(13383) := '3F341CEB4010F7E851C49FCD28DD8F3419671C4C50A1441A7D1B6CB01500217C5032B0FA41AB81420A69195645FD61EB17477255649F46FD31D0E6CC1BD1596799120416A04631F486B454172924E954E5AE0BB567E9464DF584C900700B1726F901C02F';
wwv_flow_imp.g_varchar2_table(13384) := '16B936D01BFB82B24DBFD30CF30A00A0F0434C1203C191CC360094A89BAD4AB80D401243E4CD23DF9B8DF4296916572553E1CFE11A2BC6B84607A164519A7C99065D251B81E4EEF17CE97BAA5504010535974955CE1C91E533416D5DFBFF17D065723001';
wwv_flow_imp.g_varchar2_table(13385) := '431D25D851424D77F474D5B67734F5EDBA8B16CC45634C010031BF80329945DD58940D1C03FDA10F01A9BC4B8CBE0311130CDD8F6B640500D96F3F900F1665FF86F2BA01AE198D88C668D3523F5C67DD8F1256B6D907F81D90AC466192F75EB2CBCA575A';
wwv_flow_imp.g_varchar2_table(13386) := 'B47AB1B99784D8067567629D8210E3380445250509B4CD656AB7BB08E62E82149C8A4046910C78554415760000330070358B80EE0B03D11733E0918D7E700114A9A0403F00602B0080C36053C95E0E2C95BD81E4006F1A41038446A2128809D17C89CA51';
wwv_flow_imp.g_varchar2_table(13387) := 'C466B42497800C6A18989F65D0139E8C9C2866133153F1BE36150CB80C2F597AD95E72D6B3B6944E23A09B404386F699CAFFCC4E23F5C04C052B38C137CAD13D03F15A453601805DDCA28E1A2140DA6638A681444223C9A08009A26105A1716E205760A4';
wwv_flow_imp.g_varchar2_table(13388) := 'A594A7041F6A01007FB8481CB836A1534D65884324D2E03AB2308E0041051B4BD4183762B9819087585FFA127E8A65220340CA20F479CBEC4A30900C64002C5321D61771A6178D1C066C15E9D6841E04C1392A73996FF49A2500D00A3DA4C28E00A880A4';
wwv_flow_imp.g_varchar2_table(13389) := '20908012F52794ED890D0C2440CC15D5C48700F887931A918C4A18829A2F2202AB4E6312937CB22A49320108E2D9131BC8445D37031696D03310FA1DC022BF52A5942A4200F244095A6F1260960602342B8D6E20A48B56B11C5ACC3A09B375144063622E';
wwv_flow_imp.g_varchar2_table(13390) := 'B2986F6D64FF8B15B9CA1D2E924C66AA74A550BB45080792868D240074A022886094861611252B3EF602DD4A98C18C38B0E4A5C7F3A03206628B81849018A751CA3CFF5614576D6407516D415567A224E28412861782D429257A9E61314058601A236D62';
wwv_flow_imp.g_varchar2_table(13391) := '4316AC406AAD1DE9274728F24A04904521A54BCCB684694CC50CA4811B4100A9C4669194B274B0843D9406DD70086812828F18E11F566A663059AA46B2541993060782B71DFCA1A853A9865291B11B9F98C49DEE344D7504C7558D9032623059E28428E2';
wwv_flow_imp.g_varchar2_table(13392) := 'D68B60093FEB31007AC86A50F31820A1AABC5E5FE107ACCBF8925859A2C81A3BD2518B4C40041FE50C83A822D8C24A77BAA661E76295B5C98B1020016AFFB11E6AC464912A00C01303791E335E31C8CBCC4B342D091C1088F0DE653227282FAA625D3EF0';
wwv_flow_imp.g_varchar2_table(13393) := 'A593C9B6230F982DFCEE07A2DDEACC33D1BA08E906FC2652391030A96B48EBBC959B8F52C073D77B0BEDA88BE10C9F061815614245C820D333D1C90430A80A0454201815FC85BB03A94045AA9043805984871C212700C44715F8166125A5D5247B2BE2D4';
wwv_flow_imp.g_varchar2_table(13394) := '4315272A254E416252A0340921804A1A1056410782DB8B68E0011A60804164699E84B607591739A5B3EC77AD69F12C2F1A39EE45B245A76D7120CD79F28009F26A268C3A4DC374AE73679E00809802400F00D843991F302881C42A921C29C377B13A1018';
wwv_flow_imp.g_varchar2_table(13395) := '7384C65331F4406C7C91245B2005939EF4FF045AA082C06D327D1CD1B484F6A9ABD3B4E0311DA9E2C800A0012C3D99971519E80330F0A5574B512302D65C553270026015982364F66515DFC41138778E4E2E5A7343D26C4C094414211AB2CB46A26BE768';
wwv_flow_imp.g_varchar2_table(13396) := 'D7D90FC4030014627A0668CA742065005A922BE12E0551F87BDB0140EB3CF09DC208E6A367B9549E98F3838FD024259A9E406E0C78187B27B92337E0AB68A4B2D5CB80AC5731E98C54FCDD11F36440D59AA1B2412C333B2D676E526819E3037039905CBB';
wwv_flow_imp.g_varchar2_table(13397) := 'AC586DB20FB1BE3A95884694A6FC030C6E1802BA07C426367396B6CB5D5E1972DAA10F0098B92A189DD637901000E2151F1CBC600820C0416C5C804015486885047CC10F6F7051C903FFE4A20D48803E5292145662F8B09360F526CC31A3B91DEC3A7B57';
wwv_flow_imp.g_varchar2_table(13398) := 'C40200E051272B221598785A381A918A8E06B2EF9E0825551AC1184FE66B1110DCA09439690103F74ADF8B1445E507DD0AC3A5BC11285AD158EE19915ACE82158A942EB66EDDF57D60B99FEB514030FF19D022E94461B85CD3308759F143B3646668BF7C';
wwv_flow_imp.g_varchar2_table(13399) := 'F58525C0C2CA2081F6BC32230FE141459260689CA4C0202928C3CECB6E05C1F4ED6B68918DD5EB67115B715A624E7D580BBEF5F7810801D3425041F58510121BD53DFBA8EABE0A1E5C779C8492399CDE274E96D85A2010652ABCAAC8C27CEC7E094CE4D7';
wwv_flow_imp.g_varchar2_table(13400) := 'FAFDC0AAE597A5F59869ACFC4F6B6D02F9210A351ED30229158171BDF4FF45BD26575DF600116562B6117916115185013461A61186C27A1998616BF41E96811698A34AFD81150D54221C40112B4611E69111DC6566C897551C633E50A17DEEF429311424';
wwv_flow_imp.g_varchar2_table(13401) := '9C145F74C77640007ED534104E274E1DB112DA874F1CC1772F8814E4A71177675544B1302C073927F36403F101BC048266126B26C2818F171B9425339997711A615178E1715F748533A3101040259E715C7612763545107075611A4887D2E53301667C20';
wwv_flow_imp.g_varchar2_table(13402) := '122910311110E0134023112A18877C48106AC16204511B2CE68251E262A7D55EA942043F400491181C45A0143C0204965823E6535A12433117E174A8B122B8622BF4F5543EA22BA1E63E2C71774D12284862648AC1FF40CF5711A40477119801F5B76A38';
wwv_flow_imp.g_varchar2_table(13403) := '3316155165554651EDB65BC3587CB2543A50785C37E37164987907463AFAE1570FE0791C3172DBF60034E58071283B735887DDA8619037457C28102B374BDD21601D82008FE7858D4547AAB15DEC08778E58139A0612F4D50295B618B6622B7D035FEE44';
wwv_flow_imp.g_varchar2_table(13404) := '1DF3A84F6BC72216E1621A2101FAE80141910220F07748011CA4A430EEF3143061558A0102227591ADC21C3C117D259664FBC61C87311111105BBE8833146560CD168E1217252B97152C478EA2E1333C53510ED51022408D750234846711FD416C3AE958';
wwv_flow_imp.g_varchar2_table(13405) := '69A510A48281DE6894CA3446E3D893F3C794C697153F6002E9088622E45B067929636266C3411D9F72FF130FD13A1360015F696EB9F15E65095FAC227EA3761D416683343410A292773BA0022670773FC02BE7E7115AC75A7067112D0003EBD713A3B44F';
wwv_flow_imp.g_varchar2_table(13406) := '1BB1180BE92AA41478F3571129135CF8F10063052658A64ADD1493A5065C1AD1156E623FA727797981517006511A35616632334D938D1508296D412A6DA47A47E99A51A394FD816502511B4C699B1021013F2003B22171908700A19811E2F41DDF118A97';
wwv_flow_imp.g_varchar2_table(13407) := '313BA79275C33101623920ADF3039A485A39119DA5156F20C3692BB1033D38104540043C2218200002CA6183A4D8112091122B7177FA041C2A9113CEA11CEA4762F66402F30903F5997654C5133000015564658CF92BFF8433B63551EEB1886F45FF1725';
wwv_flow_imp.g_varchar2_table(13408) := 'F0659B611902811FB3F4801AB560C8F5830DB16264A16000C09AAFA9A1B7037226728CB6697CB161109FC25B10A11610E022098015C50651C5193B3F08A340943E22B11C2D2004646701378A7D4AD28F6589963A781181D301DB391046E0023790182050';
wwv_flow_imp.g_varchar2_table(13409) := '1C3C518A70A73477C78A8B0343525A1371E77EE80914C9171549464AE949015EA5112110650FC521FA212925CA720CA2722F797AF0936BC1D51179412CFAB117F1318D6736613B6975505827F8067A64B21145B9A183AA2E0C3A2D625695889A63CD8588';
wwv_flow_imp.g_varchar2_table(13410) := '83381F05F1178016679A014E4EE722126012C3B71145C0237D730447F0034750117B537646D0A9A7519065C7A94960A448F2104420FF0189A1301A699D1DD189DC5131443215B7DA11EC56116B78115B011606F06A54866AA8A1211A628C6AD5192F5011';
wwv_flow_imp.g_varchar2_table(13411) := '1A271AF101AC1995931A0117672220770A5D84BA1971C4ADD21500E13A152212481AE15D1AF166E9AA200F66011E300129905789C1A897D12DB55101C2D9221AA06CF3AA1184711AA0791A62F119E5AA1B0A3150541100DD45B01DD2506B8A50E6BA19FD';
wwv_flow_imp.g_varchar2_table(13412) := '71AE1D21A8DF8A3B164B5D5CC335954415422554546108EB351094D00899100991302F240B0095400900D0082DDBB223CBB29190090040B38354099140B226BBB23A5BB238EBB3353B10801007802048226BB32E7B11286BB33EDBB4479B5E369BB31581';
wwv_flow_imp.g_varchar2_table(13413) := 'B2559BB357CBB45153FF0817814973640888D02F0010B654F1075D6B111C3BB69FD19ADFEAAD18BB52FDF042A5614EA4610FA502B7771BB7DE08B76EABB67C7BB17ECBADF2A011F47019F1B00EF1000F885B15F120B888CBB800E0B88D2B0F933BB9842B';
wwv_flow_imp.g_varchar2_table(13414) := 'B815410F973B15829BB8F0000F03210F8F0B00F3400FA40BB8ABB7B6DCDAB6A77BBAF3300F1751B754F1BA9A610FF59019F580BB6D84BBF8B0B8FB100FA33BBB158130ACBB7A194ABC15B1BAC7ABBC11820FF8A00FFA900FF9C00FC93B10F1E0BBB17B11';
wwv_flow_imp.g_varchar2_table(13415) := '6DB4A1F7A0A1C8B4BC14F2BDE17B1AF6C00FBC3B21D38BBED47B11C36B11791B21A1F1BCBBC3BEA2C1BD8562BF855235A94BA8EA2BBE55630F758BBD1012C01661FF0FBFFBBAF4600FE62B21DA7B818532BF15710FF2B00F124CB81791B9172C0FF4A0C1';
wwv_flow_imp.g_varchar2_table(13416) := '979BB910AC0FF7F0BC210C21F6BB0FC3FBBCFB80C200A0B99791BB00C0BD9AC1C00040B81AACC1F5800F368CC3383C10F8EBC2F7400FF65BC12FEC19AF8BBDC12BC3F1F0B8BFDB1915DBBF4DECC41372B71C31B79EE1BE4FBC4CFA6BC5591C21B7C0C5AB';
wwv_flow_imp.g_varchar2_table(13417) := 'C0C5B7800B7B14C658F32E00300CF072C6668CC66B1C3C6B0CC6604C0C6C9CC6EF620BAEF00AC0700B49A5197B9454B6000C782C0C5F8CC7C3B04703110BA970C80090C8B6300CC2D0C8FF6221B9300C00000CC2F0C77F0C21C26011C3300CC0D0C8950C';
wwv_flow_imp.g_varchar2_table(13418) := 'C99AD1C9B6A0C71D410B893C5ED566C6B740C8ACCCFFCA84CCC9AF1C3C66CC54C3400C9C6CC6933CC90361CB9B5CCBB53CCBD363CBC470CBFE923600600B5F9CCCB6F00AA5AC1958ACC5D15C1A1570AF15E0011670AF2060240361014AA3CD302415DFAC';
wwv_flow_imp.g_varchar2_table(13419) := '02E16CA554619846369A54928D1DE1012CE0CE26F0022F309F6E369FF389023BC96A54B6012BB002FB1C17C0541A383925FD0C00046D1A2C30102C10033A70033C00033CB0D0CEAA191BD010D33A157C81161FF1301B7D23C771134670AB3C4683200D00';
wwv_flow_imp.g_varchar2_table(13420) := '910800206D044090D2465013201D380562643620893F60647B524AEBA618FCBA11C62BCD3DFD22FA1843FAE8026D9928548518F5A9030B1D0330A00330E0AC3A00004C1DD5508DD0080D003800FF003A800312FD022506002CA0032F5003610DD559EDAC';
wwv_flow_imp.g_varchar2_table(13421) := '38800265AD113580022700AC2D03D795B3985F5DD6508D0200800228C0D6777DD703D1D7A6810403D103008004296104815D1577EDAC56DD113880D06C8D6A1100D549C0688B76114920AA47E036985DD91621AA45C0D94520AA1691D2256DDA17114F47';
wwv_flow_imp.g_varchar2_table(13422) := '5815D0ECD3AD7D192300002300DBB23D022E00DBB5E2023094DBA3212A43DDDB1C01CF5DAD1138A0D6598DD5577DD660BDD538B0D50010CFEECC116C7DDC3AF0D71DB102637A117F5D0316B1DDD1BD021CF1DD7ADD1983DD034830D89F51032550032CD0';
wwv_flow_imp.g_varchar2_table(13423) := 'DD1BD1DE290312A36D119C5A769BCAAAF50DDA9DEA363CC2D2440ADA47307C4420FFDF0371AB34B11C0EF11030EC46AECDE09CD10115F0E03EB819BB9DDB42AD0243DD1118CE1943600325E6D41531D6DBADD55A7DD56ADDDCCDEDDCC81DCFF10CE2C3BD';
wwv_flow_imp.g_varchar2_table(13424) := 'DD77DDDEEE4D1ADFBD023550E3376EE3DD4DE31571E33C2EDE17D1DE3AB004B6B70403617B0361DE4850E4099DA09D91A0DBCD981D9104F9BDDFA67AD265873753CE37494004A67A0402EEE5A66A045C4EDA79F922ACDDE04679DBB7AD1B6C5E111330A4';
wwv_flow_imp.g_varchar2_table(13425) := '0030A42310E71551E71A61DB5401DB445D112E3004B0EDE76E3E102CDEE2575D11653DDDCA7DD62FC0DC5BCD022B5E11C76DE8684DDD958E0238500392CEDD0361E353D1E954F1DD9C1EEAA36E1138FEDD6CDDE315C1034CD0FF033C30E43CD003436EDE';
wwv_flow_imp.g_varchar2_table(13426) := '845DDE478EDEE05D15FA8DE5454AE65B4EE5A00DE65D5E04243DECC55E5AFDDD69042E12B0D3B7690EB8746E116CBEDBA531ED1701ED1B71EDA4310217FE9617AE0243E0ED7039042EC1AFD31DE9504DE2666D1160CD028DDEEED0CDD690CDDD3A30D669';
wwv_flow_imp.g_varchar2_table(13427) := '4DDC254EDC9A2EE9A15ED038BEEEA54E032BE02C35D0DDDDED2C07BFD6780D00055FDD1B617B3CA0E4B4AEE4AD0ED502BFD6011FF09F5ED0C30D006F0A179B7DAA0030E01A01DAB7F7EBBE3EE5003EE52B2FDA7D89343D61E0A4F1C268EEECAC37DB5521';
wwv_flow_imp.g_varchar2_table(13428) := 'E8381FDB3B8F221A4176A771E76B5EDB00E0DBBA3D04433DEE879ED69CCEF41771EF1C61D5CC4DF00BCFE97A8DFF02E1FDE258ADF559AD11233EE993BEDE091DE95F0D003410F0204EF0DBDDE9311EDD5561EB00E0EAAE3EEB8C810442DEDECC3D109ACE';
wwv_flow_imp.g_varchar2_table(13429) := 'E3A58E4A0AB10140C0F258DE37F93DE0FBADE523BF19F42D777AD52AEB53133B561A345FF319E8E6B7FDF39E91DB374FF4D16E1171FEF3977F191D40E7B03DA41D60FA425F2BA99FFA6DF9F45D3FDD5AADF783CEF552CFDE99DED76A6FF55D7FEE588DEE';
wwv_flow_imp.g_varchar2_table(13430) := '7ABFF54DBFF5581DE3FC5EE8201EFB54DFF4DFADF7AB0EF70050E4E71DF1AA9EF7317EFC65CFEF4D1E86687103275F11009E37F3FDFD9885DF038EF83BF2D9F3D8138BE1018BE1138FEFA39DE1BD936FB139BFDB3900005BA0FA9AC1ED3C1FDBDA091000';
wwv_flow_imp.g_varchar2_table(13431) := '04FF761028D0424184090BAA203842210082163A5818E1B0A04315002C224451E3458D843874281CA9E385421C3858D4C0C1B2060B003005D6E82830E54D00381EA2B499B360C99E0040161C3A74A7D0823A6B1405A91329C2253CA24605A003090F0048';
wwv_flow_imp.g_varchar2_table(13432) := '8E6E2D78A2068D150068240C0B8081072349921459BB56A0DB82490014012077EE918245F0E2A59B906E122200F80606622305000F0052B4B021100857C800F245A65CD9F265CC99356FE6DCD9F3437D0A4734B42807403266C39055AEB4AD203881C100';
wwv_flow_imp.g_varchar2_table(13433) := 'F838EA90E0E50E200622BCFDB037641402570AC5814247CAA323051E772A73B8D1A54A8BEB54BE5CA453EB41732A570E72E9D3B134863ABD0EFF94284899C2B92E51CEA407931D4B90C817B8E4E858A3634F14040B202C4BF100D00080077AB02B2FBCEA';
wwv_flow_imp.g_varchar2_table(13434) := 'FAAB2F0405A22B4107770A0CA10901784C20130EFBACA0C936F4F04310431471C4112BD2E8A1330462460E1732DAA9826DFE01200165EC314DA02B105226A1D17EDBAA02DD10AA0000DD401892B7837C3CAA268458CA09B9AA44DA4A25A78C8229AC155A';
wwv_flow_imp.g_varchar2_table(13435) := '6A493BA32AD349CA99BC13AA4BB19CD4AE2AA0465A8ACCA4CC4408AB84E09C8F8734AB43082C9056286BA72E8353C82EBDFA4A502F002AF40C88C06400008682883074B30E499474524A2BB5D4B38D006804803D003804006600B8B120172C50E19C2F00';
wwv_flow_imp.g_varchar2_table(13436) := '90462009045A0500D7ACD0CC05FF0072BC420B84702DE8D61C05CA54C9A36A5801853D436AC9CE9D46C24EA0E08A6241CBF41E3A0ED9AD4AAAF2B9A71272935AC89A72693926A40A57AAF9B42A8889919848EAA13DC31A6BA7FD043222C2B90453102142';
wwv_flow_imp.g_varchar2_table(13437) := '49DCA1851B7E28F442811EB52CD24B0B36F860843BEBC757520B7A5520678A51D1B21C00F06419D7147211A2208105C08C82B6480864844806E020CC1213CACFA1FC64B686E3763A0959616BC692279F72BE8CBB9972EAF25DFFC6CB194ECDBE748A3DFB';
wwv_flow_imp.g_varchar2_table(13438) := '74984A2AA90AA2F3279F96ADB2D83305C26A5E05F95290C1101FFB61C2186EB070871FFC0558338213563BB37BD6769BC48A77C20580B911CA542050F016756E930B5A661CFF4FB8B288E42DD0D015002DD01019219187E8E0B7BB1322E82497876D9249';
wwv_flow_imp.g_varchar2_table(13439) := '3275209AAB61B11C96A931119AB63CAE345F92CCFEC682923DAC4C7FE83AD1A506D33D00DEDB8109730552B7AADDBFD25927A0114A89CC13882882ADCA1EDCE9B1B30BF277AB1862D84120B1113201EDB7B3AF8C1FEDBBFF3098B925460817590CDA0890';
wwv_flow_imp.g_varchar2_table(13440) := '21681548D65D15C2D50C89222F48375D7159C58CC005AA5B9ABC058203002554A021822B8809FC44AC99FC8728C191099828530200100B8210F48F7A60A292AA80884965C1120DC4439DFA58CD262B79165730D813A5558707BB5B4E946226902CBDEB3B';
wwv_flow_imp.g_varchar2_table(13441) := 'AFBB130022A00103DD252F96711442FCF5BCC8200A00378001FF1161C0A8CFA4CD7B4B1408F798F844CC900F7C08F9C52F646145259C0821417AC891262024225564345CA14641E201884A20640D04DC4A0732A23266ED0981C199E0538653C29814C772';
wwv_flow_imp.g_varchar2_table(13442) := '14F44CB492739978854E212C244906A9C51C85D80700515117BA0859C32E7D25925082E1805E7084B4D085419AE4CA8480F0834F166407CDDBC9F4768044C470000012E040AB3CC0013802E07A02F1C02C15A244286ACF89B9E4E5667E31B7212464636E';
wwv_flow_imp.g_varchar2_table(13443) := 'C488FA54E010DB100404C41C8DFC746386BE1564473ADAC61ACC104C2EDA4D340441C106985599CF45103ACB3AD8D320539613ECE75D0E745A6694859CEF848B242BD4010B47821F858C073A3A9397A004FF93AF205AE887003025298F1203590240950F';
wwv_flow_imp.g_varchar2_table(13444) := '39CC6118354B18D81221F5904C2F97B84B8B66549ABF00C01FB4300600A8818A064108432022908D0973370C03404A2FC2C55164AC20E340481A0B92456DFA0623DF1488372BE8216F9E202C811C91EB305396EA8CC49C09A9535293B2A52C01002BEFA1';
wwv_flow_imp.g_varchar2_table(13445) := '27BA3208B5E0AD0B256E120803EAA59950966D9436985E6328D30286223105BA590C0C1613197CE052A308C3E85CEDBA15944124235C0CD2DD3C76946C42A67F0058DC328F791160DD6D032B08C162494454AEB029442B1001004AB082CBBE44B2479192';
wwv_flow_imp.g_varchar2_table(13446) := '0EECA49C2FC1C48F5851573DB1B2D4C8884978FB3100008C7004E3610608A32C486154B003FFB33E04AD00D8ED1661D08216FC56201A42081281DBDB5BDED56D7555EE5DBD6005292024AF7088C31A40B086FF29E45694B142052C92CD686EE170882B88';
wwv_flow_imp.g_varchar2_table(13447) := 'E31E223F2281604030044063DB5B900D9C20BE8D956F082C1B96CA168B8F5D39A767B845A5840487B23F150A1EAF9A4FE21CF8B31964010B563096154A55698A542421C984830089A54C3D0340BCD6BB191B0001B9BC3D4A0B4C105C129392B63B981E41';
wwv_flow_imp.g_varchar2_table(13448) := '1FF25B5426B7B90963EE8C73A90537BC01215748D5C94E068211002223680004C92CB2A99DAC21078D40B240E2C0528BC42D6E00C841162B16371F6C2CB005E9800013D258FB6E200463A62F42C60CC8153836332B802C4776B239AE5CFFC9724D327042';
wwv_flow_imp.g_varchar2_table(13449) := '3EA0813D99893BA88DC94314399F1ED8A7074E7BE17DC0C35EB3B8F621024B880D6C9091DC72050620601417731BE9C8505A373080808C6D6CB01A7FDA6D02ACC091B42B90606A84206E2CC81A4F5A902603200EB7399C69960C80EE1289CB8FEBF26E4A';
wwv_flow_imp.g_varchar2_table(13450) := 'DDE55E0329A795D98006BC796CFB0240CCF055764FCBECD384F8F466FE112A51A976946903A0B2D5B24E77364B946749CD2718880CCF62C2023A16643E5991CF12069D41793EE42B6559D397314499DC6E2CB70E558C402A8DCAEB053C213040285A857B';
wwv_flow_imp.g_varchar2_table(13451) := '03B38AAD7AC335814413126A519368611147183EE4F18FFF550065072975421EF605F551267F609C0DAEE5F04584F8C0BAFFBABE087AD9C865DF084403C69EB937C35C9064271B21F2ADE062851A5465EF87B11C647365204BB5CF158B3BA48B0CB19C02';
wwv_flow_imp.g_varchar2_table(13452) := '5A9DAC0003E4DE0F6429A99C175C090507AC1D7D026DAE78678B286021BB4256A0010C18400365E38A591F638311AFD504949625DD13F24A5A0A84020A85E5426509D1EBC5582108F034C5290571C38B281FF9B0B8AC21C0718368BCE308A195058C7499';
wwv_flow_imp.g_varchar2_table(13453) := 'C599210812D0550702B893652EF3A4BFF9EB4E1EC7954E17BBD802D1F943322090D78720CD69AEA050838EF3A1229A3F0FBE767B03D9FB701AB83CB0E327BB961333F2B43E9F750640D683B3759EAADBDDEEAE0FB78452760227C4000F884C46904B5CEB';
wwv_flow_imp.g_varchar2_table(13454) := '6128960591FF803755B977EE1764EF7B57282B53B91509103E21724D3C88105FFF0F2DDEE218F7715E1FF24501B2002F833F81F8350028B5564139092008535B29985BB5CF1881067C0863633D0B7C2F9C6B3DC7AABA6393AFFD10339F3A33E5AB217841';
wwv_flow_imp.g_varchar2_table(13455) := 'B4CBFAA9CF21A19768A111E20AF90A27E48B9A10C0000DF8009C2B8815580AA07881E77BBE088A203F821AFED0B00422BB62A98112583D7CE3AD114BA85A420C85F0000990420EE0000AA080F22B3F0080000A48BFF52B08550A438168A58768ADF9C3BF';
wwv_flow_imp.g_varchar2_table(13456) := '49B93F344C22C6BB38921A928D83082F5B3589E00A8F0116C8313D07E48D8180BC5783C0577B08DD48BFF44B880F43880C702FF8C22CCB4AA710388147FFB4C011BC0CD9D313DB2B0897C119A363AC9F22BEA8D9894814A7ED580997D936A4A881760334';
wwv_flow_imp.g_varchar2_table(13457) := 'A98AB723CCAA692B81018980828834B1012E126BC2BA4B0C0FE022F753B62C5C28BC5328846825BF133828F4BB322CBC35B4BF659414FD0300193940069446529B885E7B40AEF03F84681521F9AB21A1C3DB0044068C8871DC0D08BCC6DB008141243759';
wwv_flow_imp.g_varchar2_table(13458) := 'B4A1438C454454B6C64AC49EF240D65B369D7B3D10BC36D532339ECBB90D702C043245E1198E9BB03ED64B42CC62134A2A881A1C9050D413A42096CE59AC8E50C1A9D20A1ED848CF428812404246EC0AA0CB8007684700A00084BA017E412BF0530C14FB';
wwv_flow_imp.g_varchar2_table(13459) := '3B95D1458508B8F10B12E14AA8863BA286FF53190EE834AE304381A028FA6B46CE5043A2449BC583C602F431922A0801A2C3829008A9B446A6DC0A0074CA173999893008D21B8821F9CA709443600BC4F9111081C08092D48007D0801BC2801B8A00B78C';
wwv_flow_imp.g_varchar2_table(13460) := '00B934CB0CD0C778C1C701C9CB10D0800C58AFD7DB8A7709A4FD903DFBE244180A0E69138114D4AC8BA41252B4AC9E6A2F36F3A6C6AC9AD6ABC10B0C0B049AB361E988A2C001A2311738E93DF8CA47EE4B80827880962C0813FB3B10A04910D0C5D7D48D';
wwv_flow_imp.g_varchar2_table(13461) := 'B95B0CBA43AB107B3BDC723181C82D221A436E24902DEC42BD1388423CC3A3FC10A34CCECC988C7F001994D138699CCE012CBD3AE40A000C4E6F14C0DE58B5B0FC4A39A4C67124B503FF5C4A229100E2B4A1B704000C60000DF02A0690C5F86CC70FAB4B';
wwv_flow_imp.g_varchar2_table(13462) := '31FBCBADB0AF648B2FC8C28F6241B66513B36EFA41FFF0A9FDCA169768099A1096ECC3C4A508378548361ABC331B74AF3D8136FFE8882D190E1ED08A40A38C13A0471B7A080858CD6D5C2558E2C60C412E476B51B8232817000219B5015A192B81981E84';
wwv_flow_imp.g_varchar2_table(13463) := '9AA556613F02E942F623CEE39CA88A62CE0D594E22A50C7EA8B1DBD8B87384086DC40D928B8C09643922E93289004BCB13C01FC93B81784B2FEDAAF66C4FAFEA52F64C4B875408B4DB89658321817C3ECAC2129F8A17D953B363DB898EB01C7DD2099800';
wwv_flow_imp.g_varchar2_table(13464) := '898E4081CB2A016209C2A3582F8884360DAC0996684838738A8F3CD0ADFF480004488020BDBB315C25284C0C475388516A31C798ADDBAA1E2E9AA59E3C4985F8C293CC804EA380D7A3000250C623D50C237D55CFA8800938122F120810A8550FA0D50AD8';
wwv_flow_imp.g_varchar2_table(13465) := '555DED555EAD5561A5D50D39080B9880633D0864455600A855CAA8006E9C54ED43080668AD311DD392E4BE763449C8E0518548C2C1CC4B0DD0CFD74BC4F50A81444C57746D33C8D88024B48C12C04FB33C8A49BC8CFBAC0C0A308117F080570ACE5EA4A5';
wwv_flow_imp.g_varchar2_table(13466) := 'F14B88B371290CF556E3F4C98438CE07808007384E56755559BD8C588D58C8884600483500A09521C80817E01A07519F2200D990BBD818C5D88C6D2922392697CA8C1621958D51811689599885D9852888575AAC62FF195784C05030E4008254B6D9234C';
wwv_flow_imp.g_varchar2_table(13467) := '6DDB899F4D8817409617708AA4DD093D3D091C385AA8350993102111715781285AB5798114D8DA45398C18402B5C548821908B0BB1014661945DF4101648011358DB861346E4A4D8CC9858B9B50CD8D806D8E80600B85B714088BE15876D005CC10D5CD7';
wwv_flow_imp.g_varchar2_table(13468) := '20DCC115876E00876E005CBD3D8A6D68DC8780DCC72D88C915886E90298580DC82E85B0F0987BABD2BCFB5DC70D0DBD1155D00E886D04508CF255DD46DDD82705D12A12881B887A1FCDC9DA05BDB7D8879B00781880733B2077BF0DD790000DFDD8A7828';
wwv_flow_imp.g_varchar2_table(13469) := '5E00B087E14588E19D077A1008C6E3DD8750DECFC0879D005EC8785E85681B84D0DE84900779100879FFE0DEDC7D22EBAD87E39D87E58D87E7F5DE87785EE1E50AEB4D88E7AD87E53D8AE315DF78085F0070DF82A0DDF2DD9E002691242DE00F915ED955';
wwv_flow_imp.g_varchar2_table(13470) := '8804F69E7D20DFA3D80700D8077980E0F09D60F185E001CE9E7AE05DE905117AE05FCCF860009087E70DDFE22561109EDDDACD6000C05D164E980556607B88E1B7F1DE7B98871BCEE179D887E365DFFF5D5E7AC06000B887D078E1175EE01B7EDEFB8558';
wwv_flow_imp.g_varchar2_table(13471) := '236EA226B6A8F9BDAB1CB607212E08E0BDE21B06DE7BE8E027EE628480E07DA807078E5B2F76E2320691C9583C355E63366EE3A4940C3626E38CC2073AAEE33A5EE133CEE3FFC5E30176613DA65F7A0864411E64422E644326E4CF30E4B7A9071AFFFE63';
wwv_flow_imp.g_varchar2_table(13472) := '47E6903FF6E3479E644AAE6448D66349A6644A00804DE66481E86450FE6451F6644F0EE5CEC884834905505065565EE555B664581ED23CCEE458F61EF9CB1E0A40C65AD66300C6E45DBE8C560DE6AD10E6603600A00C1145891E00881E843A98DCA28043';
wwv_flow_imp.g_varchar2_table(13473) := 'FCE527EEE5599666CE08808208006C06806D46886DC6E66E16080268AD7126805BAE8C18B0A5933898853B4B6E7D081E4D007925A81BD88176B666FCE3E300A6E5010E0002D8E67FAE0C6D1E686ED6E69D186870EEE6631608A034E6041867EDBB651388';
wwv_flow_imp.g_varchar2_table(13474) := 'A8CE10BCC840A8744E08B88CE69D58DBFDDA0038C36734D4E7F2E5E7000E667F0E67CA00676E1608956EE9964E688480E8606ED5ADFF58680F71B8C8908118A08063E6D631CD00934C811250A5A286206FC280594A817516E9EC118180259079DE0A6A3E';
wwv_flow_imp.g_varchar2_table(13475) := '6393B65D33B469CFF8E78066E9A3F0EA8700E7717EE8994ECD89D6E9CCE059C8606A0AE4E882F84B59D46559F4A9B318B41E5014A7B694CADA36AC2D885B4600C2C3698420E9DCBDEACF5DE8700E68CB48E984F866AE4EE9AE4E88729EE90468AD85166C';
wwv_flow_imp.g_varchar2_table(13476) := 'C838EB8468E665B60C837D6B72F36B852000932C811290C5647B000E480119686DED3125DECC5D6FA2006FCA800DF86C0FD8EBC4D0EDA14588630E6C0030E787206CDB35ECDCD5EA0D416E971667947E6CC516E7631EEB97EE290D8928B6C50C65BE0CCC';
wwv_flow_imp.g_varchar2_table(13477) := '3E001B2C089B566E08FFD2E5E61B2E18B8EBBCFE8C5C0680BF146F84D83B6823C8F4040004780003B865E51688B88A6469BEEF4A996E9B166CCC860C9FD5B6C440EB82E0ECC8C0E6FB6E55598C8031E50A074F08557A81D6C66B91B6F0778E0C68BBED63';
wwv_flow_imp.g_varchar2_table(13478) := 'D3659F52D553BDDA85DA80798E00C2BB65C126EECF35EEBA4569D11E85824806C8208641138672780604E0515BA8023848876C80814830076F766E7F3680FB7EE873F66B038742591201648C2828D70C830EEEE00EE7763C00843800FA4C3400380004C0';
wwv_flow_imp.g_varchar2_table(13479) := '4FAD756D0B3F6F6C9667695588BF9C6D9F22C992543F92CC005505719FDA80425C68C283E8E1D6EF5D36E86D7605EDAE0B5A50A8D5B89E74903F5760860428837EFFA802905208C6A6F29936E6700E705A6AB889D65A84F0003F795BCC004A7FCE66487F';
wwv_flow_imp.g_varchar2_table(13480) := '08F86C47A0C400DA168893A8F031CF6B6C3ECD0C3F8A5CAEC29D58559254B60D10C3382F49A03C67AD6EF44BAEE65FEE665790714640885BB8E9BF7D1E75A80200B8065078062E900C5BF0006210F2827EEEE02680C410981EDAA1AD887600A802187881';
wwv_flow_imp.g_varchar2_table(13481) := '25878CE9E60A6C7E702C17082C6780757F0898606B4559F5F3F649C06E2D16606F30BC75B53E490ECF659FFA595944CD8400ECE036E63CF7E560C76643288848A88C56E58270800400F81F1848DD2AF0845B300104088031F8070829EB70BFA92AC0A9A3';
wwv_flow_imp.g_varchar2_table(13482) := 'A8022E7083324003002803812803987783F0F3B7EBFF41F069C58C6FEE729DDFF9412D8875E681D6BEE710111B8B8ED86D450827EF77CB285A557ABD047870F9136E0020E724875E3D87E5569D728120865F78855618A987D881741007049082B6718768';
wwv_flow_imp.g_varchar2_table(13483) := '970782677619610471C88684C2F69B6A0B23D00B22C08B03790B8528032E68749747832A50198832F7ADF874CB78778568AD07F8EC21127A1199687F3B52D64608EE4BBF03E0BE6DD3F7660BC884D83638BA1EBF3B4E0640F1EF9EFA850EE228B66A7CAE';
wwv_flow_imp.g_varchar2_table(13484) := '021917886377065FA09BA380002F483F0EF0825922024A8F8CD5380A9BC2353F00806898183F2F0899B78CD2777450AF8C0368D5E68775648C81A0DF109B1788662E22594525D53EE763D6FC9DFF35BF012F88A2AEACF02F88D147782E9F6CAE50F1BA65';
wwv_flow_imp.g_varchar2_table(13485) := '718A2500B9A71BD900806638E849097900E85B66B88603617680002070A0C02FA908025082702142020402080C40002144880C2F1E0070C0C0420408003C00C001000B82316EDCB8A87225CB962E5FC28C29736582811C0188E090B3E5C8912A39B0E0C0';
wwv_flow_imp.g_varchar2_table(13486) := '216484040C3E02B809E0E3C48104900ADC2730DFCCAA56AF626DC92F2BD7AE5EBB3A1C888B583200B5540128F6AAACC0914DBF32F432D0904029CC980D840300EFC04802AB0C0C07A00C800D490918B078B1A9628A041BABCC28F0C047A803759A401803';
wwv_flow_imp.g_varchar2_table(13487) := '40CAAC32E0820E1D13460C1830522C54CAD0E740116D45E21CE97A610682110432FF48FAD18081B702550FA42A7A3871985B8B234F8E7598C03156EA12A6F58BB8C5B75CB2090405600C00BF9EB2719F0640DC2D620088DD5AE910B2F2819601140D29F4';
wwv_flow_imp.g_varchar2_table(13488) := 'E2E6AE9F01D41F88B273FBFDED5FC20040060F2090C06DADB1C6D34E237920D26C0251601B021140C5DB7B885D24DC7F1B8A761C871FFED7143195C8E585178059E185140000835C6355B821106186BC01C0175E3012095D02DD0180157E003650156F28';
wwv_flow_imp.g_varchar2_table(13489) := 'A1C46C0FF90622020CD4F41A4E9975F50200A80508800CFC81581596C8552910852FE94490080D0A95D34E106610E142115078205304BDC51D411A6659A7551EDA99277156703110617D1D019A11350AE49B12495461040040FF1041C40F021511284141';
wwv_flow_imp.g_varchar2_table(13490) := '0A440442494484A4447AD64690072C40295A7D5B6E989F40A67E985F0A097A241941099AA99307630ED4A09997750AD20614DC561485B9FD06E74D65F433A79EC71A87ACB2A18D51231A6570E1057749BA9480A42B1986909A0B51F040B6D9D67A519312';
wwv_flow_imp.g_varchar2_table(13491) := '914B2D680148642E84028D29C26C527685196B5D7296654A5BCAD0C37DFA7189AAB608B936DBAD387D4A924C9D4EF8A5011F29A6D418FF18BBACC40BE139B1C531F901409F1A734CE84C226C3C101085AED815700329C61E871184B490C09F66F6428032';
wwv_flow_imp.g_varchar2_table(13492) := 'ECEB920C2F34F8020F320BD4E50D9B6D46EA40F9A164A5BF02A520E583B4921AE00BA8B1BB1A675766459A4A31FFA0B001B80C4C046E4BB4E24452BB0D729BA6400F3CD02BB028B744E7C5CB56FCB6DC00A80B8027B1A4D71DA655650280148029DA9C12';
wwv_flow_imp.g_varchar2_table(13493) := '048C51334C137974219C5972B4A48121851461AE04B300F39401D677F44A4957A92FD09969DE920C9971E0B540693E40C1B61C1C4D416D6AE63AA09A1ED04C5C0C32D467FA7BB10DFC64E5BF5F74E6E96B0290DBEE492D44CF3EF8CC2D71DCCD434FD006';
wwv_flow_imp.g_varchar2_table(13494) := '450814AA4C119A00034423FDF0C4409F194001BC3279F43654079EBEFAAC30832AA569405F659A4064933DEAD00B7556744A3E6D2B7DFF2BFD6F7897F90ABDEE078000EDAA491C61C0831642B69200004AEDAA9CCB0638906EB14925278B58F4F4F4BC0E';
wwv_flow_imp.g_varchar2_table(13495) := '82FF302B2AF30A6216B6B00454866D0028174434A529AE00072A2DA38061E6C32E0E98E08126701F0C3E03B4180031884134E0BED4949B9278E069F9F9A1661672B39570206707CCCC955202C45A81CA04257941499296821E7E663F427B89108578AAC2';
wwv_flow_imp.g_varchar2_table(13496) := '7829582101D7D216F23B11580F213AF1499A5C773686BC658400705B083FF4C13E36AF6EA011E462526813E44CC4378841CA478A029FD3696D03369CDF9840858208F2F08AF829A3264BB32F18C8EC05A2F44914232802D484EE54669C22003C608298A5';
wwv_flow_imp.g_varchar2_table(13497) := 'A07600784115AD88BF81F40000B944492E77792FFFA47221571CA6958CB61918ECA465C8AB8D241D58C9F58900055A04D81C1B28140A70C06CFFBD3ADE0895C73C4066E98FE01C27889AB2B0A5A07037C54924411A0780C711E4011A40A3333F55305041';
wwv_flow_imp.g_varchar2_table(13498) := 'D03456FB61E68258A500F160200145814F3203831C16903E65ACD71709B2CB7C15933327A9D7D4F2B59FDAE9EB3334DB28678A863B4E8254939AD9E84771B22B9B34A5746282A6404045498301A004D5944D981204129608928FE44C8E3877EAD3E44C04';
wwv_flow_imp.g_varchar2_table(13499) := '22E76C528826D2B8B421449ECAB429832A491298C1EB7DFD2C23A91AD4ADA32026001F218DFC86165290D66B7C2B012947496AD6B36E5488FA5C2B48BBDA2520921488301889325FF5AA315D1200977465C0D6079B9FA8E4282863CC4A74FAD3E1F4F4B0';
wwv_flow_imp.g_varchar2_table(13500) := '8A0D8D3911C01B9BE851344C42FF5F5DE72990665EA424F88C59CF5479AAA205E841E86B4A097B76C5028AD13F31D11C276519139A1173A15EED24FC30C7C9B91284A836AD550E5B794916D06A4C615A4D063690A6E3126449C8838961170B97C43A37BA';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(13501) := 'A1712C081B54122D66268EF8F1E1629C42378EBCE59C1C90410FCBDBD197DC60076304E1CF6EC0513481E478F323080423D82014D82ABF0B21A56DEA8A900D0EC49BD2250E74076C60E8B1B37100BE4A706DC58100CE240231DB61A8AA24DB031FF06938';
wwv_flow_imp.g_varchar2_table(13502) := '411B6EB83212D32D04A9A9A9CAF2300C9A029B38C5CBC266B84C0047B1A257203FD88140680C801D80D225097AF0486808001F0BC40896FACAB52E5284241C2109474EF292FF838C2CD4BCC0045023C90D7209002158D92A3D10C2F7AC0463AC3457C532';
wwv_flow_imp.g_varchar2_table(13503) := '41B198CB8C2C710CA41C68563300CA311371B859346836F39B09120E340B663C8211479EAB72E73FEB39D0E319CF9C6322603A5F85CC885E3472E8C1107AC8831E900600A4231D6096585A1E5FB907A505E2E881681A00A1B68AA33F7D9551EB09D50080';
wwv_flow_imp.g_varchar2_table(13504) := '87A809020F55CF441EAF5E3541E4A16958CB24CC8C5689A277ED6BB8E87A6E52F9754B38BD0F791C3BD902413656EE81EC67271BD7550936B107D2EB6A633BDBDA06673DF6B8ED955CFBDBE21E37B98F456D6C87BBDCEA5E37BB43630F6FB73BDEF29EB7';
wwv_flow_imp.g_varchar2_table(13505) := '4CBA4DEF96BCFBDCF7DE37BFFB2DEF7CFB3BE0028FB727FAE6FF097FEB7BE00A5F3886F98BD9C2D030E2BB3AE9C4BF0D708663BC383FC872C6DF86E57E27BCE3880E264B50E8D3DE5C56BB725B6F1F03CAEF908BBCDD8EC44A0C78008380DE4768260081';
wwv_flow_imp.g_varchar2_table(13506) := '0DACE22E97C0608B2CE0221705F2B4A3276DB163AC592EF3653881B07C253B9BBACE74B0332F93FBE231CFB6076ED002DC7D31C7761D080406A2CCA25886A82CB979CD6FC083A8A700042D00C1423243B6E0E91505EE8B810E66C982BE0B04070B713942';
wwv_flow_imp.g_varchar2_table(13507) := 'A81E5029E9AC873A3B204C704710293DFDAFF28549D08A26101EC88007A8A199CE84C6F1ABB83CA07DE7C1D46729FA595E9E053C183A0E5ED07A1DBC00F6AF77FDEA53D0F7D84B09F63BD37DE2234F10FEFF70BC073416BE2E6D2C9A7BC07CEB0DB7410B';
wwv_flow_imp.g_varchar2_table(13508) := '52F0F516C0E06701F2495E5B797781A83DB9EE6108BCDECE831E5499219DB100DD113277004CE0C7971DC80A36D0FE1594A02DEEFAB9407E8B83FA0200073A003CEE610F7B8164DE67B85CE65589EFA9847BB917E399C08EB9D84B4800053CA00408C403';
wwv_flow_imp.g_varchar2_table(13509) := '6E122F0914285589CD45D44A185F55001E9409D440B85E0AE080106856FEA5DEEAF91FEDA91EE285DE40E880E118A0F809C4E7B547F2291F86B5C0F3DD800DFCCC106958F6301E4224807F2580C9B144E6855F4BC4D104908D9AA8D440188661C0DF6598';
wwv_flow_imp.g_varchar2_table(13510) := '49FCC11F0B686149D40049E8000EC880D59544E891DEE5BD00DF01540A681EE6B16100DAE0FF8D091FF10D04320D840940D4954C991C41400442A0EA40C004402000EE479661DE2CA5C016D1CC1B2E848D292243101E41E0DCD48D1E0B1CA2E88952EB61';
wwv_flow_imp.g_varchar2_table(13511) := 'E2EA69E2D0E9C0DF21C4F8EC8CCED09221CE921B2EE1EF419D1C6E080EE6A074D14EF301400BC4620BD8800D04C8DD81400C409F2C9E51B6CC1C43F89743BD0479854D04EDD6409C40089CC009AC0033BA5FFC5D964A954009D4400994040EE81F0FBC1E';
wwv_flow_imp.g_varchar2_table(13512) := '00ECDEEA99A0D519DDEE5D4497F8DE0E10DF0E98E3CF4CC98FC51200BAD64294DD48FCE1B65040D979154AB89CDB9506E1754E95459D576CC623866040AD9EFE71E3DF212449A8A02815DEE32D0440B5C4F0555907D6E04234E2B4B522FFB1E9850D389F';
wwv_flow_imp.g_varchar2_table(13513) := 'F309C40E0200F5A0818FB4D20EC2C02EC66267C86311224F93A414417CD4DB2DC4A334D19701C0090040082C844E22843D02000610C40A00000DA080E0CD922811DED35C9786699E9434A546152200B6841050E4F4A10F45355D42018004EC618400E2BF';
wwv_flow_imp.g_varchar2_table(13514) := '5849CDB85C0CC04B0046A56808A01ADA1CE15D1D24EA8CEA0100E03D1EBC0C5D4B75A240FC5F4B20DD28E2524AF400F865193AD29839E292305264BDC15B46EE5AC6D88005008005A48005A800080C0100E0823208043200C01AC4E2477626415C030008';
wwv_flow_imp.g_varchar2_table(13515) := '0311A483403C0341980377CCC6CDA9442E31624B84406C7EC0070CC40784C00CDCA640F8244100E509D0C016999E28F265FF66808A1AAAE13A5E5E1E1613445DC48C11A68D518D2E51544BF824207225204E803D52806BE45C0272230872631831E74018';
wwv_flow_imp.g_varchar2_table(13516) := '1FF1A9624B084D4006647032A408C6E5451C5E6BB406FEC1DECDE9CC13B104E1F500E991DE664499255D9261684084A8090C3C4A0FCC184DD2184D169662FA9A5E0804645A400B38E62A08042200C01400807878A62CD22242648C42B0038D958127B003';
wwv_flow_imp.g_varchar2_table(13517) := '009C884818D43B120412E41CCD0824427CC00C00C00C60808D2E04509A5D8D12C407D0000AF6DD31C52543BAD8AC0C44D2214D0D9AA5465DA48D99237456051FA21F0564E71F420007400005509154765402CE2079E2D2F08969F1C127969CE519DD4CEC';
wwv_flow_imp.g_varchar2_table(13518) := '1DE57BCAA5FF4A9C606B8800FE8D25E2A1069498007E551F0058D64DF129F6BD53021840021080C965DF0E50E5456688832E260770E4630AC410ACC22FF005001CC24094850AD0222F920D33200023748340540300846A9CA50384BA637412C4A3240177';
wwv_flow_imp.g_varchar2_table(13519) := '8CC117C809435001424CC119A44115A40115DC6AAD528142F8C819081E8D0AC48F0ADED53965E63D956BC08C7242A29560DE78C6580171DC6122C4570A44FA592907482037F6107ED8152D19AB5FC261B892A76B926BB8122642A4844671E34288627C96';
wwv_flow_imp.g_varchar2_table(13520) := '5ED5F100FFE5259CCA84822505A066DFD92853D94940FA656B844E40FABD1304F4DCB8DED88D3168832A2AA32500BCA440DC09042E4C07003883335802FF0024832C700C2F0E4435980317FC8140A40360FC031A60870784432C341143105F8DC488C70C';
wwv_flow_imp.g_varchar2_table(13521) := 'C41888C176CCAC18ECC118DC2C00ECC19FBCAA1668818DB8811D208450C6254172AB06BA513896E27DB6618CAAC4930A5345C204B662EB3C1204057491D32EC5D0C428D4CA2182C284BEFC65E6E90B43A0619BAEA9BE625F81BC934AA85DBE12C41F3244';
wwv_flow_imp.g_varchar2_table(13522) := '054C000838E67C4528FA11C404DCAD6ED62257B0E2C2FED40394DD6E4AEC2B08045AEC052E00402578242F8A43237802AB7DAA3CECC048A2A8A7BD04D4AA849CD82C60ECC173D8C118D8411908AD40F40100602E0068C1170804B04A5DE824CD1AAA215F';
wwv_flow_imp.g_varchar2_table(13523) := '9E6955906567415D4C142E076067D9614FFF293E227040907776452FBD8424C2C00AFE153C92DDBF5E8405F0EDF43AAA4CDCADC0F2ED63A65FDF16AE0DD0D83FB244E00AEE38A14153B02442E0423100802F08C4C4024065F61C2C5E840728C1DD79C141';
wwv_flow_imp.g_varchar2_table(13524) := '451EA20E04360000343007004403348C412DA8030030472E3C43C81244C6BC42250C841AFC28FBE1A5D11264EEB6941D62DD772284563E6D96E5D2666480DE7D16F84A40D566272052A9EA686992AAC9C98444D9660928C9A528828401402F42486F0E4F';
wwv_flow_imp.g_varchar2_table(13525) := '6F0E1344DF4A6FB56A6F1057EF10AF84636EEF403C8AF702EEF8321A87A1EFC4B2AF01B7EF13706C927ACA2C7DC4B6EC900CB8060CEC924C0C4338E40200F41933B05AC8DE413660C3FF338CA427148B2D60268F9401ECF22837B66940DD5C804CD96718';
wwv_flow_imp.g_varchar2_table(13526) := '27412EE94C00E607F30007A0C0157DE9ABF4EBBA004096FE582905D48398D05270C4827D85BE7C9FB1169E243284C00EC40FB704275745DFAAC4F5AE23BF7AEF602E3113D39907BCCE404CC72F20EE270844DE0844A0B4C0E761497D240005908DFBFC18';
wwv_flow_imp.g_varchar2_table(13527) := 'C921042DA06E36D4428F0846EA86268F84E628F0EA34FC423C0C84C60E254380E3BAC2E41A8212315AF392B2A13FEAEF2D6DC066D82060DE0704FA6E6EF9294140590A80D87FE86FE97544DEE2F028C345F6622F10A3DFF51E612C9627E762A42AD3D948';
wwv_flow_imp.g_varchar2_table(13528) := '64C648322E49BA4119BC2AD989002DC9640D5224026C2742B00005009FFFC10EC4C109842770439FB8592184432D104469AAAE386807E2320200980143D028B0D2400D18A54AAC21010694FEFA234B3C29F84DE7B65A2467682081BE440494C0714E1E72';
wwv_flow_imp.g_varchar2_table(13529) := '7CB30E58B0D9115257DCED522FF54080720FE7F34048002DFE25B91AAA73CE84F802B462C9C54078C173AC84BB641743CC0AD4E08CF8D04CF86D9C3F67748CD0C59F2C421F88C12274C26018025DBCEC42C4014194011AD0001D13AD230660E1812F57B0';
wwv_flow_imp.g_varchar2_table(13530) := 'C0292284BE5449E1F6245903D2F2DA644C88F20F7BB2536FB2F456804C24C054AB40B89EA374FEF3562FDA490BC4CC12C473F40D4294408F5C2817044E41DC4012A0C149A34A2EC141268CC1F011046B2F04A51084FF1BB801E67A4C8DC0011A6C010004';
wwv_flow_imp.g_varchar2_table(13531) := 'C145CCC0175AB34B34345CBCA1E57D9EE7108404FCEB6E5A9093ACC421FF070F78005181F20E7332658F77F61607283BA60DE0748D7DB3C2B65BBA555B04BC4060AFC4AB6E806B94C0E46068E0408211C8458400C61174751948092500008632422E252C';
wwv_flow_imp.g_varchar2_table(13532) := '005C0B0201994AF06AA01C01F5ECCD404CF88F3A018DD2C08FA2EDF734EDB29CE21E9AB0F3FE15D45C250D82C67922C4CDDC87D5657340DD44655FC45323078D572B6AD4622FFDA5743A293ABE44B769B599F14390FF1A0F2C415C8C81B400408C04D434';
wwv_flow_imp.g_varchar2_table(13533) := '4EE36C2082F7D0C51430C211CCC68978810C10C11DF4C8D3E59210ACB508B2C663FD2424F6DCDF0A84FF0F5E09F3D9400564AB052C38000865353B14CE49E75F163672C40005D444965E2795CAAD9556A9C0065448C06D5F72C8711E500CD2D28334759E';
wwv_flow_imp.g_varchar2_table(13534) := '84F742E0381C56B57976E0735AB5105CDF54C85BB1049C91EFE75DDEC1DDF405370A5EDFDD1FE0055421B468A0602800E0C140C488403C811F400241A0E3C6256C66A889512CAB0DFC40B003004D3E8A73F69C043A2611FC28B0CEC0B096291BBAC4738A';
wwv_flow_imp.g_varchar2_table(13535) := '2B71784084488007F82EF0EA2D4164C078598995052347C04B7B2F22975DC4B94A3A0DA31EF641808C73C83D2F84BB3FCA0E6CDC5F4AAB4D5F047C239ABE135BF7D5E0D5218189F449419E3A41925EACBEC011B000125C8B9C1801A6180107D8D8FF1108';
wwv_flow_imp.g_varchar2_table(13536) := '1942FC80B9FB440C946D7DB806ECBEC00E0081B0D33B8DD522C9F7309CD3A813BC6EC127B6CB913B87DC47095BB7EF663B76F6582B79CEE8EC287C2480617C714C58591C8EE9B0236AD9DE87062A05297BC564076CD307AC65A7DF3D8372D9FD80F7F600';
wwv_flow_imp.g_varchar2_table(13537) := '12B8A6B9E2F9E7613A8D6D7A62B21BBF135B9C6AD160E6D2F834D0E5ADABAAB7D4E9A0C06C94045424112D35E203683C61A68440AABC0E2C811C9ABBB90BC4C72184CAF36804BF20BFF0CB9706BDD6333EA637FEE7B50CD5B8869A64A71E9E7004A9D2BE';
wwv_flow_imp.g_varchar2_table(13538) := '5C9250E413375A204BA8A293165F0F04DDD75FF30B064830CEB80E4BEFD33F7D3E8BB711E7B005D0BE289BB7533BE6DD42C047B440FFD56F9C2E593AB9EE52014E24992E0490CB9BD8FB1A0A44C88381A9D3680EDA021EE04736BA3A3E841801BAC360FE';
wwv_flow_imp.g_varchar2_table(13539) := 'FDF50C38C1F4033EE0A1BA22E7E44238C125F16778629ED8FE92E5B56671B4E36092C98F61E756EAE622F7E18DED8B61D4074102040C1D3C0000B871A34741850B17EEF801E0478F1D3B00EC9008C00407111E5E009098D02241193C62F0100863A10500';
wwv_flow_imp.g_varchar2_table(13540) := '130AB274A9708205950567029829D366CE9C3557D28CB930E64F97100ADAB0A170628F840A97DE30F120824284532F0260C110403EAC5BB976F5FA156C58B163B9F2237B166D5AB56BB7C201E08102000E44896CBDAA90C740007909EA60BB75C3C38B55';
wwv_flow_imp.g_varchar2_table(13541) := '0BEAF0EB6406002627FF68D070B202000D8689016878A09072C119356A10F48C35E18DBF6B295E1462B1A2470F4039488030E13505092C5F7BB8214321870C0A750834E9B7600FD16229563C5DD0E20B13293AE24EBD1437C1173C64BC488060C24F9A5D';
wwv_flow_imp.g_varchar2_table(13542) := '83C2B490FDFBCAF00A67B28459100251F5E913609D9042884186832B2E05808029EA86004460D53A1AC00005F48A9FFF063C10410445A0808309E202423E14C4020E80813A2268AFB18A53283ED44AEB0143E010DB6A062700C8AC200DE24A51B38298B8';
wwv_flow_imp.g_varchar2_table(13543) := '10AF916408CDBEB322AA0F470F41DA31471E3DD28F3FB9606A30360729808D030F64704E218100984EBA0C874BABB40D973C68A9C16EA08EA0149E5C31BCF15EEAFF893BDA86C22A01A2C2C2EFBE3611802085A3AA4AA846863860483F20B73230C13EFD';
wwv_flow_imp.g_varchar2_table(13544) := 'FC13D04007848381B972AB8824933A12EB8618B65C880713C4EAE1A1278D2B6E87E332F42B04124DC42AB10D362828AE4E3903AEA40C65E441B43AC9DAD0CFD50090808323895A712109C24289CB0CC7A2D3A360D77AC14BFC1A34CF3C5DC542804D37DB';
wwv_flow_imp.g_varchar2_table(13545) := '63A83D04AE7B56216ABDAA74BF5FB99294213E05FD16DC70C545301F7A00B82381D65AA38082BA8AC3F0D5D4840D0BD6230AC2162224F42C0832B02403A08615924401A5C200882186833D9A72DCBF8E9CF5CEAE52607221187858B4202675EC91E38D3D';
wwv_flow_imp.g_varchar2_table(13546) := 'E6D1A27D312E48DA660B8A16AB66A505205A6BF1B3FFB6DAFBAEDBCAA5879103E028B57660582114FEE8B6E1A0851E9AE8AE1E48E068002E5B88DB6F0BC6CA33846390E1E9AF3A2D2884195608A15FAB4CE8A869098B5E4BD6BF3ABA4B52169A765AE182';
wwv_flow_imp.g_varchar2_table(13547) := 'EEC28A8082E29E1B00020C60C880BCEFAE9B596615EA5BE6829606404DAC2078E070A5174AA185047F5EC8DBB1259F9C720129263A89B408126D09238C5008898592982209243E2FC85E854E7FA272B2580F0B081B20E42A73D187560200DCBC5CC8032F';
wwv_flow_imp.g_varchar2_table(13548) := '3D58EE770040300104001A6F1C001580509E791B540060768564FFE1A14AA9C72A861426667CF79CC38DBCF5F0C51F9F7CB5CA29489CAECA49A7A072CC31A72B73CA717FFDF2D702A71C70EC6FFF5FFEAFFAEF1F00F0DBCAF9C24240AC9CCF7DFB53E002';
wwv_flow_imp.g_varchar2_table(13549) := '19D8C0A1996B2BE6822000E421C10A565021128C0700244841072E841EF4D8E056E2612E798CF083008847055708C1096E451E5E5921075358431BDE1087032A9081F2A1951EE610884114E210895844231E118903AAC73DC087957A6425895194E214A9';
wwv_flow_imp.g_varchar2_table(13550) := '58C51AFE302C58B4E216B9D8452F7E3141FC304B58C40846339E71213144E31AB7884136BE118E0569621CE958473BDE118F29A4441E81E809006402007E04A42003F9C7420ED290929B231F198915D714E491685491065214024A36F22C185008062E19';
wwv_flow_imp.g_varchar2_table(13551) := 'A816344A3EB8118D688E424AF98846943C13DA2231C9C7098C80211D38A30D78C5FF2BA8E185247EE101495A59211470A6203850480D0A53031D181399C7A450179FC8CA5EDAF171B21C812C0B024B418DC09AE37241F4140284A7BD40072FE888301782';
wwv_flow_imp.g_varchar2_table(13552) := 'B18EF4269C157A010E5EF0B6038D0A0021D88006E6594F79864F950B21E60AF8098015A06005010BD830035A507F0AB4320F30C003767084BAA425094548C211223AD12410E10845C8E84601A051897E34A24428CE0F8070BA853C14676B71E633E9E807';
wwv_flow_imp.g_varchar2_table(13553) := '86B820960AE9403603444DB1A8C0052370014E01904D9A5613A62E18024E5530846D420F0046356A11900A00189C739CC1142654FDB2CC74A613072820E781FAB5820D7815ACF00C5FE8964091252061975CA9C12FBBC65680FFB1D52F622B88260DF002';
wwv_flow_imp.g_varchar2_table(13554) := '2330357500A82848416A84BDFEB5A37FD56847337AD1C21221A210492900EA82AF85342A6136A0C88676C04DA0B1348FF8C0070DC5325300D81440B2AC0068BFF2BC9FF6B49AA905C04E15B253D72E04A64B859EA47420D78550889805212638CF39CCAE';
wwv_flow_imp.g_varchar2_table(13555) := 'ACF5AD6401A66E754BCCDC1AD79FFF6A181378C084822C81074B48C81200405D8F38B7AB0B09A884F6A910C874ADB635B064373377042314762179F54A62CBAB908BD20B56DEC39EA46C209ACA02010895FD81492FCBC731F612821270013549DBD3029F';
wwv_flow_imp.g_varchar2_table(13556) := '45A75CA94057662A4B9E74409A3AE10A36B109D4E7BD34A94018C242B25A5B1C08F3C358A92A57B60AA0B701F3FFB838604189B1C262DD2A17413A80EE8CA35B5D24F4C0BAD0F54A40FD09308608B46B735588BD98AAD72217192BB5D36B4190CC10A616';
wwv_flow_imp.g_varchar2_table(13557) := 'F9A211CD2800EE8A52B03C04063068C164F14B841F14C7CA00686623FFDBCA00C354B55BF1A99AD3325A067FD6C0D624ED082C406758AAA4CE3481A535834A54D6AE16231D96908B7BE6151D905398BF0480A2FF8268E2768506B9DD4A0D2413E4ADF098';
wwv_flow_imp.g_varchar2_table(13558) := '2CCEC5CB8C7B8004EAE218AD4B300C8C8349507F5A5AB706551C4426EA5E891276C95D196CE6128B95229FEEBD9F8B5D3E1582D29D21A5CBF2E2CA4AD758664C9ACBA5302DF0082ECC15A2A604CD0A5101B3C9D381992C382CD3D4367972B267CFEEB9CE';
wwv_flow_imp.g_varchar2_table(13559) := '76FFAEB34A787AE19CC2F42820AE10C0AA2ACC6356C8985D59E7A2252D4C770EF32A84E6300070B0CC7EF77B2B21C60A6750DD638614BC2BE4642E8D755C5DE94A7721301E2E648849837E595C9FFCBA5A7A6BFD6A24AB77C85E797247155204220C962C';
wwv_flow_imp.g_varchar2_table(13560) := '28BDC144A24704FCDE4B048F5308B1D168EC460618B50AB166510160862D5C41E7ABA5704F8DDAD33FAB6026AF6D2DB63BCB953CCB34A616B0B669E98C1515C880BB62D3AA568DA95565D600E05F41AE5A27A46E101F1AED6107B8BE83ECDC1A3001324C';
wwv_flow_imp.g_varchar2_table(13561) := '90B45A3EEC5CBB3717BA4CC031003C0DAF80F3CBE00569CCE01FE3A24E7592C9491882600100F2822839E4796DF25F1EFAD092DEAC3830C827FFCDCF6873469E39E830CD412516C28C345798A643D05F41D6B18A0958417FAB2F883470D188BFC8B2C1DA';
wwv_flow_imp.g_varchar2_table(13562) := '6E7041205CF53C5B93276D23E70B88F9E10F03B7F86251B4567B66DC7B7325EDD1FFF7A1B7B2CCE31A9CC5FDF68BA6E70E16165BD745185A4A8D135EE9471BDCFC00EBFE4226CFE4AD4CDEF107B272718080E52CAF8D219EAF633F1AA94564037ADB0040';
wwv_flow_imp.g_varchar2_table(13563) := '0B4861214227190A22A750CB9AB60100D6600B008001174209CE610DD6A11254401A94612C400B27EE6CCDF60CEA54C2DAB0CDC1AC8DF754206116E29756F0C3DA0D99CA69D27C8C215670FDA06FFA6E30FABAE26DC4A606838909C28E21B6AA069E4FB7';
wwv_flow_imp.g_varchar2_table(13564) := '404CD398ABB99ECBD342C72BB6FF6A05FE25601AE30907AF31346D2B160FE5C6E706EA6B21368041B662CC1849FF58CAA68261210E012B4EAB205E611BA80100DC501A002007B06215004003016019C002B4B4600BB44000FFD00FFF102B204CC2B68321';
wwv_flow_imp.g_varchar2_table(13565) := '4440D104CAB8B80E07BA6EDDC08207D94A1265B008198208E98E5F6CCBC7106D99C262ECF4499892B0BA0A22BA4AD160805021A4B0B8BAAF0ABBC6D2D0EBF1D422CC74E65E16C2B10A2262100700E0E91F148289C80CB3A08EA6F230196CCF196A010040';
wwv_flow_imp.g_varchar2_table(13566) := '21187E01001ED09A682A0E976108FE611CE241197067216441216C2F0FCF21A964A978786F9A0AEC011F7021D0A02B820F004890DAFA236056F09F822B11794397F4429D54FF6C2C88E9F91AB142002EB7A8AF13BB424200EAA030ADD474C00A75B0C484';
wwv_flow_imp.g_varchar2_table(13567) := '09ECEA6D219C4B14F782BAB68F371822D2D62FB7E0AE5F04AE53224007CC2BB09E6CCADAEF2B80C0E54ED2244DF22B444AF326223566A771F04F59D865217A51CCA0480C83912BCC501B47010078411500E01600401BE18C2B00011CFC6808E4402186A0';
wwv_flow_imp.g_varchar2_table(13568) := '28E506002AA1112250214080C0208C9AF8D01CCF710BD0B1E7B8E2C0BC02A0C6F29FE68EEB78A32F9E2420C58EC3F22DDFF8ADD1BA6BEEC68E9C0682B92A122EBBA21381899C0842D41A6EC434CDDD7C2BB9024FFD24E3ED16A2534AE073128BC81E8F24';
wwv_flow_imp.g_varchar2_table(13569) := '57D2B2BCE2062A85081C65223604799A465DE44202462549CEFFA5BFF2680C7BA90C15C2190A421B008019B7A202AEE07970C707BEC02640C00A86E00AD4B020AE80C03EAB78708FF764692BB9C20D17620B9460C1C2B29A54E02A4440D2C87220E3511F';
wwv_flow_imp.g_varchar2_table(13570) := 'DD0D9C2CC52FD68905802B1EFF291E557008F53198FE91B87A9014D772987890E228B13C15C357F252C48210FAF222EF5CC4605C0408BB8FD2C65321F85198224093ECE5A28A00AF5E2DFEB8A2FEBCEC16BB624A1CE50660405224653518040242F32D0A';
wwv_flow_imp.g_varchar2_table(13571) := '4256568301DE6034F1A8347B892596411BCDB01890F11898811864011700C007C23179C803045402792A60C19ACD269445785AE24659143849CB0CB6621C14C22D68C22ABD620440E012BD4B07F392C58EFF3406012421F70D60B8533D6F49C6AAEADDE6';
wwv_flow_imp.g_varchar2_table(13572) := '0EEDDCB3B8028A983044EF2A042111322F98C0FA10AEE0104DD2FC6A16D182A4DA7432BB29410B2223D42562BA02FFB0E217735227BD02140AE21300C0164C2F18CC5005807339990D96A4E919C591218AC79A7E13B408D10C7A5421F2701B19D02B7B2E';
wwv_flow_imp.g_varchar2_table(13573) := '07406048C1A23FD242AEF44D2D06CA4F864BC45051C68249B9C853215E60EB78CC1E0DC60A5D0CE148ACD4182240C322322B829B64C757B9094290872124A06C0AC24B0AC6041C5421EEB420C2D0BFF6542CCEE00B0C010092611586A026B0E979AC72DA';
wwv_flow_imp.g_varchar2_table(13574) := '10AC2AE1CC50095121A8811AA481F4B6D11B0B6921ACD2B31024C8B253542927B7B80B3E45FF8C4C7F6C4A03EE2D1582BA988B4CB7AF1317325E33AE5FFCA22E32E7E4C4252617270540A06A9A84211E167280115AB3112BBCA020AA6038A10EB52C4005';
wwv_flow_imp.g_varchar2_table(13575) := 'D89545BDA2505BB4207EF3B33C4B38014121D600E8565665E360218660B4AC52370B029E3AE504BEABC72023044EE0E0BC5368581514F9ED134DCD5637CE3D81832FF0156AEEF52E9F54F024E3C356955557409350A02E506A57BD427652AA051A47056C';
wwv_flow_imp.g_varchar2_table(13576) := '405819027960A07884B5057246BE1622050B4262E588622B969AD6C00A00600C00C00DCAC00D0000631B010B3E6B9A68942100C107866063B9630D8CB2202A40DB2A00770EB7197B6E0BCC9152072CF7788F6C3D40AC76B6C736C067B1FF620390B62B72';
wwv_flow_imp.g_varchar2_table(13577) := 'F67303E548CD8E68BF42DF4EE00300A0747DACAAF2E211BB42D4C494BA8480BA9A0B3884103F9FB0682DED4DC1226D556007C0D66BD3D678B02205882761F2CB7BC4B62BB85021B2A72B3AF48DF86F4FB1CD0240C005CA6037CFC57B01C00AB4A0651782';
wwv_flow_imp.g_varchar2_table(13578) := '9A5E33710B021054562174A56617E20F5C001070CFA6E670B5D00C7F6356A8AA8E51474B7BB7A2533A6554AE2674B9E2AB5E972146857457C0676B753406769886102D7080063E40037CF6730B162F2D852172969CE203773DA2E1129233C889067C36B7';
wwv_flow_imp.g_varchar2_table(13579) := 'FAA924CF626C8F027A19E2581FD46C2585710AE2C28EA72BD2360684F56DE1564FB3771D4180E9CAE00AC6A088D140436DFF80B460AA0224C0E7148252B1C205A2982B60561C697604175746D7711D2DA002BC58EAD41196FC77718D4702E8C9667B3604';
wwv_flow_imp.g_varchar2_table(13580) := '04587419A267C5EA7373F6AB5CD73013E41D856BF9F2152C30982194162BAEA20402B9040A223E0A82ACAA6B973C8321C3B3C72C4E1591D416D7742CC656215A40CB1C3464B7A27836392C1A2793FD236E7572C164B402404005D0C08F867237399921D2';
wwv_flow_imp.g_varchar2_table(13581) := '572D80EE01E32007CCA01222F5CD484B39C7782198AE32D82283E1099EF8F804D418818B8654C9E20338299EE8B820508042E0450758409005990670A0904538749A2B220936B9A6102B106F2D84D54B8A8778BE55213C8056D279453E93581767354CA0';
wwv_flow_imp.g_varchar2_table(13582) := '581DA94E27FFF687837194D7B19411F07B6F5493CF030090D3073AC00572C00AB600CD0271C20C5171C175A16B421D174297B18D71B96573CFC2670FB85F4EE073DB3841540D2D8E39088989FA4AAD5F342080CF13EC2C11000619054AA0A503793E1822';
wwv_flow_imp.g_varchar2_table(13583) := '2F7480D422032BBA4A68C5A205B4C76C2D544EE3F92D68051719424DD4E32B5663032480024685024CC6879F155A255A463F9997BFA2AA71B4259A7810C3A23715E29EB9D82BAA9A7159042C2CA95376A3A2FDE9AB3C976B0678174FC0733D774006392C';
wwv_flow_imp.g_varchar2_table(13584) := '465ABB2811AE2183AE73CBD170008139DAF854D09FC672A5B76297CCD3229F3032F889985E9759BF027942F64E47C503E0A235BC900336A04E8B9A020AFF87428775212020AD7112AA2B76C1845888C5BAE9BE425994F32CEEB903AE5AC116A2B3D1A28D';
wwv_flow_imp.g_varchar2_table(13585) := '2163980398A3C387206DB6202E7A23DD53DD18E203D67867910B072083D1366008A599AEF97597A0F6AE9F3067137821384076D2B671D6D66D5974863F592E646345467B353C20342B9B69C2627040B99E318B9747D9B5BF629A8C728B77D9ABE3FB2C62';
wwv_flow_imp.g_varchar2_table(13586) := '7B2BF4DBA608AC0228E001D61B00A2E232224003A2C28D6F3698E38992C0B94F18F82F240DC2DF7A17834C987E5021364E93B602A080EBE0FAE32EDC09ADBEA2D2749621101C2B8E6787C9D66D3D0004CA06A831C2A75182969635BD0BE293AA66036E85';
wwv_flow_imp.g_varchar2_table(13587) := '70006045200057D8BBB4ED59BF37F98BC1FF1A4078D946913CB4647BABBD82C0371C031E0003FCD33F1D3CC377B132CC5A0376237CF8B1D014628E0BBB0681E39234A0757F9B2106D9397B0CC4AF62C508D9E1FCCE2B727BE3288901160279717CC57947';
wwv_flow_imp.g_varchar2_table(13588) := '52C2B16C504259DD96D071C606600A56A427A59C62A8D982F3CCC87A31C9C91588BF27FD2B60A620F21C001800C5333D2A0CDC2B46FB400498C79E5B404AA06B0676C31F58C66E4CD4C6E29E16C2A9D18278B4CC2B28D986BB22C6D5224F2BD6D7D362F7';
wwv_flow_imp.g_varchar2_table(13589) := 'B042A2AB09BF17BAA6B00D02407D213A3DCF355D2110FC01106F54B0FC9D705B5C50B12B047821F8982CD26A2C567D34886777BCE2E4DEB4870FE4D17FDD8C166C022AA0DDDB5D02DCFF7DC196BC61E05DDEE3DDAB6DD43C5C13DF172201E2C6000EE02C';
wwv_flow_imp.g_varchar2_table(13590) := '045E68340003C05D7C34C9E01762E18308065643A995BA7000C559D5FD8EAC400994C00A7C001B1762E33B5E7C395E45EBD607A440097C2063435E0A5E0AE50FE4E4C32207EC174F46C3087AC008E2B44F206F7C8CC0748EC0744C47AF908075A8E009A8';
wwv_flow_imp.g_varchar2_table(13591) := 'A00A8C1E009EE0E8ABE075CE623864E036D4A26ECF627680C0E4AE9EBF0EE41E7ADDE2EF681D0A221ED621ECC17E1DBE1E00C4DEECC1FEECE321ECC77EEC55082BDA5EECC70285B6C2EC4728EDE31E1EE2011E146283FA1E1EE4A1EFC7428DDCC1830AC2';
wwv_flow_imp.g_varchar2_table(13592) := 'F0E5C1F00365F01D68F0FB5EF1D58821045FF2C185F2037FF02B5F2102FFDFEE27E885BA1EF4C7621E0060F40BA2F44F5FEDE361F451A8F4ED41854A9F2BD87E1EEA9E84683FEE55A8EE69BFEE25C85C9E08EC35BF203EFFF019A283002586E4611FEE01';
wwv_flow_imp.g_varchar2_table(13593) := 'F9971F00947F1F28E8F98746F24D681F62E81EF621F99B1FFA917FF26988FBEF811EAA5FFC977F1F849F2D7CFF2C36CB1E9E08FD43DFFDCF62F4E31F00EC611EE85F21E41FF6BDC2F5D162FFC30220E60198670F803D820801285CC8B0A1C38710234A9C';
wwv_flow_imp.g_varchar2_table(13594) := '4811C0BE7DF21A62ACC8B1A3C48B0C2F5EBC97519EC87D0B333ABC774F61CB960CEFED9329D3A3CD8AF516E203B0F3A6CF9F40830A1D4AB4A8D1A348932A5D6A54DF4CA61E5592844AB5EA517EFC18E6CB67B5ABD7FFAF60C382CD2AB6AC59B0205BA23C';
wwv_flow_imp.g_varchar2_table(13595) := 'CBB6ADDBB76DF971854B97E3DCBA78F3EADDCBB7AF5FA272FF0A1E4CB8B0618EF418CABB97F8B0E3BE641F9BCD47EF9FE4CB98336BDE6C966C64CE56FD30140DBAB469A87014226AB8FAB46BA69E5F27652CBBB6EDA3071432D09D7BA881DBAF0303379A';
wwv_flow_imp.g_varchar2_table(13596) := '53E10300C7012048907CB8F3A131FC3E48B050C306003470D0F06B82C2F3B29FBF0B4503DA85F89B3F00A407EA61B94F0D182200F8BD14C16E06C7AF2F2C215FAF89F3006E960002462140A042062A37DF800BFEE69E8207BA7760443F54F8C30E151696';
wwv_flow_imp.g_varchar2_table(13597) := 'DE0E00D80000871E82F8618723DAC0E10E1E2E945E7A1EB698A28930724822451E524760041484309148060CEDE6D071CD01E0A3420438346144F995B0D009FDE9366443084410250009C85725001034F4420A26A4B0A543FF2D74C398632A2483421E00';
wwv_flow_imp.g_varchar2_table(13598) := '40C1744D3E00C19ADE05085840000021F904050A0000002C00000000580265010008FF000100C827B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336ADCC8B1A3C78F20438A1C4912403F7EFC4AAA5CC9B2A5CB973063CA9C49B3A6CD89286F';
wwv_flow_imp.g_varchar2_table(13599) := 'EADCC9B3A7CF9F40830A1D6AB0DF40A248932A5DCAB4A9D3A7178D121C9A6F2AD4AB5897EEDBBA2FABD7AF6035560D4BB6EC4CAEFBE201D8FACFACDBB70EAD061D0BB7AE5D8D28D17605D04EE039BE00FEF6151C1830E1C386130F06C04E1DBCBB905BCA';
wwv_flow_imp.g_varchar2_table(13600) := '054A37B2E5CB0CD10A1465F09122819E013C02F0797469D2A2519B4E7D5A9169CF8330619EED7132ED9F7AB9DEDE0DC05EDB82BF0BDA03105CE0F0E2BD892744CEBBB944DBCE6FE6DE1A1DAEBE9406E3D1A3278FFB7679DD05D2FF03D05D9E78EE02CD7B';
wwv_flow_imp.g_varchar2_table(13601) := '374FBEBD7B816DF7569F7F103A55FB0E73229D2EBFBA7E88FF25358F3DF8DC63E03D0F2108808209E1E360410CB6851D7D141E05D2702555864F801EE9C70F7E1D39485D57F7501751550FC6C4214CF800B5A2426AD5634F3D3432B8903D18AE3520002D';
wwv_flow_imp.g_varchar2_table(13602) := '3E145C7F1536372148F8E4636342433614CF70FCD8338F4055B5A5CF5AC925D924940AF2635444D4D1D3A34AFB1875CF94202A341E42406664E33EF7E8C7E69306E128509A02F5734F3F6DD9B6648E05E94327002F4E541944F1F4830F9F130DB724A012';
wwv_flow_imp.g_varchar2_table(13603) := '395951934706795B9219D563123B004C99D09F088913CE96751AC4DC9C54CA032A5A46F5356A66A4328968467DC9FFB74F3A80F2291F7EE2D0CA6842A02AD44FAFF51D044F37F4A4240FA5A2AED5953AE214B5508B78F6161C82FA68AA127B0E0DF7E541';
wwv_flow_imp.g_varchar2_table(13604) := 'AFC679915A059DD9D05F02212BE9A41FE9F34F36912884A9B32615D42C3EEA947350A40541229082EA08344D415DE103A7217E8C83D1AA13ED35652E7CD0021F71D708D7D63FFD32F48540B730642D47CC98C910B811DD79D096BF3DF69845B4FC338FB9';
wwv_flow_imp.g_varchar2_table(13605) := '1305E749B32C75B597C10ED16C1034000C43CCB9E8E267A947C9D883E03DF6A404AA3B0ABD922942E100904941A3E0B3EA95C83CCD18459D64C4C841C300112F1C0221521036940060EFB3930D0340280064830623DD2ED4AE403003D04DA8C915042C43';
wwv_flow_imp.g_varchar2_table(13606) := 'E624FFE44A4248BBB3EDD502190280E10501F3CACE02B11D91D5712F240C2D6A7FF16EC787EF0C4A458118E4C043BA2422902911912BD0BB0585E3C64470F20C171AD1800D4C2A91886BD0340E2314474204E5540FB06FF4038CD3F700134B4AF632F36F';
wwv_flow_imp.g_varchar2_table(13607) := 'B36ABF0209257F74F31B22D204C78F799500D0EF3318C101732AFFE019E9187F1864693AC2F061CBE313E192B372C800B03944191B67D093180E197142B963580833D528C82F8C17894FE04D211B130E00D6B7378100E369F30B0730D000004FF42A1B14';
wwv_flow_imp.g_varchar2_table(13608) := 'D1143388510D4F002012C3C804060D5286E109A46C0C01834174C1068380C17405211D450CF61B7650821BD9FB2043B807804AE84A5E02C98621FF7EE309D4B90E2AA9880520FA918BD355F0207F1BD53A1AB8B484008221F6F883D200E00785C0AC7C67';
wwv_flow_imp.g_varchar2_table(13609) := '9AD0DC0AE28ADC3D041491689779FAA50EA425E40F4669042D46E1B4BF01201600B0194298918DF95524168D1048135301008735101A7700402786F70B0080EB6CFF5050EB82F38A718CF120E6D89207FDF08B6CD4228702A91843A808007D19041E8C10';
wwv_flow_imp.g_varchar2_table(13610) := '061E1DF28646D82922B1E887D88608004AA4E416B9CBA12DCAD0C3E1981222A329080B1592058AFC25477CE815D26E81B0823451204D0300381432C282DC829447E4C9D6E8F88C8875D17DD8C958F900C0B882A8E518FB6B244368F50FE57DE37E1813C8';
wwv_flow_imp.g_varchar2_table(13611) := '3A2AC1C37414825198F2C3DD0A32FF215ADC8111E020E4B8FE00B2723A29387D8914A8B206006C1C043957B49A40FA4011648CD013AD3B9C720AF28A58C0030E463107280CE71B00AC4E510DA1A842D8468C7500801E28ACDF462356097590128F0CCD46';
wwv_flow_imp.g_varchar2_table(13612) := '34A8184D83E86B1AEE138E2BFA121166FC2317B1780300D2318AD515446DA0D85C27FE85A13280221E194D8E2E0C9285CE09C4609C31082CF418111A1AA42B77D85F25CE24D113320317026D97519E89109902201AA5FC57369742B2F32084112003009C';
wwv_flow_imp.g_varchar2_table(13613) := '9AC9CF872A27922C338951FE110F4E890A9B07F94624FEB28FB6D00351456A885116FB8FCA2244538020EAAF7A633BDE1507588BCDCF94063426A3C8A95C7A9B530211A22584FF848FB3B16DC884B6D48FF1F4CA44C0694B031D6BCEE408975753D2D466';
wwv_flow_imp.g_varchar2_table(13614) := 'E7C1A0AC022759C989476711329CE3942E5E0C698B3D46BB90DF941621BCC59354F6BA9412E9E33BFB4AC83D08C2A47A7C6820892D119F6424D87938B72003E2C73CAA428F32FD2C2219CDAC40FE8BC082B8D72804EED4A6EC319504676A4AFC58D44BF7';
wwv_flow_imp.g_varchar2_table(13615) := 'B1A3FC882B25FAC8474AE48423CC3AC4C1E06D1289B038A079F4E84CF738563CE261A07DC803C408A9C73EA0F3DE975AAB68F5A0C793BEDBA797CEE91EF5281342C01558051A99225D6192C0F8D1A3DA26A41EFAB0543F9CDBA614D7E3B81B26AF526854';
wwv_flow_imp.g_varchar2_table(13616) := '247D180842BA0532815A54A616C9E74A38AACA545A5719215784FF5AFA38548D25821D820CAE231DC69081307467D862C93ED54DD148C6F490EA0280C007DA8A80393215EC4C89B85F5E0B3FAAC590143368B64F861382DC8C10912504D34721EE42F0A5';
wwv_flow_imp.g_varchar2_table(13617) := 'E5A00079BDD51A944AF24C97CC4EBA2406AA56AAD5EC1394E45966FB889CA008A26A99E4681F961A5A8B732D6A7E26F6D31811B46D8BC2DD511587B0D9CADB47805B6AA618A82AD58A344B58CD6990C83AC31AC60ECB287DEC8360BADCDEB2C7889AD48F';
wwv_flow_imp.g_varchar2_table(13618) := 'A2B9BB225B4A49A03082927953D7D8FCC80DBA17824D08EF7B4E5C19764760E1BA6E57BB272D1A8E9AD56C6F91F4083CED318FC4230E1EF5F8783C182F8F77227E718A8B47E213278F79E201F191403CE4F2FF38D94B52CE716C1524E413C116B6786C10';
wwv_flow_imp.g_varchar2_table(13619) := '9603001E29CFB9434427101200A00B00204131851EF4A16741E8482F6645C0E5729C07A5E21C4F08CD4B6DF0239ECC64F0C8FACDB72E11936DDDEB5E97087B5C7EF39CE3FCEC664F3BDACFFE75ACEB1C2664573B79D84E11B0375DEE07317B41D64E7681';
wwv_flow_imp.g_varchar2_table(13620) := 'EC17002E3548E015620F904958C2A28AA440D67E4A89339DEF4E7709DFE7AE767AA4C38807B750B527F32BEE2AD6F39D0F3D67FF417AD25344F490B58CE7F586FA89A03EF422F915908ADCDD39C567535B2969532656FADEFB9E38E25007B40B9EF909D9';
wwv_flow_imp.g_varchar2_table(13621) := '666F28597D78450F92CA16FB2DCE1FBE4F463B2288381658A5270E3F4C8F94D77B3F1FFF0847FF3AFA41107954BD3AE7AF0EA87A476AD6337B9499B7EDEF95B27A97F4BEFBAF3F20A0C25F0E23B9F1E0E9171DBD6512BF530FE6E17DB0D77ABE8280CC17';
wwv_flow_imp.g_varchar2_table(13622) := '7F4A2121FFB07D4C517FC4B12AD2C76C0A7810DB170EE2400FF5F07F30762E01181DBE351E06F8790888829DB7800C087B0E2814A6D759D94721DE8724FFD00D1D480FED000F23C81B3DD81C25786807D882CAE182BCB259AD67842F0814D1177D37811C';
wwv_flow_imp.g_varchar2_table(13623) := 'D0267DDCF779F1E282BC451CA23783E5B22EE5B01D3B086AC49779F4E00EFD6080FDC56FE2258154385D8A4525F9B60FF236695AF221A3351553B18219B813A0526F8C126F7E862CD8917A57B17A9E8586C1358519F11B0CA85FC90127BAFF86108ED81B';
wwv_flow_imp.g_varchar2_table(13624) := 'AFE5487B92674B528933B881E6D01D44D57E22187F63F8213817810A417ABE8188E0151CD9572D53785BDA072ADC95872E6187A4175EC1C5281A165BF27687EBE55E1F822076726DE1D326D8A18882A887BF45582B083017E8100CC87BC9427A74C28667';
wwv_flow_imp.g_varchar2_table(13625) := '45257FE25995E57BA53721FF200E9B580FED607EEBF58398418EBCE10EA2280FA4B81CDA085E58480FE68020EDE029F0D016F2900EA6C20EE2B07DE6D02CC3520EE2F57AE10311D04681B6A586FF400FFDA225557112FCC00EF5D85FB5B85EE4F72BA657';
wwv_flow_imp.g_varchar2_table(13626) := '5BA8085D0BE16449012C85C87AA12783D9988DCD58277B6391A5177AF6100C61000073D09273900773000061309379C0102DFF09933029103539072F19933E199441C906A6C05850127EE29063E16824BDC633E6B81B64980FEEA08EE65259F2C00DD0F0';
wwv_flow_imp.g_varchar2_table(13627) := '91B1A82EC3100099F00F9110001BC003D9F00FA91000C3F00F6F1000D7F00F26C001E5A0040F900458C88006B15BB4C53B2A6890D6C40EFF300CE6500EBC37900BF40C13830C7D538180D20FEDE00ACDD20FD5500EA0A00EF990099E2035E1400C91F095';
wwv_flow_imp.g_varchar2_table(13628) := 'D9E007D9A00E91E00AFF600EA9E00E11788C35B18C6B218323038B87258D25E97E18E87DF1D042232100B8999BBAB99B73B00ED2252D38E885E2D8949F2886E8088EEAB810FBC00D7600055390955C518B75F20F70A00455F00F86C04B5EE00500700749';
wwv_flow_imp.g_varchar2_table(13629) := '8006FF800601FFE009CF400149600B04900D7E8980467220EB158821C92BADE9237E508F86700DE2700B99A00EB6000AFF500E910007CCF00C86900D4A1009F79009D5900E29D30FE5F00786D92FE11009E2200FEAE00A46E50AD9200FAE300CA0900D90';
wwv_flow_imp.g_varchar2_table(13630) := '100EEAF0A1E21009E6709A6FA19AB6C711081881F190080D2000053000345AA3030000370A000500000290A33A5A003DBAA3395A00445AA444AA0005A0000320A302A0A44B3A072B661C37180EF7A083E945750E888EF40091CB461CF2A00A96B0089BD0';
wwv_flow_imp.g_varchar2_table(13631) := '0AB9113E95250E3C600B1400A065F00F9EE005D96004B44001FA800646F00677C00549009A06E007B7F57A5BAA0EE920A8E9900EE660A885AA2BEAB0A8B4FFD22F85BA54DAC30EF4907F77A99670800870600BB4E03DC8000799600B9E100E94400C259A';
wwv_flow_imp.g_varchar2_table(13632) := '0922040A9950A06DA98EC8D031C38057D58041F2E009EE500E7F930E9E700D29630B92EA09EDF09727CA9734811F9E6715AB970F4878561F89110CB815B509000A20A3D1DAA34D8A103B4AA43C8AA3386AA334AAA30340A4D23A004AAAA4D22A0061E09B';
wwv_flow_imp.g_varchar2_table(13633) := '11E81BDD40A53A080F60E89459CA0F5B5A8FB4457AF2100BBCE00CBE500B65BA9AB1100030E09591E005EA80027EE009001B00C4800686E0051E900A44100EE5400B09900E7F1A92ED600E8CAAB1EAC0B11C0BA9E6600EECF0A81563A87D43865A9287FF';
wwv_flow_imp.g_varchar2_table(13634) := '8008DD900E91700BAE10097F8906C3C02EFFFFE00AA0E00A86D02EE5C00891C00CF0407E57760BDCE309FD420C1B9A31FF600BD97032ED20B3AED034E0D70FAE70A21C49139DB77DD2696C8AF5213138879B5581BF92B20B427A416614F2C64F683BB6E2';
wwv_flow_imp.g_varchar2_table(13635) := '0628F08980699108322A100E70019E1106D53AA4463AA3DE3AA34BCAAD331AB8495AA34E1AADBDA916FAA0AEECFA8500987904A1A5108930F2000DAA500BAA400EFD4A7A7E0009FD900A65900908F00063C00E63F0957E000777400B918006D95005C840';
wwv_flow_imp.g_varchar2_table(13636) := '0114600877F27AFC20A8E2400C21CB0CD7600ECC100DE5100DD7502FE1600EE1F00CDD30B29803001C980E5149A915B89F6E4A0CB45009EED00E86900AF4700B8C0036A9EA09AE900AD9FF0007D7100E5F490FFF6051E1C04CED54BC6F9009D1003EB4F0';
wwv_flow_imp.g_varchar2_table(13637) := '079930B170F00CC3D0BE276A0B568B9A2391B5E4A19E056115E13390EA700D5A2B5E26210F223AC026D116D7103F12021FBFF10F043190A4077ED0B897A297166CE000E06AB70070016D70010A50C21700AD21DCB73F9AA40A700127ACA4823BA32E7C01';
wwv_flow_imp.g_varchar2_table(13638) := '4D2AAE34DA0073700E6AD124E1170E4A197F4FB91BF2CAA523A358B3520CB5700CEFA02C32D3C009597A5756A5F65A81F4100F52437AE3017133588BFF402FE5C0055C7007A07004B760086810B300E00AECF00626900E7030065CC00CA7EB096E400CB6';
wwv_flow_imp.g_varchar2_table(13639) := 'C008F0B09EDA881CB3BB1DFDA58EED500E87A20EA6D20EC20700A6D9B1F7FF205D58BC404D73270632A8D79096F0680EDB67B1F860A8E69B9C4F5881FF000F9669984BD5C5E2D00EED50A5162AA8E2FB0FF2808EDBC70C684009E2F09F45338F65100EEB';
wwv_flow_imp.g_varchar2_table(13640) := '22718BCA0E98629AC4FB0FF5500EC2270F15EA0EB8ECC929197A1C2C003A2A0073B0003D3A076D50C202600A593093613000277C010E50B7DC0C00A6600A61D000DC3C1A0A90050E30078F30072DEC004A4AC327BC24EDD63654FA818CD27014F26F4182';
wwv_flow_imp.g_varchar2_table(13641) := '8EF240C486B57DEC700C9F700CF2B015AD159078526F031CC10E198BD172C1266912C9A790E520059E00079E7003B7700737100EA9F0034C3B0655500D7060088CF0076EB0A85C50065C00078B7A12CE6B58F1720FA4FF971210A8580B9D8636FD3B16E9';
wwv_flow_imp.g_varchar2_table(13642) := 'C9BDF1D0B1A588B985B563AB3D7E207C42040AF0E0099F0ABEB4C308B7100963E009B4600E9E00CCE79B0DD8400BCC6008B7800C6F900A49100EB6F00691500E671C097720BF70600EB6F007CC90096F6008E9000A94D0472244C12D9A166020A340EA93';
wwv_flow_imp.g_varchar2_table(13643) := 'B829CD02E0000DD006AED1069330085B650A98A00BEBDC008F70CDA6A0D8A6A00B6DC006B3A008AE710999AD000E70C350BA28BE910D3EAC83E6318E5A16C4B4C1CFFEECD3A4F70DA1B0088B5008B5F00D50A60F48288D33F6213991120C37D48B596FDC';
wwv_flow_imp.g_varchar2_table(13644) := '95B214ED053F105565C02C9150057F7007EE900940A00499E0071CF007A0C00579CC054C0D07EEC00E30FFDD8006910F4186C5071CDCE582AC63AB20E156A5344D23E19613C2B55984299BC86827FFC00E7EC00C9E30D7C470D5E2000AE2C0D4E6900DA9';
wwv_flow_imp.g_varchar2_table(13645) := '5044305B0D58FD0C5EF007E6C0D291900AB4D00F8C600E43440BAFF095A0A0ABE2E00AD7C00C8CF034E2D09F9B930EDA9D32E88D2717DB59B5D9A4443A006DE0938FD0060D00A417A00B9C80D900C00989A008BAD0E324D000E29C053D2E0A79301A7930';
wwv_flow_imp.g_varchar2_table(13646) := '0BBA600AA2C00983300BDC4CA375CB58EEB62EE1F062E1B820C42929AA3D1BEE900FFDFC1843B27DEAE0096A500554200662700663D009FD12DF287EC1282EC1A6B77A368DE2D1325A08C62C65400C5E100949E009278D0895A004AEC005A9B04B6FFFE0';
wwv_flow_imp.g_varchar2_table(13647) := '0A65A0D6EDCB05C3600B86D0CFDF0DDEFB57D3DB51A5BD552CBE4D7E9F17830F156FCC87CF3DD17914130ED94009C3A04F2E6BEA90B03994F0BB80DE0DB27A0FA6490C788C0F7ED02E51F406F220A0A0800C321B09DD20420EC3D41F14E0FA990DE27007';
wwv_flow_imp.g_varchar2_table(13648) := 'B7F0AB78FE7AF9100F6050A4DFEAC27320C27330D80A60D95910E38F100661300BA3D1000EF008A4D3ED916DEEB3300BE17C099C1006BAF0E40390CEBE59345243DA56BE2F591E245B8E19ACAD72E1ED0955B09D6320066370F0551009414BEAC0CC0EA6';
wwv_flow_imp.g_varchar2_table(13649) := '6979AAF25219FB62DBA790A1548F8B9A0FECE0EC5A92901D2BA2E2500E5A1D0EBB9B0ED980418D0100E2E08DE2C00EB16A36173FE94AFF187E8C6054A4F718BF7165C76510E5C04CFC300CCC1309EDE00E91103F29EB8713B8823A3BCB999032A7AE0EC4';
wwv_flow_imp.g_varchar2_table(13650) := '2042D760A100F00CC8500E45440BBFBAF2E1A3F0D7B09FFD6054E2C008C4000F46950D265F0E1C480BB97A0DE9500DEA70EAEDF00C147A9A0818616CC0CC7E5BA33D3AC2DF0AAD0A00AD270CF8251CF827CCCC2E0CAD75EBCEDCECC24E7A01E42CE53C8C';
wwv_flow_imp.g_varchar2_table(13651) := 'EFC889E5FD5E17976F19FF7E1052C30E6E60056380067780066E70F0700C90F8F02BE0870DB6600BC5EBFACCD00FE1F0BED59099FFF9D5C1EB0AB7C00C519B0DB4700B8289ACACDC18843AA88B2AA88CD1188FAA3DDA930E447535849C7C79480FFA24CC';
wwv_flow_imp.g_varchar2_table(13652) := 'A9E00AF0E007E9900A93FF894BCC200FDD70F514ACBA4B6508CF60D5B7E041C31009167BF450E18284C98D726EB69100F2D875267D710DCF2035C6AA7900D10FC0408204FFFD037010613F860D1D328CC746808201030058BC2800C0058B020A0C2CE0D1';
wwv_flow_imp.g_varchar2_table(13653) := '6245901A2B9AAC98F264C502151DCC5917CF1E007BFFB2859357AF9DBC7CF7F2E52B1854E850A2458D1E459A54A952A04B9D3E851A55EA51A0EEF8C963072F28507EAEB878B102166C152F91B4F263C8EFDFB572EC860DA365AE5A3AB6A0C289B3F58F58';
wwv_flow_imp.g_varchar2_table(13654) := 'B97FCFAE31CB46CB55B870D76EFEEB972FEDCF7CF41CD3BB570F5FC1C78F01D4135AEF1E3FB40F051A1C16899DBA677E6E6512C70C8EAD3700685DBB354CDC417EB4FFDAD9BC79ED5FA654FF9885FBA798E154E2C5093A8C8C5673E27A89EF01C8C75931';
wwv_flow_imp.g_varchar2_table(13655) := 'BC740A110BE40720933BCC009E01C85E4F3100EC8AA3477EDEB3273D7EF5E8017578F0E1BF880A0A7C547911A3C58F00FA83F4EFA2A0EE6B89C0020F1CC0810BE8B3879F9A6ECA6927007C6ACA380B2FC4B0A80A33E4B0430EADC24A2B82384B68AD4C3C';
wwv_flow_imp.g_varchar2_table(13656) := 'C924454F3A01861EF21A52EB1A73D419E6196CFE61E7966C72A4271D62FE19C61C000CCB64A061FE09C7135BE041AC33CF121B8833E9A47C123BF0B2ABB22079FE11C73457DE482513625281C3954C90CC241BC40E522715179F21EC967B3C0145A0D914';
wwv_flow_imp.g_varchar2_table(13657) := '43CB433D8B1B4E208548FCECB3A9A42494D017AB8408FF0CA946324A80011C5529D293E68847269A6CC249277926FC694F4F3FA50A54514725AA9D7C421C6AB37FF8F9491F57F549682018D7B245366C6C09A71E5BC48107946BC201E5A65B9E61A61CDD';
wwv_flow_imp.g_varchar2_table(13658) := 'CA01A51B6CC229679A359F442B3BF29ECA4EDAA0041DE81E5A2201C515432079C593541889C44CF6FC48C71635FF91C7157786D42D933FB2B9C60F50F2B96E3852F73D8A55B582B296A0519C0AB8206B11858814123662B820071A26E8E1870BBA80842C';
wwv_flow_imp.g_varchar2_table(13659) := '2EC8C2812C00D0B8E38C3FD618631206A914217CFE59D6BD9DD4DB905F972F6CF96599316CE71E7AB22A4AAD7C8352A89F83F25147AB7966EC871E84D831079ED1FE81C79C7BFA41EB1F75CC798FFFDD439F14552D76B2D9341C73E471519C72E0B90D00';
wwv_flow_imp.g_varchar2_table(13660) := '4FEAE14E3EC7B2339A9DD904DAB4A199E72EE83384C89336150070D1135185E259078075021FBC70C105073C1EC4171F289E731407E09CC61FA7DC71CB638A679E8306C2779A706C969042BA47872A66D24F57AAE69B45248AB386F621CABABB37B7DB20';
wwv_flow_imp.g_varchar2_table(13661) := '83D482DAF6E3047A685F85EE91AFEE8486012EA1F1101B51A18156951BF5D1D3D27D4F8477EF1DDBA764424879D9AD33782D715406401FD19D277F28D3CB479F20776CC6D9288760374879DC7F5E35EABB656DFEB81177AFDBFA4F598D5542B0632DDA74';
wwv_flow_imp.g_varchar2_table(13662) := 'E6452FBA8E00F3A4AFF48D2A7F5122883946C1BA0B050A51AE6B903DD25230A2C06FFF28FFD847084538C2112EEF4FDE734C3BC237BE0696EF7C2D249FEADA5794F7E96E73B20A20519A67C1DCD1B0813DC19243FAF74018CEEC20CF0115C238581326FE';
wwv_flow_imp.g_varchar2_table(13663) := 'A3894F746214A1C8C44BCD648ADC5B15A6C0C7B22292EF855D249D0C2938142126E57E26145EFFA605C6A11CCC7AD222221BE5F8148439312133B1631EF1B8C73BF6518F07A949142F1545EE95482D3701DF1C9DF74545BE4C8C4729238638984636BA11';
wwv_flow_imp.g_varchar2_table(13664) := '60F86BE4DCFCD7A13EF1CE9309ECE4B490374A3F955280B1DA5CF0D674C6F81D3257F450612649C7485992EA91242A54107B37AD07EA4B50D96999A17078A8FDE569889B84CA267109C737BAD198D49BE4D5C0732529ED0B5B72FFF324C2B0391C3762B3';
wwv_flow_imp.g_varchar2_table(13665) := '3807E3E51BA7292D610A25506B0C25370DC64C877433971CC417226159CBD1D1929EA2CA874E98B43D7EB2F29EFF6CA13F01BAA77EF2B31BE180CCBB06EA327B2ED443F590873B24DA0E77C0C3A21275473B34DA0E7674D4A3ECD0E84745FA51A57894A2';
wwv_flow_imp.g_varchar2_table(13666) := '4E71C74855EA51850260A2A381A93A3A3A90316234A505C9283B00A0D3A06C54A303B129417CEABCA1162496535129007E2AD4A56C94202355AA44C9F6539E5234A3452DCA48394A52A35075A75F5DA94CD52153788CD51D11850CE71C0AAA86AEF542CF';
wwv_flow_imp.g_varchar2_table(13667) := 'E1A93AD23157BAA6C31C75B5EB5C850480BBF275207B15925D012058C206D6B083DD6B5400FB57C6FAD5B111F4ABFF39EE2AD9740CA4B241D9AB3A06EBD7746856AE73DD6C41E45A90C31216B28E4DACA82ADBD7CDB2F6B2AFE5EB6A651BDBC95E96B193';
wwv_flow_imp.g_varchar2_table(13668) := '452C546C4B5A21F595B5810DCA6C7DBB5BCBA636B5C5BDAD71F9BA57BDE6D5AE53A3AC640732D382B4D5AD51B1EE75A7D2B2C9E0A3BB00709177BD3B907A60A6BC0429EF792F3395F48A2ABDED2D8878270395F7C657BCDA5DCA7BD54B5EF8DEC3BF483C';
wwv_flow_imp.g_varchar2_table(13669) := 'CA73BA630F7BFCF71E331988AB06325EE830A6534F916F84F54B609FACF732E675B077094CE079CC03C1F4A847C1B28B5FA6901854002E8879F77B61FDA217BEE67D8A7941EC5E10B7B73B2EFA6F54EAEB9E0919D8C44BF1718FB345A10713B828918171';
wwv_flow_imp.g_varchar2_table(13670) := '77FCFFDB1D0D39B8A1FE2D8881FFABDFF2FAC43DF56DF04FEE3B131739C6C25BF97186461CE6E22011CA0491F2997B0CE51C0725C2F3154A9B3F95E6AD30262A41E69C9DC98C1427EBB9CF1B26309C09E22A2457F9273E1134411EFCAA5795AECF874E33';
wwv_flow_imp.g_varchar2_table(13671) := '507A22E5F031FA553D49CA98F72C144D6F1A43690635A5DDFCE644CBF9C478CEF3839F829E2A63C6C14356B4F99AA2EA81B2CAC1248A52A1006D0F7CD87AD642DEB083113CEA045B7AC189AEF3A31D2C65024BFAC01BF6AFA55FE55D1413A5D39E562BB6';
wwv_flow_imp.g_varchar2_table(13672) := '39546D80058CD64DD673AE713DB742F79753B416F58AC95B19FEB617D55156F384D6EAE478F7B9C395B2877A61C5B9F48C37843D5177838BCD68FFF355F7D5CA56F634050E9D4A335ACF6C663898B52D956B4F5C284636324DAAF54E42F55A5AF375DD30';
wwv_flow_imp.g_varchar2_table(13673) := '0D7EBE5C8E1AD94A79F37ACBCD63241E3A7C2BCC169A1B2C3E35DB2CC198D1876660D51358C10AC0F7D877A55F2E64261F39C55F9699CFE50DE09E2BB8C1E5ED30AD77CEE2F302F8C1DF5E38D69102EA6E03F0BFD4CEB18BC04B19CA3CA7DA15F734DAB5';
wwv_flow_imp.g_varchar2_table(13674) := '4D60C83DE586F11328183D49AA46E36F9382F259DC8FF2F6D32D445FCF9C8A078DC2F70A225387FA73FBFE2C4E1CB56B7B32BF00C015B4A005C95F01005F88FC172C6FF9C813C4F256E0BC158422F92F68A10C5A20081A4C3FF9D3972128ABBF7CE94F8F';
wwv_flow_imp.g_varchar2_table(13675) := '06A27C81F6B6BFFCED759F7B0094FF81F6AE2F0A17C620FCAF10DF0BC31FFEF109E205008C8120CE2F88F009F295E92B1FFAD5877E5806A2842724A128DEEF7E1506C285D3B90100E6E710F989830634B8A1FDB43FFFFB01F006F7D31F0DF6C77FFDCDDF';
wwv_flow_imp.g_varchar2_table(13676) := '1AA2C01FFAC01F08D703C0C5DB93C6C3B64D198809288809900000604007148A06240A0868C00A4C000090000AC4C08100810AE8C00A00800E04010FE0401004010E248A16B0000068811354411674C1156C818178C181800100808116808113C441A4E0';
wwv_flow_imp.g_varchar2_table(13677) := '800D20080E300A204C0A0A000022DC00212C0821A4000D588A03000028048007200822A49B1BD4130DC080A2D88181F8812F04802FFC81301C4323D88131DC01331C882E0400FF35340A30FC812EEC0182B84119E8811B808117C8431888811818081330';
wwv_flow_imp.g_varchar2_table(13678) := '813FC4C24134013E2440E330C04D1BB60918010018011718814694C4481C810EB04410E8800AA8804CD4C44E5CC0810041092C081094441770011520085304001718085664C52170812288C558040256048221A845592C8254C4C52158C55D8CC582D8C5';
wwv_flow_imp.g_varchar2_table(13679) := '81F0433D1C8817180A1D2888174046A1B8412C2C081D40C669544600D0431DB8C16AC4466544818270420070422A148A15000011384600D0011CD0811A58C799410223000024B80136340E65AC812232022228881F804700000282E8C21DF847812C887F';
wwv_flow_imp.g_varchar2_table(13680) := '3CC4E248C43D133449744447040149E44100E880109C484B1C08FF4BAC4882984810CC448904C5069CC84874445404005424C9115001945C4515A8C5823C4517A8C598B4C59284C99ACC45002002835C431378011600001C6001A014CAA0F4C981E8C66E';
wwv_flow_imp.g_varchar2_table(13681) := 'F4C99E44461C4047747C01699446006081A7644AA9FCC9A50C0A14D00114F0C91A408112080120FCC61018880D204BA32C47A96401AFF4CA1558816E5C817BDC172440021E40C71EE0816A2C0EB93C4BA22882243882241846823802C2144CC02CCCC3FC';
wwv_flow_imp.g_varchar2_table(13682) := 'CBC554CCC65C4CA2C849801CC331B48182B081CA148A1FD0C983C42ECE84B0826844D0EC80D094C4D19CC8A36048D094C8D03CCD566C48A2A044561C08835481215001178045531C8247AC45582C49DF0400FF5FBCC555040292C4CC17C001AC644AA6D4';
wwv_flow_imp.g_varchar2_table(13683) := 'CA75C4811AA8011C4081AA0400AD7C4AAD0400B924887654471648C7A21C081D5847F144C7A01C881A28818188CBEC24478220C71228011A484FF0CCCEFA040072AC01FCD44FF6E44F0BE18125180824088A13A0811528D0F34C0AEDA401A3284C00D8C5';
wwv_flow_imp.g_varchar2_table(13684) := '23F8CBC28C500705000905CC4F010222184300900100F043CC0C0A7E040012F4CCD229D1A580330990CD556451569CC4A158D1150D8AD12C88D62C0819CD488F1449162D08543CC51E75CD81F0C5577C44DBB44592D449AD9C4E8250D2AD7C01257D0176';
wwv_flow_imp.g_varchar2_table(13685) := '9CCEE98CD2EBDCCA2B6DD2A7BCC7E8AC522BB5D29FA4CEA55881F4944AEDBCCFFC0C0A34150AFF35E51023E88125E001BB5CD3EA944B146053265D8A613482BFDCD3367450C04C0222F0BE2320D45D14CC3DD9501B9CC1A100827E3CD1A74848329BAF38';
wwv_flow_imp.g_varchar2_table(13686) := '985117E8004B7D4D47B4D1A4304D82A8448FE4D1D2ACC448EC548B54CDDBF451548C4457BCCD9274C497A449926449191D0875DCCE5B95D2FA644729AD81A4BCC76E3CC6269D4E7504D69FACCEECD44633DD4BA9584FA450D678FCCF81785382E881BA94';
wwv_flow_imp.g_varchar2_table(13687) := '53005850FB34D367BDCFA0A08113108A22284C7D1C08721D8871F53E3E3D4C8270CC761D4CA8F8C21D98C1792CC8302408127DD412CB57338203A1484DA3204D7F250A5AA55580CD54A2D8D4206DD1554DD58160C9CAEC462C7D4E74FCD5FFF0B4588B85';
wwv_flow_imp.g_varchar2_table(13688) := '4A61B5D376DC5682604AF1D4CA5DD54BA1F049A12C882D85CE94854EF7CCCF6C0D8AF66CCFA280D96E854E26D0816B0580682D080105D09C158A302508336D561A205AA20D0A7A1C88BF540AC67C570E2102731D0810B55782D0472028D67D0D15ACB590';
wwv_flow_imp.g_varchar2_table(13689) := '1554C0D63CCDAF0D4DA4684D10744DD604801524DB830D5BA1B080B50D491A25889424C91E35011658528FFDD873CC4ABD9DC617784BE9CC5BE84481B7FC49608DCE91055A7554DC74645CC5D5556E4D0A1CC8DB34BDD2A7D0013815D0398CC79E558A98';
wwv_flow_imp.g_varchar2_table(13690) := 'ED5682285A970580084046C6A4D0A06850D465D70ADD97CD2C08A4D55AA388D48933CDB5DD0240708A2B58DBA260C520F0D4FFA058C1A2A8C85165DBDD9D5187EC80881C881BB84A3A3D4FE9D44E3B0D8A662C0816B05BAB04CFB544D09F8C4EBC0D4FEA';
wwv_flow_imp.g_varchar2_table(13691) := '04DF9F54C6C4E55E99F55826A801F44547F51DD95C75D68160821D80D32560821B88DF9D5D021D6002FA5C8AD00DDD820042083DD44385500038D48118E00715C6D4F594450500827C601B8C5D3E9B60A858D1605006A148D8A5588681E01B6970CD4E3D';
wwv_flow_imp.g_varchar2_table(13692) := 'DBA1D8E08158410B485E8A04D582E0414C0C41179ED3259DCE1A8852EC0456EAA54365EC4914E0CA5EDD521EAEDEE8EC4AA2B458A0ADD5C44D4730A5CE9545D07B64CAEEC5012690DCA6BCD5ED3DD9EC5456FDE581F8CD5FBB14D02EFC4F9C758A05F55F';
wwv_flow_imp.g_varchar2_table(13693) := 'EDFC00626460FFA515D73FFDD3C73C60BF2C88A7855AA460DEA098E30AEE4C3C568A46C48260008057080A3F2E8A6D400A5FD460B14D0A555DC9DF554D82085EA288CEBB45D6945D47C8B546A6B45EAF6452B774629F9CE1EA6CDFF16DDCC60D8A916D4A';
wwv_flow_imp.g_varchar2_table(13694) := 'A13462FB2C65F8F55E7484CBED654A268846A1E0019EDD5C318DD9982563D11D88081046D63560074DE3734DDA066D5A9C9C4D9C845AD72D0A222882A70D8A1CBCD70D80003DCE5A6B3E8A890C0659803C00D80482E8660E81C44F295882485B10985B82';
wwv_flow_imp.g_varchar2_table(13695) := '6081B7ECD56A44C6AD9C621C54C63AD601EF5CCBB58CD98A3D59BB5DCEAE944A6DF4DE54CE59395D47ED350A81160AEC8CC6EE65E2A0D8E2A0A8CBF0B459FF009868A22063D0F55CA260800D98C3351EC606F53EA438667F2469645E8A384CD492160A2B';
wwv_flow_imp.g_varchar2_table(13696) := 'C4660D69E96C066700680582788560E09BE258071F908A0E403DA5D802A7188113340111C04F1E2647C3B5D3A254689F5D46C92D4A4D764F5586E592A55E533E8A9B25882835CF33750A5356D26E94CBF15CE28288D3F9D5D925A84BBD94E5A2E0E5A1A8';
wwv_flow_imp.g_varchar2_table(13697) := '4AC8F568023EDDB9360A2000C364FE47660E8A3A0E8A169081160844A29000967EE9882B6CA2B8E98150055E280859808AC0391C0020645F6C844DFC54443683DB9583A8B8EC1ABDD797C5D3E8DD52B2F6D05A5546EBFD5C3ACDE7B5944E6395DC294668';
wwv_flow_imp.g_varchar2_table(13698) := '749C5C8A1663C9BD5B728CCBB8CC622A1E08FFBB1C5FF74556640DD3306582BCCCDF78D4E2B5468AB60E8AAA945C73DCE82E5CE37565DD908E63721D692F9C5ABD160A3FEC42E695810E0544A1504200E0000F386F5F3EECD9D5B61226086DE0660F3664';
wwv_flow_imp.g_varchar2_table(13699) := '8D7CE4D7FC5753BDC8A1A8EFA1588581F8E9BB9106CE1B08108E0333F081875C61136E4894C4578220D3A1B053B62C88D75ECEA790CBE81C6DA99E58A70859F57C8A87AE46A66CCF5DCDCEE76C47BD945EF8DDE22D4682CB3565F1B4D5714CD3E60E8A08';
wwv_flow_imp.g_varchar2_table(13700) := 'B04B78CC6EBA468A7F9C4CBB160A814C690048813F2451F486000830420910422547EF063FEC6C7B72A3F0E34F680600A8868238F0FC1E88CEDEF22D875B0020DB72460A40468A71088AFFD2D4C8A038C1F2060032CDE8EA3CEA265ECEE77C4EFE258A13';
wwv_flow_imp.g_varchar2_table(13701) := '684F3B955EB9A4730C8FEDDE8E46A68C524D26DC718C6774CC4B00E8D9B7965C7B1CCF2C36E8A6BCDF9ED5DF6A5C6B29260E1CF05C226060A5B8E37D3CC3507FDD38040236ECC2C01E080AE000251FD1A020410F308106A742BD8B5DF63E48405E8445F0';
wwv_flow_imp.g_varchar2_table(13702) := '8545F00400706C5C5082D31CD52FA751951C0A1094CDDA756F823003A7D80225A880DD45E1B45581652F0A7065D23A85DED42E8A1258810D78F381F0E7A158CF0A170A903D56F6B4D3703753F254C62446D3EE3DCFF13D68B296659C0568A768E82A2408';
wwv_flow_imp.g_varchar2_table(13703) := '2370545091DA8208ECF2F6000F1872811F721348781830013F7C725BF7CCFF33100300900282E8EFFD2E8A4FCD51CFBE1050080A1016D846365E72DC006C07422B344B20CCF3934DF151716282B8D610A773E71DDC67EDD5A2D04E2766C73FD77940B7CB';
wwv_flow_imp.g_varchar2_table(13704) := '8996E5E2D6DF5AB564A5608081F8F79971F2A118F21498C11B74E028877802F4022EB002F103002FA8F834D7C821F081DB54024F6D44927401B24D5B470E8A21C881A168F6CC6E7600D8823518883590FB81C0BC1CC0F8A43801702708703D81BE048013';
wwv_flow_imp.g_varchar2_table(13705) := 'C0F66E1DDC9A1FD0C0EF563CD7F7F3CC6DF74C719F44DC2BA6F93BED563BA768EAC4F3B8DC5884A6F75A2588E3B6CB303EEEE52E8805AD01A31D882D0CC33E9D9B1470FA81787D00B0811608783AD4C116B8010EF083FFF58EF2A3703DF423883F280A33';
wwv_flow_imp.g_varchar2_table(13706) := 'C80139787BB81F8AB50F0AD19B004A4D8A9F268A9E2608D18B8A10C076DC2EF96F3F4BB23C79CF85CBAB7D59705D81C1B790703765656DF9199FE59F3C8133EED642D746ABB6CFF554C6E22E88257853F99771E676D92D04882300061201507020C28140';
wwv_flow_imp.g_varchar2_table(13707) := '6C000092F02142861027EE482871E2C416305A00D888F123C8902247922C695264BE932A57B26CE912A485815EAC00F8E2854B1500660074E039A2E7400B13744AD83232888B351395261C21D2E940A72A2CA86879E26188811B20663DB17505C60D2B4E';
wwv_flow_imp.g_varchar2_table(13708) := '8CBD0A602C5A8C664D82ADF111878E812C00B8655163450D1408F5EAC54803E15A00286AC4C58843B0DBFF874B5E265CF1F7EC890F034D286C38D206C38B105B304C61120867CD186124A40C8131EAD4AA4FA65CEDFA35EC8F43D6DC19581B6199872362';
wwv_flow_imp.g_varchar2_table(13709) := '0E1C0A0082169D5726E64818E7E1F0953197C71E98158086101A1206A60E806C75B4643F621F4B7245DF8438E08AA74B373C44B73A0E3F5CFB1C2C80C3851FAE170C363C12844B902CE9B144C77F273D3696640688F083439521F4C3409949C410472081';
wwv_flow_imp.g_varchar2_table(13710) := '401908207130900703A5000269118A946102B73537228924B556228A298AD441071560A4948B40F9548151086101085418B930D14E3E6821C708710015534F3296980174CF21945574D339B78157D7C177D6595302D6D875135DB5829222D530D744FFEC';
wwv_flow_imp.g_varchar2_table(13711) := 'AD8743621881574399106100D261EC8984020F03F197900E3AC469129AE60DC400050F018160830A715415001E96068009136698E1431C30FA100414F47921491CF4A922A6990270A2A69D96C8DB4015C4F890911F599123462E1607800B408D50018B45';
wwv_flow_imp.g_varchar2_table(13712) := 'C6E422492D96BA92064826399D934A66F5DC96CF410952085BBE965762608A371F49CAD239D09A8CA5F9509C4CACE4E640090050D14412456843849E013021001E24FA28421200C08104174AB01548A7AD3B10051E384AA9A7F9A2C8A9BEFDBE662BAD16';
wwv_flow_imp.g_varchar2_table(13713) := 'DC0A5305A0F20400AD08F9062BAC081FCC93C00EFB3B5093CF29091F94507659E209222484DE47F5AD349F5B186425D96B760E342D5DFF3458D912B8A38574E1A500F4A9EE06965A6AE144F03EE4F3C441ABC4AFD0459F64ABC4AAA1FA50C3453EBC92D3';
wwv_flow_imp.g_varchar2_table(13714) := '284A471D58185FB74108589BE43277C5FE8C2700F3E13098482C301B52752DE57736448F3596F64B19560851BB1040D0EE44E67E040365904E741A02460B8ED2E08593C4704FBC19ACD24F2B1A8E50B4113C8041040044A041E51A6CA5B9732685B002D0';
wwv_flow_imp.g_varchar2_table(13715) := '549284F5CB21E5A99A0E91417402DC272D112048784104DF030C9064824609918BEEE3BD0B4DB4EFBD033C7042C4B7E474D4AE218DB0F1086960FBF3933F1041040C504E394B5903A0B54B276C1C7B5B65621B529B20AD89326A48F070677A587109EFF3';
wwv_flow_imp.g_varchar2_table(13716) := '00D81E1265BC3F343744FFA42134A84837B4846FF00A07BC000AAE27882B98C116C7980A40A561088911047992B08FD06A8213691EE46A078007C84F83F2AB1CF55AB201CE35A674B36B4F9644523597B08C6DA803C01278C0041D286B30F0818FF6BE57';
wwv_flow_imp.g_varchar2_table(13717) := '120978A06609F18CA12652950489C4870FA0000709A8C4870C7089455B1A424AE5949F40A58A510180159F86101000A5034B7355AC9CE2451651712073C39F16591445073A0F21D2D30007D7643BEAD1118ECEA3C07442C7952565C963DFF1197C069317';
wwv_flow_imp.g_varchar2_table(13718) := 'F08045042B30245FE832BED8F56591F4D1216AD817971AE0602E635B012601B0B1E96DD0871FF180B93814C46D61A40844280810B885218C48AA4F14B0D4565C69B3FF597AD289456BA22D8D96B0A1F88631774B80BAF4A52D84C80B210418C8311F1200';
wwv_flow_imp.g_varchar2_table(13719) := '881C33000470A6330100CD67527322044866E018503DC945EB21954B80EDE6C7007086335BD5D356E52896B90DB2C449DB1B08EBB2D2CDD5600D5E496C23000C70806B2264990048A6011272CF81145342004881FD0A8A10040C332181CB160012F05004';
wwv_flow_imp.g_varchar2_table(13720) := '04AEA20E45C81BFE91CB89E172A385630A4601F00691AEE10D7030E94E52AA133898010E2159031C4AFA90916254293105404C51BAD2969A01A46BE8E9524AA286818CA10C4305C051495206372CB5A96E40836DDEE08690D01400B7B9C31BEE30D587B8';
wwv_flow_imp.g_varchar2_table(13721) := '61A45DEDEA40DC501BB1AA860F7DB82A00DC50D4A20EFFA40C2232C948FD9090AD86F50D4B1D035ED93A91DC0000AA50C5C849716A52880456A96D45431910ABD8C426F62368982A5F07D2518F9668B294CDD43A1292D9CC0E241EEBF06C67D7018FCF02';
wwv_flow_imp.g_varchar2_table(13722) := 'E0B3EB202D00461B0F849C76209985473C60BB0E77B843B4AF9D2D44449BDBD1C236B50000ED3AE4115CCE3E041EF400403D0070DC81C023B5F078EE7301E08EE6B26320EC90476CB01B92E6467720EE0080763182DDE9B2031ED76D2E46A00B1179A0F7';
wwv_flow_imp.g_varchar2_table(13723) := '21E1FD083CDEFB11ED6237BAF098AE3CBE9B10ECF2D7B7DC056F7CBB0BDBF8AEF7B7BE652E42544BDC89B477B8F22D307BD93B90FAD6971ECBBD6CBE2C8BE114CDE321F680C871DF1B5E79C403BBFF17EEEF855FF3DEE51ED7C22E4EF14092DB1C180FA4';
wwv_flow_imp.g_varchar2_table(13724) := 'C5CABDF18437BC1A13CB831E3DE631466CFC6279DC83C8E025317DE3B1DA847478221D7E728D3F428F264799C6EEF531967FEC63F0EAB85F1AEE726CF00166C9E6A3CC662EC972F7218F7D2084CD6CDE2F46EE21E7398324256E16C93D0090E73D0F441F';
wwv_flow_imp.g_varchar2_table(13725) := 'FCB007A0D9FC61C660B7C86FEE543DF471127DC87922F710B387FB319041C3E6CB9B6A8DA5C7DC9C4C6BBAD3A93133A82DDBC446E71900871E083F52A4E855EBA3D5FEB23248603D917AE083D21899C73C005D663D7F44C609B1C79FFB616B4F13BB249C';
wwv_flow_imp.g_varchar2_table(13726) := '2EF6464FBD9A50EF5A25F75076ABF7216D65BB46D1096175ABB36D6D648BE4C3FBC0FFC7B3EFC1E95473BBDC7536B78A80FD617C30BB2590C608BB5D536A00F0A3DEF65ECDB4A9BD1A6D6B7B20E1D6B39BF7618F3B135C24F1D07700FF01687B88BBCCE2';
wwv_flow_imp.g_varchar2_table(13727) := '6E49AA258D6E741F7BE22399C76A57AB5154E7C3DEF5AEB5493E2C72002CBCE424AF07CA53AEF295DBC3D72F99EC9BF9BCE77BC878DECD21B59CD79C907BF838CFC72DB29E0B2DF499DF792008D7D7CCF5BCE735D3C3D0267E88854DCDEB53537920B8CE';
wwv_flow_imp.g_varchar2_table(13728) := '35A011926A8F0340CC80BE07C3B13E908D931C23E4D63ABD2DAEAF8AAB5D250A97F4D641F28F7AA73D245707C0DDF52571B4FBDBD4F90680AB03BE0F466F1B35FBA071A9D7DCDF09B359E78E5733E43112F9A3AB79229057FCE5FF4D8DDDCA737EF32079';
wwv_flow_imp.g_varchar2_table(13729) := 'F3A92B2F7536F3B9CD7D7FB6BFF791E7AC93BCE4ACF7F8BDC1FDE17BCC83F694263B44FA717684E81E1FBBDF7BDB49C4F6E0ABC40AC331BE489480109A0C6438C9410E1786F305E94BDF535C08091766E205846C7F0CDB7F8D17C40080F08FFF0C3989C2';
wwv_flow_imp.g_varchar2_table(13730) := '14E604432408613108394214A280102A78E10C52F002FD0140FFFD3FE10C4F0040FF2544003E01158CDF400420F9418418A881188C01003820033AA0014E44FF3D01FE6D1FFE05E0011EE0FF0140126C605BB515641D566431D6617D44643D045FE50662';
wwv_flow_imp.g_varchar2_table(13731) := '0DC4178CC10B7E410A820417C4A003BE20174820F1A1C6F011DFEE29CC0404936FF092C22444304D04305190C358FFD0C4F40D008800143EA1086C40223DA16070405F44616C6CCC017C441786C4AF044656E88A92E80A929C8C6448873B95C044F0809D';
wwv_flow_imp.g_varchar2_table(13732) := 'BCA11BC6490DD0C0559CCCC9244908E4E107FCCA74ECA126FD21007C00067C614218C140FC80210200222604837CC4411084113422421404251AC40F21840C00800DC48048C080FE540865F0CD28EDE04AF4202902806F40518ECCCD90008005080CA854';
wwv_flow_imp.g_varchar2_table(13733) := '100048402F89840BA8C08EB800AADCA2D1BC800EBCC0B3844D0CC405FBA4C67AC4050E858064A08F75084E7E2CC67E08C1FA38527C0C449B50A3481CC10702C01174A36B6823001441127863118804114104B7A85282ECC0239E224B9862DBF183CB95CA';
wwv_flow_imp.g_varchar2_table(13734) := '8E78FF916ED8A33D8604139EC48EE02216110A2FB20A40022400104A4938842ABD455CFC2243026389E8C060A000266152D6B847BEAC00360EC4620801123C630FC48E9EB8C5E910CB6A0884389663380EC4491E41390A844972E36A5CC49FB8A34BC0E3';
wwv_flow_imp.g_varchar2_table(13735) := '29FEC48E0C4407B48A4E164F140D444EEA6219615117CD8A49182442F0E208286540DEA23F9E04A18CE248B8506AA409D988245D788C58F40E7FF80744CC075EBC8C5B900900B8CD47CCD36A0C4112AC641108044288E310B8656A10D10E9C234D96E25D';
wwv_flow_imp.g_varchar2_table(13736) := 'B6840A4C1150F625165DD1442C255F82848C244CF354056222C40810CA62464555A08A3FE6E443A8C010A80065020166AE8443362455AA446140FF64D88C876892E57938CBCAB090099D5049EC074414E3472486594E040D302363B0A45AA2E41040044B';
wwv_flow_imp.g_varchar2_table(13737) := '96E35A0E845C9A84FE244445FC003BCE645E0ECD71AE84184104147DC46092046F1809AA8CD14A2466400A24ABB08A0BB8C010EC486E5AA3438A84C8B8060A8C0761A8C77820C442B2072559129860A548666449E4C579D0456A0E040F2C867F78E533AA';
wwv_flow_imp.g_varchar2_table(13738) := '1F698E2442B00C7774D36F9E044B7AA0383EC436264481B6040CDC00421AE743FC417296C40F56E84850517392C41405255226046F4C05FE2890625227158DD117F9C46316245002E41038453F62489E240625650A25BDC06158920E10C6402C2444B040';
wwv_flow_imp.g_varchar2_table(13739) := '8E02805DCC059156638AE80013E4FFA792C29057EE477F040856BAC49418800670CB389AC407BA656F96D26A10C10D406841246442C81586124E99B2048C320D06B528440C49074CC00418E6861226422890140D045212643FEE40DF90E57F8626895412';
wwv_flow_imp.g_varchar2_table(13740) := '5DC4457AC6C778D20744C8278A304B9CC4C9473AE99C608BA27E84CBC0070238244A6AE34982448236477042C40DD840259EE93B92EA4A48A6493C5F1451668D24C4772A01898E44178D0408CC4DE31C8C8C380543D0675D648AA4AE27A1762648F8E849';
wwv_flow_imp.g_varchar2_table(13741) := '082B4924A9B50C845702007FA80F0C2952A182C45F58C90A9525006040E018E238F2E6492EE84424284AFA26483C62B8620447D42544C480A8B62300F88FA98E844DDEE508CCFF299E3E8464AEC32A188512B0082E00C01A24403000C0717CC140240208';
wwv_flow_imp.g_varchar2_table(13742) := 'A8403EAE0408448C4ACC8D05EC0600C489EC08A98AD4D0E91CAA425E2342C0857C90874BB4092589A469B6660CC9901BC610007CA4B3BA0935728DB53E446C62C45ACE6CB94E84497AAB6AB4C00E48224434A298BEAB9902ADE3884410FC258B42443CF8';
wwv_flow_imp.g_varchar2_table(13743) := '40862CC33404EC4400C15E0ACC509604AAA2E9C3EE859E18698984C797086A25958FB19AA6B1B6C4589A44924284B39EA6948E8411CC2C827263CDA6E436C62D6A5404BBB2ABD09A44BCE6A52C0443304402006C424204EC77D6E94080436721C43820C4';
wwv_flow_imp.g_varchar2_table(13744) := '2B0C84047C67254CC0876A4AE224C4E944E44388A47AA0C655D6FF68A286A6D81C235D782E8A8C0F99B087C72684B5E467C4B226A236879696635BF26642AC6583768A13E66DD0EA6E6066672F90423220842F0CC42F0851056C030000423C1CC7404803';
wwv_flow_imp.g_varchar2_table(13745) := '4464832C24C4E49A447060041AB52944BC22421092603CC460E42869A246B2A8A7A216C622B961D89447A76C2E42DCC99316C6D95AE36BB42D44F4E6DCA6A44BD025BAF26E6CECED5DF62B00AC0200F8822A38A72B02C0392CAE49AC0217B1041A30C54E';
wwv_flow_imp.g_varchar2_table(13746) := '3005175D2F60AA50F79600B2C0865596ADA4AA04FA3E0490F60B0EA02FB2EEC0EA0E44922229DBB047CC0228A71E28FEBE658914C10FB8EB4AF811FF2684FFEE608E442F00904242142F44ECA56ED0292A8EFF4B4FD02B498C824E68819D46518AEA240B';
wwv_flow_imp.g_varchar2_table(13747) := 'F8D17DA009C80CC499AC06D90C845EB8F044B85031A6E7906A0A994C0B92EEC0129CED1BB2C54918C1A63EC4ED9604CF6ECBCFCEB1484C80A3CC4B0E4FC40EBB23100340F07EC24024030003801580CA5E120A11CBEA0850F04A08714FFAE49A76001573';
wwv_flow_imp.g_varchar2_table(13748) := '71167FC47DB2840D516C918604C6BAE64BC489CA902D4230410F2429EC00C00CA9EECAD0C0F808A848D0EDA8168DB9E8CD1E43441F9F222E386DE07EC2268082ABFA64412E66637E0408D00AC22AB148AC813438EFC1A0D1AC8A040075AFBEF045067331';
wwv_flow_imp.g_varchar2_table(13749) := 'AF52ACD6A6CC7FD849F8AA4462FC87C9C6E1EBAE47CC8AC7398F44398EEA2CE78BB82404DF70FFE22DE77272E6044D31B1F476000848454F2C325054C504B5486A0033AEFEA44F6084916C2542E0306A948E59B48ED1C445B28ACE4ABCCC7FB89F44DFC9';
wwv_flow_imp.g_varchar2_table(13750) := '440BA8CBAA463BE74B84688467BCF31ED373DB5540D57A414E18B2175C812BC8016042C5F44EC410F88023AF44041BB0300F7105580C3C9D85586007F7AC0476C013EB6CC776A8D05D6CB2A740D2434CB47874718FD6C90CAD4F0C05489DECE84B383541';
wwv_flow_imp.g_varchar2_table(13751) := '5886BF804BCC68C82D33D158D3E0F5DDC6F5918A53800028688104348219940A2008D140CC466A04C7F53627135E6FC690C5E75C89A7A473A67CF0B58E04280BAAE8A0ECB32AABFB6DECD694042AD1E5422C0442A8806894C848230449E7FFB049135F70';
wwv_flow_imp.g_varchar2_table(13752) := '54C1F7651F0070011A58C10431EC4368C1AA0040E11EED1ACCB54B34F2B89811732AA616854A6FF0D1D5448959E8113C65F24900774808F76AD0A678522C58247542A8EC558FB20E9CB3CB44B76338C6B826C439DAC0646337A15CF60FB5400AE44E2DF7';
wwv_flow_imp.g_varchar2_table(13753) := 'CD847C0B688884778BB41901A31FF483CB096D67139F4C0DC41BC4011C306F122B264C27841C34827054826BE4883E6F5149ECE311D6936E3F843B69D256888542EFD14810F7C4C0CD1C92040673F147EA877FE4872A8B322653F440C42C83D825446037';
wwv_flow_imp.g_varchar2_table(13754) := '497806B9904B89E3CE46C4400BB0F8A7E62E42848872D91CD0BE77B909341BD1749B428515608115C4C14E0C44AB06950F0CFF449087448E28B31242C44DBF134940F4956C8C7724846053969B94805E60B98723847FC8100A53EA747734443C400FAC23';
wwv_flow_imp.g_varchar2_table(13755) := '7132485D92785584B57773488590348C2384BDCCE234978409F04E9F244046D1C3BBB937FFB6F71A2504AD38C55048514FB4CA7D5FAD6DD3743DA606C018B1309390E66840C554BA0E6D0594FFCA436847804278EFA489F90E8408940022BD0C7FBC6FFA';
wwv_flow_imp.g_varchar2_table(13756) := '662D16D3C05F483758A4B3437077A014CAFEC0C03B832248B40BA57080420DC4407D84CE101405041478D1F8BBDAF88D43108E1B744874002C920A48EC63AD44F249D08A40FB7A8293440820C95560BAC6684C4B540D94FB4E6270EC6BE24561CCC92983';
wwv_flow_imp.g_varchar2_table(13757) := '3295BF3A49ECFFC0CFD6EB25DA7AA2C4F92C324ACD004D1E378A4A440AD018BBA922FB9859D9B523F492C7EA44D4624B5810E2443B483C40B68784AE68C5F6FA4A4B88B92D59092C07A8AAF7808623E9365BEE964F84ED240847DC0047C87A479C384450';
wwv_flow_imp.g_varchar2_table(13758) := 'C011AED2A120C4BE5FF1445000043C40A4E07CCD1899EE0A3CB229BB05ADA94AB808C34C4C05DCBC404D443A61C0742049066C4C56C00BD0343D57DFC55D5479F018CB49A08786737CA7AB6D338E84549AD19D230A497C6A0C80803C4FC4DA6344CE233D';
wwv_flow_imp.g_varchar2_table(13759) := '053C14CFE7ADCF779ABC1C9001397B6CBCBC6A08BD483C0FE68404F5503AB144BC9928F7988D3B482CC6FA8C6D59788D3BD9CE43B56B0B642200B4FD4724FF0AA280C08690740B70C6FEAA00BC6F8B0DA8D2E8B3C406103BAFF5FC2D83D401EFF4493479';
wwv_flow_imp.g_varchar2_table(13760) := '6E278CB49B84DF83442D5E8FFC608036598E36FD3E08610F6AFCF598BD87926C07707FE4B29EC55D4084216D8F92A4D343E04EEC8B4B8B730465B32889638466BCC09C8F440614D31125D3DCFBF91E5795C1F7245F6651F1206C55ECF36DB7C472EAA492';
wwv_flow_imp.g_varchar2_table(13761) := '8F4412417C12D9114270D3E4D011406078008060410D1B0E8640B8416143860F4F9428B10240891A282ED628B8B1E08A121C4186143992644982214250DC286203001122501064010047411D0074E8588204000F1E3571B0081A14404C0E2B36B41C0820';
wwv_flow_imp.g_varchar2_table(13762) := 'C2830809969A049902808D904508120180B5FF209016304048152BF2DE58B367D1A6554B32DF5AB76FE1C6950B5202000804EBDEC53B77AE5E0075F972340080C0600207081248CB2070E3928C090E3680000065CA673584841C40F1D9077E41729020BA';
wwv_flow_imp.g_varchar2_table(13763) := '64D4CA092A13446080F565A9AB290F0649AFAD63DBB7D1D6C6BD9BB759401CE3C821285C38C13880E2FC491E07C01F00C7FF2007E43C7AF482C1D79CFDBD717BC1EE68990378C397CF1D3F7DE0F4399F3EBD1FF3E8F910F413BF77FD8D7D00C43F3F1F0E';
wwv_flow_imp.g_varchar2_table(13764) := '80F97ECCF2A310FAF28BCBB9917E33842005ED03000E3C1C8CAF3F00C2E1A7C10B79D30DC30D1BFC07807E00F8E71F0B0BEA07C482441491201341547145823C04D1440E793BB1C50F37FF6231C413CD729146B4FED1B1441EC74AD1480F61FC11498E7C';
wwv_flow_imp.g_varchar2_table(13765) := '5C9145227F8C92430DA5AC32AE784C9A272E2DAD24489E78E4E9524CC7C22C130079C21CD34A2CD56C532D2ADD8CD3A478E8AC934E39DD9AA71E00B8C433AE7DE29907D041E30154D0420B25881EBEE841B3D146E5D9679F482935A92C3FE1AAA71E7AF6';
wwv_flow_imp.g_varchar2_table(13766) := 'C4D45382E0FC14D37902AD739E79EC11752C4D557DCB1E40011834D657B124B4B17C4825B4D048D934099F56810DD6AC5085B5F25200EC4956D9648B6DB6B15791DD275582A0A5751F926A0D53527EF8B976247E48B5134C36D32C884490CE7576AC7CD8';
wwv_flow_imp.g_varchar2_table(13767) := '6D975D756924165EFBEEA9379FB2F4A9071F7CF8B1A75F6EF1D147E081F9FFE2D6606E316CABDD8DEADD576177F3D1C7AC633994765A82A4959623409395B5206FD12509C47A089DD44B2FBDDD275D6001461847B30E7619D47937949766DC2E7517007C';
wwv_flow_imp.g_varchar2_table(13768) := '6A5BD95C12F5B1D0C27E3CFC07E492640CE9498389B579AC276714A9AD7ACBBA4762917C76BAA08577AB35D5440100FBD5542F86B6448E866691DB6D393CF7DA7D449CF1E882653E4BB79867BEB941ADF5E6ABD37BEBB9E75DAC01B89A20898906F1DE7D';
wwv_flow_imp.g_varchar2_table(13769) := 'CA5A54AC7A8436D7C4203F8C716513F37DF35DAAA9DE48D37AF43932C5DB586515B744B13C34A42FE99CD4DB986316D82C6DE5A178AC7BE8B92752C6F7D1E79E1375970752346DB3879EE3EDF9B59F54F93E186A7E6CFFEF7B37BEA59F0B881F9290C20B';
wwv_flow_imp.g_varchar2_table(13770) := '2BB69782FBEFB70FFFFBEFB9A8E20822B800E0891B6020A97D1360801F08918A0082881FEEFF418990A428432DEEB95086370C70806E408301D170C004BAE10D7768E003C733973730503C6E008005017087DE18D07FFCDBCA118EA0841F18C10B04E102';
wwv_flow_imp.g_varchar2_table(13771) := '17BC70421472C10A63E01E48AAE0852A9C218655A082179640852AC4C50B49388217C6C08531DCC10B473082117E20841DFCA007B649E1170A8286319CC57BE2F38214F657BDFA504F8B7141406108D0999018A620B2494C6138B0031384518C2531A35A';
wwv_flow_imp.g_varchar2_table(13772) := '1030101BC480207494CA0D0AD23E19C4808F1CA1E31EF9088318B48F908E8141FB3844150050C5048A24FF0807101000D93060290201C0401E40C90844003221E90C030E3018C400C03007380C5A025099380280031C600A280DD3C6C6786003A4018007';
wwv_flow_imp.g_varchar2_table(13773) := '106912C9B04695A4ECE2167F599F074085984F19A6698E49CC640220012D69E258505312CBB826243B000910E607801F5CEF7ED7F3E6367F00002300619CE52467360982C4748E9020E10C8CFD38644D823CF3063BE88155004001823C259F0A01803FFD';
wwv_flow_imp.g_varchar2_table(13774) := '0900866C040311E0480404929931A225010625484B6852108776D236F0238809007048CF5C329FFACC6700D010CCDB7051A46A19086A1C9A00CAA00632D1642933878980866E249A26A9294964434D8E8C009B6E912700AC1954A016648943FD813BFF1B';
wwv_flow_imp.g_varchar2_table(13775) := 'B444A522952FD60CE7333972030F98D1340AD580065002000D7C40A21435004549C980D5BC112D3A25C8090A6A1F8C9AC003F06BC10E6C0057B9DA94201E254C484B7AABBCDE86A53745CD6528C38004B494317D8D8A07A24256B5289623121802417600';
wwv_flow_imp.g_varchar2_table(13776) := '849F8E737ED723C837397254A432152441E5EC467EA0D4B52CB5A82289EC69010084B8F2450604B981096A0A95105C55AB1BC98C4241F2553332A0930810AC5BC00A8013EC732E182D09463D90D1B7C695B9700D49025E4A100850C0A36858D25EE34252';
wwv_flow_imp.g_varchar2_table(13777) := 'EC8EE5A432F52E6A545A5399B634B0CCE42747BE980003A8F7B98C3D8B045470CDC872C40859018056C45990FA16C49DE0046A6843CBFF9B1DFC742304B6A66AE1AA5A1BB4A00581B9416BA90258ADCEF603B7DD2A412EAC500C8495C303C1AD7A275310';
wwv_flow_imp.g_varchar2_table(13778) := '30BA97B80878CA26438201C830C0A1DCCDE7458D5B108C3A722329B023476C80C78DD895231E25F176D3A25D20DB54AC2A45EF463AD9529816A425762C8C2F533312C574469669412D3A41F2D900A3F6B273B1CA0DAC82CF1658E5C0DA14AD5480A00279';
wwv_flow_imp.g_varchar2_table(13779) := 'C6D7312DC0A307646ADB8D5498205CE56A411803CBC120F4011A580A64CC4A92992E33240865F18A45C2DBC1463302D425487293CB564987A4AD6271254A6FFAC821CF45C89B1EC9032C93E98D98A624F8548D490013172CBF657E5AC6AC5C4CCD91F966';
wwv_flow_imp.g_varchar2_table(13780) := 'B6D4438DF546D2DCD355FF8F25C220F94008080A803BDF79C30018258631405BD5C8C60023564CA0D5C2E257A297934CB1F68B39925C577AC0959426898ED95A90C1D6F5A151F6B45B3A7DEE900456D42216B40152294D90447A23A0F9D1677F6459CB82';
wwv_flow_imp.g_varchar2_table(13781) := 'C406BB6EF02237D26F6BDA40CD2621307A1190F081CA19031F283600922D18DEFA59AB820D2EB3D7DBE390D8FBA0FBEC2427236062C684BCA69F71344738E0516E8B24053290C1971F6C95D66EE4BC7661A52BA1AD6EB1A45BE7486E37471E5B90640E33';
wwv_flow_imp.g_varchar2_table(13782) := '096E81C0D137F2639124C00581F92C96B7599FA3B653D60451B36A559BDAAAD84691091709B041A281628355EC972CB6D7DD1D19B81C1AE4231739C8450E128EF778FF34B76465A41D29837F2F5DA606E571CFD7C273C08BC40AA3E00833C47D49517763';
wwv_flow_imp.g_varchar2_table(13783) := '2DB26963671CAFF66AA676B56EF96665FD7BCDA8CFC5C025995F98B3DE15A2CEE5C65106BBB04370678E5CB88C047940B2551C1906B8F7E72641ABA127DAE28DBCDDF5BDAFEB5D28E0170AB892031370A5F147A263CD7094C9837F93F3E3A2985F70A43F';
wwv_flow_imp.g_varchar2_table(13784) := 'C97805334D72A09274430B8A79E31BEB2201D40046FC1C8140580A9245CB677E43B3966C6ACBCC915DCBBFDF819130444B12F1151B402011DFF0EC834BF23E0D023E8324AA4D24CA4BAC0CAAA18A6924FC62E5DC62A60AE2EFA04F2A04AF0239A2110842';
wwv_flow_imp.g_varchar2_table(13785) := '0CD260157081195281206ACF3FA4821988A18D1C4F02FF722024D4CF0A7C202EF04AF3F64D4EA06EFE6EE3B738E2D754AF2030E0E10CE0D86A0BCF2643A79E2CE7DE82C5DECEC44C6CD1480EBA488203EEC2F826602D70100383CC0AE322130802110EE1';
wwv_flow_imp.g_varchar2_table(13786) := 'FACC8218E8E11AAE6B2318AF24AC8023D46F081E6B87D6028A1C64A8E48FFDD4049D424B9EF08DCDD2E2D6720BFB48A2E1B40AB77849ABFA6FFF2EC3FB0A23E33EADF6328020F26CDADA0ECF128F99044BF7460230BA2D2D2490DCB0D00237512D700100';
wwv_flow_imp.g_varchar2_table(13787) := '9081205A0100469120828123A2A91CC423DE4A221A522DD540420B38E240CAE00FB6400AA288209C634200A0121A21124402181BE3F2C0E9D54C420F0DEEB26CA0FE0862EF02838E8C30D8206E23FF8E6D207C50ACDC4BA65C4ADC868912698023D80EAC';
wwv_flow_imp.g_varchar2_table(13788) := 'A2D1DCA482DB60112D28B113D5D1316EA1200EA120468118760F3408803352C306A16CAA4023B94A100084F10DD1E015BC1000D2C1130AE2179EA1201A211A5CC10BB90019FD04A340C004AC22EBB26ECCEA231AFD5010D54E365EEFF5786BF738A208C7';
wwv_flow_imp.g_varchar2_table(13789) := '6D204ECCC81C6A110BADE3F0ECD0249129306D2C8A2FE5F81124662CC6447220A66B03E02C82D6F127D7421908E217CCA020E8E020694A04EDE2A6A822019EAC205C23D3EE023540C00AB02221B52F1A3602A392211900E0FA88811D42621852251BFC04';
wwv_flow_imp.g_varchar2_table(13790) := '220B0C000A8E19092EB2FA0D2DF942A606E31239A2E18A0DB738A2CF9662BD94EE25FF772FBCC671F9929093CACB2CB4ED1C8D0B2745C298A4AB2034082821332D6EC12B45B120E411006EA10228432FFCEAC84022CEA4E216C6C1840000F17E000EC4A1';
wwv_flow_imp.g_varchar2_table(13791) := '20CC522CFAA420AC60E65A259C2A52E0D22CB2E24B9E24EB07E012B8F4290432600721CEE1CAAE8C42B2FFF830009FF23446C2C440422597739F9853AC242A301FA92E4483036A522C463032B9732C28730AD2600F36423C016014B631241EC01945828D';
wwv_flow_imp.g_varchar2_table(13792) := '122000024D41D4CF326F410311AF0A1A01F10A2212CA010D2E732418010DD247CB8425EBAC49056C20976C83BDFA701A0922943CF2035E0F0000F0E70A43A7CE13FB480DC90E101C1931E402502AA80B0A1F2DDB628C1FA17029FF0CEA98BA7345CFA21D';
wwv_flow_imp.g_varchar2_table(13793) := 'C90000C8E01D01200D08021B460D35BA4DE5CC0235782C01A61024CE9020DC307D0A820D23C82741020D9C230653AB7E88209BE607BF3EA5CC2A1237680C2D0EE0321EA0C20662F6128E320CD18C7ECC324A6243354309D5C2A3A86BF8428203260D241A';
wwv_flow_imp.g_varchar2_table(13794) := '301359744E49223EC5B30E48A2118A4EED7620488FEBB9321400AAA0E8F61400B2880DABC00D3902AF3AA820FC67CDA6C2023CC0027E000F4D2BB4BC8943E6E7E020CB2D52E0ADDCE2E1CA683018C0CF3E80922634E99E2C3951512949E2430B0D5601E0';
wwv_flow_imp.g_varchar2_table(13795) := '05EC8E2E279095A6CB2E68F2D16CB5472B03D4502350E9944E11A120C8000AD2400F00401500200914CB0FDC3009FF62208B3C614FB9C2260D3332BED4AC24800E210BC08E6A7E3C801F3DE0470100F9A6F0F8DA091FF54EF91AE3530D2EF4B4AECBCC82';
wwv_flow_imp.g_varchar2_table(13796) := '9136423D05C324441596904D306EAAD9C82A2A734A041960113F028E424E24C655311BB3614782DBB2B361C76D5829D624FAC00E0862111A9411FD728A00E00C01443C88F40DC7C203ACB3DE564A31500305CD15D7346BF344425D8B6F02C6B5C154404A';
wwv_flow_imp.g_varchar2_table(13797) := '41A2054A2F2E6C005EB70E2D38552AC28CC1026E24546A1C8793C32EE9CE2C8E99BEAF30246930568AAC6A2A1D0F4A5647429F44809548E22EA64B586F093BB173F8FCC2BB98893A2BB63BBD500B3C4AB07C2BCA3835A4E40941A542365C6A309C12FBAA';
wwv_flow_imp.g_varchar2_table(13798) := '2CCBFFD0220584C002402BBE8AA0188B915E6F234AE775F4945119B34991E876243E0F1F97EEC7606FC374EBDA2254F6045000756A6AB5F404BE11245C7231914CA2B2CD56356E2A9F90DB44D4F55C0334D336762529D0BEEB43D1D68DF2366F13830F4D';
wwv_flow_imp.g_varchar2_table(13799) := '8270AF89BFB6E20706B75285579B06D73EAE75F2BA0C2DAB14FE8E512C0A2EE9C631AD24F4AB5E4FEC4ECA695D63C4722A36D4CBC85CB5224CA2ED42CEA014F06DC54DF7B0D301390A6CF7E22F5A3735FE2A76E95724F14C2EE717FB2E633B279777C5AD';
wwv_flow_imp.g_varchar2_table(13800) := '33BED72CF00DD7406B068377788971060D182E066EEB82D62C7E0AC144C22A5A20054C602201A0C1520083AB22D6023333449520040242259494FF6AAAD9FE72A5C8F46C4FAD4C4BB87CD92E61C1EA294E0E6245429F08D024D6B7A388AB7E7D9824A889';
wwv_flow_imp.g_varchar2_table(13801) := '76A36980F7703D99A98D74778281372D285505C24978DD09717943CC60A0C160B620DE12EB167719D5EC2B08222C2E5824C0828E1A2C97D0B22F37ACD80231692574B00C43B1CC36CA004BA536E960836D740F0A7D7DCBB7267600D3F43AF369292CC37D';
wwv_flow_imp.g_varchar2_table(13802) := '7F9862A796B1BCEE7649A22EC04B04FB12B4A402705BB6F88420BE88F870F911EBEAEFC0A834245A209B62AD8A3D0F2337020636D86797312E2809384B3831980D30CF169655D8A086EBA0400E01C111D0D2622946D03AC99660F9B790E9746A8D76BD64';
wwv_flow_imp.g_varchar2_table(13803) := '8A0224D7FC40A20292AB0278A326FFCD350500177F9EF449EF2BB5AA199E8077F32EB92040203B63ADB2F836B560368B83D6BF12AC40E7B6918C2B2C5039D684F5F472F9AB24B4C23A2980775741918C4C43CDF56AB9203220846DD9431B719FB673EE74';
wwv_flow_imp.g_varchar2_table(13804) := 'D89546439F3CAA9185D98701CBACBAD7BB38CEFBCC28B9742A62C5A2FC462F9901AE20FE36A409E27845EF2CC2091F91C005523A2670CDB94CAD5DA5C2361F18D798715E6B13AE4CAD2D9BD1DC946DB6E479EC4042C5C68DB1C0172639162695D0A0ECD8';
wwv_flow_imp.g_varchar2_table(13805) := '746F19BDA4AD3045B0C53C4004562E7E474D9F24508577ACDB46E32E406DD41E3A6D157989FF5239870902A0422983392939BAA7EECBA38F602B8A002B8E6008E6FABE92172EFF24600436A2BE5CC008404094818002924B5E096219BB39243635EBACC2';
wwv_flow_imp.g_varchar2_table(13806) := '52155B71AB0E06BA319F36002956409E338331BEAA54152A2A86E9D3CC626B01207417132F4BA2952AAD205077C7962CAD5103A17FF802C3DA3102A0B6779730C288301C562C5AF6A2008061E142D44000056080968EEE1C7703B8E5020849626FE70232';
wwv_flow_imp.g_varchar2_table(13807) := '1611DAEA51C45269BA473235BAD1091BC3B9E754B6673BFB9A6323FCE00FE080BCCD9B39A8E3399A230EC263237E71232A211228A111320118E31B0034B012E61B24E87B2E80F10FE440FB84B11208E2BD7FB111085C030180122241BEF333BE213C1222';
wwv_flow_imp.g_varchar2_table(13808) := '7CC225BCC2235C4A08244A10A1101041400AC20F8A3524180400FF18C12D42F6BBBDFBBBD5620C7BE31F2EA6C539226A4AAA496E43C647024A547C6F721C371CA735DFA251D4021E785C78E2E178BC04C8CB0524841C00E0214C84BCC9F90400E8611E38';
wwv_flow_imp.g_varchar2_table(13809) := 'E5A117C57176FC2D523CCBD125727CA63E5EFCC5FD267AF2A15348C2507A85CBA945CDE162CBD9FC6C4A6A6004466B4AC6C77F452432472A6C5C55DC5C2AAEE5CEDFFCF902DD36FA655998A536FABC31FE85230CC72D24E5D1E7E62C84A46066A46E5E84';
wwv_flow_imp.g_varchar2_table(13810) := '489EE466C43C2D84E6608635D1079D4F4E65D4457DD44DDDC741C2D0377D234E652EA2C77336E57838654F7C676362E55A3A6736A47CD701605340A25C5EBD6AEAC52C3EC7CC4702D28FA6D60FE71E364578FF0E472472277714050028A6D865FDDAB15D';
wwv_flow_imp.g_varchar2_table(13811) := 'D67587DAB1DC71805C53B2FDDAA5FCCAB19CCABF64CABD041EC064D7CBA65D5E3DD4E15D7AA046484667BBE65DC6EF7DD23F04C7E3BDDFD5E515466114005EE0055E200DDEE06F21E115BE1D47821870E117E471FAC6C216DCE2168401185C21166841E3';
wwv_flow_imp.g_varchar2_table(13812) := '6321160020165CA12062210443C2168001008021E57301006841245CC1166C8116621EE65D21140C3214000014589E202E3E2D281E144241E73D9E232E7E188421248001E673A1E50B82E289E1E409621890E1E9A15E3261FEEA01C0165E01E6B7FEEABD';
wwv_flow_imp.g_varchar2_table(13813) := '1EEB416218004018629E16BAFEEBAF5EEC09E2166821E1B5DEEC29DE16D83EEA01601814DEEEFF8721EFF53EE6FD7DC7270004689699A7F0EF091FF041202C0E3FF1BD592D3722BE54A0051C5F2629F061514031594004282029382029ACAAB628CECF28';
wwv_flow_imp.g_varchar2_table(13814) := 'A2B21F4A211842D98CAD8D0E0000750B94526994502CF4615FA054E224040A002C5BF4F12C02144A045640B451E0056E828E6E0C0674E00558602662A2CF0822269202002E42A03480024CDB246EA0FA076CC096B1FAABDFCDEAA9FA7B600778E0FBF7AB';
wwv_flow_imp.g_varchar2_table(13815) := 'AFB5E26595EAFA07AC0E0100CCD82A056C40062C785C53802AE6BF672D18E072ECFDDFBFFA6160B5010280C081040B1A3C8830A1C2850C1B3A7C0831A2C489142B5ABC88D0850B200281B800E011E4C7911B472A2C29126443183004C2D0FFC1A365421D';
wwv_flow_imp.g_varchar2_table(13816) := '3058BCB029F0850E9D3A00E8F80940A7401C3E0DBEC071D4E70B8228006C08313082060C1A005415A8610380A64B89321DC862E08A8128C60A6CCAA20680B05B9B16E50117498F8348001811D863EECF9E286AA0208A7629CE8438D8BA04700471C1C48A';
wwv_flow_imp.g_varchar2_table(13817) := '092601F01872648449943CBE0C39739222058910B12BF0736881366CDC00F0038867D1A8EF7AC0083BB6ECD9B46BDBBE8DDBA00A812A3EF61E01C0C588DE065D102FCE7177708EC64B2A87A8C32BC1A3498FE2881E964561007E75F455EBBDA85A1C7D01';
wwv_flow_imp.g_varchar2_table(13818) := '903F8F82457900271686A83116BE40C303E50B5CA1966C7DFC2BDC12549BDF404BF050974172F5B0C45062ADC06080F44134FFD7668A15C1186747508818860B15B1598702715804874450C859413F08741741270220C3693600B0C30F32CE78E28AB9DD';
wwv_flow_imp.g_varchar2_table(13819) := '88638E3AEEC8238FC20904DC084202102400C7F5A6DC470229F990093B1D145D4F43F5C4424F4999E7135135E8500351E471C9A5405BA2B0937751F6F45397F709D41E002BB4F7A6590D05F8D57FF871179F9C6E4EC9045C0302C00300080A0AC081819A';
wwv_flow_imp.g_varchar2_table(13820) := 'C760A20FD1D9D0858E9278C4854918D121879202006287956E265A8804B16697683FEC10EA8936C800400A2908B443AB3DBE0A6BACB2CE3A6B070615099C92237C045C70BC1534047143EC0A920A2502D092940779199D740449F757B44479B7A54F2BF4';
wwv_flow_imp.g_varchar2_table(13821) := 'E4AC99D50A14FF66416571B7A7427A8A29965A4D31AA5F5377DE89A50E4BB8CB43823C20B8835C4B20B1C45C45D100000DEB965003C004ADC0EF441762EA2862941641E9C29B669A29641C1A2122A749B0168341A41244EAAAABA206F28A36D24A72C926';
wwv_flow_imp.g_varchar2_table(13822) := '97DCEBC940DACA3244C40E075C924806BB5141355C09E59403598943CF3D8B5943D04DF545B45F01FA07A6B2459917209DF0A935EE83070138F57F01B29BD080091EC48442FEFA5B43C103893D3654074D86F0B112573A10C46863BAA968231EC1910C31';
wwv_flow_imp.g_varchar2_table(13823) := 'B400C38B31BE08C0672BB6A022A923AB4C78E186D796F2E1442E3E5173BCD56CDC92400C1154583717E42CB705358B94B37F9D455E7CEA7E07E696F9618BFFE5CE4B7387430D963734EE6CEE1A4860A1B5C3E52CBA1095C0D011946F26A9DA033DCCB642';
wwv_flow_imp.g_varchar2_table(13824) := '17B32AD0C703F15DD0C603EDC091E2D24F4FFD4323D89A788EB63EB47D44DD33CE64CA43641C9D75A6AB5E9FD23B4BD7A55AF4A1702ED1E6B55E7AB7A917A5FEAC544F0B409F4521C184BAECE05E80BA08BF085610B3218472989298408AF721C634D021';
wwv_flow_imp.g_varchar2_table(13825) := '1A8291404C00001360F05303E108F3AA07C2108A702029CB5E6E2CB0322259E07B18E9800546804223090404035141AF32B62CDDE5A4204B39485AB8B31E756D253F64AA96B232973958B14F419AEB1F127450A040C9052F164160B888C23B86482831C7';
wwv_flow_imp.g_varchar2_table(13826) := '92D003D5C69963958808C7AB904354A31A81FF006E846C6C23F53AC0A4E9D110041DE8C008688810132664298CDA0EEBAE539FFB21C430DA59CB57FCE213D7516D3C823C19A3F2D333B8F469923C5016012102B513F8AB5FE0E28E0ED16621CE78286260';
wwv_flow_imp.g_varchar2_table(13827) := '1C88043DD336E1A94806CAEBCC68DC08CB589ACC56711488176463057B10E40AB772081E1DC232162204837A729041D4079483F807884F1B48EBBED314E948297FB00A4BEB5AC74470812750EE9292BE0088902422846C0C01518632F3C0067271820759';
wwv_flow_imp.g_varchar2_table(13828) := '4D447600381C1EA4081EBCC11A6589CF7CDE667BC011A66CB6C1107F2A440BBCACCD9D20492E3179C52BDCAC2444CAF33A6D622E3A85D38EEB0A7351467A659285BA1781A86990158833FF5CF591CE55CE66A1B67D4821A8EC084888804698CAF4203F90';
wwv_flow_imp.g_varchar2_table(13829) := '674180103D81786083FAECA94F6333248190A21AB5F1413CD6B024704C03225B0080196E04BF8288F487F8291AFA0A08528318CD99F363DAE1AED93E6C32E45087120800F5F5ACFA9093206BA5A0044DA998C4BC952068CCA9424E048412DD200632EA08';
wwv_flow_imp.g_varchar2_table(13830) := '119CF7D3C3E523B0260B866CE2F00B70184419000007281EB2852D68610B5FC00D06D165966FEDA9900CD9AA32E11396BF5CD420D291E6750059B5DC44E95920A5E4BBB4D63F1D3041B69AA36820192256C7B066AE095125446C04D885F09403842DD960';
wwv_flow_imp.g_varchar2_table(13831) := '8B4B325C046315CE18C82D00208B5F34AE20BC5C4305E8A8478304031768FFD827005EF395FEF8A53FFD71D3D0B26A917379C922DAE1ECAC7AC2034AF6AFAC9A63C275A44483A05991AD34E0D7787408919656647012F100070C8C60E23EE00DFF402E8E';
wwv_flow_imp.g_varchar2_table(13832) := '8EEBE058C90217CA2D082E7E115D1F3CA40213404887B72750004C561A00050035D60180462C848676046678012002F202A0042BD88059C8BB9EDAA00BC0CB9A8F22A5169B91A6D5274CE8011348F5AED97294AB6DB5C863E48A4E84440F5411AE3284AB';
wwv_flow_imp.g_varchar2_table(13833) := 'BCA3382C031703F9C42754618D5530431600E0720C4FB29BEBD950051DF86543B68754832C6320803848880BD2E203AF49211B681361788C23F4928C28F12AB2FF04E23FA5015A9B8CF4E43C1BE8DB0EE294CA05B101FF70833B9114C020051884014F05';
wwv_flow_imp.g_varchar2_table(13834) := '02012CE7E6CAA2CE513082310A005C410C037143255E41E61A36E439775648530FA25817C34E2021684AAF09D29E13AC200435F6B3E1F207648C08B920F4218AD6E0ABACAE99A76BB14B08D510C25B29DF54472D8101DE5475CF81F8A11FA5AE0DA9CB9D';
wwv_flow_imp.g_varchar2_table(13835) := '9B5803400A5200C013DA2D90E70EC48EDB3B33415A56112D3C15362D3EC86EAA426CAD0CFB2036365B08847D16F9E4D880134193A23B491B6B0A5A4CFD258AB4B9D5A7015D1CE20A597488284DB87BAE4A2603A10000C88D6ED99C3BE53D928215E6DD2B';
wwv_flow_imp.g_varchar2_table(13836) := '10ACE10FFB5E4377E90C002BDC7A2258408816B8271081AAC0035AD10A004250F0623FA5CF500981D96CFFCCBBA664916487924E7B3B9BECCFA205B51DE79DB3674B5F24C4CBB60B095A7E179204BBE646D36EC6F4F2F8F64100849BE5B65939DD27D2E0';
wwv_flow_imp.g_varchar2_table(13837) := '8554F6202884210CD36C1081BE5C0E050D28E5340C8021E4E0208A07400E6AB9900A08A4C30A1408D3C762F48164DE29B9417844DEC583F52E7B221A38B84044C09DACA7AEBFECE1177D09F27A71399A93068941A4D52E1B550100047127486900F0A216';
wwv_flow_imp.g_varchar2_table(13838) := '7CD0DB3000414B4060F2BBC3C6EECA77882E0D726625109E0B09B91E09A19F10390824B2755E319E0110C31556A00392DF7DAD0D527EAC6CE0A448774AE59BCE6BF668C5D833160B43E8BF3B9B358428AA67C8078ECE1EB4D755A4751F34D626F782FF56';
wwv_flow_imp.g_varchar2_table(13839) := '00202F5DF32ED676405F2310ACA71F3BF21A155810ADD4022E0200F62410A8F2312D015E00C060CD6711FC40823AF20A02A1052A1043D97305DA47108F050030B87D10C13289D36FB38147EB078003517909647901E81471626CC4061527E079C0566D13';
wwv_flow_imp.g_varchar2_table(13840) := 'B14C4D448018A140128810E1A159BCF30208A88068852613213611E0146EA7329F86101C9000276811CC678615C1618E07005BB06FF316116F68051D462423807809717EB26102126015EB6736A5C710EDD726ED217027D0674FB127C25679F88711A275';
wwv_flow_imp.g_varchar2_table(13841) := '5536F343B61134CC661052C70205027BF3C58562C3005EC8231CC00112A0150FD010089686B78186A73811F6C687E0776715606F7408FF0013D0011D967EB39887BD441175C410577152EE3110C266636D32160307803F28844A941665A12E347611C666';
wwv_flow_imp.g_varchar2_table(13842) := '7540E68C03812FF8025FA37710FC623606C0003CC28714008ADF186A0B210122A067E0388EAA7886EA181BF58667F68687F0983212F03DB768321A408A15D1265A7170F0C779B1C2638B86390ED11E01D233CCB80231B6155CD55183D24D62B284045102';
wwv_flow_imp.g_varchar2_table(13843) := '059301AF626000D08ADFF55D07B60107465C05B14112907CEC8811A948920C018F4197920A9187E3A73252211514808F03F18B068174ED076C3F0815158988C1783234368DB0E16763C102E5857AE2555266B50403A4556E329141198C25509135B9239E';
wwv_flow_imp.g_varchar2_table(13844) := '96410211033635102DA1FF4104918F27791126099678087DE4E74267B94269E94200707E92C787668911E32797E427111340015E28150FF0001A201518D0971271151910021A9001A5577A850915F317913CB202BC53028658802B108914C120F66774F9';
wwv_flow_imp.g_varchar2_table(13845) := '112052822FDC32710511015E8800024100E988232AE0763BF022BD0700F908010F0001C9978F2339960B2196B379109247976B4997F1C810193910F60811B0386FB839972E29976C7910135015118001A4A897CD89010C109D11D08900D08D0891013CE8';
wwv_flow_imp.g_varchar2_table(13846) := '1006B7793BA22643545E05B1799FB310180000FF771F84586399354460E53378F12712619E02119A009000B27923D0A32431829AA64110C9479A5E9901AF99015F69FF9B09519B074A102B541028948B081143B238100C1A786909A1AE58017369012060';
wwv_flow_imp.g_varchar2_table(13847) := '01C20911D0F900CD09009E38A2DD48A25871A207E18554E948D8E43E40540228E08C00B3700FD126FED86B48396459B8350B29A38B5991D689000C9000F5A9231FB103A7417202118AC9F78D19499A144001038A9F0A6A10096AA500B086B7F91A1DD6A5';
wwv_flow_imp.g_varchar2_table(13848) := '1A390120E0A51B360131C461662A8B674A10675AA66CDAA113009C13C100064010733AA7434AA7A189970FE0855FE9977FBA977B291504919DC8D853159901417A105337146CD19906710006E19AB012A0068A109EF800559AA50781A556EA0243F0A91C';
wwv_flow_imp.g_varchar2_table(13849) := '31041EC1199453AA0D64AA98A22445E002ACCAAA4030FF24C2E41B4B2243BEF21C05711C461247B70A3B46371680187F865A021D99107DC688A5C6A8135810F3C2AC09384226E06687812C10D1952620181AB9A904D1A9B6490DE00050E24010E0D00DDD';
wwv_flow_imp.g_varchar2_table(13850) := '20AEE43AAEE52AAE0301AE07B10DE20050DDB010F00A002526AF02516200D00DF79AAF04B1AF0E110EE190AD63190EDD00B00050B0B4410F010B00DB4A92F15010F6100F0E4B10F30000123B10F140B10090B11A6BB105510FF50000F6F07C0791B1239B';
wwv_flow_imp.g_varchar2_table(13851) := '23264810F270102A7B0F2DEBB210A1B2B492B00A0B11230BB20030B31311B302110F2A9BB301CBB060A90F0FDB0FF650B41331B41321B2261B2BFBE0B44E0B00FBB010F4A0B2F1B00F2C2B0F572BFF10FB700F34CB46F240B53A7BB10531B33F9BAD41EB';
wwv_flow_imp.g_varchar2_table(13852) := 'B51671B300500FF600B26D0BB726CBB43D620FF7400FF3F0B3753B0FF7B0B7F320B2F340B1784B0FF1400FF4D0B557ABB5FB80B6698B4F85CBB80BFBB83BC20F28DB464BBB0F733B107CBB0F563B0F5C1BB55B1BB977770FF8F0B88BBBA9C765BA0C31B9';
wwv_flow_imp.g_varchar2_table(13853) := '945B11F990A0A93B10F6F00FF630B90821B5B202BBA1ABBB1191BB59BAB315A1B2C18BB31711B3C2EBB3AF02B878BBBBCB4B82BDCBBCCF0BBDD15B38CEABA0941009943010D68BBD02A1BDD97BBDDEDBBDB3110A03110AA0E009E68BBEE7ABBEE9CBBEEB';
wwv_flow_imp.g_varchar2_table(13854) := 'EBBEE62BBDF17B8AD42BBF3832A0AB59BFF9ABBBF41BB004209AFF8B10FE0B00022CFFC017110114700332A0C00A0C03A8A2BF0FECB5FC9BAD041000009C10146CC104410006B0C1741A1132F00229F002210CC127F8910EE1012280412210820961A48C';
wwv_flow_imp.g_varchar2_table(13855) := '2BC1132C10155CC0010C00343C10FEEBC11B5CC30C415C233CC2416148D3E3012C90022570C4A847326018BAAFA1C22CACC4843AA20680001E1CB9311C61A46B10341C003DDC23025C860E8100A1B914222CC24121862AC33B86817A1FF97F3DF4024BAA';
wwv_flow_imp.g_varchar2_table(13856) := '235A699B9A8A102ACC02E0C5C21C807A532A10760CC325BC105D5CC10741C8148CC15DBCC50F9100022CC2D6AA3C696C32A116A0F16779467728097C1B37701A1B98AD1B00C804D1C208418AD7C9BC586C868A0C1118CC232F7CFF38F339C00631C653D7';
wwv_flow_imp.g_varchar2_table(13857) := '1E189001862113CE4A1B9CEC10A7E1CB66088EA09C0126D79D4C6A10297C91F58BCA825CC8B1EC53567C108A6ACA3F1C033CD0C90E3C1BA781437BE5C9AA18C506B10119C001C967747E2C9EA07C7A7CACBFCB4C82AD841B877CC8CEACC12F3CC60900CD';
wwv_flow_imp.g_varchar2_table(13858) := 'D213A910A1CEAFD2C90CD1CFF824C709F1CD03C1931CA0A80030920F80CE5AE1C74677C2CA2CBD44450CB0C2C1D0ECBF63ECC1F72C42917A9D076D1018E4CEB5F1CFD3DA103790A44C0C4B7C3A9208B001033D10C435CEC445010C1D010F50A0053A105F';
wwv_flow_imp.g_varchar2_table(13859) := '49AC0030CCF2CBCE74970A02010985139A5E7CC36D449D006000914A009DA801C405D23832D20A0158266DD5277DFFD5F834A4553C1F52AA1015495CC3DCD3054A01A46872E21C840261A9CFFBD377A76202610929F8CE884CC8AF5410C203720841C711';
wwv_flow_imp.g_varchar2_table(13860) := '61D40EA1D110A12A4290029A7C237BCD31568D65A68C7A45F7D24EC1011D59CC843AD33B0D635EE9D3CF2B6F38F2190600CFC66310ECE6052F3706DD55063777730070DA18D1D70110CF03F1D70501CDB259C60381CD228D95247D1058FD537D6DCC087D';
wwv_flow_imp.g_varchar2_table(13861) := '111E90AC041101431ABF6D5D6AE3285DB7610B912010E170C274CDDB25A2048A510509510600505963F040928C10CDACC1AC7DD4AC5C10380CDB047000E64D10F93CA20311C53C20037351DBB491959E66D85846A7611C15DC1D11513CCA0541DC01ECCA';
wwv_flow_imp.g_varchar2_table(13862) := '67BBFFBB56C00C00300C5C560CBED00CB321051B50DD0401CFBC6D109E3010B76410A9400B950507D74D11E01DCBAA2C9A15ECDD0DB1D492AA1551FC31A8A2E2F1AD87CD6772990A9AB3C1C7C4E5D2010EBDC68D6E5C3610BE802311AE10C87010EE5010';
wwv_flow_imp.g_varchar2_table(13863) := '44A5DD009009EA80DA49000329FC10AB7DD415710036FED065ECDE0A9C1B4B1AD01C6341D9DCCDB492A20030E32E3D112C6C10246AE3FBCBBCB790DCAA500BBE500B990D423707AEE20007E52DE1836CD4239E100660C5678E4121BCC02C4E11862D4F59';
wwv_flow_imp.g_varchar2_table(13864) := 'FE3CA482D26CD443029100276A8EE6181133DE107A7AE668AEBBED460C410D005CF0059595DAB501E2B1410C7E0000D160B03AA5D4E43DC33CA2FFD11E9D41239C020A5CDF111103533D10B67E1073C1CBB1C1CBBABC2329C00277D9E8F80DE651FCD00B';
wwv_flow_imp.g_varchar2_table(13865) := 'F1E8DF3575C51C010960CAD18BE3A296DC9BFEE0A17D4B703E3D8680DA000007495005E055D75B8CC80EA1E71571E2450CD2243C1BB30E11826E119C0CEFBBFEEBB711E6828C10D15E6E5EC0E1A94D099146381C4210555022D03DE2AD9D23C47C109D46';
wwv_flow_imp.g_varchar2_table(13866) := '1B2C0100ECAE10B5CE22BCDEE524E385C48E1190FEC75A31CC7EBCD64ACDD6CFFB7202E1060351051C2E11A458E42CDE84B4918FF549F02413D918A4F0B3A1C2763311495AEB0E2CEFB131173D80EBB0F2CD30DDDBC495C22640E6A8A7C7C7CE105CBDBC';
wwv_flow_imp.g_varchar2_table(13867) := 'F88E658BBEE9A2DD105C20046F03FFE6A38D569F417DAAB841861103217D113FEF1032A1E2862E4219A3C4A55C9F4ADFDB48FFC403B141507C7A60CED3975A9F567CE7A72BBDB4000C0C51C36550E47F4C094A60E18CE1055CF004AF7D771B64ADD25A38';
wwv_flow_imp.g_varchar2_table(13868) := 'A08CCE1531D325E7EA2443A7419FECDF2502799C412AFC5D52B3CF7FDCD307B1C31A1CC8D04B019FA104FD2D9E239A002C908F3CF5696444006C7F82D6DAF812E1F018C14AB311CC086DD0B64F3872EFF96B6102792CF77C36F9063ADC1E7FCAF62E4B11';
wwv_flow_imp.g_varchar2_table(13869) := '1EEAB482FB24DC1281BE10663F1B721CCA0BC1F92C8041E01F14600F2B5E78C21F09D3C9D67F974CF903719DAE9CF707EAF4E826DEF17BFC0521030DBCC00AB1694B01103200FF0C2458D0E0418406630C1401A021001309251A94714308801E3D6468D4';
wwv_flow_imp.g_varchar2_table(13870) := '38D1A3C718213F0278208243410E0D457858D9D20343821E4AA034B8610305920F00246030D080410223850E255AD4E8518FF9902E65DAD4E953A851A51E0D40A06A80A9055F6C7D91E2850CB06027C29041366B418130CC32BD7150E08D8A67098AF468';
wwv_flow_imp.g_varchar2_table(13871) := '80400600291DC22428C2048B977EFBA624FC1025850D03230040100181819F72254F9EAA94F265CC99356F8E4A41034EA1264CBC18D81540D8B5134D707829378640819C272E241A922EC29F044E1634B9D72F0B002C22A26CA87737CA9B781F2C660C00';
wwv_flow_imp.g_varchar2_table(13872) := '3200AB00AACAA69ED97275ECD9B523C4FA78BBC4077887FE1D5DFF7A20ECD4097B1A8C1C35F677CC06321C67C8B2217095261ADA6F4D7FA0FF0832E06931EF0A0A002BF8125CEA3A051B74F029040B82EC3104A8D389290F84138E3482521829B7F67C92';
wwv_flow_imp.g_varchar2_table(13873) := '5032813A2A2A2C00DA32F1C1DE24020E850C01604946C30ACAE0268398EBA94282827AF0C79118047248228BF4C9001E0DF2ACA819FD632A4223B38261A9246B92C8BFC4287032318478722E4A302512324C328B7C00272E37630DB083A624AA87817E30';
wwv_flow_imp.g_varchar2_table(13874) := '2A4D00B4040DB13ACBC4CE04AF10DA81A08B0C92F32321E04C48B8E084024D4FF8C664F45148CF12A71C0026ADD4A872C48914524A070A47D34F3D05555384489D489C4F430D95204D4DFDA81C7636CDCE51FF596BB575A27A0C92871E0076A5E71E82E4';
wwv_flow_imp.g_varchar2_table(13875) := 'F1881E61797DEA9E5F6FBD0C9E607B0580D960A14D481E78A8B5B65A6C9FA5D65969958D92566FC31577DC83801D97577AD24D17D9817E4D16807BCC158A9E7DE4A9F75E7BF3C5775F7B7FD5575E7225033760820B36F86084951D3861861B76B8487D2E';
wwv_flow_imp.g_varchar2_table(13876) := 'DBE7E1CB16A6F8628C33D678638E3BF6F8639043167964924B36F9649407CA24E57133F1846598632692CE97B494110208480A51E60737E0204DC482BEE9A4A07936FAE8B3DA2268871E76F80108207620028009902EB28740ADD67AEB841048A029B136';
wwv_flow_imp.g_varchar2_table(13877) := 'BA41691B3AAC3A85AAB9567B6DB6BF7BA04AA464E0A1C4B66CA81B80165A90116FCAB60AEE05FFE058E0D0E1AF08E221C58D0E3214A9C3DB76FCE38736106F229EBE26086E8F0EE7E186C5B372B2A81774788187D14B279D7400A624BD2CD4DF7BF470B1';
wwv_flow_imp.g_varchar2_table(13878) := 'C64ED1A03F0DED61F3DB01F83321D8381C1D000F752048F8C11F373EE0E112052F21CB779248F581363F6807D7E7E4A084EB3F17EA701D4817FDFBE863389C431E5288AD713261E05086F50D557AA0A60DCA3D7A896003A071D2D02F8D0716F83F5DF0E3';
wwv_flow_imp.g_varchar2_table(13879) := '055056EF5B089F8AE298E6656E224CD35B51D234133A0D0507F9C301008AB73F0B92EE77728341F93CD8C18D54EF475FE18ADC0CF23E8C304D778B6B0BE7EE7703DC6D2486A5B9086904C2830EFEEE7BC5EB1F0B8467C11DBE6082421460FF111D048288';
wwv_flow_imp.g_varchar2_table(13880) := 'BCC443A96B010C683325ED0D0401174A080FF4573F0BEECD041E98D144B83413A288CE7004D94AF70020041664ED7EA3EBA09B00409BFB4D6450DFB1A2EAD838B71E700E85F1330A9C342242D22C64216244880E80433FFAE1800715346223B7A382810C';
wwv_flow_imp.g_varchar2_table(13881) := '61205F90021040503684347129781CC9947E3810300A25031F300AEAB4121CAFB0AF7CA7216141E6A6B914A110486039DC120D274BF7D4D294883488E814D94354F68F9700C0810F07E243373A52999469044188410C0098E12C377CDFEED4C8940F6493';
wwv_flow_imp.g_varchar2_table(13882) := '29BF3B1C705E021CB09066742978A5DCCCD9385C2A482C0389819BC8694282A4B376B51B0A3CD112BEE119EE7715C4410AFAFF1938FED912702CB89E54AE78140FFC69074E13C20F9CB64C93A5C0021205C140947190640C049300285B6B8EC2C6F90D44';
wwv_flow_imp.g_varchar2_table(13883) := 'A19D2B0A060060D293A69428A7CBE20BA6B412ADC8CD43361CDD39ED19257826F323F34C614FF9E89683BA928D6B8C9E380D990216A4F19087041C879CA453D9948869BB8328CB2AFA8A6020C31087C0CCDC0AA2D0827C610C03E1C218BCE0112AA4E10C';
wwv_flow_imp.g_varchar2_table(13884) := '5358EB5A8DD2BD0E0E0406C2130C193308BCB9B9EE950371A150E0C857C53125673248C16D7893BCD3C80E4E2ADC1D6317FBD81522C48441155F0CBA473E0E31F29848155C67C924047A3AB4AA214BA62D0110095500A01904F9C540266003D32E654A1C';
wwv_flow_imp.g_varchar2_table(13885) := '1169D33AF706FF3718C50E6305801DCA90DBEDFDF0AFC1D14F6BC499021D78A87C352D2752DCD842A7544D020399E947526016A52D2E7E3FCD8A06BD07001D08E49019800073A8E8358F24204909804002475201A3586EA122152955471BB29C15041705';
wwv_flow_imp.g_varchar2_table(13886) := '69852F5A31905FB416229B418347BCB0070098750F6518086F9912DE817CF22F5D24A107957B4EBE66B7288743C10B865B940950000214A8DA71D8E73AB80D272EB38DAC0A75E7539EDAD6281DEC9E18434794FC52CD201698800500C0631FCB6502B6A4';
wwv_flow_imp.g_varchar2_table(13887) := 'C09F6ED0583EEE6E8EF7FD5864F63B905AD422418C880442A0014D00982312D018483406520D82C00114A3108A0E863BA529214A75A62D1C75DF645F7642FF05271C980004EA9C63818807738B911D41444810924285904405806372166482F458D13E06';
wwv_flow_imp.g_varchar2_table(13888) := 'F28F09E2E3AA2DBA6A88FE48DA2602E98208A1CF3DF801A7996C352E0FE4165248C10F5A90CECB080321C89047270C210E3784E31ACC184825FE518D5B00A01B43F970EAC867BEE2D934A809996A42387003A80EC5CEA0C971444873C8AE2524D0F013ED';
wwv_flow_imp.g_varchar2_table(13889) := 'A0B6EBD8A1989907663C08A411FD6DD776BB3A132854E7A6FDE99045B1180078C533B6130B73D80200DF00451F0C820D82A001CC04B9C5BEA55261BD0A5B6C79942377EF896A8FE49877437113A2E86B7017FF9B3789F676A43D42E9A5F47820183F48DA';
wwv_flow_imp.g_varchar2_table(13890) := '2A940221C4F68C9DD61D9CD1ADB1FB00A00CFFC918C640AEA072007881C10379459DA298156C20831605D194BD01908D6F00E065A900C01DC281906E412536087F0A0AA492B3047C0D022721CDCE0E124897CE2E2181EAF492A70281F6583A2B96F63652';
wwv_flow_imp.g_varchar2_table(13891) := 'D8FB83906BBAA7D53E79CAAA70D606C3070E88002E001091E04D5422C190F843D10FC28847DDA0805A2FCAD7A63BDD83DCBC206479CB4E3332CF6B6FD7287E537C4234AE63A34C7AD2994F41D9CA7691408136508E7568D73DDAF6A321212A6F28C81DC8';
wwv_flow_imp.g_varchar2_table(13892) := '0A80279C410C7B18C318EC8D863BB881F5AE2FC81BCCA0052D58610B6870702F258B91A802C0674891809DED6C90AA0D2782EC39CF699042556C13A5742678807B37BE68CC77FBF29981FF00245B107A82883621A2E534B451EFB837F0010DC059D94492';
wwv_flow_imp.g_varchar2_table(13893) := '30902718813478022F41545F90FB2388001C82008CA4A901801918082770BA7A1AB6A9F8B3CCCBAFB4018D17C009CC918A855A2883F388D1612991F091306981CF3339E40380AE939F4E23C1F7639827F003A4F003480080247084028CA723F00886B22F';
wwv_flow_imp.g_varchar2_table(13894) := '13A0809FB0BA8F908116A8081B68018E030027188819D0AC83409FE69A36A6DB8EFCF2801383C0A8B836F8E129F8491C8AC0A1C6412CB133129272ACA9822C9EFA811A5941867901144082BA230A44A00282B8C184E0BD83688B6B5A14824800C7988115';
wwv_flow_imp.g_varchar2_table(13895) := '98012748B6A3A0011AE8BF3AC408B95911A7F0A3311CC3A8C899E90A3108FFF000F791880A890882BB3EDAB1C22AFA9D56628CE92A42CEE0B1A1503FA3B88873434384D10113101E292808A7FBA47C1A082AA811245083123C88FB3302C519149D788B1E';
wwv_flow_imp.g_varchar2_table(13896) := '70939F0981048408248024A418462758812A3A45A188383FB1C20D448A45C1891093ABD44188F500ACA59031467C312CD2A7C3C11C50440A4B1BBF4BD33C4CA31A5B223967743C153A43541C17064C8886488C55AC228270BF0D10811298C781480CBF98';
wwv_flow_imp.g_varchar2_table(13897) := '92EAE99C649B92508AA78B50C191388189901EF8E92B5C6A21E882C618AB4818730A09A0808C440B81E0927ADC8BDFC90A067C42B91A1C02103B491B0A8D93B446FB31B1C3B42003BF701B88AF4901151829F869B1C5FF8A478EF9993C810AFD814562D3';
wwv_flow_imp.g_varchar2_table(13898) := 'C438910843320826F83FA338C27C9488CD2149BE8293BE1A0A141243A9640A12C31913289B133B09FE29AA5D928DBC9201DB28088D0332965434711B89CD5B4997A41A4A133BC4A32F1364469ED41817ACBC9130A31F129E6E021CA4002DC892881A7082';
wwv_flow_imp.g_varchar2_table(13899) := '1A98A6C67148BB840A931BCCA3B8B38C3401D8B8A9E4B2A20C42A7C5CC8AB2281E517C4C9884CB47DB3CCB73BE82C82F85D3BACCBC4B8DE100BD6C48C331B3FE431DF71B0A38B1B6835042A9402C8370408978ACF99208851CCA6253B6109B4BEA928186';
wwv_flow_imp.g_varchar2_table(13900) := '282357A20C2AF43383F08071F488B4F9C282602FE73108F52A0AA854CD8FC1C304C908B483B3C51CC68FFFE01265C401CDA28D72BACAA9682CCDE080A9F380B6B09F0C509F3512A4ED509F87908097703EE3CCC368630CF5B29C2AE111AF59AFA2C840EE';
wwv_flow_imp.g_varchar2_table(13901) := '5CD089B826F9110A2748C064AC01656489F24008C52293D690000EE0D009A0B30E05510E2DC4D358A50CD2C28BA4C814B5488A34B83FCBCE83B01C18CDC303AD4E9A4CAF1ABD1237F34606ED5185E8B56B3C085212C61000005262C81008811528520040';
wwv_flow_imp.g_varchar2_table(13902) := '01F2289EC17129D88C1278348A0C489EA472363242B3CDF04783400002C09C0A09D3A0005330858E02619E8168AFEEEBBE84780008805300C899FC6A0120F5513CF5881E4082FF4B8229408229F05382308224D0C523A8C1004C822750541984BD1AFF04';
wwv_flow_imp.g_varchar2_table(13903) := '12250080032C081B0002638C934B3D08398CC3ED809364F20013A8A881F08014F0A806F2101BB8C99BA4CB8150011B48D51D8024AF2B884141B81468A03CCDD5A2E81483308781E0D57228075F450861050061E5D55A19D65FB5954E3187622D0865CD32';
wwv_flow_imp.g_varchar2_table(13904) := '82F0D5683D1563351564D5556D3D0A63390862711600481782E856A320967B9087730D93783888758D0761D1937515D7747157701DD766E956711D576371577AD5956DFD57A8D00781E50782255892990784B007805D5886AD0E80799C876D58890D197C';
wwv_flow_imp.g_varchar2_table(13905) := 'B0078BBD587BD8878C5D9B889D588FED187B9807911DD990651B8BF95894C58C756D1068818778705984E8D7949D599AAD599BBD59A7FFA08448A00448E0599DFDD9D3FAD99D8D044818DAA2D5D9A3255AA52D5AA65D5AA76D5AA81D88BBB33B3F400417';
wwv_flow_imp.g_varchar2_table(13906) := 'AC15A87D5AAD8D5A00308418C459B075100D1888C9F9000D48D20DD080B44DDB82D0002A32880718DBE518DB08705B0C7880B99DDB94CA5B94EA8903800E1084940F40290C30295222A5A160000CF041A968CEB07DDC84101F1D101ECA4D88B6381CA5B9';
wwv_flow_imp.g_varchar2_table(13907) := 'A22B3A4AF021A34FEA4BD2109D155046266DDBB87D94C35C81C3AC81BE645DD7D581D7755DC89DDD0799A062E22783085DB9DAA1DB3426A7430116F047CF9A08E12952E30580B16DDB0D28DDCC50C6E161021E80DE25E08125C8088F50DD8150C6D4A5D0';
wwv_flow_imp.g_varchar2_table(13908) := 'C3244CEC25886C9C8822FF3882F12DDF232002F205801B2C02F50580F2C58C8D1294E0A45D9081A4110000FB1D08171888FBFD884B75812100601760DFF825A681404FF0D22CA11C9E0B0A8E1A6081C39C47082688DB0D8E0A62810BD62CE72508263D81';
wwv_flow_imp.g_varchar2_table(13909) := '15D8800D9E081A50C6110680122E61131E8A411C082600AF25D081E9ADDEEAF53FF8590282E85E00E85EEE6DD21C5E0106D4DED575BA1A0881E4C501F63588224882245E62252ED42696D48248E2A2185F84000200B062848881EBD23AA8B962FA8599FE';
wwv_flow_imp.g_varchar2_table(13910) := '750A490280314E0814D00104C64DE1C1811FAA20DEA5601D9ECDD9CCE1032EA41AD06000D8E0DFE561A72B61DCCCE313266112260A0A454A1D805EE8058018E601D5FF8313249061343E08EC458142F6C71D6ED2EE0D61AF4BDFF67DD48160E223565F50';
wwv_flow_imp.g_varchar2_table(13911) := '56E25096C122308250665F532B1BBD51485BB201F7E49A939DD80EB8DFE89C081518824C358833BEE3E181451C26CC03F6D28358DDC3FCE382D0611CC0616486E3C9485D163EE4E83D081B56E41E580224986664C6E1602608EC0D66C4FDE4F675DF24D8';
wwv_flow_imp.g_varchar2_table(13912) := '548F306789B841F23D625D745F820842E039B5891039BA6C6743E0995996D81108B27DB6E57EE65F8318811170814CDD5F8380605F46CF3F5EE08260E38108623A060E1FA6504A6E5225FCDC62A66083F0E5EC6002E1590226B866EA656446068046AEDE';
wwv_flow_imp.g_varchar2_table(13913) := '160EE60AC2E1101E88416CE96E3602735EE2F56D6229FF9662015CE27146882420821A3C5F13C41B0FA1E72B260222F881B2F901AFFB810324E694C9E75CAD65A91E885A3688AA7EB47D360815086381DE6A821E82D8081C6252E8FE236BA71E1EE07860';
wwv_flow_imp.g_varchar2_table(13914) := '849868654C6B3AEEBFCA5D60366EE6EC38CC1686E1691E081B8613EACDE61BEE66034EE6155E81151E892736657446082A4608756EDFA9C1E952E6285B32017926082CE6A8A0F6BADDF180AB8D19A856A60E380B7FB6800E08ED84E06A00306D89588879';
wwv_flow_imp.g_varchar2_table(13915) := '5C660346E03A5E0A4A666BA384EBA698E3A8C0ED1C9E5C26B0E117BE9F2500695D94E16DBBE3C3FC216EFE5E136EE903C601E636659B566251765FF2B5E9C42688C8768ACB4EEA495588A3F9EC46FF3A075CF84FA9A8EA1198EA8230ED7D566D8C3BEF82';
wwv_flow_imp.g_varchar2_table(13916) := '8060B156C2655668869E88091E09054E6034DEEFB9E6EFFA6E688400ECA6C0E1BE64E1E86D9C47CEE6168EB08DBEE4916082E736E59D3608E9BE3F4F2E8AEE360891BB6CCC761C7E689B55888AFD8D073338074FB0006A000051458830F688D22E88F376';
wwv_flow_imp.g_varchar2_table(13917) := '6FE7CAE1A54A14D746E0D7CD6F20B2A062526BB59E68FC8E0A3C46CA636670628AE4A3E8E64306EE9CC4E682600264765EE745E16266A4E4C56E9D16DFC9A06C8F68811D885F3BB11AF01E9930BE28A700848478B28248718250EDC9F031373708659460';
wwv_flow_imp.g_varchar2_table(13918) := 'DC454FE06024CAE54D391F8AE3EE6F3FF76F8F486E6FBE4DBABE6146DA66870E6900FF4064918E61E181F2016FE10A62480CA00024A8EE5416DFEB260A2CE670A238BD397D5B7C769C603008A29385A2F887181511006826005887A8300334D80233D882';
wwv_flow_imp.g_varchar2_table(13919) := 'F416D5D0B680150F704A2EE409EEDED9BCB1FF264C2F05667E8AE4435F63A1A8817974708280F21F7AE16D130ADC3D0818D66BEAB5F642CAE30A1AC4C2BEE1057F6846620E5196EE9AC6D931F798162F888C3A085C30F3A5900035970C5B3F885DBF65ED';
wwv_flow_imp.g_varchar2_table(13920) := 'CD5E4ADEF7077E6037BE1FE1F1A406968808CF8AEEDDF78250EEEEBD6B45E6B68F70686BA7DC179E78165E74F05A7068378812D6E1973E66D8A6810F608E4D5F6C83D874EDF08093603D994977924175A7B0820988F3971B022BFF88A41CA00C3328E382';
wwv_flow_imp.g_varchar2_table(13921) := 'F0B115DF6A874081D19D471FDEE039DFED1D07AF81F7882A7D303DF7E6ED6DE91AE39E69970888AFDC8F98DEFEBB6B860FF43C86F03A4E698320542248E5F4CDEEB177909348003A8419961F99529F77004086A2E8008326085BAE00F80280AC6E73A738';
wwv_flow_imp.g_varchar2_table(13922) := '8781308738200810E80015606F83000115408186185DA3F0A10C860A01DF76E3338A1A00EC70F788B926448DC6C745D71CE81DF66FA7F24557EEA63C653D393DDD647BB6717932238AAD7E7DBDB7EA8118FCD4B6F7DA3F8811C8FB91D0828218820AE800';
wwv_flow_imp.g_varchar2_table(13923) := 'DA1F08DD6F55A828F4A3A868AEFFF7A260EE6346F2313A8AA472EB089BDE444664CAD57A646EE67C77EDF493D422FF989A0C3F88F0DF8E2D429AB6279937783931B0032A98398420FCFB057EFE1D6815D8DFFE8D79E1A76AA9188784907F8000207020C1';
wwv_flow_imp.g_varchar2_table(13924) := '82060F224CA87021C3813558E0D0D110E10A82356A0090689007001A093512C42110070A8C079700E0C18463421C260F5674783009802202894CCCA97327CF9E3E7F020D3A309FD0A2468F0A1D126C678711203A08043102C0D411555DA8A83001400500';
wwv_flow_imp.g_varchar2_table(13925) := '50A55605611410C11C209E8E800AB5A00A0021DC9E08B1E2444C822736BC457A1487489E7573F695D993C7121D1C99485CB24465C1BA17013059F157210700446C02056203480BBD9E3F830EAD90A8E8D2A61BC229381580992B03CBB8510380CBC1115D';
wwv_flow_imp.g_varchar2_table(13926) := '115AFFC9B1B0D1C20E6BD722D472700B8021B7759E6088F7B4CFC03927136401C039CC9005598E1CE8512047C21C5112063950A44B93D00F6AB8691927E69C3604BE6F2BB07341130040C030419F610B1BFDF70310430A023257A08104F173A0820B1E37';
wwv_flow_imp.g_varchar2_table(13927) := '1B426211B49A4172C461107002C921C14E43E846D0102E14E4C210406DB0A089462507404C3550271E41256484124A48088412003616E4924075D150D176A0B5D0597F0CA56002840B0979A2920B92B6A49306C201870A470265C6405091D51B411600C0';
wwv_flow_imp.g_varchar2_table(13928) := '65575C5E29D0853BBD55A2402198F9A49A05859062473EF540509C03698498402F09D4E38E3F3A695F4E41AE19E8674D0A5AA84E638E828B8545FF59991395A7A5895E081A4C9A97A1067E00C0072724770246E435249961482C412A12D865C403757DF1';
wwv_flow_imp.g_varchar2_table(13929) := 'A96269002AE48107034100000509F97990072878400107B35E1AAC41840A5B2C411580899007633204C28809E5C021B3053DBA24A5D75A6AAC5E4C1484C1996E9E47D10A2C0E442A413AE06891AB79FA7867B842E58A10071A0A24C1AD3E7150D906B56E';
wwv_flow_imp.g_varchar2_table(13930) := '6080B6C212FBAFB1623528A64F0517B4954F122A896699726DB042C41BDCC5A9A011E9955E7A00747AA74E2BA02067BA0AE939504C25457A14B0F5CE5B9904F36E702F07F70A5C734F01DB7C6905207435E6B4391F154206029598ED416816FBEE42D455';
wwv_flow_imp.g_varchar2_table(13931) := 'CAB1D335280D328B258144A3402EFF1A3417BB04198DD4CB2FD7BB01D81A5606D403009C3D50D940AF8933DB82127CD4CF3A216C28C577175434A50247BA028C05B9B8F1C659435D830879D78002493AA000520F232FE46681B20E04037E3BE86442BC05';
wwv_flow_imp.g_varchar2_table(13932) := 'A52DD0D908BCADA6DBA13BB973CF16CC8D54EA05D57DF0EA42E585EDE0354B3CD15B820FD4F58E260370910E35FC9ED214A7426E508A6E6A303400A0F344394229A42050AE6DEDA0021000BC3711CDA4FF3B3AF7A52578905AAC7FD63A5015BC7EE0A41B';
wwv_flow_imp.g_varchar2_table(13933) := 'CC3E5006BAAF0932417E0F245D8E029D804104131D1E12F01EA7E446A8EA0903820202FD1C443ED81B08E6366383EC1D656DDF9B200577C2B002D1EB4A174488F97682BE823DFFE001DE6A9F4FD203BF0A22C45B02498FE40CA2B8F19C4B808531D10117';
wwv_flow_imp.g_varchar2_table(13934) := '7810225CC6320881150A7BE8C3D054A02B4214225724A0950E9E8F5E153022138F6844852DD1895A19C8041406800C22C488044180BF7E581A8CE0093AFBC300091312B2401909810080814134F7350AD8CB8B729CA35E94E00300F8208F78F4811DA520';
wwv_flow_imp.g_varchar2_table(13935) := '102500C00A800C241FF128483E5A412739D04D22096247003C3292859CA415F878473B62729299B4632175A30417EC00824231C20F048204CC21A1947404001500F0848220C1084788654FAAA0242958C18F8D54084EAE87431DE26495C21CE642E6210F';
wwv_flow_imp.g_varchar2_table(13936) := '7800401ECA54A640E2B18E663E331E068926009E5910671AC499FFDA7CE63AB0594D6C82D39AD3842641A4D94D819CF39BE74CA73C92098F63FEC41D0281873CE9090078BC539EC284A7509069A27702149EFE7CE740DA791083D22399C45CE842F9C10F';
wwv_flow_imp.g_varchar2_table(13937) := '7DD0A31EF498283DE4915069361300F3C0E840E6A1518E16C4A3F3B0C747372A10919614A51E8DC74A3D9AD181D863A3D29C074D5D0A008C9A7420F1A08734399AD081F0F4A642EDE95015720F82FC7498FB10883CF6710F7A38751F50A5C73D9A7AD485';
wwv_flow_imp.g_varchar2_table(13938) := '5CB5A000A0EA56F7D1D4AF7A35AC48212949B70A807A2CA41E68452B00CACAD0B7D2911FF8204A3DEE61577DD895AD0221AB460DE256BE2AC4A6228D2961476AD8C2C6142188ED68480FA456812C95980605FF4064ED4AD98264552193856C64971AD981';
wwv_flow_imp.g_varchar2_table(13939) := '44F51E4E55123E08A257B8A2768E78B5AB5DA3FAC3CC32271F47FD6C6A89998FDB7AAFB6BA9DA03E7ADB5B873A34B7BB1D2E718B6BDCE32237B9CA5D2E739BEBDCE74237BAD29D2E75AB6BDDEB6237BB0BB98340E0D087D0F841BBE21D2F7949D7C5D310';
wwv_flow_imp.g_varchar2_table(13940) := '60201858AF896A55DEF7EA24A902D91F0012108104C03727D79B637A0AC89C1084A0550B82810CF26BE086E09739CCFBCC7BDEB3DF030380030936C85B32952983E8CF5B07E08901D27B10042480010840000312808007F8374F34E080F28A32AB171C64';
wwv_flow_imp.g_varchar2_table(13941) := '73003041F41AE2DEFD750EC2D535B1894BC36303FC38014006F2827BA2C0D0FD600749FE810D4F96DC64253F99C94A66204142893985D8209441D9C0FBF69690F4E80F00E7DD49873F8CDF1E0FE46CC9A1010D94C7800820607F70A62F7D19906238A359';
wwv_flow_imp.g_varchar2_table(13942) := '2012A4319F09B2329E80EEBE68232F3E02020021F904050A0000002C2600000032025C010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336ADCC851203F7B1F43821C29B2E4C88E2853AA5CC9B2A5CB973063CA9C49B3A6';
wwv_flow_imp.g_varchar2_table(13943) := 'CD9B3873EADCC9B3A7CF9F40830A1D6A901FD1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB58B36ADDCAB5ABD7AF60C38A1D4BB6ACD9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EAD5A94F1F4AA37BBBE6CB27101F3E00F7022B7E9B4FDFBC';
wwv_flow_imp.g_varchar2_table(13944) := '79FBF611C44758A23D7B840113BC07F960647DF504E6D3DCF4DE3E9087D9461628B9F0E2D76FE575FCA78EA2BCD653495F4DED901FBF7EF422EFCB06A01FECE36ADBE1A6B9EF63BF5C02C1415D0EE0F45A7BF1560B5C87BCBB5944C53B66FFA324D0CF2B';
wwv_flow_imp.g_varchar2_table(13945) := '7BC60BCEFB383014807800FC64CAC8CEA59F82859421DEC7DB65BA7F4031E20600D31CD4098100DCE1DD825A11D78F5F7D01400F80160DE34A24900894DE41F408148E40CCE021102D00F845D186341906806E2BC5138F512CDA64CB7B00BC22501F0365';
wwv_flow_imp.g_varchar2_table(13946) := '030A850CF67895215C080499761521720B46C6C5621122E98CB50D41F6ECE48A8D001C6310333E6689D534C800302446994453A39608A1F15E3C51AEC812367C08C4A341AE10344D35709269A754FFDCA30F911671B7D39B5B35F70F80F1FC638F3E28AA';
wwv_flow_imp.g_varchar2_table(13947) := '04684169DEE9685584D1B32762106E642845895D64A2578D0E04D28A95D934CFA3A45AB58F69890D96516800842A1160AE3AFF14EB5831AAA4CFACA5E66AAA70A2E1AAEBAFC0065B1DAFADFA2AECB1C812E45BB2437568973CB2312B17B402C9464FA6D2';
wwv_flow_imp.g_varchar2_table(13948) := 'F6540F3C04710B8FB76A710B00B835C1238FB9E366CBD3B9B2C9638E3CACAABB93B306F563AFBCF8FE09C03FC6DD134E3DD8E66B533EF4B4239AC008F3646F3F46C1730D3F01271CD33D84B5B3ECBD12673CD3C2F9FCE3CE35005066ACC61DDD738F3C16';
wwv_flow_imp.g_varchar2_table(13949) := '1BB530C9F8622C13C7FFB0F30C3CF5A8CA724B26A3BCE2C289DEEC73418B3A04333B58523CF2CF17E56C30CF3D1FD434D2AFF1BB2F432E0FC40F80FF5C5D1C8A55033DE8C257138DD8D150576432004BAF6CD0A0001AD7F5D6FDEC93F53FF924C6703F84';
wwv_flow_imp.g_varchar2_table(13950) := 'DDFB1BDECBE6FFFDB44E80D50A587A1B12AEE1B204FDFD16CF83BED40FBF8F45F9D8A80A510E4094D8317AB940F0718E5DE6975F664FE3F6C6CC0CCD64973DD1D9F5EDDDF5A0ADF1AC90D453F7F578D6531B3728615F2B6ED3B25A37DDF66FBE191E9EDD';
wwv_flow_imp.g_varchar2_table(13951) := '74D79D4FBF1D1F0CE3F28819E75BAD4BC51DB4426FA774EFEDFBE2D67841927D4FA1DC92ADB61C85D7EFCBF6C2A6C3434FEAAA4764323DF5314D10DB14DA7F3FBFEFFE238F38E15007BFEA610E77F4E31EE56887FFC4E10E0085A3816D5B5B78849611A3';
wwv_flow_imp.g_varchar2_table(13952) := 'CCED1FE980073F086337C2A8431EFDA8C7E340B5BCDF7CAF383CFA9BF136E3BBAA304D6D2EB11E38F29007818441207300401872B84300E4218773B86110FF7918441BE610870038620D09B2C339CC2110E7E057E988E63EF8C5EF21F36387EB5C8635DA';
wwv_flow_imp.g_varchar2_table(13953) := '08231CFC9262413A768D0030E21FB608800838308C7F6423007EF8C73302F0867F442200B4980F045291B5EC156582076151665AD8AA7F948318FF30C73312F826AD45E21A147A8639DE642F7EB8029200B8463986818C7FDC020E60A4C73000004A0078';
wwv_flow_imp.g_varchar2_table(13954) := '8211F478061C88830C5BF4112A7E2CC80B63D991C8FC43163911802E1BA00B434D114B35BB22475807B74419E5186260821DD2713BFBE9E31F86A84212E2E18A24C4C704FA88C41394C08E6B3CA00AE12883015EB10334B84381D9B3D968D607B48DDCE3';
wwv_flow_imp.g_varchar2_table(13955) := '1FD7C8C43FC491896C84C313B450472610F9FF8C4C94A11AC4304438AA60087AEC531EAEE4473B32710B0079A21C9E706539C221CF6CA4221DE14805336E618B5494839EFD708527C4D8157ED4EC1E9AA16546EC65CB6038C00106190000643A00990240';
wwv_flow_imp.g_varchar2_table(13956) := '010290A9000A200000F474A6399DE94072BAD30214600047FDE90004700112F412248F231A3D82294C8D64116EF562C72616D10A4BC4A239A5031B00D4D1035B9860A349F8073362500E23B8E205B6A84612CAF0073710C115E178410CB241D282C0831D';
wwv_flow_imp.g_varchar2_table(13957) := 'E9A88D3A9A04007334A949B5192B00D211D8C1065620EA60073C68D9B16C8CA11268F044265CF1867E4422138C604626D4F18767642313F399C6850C41A77F4C281C0D0D072D0CD94600FFDCA2939E10876D5B290E75F01119B395072D182614E252CD57';
wwv_flow_imp.g_varchar2_table(13958) := '0CC35F9E8AB3C196B0F434B8C4295205A2CBE9F694A6332D804064AA5D82D4B4BB03504078C72B5E056C57BC4EF56554897199D150AFAA58BC07FD8AA9BE81B0C317B5F0852A7221B7DE618C160180011C6DB183763C0100C308800908F0865B54C11304';
wwv_flow_imp.g_varchar2_table(13959) := 'F0441540118E7210010E7733A63ACCC10EC702B6808365473B0C9B0E7398431D833D718A4B3CD6DF00728CF08C843C88010A50B862477E78E434461A095AD0221291F0443A3CE18761085042F0DC172DF80A5BB54272C8F07CC63F68D10D71D8A21B9D2C';
wwv_flow_imp.g_varchar2_table(13960) := '2C1F5DEC13DCED4B7A135419DE1EF738E2596D5C86B88521F81A4C7EA1B4FF6B2A2BDE8ACCCCB0F716C796B21080036ACAD439B4610E17508079671ADE8268D7A83655EA40B03BE8F3D65401E945CF7A3FE25EF8264DBEAD83A140F4418F63A842BFDF20';
wwv_flow_imp.g_varchar2_table(13961) := '33D3007407380080185CA045021E908474F8E10EFF1886155251866CEC201C6370C517106004BEBE8E1E1BCEC633D4210E6464231DC8E8463990518D7488A31CE6004034B2D1E1699B431CBA3D31F49E56D91D65C315B4B0C58EAE610862D42313914083';
wwv_flow_imp.g_varchar2_table(13962) := '2D801CD14C88E30FC31007255CEBC668B0C31346090731DCF10648DCE21620CB712AC49163821BC21589DC17971576357564235A744B4F181F974A10CE6D67FD284737D4618877B9291DB6A84D5FDDB4220059B09028FF4C9F86F0ACE747E770007E1E00';
wwv_flow_imp.g_varchar2_table(13963) := '4C2F70D30BD8BCA63435AA511D60F3EBD634BB03B0F905645ADE9AA6F74593C68CA5316298827D99700BEBCB3B62518B63B00384F61B1408F7858F03268647FFD8873C2634A8A9DE4383271C8871E4A10E6448810B99F043198601873BD8020E5208391A';
wwv_flow_imp.g_varchar2_table(13964) := '58C00E209561DD68488521285C8672B0033D534B483DAED69CCBC81783FFA9473AF011337584861DB429C73C28EFB67F1043CABE41A93BCA01005A70AB3E021431DACA21C0FEF8E471E6C80428982CC07F84E35BF24D8D3C7ACC8F79B86F5FF028B5302A';
wwv_flow_imp.g_varchar2_table(13965) := '218EFF74D81391F09838F204D811C3231DF2302418E5510E78FCA31DE290073B3EE435D245861F79DE73FFD0DB40D436049AE7A6B8C0231E41739AC3140081BE80291E618A2CF0BC018F688303ECEFC447F0DC0145777453440CFC201CFCB17498826973';
wwv_flow_imp.g_varchar2_table(13966) := '062826920EC5500BD0701B7DA10F26F43559B34E8D533CF65219C6C53602710F9AF61BF0A00EB7E0069510097E5005C430065FA00E29380CD7F0054AF00C8C906372570EF410094900074F507CDBF61023B441261784C373716EA321FE03662832218973';
wwv_flow_imp.g_varchar2_table(13967) := '301A525C57130E862037CF6008A9D00EC8470C9E90519E0007C49009686085E62064FB920EA0800F8600008C905B68000A70E007E2600845866ACF8006F741091D470BACC5086F1009FA544FA8350D74E3342C057E2D9753E6D753EC07800A600A73FFE0';
wwv_flow_imp.g_varchar2_table(13968) := '8897A008BA300B9C300BA670093E350B593007973008BA600A00507FB3A0088A30099C200AA6400205205E03905EF33045C3702AC482801271557BD384F2C00D9FD0078BB009B1100EF2D017B7B822CDE11B84311AF7E25E1713662EE6621B2282EC300C';
wwv_flow_imp.g_varchar2_table(13969) := '499004D100077E580E6FC0057E6008BB67044AE00790E001766705E9C00F90E007B76005BDF5830A710F8B672FF4A035D373371B341A1EB178ADF21BF2F51BF5F03E6A73846AA72C471142F3E407D9600888F007B7204FE5900963E80900C00E99900AE1';
wwv_flow_imp.g_varchar2_table(13970) := '700DB6D050FBD20E65F006D1E0096E6008C8907CC8400CC0D04694600BAED00F70E00EA3E509D9300C86807CE9900A37667B65B05983FF5835CF650FC120000A7054E6F5678A600A2F256873A00B839007BAA00B989007B0B094BAE00024907E4A390E8A';
wwv_flow_imp.g_varchar2_table(13971) := '00008F30076C300B93280AA21008BA90053E6974BDF48A51158B06E87AB4E81098A68113740FD9000963500567200662700663D009EA503A5B535FD0134127C437FC62411267359A3182C3F007A93006A6E60990F006F35105A9F0059E000C560007A060';
wwv_flow_imp.g_varchar2_table(13972) := '0870600868107700900D85A70EEEE53B14E28EF5709AAEB578F95033CD051880A23525A7260561674771351F350C9EE00A86200EE62050D9C008EB361FE6400995400BEE004A04431B6FC05700F006E1600E7E700FE1360D91F00CA0700B7C7407A4454F';
wwv_flow_imp.g_varchar2_table(13973) := '00005A914009E61009B7FF1009E2900D6F6064E91337A7510A0088543F076861607E38050061D9066DB07E59D00697600AA6D0000E300BA128108F90058F2010967889F5A70BE4C78AAE088B0678806B0911B6C845E1700755200663E005182A1056D009';
wwv_flow_imp.g_varchar2_table(13974) := '888231AEC50E101459576352F0507DF1682FEA3021DA071CD0470FE9303A223428CFF751C4560ED7900DDDB058E690A3BDA50EE1F06C18C50ED9A049BCF99C5A049007F10FF5B06EFFE12123351060F78119770B7E916C726408E5900F99600B63264B51';
wwv_flow_imp.g_varchar2_table(13975) := '71350BE587EE1009AE740D91600EB859A4E9500FD7100EAE000F99900EB7F01FED004976046EE6C00CF9D00D7CB56EC4B62FC4200FD1E070E27063D9606FC3F60C91FF4034E4E965F5C2723FB96840157348A55D00087F170053AB185E3687530AD0739B';
wwv_flow_imp.g_varchar2_table(13976) := '2A100A3073178068E855960E9A96112AA10A388C57C30C195A067780066E3006B86A05773059D0530F6EE40AB6100ED94022C870A2D1E00AC4200EB7E03EC3C00CC3000F1CB551C040A7B6300C9C571C7F85628C3556892510ECD0618C85628BB5581DD6';
wwv_flow_imp.g_varchar2_table(13977) := 'ADEAA0419A46101D330CA3E56CF5745AE99009C8C00EB4307BF2F09293940F6A960FEEC0084626AF955092912088D0A315E8F334D2F30FAE700BF9B07CA5C30FE5E007E6703B5AC33B5363B16A3742522AA5901A48FA600FA5A0670541533E3710870600';
wwv_flow_imp.g_varchar2_table(13978) := '278B73DB45104685B242955D4715B3AE6842D1F8A06AFFD9AA0931A1E9619B91500555E005556005636005553006B180282EE6ABD8401CC0F00C03970DE5900DE2400BD5A00EAE400FE18025DD700DC8005BB4B0ACC37048D66742752610F4D021009329';
wwv_flow_imp.g_varchar2_table(13979) := '678B10A7492F02C19AB114330CF50FDD7077B8590E77770B68500EB3470BC4500E14E20A0AB4B5E28048A9E009F5401C794248D503008B675220B89A1B942AC5311AF7C04C52DA31ECC008C410096C66388F0B487CE3B8D8B29AEFD38FD8D235F6F24C3D';
wwv_flow_imp.g_varchar2_table(13980) := 'D9682F2B543FA710DDB5B2DC855D47C5B23A5700337B96368BB36CF9AA3A090FC090099ED0099D9009C65B0DECF3B6FF800D1F220CD12065F0300CD5D021EAC00FAE140ECF0000E5090CA9D07660FF440B9E0049B7B82114023C36E311679678EA8B5509';
wwv_flow_imp.g_varchar2_table(13981) := 'E11B53769DB426BED8A96E23F50C2EC923F2900A98170DD1500E7C040A9940A8CC3072662171A34B5C8DD347CBBB10B1843809F120FF10B2B3AB11247BB207817303C04BFF100F53840CB2C827BEDB8EF2C55C556322A03155F5E01764863525770DB480';
wwv_flow_imp.g_varchar2_table(13982) := '0C511B27F7800C82E8B7E6900AC4007216A90ECC107D17290EC3900ED730492B64354A3A11A4590E27080C41868E9A4564B63052F2B0ABB30720F5E00A98970D9D940970800CE210098C607D8CDB15C948491053375BA4B1D8239B4DE8C6085167D49005';
wwv_flow_imp.g_varchar2_table(13983) := '2490051760C7F697C777BC7F7C9CC77D0C53330700FB57C7834C730401C8799C05E7FF70191F8C0F1433C210B19AF4551010328195823F1A620FEAA040F210580FF238A3E70EEEC04CFC600E16F375F7C06194E15A2F56138302401E1340F2605201C42D';
wwv_flow_imp.g_varchar2_table(13984) := '6EB423EDE0AB2B32CB6B17CB00520EFF51C6625138B3A4521AC13ED8110FE7A0CC9D2310E75010EB001FD10C00D31CCDDCB1CCCEDCCCEBE027D4ACCC67120F9CC73EED4080AD02C90F21C9B2F347BF811B2384C9E7AB3B7DE9814F3888E19176C6FC1280';
wwv_flow_imp.g_varchar2_table(13985) := 'C99748480FB660C4AD02CF6E029B3B2BCC6551CCF7BC11F7A25C0B6C1098B3399BD329F5E51026373AE28C0C696CCEB2520FED90CE09C1CEF8233BFDA2267CE9476DF38CC38813CB683826545F2AB3A428B2707061D0E9EA3847FF381A69E29612411D1D';
wwv_flow_imp.g_varchar2_table(13986) := 'BD0F2B8335A08C0C2283D10C41311D92616B1334B79342BAE35FAF02D34B0130D4439B6E51CCEEFB3230642897B22FA3B3D558CDD55EDDD560FDD55B2D10A333356CD30EC310255634C259C4D117913F6E52D25E216708E1D48B91C430C13897732959AD';
wwv_flow_imp.g_varchar2_table(13987) := '1251C23DEC3328EC600B9F22D40B41D4ECE0D62C11382D5D15741D48043D17917DCC6D9C12F61CD8D7670BEB61D8879D18895DBE1AE236E97A3181E337229D1E833118C4A32A479852D2B3C6EDBBBE52FD2A813438CD253D6016DBBAFDC6A1FD424D0123';
wwv_flow_imp.g_varchar2_table(13988) := '105CD74EF3624EBDB301097575BD4512B142C83D67F5E2DCBDAD2C10CC38F4AAD69C9DB389814E6977DD50C336F0FF400C87210F75C3DD064130ED702E06E3ADDFBADEEC5D1F02D10EF0DD0EDFBA11F18D360821DFED3DDF0501DF06D10EDF0200A21C91';
wwv_flow_imp.g_varchar2_table(13989) := '1D36E0B5E1DFFF4D10EEF0DE224A10F27DDF0B51DFC9D110E95D1009EEAD0AF1ADED20CA01CEDFF9ADDF0FE1DEF6551FFC5D10223EE2171E9190F5DE8B45331A1431E4FD1B6CE75803116DD1C66285C5A338CE623A5EE33C9EE33DBEE338BE10D176E337';
wwv_flow_imp.g_varchar2_table(13990) := '0EE48465108435E48565E40961588935E48835AE05A1E483451086B5E4584E1084B5E55D61E486F5E5475E102566E3375EE3653EE3E36AE602F1E36CEEE33CDA24576EE5614EE4734EE750BEAD02C158DB7A4EA8E3E2E4ADDAF97018F8101A83EEB88E7B';
wwv_flow_imp.g_varchar2_table(13991) := '9AF1FFD2128671B31D91E88D7E108CEE23A0215F8F719A9781E8F5600F8BDE2B85B1E82AA2119F7EE8ED15E8A9111AF6500F8791DAA46E18A739399B5766814EDE0691298E6EE86F8BE82ED12126E3E71C719AB65E106657118E1EECDD6133A14E10694B';
wwv_flow_imp.g_varchar2_table(13992) := '2F987EE8FD6133BBBEEBEE1431A73918D20E30C53218AC5EE81D72B66F6614BC2EEB9B9118678318D05E119FFEEC0891DA2EF1ED18E1E76B4D17E90BD103513751629AA1B1EB2253191172EDEAAE11E9FB817A722BAE92B6942CF09932E800331A1C04EE';
wwv_flow_imp.g_varchar2_table(13993) := 'AE8AEE11F1E9E7FEEC11D3EF38C3EE16E18E86EE8EE27E366733DE6A411ABE228CA122EF7D112A26E378BBAEE936D3179EAEEA9C6E11E97BF287FF22F0646D0F26132B25EF1A63B4F00CDFE9C72EDDFF3E10915EDBC648F136E1EB0791F0B36E10B5EEB8';
wwv_flow_imp.g_varchar2_table(13994) := 'CEC22A699B29163F104DFFB654B1EF2FEFF09D3E39F25E227ED15EF7A02275235F89BEEFAA1EF41DA1DABAE1C8AE62C9E9CB4146C3F3E08E0F1FD139828E0F976118A4B1E92123F4A9411A8133198B3EDB7EBF11D46E9AE18E2DFAA02707E117AA7E3689';
wwv_flow_imp.g_varchar2_table(13995) := 'EEB62633E900B3F802AFEA10C2F82FFFEE41B12904B1279EEFF58381F406E11714A3B6B63EEEE3EEEC523FF50D01ED9AD15C6F6FB6076132985EEB722FEB86D12847CCDB5A419A2AC7100FBA0F58FF84D873D05411FCB38318F7D31AE4137658F1F30C7F';
wwv_flow_imp.g_varchar2_table(13996) := '190311245700005F5010D76F1056FF600505E1FDDE4F105AF0055A301065B0056880FE5A60266880065F90FD02A1056530FE0271FE00E0FE6850062DF10563001100C1650C172F63001C0430F06041815C162284D810E140855EAC780150256312881D3D';
wwv_flow_imp.g_varchar2_table(13997) := '7E041952E4489200CA182C491223442900DCA07109F365C89735D1D8B47907E69B9D3D01F0FC791326C232078BA6449A54E952A64D9D3E851AD5A9848F54912638881580040800B41E04D11144050F154084358BB083C71616C01E740B202C80B873EB7A';
wwv_flow_imp.g_varchar2_table(13998) := '0C0BA3E906841CA41EDCC081030AC000F87A3CF05771521E077598281C5503420600761CDCF1C3B2C81F3B8C5CEEFC1940E8CC9F8190D47CF9E00B1E316E1C84F102408C9090FF0140B6BD58F76EDEBD7D4355717004C40E203A1C1F5BA1438583CC0FAE';
wwv_flow_imp.g_varchar2_table(13999) := 'EDE89CAA738F2E10AA70813DE4100040869C06A9E2FB7700DCBFBB2882DEFAF722088110E9AE17806C903AE88BB43F5FBFECFC10EFDBD7A131007488E13E0044E8E8010026FBEDB71D78400200146A3888C28350D0A1061D30D490C30D33D401078F7468';
wwv_flow_imp.g_varchar2_table(14000) := '30A52320D2CC88F6463A6D07203A03AF441967A4B146A68A930B80E28E3BEEADB5E6822E4788985BCB39EA741CC1B9E0841BAE4900B21BEE201762FC28BB21820B8E4AF7BA03E9851750F8324C0CC1FC883032319490851758604107160EC241CD1A5898';
wwv_flow_imp.g_varchar2_table(14001) := '90CD365F10F10500D9BCD030844258F0CFC36C5C6A0924765842FF871B44A4A1230B01A8610514568874524B5780E8848E8E2882D32392E014D4248A1095D44F4D1D9523005025B5D5545D75D5A9D70EB201C5CD08C535575D1B1CA18326A1F315802845';
wwv_flow_imp.g_varchar2_table(14002) := 'F235C86085F5A882118615C93A848618EE4A17AE3C080817A6156FBD6BA98568CA273B1A13871A28A4504F09C505405C756BC0104F0EE38C934411494C37CE37E1C521DF100F6221CE4711C214D35D995AA2231A043E615C802D9C1021862BF48830843E';
wwv_flow_imp.g_varchar2_table(14003) := 'ED28D5534BC5F85400382275558E3FF6B8D3A65A78AD56885C3C28B7815766B96588E2784ED80E5C70122467477036A45E3F62CE05659795B9E628ADCB79C9ECBE45E8E86EA1ED163CF20E6A61350A49E46FFFC23137FC12EBABC3450187AEBF2691B00D';
wwv_flow_imp.g_varchar2_table(14004) := 'C5A5505D11DF74D365C522040009247A80E860481D96B85276EF6EF82303009835A42488785554F82C06E0C48D57F438F18E3B96D5A317AB553B72C97185A3A36581F688D9927E456838E782D411C9E37A255D73005418413B9C710E2E3BEBB40BCEF427';
wwv_flow_imp.g_varchar2_table(14005) := '8DBEEC430933BC1DA10F3B04B16B3C77EF77CE0ED1AD507838D54D17CEC9A1321489820B6ED44211119A7EFA923048093E234A2D1C80C1076F2F7058033F0871A93AEBCE88E5D7679FB73F3E023D7392E2EF1C5965935AEB588FD68A124BE1963C880A04';
wwv_flow_imp.g_varchar2_table(14006) := 'B824EC9C063C1E18109A348410B1890407784248D606F430AB41AC5FFAB29EF50684837DB52FFF24105A02DC743737885588520213184452E811068D247CE30BD9C718E711C34D4C373F789C0775B8C312C525241638925AE017A465812E7F420C1DFDD4';
wwv_flow_imp.g_varchar2_table(14007) := 'E22B1FD62C80A91B5694A2F6AE0BE16E841DA1577EF2D33548BDE94DEC4AD7B858A0B01A88685E1FE1601A43B44635B6CF506F6CDB804A42A98EAC800672FB080354F69113B50A21AD321C20FF78104F158108225B9554B4C4434636522A5A90434A3AE0';
wwv_flow_imp.g_varchar2_table(14008) := '032BE42C6910C98115D6E2031F846E24A6DB9912950811007600754BAA15BBAC863B79F1CE31E5A2977F00C0267F59885C10099EB8DEE4180E3A32243BD0C11204040061264A831EA150C00E62C7157EC42F4B19D5E13E62BE8EB4C79051FF51D10F3403';
wwv_flow_imp.g_varchar2_table(14009) := '11DAF8D29BDF4496AF86A58C64A464022591C61610428D8E8C523820F1215C4010CF8F180748731911A4263427AF59D131B2D4817C6639C65DAAD06A5E4B57BF2095AFE48113224CE041300DD518243001298DFA4D0DA359438F1CF28F45A0A643453AD2';
wwv_flow_imp.g_varchar2_table(14010) := 'A7F0AF23C918856E2C0911D925257604B48EEC8C589232BED28C530BC9D96C595030CE5244161AA306A7C746A23AB207059B020020C4832568B08320C1686F38D5BD1996CF7B08814F47A56202BD0886A45FDDE1CC9C838B60D088884ED98219D4891033';
wwv_flow_imp.g_varchar2_table(14011) := 'CC2F2478A35E0D5E20579CFE7340F279609C2ED4D380D54978044D68F5E4E550111E8407490500445382470030F3208C7D4AFF7B382A1222BCA72395C5AC65179914AA3C00020FE0CB1BC03A5AF695B53756F00D1AB4D0913528218896A35FC3222521BC';
wwv_flow_imp.g_varchar2_table(14012) := '95ADA13008D05BAD262976F196A05E9B534285DB41852AB4A13A64021282A95C243035964DC1D4BF92B2D1A4C0070839BCEA6E384001847097B4DF65D9CE00100C5CC8A237666067CE4897122DA4550E8040C8503C025F00F8202CC619C91E5528214AE5';
wwv_flow_imp.g_varchar2_table(14013) := 'AD83111D9081963992BADD6B446974981907DB3E1EF000A2C1D4417221ACD8A408EC5F35454AA7423A92CA76078707D9E662AC72100E7880035F016F8A71451D5CFC62372D5DCA2B3E420DD42264190851C211E18710045578A110D1C173954247881CD3';
wwv_flow_imp.g_varchar2_table(14014) := 'A1D2ED9B453FFFC20411357337932D49565F34E5D1A0E8C34D2971964DAC622EAF4C16E5B591FE46B28A929C8338C542C86B3BE0811EA7E452701A531931BC144C1957CEEB02A37479C884603AB8C172740C937B2992A8EAAA33879E1177FBD165468FF6';
wwv_flow_imp.g_varchar2_table(14015) := '9C9D43B354E4FB9C48EBC80244C4275236B042BCA94B628D4E0A85149B283E27D6C13E36B4C93EA21A50B75AA46238036F8C6456D3B9932421D0544826242957A744BA240A5090956AD12C16DA65ACEE75B2BFAA91837081D98A814E0E00A81B750EC158';
wwv_flow_imp.g_varchar2_table(14016) := '9E7CCA0600E527839EF0D3CAF6C84F0170300A150C21101526AA070C6E76B7BBD5AB455674A47218403999BFEE1E0946231A51211C2442C32449A3ECED1BFF1B44AD2306C777C215EE4D6D1FA40420C9F509060EEAE9D5A051B946C851D90600115A9407';
wwv_flow_imp.g_varchar2_table(14017) := '7AB651C1554D1210E877E127EF4D07DC721AD1DEE10D77E0B2AD93B26D0060DC4F2BD8B4CD95CDD0C6AEFBB01E11E69F5966B216A4A005304038CA955E23E5D005DBCB8331CB5610029C9FA0C71897F8D22B244243715C981436B2AEF49202936BDDEC29';
wwv_flow_imp.g_varchar2_table(14018) := '27CED947728241F929046D777741F78B10E76D1CD06A43A0471028010E5065BB6A07BC549A1EB9A8ABED0434C714DCE31EB148FDABEECE555EFBBC0B00BF482030147866E0355F92E5E8E8B59ACF39CE4300289A271C05223053CFBF5850E7E930EF5BA1';
wwv_flow_imp.g_varchar2_table(14019) := '800746FCE9D76FDEF621E9BCCA9F1E784069FFFB307CF1FDDB85EFFBAC371AE45ECC57D8776882B010FDF6CF1F8972A4AF72DD43FF231AD84006429001C094BED12974F28708132144E5D62344FED3D40FF200ECE96A073678BFF56F5FB9E6787E399D47';
wwv_flow_imp.g_varchar2_table(14020) := 'C8A59FCFA0C9D05BFB1BC0BEB70300AAD339F0DAB436F308FA200C8F4B14126A2CB9EB3EC593BF09C41598493B62198E6259AF60E1C00D2CBCA6201D60910BFA193C0068BA12A4910CE08BED3B080194C0147B4120CB275C2AA32F4ABD16CA0A05D180AE';
wwv_flow_imp.g_varchar2_table(14021) := '480AFD528DAC429C43DAACB2A340B3B30AAA40C283988011930A1443B9CA581F05D10D06D89B90F03DC30898868388F64388C4380802F8C2830880A578260E9880123B8814900B22EC88FF044080228443A48083B68288375803D1FA893BCC153358033E';
wwv_flow_imp.g_varchar2_table(14022) := 'A4C3F579394673039278833E80833E28C4434C4498030046EC8832388A84780AD182033CF4083F508AA1408332D8C44EE4C44F8CC3848B878E18C5512C89758887750080545C45558487837845783045DF5807785045546C455B64C583B845C0930700F8';
wwv_flow_imp.g_varchar2_table(14023) := 'C55F04C657948757EC0D6304006214C6584446900846604CC662144691908775A8C65F84876C3C885FB446551CC569848869CC466DE445700C457C8B07779045798807768C8779588A5F6C4700A00784A8C770DC8D7AACC75FA40779D8478430477AB8C7';
wwv_flow_imp.g_varchar2_table(14024) := '9619487603C78284C67BECC78574C684ECC77B508A7828C555ACC7527CC7FF78404884C048888047783C888AA4C78D3C4765B38783988792448892E48795E487AFC2070F6AC9C8D90700D887999C495CD18792A8C999BC879DBCC99689C99060C9951CC9';
wwv_flow_imp.g_varchar2_table(14025) := '649B877B98877D88877DF0C8A2F42585FCC883D8877A9C4A9A1C45A5B44A9AA4CAADD4CAAC14097B40C994D0077DC807008048A7444BDDB8877858CBAA3CCBB4E4A1A59C48535CCA559CC9BAC4CBBBD44BBBE4CBBA0480B07C8AA32CCBB7848A9234CCBF';
wwv_flow_imp.g_varchar2_table(14026) := '84CB501CC57980477BB8077CF8498800CBC9B4879344087CC04CCC4C4C19C14A9AEC4C9A949CB02C4B8FD0CCA538CCC3DCCC388C077B584D0008CA8EA84CC6944DC6FCCBD9A4CDD4EC8DC8D4A19EEC087A20CCA7B087FF9844C9CAAC877A604C7A004CDC';
wwv_flow_imp.g_varchar2_table(14027) := '543BD63C887F2009E7F4887F704EE8844EE5D40D736C1F61B4C9DEEC8DE2AC8755444AA4B4CEC043AD4E1A09250000F4444F9058CFF1D48D3378020F5A0900A082839802F5A9CFA21844A370CFFE3C08ABA88009A8000978B4FF2450027DB47362428490';
wwv_flow_imp.g_varchar2_table(14028) := '0027F4CFA7E0BE165C9E0F00000A45080D6000283C0823D026F5F98D1F20021015D10755381DCB40B0881F60890B7A125012453950D128287B0A50A1AA5291511705B59AE19F1DC53631830B1C55380B1D896892A6227D95C35115EE381C4F4924444224';
wwv_flow_imp.g_varchar2_table(14029) := '20ED3571820E1710B396A299B4EB11998352F0125291009515215222B5AAF28195A9AA263FDA5257A3D2FF5EB18E9989B798F9A4365DA9374D53770B1F8F581C191A025509A9273D0831ADD32E8B9D9921542AA5523AD50D0B102FB511B2401D094C1152';
wwv_flow_imp.g_varchar2_table(14030) := '0F25248FD19855091588101934B5A16A725465AB341DA199989A53BA58299C111666810E207A27B5010F36EC548F88AA0398BC4492A16892A1222D9F1BED9E576D3739CD1F142409CC4933B700A21158D0450DB328190E1798956FFB22057BD514C238F9';
wwv_flow_imp.g_varchar2_table(14031) := 'E823F101543CD5555E4DB862F1199DF10815080298888B1150D491E8A4692314000A8E1B308115F09A75D12B6D6D148C72B24F51154CDDA858E99E7B4DA490D8306D553AEE90060038075C38081F508178920532830850E0514211C1A8099B8E50BEFF40';
wwv_flow_imp.g_varchar2_table(14032) := '9D382F5D115DAD2A80DD56291109650000D4BA19CD512725700B6950865FE88A6DE808EEE8115DE1913A8288E0025863038923D81E6B2A1C6AF2538E55BA0F040062008044B09C8E400355F48894EA8846B0804C8359BB92109F550A0FED98A902D47F95';
wwv_flow_imp.g_varchar2_table(14033) := 'DA8E45D48E28ABB2F22117B0806E408848DA157A420A849B2D4BD1A7B9B99739935A3FE588C93A117ECDDAA5232F84E0854F00805B80081F5A927130B31A1B09B1659F49A95BA4501155C9D6C3553BF3325800E005B7428AB130C113DD15724D9D6F5B5B';
wwv_flow_imp.g_varchar2_table(14034) := '90635CEF49153CEDDCC003B3B2AA855A00805F70B183684F96121674ADA71CD1D2193125CA0B5DA4C8AADA7DBE2F438845500544F084FFD375B11C38ABD685A2CD01DA06895DDC555EEB8B3A31F082F9DC9F90401D10285EB170DAE5C55EE58D5D2BE082';
wwv_flow_imp.g_varchar2_table(14035) := '51A0AFEBF80861ED0817B002E790B62BC8DEA888A86202B8F405D2FD04803F105CB81805F4AD842D00DAE3755FA41090A0D30D15D9DFE773082B7803F40CC151BA02F30489AE6804A9B0A7DD0BDD373A2AC7680CE2892CAD0A60769339388803FA83D383';
wwv_flow_imp.g_varchar2_table(14036) := 'F8DE836804B2058006AE848358AB927A8B344B5E473D01163037B6899009560C0E000D88B0AC0C56B6CF01564C0289B5B80233F0013948E1F200002C380833C80115FEE02131C1C34501ABEB08A6FAA752C3019B0D094CC93503988C1043361DF6541384';
wwv_flow_imp.g_varchar2_table(14037) := '8ECFD319720D206C53D4FF5105E39068D43A7AAEE64288F64508C822891808B1356EB71334DB27E63C4FC22FFCC2E3A7305CC2E8DF0821B57C0B64DBBB3F1A610E328E0A471ECF029CA383809B25B88C82013690B8588878439048BA443EC7736A61A650';
wwv_flow_imp.g_varchar2_table(14038) := '0EB7588E3DDE4C4091E491A01010522A395E2672D9E49150435076CA025D0C35FB9C4B83E4916410AAAB392DDE8055EE88102226F37B2B91E8649090015B86CB1E16BC21B9BF5EC64DF5F3BE8F7893104AB7BFE88A9173E6ACD55FE59C0C9B13815956AA';
wwv_flow_imp.g_varchar2_table(14039) := '7419A64469E394780007FDE677464B2FEC080460007A2E09B6FB8DCF82E77DA6403E00803E28043EF0038126E881F68342D8154CE4E78586BE7E90CE8358348696E8FF89A6E88AB6E88BC6E88CD6E88D4EB6D3744D8EF6D9A064490018CB40A64C7BF807';
wwv_flow_imp.g_varchar2_table(14040) := '945EB49704E93AE5877C80E998CE877BA0690A54CA7D48CEA7784DC55834E94C69B0FC077CD8E9EFEA87886E691D5AC999A6E9A5BE877A9869B3B43EB9F4C89B961C88DC079F4EE97FD807963E887BF04DA8F608DD64249F3E6AC9B10266D38C6DD2A6B5';
wwv_flow_imp.g_varchar2_table(14041) := 'D6A6F434888B085900F0022EA8318B4008BB56B8326809A29834A8200887908A27D088C196022F908296783684D8EB3A1C292B48823B2EEB1D0A00024800132099A8B901DAB88159798D6EF2EC1B908F6606B714A865357455A578000D958A3164ED0070';
wwv_flow_imp.g_varchar2_table(14042) := '6D0018C38E00C38EC8B5656E24778EEC96410037C4EDFF838000D7FD88CD5AB8CBC80C84D881C2520A2DD48D4E5EE6048800DE7E43E77650080480086024299CD5DC4E89CA480006E8EDA84880BD71C383A8428400812200EEB3236ECC500C0DD836F756';
wwv_flow_imp.g_varchar2_table(14043) := '0C02300030248037DC6DA5C8800CE04206B06EED6EB4EF7E0AF19EEDF29EED31D592D3C0A1049FB204C7B72F960AF846882E758AF90680F9EE64E94E8987E3C2EA566DFF4E36033080F006708428EF9028704CF508C8AE322E018F105371F9736F0DF800';
wwv_flow_imp.g_varchar2_table(14044) := '196FBFCA6080033000286490FED61BF92680FA8EEEF53B88377C6E0490C2710380878BD0838800FEF6F0566B01EEA2700040000428F19118F19248EBCCE0F243CB0C6FC64DEC01712F64000DD000FF0CC0C10A8708F90680FA8608AD786EAF68E7234788';
wwv_flow_imp.g_varchar2_table(14045) := '5CE36F27AFEE914080E78E00CF7A72910AF10AB7ED923871DB0D540917F2CA3080C4C08007A050F6C38ABD79431F6FF32BF76D8FE0C1C8E3BE0DA70C1EEF887AFE73B02AF42C775F0A45F483C0718440F31A57F38FA06C4B0780ECE6AECCAB39CA808826';
wwv_flow_imp.g_varchar2_table(14046) := '07893DB76D3A0F755F4A820788EDA420758890804FB60C2F6F6BFFC4800FE0740080C246C7000DA5C24E6673A7C062674788268F803DBFF36DB7EE3EF76D5EEF75F609072030B342578AD94E00300C6FAF10EF8FF000E1C6371B000230CF95660780F6A3';
wwv_flow_imp.g_varchar2_table(14047) := 'F32A976D2A1F74A488504FFF748F18F6715F1EC2750A776E50844880057D80704E36FF7A679933FFF4323F8868AFF069FF887F5F8A0E4F0923CF73713778F00AF10450E0F6145C4A02BC7A67F91D70F0963973F6236F2A4408FA4600767F0A7C0709D58E';
wwv_flow_imp.g_varchar2_table(14048) := '806DC70A811F79961179006006799886A7B8822AB08221985F2558CFD55D8A32F88237B0446FC2A12FF70856030217B1771961F68BFF88555710451F741FE7F78257F5EAD67667B7EE6EC7F67F2FF2A10FFA5DE96471D80DF48D6B88D00243F802D48289';
wwv_flow_imp.g_varchar2_table(14049) := '3F0C89F701004338884AA08414AB77C8819A5DF97A90B06E34B7782A977CF22EF0F15E0A4D017ACA80426DC7732ACFFCB9571B7507001BA8BDC588048F107C91608672020073A8046678055A487D4762BEDBA8658450356367A4FFF0B6F20167F3405F8A';
wwv_flow_imp.g_varchar2_table(14050) := '25AF0C1EE76F5D6F7B6FDF6D28DC73D0DFA1A8E9FDA7607D8428A7D23E5D84A005006807663888D4DDDBA614A9D3B0815A497C2EF126ECD9F07A36008E6FF506C9D04E06F538677EB5C9F48F40FB8F3087AC8F837048DA678088A3070800025F01902710';
wwv_flow_imp.g_varchar2_table(14051) := '403B815C521C6CE8F021C488122752740804808A8A0D77EC1068C3A3C69022256A60F0808101042A0F123030F225440611104488D09026CC9C3A77F2ECE9F327D0A042870A841023A8955110234524D608668B8B44A74EFD487524060D181E0864B0F2A0';
wwv_flow_imp.g_varchar2_table(14052) := '81962D01B8EC69F3E0D983320130B8EAF62DDCB872E7BA4D4017A81F006F0058F901A4C85F2044A40EBE0BF4E3C5FF1D365AA468010306888E200D836D88A12183042E5D8A75886067DBB40E67E68440F934EAD4AA57DBFD51256E12814A28961188C6E1';
wwv_flow_imp.g_varchar2_table(14053) := '17003F245A4831A1858ADDAB434AB508E0E28FDD3B7E5835DCB6A1D6936CCBBE4460B7A2688834653E0F697A38F8F0E2C757FC7350090C2B73137C76D8F147C7E51B354EE020B0BEC08CA95B00E0AF53F243CDC1F54143D401B0D507CFA9D49E406345B4';
wwv_flow_imp.g_varchar2_table(14054) := 'E0486BC57410020C74471E86196AB8E141B7BD0607005EC8751D59094850DC4F1E4C90420A45F8B59A8014ED80624434BE95D54336E108005710894500010C7E45E1413D46141A77A4B1D556852171F01D87514A39255055DC705E6DAACDF89310188507';
wwv_flow_imp.g_varchar2_table(14055) := 'A040FF4048C691405B7EE49F7F017AF91681313D9095496479D5205962219052819A116957760D45B0964CDBCDF467858556240105542ABA28A31531E81004062A3AC46E4308F4838B40F8B5A98D704905261036843AAAA8631E07009800C468984D0F24';
wwv_flow_imp.g_varchar2_table(14056) := 'C86389D48515D6A3002C685D59ED3D70424549063A93852225DA28B1C52EFA1989C61E249C7000B8686C62A436B4EA5D5A69E050770E4AA4E741C94A145A57B6AA3567B8B61AA92CBAE9AA4B659A02B958D85D1FA500020C36A4AA6AA8018EAAAA0D8B99';
wwv_flow_imp.g_varchar2_table(14057) := '0002432098D05F7EF7BE756149D72690994061C154AB447F620B2E5B234170EEBA196BBC9E759F75DAE8BB82092697C1621E2759A736A820990AFF40F0E798452BAB96957406A0D49EC3B6766C57C7E24254024C4A2A28509F1B1B7D345D43227DEA604D';
wwv_flow_imp.g_varchar2_table(14058) := '7F2C54B30F29371FCA651ED4D1A7AAAA1ADC5D0C6CB5559C0D57A6B440C88A74D9446D59F8194D1124E076D10D61BC34DD756BD49E66ECE52481070249601FA2229968F4D35793CAB2622B23D6AF442B1B4C1575597DDDAD7624BECDDE4C0B0B4422AF0D';
wwv_flow_imp.g_varchar2_table(14059) := '65D095C4D8967D164DD6B91D51E076ABBE3A5576B99E80B7224900C0E03E1D514411431CE12C0044A0B6E54885F9FE507140B4FCF8C10271C595060F346F526606E48D77481150C0020B5D02F039DA18C41D52DF26F4CD3AF9E58B1700FA0004E0D38A00';
wwv_flow_imp.g_varchar2_table(14060) := 'F806C0F8E6AFAB63B92311E0D0FAFF0F412C3FFFFD4B0422000100873FF8E10F031C601CCC0311F3FC2181090400202AD1104A342213918884042908800C36821202E920003A28418158100016AC4424289809006030851564210A291889A7E884292141';
wwv_flow_imp.g_varchar2_table(14061) := '210E5B98C31D62B06E88600400101114211E841186F01F129338917F30F11F07E98761EC2110292A715D4CAC2216B328147970B120F1E8225DE0210F78C4031E0028231AE5118F89A8D18B6474E31AD568462DD2B18E76D4103F04828F3DF2111FA959E3';
wwv_flow_imp.g_varchar2_table(14062) := '41E6618F79D4C31E853CA421A9A81145DEB1918E7CE45DF8918F494A321F794CE23EDE92C74B3EA41FF980242843A92E7ED8A394A664A4433209807B348A93396125443E0993FF4FF2A39602A9252EF9A18F9DE8C39630D9A594F6B18F49125394C624D6';
wwv_flow_imp.g_varchar2_table(14063) := '3C92A9CC7948E494A79C123DA2098068D2A321D584C83DB8384631CAE39A0E31083805724D835CF31EF430E734D1794E581EE41EEC9C483DC4490F61F6038A1479A740DC598F7D16A49AF400A64EA8E94D8D50B31ED2CC6641CC294D895CB39AF1A0473C';
wwv_flow_imp.g_varchar2_table(14064) := '9879906EAE318E0F05E43133AAD186383127AA1C09143B5A917A92D49EAA71624837AAD29586E416B8C005315E3A0C5C0060A635A5694C63FA0B9D12E32EC388452A822AD4A10220A84585083000408B58303516450D052842E109A85235AA5685AA2700';
wwv_flow_imp.g_varchar2_table(14065) := '000A4F80E2A8434D0550C1EA0A81D80200C0286B4452C1D550A4FF42A92219C6308421D78638B5A7C238083098319557A0B522B6F82B60030B00C04EE41683356C5F1B620BBEB2B4B194A9400B222B5982A9803F20F04F65330B1CE0CCE50528D8800634';
wwv_flow_imp.g_varchar2_table(14066) := '005A0D50E05AA00540A2AE25900D1C64032100C0B53460939A904520F9531FFA728B3E2055EC406FFA6D4D2210DA1E8580B5AEAD08C65040111E3057072F00807261BB81155017B6CA8DEE4F3EF2911B2C4606FC7A480F00D0831BECE0063DD8410FD28B';
wwv_flow_imp.g_varchar2_table(14067) := 'DEF39E7759BA796F72E20B9FE43484031E189863F37B1715F03723FAC1907375C00300E8E0203028F00B74E05C003CB7213A60010A508083042F18052C58016CB3729608780F006761ED0A5E8083022B58C1FF2336B188592010EC4257040D516E81A18B';
wwv_flow_imp.g_varchar2_table(14068) := '61E63E040910314244705083EBAEA0060050310E7882E3D83CE408449EC891899C648A28B908494802EEDCEB5EE4E9B7CA3D51810BB0FC5F2FB9604D2E0042961B82653063192E411E319A6BA06681A8B90610563181E35C60147816BA02C1F06B25F2DA';
wwv_flow_imp.g_varchar2_table(14069) := '1E63F8203E3E489F6B80611408FACF00E8F3A10BFD903E07F9200306C0126CBC841D4C5ABC48A03181058D683BF7643747D8DD911B5284DB917AD4468072A96F9784539B3A0944D81DA99DE56A27FB8E08B6B6B5113415352BF39A2A5DCE32B0CB8C915F';
wwv_flow_imp.g_varchar2_table(14070) := 'AF693567C601B201706C64337BC23EC6AE0E7080821843B7D127E81C003AC7ABCEF1F9213E36FFF4A25FC2E2885CBADC965E829F69B0ED43DF85D5AE5EF5BB8F80631C0B04C74E3EF5BC01E06A22EC7B30F4D554BD01F483E1F5BAE043F9F508F2A39121';
wwv_flow_imp.g_varchar2_table(14071) := '60790823704197A9426265535CC70058739BA56DF1863C17C10A5636B8D94DDD41233AE421BF73A251BEE970EF18D08E66420F78B08401CFBC07E606539031BC021AAC1C2EAD3642114E7D0482D3BB770028FABB8910F4221C9DE989B117AA5235702A1B';
wwv_flow_imp.g_varchar2_table(14072) := 'BCEA57C9F2C3870DE6B99CF9C71767C1B72FCE696AD760C1659FB69F1B3D923F637CE53400C0DB5FD26381A85D2033770F009060F325C438EE12A1C1C985E264274B04CA86A735AD0DEF2E67F9EE062D88410BC81B758834C6EA968749C2FF0592F9898C';
wwv_flow_imp.g_varchar2_table(14073) := '60F30C37CC9A7100F68BB378C71A2F3BDD0F12EDD5ABBDEE3009BC4360DF1069478407309FF9CC6DFC102690DDF577613A4406AFF883BC3BF151A6FC410A77F9E54764F316C87C0734E2DFCD2B3C4C1F1931DA7FA26315B799CD865E41EB7DFF90BA53BB';
wwv_flow_imp.g_varchar2_table(14074) := 'EB14D93951EACE7B740F58E6006042DE1B82046AEF84E7402132F081BF3B81EC0EF8CCFFFF5C245CF425DC08445F48509FE6E9070C08840E44980EC8DEEB05D9E811DA8A7D1D9BD959E09D19FDDD45B25520DDB1DD41F0DD12A0DB0E5C1AA40904CDF5C4';
wwv_flow_imp.g_varchar2_table(14075) := '9AFD84FF8D9AFE5D85D300A00C420408445F0D82C008D4A0462020007440010AC4022A1704BE9E9F71DF05FA18D869DCB1A9FF5E86349AF8291813D89E1432C195F080EEA59E46BCDD095057DCF5DC4E1C5E43EC1F0088E1508C8CC9CC201A5AC05544D7';
wwv_flow_imp.g_varchar2_table(14076) := 'B8FD84C9751B9BE998103A449045DB70B8D941C019B8891FA4C99CFBE900BA3DC4064A84175EC5EE101C1A2622B1EC58CBC10512FA1E9C312044A0991D6EDC5BC4989B3D220B881E273E04DFD95EDEF1C014545A9CF1DE4BF81D55902122FE87D628A22B';
wwv_flow_imp.g_varchar2_table(14077) := '36C416C885CEAD6048089848CC9D408CDEEC01D81ED68025460413DC1D13509A1FCE1CFCE544210205D3AD224F0C460C909754F885F2BD62AFA18116D806006CC16D10050AAC4074B55C238A9BA03544237A23386E62C8F12178A0191D46840852DB3BC6';
wwv_flow_imp.g_varchar2_table(14078) := '593B62D810C2FF606AFCCDEC088407D8C75E50E34A6D01286C432C92873A1EC475099A08AC400978234382DDE845A22472484106D9FA01E2808597401C63298ADD41D81FCA6DCCDF38C43E8EA43FE69734C4431C8C106F00C00FF284427A634500199C89';
wwv_flow_imp.g_varchar2_table(14079) := '5E0D24A44EF8A2ECE121B10C988DE900EFF140891DE3887124FFF48D5196A49549C341C8010D22A543C09CDD018014EA04A215E4940C4C0A2C200098C002E297537EE5444C1750ACC0166E61B625A346801D437ADDA2C4984F3E9A83316081A1E2D23046';
wwv_flow_imp.g_varchar2_table(14080) := '7FC04063E02543B4161C881458FE255074CE0694E54E7C5FBAE09E2D3AC412B49EDD6865432C20CC68A57D006646698119C805B6ED04754D5766DE241CAEFF613DFA04A251DBA305E25046042D220D64421E653696A520115A86441B72E012C01F1244DA';
wwv_flow_imp.g_varchar2_table(14081) := '1260A4464EE2CAC56686B8CC41C48863C04C6B1E53051C4405449F1A16A744004DFCA1DB6D0A440FF01DDDC0C0E33DC4953C068BDCD741C0814931671619E0418867637D5B37A2862F62E4B9CDDF5436E6437027FC6C8007EC0F78D667B1C8A16A2C2420';
wwv_flow_imp.g_varchar2_table(14082) := 'D6DE201E8D7D4DA64350C006400007D8C577DA271D91A763D1A3402CA473D2857269CFEEF5E7D1A0C03E1EC4B038C481222887AE54A43D1AA6D90D80E663800AC48676288A92878FD9A186E06646F240A331E8BAC0C0F8240A04404086A6A88E328A2F66';
wwv_flow_imp.g_varchar2_table(14083) := '0885065968160B0598C6F2EC68285940071CFFA76335DA38A6C6C601A264ECA6914EA92B9A238641E48BADE34198A005D64D8E4284A450A998D2056BB15B9460A96F66CC037CCF6D8DA99BCA458025588245E4860CD89CBE299EE6A99EEE299FF6A99FFE';
wwv_flow_imp.g_varchar2_table(14084) := '29A006AAA00E2AA116AAA11E2AA226AAA22E2AA336AAA33E2AA446AAA44E2AA556AAA55E2AA666AAA66E2AA7766A22DA07439400073CE84198807ABE22047C8EA7EEE9E7A8AA447040A2A0C095DC800CD02A551C0500E06A236D4099A2560600E84F7CCF';
wwv_flow_imp.g_varchar2_table(14085) := 'AA5A19C4DC8F44F4AA5CE86A1D4D26ACFEEA64BA6A50D0E7B05699B13AC4AF52C463D0450C2CA0B22A1107442207181700C0EA067C0EB0F64466DC89B44EEB468569457CEB5EC2C595DCFF91AB0AE86A71C0AFF2EAB8B2AB7DB6844BA04D4488808BA1C6';
wwv_flow_imp.g_varchar2_table(14086) := 'BCD251AFEA2B00F0EAE76CC097E6C4BAF26B7E1D805A082B767AD70CA2C0B96E8F7D882B5CB8449640ACE579A50C8C6C5CCCAB631E44B76251B8AEEC50542BC83E5200B86C5044A2C586C40D14AC95216B6B5D0575C8ECCB6A14011C40D056ABB63444FC';
wwv_flow_imp.g_varchar2_table(14087) := 'C0440CA4AC483C8609282D00162DC8D21412AD0F01E44FCCC66C4E1C80BB3604964644D2E6AAD3A2E89D402DC4FE821219ABCF8E84016C6D43C4EB4B1C45D87268FAAC2DBF9AAD405040DA920FD552ED4B1C00835C08D7C28463BA2DD2522302C86C9000';
wwv_flow_imp.g_varchar2_table(14088) := 'C018B0EB2B200341A814C4CC8D4030C4C9CE45E5CAE09D3C84B17EECCF3AFFD6648A8009BC8057BEC40D1C850C2CE0028EEC0DC040CD62EB2BD2AD43B02DA58EC16D70AE95996B50C4C0E81E44833984D296EEE5CEE0FDDC56B5FAE5AAB6294B35EC4F70';
wwv_flow_imp.g_varchar2_table(14089) := '400A0C2C45C42D7696EC78259181E46DA6E686881CC41DB4E6B60200EA4E450C9CEEF2556BCE78AA618DC21149041A141D3572EB0BF040EB8644F00AC473652CAF7D06F27A6A8F24C10BAC2B07A8440478E5D1A221E122A801AC4FF972AAF53AAAFD3A96';
wwv_flow_imp.g_varchar2_table(14090) := 'EC762EA2B280070CB0FFB89807382F0477EEFCF68F0848B0C07A00A966F0B0C62F165DB0096330502CB008F729AE76AF4090B0F98840DFC8F0B8A2304FA8F00AFB69CD5E490FC030EB9800E802000DDB9708704011E7FF3012F38FCE26ACF226B113AF4E';
wwv_flow_imp.g_varchar2_table(14091) := '0F48A84F48EE135731868483386071380040161F44178B8438A4433BD5C33DC892159FF16A809318018019198440CCD14BC0311ACF3178CC933CECC31DE7311EEFB11EF7F13E9CD31DAF131D0F322117323502942127B2222F322337B2237BEA0A3DB224';
wwv_flow_imp.g_varchar2_table(14092) := '67C88DEEEB245F728644714300C1455030267FF254F42E00EC704358802783322AFB840CC0EFA9A24A7016702AC7F24E78D751F4B046B4C065198673F1C0FBF6322FFF328331180FB0EEFB7AAF2C43F0CD0A0408A0065052C42A7BD7A3ADB256FAF031AF';
wwv_flow_imp.g_varchar2_table(14093) := '6A0FD80035CF458165CF0B084137F7B25416330AA6000F90F333C32F2B5733BF7EED417880725D305C08FF983803250F70335C1E180C0C73CD3A6636AB33BBEA5C9EC585284B650ABC8077F5B20CBCEF397B9777D9B23F3FB443D0B0F7C2AFFB18F4433C';
wwv_flow_imp.g_varchar2_table(14094) := 'B37442B43F2F202F7BA544D3AFFBB80F2F8F323AF7B3465363BBD411821D8504C38F8B99C02A3F573997734360B478E12CA3D06A2B9FB4BA3CD7C0B4C0295F85490F075CB6330B0C2C0B3044393F574297343A6308040CCC488744AD5651054C400554C0';
wwv_flow_imp.g_varchar2_table(14095) := '7232F22FE082DD12851B2FA0086C3079D8A94000F100AF323993B44DCB0046E2F45D3C0944D0B463A9E1042CE75D03C05D0735BFEA0D005CE357836FEFD6AA5B2B8A4FBB98C536B542CFB43453F4F4A6C604408004E0A87D81747E4DC01CB35613DBFFD1';
wwv_flow_imp.g_varchar2_table(14096) := '0B4C33349BB3A3D9B478244A6467282CEB97295B00668B30AC26EC41486D4384822DE8554FB0C0C0C4005F0FC56B1085450FD82A1F842D8B7694BC40031FD3560B846A03801A7E07B5F0EBB9F69443ECC1353E8409A4F3D2E2EA50FFC435004239BCC13A';
wwv_flow_imp.g_varchar2_table(14097) := 'FCC4399B73788D77A3C8400A64C0C366146627B7ADB44F4A67302570C1419C811558C1E20A840751495EEC850D4D45614F09943444A26CB6162577568B841A3ECA780B41473038834B67479CD77208017CECEEA4428243D8EEA2F4234404C117BC817CAB';
wwv_flow_imp.g_varchar2_table(14098) := 'F24E2FCA0364008147C97193077BAFC80F14B610F4C00F3CB84050F843C8C70E0881855BAA88B8C1439CEB12171E00B8011CB8418EA7FFE2916DDEF1ED04452F4A644FC0DCC40E8794C56A9FC6943B44951F440AEC9A14CB0847EC5AA52641211C8418A8';
wwv_flow_imp.g_varchar2_table(14099) := '0700DCC1F63E0405105121A42F4470010F30A3BC1E440B34B74E8C78940438F3A680109CF68630488A83478A43800A740995B1177AA1CAA9DAB9A43E580F6C2F2D38C4C7FD98880D3400F481405C6188688813B04E9343C06A77899E17771DE5F541A4F8';
wwv_flow_imp.g_varchar2_table(14100) := '9537447BC104D5492A2F3FD76EE722C5353369E24012B0D811DCB743602419A24666CE8055A28BA70FE98CB3484113CBA9CB856A27FBB1FFF90FD89C78AD3AAA1F3A5B6EAA7DD8C70B0C343D535C43386709D8308738010B44FAC64C0005704064C3CFE4';
wwv_flow_imp.g_varchar2_table(14101) := '7A2F807280A80F457647FFC49FAF067B37C46E6024B44F446E73AA3C8B7B5C52C90C00C0A6E3A2D1987BB08F2B9F53067A49FB0D3C3545DCB5C32B7BB25386054049B397C9BD4FC40F78FBAACA7A5137CA6B6DBA40D0C0691A0D814AC064CF0E5CB394B7';
wwv_flow_imp.g_varchar2_table(14102) := 'F80747B457AAA7BA468457914370FB11180FCCFC70B409C7D54D3E528009D8C09578977DD8E9544BC9C3933A78D03928A7BC8604F4C59126F4324AC97340E00CCCBCCEEBFBB20034C740C793C7B183077328BD4E742D4F0F458C45FDA2CCCEB91F8404CC';
wwv_flow_imp.g_varchar2_table(14103) := 'AF41CF743E33FDA80B847F887D4E78405E943D50D0197EE1BCD134F10B1CB510FF980944220C30B578E0305D7085CFBB45DEEBBD5B24C113A8CB0F704D704EA3A204FF8CDFCFC59C43BEB288B1C694434380C3D188BEE737AA1B5B9317ADCB429D7EA5A2';
wwv_flow_imp.g_varchar2_table(14104) := '523EB9BEECCF3EEDD7BEEDDF3EEEE7BEEEEF3EEFF7BEEFFF3EF0077F23D3A5F05773CF4561F183B2C073247526FFD128A84024298AA2A5A2D75147FCBC3F43BF914A21EEC99CCD753D1289CC715C09E61BB292FE2954C698FB557FFF78F927F36087061E';
wwv_flow_imp.g_varchar2_table(14105) := 'A219A3543ADA0886576E6AE4AF3B7F6AE406409C03309060418307112654B8906143870F21469438B1610D1C0098F400A063890E824896EC58B28407C18B1451A654191108911D3B56C6943993664D9B370F92C239708434001D7606153A9428C38B3A74';
wwv_flow_imp.g_varchar2_table(14106) := '30E1C184E340262291F45852306951AB2A6D5CD5BA95FF6B57874007068B86530900595ED1A6557BB023411E530B32D9E8716D5A205901783051976F5FBF122B0593950C402B82A008C784800B0081BF8F213BAC01A0460D1604272B7C0BA024C6C89F41';
wwv_flow_imp.g_varchar2_table(14107) := '87162D132CC1B3C17EBD22D88AB14C086747C78EACE3A4C1DA06E96EB4CDE4B66CDFBF81FB153CB0162F00C576E618129C3964A524E1326D3E9D7AF5ABB013FB02002D26D0D2005474B0A0C27AF9A093511CDC1C97476EF3EFE1C75F186C202883BF7676';
wwv_flow_imp.g_varchar2_table(14108) := '18E11D0008F9FF237AA186F456B80887A538936B2904A5930EC007219C8E0B00C610E38C2F18B1E9BB083964C8231D2A4368C10E492C51B41C0CAAC28B2700F0420A2D26EAC0BF114698C0C41B29FFCACC29F770ECD1C7A0FC30082840D6B08220370CAA';
wwv_flow_imp.g_varchar2_table(14109) := '640B8A1AF911471E79C48DA0E73A73D2CA2B6702EB8B090742524889D68883A01150C4F2BD153003008728134273208D14AACACC39E984888B31AE286843872A2888BC3AAB3BC14DCA5042A22024AA948BB3DE006DD4C90A3AE873A0556E69CD8A11FA03';
wwv_flow_imp.g_varchar2_table(14110) := '60BF88CC58034647AB0B210434574073323613C2412A9040828E2E07418D15C748FD33C80A1F00A8A0569B5CC054D6D03418E8845101484FA215725B02CE5F997D345383245529DA667DC3C0206201189422443B6A8FDA6F390441D75C83B2115CDF4218';
wwv_flow_imp.g_varchar2_table(14111) := '285D52755C28B3CEA6924A872ACFAD17BE3EF74C09528324B0973A14561850DB8150FF185087820BA2D7DF851B9D965C86AD6BB740350F4635321060E80F26005CD801088841B6AADF90A7D3B6601C8E22742A85FFB2A185816E2008088FF122D9669BFA';
wwv_flow_imp.g_varchar2_table(14112) := 'DCF7E6E0421CC8BD8BD6FB0B883F8B20028022764E7A2809249DA002A6A1AEC069A695066DE0C7F63208060F3C908002AF21A85A6C957055C207B30140FBA0B2CE2EDB6DB3D186BBEDB4CFCEE1D6E5DA46718816361E7BA124527CA20A2A7CFB9808A38B';
wwv_flow_imp.g_varchar2_table(14113) := '000269BF195F689D781E7FFCA0780E8A1C21CA07A27C9D8220CF7C7300E2810772CCD791071E004E6FDC2079508787F582E471C774D0525788757A54CF7D9E7876077DA0797C8F0773CE0198C79EDE8B077E1EE07D2F6879D0993E27281E7AA6CF5DA17B';
wwv_flow_imp.g_varchar2_table(14114) := 'E4D9679F835E070077DFEC31A81EEB550F7FA0F08F4F5FF995CC2F3E7D00DA27BFA1ED13A2BF3A7CE4CF7F2BFCF52F919FFE1F12100021F904050A0000002C7400000073015C010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C5';
wwv_flow_imp.g_varchar2_table(14115) := '8B18336A1CC8CF5EC78FF6368A1C49B2A4C9932853AA5CC9B2A5CB973063CA9C49B3A6CD9B3873EADCC9B3A7CF9F40830A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB58B36ADDCAB5ABD7AF60C352E427B6AC59B1FFCEAA5D6B759E4077';
wwv_flow_imp.g_varchar2_table(14116) := 'FDD8CA9DDB944F247374F3EA1D6A681D80767B158E6313B8B0E19C8F0E2B5ECCB8B15476F6222F9EE5B8B2E58AF6D202882790F36600212F8B1E9D50F2E6789E49AB5E2D301F80799123E3634D5BF53FCDB573AF86A50BA63E7D04E306757D509EEEE302';
wwv_flow_imp.g_varchar2_table(14117) := '496451DE85253C79CF9FF38447EF1E3FE204E9B9435EDB73487BA83B97FF8C0E1D80F49EF0CCD3C32E909F71EEC7FFEDBBBD36ED3F77F2C8162C0F7F753FB2FB08249C40B88115573FF8E9D71A59F0F433607F107EC50F3FF701A02000F930E860841C7A';
wwv_flow_imp.g_varchar2_table(14118) := '352182F91194A1790576682255F47DF8DC8523C2F3CF8527C668513FF44944E13F9951F8A070351A5422000EDE17E2401942F7E3410F26F4A183FCD0F84F3FF9DC93563EF9C44556923C91A5E53FF73804234740FED79E825FCA189C85FCB8851A780ECD';
wwv_flow_imp.g_varchar2_table(14119) := '334F3C6C1E04A77773C629103E070AF8CF8A22BAE72296040210E08C350A37E086400245A585090DC85E4123F6D3653D5DBAD6253F94D603693D578655664A7942346841F31138AA44870AC9A29F4752244F3A71A5FF13E83FF28823653AE2A4A50E00B4';
wwv_flow_imp.g_varchar2_table(14120) := '8623CEA714B54A1171BF62A79FA6F490458F805D625811B05FBDC8AB4B71C53347187924942D00610C946D1873701BAE40795C8BD0B803A1CB466F03D1889F980B1A89503F8386639E85800AF40600F65681C0034F98D30F24005C03001A000C03001108';
wwv_flow_imp.g_varchar2_table(14121) := '9823C50614C89A2F920A013B71415D6663F035D984F3E8408694331031EC1844162DD908548D38B73C03802D6F883390C274415B9270E734809322FC00076485F062C82A4214A6F3C9140084724F8049D2988E1400C0F1CF0E9900B0811FFF5451C518FF';
wwv_flow_imp.g_varchar2_table(14122) := 'A01180210078E0013201DCD24EB3079185F6C58962B4AC2BA9BC0C0A00D950A2B02106DF229038B444FF22CE0EA0B813C933E9394B0931002C9B4E267AD32DD035AE940CCA33B6347EA298E308A400420314004001050800FAE7A4970E7AE70709B039E9';
wwv_flow_imp.g_varchar2_table(14123) := '9E0330C0000D3C82CF3C0756B8AABC69FF03CC21AA6CC2AFA09D0AD4A5275EA4C2C13F447802C01D6F3C73C32D06F4538615630050C60DE678F2C018851F744F3BEAA823AB42E21F24FEAE7F2DBB90A6B778E10917B644028A1F00F8510900D544D20E1C';
wwv_flow_imp.g_varchar2_table(14124) := 'E13CC3082821F34426FE903200BC871905D31BCB04E20A97014064B6409C563E55258AD92C23FFF9C7391CE0800168AE7505188000504710D40960219DEBDCE914300016BA6E8400688022EC310F1DA90A43AE29928B12F20F6EB44220ADB05798FF0842';
wwv_flow_imp.g_varchar2_table(14125) := '962A18E005001087124216005AF8810000084034CA6088313CE0162648D93508C08C23FD831EE690153BCCA10EC0C84A56E12B07FAD2D18EF1B1231D610CA3C8A495104DD9C213FDA0852B32418B5758CF13D940864020710B57C001149990872118F117';
wwv_flow_imp.g_varchar2_table(14126) := '82440371A090593614360C97E105000834482681D2B433318A420549D2B204D92EE3FCA31EECC1926B0E25A08608471D0E1848E8BAD5862C7850202704A1406EF939CF897020A823A1EB56074C19D23024EE0AD1A274F8A47995C3179F504531D43128DC';
wwv_flow_imp.g_varchar2_table(14127) := '90A51C3D30181A32E1060430C00FF4B8012DFA018748F8C113A0A8823860F00C0E40A00C0D42083CD2518E6864831DDDE057398811FF8E700CE39EF612D933EC658E6774A39F499495A614D2A55BE88D18B6889B2BFA310C3FB88C916F0006D86CE10A50';
wwv_flow_imp.g_varchar2_table(14128) := '08311C557BCF35D2010ACD30431D68300444B3210F3850622980691B0F99D12CD7E0C61CF74CE2DA0090CF691D8438884A141DA125A60D0E44000B78C4052EA05481E8D2A9252C083181699002B810000298A15B7EC6278E0C0D21F790073904820E799C';
wwv_flow_imp.g_varchar2_table(14129) := '8A883EC5503D8C03A544D163A16FA1153D8405007608AE0A00008614FC800C2A0E430A6EA8463B3CC0857D78E10D52A8061CFCE08A3240D40FE0639B40E811177CA4051F2152A379CA411689F5033097DC2A0066330C8305C81EFB28593A52518F07C574';
wwv_flow_imp.g_varchar2_table(14130) := '28BA626434120A00B8FF621600E6C00B283CF1A4F7F0AA0C8CCD443984D88E61BCC11DFBE846A9CAE11676840FB729C3473A2446A26CA04D400E3214AF6079D41702600E6D509D0228239039F0D2011740AF00E6608A472802001C0C4362049205815C80';
wwv_flow_imp.g_varchar2_table(14131) := '04E9756103DAA08FD024F34513BACED00015206ED42289FBB8C7A57895DD053DE81EC209B09E5A89C38494D1107E30442A928006661CC110F0E070385C61852A98C37D70585E5AC6F085C3EE2A683CB4907D0C928FB448AA3D494A8B96CC838F32758F21';
wwv_flow_imp.g_varchar2_table(14132) := '17944939FC50B27044C213E931443520A18E4AD0620CCC30E72101E00A7B51086B8C4829D8E000894C54411D55136E156E4189C566625FC3F8032D6C81063F88C3FF16298E1F2D18A5100DC6D2BBA49BC302E02B8047F819008F08972E6631085D0CE211';
wwv_flow_imp.g_varchar2_table(14133) := '0D9803A275110800E8E212991BC42C140D0B4CE8220BC4CC6A9C92799D657E95573A16483A72E10881A84218E9D0C77F7834252A656842ED1991B31892247E942C1237F0423994608B748483087F28036BA550851BA4E20B30A04425C6D00F7570811695';
wwv_flow_imp.g_varchar2_table(14134) := '40431B25CBA866614A33ECD1CF85200C80059B2CC845E992ACAA9109382002199130208823E18A5BA4E516D110A2836ABC2F62A0410A8CA3843AB2578E7467821886F887DF52D10D579436137E48C5330409B67F70C1137FE0768FDAC5AB7538E0840210';
wwv_flow_imp.g_varchar2_table(14135) := '0053BFCBAD0684AEBE8FA82F004C11065208641C61FF48F42348E068CA283A0B8981050028638A361064BFFDF00C8D56E4EA1CE2AE20E9A0051FC4401031F40118FAB03198648A243169A6931417083BD8C1084F18020E8705052384CD62005481DC63E8';
wwv_flow_imp.g_varchar2_table(14136) := '70154051063878A20CCFA0051CD2039C8B81B235C9BA87FA8457EDEBFE8CEE90AA8A3ABA810D4300C30FD98007E0CBA152C68EF30FAEE0ED1FAEB1A71AA3C1655827063FE0208E70F8411DFCCB4435F6E507905E236EEC7E0328AED1C74C9CF40FA99099';
wwv_flow_imp.g_varchar2_table(14137) := 'B0E2A241F84215000B98C30506A2009DD5B2E6DCCA822EE6A08B0B24BABDD73285B904328B4798020079307EA6DB90733D25A8E7CC34483F6251052F78612044F7C2189E8125E304E855F2C8AEFF3CC648251A99B2AEBCDA8E3DE0C10E49E9A71F631C88';
wwv_flow_imp.g_varchar2_table(14138) := 'AFF8A53176C8EC81F80F073DC9788D6E88C31C22930E70416BED8048252310C330670AA129F6F222B72044B8753274951471210F73530EFDE00971D30D8C500ECF9009D3D031FFC00CE550527E830C0D880C5D9209AF1009E9F00CE28340B3950DC58549';
wwv_flow_imp.g_varchar2_table(14139) := 'EA900DE9904F11850CD98053E14078E2202B08343138134BBC845523C4541760551F447B00B0392CB439E97542F0E500AB638503114BFAC55F3AA72AD0F769F8520F91B035035106035105A9B06AAD940AC2400BF0400BCFA031FF700DC4900AFDD4452C';
wwv_flow_imp.g_varchar2_table(14140) := '830CD5C00EA0A030B4500DE6400BC3100DCD8421DB8110F1778800B046E8531C0CFFA129A9900AE9C00ED91009FB940AFDD68370D36DD7700BBB420FAE1009FF900E7E008800400C8C8338068315C271560351292FC35BDD200FFFB04A02510E9AA11970';
wwv_flow_imp.g_varchar2_table(14141) := '952F353281F3321F1B345507114205914B1E343AA0E339A1134247085529E43AFBA50F5DF87C3D078661D257D7670500200656E005567007D990274D520FB4F00FD9800D82C80E27E532A0500EE2300CFFD06B00C083881351D9A00E8D538805A1297005';
wwv_flow_imp.g_varchar2_table(14142) := '5708412973674094D2240C910E86E03290E307854465F45306E9E009E11037E8C30FA9B02C2E2344881417A44415CD32205F421CC4311BDD062F86B09174462437F64904E18F20595B0C112046358CA5E33A0D813AC4A88CAEFF8393BCF43A32141E01E2';
wwv_flow_imp.g_varchar2_table(14143) := '85D5F87303711BE5E0099D3010CA930A97D43671610BFF100ED8700B78110EB6F07FF0280E82640B25838299800CE9700BF4A00E9EE00AF7F725346232B3E623C1D20F9AC238B4E00968000C737376B710370AD4367C384AD3100E73A63CF5C00C82046E';
wwv_flow_imp.g_varchar2_table(14144) := 'AC4820F7F03132B10F01320E0A408525E141CD983A731012FCF093D49843D6789203119069352D06070C6FE895F4900AEE200EA0D03110990DC0F00C12F40F7CC831C4000FC3301BFA4844D446344CA710D7A03CC8403F02010AF2D39BB85506FF400997';
wwv_flow_imp.g_varchar2_table(14145) := '0418C6110DCFA01F2E630891A0886A411CB09613B40200597001D5799D0E809DDA999DDC9905DD999DD6999DCAFFC19D09317B24200ACDF7330952107EA22479B22104895DC2010FE5B02CEE500E2EF22778017FEA50219712176D240FB4C80FDC6613F7';
wwv_flow_imp.g_varchar2_table(14146) := 'E07F00202BC65932ECA03ECFE00A75251C5D7296E9F15AE2D08866E21067B90E1CEA1705C1191EEA10210A00E7100F257AA2EB700E03710E7E410F3EA327D46132FC812A51875DAF086AA1646357E28B36A11FF4C12300E00EA95032F1492440821D3C9A';
wwv_flow_imp.g_varchar2_table(14147) := 'A114D32E86926399311099F1A4A141110D06A343C211335A11A14621D7D16D64415713871445DA1A4AA2A418A420F6D00F1E711176B71003621F31DA2746529B8761989E64A64A9119A1C255572A34F0B0431B91A4983941838AA7179116518AA88A0A1A';
wwv_flow_imp.g_varchar2_table(14148) := '8BFF2AA58DFAA88C0A1A6132637C9A9619F2A782AA11AC64A897712167F9A93616AA7707AAA32AAA4E322F4262A9FC80A917612598F92001F621DA26260A1234F089638932AB3E6125D9362F7A01281B12546879A7274126B74944DA0664D2B7277D7AA9';
wwv_flow_imp.g_varchar2_table(14149) := '3FC6A9D04A14AC090F5D0A9DBE25110778801B3175535757DCFAADCEC510EDE09C067188AFD510E46A118A78AE66A1AD0D01AEDC8A14EEEA10E1CAA0EED0A09DC61ECF8A5B70242B61C4AF00FBAF02EBAF041BB0053BB0068B5B0371490C7BB00EDB1070';
wwv_flow_imp.g_varchar2_table(14150) := '246A7811B1117B10FF7A12E3A313023B10FE9A10143BB1204B11172BB10231B1096AB10431B22881B02ABBB019ABB00A5BB105811734DB0EAEFF366B22C913F5B0B3FE48123D2B1253CA1A3BAB10F850B4F810252EF91A6E225A44111ABFF1A202414394';
wwv_flow_imp.g_varchar2_table(14151) := '3259A8944303A1290A76B5D9F112FC580F6F95B425A199D18A316D9AB5DD760F458BB49385105F1B1443EBA26C2B1094D27341A160666B126D3AB60851B477820F766BB7AEA10FC4D18F47A1B67584363964A738F1B72991B71BF1B3C8F1B7A64110937B';
wwv_flow_imp.g_varchar2_table(14152) := 'B541AB130A2619768A0FF690B78BA2168E9B115E9B998E5153376BB70471B4D0E71A5D1AB5A0D1B92E11BA0501B5AD019D0B018B44F2284C8B56A3351346CBB722A1608ADBB87667A7F7A00FC53BBC4BB150B44B10CDF21B34263C3D4B0FAEF812CA1B11';
wwv_flow_imp.g_varchar2_table(14153) := '5FCB92C471B94155A5832923F6FF91168889981A21BB54119D09710502A1BE00C0BE1A51065A00BF68A005F35BBF5B60860811BFF18B065F80066580302E717DD5A37D5CE0105C3006070C00074CC0D5431009BC10DD080011AC044FF0146380BF442712';
wwv_flow_imp.g_varchar2_table(14154) := '7855066E70301D8C061D6C116EF006204CC2235CC2287CC2219C12399B101220102F1C111020010970101040101D00002050012080103D3C103F4C1020F0C3162010446CC40251C43A9CC416C10156831114501010C31014F0000010014EA10300A0C502';
wwv_flow_imp.g_varchar2_table(14155) := '810202A101189101582C100700003F20103FB00366ACC6160104667CC62591020000032600030251C7784CC737D0102300001DA00241DCC715D01083AC1031CC102EA00209FF010443A0C80A01042E5004910C004500002E30048C0CC995EC0244E0C603';
wwv_flow_imp.g_varchar2_table(14156) := 'E1C92A01035C3C1038A010764C105EBC1448600402810402D1033DC0030050032CB0021551030050CA1F20104864134910113B00CA0221CC13D10139ACC31D10C40D91C31570CC02D1CC7E4C10135001858CC82AE0029FCC10900CC900E0C68E3C10982C';
wwv_flow_imp.g_varchar2_table(14157) := '10955C10746C02A33C113A90CA04F102A50C002C90CE3880022CC002B38C1038F0022880CB0211021B00C600A00121F0CF21E0CF3FD1034BF0CA4BC0030A2D10B60C002730CB28B00211ED102B50030D3D10457004199D041ACDD14950041E0DD247F0D1';
wwv_flow_imp.g_varchar2_table(14158) := '215DD2230DD2284DD229BDD21471032DB0C70801C70ED1017DFF8CC3351D11CE0C002390C33CFDCC23C1CD4370D305E1C8D88CCD45E0C6E34C1228A0033510CFA5ECC538A0C5ED4CCFEA6C103A50CA38C00259EDCE0C3D10FA5C10174D142750022BB002';
wwv_flow_imp.g_varchar2_table(14159) := '3440030351D50C11D65F0D001C5D10224DD2276DD272FD126C5C106EACD60731023B2D10359DD31541D33A5D103D8DCDD12CD404310286BD10449D1097AC028D2C108B0D0036401035B0D42880CF97ED102F80CBE7BCC55DAC039DCDD409D1CE96DD1409';
wwv_flow_imp.g_varchar2_table(14160) := '7DD00371D05C7C02689DD6103D11655CD90A91D14620D7494004BF0CD2B7DDD1954CD22CB103690C006A4C044430D3383CD8812D10805D102E50CD0371CC396DCC960C00D7ECDC8A7DCDDF6C10894C10D7FF0CCA4050D9BD5C10A2ED105EDCD93810CF05';
wwv_flow_imp.g_varchar2_table(14161) := '5103E97CD9FA7CD938A0CFA69DCB50D1030070D0F67DDF062DCB06F1D56DED10BBDC1095BCD1BA4DC900700494BCDB6F6DD70571C6C72D11883D11938D10CDAD10116E108E7CCC17AE021B7EDD0591DEEACCDE7A4DDEE90C00F8ACC5E88D02F16CD1EE1D';
wwv_flow_imp.g_varchar2_table(14162) := 'E2A4FCE24F91D00271D048B00448B0DFB24C03F3EDD5153D1156CC100ACED22A2DCE1FBD100F4E126A0C04324D13173E02D07D104AECD71041D3153E10DB5DDD05B1D44D5D03ECFD1028AEC5F3ACD50211DFF9DCD5B41CDFF12D10579DCB9FBD144C7003';
wwv_flow_imp.g_varchar2_table(14163) := '4B60D0F93D10FC5D11AF6D101130DE0851C91D2D10BF5C102A8DE0072ECE1A4DC94770E419FF81E813B1D37D3D12179ED8D13D021600D8554EE1330D028F3ECBA50CDF9EEDC5B80CD55A7CDE06E1C5A48ECA0341CFB9BCE5F52C154CA0C63CF0E6F74D10';
wwv_flow_imp.g_varchar2_table(14164) := '32BE10B6FCDF0DB10113F1DB49FD10C74D04BB4E11C61DCC031103731C113B3DE123A1050671D38D5E10CDCE1093AECC070102C9CCDC20F0CDF99CCF2D5EE235D0CBB63EECE5BDDEF30C0061CD02B4ECD5B98CEA6D7E14AACD034BA003AFBE03362ECBEE';
wwv_flow_imp.g_varchar2_table(14165) := '4ED129F1E783EED60A71E4C6ADE83791C3C82E1243B0D7956EEC8A5CD32E90E909A1CE4B2D105C9EDEA0CDE90941CF5BEDF09E9EEDAB8EEADFCE14EDFCEE02C103356EE34B30F23A70CE513D13196DE0F91E11C44C11741C36B83E1008FFF0107C3D10B2';
wwv_flow_imp.g_varchar2_table(14166) := 'F00B3151F00B61065B00003C6F0600D0F31161021EF0E9FA2CD1A5ACD54B5DF10241EC145DE65E11D5B30E00EE9EDAF57E11669D1108FEEBDA4C1040D0C960EFC6FE0E11510C01517C1138AF0A24A1A2857A11F42BF400A0053D0FF41191CAB62CD15F4D';
wwv_flow_imp.g_varchar2_table(14167) := 'E6EE3D10F0BEEE6C51CA3AC004EECEDFADCE04AE7C11B81CD62DF1034A3ECC252101314F0187BCCC358D0BB2800B6B0F006B501242DFF38090100A7F106A1DD15EDCD05E7CCE759ECB9D3D17A3FCE685DF03821FF81991E62F71C62D8F114E2C101E0000';
wwv_flow_imp.g_varchar2_table(14168) := '1CB0FB78F010133010C180F95291CCA1FF109E6ED1637EDA7981CBA67D03818F044CD003B20FDA4371FBDD4C10C1BCE411FF2101BDFFFDBB2F10291611964FFC1BF1EC1A210DDB30370ACCC72A81D58DB1044CF0F10030FF12A1F82CE1C9C2BDFF6AF1E4';
wwv_flow_imp.g_varchar2_table(14169) := '000140E04082050D0A6CB40D002081660C8EE830E2E0448A1451D4B87811000A00352A7E041952E4489220691064C283870E260074948419B3E28F1D3B28DA9099B3E419313A0782283841600700447D22AC08F1E8C7151A9DAE581A556A541C3806AE5C';
wwv_flow_imp.g_varchar2_table(14170) := '9972EA56AE5D475A19E845CA5689008694CD69C62100876BD600F80220878581122B781DD8542F5EBE7D0B5A2DC823E6C98184FD1E46DCF78AC0B731B56C1108590B00C8138DFAF5985873571D5897085C82842454C3875BE014787AF36A9F66E4008803';
wwv_flow_imp.g_varchar2_table(14171) := '93A852882AFFE86E86CA5A3762C1BB0F9E6EE15BB84CC9042F93EC709BF506001B4E0C7CBE012AF3E1D53F22091DDA7A4813DBBD0F7C9B63284383C7BF435F915EA0F4E62B9EE70590FBFCF01E487ACF1F6802E8440E1E38E047CC82BB3A38AE02A29403';
wwv_flow_imp.g_varchar2_table(14172) := '90A01542704EA0134278D0B905A78B0F80F712C450370FBA33480200389000C40F21C8D037F300643037EA4072AFC4C356E82DBB815EA28886154ADBED3F0024608E020F37A0C045213773EE8415A47B8F39EA286C6E48C40013083B00EE3B8834DF7CA4';
wwv_flow_imp.g_varchar2_table(14173) := '0082103D18C8038E00E0D04931F9628EC110063A73C5F52AB4704CCE5078E93300EC6BA9A0CCE0F34D3F0082030E3537FF642DCD260160B049F6D40434FF26165C8273A0257A58A9A0153293EF3C1B76B834514DB9A24ECD0D34D8A050E8426871D39C5E';
wwv_flow_imp.g_varchar2_table(14174) := 'D0E185190160A2078334EA08CD501135B5565B09EAB4D3334FE0A0A95B97B2694A3B7160014A360762008064017820C8A88010880882A43D88CB5FAFF52A01002258165B92CC0CB5220D0832C08081022028000200200081A3F433C15A823C3408016DBD';
wwv_flow_imp.g_varchar2_table(14175) := 'C5372A37F225E98E81E000A00F38FA7883E08AF6E5EB8D7F4B2A43A032D07838628827E6B7E283E471C76291E401001E00E4F158208E33D64D9E753E3E399E934F36286400D631996381E07159639B0992F9668AE8F9981E797CE6D9E78A38FE59649EEF';
wwv_flow_imp.g_varchar2_table(14176) := '9107699E738A279EA5E9713A9E89E89987FFA0A007AA3AEB79AAD6B9627EF8E97A2A7DC606409F7BEE99089FDDF2F9281FB7DD0E3B6EB9499AE76C7D00D8676EBDF7E6BB6FBFFF063C70C107DF0D1F7B0EBFC79E7BB826BC71C737C3277100165FDC9EC7';
wwv_flow_imp.g_varchar2_table(14177) := '2FC73C73CD374F94881F3C079D73D1471FE9882400280280234C2F2289D449873D76814E571D00DA8F785D76DD634FDD75DB01A07677E18F7A34B41EB4C3D777DC875F6A51E16AD0014EE88DFD93073999C79C4B16EEC4E14EC416C54107167408BF58AB';
wwv_flow_imp.g_varchar2_table(14178) := 'C8471F431D96B0BE7D82B0B30FFBBFA1D5BED88EACA29E2FE8A72F884637DBBF9E4174E03DF985CD050241C1F66A40ACEEE5CF2BFE9B1EFA1C58A2957CA67DD6DB41764423980916D0FF66AA12C8A23C4240CC000030E18BA09B96B0BE29B5CA7AF13B9E';
wwv_flow_imp.g_varchar2_table(14179) := '4B26D2410F5E4B0495AAC1F61093C3EDD9CF7E03A1618256B8421E30414A00601FFB8258438BA1202324EC0BB1BCA583F5BDC47AC7B30FFB5E522726764D045F9A14549C624200140B8A3AA90A10B1C53E5665500748D04A4AFCD7459B89804D4DA981AF';
wwv_flow_imp.g_varchar2_table(14180) := '64C712EB09C4551914C816E748474286105B5B140CFBE4C8AA4236526334BACF675E8248560DD291974C1461ACD7192670522054C224483AA082518E4005A1CC904A52229896143190A83CC8286189211D5E45585664231767B94B319D44918E128C6878';
wwv_flow_imp.g_varchar2_table(14181) := '394C31BDC7550579D4273B434C6626665230C99FAB92C8C72536D39A51FF39A34892C9AA4875249BD704A74FBE2410C038AF0437BC2145D848906A86D39D24610E47C007C29020C155C264E43BF5D9954A55C42A72C20EA4C8B94F82EAE44225E1081691';
wwv_flow_imp.g_varchar2_table(14182) := '6849CE19A8A0F9EAA34A18FAB80E18C8A20FF5965578209A6562D4A38999E84745DA97338D2E0E7278CB6B46BA52AFD8E31FFFE8473F00E05296D6D4A637F54ED374BAD3A651641E54A35A3D703AD47D48ED70473DEA41ECC1B8A136351E45DDC752917A';
wwv_flow_imp.g_varchar2_table(14183) := 'B8898CAD1EFAB86A536DBA8FAD41D51EF800ABE1ECC10FCB9575A613795B3EF6B10FB7ADF56B0221DB56FA810FB809641F77E3CAD9F4AA57B0B26D53FFB09C40008B370C810D006435EC61127B1EB00636B17505DBFFD7904AD69922D61E69CD5BDE0622';
wwv_flow_imp.g_varchar2_table(14184) := '53A97CCDB35F631B3DF461D8BC2D16249FF5EC4450FBD94DD923B30078EA59076239C0FE83A913E1EC565E2A90C0CE34B714C1EB5264FA0F00A16D72C7DDEB3D1A3B55E6224EB9F5A0C73D8406807E68B624BF058974E9215498A0CDB803496B78F3B1DA';
wwv_flow_imp.g_varchar2_table(14185) := '7C80555352931A6CD55B5482A4F7BB9AA1877505BB8F7FEC83BB3CCB9940EEC10FF956CC083501F00E6832E0010BD8C005FEC1E7069284630AA40A31A9C25842F283247001005E008B170060052F5878C31A16088705C2050E5B810B1DC6308A397CE215';
wwv_flow_imp.g_varchar2_table(14186) := '97610C5F70318CC730903BA0C10D68109317C4A2E31D73615F38F67049AC3006B02CE5C124A982583CFFEC86323CA17642F801BECCB5AE8A507920560600BABA64002D1FA6CB2D880100627003310747CC0020339A0732E618B439CC648E010CC40C0318';
wwv_flow_imp.g_varchar2_table(14187) := 'B4792070BEC19B0522E73B032A053218480AC2149308446029EBEA32410890E8823080011BC840094AA02C73552C011148C00332BD694D3F0000DA02F5A7450DEA080489CCEE5A4A02EC65AF8AF8A922C1330810A23C6B00D09AD6402042AE752D2D58FF';
wwv_flow_imp.g_varchar2_table(14188) := '89D6B58EB24D822590308344540619974C1050E94A0BE4D2AAD616AA0FE23C64C1E4D2628AF6AA01C0EA6D13E45EAA4600AA018D17561B20DA53B175ADD51D6581FC005AEF0600B46A45667AA379D80090C10DC65D911024BBDF8DC6C051CAF569FF691B';
wwv_flow_imp.g_varchar2_table(14189) := 'A45B0098340D4E8001430B845B2289000292E5E912811BDADD26F8C5552D1077757C5BDABA77419A4DAE8F24C05C2617F5BAEE0500A10C6407F2068011E2ED6E9ACBDAE6F1C639BC759E739EC31C503708F951FE3D906467ABE10409B7414E92018230E0';
wwv_flow_imp.g_varchar2_table(14190) := 'E8154100A69F0E007A9EE7E8AB8636AAB1CE6D51773CD303597948C22E6A915F99EC23EF3500822E73E0B59DD76D873B41D86DEB0413EE031AB8FB073050749910C00058FEF641307D1086379A240960BA8B2E4E9195AF3C592B37F540CCE5AEB18B3C01';
wwv_flow_imp.g_varchar2_table(14191) := '04B87C4E60FE72CEE3FC20022608B46802041B400B352F67B7406AE248BF0F04D59DFEFAA7294EF86A3F7C24B3AF78C10B52798A0CFF3BE91CD77D4578CF1733C3DBF30599B5CF35A781839764CACB3E08EE710F9D6D71ABE14E57964848D4251DF90700';
wwv_flow_imp.g_varchar2_table(14192) := 'FE017F7FFEC321331F86011B9FC8C80DF200026059208C0E3E45D47F189CEC5C7E180838000C7000061820E07BCFBF8F48BAED1B08088080E92B880C603AA76340EB9B3A98A0001D6939EE5B8DE15B8C8288BF8A5082CC63BCA88000B4880958333EE661';
wwv_flow_imp.g_varchar2_table(14193) := '3E922308043C88D71B09EAC100ECB3BE6489BA0674BAA8BB3691E080FFF03EDDC8C08330816F43C12250872C8B8A4A0BBC8F78391B70B58F90B5D0ABB9D4D39D0FF888E64BBFE15B8AE043B5C1FB080E80001FF9100F9117FC58053F19BE6D3084905008';
wwv_flow_imp.g_varchar2_table(14194) := '67AB081249000FD116FF09083B03DC8FD91982D3691D81A84398503ED8D9BBBE4300BF9B3F9878C089C03E8CFB0812A10067E90F810811004801FC18051241C185090966E832CC9B08B0F00100B80225D0444E9C88B558A9FE833EC95B97DF9389170C44';
wwv_flow_imp.g_varchar2_table(14195) := 'A473BD6D33347B41C007D8BE085C441D01905B3008022C8970903C90E0C4222B3281108F81888B9180313400988A78B726B4B9263C3ECCE93F0C7880BD63004F33007761B6D6D33F2A1489164CC581B03D8180C18FA388D9E300A198C021A13270188964';
wwv_flow_imp.g_varchar2_table(14196) := 'F83E91708823F303B8F8031C1B087AAC88322C884C18882474A46E798064E9BF82C032AE2389C473389098C188DB961DE40F0F089209B0A3F3F8858F60348A60C8FF83C82D5A68040060C746200681888D8FF8856728085A788578242606E0BB5DC4C06D';
wwv_flow_imp.g_varchar2_table(14197) := '7BB69138289088B887C3B4A823092E01911BC48F89248946ACBC668BC48220498318347614085B00007630CA8F148861482F701A976944BABFEBC39143B504383FAE70C16D21C49128C72E041064E840F9BBBC04E8B23FA48871288857B0813FE8868198';
wwv_flow_imp.g_varchar2_table(14198) := '0600404A6620886A681C24F48E68944281F8BBA508C09080C16531B41A0C89FF58444D7980F25334B32C0925788583D8C8108B8464C08532F88548F08997C3355C13089B2382CD749346DC477ED40D0D90C648F4BBD474B666D3BAA530B484BCC88F8840';
wwv_flow_imp.g_varchar2_table(14199) := '671193A0EC0A4F1C882323087B8C8AB40314108001FF24C44BDF28B8120C89D824BB89F846836380A893389DD042B0D4941D90B08170083EA3CDA8F845A948010BE8CE2FB415E1DC8E3DE44B5314B975F943E444C8AE9489ED93006741448138C7F34049';
wwv_flow_imp.g_varchar2_table(14200) := '83C804DC14489F403982D3BFAD98005A04001BF8011550462774924CB18E07304D8A3BBF6A3C086CE4CB89883A4FC3916DD9CB84C43E9BCC89EC2C8820494400100187E450E168182B40182B8083EDDCCD2F083298A834C03300A13825E8643982B0801F';
wwv_flow_imp.g_varchar2_table(14201) := '28820225BE16104D7CE99669ECBF6E414F76513F6BDCBD813048C153165474C1E77C4EBCF8D0F9B0025052372918349F78D1E12B8BBA838916080E0449B0655CC6993B0C787B39D5CB43276938FFBDC4CA669BB2BF2B9751E438078D5077094A06B450EB';
wwv_flow_imp.g_varchar2_table(14202) := '8BC16EE40A0EA000F03B44EF404B04A4006D04094BE40B1C8DB21C459D66EC0B9F9B5103AD1595DC3B4F7B3C739B42C91BBB958B8049FB083D7DC1D500D0ED3837F69450F30C094C4DD4D4C99D1CE54C3175B7818855A9C08953E21375C3966804000CF8';
wwv_flow_imp.g_varchar2_table(14203) := '49D5F43AD6D436971C084F3588D76CBA6E8BB8BDF48AC30410F44B534D554F81E4C0AEE8D1E1080E104801A0E047D28396231C93000448937397D66B17B43C08ACA408634D4547D38C9C04005C3C0F6D9154FD8BD673C50BE5F8C2CFDC0C1530019C88B2';
wwv_flow_imp.g_varchar2_table(14204) := 'D2234D0098D144314D66A1B4FD8450C34BCE8C63800C88C9054C457709470D7536FF3ECD09C304946A3437784D55BEC84E0F6844465D8D8115D834B5099B1B362008BA0C61BE7FD4BF65715393D3162C34D5EC534E3C4DC186E39667AB5792884F4145BA';
wwv_flow_imp.g_varchar2_table(14205) := 'FD3488BFDBD4A570C39C4881EE0C3476034DEBB8811678DA81E05680EDCC809D8F68643EA91457222DD78D9B59AC54B58843579B255683B3D86D6BCE887B80082040F00380112D0911F993699D8A3634D489589E23509DD4198222C81D277956FC189795';
wwv_flow_imp.g_varchar2_table(14206) := 'D434E05B3CDB3CC148239FFC8980BF1C0967E90E2F69471AFD10878C4E9B69BFF653B47571BF9168C409A00B6B01D99BCA80C665979260342CC334C41589C5EB9AD8084990FC833898DDD9058046C0CC81A88448A08446C804FFCCDC5DA4A0848118DE46';
wwv_flow_imp.g_varchar2_table(14207) := '185E8288047D8C84DDEDDDDF0500E6F55DE0E55DDFC5DDC358DEEBDDDDECC5DEEDE51743700400F8DEAE300446380A441008F2951FE2A229AD62DFA18107935119D88287789007FA6DDFFB3588AC1108AE9987C3A9077BF8DF0006E0DEC2DF02C68BB101';
wwv_flow_imp.g_varchar2_table(14208) := '1BBCEA2F9CBA2D033688B81A8805BE95E072E0FCDD9A0BDE9A4D399BE3AA87FB4AAEE8B21509FE157920E1120680A5198878C0600C068015A6871746E1828AA9193608E2AAE0AE79855BD0E11DB6455C180600F0612026065C18E25F28629FF8E1BE8805';
wwv_flow_imp.g_varchar2_table(14209) := '5BB0055AB0855480620088E25400005008052BF6842BD6622BE6E22BF604000805EF10862426085B1886330686FF58A8155B784C93048057304936766336068051708551A0053BB66357E0635748053FA6055740CA5A0181423664A0008A16000A15D88F';
wwv_flow_imp.g_varchar2_table(14210) := '1650014786E447BE580FD88078E20014B8E4A5608E71291300D0000DA080C15550D62D8803F0460C61123109960253BB1DB8811B80011310B4A4E53381E09278F1805CCE655CD6E55DDE906B7101170082033A20C4D08118D00118780118788917586667';
wwv_flow_imp.g_varchar2_table(14211) := '668117A0369248955742956BAE669778811A288133693886D380C68D80701688104820AA531F32DA08728AE67602905C33025D8BB7781E8822F84C9505025C2302BF6DD4780E1EEC0214175001812E668138A0532AE66156019F2368858689AAC3011012';
wwv_flow_imp.g_varchar2_table(14212) := '9FFF900289EE4101ABF00838F9928B2E238258498B482507CA68402102BD05B0BA335069313D24D4CC3375699A10813FB0951170019A1E088136E8534268AF089FF061A717706782B813E8E188E8891E06329F8E98E69278A67E3A0AA75E0AA816922260';
wwv_flow_imp.g_varchar2_table(14213) := 'BBFF22B31D300249CDE79A805A96CEE77893B7C0DD9462AEE96206418A7081B348EBB38E099F46A358D908A3E6888B9627A0AE3A9F30963CF288671A89DCE06B92C8224B220C1A28016E1E92D32102998BB23C03342E6DB77BDE93E0B8147CE6BC11DC1B';
wwv_flow_imp.g_varchar2_table(14214) := '9A56818125591728822158D981F28A2FA191712227BBF688A0FE8B693E893B818A30B2111B298C8AC8239858821D70A5630194D62182D3D1DBFF008D811680011920CD6E2D3634DDEA60F1CD5AB98C133188811688B2C0E9031AE622D80113A80A631920';
wwv_flow_imp.g_varchar2_table(14215) := '8A96091172A240821E72C21F757609B73E8C0A35881AF8A689A80F39E1012841ED0C493D0EA9D6827035D29BD75B596EA360EB8300C153428B821E96054AEF9CE08811EA88EC66A783D06ED6E89E904826805A27F1866B37791D6A49B3D11D88B773396A';
wwv_flow_imp.g_varchar2_table(14216) := 'F9EC6B990D812D8AFDE66F1590880FBF8C62C39F345A20AEC0088F586A8C4E23C0A091497A6F169F7007DFA8DA46A206AB719CEA00A0F87102198138AC08E69E085829083841A11E1F8871D2A1059A6B357AA519216FD6E8A1096FF0894833245A95051F';
wwv_flow_imp.g_varchar2_table(14217) := '935EB3812BFD1B221F09894010FF8AF01E28C98CD33E8A1112F006CA2626D79F81029F15370800DA0126E8706C010232AB65E631F2F8D06B81C80C6A0BEF196F732982732997A1ED58A01E22961CCA728360821B5882D04082374A899660095BE1CC5925';
wwv_flow_imp.g_varchar2_table(14218) := '1C509409117F9558A9A58D6871B8A6528A90EAFB396FFC50F30602891802207CB2222F075C01DDE7FB1689081C5553D98261840C34A88CADD00B8CE808D24E75901AEF97C80C3997091AE9A089DAF422EA01ADB86D4ED72535326F008139ABCD42669500';
wwv_flow_imp.g_varchar2_table(14219) := 'F0341534F0046AE04DCDD80B9FD08B125877640F21EA719E424F23CD907629228890721E6BD77323EAA84E37212A4AA315C0816EF7769F103F8BA186750084C8A4082027F5FFA38848BE08EF81C821F45E6ACDB86E462F0936EA0D2B6A741A3178F65D86';
wwv_flow_imp.g_varchar2_table(14220) := '81208F8208F444216DD668EF8ACF09EB69952A9A72098F9B58D627A830129F68F156F78B1B497098D8A415D2A53A6102684F141898EF6B3292E7E0F90CB10A0801001AD0085C473881E0224E5A9FF681A0B051CC8AD982627792A6C79013C28113F88033';
wwv_flow_imp.g_varchar2_table(14221) := 'C9A3ED71F98F208C4D37082D327A53E9FA7CC14F47A201F244388EC0F791E88C2442261A498901E717E0E4585B010101A928A270A82EF21FC78D89F7F88C230280E389A8B8E98E58969737B0E11B5E8DBB3B8A462188ECC08A6DB7997811881BE480BBE5';
wwv_flow_imp.g_varchar2_table(14222) := 'FCA9209FAD58F982E8A455BF193FF51177D9FCD5DF14EC5089FF29897B270911B80580DBC77DBCA0FA98683039D1A5BFC6172039081D11FEE17712C0409E44A2229B8145E8C797DE071412297CECD79415F708F801798B69168ACB0008387FE0F7FEE89F';
wwv_flow_imp.g_varchar2_table(14223) := '91E3E981E2B7955834C8CE5DFF21F9A14FAA7A8D89008A9BBD200188070400102C68F020C2840A17326CE8F021C488122752AC68F12246883D8464ECE8D1620A00213F922C69F224CA942A571A14174E1CCB983267D2AC69F326CE9C3A3BCADBE9F327D0';
wwv_flow_imp.g_varchar2_table(14224) := 'A0428792DC27EF283D003D89326DEAF429D48CF5084E05404FDEBE78F7A272EDEAF56BD47D5BEDD9036BF62CDAB46AD7B26DEBF62DDCB872E7D2AD6BF72EDEBC7AF7F2EDEBF72FE0C08207132E6CF830E2FFC48A17337DC08131E4C8602914DC9081C2E5';
wwv_flow_imp.g_varchar2_table(14225) := '0C00285F6420F93368851B0098106190C306CE973F1A08ED3AE18DC5224C13DC801A00EAD1BA1F7B44F0C00082D6AF871FA6CCE2606E009A018C26EEDC630C873B6E4CEF9B7A4373E6B8B553C87E51F8F3F000620B6681597BED82146E734E8900C018F1';
wwv_flow_imp.g_varchar2_table(14226) := '82A3934648BE306F83B6F79B042F3FFC0E05DD97577E37F9F79F6026C400030C9079A79F721C14D8DB81085AE8D783008830E185843578830C05C93062870C95F0106D0A55586261038AB7218CC815F4C0410878F650192C9A451F41D1C510E2433C3E27';
wwv_flow_imp.g_varchar2_table(14227) := '82070479B0A186F969B65C41114460E343F1E9D8556C2F14C403003CC82024435C0E772400FF4516945F730F6440A341093C895000034DF955830AC579D09C06C5708397AF1199E2633172A0D979A34500809A0A1110C09B5E0139260A9501C0829840BA';
wwv_flow_imp.g_varchar2_table(14228) := 'C81488601D775C41449E585966665236A8A1899A25C348000849DFA25FC98027571E402A020A451649A442E77DAA10A2A2AA55E77810E5999308294CCA54698F1E34AB98089DC7909BBAA2C5EB5945FE4AECAB478219266D1C2E9B10010311B0A2B36FBE';
wwv_flow_imp.g_varchar2_table(14229) := '906A5AC7A598E4419D86BB6E43C37E452B41482ED4DDB24FDEF81EBBEC926B56ACB3C5881B8C05AE962FC1742199AC41B475078099840E0A5CC111AF25AF4367DA2B31C66B1DC9C1BF8E26046AC62177C5C1C2EA359741046802B0A6C8FF2DA725440F05';
wwv_flow_imp.g_varchar2_table(14230) := '8584A509079DEB32CE4FB9B433002F859333D060C103003CF20CBDD4424607BDB450F7D06314D458491D35D553D373CFD44C6BBD35D7E2EDD335D8618B3D36D9659B7D36DA69ABBD36DB6DBBFD36DC71C70481DC7547E401051240A0B70479E74DF76374';
wwv_flow_imp.g_varchar2_table(14231) := 'DB5DB7637B530601077A7300C10410D0DDDEE06F2F8EF7661300C0F8E58E4FB05EE47523DEB7DE96334E190574430079E76D1BBE78E38D272E386E1078B06FEA8ABD0043B58FD6CCD4E18D4B4010EC04595E7B683C58491BBC4D6DCEB8E30034AE500A3C';
wwv_flow_imp.g_varchar2_table(14232) := 'C0407BDD8DF002802F05C962640B2D50BF5036B9D4B4478EF0D98186453CC4A00390A525FB420A56EA10BF96F5931BDB0FFF3B7044D00E31F77F5188284081CD392F71902B1D01458225E20140150E4488076C80163764244E2C2896485E603C1958297E';
wwv_flow_imp.g_varchar2_table(14233) := '06D1520F80143300EC204027F91C6E7E8790BEB5675C0BAC5D31147284EE45043CD05A09226C710D00F481240D829488B494411E440F06D2ABDF7846C812CA486073C32348DF86D79E90A0AE76C8F885475890826999A41A00A02041A671100A3AA12223';
wwv_flow_imp.g_varchar2_table(14234) := '21A2F1D0280321EE24711C789EF3D6F33CBA4D00535622DE2808928A5AD0C22045E8CA0E5DA10400D8428C0078851600100C829CC02034A8C143A2070019346851587A61FD6ED0034DCE4D3DBF4B4041F0C5C085D8013EF179053232359122C5EF7B2401';
wwv_flow_imp.g_varchar2_table(14235) := '230068310DFF4388030E0E29A343D4C83E1E683236EE1A0A28E926CA514A010055A8C218AC50904C7CC50D7FF0041E14F20500ACC02033D0010EE662BADF4D0094A324C81B14C2050044E220B6E103009E00004378C10812D941345172878280110D5B30';
wwv_flow_imp.g_varchar2_table(14236) := '88940AF2484AB9D2217B3308E60C32B0DA89A12248A08812FC000048DC207FFCF3C81F0FE2828354D32015054ACC62469E1B46848E820399099834B827F8410D04F1C218C609CB7429140088A8881FF8900482FCA007352DC80E8E83805C414482262C48';
wwv_flow_imp.g_varchar2_table(14237) := '0BB8D283000D35A300E8816DFAD990271A89234A65DB0B1A45905CD8E283D904C00B70C0021D74040E9438022408A2C4854420010CF840089C30831732FFE40709A18135AF6A93FED1B5A827295D7B32308191F4E06676D3410FBCA0101D5C92B000D081';
wwv_flow_imp.g_varchar2_table(14238) := '95362511B7BA757F42702743444081198480202FD801102A824B823841AA182D484639FA10C001EF7276DA5DE77880A9851096AB18E1E5510BC2919F26E47808196A6C1532A9195814073860AB4E7AD92B4E5A8437C1DBDD5357F24B1D2D97203CD08161';
wwv_flow_imp.g_varchar2_table(14239) := '33429D113AD421593DC81296A05982F0B6B3AECD49FF7C39DC4DE276AC10695E7B287383E6D264847405EEBAA27BD8E76689AB58E2EA0B2E1813269C00AE13E1ED0C700949A198F7B66ECD2D43484740CED880BD35C1ED954A0459BF4AC4BE2FB8A35334';
wwv_flow_imp.g_varchar2_table(14240) := '60D147C17726108E885D234299C73C863CFF21318DFC343813075FE806EAD3016A6542DB8C6CB621D9B9280C74E0E2496612C124F15F8117122021CCB821033460DF0802A4001A0FC34A66E3268F2ADCB09187C5510930001E79510078B62046BC539085';
wwv_flow_imp.g_varchar2_table(14241) := 'C2589B3EC47212481CE53860021751668DE3D2A00CC23CB65261952631B8734778FB813D03A0B295E52D4276D72827EB2578956181082E451A1660F8760010ED371D32488C2CC10890450212A69084291C94209D0640128EB0171B0041050651C181237D';
wwv_flow_imp.g_varchar2_table(14242) := '169820A41C05314761605D90728043D56C914752924210A405261E0889073DE2C16B5B73851FF93836B2F341EC6533BBD9CE7E36B4A32DED6953BBDAD6BE36B6B3ADED6D5B640790E5FFB6D87E008488827B6B40902041C8BD960A24A4021D28375B2498';
wwv_flow_imp.g_varchar2_table(14243) := 'D9CCAA5B2EEC86F75A40409F7913010844C037D07627EF7F033C68356B5009095EF09C9960CD3BF8C181158E165058801A0000C1C2D9720306D1051719770BA467A20A946C0F347205C0C93F1E8C51B4C220CCC8170BB21973637DF7E3CE18B93600408C';
wwv_flow_imp.g_varchar2_table(14244) := '924705149568CBCC3F9E905F2CB220A9C405CF01F06EA78CC3964017BA435E4E10257460044C0144AD0F92030B8060E966A9C196A14E103194729C042185531AC190AE8BDD2D5E50A757D4AEF638186408EEC678DBDF5286F84C1A0023A87A0740E00340';
wwv_flow_imp.g_varchar2_table(14245) := 'F8E49E00482400CCB0053300C0055ECFFB5AD08086952644057407CA10FF5C90F92134FE2D2758C1E701D0C88F8FF30A6328DFC509F27882185E2715B0C0EB215F975B10E40A185FBDECD975858BE31D221DC801EE730F34A60ABF4356F7BB437E77FCE2';
wwv_flow_imp.g_varchar2_table(14246) := '5FE8DDCE3F4807EE5D907BBB5BFACC874CF025B27A155EDF35D6EFC8F7BBCFAEDF455FFC11AB800AD1AF7E09546002EA27BEF9C5930300F8C00A3E18E4FD13E203002821FFFEB77FFFE15F00FADF00F61FFFF9400E0C920BEC00BAC5DF5CC4C33A402004';
wwv_flow_imp.g_varchar2_table(14247) := '22C43AFC5A04264405124405FA5A415C2000786004862041C443D1288503C6453CCC430A02C03C8C200BB2600B1E440BA6E00A02403C94453C70600C16440EB220071644B005DB09DAC50EB6E03CD8C3111E210094120546EC201222E10B0EE1BA6C8514';
wwv_flow_imp.g_varchar2_table(14248) := 'CE4440000021F904050A0000002C770019006C0145010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336A54E86EA3C78F20438A1C49B2A4C99309FB018087B2A5CB973063CA9CF991DF3F963473EADCC9B3A7CF89387F0A';
wwv_flow_imp.g_varchar2_table(14249) := '1D4AB4A8D18D378F2A5DCAB469D17F4EA34A9D4AF5205481572906ADCAB56B4C7E42E3791D4BB6AC43B000549AD5B8B5E2BFB759D7CAEDDA4FA5DAB5612AB6A5F876AEDFB177FF02154CB870C1BA88FF0E10B0B880E3010A003016A0109E3C8B57E31ADE';
wwv_flow_imp.g_varchar2_table(14250) := 'DC931F3FC4FDD0A2E559C0E2E201041540462D3072C2BD1135739E6D7234D87C05A1BEAD9BAF5F3E7EF7D2D21B5BBA3500C81061D35E6EB49ED57600E4C1C50D006AB6CDC84BF665CE7DE3BE8E00D2B9FF4B85F00E8048FFC00B24E6061EBE8F70653774';
wwv_flow_imp.g_varchar2_table(14251) := '600A409BFA0D290398B3B03842E5DD05F852347EB493892B004C03001C77A452CE41919803801F034522854F0DB806407D8A40F48845000A28E2497EBC471E0094D882101A99F8718B38C3D09289487525740E000E3046505E1738E080479C8C08526009';
wwv_flow_imp.g_varchar2_table(14252) := '392764437E2003402AAE4095CA8C864453103600A0C1483644BEA4808EFE01F0E140B3B80456884756576646E6300380940229E98940690EC40C58917842893A00B023A14BEA28F0A341FA49E6D19F0D9179E642781E6A513802A1F50F23776599937F5D';
wwv_flow_imp.g_varchar2_table(14253) := '4A54296B03545A90A18A368460A712F5530F3DFF18C20E6F42695A51A612710A2A416E58FFF52A43BF0954A3A9698DE6D23902682852A00DD93390ABB3162B91AE024907E93FC1C12429002464710109005C80E345D366E180B6DC6E7B41175F6645ECAC';
wwv_flow_imp.g_varchar2_table(14254) := 'D019F4D940F2192B90658688B39D4EEB88758E58EB18142F00F7DECBD03AF39EB34EBCF312F46E74F220ABEE7FA0A00B80C10737FA8F398CDC124938FF300C135435CA6AA66E00D893AE459751D7F0C818E513DFC77E35AB904AF2144CF2CB170197CF3D';
wwv_flow_imp.g_varchar2_table(14255) := '168B7819CC29E1ACF3BA3B235473CFA08E7BF0B9402FF46CD14827CD59B949B30340A24A3FE474D454576DF5D55867ADF5D65C77EDF5D760872DF6D864E35C6BD968A7ADF6DA6CB7EDF6DB70C72DF7DC74D76DF7DD78E7ADF7DE7CF7FFEDF7DF80072EF8';
wwv_flow_imp.g_varchar2_table(14256) := 'E08417EE110C86270E110F8A372E100E04E9E0F8E43AD440100E964FEED00F3F007137E435A000B9E68AAF30100A95038002E909ED80F70902ADCEBAE6ABAF8042E6B30FBE8140A6CBAE790B36B490FBF07C9B7E82E902EDBEC2EEB03B9E02001E00BEFC';
wwv_flow_imp.g_varchar2_table(14257) := '0922087482F20084B042081B9CA07DF348238F3CF11B5D7F7CF2DE771FC240DAAF5FF40A34C06FFAF830452F0107F70320010579A7CF7B41BB2B08ECCE0734D3950000349009FF3640010E008003FC6BA0DDB8B782E36DC07DDC0B01EC3208800BBE0F00';
wwv_flow_imp.g_varchar2_table(14258) := 'CD1B20FD50C23F004C8020D13341F426D841EE0DC4831D2C88FB46D830D3257080DD035F0422F092E005EF06008881EEFF3400400E5E0F003454D7099608C2006A80010040804C7660032AF68D8800C0E20BB9A7C5ECC12E89C5A25F0832B03E1E928F24';
wwv_flow_imp.g_varchar2_table(14259) := 'EE4BC8F20050BD91598E050028C1013310010C44E00100788019435284DC054021088062CF0459903F12E08F06300046526002109CD10D6580A42423299037902C560070C31DDC808632B48442675C083C84262079B8A323A68489BE1472B395AC431EA4';
wwv_flow_imp.g_varchar2_table(14260) := '74DB6566199D640D6764F2A0472E7369105E86641EF3A0473CE4211684C4E3960271CE3C14A78F7D880C68FB88662801678F7C5813002A9BA636B7C9CD6ECECD1EF3A8473D80490F6179F36EE2744E3CEE310F769EF39DF0CCDA0F8830CF7AC6736E4938';
wwv_flow_imp.g_varchar2_table(14261) := '0200F459FF847C26A108FABCA7DB02DA47820654A0714B0200FAB9D08622F46D0C65E8F06E87B9D855EEA20F5DDBED58808317400E8E3A60810E708051929A546F2640DC41880000CFD9806F35C01C0E660AC7828C2E701E10A2E26E7A5381484E702600';
wwv_flow_imp.g_varchar2_table(14262) := '00E23C37B81AD414002CC8DC48673AD2C1A974072C251C477D3710CBFDF46F3F709D407E0000AE12AE06B82B88E44EEAD393F6346E512588EB8E40D4BFC11177A92B5C5A07A2D5C4D540726135DC0EEA6AB8B7E2E0A883DB814A59B73AA3BE512079CDA8';
wwv_flow_imp.g_varchar2_table(14263) := 'DA6C17BAAADE4E750038AB62274BD9CA5AF6B298CDAC6637CBD9CE7AF6B3A00DAD68474BDAD29AF6B4A84DAD6A57CBDAD6BAF6B5B08DAD6C37E319D6FFE9C39AFAC8AD6ED7565B9F21ABB74733DCCFAAE2317B98532106F34C709385927D0CA42E9E89AE';
wwv_flow_imp.g_varchar2_table(14264) := '74A3BB306465AC6CD9A49535B7DB9DE1D003990DC96D439CBB0FF09A841EF798D93DD6CB5EF6E6E3BBCF1C48763142339D3C4F204F308A15BCC0052F58A1BFFDDD6F80F9EB5F020BD8BF5CE88E101802608778810A62A8C24BF6FA032978C1C2FBDD2F86';
wwv_flow_imp.g_varchar2_table(14265) := '2D9C84B97E44C000E87012A420E1590151884014088A83C86295C200064284F1890B12831ADF60B07E516402EE88013C6280010FC0E20308A948841C8001471EC8015AA248021040204F3608010C10E58F04F5810499F24C7A80C728CAA573600642E70C';
wwv_flow_imp.g_varchar2_table(14266) := '424F0FFB250152DC000C0DE242007C40FF20183088067A2C10064031015094A248F6E8E508E039010291229E0512010464602030D6A9455E2A100A94F02706484091BDC2D54A77B5207C258C9E05D2450D8420045D1C480408791003907AD32261C01E0B';
wwv_flow_imp.g_varchar2_table(14267) := '1D68001012D0A41EC80B3E124081EC782708883400003D1049EF5A303BC86A56E5C26B8410318D04093520273D9251F3D08C8256B59D77BCE3585F9920299DC88D552890074811015D2E0902001D01097035DC028934B309B2EE9D7895217B7D95A735F0';
wwv_flow_imp.g_varchar2_table(14268) := '0122C639210FB8779D8BFD1256EB9901832634BA0DF2BCA05EDB212DB832046C0D6E943C00D0015C78AF1589EA82248000170774BB4552458100C17340D8415B07628390879C2095FF16B341EA9A69AF7000CD5E6EC807E2AC6C00F010031AC837004C7D';
wwv_flow_imp.g_varchar2_table(14269) := '121E0A92D5761E3502465D10081C3A211E387854F0C86882E4DAD74A31734140FEEE4B1F64E4679688BE09C2000DD05B273E2F34D17D8E100EACD0EC5DF92345706CEB99481D245817919D0D62804D4FB9CA20112421F73EF45B2B04820241BBD91D4898';
wwv_flow_imp.g_varchar2_table(14270) := '874B59272DDFAAD595F6C427D6B9EE1BFF88B46D9EE73A13DDE6035F08043CE0C0151A46E3802E36BF5D12F785A87C2061E69C0D7ED0F15975D9D49187C99F81CC90129E307F27F44B370632E927E31DD01200BEF00712FC998CB920A93FFDAB7AAC6F06';
wwv_flow_imp.g_varchar2_table(14271) := 'D49DDD892400022A3E115533E4F236A7B6E10DF26883A05DE9632146FF95793DFA2B08C40A00B002FAD5BF912494BE22895757CEE3CCF382487FE7A39788B363BDFF51C77AD77E861010806EF86342BAD76B00807706D001E9A70403A104392010438010';
wwv_flow_imp.g_varchar2_table(14272) := '9EB411604611C9777CB3D26344A667771768D417117C5610DF267408F17F04217181C7797321250A6710126010E8E7077F00009EB4052516125E55759B23663E987CC5427BA54610304711F7F67FD04668AA3674AE1611275480684716B1A710AEF30A91';
wwv_flow_imp.g_varchar2_table(14273) := '0008021109BF201035681156107F9DF37654A3733B077091A76300977914B184CE367482F4677DE710845780085170F7C5149B566C2A28101E70052CC50CC94010D52010700000E01712F1371289281873966F50FFC400B9966ED1C76EFB168216B177AC';
wwv_flow_imp.g_varchar2_table(14274) := '667351A4860B41019E775F774815F9478903810B7B521070200E05F10A08822097A1201571032D70032F050444F07E4AC3892D9167D8371052744710913F7C6816891400D1378A5DE810CC400C6820108D9037381767AF0648D38780BF567DAD667D1811';
wwv_flow_imp.g_varchar2_table(14275) := '8310843F84678849D71512F0004020010B0701556600155011CD6849CD8811B6F87155C36C641845D5986E4FA64845368596C8107966679068118E06000D143D9CE7799E27157B8810B8A8100E88112D6001027165F7F583165934733610778610772769';
wwv_flow_imp.g_varchar2_table(14276) := '4F5764A34811622790812771E738101E909054C1760050011E00022934131CF084B9A70219D8900FFF21869CD1631F407BA61689F8A86524B87178766807D41028387715B1902938109DC7011CC094458106E8871012603FBB2301BB037A3A26124F6842';
wwv_flow_imp.g_varchar2_table(14277) := '1E300142208F54B34743E66A93D66445A676E91673BE3810BA68106CB884284811525910830741DD57151AC77BBEF69709081216200429A0024230985E550437D95538392B82F4446709750E816AE346680E2176D2E67F8114484B99479E791012E49477';
wwv_flow_imp.g_varchar2_table(14278) := 'F91352B43F0B9171B6F6648086771E41047D24108AD9473FA0981679813B53470FD09378646A926910E3969668F66D708994FDC78451048975F910101092A0B99746A163BFB99A0A219D211155EFA60203419B193810CAF7323807646F389DF7FFE88BE4';
wwv_flow_imp.g_varchar2_table(14279) := 'F78B25904093D98476B6697A16801211970411954C5177928666CCC97B3BD77653A8115ED5983D2364B6969C0FC184E02382FD4812101095A3C913072A13B9179F00D002EF168FB74835DF4944F54711E33674F0791095F788020A127AA91418C79A04E1';
wwv_flow_imp.g_varchar2_table(14280) := '4809719F15917BDF0800292091F354102C45A1B608341F1099CE77A0216A7311709411A19443E7673CD4A1145142C2E88B440A1315876AB586122F759829705F83D935CC974744B67353B66E422A4500977DAD9611905868DAD7A21B917BDD9786A42968';
wwv_flow_imp.g_varchar2_table(14281) := '1B9100316811AF095005D5359CF87AF52914B21354645A119C37A2D7B81601F0A78634107FC49610910213103DA16888DB64A244FFE867FCB69F07619F0D6A147F0007957AA90B821035988C71F0079DFAA935080895401094D0089910099130AAA50A00';
wwv_flow_imp.g_varchar2_table(14282) := '8D40090030AACF481095E0AA0271AA0070AA951009A53A23A9AAABA67A1EB95AAA9110AB85C30886B011C7CA1559B15C263130B3D533F0100FD14A4CCFDA33C2024EF5600FD9BAADDA0A4ED52A17F3F5AD9D421DB8D15B51A30FCE82AEAC635CEC6A5C26';
wwv_flow_imp.g_varchar2_table(14283) := 'E11CF07A12E8F512CD625EE24A15F1713128335AB8400CB8800BC3800B0010B0032BB0FEEAAFBF80B0C43011AE600BAF400BA3D0B024610BC3200CC3000CB1F012B42010C01013C0400CC4D0B11BFB2AAE30B253E192EBD8022A2B3CC2A302C20302C203';
wwv_flow_imp.g_varchar2_table(14284) := '002E3BB32D30B30FFFC1400FF00014F0006AD6651C80021C2002793A114484472BB046BBA301CEF911451B026DF4422D816CC91359A0B2B44D01042A90B5D8899D2171653A10033AC00330A00330306B91A3113F356B3AF0026BBBB624D1510010520531';
wwv_flow_imp.g_varchar2_table(14285) := '3F2D315396333E2CF002795B183A591046C0152310B82EC0B55B3BB80261B800E0024080B802A1028A3BB82E801066AB6803A1034D15B76BDB5170FB572375550BB13A285053A2035900F0462C703BAB5302527B11775BBAB653BA39B13A8075243FE001';
wwv_flow_imp.g_varchar2_table(14286) := 'A034152E3002861BB98EDBB8914B105C2B1188A35233355307E1B913313A31853AAAF3533AE03B1C05BB2191582F31423EAA284F5B1523000023809DDBFB1043FFD0BB0B6102996B52C83B1026E551136139905339A8F3BE38803A2235BFE75B1135F556';
wwv_flow_imp.g_varchar2_table(14287) := 'A65303F9DB128C6310C853023500C085E13A4D87692197557DBB16DBFBBB02F1BD0A8138F13B52774552C72B59129139A27357CC6B511BEC11E3B3BF08D4123D80044242543670634DB78854B1BD0CE8C00E8C102A10B887AB02E1FBC2003081A5CBB6A8';
wwv_flow_imp.g_varchar2_table(14288) := '63BC54FB11A08B3BC52B3BF55B1648C003243C2244404F7B257274C5720060042A29152FCCC208D1C20761C3621553E8DBC3206139ABC35376DBB9E66BC15441C24BD00322D25669D5569E1355AE93BD5ED101C15B10DF6B011D6001232091324BC70671';
wwv_flow_imp.g_varchar2_table(14289) := '3B2F9039A033C41481BAD2EB3B7735C1976B1646FF0C008B2C20351A55B2F8C400C0C400D003945B161DE04872CC10582C100C4810185C108575BC14E1C5AA0339F15B5136D5B9E89BC852D1BF4732573740968836177A4C10EB08009F5C10BBCCC72889';
wwv_flow_imp.g_varchar2_table(14290) := '44792553ECFB381791446145BD44CC034B70267F3BC933D629DB9BCB7DACBF5475B6E83B3AB08C1192034764DC154BA00366CCC88CCC0492C304D93C1B4690C42C46101BB0A0DCD1CB05A142608502C8F35855353ECE8B1135953996A3C565B104CA0CCE';
wwv_flow_imp.g_varchar2_table(14291) := '92A3CC3DB0CC71CB043EC519CDEC3A42746566D740EE5C15CDB805EF9811B3D63B8E55BAF47C3B60542C3AF0CD20FDD1019DD071DBCD82916D04713FDC78A463B1050E31029FDCC96AB4D1A2FFCC58D56C2C9943CE20BD044C7003085D104C60D273C179';
wwv_flow_imp.g_varchar2_table(14292) := 'F7B3420739782C6816A3AA101680A29EDCC00D413F703C101D5D2C3AFDD1980B00E65CBFC86C164DFAA086210D0321070F01CF28546B371D3E0381C6CACCC83C30D0954BCC9CF13C309052E017B3AF223B1B50D548F3D30B61B9B3010238D6023020D877';
wwv_flow_imp.g_varchar2_table(14293) := '48017EC0AC01623A6D663534705701BDD5E3CCC8062DD78491A8422554310B0237B00185E8155A600622B1BA5AF3CD0751D0142C2483958C6381C30F21D39CD6A46283044B40DB93CDC8AECC1C82BD1615D00177DC01EB98C90BF1C9663D109E7641B2BD';
wwv_flow_imp.g_varchar2_table(14294) := '35B52D106DDD033C80D07EFD17B2488B0211A52F56704202DB454436B58DC603FF71CEB3A1921E30A967026AB37DC6DF1CDDDD01D11B00688A7D24E66DDE0221DF57E3DD0341CE22B2706DFADEB3350562552601C4DFC682DC475735CB0CDE2222E0DF1A';
wwv_flow_imp.g_varchar2_table(14295) := 'D04B70B75D5D1849DA331B50E03AE3CFDF7D55697DAF4772BECFAD3AA1F3BADD01A91A5E10B33BE2EA2204F62D24436BE206210E8C722846C2E2C5D24A32AE2EDF7519F65AE38A220F31AEE3B3720FEFE1E3423EE4445EE4467EE4489EE44ABEE44CDEE4';
wwv_flow_imp.g_varchar2_table(14296) := '4EFEE4501EE5523EE5545EE551BE6E0C64E5C446E16C34B55A2E1711A0828A2402D1B3012B4E12CFF7E523B17011A0481470BD3241A86ABE11BF1868C92D13BE47DE737E997844002308136B29897BAE11E0367D1910B488FF3ED52F21E2832E110E74E6';
wwv_flow_imp.g_varchar2_table(14297) := '28A176F7D7E81A3169425B3D8A5E1201106593A6E0947E10877E106D24B4D143E62C70881AC1A89F5E11772E1042EBEA1EC002B10E3DB29EE9AB3E14973E10B20E3D2670EAB25EE2B7EE14BF8E542640E628E001B61EEC3FF1B4C8FECB4185ECC0AEEC44';
wwv_flow_imp.g_varchar2_table(14298) := '81ECD45EEBC53EEBF1593D412BED4451E2CF5EEB03F1EADC8EEBAEDEEBBD1EEBCD1E78975EEAE33EEDA68EEE4EA9EEED6E14D99B74C77EECF189EC883EEF4511C51D04782F64B5FC9E132A2C103DB060032F140FB210E1E0E22E0E000E9FF03B6119140F';
wwv_flow_imp.g_varchar2_table(14299) := '4B166F19D181F1B124F133710FF2B00F1F1FF2203FF2225FF2E5E5F1271FAE1CBFF238A3AE2CFFF2301FF332FF3FF3345FF3367FF37F21F0381F1311BDF32F713F10608EA639903EFF12250401132071053801445FF42E11F48F96F427E9F427113DB717';
wwv_flow_imp.g_varchar2_table(14300) := '95E668423A7F11DEDD03AE93E238BFE21410834C9FF4F2A9115DFFF56A5FC95F5F353BE0D403910CBF0009034108ABD037668AF40080F45B1F1169CFF680EFF5809F8B41058A00100C03A10A00E00C7A4378492FF5653FF683D38C390B0112840BBF20B0';
wwv_flow_imp.g_varchar2_table(14301) := '7E43011330939CFFF9659FA03D4F3798D46504F00506E10BB5D0F8A6A93F8FC6F9413F917F63490E94A4C30000BFF0907263A60491F402B13F512838CEF90A02110A00F00ACF7037DEE8FB445887AD6E37D5135468C00C5B987E99A437EEAC8209D0652F';
wwv_flow_imp.g_varchar2_table(14302) := 'FF40018C6E375620055569123720033B80E0550301CBB9905CEE38B4EA113D00077CF0FE054F328F1FFB6DBA7029F000ED9F37008102C70B0000901404E005E142860D1D3E649804E10E88152D5EC49851E3468E1A274000F0110287822F280040D051E5';
wwv_flow_imp.g_varchar2_table(14303) := '4A962D5DBEECA803400F1E0078A0A002A00C0031302DBA81E353E850A23E214CA090B4A00C19358B3E851A55AAC3180C65160C450BD8D4247EA67E052B142484A349390841E821EC5AB66D2FA245F8C24895B63DDCDEC5BB1029C9823D6454CD1B587058';
wwv_flow_imp.g_varchar2_table(14304) := '1D04A7A6605AF0C60F213F286E181CB9685900270B020600B9A008CD606548062D94A20E18A4F1760E9DBA2352091C2048006082A2E4D93DFF76F4B8A15A3747C305753805F082C76F00C465D664F18205C70C7C773FB738B661EED0B717DA850EFD4741';
wwv_flow_imp.g_varchar2_table(14305) := '142D6BFE36915D7C51921228C096FC79FCFA853C62F080D19BFDFCBBE8499294419DFE7EBCB381F307502A0A2608A935CB6C083041CF160A4F41071F8430420927EC683B20004090420D37E470AD723A043144114724B144134F443145155764B145175F';
wwv_flow_imp.g_varchar2_table(14306) := '8431461967A4B1461B6FC431471D77E4B1471F7F043248218724B248238F443249259764B249279F84324A29A7A4B24A2BAFC4324B2DB72C88851A96AB01851AB82473BF1182438105315708B3A0310158AE201CCAD43118005A11F14C15B80300051AD8';
wwv_flow_imp.g_varchar2_table(14307) := 'ECEEA140A1BA0AA13175C041FFA637112D8E4ED57041F14C8DBE7CF3291C96BB148039E77494BE5A7841E81748293CB30315085AA1BB54530580D515C2CAB4D300476548165A0190F4C13DFB941549471C01A0165A16F241850E28E4ACD7247B1AC39082';
wwv_flow_imp.g_varchar2_table(14308) := '56E97085154E7855D920A548E80C00B00D710314560861DA691D0A618313ACB5712786B000A08311DCADC08A38223CD7A11342C8ACA0720128B75E74771C618D0937C07721C8087EC8DCCDFE55F18A3120CA1521332424B85E842B0A770371193E71945B';
wwv_flow_imp.g_varchar2_table(14309) := '177297C38239828C5A933946318711D4D2A8021F40602F050836D0C0278DA90DE10473FB45B947F4365C41637335DE97DFA175EED9C463DBBD88C0A5537BE0259DFD4568FFE4A4533C336B862A78BA20F43AE03A340C1EC0A0A0A823004003B231029721';
wwv_flow_imp.g_varchar2_table(14310) := '7C35082183AB69AC606BE834403B020CD006406FBFF7B68866ABE1263C849A0D9F5BC69F752B9B81081C2F886F84CAB6086E88AC0620837D572861D5C44FAC3BECD4D0A6BC20064CCF1BA1D3CB7EA06683D386486EB9333BF7DC4AC9FD3C4409EA0EA982';
wwv_flow_imp.g_varchar2_table(14311) := 'DD7FAF6002DF7907EB0003383ABE200318488923C9736FD1070094F081FAE9A56F480900AA97DE7AEABFEF9E7BEFABCFC10A1F86D89EFA1C0018A285D9843A6887F80F7AC808248C3002802490A02289FEFFF79F118E80048914E408116982FE0E728429';
wwv_flow_imp.g_varchar2_table(14312) := '24C108FB2B6041FAF704E809661DF1B8E0051B128F8664D0FA211C2C0807D7B1100C8670840088073C3008C275C8031E0B91074C5EE88E19CA83860E81470CE191438CBC1021316C08107D280F2102C01D3674E10E2BE89679C4A389282CC83CA0180F10';
wwv_flow_imp.g_varchar2_table(14313) := '921000F3B0C713AF28C57948118A0BE9220ABD889078D0A38C0E89611A0190C678A811880DA10700E2F8C38CDC638D00D84741EC08003BF6518FFBA0072019924779ECA3900F21A421F118477ADC83918ECCE3129F620F8450328B97E4A24B2819C54B02';
wwv_flow_imp.g_varchar2_table(14314) := '609361B9C71EF7B8913D02518D05D947281112C982C4D0908A84A1220B39CB48B2529220C2875BF4A10F3E76A4967884E5466C594B5BDEF25FAA44261E5BA24A3E8ED298B22AE633C112100021F904050A0000002C770018006C0144010008FF0001081C';
wwv_flow_imp.g_varchar2_table(14315) := '48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336A5CD86FA3C78F20438A1C49B2A4C9932853AA5CC9B2A5CB973063CA9C49B3A6CD9B3873EADCC9B3A7C88E3E830A1D4AD426D0A248932A5DAAF128D3A750A34A05C06FAAD5AB58B36ADDCA';
wwv_flow_imp.g_varchar2_table(14316) := 'B5ABD7AF60C38A1D4BB6ACD9B368D386B4A7B6ADDBA8FD9CBE9D4B341F5A7E55E9EA9D697721ADB472F70A9EC9AE6019796CDD061ECCD8A4A17299FE00F06328135D7A7D1B6B26F9E6CEB0705F28DD8AF4520180023A17D3CDBB59643400E2DEDCD207D3';
wwv_flow_imp.g_varchar2_table(14317) := 'C100D4036802C5AC59756B8994CA198C0B8CF4EFE3C82FC6FD379079F2E7D013E68BDBEF5E3DD699CFFEF31DBD7BC2A3D43B72FF1F394E81009BFCB67B5FCFD0297500715B3ABF399EBD40A076EB330E1F5F6D7FFB06B993CA40FAF5C6DF7B0026686078';
wwv_flow_imp.g_varchar2_table(14318) := '0A36B8E07FFE3948106B12CE55A0771756A8A158F95058A1871B8628E2883AB50340610AB2A3E28A74C103803DD991189D39E6A433503AE60080235A2ECA18DD74FF04191E3F31FA682454F50854CF92F734798F5A4B0250CF3D451EA9D93DFDFC430F3D';
wwv_flow_imp.g_varchar2_table(14319) := '4B72D9A495603E65CF3F9E84F30F3C5E4E790F3EF884E96651F4FC034925ECFCD38E3EF7E853E59BADD106803E788275CF3F99C0E38A38FFC8A3CF3E8BB6F524007BF2399771995CB357869202E085159A560140154974554515FB0479C70E993EC70107';
wwv_flow_imp.g_varchar2_table(14320) := '026DA001000F84FFC58011FA64F98F1F0C00E0EAAE1AB89A2A633ABC50560849F4534E3965F451030E00D400000A03E9B0ECAF7A050B000B2C0CB441081B0814C2ABDF8610D50A358480043707C442C501D2422B90B32BB84B2D5D38E8502F41CE0240C3';
wwv_flow_imp.g_varchar2_table(14321) := '402B1C540253FDAE708017D06040EE40F2D6D0EFBC6FD96BED0BD37EB5EF0A2BE0B0C21914D7A0700D28709C2FC37349ABC358CC028043C91AF4CB714107834C570D229BECF0590A13D4B2CB6ADDDB56BFF20EA4F1C238A765AFC9658D6C90CA02D1B0C2';
wwv_flow_imp.g_varchar2_table(14322) := 'BE4137ED12D30201EDF4D41BE9C08441FB4E4CF5D622E17035002A2F3D90D24C2BCDF5D91E496DF3C768B7EDD0D76A8FEDF6DC103171F2C850D3ADB7443A18FFBD10D27B073E51DE8217CE030057E3C076E18C1BB4C4E10D491D77E354F7B0C4E3902FA4';
wwv_flow_imp.g_varchar2_table(14323) := '35E57A3FCE840E3C0CCD39E34B20513A003C2C21D0D7A30F75C20A219C1042EC270866BAE596F7DD7A51E29EE0BBECBE83AD59E6BB0B256E41C7BF05B340A6AF4E7CF13C897BFCF47B654B1012D00FB52D00C9273FD7C9CC620F80EAD90BD56B0600A03F';
wwv_flow_imp.g_varchar2_table(14324) := '90F769098B820EF222F17CF9D1AB7F74ED42BFE0B7409E5F4B7F4EDD525F0804D8AD0DAC4004934B4BEA6EB0BFFFD984000AC91500181001B76C6B5B2B28E00A5E4513133850206570430847E80634E8E50D0579431FE0B0C23BD044321F4C0E3CE0210F';
wwv_flow_imp.g_varchar2_table(14325) := '81C8C3452E72C70C7BE41278AC231EEB90C73AFF7848101E0631887AA3070094C84481D0431E4A7C4B0D9F58901A3A118A565C493CE6418F7838F120F49807419A48B97C2C6A1F314CA31AD7C8C636BAF18D53C1873DE6780F7BDC438C709C1A3EEA0880';
wwv_flow_imp.g_varchar2_table(14326) := '3BDE3131790CA4201D44841F14F29083C4D911425504001C6191454842231349AD50391200963CC2242909B2464A12930020022719F6494D8EF294A8EC8E073C7810208412003748A59B4C00035932CC03006801005065CB5FB1F207BD94141162699023';
wwv_flow_imp.g_varchar2_table(14327) := 'B8329856DA64418A40841D1C139932522634E775031BDC4097D33CD20F6290CD6E7AF39BE00CA738C749CE729AF36C43000008CE09A60E8CA00300E88005D829A279D23344F0B4003CEFC9FFCF7EFAF39F0095C93EF719CF1180600405ED800A146AD011';
wwv_flow_imp.g_varchar2_table(14328) := '2C749D01F58E042010D1CD00020092B9280000110781C010A315FD8D90C483A9909AF4A4284DA94A57FA1108050E500481A95E68338F47F52452042A1CA09C44A57CE0C32E6DBACA9800301F84E88335808A0B5EB0525287808831386D88AD8244D57FD8';
wwv_flow_imp.g_varchar2_table(14329) := '542B41DA873CE4810F3F11C42E4F7DCA55E1E3D390E423AA6EE1821536C5052FB475AD6F75EBA6E40AD7B902A0330241E11BD03086BBA261AF6F2883404A085800FCD50D6F40AC6213CB5834205626A21448157E50854D85059806E1024830BB196EC692';
wwv_flow_imp.g_varchar2_table(14330) := '9B02F92C2C01504B6E9696B40201ED0B6A292C18AC16B45B41400000808007FF68A0820D61C0015AD22D814460B70421800126C22A008800001E38AE0750E0010E34B7B81299AD8C88000422585794D47D6642806004576AB7272988C8F600C0410AB6A4';
wwv_flow_imp.g_varchar2_table(14331) := '640491A04072950006B437020888807A0712AB81400E06D8C40845019000FE6AD3995C812DF234903C0E1AC4C02FC9000606225F8120608202796FAEE0EB5F00E096203060654170699108F47744DE054077BBBB831F94F8C4264E318AA1420104738FBC';
wwv_flow_imp.g_varchar2_table(14332) := '2F4EAF8B59B2E081989720F0F5F08D21FCE083D4F22026C0252B6360831D14F9C8BC1448711390000424E0C212FA01668DB04B2060760758E62C563E2C10021BE4030531B0010C005C94E0605F0AB6B185E3EB601D0F24FFBEED8DC82A07E201FC267920';
wwv_flow_imp.g_varchar2_table(14333) := 'B1B4410C7E4C010757184036B8B240B0FC5D81FCC0060241F49D5B80AAFC16C5033DEE2FB7C07C60F2D61803EA1D2E416C9B2B0618A0C72081B26F27D8E08220C0BD11881505FADC10E76244D40E4255A1BDE2C1262704CCAFCAF58239A8694D0B04031A';
wwv_flow_imp.g_varchar2_table(14334) := '7880A7E78B11A6A9AFC6BE552F9B19BC6C81B0FA21AEE630311D9280FA524B9A5DC9357D0BE26B0413DB22DD2AD909162CDF06C31AC7B44D35459ACB6189D41600CFAEA8B631606D5F235B209FFEB4460877E172939A826CBEF1932D025D97FD40BB560E';
wwv_flow_imp.g_varchar2_table(14335) := 'F15B3470EF30239B01084080AF5BC20080E798CB2F897782AC6C90841FFCE36AB9F440C6EC5B608FDCD324FF29F54124B8E3DA3EB9DABBD3F25B30806B820CD70011A077C3F51D120AEED8D4B90235836D5D3C8F7BDC2DF4B679C5733D5F89E35B2010CC';
wwv_flow_imp.g_varchar2_table(14336) := '48C30D32E16F8F9AA527A931A5474EDB4D4B50E851177A45707BEEF5C657EC65C7BA49EE5D660D30C0EDF54D00CF55127408A7DBC9674FBBDA4312EC861800E21347498FE51BDF4E77DDC37B4FC9D4974DEF4E1B40EE063100047B2C768D54BC82F3ADE0';
wwv_flow_imp.g_varchar2_table(14337) := 'C0136F92AD1FA4BE1890B8DC2B0F809B13C4D644AF48DD1F0C5FAB739E253D0676DF27F8F8C04B1E00047830E9313E9107439CC1AF6F09A503CF6D88935EF29F9678C41F6C6B270BC4DA10A1B0BF4F396BADD03CBD387F7BE327E87C6E0B77E4CA7FFAFF';
wwv_flow_imp.g_varchar2_table(14338) := '9B714BB884E4DDE2A44F650B6C9002474385E154B7F1AB6ADF63E1DA1F829AAE3CEF1F225FF5FE9EFB9B2610B8C46EAB96482A30155347100C276CFDF57708410009907BB5577A90A77B1FF62F0C6171164710A0F661BD35101CB05F83547D58B17DEE35';
wwv_flow_imp.g_varchar2_table(14339) := '77F63766A0867711277718A7770CE673395671A756839BB66A0328101290483670806EF17DBE467415C85F3D9601F8C310BEC76CFE1761F5D56EC18712F4F6010C8001711679B9F766FB777AB9828109F17539E67BFF5710D0D75C4F78121C246CB48710';
wwv_flow_imp.g_varchar2_table(14340) := '8FE77CEEA57B0811015C88845D1786031167AA0600AE868722588620F1001FF00049E77850E76011475BFDE55E0AF10047B810114078E9FF666AD007003BC887500888FDD55E59485FD5D65E4EE65E1274618BF886BAF78597776A4F565BAAD65BEC4689';
wwv_flow_imp.g_varchar2_table(14341) := '26615B36D6642E987E0C2102C2C210F6F3104EC88A5C4100011075BC887BD2651003172BF31575BA68157E80089381087E5008C9788C685154D0388DD4588D9C73564BE51D61658D09610FF5E08DE09824DC388E92420C00400CB8F00BE8888EEA988EEB';
wwv_flow_imp.g_varchar2_table(14342) := '880B00300CF0288F00700BBF700BB70000B4908F06E10AAF300C04310CF9080C03598FC22010AE9011A9100B00302020B190A00000B62010B6000C1509502D70801AB910EB949102D102BAD402ED26011FE86C1B80021C809222E05C2C600228A0612660';
wwv_flow_imp.g_varchar2_table(14343) := '3D0E519209D1673018113AFF675B1974522E00042E00003E09113E48102F508B3FA603AE551048292C2CF0024DA911EEA23F02612DAD0200351601B785015889950C31327DA303D9D2330115943EE90243B95D02E193412910B4845A05C12C46F302F522';
wwv_flow_imp.g_varchar2_table(14344) := '9772090072592FE8B5102B83031D030046C32CD6D3317D994011C1368319503F291089E902E9341043805010C14A77E39753899743830372D9400EC136F03310C28203D8029A10E33F25C03E141136C253512E6096ABF9936739108C0999050104438068';
wwv_flow_imp.g_varchar2_table(14345) := 'A4A53F23C32C3A639930F399BE29337989102723107C093FC689022C809935003177999A16912F3553330C0304B2767061919800E05002F19A04A15DEFD32C31931075FF791128A038E8F53ECAC99CC1791150F33164B334621322D5B55D7726624F4150';
wwv_flow_imp.g_varchar2_table(14346) := 'F044500A219BD939042A60968E7996C6B93C27B338192193D1E22C250397EBD93A4586103FD05D56F14E07C19F00C09D43E99A047132622912EE422E6CB33CCDE29725A399FF23734C41A1EF44A105A19F23600190299B0748503FE697E5F92E44E311CE';
wwv_flow_imp.g_varchar2_table(14347) := 'B232D022930D5A3E88660491659FF5F914330A5106A59F2D2A104A3A1016EA33E5B92C2C60A018012D0ABA321C5332545A3EA8822AB639151530101045101015A64E4A104DDAA4585A125BBAA16AD402D3868714B02A6DD1A42CA33056DA31539A9C26C1';
wwv_flow_imp.g_varchar2_table(14348) := '2C1AC3464126A70201017BD818E4E22EF9022D8ABA971BFF912F0B3A2D6D5A3CCF2501AC469350B1058685A90A61A70A012D0B63A538BA30CE223ADD045BB9B8011CB083B9081526D410EEC4A4108102F11237B22AAB0661A2C8348979B8158DC0912E0A';
wwv_flow_imp.g_varchar2_table(14349) := 'AB1A2102B51AA9C1B4AA5CB10C03A1510DF1A420D8A10D219DFC54A383D15B3B4998D10A0320805F35BA0170208D6F313DB08375DADA021CF0514CB1059AAA112D5001E2D25BDB934119C42DB2F38119B001275002FD725CD6DA4B8E864D7060154A1011';
wwv_flow_imp.g_varchar2_table(14350) := '697AA14EC82DDC63AFD2A32B08118AE1D47ED89A6120A0714C01021650011D60B10080B1FB2910667A10DFE22D02813F96AA2DB1A3B0F704074D25159C8A4DBD72B01241AD06F43AA6498E38A19FE2FF022E04E6650FD12DFD12B3F60A4E05F7169C3A10';
wwv_flow_imp.g_varchar2_table(14351) := '5E062E5D36B321ABB027E0B3482B4B7D26B10EB202F70A3CBDD32A063B4D416B1FDC72B5DAA22B5BDB5B5B9B3EF28AAFBDE4AD6D118919313D1A9001E2C2B646BB3D232B48503B1737E910F50A11E0C2B034BBB71E618C7CFBB7920AB866114582CB155E';
wwv_flow_imp.g_varchar2_table(14352) := '54B860B1554A944588AB15F130568D9B157614B9945BB9967BB9989BB99ABBB99CDBB99EFBB9A06B112417BAFFE4ACA4EB13742A10324010AB7BBA26118CAE5B1493E77AB1CB13653611E1652411A07171F8127EBB35B5682409F06C6586AA2DE1746E13';
wwv_flow_imp.g_varchar2_table(14353) := 'BC46D26785E81262F7BBC06B251584B62AD163A30B00B375BD4EA361473270C4B712C4FF7785D1DBBA3ED28872F7002B99BE593B12DF0BBDB51B6176775CC7057B10648CDAFBBE57678C1CB09278C812BF887BCD81BFD0A664FCEB012D89A01FF1BD020C';
wwv_flow_imp.g_varchar2_table(14354) := '82F36B10FB2B802260C0B8C45C2C60AC0B3C1205B7BFD0955C0060022210933169C111A1C0172C111F7C5C211CC1115CC22E015D1C20931E844B22C0020D6C11B2C8C20AA1C2C9B5C32ACCBDC6C52AFC3BC238DC6A78C8BF352C80D7B25CEDF6C0EE3610';
wwv_flow_imp.g_varchar2_table(14355) := 'EE3BC425B9BEC6A5611CACC2452CC50F01BB436CB20211C4349C5C1EECC10371C41571C35BAC646C0964151CC61841BB677C10718BC56F4C123DD00342B04B0681A216912D643CC70C211CC2210E7EDC128C5B453474C83794C812FF414383AC1035240F';
wwv_flow_imp.g_varchar2_table(14356) := '680400904CB80B410F91DCC82171C998FC129ABCC99EFCC9A01CCAA23CCAA45CCAA67CCA1ED103B1A4CAA84CC7ADBC12F3F3CA565262782C68FEC44B3BD003788C1C26004C3F200425D60332A7C7E184CBBA9CCBBB74CCC73C18C4D403A8A2CB17110CC8';
wwv_flow_imp.g_varchar2_table(14357) := '100984201087F00A9C64CCC9BCCDC88CCC7BC159D0FC1009F002AC94BBC93010BC0000B520CB8306116E405FA96A10ADF009AD0000B8C00CECFC10AD9A10FC78104390025F8A12860009B1EB4211F10BF0F8048C6603EE37128C1090EFCB01080007C9F0';
wwv_flow_imp.g_varchar2_table(14358) := '0B05510BA1600BF82C10470000D684127EF0CE2C5C06C9008F00700503210614F90B7F51A828010AD8D05700354F13FF50145CE02903E10534C1077F205803B10862B0089D0000656008CA8842DF644F0241D34AED13329DD302A15931F1D44F3D58488D';
wwv_flow_imp.g_varchar2_table(14359) := 'B92B009602416502A1D270AC2BACD2BB2BF1A303B14802816D6E51D3DE31014DFD12B5943A7EC9024F00006AA0290251D5FE635C2BF1C404814D58E6D1E41BD06841A81310011C2004292003B554B70CF33CC1EB090931979849D627310333E004D2CA18';
wwv_flow_imp.g_varchar2_table(14360) := '6A4DA800A0D6689C1C6C1DDA3411CE7ED9033A7D10A1E397A9CD03087C1221B0024E3003B8AA17AC56D31C3001880D03E4EB164A6D019E8D14ACBD10A1133ACA9B122530030070D983A6CBC04CDA6DF1B403C1D900D0BABBBD12714A13A2ED10BEEDDB4B';
wwv_flow_imp.g_varchar2_table(14361) := '3D13D7FF7D10A0A33F87033A2B613DB1AD199B9DAA14A0D6DFFD12D09CCB3B10CB2BD1D60D614FBF0DCC3B013AC3ADDAFC3D324EE9C319C103CCD22F4E00DBC49A16CF16822E3DDA7726DF28F1DB0B91001090853B7003BCE4CCCE6C125CDDC70B41DE94';
wwv_flow_imp.g_varchar2_table(14362) := 'C9034519127DE30421A0DC8D41011210826ACD2AB92B13ED3D132EDD7DA7977E45AA1237C00331A003005E13315003C87D103F4E1710A0D6733B17BC078B1688770B8165357E12C4F4E2347138D0D2B40070DE057EE05A91E2F0D6BF1495D87B71C3B0A8';
wwv_flow_imp.g_varchar2_table(14363) := '10728C122D6E973CD1DE6056E2E20266B5C33E069C48A9271114B5E09BD10348203E9664105C2D10A1D2D15DF1032A00E800805924D81684B61002FF5610ED071DE520C808910EC2F110E6500E39B215E010E92735455354450351C80DE1E94FE1E95D24';
wwv_flow_imp.g_varchar2_table(14364) := '0F87AB175BB2254E140FA0DE20807254F9FCEAB01EEBB23EEBB45EEBB67EEBB8CE46829DEB13B1EBBCFEEB23015A8BEED1A1545D858EEBBAE4844D0EECCCAE118A76ECCD9E4B1B22AC1BD397798D5EAD7DEB625CED6D9AEDE5835DC54E5DD4B51068DD20';
wwv_flow_imp.g_varchar2_table(14365) := '2C80020834ACC6152F1E63BAB5BE5061C933B3FA2C3CE346E33E2F636A1358FE26C47C244ACDE12F61ED5BFCDA7A1BED0501F006FF4DBE9EF00C4F1129105E20B0E3C09E02D94AF11E14F17306262620012D9B4A11CFB794463B63E10124A9AA251FB715';
wwv_flow_imp.g_varchar2_table(14366) := '525C8C1D3205B175B5533B9ECA15BDFA85E21BB08335EF23137E5BB7D51A3AF36B0201669E07A5CE22D64B11B4D9EAD1F995D922927325276C3A97734CDF16AC0300B5B36009C832EE3E1420C0D026E068BB3E6D47D620661A2B8D68613F57102B0F1646';
wwv_flow_imp.g_varchar2_table(14367) := 'B302514F164486104D2EF1D091EFB0925E646710155441B3E71633961536A07045704C430A2664161165366C6311F30351F05791D9D8EA41281EF956E2DC1511A146B003D883F96131D7382D1649300479DE48D625233D52FA16414433240F3A344362C1';
wwv_flow_imp.g_varchar2_table(14368) := 'C85E21443544449DBE44922C23F140C91261459A4EFB90AB1556D424F4700F967C0FFB60C9900CC95C218E8901484F78C96335569DDC15E288365EF53F68E51101010021F904050A0000002C30000000B4015F010008FF00F109C407A0A0C18308132A5C';
wwv_flow_imp.g_varchar2_table(14369) := 'C8B0A1C38710234A9C48B1A2C58B18336ADCC8B1A3C78F20438A1C49B2A4C9932853AA5CC9B2A5CB973063CA9C49B3A6CD9B3873EADCC9B327C87D40F7F91C4AB4A8D1A346830A45CAB4A9D3A7503B2A8D4AB5AAD5AB4DA762DDCAB5ABD7AF60C38A1D4B';
wwv_flow_imp.g_varchar2_table(14370) := 'B6ACD9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EADDCBB7AFDFBF80030B1E4CB8B0E1C388132B5ECCB8B1E3C790234B9E4CB9B2E5CB98336BDECC796DBF7CF9F8F1EBDC121E3CD271E1B903A08FDFBD82F55CA31E29AF60EDDAB3DDC253D7EE';
wwv_flow_imp.g_varchar2_table(14371) := '75EEDF95FB0108A7AE1FBD7F06855BE5071AB8F399FCFE652BA74F5E3FE5CAADDEA3E7FBB97796F9A497FFCB47EF6B3D79E5BFAB4F197E7ABE7AF7B25B154E0F5EFAF54F912FB588FCE4BFFEFFDDD45E39F7C027DC69F30150DF7D758D86DF48C85DD74F';
wwv_flow_imp.g_varchar2_table(14372) := '7F0B51985C3FD12967A17C0849282100D3D1731F8257D587DB41D71D6421420102A01F3F18EE231A00AEE953D03DAFC996CF3DA1D924DC3FFDE0885C3E095D472400291AE42092078D769D831C7EB50F9051165964952031678F3DF1C4C3E5965B36648F';
wwv_flow_imp.g_varchar2_table(14373) := '415BCE03C098F100D0259906A5F9A58BFFFD37E135E2D0534F41EEC0832553FFF0238F3BF22CE9E175FFE1D36287292AB7248D30BA68A38BF928171E72A22D0AD3A0F7AC58D08F18C27864870010892191F18D16DE6838BA48E367F121B927514225FFD9';
wwv_flow_imp.g_varchar2_table(14374) := '907C9A8604E07FFBE9070050150AF58FAF054D89DCA10F0997E234E2A087278955F909A8A083C619E7A01FBAE84E710094134E38C39A934E3FF884C3CE3FF58CC7CFB6F2509A9CAA11BD2A918705FD570E3D47BE86213CEC1448CF8430B66AA98A58E2A6';
wwv_flow_imp.g_varchar2_table(14375) := '699F4F4D29AB43C346E8AE4549FEB34E20798431474113CF114641120390C7C4195F6C31C71303F0B1C8066D6CD0C505E531493D1EFE43277AC8E5C95C55C8C9D34EA017BA78DD94EC08C36D92831ACA0505E97240010277F4A30E054900604E0049FC93';
wwv_flow_imp.g_varchar2_table(14376) := '4900D9DC414102D1FC73CFBFEF565BD06895168BE13FECD8F28F38CC847322A5FF19D28E8BF00CA3E23FE121638B8BE574C3CC2DFFA4FFE2873A6413638B1FF294F3872DFD6412893CEC80524EAD4519BC704BFAD8334E0302642E804B0D5CC0B2842E27';
wwv_flow_imp.g_varchar2_table(14377) := '7B1C00327F4A153DECC00325B5FF406307136294032CE8C289534512A9E063C235E518700D3347FC704D3B0FC0507500C3701089697DAEFE248F384617E7A612117B6578E1F8F14F379974934D24B4A863C835FF0C13C91BE26442CB2D2694930D24F610';
wwv_flow_imp.g_varchar2_table(14378) := '238ED6B68032A12BE580924A3FEE7BF24F34AE68C73586E18A6B44E21AEA40C62DD261086E71AD30FBB09C034830800A5630219B2B00000A20800170700000D85C08358890CD75B000205440073737000764E11CF600DD35D4969E3C254841EC58CDA6A8';
wwv_flow_imp.g_varchar2_table(14379) := '250F556C62119BA8C5AFFF9824A1D744620C86A8423D7E90B523B8E20F88B0C21DCC418431F8A10C3720C634389084C7F5C85513425D41D4A18E7414C41C0048473AD4914632A6718C6A6CA33ADC71A78518E91FE5004026CA90094F78E20EFF30442618';
wwv_flow_imp.g_varchar2_table(14380) := 'C10C4388C310DD18861F52C10875C0C18FE1302386CC660E50FCC31C77FB072D90F10F4F3CEE16C8A0453F90318D7F80825BCCC806DD72229A85892A4AAD140E94B6E6355BC5631C0E7040050BC0C10F82F0821EF420093718C25F164483C30480029459';
wwv_flow_imp.g_varchar2_table(14381) := '41050CA08321BCC0382245A897E1264F93330AEADCD1A878814E1EB5E0453354518C3E51E949134A82013690806CBC6018C330003360400103EC201B3FB04502FC40FF04FC8983029920979340E78E3C02401DE6E00D00D8F146361E148DED30E34111AA';
wwv_flow_imp.g_varchar2_table(14382) := '467394A31D90BB63380CC10F66F81114B4F847193C918D67583212B648C51B5C11402ED8827C5AEB873952F10F640C433A8823C633FE910EFF31431CFDF0C43D5C118E05BAC816DD58254EFA839D56226934FF3195AC5A8421464D8A519D7290939AB455';
wwv_flow_imp.g_varchar2_table(14383) := '1AAD8B2112D4E50014A08039B4A10D1710802E5988CC828010006F856B0741C84B628E758329FC652E612843D12D2B2AA6E3C7361735A87D084315B550053ACCE921ECED201CFDF0422A9240010E0C031946A0873994208C2A842309C3B0422CAA00812A';
wwv_flow_imp.g_varchar2_table(14384) := '8823540325143BD2118E6794C31CD360463AAE310D73FF3C8319EA108738581B8D6E9091B6001047385EAB8ED628E449FF084740C3418B57B0F41FC4F00333E4C18848F8811691884435FE900D4F44A2A7DD08553A10078AE3886318EA40832186718B6C';
wwv_flow_imp.g_varchar2_table(14385) := 'D0030E9060C633CAE08A6894211259BBC5FC1E0893E48A63529F095076FEC18CF8D0ED4978DBAFBA700A270759C8370E3E5274424544854410970E40A100CE2AB2369055011720EB052E0057B806B3000A28C0884D6C41838C98C4CE7426001C20CD1856';
wwv_flow_imp.g_varchar2_table(14386) := 'D3AFA46356538473A26D52D543FAD847398A518B63A4631FF6929370F6912E4ADD431E42A9C72AF7711E4311AC1F662262C22654462E8C010DC0B0012D2A41DF48102115ECF0C30DD471452F0C83FF117E00C51DA6C1487C21EC1FF818939485620F4395';
wwv_flow_imp.g_varchar2_table(14387) := '0370F518D725E1F10F9885A31DBC826A36CC5620D1B0A31CE928EF3FDC618E7149321DE570C73FE8C1DF970887169400453BEA91543CA6631E8C83871ADD910AFFF5431EF3F84F36CA00076624375D8F76C34E0FADB574C8A3D2D7C2633600000F71103A';
wwv_flow_imp.g_varchar2_table(14388) := '5C0785D48410D58F295D4EAC1B0EA1C8420680475C60166805C00572E9006D37600EA67884223AE780303CC2850551842268EC0067B61000E380D18DE5118FFE107A3E829DA3F376B68F7EA4E3189F200794EFD11A18099835068F537CF88521EC00C945';
wwv_flow_imp.g_varchar2_table(14389) := '33A31E3AD5688554DCC11526008599BBFB035764C30D492864260C010734B8E3356EFFB0C21FDCC85F4EC108AA770C959C261C1E24014838E1A18775A0142F426BC8581AEAAA4DC2530960FC271591D8161C90115C4FA4020DCC88041CE0908A72B8C21C';
wwv_flow_imp.g_varchar2_table(14390) := 'B2B6853932913D8F7301182147061C18918E37A402146FF08327B2850C3F2023136860443B14770DEF728B9A5172762E4F8856112A93C6D8BEC420C0AD0B5D0C421797788400E6300707E82210857F0400B2C0094E0CE2119708772E2B48E378F7551EE9';
wwv_flow_imp.g_varchar2_table(14391) := 'CA71A78F82217ACC918812D2C7A6B9F18945140211B5509B3EA8152A22BD7C535AC5EA5377AF240F8906A15E00C2F892401C4F2481116550872762700443F8010671F6823BDE663E3FB0C3A10C29E29D4A0FA71E19ABF6AE028DFF70E2431EF2736755AB';
wwv_flow_imp.g_varchar2_table(14392) := '82DCD778223D5B18D20B00708527006788AD7B826F94A04535C2610BBE652A1C5CF037D61509C860498C000F7F503EA0105044E509E1000AC8700D7E900995F0804E476077600866434D16F60F18B64217F0088C670ADBE60002C009BAC00697300BB390';
wwv_flow_imp.g_varchar2_table(14393) := '07815010E39007DF360759300BBA600A793008A69005A6A00BB3600AA23008B3B06DCFD479F23627C952473273158295433B5444D8100976500567E00562700663D009661421BC4761D4333DB204733A03270172844A630E65400C5C100947A0387E3081';
wwv_flow_imp.g_varchar2_table(14394) := '40E0097C640B635006B7F006CEF7069EF006D9900A86B01B5E755C1FF21FE4211B9B4623F0C11CA9F2235EA5545AFFD37D28B27E480123D9C00E7FD076AF000FB4900AED80528FE40AFDF007A910507F800DFFF036D90007DFE25DE56040FFE007ED6008';
wwv_flow_imp.g_varchar2_table(14395) := 'C4900AB76008FD900AD99009D9000A9EA03891405291000C99500E85140D10574BC1E2817B174C17300723F60864250061A00B24F0086D207900300B73A00B59B0788F208261600A3478832C186E97308D44F84CD2D43233A42CA2876FDBF484D1110E6E';
wwv_flow_imp.g_varchar2_table(14396) := '50055E3006563806FA580591B02F83C838D1A16AFB422EF4900EECD028C84168BBF16AE92022EAC00FB13121448246E9600EC2950DE1100DE2600ED9700D6F245CDE220EEE700DD3A10EE5B05B3A947DD7410C0D0427C8E00A0C811C05820CF3930D37A5';
wwv_flow_imp.g_varchar2_table(14397) := '0E8CFF400CFF700B9EC00EB1D1244E111DD9C008666340E59038699309EDC52D34090AFAF05D72C353D98021EC9009C4600EE45360EA4080F9606BC3950DEAD00DE2503FD7800D6CC40ED11009ED600B990038F2961040A18C627541C774016D50102046';
wwv_flow_imp.g_varchar2_table(14398) := '56CA04631B946202306299D36DEC366320D66D2166629DB30EEC886336048FA7E77BFFF00CF007006F50066E5006FAF865ECD032F8900AC3600BEE400BD3900D53C95EB7500ECF8075CC6053EE6037CC600BCC600EB7700BB64628F9D00E6414476BB450';
wwv_flow_imp.g_varchar2_table(14399) := '6AC40E0C85106C940E6F5310D7A70E0C8228FFC70890260E496752E5100960C952E1000FCF300C2C930E07D437912035D56008B49052A2D41D51FF31614C12219A4224440252C915294C353D5E7524AB54734C158951022F0811971FD86209D14B1A0442';
wwv_flow_imp.g_varchar2_table(14400) := '73154C1BC4416E05572884426E25006D356359B00EF640252E43437F058F4E0846D1C1405E6005F66805626005563006A9B02F2FF70FF06036D8700DB4100D09A40EF2750BED805EEAC037E9105BE1107FCFC00E34790B17322AC62122F021100A2122B0';
wwv_flow_imp.g_varchar2_table(14401) := '510F422A2276B235D91727A06049EA600B70300C55E70A7E300C6F90478B460C2C231D59D30EAE000F34150D86F067AF102457F11E48F21E30520FA171275B451EE9A070A3F2548918298D82A69FF1194EE51AF0112AD0531EDB878CC172619BD762BCD4';
wwv_flow_imp.g_varchar2_table(14402) := '56BF545706AA106FE5410671A88AFFFA4B2D74010D2A6F0FEA8E8D5915A5F7983C24379ED0099D90099DE009D1602312121DF57037D9C00DC3302E03A4A2F3330CF8C237EC900DC2E00A4BAA0EF2E00AA9C02D462A7111F2963CD21C5F332302F6243362';
wwv_flow_imp.g_varchar2_table(14403) := '47AA721CC810091E7507B61009B7000A65E0A49A040AF736273B950EAE400F01653ED9600EAEB04A557516D383770D319F0D113657723006819F02E06E74C911023AA025564217300F0D3A6F35A427965A7A39F496AE327BC2510F3C5A0FFA20AA60A435';
wwv_flow_imp.g_varchar2_table(14404) := 'A9400CC3E00E05E40ED8DA0F82130E9F690EC3500D5A476CFF600BA4840CEE300CA313890A317AD4C3280E4128E6D08BB6E05D7EC09391000A4DFAADCFD08F91206535A54AECFF008A8A940991F606DCD216AFF47D31C985E73AB24AF25509111DEB9005';
wwv_flow_imp.g_varchar2_table(14405) := '59E04224561082990517B0B433E6104D0B002430B54E6B102EC4B459D00583506F9F774D3A06588345B4C201B005DB0F3632614A8624F0302FFDD00EF322A2222A0E0789463CB59974D32795766F75E41284723649E50E87067AEC202E025B3EB6C6507D';
wwv_flow_imp.g_varchar2_table(14406) := 'A227FF1128C9A569ED303FD6831AFF100FEB80B909B10E00B00E9E9B2669A22699DBB969720E6D720EF160BA0A81BA9EAB261332214032A9F98A15E4D1AFF4B97B0ED26FD911B8F3692C9F722BCB762403E69E97B26C2AC22470A20EB4701C46F2230335';
wwv_flow_imp.g_varchar2_table(14407) := '268DA81ED2724E29222D243128F1D28EF92AB24651BBDC64ACC9FFA1BBB02B6021DA4ABEB12283F863C11A13A36A29C45ABDCD7325C9A12E0FC20FF660BF12A214FB6111FB9BA3B06B10B21BA154817365BB4376A4BBD65B2DD3C3BD72B2BE46711D3CC2';
wwv_flow_imp.g_varchar2_table(14408) := '359D22BD2B62BFFFD0A06472C1FDD1A01CACC11DFCC11E1CC2208CC18C5810D624C055E1BDDCAB92004C25F142555B41AC08315081F82073C3C12E02BDF13226179CC33EDCC340CCC342FCC3F16273EC822C947A2356A1C229911DC50A15327C5C2BFC1C';
wwv_flow_imp.g_varchar2_table(14409) := 'D6F3BF0DFC7058CC296398C55B8C604007C02F33BB57F16473141A4EB22484E5C460E4555A6586E10A36461B88EEAB557B32C510A1AE15B6A670DC2929C273216BC738512982ECC64013ACFFE235C5BABB39FF2A898A82AE8B7C11B9877E4FFC21838CBD';
wwv_flow_imp.g_varchar2_table(14410) := '82FC84A3FA0FD3100E409A6358F119F661C3A22C1262090FD6416C56A127028B233A077A29B910BE5910ED30CB20F19B0040CB0661CB0CE19B0CE50E29C9CBED601AAA317D07717DB17C10C24C3AD367CBBE3C9CB79CCB0981CBBE6C15BE3CCD0E61CBB3';
wwv_flow_imp.g_varchar2_table(14411) := '8CCBC5ACCB1931CBD57CCBEDC0CBDC6C11CE0CCEB4CCCBB29CCDC479CC0BC14664A40EA7910E79820FF9601F80CC4A055191E6B0CF068146675491694491021DD0040DD0063DD0075DD0037D1009DDD00B4D9108E1CF6F549112751012CDD06794CF0895';
wwv_flow_imp.g_varchar2_table(14412) := '4666E4CE180D9C0B71D13561D0FDFC4611FDCF4E6346DE92D22CBDD2DEB2CF2A5D510C4DD124FFEDD2109DCF335DD128EDCF2E1DD32DEDD32FADD0FAEC34286D462A4DD41C6DD4359DD210651AC72C9E4D211A4442A476524704111342FAB71F31100DA1';
wwv_flow_imp.g_varchar2_table(14413) := 'D513C1D508A1C37C11290020A4F49C0F02510F3E6A10FA20B0F60ABD5B922A002010A051B00371D52191D5F51026674D107A3D26A0D11C035126F64065F2601F7ABDC4A391D5AF912A5EBD127712D98FBD1138F21AC759D60A32D91021D7B06127805120';
wwv_flow_imp.g_varchar2_table(14414) := '7504D50801DA552DA405717E737DD63752D923A1D7A10D1A0451D50611D8683DD8438AD9F05120A2DD14BB0D7E2051D9F770D76BBD10AC1D1281DD10BD0D11C07A10C96D17A0CDD8C08D10F960D7F690D50000DCAF51D705AB0FB43D12D8FF5D10D3CDDD';
wwv_flow_imp.g_varchar2_table(14415) := 'D75DDCDBBDDDE0FD1EB93DDEEFC1236341DBA62311722DD7C28DD70911DDC67DDCC48D11A0D1D891CDDCF532DE6BF1294FFCDC42CADABE1126E19D676132DB472210E50DDB67BDDC1C01DC5B12DEFA20103812D70457DE8F82E14782DF6501AC4F0CDE07';
wwv_flow_imp.g_varchar2_table(14416) := '41DF0501D6DDCD288B12DC2A11D8BD5DE0D2FDDE8E6D1095ADD59E7DDD98BDD907A1D94FA1DDBEF129A05DD9EE3DC3768D0F1194238A28B0A152B0E72DE11CF1DE5C3523125EDEAC41DBAC8D9E1F4E150461AF08E1A30A3ED72A4E10FC20E6765CAC77CD';
wwv_flow_imp.g_varchar2_table(14417) := '10830C123EBA23A663DAAC81E30DA10F3FBE230417DA9ADDD8ACF1280EB1DBCDCD139C7D237A7E23C621E7F720143612E837FF32A4BED1D8A9E2DEF67DDFCB9D0FBC02E03702E541CA20797A2796BEAF8B8C1DD94414C42B8895DB2EF231E26FDE2E31FC';
wwv_flow_imp.g_varchar2_table(14418) := '10E1B01AA31EBEC1A210BF42BD2811EA1EA12867F105077105575010BB6E05BB8E10BEAE0565A00509B1056560106820EC06F105C2AE05CC3EEC5F90EC1D81EB0080060A51065C000063E065DCEE05D90E00F7D8ED05B1EDDEBEEDE6EE65E5CEEDF8C805';
wwv_flow_imp.g_varchar2_table(14419) := 'DE5EEEE9BEEDDAAEEEDE0E005650104F401575380605319906E1054960055E10F0FC1E11F067ED07E1066880F00A9FF00CBFF00EFF0608FF06D52EF16840F1165FED08CFF00D81998B21011020010891000000F2220F00155010205001299FF213701027';
wwv_flow_imp.g_varchar2_table(14420) := '4F122D000020FF20F300900231FF101B50101C70103B0F00391F113F7F10416F1022F0F33D9FF31A60100C60000671000010000450143C501038D01055700D1BF00028A00149AF011BE0F5603FF44A0F003D90103FA0103B60043BF00367AFF66C0F006A';
wwv_flow_imp.g_varchar2_table(14421) := 'EFF66F0F113BB003080103535F102FA0102600002600037DFFF7820FF8301003653102888FF820D00100D0018BDFF890DF102F9F10930F0023A0020EE1029A0F042E300440E0F92E5004A11FFA9CEFF9A02FFAA85FFAA57F104450103700030EB1F73A10';
wwv_flow_imp.g_varchar2_table(14422) := 'FB0531FB07F1022F0003B60F002FC0027AAF032FA003BA1F03C25FFC0521020791F40F60101190F44481043B30F5B3CF022820F4460000CCF0022BF00228FF50030050FD055103555FF500E0FD2150FB3371040871FD44D0FA0BF103766FF74020FF676F';
wwv_flow_imp.g_varchar2_table(14423) := '168C6F1033EFF8F7BFF8339F1000D1A14207000501542848B0600509003A3C0430C2E0C482232CBA5031C2050015005C003108F223C68F210D8EDCA862C846833F0ABE8089E2C5C4993A64527CC902008B173A00BCD00954A70E1C3C77BE405143270B1D';
wwv_flow_imp.g_varchar2_table(14424) := '3E5FFAC431B3208A0D05350008713504568322707E051B56EC589C3D9620F1E9B304CE1DF0FA2143B10240DCB83550240520B7C68A13148F143992A4489223008A00287C383162C388031B3C4C1672D9823F8888B591F9065B203B247F061D5AB4588911';
wwv_flow_imp.g_varchar2_table(14425) := '0D8E50E890F4EAD402598EB568D1E3461743FF340E5151BB63EEDA1E8718C43D7B08489005614CB489A346C11A519BA2506E10BAD2A873012C87FE623980B4CA7D52FF499168D1A23B479F472F7909801E1371E03C81649FBB7ECF74D89DBAD7E072B934';
wwv_flow_imp.g_varchar2_table(14426) := '006098CAA0C500108CB0C61643B0B1020D4B8241070773B0B1F362B0E1ABCE0020C283F436E450B4D6BE2A2DA28D340A4BA10E42F4E821174E842D368F0ACA0D468F4AB36D221752AAEDC6893A72C12513E682CAA0EF50B0C926A48A2432BBE492C421BB';
wwv_flow_imp.g_varchar2_table(14427) := 'A86AF0093AE6A2C3A14AED9AAA72CA0EB7DC72091EBEAAE18424F6F9079E6F22F9602EBBB6032B4D0300D82CB123886830093A0B34A2C1CB083BE2AF3A278230D006039510BD1600F0ACFF33450DD2904B471F35CDC4F3508BE844162D45082216BF2268';
wwv_flow_imp.g_varchar2_table(14428) := '538962CB68B78A4EE3E8B582488AB1D4E28AB3893B22B1430E802A8BF4CE27A65028C8A6E6EC522EA924AFDBD5A0F7EE738AA2F72045162CB3900000092F0B7A8F86E5E2DB07116800F800D7EDE45A814D8A009C8B88C00033A2A0238C8090C0C606CB33';
wwv_flow_imp.g_varchar2_table(14429) := 'DD82220BAB4078B7BC3051008CF831597D914D2D2CD9C0EA573289240D38A2D22CEAA0238E4ECD2DB71031F248E11F936C0A4A28F7C3D53A83A47AA1281D662AAF86E59A34482E5971CA72BC617120AAD87D5F3ECBAC8298586EBBF81009A0934E0CF0C9';
wwv_flow_imp.g_varchar2_table(14430) := 'E46E99F36FA2BEC48277B0C3E4158C40C5D44D7AA2C2DE1D705EF42EACCCFF25201A7D39EB2D29E5FABCD44C3528354A4DFB94220B4EB3A0B480151E21D4B665444A64EE64CDF858303776D958FC9A839605E55816D2EE5C5926BCE5C205D75A341E7858';
wwv_flow_imp.g_varchar2_table(14431) := '6287F50CFAF23A60F3D260852552096185F74C2E68851582F6962279CD5517B1A2015DEC30C5A45EECB2C45F871D27B0434311B40E66A7A8F6820D3A7BEA438954D33D8A25DFAE4859A5326F27BEC1FA9BEFF7D82C36EFD8B95CC2272478703657E6846D';
wwv_flow_imp.g_varchar2_table(14432) := '0ADB6ED91CBA73F4008BD0A0419F16506AAD7FF8C133380188617AD815FA57DF2DC4DA94A2DD4BB4A00310F0078142027828E6E0053AB8AA12C580A731EDA5453A2CA819AEE8C22BE8E8E46417B49BF4E4C72126DCA0FF8367390BE3BEF41E123EAF6492';
wwv_flow_imp.g_varchar2_table(14433) := 'FB9C5E42C704FF6C6534E8231458D4B7411A26AB6C1231832C40330284480677FA9B148C249291528D066BC999CA7DBCC31C0D1E470716548AF274E2AD9A15C46F28335C161157C3CF54EF5900380B1398C50463D98D7389FB4BFA287299791507592638';
wwv_flow_imp.g_varchar2_table(14434) := '0E17A7D72900C80217C1F88CC2B854BBD198E17E00D8821946F302114C514DDA6A8EDF98829F5C1D27064E79E290A228169295C7921794238744B89E1D88B1594C68CFDCC838B7EB484B7C9D0B9A7F82261DBF442631830254833E030422D0F2750FA000';
wwv_flow_imp.g_varchar2_table(14435) := '050070874CDA9020A3D0211E93B58E82FCA3227C3CCF16EEF785826C410B05F1C1FF40C3ADBDC4452E49FFF11B05A1A7BD8E31E5334D8AA225754242618DD3821AEC254EAAC71D67F180098E8B1C19A527AD2A1A2468DD3AA37818A334D3A507242E899D';
wwv_flow_imp.g_varchar2_table(14436) := '04AA92CE97C942989022A620F7A5503914A4110551021D43B3828C15704D19BB18773633379041B0A213C9185E421796628D94A061A91E13DCD949B4408E7B13A901133C57329386A54F466B1A588830C3905CE60740F829007E0A502E618D038D8A001C';
wwv_flow_imp.g_varchar2_table(14437) := '4EAA2F59FC62A9A3918641A2999E7C9EB25BD0218A90D04345C16DF1A992599E3B190780C5F964944CE8DEB138F7B953328F2279721D45782A1A97101551404D161FBEBAD789E4CF51CA00872770020A9C8C000463FBCC0AD632168A760B49F7515EFF3E';
wwv_flow_imp.g_varchar2_table(14438) := '4FE09589F005271F05534501C7579CE840A55F442B2907F795AA86A5A6896B1FFB2AF4A80700C0989C856D412600296A00E0A15FE9E1CBCE2832ED9496B479C1895C2098BCF7E025B67753E9671D384A833061B362F1ED866A59CBB0ECE007ABA58867B0';
wwv_flow_imp.g_varchar2_table(14439) := '7B5CEE7628603D440832B978C6E8AEC0855EF11CAEAE79DAEEEE6BA42AED5EF51CA8031AB0556B71358867DCD75EFED2502139D0633AB712821284AF642108C1064EB0150353B4ADE2934B5F2C3BCDCE5593BDC765D3E20AE2C5B19A7673ABD4D77E41B3';
wwv_flow_imp.g_varchar2_table(14440) := 'DDFE96984B5628481C4EEAC2CA2AB8202C763170C172821554C5B2374ECF85BB2B569F7C2984EB04CBF20A02E22D691708875258476CFF40C00A6DB705F9327194B9B48587AE21932CA688810D8265B0D438C21395B268840016C639506F60A92F686C19';
wwv_flow_imp.g_varchar2_table(14441) := '161588F82B878233004CF0BF39172405D20C739EC98205005C6122E2E5AB960B72021BD37843D1D5F3449C953D2F3117650058650AD30C1AABED6055A149C19C4D50679C48E0A88906F55704E9838AA8988B1BD04056CE33D3BC0C2DC661296D84051D6A';
wwv_flow_imp.g_varchar2_table(14442) := '8A2CA107D7F35259452B2C44D7F0A89F1E28001E00015DD25ACF1D381B0FFB7AB6DCC28ECBA22134000C9DE0BEF4C585439BB5D08C2D1A2087C53F2904C0624773E40E3584039E16280720301108B476DBEF36710868ACE0AA3C7B2C93867768CC82CECA';
wwv_flow_imp.g_varchar2_table(14443) := 'D6F7DB86DA1207004001FF810E9C03143878BE15DE5F7A4BBBC6E731E5C2BB38B3C8A1B9D7AF5B3700B0C628284BDCE35AD3400434F0809163E001008AC07FC2B281ADB09C2B586179CC133CF3879F90227C31EFC727D2030DEA45C6E949C19353C0A516';
wwv_flow_imp.g_varchar2_table(14444) := '2C79C90088A3CE95AEAF07885CE40C20390018A00106002002294FF986122C9A8BBFFB71307DF0963ADE211BECA0EC3821F1D2D52E9AAA1704EA18A8FA03DA9E7206440040EEC6C940AB72150064602B1940B5CB15CC1771CF38DB5EE78E24E3F2A88D9F';
wwv_flow_imp.g_varchar2_table(14445) := 'DBF10D597BE4973AF291FFA7B54DC78906287095CDA31A2C03057C41587E02423716B39D5BFCE9F3ED190D43AB585E35E257EE7C9CFD9218BF92C73DB2084091007CFF260004E87D41803FFCDF071F2C083048DDADCEF78260BEB56D5FBABD5FE7014F4F';
wwv_flow_imp.g_varchar2_table(14446) := '040463CF7DF663578631705F0D63088D1BCA207EF28FBF207778032FDD0096F4AFFF0D05797FE479B94B37BC61FDFB7ABF520DF206FD6BDFFF2F930783600783800700808702A408044C8F0054C08208C000340877D0390834400090C0023CC006D49700';
wwv_flow_imp.g_varchar2_table(14447) := '5C87028C870AFCBF1084AD07040012744011A4080A04007A900716A487AF68C11864C17B90071A140D7AF8C00F2C8878C0C189D0411404C205DC071574C07DD8927B2808231C0B7D000026D4877AF038288442B150C226140B240CC22C3CA92AD44264C1';
wwv_flow_imp.g_varchar2_table(14448) := '077CA8077CE8C231D4337D60C24C92420098423264C3FF367C377E100D2494C37DB8072E74C33BC4C33CBB072CCCC33EF44378E3C3141CC241FCC34234C4446B8245032383408228008026A0824394C449CCA415F88034813EE13B80003880DDA3C44F04';
wwv_flow_imp.g_varchar2_table(14449) := '45D1F009A03088A0880AD8A38891BA0A0C60BE5074C557148BE560818CB120BF39A0E2BA8FA40027E3A2089783C55F04468BFA8A26C1458BC995E5C82A623CA408A3AC60744650F41530490E6484928ACAAA5D630E0B7AC66D94C403BA0E5F313DC97915';
wwv_flow_imp.g_varchar2_table(14450) := 'C8529963748F727A8F2B4A1E6E644736A420E5F0289F9115F0800E120219BB299C76D4473FAC122AD2C6E049C5E71A1C7EDBC782CC4359040B43723DC291158234C8876CC37F4CC849D22788B448FF5894C88BD4C88DE4C88EF4C88F04C99014C99124C9';
wwv_flow_imp.g_varchar2_table(14451) := '9234C99344C99454C99564C99674C99784C99894C999A4C99AB4C99BC4C99CD4C99DE4C99EF4C99F04CAA014CAA124CAA234CAA344CAA454CAA564CAA674CAA784CAA894CAA9A4CAAA148D344C43ABD4CAB070C2ADF4CA7C00CBB0C4C22F0CCBB0DCB63D';
wwv_flow_imp.g_varchar2_table(14452) := 'F4CAA5824329E3077E3043336CCBB604807CA0B5D702003B5C4BA5EB8798B407BA8CB2B7044C7DB88717F43878C887BC2C08BF3C43F979C17DD807385CCC47B9877EE08735D4C8A4AB02B2B8BD12F3022BF0022EE8CCCFE40200A83F347803344003D28C';
wwv_flow_imp.g_varchar2_table(14453) := '3F13531F29F08282004DD80480CF7C4D1A7A8224A84DD28414250049E0D3B91BB881FF188881E0DCA8AF889F6D6BADBB0300AA933B6133804C8C1D03888062DB800CA83A0338002E11010F10380FC09566D4C71B28B63791B8BA02AAF3B40C5A52CFE95A';
wwv_flow_imp.g_varchar2_table(14454) := '4F00008272E92E1B88818C9B88AD8339AEF0C582B83BE8CC9A621BB489C83AD10850F849BAA4E34804308004F8B81F30024B33B61B9081E2ACCF54D38A0ADD0AE63B39F939818C74BB01ED1003BDC8047D13F22C880405001295324BB3B4F671A3E8B30A';
wwv_flow_imp.g_varchar2_table(14455) := '83B88A34310870A108A8D3970C108B08E04FB1804EE40149E44B0013FD0A058D320775A3452908B39338559B880F6845CB33880340517DE13B16F08F12C000BB2B080F250B22FD0C13F0801F09D38248BB5F443E0440BE299D88FF04258004D83D2FCD1A';
wwv_flow_imp.g_varchar2_table(14456) := 'EB724FEC020907B5341B0082B2ABD3EB028DA22BD328E300384535E98351FD8C52B75B4E93C300223500E4230035950C38A521EE2C484805003CEB2FF42C0EBB028B2373B33C1B3A0408D2CF6045952BD1ECB43A00D1001A2D51E133004F148D0D28BC0C';
wwv_flow_imp.g_varchar2_table(14457) := '803B1DB5BA1DFD0ABC130D4ACD17020A46582D0822F5004CC53E4B654970A13AA9935283C850060090E7048034DDBD57350013D5D57BE3D1ACF9B58D7C801CD82FC83308490DB3DA93BC0F28550C403E9C0010B893BA46B554E4F34FB2409CBAA3D7E913';
wwv_flow_imp.g_varchar2_table(14458) := 'C9377153008055634DC952FD0ABB63BE114D578A18D8B49C886D08D78485D3754B808668580078D8828000FA5449FF454DBE469D08024080691557B64B4A66303E4F9C5214030052BB02DE3C59995C5592833E045DD347ED902CADD70E69AD751BB6920C';
wwv_flow_imp.g_varchar2_table(14459) := '0783C0D789480084A8029205002BF80D00E0CDAF6026951439E5648037195898E592ABC355F4B859611BC964D0B882005783A0D882C8CC3FF0030060263400DA96B4BB07F8005CA5567E950C038BDAB04880AAEBD8708DD78E2C583503005A6884487028';
wwv_flow_imp.g_varchar2_table(14460) := '624831962CD80CA5084F84598D450F1C4D8FAA1355005837812B888DA3080F40B80900CF4A65D6CAB53E2B388C67608689B05A0078BFA1C3C9BA9D08348558B80552514D5C4741BE944B80D6FAB4B0605CAC8D5D83C817D0E5467E05D65B1887AFF8836E';
wwv_flow_imp.g_varchar2_table(14461) := 'A008FF5B180500480500F8C06A104906683BC06D54D2D559604DD821E54FC3450FE47B806B0D8D7CF180A1CB34DBDD46372580360D00D1050043088D64C085322808BD35C9551536E4650051555B8338DDD1ED3B6481D3A4835CC5A5085DF234AC6914AC';
wwv_flow_imp.g_varchar2_table(14462) := 'C9975C0AC68955010F50500A20D104982DF478BFD45C4D914C4E1B5DDEB0A8569E1D5D058DDB0EDD12039DDB8210B883FB600DE94E3973DC60EC60B6388FCCECD7E54C3EF1755E9D2D88814D57E975146195B31BD65A7633B8869000843388D9D547EC9B';
wwv_flow_imp.g_varchar2_table(14463) := '001018D6ABDDC9934BD6D040501986D889B05E0D3E8F0C060B5D5AB7136E5C83E86167FC82D1040BEA03807303800D68082035D1176E49B97B5BFF772DD14775DA7C2551F22C581AC689AAD3D13A968C945BDCC6056399DCD96035D1326EE299843B21D5';
wwv_flow_imp.g_varchar2_table(14464) := '578AA8D66A45D333255D712D3C83B0E3BA4380088864E48DD6F7CDC4742DB6EDFC0C29D6B83DDE524EF6C303DE5A9C6053E153D037CD49116DDE570DD20440D3564ED044CE32B2A0D73A86E41D8D0005DD00C605E25C7DE2AF38612005C53375E55195E2';
wwv_flow_imp.g_varchar2_table(14465) := '3ED6C91D255CF825D2458E5650963AAB933A49A6E6B68D803CDECE5E7662D098AD137E5B4A6CD3581ED5B140E5423663976CCE8EADD662268B487E8059A3E32D9D63E4C3E589785D0EF161CB753B686EC3F815CAA82352E8245CFA6D627E46B9A87D5F49';
wwv_flow_imp.g_varchar2_table(14466) := '8E56F9C5BA2FDED681B362D0F034FF84DBDAD695D84354E32E160B7FAED8E6845842E65951CDBAD4FDD746EED05A06D04846003A668004C86569F6E04711B889AE517E76434985D3ACEDC9933BB96F7EE3374D5C054D39957E5B577EE952040B5B158B48';
wwv_flow_imp.g_varchar2_table(14467) := '5EE82DADE210D6E6D160DCAC2D6A4ACC57F1450F09B0E99104E8968EE5F4504775E5D289C0D108F865EC633A8EFCDEEF0580902DE4A56CDBAF30BE00303E9C4080D662DD35454938F803BEF66B00F8DAAF50315303803F8803C3466C15CBDB89A88448A0';
wwv_flow_imp.g_varchar2_table(14468) := '8446C804BD6D6C83A8044A484B43600498DCCB6232D8CEF6ECCF06EDD016EDD1960C250C44D2A6CA799887A11C4C00D843B4446DA9FC07BB8CED1014862CB40560B00500D86DFF5A880557A8EDA73CE1CA0B6EA5842C5FC10F4542C5E216CA6F4B337C63';
wwv_flow_imp.g_varchar2_table(14469) := 'EEA4E496BC9829E88E6EA39C2949F33807E554D4FE8E2E642BFB5A38074DD216256DE16A481D0B4AF7D94CD05EBC797448A1ACAB8BDC1F29D38971ACC7E5F64997E801092DC8FA96B25DA10E64D4EF9EFCD482C4545083A2E2DA0FA6A4801216EDBFE91B';
wwv_flow_imp.g_varchar2_table(14470) := 'A31CD360FBE5D11EAE9AA192A13C2A5D1AA888BE6EA28C5D4F0EF1A5BCE71247F1148F495F55F1A5A4003FD8EC1647CA0DE83F192FCA38FA034A04041B8F321818E53B4408417A282DB82D1EEF2E08C743852AD946683623F749C8EB88A275F2279F88D9';
wwv_flow_imp.g_varchar2_table(14471) := 'AA802B9FF29F9C00F0CAF22EF772676C0884188826FF729B5CE0FFBE2AF39D4488051608004FF3995CF30A98000B98F32ACFAD2D27F33737494C0D301E91911FD2F390EC0670900C84F55D0040D8403F49D5B64CB0B00700586D45CFC97A687449A7C97A';
wwv_flow_imp.g_varchar2_table(14472) := '78F44AB7F44DE7F4EC03CB4E07F55017F55127F55237F55347F55457F55567F5561FF57376F5DE7C55AC8EF55AB7F55BC7F55CD7F55DE77536E4E85E7F468C05768884CEBA1EF676846358DDBD813EF67614DD0A6E767614DF5F8F76507C9390A5F56A07';
wwv_flow_imp.g_varchar2_table(14473) := 'C6DF6BD58288716DE7465807F771B7F56C2777B0C880A83EF75FA42CB4C6436A5F770090014934F7783788FEEEEF42245163B7F76714F77E97447807F83E1CEB81377853F70A753FF885077579D0408687F8FF8897F889A7F88AB7F88BC7F88CD7F88DE7';
wwv_flow_imp.g_varchar2_table(14474) := 'F88EF77876BC811EE001FFFEF82EBC8191BFF72F11F99397011E68F9972F79FF6B8F7C3FF990978195EF01986FBD98EFC28AF3519ED7429727AB96A7091E7801A3477A16E001A6E809A04801A3608114F8189EF0180B9A899FA7A11BF00C97709FEE067A';
wwv_flow_imp.g_varchar2_table(14475) := '9C78791E380E18E0814782819F3F7A6F7A89A7870998A0091180FBBDEA01801A33113BF0920FFB793F4EB23A7AEE907A6159FAA51F3A9E088AAF98DC93F28C1EB8FBAF078BE32C7BA3A7898D111C21280121D046AC7F2A11FB01C54714AF67FC8268F9F8';
wwv_flow_imp.g_varchar2_table(14476) := 'F912C73FFAA65F7AA97800E98553613E2E21F0FCCFFF0AA4871FB1AFB8510CE3B1D069D87A7DFFD837CEB98901CC9F888698F33AAF723A8F2D21D881E41F33DE1F8BC819FD8AFB8AD932FE33379BE36A9FF6587CDE9F7721117B1D807E2C0600E907003A';
wwv_flow_imp.g_varchar2_table(14477) := 'EF9DFE4A7EF6D87DDEE78114980919387A10ADFEF02FD2CDCF7EE697778380FF77DB01E4B7FFD000081E2F04F200100300C2841312326CB8D0C2C3850D2752AC68F162C51D0084FCD088F123C8902247922C69F224CA942A57B2BCC8A125CC8A2978C000';
wwv_flow_imp.g_varchar2_table(14478) := '2090A285983A4B7ADCE17327D0A04287122D6A942285A4103CC890C12305000447490E7C01C02A421609A6724DB8A38746B000C402F0D8F52CDAB46AD7028080700205002F137A605BB1294D00300A426528D12E57138007132E6CB8E2DCFF97143CF490';
wwv_flow_imp.g_varchar2_table(14479) := 'C1B6C7C58236AFD66C98F3F0508D223073EEEC99E84BB76E01C44D5839AD638C7B2BFE2D091100C4D89F13B2986DFB36EE90121052802B01028414361C9F5EFBB52CE41B3C9CA6685A31F604E8D059537798333A80E8D8D1EEA89DFB3BF8EFA349EF6E5D';
wwv_flow_imp.g_varchar2_table(14480) := 'DC38E484E9835EB6BC1DE3EEB39AC3D3AFCF19025CB8BC11CAB0613FA174AD59841F810C2500C156FF29B8208340952617421EDC305B6A17C53752825165889B600D7AF821500B49309704A54D082248086CD8D08A094935180A7FA038238D303DB8E08B';
wwv_flow_imp.g_varchar2_table(14481) := '221940408E13A938D17880C958239145566403102A30F4837F0D0A96425D210171910D3FFC809059581AB925978699C35039FFE0A0F82548E598534E48E58803009A5DBAF9665AF14C140F3DF1C8D3A09D21D1F3919D7DDE59E79D700A3A28A1851A7A28';
wwv_flow_imp.g_varchar2_table(14482) := 'A2892ABA28A38D3AFA28A4914A3A29A5955A7A29A6996ABA29A79D7AFA29A8A18A3A2AA9A59A7A2AAAA9AABA2AABADBA1A940C2D20D4E4ABB5DA2A525FB7EABAEB472698D0425F530241C4B0BC1A7B2B54B21EBB2CB3CD3ACBEA84563E3B2DAA30ECD011';
wwv_flow_imp.g_varchar2_table(14483) := 'B5D99EDAD194DA7A7BA8B0000C3B2E11DF9A7B2EBAE92AF843B9EABA8B69B7EFCA3B2FBDF5DABB6507EEEAB0C4BD8B8E00C208F9F64B98B2CA0E7C3049384C06C0124800E030004C487698C1085B3C52090A0BE1F0123DF08BD0C49EC120AB09205C7CF2';
wwv_flow_imp.g_varchar2_table(14484) := '442594B011C3FF48F0EB31421217066C0B1D468832CE0DA99CB11008B90CB2C4210F1665CEEF6A80D00921AC6052C60C79DC030F3A086DD888230250F50637168D5105A92ACC50080985BDF4D23558B4410D2CB05082770F33CC43D480119D505C73B9C5';
wwv_flow_imp.g_varchar2_table(14485) := '8107127880F7D6BCEAF0354247037074D813AD50030A002C9DD00A22A8FD380F1F771CF160263774A1CD00589E79DF17752D70A83A803D38E9188960364222A0F0380E38B0C0430F1C4FAD16E77D9DA6EC4F00D0DAF9AD5F9F80410426A5CD50EB802F7C';
wwv_flow_imp.g_varchar2_table(14486) := '980AFE552CEE4FBBF36E11E800E4DB75A918744944B9D82334A54FCB3FAF1B425D1BB0A9D9A823B4F84E289C803E5BB92254F3D51B0020FFF724E5008012DC3EE09F431136D890E5A6A80080279884800C794215A850858424810A0D6C20009230050018';
wwv_flow_imp.g_varchar2_table(14487) := '812D43484211DA55AE220080081CAC1F46E0118F758C101E00580700E411287998D0532C148909DDF1428A042A212D64480D8392C317C2638515A1C79F4048917910711E16A91300E4A4C4242271898EDA0742E4B18F7BD0638AFBA8223DEE21C57B2064';
wwv_flow_imp.g_varchar2_table(14488) := '8AF7E02245B448453102608A0018A314D378C59DD403216DB44748DA0800390AB15635842243F0981030A6902450C42200F674C684DC498F76C1471D1309007B1852918E7C24242329C955691188462C5240000021F904050A0000002C70001600770149';
wwv_flow_imp.g_varchar2_table(14489) := '010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C08519F3E8A18336ACC982F1F438F1B438A1CB9711FC99328530AEC07A01F4B822F55CA9C497321BF9B13E1D5DC09405E4F81F27CFE0C0A809E509E484F1AED793429C22C24A066D9A853';
wwv_flow_imp.g_varchar2_table(14490) := '203C7957AB62ED99156B53AF570D82254934E85579F41AB6FBE9B4ADDBB71875CA05EB152EC17800E2D9B32790EF417BF0F066E56A703080B007BB72AD0BB430E3905EBDA6ADD7F09F5D91962F6B26E9B2F36682FBFE992C381AC0BF74553F93B4FCAF75';
wwv_flow_imp.g_varchar2_table(14491) := 'E6A2FC18B2CC877360E7DB315547C4F95AB76FDFFD5A0BEC9D5B60399D9E47E27EE9B265CDE5A68B424CFE5BE4D2EAD8B32BFC574EDDC0D221A13BFF5D9EFB9E43EADA29F283072F76FAF74959B2EC8D901F7773FFECC305AF1CB7FE88E8C1F7D04DECB9';
wwv_flow_imp.g_varchar2_table(14492) := '27E0810EF1775E70AC09675A6FF695839F810935579085163ED44F68A12D545C43E4D197D0510122C8D07AED3124E24A325168A26CC171289A68C379189C6D3542785F7E1E5EA8506E1FC2F4A0422EAE14244CB84D54A24147B6C49C67B739291F794B66';
wwv_flow_imp.g_varchar2_table(14493) := 'C44F3E052EE4DA6B38F5C38F97478679503F1EE517E495E6D9E7E08BA4B1B6573E16E9B3D75EF3CC59E79CFCCC694F9C17ED58E4854D1A49E5A084166A6873490298E89851DA382594D03D2AA54857C2430F4803D156503DF5C863999AAEBD549B908822';
wwv_flow_imp.g_varchar2_table(14494) := 'D49C709E6E29653EF7DCC3293D68C6FF76CF4DAE6A2AA049A2C5E3E096BCCE88AB68FB042B6C6812F248D1938726AB2C79CE4999E1748D321A2D9390326B68B3385274CF5598DEB4A640F584034F389EA6A38E3CEAB0E38E6937550B69B349E6161B4BF4';
wwv_flow_imp.g_varchar2_table(14495) := 'C0930F99F4BC64E940E66DA9E67BAD8D664F3CA5B011481E73201CC61C0CCFB170C20C879187C40BE791872EAD15FB6785402EEBF1C71D4F0BA2B3800A5AA5B3917A1C5E3FDBCA73AF4BAD6593DA3DFFD00247360678128D1BAF8C914D196F24918F3C9D';
wwv_flow_imp.g_varchar2_table(14496) := 'CD4BE54DEDBA843400EE5C938D390F5A46CF3FE7B6E64E36FF8893CD35D7DCE3CA35CCDC628B38D7C0B3E26F26ED63CF39603420C0DB70C72DF7DC703F624FD6E918AB24C87C27FF8BA4C80B3E0B68BCA4F6CDECE08727B4EDA50299970D0BB7FC631ECD';
wwv_flow_imp.g_varchar2_table(14497) := '99BC418B279164F2C530687842C41DECC8639FD24877D61ACBF4A43EAB973779648E27B61003CA30C49873CB30A9CC6E8B39EDD802CF30AE88C38C3AB45F73CB33D90CC3CED9BE0DCB76030E38A04001020C503DF5D6173080F60528E0FDF40534604A6B';
wwv_flow_imp.g_varchar2_table(14498) := 'E2A8A3B74486A74FA86D806B29E88F87C7A4BE78ECF3DDF2CBF9FC738B17917B947F2A6FF0032D0C11093778020E55F8432420713A2F61051EEE60873A26A80E77A42E32F5B84747F2A78E37DCE1167E88862B3C910D60DC8C16B7F05438C8968D7B6423';
wwv_flow_imp.g_varchar2_table(14499) := '1BC20B4738CA41C376308F2420F993E00A12B060C5A36D0E789BF6FF06B03D220E9188DB2B801297D8008C65CD7C1B03D1FCA6489D45292A43581C54E1A888B88FDD4F69FFC88621AE911FFBC823090F80432622C18507F8E10D46804338CAD0407EB003';
wwv_flow_imp.g_varchar2_table(14500) := '35EA688704D3910E739C4B8FEA428B06EF558E4878C215B4E8462A3CC18E4C18421CC15BCB0AB5268E74384D1CE1604638C2B83C2B458D5300A8CD3D8C228F7AB4468357FA14EB62539B2E390F0C0270C002E68044241EB1961710C012C3E7C4F2810943';
wwv_flow_imp.g_varchar2_table(14501) := '4E922215E757BF1D0AD39826B362BCFA16CCBF81EC8B640A2323C85826738CF10D09404425C451060018320970E8473D5C428F74C8F01AE794D00AB9260EDE59EA521CA4053300000A62C81314867003335C91FF0A62FCE31AC3E047385C018A70D02212';
wwv_flow_imp.g_varchar2_table(14502) := 'FCCC4437C4D1C9892C6D38BC63CD83C865147AB0C386A6A9C6BC76F59AFC5846583F148002E6B0800B5CA07BDED3A5F72E10C401AC547AE19B8540CA27902F699163C324663227A2AAA8F5EAA71C1DD2705C139D06ED4AA8121D885181CAD47FE023286A';
wwv_flow_imp.g_varchar2_table(14503) := 'B24F3822918D50968C1EFB10A7693CF5A07EC8231A0134042522C1085ABC81117060C41B22F10C76D4C31EF2C0073E58520F7EC8A31DF0301F56CEE50E75E4751E9BFC47B8CAD18E72B0C31EE7C207B6D067247AA4A21BEC80473ADCD10E7964C3159205';
wwv_flow_imp.g_varchar2_table(14504) := '40264091AE6C3043B2FF6047E8E0D18EC94AB01CC00A963C423A805CD2F2028FB840161410BD39FF98220C0E98836CDBE00096366016E44B473FE67AAA06099520AA6AAA7297CBDCA6FA746F4B4294163124DDE494CA39C81A13CA96B5B850F2836600F0';
wwv_flow_imp.g_varchar2_table(14505) := '047ECCF3204C39683E04B12B320808074478E20FAEB843E552218E2478A21D1A14246D3A722596DC0366CD199A29ADFA8FFCF16A24379107321AE98A6140D213A040C33336790D5B80E21670985D2A526188370000786FB0050A6FE11261AD169605B8C0';
wwv_flow_imp.g_varchar2_table(14506) := '00E690DB4928E211A650C41CB2300745CCC2146D68C323667101DACEE26E951C2E6D6C9A386AE5547DC54426FC8C79AD2E4ECA5AC10492339F7995FFA68E1E07B505466B1A2BF6996C3DD72803242E0C876144420A68284326C2F10650E057FF20F4C860';
wwv_flow_imp.g_varchar2_table(14507) := '3EE24CB37FB0AC231A6C153F3A05008F4415275174E8D4B2E1893710831EE500852D9E410B64A0768499B04534AE213C5A54789122AE0400AEE18AFC9898B50D6B40164C11E330E8220C5950448CE7C0095DCCA20D0B88DE8FB3660E71F2F7A6D23AB2E1';
wwv_flow_imp.g_varchar2_table(14508) := '928CBEF65D2B8B8F4296B0A31CA59079B1CA2E81472ABCC0052E64C21D3C124E83EED5127FD9558C1E648421EE90393F18020E6E10A05BF3518F38B3CA34151D253D34E853D7682AD01B195A3A2E970D5BDC2212C0B0452A8681B561742391F2A4052DB2';
wwv_flow_imp.g_varchar2_table(14509) := 'F10C57646E8491A830D6EEF169580AC0A4BACDC2232236F10BBCFAC5A678758E054082F1E18D1FF3E02F91ADD8455D7F6CCAF0FFCE75C971BD5D7755B7D8D6325CCB3498352E8CC10A5CF042370A4C357B990D1EE560553ADA61D174255B1D980C070CB3';
wwv_flow_imp.g_varchar2_table(14510) := '819A74B0231CDD500761BDC42956FD6318CCF8872BB0E6EE71011D93CC1087E46A923F5A848318C61BC62D2AD98D6C60031EFD7E0661A7F10CA067A31BF6E6DA309E310C4FAB96B5D633E9C31FDEE35C1A9EB6D13369011CE07100A463CFB7A692A94CBE';
wwv_flow_imp.g_varchar2_table(14511) := '6B5EF75A70CA9AF2324196CC63CBA355FFA8461572CE052520A335E9F004326C310D4CCA2C1CFCA65D09DB430FBCA2C52777BD6864EFEA0E787869905463E42D3CE1895BA48216EA30C757CD618B6128BA1A053E48CA77C3547960231D9E32656BF483DE';
wwv_flow_imp.g_varchar2_table(14512) := '1A0D24360D1729FF11AB87C4B76D4F012255E2F7D03F00073C62A68FAF077FB7BB64CA331365D02D4EE6839D536CBDFC50334733E280064930065FE03319930DF2E0094A870D32A474E1603C98643EAC526EA41414178816EB7625B4C120984568AE800C';
wwv_flow_imp.g_varchar2_table(14513) := '6FF00C29F40FE1C00FD9400C63630EEE8029E98512AD42671D01146EA53AAAC32A83D42A009041AD920FC4157E0A504B425844DC9344DDB33D0E7009C105727E463F93677FF74772811326EB936447C6242CD272B73173A92446A0A07AA1F40FE6900DEE';
wwv_flow_imp.g_varchar2_table(14514) := '400BF2600E7D2443E5F00CB6500ED9400B76C63A38D82A8384671DC83AC1111CED9009D76008B4203BE6D07726580FD5C00C63130E759514A3E25DFC903A3CFF884A48138991081A20D505E4378498883DD5437E0DF008E40335F2E7114E986B507872F8';
wwv_flow_imp.g_varchar2_table(14515) := '77793B246C8D223FEB737FB2A138DCE21E304354A7010A8C160DEB74770EA60EECD40E235734A53372CE6267995009D9E05EB79009E5100EA9530EE6640BAF400BD1107D76812675387FF5611020950851910559205BB2E500DE288EE2D88DE2188EDEE8';
wwv_flow_imp.g_varchar2_table(14516) := '7195C484B6922DF5578A99B75387012D55F224D8B58A4FE6379217280F8125F070114A3554AD910FE68068EDD00E13040F17F52515C4297158285A9831F7E05713540FC81058B0E1744E870F2E08170F9511F82059E6B20E245992E7B00EF19092E7100F';
wwv_flow_imp.g_varchar2_table(14517) := '2BD99224790E2BA92BED040021D78E57048FADFF486CC9911AC7D424F29185FE172DFC07732EA76410E18F1DD96E4035344C3125BF685D93F26519942AAE213399E16E7DC6386C82107CD295437537AE0196BC3227B4F60F35397D4F988AA5488A56418F';
wwv_flow_imp.g_varchar2_table(14518) := '4629243B156CF08253D41212DBF28FC8D56E4565200E72254B435D278323A2322B43151DD1F15D71869602C20FF8506EF51027C3129992392C799235E3B00F67B932C066724862793C0923D4C14AA6623246B6581CE36523719749A994C7A521C8F496C8';
wwv_flow_imp.g_varchar2_table(14519) := '756000804A5B9910FA2057F6509977B39BFFC09BBED99BC009645093990BB272384994A788183DC9651FA9287FF316AA7922188179A8B91D0279608A8920A3029CDC0996DED91A625999EBFF680FF8B088C7729C31C77F56210FFAB09A469621933813B0';
wwv_flow_imp.g_varchar2_table(14520) := 'A911DFC51EEE29124AC68F060154B569137C695CD206A09F2210F8F071F630642B5397D2456C0CBAA00BDA4C4E76184DF18EC0E85DA6D999F56324C63925FE0794CCE18E1F4A10779926FEF99EA5E2721A0AA155581F92D8A22EFAA22CDAA2E9D52E5F62';
wwv_flow_imp.g_varchar2_table(14521) := '238C189F56B812809634CC3989E2596BE5D92592A711219A5D11AA7926AA2F13CAA2DBC58122F7A2501AA5521A8983D2A2C0D8A2FB750F50D59F5CFA1C0010641BF494E8098503B1A40AC129680A2BCDB5A66C1A2AE4012AFEC220BCB21CFFE013A275A7';
wwv_flow_imp.g_varchar2_table(14522) := 'A20500120400DE414113B4160471A77AAA7B792A10EC20106B21418A7AA87AFF0AA8BDC71EECE10E92CA34925AA9967AA93261A90581A7777A900789A70C21A8873AAA00E0A9075910A60AA840E11D7E896774F8AAB0DA83B10AAB2F637FE486A69CD22A';
wwv_flow_imp.g_varchar2_table(14523) := 'B8BAAB0FB12E13642EE6C2A77E3AACC45AAC13C4A9C89AACC89A2ECCAAA8C7CAA91404AD1234AC7704005063AD8E878650D347D90A35D74A107D940ED62AAEDB8A86DC2A10DEAAAD68C8A7C12AAE8E3710DF7AADF28AAEF48AADF63AAFF79A10F85AAEF4';
wwv_flow_imp.g_varchar2_table(14524) := '4AAEF5BAAEEBEAAEEE9AAD04CBADE12AAE039BADE4EAADF08AAED7AA0EF5E22A9CA29077DAAC16EBAC187BB1CABAB11CCBB1C65AAC8CCA10E4354A047165267BB2289BB2573612BBDAB22EFBB29CE2170321578A7510B8FF3A11345BB337DBA50C91B334';
wwv_flow_imp.g_varchar2_table(14525) := '5B10ADE2B3341BB43EBB83317BA098620F94D1291565B2E566B4301BB5521BB504014ABC3A1069A1B22A2B1D04EA10F8903A504B191A718D1B54B6667BB63878B60281B67D86B66C2BB6B3A9836951B53B186713F1AA03618170CBB334F1AA373B83500B';
wwv_flow_imp.g_varchar2_table(14526) := '2E0631391BB4B66E7BB8889BB86CDBB6664B872E2BB8799B4111819BF8600F445BB412A1B89A0BB81811AB0551B80781B7990BBA714B5E5C3AABA6EB10BA2ABA9962B60561111B84BAA60BBA654B766A3B836EEBB857DBB2A9EB10E679A38CBBB9C2BBB9';
wwv_flow_imp.g_varchar2_table(14527) := '1981BA9FEB9EAC7B94B19BBAFEE3BA0862BC6D7B10AE2BB1AF9AB803419EB0EB83962BBB86ABB6D1DBA338FF3ABAB5ABB9C6EBB910912779529EE5F97D48C3B9D28BB779A683403B4804E1BE1BD1982ECBBCB462B39C52B3DD3BBCAE12B8E455B8AE2BB6';
wwv_flow_imp.g_varchar2_table(14528) := 'A90B4AB36917886B101611BA3C68BFC16BBF9268BDE34BBA4951BB06318772C5BA3A28BF0B3164F6300F00B017234C107245A095CB17275CB3D9E9BFCD4924356A1051A4B434FC56708BB940CB2FFBC07064EBBE65DBC0FA601E1D7111440C0017D12A41';
wwv_flow_imp.g_varchar2_table(14529) := '2C1049ACC4F790C44D6CB87651C440FCC447ACC446FC98563C1071F2BAED79B6EE3189E4B56E715B101B4C873521BACD9B299FEBB8B26BBAECA610FEEB9A29CAB73D85853DC551CD35A4E7E11B491590B189855975A185A922BD913699D12134D12B82FF';
wwv_flow_imp.g_varchar2_table(14530) := '1C129971C2DF3BB38A150FA390105C30105760105F60C90A91C95790C965B00502810602A1050090C9A45C10DDF4055FA005A95C06A4AC0568F005A25C10B10C00B57CCB995CCBA56CCB0561800030060301CC636073950C005EF0CB3687CCC3BCCCCA7C';
wwv_flow_imp.g_varchar2_table(14531) := 'CC03C16CCB4C7AC0EC05D1ACCC36C76CCE5C0597C16CC8BC106E601076D0105EE0CC0FF104004005E68C066EA0CEB6BCCEEEACCEF0FCCEEEEC6100F006EAEC616E80CFFA0C00F9CCCFB3ECCF10D14D0F410B95AB58F69B0F7B110F4A900013A012092001';
wwv_flow_imp.g_varchar2_table(14532) := '1000000F8D10205001207010156010193D102070D1170D001D0DD22D00D21E3DD2210D02234D10209002236D021E80021CC00105910102FFB1010461D3319DD33A3D1132BD01365D101CB0010FF00011C00008F0191A100221B0021B800235F002387010';
wwv_flow_imp.g_varchar2_table(14533) := '3120103CA0030080022800001B10023F3D101BA0015F1DD60CA10104810137B0030080D63F50103B6004686D103F10D76E0D04711DD70DE1D63BB0033D00003D70030421037B7D10299D0202010309E1015C400F8D194A1D890F75020F5750012A300220';
wwv_flow_imp.g_varchar2_table(14534) := '30020571D12A000023B0D99C6DD902D1010731011550011290D11B2D1012D00123E0029ACDDA0EC1DA2E10DB430000430004B37DDB2E5004B96DDB40E002B55DDBBE0D040291DB0020DC44B0033100033060D5560D00510D00CDFD02D06DD8CB0D0331A0';
wwv_flow_imp.g_varchar2_table(14535) := '03D6ADDC3AF002CDFDDC00FFF002DC3D10D22D10D20DDEDCBDDCD76DDE2BA0D502F1000040D6ED8D015BBD01EB9D123AD0DC3A5003CDCD0437C0043BB004008004008E04038104462010FF0DDDCE5D030C2E102880032870DF111EE1045103579DDF0471';
wwv_flow_imp.g_varchar2_table(14536) := '021F100118B00349E016475004450000073E1046B0D6005004255E104080D6C29D1044100356207F7C71D0916C051250109E6DD91DF0D1207DD91C0D00A63D10A02DE41550E4422E10235001AEBD109BADD9AB3DD9B00D002E20DC55EE022A30042A80E5';
wwv_flow_imp.g_varchar2_table(14537) := '5A8EE503B1E5BD9DD9C40D042DA0DD26C00200C0026AAEE62FF0E068CE02DB1DE7DF7DDF71CE02518DE669CEE628D0E6E4BDE77EFEDC71CEDD686EE100100285FEDE21FF00DF5B8DD5F57D12EB9DD52850DF844ED53CE0DF3C40E04B10D80291E93C50D5';
wwv_flow_imp.g_varchar2_table(14538) := '00D0E0EB5D034E8DD5A22EEA921EE900B002915E038DFE010C90EA259E044720114930E24550EBB87EEBBA9EEBB97E044440040000EC6BBD036B6D0440F0E26B7DEC04E1D736E0D704D1E24010035C203A35DE2D5792D05670DA45DE01DC0E0045EED99A';
wwv_flow_imp.g_varchar2_table(14539) := 'FDD90A01EE963D02A00DEE18D1D9543EE55DDEDBC30D00999DD9F07EDBEB4EDB54BE03650E03E05D03788E0376EEDCFF2EE1747EDFE06DD5708E033580F0FE0EE1577DE10C8EF09FAE03591DD538800356EDEF094FE82540039FDEF103C1F12931E90D3E';
wwv_flow_imp.g_varchar2_table(14540) := 'E90451E94B60D5040E00991EE002CE03CEFDE93400F2ACFF2EF1A36EE1A2EEF10311EAA92E1007D0E123FEE11381EB29FEE1B73EF4465F1045F0EBBF0E003F90D7C90E04C09E102DE0EC700D003060058A5DEDECCB2A03E303195DEE0361EEE08EE4DE1E';
wwv_flow_imp.g_varchar2_table(14541) := 'F6E3AED9E7AEDA49BEE3E8CE10E5FEE4EF4EE5C39DE5990DEE533EEF725FDB40A0DDE00DDD0BCFEFDF3DE9DBFDDDE24DF0778EF16D0EE1127FD5105EDE0F1EE170FEF2E3FD19362F1036BF0293CE04952EE003E1F2298F0481AD03CF4D03A05EEA0C8EF9';
wwv_flow_imp.g_varchar2_table(14542) := '98BFF30801F20CC0002800ECB86E04233EEB0711E20281EBB54E10425FF4BA3E1023AEF4C09ED768FDD60C61034C9FD62D4E103030ED79F2C86B3BC2F190EDE62EEE6A4FE4E2EE103B4EE4D3FFED68FFBF10A0DDEDDC5FEE933DD9C3CDD9F0EEE50381E5';
wwv_flow_imp.g_varchar2_table(14543) := '2EE0D9620ED23A6002CD4D10155FF10371DF0A6EFFDCCDDCDD9DDF028F0300F102470D1D00500000A083A04184080B36445803E2448A152D5E042011A28E15133BE228C884878E254B102E410271490F87117164C48102C78A1A3550684478D026C51521';
wwv_flow_imp.g_varchar2_table(14544) := '103ED89104219124450018499284C8C5A2450114690A952854A80DA93E054084081084376E00687163C70E00409602E1DAD0C60FB61489C4B0520F5F3D00FCF235CC97EF1E8079EBAC5440D80163C31182011836DC3071451787018C181CF87107C88A07';
wwv_flow_imp.g_varchar2_table(14545) := '571E0179848BCA2A2A72DD0102C08B9B1915EA78995A21C5873A5EE840E15A666C991AFF6DEE8CC8DA344290BD5FB2C0C122F270001D6D23EC581CB6C3833A353209D9830992253B96F000403DE5CA84A825BEAC31F0764D8A358C576400C04491230885';
wwv_flow_imp.g_varchar2_table(14546) := '52AC4AB12980F7168DB6C78AB0FD52B22D00C04801061B76400B22D000D861ABB6104A0BAE7BF8B10780BC26C2479E78FC02ACA2C200B0A082091C3B0CB3C046B040301203136DC3C324E8A0B10A36ACAC22CA46A46C46CB288A91B08B54E0EAA0820E4A';
wwv_flow_imp.g_varchar2_table(14547) := '48A2852C7A2821875EA80149856C1A48A798C28B2D3CD4506BE825E226B2F24A2670AA88B68C626BA8A3E40AC28EA4E9004009BBECAE5B02351CDED461CA9AE6E432221A1ABAB3B810300080821FEAAB68BE898CCAAFA2F68E308AFF50B780182B05844C';
wwv_flow_imp.g_varchar2_table(14548) := '00E12BAEB69AC82C22083402A11F1EB5E2C108274428AF7B2CC410A1C260B42007331A01A091357C38AC318A1AF3410517AE70A103256ABD750B2B7C80F5560038CB51C662AF445685D076AA13803723FAB1A1D6247A0DCC27739248278622BA29BC97A8';
wwv_flow_imp.g_varchar2_table(14549) := '44365C88DE6422CB2C09D208B6391B62E2A32C01E0E13A266E3009CD86B04B4D220CB41DA85D00DA4D2EA33C21EA8881076050143E88A872CA29FCC46D6829006C30C10313C0222B2B42B7128B88228C2870621862E0A08A79F2B1071F5025D48BD4BF26';
wwv_flow_imp.g_varchar2_table(14550) := '23AC832D565126985146F90517393C8308320B7C88079C09AE38670B0868AE608875D6F1A4917FCCF0E19C205E3475FF311C2912CCEAE140E840B4C340F0CC3F2021DA4938B28D241236169A7356DB9B664B8D851ACC6EE95988C3FD76A2D3BC2C08B622';
wwv_flow_imp.g_varchar2_table(14551) := 'B37C8809B290D061DE3301E8415E2B75D0600C8EE28CC83C3107263BBC3B31404084A9E663EF29A1AA0234BEBB112A62A9AD52B83886B1CCA2C80620D8220B868B1BA220897BF2A16B6551495502301537932398606A110300323A814699517285488509';
wwv_flow_imp.g_varchar2_table(14552) := '2A01001C2D80369AE6099438478E0E1AB1679B2DC67959470DC597B56753479761768A9E2D68F166217A4D488634A2A94AB99F5C6DDC297B9BD2D9FD47870813A4B591F9A1A0340DA91348FEA52684640C09D329D34B78C0806A6463054B121279004003';
wwv_flow_imp.g_varchar2_table(14553) := 'CA050CFF391A6000057A509FCE55A5730D4194B824D610B3B06E5208F28F0D8642911DB420063180010C3C80100A5000020078C011E8813B96E1A565F138C7CB30538135280317B2E8C32250818A3B200317C190C308864098116C0314D41805F6B49080';
wwv_flow_imp.g_varchar2_table(14554) := '51040300B08A47231AE1C46080237C92C148AFCCB08539D6918E749CC81672E0358C0826061EC0CD448493A46CC5445A3078080C1282A4B7E124608D048E417EF39B96DC2D2603C148B3445224E6A06D80B9D9080F446212EA6067094C904E4396A0015B';
wwv_flow_imp.g_varchar2_table(14555) := 'E8831821E0084E6AE084E2C86F7D0008C1031292A9CE71AE3D807A58644C171920188508324010003665842294EE0735544F4338C0811FF6090011FF38823CF6410F00EC031F461CD53CD4A1C419F96015B2C0052E00F08966F80211C030232EAC602284';
wwv_flow_imp.g_varchar2_table(14556) := '5C211E00089A16E211870EAC621B4AB8C23A76360A6AB8E01CFCF0011F8733043300600B16992345B6A0B5896846870C5901900ED89C27BD8B817152D241323A5248E2C449C2098E0E84C349BC01C7361EDC204546829D916C244A41DA8D91C2232D1E88';
wwv_flow_imp.g_varchar2_table(14557) := '5294FFB2CEBFA4B58407C4421FF4884508321AA63049A47EB2E4482E371014A3388522290CE6455CC895B45484089B32DD0D54B72916CAF0068E8288043840011E722088DAACC73DF67117887CD31E497CD1A998080074CAA21890E0052F40018D272A23';
wwv_flow_imp.g_varchar2_table(14558) := '0E191AC1F36421011F6C430EDB88C7FF282A11B4384076159508C604E2700E25D4E85815C98143D7E0AA2DAC610D0F45C8684D0B803500400B9771CC45C334B6D2D87230AE39CED82A62B6F7F1CF4AEF1A0EBA6A899187D4942260222041808B1335F120';
wwv_flow_imp.g_varchar2_table(14559) := '251F1520493460547AB85222B194254C7F9B910D60E0013AA8EA5352F89EFB44EC4AAF7B5D597EC015B2024186C504C057BE0291185C6C8713E1805A01A0560F3C2009DAA48737E90A91DBC9430B13586223CC88106114C317CE0006328271C5519CAF46';
wwv_flow_imp.g_varchar2_table(14560) := '815101451F3302AAE5156B1761E81AB6B18A4698611DDBB802002A71056AE0825597DDC26B3FBB9811A8AF2125B8C8532B89C08C80723034F1E0FBEEB61CE204EE247162E06E56FF031E85A48635D069E028C9941D0D08431FF5880522A610829AE8F84E';
wwv_flow_imp.g_varchar2_table(14561) := '42EE710818B0015E4224AB001C4C0D3705CD684284AD14C86F9CEF2B4D20FE971E01F66643F0F1CD7CE0631E5BF000642853814A3851160080462878510C6820039D00188588FAA8991955C0308216F4603A900334AC011CB8B8C217C161866954420BD4';
wwv_flow_imp.g_varchar2_table(14562) := 'F805203E8D06D78A663189391164E60C8012C094A94B452091DBB62D849C00D715C9E87878E3D281BCA434BA25EE6C02599E1DC34B2402742A4E83D43F8C44773A5026897331800D48D821150788932C7142B9F2AC20021AF8CA1132359C1576D522CF84';
wwv_flow_imp.g_varchar2_table(14563) := 'F79AE18D9016ACA5058EDA2135E5CC810F55C46208F140EDE0C1CDFF7DCC9522F7B0473FD080E0105540C1B2F8C52810D107557C0211B14088CD72E4591B9D8F671BEA4005F24AE38B6C1A210DC5853494710E502CA312569806AB3CFD0B2D6841A18AB1';
wwv_flow_imp.g_varchar2_table(14564) := 'C063723E82598B4BB7B1A109B22F82E32E49446E008C12256FF2EBDCE40D2134E5E4756DEB499E80445E898357BC9C55BC0F70630CB0ACDF79FCD5E32AEDB4381A30000B8CA01576B7708517F9810C95F9CC062AB386F3452B00666D6384A00E007E971D';
wwv_flow_imp.g_varchar2_table(14565) := '0C28A00478C8E31E725D1942EE318F7E6C81E1876162305661882F78010096AFC218E2300A65406F4420F219CC34E3EA89849C381DD8A21CAE888B65407A19AC0784F046F10A6578620B133D1544AC360211F4FF5A5CC971CED285FE7B9D0069D9C449FA';
wwv_flow_imp.g_varchar2_table(14566) := '20B5656BBB05D0597A4317E406035C88C4AB4D5358C118F6E093754D04CC1F644006C822B16152C4DDE11A0B45EEDDE6FB3A6AFD6049817FFE831018C85F9100D88012E4210F84189C22F4E8872F908018A9802BC08535B082CB4B4084B0BC2FC0852DA0';
wwv_flow_imp.g_varchar2_table(14567) := '1AC250821C40BD5AD90CD4ABC0C79000C80B2D001802CAD88C9C1B82D0621E84E8C0D54208D462AD938B833578AD2BE0A3ACC1910E98A60D38811340165B2B8EE1C3C18EF03588310FF318BE8AE89BB8F9922FA993B9713A7831923C0918E56229EFC393';
wwv_flow_imp.g_varchar2_table(14568) := '2C318992481CED0801202988E388293CC113F258011062001E9098664A183453BF89A8BFBEF38FFFF8038B8990BFBF8BC386103CFDE3A622A20878B0072D18409C8B832DE0022E00803700803B18032B084440D8224C1B813588832BD082168C831C88B4';
wwv_flow_imp.g_varchar2_table(14569) := '390204A8598304C002D78295387081D352810A6BA8469083F2398C1493A8D77A2D87FA02551C829CC39A0C010015904534E435E2C0415BBC0838D9AE21C496E79B0801C22500C84583080F30A33E874089946046523A9B71A9813B59011AD0C19EE01311';
wwv_flow_imp.g_varchar2_table(14570) := '6826D249148B2090C1E099B091BBBC63C3F79A43B090BB8BB8BFFBE300C2AB076E4A3C84A8870B11C04C0B391500C4CB1B833100002EA8822F408321000118A9002D68280B908321D02C2D6884D23283831C813890804D34838854020B3003FF33180139';
wwv_flow_imp.g_varchar2_table(14571) := 'A0A320A8B90D7C351AA99AC9A8119ED13DC8B0B4890001B6C28813F0095D74C970691FDE30BE03C296D288421C2846E0CBA9C188B6F0702E2448892B64290DEA31CA21378408810830800C00827563BBBB39C78981881450A88A0181358CCAE1A83FF549';
wwv_flow_imp.g_varchar2_table(14572) := 'C9248007BA08958A908775E043020C3925682D3830833720C43778C4C9D0AB2BD8C40E90831C90001734032DA8041FA80040D0824C34032C98C85779AD46080234B082BD9CA35AECA312990858949189508180D3C596440E345B015F2B46004AC667FCC5';
wwv_flow_imp.g_varchar2_table(14573) := 'C5C1920F18C6204B9B87A0ADF060099450CD78291CE92BBBE2C093699CC686D8130478801B482F773B3FF7BA9B7FC32F8A68BFFFF7BB88FBE2803A73077A8087DB193078948779A0073E148C933C4999A98451C08557A8048CC49A1631AD2BB08216D4A3';
wwv_flow_imp.g_varchar2_table(14574) := '351801E8D9023910AD496C048204002C18023A5A830A4884F63CB0977C8CE16C880CC0A510D000CBBC1BCD6C089624C630C1C1CD14501DE44CE4FB0EE7BBCC615C509C88C26794083529252410A5F90246B2394A47F289F43001021990F42A0B0F05827A';
wwv_flow_imp.g_varchar2_table(14575) := '531692A408F5F14D88F0000E083809602B08E8210AE02FBD83888A415184284E09D8803A63077A68077958993DAB0779B087E76411D3A3880C29C1ABE9804DE33017F001BD1A966111390ADCC01CB080CC984EC090455843C30D39C986000109D000B6C2';
wwv_flow_imp.g_varchar2_table(14576) := '4FDADCCFFD240EFFA552AA1EC42500CDC5963450A67249052ABB6679A40BF50800F800D1C4A527F49F281C9BA943881E209C99AA8881984D08ED0900480F0E200B19CA98AC2449B9933F4869889E03B838D3D1B5022200A8260A780018EDA10DD8000AD8';
wwv_flow_imp.g_varchar2_table(14577) := '00FDC28807500275A0077690873D6B087EE08721754EE804004BCB1024ED00C8FC2CC9B034C844883045880FF1900FCB1091E3907041524D83BC0ED8210AD0000038D3BBE9091BDC80E4D8D12B89C63D654900A54F8C601B3B1D9730F453CBCCC5B9A912';
wwv_flow_imp.g_varchar2_table(14578) := '84E83D639C8824A3D036F1428B20508DD0003E31000A100B736C1EA9AC08BE4B2B4E95D1FC3A55B5DA5684D05184485516D5D4E254C9894880569507585599FF890827234D0C5D0591E1F855DD833C88000C2465CC70B588ACF1000878808705A09E60D9';
wwv_flow_imp.g_varchar2_table(14579) := '6C45161AD088A324D91F4388123888CEF4893E2598E2D8D1B2595076DD162AA40E782992E4F83EDFFB5420BA01190A8B1640267FC508D19835095851B5D22F4D558F1DB23113B83F8073B38A105525E85158B50B88E0875129525CFDD86615D68A8A8C8F';
wwv_flow_imp.g_varchar2_table(14580) := '9C5966CDD5C418D36A4288737B000DC8DB07F0AE73BB260CF0DB6A9D880D0801C2C53FFC2BDCC4DD515BF3C5B8DDD3D15CD78AA8819614CD10F089E4D0493141015CD34296A2506164AA71EB3596F5891D65000630000048001388CA186881AE3D51D1B8';
wwv_flow_imp.g_varchar2_table(14581) := '98D9E5234CA5BF8690AFAF705D1C8AAF18F88AFF1CB2AF83B5268B48802A283C7700D2E53C5B22353016995BC508560D1397C5A8803E74DC24E55559AC00953DB7EEE5133E79000688004785980DD0800DC88010485FC2DDD1137059A2BBDEE1C05C1C44';
wwv_flow_imp.g_varchar2_table(14582) := 'C600E5D3695D500FD22886E02DD760A92483CDFA09931070DFC2D580F1850803F080189808AACCD48B989D1C020010F08F18F08C73248B484D8B359B181CAA986952D9C128DE3B1BB8C4E307002052B2FC90E8945E34945ED383E19095E18FED23388AC5';
wwv_flow_imp.g_varchar2_table(14583) := '661DD686D0A589488FF06D08F11D8EF30500FCC5BF694D5F06355C5F9BD3F8AD08F71D2E6711B25C2462FB85DCCD1D9717180D637B88E79A2D01263B1C4CDF694D8F86485D00E0001B9A43FF80B5081060E0597C2F65618C64B281A505DE150D611E1A0C';
wwv_flow_imp.g_varchar2_table(14584) := '0A1861E41CA201E3877ED80B3F2BCBC828168E83A357CBB48908D992B48C44768C53F12C8F150D2E6D08ED4508AFC91051D5DB4DD625EF82881D8688321D626915DE8A68C9D2C5BF15108155B688A345432B119241728966BB972DE4898638886CDDD683';
wwv_flow_imp.g_varchar2_table(14585) := '780181482488201CC21997B35165C2D500BD25DF4F652B0FB801A7FD0F47D95A4C754319B2810FCD0AAC683789F10A1D22CE1DD2D184EDD4B51267333E5CFC7A0029185200E8630A01007CE887311AD961DDC009D8405BAC67261E8C7B6E080200000208';
wwv_flow_imp.g_varchar2_table(14586) := '8003800880468803E0678A00687F2E688B4868F4E0618A880050C6671D9E62FFA4F409CB255D310680326600816EE807383752A6CD836DD9869862C0CD6882468885EE6700408004A82608B0DB8670515565D1E26C88D999B399662B88CE688C40008468';
wwv_flow_imp.g_varchar2_table(14587) := '69D515EA04B08800E0827E90077AC81D3C949079C0077542961684833598EAA90600AB5E4138B86AAAE66A429C8837682888D06AB18608AA662DADA6EAAA7E833558EBB53683D61A8CB5348332F88232C008BB568386B0EB70290337400337E8EBBE0600';
wwv_flow_imp.g_varchar2_table(14588) := '56738386B88386E8038838EC8846963E80833EB883C4460837B083321803BBAE6C37B883CD2EC442E46C3F706CC906803EF8038878833EF06AC5663500D047002883BD6E88CB460334684BB6BCEAAB86833718EB41CC6DFFADCE6D84F803ADF6EAD59E08';
wwv_flow_imp.g_varchar2_table(14589) := 'D85E6D5683ED866035E2AE8832206CD7A685B9D88B09493C3F8B1084B8A7865807EDBE900BC1A775808786086FF00680F02EEFF206EFED0680A5316FFE8B07788087A5596F84D8EEFA9E0877688876D8EEF84608F386870B19CB00C727FE3B6F0BB9A708';
wwv_flow_imp.g_varchar2_table(14590) := '21708BE03FF37607768007E435EFD1D93F88086F798870C64696C2AB080DBF0876386FF84E70F1DE3FF8EE6F147EF0F36E88119F88F0866F0E4FF175B827520970F06EF1FFDE6F14A76F1047E189580702A7F1F10E7184E03F0B2F6F0B277221876FA556';
wwv_flow_imp.g_varchar2_table(14591) := '67BA7A4784E0876FC2A7F28E070BC16E00B86E84B8F21D6F086EBA272E4FF021DF72BE80C73B1C1D7A486AFF0237F33B24736E9A078A704E2D278E7DB81B6EA2737546883BC30832C7700C4F706E4AEA1DD7F33337732DBF333DA787BD38742A8FF27960';
wwv_flow_imp.g_varchar2_table(14592) := 'F4366F8878A087ECEE728468F37980744817733BBF736E024B360FF3454F734117754247617A38DBDC594E9691552B6F88466FE7BC18B07C78F2D1D987BDE83F02032039878826AF8754AF0B5AFD262847967D20707D98087D40F6C8882B644FF63D77F6';
wwv_flow_imp.g_varchar2_table(14593) := '8A60768B307663C7086A478864B776C5B3872CDF337CD8F62C47C33DB38B269F557CA0D57347778AE8B3B8D20BBCA0085DC7F27958BC79CFEE8928388B7D76973C77778F0C78BFF67F37DB138E8C8A6D6768CFF78AF0F72AD774359F0849B7F27D8810FF';
wwv_flow_imp.g_varchar2_table(14594) := '70A7886F97788888907A88AB654FF8BC98077B70F4BA00807E88F8978C907E7872819FD508A155901F8EBBB075B0A4EEBBB08784DF874ABF87497FF784EF265BD47934F3BFC1D87727BF885A1F0C6C9FF66CCF768868767CD807943FF8A1BF27398F07A9';
wwv_flow_imp.g_varchar2_table(14595) := 'A77A7CAAFAA9B7FA878F9036AF788881780098765FBF8813EE879067F5AE1F8E6DB772813FE12C5779A17FFB8B10FB77CC8B55B787EC66F46DDFB3849FF586E8FA010B76619F08B11F9DC38BAB959F08A70FF97E10F90869F6C8C0F66307F9C707005B47';
wwv_flow_imp.g_varchar2_table(14596) := 'F6B2DF7558A7FCA787886DE2FC8A30773E1BB068676AE2407B84EFBFA98F787B5879C5B772D61F7788B1F595B9F789F0F8786074560779FF3FA6F8C1F0F846FF78BE7075AEA707E734FEE2477EE3AF87D3BF086F87F254BFEE08F9A67BD007B9B208B094';
wwv_flow_imp.g_varchar2_table(14597) := '766A97735B2730EE6F8882F37E8B38BC7C27766207203DBF88F09F8844DFA6BD087FF7AF7C3B6FC742A7FF7A97FE6E5FF582B7FDD7E70B7B00887FF6EC012868F020007C08092A44E81000C17A0EF33D9C5790204488F604F6B3D7EFE04700FF0A8E1468';
wwv_flow_imp.g_varchar2_table(14598) := '90A0C9792A2D166409C0E5C398321BCAACC90FA3BD7800F419E429539F4F7DF7780E35B8AFE0BD7B4895D63CB8EF1EBD83F29836AD6AF5A13C0047AF1A9477D46BC1AD5BB976FD5A356B547A4CEBB15DD9D222BEB871F9CD4C3870E0418C0FE33ABCC98F';
wwv_flow_imp.g_varchar2_table(14599) := '26007E74F702E6EA038015FF8457121FB4A28471C1C76427539EAC05E19882999B72A9D9F9A0182F622A8B0620BA8A182A955723F4A29ACA93334F00C49E3DFAA11A3163748FCE7CFB616CD3AA67AB160E808AEB2A00AACC069004096D006E0E4E4703C0';
wwv_flow_imp.g_varchar2_table(14600) := 'BAF5EB65B2A3C1DE94FBF583DB018C07C0E5CB982F65BE5C45EF7E3300F4952700A820C1BEFD83F40D4A28D87F3F6B01563602080675D002002D80A0A04122008002072820248283007050D00606A1B0614114AE90E10A21AC50D0884D651802001BA0A8';
wwv_flow_imp.g_varchar2_table(14601) := '6208280AB8DA072718A4018A34BAE8900E32F190230E0F7D6063411F0080E20745DE38E407443AF4831100FC0080114C42F9A44344180184114414A4E5435902A0E50FFF448439E641310020830C66DE70C34136EC00000C069930A70900CC59E685938D';
wwv_flow_imp.g_varchar2_table(14602) := '70500705EDD9E79E7B02F027001D7460410516B0B6A70B2A1CE402008E42AA02A4570DE1C2A59962BAE91032D9A0030F0084FA508E392214A70E31981AD3AA05BD80C3AB2FE8D0A30EB2CEFA0200A596F822AF05D55050AB0621B104740E0DDBC3123AB4';
wwv_flow_imp.g_varchar2_table(14603) := 'FAEB413830CBAC433D1A24A44C4924E19CA5055DAB0442D75A0B4011491C914411001C5115955B0261030040B45B90BB40EC202F10E992D5679F7E02DA41A0FCF2596841F9F68A90A493558A50A60060DAEEC1EE360B408F11AF5A2BC5C0E66A90B210FB';
wwv_flow_imp.g_varchar2_table(14604) := 'EAAA8632B150030E21A380030A35483830CA31F5702CB1FF422C0180CBC8F6E0500DBF3E8B100D05E55C3389051D1953B9D7060D2EB6410F71EDD143147174B84317716EB94F137D159705C5C0AE4CF3523642072E8C30820BF9067A10A3830EEAB5D729';
wwv_flow_imp.g_varchar2_table(14605) := '9B1DA8A357553A04A570634A2900702BDC29A640006126AEC1C61432AE07996A2AC906FDBAEB43CECE7AB2AF1F7F5C32E26A0798E3123C10BB04B2C502702CCD00405B90B4387BFE794118C814AED0DF3AED5CB8DA3A7734B9E41ED134B9D8A2FB83C361';
wwv_flow_imp.g_varchar2_table(14606) := '7E89D00D58BF29A00A5C738DD0F0663B0469DA067D4D96A0318DDD3CF1C7171CBCA37B0241B70B40E42DB8AC167B0F7AB0D20E8E830E352C8B230AE58FFC6AFA82832EF9553623447A414CF060F9A8FF9B17842C0032FF1DEDC600B033FAD52475B56B5D';
wwv_flow_imp.g_varchar2_table(14607) := 'EB105610A625818143989DD0CCE53AAE542D062900009B0A62AFD5FC296C1EECDAF2E067A07E0D4F50D0BB4AF01EA5B048BDCD21EE7AD3ABDC97AB593D2C7418335CC998553200AC00053DD461F92016C45CC98F7C4214A141564003251E444226F3DCC9';
wwv_flow_imp.g_varchar2_table(14608) := '9668B15555AE720020D61535173E8D19EE204BCCD9437266BA829CCB20DE4AA0B6CA05AEDABDEE206CBCD6ECE0F783396E900855E38AF01E054217248F78CD039BD90EC61581C5C45FFC22249FC65690EA458F8F6D7341116C608292E1800521E322C6C8';
wwv_flow_imp.g_varchar2_table(14609) := '67C488050E6295ACE4C84A763251162487967C01C87065C48B696C563444A280F27710FF24F0605805D9C1CB50B62B03680021718C1D02537710A9D9AE8CC334C81D61C9C14175AD3ECEAC0A2295C9274509CC02D06B9BF21669904A61CD702C00205940';
wwv_flow_imp.g_varchar2_table(14610) := 'C6C5913DE463D2B2E12BA569956F7AAE20EC64551547C5BFCC616E09365C0D18796890C095CB9869BCD63085762E80AA13965C0B5B41B0F01041FAC90A5B60E10A559083CB00E00ADC825F34F994D18798697E5659559C0C222D4BFECA593DFA1800BE59';
wwv_flow_imp.g_varchar2_table(14611) := '838F8913589A74654145DA941D4AD1214C005541AC584FCDF56A4425CAA7198D09CCD8ADB169AC9B9A3F636A906EC21291905A0600D6B18AC89CF020141DD8A178D58290FE4D622FAD09F94A0A3272969259964C69C4DEA754AB80FF6CA557D141B292C5';
wwv_flow_imp.g_varchar2_table(14612) := '0326CCAC20C31A1501B902D4D3C5F1205033481CFB89540926B526C95CAB9F120B806014C40E557141050C820B83441621D4406C801CF749877CF39EE5742B14112221733EEEA427C56CFE567910B3BA5542A73588E540653F2CD6D3722F8A5C4C8CA046';
wwv_flow_imp.g_varchar2_table(14613) := '8012D4217D3DD7B90E4B35CC1A0821B24846233471905F006014827441810CF2059D44CF20175D8D1900F05058AEE057E63469653ED75D9AB1B3B3E66B96DFA489D3AB38CBA536BDDF152D47CB2AF668AE98445919D91893813AA4086AAC8CC3882B2886';
wwv_flow_imp.g_varchar2_table(14614) := '22E417B290854326B00D83002226AF3808752BB305F66457841272E20EDB69B396EE68545C75C828E9B7D2F65A129DFF9ACC244CF34A997BDA2FBD5C9156E598F0BB2B22AB54CA34426FA1164183FC97C7C415E12800E00B557C621800C0853200465900';
wwv_flow_imp.g_varchar2_table(14615) := '9C631C0ED9020450B606836C010E008883851DB2821F8EF79D64819C4C4096D61F3B4496AB79195D31D83F83308195F07B9A1A7BACCC1993F920082E882FECFC90E8128CCF8A42C89F2703999880A0037C462229D1EBD9008117B3EB45487B27033233A3';
wwv_flow_imp.g_varchar2_table(14616) := '59543AB01F00DAAC36DDEAB7CE9EFE84330E120C590C7A04D43335AA23A56A5806E3AA6B75624A315933C671A587ED246DA4D5E9374D2FFAC50849F35C439531170B48CE9E462C2EEE0C804D7C6213A0582C2E264BCD87983A52A8A6DEB1792523D18E28';
wwv_flow_imp.g_varchar2_table(14617) := 'C303FBFFA1B749E95DF8B52A543BD201AD25CDE6BA1624D897AE5F12B32DEF7B1944D9CB310D620CF260CC323726A370352C3324F09E6E3BCC24AAC1886A5002242E9AD89471F1E0E62DF1AD3DC40BA6618C17AE50E7ED2AF5432B38C1C76594A121C10F';
wwv_flow_imp.g_varchar2_table(14618) := 'E4F1FE1CC2BDAD4E4D0FCC5473956D4EDD3CF1999365D006A982219410E8B5B2472643D86880367002900B7DE4061979C1E15753C486CEE193C3DF41D06C669A533D265E480C7CB88086C41C724F8786650A0944A042151A7E220AC189927E10A3C3AF44';
wwv_flow_imp.g_varchar2_table(14619) := 'B8ADFA6472394BCCE56A4770A77A656352614FE74B607D97E6C84F8410111544EDBABCFB6A58C0EE8320CBDD4E473C62F35581ACC624070EC92300FFB060052C8B308F55AD7386406E72A28FE867902FE896ABC2F2D3673BB21DA86CDF8BE7366D4A0EE8';
wwv_flow_imp.g_varchar2_table(14620) := '66A7CC87927876A1B35EA9E9DE9CDC578B1026F67EADAF2F54DEFF55937C29EACFB65F1400BE8ED910F4324585FF38F6552474D3177FAD4BA0B3CC87DFFD984E3EF9E347AC8BD08EA1131C89EDE78FE9E2D9FAFEF9173F021A780006F0FF80FB8F510311';
wwv_flow_imp.g_varchar2_table(14621) := '00800664C08D9C00EFA988CFD0DF5AFD0AB1C41FCDF8948A2120047A9AFE614004980EFED91F030040055E45F545604C914EF0C5C4DB79200992D9030000039C200AAE20006040069620D5DDCFE3C1E05A9990F2F04B81708D0A7440F08080A919DAF3C9';
wwv_flow_imp.g_varchar2_table(14622) := 'DBFDDD5F0B4EA006626041D89F0AD2FFA0A7591113161F04F4C713D6C40110C01416D48970DF15AE159635D81F14441C34D8951904E76D614CF4011CA0A11AFAC11ADE011BBE6141F0811F98E16A20C241F84121E0211DAA533FF4C33F94C448ECA155FC';
wwv_flow_imp.g_varchar2_table(14623) := 'E11F92040084444814841F0A226524E2213AE2214622234E222556A2255E222666A2266E22FCF0842702005570A2288E62D549844490222AA6E28F01052B024541E4433EB4A22B92203D8C05CD254528AAA228024552C0222E52446198E147402266B922';
wwv_flow_imp.g_varchar2_table(14624) := '5464454C0C0648F4A141D00531A68C32DE9D52080642E0433D58235B9CE2F9F9212176A352E8850786A23CD0443EF46134125752EC033DAC6356A0053216843CC4A33CC6635450FF042826855AD86230068842F0C3479CA3BCC9409354099BC4409C7CD8';
wwv_flow_imp.g_varchar2_table(14625) := 'F9BDC11DA0C11DBC811BBC41762C2444BE41190080438E9FC5810B7314C4D571A41254017C90991464A4179441451AC40F08810639091DCDD10EFC8E14148415488195488172F4CA785441628C0BDC05404D1080150625FDBD000CC000511AA5415CD041';
wwv_flow_imp.g_varchar2_table(14626) := '2024EB79804CF4D20344400AAAE00364200318006621404164000764404118C00160A54110805896A5588E250060E5FF49CE09260002188015EAA23A69891D694996E80D1100415EEEA55EF625940418DC65100520040518E0898C9CFACD080AAEA53AB9';
wwv_flow_imp.g_varchar2_table(14627) := '9F4C44006446A606BEA0066AE55616449A00404709480B98409E50FFA55C22161DC1E0661E048D38C469B6E08C50E6BC49E564324004582603304002C426FCDC008214040544190B765F0214C46FD68401FCE670D25CBD44C99518C1BCECC0064D610722';
wwv_flow_imp.g_varchar2_table(14628) := '440756E54348679DC5A654426665024002D0A60616A69DF40ABB98895352405B7227D50D6771B2467012407066DB1CDD924BE60E0C322500FE8C0650CB418C116B661B02B82603F4677F5A676DFEA657AA8D240180531A446DC21D5622806502C0120227';
wwv_flow_imp.g_varchar2_table(14629) := '04BA4B93D00B003015027AC0830EC906E0674C60C0731EC4FF8168415C650662255C4AD375F6276CCEE66F6AE582C24F671A445B56DD836EA87F144481F0A6419CE557D21CF821C4EFD840BC1029FDD5895BE2FFE8538E518986E501A0602F7D00FE6D67';
wwv_flow_imp.g_varchar2_table(14630) := '837E25598A106396A87FFE27768A109A18046FFE5F7B4A9C4F1E84658240824A800948DF98D21F97700960D261F5998E0180E50B8E910B16845662E595922501382800F0A8E4F4270A6E678C0AAADA24A87622C082222ACD49406F812913B24B6E52E207';
wwv_flow_imp.g_varchar2_table(14631) := '80A8E9CC66413C694168805532694DFC6684F2CA8A5E270B4600553A2AFC30A6AAB21E7126007B1644AC9EDF9330E74BC62923826A7E3AC47E1E848FAED56016148CAE5DF7FD6A5C4AA804FC66B202C0B2FA479B4E1CAE4E6207722A57D469832AA9DA10';
wwv_flow_imp.g_varchar2_table(14632) := 'AA880EE8033CEBAA7AAB6F5AE1986A9C4C2246625881CD85A6A7E5E9A6A2E00BF29F4CFCE9B1C2FFD2FFF5AAA1626BB626C0A87AA0635CD4612C504C9CA4BA1217A85E65FE59E089BEE558C2E5AFC2528B3E440AAA5304802BE4916B4CF49C4354E416DC';
wwv_flow_imp.g_varchar2_table(14633) := 'E4C01EDB123EE96CE21F54FEA8AFCEAB32BDA06B96A8564EAC3451ECE9ED6B41A8D1DE394424F4DB17766CB66165064EE00BD2268A5A695A366CCB56660204AB41E449CA64A96FCA84075C4180C5413700C0EF1CDA2F5403CEFE98AEC6C47F0A6D8FFE26';
wwv_flow_imp.g_varchar2_table(14634) := '77322A0030AAD806086C1E4406AEAC6E5608120D2809FEAA393C041C888341480300BC422A24C3D52A15CC1EC4DE02809FFEECA2C684B60E8C982A2D124D6CDFCEDF1F4C03C7CAC44D12031A104323E42D999168AF3E8415E2A85B6AA78242FF286B9CAD';
wwv_flow_imp.g_varchar2_table(14635) := '6D1AC486D6C9DA22AECB1AA704ECAB01985F53A4EB1B8407E58A90E98C519D4E0BFEB1268E5E698FEA29426825BE92456C6AAA88AA53B71A04CB4660B4CAC475C5AE340949D602A06A1E4402FC2A9FC2E5F4BEE5F44AE8E972C5E56A2507202D42246E65';
wwv_flow_imp.g_varchar2_table(14636) := '4C6C026C67F131650578009A5E05D86E2FF30E8C06E8675ACE66FE09C9091AC07F3A849F3A848F5AE6767AE5C255C66CE6AFE8AED583C6E8FC4980534A40863030E7A227E7766D7F24EFF961E8F891284228ED0B82AB4F2AAC994E27D9FE6E83E826FCFC';
wwv_flow_imp.g_varchar2_table(14637) := 'E78BBA2FE28D298C6265F6FEA6C9D29ED6CC5F8069C99BC80BBC04E9CC5DAA4C8068C49E28C97E70536C2E009CC05EB1EF0B22FFC0E51604F8AA8D0A82AD08175F7A02A7B8FAED131A9BD43EE107442CFECA84EF666F533C4000ABCD12ABD3139F5E71FE';
wwv_flow_imp.g_varchar2_table(14638) := 'AA0B6FE1901604BB507009B6295C0EEBD8D6440484F1FB4DACE14231428CA95812E715B24B0A80409C042991B6B191F65EFCDE5F069A2F4264AED80A31C5E6B1550068B605270A435EB332221078400DB7CB21BBD0FC9DA0A77A2AFEC2B10160ABEF4EA7';
wwv_flow_imp.g_varchar2_table(14639) := 'E15545BD5A65068B6FB646E56F1AEDF91548FAB2A9193255BD3CC493E04E0C4BAD1B4B5CFD2AE8D9FEB05B0EE8D75E72817271CA2A292CA78C794660035F48AB56620BC8400B64103017F2EFA8000E575D0A2EF2415CA9D83EB3419400508D91A9C644F0';
wwv_flow_imp.g_varchar2_table(14640) := '6A2597EAEB098EFFB108218039D3600248E1260AD7DD0DE10946E87096F14394C0AAC8C85A6EE04378E5FF4525995D3204068043FBE4B1FA6499BEAF0732E6FF516B4C108043FBED0B5374557CE1CD5ED91FC4C1489734000042251C0425344226444224';
wwv_flow_imp.g_varchar2_table(14641) := 'A4F44A1B0425A434FD55C24BDFB44DE7344EE3B447F7B44FFF345007B5500F355117B5518FE2331E352ADAA33D22D13ED2E02CF28A332A350DE285DAE8C53582E345D4833D70B55797203DE84354544654EC834FD484528C752E52355BCF1B21C61433B6';
wwv_flow_imp.g_varchar2_table(14642) := '35250EC383DD822DD4AD2BD0C22BE83500DCC22DA81330A8532CA4422A1C0430DCF55D0708300C43601F84300C8330148430D80265CB35252208074080C00DFFA6771E84084448843C48ACFD1EAF68C0608E2CE14AE6068CE055AC8083A0C03BC5000FC8';
wwv_flow_imp.g_varchar2_table(14643) := 'B6AA9849AA980A0B5C8884E49E655F6180B149512284AA14040CE88051BE4027A54C720340E0A01BC9AD2505FA5F744BF2C3C89447913667E900BB214B90A60B74AC4C1385CE48BD8097F536FDA90060CACA7233B775C30FAE988CC9B0006CABDC6DE913';
wwv_flow_imp.g_varchar2_table(14644) := '98F50C6BC7C4E75451BB21C1CACC8C7FF3D443AC80E3AC1468993704D609512A4BF9BCD24B9D98DAD4400CA9D2591DC4C7F1CAE1045078398413F20FDDFDB7E820F81542D2EFA8B7E7D89886F71ACAB8D56675D1C03CCB7851C6E7800AFEBC4C2D854A5D';
wwv_flow_imp.g_varchar2_table(14645) := '19410F30A08833A1DDD849AD30CE25351C0BCCFF60558CD9ADE940915B9291B3C6172911945786A6E5488DCB1712E012E76462BA546A4FA3B748994FFA98CF79219A68FFCAC9F088B2A856D5D557A621C1AAD01242846025EAF3FB160CC64838C934F803';
wwv_flow_imp.g_varchar2_table(14646) := 'DED6B3E879C8480CDCB59527894AFE54D1B0CCD837F73804EE0936AD162A15D468458CF8141F0ED040E8009B13BECCCAE44F932B3AEB2112E3988C496177755786B3B8D6835C52F1B5548F248BB03C5ABB793A1342CF8599B9E7E45A55D06753308BB3A0';
wwv_flow_imp.g_varchar2_table(14647) := '94F0419EA09B8F118D0A5D559113CAFA167A40CA759BA85B85DDAD06C894D73DB952D37D554BFD988AD3957DF194FDB4D9BB213B09AEB76893C58E887B5588938A9F9FE530C10DDC8F13C2FF396CA915B87BA028215C79E72DB474FB5CF500A6C15BA675';
wwv_flow_imp.g_varchar2_table(14648) := 'FABCDFDDB23FC80FF5345CC5D6E6DC54B4007CC0DFDDC9B8F688A82DBE1F848C697B9B3DBB431471C3F75E7E332FCFCC1512687BA6ED08AFDDD7C677DF6A5B9F4FF74877292095B7D8EAD54FBA9F7CD585888A743CF35ABA41248BC297FA9ED3BCC4A55F';
wwv_flow_imp.g_varchar2_table(14649) := '88F050D1A11DFB1D1DDAADC0C249881DCB658B3DC48ECC3CD0CF9CFB8500011EE0433866C72E0113C8B913C6FCD4539D8D181DE16188CA1B84D5871EE5F294E5CC4CB0855FD84FDC0668C0DC27A6D63FC4B6ADB6E8DDFD287AD9B0707BDCEFB3D6D308E1';
wwv_flow_imp.g_varchar2_table(14650) := '531F8A78E58A781C867C5CD15D2DFE3C7DE0DF1DF7519FCFF49201925CF6C9FF08CEA7A29C473E04A2C88A38446222BDF6E9A2807B3E09AAC8320F9EF669A15CD655E7A37E041EFE41505F0684A82EBE8C15F1408F209CEC43E006AC3EE546DA5DADDEE6';
wwv_flow_imp.g_varchar2_table(14651) := 'FF3EF24FC63D4147A8AC540F357DF247FF8B5C52C648BFF55F3FF69F5E380080386C7FF67F3FF887BFF88F3FF997BFF99F3FFAA7BFFAAF3FFBB7BFFBBF3FFCC7BFFCCF3FFDD7BFFDDF3FFEE7BFFEEF3FFFF73F400010389060418307112654B890614387';
wwv_flow_imp.g_varchar2_table(14652) := '0F214694389162458B173166D4B89163478F1F41861439926449932751A654B992654B972F61C6943993664D9B3771E6D4B993674F9F3F8106153A94E8C05F45912655BA94222EA64FA1467DCA218054AB57B166D5BA95FF6B57AF5FC186C58866A09448';
wwv_flow_imp.g_varchar2_table(14653) := '47C4A655BB966D5BB76FE1C695FB3355A4B977F1FE5462C2405EBF7F0107163C987061C387112756BC987163C78F2147963C997265CB973167D6BC997367CF9F4187163D9A7469D3A751A756BD9A756BD7AF61C7963D9B766DDBB771E7D6BD9B776FDFBF';
wwv_flow_imp.g_varchar2_table(14654) := '810717CEF8C770E3178B1F571EB1C7F2B0224CF8DDD1638773AF3200DCE881DD7AF7812238DCB8E19DFCC0F11E048A2FEF9DBB0CF5EBBDA3803F3F3B7DFBF7F1E7273A41BF71FE022DE8CF380BFE13D0C003114C70B30215F42D40815AF8A1B9067B13C2';
wwv_flow_imp.g_varchar2_table(14655) := '86F100986E3A0A6DB38143E03CFC90360E24A060A010459C0D02824C4CB1B6144E7451C61969ACD1C61B71FFCC51C71D79ECD1C71F810C52C821899C89091E8E64A2872596C430A11A561808CA1A0058614A2BB19CB248B7A82C0807007828880724C25C';
wwv_flow_imp.g_varchar2_table(14656) := '0209009A23130026AA24284A2C1182724BB7E01CE84B309958420783CC0480C92578E0614F816AA0F24A84EA9C532D43A31C488723072D684200CE2448872E0F92D3204D3555B42B16E48B88492496DCA1CF417548158048AB2C74A0136888924A591BF5';
wwv_flow_imp.g_varchar2_table(14657) := '94AD3DF55C424940FD3CF34F8196B0F4D23D31ADF5848166C0D4D6B66AC00187230165134D25053A73C93001C0B4501CBAB4B2D52A6928B4501A6858B386723F58F62A1494F552CC23915C120933911428D2417148942039C92D37DB76D5DDEA4E2A9FFF';
wwv_flow_imp.g_varchar2_table(14658) := 'D541CF7AFD0C535E3B57CDF4DB3601F097206E07622060A858C8966283BEFC32491EF40433587B01F0F84B656B2528DC4D9998F58308323022898BB1BA53A03B030D992090A55D95099BBF5C392126BCD5B84B0D68CECA6684E21D08491EEE6462D09F59';
wwv_flow_imp.g_varchar2_table(14659) := '2DA8DC58AD2CB76580937EAA4B1CAA362850680D4658A115961EA868429D4DBB6BABDC6E136769414E15DB8BB67D5BABB8513899CA54737DD451A97B5E486242F5163821F9D236D8E086234AD9DDC4A16A36EE89ED4CD2674105325BA0C3750CE1840D8E';
wwv_flow_imp.g_varchar2_table(14660) := '3DEC729205922F6791FD14D9F37D0D8AB5C61004DA8076C94AA0410790D1143BEC76CB5D01740A6D0780F6E237406CF78556D8735E4A99FF1C884D417528376DE16D44DA3118CE8E32CD3E79C533EC82B02F1AFBD83A7049831032B8BD311C3206A00414';
wwv_flow_imp.g_varchar2_table(14661) := '4A580185E6478E7E64C3854F59F2D5D207930C202D03002860010D73A741714D20F6A3C8F9C0853E0004B0022F89C041D867BCBF1CAB5352BA5F95D855037611E44FCB4348B9607582FFB5267D016CC90531008008684F31591241EA6AC72E14E8805D3A';
wwv_flow_imp.g_varchar2_table(14662) := 'A8149820079C16BA2486113062043070411AE625860048D7D900201F59358B58E383E2AB4474C185580C030F880BD29AB8901BC24E4A033155107FA44582588C204DD48017DFB2448DBCCE567D914BE932122ACA6508093F30021FFF08962700A00A1499';
wwv_flow_imp.g_varchar2_table(14663) := 'D940AA40854422320954688EE4CCA8F0C71F06091E02A9642505220F77B0051EF288883C3A39104D02E092A4B4A4270B82C91FC5E3209EA407005C89CAAEA0F21EF7A0872DF7718F7DD0631FF2E8E53E08E2CB5C8A7297C01CA6406E894A5FAAAB1EF510';
wwv_flow_imp.g_varchar2_table(14664) := '0830BF024D00DCA320D42488348339106C8AF299C784662EC169CD22E5231FD4DCA666F6618F3DAE939DEDDC0C3DE8210F787E2520000021F904050A0000002C7200100074014E010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C1871D8';
wwv_flow_imp.g_varchar2_table(14665) := '3483A0286ADCC8B1A3C78F20438A1C4912A2BC920BF50118166B60B882FD50CA9C49B3A6CD9B246302B8764760BF79FC2296310420151A81C300202B9A6AE02D90680CA94BF5C625B1619E9A0A7CF54FE7C27800C601E892275EA2730002C132080EA7DB';
wwv_flow_imp.g_varchar2_table(14666) := 'B770E3DE9CE7751FC77FF608FEFB07A09F4A817B43F68B3958E0DF7AF400FCCD1B316F3C9D7C0532CECB58AEE5CB98332B9C57709F5789F4EC02D8B7EFDE3C7AF4F0E50D2A729E6800F9F4E50340EF9EBE7BF700DCDB57F9215800F6E2D9633CEFB764C9';
wwv_flow_imp.g_varchar2_table(14667) := 'FF8C6B5ECEBC79497CAC4326CE9D1BB6CD7CB367137C0DF19E7600F51413FF54191EC0BC79E515E34BECBCBDFBF735794BAE8E30FAC7BF08F5E9C7DF59346E87910DF6197C041668A042410958583D0CD683DB70AA95861B6EA1C5535B6D13A246E184F7';
wwv_flow_imp.g_varchar2_table(14668) := 'E0E320871E62871D3EF870885B830ED6839D7723E6839B8B0C9A98A189A80D771226930030CB813CF6E81C3C06C903A49044C253E49140D2B6D7924C36E9E493504629E5945456E9E439CBCC32481663654182975C7E0980985F9609E6975D1894A68F6C';
wwv_flow_imp.g_varchar2_table(14669) := 'B6A9D049F2C059A44370C2434F395C2851859E4A3CA1049F7E56E1A79F4A24A10417637C91E8186534EA6819638CC105A25E585185178C3EAAE9A69C728A46A39F7EEAA8A488225A061AA8BE91EA154A48939C70BDADFFA39C41C30D14DC40681D748F90';
wwv_flow_imp.g_varchar2_table(14670) := '00100980916E062BEC423189834000C826ABECB2CB52B00105147020EDB4D27AB0C10306189000B6041810AD071C7800AEB82278506EB91E98E0010AE97AC042BBEFB65B6EB8D5CE4BC1031124C0C003E2F67B6D020704104B64DB3524DA5EFBFC63D76F';
wwv_flow_imp.g_varchar2_table(14671) := 'B50AC41BC1C346FC5661038EC4CF3FE250D02D011C77ECF1C70610908009299800C3C932A41CC30D2BC7C0C1031A98F0C203083C60F20D36E09CF30D38F36CC30E3BF40074D043173D74CE3B23CD320BD04AFB020C31AC0C83091C40008101B6282C9A67';
wwv_flow_imp.g_varchar2_table(14672) := '151B14A04E9F05A6175FFF5C2CF1D935155613C61430EBB6B21C23C081097493FC420A279FBCF2CB14BCFF70030A307B7032CB51176E38CF8827AE38E286AB1C030CE0462B2D0A26B060020A287070EF0301D0A21BC414810E93DA00888EF6E91F29B8B6';
wwv_flow_imp.g_varchar2_table(14673) := '389CBB4DC0DB01884C41BA75E76DFB0B1BE4BE81093A98B0010A30F01035E13138BEF2E2C8278FF80B1C3C2B79091C8820BDB419441001014DD17571D71075ADA080A8872F98EA335D2C4E02AFC3EEBADCB4D36D7BDE803FF00003B3E74E390C3CB76CF8';
wwv_flow_imp.g_varchar2_table(14674) := 'F0CAF7AF38F319082007A0270269159003D68B40005C019ED2252C22E423CC67BEC73DF1595022E45348051D623E04A4CF7570EB580266573793D92E6A1CF0E003F49580DCAD2B7837D0DBFE8EE7BF1AFA8E020284DE00A357C0EA293015FFB807C1FFC0';
wwv_flow_imp.g_varchar2_table(14675) := '1611BE48902014BCA01235F23D6281CF2744DC206C30E6418FC5EE8AC97A1DC70C8080117AE00525CC5BD460B0010F66CB000CB09FE01837431AD6908DFBD39CB39E272D0222105F0100626E1246C13EFAB11F5DF1635F32B8C4423AA489481C90EA9278';
wwv_flow_imp.g_varchar2_table(14676) := 'C483E4838A1C435624DF16322ECAEF8B6184DAC95EC0806E1DA05BF4DBC01779A03837BE71716DBC17B43240BD3A4E2B8179FC47681416C808FEF1967F34A42E0FF9C441920E8AB8EC65411E692C0304800B49785DB63457B3D9752B5BDBB25909492683';
wwv_flow_imp.g_varchar2_table(14677) := '1BD06D035BECA4012220BFA725AF9A353C1CCB52464E95D1EC01CEDA212BA7553D04FC503776E16330E789CB5DDA5383BDCC203DF3F9FF19627A3006D14845EC20E08761C0010E9EC0862702C04591AD709A263401B61070C633CEEF012F8801298F074E';
wwv_flow_imp.g_varchar2_table(14678) := 'C69D128E8593010C128000FA518B9501CC000422E0CE58928696FB8C6912EF49D3D1A9AD8FBEDC273075321B6305E00D903044150230863FB8010EC00847388AC05092A27376854BD7D44C90008666EB0006C06A491FC002537EB47F33F440175B78520E';
wwv_flow_imp.g_varchar2_table(14679) := 'A094A508F0202882F85299BA559835A5A92D9B28D39D0A8898DACA041C5C518600F8211231284339B2418BBE12800349A8821510850637A0610774F380C638F649026015AB06C88009BCFAD537BA2CAD09A0D6B4A0450196B23496BB19CD5BDF1AD7D6CE';
wwv_flow_imp.g_varchar2_table(14680) := '75B537A5203109E00157FF44E2197E0840263CF1577118E20D864096078E50052E54E10DAA2A8311D4C5AD8E7DF2B968EC5B67A7CB320EB050B406342B5A15B8D6D4720DB6F3EC4B6BE3FA5AF0E9146CB2C598C880910962B822005FF04338CA10090E44';
wwv_flow_imp.g_varchar2_table(14681) := '030EB18381A4D0508531C0E10E6E20826443B631E75A168D1B8021753FEAB2153E00BBD3C3575A199047DA78E6BBE0A5E77869CA24C0942E30A003F1923C1C192801521C017800566EE18A0710E09C0E4D561522010A57782213AE00851F7690C22D762C';
wwv_flow_imp.g_varchar2_table(14682) := '761B43230762D00396F1AC9C48FE2892C1E901F93D185CD38AF07651EB99D201D24A58068C9336BCCBF0FA7220F9146F4E1574B1700420015819862B3EB8ACD72501FF0D598944240C61084A5C4D9293C433344580BF36CE90C17F6EF2B6A02CDAD24E59';
wwv_flow_imp.g_varchar2_table(14683) := '8F0FCC707809C965252E12A77685894DBF57E614132312AEA085163F16492550A20AB4884426FC1095635D91CDC80A59CDF87C03E18D518CE2F4EC9F258A4E4267D77A694D6B8577D30F792A3A978C6EB405CBFB68F19A77CC7EACF4034051863744C2D4';
wwv_flow_imp.g_varchar2_table(14684) := 'E9637311D090895B64E20F544143EB7E1C424B720006458E9A0C1E07B5FD7D75D62BA4C001A955DA5C9794CABDAEE5AFBD2CEC0BCE1B917DAC34021881A82F700C7DF2D396AE8D60052F70A10C5540781538806AB8E53A5A7D2E1CAC632DEBC3491401B3';
wwv_flow_imp.g_varchar2_table(14685) := 'C3AEA1734D6144C7FBDEF4AEF7B0418E4B7DBFE1E030FF080007FC10032550800B6E2803E738708424D8FCE64A689DEB043E42E0112F062534F70E2A6E719A51405DD58ADECB70ADEBA6F0DAD72417A4C8ED1DF53F569A0086F28207520C071114816689';
wwv_flow_imp.g_varchar2_table(14686) := 'ADE2B1BA95D686363CD509484004203037FCB9BA64B52BDC0D86CE3FC2A112DD06A057D2A927BFB4FE90ADA39177D5113975F10513D95EA660995F77033FC85CE57E2882C602208524B4ADC01525F0FA9C1CAE9B110E062988A1C9E4CEB2C8AA8B5DD312';
wwv_flow_imp.g_varchar2_table(14687) := '9C9FAD6974AA8DAB8022C0A184FFBE1B980E9E62702D3CDA089F53C41FFE20FF08C7EB968D0664DDE00F5E800107E090042E5C9E00142D30B7E1A62DF97D4B66521B23CF469F3F6B4A0B5A1BD09CFFF88FEEE71834997D063497D237CE5DB6DAFEF6BCD7';
wwv_flow_imp.g_varchar2_table(14688) := 'FDEE85895E0DC75F208B4796A963972D276B0B7DCF942D1FC32C71637D06847D9A0474530535DD4735E2472FE362427EF63218C70206343D07846BB4174F435475BD277FA8136C6E25665D5369587482CB92565B44605614425D844EE137372F9051C4E3';
wwv_flow_imp.g_varchar2_table(14689) := '8082833F460639E2E23E13577ED6453F05642E18A839D6A32F541678602675F3068221487F63666C5E615EC1867FC197459BE63A2BC88292D466D5874EA9F7346D24550C2835B5536EF9537E2894769AC543849601F7625A54063AF0977B4C282C53C848';
wwv_flow_imp.g_varchar2_table(14690) := '52941026786A2888671DC3825A8482D0B72DD1122DE5F2343090514003392434382DFF3371C9D338E3F683EA762EEBF60019307B47F8404948721F588712338592B6117B18880DE73180886AD1A62D4D532D9623463C934209F04532F473C7C359675838';
wwv_flow_imp.g_varchar2_table(14691) := 'D6150114C002D2E38BD4032D9AB856A1311A06413A51078A795820F76731554880D0F8873FA68A71334231582ED827359A4333233335A4776EC52352BB383B96F87D01A48988868489948483D48EB8E78E76258AA04813CBD83DC7864F1AB178D2D782A8';
wwv_flow_imp.g_varchar2_table(14692) := 'C845E853559C76464EF52DE5C20229C00345860210005AFA620288633410199140337714D96411303722503926B06E44882FD8234BA4516508F18EF4878752F84B35C53D83C10FFC304FD8211231C19232691F113193003093FCFF801D383993F9B69338';
wwv_flow_imp.g_varchar2_table(14693) := 'E922008062EA339444C9455D5433DC844ED8D266DF9274E3028150F99450066514906B2B852FF89240254551C69409AA954820F765F2B84B3E19143BD90FFCC02222920F2D3912FDF0484D621D4C647565899302F224DFF30FE9A07055D0975220055500';
wwv_flow_imp.g_varchar2_table(14694) := '9880690582199886692988699882C928A2B22992B228933206C8E506C8F506FF05076F700798A99999B9999E999996A99977D0286A409A9A529AA50929CC204BA8C1202B2223328222B2D920B029233E2223DA019B11A10E00C09BBC9919EAC00E00209C';
wwv_flow_imp.g_varchar2_table(14695) := 'C4C911EA709CC8999CCAB99CCAC90EC1F99CECE09CCA990EF0E00EED709DEE000F46B29D45A29DDA8924E0290FF4FF209EA8811A711227DE999ED8D90EEE409EEE699EF0399EF1299F42629DEDC00EF7899FD1B99FECE00EFD290FBC990EBED99BCD099D';
wwv_flow_imp.g_varchar2_table(14696) := '06EA9C088A9C098AA0C379A0037A20C519A111CA10F82010B3C9200A81220D9410ECC11C178AA10B219B08319BE38918E579A2289AA22ABAA2E4699E2DDAA22A0AA32B3AA3F4E90ED969A3DE199DF2C00E3B5A9D46D2A12452A1074122431AA42422A216';
wwv_flow_imp.g_varchar2_table(14697) := '7AA11B6A20E1F1A10D021EE9C110B5D921413AA5138210F431112F394CDF41116BF9A5601AA6225296602A97BAA911628A1D76911D5D8A1221290F2119A7FB00A7FBD0A103A1A40AC121BAE11DB091A65F5A20DAE1A76B79220EE12257BA44B589106B59';
wwv_flow_imp.g_varchar2_table(14698) := '1065FF69225CBAA825711B269AA2934AA396CAA2BD729E9AAAA912A2A7BAF110613A1082DAA60432AA830A115B6A10A97A3667EA48AB9A108E4A10651A12442A1E7B7AA5D491AB56BAAB87DA19742AA7120200B53AA6367910641AA882CA26A6FAAA8A2A';
wwv_flow_imp.g_varchar2_table(14699) := 'A6C6CA108BCAA6A4CAAC37E1A40841A4462AA405E121179AADDAEAA41AFAA4FFA11BE28A9B22F2227FAA18B6391E03A112F8A112E33A216F5A1A70EAA9B22A228CDA10E9AA87C52A172CB910CB8AAF0AE1226C59972BD992B99410C9C692F650A1DE1AA4';
wwv_flow_imp.g_varchar2_table(14700) := '88877FF6A1AD456AA4C0510FF680B11A4B19170B210F0B1D15FBB1419AB11EC2ADE5A1AB9FEA9AA27A0F18EAAEFBF1B2EEAA18FAF121B601B3FAFF411D31AB0FE1C1B2E2711B0D441D734A1A703AB4F7508C3D6B10593A48BB91A832AB1F8AB1228F0AB5';
wwv_flow_imp.g_varchar2_table(14701) := '2581B0F0E793DCC396459B9EE9B9A95CDBB55EDBB5F4001495718F1B819212112505213662738CC017971FD6615EB32463E944F4F64B77593A6086B7726AB744F4B623796F674B2502410F46F2B5867BB89B5AB844220F3192A5D82124971AB9925B9EF6';
wwv_flow_imp.g_varchar2_table(14702) := 'F00FF3E00A57F00557B0B99CDBB95660055700BAA2FBB9A47B055AF0055A00005A80065B8006ABFB05005006B07B2A5F40BBB47B145F8006B9BBBB65A005BDEBBAC05BBBABFBBABA0B005C3010B02B10C7ABBC0881299402008F592A05B1BC5CE00500D0';
wwv_flow_imp.g_varchar2_table(14703) := '97D8DB108FF9106300BD00E00598FF8229D00B299A1273762010911229E13B06EB6BBDEE6BBD04510500E058F4DB58F65BBF8E75BFF73B108D0500F6CBBF8E05C0F6DB139DF2285F900A889BC00A7C9EDB6927E32AAA461225B7371CF120051030011290';
wwv_flow_imp.g_varchar2_table(14704) := 'C11ABCC11CCCC10920016927011020C21250010361C204010200D00203A1C22D0C002010C3321CC31E20C31E50012050C3390C02155001E20200E22201403C10A2D5101B2010140000BAC3014AACC4D792955CC9000730C50511014D0C001A0011BF8302';
wwv_flow_imp.g_varchar2_table(14705) := '00100203613F38A00361AC03640C0364CC033AF00228B00121B0011AA0016E0CC76F1CC76E5CC702110107F0003B60043BF0037EFCC77EBCC77DCCC7800CC802F1033B201089FF0C007DFC030411C87CACC831F43E27135149D00E5D81659AEC474B6224';
wwv_flow_imp.g_varchar2_table(14706) := '042BAAF910C10B5B97A45CCAF9801AF1F00515A00202310223D00120D001B0DC011540CBB6DCC3B8DCC31D5CC21530022EA00243E00245300440E002C44CCC0301CC2E00002EE002C51CCCC5ECCCCD0C042AA002D23CCD2A60032D00030000032CCCC200';
wwv_flow_imp.g_varchar2_table(14707) := 'F0380030C93A40102F2010E50C003880CE0050CE2FA003661C3C02C10298B3012BC0C60271C46FBCCF22C0C5EB5CCE2C00113A80C6EA8C0262AC034CB003098D040CDDD04680043D8090646CD006CD022F50032FC0023870D16AAC0314AD032BA0011F60';
wwv_flow_imp.g_varchar2_table(14708) := '043757D2267DD227ED104640044600002DFDD24540047FDCC83FFF0004360D043BA004EAF00FF93078560B489E9CB4A12C0F822720A53C933A79D42C59B4F2100F573001303CCBB12CCBB23CD5547DD5B99CD51550C2AE6CCD40E0CB407010C0CCCCD65C';
wwv_flow_imp.g_varchar2_table(14709) := 'D666DDCC5E0D043650D6CEACD6D63435709D8802318369FC02EB6CD7169DC62CB0D77CDDD7765D107B5D032870CFF67CC45EFCC52B20105C3C10829DD835A0103540C6640C008F4DD967BC033CC00398BD0348C0034B800400B004648C033550DAA5BD02';
wwv_flow_imp.g_varchar2_table(14710) := 'A65D03A8ADDA838D028F1D021AC000009004449004355704B69DDB3547D2B87DDBB95D04472010C19D04BD4DDCB62DD33B000444A0DC376D0488BC033FF33343030488AC04ECC0D38014756509D4F200947DFF0A1B7652D432C592C1B417FDB02BF0100F';
wwv_flow_imp.g_varchar2_table(14711) := '56D0CB1D300203D1010F01DFAF3CDF57DDDEEE0D00CA1CCC433010612D10CDBCCCFFFDCBD15CCC044EE0D33C0440273326633274DDCE699CC6A41DD0EAACCE01ADD1185D03126ED9612C103860E195FDD8AA4D102B80DA2550D9220E00A8AD10A35DDA02';
wwv_flow_imp.g_varchar2_table(14712) := 'F1D838C004032DDA4BE0D93DB0049FDD03ED4CDAA9BDE3344003A68D39AE0D0018C0001A40D23597DBBC9D04246D73C0DDDB47E0E4025104C20D00523EDC44C033C96D04385DD3818C344573D33750053B8D0F31D592544B9765F90F412D102F19CAF450';
wwv_flow_imp.g_varchar2_table(14713) := '36E045DEB864DEBBD2D457D0CBF77D10CBCCCCFE3D10EE0DDFED1DE8B6ECDEBEBCE70811CCFEFFFDDF85DECCC1DCCC4570CDC6DCD636E03E0B2ED70F6ED0767DD138F0D128D0E19E4ED19BEED1ED2CE13840DAA53E10EB5C10200E002C60E2946DE2A89D';
wwv_flow_imp.g_varchar2_table(14714) := 'D82D8EDA61CC043540DA2DAECE922DDA996DE33C80049F0D0068ACE3A66DEAB77EECA5EDDA231E020CC0003140DB3657DBB87D73BB4D0447C0DBD75E044D2EDCBD4DE5B30D00578EE5D35DD37D3C74D28DC8366D043760DDFD40E6FB64E6C154973DBDE6';
wwv_flow_imp.g_varchar2_table(14715) := 'B21ADE8A76E6B854E74E6DC2F7EDCAFEFEEF004FE8EF0D00804EF0B5FCCA7E4EE802EFEFD6ECCA2EE0F00EDFF0686DE0FF6DD33690884FC3E00070CEEDBCF11B5FEA1E1DF2AC2EC6ED7CEB06AD03AE9ECEA85EEA2C7FEA0C21EB949DEB05FFF1CFB82E10';
wwv_flow_imp.g_varchar2_table(14716) := 'B28ED0643CE33A0FECC0EED961DCF2A5BEE3C8EED85DFC010C8002C59DE4B88DED46D0E44F6EDB4EBFEDD6FEE454AEEE31D402D2DDDC40F333388DD3C94D0439AD0EEDEED3691ED4DF811DF63E87465D0F71B2EF000F00FEFEF0FF0EF70F0FF7746F1054';
wwv_flow_imp.g_varchar2_table(14717) := 'FDE7047FD5041FF0FF6EDF01FFCB23A002835FCDD20C042D40372890E9EDFCD192EDF1EF8CE91D4E10C92ED8A5ADD1A93EE11B4EF21DEFE90C01E2AE9EE21CCED81F7EEBE5CC034C50E3357EE34BD0032B1EF4426FDA3EFEE12B60F42820EDC68DDBBACF';
wwv_flow_imp.g_varchar2_table(14718) := 'E4B94FDCBAAFED54FEE4C03D10C18DD3DB7C325CCFDC606F03CCFDC7D41D0355D00EF4600F6AAF20F3DEDD8EEBE6E27D7B4CFFBD0E77EECA76BFCC1660010040FE73EFEF16E0CB043102B82C10B50CF7ED6D011D20FFF3CFF7B2FCCA797FFF805FCD835F';
wwv_flow_imp.g_varchar2_table(14719) := 'F8003102888A16265000A851038742000074E870E8F0E1C3173A0EBE409810458D8D1C75306C1811E2481C3A4A9604B03064C81A0D71A4C4F1120793862D43A2C071F020801509993CE4C18309121E4896185DB2C4A4C2844D13D2584103AAD41A34AA86';
wwv_flow_imp.g_varchar2_table(14720) := '88A06147922245B87A2D72A42BD7AF5DC59AED8A964811006C8B1001B223850713265AECD841840880B840F4C2FDF16387892AECE4E1EB9758F162C68D1D3F5ECCAF1F3C79F9EEADCC970F1EBD7F903D7F86CCEF1E3D79F1AE541891BA61871C6B1A5532';
wwv_flow_imp.g_varchar2_table(14721) := '930340EA1121FF87F800E243C90825395468B992C3C5882B2E000C5F19B2C3EA0E233A3C871E1DFA08102A3A58573142C5F618067572D468F323C5890030E25C78B065C7A631538E9CF83279CD942C5BCA9C09808942F92D6B58FC0F0588FC4348072678';
wwv_flow_imp.g_varchar2_table(14722) := '5842A81E12348A289862626AA1A6A4A2B02A1CA0D2200213C02A8B2BB192200BADB0DEEAAA2D1301D02B24B862A0CB2EBC50E4CB861D500442301860F0200976E8B107341F7FEC279FC92ABB2CA4CC36EB0C48251D138D9E78D6398DB6D9AC18E5975B46';
wwv_flow_imp.g_varchar2_table(14723) := 'C16594DD681BC182354C5B431900560124877594A924181F96B9A2B9D9565ACECDE798B3A0830A9E0301BA3C3BC8B3CFEBB683C1BB8472724F40012B9A88FFA2865E686AA39A58E0282516206A88D2F9649A2FB998361D89A69572020005436B1AB4A403';
wwv_flow_imp.g_varchar2_table(14724) := '9512AAC1A460326953FE9CA290060068B8500306363002C4B144EC50C4B752FC0BC5BFFE02C286BA5AB86107BFD602A22FC1EAF2C0030A00D8B11EC996C456317EFEA12C9FE48EE42C5B6CFFF9A74979D6E10235D57C18251847D2A0229660121942B5D4';
wwv_flow_imp.g_varchar2_table(14725) := '4619678D3027C0A5911CB6B1628D7F1A51130037336D68041716E652E18517B64EBAE85A5081059C9C4A6FBC90127D212616780A0FBC8CD6ABEF24934C42F8D39A0EDAD464F81EEA2F54F0DA43C85405134C0A41884E6A19C209AB926A211AB0DA60ABB2';
wwv_flow_imp.g_varchar2_table(14726) := 'CE3A3AADB37E1D16AEA6F5F2EB871B655476FF2F227E40F68640398080020A1E80A19D7CAC1537DB7DB8251233CDC22D1B48724593C7C928558B23185C1651056F5C82894361878309E695312558250E15CEC125CCBDA36C6ECEE446B0620B3324A7DC0C';
wwv_flow_imp.g_varchar2_table(14727) := 'CB2737E30AE7246E8E624135BA98859C2C1A09D18A6AF898A78D5058C151D41302E0634B2F7D6F24FA2E8DA9D599125D94E4857E67A227F9705655872550EA1907D137EA89AA416B5821430074050BACA5D3C29E58A797DDFE6ABD6E886187C07E806B07';
wwv_flow_imp.g_varchar2_table(14728) := '1B528096030928E8FA8114D8D9E71E21DBFEB1B3B3BB95DF5B00C04D92FE1FE13ED7DC14D6AE55A8A2169DE8C4DE463184D9806008E300473008A6847E596119560044231A110F2BA0A6FF719972C116443842126A6184B1E19C732826AA15B4AE27ACDB';
wwv_flow_imp.g_varchar2_table(14729) := '08A41A22208A286F403283210E65E69290C8C73D982A890E78402942EDA426C903CA431C529243916A503513E2A95225C487D00466CA634F427AF22AE885E00100D84A5A3CB42BB194B12BC4AA51B37ED02CBFB4D106DF0B9F60F062831BA02F5A1ED800';
wwv_flow_imp.g_varchar2_table(14730) := '0538A0470AC8007EF4989FFF7C74BFCAECCF486BEB9F203F632E28A90B003E5885DD6A31C958EC4D16A771C104CC308A09BCA212E750C62AC651096A6CC31372C801387C0082CD2D673E21DC421CE210CBCB99A1117100441CCC3004CE3D87201E10410B';
wwv_flow_imp.g_varchar2_table(14731) := '7BD242D645CA511C9B944A78D23AE8ADAE291FB38948E4939CF2B004402DFFB4C97D7207948DFD078910DA94CE8662BC0351313E01F219C6F88383E8692006B9FA90AFD2A29733424D8D69AC51606A9402BFEC2006C9021FFA4C102D0E78407D052D2805';
wwv_flow_imp.g_varchar2_table(14732) := '6EC08EB15D4B919F21A465F4D710443E1434FCA8873CCED5411500A0026BB09B2C8E518B541C0317B208C616DED4A5E70CA7610CABC09D5A291DDB68A112D2000420C0B10669AC6115B700052EE4A0055ECE143A2A00010A82294CA632B5664C04673479';
wwv_flow_imp.g_varchar2_table(14733) := 'B2CC1682CC293D74550F2BA52947ED6405F45148A27850A9847C24AA28D39D817A702A87FCA48A4BD1A23A15F25501AD20041AD041AED682BD793E0D6A70B9E7F804532319152B05871DA8412550D0C5DEF18E455347FF432D0A51B4493433FA43D2641F';
wwv_flow_imp.g_varchar2_table(14734) := 'F3B68CC2035D13A8CD47ED868B5CD42217D0C0C5DECC309BDAB4D239AF4DCD7362DAB8991A2C2439B84225C0B1497000221966784530DAB50534E480959C43AA083800BDA63A3554327BC9472235D586345798E0F121A9EAB331AD5EB3BAD485A28186C8';
wwv_flow_imp.g_varchar2_table(14735) := '040995B5674A94104AD85A29B7C2F52956614A0D4250855C84E021771501128870BDBEFED59E82154C80C527BEB8D8C006051928070E7AC7C49A205075E10010D4410F7C3854B38D391B008834D1FD65F6C24CEA2CBADE24DAC021E21390E8C42B7E118C';
wwv_flow_imp.g_varchar2_table(14736) := '35BC6936B47DA96C654ADB39390E969EA08634C0A1E22B78720BD3C0C5158AEA9C3B1D15041C1001559DFF5AD513CC5040E031E25733D5549D202423EAD1EA7C2CF25C619660AA65152B42E0FBC344EDCC3FE444907EC69AA80BBD17632148423F521102';
wwv_flow_imp.g_varchar2_table(14737) := 'D669402B4658CB11FCDA3D350A182F7FFEB3600E7CE0C446CB048745F4A16FF4600E1461C2F8D0C7871D93614372B8A292660C46E9010FD300809515D842303C51062F8CC10B5EB84250AFC05AE75800B61D70A98CEFE4C1E7B4DA7143B0A92CB2D40865';
wwv_flow_imp.g_varchar2_table(14738) := '6CA312AB90C62A94D1882DF84662CE41AA829B1C02A66E60052758C1064EB08150894A64294B8E30ABDB552D1A513EB3B3B2CC9A7AC4201AE8232DB48A322732C494DC47CD0018EB58CB495E27FA6C215488B42D3460D72F1201CF6BF12B1B9B35E0FF3F';
wwv_flow_imp.g_varchar2_table(14739) := '1BD8E0073FB040137BD816A4A0E10D3F2C0C5AB0E81C4D986C984E8CFDB8B53FF961064916C6343FC6C6A32F4C40B62EA84419B8E0852A9CBA0A685885125C3D9BDBA860082E55D8107210D31154C00543B8B9C25490031FDCBC212ED0C21A6689397D99';
wwv_flow_imp.g_varchar2_table(14740) := '415F6B206E0E5C8DDC0A848003213841D601406D686F2004210000D897B93A843519DBC3849E4D98B991697EEA621C692EDBCB8D9013607D8BD14D22CA9A62BC211A0FDE4A8119C6D25B8329E8A31DFAB045D81970027F93287B8065A3F9108EF016549E';
wwv_flow_imp.g_varchar2_table(14741) := 'E10E7FB8C3317FE0CA575EE2371A68121E0D72498B7C481CA62800D886F1C488DC1EF5B0C7172AB02715ACA10CB7BF031AEEC0852F34FFA2E7AD85FA15E460062BC4A1F872B042D11BE203390C210E4A588315CC208735B416003920A108B560C2ED9B70';
wwv_flow_imp.g_varchar2_table(14742) := '37BDEC400B26D090AF635DDAD12EFF063420F6AF4A59CA0D69B2D9B1CD12FA24B9BA20D9D84B34A23A25B39D7727F80068BB3B8960B386800A1C108AA0C0199D710FFFE0141CC0B77ED0077A80840360000D00023DDBAB3312B866B1012068011B500103';
wwv_flow_imp.g_varchar2_table(14743) := '1B4103B3BCC30201BB983C8403801600801B983818008140F1002250077CC807D2933421D130D4EBB0D5C3B872C9077CC0877890BD3D010125F8022EE082311803262C0325588EDA18820E22AAA48B032D8883359080E2B8822DD00D0000437DB982E433';
wwv_flow_imp.g_varchar2_table(14744) := '39DBB297E678B5D86A1CFFCE010109D8BAB04BBFF2A3C3B01326D699AA680380ACD3BA9578BFF99B2A2CA31DFFB089832026FE48141AF800BBC326022CC065421021C8999C898F8CC03B1CA8827E00066C58812508010660801D380236B22736FAC00F0C';
wwv_flow_imp.g_varchar2_table(14745) := '41CEABBC416BB8BA300110A08BCE13C11DE8281B00005B3C30187CB081DA0009D3871C4C244CCB877FE8C18E33120F63BD7E103922348DD993AD11408338808337800338F8032D389847F2010BD88221B88235F8C6629B9C0A3021DCC28246981CA80B82';
wwv_flow_imp.g_varchar2_table(14746) := '0E520E38818E3AA913F0838E1690000DA03639043B3A5CBFF5B33B67FBC33DDCC3F8F343F0024490991D4BE9888F7121BA42C42002800FC00046EC89DA29C02D2A0AFFA44002A3E8BB5641441D580131888500C8853E6036508481355AA30E3C451134C1';
wwv_flow_imp.g_varchar2_table(14747) := '1384B8572C34C79280164941CCF3BC14003DC782801D58875FD4C10F1BC66EF916CD008060C4387E78BDD89300D9B2930EC8AD5518854AD0823D518D2108BEE1BB02135A0333D8BEA172BA2FF4812FD882A44BBE0AB02D39312A792CB2E748817A9C96B0';
wwv_flow_imp.g_varchar2_table(14748) := '03007E2CBF7DFC3AAE1326678BC3670348F96B3F611248F9CBB6B0728993690848611D6D63897233890FD08045BCAE8EBCA2E772888CCCC8A3D0191E4009D81919BBAA8261C08015C0000640016521B0812B9683EB3C147445BA702C83DAA3AF611FAFA1';
wwv_flow_imp.g_varchar2_table(14749) := '00838216572C34F579001B508764CCB4CA2A92CB22CAFF72E14D65AC07D82BB9A6BC138FF2A00A9000B3AC0D577201A933BADA88CEF1DBB90EF0812E71CE86A8803A0100EF5C0D8391C7362C32D4F080AEB1B310C8800CB8AB7CACC3F3C3CBAF92B6AC93';
wwv_flow_imp.g_varchar2_table(14750) := '36B804C8EA6A2AAD034C3F7C1595401E8D60AA13B0BF9E28B3B0E3C7A60AAB87B018513926CAEC01A2E83B9F0909B44BBBAF7B0003281AC9C38BD324C1849BB8818AC909202809D80012659F0778000848D114F59A3D523082E2803CA28004D8817618CE';
wwv_flow_imp.g_varchar2_table(14751) := 'D61312CAB887FC014E7828CA642417654CCA2F584AE590A99030CB3899420BC8942EF1A809A88033344BE5344BB36452573ACBF1848EF2EC80F5513F3B03D330BDABB86C88FAD4C33894B6F2B3ABFF3EC44FC4DCCF3F64A6D8E18F95008F7133C802BDAB';
wwv_flow_imp.g_varchar2_table(14752) := '45643601141D1C601406ED2A1DA84C8D3C272B839E91912FBB0ACD07489641EBD010B4BC1484C53B9A490A80C3F571D1D794CDD76CAC3B020083CAA3F599D11D60871B4D8C1CE5B8893A921F1D4E7EC0077B300D939BAD244D0D0B88A929C5D2F9ABD229';
wwv_flow_imp.g_varchar2_table(14753) := 'ADD24C8993F0D4D22DB51310A800AE79003B3BD63015530D803F693BBF094D53AF13C836F54BF8DBC3FA9C2184E0B6076937005D8112F85601A5C88958810F604C35F54714B098D66150F010D4CA5C2BF76A0A74D3A216D2800B6554F34196CE8B81CE9B';
wwv_flow_imp.g_varchar2_table(14754) := '388172AC835A9F9974AC98644DDB4C305155B0AEA1D152FD49A03C3D63BC2C1F35CAFF90EB877A38072B504E8F9A0F262DC8E4D85540741CF10CD6E898BD0AF81A0038560C0080AC7880AC888097C580630DBB7B8CC3ADCB47AFF3BA9B9D502533BBAF9A';
wwv_flow_imp.g_varchar2_table(14755) := 'B6F9601EE659A78C1837B1DBA6F8080173D5D367BB43766D1DD1790144B948C02BAF7A6D2101BCABD06400B0311F18B40118C049873BB4578C9614343449B58B5BB4C51B00807E8D811BE957B71D28D9B45BD96C586504127EE0DB87BDA87EA0A822D91F';
wwv_flow_imp.g_varchar2_table(14756) := 'FEB95121A90773E8A029E5D8EF645C910D4FEEECD576FCD5C97DB136948E5943CEA60481095051147DD907985900E8DA0820DD0898597B445DF523D3F5AB59F50B019D9D8FA662366B4D8E24C3C3A76A40E61226B14BD089A009FFC63C5789742118C289';
wwv_flow_imp.g_varchar2_table(14757) := '8E9908A3B88121BA5A2D82B6AFBB57064800063080047801F3E9D7CA3358064B0110404159BC8B83FBB3B8B05E1800004DBD5BBCED81DD5492BEF5DBCFC8D1B449BD4BE34DC9B007C4B5AD24B5D286F05857E25F3801D98D4552EE8493E4B4DC609DB537';
wwv_flow_imp.g_varchar2_table(14758) := 'F45CD17D0006585450746006888086605665455DD47DDDF5A336B1E34BBFFCAAAFD3CBEFFAC7F69826DDCDDA232A331C38010CC000306536A682A1D629B3FF5810036194CD7C36AFB315E83500E94D00BB8881448B96C56A2CBBE0DE549C4515E840D21C';
wwv_flow_imp.g_varchar2_table(14759) := '5F1C0100D9EC9AF3C55B525D12F62D1BC9C01F8A9A5879A8D829068D20950C7C18078DF5D5E4C855C96D474F33E3FFE744C339718E177BAD92E593F5E9DC63FDA23A4651D2BD57303DD63C5A5D6AB3C70D00646713E4F6D356B8C3C37B84DA2A9B21D479';
wwv_flow_imp.g_varchar2_table(14760) := '0FE4A9999680A6322BB31310D3A7DD00184214490E8A8D549EF488B67B5DE050465118309F8863B0195C450323C5792A020F0CDBDB74514C35514DDD0005D3A30790E2F6CD34BEADE2C9E0382C3E122D7E0CF625E66236665E6E0C91CBC175480208C894';
wwv_flow_imp.g_varchar2_table(14761) := '291DBF8F4D0E6796E68690806BC6E66CD6666D4E806E26000020806FFEE60300007216677006800058890320E78608E7777EE70330807996DE1D8E4B3A8ED990E8DA960D65060080E8CD673B2353F2C336E72D3FB8E45A767E60076E8864A580407E5D62';
wwv_flow_imp.g_varchar2_table(14762) := 'B22BFFD56556E9656702088000806704480008E85C8F8680812DA820E600B3A554AE71E66EEE6604E068956EE904E068968669968E690420001328D51CD4658BF251891ADC86A00CBD6D0CE024EAA236EACC003991BB077CA887781885A76BB1A80600A9';
wwv_flow_imp.g_varchar2_table(14763) := '6E31008083357883E4C8EA86300338A825A77B8335B8EAABB66AB1D697B116EBB1EE6AAF166BA773EBAF360334408332980F35188394B93DBAD6EBBCE66B372803BF7683C006003718EC3B0000C33EECC47E0337586CC366EC3BD8EA3B40ECC99EBF3E58';
wwv_flow_imp.g_varchar2_table(14764) := '09CB4E8EDB1B83DBB303DD0B6C37B80337E88337E8033828EDD336EDD4C6ECD0D6ECCDDEECBC96EB3788ED37A06D6AA4C669BCED6AAC6DD94683FF8698EBB92E03E0FEEDE0BE3DB936EEE336EE32C8047790A87B908C9D8E8CF5CD517A509B86B8077860';
wwv_flow_imp.g_varchar2_table(14765) := '87ECD6EEEDE6EEEEDEEE76F0EEF07687E29C07586D88755887780809F5666FA0F62C1F5D0778F0D1F9566FCF0200F68EEF750080FC46EFFE466FCF5A0777886FFB7E12F42EF0787812F64670D2200D00906FF99E3F1FCD148DA27079D0B0E49007CAA870';
wwv_flow_imp.g_varchar2_table(14766) := '0B070077006A07C73676680877B0F00CE7F08628F10B37F10B0F89135F09CAE8F0E490700D83718D7AF019E7700EA70C1FA5F0F44670F55E8773D96FF9D6EFF4466F109FEF1B57722147710A6F711B278D0CEFF0EC6E872A0FEF2BC7F2EEB6F2CD4018CB';
wwv_flow_imp.g_varchar2_table(14767) := 'A0872F07F33017733057BD31A76EFF32377330276F044FEFD20080F2B6877990F37AA06EF5BE6FD5BB73F5A66E0B8F8733A7F3166FF20D17F4336F082739F32FA7F331C73641A770C1BD0CC14DF390F8F26AA6F44AA774EA4E0E4C2FF4F9E0F0CB98F43C';
wwv_flow_imp.g_varchar2_table(14768) := 'FF713917F579888779B86F51EF73F6C6F479A0075327744C7792428F1B8D62708DD2308DBA87E24C74EA2E4E00D0F55F07F6601776602FF47AC80C00105C23D9D1CCD8D16677F6676FF6F980F6696F767BB076398FF36C675FE0CC947DF0F66FDF879068';
wwv_flow_imp.g_varchar2_table(14769) := '7670A7F61D25C26707F77D286AF66D08A51EF77AF87679F8767DA0F77AAFF7790F7769AE8795A0F790D007BE0DF77DE00770E7074BFF58174F0E7B57F885D7078401F721B4F6FF88B7F60A434A89B7F88B5F09226CF7CBE2DB7607806D2F6A5F1FF69127';
wwv_flow_imp.g_varchar2_table(14770) := 'F9920776638C5FE0CCF5687F74642F77692FF769B787372F6F560F8974FFF6F9C0796F17F79827C29FC78769CFF9C1054E800F89BE557970AF77BEB5777E607809FC77BE3D767E4F8E7DAF6E835F897CDF07EADE7A00E87A3CCF7A0D0BF77808F779D887';
wwv_flow_imp.g_varchar2_table(14771) := '99BF786B0700B45FFB86D8F75CD7877AB8876FCF0C8D4F8E825FFBB4B7F8B30FF8BB27668F3FE6BE65EA60DF5193377C92C762AB277A665FF6A376FCC73F6A2264F6378F739B57EF9DCFF7ACC77C9CF77A74B787A536777C889FF89976A206F86FDF9690';
wwv_flow_imp.g_varchar2_table(14772) := '9F0FA7EF776C5378D70780868FFB433278B2277B7AC8FC7D20FBFF9BBF7C3B1FFBDFBFEFB23FFBB46FFB881F4A1E157D402C78C0D57B6B0FF8CCFFF876EFDBA3FFF88E37E6A05F79683FF798E7FEEE9F8FA9D71F7CC87B7B00FA89077AF19F79EA0F7C76';
wwv_flow_imp.g_varchar2_table(14773) := '6F088B17756B977AA2FED8A30E7DC91FC29F2FEAEDCF751C34666504087EFDFAF10360F0A0417D07F5F12BA870A1BE88FAFA4D1CD80F21C684FB1E02B8B72FA3C17B1D478234180FC047940753AE2CE9F2654991F766DE6B18111FCE9C3869D66C581040';
wwv_flow_imp.g_varchar2_table(14774) := '439CF686DA43C8B2A04F9F0691E66B9AD4A74E7C3CA3E69C49F52AD6AA349B22E40A14C03CB0448B1A1C3B16E159B445D3820C0B76DE507A00EAD1AD07F6EE3CBB7AF3CEED8BB36EDF7AF4EA12163C582F80FFC3F5F0D9AB970F9F5DC88CED22E4399364';
wwv_flow_imp.g_varchar2_table(14775) := '4791001EF294E839E14B9907E501204DBAB441B9F7E4AD66595ADE47D828657FAC8D711FECDCB877CB46488FDE3DE0C28313A7071B78EFC4BF972B979B1AA1E0C2F5E6D1B477AFEEF5ECD7A54F6F4C742EF7BA61E7E5E5DEF8A05B7BF4E6AD6FEFBDDEF9';
wwv_flow_imp.g_varchar2_table(14776) := 'C530C9023869FF9FFD7867D792B5F7AFFF3F6595F5DD8004BE55D2787781341442053168503EF5E8D314648E3595CF41F628349342434974CF845CF19459661C5E36925D3CD1A58F849E49B4CF3E96AD941B6AB8CD76A351A89D861A8E2C9D96DC8F06E9';
wwv_flow_imp.g_varchar2_table(14777) := '469B4A42DAA8238F3B96A4644A31B2A4D941C41167503D9A11461376DB4D0717796B91F72598FF5FBAC48F3D3F6564E64B17C204931500B469509B4A0020850F52BC09D29D6B027005005FECE9E79E06F119A89F801A6A10A01871B128A38D325A92158D';
wwv_flow_imp.g_varchar2_table(14778) := '02C0859B935AE185416200E085A607616A45A79862EA12A86DBEF9E6A85E78714615004CD1C4124D80D484AC51444105004F0070C6135EE0FA8418543CC1AB4BB8E6BAE9AEBA0E0BAC41A31A34060063401BADA6D34E9B1115BE6ADBABB00655F144AB55';
wwv_flow_imp.g_varchar2_table(14779) := '7C4B0515AD22642C486E94814619EB02E00600EC9601C0BCEDD68B11BB06ADDB2E42F3EAF92FC02E55204146124830700500240CC00413C09400C1FF56B0F0BF2018643100186B0C400B06C1E08109208310B20925976C710A00C000C00AFF28806C320A';
wwv_flow_imp.g_varchar2_table(14780) := '1BA02002071E1824C2062BB09CB3CE32AF90B3CC06E9BCC2CF44B38C020048C7BCF406006C1082D3216CB0C1071800700042041C4000D75803C000001F6414C209508710420608418D51DA217C20B6066B67F0C10927B04C430D38E090910E00F4ED370F';
wwv_flow_imp.g_varchar2_table(14781) := '7BD76090D8611B4E78D86F1BB43600506B6075E16B0261D0E4460060B9114018F1C30F0070FE39E89E7BDE79E7A293BE8341A8031043CA3780B4830D25ADAC32423034AD67076BE69EBB05BC5B0040EF190DCCF0BF238CE002002A203F0200CC3BDFBC41';
wwv_flow_imp.g_varchar2_table(14782) := '2A1C24FD41430050840B4064AFC20E2DD8F0BD0A3678DF820B3BB840441106B91EC30D37ECB0C30D2BC310030C2FCC8ED1DFFF7DF73DFBFD2AEBF0820EFE17C0FA19E4052F4048000DA23784440E21566B1C4270F03784D4A0828303C9D058F612BDED0D';
wwv_flow_imp.g_varchar2_table(14783) := '213D30081210B204002061841959410D740600BD0DEE82175CE1DE16F84208060C2649380200709884F41D217D45E8E1F57AB84321FE900807991C4290783D3DED00083B3022C09ED7BC0E306F7700A062EE0E22458AD5D02059C488F1C22846158C4005';
wwv_flow_imp.g_varchar2_table(14784) := '667401F590973C004C0E082D6801086EF0C616C0E08DED6B81F9320283F6DD40800030E01F1558031DB41000853CC8E05E8082000E527F7F44C12201608247EA40698664010E50A0421A320E24339C21CB88B6C92E9664093C580212844042212CE18300';
wwv_flow_imp.g_varchar2_table(14785) := 'E841097BC003FF838012232BA0C12D0D5941146A1085A32C49120E82C38CA4EF7A45D8610E8BC0C36316B3990829664638A7C492B4C07500501D4680503ADC79D1051D40DE37BFE9CD70BA80790629273A49E9453D89B18C61C488F28620BDC9A9A08E75';
wwv_flow_imp.g_varchar2_table(14786) := 'A4233EEB7803150001892BD3C11EDBC783FFFDD1802F90200E0697500B5672708B1CA4DF021951835432694A5BE40B065983831630690060010B6A09920E1AD296A254E74B4CD94A54AE948423ECC1086749D20886920636A5A5051192CBC35DAE24C734';
wwv_flow_imp.g_varchar2_table(14787) := 'C84FAF174C66267388CEF4E112939A3E6482449B94C3880C0C62036CA2548D560DE7EEC639CE2B9613A55FB462C0CC69C6E899F39CD40301086000021BA4FF358ED5BC01F25C5004D41DF4053C685F0075C0021D48F0802B2C29001BEAD1C155D291FA83';
wwv_flow_imp.g_varchar2_table(14788) := '68612359C9455A526984FC9B486152CBA1A5B0B2BE6C61058566CB5AEAC0842134084B55B7841D2061A02545A44E6D4A039CFA524FC3344812980A0064CAF6203FBC6D107DA8CCA42A3598523548353B861028022076BFC54813A7B926EA851321DE7CEE';
wwv_flow_imp.g_varchar2_table(14789) := '3701A0465296756156FC2242B208D6ECBA8479646C81F16C603CE579D78CD3DC6B600FC8D7154E10B10E3508D234EA379D1D52693580E4411649D0454AD06F31F46F7B71C082150EF8B4254961C07089B735EDED940639254C5D294200CC3223A0BC2586';
wwv_flow_imp.g_varchar2_table(14790) := '570B000DEBF49718592A349149C460F61087FF3F440810A1B9A61BA4AC7FEAB4DCBFA8C855EC762007D1FDA605A6EB5C849415231DF81D085490308CFDAE24DA9D628FBFD863291AE478CA5BA31A8130046B92B406051EF04CD94BD1F60610920D455A26';
wwv_flow_imp.g_varchar2_table(14791) := 'EFDBB20BA2E0BE8585A8810188D29770784D17DCDB809156020094E0851304804A235C4224481860B73CC16A318C100E63ED074718A26F0FC2D463EE90B641142A6F41A2CCD71AC4881D2BD9416CA0DC359764043296EE1581276A0BE4D82545D671467E';
wwv_flow_imp.g_varchar2_table(14792) := 'E73087458FD3A116F515B53B028CF5187AE495AE35578882848E54817F2D49DFCA9C344266326995A525211D4A48FFBABAD911C4B2B15FC20326B852A5257495857FFD129DB5192376F3FFD8A14D3C5BDBD656D2B6A534C0B6E96C751A2F77410040221A';
wwv_flow_imp.g_varchar2_table(14793) := '018654BBA0D44140C316A6D73C1F00CA0A3E308812F8A40419EFAED69C0641EE307645735AACC72AB026D20C1252036B9BD9EA0DA4E086FD518F1AF2A21E3D337B11BADE753B7B7003C625DFF07C4A07C3F4DA25747064072DB46FA37CB51AF6F0A1230D';
wwv_flow_imp.g_varchar2_table(14794) := '30130733D1003362E926E962921BB9DE0651C634E89D916C18041706F181F456719060BC021020F9F4578D0C82E05D51E13136F81A4152E092AE17A12FE1EBAE5DE8D15DEF7AB0992C369A89EE6A5E77306FF9CDC82C79306D0A5718CF9F25E99D757A37';
wwv_flow_imp.g_varchar2_table(14795) := '40B7D9C3206934467C3BCC1303F5B54855314C541C03DAC9DDC8D033882CFF0C7208844C23F3CD2BF2088A0C8055A0C120A207C93A404DBD29BA9A8B288D6F48634F600247D6AFB484AF45EFABFB88B35DB00F3D487F2BEF92098E5CD7560E7348CB5CE0';
wwv_flow_imp.g_varchar2_table(14796) := '192EA1B33A98B6CB2BCC84C003DF961BFE65B77D4AC4D932FE994B143752BBA8C4D84D5EF819F1F4D40F6289531C841899CFC1417E77FA7CBF6402D63B87C2D46906F36724BE76F7E880FD4D85F51D4654D965BD90429559DEECCD63551FFFE1DDF37952';
wwv_flow_imp.g_varchar2_table(14797) := '17ED1D85AD54699952F1E58F4B5C90E1BD0414895850811F4810174AA99BE83C600D2D8CF1B85E498C02004CC32F6084D7FD4BBE6D01FD355BEE744CC4F5D27DE19EC4F11AE0E8C0E4051E2609CD0E725CD200E1B0D9FFD97F555E9B81920E300101A2D4';
wwv_flow_imp.g_varchar2_table(14798) := 'CA2D81295520053E98DF509F0366DFBF9C986FF110506104149160C0FC8071A9CF2B1984093E202E789E417C822AC4A02C04C33A21C438E01FBE24000A9ADF28A95099ED60964920429499CEF05E02169FDFBC59F5D99DD9A19465555CDF981617F24D02';
wwv_flow_imp.g_varchar2_table(14799) := '551C003081165295DF48E1416822061DC44ED590CF0D170018110992201098E1CE6D5A1F2284D395841D6AD1EA214405B4C0A7BDDA15350C0BEAC9A0905C0704E3C685E209292045455425028C0B09D8200A5F6BA55C4634A32339A0967D221230411F81';
wwv_flow_imp.g_varchar2_table(14800) := 'E2404DDF810D5A07CA9D12FD8053D5D038AE4E0A80CC2B1A042904430C82441DCAC94BB813F4D4DA91A5FFA3E59551EE88C0097DA30681D9301A1F29ADC0F2199280D923021D8406725AF381963646E106196446689312ED401B16171B2A57FC402442CC';
wwv_flow_imp.g_varchar2_table(14801) := '6249645EEE801D19911142886446D4A246AE5BCB745C40E60C4694404A6A64137EE2BAE140F335DF2CD9E4F339E40469582DE5949EC0989EACA22BA28E71FD00451E2527665AEC4C12007080417224B290521681C0ACC923464C4CC0C4E29A61D749AA53';
wwv_flow_imp.g_varchar2_table(14802) := 'CC391B3F569E425198266EE32C4D1F0126630D7821D189637125E59AB4C0E431E541A40C00A4C0D03D609B5481175C4AA4749177B9C410208FF5E8C9FEAD19F3500CD86544CE9CC00A38A6D9A4A3DDE05224DA23E01DC4B7A1D40AE080F4E5E4009AFF10';
wwv_flow_imp.g_varchar2_table(14803) := 'D11901E4AD0955B951F2EC00F7982442A4003E51934652CA41BC019CFC8115540016B91AFC058C16BCA2D49C004BFE8C6F6666576AE4D809DF29F5CD15BE54F325232915012B024CC7788F54A5214898C0C864CC535D5357F2E5A44425000CDCC26D5717';
wwv_flow_imp.g_varchar2_table(14804) := '595DC07480F4501155664C07CC204C74402F1EC4EDA88D0A75D22B0AE770FAE141B4DC41B4142832A7F9BD91F8AC263EB1260CB0266B1E44C88000C8D8E57D62C41BC4011CC4418332DC4160CC7B9E9F9E480D7D3E4DD338CE49DAA7DC1D21444E016895';
wwv_flow_imp.g_varchar2_table(14805) := '96CA2D64B36D805B2E97EA08570B1068C614A824D58ECDA8935CCA2583F6A1F5D018FA018019F8801CD4D09BDCE04BDC2657C6982EBAFF84067068E3C467833E66583668E5051037E2005B925CEC84CF6A7A8C09A4807562045D22040748C0ED3C004234';
wwv_flow_imp.g_varchar2_table(14806) := '8D3E42A4A72D2692014FEE504F19C59A4B7495391D2986A25462D650DCEC6908ECA994FE29D14596145622CA911CF5A4216BB227484CC0988EA9416C000550000440004650EA41440C00D4A80738259952C0A36A245829AAAB8967791E4416D9A63AC58D';
wwv_flow_imp.g_varchar2_table(14807) := '41A4CDCE4429A0AE1928DA63DFC46A465C29A7AD4C0A584C98164CA34A000744AA0450408D020005606A7C4A80071CE1A67280A54A2A004000052000005CC40326CC8FD5909DA260B6AED9ED3CCDAB7E6BB3D12A310A9F97EAAAA8362A0060AA41682A00';
wwv_flow_imp.g_varchar2_table(14808) := 'A42946CC4EC838CDB33EFFABA752C00340C00370000180ABF06CEB706AC003002C063CC0C06A4004180406680000648006B0AAD3944DD9F0ABB315A73DDADE661992ABAED924790083A223480897FAD051F9592CE5D94CBDE2ABBDA6ECBD52AA0148ACCB';
wwv_flow_imp.g_varchar2_table(14809) := '1A84063080C10E2C06444004CC2C00D42CC0D0E7CBF62C85B9D9030EEB410C5D0B3811E57C8F4552A7CF2EAD3A1DAC4130C00339EDC14600D830ADD5A6540476E581C2846A62840DB8587C366BBD3E00056400B41E04CB5EEDB7066CC00200C1B2ED03D5';
wwv_flow_imp.g_varchar2_table(14810) := '2CCDB6ADDAD6AD83F52C09C2CE7502CCAFF6ADA7968401C866DD0E2E48680DE1F22BD4F8A6DA2680B4F22100B4EC4B402E4220800150AEB41E2EE696041FDC811FF4FF011CF441E77EEEE7FA01E77A2E1F18841F9C6EE63E6021204421F84121A86ECF4A';
wwv_flow_imp.g_varchar2_table(14811) := '284AC92E42644380AC6EDD5A04B55E44EEE6AE41FC03B5EAAEF9012F00FC83F11EAFF2F2AB45541E9A102FF446AFF44E2FF556AFF55E2FF6662FC020066268AFF77E2FF87691427044F896AFF94EEF85A42FF962044EA4AF579C2FFCC66FDDBA2F5760C8';
wwv_flow_imp.g_varchar2_table(14812) := '990080FDCA2FD3F26EF3D2C44EBCAF9E3C6F0DF543FE7EAB5CF4836B34873C2CB073302D3F202F04437049A448F536B0DA1EC941304746D0430447F0983C054AA58800036A4556C1E4C1C024EDEAD2DA0B0BCF8B1B08AE41C00B00C070BCBC0B0DCF301A';
wwv_flow_imp.g_varchar2_table(14813) := 'DC011ABCC10BF7300FBF410EA3810C37E8112881B95CFFAD1A18841008015C1EC40E18811478819D48B1175441E71C7149A0C118B489BFBC44BE7801A52441452EAD01B4AC195BED09F30F0CAC710A13D0FDB858F9E96F576E80D302C0BEBE04D7040042';
wwv_flow_imp.g_varchar2_table(14814) := 'E8F14BD44CCD6004996EEA9A502AE5DEB11CBFA2501241220B65A53DE721FFE99C1D04034CF24BD8ACCD02400498E9D0F20FC7AC491C83C4C7FC6D023C80E33E72833611C0A072BA1DA5516A64AEBD04CFBA2CD50280B44A2B032000D53280D44E72D502';
wwv_flow_imp.g_varchar2_table(14815) := '8C0AEB09BE1A441D5F2DE44A6E492440CB22B394924E53B151E61801EA3891514E332B3751139BF203EA322D63B22EE3322577F3D422C003648053AE093A0AAD4BAC8C5342001F3240020CF3F442FF6E0218B2945295516AD33D5F7346E8F3EA2A6C4694';
wwv_flow_imp.g_varchar2_table(14816) := 'B1D70C67D5F6B241E0B2417FCD3BBF33B1028CCD4C520A7C3242D8801C1944390300E36AB294B60005F0213277B4E496B24118F3CBE2B351AA0EE71C44E74C0EECC40EC81EC40D7C8FD24EAF067CC04C03C0E3C4EC418874C0820D03542EFFE9F24053AD';
wwv_flow_imp.g_varchar2_table(14817) := '2D6F332D4780413F0052936BCA7880A58A3348FFA901F061542380E35AA726138CBA5A34463C75578AA357B3E10946A4454A1510A4613497AFD500B4486304E5CA5DCD522D3CC3B53763322DBB73490872A6567417B1585EFFADCBDEF153538C07EC2D42';
wwv_flow_imp.g_varchar2_table(14818) := 'AC75E68E66FC627448BB0441F35F1D5FAE30DFB2CDE2B2628304059433A3E6353AC3FF449826805DFB35B84E0E04C023205FAF1BB13436EB894F571E5C83CD2C8333381F8442F3ED1FEB750D39F542BBAC6D63443213C03C1B84322F6D397A8E44728E0D';
wwv_flow_imp.g_varchar2_table(14819) := 'A0213F6BAF3F1B365BCB5DDD1CC42C733337B7363CFF4B39138CA36EF6BF808D6283F64932252D008027F4033290F6569F37DA5A34C1408C7AA3ADA56AE48A22845717F7236340D51A730424EC0372185C630475ABD37BF3EA5DD6D06CFFA91F44C941DC';
wwv_flow_imp.g_varchar2_table(14820) := '024CF8F6E322C49DFCDB15C84984BFEC7C8F71FCA6F541E032CD86744F37F6BAFD77737BB83AF96A53AA936773F57D22033C5C834178823A55811514E69D983742244A8356B8441E726557AECCDAF440F3B641D0F39AD9775CC3FF761755B641302AAB91';
wwv_flow_imp.g_varchar2_table(14821) := '5281836B2500402440CA4BFC2246F8091AE4496ABFEC033538463C00D8AC76901734A7392C5D97843783CD415777978FB2A53AA50778EA04B8EBBFA8B9D506781219C40D234423108341D06E96FB6C40C7ACA07F0D02143AD18128748B79D57A332E17F4';
wwv_flow_imp.g_varchar2_table(14822) := '3B233948D88CA3FE714638B40AA338A042364840FAC5580134FD01D3215198264332FCB9C472BACCDEF72D6B24414FB2670FF5E572C06E23847723C4AEFEB2308FB2C422806F73CDBF08F93880C41F74C341249D2D8C0233983AA06E3942282CC08A7861';
wwv_flow_imp.g_varchar2_table(14823) := 'EFEBE56ABA9E30BB4B78B3511B359A6332A79784A382690A7BA94B24B4CFCEB3AFEB892154038DE349D395C12F44FFB9B29FBAD540FABE1A0001D8FB19CB76E3527B17C1FAD740BB9EFCEDAF56BAC7662A45BF77048CB2AE5BAD0A78005727C092EB0916';
wwv_flow_imp.g_varchar2_table(14824) := '1B44E9E579BCBFA2C256ED015CAE063C0E0368F2971FC4BD87B9986704A6FB37B40FF424F37BC030AB41A86B6D930C482CBC45D37983961EC6D8F9EB040C965F7C57420E48588D3F7379C9E7F4BD4FBBA1332E2D3B6EB7BF84411F2CC00FB2A7066BBD0E';
wwv_flow_imp.g_varchar2_table(14825) := '7C92CF3A425C345503AA2794624E1B840A4F80828AAAC94B2B73FBBC416240E1B46C4F67B27EF334B58FBCDC5F6E54AF75A36F58464437424C72B6A3B9CD078CA7DAB9778BC09B67442F8B73837AC11BC066467CC195BB84076037C16C00C1346E54DB71';
wwv_flow_imp.g_varchar2_table(14826) := 'D61BFF80C3746DE6B634E63E8EE1A377E442AED907B756EB09D44737B51B75B3D57A466CEA9BBBBCA3EF3BA0A24E15E465E466FDE34A351FEE2B8A9BD349AFEEEAB5D13521912AFBAC7E97C4E310ECE3AE3AE6AB764E5F2E9963045097F9D740F7E53A3F';
wwv_flow_imp.g_varchar2_table(14827) := '29057E1F7B6ACD44AA5FD3FEC96BA4CE7300CB9BBC3133B8EF63AF2B5A38F10E2CD82073D4332E641B3A70277ABF6778D4579EAFDA39402400804020008307112654B890614300051D3E2400316102020F131AC0189163478F1F4122B4615085C116007E';
wwv_flow_imp.g_varchar2_table(14828) := '8454B99265C70406103024A8B162CC8102336468180100030011184440001428039B030DC6A40012C2C6881C9636A4D8922A4183291B22303075FFEAC583052F7AA53A96ACC79320528000303221101B4000EC705B962E480C0F3E3078D0D300038D0608';
wwv_flow_imp.g_varchar2_table(14829) := 'D0FC7AF428C2047A4B2CE4E913684F068F7D224460344282087BA3D6E520010007089993EEDD5B5725C1C20AB5BAE44C9A75EB842A4C8C4CF996ADC292AE7133D400E081069F0C5E4E559820265782411323D41954E16FC9067D12CFDD7975C5CAA3A73B';
wwv_flow_imp.g_varchar2_table(14830) := '7CC9512BF1EA083D000051217CC6ECE741DE260957E10E00407E00716F503EFABA7831183C6C90A658AB878913E83487F2232AA8DF0E3448A8C80EAACC20D0341BCE3EEE6C1AD0A0C0044B0A21CE360300C2094154E98616463CC8AD13D99A2B44B21ED0';
wwv_flow_imp.g_varchar2_table(14831) := '0BBA83007B88209E223A0E801312FFD2A9A7831E73EC31A1689CF0BB8326136EC58EAC224D02238F6C9221F69C6CA9B7DE28328DC98858C041071A00D0293F85766BD0490E3CA0C03383B08BD23E02D8BC288083C25253CE39E94C28321D1B0A808037E3';
wwv_flow_imp.g_varchar2_table(14832) := '7C133D2BEB3C320E000635E88F380E4D74D0462241A8924828692493461F3DA8124A02A52A924739DDD4D34E3BCDD4354610F908113F0038B5103F4E9D901151618D55D659EBFAC7A37E68CD55D75D79EDD5D75F810D56D861892DD6D863914DF6C87D0C';
wwv_flow_imp.g_varchar2_table(14833) := 'BAE73C7E9405511F00A08DD65A51E799C7B579EC31881E7BEAD116A17AC02D97DC6BA972569F6AD16DD7DD77E18D57DED66CA1E5957A5D4188160086414F185D53B105805818FFBAE5DF7911FEB54C0036300882340DE2E0208959000005002A46588386';
wwv_flow_imp.g_varchar2_table(14834) := '011061058C2F3648871B7888A1641D00E0E10500564ED8E5395570AB3683621019868356D621061D6E361665853E5E8885905108392124E20200891E0030C208A49FFE418897A96E120817700600869F11C2C1202D7578C16B636B58A186842E3E7B251E';
wwv_flow_imp.g_varchar2_table(14835) := '9600A08725968E9B69009698BBEABB5784C184AD7B1E5B072D01C7D9EB95C706566D8FCA3E9C21B60DE2E1EDB777401AEFC92754AFEBBF7538DCEBBFBFCE99E5CDB5F4F5E3B2235A0185B3CD3628E88396E0DAA0B60FEA0169C929AF9D35178600024A84';
wwv_flow_imp.g_varchar2_table(14836) := '6A40D97584C44676051A862F9E4B957C5F82EDE595370809A4D9FFFEF9F8AAE7B37DAC210018026B186A30FAEBC211F2DE7A260060826D26ECA6DB6DF5DFD6816BC511C6CA7AAA46B07C211CC03F88F3DA71A8C1EBB37580BE8330EF793C3048FA26E79E';
wwv_flow_imp.g_varchar2_table(14837) := '99CD0F24233848CD16223EBC152E7F0C699E4176A0BCD9BD4D72157C1989806084838890811D71E041BAD73D00C0EF20F8438107E1A5B6B3B13021E61B201376C03891518E3D36B0815CDEB3961272A403E059E1EA1AD23B18C630225ED392017FD6BC0B';
wwv_flow_imp.g_varchar2_table(14838) := '2AED775423024A7C58A221AA0405A94BE1E932D6101DF0608CF01A9BD7B2944400B8CF7CE4631C1296B0032620A18A092382EE00701284486C8B1E318109828644908C316CEFF2DF21977810F4C10E878A9CFF1B191306971F8CE424E5F10007F8D8478E';
wwv_flow_imp.g_varchar2_table(14839) := '98608506E9E2E924D8428494B184E06B1F1519893226D4D15D2749C11FF7C821CE9447930D4162EA4C27488C75AD96E54388F2C8B7C335322191D1DACC31F7581E323DE40EBD8C200082F6490024E720A653612DFD66BED6B5ED6736FC1A0ADF95C98E34';
wwv_flow_imp.g_varchar2_table(14840) := 'C59907A1A5273B024A1A96B27CCCD341EB48B94679AEF35A9C4C81DE7A86907C96139AFC5449C5CAE6B536328495EF6A410A0E82D0142C14211B80033F7713026886A06112F527E27EC6031EACB29DB04BD83E4D924718B4209F7F6097263DD0B08AAE20';
wwv_flow_imp.g_varchar2_table(14841) := '042B68984B297A028A1E24031B3841093E26827E3AF39D63D4E6DC3C7AB77CEA11020F75E604FF2C4AD1999E600321B028C31682A38B2A728A751366CAE8D92E9292D42020F8502F9F7A10990240A9644D485371C4B1A9C2ED75AC735FBC6C30A21B9844';
wwv_flow_imp.g_varchar2_table(14842) := '6FF7340827A76A908D99F5206A6D08C75CBA8213B0D499635B82111EC9CDA0220CAF796D68981212020D4896B23A9168C398EA52D56D40B036ED65FAEA66BE78520D2A1490404C6C75510DE069219325AB8E302B58CD4AD5998AE3A02F79504C79F131B5';
wwv_flow_imp.g_varchar2_table(14843) := '8E75884E2AAA90B12244A94DD5E414E08804036E747EBDF5AD43CABA90A64ED79F70545FCA9EEBAB0AC82AB834952C6BB758030342AF6D4B405D56B3ABA6221AA403DB6D2F00DA1B5FF756A088DBCD4E4DD3CB3A3A1AF020A1CC6F943A50FFC400BB1700';
wwv_flow_imp.g_varchar2_table(14844) := 'F4A5AF05406001FBFE7742BF6B1BF940693A064F98A72963814E299CE172F6606A1AF6B033C5110E717C98C42536F189519C6215AF98C52D76F18B611C6319CF98C635B6F18D719C631DEF98C73DF6F18F816CBD180C79C84136324720C81A2217F9C84D';
wwv_flow_imp.g_varchar2_table(14845) := '460F93111283B93A99CAE8810148AB9CE5D64C59CB5D660D97BD1C66318F99CC65BEA838CD9C6635AFB984B860B33331CC01FC6E80037EFDD52FDEAC490C7746212540F3AF2820963C5B0FC37E15C19F77550683FC625F832EA707E2ECAB2A48E10DB668';
wwv_flow_imp.g_varchar2_table(14846) := '84A3FBC8310EE8F4D0BE523400BC80E921723A6213B39807C2B82B2B88BA97182E8F4E210D80571F7ACFAC7632072A660211FFB000D506A958AC6DAD6513F09AD8A80E0FAC6B1DEC23B380D8BA86B4F744704E651BD903C31E362D2F2CED692FBB21A4DE';
wwv_flow_imp.g_varchar2_table(14847) := '7693799D1011C07AD39DD1E9A6CBFD6D1E1BFB20D136B7B9D18C6875FF38D9F376320AB46D6F2DF3D1CEFAF6F7BF011E70810F9CE00537F8C1119E70852F9CE10D77F8C3211E71894F9CE215B7F8C5319E718D6F9CE31DF7F8C7411E7291AB69AE3D9001';
wwv_flow_imp.g_varchar2_table(14848) := '0247FE5F0F9CFC06274F398565706830BFFCBF2658597862E0729AE7D7E637CB980C765EF32B079DC2464B41BD89EED84FDF000D00B862D2F3CB05839421634F30C8ABA07ED1171C21219FCEFA45A51EEAAF67776A567FFAD8298C65B4AF9DED6D77FBDB';
wwv_flow_imp.g_varchar2_table(14849) := 'E11E77B9CF9DFFEE75B7FBDDF19E77BDEF9DEF7DF7FBDF011F78C10F7EAAE8253CAF02B851E6F500E509B925E9126736C947FEF0A222DFEF1EA7B4B621ED6DF24CC80C53B790D0EBD88127D4B2DA5AE74D842C4DF3A704BDEACAE6DFC4F1D8020BA9FD7A';
wwv_flow_imp.g_varchar2_table(14850) := 'E17BC20E38D002A687F1F456A9FA5FC60E686B5C01CA56377A84845EF933AE7D44765F44DE9FB0F7B51F41F549A262271CDF21B2E3C1F3ACAA5183ACB36CC91F5E3FCF5BE3EB876404B83748FB11727DDF9B7875975FC222DF99B2B6759E69970780DFFC';
wwv_flow_imp.g_varchar2_table(14851) := '8777AAA99A7489C63A006B0EE2F914C28170AF037AAF211A50C57A477FEE8F79DC066E0CC86ECE067FC08786868706A647750000B25C2C0712D0FD1C02FEFFA26FFE746FFD2470217ACAA34EE9FF7EA670E027F48E67FB0CAF04E18B2556B02114D0C3FA';
wwv_flow_imp.g_varchar2_table(14852) := '679416076E8C507FCA07800630218E67F23E0FC6E4601BB601140C22084F2F2114EFFE986679C88798CE082142B09A9C009C92D0204E40033080029080EB58EC1CAA902CB6C00CCC200E11C202D6ABF6E88BC1FAE77F22827918C777CAA7A00A70853427';
wwv_flow_imp.g_varchar2_table(14853) := '007F42CCBE602150D0C37C2774C68F957A2A980C827C048A74146286684073F0A7CC460121B640094C6C73BEE9FF16829BB4297A12429578878666E86CC86786742BC8C601101402C11671C2F6A7A000E882DA08927CE9239A8FCC86E0D21002103E91BE';
wwv_flow_imp.g_varchar2_table(14854) := 'D442C3765004FFCF7CF82BF14486A30071DEFF40611B8811BE92D1C57000A01CA217712B91C25000C38C16132207B251C60A2AF1F8CB8024711023E27810C0BF7A2C11B7C0F60285B62647040A4A795A87212AE8FC1A02622C0E4706EB46E485BF3CC208';
wwv_flow_imp.g_varchar2_table(14855) := 'A367A35C277F3E8678C2B1F2D4C4171542A75687ADDAAA71546908E107228BA721506077300E1FE10521C5080B91C61BDFD11D432EACE68505D406054AE06274A96D5031803AC9F120D220B8242237CEB39C2A0448D25AD4E60B3D42B95AC724178278B2';
wwv_flow_imp.g_varchar2_table(14856) := '8E6386CB5A3E261841C92130D2F3440F9A4E80060A92E624CA25DDA58BBA27903A42873C82253DCEA932C02BE5057554A77050006578600AF48F23F0512D410E4FCA0AA7C0D25D904882FF2650B9B0EBED42202DF9CAA9A08A2587325EFAB1EE18647E6E';
wwv_flow_imp.g_varchar2_table(14857) := '49B0E80E099E86EB8E200992800A2E3333313309D6908400200912620A40F308E4D2083833099A2009D8D02032934E2E3321ACEE20AA800AEC4E1EDC01006C131E3A421E10423715C237791300E0C1376FD336E5011E8C334A78D3370F62380D02399153';
wwv_flow_imp.g_varchar2_table(14858) := '388353EE78935982F33A71130098453BE5611FBA332178F31EBA733AC1933B99E51E9C653C01E01EE8013DCF433CCF733AF7C13D0F421EC4F33EEF613BE36E3BF9533B0F223FF5933CADD33BF5D32008D43CD5333B97E52002D42004B43CEB0E3BE15325';
wwv_flow_imp.g_varchar2_table(14859) := '9CA53E9B853C255254F6815936D43F2B94253A543B0B3443E5241F1E2E2001000021F904050A0000002C78000E006A0157010008FF0001081C48B0A0C18308132A5CC8B0A14383F51E4A9C48B1A2C58B18336ADCC8B1A3C78F20438AFCD84EE4AC912853';
wwv_flow_imp.g_varchar2_table(14860) := 'AA5CC9B2E5C4312E2F52BA05A09BA782B76E3264D3A560969840830A1DFA505D2300A0F818E4C7F1DF4378440D0213D8C8A9427D064D01D00A146AC16951C38A4579C7E02A8AD89402E067CFDE44349100B87A33B01C3183B83A963178B760A66C0CDD02';
wwv_flow_imp.g_varchar2_table(14861) := '00770E406181877591126570DCC88805C321AA44ACEFD8CB981FDE13A8EF9FD582FB12DAF32AF0B3C57EA601F433D86F3547AC0353C356FD6F9E427BF100E48E0DC09EE7D403E301B768D5F5C1D099932B57988FA0E782FDEE3557F8F9DE66816C1D8696';
wwv_flow_imp.g_varchar2_table(14862) := 'C71480F57DF222DAFFC3070039C8EB06D1D3BB675E62EEF7B6E3D113981B77E9B623C9CF5FCEBFFFC07D0022D79A509B85461E0007AAD45E7907F1D3DD41F3C833DF7CF8E013513D185E78DD74DE0D944F3DB6F92762470E8AB4A044B30914A080C68D64';
wwv_flow_imp.g_varchar2_table(14863) := '1D6400EC87DE40254655E344BF01F05B8E1ED9F3604129BAC5E146098E38516BAB61784F864C6238CF93F3D4B31E3D4F82C8A475F7AC87E596F6D4D3655B6D79A9E492F4D0538F74EC59676685F694E9A69B4D6228D0866B0956909AECDD39D086F9F4F9';
wwv_flow_imp.g_varchar2_table(14864) := '61866E7D292646162A3423646A0E749240B3CC020B008F422A50A403454AE9A4954ABAE8A2733895A57450C6F3A485A4D653EA96A82E19A7921DB6581192B0BAFF2A963C004045CF8EB8E6AAEBAEBCF6EAEBAFBF1A9992348A752147166CFCC48640CB02';
wwv_flow_imp.g_varchar2_table(14865) := 'D0ECB2C82A0BC04FC84EEBECB5CB2E4B0A00DB8C03ECB7E0264A2B3CF2902B1154E8A6AB1CADF5948346154AC4ABC413F1D23B6FBDF326416F1549C06BEFBFF8F69BC4BD03D35BF0C04A20AC0417637CD17019639451C617123F6C31C50D67ECB0C41C77';
wwv_flow_imp.g_varchar2_table(14866) := 'ECF0180C7BE10517227B31C6185E54414512491CE172153001D0711968708C864037DF2C52CE34A3E1B3407B95E106007CDC01C71A66208D74D26630ED34D34B37FD46D34F3F8DC51B588F5145C92293CC85155F73E1B5C923973D36CA24975D851555B4';
wwv_flow_imp.g_varchar2_table(14867) := 'DD7619E244846EB974936B77DD78DF6DE46AE124FF40400080072EF8E084176EF8E1873FC00105146CC0C1E3904BF038058B2FBE01E5953B8EB9078F733E41E58C476080010720507A040C885EF8031E00E0C1EB9CC7CE41EB0389E081080371C01107B6';
wwv_flow_imp.g_varchar2_table(14868) := 'DB8EC2EB28002002EE22FCCE01041E4C30010A22AC40430D35B0F0BCF425D040BDF52C48CF4209DBD35002F7DA470FFDE20F3CC0C0F90C2470BEFA09B4CFC0031144603EFC09CC1FBFFD0F2410010206FCFD37E00460463FE4212B614D841FF9F8473636';
wwv_flow_imp.g_varchar2_table(14869) := 'F080D111E081108CA0040320C10A5A1082A373600637383A047820052680010C62108314B460843138A10857C84211A680852494810C52908219A6E00522A0400622B0C30C404E0722608001FFCEC73F0688E00600B0C10D96A8C426DEC0060681A240A4';
wwv_flow_imp.g_varchar2_table(14870) := '9811242EF1894C8CC1120170C519CAE0074ADC810D7A60833196918C3610C219D3C84635AAB18D6C34A30D78F00216A0600321D8801EEFF8BB0D78400222E0000A0419C841726E9088845C201997BFF421000109780600E47122034E2481D9A000FFFE87';
wwv_flow_imp.g_varchar2_table(14871) := 'B8C1F9AF9314A4A0FF08D0BF0772B0830880800942184218B0D295B07CA52C63D94218D0508626E0C00328C0C30764E097D9E3010F44B0810C382E03947B010A49C8CC6692908B1F7926009A79831638930731B4A50C5A70031A7AD384DF0CA738C739CE';
wwv_flow_imp.g_varchar2_table(14872) := 'E1B180037A7C401EFDE838D9712E908F739C2279174F3D32F291FC33C0239FF1FF0F5AEDE31FFFB4244512788DFC3D109482FBA44243F9C9508A5282FD2B65070D90000FAC30842F78A1085909425ACE1286CED42402E247D2FD65A0042F10661D518043';
wwv_flow_imp.g_varchar2_table(14873) := '3DBE408B4B84E915636A10696E24063294813363804D9EC2808E32BCC14E97B95367D652843BBD010C02B9C8F23D408F82ECDC3C993A557A06F272BB7C403EFBB7CF49F203A00015E844EEF18F6B2400019C44A85A131A380B46D494A44400072EEAD1BA';
wwv_flow_imp.g_varchar2_table(14874) := 'CEF295301CE10D4C9000001060A425455D04BE074FC7E97103C30B2109677A45660A552449C5290F64C08314549607442DAA669B79D4CC92100695CB00FC9EEACED9CD8EA9C38327EF523B3CC851C0A98FCCE0239911A34AFF8AB52104756043D7CA5B00';
wwv_flow_imp.g_varchar2_table(14875) := '5630A20E442B0228B05156AE32962678E15D69C94C14DEE0050F38805F015BD247F2307E1460EAE5F40800BD3236A68B8D8148BEBBC49FBE40062985C179470803A1B23706EFF56C733BABC5E67240B4C88C80FE100BB9FEA236B58A64AD6A1928BFB3E6';
wwv_flow_imp.g_varchar2_table(14876) := '73B60088886706745B8790351A0128E5432378B8FFA5D5C20014A56F7FFBD6FED5EFB8C60DF12A3F5ACBE6BE609511F02BE90C10BF1DA6F8003026250FD189CCA88650A88B65EC3391F810F11E84BC40CEA9906F20C31C6FF6C84826A1071EF954922AEE';
wwv_flow_imp.g_varchar2_table(14877) := '9CFD859C3C1FA75AAA52B598FBDB5F6C33C88C7FC0A8C11221EB331C4A61B6F6B69316F65F44850B490F80D8FF95238EF39B57A8591334B094A47C20754D57CA03F0B09814781F0B4C8082111659A6572C088F1962538200F9D13886F4A393BCD39C4297';
wwv_flow_imp.g_varchar2_table(14878) := '944FD56A04B21B481F7AFABE3A2CA6A8A16AD8C795E0BEF07B2403F2996764FCE33AC3013342C4EC500D43600C7EF8C20332DCD6F205800337F89F5609908200C83500AB4C6B5B29E8C004E8B37D23BEA89CA38D57E782D6CD31E0009EFB770008C62FB6';
wwv_flow_imp.g_varchar2_table(14879) := 'DD2E9D3177B8EA0704EFA538D5294E89BCC51F2F64C7ED96B4BCE73D534A575A067BE55FFD7889800794009E9F46A6A87F49F082139C03A7DE213EB7DCEA57CB7AACFF18739A0370835B642316D0B0C5183C198061D82200C4A0C79877008F25FEE3067F';
wwv_flow_imp.g_varchar2_table(14880) := 'FF08C711C4118E5D2B7BC379EEA09BA76D8299CB99962BD47600EA87563C4B70A4AB46EB0186C843210E5171CA14EA90190BCDA60F64D135F5B1A3E94D7548DBBB9939D5A401B2BA6A1F4639CA872DE62F75A8C3C7795DB45A9EA86EBBBC99E73C9C2164';
wwv_flow_imp.g_varchar2_table(14881) := '6546AD0390845B30E30E4BB003339001845A3F601A99BC851140F1062EA8E30D2FF8C71F5C518D4878C2D984FB6BFB265FBFFAA912A6F56D6F79691EED18F095002AC6E005570D00180F1D01AB5EF1FB38806E2DCAC0BB896E883305D2E881ECE006B7CF';
wwv_flow_imp.g_varchar2_table(14882) := '3DEE77AFFBAA93F7EAD43401FFFAFDDA4766F7BEFDA59C0F0D3BF050973D9E0ADF6A06874E006838DCED6F37D43FE46EE1048C621AA070C3FF260EE109688002021A96822D6CC1055A78000E9EF0042D4091846BD0E216B4E040363E4EB8041C810808D3';
wwv_flow_imp.g_varchar2_table(14883) := '364AE0365C20313583066E503312530570667371E6011480413E775010444143373A4307632BA64F292602CE855339167B8CD64CD3C44C06B103008082BAB782BB577588065EC0A7451C106190F45A67454F98E35A5F27655F574CFAB365E1A65BAEC61E';
wwv_flow_imp.g_varchar2_table(14884) := 'B1967D0411770C15004A900CBF100A9DE00BAA100AC3100C5790617EA00EF81009C3C005B60007E1A00ED7F006AE700DC4900A305005EAA004734701F0F2034FC02F55700409D32F3383313433063B106717450167055C154466BE15631A4800DD363A0C';
wwv_flow_imp.g_varchar2_table(14885) := '00001BC00242A5743AC5740EFF816405A18229C87B94787BBEF75D31B858334800F5533E23655A5FE743986365AB4555D1377CA4F3408548004368840D81849CF4074C980B9DC00BB5400BC0100C7220389E2087A9600BF0900949400B01900991E0079E';
wwv_flow_imp.g_varchar2_table(14886) := 'F0067E0007F0400B0840381C900452A03585E70568C00570E00556E0337E708D7EF0060858333FC05E2660839BE48711E457850300A2146E4138440C904CE15564DFF5884716892938892CD87BE4E5444EF47B99986F90E454EAC301B9F47539588A0276';
wwv_flow_imp.g_varchar2_table(14887) := '3BE4A3655BF65684C88AAFF64F45E88AE4C17DFE030AB8700BC3900AB5500CC330859EF08C0DF583BC664AFC136186C30155E00AE0C70C86F00C99600BB4A004CF200C7FFF010CA9700BEBE70999500645B04A1C00796AB66D07B56C9C34101618918558';
wwv_flow_imp.g_varchar2_table(14888) := '6E82A44C98956E4236953294105449954FE78897B8443DD04541769560296429E0010C543E670501B6334F66E75F546655C3A3430EC97011594AD0E01DB6E58A7BB27D1A9600AF400CB8000DB1900AB91092C9300AA3A461BEC56B08E50152400B9EF007';
wwv_flow_imp.g_varchar2_table(14889) := 'CC1009E17007A0400B65700DCC900AC4700BD5E0067F700DD7000A5670039037610AC58E1418007E6510AAD98E846888A983582C0095F2C54C290000B7291030F07ABC295F256853E4C54597886F4B14544046692D045F37E00166F9483BF89C55D55AFC';
wwv_flow_imp.g_varchar2_table(14890) := '1697191441FDD38A78A97D18696C9E100DCF000A90E0089FFF100BB9080AA3649DE739619DE40155300CCF0007C3500570F00C73E107E1900DC4600E3B59066F307F9E600409A09E9CF48781C38EEB688119943AF2A3014FF9022FF55E87164334644B19';
wwv_flow_imp.g_varchar2_table(14891) := '7543168A543BF59B52179C5B499C44E6A198986420055FCCA93F67C539D08970ABC59054B538F1735641175B10557D0E979D09018B001409C96008282306266308CCD00887596B17F67285C3014A9009A0300CCCE009A0E00AA9900AC36008B6700DF247';
wwv_flow_imp.g_varchar2_table(14892) := '93A9500970600846E072145866AD596B02A19AEC481001A0812CB6A088280226E0A00FDA53955642D30403BAB99B22A46E24F89B8AC6741DEA95568764C9E979BAF483AC536501965A0CC9A2F4945FDFFFE690D4277AD869A30781A37FF30695308055F0';
wwv_flow_imp.g_varchar2_table(14893) := '8622E30970D0561455830610610645410D140014D03F5AB56B81430152D0360C533355C0056F5006B10A326C03AB239304CF084A068A50A8C981F243761C30686E5A9BB60900AF77432766A1BC397B1ABAA17C3A9C9396893B954BF9B33FAC83A2A0785A';
wwv_flow_imp.g_varchar2_table(14894) := 'B7C302B7D33B51864CA3A565A9B78A79667D4428A9E9A1979FE4016F6005638080105380322038B16A044A20054600013BF0063F70038EC305527003B35A063F808D28004009F0034640040E4B0447C03203D336129B044520B14A60026AD5AB80C3B19E';
wwv_flow_imp.g_varchar2_table(14895) := '1457FD563EF2C4A66D8A5129906E45E545742A3C1E706222F042782A4D45C5A15B799C99FF18A810A855CE56A8A6A5AD6C9A3D1EC002BD0360E8A443E5233F7139A391AAAE47C8AE0E55045C50050E4332B43A38408000443006195B043B500644005A4A';
wwv_flow_imp.g_varchar2_table(14896) := '10011B10B55E000746C005490003CC96507FA54F90A45F06A64FA7B4B183E3B1BEC53F00F03EBB644CBC13B4ABE4A0771AB3CC5495322010BDB34A8376B23EF64C3BE059340B8340767BF836B939C56ED40A5230008167B5B3AF2355A8F5ADDECAA6439B';
wwv_flow_imp.g_varchar2_table(14897) := '7CF8B53F41A75B7085AE01C5B479C97D80C33F0F8006DFF8067000076530838243040FB0035530945560025C90003090004960001C60057070035C80005CE007AA1A79A4245B7DA89ECBE6AB0EE5B128C964C15A63B333686DAAAC30FF9BB2855BB80070';
wwv_flow_imp.g_varchar2_table(14898) := '5EE8855E2154B8D4846324884472063C287A3B8A8553705673AA55B40649AD9FD542262002106060FDA6AD6E290242DBBF26E0BDA36B768CF46D32BA8AD7399115E98AF5E0B419860065000AB7000A65F0BC8113AB3120B501200514E0054A6004551003';
wwv_flow_imp.g_varchar2_table(14899) := '65702F04E0B555D0B88613BD7A666017949ABC5AA0BD0A410B375AA14665B643AC0E1A03AD97A1D2B44A31B0038D6BA1E195C4F06582DD85A28DC338500CC516B551ADB33894F3C48CD339C67A6447954BFF1B5B0F506569D9BFF2DBC3417B3B0C8983BF';
wwv_flow_imp.g_varchar2_table(14900) := '946AFB3381FDA3BA116C8413ECBAD5BB75A15A38C3C5891B80569C18810F40004B4600A9CA9C4709BD2839BD1794849DFF34A64A2981F8243F7B3B8AA9E5C3E9B559D374C900F038AE3473B0B788CD8579483439597CC58FE33A26A0549B9CC98F7390B3';
wwv_flow_imp.g_varchar2_table(14901) := 'E3667476B3FC6B020C844F06707C0887A866ECADA1EB66699996568C7623B549E8B9B4AC9B604E7B61D5DB5B468A6679267929C95014B65B86C3C8638A416FAB3FE5F37C9D9358B3F9C32FC5BEB3277500507300C038B6630288A6C4C2C9453BD0B9B063';
wwv_flow_imp.g_varchar2_table(14902) := 'CA718679F0A55E179A51AFACBFC9597336E8B65E975ABFA3CBAF73CE1EF03B03BDCDF1F45A8D2ACCA207C7C52C10733C776DB5CC67A6563FE76CBB5A81A929D1366CA0A007001D5479908C4C39383CDFDAA60E1A954A35B84C9C9542C539D1566F5A5482';
wwv_flow_imp.g_varchar2_table(14903) := 'EB8C7BF5FFFB4AFBFB821F7A951FAABF4BBCC422443E5A657CFFF53BB96CC0DE4AC6F0044F6497D0DD36CC109C19AB51401941A9CAACD1670651B105CD4928CDEB48CD6EDB3E4E45768D136525DDCDE7159552B9BE31B54A9CC3382D1B42C2C963E04C7B';
wwv_flow_imp.g_varchar2_table(14904) := 'F94867250883C6599C93DB03951BA25737A2B9648E8FE438FEFCB3075C73077CC6B9F44EC967B40EE9C6349AAE97112B1F91407207D1139DD96C2B7A1394D9A0F7D9CF963FD90CC59743D64C3568662D422FB07BCEE4BEC7C373C2156D712DD7B5771046';
wwv_flow_imp.g_varchar2_table(14905) := 'E6C9330596F4C6592586A1827A4F835D48046CD8A87DD8679C7C8705C5A9768E70F5C03332D90CE6115F35668AA9D968064ABF85D9BC659DA11DD694FF3365F4F44EBDE3C396E55C3BF07A2CFB385F3C8109D079E2BC10C3A9D3F3C6DB4815A89ED7D68D';
wwv_flow_imp.g_varchar2_table(14906) := '8400843D3CCC73D8C54DC6428BDCA5BDC032DA61FDC376C941D9D2CDAE1604CD18AD50D1ACC8A23481D11CBD1BD4B6143EC310F5D593F7001040DAFE85C624DDC3263D593CD00346DCB881ED3E002C100B6700108054EDE6109298E2367EE346DC033ABE';
wwv_flow_imp.g_varchar2_table(14907) := 'E33ABE03288EE337DE8292767B998B4E9E1801BC933D7544AC25EBA6874DC6F4D45F9783D000BC656885AEFDE12037D2200EB11A6565DD601EE66B6510D90B49ECF3A2680EC99B865FAFA501E673C75DAD9480630002615A13113BAED3B37A2E3BA018BF';
wwv_flow_imp.g_varchar2_table(14908) := '7BFEE7DB1A65513CE59E58E04E86B459FFF55AAF25AEBE345A80A53EA897D58843CC2EF10FF9201D7E82E9F9A0E043D221714C2366220E5A6305AD5AEA5560EAA82E05AD4AEA6B23052963EA6C83EAA73EEBB22EEB6C13EBB49EEBB5AEEB6D2310522036';
wwv_flow_imp.g_varchar2_table(14909) := '1163333333EC12E30642A38012030061C330CC3E3661030020C3305F303400E0065803007060346FA0EDDC0E07DBEEED65F1EDE2DEEDDF7E07B46BEE4683EEE5BEEDEB6EEED9EEEDDE4EBBC63E336A30ECF52E31F72E34FAEE060988EFFE7EEFF59EEF65';
wwv_flow_imp.g_varchar2_table(14910) := 'A00628C33525C30577200E31920F3F7240AA122766122744A10E00A00EEAE00EF090F177B3F175C3F11A0F0FEED00EEDE00E18AFF17973F21EEFF128BFF27A230F2E6F266F420F12FF12F36E2221B4422B0221219B91F1225FF2201FF2223FF2242F101A';
wwv_flow_imp.g_varchar2_table(14911) := '0FF4213F493182F30221F349DFF40321F36532F352FF262F1FF5313FF3359FF5575F2EECD00EECF0F500C00E613FF6625FF600E00EB592F1E562F2EE60F66E4FF6635FF1E9900EEA30F7165F2BF240F71A41F17C5FF17E7FF77D9F11FB11235F5610855F';
wwv_flow_imp.g_varchar2_table(14912) := '10504FF38ABFF88CDFF88EFFF8901FF33132F812E1F296BFF6978FF4945F264FAF10838FF337DF101312F96F32F9A47FF5F400F2198FF1EC200FEC000FAD1FFB2EFFF5F280F127BFF6B29FFBACEFFA6DFFF5BEEFFBE4A2F4945F11A3CFF893EF105F2627';
wwv_flow_imp.g_varchar2_table(14913) := '12D1E9477826A9F2FCD09F2ADE11FDD45FFDD65FFD1D02007EB2FDDCFFEF27FAA00F2B121AF8910F01B22509F6F0AB92602E72FDD6911ED2DF10E1BF22940420F33FFFF11FFEF50F1E0162FFF71FFE00714FE04000050D1E4488F05EC17A0D1D3E84586F';
wwv_flow_imp.g_varchar2_table(14914) := '61428A152D5EC49851E3C57C1D3D7E0419329F459121375ED49752DF4195F7EAD183494FA2CB7A001CBAB40980DE499E3A63FE041A54E8D09FF7601A9597F45E52A64DE5ED630A75DF40AA4F93428DEAD42A56AEF2044AEC4991EAD8AF10C39E459B9664';
wwv_flow_imp.g_varchar2_table(14915) := '49B6264F82545B50A53E7CF8E4A604405660DD857573C63DA997605EC1850DDFDB47EFE93EC68D192F96BA542A3DC992B74ABDFC54B2D4C8FB00F88D7B982A60D205F1D5AB9B3AB568D6AD5DBF862D9030557DF7FF6A83AE0D60AE4A0023674FAC5D5BA0';
wwv_flow_imp.g_varchar2_table(14916) := '3EDF7879AFCC2B1279BD95B27B8B9C5830B6E8C7D53337863C15F154C79A1D574FCC989E78C6834B5B241B96DF7AF6ED2FB6775F905F3F00F0F9B5656B1FFF7EFE1D297AB4EFBEFC560229A58F7A83AF1F05FB09903DDFEEC26B410927A45042002AC430';
wwv_flow_imp.g_varchar2_table(14917) := '430D152C68C37DFEF9F0BB10470451C4C64A34F1C4144FE4F03C841C2CC83F8DE071D120AD6EC431471D77E4B1471F79842748C5B482479E228F343249248BBC71C9A498FC314A29A7DC71C821A9C452AB1AB77491282FBF04334C31C724132689F22933';
wwv_flow_imp.g_varchar2_table(14918) := 'CDA0B264B34D37DFE4F1A09DB8A413AD0DEFC4334F3DF7E413C37FFA0454C17F0625B450430F4534FF51451765B451471F85345100FEA9B352F51AC434534D37E5B4534F315DF05351410DB454534F4515504BEB5CEFA4515F85355659D70B75565153C5';
wwv_flow_imp.g_varchar2_table(14919) := '35575D53BD70D52D5BBC88C35D872556CFF98A4536596597E5893EFA7CC508588B845DB65A628FB5365B6DB7CDB0D7939C8536A36735E2B65C73CF45375D0CBD0DB75D83D48577DB7C42BD07DB78EFDDD55D7D3BC4B7DF61096510607F073E755F770946';
wwv_flow_imp.g_varchar2_table(14920) := '18D57FDA91879F7FB2C9449E7FEC4DB8620D0D6ED7628DF3FC479E7E3C6166D05B8648E7CF8D4FAE10E3555166B9C27CFEE9C6964A6C19F41212D6B18731935BDE58654B79065A5071207EE5CF49B018671E9D2DA618659F570E9AE77FFC48C5FFE80670';
wwv_flow_imp.g_varchar2_table(14921) := '5EBAE29D5B7EFAE7A8597EB9926CFE14E56A7DB24678E13FB7EEB9EB3ABF46D9E170EC19D49D41BA18A71EB4077E198E61FEA987C1A611769B4BB85976581CBAFF09878DAB99FB30E19733A1E5EF7A686DBBF05F0FDFF89F74E219349D49F0869CED7E27';
wwv_flow_imp.g_varchar2_table(14922) := '8F071962FE1C9C60CD0DE79CE987DB19949D3CAEA6E76CD3F17D3912DA6F59BD9F79357E7DF3D813EE581D7B4037870DBC73DFA7E2971971879E7F86410670062D2EBEC6E3B586271D7140D7679206C649E9C3DDE39D1E9E41F1A1649A7FEE21BEFBD2BE';
wwv_flow_imp.g_varchar2_table(14923) := 'D79A7657C0F9479F4190D65BE410E6B04CD80319D7F8032DAE31BFCCD92F2EF84B583BE8910D75F46F10E73B5BF424F78F48B822FF12C3B8053BFE418F063AF08110F4D73FD4218E3FA524185858474A2CF6B267840C1495FBC7F0D6A72E137A0F85FDFA';
wwv_flow_imp.g_varchar2_table(14924) := '0792F4A19875C0438682DAA1BA00F70F71B84284DCEB2160A8F5C37BFD031FFF404639F4218F9830676346A9C7A0FA91C47845F13C541CD8C496328F78A0461F881B1EF7C665C6B4380B8DF19ADF76EE610F7CE4A37577AC16BBC4B5203A1EC48E808417';
wwv_flow_imp.g_varchar2_table(14925) := '55CE844873F5C44285ECD08518A9AE7C50C58F93E4962309D9B53956445892C4A4B630C7204B8E3294CCEA64B4A455BC00D5871FAE6C50A814642B5AD6D2969C5A9BC06A952A329E129490C488489E831F0DADA73FC744663295B94CE8DC635EF050073B';
wwv_flow_imp.g_varchar2_table(14926) := 'D4918E74A8C31CF0FFE8473DFC684A631D8B9B686CDA373FD92C95B1E324EC40673AD5B9CE7546939DEF84673CE5394F7AD6D39EF76CA734D3610E7EF6D31CEA68473BDC018F76E0739DED0852410DBA50861A34A00F856844038ACF82A413982729934F';
wwv_flow_imp.g_varchar2_table(14927) := '7EA251987054271F35C89CC2F4D18EEE644E2045889A4E6A528BC823214339088D68242733FD242237BDA949BB88539EF6D4A73F05EA4364125489BC2422367188411E72D1C0C0462C8531C868D0131DE9C4E620D3C1AA685E02948638B39265212A4406';
wwv_flow_imp.g_varchar2_table(14928) := '1256B296D5AC5D758D4F991A9ADFF4051F7B514D6A4CF356C360243D09C92A41F2BA57DFD0E42685392B5AFD1AD89B2235278405EA6B70FA158A3464AD6B8911FF33253BD90745D62D07A1EC64DB938FD4B025AE74150C5FC6F2D9CF9245B4AF99CD6754';
wwv_flow_imp.g_varchar2_table(14929) := '139BD20A04998791CE53EDF7CA57BA6A3D75E1475C5B05CBDCDAE52099C287AD3AB21BD5C6B524746D4B5E12D2AA95A8C498B8159047949B41E5B67521D7552E54B17BDDBC66D7B55F3DED58AAEB19ED88F7A954116D48F6F2DA99C036AA7AA9AAE6E681';
wwv_flow_imp.g_varchar2_table(14930) := '107B50A4BE06B1477E7B7A90A3D6C4BF87456A4DEC418FF9DA631EF9457082130C007B38C7285FDAAA4D1D12132E5698A41F8DB051062B9300B374A3187169881543E19D44873221154A8547CC4598B0382602A18C6C8C72610FCF4920160EF142BC4218';
wwv_flow_imp.g_varchar2_table(14931) := 'E9B8B4203A2D93635F2A9482CCE31EF39DAF4693FF8A90792419BFED8A0700A22C65BA3D99224E460883107C650020F924F73D8882C50CE678D0873100D8873E8A2AD885D0A58FF805B38E011062CF18442535390A550BD2988278C5C706A9B367AC4291';
wwv_flow_imp.g_varchar2_table(14932) := '3FF7D9460829B445EA6C57346777CF9A41344516EDE3852C1A31DBDD71426A829097F077D33EF9EB4DE2718F36F2C4B74F26EDA90D029A9E04410A00B002009460052B28C1224AB84245720D802FF4BAD7BB3EC8170A226C5E9F84D8C3F675B2955D112F';
wwv_flow_imp.g_varchar2_table(14933) := '78C10A5E2848ACB9F06C2EC07ADA00E082B3AB7D6D6803400CDE36C8B7A33D8682349BDC17394315CE6010241C44084B4042BB2D22052A78E10CF4F642BDA9609027AC3BDFD0FEB741F25DEEFF7A9FC10B62E836B9C750068637BC0C0050C3B90B228627';
wwv_flow_imp.g_varchar2_table(14934) := 'E4BBE2F5AEF8C5077E7100541C0055F042159E6090291861E41529031A525E90873F1C002A87F9CB53DE7200B8BC2031EFE10410228109E83C210990C04524C073005440E72000C196920E00107400042A483A0846008216509DEA556F81090AB20114A0';
wwv_flow_imp.g_varchar2_table(14935) := '80035F17C1D75700000E6CFDEB670FFBD701B081156C20046EDF0000428082B8D3BDED6C1F3BDEE9BEF6ADBF3D041AD000450E4080821C002118903B424260900F2CFE0327F8000034F001CA03A0F195B77CE4332F77B603A00606D101007AB00400F0A0';
wwv_flow_imp.g_varchar2_table(14936) := '07A7E741E801107A168CDDF20969FCE24330FBCC2FBE20B43F89110AF20323F0FFFE07BB2F48EF753F7C000C9FF7171D81413A6081822C7FF967A9C0415C509011B840050098FEF5B38F7D00A860FADDFFBEF6BD3F0417907F08E60742F9CB0F842100A1';
wwv_flow_imp.g_varchar2_table(14937) := '08002802100AD28282E8C0FEF67F01005EF082FBE71F06FF8F01FDFBBFFFABBF0204BDD57B0118D00118583DFC53BDD0CB3F163088CF8B0B0AA4C084183BD743080D44880B3C08793302DD0BBE82903724E0011EC0018AA88114C401169CC015348814AC';
wwv_flow_imp.g_varchar2_table(14938) := '932400001AACC11AA4C11C2C081A3C02331A810E380B9D9B80A04388E4933E15F03E24043F241C81EBC3BEEB834215A83EEF0380211801F2633F15303F2D54012090BF82B0818278011CB83F324C41FB5BBD14DC3F1C1843FF1DD8BFFD2B881664811AA0';
wwv_flow_imp.g_varchar2_table(14939) := '401400001450C33B0C3D3A44011D40811740811A600109C4C340B4C3823881B8E0C01AE18125E8010080370088B7781B3DD173C4385CC483A0433AD4C482F8BC1A5881CFD3BC8AE8C18428450028C52448C51BE4C182E8C15334C5C2E980EF0380E4FBBE';
wwv_flow_imp.g_varchar2_table(14940) := 'EA33428C004284D8C55C4408258CC2EE3308284CBE266CC2F1A3C2F2D342EB7381F48BBFF4AB4283F8C316A4C61604806AD40136D40116C846377CC314E4C34FAC81430CC482B0437134473FAC3F3BC401099440D2C8442EE101D103801DE8012480B7D1';
wwv_flow_imp.g_varchar2_table(14941) := '93378B10C74DF4BC8AA0018A80458328C55334C824280255B4C12350C51E6CC523184882741B17D845EAEB80FF11A8BE5AA4458BA8C88260BE83F0C58A704261BC3E8C74426204BF276C46EB23BF955CBF82F8C2696CC16CBCC66E24C3FA1BC36BD4BF37';
wwv_flow_imp.g_varchar2_table(14942) := 'D4811AE8494FFC473EF4433F1CC7A2AC884FA4C6382C88770C8B78AC880CBC08503488132C88463C3D2478C4837844D2C3884DF4C04FD408112C88F73B8284EC4122380811444B844C0223D04154BCC1881C4BCDC9010098C58C04000BD8C88CA8C85D5C';
wwv_flow_imp.g_varchar2_table(14943) := '3A5FFCC1C0A43E5E1CCC222C082764461760C68228BF2ADC4B1460816A9C49334C439B6C43FD63C376244A3BE4CC3BACC3CF53BD3B048015084D6A0CBDD0A3CC388C4C00584DD6BC885034888054C18A30C44E3C0826E00126A8C479DC8184C84A8DA043';
wwv_flow_imp.g_varchar2_table(14944) := 'FFD934884CA481443408B1DCC18340CB84A48822284B1A744EE67C3F898C45B9DC97BBC44820DC4B8DBC88E95BBA8BE8C8C14CBE8B04C28EDCC58A8442E97BC25A14C683F00016E8C37F8CC1D543886E4C0870FCC441A440A64C889E1CCA3E24C3D5A449';
wwv_flow_imp.g_varchar2_table(14945) := '17914DA78CCD5064C7C8B4C339F4C412B8C0D45B82794C087CDCC78C10CE825801D9BCD0B1B33D0AD801857C3F84A408844C48E64408B6C488E5D49CE82B4C17D04BBD34CC8408CF3A9951BBFCC1601CC6C52C08ADF33C77A488D3A44F8B6041766CC1CF';
wwv_flow_imp.g_varchar2_table(14946) := '9341D104CA9EA440FF7C9DD56CCD8BC0CD0895527DCC47484C3D9E08480DE4C00BAD41EBDC41B294CEE44C8B57EC1A390802C0ACC55C3403FF0B18028B54022DC8CB82A8802F1802385D15206C3AA923CFE64B88E93BC48370C103B449202D40D4BCC615';
wwv_flow_imp.g_varchar2_table(14947) := '3C4773344AFDC3C3CFEB430F0C171664823394CF6BE4463D2CC41A10CE2385D0DC9CC74B2C88480C8B13C850033D0B1185CB1085BFB14448EB444B3AFAC85C3C0700B0D38B383683F9418AA03F695C411894CF9BB44F8C20C423F5C44D9C4344C581461D';
wwv_flow_imp.g_varchar2_table(14948) := 'D07099D4D0544147B54DA03C082985C4D08B50481CBD0875568D58442E8D0BE73488E984CBC72AC28FAC0816AD8829B31F1418BB3974D7CF73D276AC086795C1D6F3BCDAF4C4408CCC3AEC496E84549FD9437D3D08429CCF82C0CD798CD27683B746DCD6';
wwv_flow_imp.g_varchar2_table(14949) := '8CC8D0B338022210D1E724CBFF8A1057724D0818C5C88458078D18874A30A171BCD70EFC47197C40031CD80BFCD3383CC76405546B3CC038B4CF7F450BD06482862D404A054A1CA0D95075D6DE6CC4464CC19BC5886ECDBD5585BF1E2CD1B9C4D884F005';
wwv_flow_imp.g_varchar2_table(14950) := '8B60BE916C5AE03C442345887964C0A8CC44788D4198D54942AD49CA2456B52056DC6CD89F94D6FBF43CAB650224685B26D80129755626C8889ECD88E7BCC18BBDD81AE94D95F1855B88D19044882D80808388B5B55AD915A8DA8CE0CFD12CC7E16CD923';
wwv_flow_imp.g_varchar2_table(14951) := '95C0996C9707ADBFDC4C080BFC449A1CDBAA14BDDCBC8128D50109AD4F80D4C9B03082F7DBDBA9AD11A483BA82F84ED6BD88404D8B616DD4AE39C1D0DC569EEDDC1F5D02FF6B6D44BA75D6D0A3DB84D8D09E90581375971D90BF1B70975AF00659204C8B';
wwv_flow_imp.g_varchar2_table(14952) := '90C2F48CA21A351876F54CCD91D0E2ED5CDAC5889BC54DDD243DBA25DAE2CD5C4005006F4D519F9101776905485005903D08734D0863945AD9AD9312588112000011F8DFD1D41C268801FB43C18488CC27B588B16BD8DC2D5ED52B5ED7E3D287D55F17A9';
wwv_flow_imp.g_varchar2_table(14953) := '828200B98B68BA915CBA0E50010F6EC2AE0949C1ADE0D25856D24D5F6E9D561DF85DB35D3DCC2D588A60DF12468B6E03006793D1E9254C123698F2543E1AEEA16D4C561A5852D2D301F3353D200E97C3350872AB0243B035C1F53925A6623AC1D98BC8CD';
wwv_flow_imp.g_varchar2_table(14954) := '47CC4A13AC60E7AD472008C34AC161728B352B300383104CFFA6AA00ECADE228C2478320BDD17BC4D43BE036260D33808382780338808338C8E3C3E409906D04B761633BDE0853AD9350E48112C4562B45DF2A8E8116800149A693D8DD88465803B7493E';
wwv_flow_imp.g_varchar2_table(14955) := '7435643AEADF69BDDA42F2808B285C0A3888B22B3B17E980E8D3B95CAD883D7DBE8B40D721204277F1E14EBE280E14D517A6230F90000EF8E58248650078008428668330656116E651A600602E886486DA552E6484B0DF84883E4BC6558360D155C66560';
wwv_flow_imp.g_varchar2_table(14956) := 'C2CAA98C2260A6805F96800D908071E6000F00E60D80E66156E751B6080828660AD8000398148B58E3A2D30820B48069B6E67DE1E46EBE28AE2C246076667836081ED53A752E0884E6510F0060539668FF0890E76496007B06CF8016E88D7E1D3BD4C7D2';
wwv_flow_imp.g_varchar2_table(14957) := 'BBE2C2D13A1E0580AC2D88002CE98230E9932E08002E8807386600285C64EE1A22E4668EC6E99320D6DF45E1EE01011B084315D801A11EEADEECDBDDFB4D8A28E698460868A6086986967CCEE9A9E689DC35211B00E38AE8DB1B40691330810D18E664CE';
wwv_flow_imp.g_varchar2_table(14958) := '00987E00532EEB8378800D20BCB3384FE59BBAF1BC511096BA0FC666AADEC0B10345431444BBB6D228FA42984C699E68E6761E6C0E68E670918099E6EB8C60808340BCC5E63BDC3321C5060004480004000002C06C8AB067CC4600C2F36C8CAE11400080';
wwv_flow_imp.g_varchar2_table(14959) := '3F0000D23EED382808D35E6DC8C6883BF0833E0000D92E040028043FA86DD70600443808FFDCC66D138203D3FEE393C0833F2E6E00E0833CE683B810233BD26D47BA6750DA24BB9EA35502179F49A57BA694821814EEDEEEE706EFF016EFF1C6ABDF3808';
wwv_flow_imp.g_varchar2_table(14960) := '7525EFF4566FB4908894600EE6A8AEF596EFB8C007F2B2077EB8EFFA9EEADD988BCF908F2802B39E90872873A97870A97D8887459B6F5F49B5421AAD3E522F9EE0EFFE86A47CC08B17A92D8348F0041F34A998B3056F17F63094008F224C990B18E9E4E6';
wwv_flow_imp.g_varchar2_table(14961) := 'D20D6332A4DACA07054FB4463B8F0C578F8AA0718136B078D07178D0F179D8AD1E2A8909CF0DB150E28EF0AD7CD8B41B1F08A7380805070C2EFA95A9E8E49393B51FB0811848812C078014000229A88258FB721372362FC8366A1BF3FF3227F382708337';
wwv_flow_imp.g_varchar2_table(14962) := '40033677030060F3384703FD75B624C8B68BC8602A88822488827ABBE081230D2950C56A2B0D2908B91E54820BB6082EA83689E3359B33A1B54E88000880CF360002B8F44262C01840694EE7F41BE0EA18E06A2FA68895D6DF0878800868EC82403C0628';
wwv_flow_imp.g_varchar2_table(14963) := '660358758320004A0F00494F0802183CC3ABF59E300055CF000A28810C208D00D0886126E761C665CB56F6AEF9012068F66777F66887F6DFCB08220002B4A4F62822F583803B0DF8BB82083CB773EC07C08055B7670688000DC000728F808A10EDCDEE89';
wwv_flow_imp.g_varchar2_table(14964) := 'C6450B548F80B87B019446885DA5886D17E8CB068004B0E704B09F1FE03DE6CD08829FDABFF376C00BBC6F973C83606AFFC3A38804887583B8747BD6ECCAF6776869778D20E983D8741BD8019127F9B5DA6C81BF080310780210F880CFEC7D91BFBFFE01';
wwv_flow_imp.g_varchar2_table(14965) := 'A3AE470098F998DF8199D7F99CE7799DB7E35164000C106D8977758B6700953F084C7FF982C0EC0740795F41808EAF08138001AA1F6513B8FAF91BF9AD27797E771BCBAEEC83106D9E78FA952F88A7DF179EFFEBE063DE6CD78830C6D8517C6C8C30BCB1';
wwv_flow_imp.g_varchar2_table(14966) := '3F0804807759EF6C968778B48778A9270D74DF080FC07AF78481F74D88306C01944668B0C718650778BF4F7A3A62DE1DC8F9303678F93B6A00587B8AD87C60E20094C7EC0DF0768398BC8AC080560700A207777277F782586BC757EA04606AD24800C02F';
wwv_flow_imp.g_varchar2_table(14967) := '7684CE88FFAC233B83B8FDC7177B830001DDA7085B3F89CEE712698F79C0F67C8C903FB887A414D0F8B0D0805597789E50FAB0D788629EE19E880094A7EC745E668A107F78F67A009001C447E8CBAEFDA7F180BA3E08C9EF9EE5C788F87B55D935759E98';
wwv_flow_imp.g_varchar2_table(14968) := '7B8C38FACD0608030400102C08E081C18210082E04C02121C488120D228CC88102410E1E1C6ED438F16384041F47922C69F2244917107FEC60C91208CA981F77D89069F326CE9B1800682878C0208607411914446020E2510018496EC86910414508153F';
wwv_flow_imp.g_varchar2_table(14969) := '42F0F0B0E3CD084EB76E1D082069D2893B80D8D8C115E50F9811D59E6DEB1665CF9D061918C0A015805C004425224060934686AD53252E9D0040C243FFC336FDBE6D5C52C261919013406E2841A4E392407E64EEEC59E601BA791960086B900002AF9827';
wwv_flow_imp.g_varchar2_table(14970) := '3E909AF0C467A5133D9A886D7BA457834A0058E1DDDB8A8F896F6E132F5E7CAF5E061A30F4D46B8001E38202CF466050DDA6D6D51F3940566CFCFBC7DEBB018C2738C46019F0EAD773CD4B503442F706A2AB0EC0F56E4EED0C2D5A65EF1F001AE411F407';
wwv_flow_imp.g_varchar2_table(14971) := '005A18F2054166FCB72083274DF513453D2540974149E5769048839524177232411551020F245098439079D42071FF14F44A240030034024BF0C88228D3542149650046908406EA63120527621FDF85948265D85D1042244940200263069E356C92C4950';
wwv_flow_imp.g_varchar2_table(14972) := '6D9EB500259626B9575050411535925FFF431A94000264EAF7DD43123D59D09A59E6644E42A3EC1047386EDAB9DE8E07BDC7E157131D75E6981DAE8718441E3099829377E264C52811B598D030019E95565A8A5A3A9197121D458040D3450700639FFA15';
wwv_flow_imp.g_varchar2_table(14973) := 'D8A004510059421E98B01195A62E75694C5518C716AC50EE2497016131A717417E45D729A7D245542600807E47419AAF02D09F07AAB25A6B63E5E564410AD43E792500946EB62D67D082F7015E11F5F440731D9A46D051062490EB97BD1244AA7A142C84';
wwv_flow_imp.g_varchar2_table(14974) := '2C6412205BD089DEE2D4977129FCA082B694EAABDE72EF7DC5C05EE02274EE57C112C029BB7D45A75D9EE0CD9B5043055985EAC02579C5706736FC5044C70BEE0A51B90F10F56942FF03FDCA6FBB00C0EB5FC6B3597591B225B74C90B15BA59082101600';
wwv_flow_imp.g_varchar2_table(14975) := 'A0C2D04210ADB37F1F6C49107EBCD22528415EA1A66E52D1F905640925B0B750C5A65EC51D070D15897441097CDC5811238F7C34006973FB36D9EB29D7E5C2EBB2FCD57CC4F2AB6ECC00C076290581277475C9EB76F6031100B0A576DA6E07BC38AD711B';
wwv_flow_imp.g_varchar2_table(14976) := '676E4CC416CBD8DFEC21D4B54113A409D1846483FC1911884B8EE2721AA82C92989C5E58F6E8A06A95B99BF742107642629E7E96D0007897D06689EFCE20421A30B03051F37D6479B14591D9F49D848218D5F04EB1FA7BF5B63E002EAFA1A35BB65F22FE';
wwv_flow_imp.g_varchar2_table(14977) := '78F7C01CCF953D576D0A81FE9D1888C4378F15EA39E4901184A91F0BFF8A7E3E26FB671D4110C9FA77A7D5FD282C5033090E70A0A89B094E805BD9C804523081DE55A94A0ECC5E0476F23A0699897C17DC4A2328419010422412998051252241894664A2';
wwv_flow_imp.g_varchar2_table(14978) := '45295C610B01F0421636E2511F5C90211C612943DCD031F6E821FBFA01C41BC20300F180C71193288F8FC463894A3422129D288F250EB18A5604CF0F0B628F796CD11EF6A8C717C308C67A9C641E573C231AD3A8C635A2B11FFCE8473FF0C1C639D2F13F';
wwv_flow_imp.g_varchar2_table(14979) := 'F6C8473EE4B8207A00808F64E4A34496284841F611005474CA3E00700F3E32B28F8B740C20FB488F49DEE31E06A90726C908003272B28E9EA4918A84E82D380280940431E529E1284A557EB27AB7B805006E610BFF5B006014B130C82B8601CB1A79A220';
wwv_flow_imp.g_varchar2_table(14980) := 'BDF4042842010A6086A22DC070054142410B5A780618C020883381710B60D8829AD26CA5036BE2100E7067030F089C069485020E28094B527BCB06565091A334C720F93BCB069A02807436459E3CC166FF80A00298C0240600D081416E00007F02E00530';
wwv_flow_imp.g_varchar2_table(14981) := 'D0C14161F082FF64502BCDD1C006200A001CB000A01F79674C5660101E9C05052BA801486B80021CA040A40028294A6BC0028A92B4064D591A3EA1759E2100E13C0080814470605180BE40A7350A410856A0510088B406439548498FFA11A102600528F0';
wwv_flow_imp.g_varchar2_table(14982) := '5B4112E8969212F5A355352A0D564083A6D680205DE55E4C913684211461072D7881412D3A511DE8FFB4ADFF6CEB42790A9E100080AE04616A448C4A54882875224CD5A852FB9A93A166F5A3421DAA5621B2D5B0C6ED3C2E28824D4DA083B84E44A75DED';
wwv_flow_imp.g_varchar2_table(14983) := '694127BA50B7728505F9C3E8449E4A54BD4EA4AB09E9AA55FDDA548F72B53320DD6B4116CBD8EAA9C0054320DA1076000314E84007BCAD015B2B6B9B9EBEC0B423E9AA5E4DBB521618B7A98AD52A74B3BA54DB8414A4D29D6DF55C50DBDBDAF4B7BED501';
wwv_flow_imp.g_varchar2_table(14984) := '706BA0C084A8D533C095AA4D400B5B4B35B706D2CD2A7CB18BB4DA0E6D0406D1E96FC55BDAF27A86BF0E6C6E42107B57F9968C681D28084E0BE25D3602783D8905806C09DCB1111C38B329152D0E000CDE0C1BC4BF123648839B7A82AD6A34C2FF1F2E59';
wwv_flow_imp.g_varchar2_table(14985) := '6DAC6ADCF1DED7A7E43D7144044C9210C3D852CF2A48FE540A5C89F0C0C335F62A69031C1116FF58512F408168455B10D4AEB6AB3EFE678DC74BD8BE921822442EB2A5946AD2932699206AED319697ECD5F54A84C661B69347932C52A73A75CB4A76F18F';
wwv_flow_imp.g_varchar2_table(14986) := '756A511A80F4C139EDEA95CF7C29ADC578C07A66C244F5EC40C19656C982FE88990FEDA610185AD124E9ADA377D794150435D21F516B9E2DAD2F4A3705361B38C10642F069BBCE53D42BD0DA53F9FCE3276B5A5FA2AEAB46E5496A83D8F3CC80EE71A65B';
wwv_flow_imp.g_varchar2_table(14987) := '6DA97612E4D575954808400D552CF780A34BD0F5EE662D91BFA5F3042B10B68497C0835B23BB6374D5005D43C06B92785AC49FAEFF755879B0048B3241BDD5BED4B651D2E979AE209DBE0E2B1296D0031D00FADC3D3C4109407D8260FFBAAEA1C6E712E2';
wwv_flow_imp.g_varchar2_table(14988) := '7D6C1D70D4DE9E115A072A00800E205CE1FE818DA823FEAE5747FCD3AA4E63C001D003821CDBE08EB140C2435E819037A83919D07660B47D6D7F0F3B8D3E3DB6B401C0030506D9E3991939CE0F8CF385FFB4D46BD42F00E23D6D8310DAE6676138082C50';
wwv_flow_imp.g_varchar2_table(14989) := '81DE197D2B4890395159E0D48B37BDEA3652606FA96EF5AD4349081BE73AD8DD140E71D429EC663F3BDAD3AEF6B5B3BDED6E7F3BDCE32EF7B9D3BDEE76BF3BDEF3AEF7BDF3BDEF7EF7D60D021FF8BFFF9DA0041128E16D6E78C7C020C189F73BE21F2FF9';
wwv_flow_imp.g_varchar2_table(14990) := 'C91BDC2C94BF3CE6FF33AFF9CDAF27679CFF3CE8432FFA133F8403F10C8CE9F737FAB093739E16D1FAEA8D9E26D567A49CB137BBED0B2202DADF9EF5F8EA7DDA792F11259153F8C00F7E4132F0800C78FEF861DE3D004420020FB0E0A9D3CFDF46A63F11';
wwv_flow_imp.g_varchar2_table(14991) := '0ACCCCF9CFDF1F0BA86F02118C9FFACB8A7EF6692D33EE37DFFB58AE8D056BE301EDE74FFBB997594122C039F78775F74A9A7F93841F0B9840F89D9FC69400F14104FB654048D80FFFD5D8F5CD9F04A200003E0BF4DD5FF20D86073DE06C5D1F012E0BF6';
wwv_flow_imp.g_varchar2_table(14992) := '451FF17900EC994A6054C4CA70E0994920F491204160A0092284FD4047ECA8E087959EEE7DC460408F0D42A0FC4D1FF43944419C9E5230DFCC1C500F9E983CDDFF4B44E81F7E6C60121E9AD715840C0040152ED40B0C2000985B149E19D97D21008C5D41';
wwv_flow_imp.g_varchar2_table(14993) := '8861175A5A11C1833C14D1121511411C1241A061190ADA22ED833CD0A11DD6A11BC6A11EEE211FF6A11FFE212006A2200E222116A2211E222226A2222E222336A2233E222446A2244E222556A2255E222666A2266E222776A2277E222886A2288E222996';
wwv_flow_imp.g_varchar2_table(14994) := 'A2299E222AA6A22AAE222BB6A22BBE222CC6A22CCE222DD6A22DDE222EE6A22EEE222FF6A22FFE222232C1B44D5B0FC8DB12441EE155D8DC2950C115040F204133129E7DD1DD784DDBB85D1EC251D80858C034AADD51D11B98895E07D8D738A61D9DE51A';
wwv_flow_imp.g_varchar2_table(14995) := 'E76963391ED83652D8D61917408DDB123041311AFFDBD33D23D44D1E3B8E23C229E3D6A197CC09A33C1A5B311AE3E375A341206442541885319C3F46DA9501D430164431169BE6F58E3A6A63443CA4A0011D41B0D844320134065CC745D5DCE54067241D';
wwv_flow_imp.g_varchar2_table(14996) := '473A1A3A8A9B4B761C0ED4DBDC1DD84A4E0B008080A389179E45840E489BB825040FCC9C97C964DC75004E2EE35AB1187A11DC40CE63413001400114A001D456BD16307EC64E4299564204384A9BB44D2500001A5816C40AA0E355BA858B5D19CD9525D4';
wwv_flow_imp.g_varchar2_table(14997) := '5994B8F5963012DC598287596E21739159584EE43FC92451CEA57FC0199905A53016DC4E8525ABF9A57100A4CC5DE3543241C7C565A021A67A44A341D0804EC51C414463504AA67F3C995265FF9C41E62567FEC795A9DAD745845E46E6682E0849C6DB48';
wwv_flow_imp.g_varchar2_table(14998) := '0EE361AEE65924DA904D444F52A56C9E05F7041BED78D9984DC4422544B1C5666E96047F8155E6D49C57B1D6473A5742C41C6516274A00A65C800B5891A551D54039899692945471359A746E0551C2C6C990844629D99671D8D7F964783A8545AD4004A4';
wwv_flow_imp.g_varchar2_table(14999) := 'DBF0250487055A02191B9411677B16877EEEE7473C55D1C9446FFA278A3C41423C41155081AC0000152441833E280024C11400801110686714913BA46142A8A121B52100B0A141E4A1856EC53E5492254144892A123DDC833C58522295E88A8E68638868';
wwv_flow_imp.g_varchar2_table(15000) := '41D46144CC6123295289DAA18CD6883D24528F06A9909E1D8BD2833C98D1902613A9922E29939E659BACE2751A4F0FDD985B04040021F904050A0000002C74000F006D014C010008FF0001081C48B0A0C183081326B4A7B0A1C38710234A9C48B1A2C58B';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(15001) := '18336A14386A5C2A81B6E0FC89B7B1A4498BFBECED5B296FE0B0512763CA9C49B3A6CD98FD04666A47F015A59B404DD65BB9AF65A75FFF40057578C7D5D2A750A33A744790CFBA83E200D092CA95E6BD95005ABA840849E0473E0D19765DCBB6ADC29C6F';
wwv_flow_imp.g_varchar2_table(15002) := '005115C80C00A88F6EF356A4477425BD8BFBDEE694D86FB0DEC3881F0EFE77D230007D81135BD4970F233F7E02F77D8D2C91DE3D00DC12DEEBA7F661E4CF9253AB0680D9B1407C02EB01B0970FDFE587F8640FFCBB5A223FD8795D1F2C4C9A5FE9DEC893';
wwv_flow_imp.g_varchar2_table(15003) := '6396A80F65729AFA9A278C6E7179C17C95095ECE3E50B741EED58543FFBCC797B34086E09F73BD67CFBAF681B6810FBC0D5F3E007CF8B04B26CEBF703ED9F7DC538F3D031648E08103DA43608001E6961B83A87967503D144A88DA4315DE87DF861C06A8';
wwv_flow_imp.g_varchar2_table(15004) := '1F00F55C78907D07A116210095A5A4D9858105465E8002D1438F3CE40D54998312AA17D53DB5E566CF3C0A2AA8DB7F0CE158A2880C02F019851006C864931546296585D8E5D31F7109C10380965C6A09403FFF8429E69864966926993AA6A9264660B091';
wwv_flow_imp.g_varchar2_table(15005) := '859B799D29E79C65F2D312975B6E298F9707B5E4675800D0938A144A28F144A149189A681255247A68A2862AE1A8A4922661E9A2002421501599726A50A4933A9A69A69A0A6485145C94314619657CA12AABAEC2FFFA6AABAC9601C0AA00B82AD0176300';
wwv_flow_imp.g_varchar2_table(15006) := 'C0AAAFB6D62A2C416370318617C702E085405C28FB4412542471C4B44F54B12AAB68D80A001ADBAE2993196B08042E1C00DC21ECB9D99E8B6D195B7C6185155C78116FB2F102106FBCF27A91AF15F9F6EBAFBE00035C851755145C30A35E80D20F3C7B36';
wwv_flow_imp.g_varchar2_table(15007) := 'CC2742620210A640F7FCF346001867ACF1C61C77DC714D0620B001071470603207128C6C72CA2B9F0C800426170433002303C081CD280BC48107377BA033050F448000020718700003080020B4011F0320B2071E98E0330022D8AC33CF58EFBCB3081E70';
wwv_flow_imp.g_varchar2_table(15008) := 'CDF5CE280030B5B72C885D420D340050F60A1BA030F20629C32C77D6279BCCB3C90F24C040D0790BFFB477040F309080DE7CEF6D78E08007AE3802090C8D000306446E34011D73D10F6F10F183654ED8FDF506E3061020FAE8A4976EFAE9A63764C04004';
wwv_flow_imp.g_varchar2_table(15009) := '1024F9EB910F4D010526A490420B30B410030C31F4DEBBEEBEEFDE3B00B8E33EFC41B6031083F2BDCB70C3F300BC80020719541F41F526B32082081904CD00D24847B0010C37EC60BEF9370C74830DEBB7CFBE0D08A50FC00E03D1AF9E10F0D35FBEFA42';
wwv_flow_imp.g_varchar2_table(15010) := 'F0B0BE0DE82BDFF36E1003DC3DAF770494810C52600211F46C7B5573A003EB36BDBA698D03153CD90439B0810E6E00681A7800DF1C678004106059F2700F453A578F322020741E8BA10C9B7610D401A075A88B9D0837600218D4CE8740EC610FFF839802';
wwv_flow_imp.g_varchar2_table(15011) := '18187120B51B880F05920200C000004D7CA214012003B17130031AD080F5325082EDA580073C60010B38C8C10ED20C05E48BC100A9E82D932CCF2008CC9D11E748473ABE00063C80010B3CD04581CCCE83383399CAEA36C8415A70831EDC40F722C048BD';
wwv_flow_imp.g_varchar2_table(15012) := 'BD507408088012F421968BE4E31EF290C7170800C319526E863444C8E902008000E0307400581D2763978007D46E88441CA2108308001320F189B624C814A518BC1BA02070DF7B00063010010C30A07A1960C10B58C083172C538C2C985ECD6EE03FE809';
wwv_flow_imp.g_varchar2_table(15013) := '447E6D3C09027D3747E119D19B2F88C11D7950C5817000020F40C0036C66480F5AD064139420D73600C1AE79300340031CD28616FF3A0244320997CCC82533C905537E129408E5584352D7BA1B9E2E72FE64DC2C8348D1583EB1963E64E04505324B277A';
wwv_flow_imp.g_varchar2_table(15014) := 'F4896A8441088BF6BD611693918CCC00074AC0810DB6B4831410080A3CC002DE0D109B87D9685482A74602DEC0A6E42360EF9A09C617904C20108840022250320094806A2D25635437284F083A10052880E0153F1834A1F1B39FFFA4478EB284904BCEA8';
wwv_flow_imp.g_varchar2_table(15015) := '0A06356542D79AB152369420A273E8E80462BA7EAE3276AFF4A109F6AA5721EEF5AF7B4D882D8FB84BE6ED200614881C4919605262A2B42019E8E0F65A0A80C86EC0662640204EF3120319E011063278816785B73C6F9AB6B0BC2CC81B9537109E068F77';
wwv_flow_imp.g_varchar2_table(15016) := 'E4E35DF014088317FF500001F804405201D7D4AA11F29DF09CAA08B28A41AB72900291EDEA0B5F18BA90052009F2A0C7C42CF29F4CA29572A2E318E940F9C9ECDE9094022125C64AE950B9C6F5BCA36B6E2A6367000EC83288808D6F609728908B4A718E';
wwv_flow_imp.g_varchar2_table(15017) := '1F65AD031F20BAA219CD0018D080D2BED75C021CC0C0D7BBA706DA66B73BF614006B2C4969572B919BAE71B33471EDEE7C2ADBD92AB08AA15B2772970A819B99F86D654C64070FD952AD4ED6811F5CA457991BBA481AA11DA8996EE658F31F78C023096A';
wwv_flow_imp.g_varchar2_table(15018) := 'EDAE5AD9DA31CA85B7ADAC03AF794947D790D9D5C9129DA55FE51B5FFB3AF19BAE651E0744F864D21D00A50C388098E57AB40C9CA07A1AF89E085E30DC17A4A0FFB3CEBBA9367D77116B4EC4C278CEB35035CCCD3DCFB6B329E0AF01228037A16500AA2A';
wwv_flow_imp.g_varchar2_table(15019) := '3DD90715490145524F911D54A94ADD69C81220779F8FA3312703D00376DC4385BEA92E3CAEABB1831E010D7E8043122259E4003C80030130800976D0D0F696B264B1F6400202D04355A2B794E385E80D5707BA04D4AE8846A4B27CAF9C4B2CC7C07C981D';
wwv_flow_imp.g_varchar2_table(15020) := '4802FA69D7D20D3A0261361A00C45CE60F64C0986166C006C47847D02A107A17BE881A05C25385D0CF7ED0C6889EE73D403E6B5881CD3B370C38306D04942CA94B6D31C94A56B7499F0C9FC84C78C24DC64586076DB9246C6E0076E0695047841FA23EC2';
wwv_flow_imp.g_varchar2_table(15021) := '90D30A834C5C031BB1C80536400164ED06201BE1FF088014FA518E6EDC200086F8474199E18E0428E11F7778433AD4A1A9F3A675BCABC42E7B0DE081BEFE356A1E9869D4E29BDF3AEE4ED08C63C05D215A3A537EEF7B07D8B69819703D706F5D7C223081';
wwv_flow_imp.g_varchar2_table(15022) := '9B79F0C53847D88D7476F7FCD6AE117ACFDBDE70F7DD4F21F0C20420F7E1EBBC59A2A3FACE4823F7EF80DF3B4B578A5CAFC60ED3078824C5E961F188889A081BC7580B6E910D5AD8010953084534A2F1858D538E08D9C84612408F0060300301B708C747';
wwv_flow_imp.g_varchar2_table(15023) := '6C610F2FC4FC0FD90085080D9ADDEC9A9271E964DCE05AD94A133C0F7DB2259FEF9F07D85ACAF79B007840C644F7E47EB28EBC0020F07F0D0039AE3320FA6306BBD83D7BEEF49DBDC26B3C1EFFBB8FE77D089B1F21EF5EBBFD20E2763DC71DEE3FBDEDD0';
wwv_flow_imp.g_varchar2_table(15024) := '449854D96D0F00041724C9CA58468437FAEF8E967F0E37634533344853639CA60E5F81113DF663919700A0900CC8100976A00A87B009B8C00CB8E00269453994E00AB4000A37900D013006D35005D9E007E5E001AEF00C9EE00A29B803E5400CAB435718';
wwv_flow_imp.g_varchar2_table(15025) := 'C3490800034740044750054A00004AE08306A304A9A22E65902EAC9204CAF657C9C6334CC37CD4363AE2E556E3B55E90033B5AB73AB113596BD661E8F67D1121676F7440C2734DE6577E025410E9977EF163107806616EF77EF676031E106B25244279C3';
wwv_flow_imp.g_varchar2_table(15026) := '38975559EF54328944466FB362C0358011B74ACCE54F09280FE6B142F5E06340FF7650017005C190819EA00AB5E00BAA300CB8100C95604252380D3B370D52900D30107B31270EFF3006AF6008E9400BAE900926F003E6602BBE66501C10844440048652';
wwv_flow_imp.g_varchar2_table(15027) := '048DC2284A40048C5284455806C68206D982065C100355B63B3EE401B7356DCCC749A61364E3558553573462D63A5AE8344CC50135455ADE078661186162C83B66888610B6039BB5866CC77EED876772C86737600218837B22D438096035C08562825837';
wwv_flow_imp.g_varchar2_table(15028) := '2EB63D2CC5528033632F54344127713DA00E8A68198D080F1A7750095009BF800BC8400B9F500B9FE00C93480AA5A00269F503D16032C40007E1A00EC3C001C3C02D9EE009B15004CCF00691600861310C10505ECB670292FFA22A4A30066F50055C7007';
wwv_flow_imp.g_varchar2_table(15029) := 'A9F20649E005ACF20686408C776008689073E652063B004B3E04348DF342B4278DA913439473609C6490DAE65F21033823F38DF93661CC5311E2C83C63788667A88E6AA87E6B878E18764DECF38EF5168FAE358FF8888779F86A81C4778BF687C1554FDB';
wwv_flow_imp.g_varchar2_table(15030) := 'D3355FB35B086078928383A313493CA0908B3811FD800F7BF290192301B7800BB7800CC3500BA1500CB9300CC4B08905955D9DB498A4C43402417589B96B55087D04900246C008D3800C9E300DA9C008CCE00990300D867004D3100E65900DD83081D340';
wwv_flow_imp.g_varchar2_table(15031) := '0BB6700B77100D7030064F0935E78400B6975E56395703614A47D69A38A495FE858D91134C238302CEE461E5FF44131FA64025213FEC0300F05310E1D89EF44645E5199FF2299F3C033422E45531E552BFD58FFE084F9375320349909A5663CC170046E0';
wwv_flow_imp.g_varchar2_table(15032) := '98E29139F7E088D4D802C4F0A0C3100DB1D009C5700CC8200CB8A00C9D875D376872DFD5A11E036CC0460031400491700BA0E071B46008E1000777100E867007D5900D86C00CC7790D9E500599100EC4100E6FE005BAB66955C9A1B5679D4A764305518D';
wwv_flow_imp.g_varchar2_table(15033) := 'E16560DCF93A57F700F4840262174EED16111AA653ECE967E73910EF831071D67D6E8796F1D84D6A640279A3545EC57726337883C8773C435513B4488D23A010556D9174048E991198E480076502B7400C369A0985E00890F009B1800CC4900CA339A4B4';
wwv_flow_imp.g_varchar2_table(15034) := 'FF679D4B667B1B036C6D1503476008E5700D5C100D6F70046F500EAE400C4AE009E15079D5900E9EE0823F1009D1E007D93006457088DBD5A1A523A9D047ABADC93A5E1932E093381420022C30A5ED565A65D95A4A745FF87565AA2586149611D8D4A506';
wwv_flow_imp.g_varchar2_table(15035) := 'D17D60FA9E62FA7E641A03CEC87B5ED5352C36880E44986FAA415BF67042E355FB4475A473A78ED978E3C1A01CFA00A3909B6E40306220064F300699F0A74AD0A8CB576A04F17390588DE0654A3060A2297A0BC0E00A9E000ACC1009D90009CCC0088670';
wwv_flow_imp.g_varchar2_table(15036) := '0DC4000913880C99E009A93006C4C005AB863A55A7A4E2A531485A9D056160DD79755CF7005A8441531A4E794440C3AA10584A96AA0587E9FF93761BD1ACEA9910CF6376613AAD7147A630E00167BA54EAF49FEFE4352DE6355EF3A61B54785D35AE8E03';
wwv_flow_imp.g_varchar2_table(15037) := 'ABA4C33478AA88EA8A21EC1A6491000A56303055F004026308A34001A5F60089E56A14E08908000189955D79136B89E56F04307B1AC30103F3B55E60056F3006C8580547380655802A5CE09349C00568B0B7F942044C03A2328411CCF7387CC35B8DE65E';
wwv_flow_imp.g_varchar2_table(15038) := 'CEE44C9F25540A21039D755FB6445AE2C76EEA4386CB5A6704B19ED774033D4097716997AEB56F6BAB54F367022C164F5D4353BE8ABB846941190001DD739F52FB55B507490170B58F39110DF9881D0A047E002F65E00665A006AAF2047DBB3108800682';
wwv_flow_imp.g_varchar2_table(15039) := 'EB016520035E90003B50056FFFB003300064F6E3015E00073F580531608C28B07C09F0033F600445C083407004F27B2941D88B49500496620497C2281EF0AF8F6B118BC93889234295BB33BFFA0262E76CC313BA1FD63B8125366187ACCB13971116BA17';
wwv_flow_imp.g_varchar2_table(15040) := 'B17E032103AB3B401F3C6FAD153CE377A5C1D73B424B32B9170106E04AFDD9527733987BB447DB33532FC6680F8070C06B808F5457C59BA71891BC43F6494490B8C6C22BF3C2054F98310850504960056EC0014430BE3700070DA404AB130014C0055630';
wwv_flow_imp.g_varchar2_table(15041) := '947EA0845EA0042F57A0A56688F6B8548DA35E4EF63A54885014915E8EC348088C4F04177626B0C0E5D66138AB5A9E954B62F3025183516E78C16C89966D99BA18366168FFA88EFAD3031E7C53E6F9617256C26F047758167C5846BB1030952F44016503';
wwv_flow_imp.g_varchar2_table(15042) := 'AEFEF9A68499BBD1E4AB1274457F573DCA35B5FD447BE88AB518B1A07C9A314C63005F00072EFA067780CB6E20021CD3C4015030F9BAC546C001CDC20145100005F500A872071EC00522E40768C06A58A98543838FD0D95038549D8EDB56224BB20F1157';
wwv_flow_imp.g_varchar2_table(15043) := 'B1E33878383B7F044F34B557CE54447CF6ACADD5449C0B5A15B55114664DA5E5533D6B7450A374DDBA337BD5533FB5440DA4AD7DC701450487E5E4BADFB4D075847F4033B5BD1A485635D162D440772CA536AC9FC775778C6480E69A5E3F0CCB1721CBF9';
wwv_flow_imp.g_varchar2_table(15044) := 'FAAF9473037E900AB6600B9950058DBB310480BD49E0016EFF00040450063100016F60043BF0062630946520025660B63DB903447003F92AB230AD9A8CC34FD6F96B0E15B2A054ABA214B9213334077CCEFED83562D7B2282CAC5EAA441CE57D7134C1CA';
wwv_flow_imp.g_varchar2_table(15045) := '43D638D54B04243597B587E66CCEF837323D24C1B9B47F25F347B353373DA45AAECB4DB045477B2595FC9434FAD862B7CB35BFEA35164D53BB8B480C974F684A42C3BB69C6ABA70C436A1EE36F26244308006B06303BEDCA01EA2462CA37340490005B66';
wwv_flow_imp.g_varchar2_table(15046) := '42D4EC31A7944A0090C6AC33570D255E442AA9DE4C5E475AB2666C804B85C0FCB935DB73C7CA144E549A6F0EB16F02517456637C7BED9E65A94600FD531E3032B3837FFB77325013351DB65777633776FF833550C35770D4D7CC5847C9A6C2CB356831F3';
wwv_flow_imp.g_varchar2_table(15047) := '8F8CFDAB778CBB2620A5BE3A557E8970D723B54BE3C3951DCB971D79A5F6DF32F4AFB8DDAFE04C576F9510DA288D4D1D3970B5CD54D8C6E165DB119EDBB11D328D833467EADB83A4B45DF3ABC3FD023C00DDE6379E07815F3E43BBD62D36DA0D872C7EB3';
wwv_flow_imp.g_varchar2_table(15048) := '677D533B2003B604DED9EDDE83255B64C84429B0CE3B8E6C748410C14AADE67DDEE8C45E8476335AE5AD33CCD8EF8D02347CCABC3B3B037998545E6D056ABC59EB100B2A0F98CDDA02ECC6142EA21551B5FE94C6DABCCDAD03D36A759D233A8506018583';
wwv_flow_imp.g_varchar2_table(15049) := '03384BC5AB78BDD5323CDCCD345474C6B9095D1047C45A8745BB27AEDD0F6667F76C6136FF60743BFE4311AC5972963EE7E63C3E7B96ACC55A63CA53B0E58C0F0D3A1160332F16DC33BC57897DC703FD9F502E691C8DDF3D5CB521BD0F98C11815910F99';
wwv_flow_imp.g_varchar2_table(15050) := 'A47144B656032E11B7DAE0556BDA6F85E6B64D8DB83D85C21EDB86D8DBAD84C08057BB8449EA97EBB2BEC3E77B66B3DC944B52F39C37034B2D8E4D878E67C643ACE5F98560F8C8D12AC2244CC942BED0039787582D10351C76151DEAA24EEAF2FDADFB79';
wwv_flow_imp.g_varchar2_table(15051) := '771960B486A7DF0AF915F49110099A0FF4000F3150EBB64ED51A41E689A9CD74C5CD035CB2489A5E169E377AF9D6EE6441A20CEACD8EB9CCA3A54854EDF6F9DA4EE34F4AA4C1E757E9367B5331C03ECB13C9886C6104219F04C1BAA4FFEBC057CA8CBB33';
wwv_flow_imp.g_varchar2_table(15052) := '700F3D6DAF56C3D0B4576127A5EE1DF4FB7C41FFB768E67C9FB9B7EAE75ABCEC105DFB900FFDEE1B8D38F004EFC611AE1007BE50A733B209F131616EE0107FCD7A89ECBFDDCF1144C1787CB930A003990B610B1458264377FC94F522BF44711911A8DBC1';
wwv_flow_imp.g_varchar2_table(15053) := 'E5A4672F1F9F312FF37E6DC9E67D379B7E9810E4E4C2FD5736BEF851934124F3978F6F9F91ADF4A679B51EF2EA13817153DF81FE5D95415675453ADB217BEBA939B2DBAC64A7C45ECB55FA6F0EF6B21D570631CEBA77ECC86ECE8774BB3335537B44EA53';
wwv_flow_imp.g_varchar2_table(15054) := '4A76E404463D10FC6BCD33F7983443E3DAAEE334EA04D6779F103DA010C10F003D703ED4FF6ECF1FFCD7FFFCF5333FD5FFDFFDEFF67B16C6C802A48E16A68CE94EE5BDEAABC27DB95DCDC0EEDFB2DC4DD0FB88B693EB3810EF5C49D0F49E811D9891B500';
wwv_flow_imp.g_varchar2_table(15055) := 'C10FC0C081FCF2D1A31723C042860D1D3E84E890E0448A152D5EC49851E3C6890408183080402482040918244010214184070F58B224F820C3030A19005000F0202703041E17729C1800C1400E003C70389A14E952A54D993E3D4A30A9D4A718A77A309A';
wwv_flow_imp.g_varchar2_table(15056) := 'D5E9D1A51CBC7E05CB152C8507281118F0F811C0CA962C5B92A51997424DB92E5D9A5C9917255A02111F1A6177EF5E3E7E0235F6439CB81FBF7AF0E4315222A58A952A92294FAE5259B2652994AD48F6D299F364C9153F57465D1AF5C0CD14A550B40294';
wwv_flow_imp.g_varchar2_table(15057) := 'E0EBD71BFFAB00A8CC85CB982F657CFF46F3BBCCC4326E2A1A47E326F970DF6374EB763E908B97E900B8588FEE7C0C763403D1DC19F806C09B3BE4E18C2F7FE73C79F304E1A86F0F20FD7BF116E9AB4F6FBE3C7AF9F2F5B3BF0F8E37042470C0F2E81310';
wwv_flow_imp.g_varchar2_table(15058) := '80E1141CA88C311C54D08DE20692B0420B8BC3B00C3584E39043E79ED38D3A2FAC1891BA2A3281071E82F021CC20D9084A879D1467A49146791C4B511E1D71BC31471F1D7367201587B4E846008804409E24794C7249235FBC314A1EA79452497910C232';
wwv_flow_imp.g_varchar2_table(15059) := '4B8400A0A7471BAD04B3C981B604C09D768274C73100CE6CA7CD32E14933458CCC6CF34A2E9BA4674C25F3E452C981AEDC73CC3FAFE4B3223BC5E4F3FFD03FB9C49250841C05B44B491FD5120076DA6187A034E38CF3CC34A5AC31454CDDC954A34FE134';
wwv_flow_imp.g_varchar2_table(15060) := 'B3CC4D1DEBB14B78D82915565833D232CF7AF04952C75CBB94271E2BC524C8CA5AB3BCF345638F4516CA1DE19C51473075A5084B46E5A927D98A0A2D16586BB7B528CF61BF0577CB1ED951B2592A3FAD924779D264875452732457C678A3DCD1597A9DCD';
wwv_flow_imp.g_varchar2_table(15061) := 'B5A26AEBA907DB81F2C9885F7EEFC1A760830DCE271FC1064BB84500F059786100EEE1B6628B096A38638D27160C21C106D6671F9145D6271F16F509799FC2F2A987627D0406A0DA8A28BEB8E68B23C639679D058378A27DFCA4681FD9461E591E918DFE';
wwv_flow_imp.g_varchar2_table(15062) := '3969910140599F7BEAD1A7D27F15A699FFE38565DEE8E9ABABD5B86BAF6D063B6C8E287E7AE0889B463BE1819AFE18CB96F98D59E68E07A2D85FB1EF9E884F6F87BD27DC2CFBE53549A109DA271E00E2597A9F9D17EEF2671D1D87DCD9BEB116B872ACD5';
wwv_flow_imp.g_varchar2_table(15063) := '969B6185B1E628E18205C33B74D1812A98209AEDB1676DB49B2E9D699401A09A66B51FC61576AA271E3D778B165FDC6AD029363AF8C27B8DF61EA3E9317E1FE44D473A79E19136FAE9B86F15789E7906423D9F92F341DDF6D95FF4BCDF9631D27AFC8978';
wwv_flow_imp.g_varchar2_table(15064) := 'E75D77F50902BC529AF5611A7797EF79FD75BA39C6DD76F8E1CFF85F862786DFDA5CE73402CAAE610284DFD90CE83580D9CE5AE8E31DC00433B88918CE70A69B98E2EE2134D0114EFF8344235AF32A82B2CF55CD7513E99A451A6891C20C04572BAC48FF';
wwv_flow_imp.g_varchar2_table(15065) := '62C8C015CAD05829B496613252181EF61085074C183F024837D0EDAF6953D3470FF9A198C5F07084AFD321419C68AD7EAC0F234CC462169908807F0C848217F9C7172DB28F3082D08C61ECE2B11453902852E459BA029A15E538C789D88B2048D2C8AFE2';
wwv_flow_imp.g_varchar2_table(15066) := 'A8A223A54B5B74149B9FE25831BB013258864464228122ADF515529186F4D69D1CC99141BE689286924D151199C647EA4E93A3E364274539CA81FCC394A73425295529C729AED295617B5A1B3B99C5575EE493B5DC562B4787185C022594165B972C1FA9';
wwv_flow_imp.g_varchar2_table(15067) := 'C55E16336CB73466323902276126528BC85466348D054D695AF19715FF93473B9A8948625693222883A137C549CA54522495D734251909D2A56D729396E334083DAA554E2E02408C18334C0B830880765EAC9F77FB64627A894A8AF0C38C678C873DE2F1';
wwv_flow_imp.g_varchar2_table(15068) := '8F85A2EEA066741D3FD2F8CF713E321F760A6519933811819C1395E7BC5B61FE21D18910942214FB07D50C42528EF23323025D6332CB49C68FD6F41F0A8D47426D5A53A50D3199E18CA641AE444F919D329F06F94739FEA10E19A5231FD948473AEA610E';
wwv_flow_imp.g_varchar2_table(15069) := '795CB362244DAA0463E60E540A241F3B1DA929BFFAD16D3E939AB594283602310845CCA1AD6F75EB1CE61086B9D6950D72852B5C47318ED4F9B4A2C6640C3CF294C6A2EE831B2A22690B93100E5080221B886807FF0540A1045744E21A23DDA1B1FEE18E';
wwv_flow_imp.g_varchar2_table(15070) := '6CC8C3164A3D253D2E0B80CE863612CFF8C73532D10D57A0961999708727A2810C6694831998A5082FBBA94C7CFC03140D7080000A2000E21677B8C5456E72935B800698E21F28A39F5FFFFA4A7ED0431DF548E5D2D2018925D862A3A56C071732610B4F';
wwv_flow_imp.g_varchar2_table(15071) := '84C30FEEF0023C7E5085D3A6142307C992BDAE748F284A541DE190C76923810C50C02312A9B80528FC900D5B84431CEE284734121C8E684423150C36872B98810C73D8221AC3A8E744CCBAC5D151B422F41CC83CFE9108E10EC0C4262E80020AB0E21513';
wwv_flow_imp.g_varchar2_table(15072) := '77000240318B55AC621337E01161EC1BB5A65BCCEAAAC31E8425633836F18758D063A3F4F8C72DBCFFF0064FB8421C86B847000C61083724211BEE55A13CD8A10E2E73391DEAF872BBFCF58F7664A20C7E30842D5C6108640C8319CCD8AF27DE700D7824';
wwv_flow_imp.g_varchar2_table(15073) := 'F51AD968C7356EA10EDAAAE31AB4084738A6910D78DCD6225804C03B6BD6428E6219608CE6E229CD69CA7E9CF2C7242E808989AB6216B7B8D30350C0003ACD621393E011F650DE8D2EB9E34EF2431E3EF62000C2D1895AC4A26485A9AA1F105005465816';
wwv_flow_imp.g_varchar2_table(15074) := '0ED1E0423ADE408B005CD98479632A98A3FAE52EC76890FF60C730AAF106436423159978869E53B1DF4C30A21D478AC63FC2D10D6C709918D9104736B2418C7020C3BAC3B0EA40D6A8688B4974A435447229B18BDB4873B28B92B6F43F4601E3FF025CE0';
wwv_flow_imp.g_varchar2_table(15075) := '111718AE0288DB694E677AD4C2CDF4001C70EA54BB63D5AC56648FB1B63475D4C2B2254B2261E0508E54BCC10491E0001C7630657154E1CA40859D96A7118E7288431CE6507736CA4D2E73B2231BE5884426AE610E4F94C3109EC804286C410B5AA8BB1C';
wwv_flow_imp.g_varchar2_table(15076) := '7EB0C533C4E187706402D0C8704335FE600B50D0421DD388F716E9CD2D89D65CAC611537B46F2B0ED09A321DF926EB91323C62E15E600E067FB102147001BD0B20B80EB800DF57ACF0C0EBBDD414D7879639877155F6389C898F452DB0E134A1DDB4B7CF';
wwv_flow_imp.g_varchar2_table(15077) := 'F51E3FE8CB45C25CC4D5E6B803320C01075010C30F99F003286454C8A771AFB7EAF847B9E4C10F7CB063B0E54807B5CA412E75FFFF231D7DCBC799E29DE80DF3F262FFB8472A52A18E72D0431C2D130798CD41897FF82112FF785538EC218F7400A01CB6';
wwv_flow_imp.g_varchar2_table(15078) := 'B8395707628B44737115C4BDC0021A308717B7A10D8F003C091AD000533F820476BF7B161E11864C5FC0C6378D1A75902EC613A5EAEA3EC21A93632806012C25498BB40C030AE3118731C8863230844C200643888432B8057E8087C503A37AAAA97EFBA8';
wwv_flow_imp.g_varchar2_table(15079) := '7E134107AC88E233BEAB22B35448B23BC8064FB80650F00464A0854AA0050060B7AEBB05D922AF6C00054A000543803D00F0845BC886F2C334BB1380C27BBF4798045DE0044E28852C680336C08459D00545508447F0C24738BC9BFA877A50079823C04E';
wwv_flow_imp.g_varchar2_table(15080) := 'B22E96121A758006FF5530845A3007F8194164F14078708537700E38B8864860866B780376E897DD69A0E1130881E01A1DF2B0DC2ABE9AF9AA72F0846C30874CD04057F80762B8053FC84134C8846C50877403856D4B8576110757A8872A72C137ABA281';
wwv_flow_imp.g_varchar2_table(15081) := '33B13978BFE19A834768832DBC045D680307B8425D28054C088459E0C5F70BC31F2343333C4345A287EEF3994E1883CCA8823E08077D28418F22A86894340964043F70854CE00248D0C04C88047201C1074C12C65018D8E9A89D82C06952C19AF907E76B';
wwv_flow_imp.g_varchar2_table(15082) := '3250B8055A108707CB844C7803174C85762807751806C7C2B667A0856A18C57003005090877E20064FE807120BB501B0BB0568C2FD7B04B93285362081F70B03FF2ED4852F74BF0B1880FF034675A89D611C25C72B88A44AC633B0823DA80243F8A8EB52';
wwv_flow_imp.g_varchar2_table(15083) := '876F138857E1A7EAB23DFA5913757007FA910773A0B9A82A079A0BB4DD938763E32266B005534A057318C38FE2490048CA504C856AC032355A449BF9075A304A4FF80757B8335BB0B66108877F1087D80380D932073D4B875B600662B08582048048708C';
wwv_flow_imp.g_varchar2_table(15084) := '7E6006585048516BC2C0E348C35B3151E3C88263C8BDE448137300E712B157A3074813C9472AC67CFA876C18032F188331B8822AF003112C07A9C34A667806DA8A8674F8C97060B76E403766888572A8967BD8944BD9943811AC7082365750876A180657';
wwv_flow_imp.g_varchar2_table(15085) := 'E0BA70684B3DFB876118067543064F1806AE1BBEFF8D50C115B418539A066734C72EBA11EC73C1116C237A48042C48B11363C8171BB5BD24B8EBDCCB8E3405D4893D759087CE4B4C344C872882073FA8022F80CC3188052E922864E0077368076B7B8661';
wwv_flow_imp.g_varchar2_table(15086) := '98869F4C074EECC46C08076C08876AB01FAD791979BA1AFB3127AF0C8729630657A08561400657E886A869374870850833876A98BD64194EB0A19FEAEA9B78E297A1AC076A011C7708921CAB077B98077E489D4A181C3F20852E1080850C35821335877B';
wwv_flow_imp.g_varchar2_table(15087) := '3114BB5151BBD1881B4C9D324C7C48C4F1149D1E43C47FC00660E8844EF0046850877FC94D7AD8BD6C1806248C36DCCB0676280760888570E84366581E8E10A67BF8075B48853FB8C04CA804FFDB1C4B7A70876B80D3F2FA2C62E037AA342BBC3108C268';
wwv_flow_imp.g_varchar2_table(15088) := '98854918AD41293D9D9D9BA20857D00552F03B18532EE152AEE31AAE4E83388F8C3DA9124F224524927C229FFAAA6C00067138372F7D863EA42D6440869FEC8670B8B368882273C408EC730557000546A041468047240406EC0B876CD8AF3F2887F1821D';
wwv_flow_imp.g_varchar2_table(15089) := '0D8529440B1D25CAD3166918616D21894A9D5B188844C00451E0842CC8820B88D66895D6C0A3D66BB5D66CAD566805035D60A8EFA48790A45443723575602953823446B33773BD11CDA38776883D1D01CF2E922837FD2A8250D5E13387746807D88307AA';
wwv_flow_imp.g_varchar2_table(15090) := 'FA8754683E674C9272D087EE53873C19408EA84AE2D39D7CDA881F4B9D2E2A07FF65DD07F094A7A6A13D7EB287979987A799077D50D17D9807C4A18778689953D2A978004F711D573A2A576104237BB3B7685C217A65C1531A2B681BAD003AA77BFD2E3B';
wwv_flow_imp.g_varchar2_table(15091) := '7DA65742A5844A1D9702A1E842998762DAC24A272E79BB7A18D2970D1B4B958DFA3AD64274A982109B1632A59649221D5A9D8A19DA5792D89D22A3C15122533A5B3114C3B3FDB1367A35791052AA05A4C0FAC6AB6A231FDA169C1588C140195DBA983BE5';
wwv_flow_imp.g_varchar2_table(15092) := '317C8D46CF63DBC42DC18B28466A995ABB5D34E319ACAA2D28C1950D14E4A8C07DDC4C0256659A438CD8DC75CC3DA985DC3912AAC92D52CB2DA6B12BA6E4C45C5FCAA8C6B587CD2D5DB29B9C73C453DAA5A315DC2D6302ABFFC5DD88DFB52EBAD5DDDA05';
wwv_flow_imp.g_varchar2_table(15093) := 'DDAC9D9906FCDDE5FD87C460DE9DAAB4538A5E9B1ACEE96DDEE75DDE73C4DEED0538EEF5DEEF055F9B4DD8CDEB250F2B5E6EA1A13D7DD74B91952E73DFF785DFF895DFF9A5DFFAB5DF2DC3DF64CB5FA6DA32FB058027E5B2FFB5DF017EDF2F33603043E0';
wwv_flow_imp.g_varchar2_table(15094) := '0356E00466606623E00796DFA86A171B4992706D264DD221E2345ED928958950877D05E1A852B61116E1125EB61346E11436E0154E87106EE11606E1188EAA7D7DE11AA6611A9EE117C66115B6E11406001ECEE11E16E21B0E62221EE22246E223566223';
wwv_flow_imp.g_varchar2_table(15095) := '66E22466E2F895952896628A68932AB6E22BC6E22BB6984BA9A8B7C9DBD191AF3016E331962F5AF9A36EF19BFF75CA1BBFF9966C61143686E3389663366614EBB99E49C1962D919942F9628E88A462B9B898992E7E99E3429663CB41E4445664442E18B8';
wwv_flow_imp.g_varchar2_table(15096) := '899B8170641772D9CA991E98A9E44846164B96269AA1E48948E499211B08DA99D091D9DCE9A051E6983EF6A6D6F9A114622089C1998C10E5DE21A259B6E55BC6659D3998D6F99EA9312189F19D5BDEE0153198603D5F64699DD551E6B055A2FE39A08B48';
wwv_flow_imp.g_varchar2_table(15097) := 'DF687EE68CD865977D2F69C6E66C9E668D001D56D6661AC21B7B2818759D5D8EF521C3385A6341441EAAE6D241CC5DAE88627E1862966749E6A8C2601193C19561559B8389187FEE20D30167B20120E82A20B6E120608E40F2919FFC792087669F7AB89E';
wwv_flow_imp.g_varchar2_table(15098) := 'FFA03929DC89E6ED3199F3A199123A655AAE65EF01187D9E9A6F2EE56DE99E6449E78AB0638AB063EB419DD4D11B6221087BA08779C8129B4E1D9AB6E9EB51517B90E8489AE8100B6A3B2664799219AC89233EC19AF882A324E91B3366A4A7969644B123';
wwv_flow_imp.g_varchar2_table(15099) := 'A8EE935CD1A341D123316E92AD7E231D091C3DC16A3B12163B8994ABDE12324914A2940D2D7114C62596A3C6E437566A006869EB596441DE177B606B007869BF4E28ECB9A052CA69ECF1EB929A8895B6EBBBF6EBA3BD6BC56E6CC7666CD2B1E60ACA9E0C';
wwv_flow_imp.g_varchar2_table(15100) := '721A82AEE48F319F68111A6FA9A4BC81E893CA1325B927410A9AE7A120A1491AC2716D7BF2229F49EDA4011AB60E9E43FA99D8AEA345C908FFD3DEA00D7A633C0117BADE9B429169848019CBA199A036EC8749698CA8668E880D1FB8082B880D25980D2B';
wwv_flow_imp.g_varchar2_table(15101) := 'C06E295082D8B0EEEFFE822B08EFF1166F82B8020038EF2F1808F54EA4C7B48E12990E12B98ED8E002F9A66F2BA88E81F082171183FD068A2600802598882510822500F08BA00231780200A002FFA6082FA08205DF080827082F100300B8700CCF88ED98';
wwv_flow_imp.g_varchar2_table(15102) := '08F58C70003883277802087770121F712AB88D89A802094796EE380E6B090E0601802FE00D0E5790EBE08D32E80D1AE7F11AEF711ABF8E8BA800091888099800003872249780243F72220700229F00271F8804907221AF800E000110B00010089B0EA008';
wwv_flow_imp.g_varchar2_table(15103) := '1018012E078030CF08AC1001FF00D80014D80011587300E08034DF000E38F38138F3A2A88815008A341F0835470163218003180802A0880F188813080100207482F8801048F4434774457FF4414FF48108811328013CDF081E98881A28010070740D7074';
wwv_flow_imp.g_varchar2_table(15104) := '8D58748A08756431821F38F55447F55557F55407002378F558877558FF811D18881B48811400801690818168015FBF0100B0758B30818128F68180819B30848A18818168F6661F732F1F08699FF681B0800EB8760BA88089988021CF0869770115008070';
wwv_flow_imp.g_varchar2_table(15105) := '77817117777307802128778A5081721F82744F771750F779770179AF882100822200027C2788604F768278011D0878810700182078642F7880E7967FE7960D20A529B096FF1AC001895F9F23008023B0788C488281D8F824F0788F2F828108F98BF80182';
wwv_flow_imp.g_varchar2_table(15106) := '20022010F68C00821D008292879D4229F70E80F6751F8872B7792FEF0069C7F96AB7008DF0F68A5081760F7A006877A2B7F92128FA7327887A1F777B7701949777715777820082A72F771540FA9407001D20081CD001AF9F08AFC78189F8FA8BA8010060';
wwv_flow_imp.g_varchar2_table(15107) := '811A40011C4001B5D7011428F6B64701AEDF730060FBB7677BB5C7744FCF88BDEFA46177258CDFF88CC7788B2F822438822408F9C40700C4EF78C6DFF8910F1B96A7883F70768B7001991F0117D8FC711FF7CEE7FCCB1F0168B7889EC788A117F7A09FF9';
wwv_flow_imp.g_varchar2_table(15108) := '760F77CC87F776877AA8277A754779752F8275070215907CFF16101BB51FFB8150FB81A0FBE00780B31F88DF471687272524E881815802E60FF08158811AF0FBF581758230822480758C2788C33F82C36F7CEF7F7CC72F0222B0781B90A3CCCFFC66577F';
wwv_flow_imp.g_varchar2_table(15109) := '9AA7F90EA87768277D00A0768BC8798210F70E38F7D4C7FF8100081500548C2028F02000172A140E293870880A1543123E94A8A28844001A59B000A003000E1D21478A14A9F124CA943852024071D2E5C91A28507CA4495326CB9C3A77F2ECE9F3A7C61E';
wwv_flow_imp.g_varchar2_table(15110) := '4896F4006AF428CA22008A243992446312A547960298CA94A95322499A262132B52B11A43D7FEC08AB730400B423D68E7001A0830BB8704FA24DD801A55B9E7553A205B1372DE09304E9B23C98D745DBFFB503132ED428D1ED44942F6A88CDB9D2320ACA';
wwv_flow_imp.g_varchar2_table(15111) := '2C29D7D081626567CA233D868C89A3E3698D9A2BB3E6C983E892A100860E2DDAFA36CA234574478D7A4477D5AA57A76AB45A9CA552DC39CDF24559572EE2BC7701FFCDBB536DCE0E7F794E9FFEB7EEDE8268070B3CA9D0EDC222364CB8BCCCE2B246F83F';
wwv_flow_imp.g_varchar2_table(15112) := '71AC949F19664ACF1F59BE204DBAA47201FE641B6E2B08A8535400F4A611530A2E05DC71C111176170071EC5565D1658609E4618A2655D4E136854815E1676E8DC89E5B104840D1E50C6420DEFAD56990E3102B05A0D33A254234835D047DF47A59938E4';
wwv_flow_imp.g_varchar2_table(15113) := '513DC4068091F2E56420914B3DF51454C29D34A14EC42547D5954DF235DD5B0961014025FF89ACA1D186846964C5165D5EA1104AD379A0C5495694D9E15D5C2235C29C2881D081763EC560C2902FDED8926A99B184C36439EDA725A3271178A4464BF0D0';
wwv_flow_imp.g_varchar2_table(15114) := '28500D52F59454393D45654E530141295DDA8D70D728B248C39262292D03C03AABA4A9849D28AD0327009E9CB81DA8B9AA9623A12069F4194E1FF1AA9FAEB9F2C04450B011D8130D1AD1C024A31056586C652AE664C749C900804B103CE192A64FEB0030';
wwv_flow_imp.g_varchar2_table(15115) := '110869C54A6D4A359470238CED8284DA7B1D19759F4C9AB1701F0E3ECAFBA38C26A16BE2A4280D2529B2F9E9D4ECB3FF2AAC5C2429FD124C42A9E614CF51D62EDC684738AE8002B4BCC248D9A2270979316E4C04ACD1A4CBEAA043C1FF28C9B75AC224CB';
wwv_flow_imp.g_varchar2_table(15116) := 'CC1297B2C8023100CDA404F186D8CD8CDB860289D0E8C63815AA1A00F21AFCF36DFB49BA84A43A05DCF2C29C320D14CE1AF192539E956D83E2D5C532C9716A83FA1A5FC8A2813C72D82C1DBB840E70139C12D53BE9D8F6C2E7EE248B4F15B4E097407682';
wwv_flow_imp.g_varchar2_table(15117) := '50810478CB0CADE14332710313484C5AB747573397384BB8DCAC132E00F8D0355F02A96571B98151FE33B0658FFE13CB3CC4BD9FEAC746EE1365889F4EAD2C99EBF40B2E4AF03458E7D9CD7E388CF8D54BA892A36B66B2C900301177E4052FCFECEF788F';
wwv_flow_imp.g_varchar2_table(15118) := 'A2978A7E018E2B08A1477F319335AC4019C7DBC7B402DB00A8AEBC4621F724BBF844F66914788BE534DE4E39089443FBFFF9FF4C1F8C88BBBEF2B18460946711700531D35FAE0071923E85AE7066D0DB4E2283C009B64D6EAF49160F4E46C1B0BD816B28';
wwv_flow_imp.g_varchar2_table(15119) := 'A19516F0D793466CB084575BC26C208542D79990521DA8000451D51D8DC421257220A14648588916F2F06A2760816D507812C7790485C5EB216E6048A618E2CF4EA31A411CAC80052BC4C10C29A9C49774E2038D5811895ED452F886081B8D204B7D5F34';
wwv_flow_imp.g_varchar2_table(15120) := '510538E793F8F50C0015C89079443404B74C478D67BCE36DEE66A48F988C3E2931201E8FA24418922886D929D39CA6532E4306B2915A42610F0A66C693B0CF913453E2490AF99342DAD1929E2C166D32D893BB7D3225847C212305F4C252B2B2321DE181';
wwv_flow_imp.g_varchar2_table(15121) := '6C96952EFF037DAF953A51622705242237A6D296BE44892CD7F7CB4CDE0593A05AE53093C9132319697CCABC4DFCE83482728D4A051D2008E03AB0A76772D327F0B9A0581EA0910724409CDDFC09040A77CE751E6503EC644D0D15F8071A2A100035A4E1';
wwv_flow_imp.g_varchar2_table(15122) := '3BF3099442A0A4107E28041F76D2C18102A0831A99E72FFBD18F7FFC03000CD527442BF3509434B4A13951684433AA5150D12325F2A007C5362AD291EAE41E00B8473DEE410F7AD4A31EF6A8073E489A4C7D0080A63435693243DA247DEC631FFAB8073E';
wwv_flow_imp.g_varchar2_table(15123) := '822A547CF043A6C3AC070090AACF7DC4431E4C958772F6D10F7E50951F43CD47518D1A487D70B5AB3405403EF2E155AE0ED3A4F4D8875301C0548DA4FFF540F7082B4E957A949E6A557C5CBDC75BF381579CC6B495FAC8EA49F8F1D37B4055233A3D4961';
wwv_flow_imp.g_varchar2_table(15124) := '05F4D393D003A73FD9C749F00A007CDCA31F46B16C5DA9B550867296A126B5872DF351D394ECA3A369ED2964112B20934A96B400F8285B75225794F423A5A9F564155042841BB400063D7CC31DDEE0863708170D1A11EE3A73FB042F3C21B700A082172C';
wwv_flow_imp.g_varchar2_table(15125) := '5405297821BA5650431900600447F5C40B52A8827701600500EC60BB55D0DD4EC630DEEC9E640CC64D4919DE1B3604F084000630807D09B0C11BC000062FE8EF7F7DAB9114BCF3000636B096088080085020031C08010022709203A0C4BE00B0B046F41B';
wwv_flow_imp.g_varchar2_table(15126) := '800C5F98BE3DF1C0493820810D805827FF25CEAC7288A0E215ABF853BF84704E34604E946020C2129EB1898E184E095340233200C00D62801201C300502811724E7680E221ED00083F78B21791DC1A0D4C18000730004A18600006680401589E19033CBC';
wwv_flow_imp.g_varchar2_table(15127) := '93226BC4B7BE2DB10900D5821DD880CD6E06800D6EA0110E2C592C4E7E3294B76B0420EC802C7EEE33A0FFBC411CFB449C5A060096B11C012E77B96D8B0600A3C76C82229B00C495D688096ED0E64DBFD9063138B138C5BCB0047CF98E4AFE0100504D16';
wwv_flow_imp.g_varchar2_table(15128) := '20F0F99754FEC0AB3542E59344DA0011903106085D6A019D200318883450162CEA9E54DAC8984E410BE4CC921BDC4006BEE50004349280612F0C01A426F517A1FC0356AB1ACE46B1FF81F83CE0E10400400330D608AC5952E3937C99C200C00095739DAB';
wwv_flow_imp.g_varchar2_table(15129) := '454B98692920F0891950CE9FD197DA8D04B74F940C0017FF0E50D36E0D97F57B12786B44CB5AF67780D60DE94793EC060406009D4F920009477B033D5618C401200118948BE45F044211086E42291BE50312D789063E206D8D7C59BFBBB61003EA6D386A';
wwv_flow_imp.g_varchar2_table(15130) := '9F185D2D40B5C687F0A9044020DA6704B8ABCBCD1203B85B030C70FACB59925F0B3D5AC20BCEF9D575FEAF046C1C00466FDB6CD99D0002901BCB630700B6C98D3727A3C4C96C07F430A34E73063040EE3BB939C2EB0D6C00887AEFCF54C78695910D346C';
wwv_flow_imp.g_varchar2_table(15131) := '58EA399180DADBE6F6B66FBBF16CEFE695B71C01893FC0E178A7FADEFFB14EEFAB2740DF0B2E67D729A5F5B075E3CBC9C085C2117DE1C4C7698BDB73FBB60B5C6A73FE1AD2973F50CE73CE92485F1D259D1FB7462040680BB1DE70E2E80917ACA03BDD8D';
wwv_flow_imp.g_varchar2_table(15132) := '377AB087FD33677CE59CCBDB9C06F032BBED8BDF88EB44D41158704AAC4E68E10FE9F3A3334132AEF0759448D08ACEAD33C9247E73A73B7DCB29B1B9EFC599787202409CA33F49BDE9DCFF71D9E6599D464440F1A1C403ACDF6D141F077CDCCCECDA8C19';
wwv_flow_imp.g_varchar2_table(15133) := '5B4A601600D0020EC1DFBF9893BB2960EDE5C4F67518DA7199FF919BD5255E09AC4B65D09DB04518DAFD5F93C0E0CC5CDB4930A04E3C434E98001C9CC42F6860A3C85C8CD91DDFED84B5411ADAF59D11DEC6827DFF5F97C9A0966C9CDA51800DFECCEDA5';
wwv_flow_imp.g_varchar2_table(15134) := 'C438E4041C74C349640300BC822B00C01742D534C8540A50A085688010F69FBC9D44C8F51BDA759F131A45988599C220E0F0B5CD9725E04928C12BE40409E1601534023310C34964E046A1DAC5DD5B0B98481AA2A1D3D11CB681A0EAA5841E3E800AB646';
wwv_flow_imp.g_varchar2_table(15135) := '1C520A14F25FE248C01D2245F32D199EA1449F211D6E5019A31D80873D80CB99939645E28585E0CCCDE21B5A9B879D404EE85E4F845CAE706284E9E1CCF8C181A0D7FBF9A080BC1CB0D598D389D3965D9F4E285CBFED5AF15D2252541DC92020D7F91D0F';
wwv_flow_imp.g_varchar2_table(15136) := '1521301AE381E01D2A1A21EB61D87D351A4B8C1B0364002EEE5E26D2D7F76963B18859E8F5D03826FF40E1A89C379A48049853E5A19DFD65DFF6919DCD7998BF7D62C34518D6E50402C0A3AE8419B9152112A55E4A9447938954930984C00DC9ACA5043C';
wwv_flow_imp.g_varchar2_table(15137) := 'EA61A2DD170284A4EFD1D7C1A963B3B004BD1921B0511CC9985311F2E20475A356B199C534CAE43D40AEE99BE549DDB59164A9E19D419EE31066194C524B51E663F4588C806D204A78D8D4B1210D6A1C497A5804502347BAE04F301AB94DA14DCEA3098D';
wwv_flow_imp.g_varchar2_table(15138) := '9D4C8A14C0D9800D7C0AB22DE5222E6293E41A101EDAD221DA434E5BC8755E06E8040126214FCC61E7755DC6E58ADA85A5F854A15195E541B0990DA825002CA59650194E3240E5D95FA92918DF259E98519B36D6184BE665A3811FBA20C00320FF200040';
wwv_flow_imp.g_varchar2_table(15139) := '200501E648B14893ED4093E163B994616F99A280B0A2C4EDE54928DCAE4164373EC03A9E445DE69E1332DA124261BDF565A3E8DB27D9A356952559B20459DA404D1289639A631E1A8009BAA04E8E20DFE95C06A4208D1D205084998479A5AE78A625158E';
wwv_flow_imp.g_varchar2_table(15140) := '716E1461E2E34E009D5FEA9B744A27441A0505AC8B109C6480649CA581D8D0340969E64F00F467E169447F02C07F2225A80CA872485804D4250274205048A4804A1B70DE5F44CD13421D541CFCC1855E280000C20E9D0425344226444224ECD087820900';
wwv_flow_imp.g_varchar2_table(15141) := '7C28255CD187866826004024B4A80955C288B60D3F590822400200208296180281B2863D58548F06292BC1833CC0433CC003AB08FFA99226D33C2CA9933E299446A9AE00563779555551A994AED33CD4033D8056967E2998CA8C42596098FED230F4A12D';
wwv_flow_imp.g_varchar2_table(15142) := 'D0421FBA822BD8C22BD002B500C349C4422A00402C50CE9D966932A925056C809F065FFFB953B1A00095F558A16265DBF8297EE8A92FA19A999599EAC4C07EF8170CE840A52AE681C0840EF4C7A66EAA96F4076BC88B0E68D00E200192986AA96E171218';
wwv_flow_imp.g_varchar2_table(15143) := '8150306A0BA5DC8E60AAA75EC6CA9C040B4C126B7C444DC8CB7D3489F7909251C0C747448DA90A85B19AEA6C6890ABEA4F114006101459A5BE801F29CA680C894D9CC669E840BC6809B0B206387D8491C092B12E6B09B980D00D4172BCC00BEC474874C6';
wwv_flow_imp.g_varchar2_table(15144) := '499484BB368A67E0FFC0672CEA90744F25C5C4A0688681780F4A98CC6BA40C4A404A3091EBEC40840BB8C095BC804BD488C3D6C766BC4E8E4D6B7CE8D8C2C40EDD901138398A10150551144CBE1A6CD834860B7CCA7AD4C864D4077D74ABAEE06ADBB8EB';
wwv_flow_imp.g_varchar2_table(15145) := 'B1842B13089CA99AEAA4480A0FC087C58A2CC914047AEC480D80EA8E5CCCCE268EC92CC1CC02C0D3DCACCD222BCF26A54EA4EC65F8C8C2B8ECBF14ADDB2CADE31091D2DE801059EDD3FE0C9728A6A1DCC8CE622D6EB86BB5FE47DBE44B4F78EDC9286BD8';
wwv_flow_imp.g_varchar2_table(15146) := '26CE5FB8044C084FBEA0ED90E8EDCF28CDBF064CC00EC505BD06DFCEEDD5140DBEB4874E80AD27CD087C20EDB1C8190A6DADC930AEE1328D077C4F18CD88DDE2FFC465C8AD8014EEE8C4CDA4E8C01E21C1CC46CDF280EEE5B64D2DBD04F8AC40F7F84746';
wwv_flow_imp.g_varchar2_table(15147) := 'E1C0D13ACD6BB08CC49E4DEB5E8D096CC0DD78CFC650D28D946D46854CF2A40F19F5EEEC204E7E02C0F302805546D4F1E42ED2164519592EF3A28B0708AABD7A23E90A912825EFF65E0D4CAC803B85AC4CAD84ECAC8E102D6FF91E6E0818C806ACC0B979';
wwv_flow_imp.g_varchar2_table(15148) := 'E3DCA444C0A28FD9C42FBA6800FDDA2F00A4EF0684C0069C8001EBE6019780810C8DFA72D3BA9C4CF8AA84FFCA4C02CFEF0003008C096A4AE4A656BD2FD7EE6E05538BB9B14402EF4401E322076FD4D0A890D35E50F2D0E70883CA065099A0DEAFA0AEB0';
wwv_flow_imp.g_varchar2_table(15149) := '46082AFAAEC009087046BD40CAD4466C00D00CEBFF0A57DAB0B92D710894705DE2300004F0091C7046BD6F502CAFBF1CB196A8135034F100DFAF0FFBB03B4DB118DF2F3B7DAFF9A8CEF36871D840D8B985C0254E310203C03A16B00EAF9310382D1B9F8E';
wwv_flow_imp.g_varchar2_table(15150) := '1D1BF01447F10DDBB14618308465801F33F0336906B28AEF1E8F4E0650F1202FB1216B40062CB1067F71063F53BEBC86CDA2D012C40ECB36F2C214F05150590878B0326946116B101A8BB216FB0B0A21CB7D0CAF2BD772E4F0000B44AF2DEF720F08D02E';
wwv_flow_imp.g_varchar2_table(15151) := 'FF324A8843381C1F3017B3311F333227B3322F333337B3333F333447B3344F333557B3355F333667B3366FB32F291B371BAE377FB3388F333997F3CCEC40389BB33AAF333BB7B33BBF333CC7FFB33CCF333DD7B33DDF333EE7B33EEF333FF7B33FFF3340';
wwv_flow_imp.g_varchar2_table(15152) := '07B4400F344117B4411F344227B4422F344337B4433F344447B4444F344557B4455F344667B4466F344777B4477F344887B4488F344997B4499F344AA7B44AAF344BB7B44BBF344CC7B44CCF344DD7B44DDF344EE7B44EEF344FF7B44FFF345007B5500F';
wwv_flow_imp.g_varchar2_table(15153) := '355117B5511F355227B5522F355337B5533F3554473549A5CED1BE460F14AC54134919A504336535A8A872EA7835A8D0E7F290AF58838A13AC80F69EB585404B195DAFDC980F2441125B1F48BC165155CFB5E310455D07888E942EDC9C046CAC755FABC4';
wwv_flow_imp.g_varchar2_table(15154) := '8C2CCAA822CBD3D0C6D214B658742B13846BD4288FE8B275DEF62F4A6410DC28FF2BDCECC71A3BB64FE8EAC8C46BCCCA0DF3A40FB220CB4A208B81E0800C5BF6EB5C868EA971C006F656F3114AF00A68FB8BFA8032C8988FC6562EF280B64E8432C3B2AF';
wwv_flow_imp.g_varchar2_table(15155) := 'FE7636CA2036711F451647F18E9836FC224BCE36F751DCB5F2FC4F76078CEE46CE6B5BF7BBEA84088CEAB1048C1507764E84F252E766BF2A09EB9E00D502375FAF10DCD48D7A2FF5299FC47737764AC486001D09812436612FF5079C002EC23752A4200E';
wwv_flow_imp.g_varchar2_table(15156) := '08416CC086159B4F6523F5BA9D322E6ECC039F440ACAE71065761FDD375353D9AC79307EC8364FF82DCA10B79278F149E06266C84EAF022F4750A36C98CF801FF573CF9A29B384DD46F1BA30C90A88004704393885705D87570C84A1E14F0C6F03A34090';
wwv_flow_imp.g_varchar2_table(15157) := 'AF4447E4F1D782F6659C80066422F1C6C47BA4CF6514AB10453878EBC437B1AE54738680A86F0DFCF09737091524C19AA77980249647B9796B401564A1150098969CB7869DA3446B0D5340000021F904050A0000002C74000E00700149010008FF000108';
wwv_flow_imp.g_varchar2_table(15158) := '1C48B0A0C18308132A5CC8B0A14385F41E4A9C48B1A2C58B18336ADCC8B1A3C78F2017CA0B49B2A4C9932853AA5CC9D2A11F00D75ACA9C39300BCD9B3873EA2CB86FA7CF9F15FDB4AB66B01BD0A348572E4ACA14212600B050EA0300A7113B83AE9A6ADD';
wwv_flow_imp.g_varchar2_table(15159) := '4AF0DF3F8AF6B836FD0A80ECCA7FFD0A4E155BF2DE3DB60FDFBE0550AF60BDB906D3CEE30797A9BD786101D8FB170F245F81FDEAAAD4B7562BBEC00415F7DD982FDF64A06B21D3DB57AF2EBE88970D320E0DE070CB9E06F9996E6899E0EA85F8F019CCF7';
wwv_flow_imp.g_varchar2_table(15160) := '5AA25B8261F9B5268DB05F5A9F8C55A7AECD30B6C0D127F5755ECEBCEE3DC94DE9E11578DB226ABB0EEFCEAD0E609F77EA00DE4AFF8F482FA25BE904A723ED2C70D2D38ABA60CD3A89AF72BD7C75EBD50780AFB9ECF06EA9A751790635D7DC5BBEFD2650';
wwv_flow_imp.g_varchar2_table(15161) := '3EFDD1E3D583107AC5DB841412448D4559B001804D1A5668518420CA038F3CA051774F3EE2C03146154AB4F8448B4A3C918440335EA48440373A34E38B351EB46315557031C617659431461944027064920719699093480A34A4436300E0C518577A2186';
wwv_flow_imp.g_varchar2_table(15162) := '965C28E98517553C710400478C99049047028006006514D4264168B419274D6EB0E946196EF47191196B0C6446465FA829A7406B0AD4669145A2A1E81757586185175D42EA05005C4C7AD0A35D1294E9A602455AA9A4938209E4A85524E1C51BE10030E2';
wwv_flow_imp.g_varchar2_table(15163) := '5CF60190CD061004FF20EBACB3C245C0031CE4AA2B001C10C40105BE02B001071214B4C140120C5B2C07C7FAEA81411B3C808001071C60800102610B000207C88AD0031E786002412278C081B9CFFED4EBB922F4FA100B03D1C0020D00C84B2F46CD7A20';
wwv_flow_imp.g_varchar2_table(15164) := '010AC53E9BAE40FEEA9AEC030F08C440020C3C90700409007070C207378CB0C40C330040040903F040021128DC71C70C4410C1B404D03AEBB544E1D3CF6EF938784DAE241320F3CC33CF742D00D7E69C734108801B030C3FA700830C41C300834130B420';
wwv_flow_imp.g_varchar2_table(15165) := 'D0D1310C9434D000B47003004D474D500A44DF20830C37F4F0020719849D01001A00B082082CA4CD8106132390000202E17AC30D3B0C34374136DC90F7DE7A4FFF2D130F00F020030F840360830D0CF580B8E203F550900D42184E510C31CC7D03D04A4B';
wwv_flow_imp.g_varchar2_table(15166) := '0D80D63754DEB90C2FC0CBEC06A4A3B0010A1C882090E9BC0AE42E0A00B42B82EAA8D7DEAE07A8B7AB2BE90F8C8C000308046F80B4CCF4238F70005416D1351E3C20B3C9266B44C044D3E34CD0CDD8666F80DB149890820930BCE0FD0B009830AE40292C';
wwv_flow_imp.g_varchar2_table(15167) := '7DFED2E5B36F340047C30FC3FA42A74F750C2F984E41D81A681036060028010B5EF00221F0E005BACB80EACC062CF0356D6A319001D59A5235BCB5207E0B519A40345892A36D0D6B3FA39CF8CA952B00508002C76A96B00442BA14926E851B905DEC52C7';
wwv_flow_imp.g_varchar2_table(15168) := '0114946B76ED325D0BC3A6B069E54C66D322C65BFFEE62997CDC63242F43C0F36655325A6DA47AD55B481407F2C3ECE16C7B09C095D1C0F7821490AF7C268801F8C0A7BEF91DED8CF0A35CD3D0383FFB09847253DBC0B42C86810860A08E0C0859093830';
wwv_flow_imp.g_varchar2_table(15169) := '40C01D306D00C081D9D68602BAEDC06F3FA9A0DF24783FCA61D027686C5AD3B6F602C1798D05A93321053A06AC1A2E5058C7EAD5B07895AB7601007628B0612A71A74ADD31EB011AE8DDC80C40005AD6725AC3A0473BE8B2A096F1A31A09A025F44A0600';
wwv_flow_imp.g_varchar2_table(15170) := '6FC9648A02A9252DA9782DB771C08CE2F3221891B63EF80DC404E17A41E7DC57BE4752ED062F709EB51870C73B464020E70440064AC04E1A0A6B051B5801D99E49BE3056102892DC9A3E8966FF1044CEE46702D9DACF06978203F2200598FCD5FE36F600';
wwv_flow_imp.g_varchar2_table(15171) := '6089C086EE0C25AF8655C2D89D92952C4041DA5269828C7AA05DD1FA98F068694B5CEA521EAC6A593F9E21CC92353100C4F456009EE810285E8FA4D9DAD6B612C081EF854F9AEDB3E6F9CC489033625375005D9A37EFB7031D3C805AD4CAE31DCB36B691';
wwv_flow_imp.g_varchar2_table(15172) := '1D4403EC5C8156375036D5510005946BCADCD448D6090EE49E139424D424F946B3520D8D4EB3E6FB2AD7D6A921729FFAFC5AC1D44981DE659102383456EB48A72B77A6B2951A7DA80D71C83B9189CC87D7BAA50172D90E7A044679FD60864B69E652980E';
wwv_flow_imp.g_varchar2_table(15173) := 'C4B3047162329329B3CF4E6FA60281296A431B4564EE4C7BDB420004C017BEF1FF7DAF7DD5C4201BB9393F6B528D6894331F0A1E7000651E009D1AC02303B627336A1D97011938C1064E008010088B0522002C0C78E0CF8FDCED6E68BD88E50432DEEE92';
wwv_flow_imp.g_varchar2_table(15174) := 'D772E37DC8FBDE7A3FDFBE518D789581099C6780B16D52640D9DE1BA5CD742D2018BA2EE1488EE66474302BF5261C01B69649548597A2806B3CC502DCD6455DA99A2D6C25264C86A910980E935F7A533F56169A7352D70BDA08DF11B978A1162B4165B53';
wwv_flow_imp.g_varchar2_table(15175) := '8DDB24C8E538B0315BE2ECB8B5B49606CE592D1C57EF001188EE09CA86B10C0CF0A143E3EEDD4082DEB9414D2BE84548520B2249F8EA93030608C0F07EC530044420860BDC550A81054A608D6D0363CBC00650184A5DEDB1FF0468EE5DF07E07599212A0';
wwv_flow_imp.g_varchar2_table(15176) := 'C10FF625329ED7D925C6A00C70F0431952B0DA612200CB008080D0546B806705E05CC584F4037E904C9872D68955DC9EDB82E701A3096D8BE6335F425A4C5618D30D06E71A170C4410CC9945F6B3C7752C03AA555A6B452004D6BDE3ACC9568287567270';
wwv_flow_imp.g_varchar2_table(15177) := '766524473AF75DF02E846EE4AD5BDD26A2EC8A34D9BC678D20700110DFAD998002400CDB26811701B40DC45DA4CCD5B0284A6675A6396CEA041B07E0CCACB0216CCE74AEF39D75E9E05ED2A31FC4B0B46A55CB014320231BB648C530A06188588158B5B6';
wwv_flow_imp.g_varchar2_table(15178) := '88C7B39E018F743CE30101A0453D7E108068D483080990C73560D00D732043C29B3D2D85B337BD9B09AFA7E6FF9B9FA8FD8502718131E5F27371244D78CB4DEBCCC3154EAD013006005AF77CB9B7CE401E7F0EDD5E0F7068FA84B646C6BAB9CB855721CD';
wwv_flow_imp.g_varchar2_table(15179) := '26C8B249F2EC262FA4D41F1401C4777E5F8405798163735D610BBB3F81EC2F03FB3B21DAC78E66345B95C4F18E2C2DF16CEF7E0C43DF2F35C128B0318C3E506109761806365E01827DCF8A03D5E8062200100E38303E12148846360C1180E2099A1EB630';
wwv_flow_imp.g_varchar2_table(15180) := '843B7E40010A5BBAB9DE0ADEC68297008931D40331D881EA0FF9460CCE4DC5A23E08D02847812C7FDE8ADA2A6DA57B6E803C72EBB8BDB798F08F7B8090A919050494607A2FA246296FAE7C4F4F36DDA67FC8EA53DF24567F48A9E148635AF64CCEC13BA7';
wwv_flow_imp.g_varchar2_table(15181) := 'FFEAD6BE2E711356DC264CF3D981B53F00B73B0318835BCEE0BDE03BCBA31DF2C8333DF871F725CA2A01A3F00BCC90097680089B7008A0300CCAE00909706970400C86902ADDE0070110099E8006CF6008D7F000B7800CAE900ACC600B09900AF0F00714';
wwv_flow_imp.g_varchar2_table(15182) := 'C66704103C2690044950044AE0052CA80440020033E8058852067332108502004A106A304765F1C3014A4433D8D25A05E16101502DBD975304715C0E537C17332C26F00294C33512246C16117D7054374F8610C856127E137D4DB77C0DB17D95637001F0';
wwv_flow_imp.g_varchar2_table(15183) := '7DD2227AED940185D53A2BC44229C442A0346E638776F0476757642D73565204200CF4C00EF9676FFC6778B28206C9800BD7000AAA500CB5FFD00AA0000DA4100C5B7069CCC00EE1800F3F700D917003EAE006B7400FE5400F55700B70100ED10009D1F0';
wwv_flow_imp.g_varchar2_table(15184) := '031EE007F0E0019FE752C393044A900444102455500400408B2C720467222468302445C20542A2266AC2053DE083B4E548D844016F1333B5D4611DA62DA9354538672DD4D27302515CDA384E11804222E0401FA435DEE55677337B09816CD4B78ED5877D';
wwv_flow_imp.g_varchar2_table(15185) := '51A67DDB77039D27330DE557C1134329D42BA6F4422E547EA9834303F68FEF873109B68729088D0C767F83B820F7966F2096009E900C02780BB5D009BEA00AC0400CB8D00B959000FA4601DD407110980AEDA00E86F003D9900401600B91600B44900A99';
wwv_flow_imp.g_varchar2_table(15186) := '5006AE0007ED500E7E706914FF4601B4C80577002468E0065500006F60830251053888067EE00755620877F0063FF906454204B40534F3D357CF684B3533101CA695A3D56125B787DA828DD892470F302C28208E58E38558186D662886F0236A61E58553';
wwv_flow_imp.g_varchar2_table(15187) := '376C13F16CF058856AE42E23D357B38400040660FBC88F6FB82EAA833637845DEDC297C2173C57A44C9105447F78528AA11A75E1909E3701B7F00BB8300CC4100BB5500BC5000CC30000B8B00A16A06FD77232DB9265D4883350B43D3B7582A7954C1C90';
wwv_flow_imp.g_varchar2_table(15188) := '045C900DC0700B91100E7E000A03E82A90A004C0C00E68900AD9700D9E600BCF900ACB0907D7700765F00347F52BD23233A8158D45584CDA395348985AAB954CC0972DD6FF129EC1074BE5C2024C436D5BB3128BE4115393379223637633106B29634B46';
wwv_flow_imp.g_varchar2_table(15189) := '11F16502BF02019CE43B11F051A6545175386EE13610B283431F952B0B157FB15567CCE587C21016F5B00FB28159F9C644016003BFD081C4F00CC7D009A1900BC2700CB80000C9000412E67918E65996268D9F55685DE92B45C005D11009AE6008E5F007';
wwv_flow_imp.g_varchar2_table(15190) := 'AED00D5D220E863006C9100E94900AC4E00AC4700D48320CD9C00CD950065C60020D48335E59101256699B155AA9651032436BD9E38443F78D35444054F8404B569F2CB65E45F5489E43A610548E02813805E137F7A910EFC810CD773F2D663431D03C59';
wwv_flow_imp.g_varchar2_table(15191) := '347A080058B373102E0487ADF32CAE243BB99201B2E465F1FF165B8FF961081000A3895229D5909E573229700B1D2A0C9EE00888F0098B4009C0C00CB8400C2D402B7C06A316864CD0C344C8C4012F980DE9C094D3002499100E20580511380DD7E00AE9';
wwv_flow_imp.g_varchar2_table(15192) := 'C00C9E100E60320C2C790D2C120129A84C4BA49D533A9BB5C29536F59DDB085506F33B17D331C2827C04F4649663A61311970401AE73DA118804A77623A74A17A764A81077FA56A4866A0CD565876602815A10FE586000902E1F652E02B9A00CE39F8C49';
wwv_flow_imp.g_varchar2_table(15193) := '6258594BB524A900200FC65144966A3210300ACF000A77F0255A022477E009C4700B12B06F2F2572DF799D4DE4AC17461032A3935E400C6F400C9E900D91000AB4600B95900D90300D9E7007DD300CA0FF600BB4900AAFD09291F00634A8044398950961';
wwv_flow_imp.g_varchar2_table(15194) := '4C9F25B245ABA504808D5F7A31B0242C68434075655715E14853F67C6D75AEE98A11E51A9F71EA10757A7571E948A4A69F1B3332BE533E881A6EEEE22EB75398E64260AEE4AFFF6AB6F437B0CA64B0F957A9F8063D061009A9600555F028407206606205';
wwv_flow_imp.g_varchar2_table(15195) := '9E1009184A0009507B69D87D30F57DC214001B03534F1500C0620034163D3228053278257182066022274052298F62054A70275662056360054710A978379B21A14C21D33B037142C3C20253A85465451147630288947D4D77AE6EA511CBF69E5C0B008E';
wwv_flow_imp.g_varchar2_table(15196) := 'C31059FBADDBA79F10B069A47743AE136E32743B2CB0AF374442BA82760B254BFF6AAD22FFC659053BA9775177176A3236F00756C00578E20677822555E0073B003DC1C8050FF0065CF0032A4904ECBB822AF903EC0B033F70078FF20631A004705006F3';
wwv_flow_imp.g_varchar2_table(15197) := 'F8B83B40043F4004445004106C0445C082160C24399204BE480434822326D067A005121EA6690C4330EC4758673985E4A3A76EA91009CA0137206AF11386C17B5E4C83562DDC4F0030977723033D303807E1388EF3B5607BB561F53E79FA33E6E28C7D78';
wwv_flow_imp.g_varchar2_table(15198) := '4EF43ABD34C4AFF91A8EB853C5D9FB9768967668B7A8BE03599B654B785BBEC9A352E76B324500BAAA2B245FF0256E7004AD5A0601A0BFF88B0055C00155B00377E001FA8B0063100009C0052C289470A093B4088B9D4561C9D44CA4FF473059942D24D5';
wwv_flow_imp.g_varchar2_table(15199) := '4CD4882D1A4B12A5D54C07D33178084AE77296627A62376C11B0D72B2E874864FA7C53335771096D53C77A101456C54B5E3DD0353E1CCB7313CBEAB93544CCAE55B3CB6B94A779BAC4D03B3CFA454325F48F68F351D8844DD79B5188296E68B76678B8A8';
wwv_flow_imp.g_varchar2_table(15200) := '1613BEE21BC67A5BC678C7057E00074DF90677B0CD5E607BA80AC7BE3806CFF20365807A5610004430BF706C0056900488B0824199042F71C8CF9AC890EC3609B644C454B4DCE9611F21D08AAC319C744230943AB8A3C2279646BC2B10DEC335F9EA5B53';
wwv_flow_imp.g_varchar2_table(15201) := 'E639721AAEED653929166A537C2EBA823B32704863F533E2835D003A4313F52B11AD35DE6A1061F5D2E0EACB46E3016BFFF636DBB365E15602BC522EF9DA6B1E80BBB81B6A6779BD8BE54ACCB2A072E63B3FF461CF33A9F3F01FCAC30F1F374C2563026F';
wwv_flow_imp.g_varchar2_table(15202) := 'E00AC010707070031646BF43420068C0051C90007790002670073B50056FB0824292027513004A700730A0043770041C0C3D22EB98CD547A31138B1D566831F5CF18E16ACDA4531DD350CF5C51E592C2504B8513C44FDA27633B305710CD359CB339164D';
wwv_flow_imp.g_varchar2_table(15203) := '6595135CBFA24206714227C40126C0353F834DC3526E6607DAA10D58A32DB51201D35523D3F3E30156293C08E086ADE34EFAB8CCF42AD4E6B3CCD78B438505CDF7F5BDD44C8401800C02516F632C0FF930D5AD1A7A10F03606E1440CE001D383001ED030';
wwv_flow_imp.g_varchar2_table(15204) := 'CF030114FF00370D4301B122C90400330D584C78AD95AE769057B959D7B99D201C53CC2AD0CC9A108E39670371D80D056003F1510000D400B0AD81B35DD1F610E242461E403EAA33DAFA24BC10E44F63652EDE2D2CBF6242A494AF070E349D33DB849A49';
wwv_flow_imp.g_varchar2_table(15205) := 'E5172EE6D345E4B8BC5476A6796ADA10B0869AD666888AA0B8FBDFBF7D9643DD720049CC60B350F0F758B304C6E2CB0C00E00E0B5919CE0DDDADFA3C5C79B4596ADFD2AA10BAF7A24748B024E536C1E49D2E35A5C514DF1836B4083133A467AD97AC31FB';
wwv_flow_imp.g_varchar2_table(15206) := 'BD2B3C0D302F2EE03C100367DE56397C4DE9D2503F2D102F70858C84AE31765EFCC4AF25944DE5D345376CD91B6E345F04005EE4462DB64FB9ACCBB2FFE7CBCD4830901C012504B7ECC2DB0201D40BBDD800AAD0C3AD767EF558C7BDDE3E0EE47936E4D1';
wwv_flow_imp.g_varchar2_table(15207) := '5D2B2D7A10449B611DC159706373578E77598A61F49DE52E8AE4EA7D4B0853301DE3650583D06F183BE9B2CC501B3E7EA4A6907D75E6052FE0D3E0C16B6C32E64831F73E2BBC9EBB7B5EE428E7EB79CBE8E5E7248ED1185465543B3FD4A9E23D534AC6CC';
wwv_flow_imp.g_varchar2_table(15208) := 'D3BCFDDB1DD5DB342E3B1ED06BBB93C5DECBA8D0C85959F6E924D24BA23EEA4BFE134C7D33365D8DFFECAC572E8D026FB448DB5C9B463004A33166675F8A3DD137D451011EE83C0057E4A84831BD3E4BEC8C05134D71AEECC556E7E11A039A63D90471ED';
wwv_flow_imp.g_varchar2_table(15209) := 'E9A87CC8ABECD45610B83C3728EF1071FF79468A0EDA6B287AE5EEDFB81B8E403D85A146D400FAC26C9776B2C431C223BEA0A7DC00201D7C21E4FA1061FACE124DCE1044A84C6ED352F91CB21221D004AD697D1A37A9AD4E2B24A0106FA81D05B50591E6';
wwv_flow_imp.g_varchar2_table(15210) := '4A7734FE0D010261D3A7D54042D35D109E109BAD9E0175CB2D5DC353B34F0811F3587BC4327D56ADF7EC4ADCD9D33D676E5898DEF6DF0216E23D8F4D348E2EC3BD662D94E27CC9988F4AEF01400C078B1ECD9D0F503FEA523FF5F57D845EC9E557FFEAFB';
wwv_flow_imp.g_varchar2_table(15211) := '4E3D52AAC86AB857AADD66060AF1530CEC683F1095D4563B50DAF9EA2E05D36A917C45A2EDD0E21550CAEEF7E9E84FCA6F10804FED82EFCBEF5510490CEE0AFA6E7F6ACC1A85ECF0FF02D17B1ED426D07294BF3B284401BF12EEDFEB9AD689DCE49B52F2';
wwv_flow_imp.g_varchar2_table(15212) := 'A00F1F8782A9FAB1218C73DB195AB0BEE4F53FB05CD9B10001C0C04003080C00488020010000041C1268C850E2448A15191E2C8840E3C2850F1E00A01012C0060E24258AF050D1040B132618BE800180878C983C00F498F8C203878F0B2D4E4420318189';
wwv_flow_imp.g_varchar2_table(15213) := '1B0C8BFE44BAE3E6449C3D7A286D8AD3A2520050193A752A516AD4A5137750A50AA0E858B15527DE409B368689941C283C48C0E0C106112258A06001202F00132F5CF67D11B86F4B13283CB035CC41F162C521DF3E88F0D1E0400204072208300C803C7A';
wwv_flow_imp.g_varchar2_table(15214) := 'F718E6CB478F1FB300A54D9F0E8054F56AD6AD5DBF868DD4E1658D08FF13248C802042648F1118FA7C402183E30C1F7B33300831756C8B1C763E771E1DFA74E9D59F03B09EBDED4E89DAA323E59EF2270700E21932A6E0166EF28705014466F8A0787C0A';
wwv_flow_imp.g_varchar2_table(15215) := '141D077FECB1778208FC133C5088328A50231019CF3AFB8C9F7BE811A78C2AA4A8C28A0723AC8242292E9C100008A500C00A0D278A10420F27B442C40D1F64A8C410234C51C4094FF450C2133964AE2211BDB0C20B2E70DC910B1FC72823C832244283A1';
wwv_flow_imp.g_varchar2_table(15216) := '212B720380239304C00D34DC18324886C6D831478ABC9068C70E75C4920B8ABE90E88D301982E38D3BE020D34C340128F34C331952F38E38CD9C53CE33E58443CE89D014934C00C45CF34F3619C2F3CF32F32C53FFA2440D7DA3D1469D8452C931BE1803';
wwv_flow_imp.g_varchar2_table(15217) := '00309554325223A164D28D243F554D4835821CB58C49A9F4B2C71C57D5B18A37C4918721CF00000D1E76D881471E7876E595D7CDE489D5225D8705009E622532962178DC3956D764830D56595D9132B6DA63AB9DF6DAD872E5961E6F3703809E70BF5D0D';
wwv_flow_imp.g_varchar2_table(15218) := 'D8641902565CCEC09D48DD5DDDF11500779805A01D8ADAC117DF799195C85E86DC8935567A0266686074C35D57DC81A115585C761D8E96DD831D06776189D42D58E282D78DB862CE9CCDF5586FCDDD555E93E785B6D85E739D97DE896E85F95689006EB9';
wwv_flow_imp.g_varchar2_table(15219) := '1D5CE75D7657730756C71D7269CD071F8481FD359E6F159628E5842942BA46A79F865AB588834DD6FF58A20F462A588A298EFA6261BB063BEC76BD251B58A21B56371E64870D39E461AF3E776A76E49D9B1D78F93DF657B3C105B61E00ECE167A27CEEA9';
wwv_flow_imp.g_varchar2_table(15220) := 'A77089F0C1C770D0F8010DB47B1E87DCB35901883C72B12F872D9F9F1A5F4D9F823B535C1F7DF691489FC10110BD71C73DAB271FBF577B1D73D967674D72C857070DF1C7EDE19D77D848078074798007779FE1F741FEF87B06BF4774000A279B9EC25B57';
wwv_flow_imp.g_varchar2_table(15221) := '5D70893C533DFBEA69E7FEF2CA21776DD6C2EF41BC74CF05CFC7F9EBEB21F7F19FA667C8EFD8BBA7BF35AE65B548DC7A9AE7FFF1E9A5AF873DE6D13BE255E47BF4209EF182A737E399CD78F4D09CEB0A9738F9190E7CB543CAF6EAB7410E0200FF718EF3';
wwv_flow_imp.g_varchar2_table(15222) := '5B3E78071AF54D047125A495FB24C23CDD55AE7CF3EB600CA196BDC825CE1E0114E03C8C36B07D7466783EECE13D8627ABE1155122C6436211F741BE7A24CE89F598C73C2CE8BBF3956F22B3BA2045B2F713C9518E729693611859039A71CD4F85E7F322';
wwv_flow_imp.g_varchar2_table(15223) := '433CD73C8BF0CF80EEF38C3E2E88C6371A107593031A1951B747DBA9468F619C95E80439C8D489B077F6B807E91E87BC452E3191C0C3E30237833C4A5272797A2C64E5CCB7B97B048E8CFDF849E0026711CDAD507B00E0472A4769CA528A1195D69BC82A';
wwv_flow_imp.g_varchar2_table(15224) := '5788BE3F4AC493A934DDE3CA973E3A6232951301A52D33B8458AA0918EAE44663F94B94C662A3395CCFCC73F5453408648539A0CFFD9C73F2A594969CA1229CD64882C5BC9AF7321D39C628BD76BCA99B590FD845BC25AE739E5C99A8ED1EF7EF4341682';
wwv_flow_imp.g_varchar2_table(15225) := '5A63B879F6B346FCF46740057A308275EC9E97A307AEEA192ED8B9269AD76C0D44C516CC8156D4A217AD2828C3612C8A4AA4A351EBA81EEBC199716234991F35694AEBB7CCD748346AFCF84736E0E14DD9319372D49387DD6AD98F92768DA62AF5284A81';
wwv_flow_imp.g_varchar2_table(15226) := '0A54A1428DA5117529D4607A8D78D26F41F9E0873CD4D18E5FC672A857C56A5681A94C8726F5694B7519079FCA0F78A4636EB2FCC74FB5BA56B63EADA86EE52A52C5B6D4995A44AD5D731D54CBCA0EA84EC4ABB33B6A5B053BD0B86E15002855E63F28BA';
wwv_flow_imp.g_varchar2_table(15227) := 'CC68FEA4B10078E8FF6A1EEAD26EDAF21FD770475F39A8CA7C94551D8C9BE65FC3B93CC6DDF2339A1B65296D5A58501635AE5C65E95BED1A4AD57CF4AE7655E56D07CB109B6EB599BF056E704129517DF08374FCC0070947B70FD16DD3B9CF459E724DB7';
wwv_flow_imp.g_varchar2_table(15228) := '0F7E14B79AF6F8C734D8415A1976361DEAA0D54F28D953C145331FE69DEC640307D1D8FAB6B0873D6C6B7F0BDFD5C094568FF52B44FBDA4C05F94D99AEFB0C6481D68F7F40559AF5E8878246D9DADDD63698C28570849117BCF456D8C217C67086FFE1B9';
wwv_flow_imp.g_varchar2_table(15229) := '7F60F71ADBD56C07BDFB59F25613BF1539AF39D2F10F75A883C5E5F8073DB2910D769823ADE6F0CC7C790B4EF83ED399B9E5078F1D7BDE7F84431E9EF40C3FEAFF4162BFA5351F090E7264099CDF7E445222D74CAB8E1BFCCD087719B8C863711ED89087';
wwv_flow_imp.g_varchar2_table(15230) := '3090990D7308031BC2B06635B3D9CD654EB39BD53CE738D399CDBAE8709EABC18ED6E9567623AE6A2CB3998E639CD52269E50017FE91A77F50C20AFFB04500BC708B0420C31C44704781DB1BDFD5066ECA8AFD2DA87B4B1169DEA21FE9C84638041CCD7B';
wwv_flow_imp.g_varchar2_table(15231) := '483313302DB238203B597A44E216C58A462A0CE18E70F8A11C0008C730FE400C7E440214F0F0442A2E7B8B2C0B79CB15F172B49909E66D34A00102C076B6B5BD6D6E77DBDBDC6EC023F2EC613E87988380F626258121062640628814A907A4ABC0057DF8';
wwv_flow_imp.g_varchar2_table(15232) := '014D99F0122D94A08E6B50A00AD94882BD9EBC5AFFF92ED35B7D4EE5E3A00AE481BFF795AE2E72269E718D48942315B600802D2291897044C2167EF0833922218E6888E31FEE30472AE8110E5BB08319B7A0453552D10F6264231D30973933E4718B7010';
wwv_flow_imp.g_varchar2_table(15233) := '0314F395ED3983FE13874BDBE8C8B3C73614E080010C40000A807A010AD074AA57DDEA57C73AD605206EA1E9E3B2ECA0073EFC8C397453249BF228842A106109555313A65C888411AE01F27FE0FB1FB720401988C1053770A10AEE50506F815B8F76A823';
wwv_flow_imp.g_varchar2_table(15234) := '1D87FF6EE2119F0E73A8031EF7086C3867FD064894C1131B2746380C118961A4C21C1CBF451952C10C4F30C213E1C8F43FCA410B78D002C6B66006B199618E6114D916B75047AAD9010AE9D9FF021F5A16FA478F2A5F5A0539F2CF833C6F8D0FD56646D3';
wwv_flow_imp.g_varchar2_table(15235) := 'E8D0DC473CA82100A60FA0004FC7B602B2BE7DEE633DDC69ADE687C33EF6CB01BAA494EC442D6A81887768B3BCE9504C003C018731D49A08F27045C091A1847250C00333853CD62AB87F90AAC6633C7340C003343C0354077A38BEF5FA0746C0875BF004';
wwv_flow_imp.g_varchar2_table(15236) := '4A70BD6970036660065BF88748A00550E0825408074A88846B9087686A0762E8877670057A208672908754508761880666B8B97FA08570A80664188676F88774A0057B00BE930AACE183A66E0A32C111170683AF68F231032BB027631C024B30E19AAC6D';
wwv_flow_imp.g_varchar2_table(15237) := '7000A62B0005B8804768830B5000A913003194BA329CBAA9C3B633B43E0158C3FF3134C3A66B0053E01D6B123FB1EBAEBD0AAF89C8A67DC8854FA885586007143AAF6100935BF0834C088032000503A88254A08024708522F10425C09E221C407A500773';
wwv_flow_imp.g_varchar2_table(15238) := '60866C30876C008072E80673100762B88660130775908707842C7E008598FA409EEB0743700579F0844CC8045BC8843F18064FC8063F60B96B90A63748858953073F60846C008637B806CF1B063F700555F30466384473800764002E797ABE04CB865FC3';
wwv_flow_imp.g_varchar2_table(15239) := 'AFD391074F340700B80617FB46174BAF703039C57242222B30E36B3E02533AA613802EBC802E0CC30200432EBC0037BC3EA9D3C77B644305C0B67ADCC7348443710B1CAF1BC7FD21BFB9C2C374CBA670503F6C0096D19125FFEC7242A159B851E2486BF2';
wwv_flow_imp.g_varchar2_table(15240) := 'B4A263AC65898437B0857280814CC8062E90074390825BB80343C806C773388F6A36E4AA0798820717F32F16C3877F80071663872AE329C7C3BD93A3467A800771D00C4C74B1763841765007041B4222F4B241F48361E80771080702642AD52B8706E402';
wwv_flow_imp.g_varchar2_table(15241) := '62B8856E80B43288849C74BC70E08774282B937307714805658BC908FB876DA03EA7BB8036108006F8C20650804708833978048274800B284CA87B84C42C4C12780445B80012B8004518CC2C18800B804353003FC88A86A8ECA430922A7690A868CAA61F';
wwv_flow_imp.g_varchar2_table(15242) := 'AC854E4007CFB1AEC74A2BC0992C017330267CB004F34976F0832A10075AE00243B8863170873F480264B002FF46C8C4850A2AE082B5281BAE6A8235BF4A23DE921CAE793069822D4E1BBA9592B6FB1A8656B48532308468B80548400662B84557983B62';
wwv_flow_imp.g_varchar2_table(15243) := 'B8031BB30596038537C80650800360208661C8844A28076383834820064AB03108AB4BA86BBABCDCCB39304C016803C97C044C10057098054C80854B080307300512300551D08559D0854760035D500453E0D0C1ACBE382CB06ADACCF193A1A89AAACC9C';
wwv_flow_imp.g_varchar2_table(15244) := 'B57FB8076EF8844240044328B4504A2B2C730DC18B2F75940773680743081225F082480400906387722002506887A60A2A0563AC6B8C2529BC49254BA5D61126A0F1318F32A9EB54A67BA08554780566688754F00343B0C57F30874AC8863B0000507005';
wwv_flow_imp.g_varchar2_table(15245) := 'FF00083D5B884F78C8847E7085397D030FF4847F20C56E00851374C750B34BED6BBA3968833678842C2CCC59788439B0D03C080470D0055D000308EDC24765034E98833C78545830054535CCCA04D1AEFB8711EDCC1832517FB1AC74C88431A00231D883';
wwv_flow_imp.g_varchar2_table(15246) := '0A41846868B5FC6A2C27B4A6D65CB50A4B51E723304C045343E00266F8033F48025A880425B83C3460065C2138D882B5B40A32070CB22934ADC8CAD5C99AB267F2B1E94C29A3832951ACC54CA0856188044F500757C83C43F00444F0C167C806D2FB870D';
wwv_flow_imp.g_varchar2_table(15247) := '5C49D2BB3DDD54873F100735AD3B660B2E75543A400DD47A7C840270800698053453844950842C484C53C8420E0D842C3005361884593005FF5D288549108539308505F850CCD41CAF13D5860C9B5245D1CDC8042FF08231F00231180331F00237F8B556';
wwv_flow_imp.g_varchar2_table(15248) := 'BAB19F64CB19852C54EC0CE949A85C711F7AF807C2332B67EA87250B074EFCCA74288770E806502CDA7030BC545C569E2AB23FC88687728574B4309F45C61FF48472108748683C43503577A4CE51BBD2AA0C9C6EC88474208637B8057CE83823F3846808';
wwv_flow_imp.g_varchar2_table(15249) := '87704003C2C1D354583173D8CA6E808476B0856CB8064F98876B008570D0C054C8B43E9DB6BA7CBAA6BBBEA6138005980336B43ACB34437DB4BECAA43ACBA43AA8B35C82FD07500D5991F529A9F241BFAA073F48D931B8833B1883D8F5026678A5598B86';
wwv_flow_imp.g_varchar2_table(15250) := '6130876A10CB747085749886FF6A6086726006780807760D075028871993075B700766B8864C204BA1B51598510798710776B019A894978603AE18CB047168876C38C658C8065BA0857400055E640764788668BA85574B0566F3846170855490CFDF635C';
wwv_flow_imp.g_varchar2_table(15251) := '67DBD62E4BC2C62206DA85A1C6CA847E89846A50C787A2B856C3B0EE55A66CDA862DDC5CA7B33AA983DC7EA4E00A9E3AEB33C3337CC30B00D18F0DD5061CD50E2AD5DA45A57F18863240D99555D92A3084747825984A8768F807972BB26BA0856B888689';
wwv_flow_imp.g_varchar2_table(15252) := 'BB2C77C88667A0616258399902856C10E2DA13B5045B90FFE10CE819994E8A3098428648A887DB8C0457105C3FB8059804850DACDA681A8674384457B0857ED8527EC03DFF2F1B2A2F5B3E581B98D6E9B37401805703806C3084F4ECB081E3075C8931E3';
wwv_flow_imp.g_varchar2_table(15253) := '8BD6C1A1C22F73600806543534640CBEE00C3EE40CC660AA135DE00961862C51D4A5AC984A8550F0844CF604607007349261034E076628B26740866C480560236519DBC49DE35D572807764D0579180607E4B16CBC4698FA5AF97C0350A0DF37A08532BE';
wwv_flow_imp.g_varchar2_table(15254) := '85638BB17F68875B280757A83B23FDC076A08558E9B2AC12AEDCAA42C5022D245B908AF8492A04355DCD466D725C6FBB3E6D0BE76FEBC76D1BE7ECBBCC0D1351110EB4FA49254AAE88F42A268AB8071E4CDE61200673B034572EE56EB0056148B9708886';
wwv_flow_imp.g_varchar2_table(15255) := '6E08877288069B73057820061F343EF70AB5240EAE597305FF3BCD045B9B683FB085358D064FB8D768920764A8075B78037F66CF67B80366E8077D8030FAC2AA687B32967EA57E109A61F885340D574DE3665B5E2698520736C8827AFCE90B08EAA106EA';
wwv_flow_imp.g_varchar2_table(15256) := 'A2166AA326EAA356EA9FFEE90C4D2B30DB4C2925E1779E2A136E2C9ACA2DD5C4C49F9C2AB282AC9C3A2FA73C398EF2685853E2C58A4DA32B5B02633155938772F896EF02AD5B00467928A5787BEB9F55070233077022389816AC07638DF71287354D2FBF';
wwv_flow_imp.g_varchar2_table(15257) := 'B6E57DE80760219C79F09C79E00701FA9B79D807C9C607C786227DC8EC28AA6CCAE69D54B2075412A075588779782530AB067548AE122559F25325524B2B052EA5C88235763CE0C812ADE28C68D68269FF5C7D28196EE6C0999CB8EA262AF49CD8E4B4F8';
wwv_flow_imp.g_varchar2_table(15258) := '7AB61A752686501B01D3E9670E9E4782AEEAB66EE8D2A6D1E4A6CD5C6D52CD07D435E1FA6A67541A6F202B2DF23E2C3FB625DDEAA8D862B0C5828DE31C1C8EACAED24969411A35FD5DEED78CEC04E3DED78AEEC46AACDEE9EFD036F0BF8926EC52F0BF61';
wwv_flow_imp.g_varchar2_table(15259) := 'F0039FC33CCB33D08E6C7BD86E75589E12FDEEAA36DD58CA2DD830DB8A30EFD70049E20671542AA5557AEDF75EEBEADCEFC1D66D268436E9363127644D98B2F1198529ECBAF11DC7F11955F00E6BF00EA3704A0AE10BF76EF056AAD7F6F04D037120F370';
wwv_flow_imp.g_varchar2_table(15260) := '8A602C796E8D2A8DF1E36B7190D26F28878D6B52252BFF2AF30E34EA02590B2F31EEA1EAFFD4FDF2F11E6C26A7881087AB999CF20DBF722C073A2F5F0DAEBAA6A9A41F98DA4C239F6A4CB41739E7F0D858ADD9F9A55F7A2F3057F45432B739A79F68636E';
wwv_flow_imp.g_varchar2_table(15261) := '35A61FFC82A96788CA328F0D45470A7A70CA23D4B04F07755C8D1A6A658ED0448A0BABD63C774D471FA85A0DF5577F75C8FA4AA9061BED2973A42CBCC36BB15DE7F55EF7F55F6F31A8DCF5C403F65E678DB9F909640780BA899965777667AF1B685FF698';
wwv_flow_imp.g_varchar2_table(15262) := '517665AF086A47766BAFDE65DF7600D8F668B7F60E02AF71F7F67227F77127768930BC7587E10D2AF67787F77897777388075B8120311A7676573CC3DB775DF7F77E077876E7F781F7F7726F8D76B708040400856778150B47848761FF84078076A7788A';
wwv_flow_imp.g_varchar2_table(15263) := '7078156308F06288706478C6AB88705CF89F00F991FF098F37F98747F9894FF99357F99667F9975FF99877799987F999B7F9933F3C1563BC9CE7F99DF7799D07FA9E0F7A9FCFF94C443C15337A8317A3BD41A6E8810D18A208B391FAA90F96E9B17AF689';
wwv_flow_imp.g_varchar2_table(15264) := '9EAC77FAB139B883621A563727A7DF1AB2F99CA3D1FAB347FB79207B7A88071D8A87A57198A6810D15620DAB47FBBBC7FBBCBF7BA7B9FAC8B9FABFB7FA4BD29EEF21FC37CA1D89E0A70FBA242B929548227C2B03FBD780FAABDFA70A02FCCBB77A7AFE1E';
wwv_flow_imp.g_varchar2_table(15265) := 'B081FCF7811F31EAFC0DB275CE197DCE790D2B8AA35EDA1C5B8F7CA8D9FC2FD2FC2FA2FBD8409CF2219FDAC77DDDC12BFFD8C07D57D220DC9AA1924AB24577738B607C0F121AA061880F5A74DC2AFE3F2BFD5332FEDC3F7E811AFD97629CD21FD9D016ED';
wwv_flow_imp.g_varchar2_table(15266) := '369F88DEF989DEA7082B12250EEFF0DA55F49E5A9C3C522ED6FF22C439A4D3D2A3DA677F325A38F92FA6FEE11FCF39A538020800FB06DEDB57F01E80840A01DC43B8F021C48812275294D890E1C5870E2336ECE831613E85F946EA2B69B2E4C89120F5A9';
wwv_flow_imp.g_varchar2_table(15267) := '04800F5FC28F0A37866CE9F1264E99104356EC19711ED084F31E0E051AD4E842A343930EB507C01E548540A122750AD5EA557B4D9F1E855AAF1E007A09C17E2D6BB6DED28762BF8A0570B621BE7A6B17CABD47EF9E5CB909E585ED6B766F58BE33E5DD23';
wwv_flow_imp.g_varchar2_table(15268) := '2CD827E2FFC48A150AA6D7F631C3C8800F03E02BEF32BDCB97133A5698F92158D03EDB22766CFAB4E9C5AA2BC6B317EF5F42A7B09F028897D03600D84E692FB43A2FAAC4ACC2812B1C8E181F3F7B2F7FBA2E79AF24007D6569A6D4A79025498C6EA54BDF';
wwv_flow_imp.g_varchar2_table(15269) := 'B8F0E4C0F0FB620A1C5F799F3CF4EACFF74C6F9931FACAF2DFD39F2F5FA0FBF8020F26342FF0FF78E9DDB79079FE010691809179471A5D5FB98510580CF6E519851195B51A86132911D1861B2664851256002062881D2AE1E1155F3CA422005A00F0458A';
wwv_flow_imp.g_varchar2_table(15270) := '193EE422623456C48517387221E28E3942E48588400230C642568C510591007841A4154226E4C593512E744615673C01C014002091D0125BF664A517FF547861A544612AF68418504294E49009A99190180AC5991099619A99909879DE79654255F85406';
wwv_flow_imp.g_varchar2_table(15271) := '1A65B8514645683CE406008202BA68A0892A4468442A96A1E217637C3129A432425481049D02204142124CE0A9A8A34E10EAA90A4990404F2054F0D0AB0074D081AC09D15A2BADB9CAAA02002300D002AF2A80806BAF20F83A02082D209B90B00AC18002';
wwv_flow_imp.g_varchar2_table(15272) := '07286C00ADB41C70200200D2A20040B4D34E9B90B40A6D9B2D001BACB04242E80280EEB61B001082BB21BC2BAFBC0A7D10D101041C10C044219CF02E44217C506F42F4026C30C2EFDEBB6E423528A4030F4BF4C043443AD8AB81061F2C5C11C1F622F683';
wwv_flow_imp.g_varchar2_table(15273) := '113F64F80311209B6C04103B882CF20EFF0AD990900C32DC00800D310090420A36E8ACE943B32A74EB4316C49A9005400B0DD1049CF63402D3BD2AE4424240400D44D400B840F510000CE1C2D64524C435D8436C6D75D60915D135105E4304030030B06D';
wwv_flow_imp.g_varchar2_table(15274) := '310C3AC41D370016CBFDB0C500BCA0B74473EBB0B74238FC8DC30B76E38083C33C2BFE10BA89D79D10C55A2261040046789910124B4484030035709E10E2886FEE3845492474C41100A45E3A0049987EBAEA12A96DB6EA45103111D58B2FD4B4ACBC5BDD';
wwv_flow_imp.g_varchar2_table(15275) := 'C108BA1E7BACD3470F1D11A7C7DBCA34F34E8FE002AF00A800BDD556437FB5D600484D35D764938DFDD52E787D35D53680A0030B1617CEF7E70915AE83E07FEB6077E735A0508309FF28E46FBF0E28F4FF020AF696B7C0BDA0062C401C0BEC47BA7FE94E';
wwv_flow_imp.g_varchar2_table(15276) := '710EE39CC522B625CD6DA907159498E63A372ED5A84B31A8535D128A908423841084224C88E946A8BAD4798D85AD2BC2EC88703B88E44E640D4C881F14123C1700AF69CF7381AF7A45BC20564F563E9308D07AD643A7F52A7A2A18C1137907B5EE0D416A';
wwv_flow_imp.g_varchar2_table(15277) := '43989EF4B8C6ABB1754D6B45109FF6C4D7B217A4CF7D09A1DFFC5850B7171C8E8D67EC9FFDB6D5BFBAADE07E1B3CA3FF3A67B1C3F9AF8FE4BA61033B38110BF6A04B19EC41C356403AC5512E22A82B02098FD0420010C174922C61E59240B91186909322';
wwv_flow_imp.g_varchar2_table(15278) := 'ACA424650800AFB52C21A50464CF82E73B2132CF874104A2AF5C00B5FFDDD1F221410C1EF06E45BC840CCF79CCFA61D56499B5E76D0F7B52135FF8AA388497F94F8DEA93081BF306B8F9C1AF7F730457E2AC79C6BAE5B1730584DFE1B6A990C42D129513';
wwv_flow_imp.g_varchar2_table(15279) := '51243A1DE6B0F9018009888C1822016041CD15329EE6841D443A1949174A3276A3A45C0B23F910AF8930094498DD3D25C2AB5CCE92791D8065F314628159F292224984C8AC8818118D3E647AB28CE513BF36C52C26646B5A9C5AE0D40891CFB54F70FEE3';
wwv_flow_imp.g_varchar2_table(15280) := '9C4B75500399D274211BE49FFF665AB7997A2E9CA0DB23FC52CAB9032644A50D4C9C5113F9108A2D81074C68190F3257418564F09EAB531BEA56D7CFD6A1B07595AC1D2525D9CFD575F5750645684221F2445AA9FF9297BC8BE8D32C50D1B4FAF2964CDC';
wwv_flow_imp.g_varchar2_table(15281) := 'E8F4A0583D2C62D16A40281B00921AD8A20EB07D0A01DCE35060C76BEA40901DAC81C3FA683167F28DAE3DC141FA308B833B76EE71756B2A68E15955BA6AE00724A4E4285F97DAD53E24846345286C17323BB45AB677B8E2A1AD7EC6D1EAED368972956B';
wwv_flow_imp.g_varchar2_table(15282) := '5A812B57B64A8F894C0BA95D5D7003C502D0B013111C4504B74EC842A406E8EA1F043D27CEDAFAE4808343C16631D4A5A8367580803C2D57BDD6C913B25684931CE50BF1E94F88A48EACDCB5ED4272B00585C4A1B81209021AB6303D2D3C51AEFB958812';
wwv_flow_imp.g_varchar2_table(15283) := '3AA00205DB16B8AA39A20E9D77D1612D4405335B88E7D4584EC119766F360300E7C02BD399CA715BFFF61B27890FC7611007F5BED1E530E7A8DB38D09D31724D5548E6141231BA12D474EC5D08262542564BC297225E9BE17D81B79044046321CC588805';
wwv_flow_imp.g_varchar2_table(15284) := '462057A8656335A0F8197E754761E32A59AD18362A519D7B5972C1117127BE9F3A4D4C2E9FBA78CCE005EF1F1BA6C6F631E18C4BC81B790BB99815D04071EE2DE1568DACDA362BC6570F4D489315E2040034591622829AAFA2B718DB406DA1BB25749C7D';
wwv_flow_imp.g_varchar2_table(15285) := '02DD85448EC67024971DB199D33E66F78C6CC674E0B2653F3E1A70918E8B98790D890458AF5422E8E233861AB9DEF83A52BEA8564C9701200B856862130B19B6447936818B9A73958A49E060B54B63C851ACD30B411C9CC915D96C85B7B03BADFFE9AF9F';
wwv_flow_imp.g_varchar2_table(15286) := '9B6AED6EBA27A1851F13ACDDB0857410D7E17E77457CD50B5C28C418B5B8A10B7623233324E4C01371764468D5824C17D5611A1EAC1E6B0CB117741ABC9175982015D85982C35BDCA0235D8BA78D3926CCBAA948D0419D151272F32E0E92EEE5AA7D075A';
wwv_flow_imp.g_varchar2_table(15287) := '714DD15B21BE5005466F25E9C4F47735FD45C31A1292F3C4044F4675B4EEFDD42566896C1B0575AC2E0413EBED71C334E3B56D9F760F58EE8A3535DD4F75A779492E91A12366D02B0FF7106EC560C4183A558BE1C78834C56C0C051DE1432FA7B8327D47';
wwv_flow_imp.g_varchar2_table(15288) := '757E1D903A00ADE6B41E7254AA77BE15C95DDD11438A60FC4221C53846E185BD51C5B86A35D48048E27DA2CAB5DFD380E05A08B6FF389BAE0D8ECBA8960F7C86D27DE73AD719E488E15C9F41FF755C241A009BF8C426AEFC8B96034DE650D4EBED9F1852';
wwv_flow_imp.g_varchar2_table(15289) := '00546058C45D8D8800B005333CBE22B9ECB9658D6A74CD4BA4040CFB23F355EF13413E8C0777AF9BD6CFB918244B3FA16A4A7B4256A1D1051B4B7A949788F22A1279002C231857EEFE51D365DDCE391FFE3D29E4DDF366FABDF724F5F67F77F04D4412E9';
wwv_flow_imp.g_varchar2_table(15290) := '15F40CC1A54504172186BFF15BCEF1DBFF3DE0D36D0B743915C8D9180F5CE0F4D1009F6DA0FF41205D71414458C11F8848B081828D2C460E2C068B48440AC69B07BE20CF60A08E8D160C825E15400908AA89A1040DB3ADC115F880441011202C0672198B';
wwv_flow_imp.g_varchar2_table(15291) := 'EF81C0F9D5A012DEFF509768C91206DE1ABC4142C0C11BC4011CD41CD004911C2CC41A34C2160292D86159AD3C21192A8E22E1180060D08E01000596E1D7011644EC5C42608162049FBF51445B1DA0F18DA11BF661BA4044E6444E05360CDCF9A139BDCA';
wwv_flow_imp.g_varchar2_table(15292) := 'AB041B622CD8CC4D0410315112E65686F84AFA196219525F1A561B3559E27D55A2450140D138182AF9CA962D46ED2544054422277A60137E1CFFAD225DA922F298222CD622A6CD933DD9621FA6A22EF6E23D6D4B214D902F0E23311663865C60F619A332';
wwv_flow_imp.g_varchar2_table(15293) := '2EE3309217C430233446A32E26A33456A335BAA1BC9C40C75C233776630D22C242F8412188A33796A339C2DB6C24443FF4C343B0233B9E233CC6A33CCE233DD6FFA33DDE233EE6A33EEEE34EF0A33FFE6344A48440022441FA043FF08434EA033F286474';
wwv_flow_imp.g_varchar2_table(15294) := '00403ED4033E08244FE08612A21D62586441569C8478872E5AC73AFE433FE4435CE0835DB0070CFE033F184445BC636260E40BFE40CDA48025DEC11BB88114DA24348220925841196892A500408F284415548942F049E0490100F809905441EA18A54470';
wwv_flow_imp.g_varchar2_table(15295) := '0108B2C98B648A4234CA13220000108001F4A109B0CD0BC000624563044400009025006800003C00033C04012CC4014044BEE44B56F20B776D6542B4E542D825457080AA708004F0A5449840463650EE001E1100C1612626622EA662DE0E633E6663DADF';
wwv_flow_imp.g_varchar2_table(15296) := '06C04BBDA065B984400858264490A50660C00360FF8044606542E825A131C0036440427CD8430C1C0074E5435C1844BCCC60029211EC00E059226C46C4C664E6592604C668A642E0A542180003B00A0018806866A501B4A5016C65022080717E9D604E67';
wwv_flow_imp.g_varchar2_table(15297) := '427800DBC4800DEC40766E2700DC006BBACB6CAE06D5004123010110D8D03562CC596AC05AAEE5011027003080591E67442C277D2604AB24C07CBE5B5776A50708E67F26040CB48076162877DE000C08267EC6E7CA21808342274590E61202DE0FB44C85';
wwv_flow_imp.g_varchar2_table(15298) := '2A4429A1272C02270080E6596280655A2669AEA5677AA84224E771B6250138A84224C003444402702877FDA7072C8475CA806C3E840DB4400C0028052404847E9D5D06298C12400218A97042FFE0790240CBD4104510E8AF24046B2E21BC6CCCC57C808C';
wwv_flow_imp.g_varchar2_table(15299) := 'AEE57D76E6596A2944E0A55D3EE744B868743E600B08266002807E9629BCD9A58452049BEAA26C9E122C82688782E6561EC05BFA2688BE2803A0E868822962A066FDC15FCC54E74220C08BFE280580E7AF19679C7A0008B00D08286878061E7B26C47B3E';
wwv_flow_imp.g_varchar2_table(15300) := '047B9AE8704A040444C48B02C08F960B19C6699AA25A0CDCE603E440CB3C409CBEE9A5A21A06E0A9016C6A8702C007A86584AE68428C6A45A42A0C224004B04AA94A9F752C44742680733A675B322B04FEC0799E274C6AE8326280957AA96F268656C6A9';
wwv_flow_imp.g_varchar2_table(15301) := '4F9C00030DE638B46532748316306770AA2944B00AA82440BB820A0084AAAF24FF8187849BB4DEEBB4A6E768EAA5B67A6A7DCAEA4340C00384EA4274E0037A6BDD85035E32033128ABBA128004B4E0874044002A0415028003A21A9DDAA365022B45B0E8';
wwv_flow_imp.g_varchar2_table(15302) := '306A6BF77503382C689202C0045CC1437888150096C42684195025AAE12BBE72239EDEE742F8AB441800C2726202E8A7FD4543424443C542C40A065F7F95C11F6C819F188A03FAC11F28042334422434C2AC6688C74204AFFEE9C77AAB8B96A5BA92E17E';
wwv_flow_imp.g_varchar2_table(15303) := '92AAB0061EC10240291201559652D52286393859325CAD6AE86C4400EA430CE99A2A44B142E77C9E80C14260CF561CCF26E7B2C26ABC8A66D63043DC3E440A48A14C4E84142AC42DE89BDCF6848C2EC467268497CAAA917AFFE973B20A7486EED8D660B1';
wwv_flow_imp.g_varchar2_table(15304) := '8E2A041C6BDD8966E026042EBC2D44C441383C842DA44232A4426D004035ECA3093C2E2079E64478A6C87EE9563A2700D8AD21E66DF7D165565244D44E442400C0932944CB01C0F302640BF0EEE258E9439468D61A6F5BDA2DA01A67B8922E9966ADEA79';
wwv_flow_imp.g_varchar2_table(15305) := '80B7C26BE5E2CE92A212687A6873FA265A9A6645E865721229901A67A12E4404046FE07D2D7E8E6EDDC1C14440C06DF6849FACAFE258A9ACF22A904A845616EF82266A998E6F0D3EE703E02F0CD6A8A5FA8468528DCA8470858EB0022386C876A6F9B2A5';
wwv_flow_imp.g_varchar2_table(15306) := '7DAEE8F08666043CC0FEEAADFFAA9E972AEA127A80FA52045EAE6E0967080370A99AAE258A6A6504B7A89A92FF6699A2E64490A57C32C00CBF5BE8AAA9F17A20C0C65B935A6B0F5304DD8EA542E06902F8AFAF8E2644006A0494400C6B6EFF82ED14879B';
wwv_flow_imp.g_varchar2_table(15307) := '598A290FC3DF91BE7116A3D20F83A8696A29C282EC733E288B96A9004B447BC2B11B1A69BACE31777DA6036B6EA01E27693A28A48A6672668005F32F83FEDF17CB71F7B10A922646F448AB212F865E02F1171F27F862A5988E29B1A630D8AEE51FD79D96';
wwv_flow_imp.g_varchar2_table(15308) := 'AA32E07ECA4360F22763EDC6E0314438A7EA3EB01CA3A67C02AE8BBEE8D9C220080C4B0EE32C441C732DAF0606ACA5658E3272062AC80671F19E32628066FFA6311C3F3104FA25A92A339C2E338678297B766A7116E75D323256DAF09AFEE9251727B1A6';
wwv_flow_imp.g_varchar2_table(15309) := 'FFB2DF2E841273B32BD3B221AE8A38AB461507F1250F2E3E03400688001B71DDFFC1721F1280429FEC3E6B0A433334CF64001343B438F757CD25441CFC41466F340050ED4254422450422364C2F382744703402588F44350424A47024903C04B576E0E35';
wwv_flow_imp.g_varchar2_table(15310) := '9021380200D8744313DA3F506E4EF7340CCA033C00B56DC0834F17751FF2B45127B55203804B2EB52DF204420EE64934F542F08355F3C33AAEA3534320710CA6585847B21AC8568F35AA69756E60C83FA43559EFB33028442AC40200D8EE3DBDF5420003';
wwv_flow_imp.g_varchar2_table(15311) := '3028862BAC7535A22EA16D80BBA0E58FA22542CB48046880BB98CBF32186068840E6E9F52703CEFA14CEFAA0921A09D2B644DF44981712B4FF0C12209211584EE520C10F0881639361583E4435691C20ED4D9A15D5FD00D2FC65CB19425C62FB4404B121';
wwv_flow_imp.g_varchar2_table(15312) := '3D690921753697E46269C360829E914E19342AD5001B05D0011D5001DD50BB9D4BFD684ABA410E1BD6D312ECC0E5FC760D1EF0B75D1B38115619B9516A6B8A01B100790B96E27CCE6B9F0B646162459C2155DDDD8E591B6F3B2176BFA0604656357118C9';
wwv_flow_imp.g_varchar2_table(15313) := 'E99439CD5452F1F7E2C436006820862CD2E7C0F75279C996D0DA80D7B7FD1DF7FC788E4C81D8BB11F7D7E100E9458C3BDD581ACA5387E3DF0015A283AFDC1DED1185078E85EB0E35761FC81552B581969630956F8FB8FD6D96C55017D7FDCDE3AC4F8A2F';
wwv_flow_imp.g_varchar2_table(15314) := '468F4B5F6855B7C7254430AAFF368D079EC4C5DDB68198E858563885378BFDF87D49DB44ECC01A7AD6914B5F8D924E933F0480A79588831EDCDD1997444C6869093B6539E88D8B1D19DCE75184F555A361398ED561E004ED00C7999E9AD79D0908E66B33';
wwv_flow_imp.g_varchar2_table(15315) := '8C51B1F752E9B803F9A153BD9353ED80C7B953DDC4F99ED7DDF2358C895D76E00CD033C2E3FC2C01A3B7D3C79139FFADF8A3D39507181DD0A9CB65CF98A81DB89433A3619179428C5CA8AF3944ECAFBA84B9371EB8E821B8C54477ACFF5AB4FCE162FCB9';
wwv_flow_imp.g_varchar2_table(15316) := '3D8A9E8D45D02BF6BA8B8127623B6A411EDC42D4F942803AB29B53BDAC0065D6F6A5468CBA6562DE19F9B4DF500560A6BC583BB997CB094CE60668A342A0FB0A38DFB69CFFF139F6D900899E6F4BFBB76B8A075826B3BBCBB92BC4362604B3F363A7498C';
wwv_flow_imp.g_varchar2_table(15317) := 'C8DD3BAA59FB619BEA42F80BBFEB23BAE4989654D5C4A4E18D1B7C6D317BBDFC3B0399CB09AC40BFD7230E20D212184130569DBD5BBC6AC0AB61A36566B6BC4F980B62978BC7A77BC0C3A36F0B623B9937CA67C830FF7B4F744CBA63FB3CC25D0F54E0AA';
wwv_flow_imp.g_varchar2_table(15318) := 'EF7C42F13BC797C0BFA33BBCC8630F6409D2AB5E06A0FBBF84ABD3DBE3E71C12974CFDCAD13CC06440CB5F6E3C4A788EDD180FC498A07BFD7D2931407E4E20F2DFDAB3FD6F6FDA82770E0BD411BCD3BD8343900EEC3DDF67B910CC78E0877A388843EC16';
wwv_flow_imp.g_varchar2_table(15319) := 'BEE22F3EE337BEE33F3EE447BEE44F3EE557BEE55F3EE667FFBEE66F3EE777BEE77F3EE887FE12C600DB88BEE99F3EEAA7BEEAAF3EEBB7BEEB57446EBEBEECCF3EEDD7BEEDDF3EEEE7BEEEEF3EEFF7BEEFFF3EF007BFF00F3FF117BFF11F3FF227BFF22F';
wwv_flow_imp.g_varchar2_table(15320) := '3FF337BFF33F3FF447BFF44F3FF557BFF55F3FF667BFF66F3FF777BFF77F3FF887BFF88F3FF997BFF99F3FFAA7BFFAAF3FFBB7BFFBBF3FFCC7BFFCCF3FFDD7BFFDDF3FFEE7BFFEEF3FFFF73F400010389060418307112654B8906143870F214694389162';
wwv_flow_imp.g_varchar2_table(15321) := '458B173166D4B89163478F1F41861439926449932751A654B992654B972F61C6943993664D9B3771E6D4B993674F9F3F8106153A946851A347912655BA946953A74FA146953A956A55AB57B166D5BA95B36B57AF5FC186153B966C59B367D1A655BB966D';
wwv_flow_imp.g_varchar2_table(15322) := '5BB76FE1C6953B976E5DBB77F1E6D5BB976F5FBF7F0107163C987061C387112756BC987163C78F2147963C997265CB9731AB3C31700580139D3F7BEE3CB0C6E8CCA74F6E06009A356AD7324DBF961D73C5E6DAAB67E7D6BD9B776FDF2E57C4FE3D9C7871';
wwv_flow_imp.g_varchar2_table(15323) := '9C18068620B8028771E70D7514FCA0BC600D14A59F671F8823FA40E4003E8037285CBB7326043763D0509EFDC2EE2B22AC6F3F9F7EFD8628703B0E080021F904050A0000002C72001400730151010008FF0001081C48B0A0C18308132A5CC8B0A1C38710';
wwv_flow_imp.g_varchar2_table(15324) := '234A9C48B1A2C58B18335ED4C7B123478D20438A1C49B2A4C99328535AF4E851A54B8CF900F0E3F7B2A6CD9B38732E64D97122CD7AF5EEE92499AF1E00A136EF1985B80F40D37BF484CA1B4AB52A807A318FC6C4B734E5BDAF60BF1E048A1521BD7CFFFE';
wwv_flow_imp.g_varchar2_table(15325) := '595DCBB6ADDBB754D3E6D3970FA9C07AFCC2C11953A58A12004F0028090C20C960AB49AA14542CD8CB973165CA8C3158E68B6400960566869C19B3E4329E354F7638868B17315CC47821B87A60922303037B010DA00C1AB8B83346AE8DE6CB152E5612AE';
wwv_flow_imp.g_varchar2_table(15326) := 'E602C08B692BAD2B4E362D508A40BF55BCA0C9A6B660BD7FB63850081020B7C304222828FF140F80834009E6CB4BD8709E7D7AF71BB49767A89D4141FB0710342420DE8407FFDE05E810071E10281081145000C10303D90700030F243090840F52C81003';
wwv_flow_imp.g_varchar2_table(15327) := '0944F0807D0E32A821030410501077083090CA3FF458F70F2D267080800121B665C040222684000214D800030029F438100C29ECC8230C2D0844A49000EC586491440A14430B30EC98420C08C570C30E3288C0DE401864104209028920500406E8078099';
wwv_flow_imp.g_varchar2_table(15328) := '11006082806C3E74030037C8C0C30D37C49082092270F05E7A61EA79109F0B71800200628A699E961944A09F7D2F0210E1892912440F761E24408001DCC1552300335E2AA288373EF01F0C26BCB0A69A2918492A4126202950ABA74EFF4950914612B463';
wwv_flow_imp.g_varchar2_table(15329) := '0C32005020001950A04104190010817D2C20145F091B9CB081061CBC00279502BDD9E6B452CAB0A30C31982A82A10090B725075B16A41DB87AE6692E07DB129ADEB679EAC9DE06146CA8DF8D00808A0028FD7425903CFDD042C18BDC753750009BEA34A3';
wwv_flow_imp.g_varchar2_table(15330) := '4007174C00BD14C0DAA3B303B51A6541A7464C909503B520ADC407B190C08C1184AC01410864C0019829402C109800D400007B2FEC00400FD3D64C100F41BE20670F2FA0AB67B01A5270E840E06E109FD1469707A698036D8B82081E3CFDB40828B81BAC';
wwv_flow_imp.g_varchar2_table(15331) := 'A38A720AA388657A521D41F2ACF83101998E3854C15AEBB7E98CFA3D002B0C2FA46C42AA49926AB79AAE26B9668130BCFFE9EA9AAB0E84F1060718608083696690A899F3A5CB32B22784A0C10383120AA7CDD3EAAC33002F08F182A1DA411041020F5020';
wwv_flow_imp.g_varchar2_table(15332) := '66E5F325DDED814C9B80BAE5020DCA42B11EE4B941B00F2CAE5FA76722E0B5BE0084ED4A88020B7870BD03759AC0DBCE9A70AA077103CE900749428B77423BDCB0018C080B9B2606699E29907E57F3BA32977AC65B2CE698CB20C30B1B20F000BA148C1E';
wwv_flow_imp.g_varchar2_table(15333) := '010426A77B20D20251F02DD34C0B5398A80780416D0B5C577B80A26EC4BB17FDAE20614B05C1084690E289A878C53B08F16294290ED6AB3BC4FB200032C8B51126AF20653213078464AA94DD097A795313425A050068D1B04774F39BAE3460B81915EE41';
wwv_flow_imp.g_varchar2_table(15334) := 'BC1A56EFFF1016A24B45E0042588DCD5A8C6010D0CCA7A2E816248DCE7BE2459AB8A54C1998B081081F409AB6487029441B6E49E73F5A969EBF259A21EB4408419CE815F1B480409F6A981112F830AD9D4050582368490B0469D0221A72C853C037CEC45';
wwv_flow_imp.g_varchar2_table(15335) := '10709E90EC164389402B5729A893763E46C418210F5840DC9A4002901F0C2051201A70900E8A25A618502957EC2308155789CA8A488B22A6B4A20922403004FC4C42606401077A75A082502003E10266D2AE763BA295404FC7EC15A3BED8BD3311001471';
wwv_flow_imp.g_varchar2_table(15336) := 'DCD73F248829E47D8A3B3228031C0C51061B94AD20A03201D94475030450D0450178000CB843817512C0062F201B1FCD56AF85D57346124A00029627FF25571988800611921407B2831810684D771A5BF736054206048B018C2BC80932F001200A245828';
wwv_flow_imp.g_varchar2_table(15337) := '58DF49A834D094C8A0073700A955ACB54503E4AE7E8A0296FECA371062BE6C21C1529C799065B40C30486B69A297D60CE0B5480D041EFF004500B847411179C010CCE0063052818C6844620714B4200022F18F2A04C015FA48873992108037F4C30F0130';
wwv_flow_imp.g_varchar2_table(15338) := 'C43FE010806AFCC304A928473A645054416E928F33E25E0ACDF49F539D0A06004D48DE2A76205025409FC79BE726E56980F0FDF0009C3A0084BC0700C412040510E3C1E55A09125376F4241FA56C4E2C7B0318886761B90B19024276C02522A468B7134F';
wwv_flow_imp.g_varchar2_table(15339) := '4C79D9ABAB21CB64BD12ADD61EC440ADFF3D134510FC87272868C2EEB4E015D7B8451FA600053B10A31ABF50C2506B24220820631AAE08002D847A5CE966031901F0C38A6C200E7570411E7078803991973C4C2DCC9011C2A7A31C453A13D0E972572AE8';
wwv_flow_imp.g_varchar2_table(15340) := '95B0F526BE26844A9EADA609EB55A68408EC70CD7C5060155B10A635D22450BC6C2A15622513442844F78BD099549A27F359CE3CA875D72F7F19AEFEF9CF3D0854A0A2EC6338DABE886DB7F5A940E0D18FDD1E8C8212784532985189436CA21587000533';
wwv_flow_imp.g_varchar2_table(15341) := '94310A095C6A7C01F84238D0D08E0780428268780610C2E10675C0C010D1A0452688210E0F8C411DCC48001D4748B03241600749684E150CA304C60C840BB419C86D06629BC2546CFF4777ADDEAAB678421A71CA8EBDE51A037C2810C72256B18A0530BA';
wwv_flow_imp.g_varchar2_table(15342) := 'EA6693FAD690216F7AE548148DE01B70808E3552E08437603B8390E720F13910B954A7AEDB7DA877FAF921032F8580141784C5BBDDA388E0A00C5C540314AA28862F50310A66E042197108113E0370A26EFC630CA0B00504D2E1893BFC231CFFF0432440';
wwv_flow_imp.g_varchar2_table(15343) := 'E10979BC211C55D8C10EC03BD4810DD5002628F3118860052E24213186F18B60AA0099CA44060D93810C1ADC80062EDC80AF308825A93C40810490F8C7E4E5541F27B8DFC31AC0B106391883A856C3039F447A0CC9DEE5166C250F744A3FF1CA69042A5C';
wwv_flow_imp.g_varchar2_table(15344) := 'C676850B5CFE531741F4571E73DD4E811C3A93E17E7C6250991A6CFDFF10EA060110E364E0E219B7A8452D78C18B5B302318C1588504E818800464C30D01A8442A22010F75087B1886C8EE3022E1072E5C6307CCE042388CBE9D0A8ECF06894143199EC0';
wwv_flow_imp.g_varchar2_table(15345) := '85378CC10A770040D7DD50052BD8C60D86B803640C010734845DEB00D8C1C40A4EEF08A9AD8FF4B4A3C0321857801FC0CF1615E0A1012003BAB9894E8847BC43E6DE10464FEB947072B049D314714E51E06905DED3BBE6D334CB0D8A80ED4269F87AD7A9';
wwv_flow_imp.g_varchar2_table(15346) := '8535CAE4D05471F0821AD519D90017BFC0053288518C4FD4A218C4204630700180212C9753E684F48D4844C117910D54833C7E8D8A87801D1C2112D978462600300C380CE3158CB8C533E050857084630CCCA806FF0028718B6180E21A9930043222B303';
wwv_flow_imp.g_varchar2_table(15347) := 'FFE4295EA5B63341F488C711EE119C0301B8424C8682525D2B5A28617008213312212D8E7710074812EED322E211610BC401A4244015261099D6791D87614D535A2246323A556270654E5E330FB9A572F3A404B6967BD1900B9F100AC7C00CC4800BC190';
wwv_flow_imp.g_varchar2_table(15348) := '0CCA753C204442264436DD11551A14703B400491200CA90000C0C00C77300DB6A004C3700D6FE007D8900D7EF00CB4300CC3C00C65C005C4900DD7100D5CC005284048F5274F665383F7471133B24C0F30323294244E32780F615905A160070187149180';
wwv_flow_imp.g_varchar2_table(15349) := '098145230145F1E65912F200E9F5002C503BB0B33F6264286202881BF77E0D385AA3453222471030FF0282B80536AC574700500428280C9980088E000900E00953987BBE5747602886F434417D744734F203476008E5D00D5E700B99A00452100DC8700B';
wwv_flow_imp.g_varchar2_table(15350) := '85610BD7200EB6400CE9300C9E900D552005C3900A9EF00CDF56729A544FFC46425F283063387F05B367E34310E6712A2A13128D44878B26119A55593FA237F5C687A3832311688182D738BA02409CD72E36955263222CE27362F3446A01D05303211593';
wwv_flow_imp.g_varchar2_table(15351) := '384F1E60739EF0065EB01A6220107D5009B8700B20C05BAAB65F0881832264107A640036B003CB467EB7700B91900AC4E009B4800C91D00DCA765D86E08B02110948E707B76018F167109992830A89770EC149FFC6380C90261A122C62248018FF618035';
wwv_flow_imp.g_varchar2_table(15352) := 'A18D36613D511203F496211242260DA38E44832E800888EA38687D621EB8337AF0485BB3358F90A87A614382C95309A0801C0020067D01005650769EE009E6644906F02FDD9120C7B74F140023DC719624F200DDE122E501864ED21752A004A61119A051';
wwv_flow_imp.g_varchar2_table(15353) := '7665E00665F017A6118C61896E56E01C00500547504D76597F13E192C793210AC420E533282C748D77F8128A76033660809A4533371103FE112F00804B06008179154004543BAC4910AD093ABDF24B7CB85E16C24011C55F98628F928895C853047F6005';
wwv_flow_imp.g_varchar2_table(15354) := 'E51676B5C1177EC055CE2876B7F10052500640E00504000355F00649E0015C904E5FB01A09700781790752E001778006CA9583FCFF41043F600445609E44001BDFF6178211184A1066EA590461361055E001FB9612029726373510514310CE829310412A';
wwv_flow_imp.g_varchar2_table(15355) := 'EE65107248103C891057E21D31402ADA21612746205073811DA72BE6E1017F78A1AD6920E6112EBFC42B0AB48843E481CC559523C85B04A10468801CA50196C5B175DC5130638023A5F10611500526900426E0074440016510005570033E9A045EB0035C';
wwv_flow_imp.g_varchar2_table(15356) := 'E00755C0A33020052FCA6F22F446A5A9210CA24F192257E31358F667A28E091266725327B5109879115B124006C79304E8105054A60C3131765812A65420A42972A74940E8A29A6102351AF53C4BF933F0D23FEDB888B6E99024BA9B264A3C06F0057700';
wwv_flow_imp.g_varchar2_table(15357) := '0777F006020107B5FF219778C40506E0015E60053D10001C500644F00068203FD5C9052610004A60046F50061480067B06076FB04E0DE9908FA81F1472621DA483F3677F24D147A3B39F2F937105641010E32A86C76049922A5422AC6BA886C53A108EC7';
wwv_flow_imp.g_varchar2_table(15358) := '68005A201CC057D2023703241000A51DF1615F24D1A60D3A2F863368150635870235E99257AEB326113A6860A227BB249BA3075177966F0B538F28820F828A36C4030370900AB7600BA90007EBE49863F0180F201DF689062690008890042F60083F8002';
wwv_flow_imp.g_varchar2_table(15359) := '652005475A9D06F0063FEA0514C0055A9647036126FBD428C759412E0912251651B36953FE736907423D1AC539D03A117805318E17379AF526708824269B1014FFE00102C5A00F612001885709629A8783814C998E76AA51EBE33C228027D4E3014B531E';
wwv_flow_imp.g_varchar2_table(15360) := '3F932036352637D228D00889F2101472948F36C287C167231E604E08E001721969FFB22001D045DC110164830005FB313392A5011657A5B93B6EC550C7C7A40A6975703BABD3D8201652B333F4A514211E385B107F28B80078ACACB23AFD332E05463DAD';
wwv_flow_imp.g_varchar2_table(15361) := '62250B2A26268B94E951A103D18D66EA867AC5A0A4B93B2645887C829A7F28102C802700502C066402A59BA7A9B55EE1B340DC8342F04A0F5191B5BC2958A8883C7B9B6F79C7100C994707D3AA80C565CC155577DB9818E1AA1B6B3F1ED661276BA77955';
wwv_flow_imp.g_varchar2_table(15362) := '879A3B208068AD0EF16EBA02BDF68524D012279CFF532A295378D7E84219C1B90811251EC01EE2552665C22C43331F4999B4AD0335288002164A3D46E9B4E6219B029121536BA5A002AFF270BBD294BB0EB9BB14F18C17B1366FA44F17744D56377F78FB';
wwv_flow_imp.g_varchar2_table(15363) := 'BB7E343E7B289421C3200C02BD4493BFA77B128782B2BF6A10329B10CE6378F186AC3C79A0AA5411D01243D0B2A0F4162F80552697B62EB0C30201C4BAA58BBF812840BB8440AA15BB25F26F7F949BFF50C092986A9863490503588D79B7E08441FEB510';
wwv_flow_imp.g_varchar2_table(15364) := '5B2A9404E12D7C722E0454BA1351A0059132395924336C252E2C10ADE478D5CBA62DD22DF58330089069E802C4169A8603518E056488117A9417B52069824B546B419752BB061C3CFD400926FF4A150C9C1060C83DF432BB34D2BB18BB10A4F357FB491E';
wwv_flow_imp.g_varchar2_table(15365) := 'BD121F6234A1798CB81A81AB6D3C11897731B8822D96D54A9A85456B1AC6B6B2A00155430CF8B308C300E1322883C2BAAC6BA1BA5CBA292BAD148A6142231F8E22698A4283346238047CC86193098BAC131C44C9D6C48896328A237130FBF45705010105';
wwv_flow_imp.g_varchar2_table(15366) := 'D161795220DF9CB40DF102544233324043D20ABD3F0623925C12A52C38A7EC3EA6D4C6AC3CCA0D21C63B12380D3A3E5D14269513C2798CC740ECADD30A2FF0921E09329BF636B5D6C647EFEA35052CAFFBD20F91506D579AB7826567F727867BB747155C';
wwv_flow_imp.g_varchar2_table(15367) := '5E17BC7CFC654F193BB7ED9C11FD559AFF3B9B0000012EDD4BEBA2BF5133D301FFF402365D2B9C2310A06931EC413AB7E988ED6A21242133D286A689065F70B2D307D1033BA0D4162133DA48273EDBA01102214F73BA2CF002596D2AA612C2CE632A39FD';
wwv_flow_imp.g_varchar2_table(15368) := '1FF9BBC706E1271BF6A46D6449C067B5CCFC0F8A2CCD0BA61297C23605B128F203BB04319BF1A2C997965344A5120412D80532D8825DD8835D1E84FDC19D5CD684BD2B8D6DD888AD108B2D34E561C31C3B418C0395A5933B9B4D9AA543B205B19FF6F657';
wwv_flow_imp.g_varchar2_table(15369) := '917CD2FE1500998022582B1350A1855EE01CC168668CA118B49D98882966C151760E7B98931A8CB8EDB08B01DC00E0B0C24DDCB11D1C938A1C619998B6CD18B74D11CA6D1C936A1AC40100901111804910A001986E201069FF561A5EC018C3A111DD0D00';
wwv_flow_imp.g_varchar2_table(15370) := '892A9C03F106E7CDA8EAADA887AAA8EC7D10F10D0088AAA80BC1A80551DF877ADEEA5DDFFA0D00F62D106FA0A8F61DE0E9FD06EC561B55381A98E1DD095E107F591BE52D10138E1097011AD78D19A3411CD21DDDD48D06D8902F04C10FF4D00E473115F0';
wwv_flow_imp.g_varchar2_table(15371) := 'A010F0B0E22A2E0F29EEE22B66102F2E47C1030F53B12F362E47392E47F2D0E33D1E3C407EE3410EE41191E35371E3B6CBC402A17A6083E2442EE4275E102982E2EE60E2EEF0532CBE1057AE105BBEE46631152A76E4051C293EF5E353BE2F4CDEE4FB82';
wwv_flow_imp.g_varchar2_table(15372) := 'E6538EE46BEEE5F400E56043E32B6EE6F810E73D7E0FF980E70090E200E00E296EE209B1E27E4E1026DE0EEDFFE00E80AEE8ECD0E7752E10EDC00E872E10801E3C2E1E152E9E1503C115713EE700D0E942AEE40361BB5401147051E68EFEE70C51E806B1';
wwv_flow_imp.g_varchar2_table(15373) := '14691ED72971E4433EEAB64BEAC1F315463115F180E2308E1033EEE2EC70E4365EE7C3EEE8A19EE559FEE69FDEE351810F344110420116F7A8E77A2E10592116041113765113F9D0ED33A1E92301EED9EE1062210F4A41114821EDB06E1364D1EE5DF115';
wwv_flow_imp.g_varchar2_table(15374) := 'F8800F61510FF12ED100600F17B10FF7A0EFFAD01440EEEF1CD1ED47F1115D112940B1ED078114E2CE26087F130B8F10FA70EE0281ED0DA1EEEB7E139182F0E97E1403511762410FF5600F2278EFF3300FFB9022F4E0EF060115FB200F2D7FF2471116D1';
wwv_flow_imp.g_varchar2_table(15375) := 'FF1EF348D115C07315D9FEF006A1F317BF16DD4EF110C1F33D8F134111EF5F610FF6A0EDF720D1212FF2251F0F71AEF20771BB60E1F22E1F156181F20D8FF34051F2077F0F480F001D11EF3B1F14DD2EF40801F4430F1241011546F1EA6B6FED1EFF16FA';
wwv_flow_imp.g_varchar2_table(15376) := '20F7672FF00311F09A2EF24EA1EF0951EE07B10F1D21F33B3F17FA40F6132FF72D7110673F13321111789F108E7FF66EC10F3C6FF906F1EC0070F93141137431ED711FFA00D00FFD4010A49F160EF10F2AAF16AC7FFAA50F00AA3FFA12F1FA75AF10B22E';
wwv_flow_imp.g_varchar2_table(15377) := 'E7A20FEBC59EFBBCCF10B89F10B6CEF109F1FBC1DFFB291114376FFCB90FE625E1E308C1FC9F5EE57DBEE4887F10A47FFDA34FFA0FF1FACAFF2F11D1D4FDE02F12ACCFFA06F135A5AF0EE6F0F87D5EFB8CAF14F93013F03FE2CF0EFF9A1FFE13A1FDF61F';
wwv_flow_imp.g_varchar2_table(15378) := 'FEFD80FA1871FD00D1AF1F0082050D02E0F72F5DB97AF4061E24C88F60BF7BF2E4E5E32731E346841B3D4A140800234492254D9E449952E5CA942159BE841953E64C9A356D1614F8EFDF4D00025D9E4C684E9C45892425CAE357115E51923E9DFECCF890';
wwv_flow_imp.g_varchar2_table(15379) := 'E754AA55AD5EC59A55EBCB9C3B6F3A4D19349CC57C2791DE83E78E29C4A721A546DD1A57EE5CBA75EDCEECCAF369D38262E5C12B6B525EBF7AF0DA652CD9D6A741A9771D3F861CD96E639C03F7EDD30940A73DCD9C077A4DBC9871CFCA604D8A8577B1E4';
wwv_flow_imp.g_varchar2_table(15380) := '51C2F0D8216EEA53A7688849FFEF65BC87315F597EF972174DDAF3A1DB898E35AE252DF2206591F9FE0566CA1CB4C1E83F255F9FBA53B1CFCB9701E8B3177E1E80F1FACCA7ECDE1DC0BEEF1F3D76B417EFDE748543E1E95B0D6070E1D728FFF50B2F21E6';
wwv_flow_imp.g_varchar2_table(15381) := '0872EE9FDB769A4F2705A7136EBBE4E84A08007A74E2C72D8122D44C24A942CA879E7BEED16CB77A8A2AEBBFA42A0CCEA9A468C3AEC59A9EDAA72DEFE2CA6CA7056FA4D0AB7F84FA2BB0DAF46BAD3FFF66FBCFA87FD43147C272E0A94FA470AE29479D72';
wwv_flow_imp.g_varchar2_table(15382) := '241467BBBD54FA88AD2B217A2E2175D41129A97CFA298B9DC1EE99F0BFDC10C2B1A0D9B864B03884AC73B14E98044AEF3FA72E3B271136C26083A43F0765295000004574FF5044019D238B40E2E187BDA0C48107B0FCF6730D392ED311A6A718D92AAB8C';
wwv_flow_imp.g_varchar2_table(15383) := '04DA91078661FE6144897FB23100824C3209409C6B4C98D04AD3541A8EA038A5A3C796238731479D1B238C64CA9D6ED147C77FF8A1871638BAD9879D619C4D071E3F5CD1A99A61FCF0D51546CCA9C68F6BFE21E69665E9B4335D94425250C67F7409222B';
wwv_flow_imp.g_varchar2_table(15384) := '01E6A5B75E7B0568E09C7FD8D32C1D4A2D350A48B4DAF191247A62D963893ED8510F27E7CCA9A20A4FFEB9E15443B800201C0E5ED1271202B8B8260679966DB0AD073BA4A7A17A54C6E8BD88AC34E81F79FCF8079E48B2B9C69354D2C9E4D45B0C79231C';
wwv_flow_imp.g_varchar2_table(15385) := '573CB9E6065ACC31249B704E95279D703C0180195BDA8986FF1600A621BA1E50C24907946A68A9C61324A1B6251592D5451BD7A766EB4727CC746980A0020AA86A00BBEFC63BEF01B218271ECCF0A9AFD282A913581E76062F0870763641449543B0D107';
wwv_flow_imp.g_varchar2_table(15386) := '335DFFABE79F54948024895299F9E7E27FCA7900015B0028A3F424DC39D756A90C57279D745A0FD675D70F221523C508CC880B48FC60249554DEA0071443221926127692C6E60FE1C53184123F94FEEF1F5BAE01C01376FE71E59A5BEEB9E69A6990F9A7';
wwv_flow_imp.g_varchar2_table(15387) := '1A5BAA99061EB39F31971D5B584C5BEDBE469A68A00A7B92A8488422829F3A0C43738A6DB7DFC5024104500005D48B6E34B95B0106A0C00432D06E2438473C7602387F550A3F013B93E110171199D5C2FF839BC8463FF88593F948C1001E48C03560E009';
wwv_flow_imp.g_varchar2_table(15388) := '7AF82109E5C8C6037CE507349803011ED08CEA7EE28E74C4AE1CE6588839CC31250080891DAF7387436EA72B79C0011EDD8884EF32F18F48F8A11AD10005155DE10A387822122DCCC43352831162640300D9A0453F88110ECBA98318D7389A38CC950D60';
wwv_flow_imp.g_varchar2_table(15389) := 'A8231538D34939B085AEF69D84380ADAC88528D2211225A8275E09E49C32D3970CCDC94A44829B0208A20005B441116DB8C0000130C002CC0B000A9CDB02E946AF4F7E726EA7446528EF06417B6026211504D88FE401808A108C2499B9C73154D1895A94';
wwv_flow_imp.g_varchar2_table(15390) := '23720791883A8E10C23278820B08F003281EB08361EC000186C8041C3AF783B655682F8BFF914A3B7A888C69A8231CE1F0A6389C360C280D231BE970473D1CC4C44C143115B6B0C5C4C2618861C023138630C42D3211895BB8E216D7F80336A261B674C0';
wwv_flow_imp.g_varchar2_table(15391) := '8178B610A74181218E3764A21BD8BA2728CA11094388E39EAEA8073B8861BF3EAAED420080473684A51D7A484833FF68473532A30E6410441DD98087AEEA078F68946872235BE47672A40B2CD8AD936D98C300E6D0864E02E00205BCC00506B049BA7572';
wwv_flow_imp.g_varchar2_table(15392) := '800A48AA02E636C0A30AC00149BD800328E94008FAED1F14FCD7054F524B4DE96A1FFA0847316A010D8B5C064302B1474274A2CE73EDA637F7C0876EB433905C09A741CA69873A18F1065AA8830B3BB0D614DFE08667A0815BE520D8FF3A658A10BCD663';
wwv_flow_imp.g_varchar2_table(15393) := '4C281D293BDAD60ED4F523A600D0EC6DF8018F2FD102700048473B8AF80F64B0511E5F92193B40AA8ED7CCAFA31EBD50CD3C010A64F4431C6CEC873A08DB0F70D2361BF41047247402073F6422B8E6F84738A05B8E7F8883BAF4284734E0408F765C6364';
wwv_flow_imp.g_varchar2_table(15394) := '8F6CDB2C1AE053A15A550073C8E4790140025DB4210B50750000E22BD530CCE2118FB82A09E6608A0B64C1016CD82F09B02A8007F6ED6F81BB4F4AC84A92CBECA41CB5E80434EA819F7DBC557E71CD8C20C984186B5AF34163E5C711E150057130A30C4A';
wwv_flow_imp.g_varchar2_table(15395) := '006824FA81062F54630C6810E761240B140AE5B07E87BCF16210B49B0CDD6320F428698623A22B3EDE3636FD838721D8FF088A3730221BD9A0041C90010760D80214DD484524AE31C57E18821F99704519BEE787483C0D8A993087173D5185681882164C';
wwv_flow_imp.g_varchar2_table(15396) := 'B2665BA2A70B12E0AD0D0368800214515500E842118F18042660310E5D60421498C06F18DA408259604217BA98842EB2F0085350DA14B39885565719C103C352AC2659F04114E48E6320621185D8C4CE92C5369F2444409ADA0D46EC37202E75A41D51F2';
wwv_flow_imp.g_varchar2_table(15397) := '83170C91042254716268C8843B848B5A192FB120F91851CC3EFAE1BE80889663FAD08FC734A7A2FCE656469689539C030F46108316E100802B0CC1DC7EA4621AE28084395281065B5442276F28032DA4D60F3FF4E31AA9F084F30C610BE5C26362A01846';
wwv_flow_imp.g_varchar2_table(15398) := '3D4AB6B6FFF036C0811778C450F14BC9063C42176198449F0391085D800300736840181EC1E847B32110A6C8C22C1E2D8A59E441177320B0DD1CC0E9AF22788307C9870621E21C6CE4BA0A6288D819DC50C7F8758548263A29CC2762A35A7B4590F03007';
wwv_flow_imp.g_varchar2_table(15399) := '28FC608832B8C2165FB8039BFD60855440C2A0B4F5B1B1D9A4937B083CE6142188877A62D74346CF247CED0747E2876D9AC8B91D4F0685273C318C6164D90F9F350423FE408B320040B9FD804334FAD1CF2E0FC313C4F0C42DFC30147185C30FADF34334';
wwv_flow_imp.g_varchar2_table(15400) := '9EA318489220E503802A262F60543CB781CE8F50C4241491854B503A0C020803004CE1DE5904820DB3E0842E60C1094C9842E36D18E00359FECAB0B6FFC470CEEE4B74DDE00531145F0C63188317BC000CE5C8E648EA487B3A5C6D237A98431E2382079A';
wwv_flow_imp.g_varchar2_table(15401) := 'D8F1A57A9C6564F938A27034020FA799314AFE82A17433D60D339A831DEABC1D6C909134054D7491277D48B2B5075250DCA21FBB0D1F43A0AE2D61BB17518C7B1886604B0538A0057760074F2803CF02005AF0846C00B8DF7A8E70B81E71C88623F10466';
wwv_flow_imp.g_varchar2_table(15402) := 'A88748900757309B7088047340866C708561C0075B993383332501DAA40508AABB0180A51A80CDBB41B931AA0B981BCEB31BA56220A592AA4DF32ADE131C95A087F73B88F9C0062E40BE32B8833E40BE31A8824EE8B98408875B1029662006625007EB79';
wwv_flow_imp.g_varchar2_table(15403) := '327302B77F78069C01804C408676B005FF76101A7E208668F0846ED01381C887C03AA2D6799D2FE1C32F39A26A1993F87B98C743924C40280030874C60063D4A856BA007ED9187AE4B05E7A2850644865BA8C41554AEA8E0AB02B489E1581B8270053312';
wwv_flow_imp.g_varchar2_table(15404) := '3800A084A103053342A4F9401388E899C9B911FC03AF7721811B2420BD29081C2488A5DAC54FE245B95920513AA5040A46DDF32AB0B220256442EAF887E3F10229F002E43BBE2A70036C481D9F18067B58950EF41EB0E91E5A30137349C167F8877A6287';
wwv_flow_imp.g_varchar2_table(15405) := '6AF82D57D84278C0861C52117A90072003328BB008788C478BB0AC38330DC4C887499C0714A4B2542807C5038037108754B4056668079D68075A680732DB22248904957205D4F12BFF4FFCC49ECB89CB9210205327D2B8063FA0856E10091BA18840CA8C';
wwv_flow_imp.g_varchar2_table(15406) := '7A18A90AD9097AE890AEA3AB59A43301E041BBB9C105DAC11DFCC58238209F32A5600425BC71A0BDD1857D6939587A39829825FD5846667487780A054F884A4F880571600C81C0876148886B60A3EE210671488559B28569D8A8618806951A068DEABF70';
wwv_flow_imp.g_varchar2_table(15407) := 'C019508087676841C5808BF7708FB0480826C9867DFB1D0A1C0650800312EC876740B365C9A3C28A0400C83273789A5B081E0DA3358CC42DD2180E3D9108643B885B502D7C9013B5AB9138E908C4D0A1648924193C8803FA249ADCC94D32884E624DA772';
wwv_flow_imp.g_varchar2_table(15408) := '4D7BD9B456224CA44C897C708D975B909CC8894F4BBB8CE142961A06FF64300762B8075A2807ED41415A78867248C56710876748876C48C1727833641010D5E10ACA480876D8272BAB222B03857BC2B71DA19948009323599F5B800381340448488705BC';
wwv_flow_imp.g_varchar2_table(15409) := '06B0784CC8BC13FAE944BB02915B68A97023060038ADA9D0A17F38874628882CD83C0305000455D00365D0046D5082E8AFA432D008A5D0090D047D610F648C2550CB145143A4B6000EC6D009DA3210751893CFCA8774B89EE04A0807142D03F1B1D95893';
wwv_flow_imp.g_varchar2_table(15410) := '8143BBECA80F9D10077648197E28077700917F901A99A108ACEC077D28071F538776208C7428D222A3CFB9B085CFB20AB4B392AED3877A9807F3B0077DC0872CB5072FFD8E2EE5872E050F2F9D877DF852F6F01BFF7CE00C7E9887B4DBD27CC8527A008F';
wwv_flow_imp.g_varchar2_table(15411) := '08710EDA4409B41092B33319233110B9728976C9A11211B245DA090FBB26ABC091E91808787005CD2213DBC9A11B098C7BC08F4E7C52B9E00CBA509DFFD007EB80D3B23A097E999182C00CFBF1087C201104FBB492D0D3A4D4C84E2C2BB59393CAB81F8E';
wwv_flow_imp.g_varchar2_table(15412) := '0844B4030939D990F9BC0AC2FC07979454C4B854FC308F0BBAB64CD58A36BD1FACC026F9C43F1A2DABCDF0CCCEA8116DFC077B00906DE58C6ECDD655C5D3B1928776003EFE210EA3A0D566850DD17099D5A8CB218B555F7D09DBE207CB7A99B4D3889E53';
wwv_flow_imp.g_varchar2_table(15413) := 'D67DF5A347CA903A7C8AE99B3E6DB45637C15699224C6D55580001806E1D5370ED3D94E8BE745A97FF6405A674CD928BFC4C518D88776D561A95091CE9D3DA800D8DE5D7935D0E7D8D999838D4D218D90B710F8F20BB920C575093078AED578BED0B8C75';
wwv_flow_imp.g_varchar2_table(15414) := '19A8485792CDD88F1DD9905D102CA90E9445DAD1C08EA1ED580261D575E93E78A0078E1D3866D31F77E544460A0BAA085ABF82D9AE25091E2B99A47DD2925D89FBBBA56A6D89CF00D98B45883BFD9752AC8D59220C9539A91BF1B9450550B2B555762909';
wwv_flow_imp.g_varchar2_table(15415) := 'B5E5DBC09D091B69935B520771A00778A80777308ABFA857EDA3AD3E945CC92D2230B9897440AD228208CBCDDC986007D9922D82F8DCD105ADCF052D97E2DC82D8BED58D5CD63D88D04D5DD13DDD82302230695D97E257DBC55DCDD5DDCBCD5CFFCCC5DC';
wwv_flow_imp.g_varchar2_table(15416) := 'D30D5D3B01DEC99DDCD7799DD5B508CD540DA10300D5D243200222D7D1433D442DE4A58AD60193D73908EEF5DEED05DFCEF55E82E05E821022444C1221C25C2042C4D971DF8348124444AD24E9A1F98508E00DDEF99DDEEB155FF96DDFFF65DF005EDF01';
wwv_flow_imp.g_varchar2_table(15417) := '16DC9910600026E00356E0046660002E08D7895FF2C5DF1E4212D9995E0BE6C3D95D8D0F59999521080F361820431BB93518A5A4C713860879ECE00E0E3B7914E19238E1A54C190F16B8922AE01B96091B2E08172EA9789887F180479392C778F0E179A8';
wwv_flow_imp.g_varchar2_table(15418) := '87729DB958038086E0E12676E1B459E10EFE9029368815368958C3625A9A622A26892836082CEE3A2CC6077CD86210D9621C4663FF93886210268933365B8800111656302E165C2C56E28240E20DDAE231FEE282C90D3BE631B14DE3023E632D26880F31';
wwv_flow_imp.g_varchar2_table(15419) := '8831FE903166E4466664FF1C2B4456892CBE8E373E3658355A8F4D623BBEE27C308F31DE0D7D8859AA653B4036E53B4E63410EDB9639E57C7864CD34093625884DD55AFD790F58DE58922588472E8991D04C1EE3E5B7FD0E7D105BB145645776643EF64F';
wwv_flow_imp.g_varchar2_table(15420) := '58566467E3635856E23DD6CC3F56E53E2688F3508EB3BA877DD8663346E47245E2419EB9269CE253EE63490EE55823E66A2E6349BE64407E095CBE095AFEE1F12088F1A0E5596ED8F0E856CEF8E18635886E9D657F260F7B1EE881FED27A1E0F23C6D27F';
wwv_flow_imp.g_varchar2_table(15421) := 'A661219E077A8868FF83B6671BFEE782FE6012961034E1E08E6CE2B05B0F2D5EE194013E81F3603489C7203E641D5E4AC864E94336A98298A596564A92884790A625999E6983B0E1962E2993D6E893086AC860E39420E2780000A4A6E578C8E74DE58C6C';
wwv_flow_imp.g_varchar2_table(15422) := '6D2493C86780AE0A8990E721D3CC310E8F83F8E71F2E0B7D003E4B75B60F01EBF338D6329EB02BD50720236BF398305A4A8F1182087A0C6979D807BBC6EBF5A069BBD8EB1DE666B9AE6999660FBB5E09BB0EE743BEEB8A00919B9E62F38835CD64E29886';
wwv_flow_imp.g_varchar2_table(15423) := 'E30F966C2796C7ADC0071D7E09250000CE2E082B3008D0E66C25B002CF0600D026882FB80200506DD5DE8A2F6009D82E082D2008DAEE3B88B0022FE002E5CB6DFF8CD1EDDE56BEE403002F006D2B483EE5F382D31E03D04EEEE4468933008033A8022A28';
wwv_flow_imp.g_varchar2_table(15424) := '09245882DBBA6D881003E7F602EAA6EE92780288A88282086F95280334C86ED2416F37C86E372808F746030040EFF93EEFF30600F72E03F896EFEB9800009080FE0680FE06F0002788FE9600FF9E80033FF09B00818200810E687008EF00835001101881';
wwv_flow_imp.g_varchar2_table(15425) := '0707010CBF7010A8F009D7700B07F10B6F010018F11618F182300114000014D8001617018240011458018268F116E700165F810D98F11550F10DD0F115987100D0F182F0F110D800000801214F722417F20DD0000DF8000D30090238000220803AC10182';
wwv_flow_imp.g_varchar2_table(15426) := 'E80100E08192C0011608F20FF880259709324709FF23F80123300220288834FF0100F80124787337877334370200B8F38348733C070020F88139BF01C8188182E88011B0000B00000B30F4445F74450780099F7000A8004437880A20F093187417D07400';
wwv_flow_imp.g_varchar2_table(15427) := '70818260734FEFF4217081210000523F085127085157754E57F54E67F35787081B288818008017D0011878015B87011D20091DF0755ECF7500B8755E270818000063C7755B7F812C5F761D58766107802CAF81690F72B6B3EE3B470200C876ACA8812C67';
wwv_flow_imp.g_varchar2_table(15428) := '89244882230877003802823882723F77734F778248020068779208F77277F7772F02C870814227740018017CEFF411F0777D27880E107848578909A80009B0748318F4825001825001177878FF88977817008250CFF43E4FF586477551FFF452FF7420A8';
wwv_flow_imp.g_varchar2_table(15429) := 'F84F77811D487682F0F62CE775157F811AA87567B7F515AF0114D001143001615771625FF18260F92FAF0116F07682E8791547811AD871FACCF61DD0F62D5F822D2F081CE0719960F99730822298FAA94F02231877745F777477F72208F724F0FA743FF7';
wwv_flow_imp.g_varchar2_table(15430) := 'B10700AF2F0859B78B3F38887F278841F7F77E37884EEF74853F094A2709B67778B7070015188186EFF35197F8BD5FF551F77B4E077C52FFF83E07F95407F9115F795EC70167C7816667F969B775679FF6988FF99C17F619677999BF799BC7011CE8F668';
wwv_flow_imp.g_varchar2_table(15431) := 'EF79931FFD9E3F7DC8ECF21E4002D7B76EEBEE81EB06801520FAB86877B3BFFAFFB2FFFAB1D7FA74AFF723A877731F7E72BF73AC17F7E1477B418F7482B87717B000E8977BE7D7F7B9C7FB98F8F7852F7C872F084D578188E7F4C2F7FB87DFFB870782C2';
wwv_flow_imp.g_varchar2_table(15432) := '77F5C357812200F99ACFF92CFFF99CBF791567F9999FF998B7FF19D701CF57F18300081C28740C2C48F0600D143816026808004743160E2752AC68F122C68C196F385C82A487471E1A4792746804401294465226395224C9CA22138F346CE950E6CB232D';
wwv_flow_imp.g_varchar2_table(15433) := '8B1CD1E99265C9A042018C7038A2E844A4178F06556AD129800E1755347441D52A521556AB526D88D445C32160C5021902C02C0C002F6A34D401400744B76FD9BA7D11B7865B82005000485823E10A146C051714A803EFC4FFBC15E1CAED8B43E2E3866C';
wwv_flow_imp.g_varchar2_table(15434) := '31D6583134E38AC98B97F040C264079225003C7ABC6CBAA6CC242F1B1249D29AE744994400D074E9D0A56D974468EE4C79FA77C50E23A4527461C1C508B015993A44AE9C22F1A8C08B528F1EDD6157A200B66AB5A842A664B50F59E0500C80455EC46D5F';
wwv_flow_imp.g_varchar2_table(15435) := '4CC44BF8E040CB9551C837A870AFDBF2E581B39D4CE3BF65BFD520D144253CD410133C70461112A32121127041C9C4DB44AA3544534640F9D610781461186184474935DC51235800C089293EB59443159074DD65276A04A352C95135040C1E3494D9638D';
wwv_flow_imp.g_varchar2_table(15436) := 'B5D5505C19E9B597667C05D6105F38205683923AC0E5908F2082885E5F1AE9C019962081145A83526A641300FF1D3A64E1453FDD74E6870ECDC661985E9E365C715838B48676DE5DB185191D0C71C5563E7C31D1044F8D08A34648192AA3431D28AA1155';
wwv_flow_imp.g_varchar2_table(15437) := '5089C72443154194D85B6DE115A0437F254491404C0ED45794114E0A000D113E09A47CA48687A0820A76C4A5AB6E6244E14DAAD9BA9A453885F99398B4B5292B884575A0DC28B24C94CC720050B5CC45B8F053D1154919456846167480A845C481409C70';
wwv_flow_imp.g_varchar2_table(15438) := '30122AD879072AB6DF48876D2AD97D7D29C4D7644AF27520B0ED4D840313E5D5AB51424A5604AE660A5EA9030F4C680940830A8E1AEF45B7A6045BAEB17988B09BC42165EC2BD57AE525B510AF38D1BB0F29C416799C529416941D670A2E61F90EA8995A';
wwv_flow_imp.g_varchar2_table(15439) := 'FF91861A61650FF557A550033A241864132D017082147576A5BE1A37141399B4F5EAF0AF4223EC54300D1962C929AA34440C45263EA751C54A67B468462D4C74A463930A04519341560A00C944AACBB1BA9ABE9BEE420C3D392A63640F1520CB329F5DD2';
wwv_flow_imp.g_varchar2_table(15440) := '64045A0421004C3C1812961005AC719A169AE96B464538AE261044443EB9D64209E75030C636D48C2F1A055AF9695C579BDDCD842119D1B91371E464637FBDB0C291954D86E9819A8AAC9F9B9965A6EAAA81F3C0337F1D29B873439CF90878BC2BED7A26';
wwv_flow_imp.g_varchar2_table(15441) := 'E3153D3E91E4A0CB2A0B2E147D320C8B009C338ED27F00B0451CA65D3E147DB1835BA5DF18DD676446023D04D75F074B4F299420EA906082FF3B2FC1191316F50F2C4F70751AC9AD697E6F9A88E69A950319A92063F1B20700A2359D92F005657BA992E9';
wwv_flow_imp.g_varchar2_table(15442) := 'DE5729C51CA6532633D9D7C2C3829919F0344C2A49C052283880BDE577FF939F948C802B5D45080825B49C43AA270B645D4409D7219DC6B6019C6E390A44EC421244DCB329DAD12E23121961B86856C2FE41E865434961E07696208059D14B4713CA0F80';
wwv_flow_imp.g_varchar2_table(15443) := 'F0831B4A897A18699A0F106528158C808DCA6A231C816840128D0F58F42112BBCE771903DDCC2F7D3C62FA20F63B00FCEE30027A88FE1A833F0831A131A58A211923A9112F4C641457EBC0B61A254737554F920E3901004009CA267A1261E40A9C94E237';
wwv_flow_imp.g_varchar2_table(15444) := '9A7F89A62D3D2B252C956605FF4A4EA521521942077C08313338640BB0DC0000808924B09D2E94B18C25146B2012B9B8858AAD3C263465E5062E60C402A3B842A0B650443769412320981188424011719E80768399C8064019CD68624924CF7CE53AE359';
wwv_flow_imp.g_varchar2_table(15445) := '122B00600C00A02735A103235FF212611DA08A704050946F3684A091146645F8788272CA339E5BDA5B43236A913F98E10D7080431CE0E04B8B006222E18318520C2A52038AB322A044A844A3094282C5AA7F5D4C6944E39003001814231BF5279CA82515';
wwv_flow_imp.g_varchar2_table(15446) := '0716C545080BC1065650CE5106F504212827394B0A534F2E01246F79E123971ACF40C12928C8B100521C78C0DFEC5463A25C413A571002B08252A9522D650FA004A1BCD1FF8094672DA156AB159D6FFA1463D2318D527CDA81BA0E25041A680830955ACE';
wwv_flow_imp.g_varchar2_table(15447) := '0D00D5A8287DAB24B9F4CC8C4415B106E42B62E31A2FB35A24B08E8525ACEA6711B75EB6B3D2DBAB54AC0559598520030D292C503D7BCCCE2C76B3FDE1AC6A636B578A544046A295AC6C734B911EB0302379D32D7041741DD05600B7C1CDAD530779DCE5';
wwv_flow_imp.g_varchar2_table(15448) := 'FA93B9CE2D094442F3DCE952B7BA4A03266CADABDDED72972485984821FC50083E74B7BCE6EDEE3FFE4111F5AAF7BCEE7D2F7CE32BDFF9D2B7BEF6BD2F7EF3ABDFFDF2B7BFFEFD2F80DDA48F083D2BC067ED8781A55A8F04EBB6C041C1078397FA063700';
wwv_flow_imp.g_varchar2_table(15449) := '000D774043848FF9860C43933D1C66AE0736E0010E4840C4FF1F3EF18949060313A0F898621CE3726300000450E4AF7E75C85FCF9BB689B0B8053BB0C18F83DC62A1FDC0084038C90E7E90E4252BB9C94C1E322C572C651D9940470EB9419081AC6528BB';
wwv_flow_imp.g_varchar2_table(15450) := '298C00D8810D4DB3032E97B2CA14E9B145387203AF0180030E49008DC92C143136C4CB63BEC80D6C00003DEF59CE884D410A0060E5193FC0CF5ABB73980D9DD21B04BACD0E89400212A068101570D2C14D00032C7D9A31B359D3C72DB4A74922461B263A';
wwv_flow_imp.g_varchar2_table(15451) := 'D4C0CDB4A94732EA30B23AD5AEAE2E8C5F2DEBEDAE7AD5B3BE35AE73ADEB5DF3BAD7BEFE35B0832DEC6113BBD8C63E36B293ADEC6533BBD9CE7E36B4A32DED6953BBDAD6BE36B6B3ADED6D73BBDBDEFEFF36B8C32DEE7193BBDCE63E37BA9DCB0F07A7BB';
wwv_flow_imp.g_varchar2_table(15452) := '72FB68C83DC8BC6E7E2098DD13D107BEF5316F7BD31BC1ED16CA3CE6C1657900E01EF7A887C10B6E1A7DC47BC04271F8BF5B9C5E00F8DB34FDF077C58332F1884F17180E89452A00100BA181A222B6A0852D80618B918C1CE529B745CA87010C99630F18';
wwv_flow_imp.g_varchar2_table(15453) := '2AF738C76F086A8B70000528F0000B0269C4BF520000440740042086818ADC18AC4E0F668E29B281A90340042240017B64BCE317E8E00541375276736E3F18C898222F80810E60F002AEAB85055EF7D2BBBAFE16AE7B385E5EBFA34384BEB640F2007969';
wwv_flow_imp.g_varchar2_table(15454) := '6D500F1A049A93887D7E759F9787C9A503F4E0C02E52520C0A0894C178D5677724B14C08FFD20525E201FE239E0F3C945E5AF8DFB0272DA7AADBA9205618F2A087F510FBED50DAF523FDC58A60691D7DE5B80EC32AE5A7658D7F087B7067AA75B90F6261';
wwv_flow_imp.g_varchar2_table(15455) := 'C797145D5A110505BEF91F692DEEA5D43112CACF90108BDBBC76EFA5BFC06C22096AD533A53B9AC0F73DFA5E32815C14C218F54852F4B1A40B4538D210D6DE793487333F88224511F867CAFD5ED27E2C4D8A66404423B593682CC10E88C698294897F40E';
wwv_flow_imp.g_varchar2_table(15456) := '00E21F46F41EDD5804DBB187DCF99F5060202C69DF67FC4F0236C4E0FC0804BA89441CD15C3CA0AC2086F0BDC5299191EB898CCEACD2CE20416394DF08028B9204CD43A0A09BF0A024C19E14F90EFE2C6003EE8F0FDEE045E00D08BDFF546FCDD7A8B4D2';
wwv_flow_imp.g_varchar2_table(15457) := '0D7C462B856033210F1292C46064861EEDC816268672E5DF52255195C050FEB813F8B58AF2FDCF1592C41DC11ECAC8CF17DED7A45C490A2DC12B3113BCAC21664CC6BB68867C608A5CB4607E1560C0D41F82E8E165841D1F1D9F7E2D53E8A192062222DF';
wwv_flow_imp.g_varchar2_table(15458) := 'AC548261110C4AA24380150030228A69912221C811E2DF588DD561195ACF2C1290640A260613607DD226FA1923815F43DC5E289A1F6519D5A459A1F80D921A22A25F11D6275996385156278A1F2189460A59E1156AC00668805911A39CC945E079C4EDB9';
wwv_flow_imp.g_varchar2_table(15459) := '532D8A9D5F8993336E633672A3698913309D4051051327D6576BDDDE5BA41E2246DD4538230094562B0E5680045550A5FFD67E5162C05CC92A0A85695956439C400988A35195D53B3A0434E6975345E23EBE233052843A554406A4165015161FDDD7822C';
wwv_flow_imp.g_varchar2_table(15460) := 'A49400538E45A4066400371A1D431AD37D35601C62243F96624680E341C69747B8050F00A149A65A5329644CCA1995F0C035D6A49FF58010E8E4AE89433888834F0E255116A5511E255226A5522E255336A5533E255446A5544E255556A5555E255666A5';
wwv_flow_imp.g_varchar2_table(15461) := '566E255776A5577E255886A5588E255996A5599E255AA6A55AAE255BB6A55BBE255CC6A55CCE255DD6A55DDE255EE6A55EEE255FF6A55FFE256006A6600E266116A6611E266226A6622E266336A6633E266446A6644E266556A6655E266666A6666E2667';
wwv_flow_imp.g_varchar2_table(15462) := '76A6677EFF266886A6688E266996A6699E266AA6A66AAE266BB6A66BBE266CC6A66CCE266DD6A66DDE266EE6A66EEE266FF6A66FFE267006A77046533EE4834378CF709244BC25A750D083514405523482327492D424A7C05D44D3C8C22F00407502E7BA';
wwv_flow_imp.g_varchar2_table(15463) := '295CF8388A2C340D73368473FA419D94E74508DC47A9A746A0A77B6A4478C6E750C8811948107DDE954394C17EAA27721617B6E4277C4EC45E19D42ADC42270D677B36446D8D960F2801008C166F0EE844D05543488084FEE682B60808B88871E9268556';
wwv_flow_imp.g_varchar2_table(15464) := '288AE4E748D8168942872D9DA88A9644A07CCE7042E84428C1833E2800F88015F84072AE033DC04343F0288F36443CAC4390C60373EA83734E443C1C4929925E6770D603C4291C45D883C031A9703A2900BCDBBBA9A871CE1B5766E995DEC33E3C2989EA';
wwv_flow_imp.g_varchar2_table(15465) := 'DB8A3A043DD0C38295A99A02001CACA99B560402485A9CADA901BCA943D4697D05040021F904050A0000002C7300170074014D010008FF00010804806FA0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336ACC97AF9EC68F16EFE1C3C70FA4C993';
wwv_flow_imp.g_varchar2_table(15466) := '2853AA5CC91264163600B2B49CA951DF3D00F90CDEA3D70F5919814A68D22CF345A8D1A34853AE016066E99A3771FABC99E965A2172E00AE66C5AAB52B57AE63AA260C3A66583F8F07E901F0F3004252961C360CA4F016E183080606323890376FDDBF2A';
wwv_flow_imp.g_varchar2_table(15467) := '3D880020A2040DC2833908549CD10363BA06133078C0004084860C124490AC99C165BD944357D68C3740420301A622DCB9960264C01F13706821300680183064C0480123690F188C610B5F694388401B3600184F2E03C00D81377638DF01E3866D87379E';
wwv_flow_imp.g_varchar2_table(15468) := 'DB7EA170300A00C11B7EFF1F0C40F040111CBE1B441F1E416504061210507DF0E6DA07F0090CAF68C0AFC0172600900280DC25D5DB06AF65A0C17E0C829442422934D7426F17C1709D401E00908186146C3850780B71801E7ADF85179E087201D0A16506';
wwv_flow_imp.g_varchar2_table(15469) := 'C07750006E00A096411EFDF3477EFA35181101FE0964020C307017205231A807C06496E9A86446323429C383313CE79C6DD551589B422F34098095076D1641062936C418632864A89E770D3DB0100201A021637D02F961DA920C1990E3402EEE17830604';
wwv_flow_imp.g_varchar2_table(15470) := '1C40E79F2B5DC725433CBCC0C3803C3407DE625E2E26918865B200000A2C484A9E40461A14819A08E917C04F330E64DF1BA6113067837702AAEAAA20D9765D93820EFF64DD6D065D2890958702A083629731D6E84425287666A6988A90295D952994C0A7';
wwv_flow_imp.g_varchar2_table(15471) := '6FEA24906AA92E74AA429E2634ED40D7520B408E7E1110ED43433A0443B812A9D9278F3C02B0E0417921005198AC3208A441CFDD30A842BA0D160002149430D0A6149027575C07210800BC028D28A288E029BCE8410900E0AE409E825A9F5A53F508C09C';
wwv_flow_imp.g_varchar2_table(15472) := 'D932D4F1C619A1265000FAE5271002286B4C93A26EDDE9976901A83C32C90478265008071548AB0C3D4819AF70DAC9EA106E003C606AB296B91BC160227408AF87031F0C66068A812910D51E1AC4D85D00C89C17B3A10EA4568CDB8E6C36003FACE50717';
wwv_flow_imp.g_varchar2_table(15473) := '1932A4E69C01E68880077372A0DF03011AB043DB0665FF1BF341EE26009F9A0FAA34A807130F946E00D37E56D1A53F2B79036D3ED3AB10DF1174C82942206EE079C10E550DA241087C36319B3F015092416AA5FE22004464020036B600F00C327E448C50';
wwv_flow_imp.g_varchar2_table(15474) := '5EB5F7864C3EF064A35824FF540180EC5895A3CE03CF00600E64A59E9AADCB02E5452E4292F26DD0F509BDA6F8C4E98E6CAAB6D527A901D207490A5DE4EC2B946D651C48CA41D60321CC21FD211EB4B94148A3AE90473FB113C90662056600C016760000';
wwv_flow_imp.g_varchar2_table(15475) := '1316219051484062D332C135B24109005CC30FCEF30400A2718DDAA5E2784968473800503CC67CCB5B5D730805AC241DE76CE94A14899B7EA295976A7D4C207C59C801D017BFF6F9B0562A3A1D64FF2E83A4AB8DEE4329CA80D394C844BA606D204C9458';
wwv_flow_imp.g_varchar2_table(15476) := '045056BDC461CB7507A9C73F52373E81A8E017BF00C01F2C319051080414568CD335E0C08E0030E30F0000452A8C570679048016CC78852790118E04F8811DB6E891CB284004853C61204139081AB00811EE6D40637632488E48C63853CDD0207EC964F9';
wwv_flow_imp.g_varchar2_table(15477) := '12F202DBDC40069FACDC0F9704A4EBCC49777A1148B0CE2310FB85294CFE7AA54138E538001CA04F07A9D8FFB698C29121A012C11048250CF28A64906219578859C900C00C7A8CF007CCC88407FA8106501090169118863A0462841BFCE01F5841E1008F';
wwv_flow_imp.g_varchar2_table(15478) := '03802424E10855B042420EE985A200600C02290317C65014372CF2850C618CBBD0D5FF104A8ECF537E3A120D6F89100D04C756A364958502641A992D2C61476C252BBBF3A124B98B8AEEB2531A37C6C881683180A702012EC2C80C5BA80200AAF0052E88';
wwv_flow_imp.g_varchar2_table(15479) := '21CC48FA481C49386024ACC98E4C70201BF004852740510638342F1A5530473A5C61C5711AA09000984A4CEF80153FC013006EF2C21BCA3015FADCE10D645BDF4138E096D7F5F26C17A9A1261572AF844A243947C1CD757294800C74B5680841CFA208B6';
wwv_flow_imp.g_varchar2_table(15480) := '9E875E0E4503914C4202FAA28E0AE4266EEA510147CAD25AF842200604403056F140B3BD2C97DDFADA9DF6C52684CCC90045008027AA0100463C83167E40C607AF718B18A9A31A5C0847F30C310C9602201290109AB560E6BE6DFF4DB2535E4DC89D18E0';
wwv_flow_imp.g_varchar2_table(15481) := '17FB99355E5C720CC00CB20172D97531BE6D18C3C8C301C550A0965F9524F8E229A3D57914AA8A13081AAA718B303EA318B518082E00C0D207A29022371CA741D2960A57B8C210DC0540385C91846C10830B86B80600EE908D0F0A840B5EA84635B2810C';
wwv_flow_imp.g_varchar2_table(15482) := '29580172B48559172986AD53556B5B3744085F057299E4FE3672A0E49545132002161CB77EA3438F6046A7180EECEF20BCCD53D9EEE4570078C44D67FB42346C57BB420C0414AEC5055D145CB64E5D6B9C111EC85189A0C16C24211A18F44238F01809DB';
wwv_flow_imp.g_varchar2_table(15483) := '350F1433B6852BCA69C14C80821946E81AF81E6BAD8D4D0FC8DF1AD92D33992CA451C0C21F8901422F7C1219D866FF03A54B00D7F036107F3DCC515B15418638A03D84A052C208C8617601D0D17CDCE3C50829C2348611093418EF20A3200628FEFCB130';
wwv_flow_imp.g_varchar2_table(15484) := '07F9450820420C3C91094FD88218B4A8843523818C5BC8170D9998C65A9811096058F31970386039C38CADF1F973C10C8670AE15C217FF7CE6011A5093B1B88791DEB88A7D68354A0CB494B4CD0C84056D530CE416659EF2102643D3E650D13EA3993406';
wwv_flow_imp.g_varchar2_table(15485) := 'FA6C2CFE1FA11102815718229D5E10CB40AE108B3F704C3F116B175CBB6680B6DCC98A11E3577C2870AD1D24F220F44C0256CAE0852448C1208F06B03A0582D4DCAAE4BC491A88065634109D5144510B1125606E906C170AA4677F81017904371713E8F9';
wwv_flow_imp.g_varchar2_table(15486) := '4372FF6D6E730553ED8978A97455541901DCD5E29B30D2345F78C355C68006B23DF50F5C22191AE089003478A1085208404C01B08318A8D304F2ACC203E0C0852AA0210926986A4CEF141CA41A210945388212960E802AFC7BE959DEEAC62CA95E94A4CA';
wwv_flow_imp.g_varchar2_table(15487) := '3D0251D3BACE6302F509A4701101E5DD4F8E9235B3A4673DA089B1B9A31898972D310749B95C1F32BF85FCD99608A0F54FE4811000EAB6285A090B80059236900DA40C01F881D5B980002E3CC00B19828107E05906B97021ED3D3D828FAA82EB84A0ECC4';
wwv_flow_imp.g_varchar2_table(15488) := '99D975A76AEF766E7D55EE144F98A4EC2E208AF4C6032FE8B344FC6E39D9EE40E3790740CF305E20E89FA437C4CE11730953E23B0FC4041E007FFF991882A00C704DC20BA9F9B8FB2610085475BF00209B173A067A2208FC3BF5F200E84DA0CE32D0850B';
wwv_flow_imp.g_varchar2_table(15489) := '37E0077434737F00074372697E8100242749B4954BD17312DEF23E08C0291BB221612202E46177417210CC7710E32203160711C7B6106A4611D6A7357746011C00191D08124012820CD67D0D832106117E08E101D0A667AB64104A6411939713CE124096';
wwv_flow_imp.g_varchar2_table(15490) := 'C5747EE00AB59354CA37103A5706F3C1051C6000B923027E40043DE007D1014F4AC02909000749D01B6A2233BB436B9E3786477151FF221013D74AF0321892122E4152560CF11C70081B18271090B182F8435CF8341326A061123373D99630E521022627';
wwv_flow_imp.g_varchar2_table(15491) := '10D066106552880C617E14E62EE8FF732A7E012A1C11840EF1788E97421CF6672A586F71872779C1290FB02F1861275DF4636C27862611672AB21023521E956210B9A11B75B82A2292849C836707611E27A81209D01F143626CCA56784C8027557773808';
wwv_flow_imp.g_varchar2_table(15492) := '7E878802DBE77D50040096687BE3560FFC308DA2326E1A73691EF316E8A23B33B7620E614918A11F09284513E88C1AB28AAC5829753710B90100CC568280222478B766016202263020F8021D3D308B7DD787DED3350F80780C23182CC08638D8361E5026';
wwv_flow_imp.g_varchar2_table(15493) := '4C0300C4471876812714A66B9894173F218DD4F857EBC72AA838737703860F818A0ED12EBFB26DE81851E761772F0024B9D1823AC29206C18F0AD133BB9811AE122E0F904954FFF3308C919001728CEA739018982123C67DC855359171325DF32D34E762';
wwv_flow_imp.g_varchar2_table(15494) := 'D3685D96E79191A351493911E03811901891587935FF98101DB68EB0C803B9118BB4122F304927F312775F783533E89319588CC498832C97188B573F73B139869743A912894C799100700FBCF45B91D41FA8848D12818D0F804A9C72665BA910C4762B3C';
wwv_flow_imp.g_varchar2_table(15495) := '103989A228F0482754A23F42E62896E223D0B69926678F7C778B126530109346D1B29416498950E943894398FC413A962951C121620B431ECA67770FA29232F07C5B322483B198745896F1D2552D1226DAD3906F090001C267CA69108A8966D5D32D42A6';
wwv_flow_imp.g_varchar2_table(15496) := '9716695D7ED96254F963DE3827FFE4600D912A0BD622F0D18B83FFB6120A9846744117081226B5081120282089220432601CCD8150CF281C81277DD0F17CFA39937F8150743131C6421E01428C29508F15372485187E08A96708032FB5E48BA4239D7CC9';
wwv_flow_imp.g_varchar2_table(15497) := '0F6A01636C261CDDE867993145E7B7882A9287EDA3678AE118E531A27C061E7B96A248619298A4269B6219CF45016AE2447621A30BC100289338209910A9930FD60500F2900FB6904E5570708FF6681A613C5250A4E904004BFAA44C0AA5521AA551BAA4';
wwv_flow_imp.g_varchar2_table(15498) := '5650154FBA2A6A3010169A106E92550221055ED0A40601609B67A6578A158001076F70077070556FFA06717A0703E1A657F52C00106BF4D1127B2A10F4E4A70DE1066520A80841A803F1540631066580A85FFF404F63A0A60E5116097113F0301394B710';
wwv_flow_imp.g_varchar2_table(15499) := 'F250A91671A90691A99E0A0F9F1AAAA03AAAA21AAA2A51A99C2A10612310A93A109A3A10EE0000EE10AB03D10EB40A1BF2400F3392AB40BAAABACA3A6A91AB6A410F97BAAA1A91A90A910FF6500FC62A10B30A00AFDA10ED0000EC40ADEC30ADD02AABD5';
wwv_flow_imp.g_varchar2_table(15500) := 'EAAAB1DA0ED54AABD1CAAAB76A10F8C0AC0975A9F64013AD0A1BCD7AA10C52AC683110F2100F40EAACD05AAAE12AAB0FC1A994E7A9EB5A79931AAF100184CEE2AE0B611F19410F026BB00CABAB0A5B0FF5300FF33010F43A11FBB010ED6A13FAE0620C41';
wwv_flow_imp.g_varchar2_table(15501) := 'B00C81B00C7B12205B111E1BB2264B23F630B100100F17BB0FF4B00F23AB13F2B00FF2700F33FF3BB31691AE1711B327DBB33E4B272A2B2336EBB2434B0F432B23349BB438FB106851101DDB103C1B1187F6B3545BB51351B20A7113F7B00F30BBB55DCB';
wwv_flow_imp.g_varchar2_table(15502) := 'B57D19B54851123F2A11580B11650B1B673BB056DBB62871B146D10F692B102581AC957AB76E7BAA979AAF79DBB746210FFD2A23F4308969D12C59B4B07EFB110E9BB88C6BA9800BA4F2C00EF540B803C10FC84A42FF90B9FF80B98D6B12FDD0B9A09B12';
wwv_flow_imp.g_varchar2_table(15503) := '9B9BB924540FE2F00FF750B2140A0FFDD0BAAEEBBAA1FB117C19BB06FBB949F1BAFDF00FF2200E9F8BB5F4C00EF780BB9FDBBA664BBB0731BBC6CB66B68B14C24B0FDD7013585B0FED6091C49BBCD69BBCCB7B14B8ABBBD9700FFAA0BAD2FF4BBDD97BBD';
wwv_flow_imp.g_varchar2_table(15504) := 'E4DBB7A40B00E32B14DB4B0FD9400FDF7BBCD27B0FFCF0BA1651B6133AB7A1EBA3E52B1CC4DB0FFBD0BA9B6B0FFFB00F9B7B10E78B11073C10A4BBBDF2700D0581B5F7D00EF980BB0E01B7593BC1FC30C1FD9013ADCB0FA94BB77D2910E93B1C725BBDC7';
wwv_flow_imp.g_varchar2_table(15505) := '3BC206E1A3B08BBE0871BE232CB7FB8B12994BC02404C2FAB0B1E97A0F5BABC3DE8BBF16910F37CC112391C1F6E1BAFFE00ED9E0C110DC0EF3BBC20841C425E1BFFF30BEA38BBA22FCB9092C1068318D28FC16FC90B97EF90F4D6CC0FF900F993BBC067C';
wwv_flow_imp.g_varchar2_table(15506) := '683791BB724B0FF3CBC153BCB93991C11DBC3AF21BC32031C3A37BB15D8C1455ECBF00DC0E49FCC1D518C14D6CC2647CC600FF40C0547C0FE250ADF0500E5A240EEAD00FF7100ED7A00EE9600EFF000FE1A0C22C81C80D21C79D5C0E96FC5772CB0FF550';
wwv_flow_imp.g_varchar2_table(15507) := 'C9FDC01353ECC1D458C05A9CBD660CC20CF1C5228CC71F41C034CCB5FFB00D02C106610000C22CCC031106C58CCCCA9CCCCCBCCCCE5CCC02110679B0CCA4700EE81BC883BCC4873CC29D0C0DDFE0BFBE4CCBFF100ECC320C1E900EC58341CF60001E400B';
wwv_flow_imp.g_varchar2_table(15508) := '864000E9700D14200F652CCA1AA1B9D73CCAFFA04DFD700BE5500E59FC0FE2403C9BAB0ECC90C0C0E30A7070BAED300CB7E007BC1B099940790416099EF00FD90007D7C00E16CD0FE9E009E9A0CBBB3CC053CCB5FB400A0D001802B0D2024002E3A03A9A';
wwv_flow_imp.g_varchar2_table(15509) := '2BC84ABC1A4CFFCCC6E97B0FC760074CB007E1E0B5534CBCBAFB0F91500555500ED16002215D05B1F60C14E0C037F206CF60023C71C80FB113105B0F3ABC101CA1C1FA6C08E84C6AD7F00A99900DC01009EAD00E9900079E500ED9040A44600ECCC008EC';
wwv_flow_imp.g_varchar2_table(15510) := '400C0CAD0ED770D1CC400B820C0AB7F00CB6400BFF900ADD200FAEC00C9E100E91200E847D0DE96008E28013225D1100DCB2034CB3FF400A02A00000500005A0009C3D1005B012A13D00A43D0024A00BD79CBB324DC83A51D38A5CB99DAC0A9B20DBB500';
wwv_flow_imp.g_varchar2_table(15511) := 'CE3FFDB9192C0F26E0093B006526D00EE90C00D960001C600B7F70073CF703EE50C2F6FCC4F0C00EE910DD0621DD06610EEAE00EF5D0C128FCC57EF00691FF7007AF000A7E400CE1E00695900AA9C00CCF9009E6000C6F600B99500EDE9D09E180CEB96B';
wwv_flow_imp.g_varchar2_table(15512) := '0BCFF00F9EA00EFF600BD1700BEA500EB7200EA9F00FEA900AD9600BFFE00AEAA00EA0B04DC3100E626CB2C48BBF538CBE05BCC1635CB2AE5BCBC79B10003CC0356CD9A400009EBDD99ABDD29E1DDA2631000751DAA63D0E028CCD335D1F35EDC4304D0F';
wwv_flow_imp.g_varchar2_table(15513) := 'B5D009B5500BB1A00FBECCC232B2CF04600206F005C3F000D7200F55C005EE300C14900DFAF0066F600E080001F2C0DC4CAB0E4255ADE6E03CE5E03C00900EDB14D2D1CD13CD2D10996B08E1000F91E00AA06008E6D00D5C400BDD9009EC100E8C400BA9';
wwv_flow_imp.g_varchar2_table(15514) := '8006B4F0E065600BDD60B4FF500FC3900DE3FF0C0AFB8CE8A0200ED7100D87DE0EAED00FEC70D1877D0B94D70F767EB21D4C429D9EBB9E3E8967FCC53FCDB92CDCC499CBC5AAF3C5B8DDC2705BD9F44C0A0EB0D99DAD006DF0086D30009A2D100530002B';
wwv_flow_imp.g_varchar2_table(15515) := '0D000330DA9B1DEC00F0EB2EBE109C9DECBD1EE3F120C6998BC4FCF0BE59C40E369DBEFA700C3DAE0AD700E4FF5BBD5F6C0818740D5C000C1EF00099F007119004B6E01899600886F00F86F0035F1CC57D2C10F9D0E0D9300CE2900ED9500E5F5E0EFC3E';
wwv_flow_imp.g_varchar2_table(15516) := '0CF2750BF59DE5698EB9FBBDE0C3400B9E200EF7E00991500EDD00EEA0000AED9E0D90100EA91009E6E00A881E0E7EC008A0D60DEC000790E0CF6FC00804DEDF6F9009E2600B68F00CC3FF000799D00DFF400C611EB246DC0DE1501267FCAA991B0E8F9D';
wwv_flow_imp.g_varchar2_table(15517) := 'B9D720E1FD500ED95023309DB9D5E00E0BBCB9979AEA0631C3232EBF98ED00C16EEB73300073D006022010297E01625FEC2C2E0005F0F5627F0199CDD90AA00002E0000A20F60E00F70A00E3A77DCD5F8CC4B63BB2BFBBCD0601B6E9D0E3C0A00E35AB0F';
wwv_flow_imp.g_varchar2_table(15518) := '5C0CBB7E89B9D95DE1230100CBBAF89B6BC2F52E23765D0691C041089009E95005D3A00E4A6008B65006AC950EEED0940CB1B9F34B1010FBC6E940CFA05AD07E290FF6E0D1F0B0B1190C0F5C3EE99DAC0EECF00FEC900FD7700DFFF0BBE9600FFD50C9BF';
wwv_flow_imp.g_varchar2_table(15519) := '0BA4076F561DDCDF9EC0E022D4FB1894B9E9A03CEC60D7FDADE0F2E0A6A0FF70EF9C5CDF63FE0FE520E1E22FDF3D9F0DFC7D10268DBEBE8CD9750F0017E0F50ED0006DA0F60E30078F70DA8A700124700100E1E08240070A2E987A642A8B03000D66CDB9';
wwv_flow_imp.g_varchar2_table(15520) := 'B030CFA347242E5C503040639671F1FEF5C3F7AF5DB67E0000D4BB67D2A43C75FD3EF62B09E01F807CFB00B08B55EB183D7DFD7A96740920263F93FF5E1235C94FA950982663AA841A355F3E96D17E64E21749CA9B725200983B02E7169148EACAC1EB87';
wwv_flow_imp.g_varchar2_table(15521) := '34EA5AB64467F2335AF2235CA1339FDACDF78F2E4DA3F4F23D551994ED60C2850D1F469C38ED3F57B4FEB12B6388523943A9328533742B13B3699152DDB2F5D853BF48B6CA6403E62752B94CD93265EA36EC8FAB2AB6FF40652A4713EA3EDE1F7B931290';
wwv_flow_imp.g_varchar2_table(15522) := '11C08536021A00503430F82C458F066182354E972865A6382D34756190294CE34CE9529445D7A34BA6CC5F2AA87100898E7AF789CC46B41E4AA82C5DC2BCFB6F1F37557D106DF2E49B9EE2C24F25BA8802CAC0A9E02A30319AA832C79C6C8CF8A38A2A60';
wwv_flow_imp.g_varchar2_table(15523) := 'B8858B6CD2A9621873C221021177DC49EBB07CEA61AA28A19C22EC9EBFF8A9E7AF944AF2AB4416EFE1A729A8D472B0471F7FEC11BF7F86692D937F6E49850B0086E1C29C7F6821E69A4C0CA1E5967FE071A30C668609ED8F7FAE49C59354E00000182301';
wwv_flow_imp.g_varchar2_table(15524) := 'C8441E62525167A6B56CEAE7B7E03412608E36E6A0488182145004803006D10580401299459771447180FF8459B298A3D041D830258C3C74D1651651380964963004508F3D8FFAC96B24F9E853491E76722C70A67CB281C40B2ABCB01080313A09E79E06';
wwv_flow_imp.g_varchar2_table(15525) := '8BB2CB245B8BBAEB2F9866FA08AA98DC148A2878D861C6903BFE40231C3810E1C28D6AB8B8C31343DC70859D7694E2712DB8F082491EA5FE9ACAC57C9C32CA2E62D90A96451D8184375E7907FB1500D65EF9E3194FAE7923A55BBEF22492483C812315C7';
wwv_flow_imp.g_varchar2_table(15526) := 'E481239B275DF9C790680078061466FCB8869E4C6E49E78F70DCF10494754DB24928DEF8012E23F50098638036DA18A00001C2D08504002E9964922C30A1E811011C30CF942E1E01208B4B003065165800C0398C47C26879A340610A35BE93485D89FF1D';
wwv_flow_imp.g_varchar2_table(15527) := 'A074FCA71C3CBC18430CAF4DB210117AD24AF09F7ACC91E7A67484BAE79FBCDC49479E76E961871D75E4A147AFBCF371479D74189C4A9E742414279D72D431A71C71B211A79C6CC231C96F71DF65AB9F6C0C19C628933291895D00DA86879670FE11A7B5';
wwv_flow_imp.g_varchar2_table(15528) := '7B3CFB5263BDE665BD75D70DFC279C4CA211A78C4CAAF92712BC0148C590C59171259A6EC4F9879E6AF22EA79B7FDC4925F348D819C61375D88904806CA259B34D1EDF7B0F00391500A0800200188053018813207C930608FF82F5C3CFC87DF68753A980';
wwv_flow_imp.g_varchar2_table(15529) := '0BC41FC02000382D402312CEF1083FA236AA9494EA544C29495EB2C1853134F00E7D288318C6E0053798836C00808B9A90610E001063FF18D9300728E8318C6ED80272D7F80731B2B1A18BD1C316E6804726EC418C6878C216F678094DDA313D7500606D';
wwv_flow_imp.g_varchar2_table(15530) := 'E950C7F44CC28E9BF81000F6B8555BFC208EE959A61D9508C72DA4F78C54D8C26FC4788651CC618867E4231337B4C53040E18A5444C310F940D0EBD4B8C61E9D4B26E5188D49AA27137EA4222A042A5E0171E50957144673504957E778130FE0A8047CE3';
wwv_flow_imp.g_varchar2_table(15531) := '4BDFFAC4273E459A647CEC63DFF8C607954542327CFDEBD4387008AA7E886A6A7A0480A9AE5612B8508F0B5EF08204C5000054C6626CF869DB0A8D420BA20C0300261CC6356CC10F73649119D940460AD5018F6A84A31DA0408D3AA2E1245499241FF7A0';
wwv_flow_imp.g_varchar2_table(15532) := '073D00204D79A46D9A2AFF91264DF00398B5FC031991405B350C010A64620312A030040098710B62A8B029D1B84639DE90095A84321C916006635A922336F6D39F6B694A5EF4B19299D4E35FB7CCC6E79432235061F0571FC9479B8265941849139A9DDB';
wwv_flow_imp.g_varchar2_table(15533) := '8D7E66C29B7DC822382611CE2419E948F24972928EB4E4601E4952F55CC05310850F01F5284A04E24A1EC80805283C110A00740C1BBF22A50221E7C27940EC1A8FF344F168318D2CE6B2A9ED6086C1C4110DD9B90319C4FB4B52A29240376A3530DC6417';
wwv_flow_imp.g_varchar2_table(15534) := '8AD8911957C0211336A4C51FCE4ABC4CB8C225598D52381896894AB8E31A9E708C27F2C6CF7FF6B59F40B10B8F52C1887F11919F6EC20F820413C874052B2DDD8A4AFFF7384A0A0030A47EFB93A40010B99693A62F91E97399491239490168D6B4EB694F';
wwv_flow_imp.g_varchar2_table(15535) := '6F3C590F7A80D254A8C2DAB73497AA9860AD1DC3D8603780310C7198E31AEA60D3336EA10E62D062999EE80632CA118D7454A31AD7E08727E0C10C66528E8D1FB10C286CC1084388291591E82E2850080A5A9823A970A90632FAE1893B10231C7788443A';
wwv_flow_imp.g_varchar2_table(15536) := '400187CC0DD4AFF75D63826C649261FCC224B4B02558FFB9D1F748230B26C94244867360053798C10F5E70841D2C610847E422813887C8DEB35AAA85F254DB94899BF8FA14A4342541F7F81B00DAE10E99E40D47E970C7475A229253D9CA6C7ED19B8DAD';
wwv_flow_imp.g_varchar2_table(15537) := '7B5D9184232FE5405B3DFE618E74D0031EF890872788FF17A31CD5436EF028874BCC11637938A95DF8C532965FC1E22C037226F0A0C77CE6A38F7AD8C345F3D8873DD06C0F1CE2C31E695EF33CF4A1E639A319006B46A29B41650F7DE443CE738E074C54';
wwv_flow_imp.g_varchar2_table(15538) := '4B924FCEF4C3490492E60A08DB105FF95CED1A967E9B092F6021E68F84F947363297C0A5AC285700D0875D76DC6552CF4BC0A5F634A8F5B16A7D70741FFCB007EB6CC2515137483FAE868F4DE6E35A76F86AD48721F1829CA2D8A8F0682A082CB1434F8D';
wwv_flow_imp.g_varchar2_table(15539) := '5F1E694E2F0B820952565D12FB0606D5D76E9D5B7483EA87EAA5D34D8135B794F20F1CC6DA30E49649B9BD2D6EA594FBCDB4664736F4718F5DD7471DBE5EF661D8BDCD6F7FF529C74674523AED94FF77E5DB7531998A8949696D6C37DCE1F94D55E5020E';
wwv_flow_imp.g_varchar2_table(15540) := '59B6C49ADC7AB9B4B0E0526E5C8F64DEF52ED5BD410CAF7D27965BC2D29100612BE093FB9BE1ACCBF88AF4CDA287D7DCE6A6FE11608394206F114529DB0CB5C7E9DD6196AC3CDB2327F836496CF49EF3E856068797D20DB314A8DFDCEA57EFA6C37504F4';
wwv_flow_imp.g_varchar2_table(15541) := '987E122A745B79D511F36BA4D3DC30621F7BD90D44717AE966D258877B96A3EDA37C3F345EC38AF95711282477C81B45F700253DDAF191C6B2EB63FD3CBCCCE39E7699C865F18F877C5F1B5B789718451EDDF8DC33A3728F76B4A36E7603400F49DD43D1';
wwv_flow_imp.g_varchar2_table(15542) := '1B31F451293D5488C81622AE3E8837593D615E6F37DAF3B0F6B7173DE94F4F186DA9FF24F59187FCEF7D4FFBABEBFE8783D13DE98318C479DC031F6BB9074B8238380E1A3142D7C77EF6B5BF7DEE677F6D9103E2F7A302441FF690FCE237C9F7453FB8AF';
wwv_flow_imp.g_varchar2_table(15543) := 'F89083EC873F91D1BF96F7D7DFFDF71FDCDA88DCFEDD57DF24FE07BE00648BF8C33FFB23C00334C0042CC005643FFEF3A174D0BFD47BBFFC23B27698A6E7DB3C734989683289681233C003C1100C413123C11234C1136C1D69429193888A6AB2A6C2F0C0';
wwv_flow_imp.g_varchar2_table(15544) := 'F9608B6C0212698AA6D6A24101D4C11DFC3A0E8C877928AA50EAC01BBCC10ED3155D990F0E8C8A5D9B8A2674C22614C12894C2285CC17811B30C34892B4C8C679AC27901C12CC4872F043C1E24C332540912FC1C73E142A9D095FF311C8C2784C373A942';
wwv_flow_imp.g_varchar2_table(15545) := '33840A2E14419570111F71C336AC433AF4C387DBC33434097CC040370CC4E72B1750D28D260CC04E3BB67E12A038648B473C0C4274A6AEC2A03FD444AC7BC481BBC4738142453C174F840A368BB5533CC5233A227E20C45674454B1C4458040057848A56';
wwv_flow_imp.g_varchar2_table(15546) := '1C175B5C8A7C58B548C4C43ACC07427443362B8CA980C5E70346E7C3404274C2C198B76634974BD49590298C59DBC4D609444A448C470C416702B5078945C3F8C23EECA7AE4AC41D01801F640B208C8775FCC17960477704C21C0C429328AA79BCB3698A';
wwv_flow_imp.g_varchar2_table(15547) := '873B03427BDCC7A8A8C779980F7BA88779A007822C0C1491C181044885CCC239FCBAA95142874C89B4B1C11CBCA8FF020AB36982A6DDC11B7988BE955009DEB041331CC921FC116BF2C86BF211191CC3128441079141C388496B1C8C7C8C8A7C5CC773C4';
wwv_flow_imp.g_varchar2_table(15548) := '4976B449733337C370C773B44779210A4284B55A94456154897EB48778F8493D2AA0BFB3AF6ABB877D504416F43AA8B02F69340C574B9B7D9007B014CB50E2CA870B4B8B4AC30292C6B0FC4AC498B5B0FC916C4A89557B905FBCCA87848A989C49A8B807';
wwv_flow_imp.g_varchar2_table(15549) := '9B640B59F4110CEC1125B00200204C00B00225404CC3444CC53489C44C4CA8704CC3F80200B882CA6C1D2D80172DC0CCCA1C83A8284C25F182D0444CD1F40256328955921593384D9518032B18CD31A80207F182337095D60480260080251040353009DF';
wwv_flow_imp.g_varchar2_table(15550) := '0400FF095A8B2778823320CEDB7C95E4444E2F7882D36C4E0098CDC34003002883E9A4CEE9ACCE32700300D84EEDF44EC498CE2C4183ED74B804A80009600B099800009000F59C00F40480F5544F78E9001000000BB04F93E8800E0080FAE44F93B04F10';
wwv_flow_imp.g_varchar2_table(15551) := '180110E04F02255000180100680104CD4F061D50955001058D8A1468500040010E00800DB8500EE00014408115D8000BD5500E155114308910DD00105D010008810C55D1140DD11365D10D68511A8DD1160D811C2D8C0320800308809BD301C308D2202D';
wwv_flow_imp.g_varchar2_table(15552) := '019368510D68D1C3F880254DD20FE81123F80100300220F8012250092300801FC0D22C95D22C45022D05532815D330D55293D8011B608B1B0000FF18808105ED2B0BB080FBFCCFFEEC000BA853FD8CD33C55890A884F95584F3E658BF51C8C2100002070';
wwv_flow_imp.g_varchar2_table(15553) := '01200000170000421D021768D44775D44555D4C188549340D4421D0220280220C8D42230093535091D88011D80812085019538D5522DD5A850D5538D0A52855500D00116308917D0011DC00159A55559C5011C30D11A600B278DBB25400224200C62650B';
wwv_flow_imp.g_varchar2_table(15554) := '60C501605D8B5C3509665D56C43802A8488223F05493288224A8D62400802338026EAD566F9DD6C2D0D66E1D5700B052C248571FB9D4C348D0FDECCF119853045589FFE4CF04558938751041850A15505417180117508111F0D7811558456D5495505444';
wwv_flow_imp.g_varchar2_table(15555) := '2554177058956854432D82439D54FF95B8541500023495D55735091CD08117F0585BE55500A88117A8550B55891A40011D585900780114F0555F65591C600116A05900B0D91A6001604501665589240DC025C0D21E3056635D021E808A15450C1AA00100';
wwv_flow_imp.g_varchar2_table(15556) := '50DA67458C242882713D0223B85622B05693E05600D85A93F8D66CFDDAADCD569510D7C26857220082751D8C1D50891FF80113300C3F40D07935898A45D087ADDB80C5D7BAA5DB78D95B93F0578AF557435581841D5C0028DC801D82C275D443CD544445';
wwv_flow_imp.g_varchar2_table(15557) := '5417B85693B08153B559A8F0D895AD0196FDD85E255900F055950DD567D58115F0500B0D5292DD5C9E0D529B35D19685599D95DD5DDD41B635891EB85DDE0492A68D17A94D02FF23E0562BC5D2B15589DF95526FAD560098DC6D555EA838D7B5F8012040';
wwv_flow_imp.g_varchar2_table(15558) := 'D428FD11EA4D0C789D5B7AADD704C5D70405D844055FD7F95B048D5081F557C4858A212058C0455CC13DD44425D444DD544C3554B605595C1D5260E55C950059D0755966D501D1ED590BAD019535E09545E099DD5CCD0DE006F659A8D8D5077E3CA4850A';
wwv_flow_imp.g_varchar2_table(15559) := '62ED01DDC5AF69DD5293C052E0055B22485EE50DE1E23D57E2955AAE9DD6E7258C762D8C1FD801E92D53C450810E78D7B5F85E17E80017B000BB65231AA6E1C1E85EC4F55EEF2DD87F658BF26DD8C595DC22B001B8ED5565C55FA805DD5EDD5F8FC50193';
wwv_flow_imp.g_varchar2_table(15560) := 'DD5F95E8D99E4D5DD24D60FD65E096F5C325D8010CBE60245802FFDCED9115E05D365E8B151556E79D56E26D5E4FCDDA6E1DDB39B6D6398E8AACB556ABEDDAA86801184881B6ED11EBF5911F5609798D0A0BC8811D260CBDFD91FA840A7D2D8C38AD6146';
wwv_flow_imp.g_varchar2_table(15561) := '868AF5EDDE83455FF48DDF2150531630519BCDD9A87056CF75565B355992E5DC01FEDC0136DD5976D6299ED520AD653A5C021D4863DD45636385171A60E3A73589A68D63AD9D5C4F3D619598DAB1CDD666C663B2ED6364460C57DD01DBCDB21CA6D4BEE5';
wwv_flow_imp.g_varchar2_table(15562) := 'E1FEF491BDB500401D8C385501388D8A3B9DD37BFDE4753689802D548D35E50276D6D4AD655C2D8C27EE580526E01A5881158DDD20AD815CF5D83F64023506000A560983F691A715E6A6555A62EED6405E66FF11A666AE7DE63B9ED6AD2DE13A9EDC008C';
wwv_flow_imp.g_varchar2_table(15563) := '033A650B700600CDB4801118822D388C0E885045BEDE728EE400358C04F5D71880E05EA55DCC4DDD2E7655FFA56298EDD95C8DDD9FF65FD0D559811EE88D25431EE081A33D5A95F8656245680759811358A38EC6D6AEDDE88E9E63AB368C17C6AF7B1D5F';
wwv_flow_imp.g_varchar2_table(15564) := '20DE6148560952D04C1F88508C228C1966E4B05E0B10C0CFB8866BB8969704755395755600CEE5A1E6EB665DD665D5E77DEED85C4E5D09264326586A5ED681A5E6012488EA29961788268C67F6DDB10DE4691E0CAEE66A74650B6CFE2779756B201E01B2';
wwv_flow_imp.g_varchar2_table(15565) := '660B4B06800400806D781D166E9D391581018E679CFD5C5AD559B6E8E267DDD95F45D98EDDE2FF9885599C15E856B6E7324C6C1E60029340E3DD4CECE15EDA615609C9668BA9755E8A9E6E69F611B58D0ACFC6B2BE458C1108EDA8E8E6C1E0EEA840E97E';
wwv_flow_imp.g_varchar2_table(15566) := '4A6B92FD50D1A56D9CE5D98E3D8C80CE65C3CE5565555DA41EEADB9E177ED66FFCEA62A62E63ED460CC3BE6E6CCD68E5E5E36E5557EC5E0BB54D5705C732460EEFA890857C455C7196170B2F0C33D0CCF2D64CD6E900378D8A0716DD80B6EDC7DED8D035';
wwv_flow_imp.g_varchar2_table(15567) := '0913850AD1FD5CD0BDE9D17D552B06E8C4505AFD86EE35AAE582060026007026586CFCEEA7131E576EBDD6CB565707D1D8699581C72BE9A818870C8B0A34406D95B802005883D6B14EB6A880F1F6910F85E52D5ED115F0D5C370D6A75D01FF665571D3AD';
wwv_flow_imp.g_varchar2_table(15568) := '6D95D8EBD7D959A725D91BF7270A366EE3DE01264082D4E581D4F5F1C310662091EEB5F0D441378CB41D8C4B05F0CDBE2F2E0712103850BB2D500CEF91C2BCE4039D971515DD59765A2FF7D9BD366A9D7D5A130DF34D378C3627E81E406CA6DE719340EC';
wwv_flow_imp.g_varchar2_table(15569) := '9C5EDA79516120416493F8018D850A2A45B5EF660B1FB080F35E8B81250C4A6E9D6030895F286F6CFB5568BD59C2806E155FF1F596ED6AD4011D476AC45EE3D651F4B5A052D6AE469398CC90F6F5B7E6D31A06922A1FE93590868733DD948D8A152D52C4';
wwv_flow_imp.g_varchar2_table(15570) := '100100887779DF741647EFF63675C8C3EFE31EDDE39EF6E71E0CDE8D97065F7043EF767999E17A9DE1810D7700ED11FF5209FF69F88551300950387654A3EA38678B143D8115ED7800F878AA96F383378915C56F0A3EEE3DA7F191370CCD46576E27F9C2';
wwv_flow_imp.g_varchar2_table(15571) := '08E286D74FED658B1C88D01C488C8B070033B0F29B53F3A475DA10E8679117F998478C31870AE39655A4650221D865076968E7861707477AC3285093404F3360F4B5885F07C1CCC81BF5A4EDF8B277DA8CBF7A07D965DEE44D21500995270C879EFAA94F';
wwv_flow_imp.g_varchar2_table(15572) := '8CAB4DFB1E6169A8E8702DD0F923568946F011601FD007EDFAAB9BEAA93E7B38BF7B0739E3DD34D60B6E7A20577C3502F0C52F8C8F860A3900FC1EAEF9CEB7F42CD3001FA1EA133801A0B5FCC438015A9D02A880FCC446EC7C67232068011BA0F9D35764';
wwv_flow_imp.g_varchar2_table(15573) := '73EFF91EF101FF93F07977FD615DC7BA10A06AE13709B43FFDC370F6A8B860A6A7E002EEA78CCDD8B4B601103FFE45E64F1D56E74A2E8C84FD4FD3166F3334FDEA9F1760767AF74E5A818F9717B601449D7EF1470CBACDFAD749D00AC5362435890CC850';
wwv_flow_imp.g_varchar2_table(15574) := 'A74DD1B5087FF70708000207122C5870498F250078E830587085C3881201B4B0D182608B142D4CA498E8F123C8902247760060A1E4C80A2357B26C497083C01303651684E950E60A9A2E77F2EC19B28740244B96349C58C367C48E2090326DEA54620795';
wwv_flow_imp.g_varchar2_table(15575) := '4FA77ECC1042E0861357236A08D1158086980072522D6B96E051844816B2355803E28AA34E4D00589AC2C3D9BC7AF7F26D19366288AD02C9F62DEC326DC2FFB54525423C4BB7AE09101A0D53AE6C992FE1CB9A1DCA058044070FCD92056AB401C0069081';
wwv_flow_imp.g_varchar2_table(15576) := '3B80A8D8ECFA356C89283AC7DEBC4468E8DA0289082C0280B7EEE0C29F123860C0B871060786C7161C36C2F007CCA75367E907009C3ED905FAE153C8BB9F45D70B55A7EC87FCF8F3E5D7B3DFFCEF5FC47EFDDEBF1F28BF20FCF667E5F703009F3F8000F4';
wwv_flow_imp.g_varchar2_table(15577) := 'E79E7E051A782082092AB8A04FF4DC43CF40F73038218515C6262141F5DCA38F411B0AC42187168A382289798568503D21D653228B2DBAF8228C31CA88603E13F273220035E653E38C3DFA2810843FE6530F3E441A59E48F300271430B30C4E8C61B20B9';
wwv_flow_imp.g_varchar2_table(15578) := '311094532EC885175872316319490260C097FF04B41883933F3E1081740C3CF00006D2C1E801071C783927413F0067E1575D69F0179D7DFA39DC0D5F167495061FFC39105E003C06830D3B34FAE8A1C2FD00C06A4018B1831100A4F6D10E0B5210E94026';
wwv_flow_imp.g_varchar2_table(15579) := '3C5690A3A53E1AA8880954F8C36A2D99062A83A30280970C0E99D6420C02250A0002AA52970098111190C0B0C34E08C4AB1E3979517B1CF88A00001B7C052A9C226D04809C0225005D75BE8224668CC9B6D751AFB03A54ED63CC162443ADB30E9400026E';
wwv_flow_imp.g_varchar2_table(15580) := '4E076D4112C0B0D4BD2D6E3A6199DA866093B91C54CB5204DEAE97C010A925008141062F689AB8222200B0B9BABAC46D7B2B12142C00C61AA0AAC70E4FF70310934E5A22BD1523957279FFEA04008032D9A0F1B2B7201B240100AA4AA033C300E0BC9412';
wwv_flow_imp.g_varchar2_table(15581) := '49BC4632D125EF5B61020C2060C0A7577D2098CA2376136C32B86CDC71CE09F840D0D605754DD01B700010A5669DC6082C0010401DB58BE1882310980E57B025415608A48412030D51101A680C6D74D1258ACC768BC90894CC1513252E501502FD018016';
wwv_flow_imp.g_varchar2_table(15582) := '867C61B71900F80DC01FD7096448258D444238E8A10F24AFAC405C2ED0A69E87940E41BF3C233A4B06B00C3B85C07ADB33000F2C9C756F003CC38C4126882DAB41A703304C3CB48F042DC5CA53182CC712DD328E43707453D02BAE30E30A00F200308DF3';
wwv_flow_imp.g_varchar2_table(15583) := 'E1FB09AEA01219325123BE1344CC40E98BDF1202B3BF3FA104F21234C1FCFFF9CFAFB9430F981D52DEF42740B62D655720F155A758A5C01D2C708005919F034524816C79C457E41B51C422A8C103B64405A969D582F6C59B4E01C16C25DC0C05D0B6C112';
wwv_flow_imp.g_varchar2_table(15584) := '7DEC8231F28D41FEF71A1B446C692B141CF9A2D722B3BDCA3447DB8C0A64784316898958838BC8AB4AA620D3A400044E12E26990A529D41446051629089F86B8209C394C87240282074838C51F0E848C5ACC5F05F022957749E488071297120D62B212EE';
wwv_flow_imp.g_varchar2_table(15585) := '0B847969CD192D34419F7D4A243873510B64D00254510A59C8325B10CF124471B9318F2E4AC01FE97427470A3000967C19253399A4C73D6E207F88C3274309004054822094684426221189529E1200AC6C04250A5289FF53A632130088842DA7538955F2';
wwv_flow_imp.g_varchar2_table(15586) := '7297BEECE5E776E94A60963212E933E62D8FA94C4DBECF1EF96126345D040F79C0231EF000C03AA2A9CD1ECD639BDEFC665EFAC12370929341FC00008E40B2A3819CB39CEEDCCC86F6B11308C97325187A273E2FD39F678AE43EF9FC67656C010C610803';
wwv_flow_imp.g_varchar2_table(15587) := '18C0B8853086018C610803A0B01281C058600214CC09262840010B588082172C2657130901451D0A2318BC00063A30A99358F0029526A907A011A9CA388A03002CE6053860810E70F0821E9D202E0299E94B45C28399C2944538C8295223D518B9108507';
wwv_flow_imp.g_varchar2_table(15588) := '4B70AA5313D283B54CD5A903694C514B34D3A3D26646B311080AE282D58630810750058042AA8A84A92EFF2437592DD16206A203167809AB6321880E982090A73A64AA0889EB5B298403A2B26DA67AE541599FCA841D30C1084BD8815076709BB206B642';
wwv_flow_imp.g_varchar2_table(15589) := '47252CA83A33D31AC825348B4DAB6728B516CF58B5AB954D500D30EBA5CE98F628B481EA53977083D1A215286E3D2D834C2BD79FC688AE0060410D803B10D77655AF4CB8C171AD3A1085E0564172F1ED47FAD522DF6EF5B700C0815C54DBD4D8DE9621CD';
wwv_flow_imp.g_varchar2_table(15590) := '4D107601105CD50E2434DE7551518E7253B448A4ACC7BD8D4018BB16BDE6F5BBED794B70C15A83AF0AA4288B61C84E5D84DDF00E84BCFD8DED4216CB84B5F65720E7B56F75424A901560B5AB417DCD620C7C96A41AC4BD09D1015F01A05711B705C2FFCC';
wwv_flow_imp.g_varchar2_table(15591) := '096B580D8262D3E634382DDE4B438E2A9186E4D5A920564C7FF58A83116BD8C49A9170093E12DCA3B080A8454631657253949B0EB92C2F96885C980062C4B6E5B034DDAD8F13C45FD8DCB62F3D2E885C806290FA66B9368DD9805D0FD465BD2C59223D2E';
wwv_flow_imp.g_varchar2_table(15592) := '2B99AF5C66D76471036B33D088CB83588614E5A9809D736C4460E7ACFC6B2019C84A09202282BBBAE6C185D1C19F41D2E7E53618D09B29F440B6D2BC9904C7AC9096B159642202227FD92138580213986B69E1C0E45F27D8F44B4220135857A6D44EB933';
wwv_flow_imp.g_varchar2_table(15593) := '9643B2D6B5200421AB860DA6B122EC68D5643068EE29AEF792E6020965B4A091F2AFFB42B1AEC0DACE00C80000A00613881C3B2BCA83FF2A65A34D99640BC42BE58E9660660D8057E7C4DAA253B567232DEEDA20FA0425D08A56D68D9560AB8CB67C5DF3';
wwv_flow_imp.g_varchar2_table(15594) := 'BCCDF2003E614C0318F3084C068DE97F5DC52A885EF69F1212F0C268403A03C70006B28801436791205BF18A55AE6DEEAB589BD67452F585275E963381855B0CC000030672F09E8445D69122306E686A6B95F7043A0C884004622E10A11B64E002542D12';
wwv_flow_imp.g_varchar2_table(15595) := 'CCCAF3BE089DE8086080EC9446F4334967E6E11B2C4DE5BD74A600EC2F6181759CA25502938B4F0862DEBACADD160EB45325480070BB40E4B10FB9D3A39E711F88DCBBC77698DE43427DF7BB4792474FB9DF73EFF9C4C790E8D1CD89DCA39BF1B8C7E393';
wwv_flow_imp.g_varchar2_table(15596) := '07F920DD23EF1E327C65FFF7B18F78C8F39E12DA07860A8FF9ACF2C31ECEB40700F0A1FA1C45649CA32FEA3C620F21B8BFBEF6B6BF3DEE73AFFBDDF3BEF7BEFF3DF0832FFCE113BFF8C63F3EF293AFFCE533BFF9CE7F3EF4A32FFDE953BFFAD6BF3EF6B3';
wwv_flow_imp.g_varchar2_table(15597) := 'AFFDED73BFFBDEFF3EF8C32FFEF193BFFCE63F3FFAD3AFFEF5B3BFFDEE7F3FFCE32FFFF9D3BFFEF6BF3FFEF3AFFFFDF3BFFFFEFF3F0006A0000E200116A0011E200226A0022E200336A0033E200446A0044E200556A0055E200666E0EEEDC0D969A00796';
wwv_flow_imp.g_varchar2_table(15598) := '53BB70A040DC000FC84009B6CB07AE8708FE4F6EF04049A5E074C840A040110CB6072119C4D951500DEE200F0E5F47F4201006A1100E211116A1111E211226A1122EFF211336A1133E211446A1144E211556A1150E04FF5C616594C408A0442504832C08';
wwv_flow_imp.g_varchar2_table(15599) := '442B68E154C401008C404184212E0403008C21193A4516120418BE215598211DF6451CDEE15998211AEA615E5C074AF8A159D8614100C21AD88D2022451E0AC4170C84F124222416C828E0C22D44A2595C410EB88B2532450544D2267EE270AC11283E05';
wwv_flow_imp.g_varchar2_table(15600) := '4A04E228F2845488E229AEE2654C402756802BFA0C2BBA04222A8115F840DEF880DDE02200F0622F0690DDD862006D623C64934014A340AC433C14233222E32C1684F714C43C24CF341E63350AC4E20140F20040356EE3286623EAD90338CE4338761339';
wwv_flow_imp.g_varchar2_table(15601) := '0EC4397223008823EA1D5F343E634B841E3CDA13007C2BDE3C8EC43EE8C3DFDDE348D0033DC8C33B0280C6F02341E64594884D41262452109D424E04987891CA04040021F904050A0000002C75001E007201C0000008FF0001081C48B0A0C18308132A5C';
wwv_flow_imp.g_varchar2_table(15602) := 'C8B0A1C387101D722811B1A2C58B18336AB4B861A3C78F20438A1C093102C9932853AA5CC9F261809630492210389326809919046E089133A6CF9F193970C8990040040E3E673200600028C1974EA356842AD000860C2700F494CAB5AB410A2228203009';
wwv_flow_imp.g_varchar2_table(15603) := '00694CA55C3D082CEAB5AD410202E12E1588C1AD5DB70818CC65A1F3ECDC9870059A1078EFAEDD0381076E35CC586A4DAD4839886069E0B14FB50022497DD0B82062A6070F741EBD72E658007CCD9615C8A163EBD600286490BD61B6EDD81B3AEACEC039';
wwv_flow_imp.g_varchar2_table(15604) := 'C2E3C43E81AB13E807402A574A04C2230D5334C1034DA11F98DB91B9F59014562F5E9D5075E4D591270FFF3CCDD48001E0308B1293571069995400B2A94CA22449953202B90C1CC3650C9A3265A0E1450C3001071D00CE11702041D901F00200305C2761';
wwv_flow_imp.g_varchar2_table(15605) := '443551C79A086AB9B6016C129520826A0811D01450980140CB40EE444241382DE1C7051A00DC11E34070A071077E30026002813E19F0D97313060912590449064075167D08A24133C135A246B818444C3251BEF510010404F0A447D50C94CE35051133CC';
wwv_flow_imp.g_varchar2_table(15606) := '409A8D01800D5D2DC8D45C1A08E92641321C94404E352DF990780789C71B007F3915A59DE835760D330078E181652B41A56055CE09D4E79B424618C3A402C559D3031134C5C26028F946A44A9508F48940630A24C140594A085F11555515E85359BEFF7A';
wwv_flow_imp.g_varchar2_table(15607) := 'E5A251F128649C27494A699C482510015BA80D6427421816CB815A461A3497AF887A9444970279518540559809A94601C095AD46B2AA64EBB5B9023029AE0521006C59E20D4BD0641EE06964649C19E4694A55E837901706650B1592E0A244955437B829';
wwv_flow_imp.g_varchar2_table(15608) := '03B930CDF4A9B0782254E242BC5110416F093060B0408D7A6485B504D9DBAF4FFFDEB4714C3DDC80EBB721916CD0066AA5CB1A422818F4E141B6C53B6F79E67DA4B1416EECF071A2A8EE0C5484E27A2B2C4181BD0C009EE22D2C90072678C042BB4A0B44';
wwv_flow_imp.g_varchar2_table(15609) := 'C106B2C9166F415B7AF4868C00BC21101E3EA7E4A44DCD868D926E6A11BCD2C1475FB83052ED2AC4829125242B1B00577F845EC70281FFE286D92AD55C50DE0899C057D866A9CD50761470A0F849D9C52B784114ADCCC2E508F1F5B440094B7DDB4D2695';
wwv_flow_imp.g_varchar2_table(15610) := '1DD2B98083F464532322C019E104418D9A090FA29482082670AA129E03CB107B4383F12543C02D2150135C93F13BD0D386479D74DB03B9AB15A6468D955746DDF25DFA4906FB1ADB917233CDC2EEFDC2907BEE00A4605DD60A774ED0E1EC326F67040D8E';
wwv_flow_imp.g_varchar2_table(15611) := '07DA482F591F93FD6D75CB00B0192015FF419B1A080C1EF4388D0C460405FCC8F816E8333C19EE814FC350F38EE6010F09A47FB3C19BFCF88420FC29A45BD743499FB4C7BACC39CD76107A41022F123BF3AD6481E4DBD9A666F8C062C5AD44097B8D5608';
wwv_flow_imp.g_varchar2_table(15612) := '123157857063C6CB5C42FF5408BC8F988C24E29381F8C4173613D04E209A4B99078E45450064883B073197C70CE0C18480F087578248FCB283A4F0C00D434F9BA140C0E7A0157666607072635BFEF790E419E45807E1D0070110ABB840445FB102E4B63A';
wwv_flow_imp.g_varchar2_table(15613) := '63800414728EC6130AD430848213EAE8910214080F7870AD1E00C09298BCA4CE10D2834D76922B969961EC5EC0460719A4652D2B8B501492370404860033419F41F00346C7F8A63704292183CC66962A4ED18A70539753A8F230A338EC010F885C4538A3';
wwv_flow_imp.g_varchar2_table(15614) := '459548615A03914242A459CB8DE06820B4BC8817A4E9859B6D0C0E77D89A40E0D0350090D330D9044019FED6187C64843DD5BC083C07C29EE510A430F114083D0422FF8F7902A09F00A00740E5B1CF7FB6051EEDE0A747D8E10E77FCD39EF98CA8448504';
wwv_flow_imp.g_varchar2_table(15615) := '0F78C8C3A218BDA83F2F9251004074A2F9AC8748415A4D7D0CA41E2625A94A57CA957DC8631F2C8DA94CC3760F7ADCE3A536C5E93DF0E9909716C49DF8A8C74C874AD4931406A64705C04E1F428F7DC09424F7C84751A74AD5B6A4D4201FADAA56B7DA12';
wwv_flow_imp.g_varchar2_table(15616) := '7E2064A35C0DAB5841020F9E8EF5AC6805493FFE6151AF1204AC698DAB5C11C28F7EB495207695473FDC3AD7BEFAB5AE771D485EFB918F7EF8F5B07205AC3CF80A80C14A15B190654E3F0CEB15C53236AFFFF008651BC28FCE76B6338C55C966231B12C3';
wwv_flow_imp.g_varchar2_table(15617) := '8E76B299ED8A65F16AD1D43E64B20891AA5765EB55C3FFF223AA4A956A3EEA3A5AB7849620FC78AC677F8BCFDF16A4B700302E691332D9E63AD7B0F9882E004C9AD4AE3A15B879BD6C6B1D525881C0F6B8990D2E611452D0EEDAA51F425D486182BBDBE3';
wwv_flow_imp.g_varchar2_table(15618) := 'D6831E8F158854910B80F826B7BE3CA5EF721BFBDCEFDA651FA99D6C60BDBB5D85B876ADCD2D486687635873A8E31FECF9473ED2910D6CC0A31C422D473A249C12E51E24B38F55C786EFFB58BBCA179EB325AC410AEA5DBEDA77BF16E9AF40E291073684';
wwv_flow_imp.g_varchar2_table(15619) := '810D51A9B12EEE9BDCECB2561EAEFDF03EBE010076C034C17855270058540444FC231B14480700B810802A4CE30165F847150CF10F7AE8D7C021C92C3C6C61575B98C31CC715C833403190708049FFC1EDF0841F8623655B00401DF23004280C3B283D03';
wwv_flow_imp.g_varchar2_table(15620) := '201AF119C83FCC9189E1C0D820CE15F43804D080AE344011FCB04763572BD8ED22971FFB28872AA600805AF8F41FA3E5C7A093C0853BFCA3085CBE0607CA01802ABC411DE518CC35CAC0E57A7CD920FC106A4D0592DE8C2C180EFDC00723AAD10D5078A2';
wwv_flow_imp.g_varchar2_table(15621) := '1DAEC8443F58FD065784C30FCC804411E8610B43C8E3166866473A90E10A00D88218F040462A68D10D4F10CA13E2A007289E9109714002CDA9C806AB05E261C8CAF81FF63887020A008001F8DBDF30E1370004A0087BD823BC6C5DEC8F33EB5FEF024018';
wwv_flow_imp.g_varchar2_table(15622) := '965005002C510E98829A20F9F8472694900A08FCC30891F887AAD9A14E0258211C3FFFC88415B6FC0F5B3FA41EEC188E830DA20E340B44CAED607142205C0546C0C110A9B04519D2410C431882189428872B52510E5BA00118A908078C40218EE16436EA';
wwv_flow_imp.g_varchar2_table(15623) := 'B505802BAE410B913F631A7616876053A16D4F08E4160E5F696A43FB5B86239AB9CF05004CF5DDEF010040E0030709DE13D28036E843D2FF10F5801B5B6084704315B500402B2A0E808B0B1A004940800702108E24A0811DCF48C033FEA18432B0431C22';
wwv_flow_imp.g_varchar2_table(15624) := '50C71F02408996DFBA20F090B23A602D9072D8FCCE0439335C09925976BC811EE530042D6811897E387D18E578C33F86E109F8789B16E2E0C298D8EA515BB0BA1A27B2058B2241ED7020DF1C5DB779269A3E1067D732F03C6EACFF3E312E10F06337B9DD';
wwv_flow_imp.g_varchar2_table(15625) := '7D71E3E97DDCB8CF5D2002B03B00E6D006005CA0200217C042F45F11821B1CD482A770950664F40560E5500B9FA00AC5F069C0F50FE2F003DDA04E9E7007069004C340010F2067085004CF9004ECC00E1C000AA6E7106C8566C8C00CE92076290800E950';
wwv_flow_imp.g_varchar2_table(15626) := '0ECF400CE6700DC4E07A59651099D50EA5270FA9700BB79009FCD00E7F000AFA300C7EF006B610096607007E600E915068ED161F771009D5E00A2DF80691800CD9108503216700A07400700D7616092C320CAF673652250ED9C053BF950ED00200E68076';
wwv_flow_imp.g_varchar2_table(15627) := '77760D246710E1C022E1470FBDD67ECF256A74D76F02B0008F70011710880E500002A70002217F05207FFD868800FFB06F79777F0AC07FF7070085987F7E27697B955DD245784076104F250FE8D00900F00EECB10F6BF50FAAD878DD9559F6C00FF8E055';
wwv_flow_imp.g_varchar2_table(15628) := 'C1D50F26A55BA2D658E6C7105ED50EED9009C6917B06500EB72005C30703B4E0095C9009D98067A7277E94B55385056100E04EECA06BE9E056B7650E7A8522EC607DA0E60EE990501B360C11280F86C682D2980E3A073852F50C91C0740D664EAE6058F2';
wwv_flow_imp.g_varchar2_table(15629) := '100E0EE655F6900D86D07886608585C122E21081ED5051D7E055E9900E991072758868DF4559EBE000892800737001FA1706F5270002300B613007A6100610291088A800143907B300008AD0680E900525291059C0915900005930008ED8777F376909C7';
wwv_flow_imp.g_varchar2_table(15630) := '5EF3FFD55AC8755DFFC00DB5100AE1B056C9B58AFCE55A07371075857E82157E10D10F1F180937900DE9300656000AC4E005FD300C26E00AAE1003641850F5C6106EC77E115162DE250F664552C4E08BFF8006940007E1D08486000F7E306EA9200E9500';
wwv_flow_imp.g_varchar2_table(15631) := '09D9A019FF10729E300C5C600BF2E107E1E00ADC6608B7500EE484067EF00C86F0667895600EE9001FA97F17A0000DB00073D0000520006DF00897300700400A02A10B98609A8FD0776DD000BA1008BAA00B8FB06383300B83C009A2709A5950008EE800';
wwv_flow_imp.g_varchar2_table(15632) := '73F00FF330590188939EE878E5975AE9100B7D50089B0009C0900E5FF65B7C255EE2871041467B84E150ECE0093F1009303006556067C3A704E6FF900EC3E001B7C00E02D855002054D5399DF58510CDB8335EA58FE2501CF21172CC0007B4D00FD59009';
wwv_flow_imp.g_varchar2_table(15633) := 'E1900A65800C6C69085CE009E9E007FDB07D1A070AB6F00599000AA9F00C26C20CEC4009F2F15B94655AEBA0001F697F8FD00624598902A092A6F09200200A6C400AE3A00BE710060D30078F400202519281300B59C00900000BBD300B6C600A8FA000BB';
wwv_flow_imp.g_varchar2_table(15634) := 'D99BF160936D155D39F98978F50FE9400B6E40056720104FDA07C2C00E44F961E29759410680AAD89EF0496F09050A7000096FC008AD960944000AB77004BEE80765700D785611A2C60FF040585E750FB9A6549FB559F5A6A74C09525EC522A0E00A7080';
wwv_flow_imp.g_varchar2_table(15635) := '0D6C9609F3E06D68E00E4468080DFF2A0C7C89985D88A0A9C0A0B4F00AC8A09FF0100DFB080A99F00FC8F00640765919DA580FC97F77677782F80861107F10F90859F0081C990759A00B79A00B230900B320ABB93AABA2000BBA500A278A633F2AA29948';
wwv_flow_imp.g_varchar2_table(15636) := 'A48B65A4C38994EBE70A5EC01F66D2ACCD0A00D8F00FF7B059B5A70EFD400FE9006473BA572C080FF5C00FFB541835C70E4B35A701C50EE640A594F583002076E6A0615D280E2C520E00F9AEFA747A19F70C7E400C48E9075C4A59FBC40EAE8066D94009';
wwv_flow_imp.g_varchar2_table(15637) := 'E20084C00000C36008AC169FF92455E64009AE900F5E83768C905E608A66D7609568D8786E0A00ED500D93750B9ED00FA0700DE21009D9F00F93AA0EB7900DCAC89089D60FE7FFF091FEB6770241917757101760888B78AAF7D799030170463B003F0BA4';
wwv_flow_imp.g_varchar2_table(15638) := '77F7A2BE099C9C285D98956691701F00902363602655100BD93AAADD000CD9D00EC3C00CB6900F5B670ECC700DB74074E9A00ED1A0B2D1100929B89FCC7022B7700D91D00DA83810F4708E02E160528610EDA07E05216AEA0007B0A60E9EE00AEE6008E9';
wwv_flow_imp.g_varchar2_table(15639) := '10A8F00087F518B302F16CE1000F91B0799EB097C20000C41072D54A547CF50F5C765CEA860D09F15E06310C910051CD9868EBF70F7D987776C788FD96880361AA05217FB43B1040CBBB98880FF36559C81AB5E53710D160B566723155D007E220944359';
wwv_flow_imp.g_varchar2_table(15640) := '0FC32055D9700D4F760DC310B3CFC00CD1F00FE72965C8900EF3FF700B4F46A1D7E06CB7700FB620617C9A87F0B451EC91870CD16DF0A00ECFF006AA2B0ED560BF65900D5B67678DE755C3100ED1E00649F80F80261FA0400F495954594710876A4E2782';
wwv_flow_imp.g_varchar2_table(15641) := '5FEB590FBB551866997100E050D1455922250F22F5B9919968FFC00E8E58BB417BC2FC3600295CB4412B103A4B108BC86F02D7BB032091FFE04E9B58A4464ABC06A1749E607649680B52469C5D360CA236BDFFE06630E80A84120D620B0FEC700BC8A00E';
wwv_flow_imp.g_varchar2_table(15642) := 'EE90BEA0000AD1406CC3400BF2600B411596B1D594EC3186003006B71009C3E00A68C07BFA900E689C5A99857CC8E0AF86D0A9C39009C380B2EAAB55DE4A2676361CEEE49E6BE770A3EABA602CC2FA86BB06FFE18878F7C2042100FC06C93D3BC3320CC9';
wwv_flow_imp.g_varchar2_table(15643) := '905C007D370FF6A00F397CAC505B784B99640D085CF1E1B5EA300CD7CB0FB700BDCF600E82290E27620EC4E06CCF8086EA900D645898F490C70D4712A0D68B5A970A91A09F49E807BC27657ED00DE52B7EC3900DFAA019D3FB0666670877300D5BB5C01A';
wwv_flow_imp.g_varchar2_table(15644) := 'B1A51A815A93250F38361017F092E16C7FE25CCEE47CCEE39CCEE6ACCEE8CC9297D00FF6E0B43A7CA47DEC5DFAE55A2FB66054AAADB6060F1226A74A25B2EDD06578B65B0CD7AD0AC7A524215552465952B64FE1F0A6FDA00E91E00EF9B0540135B0EB57';
wwv_flow_imp.g_varchar2_table(15645) := '0EF5346F879612B4488BF2605226B5C9FA300F30150F290D53F60053286D0FF3F077310DD3FBFF40D300A0D2F8D0D20010CF390D5BF5B00E9286943709BC1B6C51F5FC10D0295FA6155F01B6769BE55FCEFB11A6A58B69E79E04310C80C66B56BDD5D3D5';
wwv_flow_imp.g_varchar2_table(15646) := '57105BBCA58594D7055C91061200866BF0AC60F3EC8947ED10D0295B2D36B808B1549D455B0D1C130ACD5FBC760FF0FBD15231AA881669AA789418816F0A1DD40627686B3D58609C11B695A7A43CB89EE5D6EA995C762A8B8DEDD72B6158793D1041DD78';
wwv_flow_imp.g_varchar2_table(15647) := '0797D9A00DDAF05CDAF17C9458FABF4F4BCF82EB11992D8BF436D99CA5D972F5D5A1BC10C3D5C9C2C9D8AEFD5917818DB2ED145BAACDB44D1A9DED14BA3DBC462DDA28119DC1DD55D11911D858DC77815AC7BD10F1599DC139BC0075DD51FFE1DDA3A1CD';
wwv_flow_imp.g_varchar2_table(15648) := '554ADDD7E35ACC375B7A9BC122CB181FC8107C8B10EF8D12C331DF0831874546DEF72D10F62D21FB5D10EDC00EF1209D016D4FE960737F3B9E3EB1B60AEE86058EE074F6E02CF810083EE15246E165781005CE826896E11CBEE16ED8B77F1BE2145EDC36';
wwv_flow_imp.g_varchar2_table(15649) := '37E2265EE128CEE02A7EE22B9EE22C8EE005F17A06EE2503B10E443D107C2D5569A9D545B58E0BE1E313DCD7F83D21433A0F0465109AFC8AC03B103A2E5440AE6B2B81BA1E01E42021E409B1E3A73BE41FC3D7EBC9E4F185E506D1DA385E0F60EE338581';
wwv_flow_imp.g_varchar2_table(15650) := '5B2251E65A2E153B850F814C106E2E10714E7EF5F5E57E25E665B9E613D2890AC1E76F9E106CF78A828ED9C355E84859E8C3FF0511EDC5E784A1E64E61A4C8AAE773BD532265E59D71E65EEEC09E9DD83B0D00F3F0E90F0CEA9E2E10871A0FF1400FA77E';
wwv_flow_imp.g_varchar2_table(15651) := 'EAE3F7C03B0DD39A7C10ACCE1054DE123A87BA36A5547938EB01A5E73E5E5040EEE840B14F3A175FBDF5D99F2D10F6100FC60ED60811D4F3100F871AED226170C7EED9697E55385E10FAB0ED92DE10F4B08E7F2EEB2B06E4F4F0E952A104566010E92E10';
wwv_flow_imp.g_varchar2_table(15652) := 'EB9EEEC991115A00005F70051FF1055C2106D13265F892BCF8DEED101120EBB44EEAE406F841F00D012304FF1F07F105E934105F30060F1FF1103FF10FCF05F6FE1013702A04A1F1002001A7A2F11320270E01021500002060011101021D60F21D000223';
wwv_flow_imp.g_varchar2_table(15653) := 'E0F22060F202FFA1F22A30102FBF111B80022B104439BFF3A9B4F303B1F342BF013EEFEF06610440F00346F00302A1F402B1F44FCF104B0FF50951440261F50C31181BF0070E61011D80F2602F10280F001600F65F6F10252F1015C0F106C1F605010400';
wwv_flow_imp.g_varchar2_table(15654) := 'E00245E002705F102E10F743E002354FF779DFF72EE0F7790F0079CF2A02C12A430000847F104003213A00038DAF030A314A43B44638E02090EFEF4700004790049007799B2F109CDF10990F114050F70281262D31020531021D70F703B1F20F91F60431';
wwv_flow_imp.g_varchar2_table(15655) := '0223E002B5AF02AAAFF7AA3F102AA0F7355FF3710F047F8F10AC52F7C26FFA0241F733AF03958F10950F3E38A00335800235E02028F0202F40FD0251FD04FF51FD90DFFCFE5E044610FA894F124C4F104040040981FA67B20340B0491F51FBB36FFBB60F';
wwv_flow_imp.g_varchar2_table(15656) := '00BB0F122A80FB02B1F7BD9FFF0001C0850A00405C0C2108004042850287341458442190890F4D00780100870E853A7034C4F12223001D353EA2A881A2214A85356A00780911050E1C28387ED431B3060B982F6242041A54E850A2458D1E459A54A95289';
wwv_flow_imp.g_varchar2_table(15657) := '478E1801EAD4C8538844002411EA94A88D1D408110A1A8D48887A51D148E383B42ADD0112E807670BB3469DB846B550CC4ABF06EC3816121520432C4E0441B307842DC083367501D2F38DAB4D9912500950A21E7CC89A386CF9A25316FFE0952E161B9A5';
wwv_flow_imp.g_varchar2_table(15658) := '4D9F469DBA21D422478A2439D230C96BA7B0FF611FC10AC0B56E22B17717B551FA07901F4A3BA0058A1CB96AA166DF0E655897205D8177094E17C8B72143850F3B9A14EA11314D921B2BC36C5812E5E4A11E1DD7F0489EF97CFAF5ED2B6CAD30C9ECA0F9';
wwv_flow_imp.g_varchar2_table(15659) := '01486C2DBF007B1B2A8514600080ABA5FC5A0AADE31E546BB9B6D6B220AE8626B47028104C734EA10E54F8F0C3B32C480EBAB8DC72CBA0AE50620187164D4AEC23C6206A0C3EF3527A89231D56400F28F854B249C6173622D223F1EE43324925757BED3F';
wwv_flow_imp.g_varchar2_table(15660) := 'FEB0720DABD7FCC32FB6D6AC9288A88B966CE83800BC2C6AAD12C74CB2030BCC32F34B12915B1380E5201A81A181D02AA285CA5AD408241D839251A19114ABAC249754AA8147965CD24CFFBE3CB964B45124A7042AB7FF200A30B68688B0AAD12D8D0273';
wwv_flow_imp.g_varchar2_table(15661) := 'A835DC2411A9378352E20A00ACB06054B93AE89055883A1C0142A254B0812C9E5EC293A41C89148DA4F45AA2292642CF7B69A7CD2843CFC83E1D65B6D9A524A5F4AA491BB234284C936A41C1253B2D2A8850474875B97856D90200255C0DEA1C2D14F2E4';
wwv_flow_imp.g_varchar2_table(15662) := '2C2F3B3C0A5E74878277D68C6E75B1D7186FF2B53D9532B30C474275F57151670F46D8A8A620B274E16A7D0320538524FE0BA8180A4A38A8554CBD90BB55D000C007A3D601E0A10D99632854D450E211A88C5CFCE8458E804250A18F5E60AF65F4D65BF6';
wwv_flow_imp.g_varchar2_table(15663) := 'DF5C97CD386866B36C88CA2C63A3982806810A4EE8A07E090649559D4616FF47A18CDD88231E38BAB8DF965A32B4C7626BFA9AA3D08AD433B1D0A8667BA926898E123506C35ABA6DA5E2386A88789833635DFA48244884A27862C1A49F78E848A19A0D6E';
wwv_flow_imp.g_varchar2_table(15664) := 'F9A5F3D803E0563E8D4C5B3CA0EDC65CA8DC88D60DC9AE26BD21730094F9B2DE86387EA5A86E50F3BB5C003E6D76859460DA69E68610B779A5D0585AE13CF44CE28834D187C79C38A2AA159D14258872EEC1E62698E0348E85D619D97E2F7FA9659D2BDB';
wwv_flow_imp.g_varchar2_table(15665) := '3EF2AF615A3657E2C72F8A734677A8BBED5F2E0C2ABAA29AA72F18BF83E691EC86D646CAD0150A97FC30FCC90760009D150C5CC882286851419C1498C0040A853B02240A0A7884AB96F82E29256888080C65B5800D4CFF7810046108191527E780600426';
wwv_flow_imp.g_varchar2_table(15666) := '6C20502A5081A5E08228A3985FC2B4F73F11D6D086372CD103213204B778E72866C061108538441CE6402E310CCA104C47442636D1895C02C4AA08721C130200041DD8D0129FB8452E76B151C839991515C2C21B9E00002B30A317D5B8C6D4584121AEE3';
wwv_flow_imp.g_varchar2_table(15667) := '54ACBE2414169211802180C809AAC7463EF6B1282E400B72B408272EEA518F7E44642253832627E251918F44E42055634701E2318D90C4E41A2B20C9D46C92441DA880CA849601006460031F2025001C994956B6122994F41019CD04CA519612001AF840';
wwv_flow_imp.g_varchar2_table(15668) := '1ECFE84A5EF6528510D964304547CA54AA728FBE446622A736BC0D8460031A68E6064EB081FB1D3399D7FFC4A6B30870806D1AE000DE040003B2394E721ECC0F44E1431FFC50083E14629D00386739E5394FD4F4A31F44F9C73F80724F7AF6D39FFF0468';
wwv_flow_imp.g_varchar2_table(15669) := '40053A508216D4A00745684215CAAC7C34D4A1F9D0472BEF718F8556B428F9986846F1818F7C6033A243DC874545D78F7C96B4A4D7D44743F9C18F86E2A31EF808213DE8F9031BC42005387CC31BDC90D39DEA14007700C04E79C9050054C10B44550852';
wwv_flow_imp.g_varchar2_table(15670) := '454A35040080000608E10D6260828B503505548541466AF6275662000011784043C4B9542EF5408D5F412B58C012B1893524AD6F55EB5B01309CB8D615AD21D4400834A04A8550B38B5D236B6095B24AC192F507C571EB0E7EA058C62ED6B18A4DA4FF57';
wwv_flow_imp.g_varchar2_table(15671) := '0B4B35A8DEF0B088456C43203B59CE02A5A945490001421B5A087E8E28A6354A0B6CE881CF264095A73CCA5E1BC2CDCE52CDB57E0C0B6A037891047C16291A90EC581552D9DA32CA03204010083655DCD20016000868A651240B00AF32009CCC55D20372';
wwv_flow_imp.g_varchar2_table(15672) := 'D09507DC1622C4C5AE5C12205BA27C00B80A116E7897F4D186783701507D2F00481B5F25D56D38C3310D71F4CB582E7AF728E6BDE56C218281F3AA1735E320000092D10D2D2498B809F6AF425C2B01F952380114060004DC7495E5514DBFF735DE1611F0';
wwv_flow_imp.g_varchar2_table(15673) := '5EE8063804B91C0A06A6DB900828E4011810A7750DBC9470241800CC2006445CEB5A0248C0880D712350820C1138BC0100403C98F188FF93593E32C0B50FF0EB51D2DB90B05277B8D6F5ED8C91D20D7048D8A94099C0F414D2612BF8F0C70D3143199883';
wwv_flow_imp.g_varchar2_table(15674) := '5FA5E877AE1301F17DBD08DED8A2170007084A95B1DC90A78A360008C8B29601100D854463C842F902901582B732FC610B550000C890EC873F3484118D8844238E82DAF41DD4AB2B0E0A03F64A670040D5C6BDED2E00AA2CE80C37248C1153B3661592E9';
wwv_flow_imp.g_varchar2_table(15675) := 'A4980322CC480651886A15C0FC1301A41E0A79AF2B142783F7A90D81AA3813D0E26527C0C99D35406FDBDBDE5443E0B30FC175505260E49B12C5C80DB9853D92A2DB7942950347213051305065607F77C4CAF66D6FE55DDBD61E0517B60E4A1CC201145B';
wwv_flow_imp.g_varchar2_table(15676) := 'A42219A900C0DEAA8114FF37DEB42BA113698185F2E255973A2806B0F1519CCDD900F0B92895264A246E0C1117CE5A380D61F2C440AC5664D2B728A08608703590DE5FA7A6A9C5E4AC0722AC100CB3BA3E7B1DEB013EFB805C3E60CA9F8538C487F2D9A6';
wwv_flow_imp.g_varchar2_table(15677) := 'CE9CB370200A043A3D14483347B516E83600A03E816E7FD8EAF45CF194D1DB70605736DAA50E74A0594D96E51EE5B314696CDA43AE9009900522133837DC01A05A72B69B287426B0D691DD67A71AA0B28136FAD86B5E9453CF47EE00903BD52D508438BB';
wwv_flow_imp.g_varchar2_table(15678) := 'D95174F7E28B65FB6CBD0FF7D780364053FF6E73A1D83D4C5D09F151A06E012128A4054220BD0A84A082C332DEEAC5093D9218D26BF429A4F6429300A07F4BEC55C7FFF8EB9D4700018A4E67D78E98F3ED152DA38A83A9E21441058CFF01E3A5BFF625A5';
wwv_flow_imp.g_varchar2_table(15679) := '8FFA4153816E336F9A08AC7BDDCF0E67E7A13AE2D6FE5EECC777AA77239E248A3099AE187356D312A2DAEB27CC064DA34FDE1B1E68E14BF8EB44972F2F433F2F13ADF5338A8460B3D268018660BC4CE13566512D1048810DC13FB7B201B403820A6C141B';
wwv_flow_imp.g_varchar2_table(15680) := 'C816A068B1A4102E9E432FF822B568ABB7A11BC0001CBC00BC8FE8318AB52A88A44912153081E0288E0BD4C0ED182285D3B3A0083B010C8A0FB43910D89015B4BB15540A1754080E70C114D0A166E10E15481FD01B0ED30202724B921C340D0608ABE0DA';
wwv_flow_imp.g_varchar2_table(15681) := 'B1CA7A2ABFA3B2A233BEA188000CD2320EA0300A4042FFD0320DFC433D213090846840BBB98116B8430BCCC00C240C2EB181EC8388F32B0AE2F23E9FF3B9ED7338D1822F21240AFFFAA0141C0A09083CA4688D1FF00EB89916085A3ACCA93C1773B6F702';
wwv_flow_imp.g_varchar2_table(15682) := '4541340AF1494102304503540D0BF000AA839E14A03AB723AB8A030A59A48F4E6435BCC19B8688833FD8C55E04004C83884A88044A68844CD03861FC458520468568044A48464A880463CC040088C6481046629C466B1CC662A4C66BC4344D6B146D14C6';
wwv_flow_imp.g_varchar2_table(15683) := '71144771ECC66E2CC75FD4386064C775D43824290448BC217D92C77A6C1B7980077C8C8775880778E8C7789087BD218A80048080F4C782FC478484077B64C8D210B786B0877988C87AB0078AB4C8FF8A7C48A4C8C886E448C15AA98E0449D3E0A7A158A9';
wwv_flow_imp.g_varchar2_table(15684) := '95B2277B02007ED0877EE0070018C9908449A3A0878C520A8ACAA88862AF98D4C9F940498538C997DC4985128686488558000080731660B005A5040688E8378540CA86A0055BA04AAA048661B8CAAB0C4A83DA006ADA2B0A08B086639415A0A60D20CBB3';
wwv_flow_imp.g_varchar2_table(15685) := '0C3600E8CA15E080151081F3589CAD1CA891700C8C680CDB71140B0A1864F91700401CAD6908B3420200E80124800AB904A88C28963B819C8C999D1E390FDBE1812598CCC244CC81DA8C9A78811669119F189F98E00826D81A00A04CCABCCC82DA091650';
wwv_flow_imp.g_varchar2_table(15686) := 'CD470C9AC77409D9499CA0302B0040021E40821E5802C29CCDD31C279B101EF8C89CFF98281685600285E00126D84D85D8CDC1244E85B026DECCA4FFB99CCC09169228CEDC0400E4A44C24E0CEE4E497DC814E57D28C99C14B008211EB9C4CDC294DEE24';
wwv_flow_imp.g_varchar2_table(15687) := 'CD1D5802D3FC883EA1A1F05CA3659191E90C9A3EC14FA028CDC9DC0126E88AAEA84DD2A4CF5E2A9699210FCAB199233918E1EC91F0088A1D384E72DBCF0285A40A751A1AFA9F259819005D0224E088FF04510B752593F820B459505ED10C47B9CFC8C150';
wwv_flow_imp.g_varchar2_table(15688) := '1C104D0EE55024C0CEDA344D123550F2311C0C6D88E26C88FE2C4D1CF5A5F9241E05050AC9144D008DCD8EF051214DA4971889F2B4213C419CE46CD2F4480C27ED23BDBC1F1C92111D8851DB114DAF81081AD052989411DC31CE9E2BCD131E3DD3E3634D';
wwv_flow_imp.g_varchar2_table(15689) := '85E05035CDCE373D4D1DE0D0D0A4533BBD4C1FDD5383E1D3989C4C26A0511A9D4DC924D24095471AA54DEC244D1D905245D549DC04D1E3FC534985C90F9D4C483DCE38C5D486DCCDE2E40137FDD4012CBD86604E472DD58E8C89C174541D18D5550549CD';
wwv_flow_imp.g_varchar2_table(15690) := '401CE6F44B26C808D8945586FC890F85D55D05C9F254552E0556796401ADC181E72CD6656556851207000887671DA780000021F904050A0000002C790024006A013B010008FF0001081C48B0A0C18308132A5CC8B0A1C3871009228848B1A2C58B18336A';
wwv_flow_imp.g_varchar2_table(15691) := 'DCC8B1A3C78F2043023820B2A4C9932853AA5CC9B2A5CB973063CA9C4953E601022963E8D459B3A7CF9F0C0300AD698064C3184393F6DCA0F4A250814F9BC634C0128655A9581732055082EB40111C44643D2834C0D3B3049EE21CCBB6ADDB8A5DBB0AE4';
wwv_flow_imp.g_varchar2_table(15692) := 'F0966CDDBB78F332A40B80EF400F72F32678A0B7A3519948B3DEC02B566063161E4444EEEB96C84025026178296C71ED40069C3FCA002043468FD17A25B3300159B264C77A4D848EE899EA6C90326EF0C8BD386F89B002590058DD786EF1925135C6F842';
wwv_flow_imp.g_varchar2_table(15693) := '198087DB4109DA060DBDE28E83ACFB1EBF0B59F8700FDD4DB8FFE6F01BACC00D1432487D0EA0777585130FAA7FCF907DE2821400E48F2DB67B70F6DB1594417A840110C144D4D1371602B60190A08209D1C51E0031DC10030C036DC5D96ADEC9065E641E';
wwv_flow_imp.g_varchar2_table(15694) := 'A0001E42030AA45E02071ED8936710B688D10B03C1A0D30D345E58DD879001E0DA8891BD761081050E1401002CBA9815054CF965648D15D248A382AB15E45D450908349101451AF953905A1A349A93603EE9E2945F85A56473FB5939E4480D76E9665B16';
wwv_flow_imp.g_varchar2_table(15695) := 'EEB49391B221E4015D7CA1775002571299E59B80266521413CB5E8DF5F670E94664254059056A0902675DD0D3B506A690F09ED8029009ABE55A74023026002801322B4A6400D1AD066A4ACCA74A773A0BAFF990197049D6A5215ADE6FAD11B00C0C1ABAF';
wwv_flow_imp.g_varchar2_table(15696) := '6E96E186AEC4DE464FA4EC14ABECB26EC923103CF0302BEDB4D4566BEDB5D866ABEDB6DC76EBEDB7E0862BEEB8E4966BEEB9E8A6ABEEBAECB6EBEEBBF0C62BEFBCF47ADB4FBDF85EF4CF3F00EC43D0BEF604CACF40F7B0357042F900C0CFC009E77BD2BE';
wwv_flow_imp.g_varchar2_table(15697) := '04E163CFC4F7ECE32F4B0D779BB1C31C6374304DF7160C403AEA745C6D3F01572B0F2DFCDE524E3A264F3BC7BD0F5D7C10CDD0DDCBCE1BFFD403C03531175BC00003B5A10F00382F64F39B52401234B3050824C01CFFCC533345AB3E74EC4C383BFB7447';
wwv_flow_imp.g_varchar2_table(15698) := '1B9B240000519764F4D517AB520B00C9221D53D222F5132D00B654A24FDB5F5704B743163FFFA40042630F34F4430EFC3D500300F84C11346B13B4B44B783F043343FC1294B0C8795BB477438F577401410344ADCB239710640A4179105440D953FF138F';
wwv_flow_imp.g_varchar2_table(15699) := '409B0F84F33EDF7C528B3816FFD379E6EB1A0EB803060522D02C079140BC409808A4C8E9A2003ED0C70D85B2C82285A82250E5BCBF0B3C42613440B441B00C04CE380AE932502FB0C0927A41BE534EB31D4F0844859649E7137BD0C018B2D23900F83E80';
wwv_flow_imp.g_varchar2_table(15700) := 'EF6DB840E810D706009C8E206148C81C04C209F311A40DA7F39D225E073D84F403145220C8183603002F002D7B81EA473FB2912C767CF023950B5C42A246B4B20964002DECDF0A07F03983B010006D98873DF4C18FD81D4C7F0219D61DFFB404B3768803';
wwv_flow_imp.g_varchar2_table(15701) := '8406F9C7C0FEE135936C6F002A3C880B01F03DB259B16C532C4815055236AACDE3680C61861BBCC0050E92B145F74A05120B920F915DCE24EB4848E854C74518862E742E1C9A1EEF38B817FA916C0568400E7708C6851CD120C080D03FE6B6460060CF82';
wwv_flow_imp.g_varchar2_table(15702) := '08599840F21136866C6F85741440D43469C3B1154093A064DD273F499039BC0E008544D842FA51C1DB448216997305311E224281B4522317C8020072B94B5DF2F297BE0C662F87094C620A73208FA8DC3EEED7485631B2218FD4C8D2F4510F6A06EC1EF3';
wwv_flow_imp.g_varchar2_table(15703) := 'D8C73CE2B18F7B70931F3BB40737ED914D72EEC39CE2DC473DB209007B2C6C1EFD9098DBE2310FE8311352B76CE64AF8E5FFAF7CA26462D1D4E7D7EE1993DD09F4A0084DA84217CAD0863AF4A1105D88B32A19D18A3A441D566B11C900600E987594A31E';
wwv_flow_imp.g_varchar2_table(15704) := '0D294817F2D1928AF4A323EDA8392CFA1375B0C39DB3F1DAD6B6C65269D1E375F6A0684D772A10C5DD03733C0DEA41F021D4A21AF5A8484DAA5297CAD4A63AF5A950E56907463082A832B4AA047181551DDA01AD76B5272370810AC42A10B25EC4042FA8';
wwv_flow_imp.g_varchar2_table(15705) := 'C1561584D51C58A02320E0C8580130D6B92244050C61010B7020101DF015003A586B612CE05681501521584D48074A92D88590D5AC0641010E58A05616E840AD3808AC60F3A2D5A474C0021DF8EC62A74A5A1524D6B40961CF64FF6A10D66E762C710040';
wwv_flow_imp.g_varchar2_table(15706) := '681B6B90B0FFD255203E604E4186A0050028A10378DD086D05D2011084D62137900D0AC8F4DAD0F800AB16A06D1C71AB020BACC220EBB882404041DC112C76B80F79AB4630840282E040ADE66D6E5D701184823416175BF0ED40A6110C81506320AFD36A';
wwv_flow_imp.g_varchar2_table(15707) := '7033D2D98D88A5BC93AD8170260B00025756BD7809EE7413320A842C162BE8058080252C90BFF68607084E4A7D0D0B80114C80208060880B525617B5A297C006818166335C93FA4617215610C87513B28DB7AC00002B286F8E0512E181AC58B335A84179';
wwv_flow_imp.g_varchar2_table(15708) := '0582821AECF8C62C36092E723010DA56B5022D98EA4140500109D8D821815DF1700E82022427B924B21848704D8BDA119816BC03896B87AB13E41E17F9FFCB2EF94530709190FD3EE4C1A129AF70822C1C2FC31928C525AE0A806B66838040CD9C39C140';
wwv_flow_imp.g_varchar2_table(15709) := '905CE421FF79267845F377139203BC32F9D1EC12EF87B78066840C01D3F48A2F00AEE003863402D4F00A31411A218781540200A74675BD1E6C061FC841D40369C41A12526A0098A14B213841B0657D92C30A04AF8B45F6832B3090215879085E15887889';
wwv_flow_imp.g_varchar2_table(15710) := '9D2E3CAB99D988A636BC98FDD988305BDBE00EF77BAC2CDB6F8BBB6315C0F3B9D7CDEE76BBFBDDF08EB7BCE74DEF7AF7641FDC04C029ED0D2F79E05B1EFB8EF74F078E0F7CE8345BFBC6B741DDBDB0863B1C5C5E5B784D805A514A5ADCE20465153EEAB1';
wwv_flow_imp.g_varchar2_table(15711) := 'F18E2BAE5FCCF2A7BABC600532929C8C43FF1CD61B8645AC189B7C203116C8139040732400A00A5EA082187045931F0C0457192CB9960C909CDB58852732AA100C4CB0F418112B020F600061A8C3A5B4B0286B32F14C728AFE9E1DD00A3A3F0042D8C70E';
wwv_flow_imp.g_varchar2_table(15712) := '04CB080408042142D9D7AEF6B6B35DEC0078BBDBE7EE961068C0EE030981404EF5200769A0EF4A59147476E0733863602004388C44F2858007C4800826A892951090000348BE3A853FC80E8040F8CEFFC0F39D079406304018AA14E533056200021844AF';
wwv_flow_imp.g_varchar2_table(15713) := '0824C00366AF3C002ACFA7F8DCE63AD731C8E673CFACD10B04F004490068644F2FBFACDEF296A78F0D128276CE37044375E180E427B281BB33E4F0A83A7D411E7078D33B0CEDB337C0FF952E2FADE5C7DD2D290000E51F82010D0804FB07F900F7D79800';
wwv_flow_imp.g_varchar2_table(15714) := '0280A0540C85BE401210020D21E4039F211007A07D00707818007C0EF3292D90790000012E007E118500FE7710A3E77E058810F3D77D0C207EF80204FC4300AEE0160C787663672DB6777D007880A85210ED471D1BC831DDF007FA6754C2C720F9A1771F';
wwv_flow_imp.g_varchar2_table(15715) := 'A0770861813B3810068080FC0628B207013A1884E9427ED76784EC02800C512048A88490C2810D417A02887503B17A50982BD4C710BE8781F0071A529885D5D27E0E3111B6470054818670C67BDC82850BC18407D17E5FB87E44C22068A886562886C512';
wwv_flow_imp.g_varchar2_table(15716) := '011AF077A58785B6718758A287D2D2265D081AAAF78488A77E664888D5FF71820DD177EE172479A82A04608679F8541C300189F22ED4817D35981042217E54C17A90E85429600142A08AAAA80242E08AD74201C4B710F0572B05387F06D126B6A12AABD7';
wwv_flow_imp.g_varchar2_table(15717) := '27A5387BA7685445F003C3080099478CC81877645782906203E677859998100C508102F1003F188C97687913217BABA7884C6519102810C35876CCA2026CA811DC1775A8328B00B02ADD5810EB47875B6567CD070066A72B2A60032D50103C08112D3875';
wwv_flow_imp.g_varchar2_table(15718) := '3F581038F18E2B8810C2B755E9678F6CC72E0F307A53177E27A82A06512594278FBF9701F30155611777F7887673178E6F626718417AEE8701C2A78B56127C4038105FE78840618ECF387B17818B0E729202B116C8FF070053E78D06B2772540032E6924';
wwv_flow_imp.g_varchar2_table(15719) := 'FD08001A40180F60861579901151025A16945DF22717612B4EA9257E30955679955899955AB9952AC10FA9541122C795B75130FA40530C410F5F2996D302316AC92CC0108200100A03410BB1600B6D492C1BB0022D7997D472633072103D60737CF9262B';
wwv_flow_imp.g_varchar2_table(15720) := '80648679104BA0034BD0034BB0038D3998C4B2623CB0984B009980E26702C1040090984B30993C30993DB02996A9253786649AA5983CC00448E0994B2098A3D9163D06112B106412C65781D59905D198BA89043D8061AF9914AE551126065804219A05C1';
wwv_flow_imp.g_varchar2_table(15721) := '9836A7993C3610C1F99B2AD19C16319C06C104B9D7993407003CB09ACE6924AC9598D82910EEE163DBFF4913E7755ED1496108C104BE699DB83999B8399E2DA2033AA09E4C7003D42910ABD9994CD094F07917D049109529109D699D00D09B00A09E2BF6';
wwv_flow_imp.g_varchar2_table(15722) := '9FFD9917F3999A3B409F3DA09E7D35A10B0A1D352099DFA99FD3A9A015CA19129A6502919A06119B1DAA17AC29A00D7A9AC459A20AA298F29999A7C99F2C7A177E26A2CA5910373AA3D5C10332AAA3EF319F9BD99AADE99B03C1A31CEAA36E619C455A99';
wwv_flow_imp.g_varchar2_table(15723) := '120A94489A17228003AE899C9DA90344FAA48551026482048B99998075A458CAA007DAA3615A173D30050311A0575AA679F15795C9A521FAA26CAA173590594BAA98243AA775C1A18EA6A785A1998DB6637E5A182C1018837AA8889AA88ABAA88CFFDAA8';
wwv_flow_imp.g_varchar2_table(15724) := '8EFAA8901AA9923AA9945AA9967AA9989AA99ABAA99CDAA99EFAA9A01AAAA23AAAA45AAAA67AAAA89AAAAABAAAACDAAAAEFAAAB01AABB23AABB45AABB67AABB89AABBABAABBCDAABBEFAABC01AACC23AACC45AACC67AACC89AACCABAACCCDAACCEFAACD0';
wwv_flow_imp.g_varchar2_table(15725) := '1AADD23AADD45AADD67AADD89AADDABAADDCDAADDEFAADE01AAEE23AAEE45AAEE67AAEE89AAEEABAAE4A489FA9C9988C199EC5CA576B9A9D6B4AAC7F959ADE99AC5E96A2CE4A03755AADB7A9984CC09818D69AD86973F7DAAB38C05AA93999A8B9998C49';
wwv_flow_imp.g_varchar2_table(15726) := '99BBEA657F159C81F5B00301AF0B3BABAC159B99A59E9CB962425A618105A6A7CA5AD089B104718E0596A3B67A5E7BE51DE629A09FFF49999E5910409AAB99D5B3CCF9572E8AA3404AA6B0DAB32A7A10568AB4304BAB767A10C129A221EAAE0DBAB4AEEA';
wwv_flow_imp.g_varchar2_table(15727) := '5AFCA9577BD657418B9D3BBBA2B7CA9F17DBA704A19E57BA9F8045B4A87A5E687B1050FBAE30CA0328EBAA57CA5A92B5993C5AB04B0AB5BBDAA325E065AE090082999A56CA04CCB5AB86CAA5362798017AA0C4E9A4455B600D51983A209ADA09B15A3BAB';
wwv_flow_imp.g_varchar2_table(15728) := '82CA1085B9028A99A65C3AB83CAA038E1BABB4F9107D9A9DBE7A63798A634526640941B5B67A6322E0671BD0683A50643A20988C29ACB3BB682B509E81A556679A9FBCAB10E875B01D0BAC247A9B8CB9B6BCAA68095198D0CBAC4970105450BD54600480';
wwv_flow_imp.g_varchar2_table(15729) := '4BACCED2440BF14CC037EA6FF2700FF4700FFE762CF4B00FFE56AC175330EB0B00030772FD5231F4EBAB05F353126710E7C4AEA77A70DB4A0FF4200F006C2401010021F904050A0000002C85002F005A012A010008FF0001081C48B0A0C18308132A5CC8';
wwv_flow_imp.g_varchar2_table(15730) := 'B0A1C38710234A9C4831E18E1B15336ADCC8B1A3C78F20438A1C49B2A4C9932853AA5CC9B2A5CB973063CA9C49B3A6CD9B3873EADCC9B3A7CF9F40830A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB58B36ADDCAB5ABD7AF60C38A1D4BB6';
wwv_flow_imp.g_varchar2_table(15731) := 'ACD9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EADDCBB7AFDFBF80030B1E4CB8B0E1C388132B5ECCB8B1E3C79023FE8B4CB9B2E5CB9875F6CBCC7926BF7A00FEF18B3BB973547A9B01A4262D75F5E57AD9D8016807B3B4D0D1A69F96BB65C895';
wwv_flow_imp.g_varchar2_table(15732) := 'BADEAE5C01C814E95AEEE31D37BB8243DC1628DBC8A373BCE6291B8048E1B2C13147AC6024D7D2C32FFFBC33509DA7610090811A984AE035E8E2E32B0C47AF5D3F7EFFF2B3B532467ED27491F8614836FFCC734F3DF98C968F40F72C58962DFE19950F3D';
wwv_flow_imp.g_varchar2_table(15733) := '00FC919F68A2D9A31A41E075055F84437D064F3B86C876E168FDA408E28A04F1738F3CF2FC014F68FFA46863872CCAE7228C324E86628E400AC40F3FF0C0536268B80509247EF95172A29241E6F38F3A8C54124939A241B9E43FF284E38E975AD284235D';
wwv_flow_imp.g_varchar2_table(15734) := '17EA17A6929B8D79667CE9A403409B6FAE59533AE6BC698E9B36D169E79E7AF659A79F7CFE2968A084026AE8A087168AE8A28936BAA8A2903A2AE7A494566AE9A59866CAD93E9A9E258F40F450780F00F48016D6A700A09AEAA8AB4E4421A99D76FF548F';
wwv_flow_imp.g_varchar2_table(15735) := 'A93AC9B38FAD9FE67AEBAEB8F2EA6BAFB8A69A10AB9C1E74EB43AAC66A95175430CB2C00673CE16CB3D44E6B6DB5D442D4DF1862283BD30A1BAC305008E0961BEE062A6130AE481F64C0104600EC30100F03891BC2070D85E06D473AC0F0C24130F42B30';
wwv_flow_imp.g_varchar2_table(15736) := '0B2FE03092BE09D5E091C21421B1C44106D760B0410CEF9B110A3A0C94310018A300400D26A08083C81D8F1CF10B155784EE4D482041500F4BC02C500D1E4794B2C51031ECB10E2BA04073CA35D4A083C4230FCD0247E2E2042F004B382C500F33AF7033';
wwv_flow_imp.g_varchar2_table(15737) := 'CE1F0D4D90CF3ECFBC73CD571BBCB15437C48C04BDF1C64CF54938A0AC43CD3CF38C71D25AD35C100E6B0380C3C44C8DEDF0DE033DFF7CB64919BFA0C3D075F34CD0CF28F4DCB3C26B0FAD36DD90EB1039DD4231D1030F6633CDB7DD38D0F0F7485F475C';
wwv_flow_imp.g_varchar2_table(15738) := '32C70AFB2CB5B8134FCCF0C67817B504D908F9FDF94830106430C634AFDDBA40249B6CB7C803517E940E96BFEEF70E4D03E0F2EC2DE13075F01EDFCDFBDDBB2385B90E3C30C143C6C6337FD2D702B18038CD8B679D50F548BD0EFB403B3081840E4BA0BF';
wwv_flow_imp.g_varchar2_table(15739) := '521294826F90E9E4CBCDF5C702192CFF51EB1348D3A04690C179CF23FD5288E91297321CB06062566BCAD4304741BF110F004C68C9110852840D128408400AE04116D733DE89EB68FEB3DBF398A23D26B4AF07DA3388FD0E1891142E046E03499CF88007';
wwv_flow_imp.g_varchar2_table(15740) := '80A345257BDB9B57C6FFB4B7B10CD27022BE1B080B4A0891F2AD90294B205EF69677C48D884B610F2C1D444400007179717F50695D0BC9C6841956F1860361580DA4B616854D8C0764044011CF4818F1092463D9C31E0601404111D2B13064CBDC1F2123';
wwv_flow_imp.g_varchar2_table(15741) := 'BB411226790271180FA868C88A9C20048F4CCB09B8D8379935B231D79323D93C37101AE0F09278719ACC8CC8C9829412947629241CFB87904FA2522E475B642147A8B035BED22E068399D3FC78B85BE2928F8ADC181B7DD997AF618E9884594108D01501';
wwv_flow_imp.g_varchar2_table(15742) := '006800998329841F00C00700F8A110D584265EF4B399325D2834DA0CA738C749CE729AB325FA38275FF491CE8A24892BC5620C3D46B58F7786895519C1274FF479FF127C9CE4070479024180708316D4EE296FB8031AC8331134BCC10D68104A11AA2050';
wwv_flow_imp.g_varchar2_table(15743) := '8170C10A5CF00200AC4011693D8B2647A80200A40000917A81A3212943440F42528E5072210600800108B09418C4E05F07F557571E8081070824020F6000009AC9009F0240A80961C0010A42800334150001A0A94A622A10A95635241E30C90F6E400199';
wwv_flow_imp.g_varchar2_table(15744) := '6E0508022102108C20102088F5AC664D2B5AC5FA83B5AAF5AD33B1414234B081103C73201AD0575EE90A00A312A4A7806DE641A80A0004CCC45D03595A45E465981F00942A3138C85DF30A00BB22445D3235C0520F9280C11220A604302C021260D8A5D8';
wwv_flow_imp.g_varchar2_table(15745) := '005E1CE00B5809F2831DACD6218F4D8A5F1BA201A1FF2A5520540D2A6E196080CE0EE4B300B0AA611FE05BA5D820065915884F4BDB92E21A85B1038D6D5A308081BB1256A8CDD400510D6B00E60637A608204071897B900708F62737B8810C6AC7010808';
wwv_flow_imp.g_varchar2_table(15746) := '84B425E96D42C44B5FE71AB7212D00805CAF7257812075B37DADAE6D0B4B10AA4A75B40921EE6C819282140020B9474DC0823D425AC232C4AA58592D74A98259A416445D77B5EF6FA9EA5D85F8F4943CB981830190DA8124A099EEDD40573F92000318C0';
wwv_flow_imp.g_varchar2_table(15747) := '03201088046090631E5385082014CB333540DDCC1E80B0447EA687098261E51EC4BD0080728B9152E20773240037782D00123084F7429920220ED20788ECCC011F64C908B0F040A83AE385ACECFF280978719451422BDCFEB6B3F215AF4CC30C2275A979';
wwv_flow_imp.g_varchar2_table(15748) := '20133E0802AADC101A20362DEA08000094910D3428BAB89D6D320024B0E54977560250A6748E95403FE460C0B60066407F0732E83F8796210F80C0824F5094F39AA41B544D062E0A1CDC2D27C00704C17541744D9037C001006F68C90FC03AECB760B620';
wwv_flow_imp.g_varchar2_table(15749) := 'CFF42B6FD33C583E4BC5D922098738EC6CDF0A70A1202855821206D26582A061A52B193640B5BC16EB7A7520D54DC84C6D2CE9AA202002D0FE483204928C2B28C4DE0211698500A005437C81A36600C04AFF304D8118A2128D880467967C100C7496B74C';
wwv_flow_imp.g_varchar2_table(15750) := '3EF77B7D3ADECEFAD4D5702E0807DA5C12BF9A60A0E006C06A13EE103C09E417CFFFB8CC0730ABD985D458E2184E80502FDED9662258202528C151303E921A17F7CBC4756F9C055204003C83190631C1AF3F9E90900F231ED2A9AD51C16B600BC754E605';
wwv_flow_imp.g_varchar2_table(15751) := '192D03E00B005623E5C5BEA5C0974542D53F1BE416E338081CBA519057B88219C2F9D4344C1368829899A906B9399805F2EEBA0B05DE7EFF8855CD3E104328A41146274877048278FF24B9AF12B773439CEB5B9D7F1DF0F1FE8804023D014AE1CBBFE7F6';
wwv_flow_imp.g_varchar2_table(15752) := '694FEFBE6649139AC003F17A4118C0F39C90F7A799E748C1CBBB61866C5B3CF83A36EA893C758627A4C49D1DAFE59102EF38FBBE253986F0E40522AFD63A7F07CFA74CBA23DFD30F78F8E5EAEEEE9FBD9B01D5DBBDF53B61AEFF9C632281292BC4B7EDEE';
wwv_flow_imp.g_varchar2_table(15753) := '0C990B22D851CB1721A125ECE9219FD4A1B27EFE32610082F51E93D81B440560E55A9C317DAB2710B5F54C06A07FEA867A7C47609DA57728F653AC775414E87A7CF78034D15BE9172611507D4BE66C835610BD4568C3B710A2E513F8C712093078944280';
wwv_flow_imp.g_varchar2_table(15754) := '0C015F3E076686055F11508205087E39016F38C81234B582FEA75F65255DC8316A10118208F16EE0875D15E813BEF583254169F6457841226081B765FCD780250654DE0700EA1201C7177EE6D5591CE712159055155010CEE684A6812F48C55B91461008';
wwv_flow_imp.g_varchar2_table(15755) := 'D64C5C97103CE72EAC37813EB17535517E9336860B41692BD25376575C1636835B2754EFA675A4056F4EF6613FFF25140850854C0888FEB1600FA0645807663BC810ACB68939A1862F1100A2A868A8D44C00F6177FB06F03F10771C08AAE080080500904';
wwv_flow_imp.g_varchar2_table(15756) := '41098D401C91208BB40800B208008D4009EAC4171AF28B74010FF2000FF1608CEB708CF1200FCB288C71310F04018DF3600FF6500FD5788DD6688DCEB88DDC6815F79110ECC44E43322403C14E42D28D5A212AF7400FF1F410FC848EAC018F2A010C4D01';
wwv_flow_imp.g_varchar2_table(15757) := '0CC3608FC2208F6CE13130402F91A58F63E14306810450033548B0038C04905C014641244004A9906901441504333DF09004F93A9D049153E14A7C541097233B04393604A4913913136BE44911D84AB53431DA633CC6E3344C232F512410294992050146';
wwv_flow_imp.g_varchar2_table(15758) := '2CFFC191118147F4C2046143410E839065C334BD64930841342CF14410E13CAD432FF4923C4B20947C442F4A49922963462251951CB104AFF33E2EF330C8E337FF6394FE33963FB13B3174474B103630293C46B910B5B4143329102EC434983336B3F496';
wwv_flow_imp.g_varchar2_table(15759) := '73F34005213992A33191F331660997A9F31138D092D8D3950FC33D4584957AF9125A59114C809175893C2F5446D863448E69938349140F3397CAB3998F193E76C34A4B613065643C3DD99877D49A7AF9440289146564392E54483164449D399A2A219A11';
wwv_flow_imp.g_varchar2_table(15760) := '8143A0C9477AA49B3D7141B9C910F003442D744746249C39D1901BE139874940CE899172649ACC19136ED9113A47994FB93E65749D55212ED4FFD93753099E58D134A24494E6B91335391118339282B49E56B102BC299F32B19C28C14BF6B99BD2431242';
wwv_flow_imp.g_varchar2_table(15761) := '9090FB4913D9B9308914A059E13CC764A05811990ACA147FD9A058D13A2F05A151D1034240A155216D18BAA11CDAA11EFAA1201AA2223AA2245AA2267AA2289AA22ABAA22CDAA22EFAA2301AA3323AA3345AA3367AA3389AA33ABAA33CDAA33EFAA3401A';
wwv_flow_imp.g_varchar2_table(15762) := 'A4423AA4445AA4467AA4489AA44ABAA44CDAA44EFAA4501AA5523AA5545AA5567AA5589AA55ABAA55CDAA55EFAA5601AA6623AA6645AA6667AA6689AA66ABAA66CDAA66EFAA6701AA7723AA7745AA7767AA7789AA77ABAA77CDAA77EFAA7801AA8823AA8';
wwv_flow_imp.g_varchar2_table(15763) := '845AA8867AA8889AA88ABAA88C8BDAA88E6A1A9969405F9AA004613CF529A527C03042F03014E937518499C5F9A4660392D7B33D19C4A04D9A733870A10204355104445E9A7325B0AA2FC3347A849F5C3AAB024156F1E9A51B50032CC00225109B5474A9';
wwv_flow_imp.g_varchar2_table(15764) := '50BA022210ACCA9AA0319397592A0228A0AC06C302F4B237C139A613E33096F4A5D563307D14A63AC9A614A5A6330200E56A1601010021F904050A0000002C7C0020006A01AA000008FF0001081C48B0A0C18308132A5CC8B0A1C3870A35086400B1A2C5';
wwv_flow_imp.g_varchar2_table(15765) := '8B18336ADCC8B1A3C78F20438A5C780080448125098C5CC9B2A5CB973063CA84A9D2E44483063008FC30B3A7CF9F40830A0D7A40274A831900448830B4A9D3A750A3060D80D000800356198A4021B5ABD7AF60C302201080EC559C380F30C8CA41ACDBB7';
wwv_flow_imp.g_varchar2_table(15766) := '70E3B2A44AD000D6033507962478D204801872030B1E4C9821DEBD03B3165ECCB8316102780FAE1598418408C798336B167A38EFE6CFA0437B6D2BBAB4E9D3A853AB5ECDBAB5EBD7B063CB9E4DBBB6EDDBB873EBDECDBBB7EFDFC0830B1F4EBCB8F1E3C8';
wwv_flow_imp.g_varchar2_table(15767) := '932B5FCEBCB9F3E7D0A34B9F4EBDBAF5EBD8B36BDFCEBDBBF7EFE0C38BFF1F4FBEBCF9F3E8D39BFE07E01F3FF5F0BDD29B0FE05EFCFB4FE9B3C3CF7F68BF7FF998734F3EFD15D8533EFDD0530E3D041AE8204CFFD0230E3D0F56E8D23FF58863E179EC09';
wwv_flow_imp.g_varchar2_table(15768) := '85A1860D86D44F3F04912897891B7E342200268EE8228A417D18D27B02D15862886EC168D07B2BDAA8E2782B0EA48F3EF910A88F7DF57928218BFC34E9513F48E268503D02E998A276FC9818A186FD34E963896026B41F81E9A493248BEA08E48E39F200';
wwv_flow_imp.g_varchar2_table(15769) := '608E392C5E89DA3A51FDA3E5925D3A895038C7B8A3D07B8600800C006594E12607D900E00700445C13431200BC810600546AD4A14656CA29DA250064F98F8C797E2990996700A00A3DF65D5A2500F45401C018844EFF5A8E07D8000087176F2641C03086';
wwv_flow_imp.g_varchar2_table(15770) := '18AA6969FB0000CE500508D4C023EC7DEA9E38F0847A10340485A3D02D3BD8F2803C65BC01C0ACD2067A44374944C20517775844E1A8E9A4E9D1B9BF86344E4F031414AF408F00608F407632EBAC41DF344462193511834615E98403812DF8BC41B03937';
wwv_flow_imp.g_varchar2_table(15771) := '64134BA4675E0467BB0751D88F943E8DA38003092930AF4BC7DEDB5EBECD7A69D03F66D6A20A00EAAA4A223B491003C01F904402C00D00D890802194247003315E64F38F0C7F44EC909905A99B1189E944A22AC504D5832044E3382080400AB4D1C60059';
wwv_flow_imp.g_varchar2_table(15772) := '08248002091550EC40171CA400D8067DFDF123F72A0B00B39DEA59D03EDC0884CE40C1BA58E3AA7BBFFF774F96F5D1830F8A413AD40ED40C1D0E92399E78F250B0EF723CD0000A0830C71C009CADCB05A61024B9401708A08829A60C32D01CF50AC4C61C';
wwv_flow_imp.g_varchar2_table(15773) := 'B34C4E50EAF8F6033743B584F28D89C15AF465A68877948A487744C24C43B99F73D0D56D944DAF407920D40641BA0CC4C9F2024DEFF5D8C702100F89241B14A43AB908840822C794D31E425612BE107BBCF77ED1351ED9922841A212F48FF1689FDE8629';
wwv_flow_imp.g_varchar2_table(15774) := '17905000D8BA78041B04228A44600200BA3847D71E31872C740E1600C044BD1ED80B53B06116CF1B8803D8668FF774EF64EAB0451F0672062A9CE10EB4405A42B897100029A47DEE53082534141257FC8E19708007439E06BA81D4AB5824F0A1E9FFD830';
wwv_flow_imp.g_varchar2_table(15775) := 'C0400CC4740020A229C2304051401013A598DE231E3136006CF05EDCE3070D07A2255778810B63F002ACC660053154611800085187DA918E7C200900F2E0870BD571380251A84169A2123DDA54A9183AC466FD90D948A4C5907E682C7F0010C0C72657AC';
wwv_flow_imp.g_varchar2_table(15776) := '4516A48A0058E4002EF0314A1A846D2CFA4F3EC2C1A030D94C20932A4826FEF1B7BD896318F01B1400E0718B61B06318D9B0453990518EFD10441CEA700500A2E10A7A0CA31A7E64483E9425B2A1586D20638364011C3900452EE46A0E39563C0007A570';
wwv_flow_imp.g_varchar2_table(15777) := 'DC431F5C1CC834DEC005310AC40B02B943367257A57F104387B37CDB339E418B6E20A31A321B8639D2C40C73544A5AEA98462ABA01FF8C6206734AF2B8183DDE630F8CA5B17E0F1966432277906522335ECB8464240120D18752F46303A828805C740F6B';
wwv_flow_imp.g_varchar2_table(15778) := '62B3202432072D0C420BF381D49C3A14C7A0CA510D6488E316C0004036D0C88E760C43663A04800DD1980D61D8E29F09F1529648848F163E044572ABC8BCAE56000134B523D04C64539FFA3A2CFEA7A3D72CE44174240E5B5C831DC3832331D4718D61A4';
wwv_flow_imp.g_varchar2_table(15779) := '6318D120882A59160D5B02157D997C51E180F20F3A15240B65C32B00F4CAD7BCFA75AF7FED2B6007CB5781B4AE53ED918738F631A42EE18B8755A2D1EE00E08E34D9471EEC23519BD845BF06FDA34D6F459F5C61E8934ACD631EFAC0C73CF6618F78ECA3';
wwv_flow_imp.g_varchar2_table(15780) := '1EAEC54707EDB15ADAFFB2B6B6B8BDED3E8AFA9E79F443B6FD68ED3CD6618F62FE031E8B65D247394223C842D683FE21CF68F5E694C62E772576DAD13FFC09C770EC635F4B9B6C985688D8D06E75BAA4CD8C3DDCA3907FC463209F5DAC3EBA745D8BA497';
wwv_flow_imp.g_varchar2_table(15781) := '4408356F21D17B9AF5C6292122CBDB96AE39DFFA562453E9158841F55B22FEE2867BF4E0643F866460992438B4D3ED0D292734E1A4FAE4C261C9C77BF22B1CB98A0822FF898A8EB6548F0E9398C14E49D66F1434D0AEA82B4D6E159346942690FDE47825';
wwv_flow_imp.g_varchar2_table(15782) := '8A03003BD8A134221B591D474E3292978C1975A4C9C92CDB088FDF326586EC271E0B164ABA00A0C285547920EA30533AE034662E93F9CC665E489719A2C28945D9FFCC65120899DD642673D4F9CE74CEB39DF5BC6682A0B9CC80FEB3A0D31C68420FBAD0';
wwv_flow_imp.g_varchar2_table(15783) := '883EB4A20DCDE882249AD18F8EF4A2252D6730EF3969F314089DB20C917BBC1123F5E8E345384B298D907A20A186087D08321FFA881AC60A9907ABE641A13D0E241EF538EDBDF851548E1429239E7E35A84122A54F37C4D30A41F68060BD9137723AA1BF';
wwv_flow_imp.g_varchar2_table(15784) := '167661448C3102191B21BF6EC8906453247E14E9DBCFCE0C3E7A8D104F23DB20E1EE4AB75FCC5C767BD82143CA36BB5333EE7A8F7B437233D940460C806D0F24DB0AB9F742B27DEE717B5AE01AF1F791C8F91AD042A4DAE936C8801A54618818DC686239';
wwv_flow_imp.g_varchar2_table(15785) := '2DADE3216B8C147721A70D75A8E921F292979CD4A9FFA694B0E9230F690B24E5AC12C83D5095242AD9DCE4954A3585E4B1C79E971B8E0C6708CF87EE9373B16BD503A1C73EAEBD100A31FDD4AC6A79A9A73E1024F5D1E6E6827A4260FE109757C4BF41E9';
wwv_flow_imp.g_varchar2_table(15786) := '2000F0C16F82081CE1F62A2E6D5BCBDD7EEBA31E483A5241FC4D906D7FB4E454AF47C513122C79ECC3EF8007C0DF0B02F8BF1B1EE80EF748D0E72673849463F10B813C43EC33A02FE1231F5E9F52D4849DEB8F83450A4AB08245BE00802B903E265A38C8';
wwv_flow_imp.g_varchar2_table(15787) := 'E913C2050088BE9BAEFF66EBCB084E8378C10A612CC8ED6B3F10572DE40967A842A90482848D9CE1095EA00247BC200687A8E12051680215920F80E47B01F9D3CFFEF5ADEF2ADF17A40ACF4708FF1A7C35905016C40D657043AC1AA27E34A0DFFC0429C3';
wwv_flow_imp.g_varchar2_table(15788) := 'EAE3FF8531D4FFFEF6CF7FFD5BEF11091444020900800098101D000200600120500106D10104C18003310206588005310200408108D1021408022DA08102A1811E281028B0015C21822158822B00002128822A88821BB0022D88022708002EB80221E082';
wwv_flow_imp.g_varchar2_table(15789) := '5C818202110239B8013A080021B0013B98833661109041009E211321C0132590103C20103D5010380000183006C0800118F0013C91103CA18321A0835968104D481046F00346401040400400F00364488603F10302C1860C31866BC82809610305B10338';
wwv_flow_imp.g_varchar2_table(15790) := 'C3107E010300400181B2111D60010221880531010961880A31042E301040E0028AFF080400300400B0888B28108E78898A98898E38894300899108049D580440208A4500007C081831A00330A08AACF802AC688AAA5810AB388B3A20102F0000B5688BAB';
wwv_flow_imp.g_varchar2_table(15791) := '888BB68803B9F802BE788B0050030971121511851E118319D103354005FD000C21108538808C06818CD33810D44810B9381049002904910447008E90E28D00308EDF488E09218EE6481068581044D08E4D41880D818805A10204518993688F8B0889F868';
wwv_flow_imp.g_varchar2_table(15792) := '8F9A288906E10245708902518A0A218C3A908D3AA00328A003AE2810B5B8900D59030CF9025C518B0D898B0DB9910C59032880032C80031FF99135109237C8184B50860781025E700FFF800D1FB00209998D055103C43810CAFFE88303B10347C08D0201';
wwv_flow_imp.g_varchar2_table(15793) := '8F46500441098E45D093EA188E05298E45A094E0D89302E18DE4B8030201043FE0894FE10223408915618109310259C988F918962EA00292389000D088032190917889A538042A208A0601032C0091BE18850DE98B19898BAE588B1E1991B8889118E991';
wwv_flow_imp.g_varchar2_table(15794) := '0361910CA90314D997C4C80286A90321E91852491048C0034850035ED00F7E870D3AC00309A9103789104681024E598E2A39103DB9944600294E699AE4989A007004A5E894AE098E03519406B1036EC8884470864091955CE9950E11885B598100A00214';
wwv_flow_imp.g_varchar2_table(15795) := '688F96788FC3799663E9025629108A689003C18738F002C4689810398C03B190285898DB99973AB002270982DBFF789D0C498DD40900BEE8183CD0034BD00348B004EF39995EA00F28F30D9F2093E359113D28114E9904A59804A3F994A74904FEA98E02';
wwv_flow_imp.g_varchar2_table(15796) := '7104FD198EE1588A2A6994E5B8940C219568D89C72E18004C19513F880178A8F04A102CB89A1F8B88FCCD989E2A99817899E37199113A99D14E9909D09829DE991E0E99137499179899DE1B9184BB003F0B9A3F0E99E356007FDB008D0C0001F40913439';
wwv_flow_imp.g_varchar2_table(15797) := '1034208300B0A406B1A4463197DC08A14B59A54940A02A099D06419BAD598E00F09A108A8E08619B5251891CCAA115A8801661810C38021DA0026F6AA10D3196934881FD0890E8999124199151589D14899DD9499DD649A328D097850A832F7A93C8C8A7';
wwv_flow_imp.g_varchar2_table(15798) := '09FFD9A875B99970B1043AD09E4B50103A50057D4000B100091491903689102BB00234909302A18C14F18D5F0A2910FA94ABFA945D5A9454EA9A05619045C0A56E6101681A1416009C0EE8A60881A1C709892820A5808A8DD72910D5199DDAF8A736D991';
wwv_flow_imp.g_varchar2_table(15799) := '282898D959A8C88A9ED4CA8B84C1044FE8840020993D8A0438708253100B7F2A1049DAA40421AA02E1A44CCA8D0AAAAA624AA5E458A5A14910B24A9BF34A9A816101437005959803A937101670054A7005AE6701C07A110C28A70DE1A6C6799C1E80ACD4';
wwv_flow_imp.g_varchar2_table(15800) := 'F9A28B3AB1B9B88D51B88D34FA9DDF398C876A93367AACB858AE70C1033CB00425AB034FE89E954AA9C5F7AD0BA99D0CA1AED36A10F0A8A5B3FF5AA0FF79A05AAAAAB3FAAA704181B84A10A420104A4081B86010E7F0AF8E53811D40810A0B114F7B11B9';
wwv_flow_imp.g_varchar2_table(15801) := '48A3E279ACDB588B228BA22A4AA8D579A80C39102FDA184C70B2926AB2001099DA58B210999FE65A10CA88AE0791AD538AB3055A90B2FAA504518AD009ABAE098F7061B0C93910B720103E4010B2000195060074228906A81192D8B01B6191607B8D0731';
wwv_flow_imp.g_varchar2_table(15802) := '97616B8B042192277982C4189E88798386799E8D41B63AC004EF09002C5BBA57EB97325B10EADABA04711903719AF0DA9AAFA9B30861B38D6181C66310C35281AF701015D0B819B1052331A337488C35209207919FC218AD9D2B83C4C8B9D20A82E5EAA8';
wwv_flow_imp.g_varchar2_table(15803) := 'D95997D50A169939A96ACBA348FF30A93B00B3209BB50841931920B7BA9BBBAAA1A60F3104EFB512EEDB950B58933778A8D4189296BBADB5D8847C78B5852AA30601832349ADC448B97409A921DBA8C5DA15C838B6261BC125ABB67FC9B6D598103800BB';
wwv_flow_imp.g_varchar2_table(15804) := '4F199B60FAA005F1AE43D1161B200140C8111DE080900B13C64B1071B080C4AB11E019AA9D2B98A4AA8D36BCBD03C1152748C01C8BB1E63B189939B642BC034C40C402C10447AC109C9BAE50B8BCCB6B124CE1864389B7F7DA151EC001572C011C80C500';
wwv_flow_imp.g_varchar2_table(15805) := '80007000621601022F5C1051FB10A2A7102020811D51A8A47A92D23A93BC68B10D9CC36E5BBD25899EC43AB3FB2B18935ABA441CBE4DA899D90900485C9318718B049AB31EFF41A11F21010FCBC50080C53708C605A1044DAB10299C1A1E8B8D979B1137';
wwv_flow_imp.g_varchar2_table(15806) := '99C78B31B6A5DB03423CC807D1C917AC107E6B1155799B33E1012600CB0FCB371751B80381C223409CC4D91A5CB1C700C00237798225CC159B7B02A01A1AA32C109AC90385CCCC1059C81A3CB30EB1CA71C1872600037CF85F1C01A720509C2DF10B6061';
wwv_flow_imp.g_varchar2_table(15807) := 'CC0651032B408C2550C2EBBA02E2DC1A2B909ECE2CA96108B20BF1A90F11A0719102A69802D9ACCD1B6181993C122B2C1737A8CEBAD184DBC8047D9CC499EB109D6CCC4540CD6FD1020020D1D994116E9A81A0A00512D0086650C61E317F6F7192EB5CAA';
wwv_flow_imp.g_varchar2_table(15808) := '00700235FC1A641B86953A12620A173000027CB8CF83B1CB10FF08810050801EED14A1DA82C63CD2B171B93D7AB6EDB9ADF13CCEAAE1172070CDB6025917E1027210130E68A151ED123C58D542F810265D8321E0D31571D28B7182E029B7A87BBA65FBB2';
wwv_flow_imp.g_varchar2_table(15809) := '0A11CD8921023B909BECC8C8300103FADC023120D7728DCFCA7A105FCC1117ED7A5860052DCC127B7DB023F1833AA91140B80127D0831961D25C4D1825A0C3329893687BB284CC11A70A0052E9863FF0988FD9131E70C50831CB0681001ED1B46D2A8895';
wwv_flow_imp.g_varchar2_table(15810) := 'B8CB2291D3524183EA6CD2258D1B2850024B8810EF69B6062DCD3288D60791CD143D9536000476381314000114E010881BC92C218884A8C62091814E11022701843AC8D30291D8876D1C3B8ABACC5CBA73FF4CD21C61032A30DC0291022DF0D27E01121C';
wwv_flow_imp.g_varchar2_table(15811) := '4001232C10A29D10886BDCF2FB1A3D88CE4028CE3FA8D8C2F1842BDD03164C10A88C10AECC100668D71FF1DE1001010F0001A4111CC698102190143E88D8CC418C95CADFD8988DE42CBD2181CFF89CD42201180221D30CF1000DFE1B1AC00012110118C0';
wwv_flow_imp.g_varchar2_table(15812) := 'E24CF110FAAD011920E3C0418C45FDDF38E912B36C02209002308D119BDDD90281CECEF1000C80011411010CA0E4DDC19E4F58D43E61DE0241D76749DEC2EDD607F102A06D111470DCC421113A01E60FD0E243381DD468B65D6190130A1144AE1E91011D';
wwv_flow_imp.g_varchar2_table(15813) := 'FAFD15C9DD2E7D0007757EE77ED00779EE0777C0E77BDE077C500881EE078BB02885801B88FF40107E50088BCE6C10D2214FF322ABB262B6E1323A4222943C1299EEE89CDEE99E8E1C742710A13E1BAEF55E92F7E93231EA2F571036F776A23E1BFB100F';
wwv_flow_imp.g_varchar2_table(15814) := '6D22EBB19E78A8CE12E01671B8E15AA0C5EB296223E4E6166E6470138711BABE19B6FE15A77E1AA0356F22B3E941F11F6E731098271A5AF73892B7EC3D510FDAFE12F336124FA892DE4710062E1055200555207AE93EEE5FF1066FE006DA02EFEFAE2DAF';
wwv_flow_imp.g_varchar2_table(15815) := '1229EAB710F37EEF6F71044AE07D56D04DADC7EE08A17C03F104D547F04F61CF4021F02F81E0A10118D70C0326E017C2F8BC2950EEA511010FF0E21BCF141461E402F10003A1129EA1187A5184634117AA61F231B1033D80B8A45D1A67FF38F3F0F88EAC';
wwv_flow_imp.g_varchar2_table(15816) := '8CE55D918707B1011AC0830421DD3E28112B6E1011F0E0212F100690000610F300C0F2B7FE113B80F38EA1F33FBF13421FE703A1011EFFE604411193D1F4236F002A61005691000890004F7F115579966709040ABF10424E185EEE1064DEF45821104C2E';
wwv_flow_imp.g_varchar2_table(15817) := '10A4ADF4688FF4633F10689F002FEE1C242E1A6A38956D4895BB61F405F1001A800122DFF41461F2623F1608C0F40910F90591008C0F1C3100014AAFF767EFF482A1F86E18F79ABDD969E8107CF8DBA581010F7EF70301FB908F10359115669F1099DFF7';
wwv_flow_imp.g_varchar2_table(15818) := 'C501D100C0FB0C01FC51D1CA54A9F8E18DF8A5D1F97C211048BE16684FF9B7EF104951DBCB71F6040002B3EC01200EE248FFEF3E3A01FB375110B03FE6C24F00A43FE70411F95EDEE6C331CB0420E203010195A8F9E66514A42F8597BDF40711F3F49F10';
wwv_flow_imp.g_varchar2_table(15819) := '00C101C04082050D1E449850E142860D1D3E4428CEE03F85FA1026208011400200190118E06800E248873F80984C8892A049963F6CFC201953E64C9A1F3400B80980C181830F3014449010A4CC1327681E459AF4E83584E3080048B64DCBD3831CAB4A50';
wwv_flow_imp.g_varchar2_table(15820) := '9AB521CB935DB57E050BF1A7019107193C18C8C040D08164CBB25508E101048334C2DEC5FB351C5566CC02107C9AA06C5EBC270118E60A93F062BC0C106278F081A001B5703B5A669C59735E700CAF6C2ED935B15783A35582461DD331CF81377D262460';
wwv_flow_imp.g_varchar2_table(15821) := '806A6ADAB5FF637A886605EBC237B67DFF26FCF3A7C2070C1C27B03C786102B4113602877ED732DD811E1ABE8A145DFB7688391332F00E0041D0D90D23204FE07CE009BBDCDD3F0439186D42135788404598A2F7C064EFFD43C7203C8220938C20C7D66A';
wwv_flow_imp.g_varchar2_table(15822) := 'AB3C862C2BE13F0721B2CA20E5003007A138C221681A006C19058054008807806A1E24F12E0D862B483D0D1C536842852CCBA04419611B08B381FE98A68A84B26306002B2249661882B29BB1C8A4503C0832C858148C2D1BAB122FC2811E30CAC8223D90';
wwv_flow_imp.g_varchar2_table(15823) := 'B2AD0A46D2D14A2FB3F24E24B67E5A112DCAA47C4A36171362ABC1832260F1CBE8E058088891AC18480939F724E927C7588CB320B5148A6D328632A892FFCF222BF00004EB1022C032E43E52B452874E7468BC27072A6FD3041C2BC1CD1403B5743B09AC';
wwv_flow_imp.g_varchar2_table(15824) := '93600300527D8ED28E0A126C02005428B5D681026C68BE85C8126F4D889C63004E526D4D4DCAA004737528844618E807C58895B340867405ECA0A0068B2FA1440D0AD631E7368576336507B2CAA370CF55CDD7B636125353640BA2F2A13FD1056D28E502';
wwv_flow_imp.g_varchar2_table(15825) := '33945E7D1B2235B609C74376D2490140542160F7ADD720AB38A2CA5C841F6E6D2306B2540E812CAB0215A183D5837833092E6EB5E3878BFB6858052D0677A008441D28C66045DE0C04001895595698611E0E2D8EAE55108007525EE82738E1BC79315525';
wwv_flow_imp.g_varchar2_table(15826) := '10883A873E2EBAD29C30E06858B8260680DB636B3F05605B82D36A9ABB049866BA6B39D1D2E081B2435EF7AC985E20284624C506AE61B8E766E8A79EE9AE2D0EBCF7E6BB6FBFFF063C70C10727BC70C30F17DC22C417079C1FC511E227727EFAA1BC1FC6';
wwv_flow_imp.g_varchar2_table(15827) := '2F1FFC1E00F4A1E71ECD31073D74D14727FDA15868A1A574D56DBB49D59B28A8DA3F5557A71D35160CD261A0176A0040D5B77FD38187DA875F2C77B6655C8178E5094341071470B83DA1124258BEFA7D5F781E8583928F8E77EBBFD70A07F1C127BF7CF3';
wwv_flow_imp.g_varchar2_table(15828) := 'CF670C070074501F7DF72DCDBDFDF7E7979377F6E9C7DF4BF9F3E7BF7FFF4BDFDFFFB813100021F904050A0000002C700019007601C5000008FF0001081C48B0A0C18308132A5CC89060152E63CA7C6948B1A2C58B18336ADCC8B1A3C78F20438A1CD910';
wwv_flow_imp.g_varchar2_table(15829) := '02000E0351925CC9B2A5CB973063CA9CB9D1830C813000A4480143068C1434830A1D4AB4A8D1A3144D225DCAB4A9D3A7502FE68C4AB5AAD5AB584142989AB5ABD7AF60A11A00F002E88B85269A6608CBB6AD5B981E4C703D7A402086B500EA1624F0B66F';
wwv_flow_imp.g_varchar2_table(15830) := '50952AFD124500E0010018699106E00B00C3C0B105F50AD420B8F24A941C2804B60C9370451131F906B0EBF82082087639ABEE484161EBD52C13504C9BF8E5E281A80FD6A5AC8101ECDF162964A0D0BA38F0A63700EC80C958A05E039201784EC881C5F1';
wwv_flow_imp.g_varchar2_table(15831) := 'EB02876B7F3D300387B528B54BFF470D193B5B028B472FD67B003A41F7E6E313C42C103080D61B048AE0F0FD416E818411509E7C1E95C1C55C2B35B79E73D03176407304CA875909295158C26600F8F65E5E1046B8511987CD34DA830F8ED5A187D8E597';
wwv_flow_imp.g_varchar2_table(15832) := '92401E88D0A2070465F00003114C872249C99D34127A06DD46E28D6F1940C10BFB818611862781464104861904196303025911171CC826107A58A627DA89098D86100104FC28255B081889E4672AB5789F8C1A0260A574081880407B63624404801779A9';
wwv_flow_imp.g_varchar2_table(15833) := '51000FD6E9566D146EB4DF404B0A94DB7F7BF9199A9E06716950748A5E95408D4D0E1A2843A0B528C285460220235E039D8600039E19C097A3912E0566AA5DD9C80207309EFF79D08BFBC1486806263DE01F6EEFCDC9EAAFC05E44987DA0757A100B1E20';
wwv_flow_imp.g_varchar2_table(15834) := 'EBA2B116CD8900AAC1462B2D41A0615624922620CB8275030D3A9F764DD6182A9DD3D2341AB4E5461565B500A8899009C9C6BBE2A5C20957590C3780F8C46A1046992E555C8A30A89AC9022042622C641BEFB209D93B9E7404A1FB2F49364E2C968E8171';
wwv_flow_imp.g_varchar2_table(15835) := '60E4C1C6DA6AC2B2C9165BDF401B0CC7240035D6D8A6C52C31CAB2601C7F1C2FB72C8A40B3C105892750023412E62FC42F8334A995083419745728089430004BEB4790ADDE9EE49DC9A18E7B344BA70DFD9FC3575B95EDD7096BFB22CE1E684C507EF981';
wwv_flow_imp.g_varchar2_table(15836) := 'EAA686A6762D52020FC06DA5496B71E73655F20E94B48EC6C2FF4A72420858F9F3DD07B9BC905202D94DF8554DA755ABDF0451B081660C49DC94E56F99A45466D42E1E556D6419E4010AA30B44BAAC0319EDF9EA522A4EA017035521851400582185ECB8';
wwv_flow_imp.g_varchar2_table(15837) := 'DFAE7BEEBCEF6EBB1756007F3BEB41BB01A2F1C61354C618B0C123903BD0B73390F31C394FBD40F0C893FDF6DA77CFFDF7DE877F7D47F410EF953B03B10380F416970F403D30B96F3E76D7CB0340F6F33725CF3DF95F653F00FBE05F3EFA5714FE11D02A';
wwv_flow_imp.g_varchar2_table(15838) := 'FB289FFC0EC8C0063AB022037CA00423A58F084E1029FF0040063338927E00A01F1EBC6041E8B14011B2A5840691870AEBC10F130A848506746158E0C1BE84A8F07E32D4600EC302427A94031F1F0C6141FFFED18F7F64AF851DC9C73D2C683110EEF02B';
wwv_flow_imp.g_varchar2_table(15839) := 'FCE0873CC4B144241AA41FFCE8C71193580F7AF04F88FF72E213BBD2427884831E2C4C4816F1D7117EDCC38B638CE34ACAD80D79D0C38A06592345F098C737C6F0657C942347C01892326643854C2C881E0369117EE4A38B8C1C4824050246421A24836E';
wwv_flow_imp.g_varchar2_table(15840) := '9CA46542A8C91DFEE393A0FCE4152D899050869292F7CB46F606284682E8518D0D51220975A810107AD096B6A4242BFB718F1646D09151CC8723131914312211896204E12FA348C95B0A1300816CA13411624B662EAE9502E1873EB6C9CD7BEC231FE08C';
wwv_flow_imp.g_varchar2_table(15841) := 'E03EBE998F719AF322E6BC873DEC11CA22C24395F0C8072E5B0942E70D9398B1AC870A8BA8FF9061663197F31408FFFE11455382921FA22CE62D9DF8C97C7CB285F3142541C1D9CC22BE5189087D9F0085494410F20FA26EF4203EAF695053CAC41EA87C';
wwv_flow_imp.g_varchar2_table(15842) := '273CE0718F790AB19ED00C27419EC99047EE938343FCA006251AD04FA6431DFFF02111A908007364231CEE00AA3ACA81D38A04149A518CAA354769CB01FEA31E0415473FE4094E2CF2231DF4C8C71D09EA482CEEF485B4BC070749A9430F26D473B904C0';
wwv_flow_imp.g_varchar2_table(15843) := '36D8108641D8551173C06B18C28010BAB221237CE56B164A110F767E52A52C75A924B518538ABA329F37C5E640F6218E63B0A31FFB706911FF91841FFC231B2690473F4C408C7F1C21007EF00402C4710B2FFCE38F04792941121AD79DFF8292AA55FD6C';
wwv_flow_imp.g_varchar2_table(15844) := '3800808C6EECF683191CA821D0078072544320A0EC473D5C018774FC231DCC00802BFE010A3FB0E31FD5B80623B2D10F4380A21FA960443FCAE109A076B2891FDC473C4AD10001B8D7BD05782F0004D0920664611DA1446C4B71A9532C32F69E1701213F';
wwv_flow_imp.g_varchar2_table(15845) := 'F4498F22F273B6ECA8C51998A00A798CB3A34574A8388E9084A372401DF4804134FE5185372C37006FB085155E8B47CDDAD28F5DACC747A51A4E7096789E6A1D0633A84B8B6CD8C213E6C8042DE6E18A48F8211C91B04526ACC00E4FD8421CA9F8873AD4';
wwv_flow_imp.g_varchar2_table(15846) := 'F10C5778F016EA00C53068718BE946E29099A804336C410B7EA4C2B78C70EE792DF649F5624200034873010A300036B379FF0009817346D62C902C141694666447624DBC467900D8220226B0819BEAD070584215AA384438FEB10F086FF51F86F8C21DAE';
wwv_flow_imp.g_varchar2_table(15847) := '6C027AC82306D9F84719024089578C010D5E18C33F1269E2ADBA831DE9480700D4219054AB231DE67875ACDBB140973A941963A804178CFCE35B44C210A970853AFC200E64A02115A078462422418C6EBC96BA75F4043FC2410B6664231DD1C8062DFE71';
wwv_flow_imp.g_varchar2_table(15848) := '0D5AD0C21CE2B0C53F5CE1DC6F37B52F5315234E3FE94190EEB299C434EB42CA1C0F520840016D8EEF7BDF2C9034FBDBDF1A6133000670DFFC8643CFFB0DA8598F2853406351D0101E883EFE510E55D4A216AA28C78371F9C91FE88A08C8304137CCC101';
wwv_flow_imp.g_varchar2_table(15849) := '57C8A30A86FFD08727EE208E002461D40529753D58AD6A7308C4E6C5FD29ACD9610E738CCFD6FFD8F23F963D8C48C8C315867806316E016921C3C1DBCCB84335D461BD2373FB16ED60BA40C2D1E470886318FD20863894DE0DE7CA2315E638B75B108A53';
wwv_flow_imp.g_varchar2_table(15850) := '657A14AB1974684735E85501BB9588FD2528342BBAD032DBA314F76EB302E6D086365C4001745EB37BF3CDF802CC77E08E1F007D05025F37FFBBE0A0744737105EEA32FAB9E114A9A63E451BF1C9B2A3189DB8383B1A8D4B846623094B4EC22D60F0005A';
wwv_flow_imp.g_varchar2_table(15851) := '28E1019178038853E1877FBC41D4A436713D7EDA0DB103201BE00E473AC2318CA30E431C3E8FED3C1D1A8D69FC8316BC2D6F3A0C610B7664C21086B8C5FFF7AF518970F8C116D7D06039E01089297FDD1099484724E0100E50C8E3FB38364424CA01FE45';
wwv_flow_imp.g_varchar2_table(15852) := '4359ED6DF159369741CAB56ED9A03E4AC67414970D13B7419F140EAC3653F4C0411005509BB50FF6606FF856000BF0081770011E786F0AA00000F0810A706F6BA66F057001008078FD2610F8C682F115796986798775707BA6599E0700A0974DB5146891';
wwv_flow_imp.g_varchar2_table(15853) := '1557E6F40D17F70E2AB40F410442A3164A2D15414E780FBD444BB195842E3573E1300691507F04900D9E0007FD80066E700B68E007D5900EF0305531D70FDBE451C0F40FED0054F6D00E9F446B41753FEAE062FD90544816544B660FF0400FD9800CFF20';
wwv_flow_imp.g_varchar2_table(15854) := '0F4B0600EE000F4AA60EFF531908450C99FF300CF4006E83180EF2407107D70FE1500EF2F74986E006B6D00FE2000FEAE06CED200FEC200E1A640EB6D07BE5B068F2A4590F260B02C06602300717E00002D00659E05E859705B330070E60820AC08224A8';
wwv_flow_imp.g_varchar2_table(15855) := '0B00F0080D50828AD00625980584F78187F76636F80F9AA767AFF8543B88109A247A91258543580BA1100E4888593A055C78174AD6245509B150F31445F4900EDD600499C00F6F5005C87607F0F07BCC50059E708AF6735E16C8766E3590FCC46EB74477';
wwv_flow_imp.g_varchar2_table(15856) := '6AD542045544FB835C53F85682E15052F60FC3F0067E300CDD0009B7900E7EE00A9E106EE19764FF600BAC960945E563D9E00A00600B91900E4817096800007E906909C75FE3C40F80FF876FB5B80002D00086D78217300B8A3008988009BA300EA68009';
wwv_flow_imp.g_varchar2_table(15857) := 'A2600A1710068FE00042A90BB00000A2C006BF680AA6300BB3B08BD2180F06C70EF2600F9AE5836C7410DBA84CA36760B97458C7500885B008AA600BCE756003814504650FC7944D2EA676EC6862EFA80EE1700391700455F005D5F50F1D09883BD08F67';
wwv_flow_imp.g_varchar2_table(15858) := 'F862600485B3454DB7E4463A2540F0A35C0314454E9497E6415DB6300CC40000B490097090095FF60F99100EB6000700900A13F80763300DAE500EE2B06D26390C65C07D860000E2000CF0E00999768DF374931A986620380773C0940241028FA00B6C60';
wwv_flow_imp.g_varchar2_table(15859) := '0ABA800989000BE3A00BBD605F004002B30000B0C006A2100879A00B5AFF090B81A00B8FC066174070E76070ED908301958D662999DC487AFC050FD080085E70065E4005FAD907C0705DFC559719043F07015BD05452C9D50FF2D00ED9C0087070077090';
wwv_flow_imp.g_varchar2_table(15860) := '0D935605AB580699F0076E400C54878600655B24A645ED26522DB544E5C8830761909B396696F159D71009E1750B5BB67FC39009EAE00936FA07999009EC1409CEE609E1600EEDE70AAE100D00B06149570D91400FD1E00776A7596A258B6F8666B60882';
wwv_flow_imp.g_varchar2_table(15861) := '17105F6DA00BCC090097900779C0099CA008C1989581F057791008D009009CA0946CF008E7E96F59B09E9BA579ED299C71F54ADA289F586453F4A94C14F7065E00116230065620065E7007EAE05F05A90EEEF05C40FFD50F13C80FF4A08862050F13B764';
wwv_flow_imp.g_varchar2_table(15862) := '77484472980F49950EAF08A9EA6054E5A0894BD58ADD200E47950DE2F06A3FA758F9000A2D391026494B98F44913680EC3500F45C674A0900AA26908D7B5771E82502DFA754FA70FEDE0091BE60AC4F0A3AE700BDD90699F8588CA0700D7E009FFE0A35C';
wwv_flow_imp.g_varchar2_table(15863) := '585C99F0755C880D0B098B18686F6FF6666DB6006D8082912700E9A9662D388C17806603578203909E553AAF00B06670F6A644F449EE100EED599375AA457E76A778AAA76AF968D9F0A765E00677E00663F0B05E100E5B654B9F350CB4790BC3900E2909';
wwv_flow_imp.g_varchar2_table(15864) := '0FC3700BC8600ECFF00FCFF0ACD90009ADF80C0090094655ADB7205A02F686EA43733FA50EEC40B336FF9B0EEC203F4EFA0FB7400BAF360CA0A00EDBEA09C31065AE7046B6C074FD100D46C70CF6770D1E990AA9600B2A69A0F2114ACF07AC75B86E9284';
wwv_flow_imp.g_varchar2_table(15865) := '560E890C91804CC8455B54C850B1388B9667796976AF8E177929E8789437106E4679725610694602EBC976F0D00D733A96D024B0911449D39796105646993006A106B155E0059EE00E1CE70EC8A041C3E0B8C8500DAE700DB7600B123B63C4900DDE2A6E';
wwv_flow_imp.g_varchar2_table(15866) := '63C70EA0700DD1A00ECCB0A8ADC73FB3543E76A44276646961855B76C97FC320B291000A2A4B0C70505DE4A56DD16060A9A00EE037B5A66AB2EE600BC08A229F8455F9803F625544F6F048AFF546F5F04C9AC94FFDA088A3C64A2A260FF5A06265FF8B4B';
wwv_flow_imp.g_varchar2_table(15867) := 'E3F47768DB786ED6B6F7DA666A56B706217070F66F733B705D300E6279837DAB587FBB45F1B98E794AB84EE456F3E0B4366AA3A0100D2EDB51D4288814795DCFF00CD9400C217B0B0D4C91D5100EF5400B47070ADD000CDA960EC8C06A741A50C2245551';
wwv_flow_imp.g_varchar2_table(15868) := '25BBCAE4509EB0ABA91509C8900A6FE00AB4D00FA3598908050F411B093C6B08E1D0A253C77423D5990030815735C2CDF40F40448598F490F2964D255C97010A40FBC00FB2F85EF0358BB378AF93E77893375FF4D5C594A7C50201B7763B00785BBFD4C8';
wwv_flow_imp.g_varchar2_table(15869) := 'B7F1E4B77DA6A269F87076D4562124778E664BFA105198AB7C186B0ED1200EA61A6EA6EA0ACF200EA0100ECC00AACC300CA2DB0ED1FF90761DB156652BAC919009B7E0097E106C9EF06BB4000A00C00C919063FCEA0AF8700D708076A9650E88E007E5E0';
wwv_flow_imp.g_varchar2_table(15870) := '276A0580E7565B79C44707A910070500E0900559F081B77C01B97CCB00C0CB23910579E0959B6546FFDA7980DB8331277D9434606F3C7777874CFF4BB163AB6488E80ECE4587FDF0861A349792AA4FAF5589F2405100A811FCA584FC007DD4980EF6930F';
wwv_flow_imp.g_varchar2_table(15871) := '10288AD7575A3C284FF6F30FE23081EC203DED3080D1029192C5106CA510DF340FF2B04DF6700FFA500F15340FFB300F0A8D5221A40F00300F00600F124DD148A84862C90F622910F1B00EEB44B19A7788F5A05876873F4BF4C3FFCCCCE5D376B895844E';
wwv_flow_imp.g_varchar2_table(15872) := '1CC71AF44F05A9904AFF4849BDC441E8D8C8D2B75019558E77875CE5E00A0E0500BD349074A7410D08D1FDF3CF0CA10FE6644E0885974F4D1053DD101BD4A463EB41C40C0F97A98346F4798E7510FF6C5325444A4F4548C064563D7590BD84518E54452F';
wwv_flow_imp.g_varchar2_table(15873) := '51495228D3A6740FD52B6059F44F1FC44D4A2D4850354DD98497D9F40FEC6458A5C44E139D41857D4B28B54E89BD53729AC67CF6D57F26D609A1445CEDCFAE1C42421448FE055141E44B144551D844C2FBDB119C9D4C44EDD37FEDD7A534CEA14D50842D';
wwv_flow_imp.g_varchar2_table(15874) := 'DB8685D84384D81925961BDD0F62594448B8AF79C652E11BA20C17D65774D9F7C0D5B0CD773BCD5680CD4CD5044C4EC84AAEA48E79E470716550F2C9C4AE9D10CBFFFD11D244C2A66D4BFD5ACC251544C58DD2C8ADDC0BF1C4AFCC48C9944BD3A44CA8C4';
wwv_flow_imp.g_varchar2_table(15875) := 'C4D6AD4818A158DADDC6DCDDDD27CABF32B1415BDDD7A394DEA534D6C98D5532E1DE92C4C601F652F8DB4F0DEEE0DD1D4210394AB27CE1693810EDE0AFDEDB8091E94E608D4FCED3798EF487FE9DE2F96D88E2E00EDEABD7A8A4846579DC88D8622D66D7';
wwv_flow_imp.g_varchar2_table(15876) := '50B8A0EDA03E34A173AA966A00A06AECC0E3AB7610361B81025188ABA6E405C1E3EA43E40BF1E4506E10ACB66435BB3E543EE522F1E341DEE5AAE6E560CEE5621EE6643EE65FFE1140CEE50231E4434E1085C8E441A1E646DE6AEA63866814C20246D908';
wwv_flow_imp.g_varchar2_table(15877) := '11414F6EB3357BCF2B953D6FF86A2CD173867EE838FF77E841DE73B0D6E511F8E85D6E73692EB30861733D57540871E695DE6AAD76E9364773378773455573A43EEAA66E0EA58EEAA79EE9A79EEAAEDEEAB0AEEAB2FEEAB31EEBB47EEBAB8EE904F1E58D';
wwv_flow_imp.g_varchar2_table(15878) := 'DEEB92FEEB8B1EECBE2EECC03EECBDDEE9A85EECA66EE57EEEE700C0E62BA5440961D724B440F053ED2484CC04013F50D8EDDE0E990DF1BDE23EEEE35E112584EDD87E10AEEBBAD5BEEDE24E11B3E4BA04513E56CB12EF2E43F1100F0C0D008B381096B6';
wwv_flow_imp.g_varchar2_table(15879) := 'EED6133E7634403F1CCF36DE62C144D4E25EEF067FF0C68D10DF1EF1DE8E10E88EEDDF3B4B02D5ED0A41EEF053F00A01EEEFF3BDE00E4EF8800FDF1B210C2F25111FC4E8AE5150154B0EDF6244FFADF1971DF3E044A05D31F1F13CF3FC0399296FF00B51';
wwv_flow_imp.g_varchar2_table(15880) := 'F23F0F1BC2E45811A4F39551F24ABFF4F80085422FF10411F1688810E01BF4474C134FAFF30FFFF21F017ACC74F03E785E8E55F20451F21E0F1B4C7FC4361E1F53BF476D6F1040B4F58D3DD10AB14E767FF7EB94F67AAFF700C0F47DAFF40351F253A54D';
wwv_flow_imp.g_varchar2_table(15881) := '046EF4DA5EF64A1FF370AFF420BF102DB64DE0A40FDE2410171DF594FF1B43BFF3024511DE7EF20261E34EDFF4DF9EF103B1F605E1F3AB5D10640F41A6EF6207B1FA0271F7F91E0F02310F8E6D11FB2ED1111DC4FACED0155DD128A5FBB17FFB765F10BE';
wwv_flow_imp.g_varchar2_table(15882) := '7FFCC25F109E3FEF03F1BDFB1EF25D243F182F102814C4D6EF457034427EC4F2E0FF0BBB03613FFC6347509840A9FF160DC9BA3754FD03F146DE4F108B283FFBA36276DD45208FF3D67FFFD76F10CB5F110CEDF900316F5EBD7A0000D04388D0E0428309';
wwv_flow_imp.g_varchar2_table(15883) := '01DCBB970F403E8A00F0E1B397D11E007BF3E2FDEBC71040BC791C39C61B69D01ECA78F1368A849931A54981306DDE64B851E64B7E3AEDF5CC78119FC58B2655DAD3A70FE2D285FB1E323598549FC1A5F700484D4A0FEA54A50BADC2848853EC58B265CD';
wwv_flow_imp.g_varchar2_table(15884) := '8A95B730ADC1B46D19AEF5FA769FBC7D56E5DDD39A941FBF8AF992567C584F21438237130ACC08F1224499228B727C79F125CEB008EFD58B48319F648D1D5DDE0260C5A012D14A46DB140D80340029A94793B6E2FACB1500B4FF017C3168FBEC6E86B8C9';
wwv_flow_imp.g_varchar2_table(15885) := '7EF13D068070E2C3BD58F1C2C50B002EA2B92C1403C08BF0E363904F97EE7CA1972A63978B5CC25BFCF8B16A8603882EDD0B95F5EDCF487922860AC32AED9F7437C89D0A152353928C71A38C32D0280300020118B04034182A2340031F5C30C204D17063';
wwv_flow_imp.g_varchar2_table(15886) := 'A1022F4410C10BBF100E430EBF28034483C6F89044134BE48244600892A71ECD36C328237EE691E7233420586802090098C0A01E459260471E81044082048CB429C8093AE80000102C701204299DEC0004839864128426AF0461842EADD412002F015001';
wwv_flow_imp.g_varchar2_table(15887) := '8026B52C730431412893A114523001850D009093CE0DE44401803B19E2A04F3957A8138015E6B4338439075D41FF4F83363074D14609252F5249CBD201001C5838E1840F3E0881D30C420801004E3735E88385463528540D3060E080035630E207006235';
wwv_flow_imp.g_varchar2_table(15888) := '22568364B5F507236EB575575F17A255D65B01D881D81F764036D91B529041861B9E052006186068E1061B6E68615A004C30C1A66961E0008D7EEA81879E1739CB281E785C32C383113AB0A04979A1BCB25E7A0D8A17CA7B2BF0F1C7858294A08278D554';
wwv_flow_imp.g_varchar2_table(15889) := 'D305000C3E3861835C008261831A6E7808831936B808865C9038638C0F1E62A18E81B8010600448EC1201E0C1279A14A474E19804A571E3966832A8541879A5F5859071672DED9651D70983468A1019862A12578E0A1D21A96C6A106009C76FAE9A89B86';
wwv_flow_imp.g_varchar2_table(15890) := 'C9FFE9A641C540032492C0E9882292382289AF0138A26C9BB836E808B2D556BB8822BC7EDBE2B789F8E107208020E2E1BB89C81B00207EB061072016125CA41D4C10B71E77E8E1672174575AD79E7617EA404D919AB4DCF2832DC7522C7EF92DB2820A98';
wwv_flow_imp.g_varchar2_table(15891) := '147304154670A1CCD34F2738F58B0F562175D7638F5861003EC678E2C15528028817007821F8E059081E079C9F06DE78E05D76D9F81A74D0E1F76DA38E7A799859885A07149A666168EF25DD21BC1E96E821E9A5CF47BF7A1A683068FDAA13D594010658';
wwv_flow_imp.g_varchar2_table(15892) := '486257228C28027F23EAAF3FFFFAD94E9BD816F2B5B281CD6C72739BDCBC96042200C10636B09BAC065737BC4DD0063268C10E02572C623DACFF581E708360DAC138C7C5285DEBE2C71B2AF02E339909610ACB1CC15037C311D4F026F26292E856483A86';
wwv_flow_imp.g_varchar2_table(15893) := 'B4894C3504A20DD5A482D8A94E75B02313C68E28B183B9A0084ED41B106060821710AF8A574C1E0E9AA6C53CE14C69544301CCE824B5318A248CDB7B1AD05E00B4EFB571373D60C8F800C083A6A5EF7C0C619F5868E0B40F60C0001AF801FFD066310010';
wwv_flow_imp.g_varchar2_table(15894) := '816B163342D9D4463602323009875C1BDB12E836B87D2D6F0EB4814104373800C8EA92807B93B5902512BCFDC0046E90073D16C7979C68445DEC72D795D454397BB9C0022EB0A1410A863ADB898996623213BC44F72E286DC9203E5C08C174094CD49D4E';
wwv_flow_imp.g_varchar2_table(15895) := '4CAA4318118F59448A496C7018FF03820A60F0BB2B7613072FCB53172DB546ED95537B79D2C10A56560314B0B39CDBABC1370D72C66F3EAF7A6E94D40A6AA0CF4469F12637201F1296800438426F8B765C88FBCA123F06C0E0915FFB954D0858C0B0596C';
wwv_flow_imp.g_varchar2_table(15896) := '916F231B11DA56C9493210004520C20301502D63EDC06E7CFB9B0DDE04800D7652587823C20BD0000F79ACD2711C691C3FD4250F7BBC61022C34E6EB7CE982A0EEE65D23109D2FC3644C1E1635990B7126EB70293B248AC460B1836A116CF00214A0608D';
wwv_flow_imp.g_varchar2_table(15897) := 'DDA3D317815629AA69D169D05B48F5DA492776B2739E35E0AAF690E7B2E7E5A979F8144F0DB0D7CE76268A214BD0010F8E8604C10AB40748301960EBC83432EEC6692BF840FF0418B081FD816D6C06F95A66C50636018AED0879D3A8453FBA51427A0D6E';
wwv_flow_imp.g_varchar2_table(15898) := '6C7360B5DE0483C00D0EA60D3C560C62104183E4AD587C83811B68BAB87F30E445F990074DE7313998C84B4C53C589310B765C603689A800A8009B9C64B96202E05E663A2AE62AD7813271B785649AE6310B7644F02E4CAB71D26B1D7F563D1DC41368F1';
wwv_flow_imp.g_varchar2_table(15899) := '1409F4C2E84EBED257AE0B49D419EFBBB36FF6F767FFC56B59B6B7D69B9C0C8E2643AC403958BEF56E918C795C411E01700209D3C0AF823A01AB1A1A36917496901F85A400470B00487A4D248B1CE0427ED00219C0C9042DC8E026F9D6B76B55B06E0D14';
wwv_flow_imp.g_varchar2_table(15900) := '5CDD6030D39A927021BFA547B9E8415CEC1E5573D6B5C02D75FF99398325197503AB618F46E0E41CF5284DC1B46E72CD942FCAE16BCBD8F52E32D364391500A1052888D3F6B0774F36FE0C686C641E43DA7B563422CFAD6F35887B9F67103807F82C6C34';
wwv_flow_imp.g_varchar2_table(15901) := '2B810B7C34A3850F00724C5A7BB568D6A74158C22700401EF3B8340BAFCA001C3024873F0C62CD5EF6A324965BDA3E2D128BE58D920B2182065B60020F78E0C532E69B266F5048BAED207F4018E529DDD1E3C6FDF845414648BB9874545F76C0076B6844';
wwv_flow_imp.g_varchar2_table(15902) := '22E4B0061FD04BC9A5F3C116CC30040B686108351C821672D081D8F448095730836D7E7964B258E9A99733372D9B74BA2A25D3CCF3C4011AB1076879FECC5230412BD0E6FBD6B8B6159D6B85EF9EFD1C29FFBD2E244F129E190098B010C1F240A0037578';
wwv_flow_imp.g_varchar2_table(15903) := 'A2B7B868A0B1AF06165E08A41395A849A74A030C88C00E38CB904E6F7680901CF52019B2C8CFBAADB664F31BE0586D0218DC00D60BA931DF8E85EB904D6B03658047D07D6C1020D3541E9393D7515DB00659044319A08845326E21878901D39680B00738';
wwv_flow_imp.g_varchar2_table(15904) := 'C6A10570C8417471F8C7282050895E98611D5B00C73956913ACC1DB949A37B9231AFFBA4B36C4973A4B381C8EACBB4EEC993CFF78699F454D65EBB5A6AAD046E2BA00BFFF781EF866A63F926D298D0F0C1F6007A03859E7B29DE681C5898E32B8870A413';
wwv_flow_imp.g_varchar2_table(15905) := '3AD71048D60361DBDFA661225AD5C37C210034F5A7638D5990DE4DA5346F2D115C9E37C099FF5483D3E256AB3DF0002E04B75CBD26FAAFCB050F34FC34E9EF6A443082E1093130810CA07886342A9130205A600DE088C336D0B08D38806002B850063546';
wwv_flow_imp.g_varchar2_table(15906) := '00886D80030E163047238640C4D195EE4A4DEA9855FDB61017A44E62ED3637B388971D80011400AB3CD1AB78EA3B16E09E3E4BB8847BB3FA12B432A2932D9AAF4B5199C62B8B82EB9E0914896F0A8FC062023942821010063B58013A7AB345E3B378BAB8';
wwv_flow_imp.g_varchar2_table(15907) := 'D0138BA859818F7B0024081BFED9340152BDD693BD19BB89C1E99BFD2B821F90011830A9BFC19F520BA9167893E0EB130AA00083488031D8ADA19B08E50BB2E6CBAE2993836068BA4D00C34DE80368C0856058835BB2801AB200388807FF7050862B703F';
wwv_flow_imp.g_varchar2_table(15908) := '08B082716884733003B05B071580BF7318850064082671812D1009336008697B100030832D7081E8BA21725B080B2040B6E22B00584038EB3B93913395B1C0A7E92B3A013D763AA8C55B0807D4409C182BB2B09A395AB893310824F8006ED0872950A751';
wwv_flow_imp.g_varchar2_table(15909) := 'F427B372417DC22F84CB33A90901567981D413A08B0235AE511B1113091F7C18BF69A065E4A4428A39DD0BA918302961791B5CBBBD5633080E90000A80000878000A4080E28387559288E4D30C6083877699A577F10152F0C26080045568065E70046468';
wwv_flow_imp.g_varchar2_table(15910) := 'BA51C80128319D09888373B8023EA486511882EDDB86B08B036AC085696881730084F90B13CAE9800A50824404002D3088FF2D10446913442DD8022DE048335002D0B99C75FCC316B2816EB12BBFBA33784A23817B9968913378EAAB3C011440692BB07A';
wwv_flow_imp.g_varchar2_table(15911) := 'AF0F04303EFBAF372BC5BFBB274D541A9561C51104801080867E90072AF80056B414404B233B6BB40B1B451AF0270D88800D08A4CD32311113ADD7AB2D64742DD7B20961F11B9382C61D90811DE8816994151B502DE1CB4628E48028E48029A4A9E31309';
wwv_flow_imp.g_varchar2_table(15912) := '89A0882093077940831DD9AE0A5803009085A64B0500E0055588057B44BF2D48C327DB82711807655002653807E9AB040958835F00045C188271008460380765B83288AC8063D38238688435308335800300704D416C843BAC4D33F00127292E60B289CA';
wwv_flow_imp.g_varchar2_table(15913) := '593511C0AFFF70E2444099A7C6BA097B732B9A7CAB9AE4B3539CAB07441EAAD9490D84B38362C0384B2B4189BCC91BA857D4877E6087330000C0B21498E9BCF7DAA3CEB3B8A01CC5138880397A24FC21B5D53BC62024CB98EBA4BFF99B973A9616D0BD22';
wwv_flow_imp.g_varchar2_table(15914) := 'D801510AD04C6242E1E3000038D06CF4801DF1000078002AE4359BE8CBE53303097897CAA9804A903E59C0056088855D68865B18062F548646D047D38992609292A39A12EFB292805126CA79172BD88246D8865160CD7FA80433A0863B0487EDA3065090';
wwv_flow_imp.g_varchar2_table(15915) := '0390E497005CC75F2A2E1B6850FCB2C9E234089B44017D12A399212B4E1489FC32233BEB9EA0042BA711C59FBC378620C530B59A9511AC0F48CA7D4887FF6F20CFBFEBAFF4AC9ECED3A7547C4A4BD9A78F4301FC3146D59B3D98B89B61E92486304B4DFA';
wwv_flow_imp.g_varchar2_table(15916) := '1B8348011B2854698981E043D06D2C120E6835484DD0063DD007003AA1433EDFCA07740C4C2DC921B2C385A683865AA8856240066208D560A8047DE4CD857926D719AF598A4823454D1F30034018074FD0025C00075C58836DD8823F188751A88471D83E';
wwv_flow_imp.g_varchar2_table(15917) := '33B002461C4924FDC3116881257D5227C5097DCA93F79A1AA8198F821309F60453E681CAF88289EAD481855B820F10076E80063B3800B4829985E33C3115BD3E63A3A599B008A84106723998E853522A54FCECA04125964CB21B8378200D72B148855483';
wwv_flow_imp.g_varchar2_table(15918) := 'C04686E8968598390AB8549BD2D409A587FF7608CC6042AAE82BC35140843E50054488045A0886326C047EC92591581DCD619D2A89C8F262A6ED9A4833908361058760F8516AB802F63303993D874AD88264150916F225723BAA14F00048C32F0A8C56A4';
wwv_flow_imp.g_varchar2_table(15919) := '7D52D0134E8628BC128856AA2C01AA04001180D23BE3442F0DD3C64B1A3265C0B0F5BB702D531D5882155085159802685801C01A57B49A191C4814EAD1A2F589D316E4C48F73A85D419B7D25A5FDEB575929960D02580D82A0FD644296829348050057EB';
wwv_flow_imp.g_varchar2_table(15920) := '9637490194611983E8966EE100A08B5098A0588B6DD061AB803850061CB5822AA80F31A8823100845550863530D91A6259159017672213EEDA2E1E29D2CE71DD88BC821AE5D05025C4FF55C8865560BF5118853204842D68B6A79AA522EB32EC4A010E80';
wwv_flow_imp.g_varchar2_table(15921) := '14D03B01E06408D06308A615148300ABA61D9409338813B0DA69EDD60D6C9FBB9DA3704D232DAA945059815840C1F0903C310D4AB3D245985881104000CA2A35541BB5B0FC53400D1C96DA8D1688013859080F48816F49E0C42D9916300819889996F9B9';
wwv_flow_imp.g_varchar2_table(15922) := 'A09358CD05368B15921C0A825558832AA00DEE388EE38083555002BBC32AEEBA36896993FE538121E8800970012BA81C2BC80117B8026A93D5DC7C4D443444428C03423488C294B6900C5AB2A81C131092A3EC5E8D03DF0D588113989350F1DE279DC97D';
wwv_flow_imp.g_varchar2_table(15923) := '12C527869FF08DD6EADDA72E1E5FFBFD00F015BDBF8319319AD7A7098FFFF264384C84196C7DCA7DCAC508731AF6B95F90D315671C2025F49B66642991022F1B50010E6229071689C4858114206491C8240225D84C1AA9916A994386D8BC649C72DCCB0B';
wwv_flow_imp.g_varchar2_table(15924) := '0E4C2FD9AE0E58032DB0821401803BB88332780E3428BFB6AB802DD84C41AC0040D0021018858BB4824680E135D88221D80239508235900339C801CE1981DDE548E0D8822FC0C88AAC8D8AC4C82B703B5F620835019D88AC1C684D954C91E2ECDD00EC3D';
wwv_flow_imp.g_varchar2_table(15925) := 'CAE84D49FC2294279E30F8290B18FC629BA8814DB9B03D1289C933CF3CAB01A9154185431A429BA336B5D351141472DEC5A5812CC9FA459022B985F85F6271A0774B64836801912264425E2913008143CEA0BB195CFF472E64B8844B487E6800885C0AF8';
wwv_flow_imp.g_varchar2_table(15926) := '020AB642DFC26409B0122C592141448E31788ED11D102FC99C0AA08DA503841CD85917B84D4F36831CB0B60E90801A7581445C83FCCB2120FA2ED351012B199329B989E5AD9768361310F080286C9450C9E64C61142D069550D1E6A4CDDE091363B200E7';
wwv_flow_imp.g_varchar2_table(15927) := '723645480395AE669FB1FD40ECC13075829E793E19F2399AB566827973307D4E2B7E2EBDC932026414684E1ADC631A294636D498895C88A65C0F00816E71358D4EE8070AE4C67EA08336643839EC067DD02ACCD4A2ABD84CE61792F60138588338780338';
wwv_flow_imp.g_varchar2_table(15928) := '788338F0EC9064A11AAA002DF8EC9D45B646904DD3A8D1DA04001FB08238E8C81D694D9CA097003C93FFB22037A77292A7D6004681948508956B1609E2F65EA4BDB0A94E9571066BC86BAFAC0901F0D5B8B29E523EC31EA9B5AB1A10ACF048634C3C5F07';
wwv_flow_imp.g_varchar2_table(15929) := '8B1A8CA3E3F25D9FFB95AC07E001D8C2E306C2B9F886B1C03EE4876E422B71E86DA1E66C9400B99C2207B68192915C6A99A2E05BD807E8685EB364CC6E870ACDA12D93662D688455588551680456AE1731496D693BB69F06B73570013988038B9CB6C2E4';
wwv_flow_imp.g_varchar2_table(15930) := '4839B08235C8018C14C9DDCCF0CB59089385F177A93F91EC80A75E88E16E149108010DB089EA96E22766EE10801FE4FE5E0CCBEAE8268B0CD30022EF6AE469674B618112A04914A8DA43432C8308EF9CA9457516140B037318A48113E871F97981FFBA41';
wwv_flow_imp.g_varchar2_table(15931) := 'D4927220962A938B66E804C6EFC8C56F6C6CD8473DD00DD8460AF8C628A400495DD206AD5C575BD8038D42BCECB17E58702CC46069E6B21CDAA188F4977A19B667429D6163215C129825C98109B0805FA6258469F122B61C3FFC2E9BB8BBFA7B3B2FE146';
wwv_flow_imp.g_varchar2_table(15932) := '9168F2E2160B43B9B0EE5D141E9F3023CF4E25378B5E6C72A69DDB3045ABEE91DA12C05AE57438A3E901775DB83AC223CF0B737E7EE23237001440960772E4356788857E931638EC6E716AC466881E91803E91800D804200E0C60778806EC49172B74B0F';
wwv_flow_imp.g_varchar2_table(15933) := '48D8C6BDF371EF460A4800713CBE72FCAD4D2D170CFE2E28111D79D121B380977A493773E31709E074D18997160AF5920CAA748BF1FF16E79C56DDECD1E19728348B26F771A9AE6E278E564349F2EBFDEA5BCFDE9007D39C71571CE845006872FCAADA76';
wwv_flow_imp.g_varchar2_table(15934) := 'BACE35B27211A0F212B0E2A7D101C472EB63472B7AE5338CA3EB8CC34AF9D1800C12298A46E8F936D45533E03F5F080EE8116D94FA6D0C776CE40008E873047DD485E593BA84C273FFC67A37BE4AF6B573DCF7C064F48187AEB5178B2D79BBE46A597FF9';
wwv_flow_imp.g_varchar2_table(15935) := '9CF1282AB76F78888CF11C726A07DD0D0DC800E3CEB8EF8D624571F5A3C4898BDBE2093B1448CBE6ECD562EFE15641B1F5AD5E880E544900B0795C94D2C31A28F25999C7C32F38BE890DF838063080078001C0A916B804F04736D404A6DCC3766A688580';
wwv_flow_imp.g_varchar2_table(15936) := '703FE0047558C466DCFF6DE196AEFF7A00C0111C7900E0A7777BA7077D4874CD08AE8A7570EB829788E497EB9A141E9A7BB6DF0DE30AF5B70378E72F49E81A78109000748F8008D08007C0800728FFF3C74AACC400008880BF9FF5B19E628650954F61F9';
wwv_flow_imp.g_varchar2_table(15937) := 'E7E6E208F32BAA24733D0188100036002868F020C2840A171EC4A103A18E15022318140860C50A8427321EAC511007801A3896F4588284C7431D386AD4C8D8B2A0C715273616DC104203030606002478B1A3850C832D00B448910200080026921AF4A014';
wwv_flow_imp.g_varchar2_table(15938) := '80D3A71E96C20050B5858D1655AD6A3D7863C78D18303C88F040E1EC8307142018A4509002022EF2E0B9A3C72F9FC17C7AF5CE9DD70E8D04001D0A5AA8D0C1B005FF001518324ED861F084C5120C2B6EAC703042CC05290328BC793066C3152A2485F040';
wwv_flow_imp.g_varchar2_table(15939) := '438407001E6088A00140040CAC0D6238F81AE14D8B056F03C8F0A12280138C399E20881BA3E5E4C33FA634B85260EDD70269D234CE11000A8F001CE260A183C7C9250F43B6BCAEB122EA083A0D20807A032880AC46A52A34B1D4440A1029B0B6D00AE23D';
wwv_flow_imp.g_varchar2_table(15940) := '1040D860031058C507C00E00FC50D00D30D8C701051B9C95816900B8E5164271CD058F5D7815B4975EF4C0234F3B66487098058379B69872060DC6D4418F1D0640609BB178D08D972D84D98C9A1D061A8E485530015B0F30A09A6B14A907000300D46610';
wwv_flow_imp.g_varchar2_table(15941) := '0314ADF6A47219689081452198A7D0092174C92500FF226CD92299DB1534DE472144109B061F4C979197C2D164100B2CE0C09D9D00F040124A3AB0741176D879B4417100DC246593ED2590000736C47054412644C58104947A10557F431D352081361414';
wwv_flow_imp.g_varchar2_table(15942) := '20004024B4C30E8EC200C30B264808E15A05A595D685AA6158505CF0D0D5615E7BF1438F3BF1B87385072358E6E341C2BE3882B082A98014B2208C00E368056996ACB400189B2CB58259ABADB1DB5EF6620516805041540AC9A6016B48A256506DB5A966';
wwv_flow_imp.g_varchar2_table(15943) := '90061BC41B82BC362D245C0961FE59100A21A14043632864949DC0D9AD2070A0652AC703000FA17053415E9A57C2062B8880DD0A753AF45D4A38EC898478DB8164A79D1EF55BB1BCE8A6C6D341FF26DCE0E87C205CCA015492E207020C58790A6A4144F4';
wwv_flow_imp.g_varchar2_table(15944) := '1CAACF428D7569411CD04CA98516D29C10844D53D074025ECC55D75E1FEED50F3DECC423CF1509286C59606C150441D806252081D75FAB5D63D963A7AD76000120440000071070000004ECB4D0DE0B4929A5DA08011EB86D0319EA2A0378DFCD64410630';
wwv_flow_imp.g_varchar2_table(15945) := 'D05E93054979A5711A40BC0241BC0DCE38019D032037DF10B825F66A00400081D19506E6418D441F54E9E90F2C6A1002091870FBED08B49721DD3BF90E007BC1035F500063D84A35007A25AF6B3DEEC0138F32000012070071C8B1464172586F3D007254';
wwv_flow_imp.g_varchar2_table(15946) := '2FBD417F50FF47F57F900FFE1F80A49F7EF5D493E93D99D3774FBDFCF01F343D1CFF05BDA1F61D00F461D01DEEC0873EC0A10F7E20A0011158C0030ED00F8BF0031F0A510800F8817008A9E04126684183200211E7430405FF57103EF80F820BD160630A';
wwv_flow_imp.g_varchar2_table(15947) := '5141154AD00F2AF41F1C02A8BF83EC0F007080831FC897C31C02C01086005F410C01882026447D7FB861FE0E82C18224B120E7630C1E6C088028C2818455F44334D8E18EBA2C0F2F200A513CE671907FD80300FDE8073FCC78C635FEE31F674CC819DBD8';
wwv_flow_imp.g_varchar2_table(15948) := 'C638B6D18C05A9E306CB34C77EE451396FB4231EE5F88F3B02609007E1631F1389103CFE718C06E9C720110947C6201292865CE31FDDB81043AA51918B7C64260BB2C642725261F4680787F2718F2FEA851F77B9873DC448A6FF781C641EB494E5416889';
wwv_flow_imp.g_varchar2_table(15949) := '903002C096628C471869490F00D0438CF32826328FA9CC64325399A6F42434A329CD680ED320F200C0359F298F616E9398F1A0C737C309CE7186139706912538B30980ADB1139BB454674168B9356C1EE479F280E741E8510F7AE06595CA63E53DEA11CB';
wwv_flow_imp.g_varchar2_table(15950) := '8598339EBC2CC830EB51105CD2B28C6544C843CF09007B44741EF3A0682D2F1AD15E4E14A30B9D688B0A5A267DDEC3200A2DD33DE85152841AA49AD324133D548A1079EC431E015D29004AAA0F7D1CE41EF7B8E64F675AD3A1EA342101AD473D568A547C';
wwv_flow_imp.g_varchar2_table(15951) := 'EC13003C252654EB71517CF8141FF828884F0F62D532D9439FC414A842919A5084C414A4CB8CA93EC5AA4FAF9EFFD4A7AAEC621741648F928A94A21495653C6219D1A55E15A20A49A35F3BAAB6AD5AE6AE052DA342ABDAD78430552148CD294E01905484';
wwv_flow_imp.g_varchar2_table(15952) := '4CF6204F0D6B41F471D2977E6D1F22CDE9F29E6A35A7EA031FF678E73E6899DAA16E6D1F05B1872401E04A9022C4AACA4BDE3D089B977DEC2392B3B5CC1B017B1057EA762165CCC755178B90956695215EB49A175969DA79ACF6B307A1A85E781AD6D22A';
wwv_flow_imp.g_varchar2_table(15953) := 'D7AAC2B55A5F5D0B527C88D720DF6D8C7239AB90DB2284A7A2CDAC530BB259E77E48BD642AA36B690A52DEBED743B235AD2E0B82CF6BAE16B6AE04EC4665FBD034F2D495FE7D6D3EF8C1DBDFFA31B609A1304346B9100AB3722159FD272B291A8FD4DE63';
wwv_flow_imp.g_varchar2_table(15954) := '1EFF0AB5EA5511DC51E1EA231F0A3D6F8413B253F6C6B5C30899ED28F9B84A7EE8C395FB986D7A5B4463854476C8F63DB242CA7B477C9C57214CADA66B530B80A162D3B5B965AC790BD98F32F2F8A97AC18787981A63E50096C28D64C881CB6C470BDFB8';
wwv_flow_imp.g_varchar2_table(15955) := 'C95523B23F1F9CD3B7AA72AE3EBD72F20AF2DB047BB7C97F0DEE46176C10EF6E552F985CE32B13C25B34EE149AAFCC6D5F9B5B90202359BD4AF6902B1BED62CD725AB2DC54B293F9814609F756BCF6F887184BD95EF74AB620E54D336FEF2CEB95165AD4';
wwv_flow_imp.g_varchar2_table(15956) := '0A637386EF8861512644CEF2DD2C52831D6CC57E0DCA9D14753F2CBA4E6C7E96C995C40B71518C62AC4ED9D5B136724FE51CD985E403D73DADFF74A58729DE9882F9912D3E296689490F9B5AA6B927752D271FBA0FAA26879B915D373D0429C80B1756A0';
wwv_flow_imp.g_varchar2_table(15957) := '6535B1B3ED116149E2E38CDFF5F3D788B02084242841085A78998490902A54210902D214821652052518244101FAF8C719E3052E8CBC20562839004ECE85935B81E42457B917602EF392BFC10D00A83900EE8086FEDD1C0D35F7391A6C7E1037BCC1E744';
wwv_flow_imp.g_varchar2_table(15958) := '3F7ACD934EF49D07BDE942AFB4148E50842448C108472002115C5E05008C810B07B10200480E80AD23240A55F00215BCD0222978410A63FF5A0F32BEA02354410A6CAF7BDBCF6EF798939D216528081A4EFE85BF03000D6340031A12B2F22A7061EB4778';
wwv_flow_imp.g_varchar2_table(15959) := 'BBDBC1BDC1B8E9AD7165EA1CE6FFE9669018DCA0203160504186C279007C1E009D1FFDE64F0F83B05885F4AD27BD830E12FBADB85EF29C1501043A6700CD1FE948A573D294A0A49383802E217BBB9BE68B7F1002283F39892B88E6F17600B905806E746B';
wwv_flow_imp.g_varchar2_table(15960) := '7EF31512954B1987661E883D424C00950DBC4BF309D99DC2121001AF5144FD0990DDBB1AF3AE1DC4FF20E82793D7FAB610090C052158FF54A8FC00100820010EA0011620021EE001268711884A720CA0ED298CA72C8474088440F00600580E9424046BE0';
wwv_flow_imp.g_varchar2_table(15961) := '84911484D7E88EEEEC0402B007CBB45FED284A63208AC23CC09A5846E9C95E41381C42D840E749530802C0FD65480E26C4DB181FF0D80EE12400DDA4CD0F5A0BCF284412AAFFD70F405C0472D60422C46D6860069A0BE3ECC401E81FED240AF475210926';
wwv_flow_imp.g_varchar2_table(15962) := '400A2EC4FD014CBEB4C60622807A4409E3D04E41E4C4EECC4A42889F41C82157DCA057905E0C9800841C44E410CE03DC1FFA81A10E0A224F284A1836C64E08E1EE1CA14224621116A1D91884040CC1B2840A0D3A200436E00F18414168222702802776E2';
wwv_flow_imp.g_varchar2_table(15963) := '007E622806E0026E6213EE80132EC42A3E21E1606063C846E464E101F4219408E14EE84DE511800AC2062326802D92E141280993A4A17A1CA3E4B4071A126341BC4042CC5EB9B4DE80944AA9BCCC7B348841C80E4F300023E29F0E22842082A1381EE222';
wwv_flow_imp.g_varchar2_table(15964) := 'C621ADE89FD7FCA016B6483716014214A0413421008A0A3D86FF8A3D36DC0CCE2010E0A32A2A8803C6A382B8E291E9DF6F30060668009524C7EEF40EDDDCDFBB6C8E0EBA604298A14144001A464994A02102E4043736C9115E8C391644349A400CB4000D';
wwv_flow_imp.g_varchar2_table(15965) := '821E51DC001DD28AFAE511217E23212AA372B4005CEC8E01D84E3782200110A1D7981F99048D25FE403FB662C73D60A7ECC03E16C4C209A04140E0492684491285407AD20714649BC0A293E044E364214230009568612EEE4D3AAEC6FBA50DFC31C43136';
wwv_flow_imp.g_varchar2_table(15966) := '0945A861A2A887465AE4FA2587A49863507823440AE43F22C4DEACA42201E5812447FF29073DC2E3063960144EA57A2524DEB04B06D6DFDCACA3655000C0184406600046AEE5E020634522C0BBC0A1072CFFCD678A24077C266942054A3A5FE95C88717C';
wwv_flow_imp.g_varchar2_table(15967) := '4D4E2692ED40A60F6ED05332C6619209512E4411000111E42562261202D80B6314E4BB180057C2CB1AB261DEACA363320648F021E05CE6E37CA394A061723C0D3431E2D294C90EE6911C06801DBA4A0E38DCD9E8A5C248000800A55036C66E0280CFF026';
wwv_flow_imp.g_varchar2_table(15968) := '43F0E66D1E448204666F7A520260A5141E646330007E3EE6DEC061634CA642A8A51AC2064606CED34C40D1104E5C026804860342789B65A4CD4E0621083686A7940A6334DC3FBAE741E4E50FF8E5A7DCA687D6E706B5A6151E84FEE1276CEA4E99342794';
wwv_flow_imp.g_varchar2_table(15969) := '2C89E4F0E137C246992CCDD13845349AA8054D83DA40E6787A0DDB148B65240100B8634128FF819196095142208FDA57EDB047E6184A419209956080E398A041F0A2E6A1A865D44681DAE8315EA48C5A64E950C4729ACED8D08824AA0D307AE9934E2801';
wwv_flow_imp.g_varchar2_table(15970) := '48400E7C9D0F00C015701CB895E84130A500222561C6691F71E36AACE6D72024BA30C6EE118E70CCE830C20699DA22EDAC5F7BBCCB03908E4164270068AAC2DCA5A09289822E04D821699D5A46E22504E1F5919F7EEA4BC1E64224E441C886BB30460264';
wwv_flow_imp.g_varchar2_table(15971) := '5F8B08280BD2684EC86886F822423826A63AA87270639AB22A997C01009841CA5150417CC11FA0C1D69D2A0D1944234402435082B166EBD7542943444E7476210F06CE93482AAD30CE989AE974A6A9362684824E004892495CBE05A76AFFEB421041AA66';
wwv_flow_imp.g_varchar2_table(15972) := '9C41240300340263F881391C0433E8EB41BC022D3C11BD7E6A092A876C14447166E3C2DEE4DEC026A1B6DFFA112A436440311EE719D28A5B52447BC46B727C66D3ECE8849265D208EBC11E040858813B3E437D28C428180433DCDC2F18C42DA42CCE5ADE';
wwv_flow_imp.g_varchar2_table(15973) := 'BC2604422A0442B246930C5FC22A04E4A44DE48C6337C2EAF9F16147B6E17636468D2C04A4F0E530BE5F5BE4AC42F824008C434200011C88034380033C602DD996897E7625BB0CA7A42EEAA21AE2858223B962AC65ECEA456EE4DB9209D2849FF8E107D5';
wwv_flow_imp.g_varchar2_table(15974) := '9A0DC896ED42184235E86942F06B41901D31DC2BE062AD103606B7BE2ADF58C6EEA05F7BC8ED805E2EE4B421826E2AEA84FFE40A9665B1326EA82A07D82DAEE9E6112C0E9F8A26A7F9C1E6583206AFDA1FAD04EDD3B688D844EDA692AC0FC65F4B9E6E3E';
wwv_flow_imp.g_varchar2_table(15975) := 'B6889EF69DEF0E6FE4D24606468EE3B8A8F169ED85CA246390ABE0EC8E4542AF7260C8D33C0D84E8EE4280E11FC2A9B64E80CCC0885EEADF4DB20CF162ADAB2E842D76E0BB782443EC5E090E6D24EAE0CA086863BC255B7EEB06910E80EEEC06D24AE8A6';
wwv_flow_imp.g_varchar2_table(15976) := '2CEB6C6A606C40602CE4DD066160F0E9F912AF6B3C49DAD42EED68E9F02484E55A461A22671FB5CAD784E14B2E2E3A5A6897326F4154225236B0A04A80F2C6A2FC4130F512ED0A234409E4CB7EC26546BAA5FE7E0DCA2A87948423F1362EB812210AE7AC';
wwv_flow_imp.g_varchar2_table(15977) := '0A3C25057FFFCDC2BEF04180617B402C130B4E72A4A50DE730E1606A6368EFFC9AAE10FF60FE65F11067EB804093EFF184E388610886A0329EB1C2646E322A7134D18C1583A0C502EE116A1E24F204097F31AB66456D7A6A727C60931CB1D9D48EE4A646';
wwv_flow_imp.g_varchar2_table(15978) := 'A3B60875BA611EC531434880B0464E00E7EC7802A11E57F2DCBE0B30AE2321D7CED19A6F1ED96D7D2E4A5AA8E9E23AC5B838458E5872CED6A6051564FE01F120BFED076F90926CE445BA1F67BE14A5682A309E6F6020CD0EFB20EEAAB240DA4011CB6EE0';
wwv_flow_imp.g_varchar2_table(15979) := 'A886A4EEE0EE28B3D74C6CD122040B900920328946BA205B04F3DABC45577AEF17A34D604C32319FEF6B9C061FE2640A7AF341E489226188F84DC5A64EFF53245732E8D8EA38DFB3DAB8B165349FE671A6FB91A7768A233E2787C10EB4417F2A231CB442';
wwv_flow_imp.g_varchar2_table(15980) := '2F344337B4433F344447B4444F344557B445E711C25DB4466F34B8A111AF71344887B4488F344997B4499FB4450F0330A8F430A0B44B7F6A4650C06BB845390B2ACAEAC00DA0C94BEFB4893AE341F8B40EF4CB44D02B12248811180112F0B4523FA1339A';
wwv_flow_imp.g_varchar2_table(15981) := '4C481C44BF642B4A2C01C30000492041DC0100562F35571F590DBC000EA0405017849D80444C1CF29332C154EF49565BF56C76355CBF1448BCC0578B35004CB376C4E943A8F59EF4F50C2EC10E00765C0F7634D93576A8C49DF8C9937A84FD26845F1B04';
wwv_flow_imp.g_varchar2_table(15982) := 'C89C041314C49810B66527877670C79998FF89B1E20013ECB564978456033656834C8254F5475CB66A278759AB0462EBF4A7E6350F3041521BC49E8C76822CC11200C064AFB66F33048C26844AA46C6F3FB69EE849529F0400C41D6CFFB6733FB5477804';
wwv_flow_imp.g_varchar2_table(15983) := '4804B7B6E6B54230416047F69950F7733F77BFAC84EFCEF60D30410F28B756D3767377F76F8B84756F876B3B876B4F777B4FA547E8B478EC36C8DC001290F764EB406FABB77383F75387F76EF7355587079AA437802F38D9CE366FA3760F7C76414C366A';
wwv_flow_imp.g_varchar2_table(15984) := '33B88593ED43CC7649DC366AFBF776F436775FB8881BAB7FCFF60EF0B741E8407334CC88B778B6B677553B386FBB388DA72C484CF67DAB788DEFF8C17E47C87CC767ABB555F338913F9D29C0DC76890FF972B37891373962020C13507541804C4184CC83';
wwv_flow_imp.g_varchar2_table(15985) := 'CFB79367F991517964C75D4964B89687B9E4356769EFF684CFB898A73992495C4164350FA0849AC7B97A59B7995BB99CDFF94BE1B749DC369EF73967EDB978F04088FB39A1978948E840529B0490FB74A137FA8B8A04644BF94154B6A357BA6524F543D4';
wwv_flow_imp.g_varchar2_table(15986) := '40C1D0B0A5777A6334270E70BAA78FBA6508415B933AAA33863840A84607040021F904050A0000002C70001F00760136010008FF0001081C48B0A0C18308132A5CC8B0A1C3871021468848B1A2C58B18336ADC785004C78F20438AC44840A08681060018';
wwv_flow_imp.g_varchar2_table(15987) := '4849202500062363CA9C4973A4C79A3873EA4C482040CA892A0F082C29D0E5CEA34893822C0140C406944AA34AA518806086892B0B1AC030B5ABD7AF1C007018FBB5ACD9823D8B4225F8F3ACDBB731373C1D08542002B838EF26C0BBF6AE51A37C030BA6';
wwv_flow_imp.g_varchar2_table(15988) := '988102800808100FAE59E56D55AD030F00960C40F2019800E62EDECCF7E9C4087B398FE432F0C862CA41090805A01A3000C3005E008021BAB6D9BB2FEDDAFEF8C64B9537A4171B505D70F5EADDC8CF46C03C10B76BBC443FC27906C0D035606800A8EBFA';
wwv_flow_imp.g_varchar2_table(15989) := 'D8A181D506306BFFE08022B9F9A8759BAB0F1C5D3AC16163004C9BDA9EE1F1F3F8BB264E7C70F8E69E4475575112C109645A43D47596DF8249F167176A0C3A944945860050C4480246A8E16289A504E18609A131C61763280151158DB106E28A2C268400';
wwv_flow_imp.g_varchar2_table(15990) := '6EF5B5685012152921420000E298A18C3CF6E8E34331FE28E490441669E48A8A1DB9907F4A36991F7300ECD86274B8ED959201383AA96572B81949D495083CB0D27303E568A6945BA66916992B2290556841AA29A76068B228E07059A934E79E7C9A1567';
wwv_flow_imp.g_varchar2_table(15991) := '9C7D066A569D82166A284E807E45E8456EAAD4E5A190462AE9A4946694220056005085145564CA91155E785AE9A84DCA23903CF0C0632A00AB6AD42AA9B0C6FF2AEBACB4D66AEBADB8E6AAEBAEBCF69AD33D3AE123ECB0C22A750FB0001CAB2CB2461E9B';
wwv_flow_imp.g_varchar2_table(15992) := '0FB3F9E523AD91FCE893533FFDF0A32D3F70712BE43EFB00806D72F000506EB969CAF36A93F418BAAEAF17D1D3AE4CF5D4A350BD666D27A8BA67FDE3EFBFFE6AD9CF5B032BC54F36F48C3B27C0FF0010704DDB2A84EDC40A37A9AD5B0527A50FC2DE9E97';
wwv_flow_imp.g_varchar2_table(15993) := 'F147144F8CD3B6DC763C103FF9845CB192176FB9313D2627F7314703878C13C509F1B332BCB56D7C4FCCC8CDBC51CD38D754F4413A0BBDA5D245BE0CF46E4C6344B4C834D99C50D4071D4D50CD3A23CD19C31223F73043FFD8D3CD3C4FF3A5B2D610AD9D';
wwv_flow_imp.g_varchar2_table(15994) := 'B1CA468B8CB5430A17EDF65705333D2ED504FDFF53B3417F2BDDF2CE32850B513EFA24AEF8E28BF363CF366863ECF6E494576EB9B856CF8433D66C176439DC53AD0D38E8016B0BB0C35D1FBD79C3E21A748FB4F5F0F30F3FD06E9476DF0C9F8EFB3CDBC4';
wwv_flow_imp.g_varchar2_table(15995) := '73BB529F072F3CE598772ED2E6590B04FAD6A2EF7DB7D49337D43CE6C5C38D3200DCAAC34E3BEDA493B0CD6ED7930FEB05E7E330D8FEFE4E913DF1E4DEF739A40432C820F2D33F7F20F8E31F4F3CBDE363D6F0000C60F4AA26B7AB15707470FB5C4408A7';
wwv_flow_imp.g_varchar2_table(15996) := '3CE3792E7A96E3473AD201807AFC23129E70852D0C018A7FA4EC6ED8FA073BAE818F7E04CC5FEAB8C62D86918D720CE31AD7981748E0C1BA7F0D641FFFD0451004D0001EFAB0870D086210FFC7610F6AC4C37F5E999A009718C0B8ED8D7A03215E0399C8';
wwv_flow_imp.g_varchar2_table(15997) := 'C0AC35D1804B1C1F2D2AF10F7AFCE31A8CF044369011090F528C76F5AAC7CF4C780F5A94E3162A44862B68118D685C231BA0A0873AFED18D70789023FEB207EE5887C3719040010548A4220B3080463AF21CFC8B87209348C54A0ECF89817B9B14A7B844';
wwv_flow_imp.g_varchar2_table(15998) := 'BA0950624C94DD2DE0A08F7EB4E31A6FA0852D32110D76F86D62F050473ACC314179CC0E006FC80631CAD08D7230A30AF268213C90910D71B4F0961CB1073FE031C9863D6C1FF61847100A2080452EB291171000118D680FBF25AF81CA0327E0BE094A4B';
wwv_flow_imp.g_varchar2_table(15999) := '9AB372986CDD0307C8C94F4ACF9D08A1E2F800C08876A9630726F0842DC411FF897260CF84FD70C72C69990E1A662B15ED6046199E918D61A4821DE628873B32418C7484C31CACC348FAB0D7CD8625CE86FF80E639487081395453000A50004A19E9C86D';
wwv_flow_imp.g_varchar2_table(16000) := '4A529D79E364F1C059B79986D381D53BA74E332713E42170793985E7423A8945E125AD1FFAF8072D3CC1AD7064220630A8822D00E04A94F94D1CE1084737B0210E79608B1FC850473888418B5BA42212A080C33022E18A310EE319C8B4C83FDAE10E7FD1';
wwv_flow_imp.g_varchar2_table(16001) := '721AE6B06039FCE54500E0F01C41B8401B0670010718B6B00E50403615E052B92971A70E84AC64F9D6D303328F9D41FD1B4C2DEB4908627674ED5499B66A96D4673C6360FCA0C7EB74F62F133A2C1B90C02023C2218F52FFBEF21FF2B887BAD221CB74F8';
wwv_flow_imp.g_varchar2_table(16002) := 'D35CFCCAC83FCAD18DB976231DB778832BD4A10E7D3CC315AEFCEB21E770015364C10159C86E162EB0DD068C231E4694DDE53C0BC0784E16B2E95462669FC8BCCCCA74814C5467DB6AEA38872195AAD4D9D66301900F0B9A351299804338E031B3DC81D4';
wwv_flow_imp.g_varchar2_table(16003) := '8619B9C70823610B5794C10F9500851FC6700B4F70411C7EFDC74815B0802C986216A6B06E881F41DD0240321B927CE5799FF7D3155B32BD9785608BC399D38A5071A81F135C3EBC953860BC211DFDD8B1B4462BAE7CC8EB8BA0E0C252894143D4398C20';
wwv_flow_imp.g_varchar2_table(16004) := '3BFE5948C6A7BD3248A11B5E2883213C910E2224E1166EF4AB3D469A854738E011E330C52348A08B493CA2FF0D6D10002497916217B3789D76AE248CA3A8C0CBBA7773C20BED258BFA44E7656BC7FF286538C660045BF4A31E21ECD8BFDA81E42418C20F';
wwv_flow_imp.g_varchar2_table(16005) := 'D9E0AF403C48C3D9810D24FFA8073CC2E1074FD0C20456C8C42D6C0103B446821921D530492FC0DD4790380B8AB0F51C16E0DD7374A37DF6C8B3DDCC2B6C058A4E733E5D6F02056D6863832EBEE554E08E91DA8F54A028130393873BE0718F723C3A6101';
wwv_flow_imp.g_varchar2_table(16006) := 'F36D39B05A506BE58319E2B8C5BFCC918DE766C39919C588ECD2718DAC32C313C3088758FD700D394657D6869D036111E94847CAF91C4654B164954DEC628F17A8314976F0E46B4EF732FB72848EE0B4EFD18F4E54A10C77A8873BA2D1507180C2B7D9FF';
wwv_flow_imp.g_varchar2_table(16007) := '48C733301A4B766C8F1DE5F2E0306C118955331719DDA0841FFA0A6ADC1AF8DD0093AE0312995205141C9B07FFB58B2DDE62870B35E2969D389FC197C0F24E3DD0D1FE1CCAB8652D6084AA13FD50073160986EE26643977BAC87BAE4258F76853A1BB678';
wwv_flow_imp.g_varchar2_table(16008) := '831F88918F7674231BD770C50941D2DFFEDE237600F062A8052F7495169DA58E34FA387C1D0FF2A2937A55C7A9B29D0E689E8E047C783E76DECE2B5F2BDE39E320DC3AB5CB910A4F8423EC2C642897C3118B31D675EBDA9A96F9AE71042EB88119F52847';
wwv_flow_imp.g_varchar2_table(16009) := '39AEE1894CE023DE1C21D98E2F362D6F816BA40230AC61539A4801385FA52756E6B1C5B9B5CEDF34C60CA1FCC32D7F79CE568F9C177FB1FFD4405FB96D9512A9893321C9FBCD8C700CA31AEC7625F690E609147DC113E2182E283C918A5B02BF260DF357';
wwv_flow_imp.g_varchar2_table(16010) := '72C05DB4466BDBC55DD9D50559F05D907354E0F74E36E658DA1779924733DE47599DB779C4438120846C1C383117F37BE3E24D0DF33A22D464B6F47F9BF60FEAA02EEC500D7E940FA9B25151D151F5300FF1B00FF2B03F3C780E90740EECD33F0684149F';
wwv_flow_imp.g_varchar2_table(16011) := 'D449CD563110D77DEC053DAA633575F3841848119CE358DF774628633EAD134234763A2A38100CF33AE7233B5F1180E09283FBC33EFF9062F6F0384704174E4763951785C7238711A8599E93859BA4136F7375D9423BE6C35E7D28325DA8100F836065B1';
wwv_flow_imp.g_varchar2_table(16012) := '869284883CC883F6900D91FF43304BB8708F9587505745F09563D707534C175A0F4833E0C40FF5400F7F688983E81086E8158154366BB88A89B886BFA63E4438373A95859B758473333415987D94C562799884D6375FBE2810F4200FA33813A7E8156B08';
wwv_flow_imp.g_varchar2_table(16013) := '306B082EE09286D9604B185335939763B9A811DC278596983C5018630C748BEF643C6A578C32718C536160FEC28C38B40F286638FF9344418549DE1837C063396A0750F158119F3686E6788E21950DCDB88282918DBA788F9F0732137890E76464992790';
wwv_flow_imp.g_varchar2_table(16014) := '61831FB4F541081991DB578D164132C2377C17699157A89143C6911A097B16899117292D24F92CCBE22C20399225B9922CD992F5D00E54E57202314100409306B11DDAFF9393ECA02F048193DAB19340C99306414105E19346A91147E99305910EC17654';
wwv_flow_imp.g_varchar2_table(16015) := 'E7443BFA95671FE994214395D9326823E1725AB9955CD9955EF99560199662399664599661C95C02610E35491014649335A9960040500C419414444B7159977879976FC15C66D9977EF9977EA993821994843998DA5313F4602F04212F8CD9988EF99890';
wwv_flow_imp.g_varchar2_table(16016) := '19999219992131998C391094A92EEA922AAA22108A298C975910322412699446C228159A999AAAB99AACD99AEF4213AEA92AB2892A9B499BAA629BC0359BE7622EACA29BA8C211CA2210C17992C4599CC7F211C6999CC54910CA499CC9B210A1282FF8C2';
wwv_flow_imp.g_varchar2_table(16017) := '9C27499DCB2223D5D99CDA599D5D61998D299ADE3913D7FF3910DB999CC9719CAE932CE639102DD99243B29E65D19EEDB910CA299CB57314D3829FEE9910F92912FD0965B2F71053D9323F329F6731A01F7911FF1912CE2210F229640F1AA12B89A0144A';
wwv_flow_imp.g_varchar2_table(16018) := '32027185177A31159A2CE6339E6B98A1FC302CAE139C03412CC2829E08A10FC8923802A1A2E1622DE112A3CF7910ECB81824392CF269A23A8A44E4699C02810F8A492CE389A20E8A8525591012DA9ECE92A406919F5888A4135AA13A33A5524AA13B2A2D';
wwv_flow_imp.g_varchar2_table(16019) := '3B9AA5F8808802B18A6B380FF6300F601AA6625AA6644AA6652A10652AA6610A00F3E0A670FAA681579A6B5A9AF8E29815C42AC3A85BE4B92AF7D02EA6A25BED32A881072C7F0A2C845A10BAA55B35FF9A11843A9A06B12A92AAA7F3A25A26D99CEA799D';
wwv_flow_imp.g_varchar2_table(16020) := '763A9D81F7989D3AA8F2C2A12D197B2239A055F9917D58A5A87A9540B3923F430F9C19ABB23AABEE50ABB67AABB89AABBABAABBC6AABA9B20E3C8883C21A0FC30A00C40AA603F1A5FB23AC6BDAAC61EAA5D01AADD22A486A042CF5A0387E152EC7B20FF7';
wwv_flow_imp.g_varchar2_table(16021) := 'E0A2249AAD337A0FE1A25AF6792CAD220F3A98AEE86A2AE94A1144DAA87EB5AEEA2AA386C3A7CAF22CD2E298CA222FD5C9987F179DD139A8F5620FF540B0065BB0F602ABDCB3B00CDBB00EBBB0B5EAB011FBB07445B10CEB0E0FBB6D184B8C004A927FCA';
wwv_flow_imp.g_varchar2_table(16022) := '6DDE19B2223BB293190FF0100F18A60452600556A0042CEBB22CDBB22FAB0434CBB200FF70050281B33A7B053CDBB357F005401BB4423BB441AB05443B06A0121C5C101C5E00004D3B104F7B104FEB05544BB56750055490B55380045330050211055E4B';
wwv_flow_imp.g_varchar2_table(16023) := '050221B60471064FE005626BB668BBB654B0B662F0B66320066330B773FBB662D0B45470B66DBBB75EA0B7772B0654800455A0066E5006855B0668500688ABB889BBB88EDBB890ABB88F8BB8044122963B22980B07E6C00F6D47B29EFBB9DEA92EEE9030';
wwv_flow_imp.g_varchar2_table(16024) := 'DBC292A8E237FB983B126942ED230E160001102001132001B23BBBB47BBBB79B0012A0BBB84BBB1330011500BCC25B011500021D0002C69BBCC97BBC230002CDDBBC20A002C80B022D600228B0022B101600800228A019DBFBBDE5FF81BD03A101211002';
wwv_flow_imp.g_varchar2_table(16025) := '0351BEE5AB011AF0010CD0BEDF7100F701001F3010276010E60B002130BFF64B033580033AA0033CC00300FCBF3880022790BFF9FB010A5CBE1F80BE2780BD1170193A600446F003146CC1159CC1189CC1174CC11C6CC140F00322BC03220C003BB00337';
wwv_flow_imp.g_varchar2_table(16026) := '00032ABCC22CEC01F9273BA91BC3323CC334EC2F03433EA55B929C6B5FAB2B3C65F30FE2F00313600116D001455CC4466CC4446CC4C41BBCBFDBBBB24BBC23D0012350C52E70C54370C55A6CC55A8CC5570C045A5C042ED00331A0033060C62A2C103A00';
wwv_flow_imp.g_varchar2_table(16027) := '006BBCC62FD0C66ACCC66F2C1BFF4BC0055C03D78BBE097CBF0E81030AE1BF3CB0043DB0044850C8848C0481BCC635FFB0028BDCC835F0C8900CC035C0BE3A90044970044770C99A6C044950049A9CC9A0FCC99A6CC9476004444004148CCAA61CC227DC';
wwv_flow_imp.g_varchar2_table(16028) := 'CAADFC0330F06E25D4C3C1A333F00069395C92A6A270B43C39A9E8BA435CC5544CC553DC01C67CCC4D9CCC4D3CBCC75CC555AC0223E00223A0022E00CDCECCC55D5CCD5F0C0437F0C63AF0C63030C735000035F0CD02F1C6288003E33CCEDBEBC7028102';
wwv_flow_imp.g_varchar2_table(16029) := '788CC7F07CBD00B002F51C021B20BE0C01C9EC6C10FDFBBF4B10C848D0034820C801AD037E8CBD0ADDC88C8CBD007C02ECAB014680C9A55C044660D1A88CCA16BDD117DDD11C5D044780CAAD5CC122FC033B60032D7003277DC24070C226100D66D4CB11';
wwv_flow_imp.g_varchar2_table(16030) := 'D40FE5FF92AA13BACB32BD36366C423FDC0D1E600129E0CC0020CCD7DC012E70CC489DD4C44BCCC47CCDCE6CCD4E4DCD523DCDD23CCD43C0032FC0CEDFBCD58FAC03E58C023A00D6620DBE5ECD025EFD02057CC7E581C72B70BDF4EC10909C10FFCC034C';
wwv_flow_imp.g_varchar2_table(16031) := '30C885CC03053DC83CC0CE0DCDC8FCECD04BB0021AC00011D003989C049CECC91E9DC99CDCC99AECC999ACD8966C04AFFC030060D2279D0231E0CA21FC032F00571099D39473CBA95AA43B86D3A2EDCBDDE4D316A0021D30D4AF3D020030CCC25CD5D1EC';
wwv_flow_imp.g_varchar2_table(16032) := 'CC49DDCC4DEDD4BCDDDB564CCDD5CCCD591DD65BCDC6C6CDC663BDD60381C704F1BFC35DC7F04CCE60DDBF0FB1CE8C4CCE0DBDC8FE0BC0899CD703FFBD04FF8BDD8EFCD72BE0BF38100218C0002230D149E0659C7CCAA67CD1883DDFEE3DDF9CFCDE44F0';
wwv_flow_imp.g_varchar2_table(16033) := 'CA3B40D92D6D032900033670D23F0004970D03700569A9ED36B62C2E165A32FDB0CB351CE1122EE1AB0D04AD1DDBC42C10B2EDDB1B4ED4485DCC531CE2B4FDD4BEADCDD40C0443000026A0C65B4DDCC6FDBFD3FDD5D29DD6C8ADCEB141CE5E4DDC6B0C00';
wwv_flow_imp.g_varchar2_table(16034) := '7EECCE05D1CFE43C102B40030341CF6BFDBF4C10C0014DC84B60D05ECDCEE3CDD0FDBBC883BDDE8FDDC94750045ADEDE8EEDC95EDEE58E7DCA271CE03B10C246D0D232B0D9263DE03F400406DE45303CE1723EE7B9C34C3675329B96E00A5E0FF8D00D45';
wwv_flow_imp.g_varchar2_table(16035) := '5001B03DD4B2ED021AAEE1D12CCDB6FF2DE2CE7BCC489CDBC60CE2BBFDDBDAEC0260CC032680C73E0EC7DB9DE38A1CE4F38CE93590D5E4FCC6E63D107ECC023880EAAA9EEA412E1090ECC7409EEAE5C1025D8DE4813CC8047DD06B6CE38B4C03433EE47F';
wwv_flow_imp.g_varchar2_table(16036) := '8DDE14F0038E8DC95B0EE65FFEE544E0C9CBDEC944F0033600552D50E64020E62A4D044060E640F0D270AEE76E53D31143103BCCCBDE8E2D7C2E0E2EE0BC433DDB446C01827ECD4B0C002EE0EEEEDE01BF3BCCC65C018E8ED41600028D1EE2501DCD2A00';
wwv_flow_imp.g_varchar2_table(16037) := '043090CEDF5BCE6DFCBF088FD608EDEAF1BCBD538E0312DFF0A63EF1A57E108FCCE312BFF1CBAD032C00F1B4AEF1FF1BC8816CD089CCF128E0EB2A4F03FCFBC8347002E90D03A0FF0CD2340FE65D4EF35AAEE5599EF32D5DBD26D0023650EDD81E033F80';
wwv_flow_imp.g_varchar2_table(16038) := 'D165FE03260057A258EE2A03EE047AA1A8CDF45F55B07EFEEE2390035BD008951004B7EDCC5A70052E90C53E600543A0043960055F6F01B2DDE8FB9EDBC6FBE8204ED52A5ECEE34CDC13CFE2E6EDBF310ECFE39CCE12CFE3A6CEE3088DD03E2EF8FE4BCE';
wwv_flow_imp.g_varchar2_table(16039) := 'FD6BF1E1EDEAC81DCF8FDCE348BE034B3EC8760CEB25F0C8D8CBBF2D5F033430D81CC0C9C6BEF3C87EF33A9FF3A6FFEC36600226B0D94070D13F70036D2EE627CC01C9D045A12DF51554DAE21EF54CEF2F540F04B49D0395100CABF00ABF6006434DC43E';
wwv_flow_imp.g_varchar2_table(16040) := '700EDB20079520018D300E3E300AA35009E0D008800EE91DA0EFFEFF7EBCFDFEFD6D7FCC2DA002EDCCE3064FF8835FC78B9FF1E41CF2895F10909FE9F1CFC6B0AEF138C00448BEEBFCFCC82810F2000100800E1D4B7830D961D0A00E1C0D01D4785883C6';
wwv_flow_imp.g_varchar2_table(16041) := '0A1A1569D4C041E30407113D8E243972A488C822459298445952E54896444A1221F203060C1B405C1621B263C70F9D376098A0C0EC1FBD7CFD8C1E459A54E952A64D9D3A15D88FDF548155F9C903F0EFE956AE5DB9FEFB57CF5E371520468CB0B02658A6';
wwv_flow_imp.g_varchar2_table(16042) := '2A5680ADCAA1A2838521C156357A9540CEB62BD3640DC1E5C24287111D0C7718E242F1E2C543E482381CF9708B162F583C0470597343829D7500C0A1B9068ACC352EA3C05115C00BD3023FBF005D3574E888A0FF1BE2F03CB0346A16A3314274ADB0E070';
wwv_flow_imp.g_varchar2_table(16043) := 'DC0D6B60BC68D1E2F1152C5EC8082992244994D457C2C49E1DC88D183F7EDC04B2A3458A14264C78F0F0402851AFEDDDBB87574F2A55D557B3BEC79F5F29D87AF5BA0121AC831C469105913EFEF04419403A00A08221B691268E4A24184541707099009C';
wwv_flow_imp.g_varchar2_table(16044) := '4A26A8A030C37C302344114734E38AB922F37032155E40C1B4E37040ED36CF3A8308C6156AB8B1B71A551328B5817C1CE833208FC3F136CE78C88D21232F3392A0837A30084982AA020E22E57E5B81831284886EBA92483A49A5235CC2CE26336DCA69A7';
wwv_flow_imp.g_varchar2_table(16045) := '1D6002C286F2D0438F030E1E2066A8A2F4C3533F7800988F1F1EEDD32A4F41DDB3879EFF3AECC0FF0C5C70E9A4934862516614171A540297552CDD629C0B2B44E395112AA820322DCCD0620B534FD5A25433E4425132152A436185875A7CA837DC66FC0C';
wwv_flow_imp.g_varchar2_table(16046) := '80580158A1455A6BCC3536DC7A744D368174BC51361D989092A1CF3092D148DC7858A2206A3D4BAD461A329AA8A21A74C0408C5828888EA595CE7D894D228060975DEF60DAE1069D7872F33C38E54C6FBDA2021DB45FA8F89CCACFFAB0E2D75F8393028B';
wwv_flow_imp.g_varchar2_table(16047) := '9F7AB271C1AC0A1A0946165054F1E4185C82D1A202005C00079C2BA4D1F08A510069A492601AD11880C3B488039010D7F8638B381A01640D335C902C45C3E462C1578120F20D235C058AB5575E5BC4E832DD6223EDC7A589FDF921597B74B2FFD9D48C8B';
wwv_flow_imp.g_varchar2_table(16048) := '96B365A9E5BA33268C3BEE67892EC22D042FFA094503238C30D73A95B25B775D207E98FB071BBED369071B627833CE7B3D80A04EF60E263CA9F8781CF8BEC20B4F781E6900FCD4E4608089A516607059C68C095C380B80B23A98D4051526952065950BBB';
wwv_flow_imp.g_varchar2_table(16049) := '420E65D6D866145C14751D902B2C80CC309D0F5BB1685981D61522166EBD6D05E187277E341CA0BD5A681E731D1668E17985D6492608BA5AC62065D4E120AE9915F27822AB0C1B8013C4E8E79F5432E0D26D32CB74B76EEFEAB6414D9FECC597030FEC47';
wwv_flow_imp.g_varchar2_table(16050) := 'CF84C0ED5C7CF17F00B807E2AC42B0FE110E2CFDA087343E578144040317D088452A8681B92D58E02C235001063DE739CE8D40FF201E549961AE00B135806315AB30C32A5CB7852BB0CA76017A6107582002E1354D802D029B4088B7C31EFDEE383A825A';
wwv_flow_imp.g_varchar2_table(16051) := '90621336880C8F6AD9A311B15283AD6F6D4D7B48EC91F78824B6EC85600CFD90C73E52818372A54B3B7373DF4EDE67371BD8E006E6B91FFEE0E481F3980006144006FF0A78B07FC02380020400A0E658387A4C036738F3845D3A610844740217CAD84287';
wwv_flow_imp.g_varchar2_table(16052) := '36984181A8000017AC8A070364AA5150631BCAC0451C7071854529016787398BAB3A20021AAEA0043A3C018F80D61B81884087BC229E085060C3222A2D36AA7108EF88079ACE488977BF2BD6B37E44906A690F004C88C86FC246B62584807CFD48073B20';
wwv_flow_imp.g_varchar2_table(16053) := '910291DCA44C72FFF34E36F3C693F0E8AD0531B0970760401EF28C732633094A58F6B5C77ED5F18E02D4233B0DC68FC711A60272406115BC30862A54E21656B0E0C61C09001070F05320D0982241E782110623189E70DD2A22A58C4AF8603030C4A86140';
wwv_flow_imp.g_varchar2_table(16054) := '20020E4CED942B38C1064E90CA54EE0E38A7149F6A86379122E248575103528F8003CB5D6A8D7ADE122043A2C72C665DEB4760E39D409AE906B441030342108211C8F49276CD6D076D2A6354A3FA4DF298C7042918276562409916C8E09B2D48E7E0E429';
wwv_flow_imp.g_varchar2_table(16055) := '2877E2318F041CAB7E0E78148641A6025B30C415C6C0853178010D8DB0E8E812333A0B3848093E00810B9430021F5821072310CCA86CB6859799610D36BB42FF8A6EA751106C8003000881F856B001CC86C0B39C9515AD044252CD8E96573A3C4E8B7A35';
wwv_flow_imp.g_varchar2_table(16056) := '9A87C4345B10210DF15AF43BCF8C942233E5816C8C933D855C0B9940F59E4098B00231148200C2E8030B8CF09DF535F5A95285EE78A4CB55CAD8A0BAD6B52E7539A0AFF2A5154FFF7B27E2E2E95D4165034086C9C117D080863794810B5F78C3592AA084';
wwv_flow_imp.g_varchar2_table(16057) := '350CA144A5BAC2A854B08652D92C0E2EE0108852B5852F10580BF96561A8622819105476032110A94801F060CF7AF604A1AD0A69535995A9018006547A69AC703453A8F9A657C3338D4D4F108254924DB8511C71F6B8B6841EE4F636CA3CE20A3E108233';
wwv_flow_imp.g_varchar2_table(16058) := '0C03A94A2D13DD9EDA021BA820BBD7A54C0A40FF4013763D77AAD8E56A0AC09A0C3992373F65352B5AAD8C1F7E18651B400815A8AE80862BB8D70A651842872AE0834AE4F70A56E0EF15B6F0D709A4EA0A6BC881042C68010BC84505192C4B603F054AC9';
wwv_flow_imp.g_varchar2_table(16059) := '68B4021AA03066395BE1CF42583525E0AC694FABD2491BCD86A8E111D8546B44DBD0C8B3BCBAC8D3C476826F516B0948E0A96D30C20422AA1A3449FD0190E5F65C231F39C9D2B5AA07AE5BC65A1399325EFD0908C27AA72DE3C78EF9C8B2E28AFD1E7CF0';
wwv_flow_imp.g_varchar2_table(16060) := '2319656950057200873798E10D7FB0424101409735C481656BB8B384B6E002C6BAC0B17D55F00BCDD2018486B2D00CAEC0062800614657B8B32100A9AC489BD9921A71A423356B87751B11FFDDD55068D4C381852F4C361F31A46737B216124E8D24D05C';
wwv_flow_imp.g_varchar2_table(16061) := '4499AD5E81676190CD773579AA4996327940600210AC518D59DD6ACACBD9460E082E1F5D5E767BDC896C786A39E65F51E72F60D0208154C0058000C528B6D001B91466082C64616143A47452ADC10A41B042BA093DD9777740C12098C00636A081460340';
wwv_flow_imp.g_varchar2_table(16062) := '030261F484F3ADD9CC8296A6A3FD378FA626AB61DD92483B94156DA907801DDBF6460E39160A4AC08282481C4A0661F58D8036628A68240411502E4FBC43EB238B3CD86CF49B9C204081C953608D560D27053820015BFCC31EFAE8EECDBF62478189D7E6';
wwv_flow_imp.g_varchar2_table(16063) := 'A27F8AC2EAF18B163498E702E19C0554F6C1CE35680220ECC0043666019C49FFBDEABF8F4C98B1AE014473DDF85E07BBA32F9C59E68B94C517362248D3BE61959226A6622B78DC81C710E2FF5B78780F4D096858831E20C1EFC5D48144B0D42DE19D4003';
wwv_flow_imp.g_varchar2_table(16064) := '18E040DECA08D5EC92A7053F09279C2440010AEC9F020F8080CAD33CFCB11FCAABBC5BE887CF43BDAE002FB31AAF056C0AADA8877C4886064B9984021506310CD56090AA380C3ED318D903BE11940CE193000DA000E2534115E491B29B30461329EAA388';
wwv_flow_imp.g_varchar2_table(16065) := '495B315ED9300C1BB1D9CA0CD0188D1DC2A11959010DD831CF5A2D1C78011811BF12B8111E30BF2821088AC89689109E8970BF08D0007989AE5B23B9FCF30009D83C79BB1F0FE03F79DB3C35BA1FCA0340CAB385048439FF08748A7F90877A70C0D373C3';
wwv_flow_imp.g_varchar2_table(16066) := 'A598077B2086D62B2850E1C0D933AB10E240121444AB133E0878801544440DC880AAB03016A3377BEB372904A90ADBAC9452A5DD89221DCAB70BE3A519F9001524C21CA9811250C212789153839283B092B79395E1098107608007D8381BF0AAC6838125';
wwv_flow_imp.g_varchar2_table(16067) := '4323F4F0C22E84935CEB45CCE300FEFB3F439C935740A036ACC3A5F89F3CC22381299864540AB160BD0AD036D3F1C06BD44040F4C341B4BA770B95C1009530EBC20878000C28C773C400E2AB8A456334AECB007AEB378A683F16A3B0E7C3A353429E9EA9';
wwv_flow_imp.g_varchar2_table(16068) := '01EF5B019B628810783FE26331E2813EC12B3589439256E39190FA000640000630016FBA81F110B9AB22B9FF3582935BB4AE1838271888818F04A733FC3F349CBC077085A180C608DC13071488674CC9EE9A406670BD84EAC36DDCC09BF4C310E2C6E0B3';
wwv_flow_imp.g_varchar2_table(16069) := '3A702444ABEBC20700007324CA08304A2B54478134BE15ACB0781C9EB4C3AC09FBC3D6828DD80AA9E7B1A9D408010C48470DB0BBAB2C42CEA0B16A399EA849A915D3800870C804E00033F2B514C048F45032188832222B23BDD9269FB81F7913C6BEA480';
wwv_flow_imp.g_varchar2_table(16070) := '0438497A7849659CCA071C4CA390C6D6A349D311C16B0C95D9DB400F1C44DFEBC6300B47849A0043344A06000006F04CB5C400A3ECCA4404C5CFA2A9F62329763C019452C20BA33E68398DF65342B6D31A180948AFCCB88C1BC81CE141194B3FE129A2FF';
wwv_flow_imp.g_varchar2_table(16071) := 'CD7A300D80C5044000B6BC3F72D245389132BB842A1570AE9E980991E4BF07C88007F04B0408CCC344183BFA43798007A9E04EA3E007A2A84082BA4681208C47FA20F67C24B3D049A993AC9D3C8C0AA09D0A009CFF233EA13C47D13C4415DCBA07D33A08';
wwv_flow_imp.g_varchar2_table(16072) := '7BB0E701CED4A20125E4B0DE399AD5329A5B991217099F19411216D8ACDD141E25FC41D7E02D257191595A34E224C70778000FB801E5CC1F926BCE9A68179C58977AB9173909C619E53F1AD53CC044C9F1340A38AC87D2132078008B2015D22125D22235';
wwv_flow_imp.g_varchar2_table(16073) := 'D22345D22485C37E9886AA8080A9C42309000009A05208A0D22BC5D22CD5D22D858004908004E8D20010D33125D3312580000000023800FF02308003685335358038650003E04C81C00000880028451C73DCCF3B45C772C453AFFBBAAD53C70370D33945';
wwv_flow_imp.g_varchar2_table(16074) := 'D4CFCC80457D47CF4ACBD024478158D30038533245000004C000B4BC5DDCC535F2C22E354E048853034000513555022855040000518D530420005BF83C2595D559A5D524ED873DF1511EB9877600007800CF5FF5555F05D6610DD66025D66335D66445D6';
wwv_flow_imp.g_varchar2_table(16075) := '631DD671F0843890833800006895566AAD0A4088833F00046D05006DF556008856706D99718DD6718D83733DD772C5566A455774FD833778833B90D779A5577A85833EE0833BF0833EB8D77B05803EF8D7802D043EF0038235D882455882ED033FF85786';
wwv_flow_imp.g_varchar2_table(16076) := '05804200003F4084884504FF8995D88805808A855844E0D83FC8D87F5DD88325D88BAD0A8E2D8442F00394E5837FAD57787D033880033FF0833FF80343300440B0599CCD599BA5593F8059380000A0FD59988D83A185598130DA4C1087768087A675DAA7';
wwv_flow_imp.g_varchar2_table(16077) := '85DAA86D5AF094DAAAB55AA95DD695CC079A83A75EBDDAAF05DBB0155BA8958778B0073D459C1DFD1FA3E0937E40DBB7550DB068C96594DBAA905BB6CD8A20558AB69DDB22B55BB7D50AB89DCABA450AB91D521E61DB23C55BC4A1DBBE25D2ACA80ABC5D';
wwv_flow_imp.g_varchar2_table(16078) := 'C6B9550DB76D5A776887CCD5DCCDE5DCCEF5DCCF055DD0750777B05A81E007AE558DAD0580AD65DDD69D0A7B80DDD8955DD8E5077BC0077C68DDDCD5DDDDE55DDD9D8AFFAD85DD7810DEE125DEE235DE789807E445DE79605EE6A587E67D5E7A885EE9A5';
wwv_flow_imp.g_varchar2_table(16079) := 'DE79985EEAC55EEA8D07C19D4A7A0000EFE5DEF0C523F0055F012A5FD538DF3FF45EEDA587ED755F008887F66D5EE68DDFED855F1ED95EEFC50A00D85F79F05FFFA587FE10E00126E00236E00346E00416E07BB807DD65E007465D3C7AE009BEDDD9B5E0';
wwv_flow_imp.g_varchar2_table(16080) := 'D9C58709D6E00DE6E00EF6E0DB1508E39D07F81D5E001861D5B05F1E815D0088DDF975E1E6B5873B7CE117BEDEECA5DEFE0000390C2F0DC66100E25FE90520AC98877D18E2FB0DE17D4861241E62E4456224BE077A08A02766602866607DB0E27A60E01F';
wwv_flow_imp.g_varchar2_table(16081) := 'FE5E00D807FFEDE27DE0E21C965E7B100B7C08607DB807FF392CE30CBE87DB8DE236BEDD389663106661EF55E37A00DFB3B55E3C0E600216080506E43BCE61D59043C4C16104AE8A43568D3B0AA008469CADA5E03816881136DBB3656116965D0FD6E44D';
wwv_flow_imp.g_varchar2_table(16082) := 'D6E449BE6001C20701B2073FF151DBC5E40B86DD3B44E518C660386660396EDD2C16087D00005A9E657DA8075CD6652B7EE07D385B30469C25F6654C46622EDE5E7B8887260EE330DE077CB0E267B6E2E4755FE1FDDF7DB0E67B785DD90500DCCD072BCE';
wwv_flow_imp.g_varchar2_table(16083) := '07387EB98011E7715E8AA908E56D8E637E38671E89E348EEDD7786E7DE5DDD788E671F6EE4A9FCE657966413865FFAA55FE175E11C2E608198E3737E671E71E4D7556556BEE07AC0078796E3FAA8DDFF51A68F3CCAD53FB9E877FE5DD6550D5BC6A35C86';
wwv_flow_imp.g_varchar2_table(16084) := 'E690D60747560D7B0063304E66934E661606662E3E6997E6E266E387900EE5E12DE6648E872C4A6636CCE6A9B062A9D8DA7116EAD20B9872B60A644C0A52A6E7A566EAA66EDD3F9CE0D59D4A06F6638158614B2E690C6E670E76638E06A007F66101E25D';
wwv_flow_imp.g_varchar2_table(16085) := '0B8EE37C905DD5B5E58AD6D5AA08E9AAA0E3ADF5E6AF7E2707E6E0DD352B91866600525DF1E2877FA0641EB1E64B66E1630E6C6B1E66ABC6DD7DA08F1336EC64B6667BC88750EE32AAF83C7DD8E8DC3DDD3606E3DC65E0ADBD5D71D65D81E0DAA0B668FA';
wwv_flow_imp.g_varchar2_table(16086) := '605BDE6D60DF1D6AA75E6D64736DAF9E67D6056B9216A03BA263D1A639713EDBDD86ECFF704EDD702EEA3C725BDCC55DA9E0EB3CDAEB80016E66049871FEE9A3805CF18D0AB61D6AA1C6EBEB7E66A9B062FA1069D7755BB30AE5C7B6EAAC006393FEE5ED';
wwv_flow_imp.g_varchar2_table(16087) := '9D877B48EF223EE993AE5D82B6877B30E9C706E67E7839A350DD8001E3C99E0ACF13EED6F5E67C78E97FA8DD7F00E3C9BDEB976BC6D315F07DF05DE3E69120FD43B7BD682875DB84E6DAF0125F7D8E683D75E8C5950A4BC65EC8FEEEC8FD6E71FEEC0A9F';
wwv_flow_imp.g_varchar2_table(16088) := '677CC0EA7D0870B3BAE78EC6E706DE6048AE65EC86E66E0EF0D685DD7516E8056EE3A9168826566FC03652648EE1644E6FB3D5F05A8E6DA9FE5EEABD07177FE307EEEBFF89EF34A6DE2897DEC20E6CC10EEBAA78B96E9E0A6BDE5FFF819087F5356C1AAF';
wwv_flow_imp.g_varchar2_table(16089) := '076B3E5DB6C5E27DF0DED73E6716AF87131EE3E2B65DAEA570842E71C495EE3F54931FD05342DF012500002B000029100825088F16B88148BF0120C02329A8024BBFF42A80093CF2022BE87400E0022F00752F08752EF0F4523F75510F754517082EA80A';
wwv_flow_imp.g_varchar2_table(16090) := '576FF553178854377552A7F54E27F55C4FF5541F8332F0755FEF7534A88A377003782D7600B803007803815876B3720361070061478332508D2FE08262C776621776BAE202579F2B003802EF508DB6C0754F078024380923A88275AF82AA60F775170876';
wwv_flow_imp.g_varchar2_table(16091) := '4774C4790200A8F72750027C7F822AA877009877D5488277F7022F480200F80121E801D5F8812710752968F87AB7F4FF23900246270223500278AF0A6A9F768128832A782F8E47833110A08D5F7481000225F0827677784FF77425D881400FF41BB025B3';
wwv_flow_imp.g_varchar2_table(16092) := '22803465D39A7F5B9C578D9AF70000B8019FE791ADFA79008881A1E70E9F8F01A01788A487F4944B7AA4077A90FC48EE287AA89774908CF4A9C7FA8F247AA26F813F7C7A81D8B9A94C01D53001D5287B8138FBD500008BAC8A14900172A2000030003435';
wwv_flow_imp.g_varchar2_table(16093) := '00018AC53A3DC4CE8C530238538150D39AF77B9B1753C117084ACD7934A5FB588C80EBE491031088BB4F53436D53BA5753BA077CC9AF0A0F10819E17A0CB2A43001027C4C91F01C27955857928E54FC4114AD5B081275D55D43F4EE94E0000A87DB31A28';
wwv_flow_imp.g_varchar2_table(16094) := '932774FF28A574012202939F4A42177E30A21BE1FF7D813002003013E55F1723A0F4DEA7F4E4C723B9891B0058173CEA7D83D77EE11788DD0780971720E1CF9BA1E711CED2BAF33F7FA9FC3A73AC0AA154D50418D13BFD43CD7FFF3C352BEB94A519DA80';
wwv_flow_imp.g_varchar2_table(16095) := '45C453FB0708000207122C6890200C000905C610B8D084C3833B7610A47010C2C18C1A0526008020C14704033F121409922045810844AE5CB9F1A5818E220F7628A202C08F9C2F070201D0D32090A03B5FF62C0AC088C11D3F01286DBAB4E00F9C387F3C';
wwv_flow_imp.g_varchar2_table(16096) := '1DBA34EAC01E147B30BDB1C32BD3AE2A39560490018045001B06627800800180040C0CCC04F040835BB91D0D14E44B00005D9009221C847BB6048BFF1202CF0E24CC0081E3C86F0937367C302166811E069A80D162870DD0A201D8B80163735A0094053E';
wwv_flow_imp.g_varchar2_table(16097) := '483D742749B82A43C6DDC817015D03746BBFEE583BA6C78C457A46C5BAD30810E43F94472D0A846ACEE7029F53875EDD27559C487F62DD2ED5A8F7AA52B18A0742D186C01BA4D79746EF1E2CC5F8056FD06F48300246D768096278AB81606E7C3DD0D67F';
wwv_flow_imp.g_varchar2_table(16098) := '6F1DF417007FD5A59A418469B0160B2C2CD61F5C704560A16C9331C0006117CE9416440084286242268C282200F60D149F7A034960974783B1F6DA5024C5C55241277DC440026E01F18247B9B9B420593B21F8920B440C649C464C3EA564710261955394';
wwv_flow_imp.g_varchar2_table(16099) := '4C4E37E5543E6929907C1329359D40FFE86D992577D3D90084981AB987DE0D2DB4B8DE4E6F7A6423001A1428D09D1A60A0A75B711900175FACFDA7D76E80FD650001081070D2601D45D0E8A311DCA911871C42766904973E16DC620070B0D18902A57043';
wwv_flow_imp.g_varchar2_table(16100) := '9A61927A830C29089416487D0EB4C19134E618A349B40DC4A36D446EE49B6D44C9FAD297C1F6F4E50F2931259D94CF15FB534A13AD87660BA4458B2698059DC91E9A3F9D59EAAFAFD9E06646FFD959E7071A945BAE40FD6DD4E79F7DC56A529F9132E896';
wwv_flow_imp.g_varchar2_table(16101) := 'AB057178AB6A164296E163F262D4AD0729A420437BA7B6579681F576FBEB033D3A6C17AF02291963A0058190C0BF0265BC30C71D4B2915C8AF2DE52C971E0FB52D7BCFEE646C41FFBA6AB4E74115B3C6E35C041D1A2B00FFBA8591C2059D80C16A0C0A64';
wwv_flow_imp.g_varchar2_table(16102) := '698390053D10079B79BAD9A71E24FD348D273A9A338026772BF34E1E8020D08B5B03E0B5D561EF74D5504410219ED83ED970D34646A1A7ED4BE8B10C80AABC0DD59F060C1468C00105EDB961BB02616DB7C60365BCF1628C3536D9BE23659AE9501CE897';
wwv_flow_imp.g_varchar2_table(16103) := '76454A53BE5311076DD6A79505212E76B1A1EFA053D8D4790BE7C25F024BED4673AB7D7946E562F001BE050DC8805B73E1E62EEC1A5EC82941320EF5224196CB8AD14747F77E50C30715A10E0001D09211C60675B4286045464CD4B5CB1734F14B9D2FEF';
wwv_flow_imp.g_varchar2_table(16104) := 'FA4E3670FBEBF6AFA98B755B6D099E61DA3414F4BBEFFB52566147FF3D1B44C1E4C4770BBF403EE5BDD76CC310A11A883904A28C6CA021000239520264D611094CD037DB8BD600093231F06527836D23DF00614001B9AC0A002100C0074240BB82ACB042';
wwv_flow_imp.g_varchar2_table(16105) := '7D5B1C003000B8DD51EE0402519EA52EE4218F44E071717954F3F647100E4CA0691D539E074DD68D40250317104C505C12E003815C412056008015AE88C524D2483ACAB28EF87A8736A09CCF6411444B08D612BBD9C5907943535790BC77AFA1E9308700';
wwv_flow_imp.g_varchar2_table(16106) := '8C0B5C1AF5128B4C808B7EDC881A05D28D9754C0204AC8814086300400F820097F6C5B733232C6B4150B843C2199D530482782AC50237C19DC03E0E29240214A37383B488F5E733F1D4246238F4A9E41364601FFE271C07FBF72D92339160D00A0000057';
wwv_flow_imp.g_varchar2_table(16107) := 'F81C00322710345491206520881972B9B0A284B1744AD9D6240BC2BAB09DF020B4FBC0DF0E7227B7C8CC2FC1C3659106A21800FCAC877334D0D03CE6308B70A0969E9240D27EF528659AAC62A914C8898080868C00829EFE5C662E07B7914E66A4422E81';
wwv_flow_imp.g_varchar2_table(16108) := '6229136412B8B825522719C8E4EE73C31C36CE8761331E4120928203BE25951809E43F3512410BBE8619BF2048350C725200BC22A4FEEC5E19B92812909AECA01B89CD8D0483CBB3C83068AB11252B21B729CA5000A31B11203E93FA123D52CDA5619319';
wwv_flow_imp.g_varchar2_table(16109) := '2E12489057A8C00F04C9864052910CA73E32A65C75634606A43F8D9804781C69A50D693493C7C9FF6626440252468069D48D10E69E5F5D58FA00F0878DF4F319026904337081066208041C6EC085272871D7C552CEA60BD353DE6296A084F64620251827';
wwv_flow_imp.g_varchar2_table(16110) := '5D09221B4BDD7120701D1E52353322A571007194C92B63876280426A440900E0028DE0F086D4D2D683FD595FA01E80CD50CEA62E04F04BA07845D2910824ADFFD394463EBB93786A26B428428B6B4832CFDA762B9A06A9C24BF649DDED528EA01A71D519';
wwv_flow_imp.g_varchar2_table(16111) := '3D3990DBCCEA0198E5D8A6AC46815AAED79D0729ED7DF48244EE1AA4025ADB0C47C90AA6D1F15774CDA4EF76C129AB0C61EDB70012D24614C7B156AAB78439E3DF403C2002076B4FC000268804362381B56C98379F9C5598C674E18D7875C4FFEB825947';
wwv_flow_imp.g_varchar2_table(16112) := 'D129B8DF12A0C5094854C55C36561AA5D76A336E2E465F895A13072F7B823BA33D33320229FDF7C24B511245CC331D63A1E9997E1CA14065A52703CD65C751CEC809E467B2CE1E8F630FBD118F978A3D0FEF25CC341266412CA94CF3B5ECCAB2F20D9777';
wwv_flow_imp.g_varchar2_table(16113) := '0CD62386EDC610759AEDE46C66C0BCD820D873F39E931262957155056A16DB4C0C9C28958457A66389A84630A26784815935240CB48F0782DA49637A20E849010812E23A9465CB4CD9C220EC54F0AD824C4A7DBA1DAF9F0CC2972FBF2402E7BD658D0762';
wwv_flow_imp.g_varchar2_table(16114) := '6783ECDA53BB7A14A701FCA2F48D19D09806820792ACB631A2AD05D46A81F94A1CD2FFDC2E9402C5914C3C38933B42DA630284FF307121DA6910D897DC9DF658A99005159C986729DB42D992B11336B6D9189B43BB745F4A92D3EF1A77611B6A90F78A58';
wwv_flow_imp.g_varchar2_table(16115) := 'B8BACED7CC1C5E0B30CFEDB116C8005C5CCA566804A2829E9CC9D9E831F4BC41D3639385929B34E408703AD4D13C02152494D1F2AF1E03C0083CC02DCE5D5EB6152E73A74E0C6D3F907648EF22EB8545C0222C1002CAAD2640FC6E66C2309F398D5A5C90';
wwv_flow_imp.g_varchar2_table(16116) := '5322BDE92F7160DA0883810C10E68561BBE78298EEF401C6812071F8C3D7C30E00436C7D289588C4D9D38EF6B5AB1D0067773BDBD10E80483462EE75A7BBDDF30EBB425C0E118C000022D266558290BDEC863F3CE213AFF8C533BEF18E7F3CE4232FF9C9';
wwv_flow_imp.g_varchar2_table(16117) := '239E1F94BF3CE6FFC3AC8FCDEB831F9EB7BC4038DFF97EFC8AF4993F7D06EDA1CC7AD40300AD0F333D00708F82CCFE25FA403DEE67DE8FDD9B9EC7FFF8070078BFFBDC135FF1B1B005F263319058A40200CAFFA32D68610B60D84256C018863080718BEB';
wwv_flow_imp.g_varchar2_table(16118) := '5F5F181B11C6308A2F7ECAF18FA6B0FBCF064E08520D5864407E0C41AB87B20216BCA0FE128A010F5E22820DAC60FCFE5FD80BC0400CE84043E8C04200800E00C00B18A072754C030E840E00490446200BACC05AC0D1F248082F0D050FE840FE2101532C';
wwv_flow_imp.g_varchar2_table(16119) := '414A70C50E20015264440DFC9F0ABE46021A040E20A067BDA002CAE0C2E0400DA0800EF45202F61200E0000AB0400A02401026D110FE4A02F20013700500F4FFC012080412700512F04013EA400BAEA0156A44A824A00EE0C0166E610C2A600F728C0DD6';
wwv_flow_imp.g_varchar2_table(16120) := '400E96E10BE0600DBC401AA6A084944035D556FE09040F44E112F4C0130A440F282100F41F390944115EA10A4E20198621416CE10BE28004CE200272E150D4400A56A141DC200ED05F18F2E15759A21CEAC0124861FED5A11D2E011220411D362141D0C0';
wwv_flow_imp.g_varchar2_table(16121) := '0AFC2120FADF10E2002BC2E041BC000D2E4C2F49E2100E212CAAA1213256FF0521130000136822276E6213C6A11DC6612A1EA32222600D702119A2220F9ACC0D46232BFAA040E8C020862124D2D6320E0429CA210084220088E0372223325A63216EA341';
wwv_flow_imp.g_varchar2_table(16122) := '7861C7DCE0060A042BAAE33B72A13A72D70BFEFFA2307263FED92108A68417D2202A9223EEBDA039BAE33F7ACC2C0A210A34A34630E285B5A0304A2113EE0029CE61381222401EE333F2202BA2402C7ACC32D68006526347CE631772970E30011222618B';
wwv_flow_imp.g_varchar2_table(16123) := '30C10966E34502E20B7EA43FCE63D8A4601006A10DCA5C0F70221D32E126BEA41506614282240000E140FCA1077A2034F6200BC4A24B629A287A230074602F02A5FFF51226FAE12926642F75240276E003FE0A3A7AA5992D413622011348A4315AE5F8AD';
wwv_flow_imp.g_varchar2_table(16124) := 'C03316442F1DA445FE1F4AA2A459A6E55D56A32F160459B2E5E3D5805B5AA225DEA05BDEA00666D053F2180FDA23124E2529F6A216B66062FA25E4B9A540189D4644A3844CA23B02A10864FF65E4FDA1144EA516EEA540F4224352A66AE21E4A2EA14098';
wwv_flow_imp.g_varchar2_table(16125) := 'A51C56E56A4E1E4D991F5B6A226EB6A66C4EE66C265E35ADC06FF6260DE080309E2402DA656F525E35BDA1059E40FA6DC009BCE173AE8062F4D2AD15DF38B5A66B0EC4682627E4AD45FA09440838A77866846D5AE13D86A31E7AE7E3694008A491FA8500';
wwv_flow_imp.g_varchar2_table(16126) := '7082A75A14C478AE45BF5D21288623088EA237266041B2A7C26DC083A09FFA95A70921E840A415FF9DC00A906720E2E11D3A261576A3801A5E8126689DC01F87BA67FCF11FFF09448342E779E25E3782A21496E685FA66FC1D841AFDA68342E71E5EE15B';
wwv_flow_imp.g_varchar2_table(16127) := '2A61632E415FAEA8E39DD0813A271FA651413C27908A5F0F4C0128D6E15AEAFF2886BACA9D484A9086808211047C86A70AD2E07E6EA26C2AE9D6E99C9E480A06AE86064469822A18FC65408BFADF4FF2408E6A69A0B15C0CF5494FD58E8B8AE915CA6456';
wwv_flow_imp.g_varchar2_table(16128) := 'C0269B965D43C9101CCD175EF82523D6E15E26A46250670D5C679EEE1929DD0A5DCC458DB11C61F4DAFFB1400B1E66A2CE9C252EA786164409AC453BBDDCA586AAA88E6A9ECAC340982A41DC83AAAE2A41C49E40DC83A9D61EA9CE2A57EDC33E0080ADDE';
wwv_flow_imp.g_varchar2_table(16129) := 'EAAD6E84A9C60300C8C33EC02AAD0E6B48D9C33DD0C33CB8AA46D883EACD433C246BECD1033DD41EB09AEA3EE403B166EB5D31ABB1E2EA40DCEA3DECEAAE6A2BB986143E9CEBB902803DFC83EA819E418C6BB9C6EB23B1FF1EEB01C03CC82BBEE6ABBEEE';
wwv_flow_imp.g_varchar2_table(16130) := '2BBFF6ABBFFE2BC006ACC00E2CC116ACC11E2CC226ACC22E2CC336ACC33E2CC446ACC44E2CC556ACC55E2CC666ACC66E2CC776ACC77E2CC886ACC88E2CC996ACC99E2CCAA6ACCAAE2CCBB6ACCBBE2CCCC6ACCCCE2CCDD6ACCDDE2CCEE6ACCEEE2CCFF6AC';
wwv_flow_imp.g_varchar2_table(16131) := 'CFFE2CD006ADD00E2DD116ADD11E2DD226ADD22E2DD336ADD33E2DD446ADD44E2DD556ADD55E2DD666ADD66E2DD776ADD77E2DD886ADD88E2DD996ADD99E2DDAA6ADDAAE2DDBB6ADDBBE2DDCC6ADDCCE2DDDD6ADDDDE2DDEE6ADDEEE2DDFF6ADDFFE2DE0';
wwv_flow_imp.g_varchar2_table(16132) := '06AEE00E2EE116AEE11E2EE226AEE22E2EE336AEE3C6AB057440E43EEE85B116E55257070080056C4DE60A70045CA18029B2E3E5FE53055880400CD908B0CD5B8EEE5775EE90A1C084A14060F252FFC92EEB7AD0900984E57ECD4D60E6EDFE6EEE752EF0';
wwv_flow_imp.g_varchar2_table(16133) := '52D7EE0EAFF11E2FF226AFF266842906DDF2725156D2400A3AEFF366507E9A2200506FF57A4F7E6EAF53D140A10A04687A6F06ADAEC906040021F904050A0000002C94001F004E01BF000008FF0001081C48B0A0C18308132A5CC8B0A1C385191E4A9C48';
wwv_flow_imp.g_varchar2_table(16134) := 'B1A2C58B18336ADCC8B1A3478C1A041E008000014902024D7E5CC9B2A5CB973063CABC3832248003060406183872A6CF9F40830A1DCA1225009B0C7A0E441081A8D3A750A34A8DA954A9C8A353B36ADDCA35EB4E830C0C1C30DAB5ACD9B3685712F84AC0';
wwv_flow_imp.g_varchar2_table(16135) := '6ADAB770E3CA9D4BB7AEDDBB78F3EADDCBB7AFDFBF80030B1E4CB8B0E1C388132B5ECCB8B1E3C790234B9E4CB9B2658328BF5EDECCB9A266929D438B969873B4E9D0644FAB5E0D204282A6001824604D9BB26CD7AE0766A050BBF7E20709803F10389CF7';
wwv_flow_imp.g_varchar2_table(16136) := '06DFC819F31E783CB9F3C2BC976F682E90C3F3EBD8B36BDFCEBDFB4079DEC38BFF1F4FFE21BD7AE5D3CBCC9791FD417DEAE34BE5C70FC03D7CF800CCBB07803E7D81F8D9638F7B0911C8503DE8C947197E0CE283207E08D6D3203E024E988F3D12E6A321';
wwv_flow_imp.g_varchar2_table(16137) := '41F950388F3D14DAF3A1830902508F3D26EAA38F86FCF187DF8600C0C71F41F7E8738F81269648107C1A6A68638B03A918648C44DA57638D2ACE2810922AF6E8248C1C3AA9E294544ED9A340502A38907F5CFAD7A07FFDF0D34F9861FA27E23C1F0AA8E6';
wwv_flow_imp.g_varchar2_table(16138) := '9A008488A13DFC0898A68002AD2920825BB2578F3EE8D573CF91F7F859E5A0552248CFA187FAE9E79F35C678CF3E5502B0CFA404414AE8947FEE99E99F8876EA69A7F9DCF3A9A7F575692A975A36040F00ABAE2A103CF3FCFF23EBACB4CA6A4FADB8E6AA';
wwv_flow_imp.g_varchar2_table(16139) := '6BADFDA838267DFAF47AE9B063166BEC98B31E8BECAEC922AB6CB1B986E96B3FB23EFB8F89CCFE935FAA0E81A7903CE0860B9E3CFF10A3C417577091EE15EBAEABEEBB577C21EFBCF29651EFBDF4CEAB45195C703106175EF4FBEF185E8C6105C163205C';
wwv_flow_imp.g_varchar2_table(16140) := 'F0C2047B514515532491C4144A3CECB0150E7B91F1C61A072C06C209375C45C71A8F5CF21865A091F2CA68B8F186CB2EBFFC86CC329791321A38B79CB31B65BCB20FB708E1BA50AEF6FD330A01124090B4044B2B9D34044E33ED01082D506D3508299800';
wwv_flow_imp.g_varchar2_table(16141) := '82095A7BE0350853638DB507D371800207689BBDC10A2B6C80C274216CA0C106716B60F7030C842596010C68FF40C10314F81D780876D33DF70668A32082092CBCF0020B6FC72DB9E474CB9D800937ECF0C3E69CEFB0831140806EC40FA21341FA0D3098';
wwv_flow_imp.g_varchar2_table(16142) := '90F5EAAA9BD0020799F407F441C732A42C00F4FCF30A0420F4DE7B0A16FC1EBCEF2950AD02104320AFFC10C70301840A453C7FBC0BC8BB90BC0D37F070430C30C470C3F63AC07043F83A946FBEF92FA050C30A21103E370A28BC8083E38E373E3F0BF387';
wwv_flow_imp.g_varchar2_table(16143) := 'FF020C3CF420C412424002127AC083F3C140072FD0810910A8830798C008124B82122248C10A56D008A6E35C0681F00322A4C013FFD0D1EC0442AD7EECE31FFD50C8A4FE714214626B771D089E0526000219F66E8638ACA10A54E00217F0B087D2E3E1F3';
wwv_flow_imp.g_varchar2_table(16144) := 'FF7CB8C322FA10082D40200CF6B7BFF21DD07C4FD4010AA4A88315E8607DEC235CFB50B00214400E7E5C545F17E157032FB24007FE0B600097603EF585B18B5DD401033660040826E10877CCA31EF188470A7290739DDB1C114C50897FD0638408F999EC';
wwv_flow_imp.g_varchar2_table(16145) := '1272C2160AA41EFF5885046258C34A5AE09220E840256B68810EF0F0933E3CE2F176283D0B8C00942A48A2025F6002C745318A54AC410DAE484B37B28D6DB29C65FCC8784B38EE728A3C5842307B808460B6118C6504E3033460C708F25162472842348F';
wwv_flow_imp.g_varchar2_table(16146) := '304D086210909BF39C20096948441E4491F561240B650520DD4D60041D48A73AD5A90274AA409D9DDCE1294F69C41D326F871678E708F6B9FFC31424B0955CE39A02070A8259D2B27C064D6819AFA84B1C48518CEB4B26FC2097401DF08007FFEB813019';
wwv_flow_imp.g_varchar2_table(16147) := '5AC6F571B18B35D0C0037650C1683AB3087794264A215884D161D3063610A40728D14D6F56A491E3C49624E5D9CE9EEEF3A73FCD243A4790CF7CF2F393A7F4A127E779CA16B4407E099C22032B6AC5581E34A157BDA2436B80031CA0C0ABB9549F2C21C7';
wwv_flow_imp.g_varchar2_table(16148) := '558B0E73096C349F2CE1D8D1B73D4007149C661EAB9904952601823FF09CE636075399D2F49036D5C83F62F50A09A8C0782D30A20B46D0439FEE73A91D406764814AD9A57EB2050B9C65FE1828552E56D18DB264685667C9D5D2E22097A845AD58CB8756';
wwv_flow_imp.g_varchar2_table(16149) := '616EF4B4A7CDE50A64FB8017FF5010A545C8AD4A515AD7DEE6F6073148810D76E03C987290081C282460038B917D10D6B0C6EBDD0E7BC84FC6BAA0021DC0EE3AD33954A09A729EA0BC81094EAB83AE92B67C9DB5E26C172A55849617B65C8D6D7C65095B';
wwv_flow_imp.g_varchar2_table(16150) := 'F9E2D2A1C10CE66BCD1B515CB2ED0174BC2B6E775BD768EAF6C040E05A0B3A0884E10241731C88444D997B11E7EA0EBA2AB04225DE90D411E4C00A4370C187AF90831CB880BBEB7CA729BF6B4A4F167104A9CB6557BB7AD5B52E74BD55D4AA7969195FF8';
wwv_flow_imp.g_varchar2_table(16151) := 'F6B8BEB235A80ED0AADFF2CDD8C6B844C1DC48CA52DC1AB8AEBBCD6D348190020FD880084478B0E6861BE10953B822FFB855610FAB845510E31670E06105CC100C2D6C21FF0E7108462512610609487604998CE1252FA9E74C82609F2088710DF0374587';
wwv_flow_imp.g_varchar2_table(16152) := '52918AF003A9FA0E5DDE46D3D8BCF585AD91F91BDFF29D958D4C78EF5A673BDBB76DE073BE25F081471D3D1908B70858DE810D5A9082144080115EFE3245C46C581500C25C7FC0851288CAE62D98210E6B58C32856A1850A3CB6BB9465EC082A90674D0A';
wwv_flow_imp.g_varchar2_table(16153) := 'BAC7E7DBAA58C5BAD01993F7D1949E71A3CD47E9B20E39BF692D1F13D6EA842487E00137B82B94A16C6052A33ACB3648C10EB06CBA2A73C00309903024C929EB89D05A054378C52BCAF0876B7CE1C4C2968316801D8C5504630BC6FE3377AFE06B5F9B61';
wwv_flow_imp.g_varchar2_table(16154) := '0B5BB8C29DD3196316B060D034DEF643254A5A5DBEF7A047FF96B1A12DAA69955B94C84C2860CAFD5BC60DBC350944083594734BEF9E6779072D186E5E6DE0010A408003F91EECACFAEDEF0B83E00BC918851F3C518D3FEC7314E318C51AE4B006339841';
wwv_flow_imp.g_varchar2_table(16155) := '196BB0F3643349F18A63FCE28BCD73A03DD0D64173BBBC530469A7A758686D471BB5D6369FCCE5EB6D709B6FDC48F6E80A1CC8D27547F9DD3D779EAA59CD6A1378006A489770AC983E6BA7C78119A380442AA2510910B8C00CC256C62A2A110C2C78020B';
wwv_flow_imp.g_varchar2_table(16156) := 'C646F108B4B00638BFD9F54340710760E0814E0FBAAC212FAD1BAB185ACD3E7AD27CAF340F326D64FA869C091A1D3EB763BBDE644E87084D6E37E2B3ECBCEA0FBDF18E2F3A04F0AD6F7E53DE2162569AFF19301F0B5B30C3131D08A5FAA92B71C9A6D30C';
wwv_flow_imp.g_varchar2_table(16157) := 'A3A804291A110C528C620B8B4D67265F507B4ED37CBE5C2478012856F5B56D29875AE7F35ED6B672F9156DC1274BF0A30140807344307D58567D1C94817C156FD9E7355E6302142061CBF57DE067344CB305D7600BC0700BE70702F5445D78F653DB6506';
wwv_flow_imp.g_varchar2_table(16158) := 'F35783B8707FB1B74E8E774B25B00222C0361FA75A72C756EAE35576A780A9E56D6AB572466651C8177393460352D87CF0F3003060043C070417E83C80A4395BB66AF62601F7C6351ED00214D008DDE47D24A810E137015BF00C9E10099E900C9E5001D4';
wwv_flow_imp.g_varchar2_table(16159) := '73873C84679135597BE8025A9008D2B00C80100C8D800B71B0879A64018E7702BDD44BEAFFF3718DF851B724561F177207888043A6804CD855177551C4077834A05A08A40126408159B68580345C7AA56A59E38101D56AAF23826BF810B4360157E00968';
wwv_flow_imp.g_varchar2_table(16160) := 'E02FA3E0098C050478F6437EF6678FA55D5BB00ACA300AA3100CB2B00A6BE07E35E4011CB0028CB8368C38899D064791088120A5843E66632B2769D1C65A057477EB657B2FA0011E8085177881D9E43930F58E60A83AB09802AC265C67186BB39810B406';
wwv_flow_imp.g_varchar2_table(16161) := '025600085760305B5009A7146243409057904ED6B3581E864EAC87055BB00658106C5B9003EA845D67D33627308D8DB8911B095A1D6589FC0589DE765AB3D5844D684CC3277335108A613545E8A88ED4F747C3058FEFD80237508FF4FF78933619742118';
wwv_flow_imp.g_varchar2_table(16162) := '42F9383461766100A7055A80065750947FA6040BB70618B70657300466A00556E0035A20079D547618979507599116403671730274730221C09164C93662144623199211656838208D275084C0870317B5041AD572B3D5558E333718447DD94493352903';
wwv_flow_imp.g_varchar2_table(16163) := 'AC36937E19741C808623F89308F16F2E6005EC72056890032DE0022406958DA00539B0054390034A299541704E7B886CDB550115C00174D33EEDB301600996BD548D65E9886CA9965DC49659745FC5374BAD154CE6258563554622356F7CF90341B76A80';
wwv_flow_imp.g_varchar2_table(16164) := 'D96AC4298FC1098F2D100366288BD782988929942DA00466F00671A0053D24993EA0046BD0083EC09443300257C09D5BFF60059DB45DEBE48CA30937A6799A1B899A25B0363D589670898490B868E5258D6369960E755A5F154C48F05AA9456822750344';
wwv_flow_imp.g_varchar2_table(16165) := '405C43B76AC1559C55E6811EC035C4A9A0101009B8E39C0A112BA330013DB506AF50093EE079FCE86BC1767166C02E6E76056BE0022D669EE6090215A09E952339AC794B8CC888F9499665F48D5D0551C6B73E21508D5F855045484C688550EBC3923560';
wwv_flow_imp.g_varchar2_table(16166) := '022205035AE68E4E85938E977DF7C60162C8A0D967021060083E49A10861A118E6A1BD73623D646225B65827269A7B589E2BBA5D60539A73A3452F4A8D6C3396352AA31D195A8E86456BD955B3795F6D2946FE398E6B4503EBA56414A0A4C8598F0105A5';
wwv_flow_imp.g_varchar2_table(16167) := '12B00150FF0335144001532AA51EF00086C00F09D29C5A3A10168AA157D33B08995D7B9849A2C96CDA85A62AAAA6205037766337A7D93EAA29963D4A96313A89B8C79FB7145A5D25963E0A81113564FF49A42B20A810A801106002AB760360983560D381';
wwv_flow_imp.g_varchar2_table(16168) := '4527A51C4001CE7A6F908A36935AA9F1B074993A10B7320AD0D53BCC9667EEB74ED8C5A22C1A432ADA49CDA67F15E03EABDAAE5AE4AA74238D1CF99E6D1389D65646BD84ABF8B936666996B2D43F6915A89C260222E53A290003B048860DDA8155CAA01E';
wwv_flow_imp.g_varchar2_table(16169) := 'E8ACF86608139AAD0561A1108067BEE3677C689E662A9AE5AAA6CCA64922AB4964235218F000CBB44CABFAAEA6C93EF2CA36333A96B3DA63F8DA4B47FFB6A78E58561BC551BD6437102002C40903A9B3355A238FF4D86A089B3A0ACB0147B77D09C00813';
wwv_flow_imp.g_varchar2_table(16170) := '4BB19A6A340980B11AAB4E278688A3BAB5D8D5B5A04AAA6AA77F1360B20F70B22275B685A301EF1AAF2FCB36F1CAAFB40A5AF9DA6328709A315A847219B09BC6AE0FC0015BB3B00D8A35391953EE28033270938EC7B48D0AADF9660FB983A9146BB19AE4';
wwv_flow_imp.g_varchar2_table(16171) := 'A97E06541C0BB621EBB5E41AB27EC66C1220520C80371810BA68BBAA1FC0AAAEEAB22E9B9AF59A8D6274AB3B9A4573BA0295C8720CC56984130111D0B7542AB84EE59737509C1E200146F7001030AD4F8B3B901BB900300A176B3587D54E9FA9A219ABB1';
wwv_flow_imp.g_varchar2_table(16172) := 'D64BB9EABAA62AABB2ED3A376D5A9A8EFF384635F0832580022500391E97BE38803FF8435E26C945D3D1AF9468693A70465DC5022BA0B61B00ADAEE8A04E05034E359CAD06A56873BC91CA7DCABBBC997A2BA0900015C0344A13354C33C1142C010900C1';
wwv_flow_imp.g_varchar2_table(16173) := '4FD334191C351090000960000400C2383116211CC2202C160730C207901479D3C22EDCC211C000313CC3321C01278B0137ECBD7893370950C336FCC3BAABBB1A60C3A1DBC23D8CB21060BC8D0A35C47BBC4BECC150ECC10F80000450C501900A86A4C0DC';
wwv_flow_imp.g_varchar2_table(16174) := 'C228F82110FC900FA6621063020061F20FCA800670F006D309076CDCC670D07A700C675EF7066BE0C676ECC68010075E67065F80065F6033658032816C33825CC8656007877CC86EFFB0C88CDCC88EDCC87710C991DC076FD00791600890600886F00788';
wwv_flow_imp.g_varchar2_table(16175) := 'E0078680089C8C08A25C0877E00691FC0693FCC9AAACC9ACCCCA8DA0C98070C9AFCC089AFC077FE00771E0077E90C63863055C5006D3802DCB5B3B1E712AE1841DEDD00EEBB00EE7B0CCF1F0CCD01C0FEB20CDD2BCCCF440CDD13CCDD8ACCDCB3CCDDA1C';
wwv_flow_imp.g_varchar2_table(16176) := '0FE212CEF2400FE21CCE88720FF23029EABCCEEBCC28E37C28EF5CCEE10C0FF0102E9E022EF0C00EF4BCCFF250CF8702CEF1300FD70CD0CF2C0FCB0C0FEEB00EEEE00EEFDC21FAE02AC96C10ED8098E00200060D00D4ECCC1A9DD119EDCDD5CCD11EEDD1';
wwv_flow_imp.g_varchar2_table(16177) := 'E750CDEB40CFFD6CD2F89CD2278DD0282DCEF5ACD2E0C20E2EBDCF26FFFDD2E58CD0323DCFF4EC0EECB0D0EEC0D22F0D0FD20C00D30C0F454DCFF120D4474D0FAB328287823B9FE212F29C10FD5CD5AA012222620FCFACD5D1CCD5D1BCD560FDD5623DD6';
wwv_flow_imp.g_varchar2_table(16178) := '015D0FE47CD68832CEF6ACD668BDCEE9CCCE70ADCE8D322A87041F760DCFF4F02793D228502DCE4F1D233DF2C5F820D816D2211332D85F7C21E711585DDC260C0220DB42108DDDD86B120F5A7DD9608DD95CBDD996DDD99ADDD9D0BCD9F6C02708C22753';
wwv_flow_imp.g_varchar2_table(16179) := 'B2277B82293612D7AC1DD7A71D21B05DDAA82D2402A1CE2BA222664DD77B42D8878D1FFC1020F4F02612D2201A12D98DED9C93421F940200957DD99FEDDC96FDDC9EEDD9CD7DADA35D253EA2DA5402D76F9DCEDEFFEDDD93F2D693222CC3C22553C2CEC0';
wwv_flow_imp.g_varchar2_table(16180) := '72DA9E52DAC14226EE7D2C7172262382D871F21F6DB20F91ED124AA2174FD2DFFEFDDF30E22458E21EFD3D10ECE1DF5CA2266126276A32DDCE2D200EEEE0766227446225F94025E6AD0FEC2C29ADBD0F6FCDE16242DE55421FCAB2CE5F5C26FC3025E721';
wwv_flow_imp.g_varchar2_table(16181) := 'DB53F22BC612E2C5421F1472220992DE49C21F573210FB7D108CD2E33B6E10E8F1274BE2E3447E16FE3DE0009EE460FC2CFDD0DFC6DC25814D1F7032E1131E66D14DE5553EE1BF4D257B72E118EE1F2AC20F1DDEDA9292E1BE02264C5E26616EE3C3A20F';
wwv_flow_imp.g_varchar2_table(16182) := '217E2A4E62CCFF4DE2311E264A1EE74F7E2A69CEE483E1D33EDD0E3F1DE840EDE7845EE8867EE87EFF9ECC0B0DE87F9ECC8EAEE8850ED43BFDE7885EE9859ECC3DDDD3EEE0E896DEE90B8DD07ECED28FCEE89B7EE8EDC00EA3FED334BDE8A95EE9A3CEE9';
wwv_flow_imp.g_varchar2_table(16183) := '9E5EE90F11D10541EB7841D72B1EDBB98DEBBCDEEBBD4ED6F310D0F1400F02EDEBC67EECC88EECF5000FE6F0CEF70C2E694DCEF200CED30EEDBB9EECD89EED7FBD197B9E2DDEFEEDE01EEEE23EEEE45EEEFF100EF760EEEABEEEE20E005A3C197B1EEFF2';
wwv_flow_imp.g_varchar2_table(16184) := '3EEFF4CE0FFF60EFF87EEFFA6EEFF4DEEFFEFEEF69FE0FD9402EF4EEED007FF0FFCE1908BFF0FF8E42659CEF10AFEF0C3FF1148F2CD9903BFF1EF115BFF1B74319634CC6F15E2DC722F21C0F2D0EEFF0F6FEEDCB52F2259F2D17EFF0C642F226FFAF2B2B';
wwv_flow_imp.g_varchar2_table(16185) := 'DFEF32CFF229A4F038CFF152BEEF3E9FEF3B1FF44C2EF09004F0D502F342CFF0A1712DCCA22CECAEF263D221FAFEF4543FEECA4225D4D2D9E4920DD71AF3CD32F427442DEAEEF5554F4E6A5819499FF607FFE6480FDF2C1F2C5CDEE2EDBD0DF420F6087F';
wwv_flow_imp.g_varchar2_table(16186) := 'F36AEFEF9D91F77CBFE762222BFB76F3F9E02C62F2C5307EF0703F2D629F2C034FF168DEF7F4AEF3903FF9CBF20FE06248F920F3D5D20EFBB6F887EFEF5C720E98C006819007A63F0773C006BAA00B756F426D5FEF86FFF994FF2CDC3EFB936F48EAF00F';
wwv_flow_imp.g_varchar2_table(16187) := '68E00AFD900DED70F2D4220E99F00F9E400FEA100EEA500E91400CFF30F80BFF0FE7D0050DD0000250FDD5DF0093A00BF030F1FEFF91F9AF6FFBC552FBE06F2D488FF7FE9EEEE1600BFFE007A0400CE5D0FC604C1F02FF03B7A0CBCF900DF0700D8CE00E';
wwv_flow_imp.g_varchar2_table(16188) := '474FFE00F1EF5F3F820505EEFB170F8C000503043810E010932E77FA040A2C9851E3C67EFCF8F52BF7CF234792254D9EDC0840E54A962D5DBE841953E64C9A3569A2C49953E7CE9CF9FE55A3F5CF109C2AC4D4F193478F5EBD7FE14C7079436B583B78E2';
wwv_flow_imp.g_varchar2_table(16189) := '3C89EC8771A73D7BFFF6296CC0708002070E83E962A78F674934CFFEDDFBB8562E4A9B75EDDEC59BD7E55CBE7DE5FACC16D4CD8E24EEDADDCB274F1EBC7FE562A071F34A9D3E79CC880DBC78325F3E7E02BBDAFBAAF0C285870C050898084F2DDF91F432';
wwv_flow_imp.g_varchar2_table(16190) := '31BBF58FB35FDA04FF01F4D39B5BF7EEBAB57DFFDEE833DC65573B0C852BD74F5CBA6EECFEB51B13C9932B629EC2654BE536AEC9CE02D5B9E3D7EEA0E80B0E1A5C6890458028B4ABE57ACCD7AF5EA67FB7DC6EEEB81D784EDEFDFDFFBF6D3F0169EBAC1D';
wwv_flow_imp.g_varchar2_table(16191) := 'F1FEA1479E7BEEF9C71664A249E71F79DC91E7AD7F9E71451D04073AE93957C291C71CC59261279C7DCE61C3810BE670608E1505984517D5FA1A099F4C541A66987FEA414CBF014D02304821EDB2ED472379FAC79C08BBEBA7C22F5C61879D7AE2F3A923';
wwv_flow_imp.g_varchar2_table(16192) := '7A1614C8C78D3A4BA78C4C5E19469D5B86A1049813C1184D1745569C250BF6E4D987C68F6C0480B167AA4170B623811CB24F3F63DA33D00E611B08AE7C18F464FF1871C4792B2BAD38CC49B690BA29471D665CA9A41C76149A630E53147151970BDE8C93';
wwv_flow_imp.g_varchar2_table(16193) := 'B5CEE8DC118048B2D9514B418BFC33D6585FA555A37F2281439ECE1CED67986C883107B37E18D40A495A90B9C6956E4001459CAF16BAA00D173D1D551738217D4F3E5000A0251A3F9809161F575F95B55C006D5BA95675FFF1A30CC6D891871D8FD251C7';
wwv_flow_imp.g_varchar2_table(16194) := '1C77EE89F722506C91EB9E54B261261B71CC79069A6723BA6080B14813659C0333D3095B7CFC00C5905B5CC1E71F7BF4CCA8D8236F3337E473D5A555282FD249C71662024670317694CB261B606879251577B045E92281F489A65209156288ACD14E33C5';
wwv_flow_imp.g_varchar2_table(16195) := '5A84686BB09B7F4071659A5649CE4864A977C32DFF40A803FD078E32D8C926134F9EB94CA47C32EE061B62D008CC167AD682949E74E28947B178E4284081D154242D46386BEB2EC968B2B2675C72A7263CAFAB5FEDEC165BF4E9C6EB98751E36495B6EA9';
wwv_flow_imp.g_varchar2_table(16196) := 'B01B0DF9C2879EB7E45E08A2D3225A4FC6DF0277941FCE463ABC70D56B3ABCD68BF8299198679071F422755E99DC934C3299C72F0E118A27912C8627FE822C60A1669D01EF693DEAAA5787FEA5E605E587589F766C27638CF081871E75B291875EACFA1A';
wwv_flow_imp.g_varchar2_table(16197) := '08A181E859A71EF4F1A947F96CE0997EC000A3A77F2FABE31FD023C83DEE28F37EB27114F37C7711B8610472FDB80663F0079CF9D5CF81E95AE08F74C6BF82B0AF4222411D5F74668F024E10FF33EFC35904F9D2C0073A5084123CE046F0618F7AD4E323';
wwv_flow_imp.g_varchar2_table(16198) := '19D460ED3C68C06928F084B529A109EF77C3DFA45085F8381D0CE732430F66051B362408057948971C9A7089C08118494CE7112A228D883AEB4C366EF6C4BE34B17E4B149C80A838C63106CA27D7A8108D96E8C5FA5DD18D6F84631CE538473AD6D18E44';
wwv_flow_imp.g_varchar2_table(16199) := '1C5638AE77473EF6F18E6C5C1D3C163348411692908734642211B948453692918A7164222379C847C2639297AC64262D39A1EF58D2939F04A52711194A5296D2949B8CE4294169177900A095AF14E49026A9927B984B95B7C4652E75B94B5EF6D297A79C';
wwv_flow_imp.g_varchar2_table(16200) := '908184394C621AC81DC744A6618AB94C6636B31DEE20A5329D494C97B8A39AD0FF8C2620F5B219956CC69BDF046738C5394E7296739C6444A739C3894ED3A9D39DEF1CE7825A384F7AD6739E0BC2E73DECB94F7EF6739EE194A73FE969970501B496DAD4';
wwv_flow_imp.g_varchar2_table(16201) := '4D3E15BA508636D4A10F85283E243A518A5254A10038E84B24BA208BE213A31005A9476B39525AAE249F02B52700E6A9D216B254A52C45693F55D25296B474A034AD693D100ABD7C7634A43F05AA42C1C94E2A727325F03C1D52CBD9D0783254A9E2EC66';
wwv_flow_imp.g_varchar2_table(16202) := '3E00E0CDA93ED5AAE4DC29F4AEFA4D964035AA32312A4CD0A992742A153E5CDD6A5AD5EA4D8AF223AA6B85679F32AA3A89AA64A3736D8954A55A97CD8C91AA87AA6B37BF8A8F9EE2E3A30C75C9454DCAD18A36969617F526FF62FADACE714E3526DEF488';
wwv_flow_imp.g_varchar2_table(16203) := '6159E21100ECA3B39D058D3D00205AD1B6641FA405223FF4A18FBE26153176A5E8D8F4794F00B8150075D5AB5433BA0FCF56F5B52D39285EAB1AD6DADAB6B679A5625705BBDCFE18D726C475893E8EBB92D4C28423B645D75101A09600EDE3A0FAC02767';
wwv_flow_imp.g_varchar2_table(16204) := '60B25AF292F725C905D4F356C259E951169C6FA5EA514FE712A38A761FF3F0EC69479B5FFB7696B7BC7589C6100200AF9CAE1FACCD87748F1B44E71EB885EED96FE0F4016097FC178854652F703F4A0F96F056BD9705994A7053B50FF7E71F64B58B4E2D';
wwv_flow_imp.g_varchar2_table(16205) := '4B56E7D2A4C1B8D12C7D55CC922B8673BBE52D2F5FDF5BD5AEEE35BA63232C3E79A4D896CC33C653659F4EE7FF418F7830791F1CBE0787390C8026C3CDCA56A6723C5C19B796C843C519668966D56791FD0DC4B94A898962D4AC98A5C0E41E4F8EF23E14';
wwv_flow_imp.g_varchar2_table(16206) := 'E3D9560260CA2F99AB5B8775253A8738377AB6ED8CF102842A48A10A56A8024B6CC09218C424094500C20F7E00042200A1265CF04219EEF00637BC81D36F18831554E205518F1AD35620754B508D692EAC5A25A7F6021700B0EA540340D6B38E35A9734D';
wwv_flow_imp.g_varchar2_table(16207) := '6B34A081D3BE06F61BD0008061771A0D77F075A75FE2066203C00D6560364B86BD923248C10BD6F6C2B5B58DED6DBBE407465082AE518D6A952481084618F518C6C005587321094A008014005005783FE125493082107AB0EF1DECE008F37649B6B93086';
wwv_flow_imp.g_varchar2_table(16208) := 'FF4CABC1DE4200C00E102E9342977B2545E8C10FE26D6F78FB47D4E68EF7A8C74D6A7BB7C4030020C05D422E130294BC263190810C60600218B4DCE530B9C10D1A1DF398C300003088F94A62700300347A253768B94A6010839903A0053B57C9CC799E73';
wwv_flow_imp.g_varchar2_table(16209) := '9FDFFCE6368F09D46B928214B0C40455B7BA4AAA2E83AD03A0EB5E07800C00F000908F7CEC0C7800DAD13E76003060EC1A483B000C6000B313E0000638804DEC1E72939B9C250108B9011010810D64A0041B00000254427799D0FD0066973BC8074F010E';
wwv_flow_imp.g_varchar2_table(16210) := '000005BC310100380081C5773EF28A8739D95B92803F711E2644407DEA0110E9480360D200487DA581606995B07ED2B7B77DEE713F694B5BFF5AE2122742ED8D4069000C1FF6C79789C4932F69E5D76407CD57C90E5C3F7DE5C7C0F43609014B34007795';
wwv_flow_imp.g_varchar2_table(16211) := 'B85DED0FD000DBBBCF12C1AB04F489A7490636C00216E08005256089DBF31201CA03E0053C687A7F368F17E80B7EEE093080DC203D0420BD971881D95B3D98D801DA7B89D9734004DC0DDAEBBDDFB334E31BBEE6633EE6F30FE89389A5DB019E8B891BA8';
wwv_flow_imp.g_varchar2_table(16212) := '3C97A0000DC8000D284195A08095D0000C78800888000650BCBC933F95D000064800B7033DC6730902443F9808BF1300001AA00100C000FFA000111892117C090A103D9A003D020CC0BB98C2012CC096980017703DD66309E94B40DBFBC2D5EB3D08DCC2';
wwv_flow_imp.g_varchar2_table(16213) := 'D7B38BDE93BD6F9B3E9580BEFF0594BE374CB838943EDA834398B0814553099EB381A553893DF4433E04C498F838D04B80150CBF9868C107C0800820BFB6B3419628C02B5C89291C3D9770BB07C80000280122CC80453C42DD203B26EC0F1B8881CCDBBF';
wwv_flow_imp.g_varchar2_table(16214) := 'BBB0B9F25B3C49BC0B568409158009065CC09560405A144332D48BDE9BC505E4C096F0C205B4815F5CBD60BC433C04023C4CB87E5BB41678BA1680BAFC730910B489072840465489ECAB0B0638001A54894F8CBBCEE3419520000420C00410BD08480074';
wwv_flow_imp.g_varchar2_table(16215) := '8C000420BB270C120A403C3FB93E1CAC0BD24B007294C2992000000400560C40D2A3449B98C3042C172E540966C4C345B30166F4C21B6801646489DE0B462018C863A4C8FFDA53018A04026604008894951038C496F880160CC9C80380BC8BBF7E648080';
wwv_flow_imp.g_varchar2_table(16216) := '04394ADC479650C774243D6B5C091C80BF4CDC0D770C92CC0380EBCB0D72BC4210F0000820BD0A5009096009C8CB2ABB40C6635C098FACBD88B409631C463F714591D4809134420028C99708BF95ACC1C80B3C55143D9F6C890D803F95C8C423648018CC';
wwv_flow_imp.g_varchar2_table(16217) := '0BB3D43C00F8380E984B0FA04BBA64091980CAA9E1499E5C4ADD28822181CAAACB3CA74C38A7B4815ACC8BF3A38991C4000CF03EAF143D725C09A5FCC19570429928420038812374CBB663C4B61C3CD15C4719544795804B0E58C12161CC58B9CABF241C';
wwv_flow_imp.g_varchar2_table(16218) := 'A7B4C838A489BD1C92163442DC644945ECC600440055AC4CFFC16B4DBC68CBB6548918444ED28449D1233B08D04915740951AC0BB2BB42B8A442A48C89973449D82C9CC48C3E609495E79C8943F43E945C890828497264C99578CD98D8CCF30C4BE41CBC';
wwv_flow_imp.g_varchar2_table(16219) := 'D164CFC1734508A000CE5B4D98F8B8C5F48F71508964D8062D083C49B4CC97C04EEEEC93E75340C5F48F1480001F0400C40BBF10F8006C7C89239CBB968800175C89B0DCCEF524CECF0400F94C4EFADC0D0990CEBA38CDDD0887916306660800BDF08112';
wwv_flow_imp.g_varchar2_table(16220) := '7ABD49E345839415E56BBD950046C30C127A7C800DC05098604B2074C11A04CE49CC8DCDFC449B98CF754447C54B47D4144F95E8CF0918C114F0CB9A68CF9AD84F000807971051985082C054821C6089FF2F509D1B9D9A487B3EA8D44863B44DBCC0437E';
wwv_flow_imp.g_varchar2_table(16221) := '74892255890F4849982C490358C9D63CD0BA1042F8844F292DCE18C441F993497A6409E7E4CF1565D12FB58B6490CBA37409ECBC02003083525B892F30042D5089696309385050DEF8D1C44C48586CC03AD58B7834D20FF0D09334BF454C44EF5BCF32A5';
wwv_flow_imp.g_varchar2_table(16222) := '89B4544BD0AC419A8C3F291DBC1F44C796E03C6A7C00FD048009D08D995C09D5D48BF3634910A8894850096B5D09696809384887531DC5A73497E1CCD06E5C3CF3EC419718D4F4C34900E8C4120DCB774D3C13553C46AC529BA04BCA93D4995847DE3000';
wwv_flow_imp.g_varchar2_table(16223) := '3CA5C64A8CD096B0D4951858530D5095A0190068076FCD45AA2C9C00CCD73D05003E6D09FFC5C3801B244F470C9213C80018045198A04F192C51D0E3808855092DC554DEC84F3F81BC5B78091B30589598060070599528877560D8BB605586B5C61B6C89';
wwv_flow_imp.g_varchar2_table(16224) := '2914D7BAE0D59AA841F943808F5D892E6D8915444A9395897AED13713584591B859768040060866B4D066200805F00804628073420864AA8849CCD2A3CD50B179CD5C4E3C7C02380709CC613784F987C09C5B35B128509A56D420A50D1FEB40B9944D63F';
wwv_flow_imp.g_varchar2_table(16225) := '4900669D094FA589378859B3555C20FC4A9A80DB9A18DA0F2D51DE903A98A83C686542BCE40013F000CE558953A446A895152FB4898A8B893258DCD4F54A95F846C64480B74DD7985857BA2D17B88400D5F48015B4CBA50D5395203DFFA4F58F09104A6A';
wwv_flow_imp.g_varchar2_table(16226) := 'F5DBD15BCF0294BE1F78BEE5555EE555DD12D2D59A50DB27A4CC498C5D9870BB426D09E39C9AEB8300CEDBDDFE3C45B603CA7E04D620F180A645CA0D404AC644DBC5635658ECC5E7A5DFEE233B193450BA338019F50FB74BCEF30D99DD55C153CCC19590';
wwv_flow_imp.g_varchar2_table(16227) := 'D03EF947F6ECD7A4ACDFFE00C659341709A8DEDCB8D8493CDAFE985D0E354ED21C4D1D9441918D9511DCBCD5FC57020C5A21E9D7915361DF6DE0A55401D25DBC13B60BD17B4D7C7CDFBA8D80C87D8944E5DEB603DE215151005051D3BB47969061DE4800';
wwv_flow_imp.g_varchar2_table(16228) := 'ED6CC47E6CE1BFBC433F01D4DF5CBCB7654FB63DE299F05FD08CD22B1612BC0CD3623DCF3E61C503E5BB261E458B7C62FFC17C480EC50B92FCD0026660CA2C6216BE8B2C36CE2DFEE00B2E97D554CDDEEDC72B0510D24BD02AA66333D60D1B78E18ECC48';
wwv_flow_imp.g_varchar2_table(16229) := '8E6C22B2BBC16F24D30546BF02B45B98D05E72C55BF34B3CD36C3B2EEE8F041D5FD605E33EF1001000810A285ECF3364543D4C083ECC57E60D57B50B17A4D897005A02943F6B3CE0F4F355E42C51B73CBF6195951144CA155CC102A6D44FD6BC62AE0B09';
wwv_flow_imp.g_varchar2_table(16230) := '48E655EE420078E13BB4B434DE0D4486614F9609B5A3E391EB572AA546479589C8FD449ADCD761455491A93F215E09E6F422417E66685689E073095C7C20B8E3BE4505C07B74D669343C1CE001951042006657E849E51CF23B0606397936E3EBCD8B763D';
wwv_flow_imp.g_varchar2_table(16231) := '610200BCFF199568A931612F8A039B68046C55894A88044A68844CB0568FFE5A9500698606243F08124370040068699AF00344008098F68342886959995A946E8913D3E99E8E099EF6E9A921A4785887788007A38E1B2D0BEAA566EAA9292D9520AD79A8';
wwv_flow_imp.g_varchar2_table(16232) := '0716A2EAA99EEA7968EAACD6EAADCEAA825030AE066B79EE889828A38210AB99F8B0AF0EEBB5AE5F288BB39A58109680329938A82B2929B6C6EBA6CE2E95006A9BB888BC066C00A1055A5889548805004805A901065B586C6060095B486CC45E095A386C';
wwv_flow_imp.g_varchar2_table(16233) := '5AB085CB66EC610006CD1E0695606C9770ECCE0EECD1CE0D22B5C1D544410D20E83E5901585D89D6EE4AAE54890DD88015100114788195A8DC957801FF14600122756DD2166E9BD001FBD3811738EEE20680E306801AD0E13EB93C0050429888EEE55E09';
wwv_flow_imp.g_varchar2_table(16234) := '1E4002EC460200E881EDA60914A8019508EF95A881F11EEEF3C681E6CE6DE5C66D1400EFEA2E971578891A88EEF05E011448EF9660021E086800C0EEEE06700058821E9009F916EFF346701D400105677095C0EFF66381E64601032FA1F4DEEF96E88101';
wwv_flow_imp.g_varchar2_table(16235) := '5F0924E86E1E58829598DB2154090A4770D2CEEF1AC86D9628EE086709F026F1C2A98115286F00C86F00D86F0FF770EE5E821DD8F10F27F08056EE1217729808EFCBBB3C1608722FB26F95286E1DD8EF0F0F72EC560924F8F025E86F1A78F1214FF00537';
wwv_flow_imp.g_varchar2_table(16236) := 'EFF4AE01E5AEF112326F1BBF6E2B3773FFFF5609EDF6701D48722D2FF1EAFEF238AFC93667A3F0D68125B873FFB67200A0F2EDEEEE0F77732D076F1A5FEEF10E733A47A80B6F09EC0EE82540026944F4400FEC1A683FF356EE2FE7CEF42E6E3CDF6F26E8';
wwv_flow_imp.g_varchar2_table(16237) := '0126B88101F76E499774163FF030CFF427E7012658892530F3512775218FF01A703F96C0011DB8F51AC7F55D6F6E547720275FF3FEE6F33B5FF5E556F45847F6535DF5FE3673EC1E704027F3E5BEF564A7F6A5BC7327FFF455DF012648F248AFF6C0F675';
wwv_flow_imp.g_varchar2_table(16238) := '05A5F534D7769860F56F477784CA6F6EC7F39710F67487F79D2270FDE6016F8FF77B5F1D0AEFF477C7F77E57721DC0717EF7F78177A022BC7682477836DAF3294FF32508F78487788073A17202CF6E268FF88B2F9714DFEEEC7674803F768C07F9215938';
wwv_flow_imp.g_varchar2_table(16239) := '3ED7F0346702530FF994E78DF09E77971078958779DD70F4453FF798B7F9DC1873014F7336BFF99ECF8B1AE86F0E6F779F277A9B38719570F5622FFAA5A78920EF6EEBA66FF92E8115987AA6B7FA97D081E9BEFAAD7F8996E7FAAF6F893115873105EB80';
wwv_flow_imp.g_varchar2_table(16240) := '000021F904050A0000002C91001F00510140010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A245892F4A5CDCC8B1A3C78F100F08C49001A4C99328531E4C209082080A00100078A0B2A6CD9B120310188913648C9E4015C6805110';
wwv_flow_imp.g_varchar2_table(16241) := '41490011104408CAB4A9CA9D01466270EAF086C01856A96A25280240D4814B636E1D4B16A2CE94593FA61D38B4AC53030269C68CB0C1ADDDBB03770E1409C08048BE32EF1215086330DEA081191C5E4C96C059AF04F8F6953C793203B80038681D6A9871';
wwv_flow_imp.g_varchar2_table(16242) := 'CD9208580238EAB9F4D6C8020FF8D57B0035410D024D00F8493086EDDB3E01C03041DB74CDA506C2FA1EEE34B2DEBC02314FC47AB23771930F443F9F7EF27843D5022F0BCC20A22B531984A99FFFA41041B86CF1E82B7E75A89C2C6DE7E9E3CB9F2F50B3';
wwv_flow_imp.g_varchar2_table(16243) := 'D3B5F42D26109EBFBF42EBFE0518D17E2CB9C402075DD927E082E9C1C7A044227880E08314FA869F83151254D74098799799080A6628E262376028224C1C0AE401880381E8E28830C638DC710A4E585F57229C27E38EE8D9075E699A8585407B0421689F';
wwv_flow_imp.g_varchar2_table(16244) := '072C0080A4073C36399C873244F98269096006A0402CE6C80292E7999023934E86891778519629430AF345A8A4964B6E996384708A29A753669A29DE031E0AE4A677480260429205B939E7A041D569277170E509408E7AFEE9686C2B464AE8A43DD5A9DB';
wwv_flow_imp.g_varchar2_table(16245) := '8FCF91D695970379A9A392494A28AA6612526AAA49511294AA7C80BEC0C29F5CBEFF0A40921C8C0AE6A9B87AD403003DDCD0EBAF3B24D443B0BC12AB9579B20230A540CB9AB06C8B4BA2B068AED476645F8833CEB4D40319703BD051194060108AD596CB';
wwv_flow_imp.g_varchar2_table(16246) := 'D11D6F0080EE1D70B08B6EBBE9FA86864165B851C64263DC6BEEBE13C9438F40F200208FBFF404FC9C3BEEB403003C0E29CC0EBF103BE98E3CF0506C71C50C17E40EC01947ECF1A9FB08744FC8FA7C6C3263FF26544F3D04CD0380CB04D1B3CF3D0DDD13';
wwv_flow_imp.g_varchar2_table(16247) := 'B0C101DE437369F9E40380CF02D903C03DFA145DF2D03B9F0C143D36EFC3B43CFB400DB5C063D5830F3E00ACACB5D6025DBDF5D6F6842DF63CF6D463CFD5F8987D36DA6CA7FD35CB2C0F8476D672E323B6D058878D0F3FFCB0FF8DF7CA3FE763B540F4A4';
wwv_flow_imp.g_varchar2_table(16248) := '5CF8D048130DB8CE04D17CF440FAD09C74E089335ECFE40FED7C4F3EFCF4BC4FC843CF5CF23E8F57AEF3E9918F7CFAEAA723DEBAE4F7D4F378CF06F5DCB3D1463BD4F3D58D0FF479C83483FE3B009F3BD5CFF1FCD853783D648BADB6DD61AF7CB5F285CF';
wwv_flow_imp.g_varchar2_table(16249) := '63FDF5D8CF134F3CD95B7F77F7E0932DBEF50088AD90DE6DE793B6D1F5F4ACB53EB20F5D32D1F3179EF2D02C63DEFB3DFFD6637FCA01F31FFE0E523A00E02E72331BC8C87E073A03321000292BDACC74963AD6BD8E758863D9FF36C8C1C259907FF67B9B';
wwv_flow_imp.g_varchar2_table(16250) := 'D662E7BFE5956D65A7FB17FF02C6349D31AD85C523DE3EFE91929B09CC7AF4B01EF7C2F60F7BF4F06E40FCC70FFFEFC60F21F6F01FC9E3A11197C8C4263AB1890CA161418EA78FE359B11F45A3E215B7783CC8551100584C0817ADA8102956C4880078E2';
wwv_flow_imp.g_varchar2_table(16251) := '3F7ED78F7DF4238D6804E31B0D32C62B0E4488FDE05B1DB9C8B73EFA911F45FBE31FF5C1B47E34D190466CA322ADC80F44FEE37E38091838B670052D5CE19298CC24173279052B74920B5608652747B9492B6C72935F48E51552C9CA56BAF295B0FC0200';
wwv_flow_imp.g_varchar2_table(16252) := '5259065AB6B2966518832E77E9055DF6720CBF04A6307BD94B2B00930B6300C018B8E0052E0CC40BCAECE5338759852924E19AD64CC240AE09002F54019A03F92600C449102F58019AE7F40238C109002B74730C62D02500D4A0867CA92197BCF4A63AD5';
wwv_flow_imp.g_varchar2_table(16253) := '59FF05317C539FDEF4273F01DACB32A0C10D6838684211AAD08622F4A10A852843251AD1321874A209BD281A0CCAD18DDACBA21B854339207992318AA3051EF0C00424200108B094A52E95C04A5FEA5208D4340136CD694B772A5309A414041E00410A40';
wwv_flow_imp.g_varchar2_table(16254) := '6002A112D5A8451D6A528FAA54A41ED5044535410A8AEA01137800055845C10656B0810D8460031AD0C056C7AA81AF8640AC62A5C0061ED0550E7040AB02D1EA5805B202009C15360F60C0652EE317B8FC05AF14780005600380BA7895B068EDAA62D50A';
wwv_flow_imp.g_varchar2_table(16255) := '9BC16E40AD75C16A0D6AA083CAEA800795E501665F8002AE96B5AC21F84008427BD7D18276B41F086B5E1380831D0001093BF881117E205BDAFFCEB6B6B8BDAD1176600420E096B6B6B5ED0E4A5498E21AB7302F7801720B0355A84A0808E200A34AFC08';
wwv_flow_imp.g_varchar2_table(16256) := '80BD810308237001085400020B74C0BB2AF0AE773BB05DEE82A0BB2098407AD36B81F376370516186A0B54405F20A860082A00820BEC8B5FFDF237BFFBBD2F80FFEB5F20D8D7C0FB35301076C0E01BF0E0069585B06561A0030953B8B22FD04186939BDC';
wwv_flow_imp.g_varchar2_table(16257) := '9FE840376DA130840552616661750567356D58091B0265A140073A7A010E58800365E120C3CAD2707235ACE11B2BEBC7155E420F968084254C0109484E32927B8059CBBEF8C91A66810EA44CD91ABC98B29D5D2B0AAEC9E52E7BF9CB600EB39789305BDD';
wwv_flow_imp.g_varchar2_table(16258) := '0257B6B1FD416CD3AC66E0DE20FF09E1F807D04E22487CE8431C2E282A08C8DB811174A0CFE3FDB3A0BBDB02F45A40BD159840A2277068F4EE99BE23A0AFA4274DE94A5BDA05F40D707E37ED821FD840B311B6AC0EAE2CEACA62590793E5EC8675501856';
wwv_flow_imp.g_varchar2_table(16259) := '2BF7C3008035890120AD1AAC600561BD2B6C34F0015AD7F5C704B1B5B4EADAD9157436ABC73676094A60E5C95696093C5842B497406D2120D9DA4868B20E8C7DEB15D8DADBC2F6B6B8276B655C3360035C2EC211D4CDEE75BBBBDDF076371192408477DB';
wwv_flow_imp.g_varchar2_table(16260) := '9B0844503383F7CDEF7DDFA0DF00CF869CA7CB0F81F44D1FDD00410B46B0E73EF779047EF6B3A005AD0287EFB9BD18EF6E05365E81EEFE39D210C7747655106915B800E422FF1779A6410EE9FA621ABF02B6810D6C53615157B9D4A8CEF9CD6FFCE2292D';
wwv_flow_imp.g_varchar2_table(16261) := 'EB052680C19440106B10304136352031B7BB7DEB16C7B5C628C081B4821D5763C715D99D15B6ADC94D59683341DA60077BB487DCE4AD73FBDBC546FBB7BFAD01066800094988B7DCEDCDEE241821EE76C7FBDDE16D847C031CE0FFFE3BBF05AEBF8FF0CD';
wwv_flow_imp.g_varchar2_table(16262) := 'E0760E8776B90BF1C63B5EE20F87B8A4592E68EF6ADCE3E1052FCB2D4072C97B3ED29C6F7CE7210E0049BB00E699CE6F0B7410039CE75CD42F7EFDEB6BB0EA4F2577D61FAE2C00AABC7B5AD37AB251AF010E6A8C830F4F69D471A56B5C9B8D6CE65BF9F7';
wwv_flow_imp.g_varchar2_table(16263) := 'BB67820E96307D6A8B9DDA4396B6A9CBAD766F17BBDBE4BE35FF581910032314A108F546FFF9D7CF7EF61F8108EA367FFCCFFF7EF59B9FCC82E7F70DF6BF031B3498DF3650048447707D743678C67891F77810F7700968720AD80115B767123871823602';
wwv_flow_imp.g_varchar2_table(16264) := '16007117988116B88120A781A1778126A7020030042E707A216803147661A36659375759B1377B18C6632F466BA3766A495783B25610C5C77BC38703C227105C070075F56BBD277528207C4738592C406E404859CFC603D0667D6037644356593E087C93';
wwv_flow_imp.g_varchar2_table(16265) := '056E66B775E187621B6000359004471077E95786EDE77E45607E47207F6B9886F1866FC3B57F81F77737E07F6BB66F0B460402C739379144E020721007029ED7790EF77826578288F87915675E0CC7677FFF166885A8801808728D77818D07002E000023';
wwv_flow_imp.g_varchar2_table(16266) := '577A00F003AB8773A4F664B1E76CA168652B282D47988A49B77CB0666AAD4875C4E78350476B35468402417C00208BC2B78B4A7884BE176BCFB603D406854516764D76855CC78559988C5988626E777771F76E71C76E45308DED378D78B77ED6C87EF9D6';
wwv_flow_imp.g_varchar2_table(16267) := '02BB2103758887BEE56936005CB1E57FFAB6870557139DB332781671E41569E465018BB688D915722E708127975D8F060215A002FFC85D24B76790F75D1518891C185E93288FA41769023169400002B48765CED6823AE78AAE7884DEC77C27968AA8B67B';
wwv_flow_imp.g_varchar2_table(16268) := '1FE6843A507CB8387CB748103DD87B344003384003B7D883BA288B3E9884A89874CE068538FF698CD68759C3876ABCA885E24603934503E086621A600070774D63588D4CD994EBC67ED3B86EDB886FEAC77EBE950255950229D002B1856F0626730AD666';
wwv_flow_imp.g_varchar2_table(16269) := '0D7603027778362138F6200E3920880B08812060057150098DA005997672FB380239600515E00356D00139300423A0045BA0043E300486497215579014E8701FB7811A68818D798110A8892537022DE02CDB868547A87337D7993ED96C9335105A079ADB';
wwv_flow_imp.g_varchar2_table(16270) := 'A673BDA7733E886A305963A1297C3EB892B0998BAB299BC3C78B5BF77BB2A75950D8034C4076C3287DAEC98CE04694C4B90244D9741F8001140077F3C694D9488DD6F89467787E54097FD4896F9E86955AD9023F0004F8460440009606FFD67F3670035A';
wwv_flow_imp.g_varchar2_table(16271) := '9902EA78136889670CC870430008BF700DAE600BD5500945600125985DF9180CE700028DB00A13B00A953001D4B00E6B200DA3A005CAF068F0B898806601102A5E0629A110AA9813B75D85268A35786A30788A23F902CE878A927562AB0865B25792BB57';
wwv_flow_imp.g_varchar2_table(16272) := '7C245663B9B88BBB079B2BF9922ABAA23DB88436CA9A2D086DD1366D3BAA7D56089343496EC5499C2BF96D18F0003A9077CE497FE71795EBF794D2F994D5799DD8D97F50558EDEF99DF9E67F32779956252126300DFF700FEBC88EF6300FDDA05D110771';
wwv_flow_imp.g_varchar2_table(16273) := '80900CC9D0073A5005C7A00C9E30041D609723E003BFB00D570008AB2001022A01D450091DA00CE3D008C1C096953771F0FFE8782D076978DA960EFA6730209151A78A2BE8842F586A24A98A53F77B9AF97AB1176BB1C67BB1969AC038922CBA84CC9874';
wwv_flow_imp.g_varchar2_table(16274) := '3DA97BA9EA834B3863CF07A2203A9299D59B3A497D38377C453A942B699CC5296E1AF0005BB6774ECA944FB98DD3897E5AAAA561690353E55AD6099EE029AD5395521C605314E001D7F00FF550443691448AC796FEA805C1700BA0B0099BD007B5100CC9';
wwv_flow_imp.g_varchar2_table(16275) := '2007F8995D166006ABB00A8D1007AF0001A3D00812B00CF1B006AB100CD2100C2307990E0A7156B00566B00568E0B05B00B10DCBB0569003083B7100F06797298A4FB602AF8A6A9B5A7C3FEAA9BFE7A94948839E49592F79AA1FD664B99824AC5A0330EA';
wwv_flow_imp.g_varchar2_table(16276) := 'AA227B5900FF207DA666A3494763B4D783C277593D3A6DD3A703382BB24C20B3C689B444BA024E306EB8A60128306FCD59774C3A95CF7AB5D00A9EBE358E5A6960DF6960D9F9A5DB6A530F00011C300D1024AE04470FF650AE12370295100CC3000AB510';
wwv_flow_imp.g_varchar2_table(16277) := '0BB5D009B8F00BA30098F45A09E7700EB70008C1A002B8B00A1D30A823A00C6BB00DE0500127076893EA020CAB050C1BB10FFBB0941BB15AE0031537A9E7650259C57D23EA82358BABB81AA2054193A6887B991A6B3398832B9A2447B884DF27949365B4';
wwv_flow_imp.g_varchar2_table(16278) := '366B59332675AED98323496322AB59D437BCD1D6ABB569BB4A7B9CB7A6BC2B30583B406FD8C8A44E49A558EB9DD6ABB567465B2D100332778E36B0BD58FF292112B0AD14C0AD1E500D8F54A629C1376183676C590139800BC1F00BB7500BB51009C7400C';
wwv_flow_imp.g_varchar2_table(16279) := 'BF100C57A09F16200B663004B20008F1100CA3700E9E200BF65009A3700571A00C1320A98BE9672ED0B071100766B00666B0C15B100780B0061F3C980E9AB1947A551C9975C6569B9B29B22C3C93B729844E7BBBBBA87B1F36A32639101F86B3B9F88BCD';
wwv_flow_imp.g_varchar2_table(16280) := 'D66DB69BAAADC882B2C8B2ABE9BB442BBC3B5A6AD277BCC01AAC304A94DFB6562F7077531BBDEDF7ACD7AB6061398EB4B566E1F9BDE799AD2925211C30BEE25B2B1E80B671C38EFC40366EDB01136005C1100CC4400CB9D009B5000CC4300CC9B006A177';
wwv_flow_imp.g_varchar2_table(16281) := '7ADE855D0F979F7779901B18B95A2007D2FF000A6B000EA35009AFB005DB000AABB00C7399038CFA6719BB6728956CDFA791DF076E24E9B3DF66759D351075E592B6768BC137C3AE998B344C62B04B576BA7859685C32329C3294A9B3E6BC43DFA6CBA6B';
wwv_flow_imp.g_varchar2_table(16282) := '85328BBCADCA75C6A60114406667289DD4ABB55A0CB6DD99BD6BA66F3227C6637CCDA2E201669C52D9505D66345DEDABA623500157100CB8C00CCC800CA1100BD8800CC0F00B70300198B688DFB5A68F178F0DC78188DC08E0B0068D300E02BA0A923C0A';
wwv_flow_imp.g_varchar2_table(16283) := 'B8B00C71B00576DA679DDB70E485954C776BA1FCD049B88BC3976CB7A6114278022B7002305C10AB08A2BB8CC3A42ACB3BEC7B4BC8745C58639A056D427CC31FABAAC828B260775944FFABBB4CE0ABE1D7AAC5590360F5006F767FD7E9AC5FBBC5D12CCD';
wwv_flow_imp.g_varchar2_table(16284) := '62D96F5D8A9565EC56D99C95536555CE859E3F23446C4C36EEEB67E43CC7C4000A886008881009C0800CC960069CA7720929897D26881FA7818B29B95B5009D4100CE0B00DABD0C0DB00080AAA0C225C888E485E56A5D1E2C77421806281BD9113AD91B7';
wwv_flow_imp.g_varchar2_table(16285) := 'A6D100C0D127C0D174D56DBB676559E78BBE08CBB0AA7B2CFAA91A5902E256D9C0088CB7BB9AA206A4B77B593EDA64458BD341BA8C4D4CACC69A86D6B97ED0AAC5466D87002773B85DCD5F3AC65635555A09035BB91B5A2955DD9C0FDF8C12EC9B96DAB5';
wwv_flow_imp.g_varchar2_table(16286) := '677B990CA3000757B04F5E0007A0F00B6FC07921085E81B68013D87110FFDA988256011327B98D400AABA00C881A0CE8AD0C75AD0C95B0053EB070203768F468021C40D81ABD0127B0551BCD55FDDD6D1AD9C3DDA6DF9AB1D105619C1BB97BB576CA7555';
wwv_flow_imp.g_varchar2_table(16287) := 'DAB286AB3596244907CA437884372CCB5C5763A6ABBBA4FCB3C5CBD2C00CD3B6C9DACC88026D17B5DFC98D5E89BDE6A86FFDF7E2B91DE3490D55E7D9025BD9023280E3DE18C6DA59DC7DC80F66230EDC455E20E002A36006A63406E7640555F005A04082';
wwv_flow_imp.g_varchar2_table(16288) := 'D9ED023E600186D9672737045630CE1CA7047FE96743E05D3EA0048F8B9F5A800570B0C15AB0C11ABC0671C0E65BB00698FC7114D85E12A2DFFB9DDF2730D876EE85800DE0A50CD88ABDD18E6D10A8A8E00A4E84DEFF9624412CCC4B18D9929D74C6F6CA';
wwv_flow_imp.g_varchar2_table(16289) := 'B93792286DC43F4ACA3DA99BD3A79BBCDAE1C50CC5B6B6016E275B292ED4D6CAC5E7088032FEBD399EE33760E336BE955B19032DF0EAAF9EE3DB09DC2865027B78DC7446AEE625DE1D60065A600506F5066F500656A00568500191866956B0065AA0056D';
wwv_flow_imp.g_varchar2_table(16290) := 'EE03803004191CB143E00366700566D0083EB00643B0065B60056620075790811DE0035B40B9EE3EED9ADBEE94F4B68B59011620215F95E7FABDEFA3E555FAFD550F1DF063A5D18D7D6B07317594DDC31A19D2402CAB3689856A47630D8F62A365F0A2C6';
wwv_flow_imp.g_varchar2_table(16291) := 'CBB5D96CA61D76D206851C2E9C393D59279057BC65EA5E199648BDEAAC1EEB610CEB2A2FE3BF3DDC55FFE5E32A4143C92DE41DC7672E5049A1B4499D8406432088245701085D016640CE5B200794BB062E50ECE1AE0592EB026B60EE7230985A20A10CE8';
wwv_flow_imp.g_varchar2_table(16292) := '968829DF0DDAA013B7716E1502773E5A64EF55652FF6FB1DF0FE9DE7FD5DF0306C8BB6B810AB18AB325903AC8AD80301BC9F8D034639D81A4D635608D3B5097ED1566449D6F1359DF15C479CB616ACB866003CF07EA74ED4E4B9EAB5AEE3E7D95C592955';
wwv_flow_imp.g_varchar2_table(16293) := '26B0BD2F9FD4C3ED5CBC3ED5E30AE469695EFE485E5680EC7180EC6C4E97A3D7015BE0021DB0061590B9073D02199C034AB006573004945409077D0572600558908F8B6979ED35A9CCCF711E400164DFEFD1EFEFD2AFDFFFCD741AADE78D5DF071FFFFF6';
wwv_flow_imp.g_varchar2_table(16294) := '43A810768FCBBC5CC3C956A2B71BAB143FD800DE93B00CA4DD66DAD9576449ACAAC249CCDD76E2BDB5B55B5BD4DF7BEB00D122854081290CA630E121A107860D1D223C18D184C1850D3978C8C62F1F008E1D3D7E04195224C77CF4EC7503520144870A2C';
wwv_flow_imp.g_varchar2_table(16295) := '2BB888F30AD72A40562A8CC0D96144052572AE6C59B3C687962B71805A09EA43CE162D5B7E9A192247C91617163A5CC57AD56AD6AC23AE7ACDDA1244850D144268381B422D5A0D1BD4BADD7042ED8A0D2B569CB86B3704801378FDDA5D0132F0E0912800';
wwv_flow_imp.g_varchar2_table(16296) := 'D4408183A30E003A7038767C18C5E01A1C6B5CC6F198318B156A43D40D5C8385661DA533D7008C580792253B96B0E6C1C4348ECBA8FF57D0A051FBB25D141A1850E801E4C70FE1C387EFB061A385F2160461A400612261458B12287080408182750E121C';
wwv_flow_imp.g_varchar2_table(16297) := '7EAF8E1DA3BE8D23CD9F0FC9CF643715632BBCBF5A41828B1C3B5B72C599C34507FD5E5FE6C84182117298C0852174BA69BFAFAE5A892BAC1A74304296000061020E28D0802DB6DCDAD0B310E8EACB2ED03E0CA1AFB83ACB0B300002E30B800D04132C30';
wwv_flow_imp.g_varchar2_table(16298) := 'C5207BAC46C9060BEC04C330334D871AD29A6B450012AB110714763BD22E1D78780D09267BE0C1B4DA68B08B4ADD762B4103032288E1871D76F8C1862F9363AEB9180432010484C093A0BBED2880204E39E5D44EBB36BBBBC84DECE0E4209B7CF0F9E71F';
wwv_flow_imp.g_varchar2_table(16299) := 'F4063D4F3D7BC469EFFFBD96EE73093E09BF72B451452575692C96ACDAAA834C597A344200C47211C30C333C6BD4B6CE82EB4310F122F143BE58B50B2FC070F4CBC5164FB015C68E68744CB11526B30B80BD5824ADB1154C0DF257C490442DC9156A58B2';
wwv_flow_imp.g_varchar2_table(16300) := '492697286DCADBAAD40DB013B464E005E5C824B30519083A0804851C6AB34D08B863F7C23BDBA4C0833C3D48B7CE3921E0601A7EF81194507F432A891FF63C6894D3F730D5142BB0167C5425451D766F25AB164D9853062DEEB4028E549A403B533F06D9';
wwv_flow_imp.g_varchar2_table(16301) := 'B3B84E48F5B3BD4C84F52E59670DAC045C73AD0B57163DAAACB11A7B1D32D8C0F6B2AC06D27CDC7654B584549665C0888496356AA374EC322AA9B4AB36C0CE8AC0FF0003BC1DF706E56E10B720E8A463F322EF3898E03BE9109A8EA189D24CE83AEBAC8B';
wwv_flow_imp.g_varchar2_table(16302) := '93CF69C8FBB7EE8FF8B9E71FF61C76F4BE893BD5A961491F76182B462956892B46E31B9CA509207840830834889C72CB2BD740D492DDF2D064B93EEB2B746D558C4BD8B83E23FAA3236DCEAC75236DEB8867CC34B33968524B5CF157A395F5B934265D63';
wwv_flow_imp.g_varchar2_table(16303) := '5AEADD5B959C01AB59E89AEB180C5A3E0518A44B133CB3D37CAE05189A6B6E5CB4A167A84EEFE18CBB9A7CCAB3DB6E8DF4566102F70CCF6A530717569C70F91FB6D4D245DF1BAB41FBD9271C80092478C0033020C0074C8E0104BC9CE546B50152B1652F';
wwv_flow_imp.g_varchar2_table(16304) := '40528B5C4227ABBFF0A574A01B96903CA2ACC31CC6FF678A719688F0E2C1D194C6842B0A196866750211288B36998916124C98AD5875E67421C0400418B043066CA005373808D884283DB6C10004675A0E9980B04420ECA089C8419309CA06BE7B55311A';
wwv_flow_imp.g_varchar2_table(16305) := 'E3EB57F9FE753EF6A8EF612C8190FBF023B8F9292A7F886B54FE56D220B1604C7E129040022230470C1C70803B1C601E3107B20C7D40030070205A3C13A2D105CB457DC1600D0573A4D52126772ACA8B078F04C3C670E45818C810064AF417A361A6774C';
wwv_flow_imp.g_varchar2_table(16306) := '6252D376A32D1494EA2C3CDC610436B036EA30C43B12984E9A06620320D0B2894CAC652DCB549085B8898A55CC4E76A2713E2DD68D1F80620F0894A9B0AFE0C42B38718133A539CD683A5327CFFFBC1884B0F94CF875B3410B034007C229CE0E48203B18';
wwv_flow_imp.g_varchar2_table(16307) := 'AA5C3A15B8CE0C3190819E11E4204FB432A7E5A606224041090C238216F273482860010A0C63988E8C8605BB024066127AA4CB10C98427E40100A2248276B645A00105280B34FAB3873A896926A48D687E15820C8C2A871118605B4CF09C562A6422CBC9';
wwv_flow_imp.g_varchar2_table(16308) := 'A5139758049A32510536504173B8471D3CF5145EEFE2809BAAC1912C169350F9F887386C0047A636D5A970FCDF53A50A47F930B5AA55950056AF2A81A89AD3AB5F85E3BA0020568E40000009804002086000021CA0AD6CB5DA01E04A00BAD695AD725DEB';
wwv_flow_imp.g_varchar2_table(16309) := '01F4BAD70300A0AF7A45656079080006A0A7B087256C621930C70810F6010CC000FF471A3B478E2C16008DF5880EADB659032080B2858DC06311C847CAE970B1A9D4AB5FEBEA56BD5A2D0108786D6CB573CE37BDED22E8DA8E07E2F48004BC76B36B056E';
wwv_flow_imp.g_varchar2_table(16310) := '5D854B57040C97AD0FF013BF8CEA2F2CAA031068788319DEB086E956770D70B82E75B58B5DEC5A97BB6B304378C38B05F196D7BCE72D2F1CD4BB5EF60240BD66E008750140DD32D4B7BE63B86F19F08B5FFDDA37BFFDDDAF7EED308631D801000336B01D';
wwv_flow_imp.g_varchar2_table(16311) := 'DCB060063798C1E56B3000EE30610ADFC10D16B6F08535ACE10C03C00DFEAD2F1AEEF08611BB81C415EEC31D52DC0738AC78C21CBEB07E093CE319D777C16840831B70FC86F5FAA1C7EBFD4324E0F006221739BA6FC07119D0FF00E2FA6AA10C5F40C317';
wwv_flow_imp.g_varchar2_table(16312) := 'BE5006274B79CA527E7219FE100E7A04AA23FD582EA1D631E678AC231E6746739AD36C6635B779CCE718739CE1BC8E39D359CE748EC79CD1CCE636EF9923F05807A0E3210F79D083D0874674A2155D68458FC4D0F70000A421BD8F7D0080D2F2A034A507';
wwv_flow_imp.g_varchar2_table(16313) := '85694ADF431EF7303400E8410F51D303D2F4A8B4A53F3D6A4903401E91AE87A9EF116B56D3A31EF528F5A8733D6A531BDAD08426F5A27D0DEC42F77A1EF3B0073EF0610F64DBC3D9CF3E76B4E751E651AF83D7B7FEB5AF793D6834CBE3CCDEE6F699E911';
wwv_flow_imp.g_varchar2_table(16314) := '0F00B00300ED2877BAC37C1E6F9B99CC718677BCDD2D6F7AD7DBDE658E7399F53D6F7703A0CC1C21F747E03170FF420F9CE00697073C126E70842B5CE10B77873BD26D6E76C0C3D51C79B5AB132D928C5FDC3C88FEF3AB2D0E8091975BE40CEF48C10FED';
wwv_flow_imp.g_varchar2_table(16315) := '70916BDCE20A77073C243E73920FFCCF18F708A1359E68962F9CE10477F7BE07BD0E00107D1D19D7F9CF6DAE748393BCE61CE135AF31CE72AA27DCEA5AC40700988DEC663FDBEB5E3FF6D7C56E8F3E97DDEC6D263BD9D50CF08F907B1EB466F4B0B57D0F';
wwv_flow_imp.g_varchar2_table(16316) := '50479DD79E5EF4C5119D69BEF73DD51CF93B7AFA3E6B5CDF9AEEF7D807A113CF77572F7E1FF750763D222F79C96F04DB515F34A3179DF84427DEE3FBD087B20F7F78653B1B1FE3D3C89FECB191F191AF2376F788B4652FFB64539EF0EB1689B2758F0FAE';
wwv_flow_imp.g_varchar2_table(16317) := '33FF7BECBF073ED8673FFC63977DDAF1507BDA914FEE80339FEC1CE1873DF4716B5A639BFAFA187DF6110F7A7D74DFFBA006FFF6FDDE77A3F6DDFBFA0040F70FCF774CBFDAFD9DDEFDE9BF3E8FAC539FFADAC7FFF6C53FFE4C73A4FBAD07C03F89BFDD0B';
wwv_flow_imp.g_varchar2_table(16318) := 'C07CA887EE3B40FBF3BE03F40802144007DC3DDC1B897DD997E0B3C00B943D7A98070DE4C00DF4400D3C36936836E453BE120C38AD433E8EB007AD3BBFE95B40EFCB877D29400094C17CE8BE48A33B4BF3BBF65B3CF7F3B88EEB881E54B520CC3430F388';
wwv_flow_imp.g_varchar2_table(16319) := '7DD141C6F308BEEB872674C2E87BB67FB0077E6841173CBF7CD0BE7AD83FC61B3F7EE8077DC09B2CAC87DFCB3A0038C02A44C32A6CBDF4433FFF00C08763DA97D0DB873294C0F328BD0BC4C3F9E3B50FE4C30EDC430DF4BDAF5B3EE563BE7F38C17838BD';
wwv_flow_imp.g_varchar2_table(16320) := '1774C133FCBF1974441BD407FE7B3CFEAB1BCF4BB94CF3422304007E00807ED81725043CC673C2519C4267E3442F84C158B307BA133DC8C307564CB618A44049DC877DF1C48D20358F18B5631BC3318CC5EE4BC43464441734C0E9C3075CF33E3854368E';
wwv_flow_imp.g_varchar2_table(16321) := '684548ABC39170C4DC1BC069DC3D67B33FCABBC66CECC56483B6E0D33AB673431944C03494450A34472FCCC4271C4530A3C5FED322BE33C71BDCC473E4877DF8077BE43B4149C7757C42FF6B4300683DBF1B9F8E98C27DF9077EF40823A4405823BC6CBC';
wwv_flow_imp.g_varchar2_table(16322) := '87351C4880EC44276443726C3DFF308C438CE44480CCBE887CC6904037BB6987901C899134C9734337A233C9956449741BC94109C99744498E90499AF4889993389068C99B440F92F4089F8C389A0380A00C33997B398EC0C9A08C39A66BBAA1544A9223';
wwv_flow_imp.g_varchar2_table(16323) := '4A895B07A58C38903CC98EC849946C4996EC88ADF449AC6438AB2B39427187AFFCC830D3465C7334D83BCBF3B0BBB724B55C6CCBB97C3DA90309BB14B55D8BBABC1C3490CB3834F337BAF41779A88774C84AC1444C7F11944061CCC674CCC484CCC8342A';
wwv_flow_imp.g_varchar2_table(16324) := '2F93CCCA1409300B0720B4CCCDE44CA3E2C7CFD4C4CE5CAE512414D024CD41A1CCCEE4976C6887A212CDD7844D903042D35CC7D8F44C8AFC1784B44D7F594D7343C2DD9CCBFFD4FC08CAA4CC2674CC830CCD3A6C428E984DDA3CCDE504CE2F734EE84CC8';
wwv_flow_imp.g_varchar2_table(16325) := 'E49C48DD0C14EA0400E2EC97C624AAE3644CBB11CE09FC876C50072CDCC8E854CFCA9CCED35CCFD2C4CDDCEC87C093C0F0FCCE90C0C77B74CDF3D087F24C07D47BCF300BB526D4B44121CDA272CFDC448FC7DCCF00F508F0F4CE085D4CFBFC4E08DDCE0B';
wwv_flow_imp.g_varchar2_table(16326) := '95CEE964CED06C4234B307DD044D4DDB8710EDBF11DD886C48874E74502DE2C47F18B87F8841BFD3CF9078C879F4BE4DFCBF7A484FDE64D1306BCE91B0CED1BCCEDAFC51ED944FFCAC1B43ECCB49CC87678B877FE8BA67A3B4EEA3C02665BFC5EB4E146D';
wwv_flow_imp.g_varchar2_table(16327) := 'D01555CC178DD1F103897BE017C6548F40E94FEF349F426951FFD754AE4D0489F4DCC885DC444FD4884CFC88D954D1F82C1F308B4F220DD230DBD2F308944C83D04235D47BA4B47BB434FF0C542E350F24B4B92FC5477BFC871DE5887AC88670A8876E80';
wwv_flow_imp.g_varchar2_table(16328) := '077D108772A087728087721087680014637A54C6BC0773D8CE169587D644AA4AED88F0A4D5D4F4B240F1C2EA1CD25DDDD3F6C44D23ADCC7F388744608339C802633DD60B98830BC8832C08836435D630505667A5D6656DD66735565378527BD45247B59B';
wwv_flow_imp.g_varchar2_table(16329) := '81F4D27A24D47D0006717053E8FB8770280B50E00275F8072540047528034330042350027890558F703DE83BC51814097E09876A60876BC0D7C634875B08945B4807EFCC046248575B88867FB8064F0005FF7930846C188648C80743788648CBD3F6BC4D';
wwv_flow_imp.g_varchar2_table(16330) := '0D854D7B1C872010809315800140599565D9943DD9016059988559976D5995CD837348D46EF5D67F69BD17FD44420D0524E8038B532EA4BA063430044F28037A50073730047348822A28072FB886E104485ECBBC51B35492000064B8057648857048856B';
wwv_flow_imp.g_varchar2_table(16331) := '700566300734008567488532A0855B60866868077CC80475C087B61D867FB0857460065008074A600766880466180679D847900DD204DD505FD5CD60B5475DC08201B80005100005500099B55CCB4DD9CBD55CCBCD8333E3D685DD599E8DC14815D74BEB';
wwv_flow_imp.g_varchar2_table(16332) := '0448E8837090C2534C570AD8015BE0827FB885FACA060EA8827F180E77DD517A7007765087FFDF05DEDF650776700752B354A4CA8632F0034FA08557C80638A0055B60065A088737888467F00350E806526BDB6CC80689A5876AF8876120067518867220';
wwv_flow_imp.g_varchar2_table(16333) := '86F39D8676A807C5E5D33F0552F74D4E8D488F37ED084BDD5A9118D47FD0852E4859073859CA2D80CBA5D9019ED998CDDCCB9D039CFDDC460DDD8FE859A22DDD7F608758A88548280733E444A3450348E08224E8863BE0AD48B8032BB08524A8867F843E';
wwv_flow_imp.g_varchar2_table(16334) := '79F8DD7648077578E117760775800775F0CD8FC81B64F0047160DE4C75037120866CC88461F00343B88637780677A8D47F788661A00773B88672B8866C605571B0856AA88761A88667D042C5BDCEF390DFCFD4575CDD607DAC54D623AAFF48FB07679C55';
wwv_flow_imp.g_varchar2_table(16335) := '88944190F80742E3DFC73DD93968830BB800012880951D8002F0E33D7ED90316E499EDDC78A034147D60E6D2088573D3448DE35880845A7835D003C87F3007180082672002251803711806EBA58537E0021330877C05487860876E40867488E26E28876C';
wwv_flow_imp.g_varchar2_table(16336) := '40064F168757C35F89B5057670852096874C98866CB8034F70054370855B4885F45D58382086AA55876E38DF54B8584388864C60846C3084BB2D5C91358F3016E3EF14878C805141E9B2670894BC31B46B08947260074FF8C9E38CD51D35C4C62501C955';
wwv_flow_imp.g_varchar2_table(16337) := 'D601B8630170003C8EDCC9955C7BC6639495DCCACDE3CC158005CED9144DE44139459B139444ADB46F80846CC0BE4844D7FF5BDD4E5A8DD5C5E4D7814BDA70B8815B408470F8034A88842DDBD7070D947C9007A4C23E0AFE07C3033575D0B57A60875BC8';
wwv_flow_imp.g_varchar2_table(16338) := '1B00B85B99FE0752C30776A8546D460F6DDE66A2CA043F28077350876C10077AC80648A0E1736B5B76C807DFA5843F10146248054FF88774E886A482682D4D4F7B8052FEED0295AD673C6E803940EB3970000720817B76803930853660EB3950842C7080';
wwv_flow_imp.g_varchar2_table(16339) := '3078840BC802970D0406DE07443E68F448E89263BC72A80568403F4A9ED096061441093DB08ED0FB95B93BE0E53248053F10873F80043FF003460E89099DC77A18E74ABEDF35AEE848A307A48AD589A4073EEDC46B9EC821D5D39000EAA016ED6110075A';
wwv_flow_imp.g_varchar2_table(16340) := '30E26ABE06FF4380836170855448853FF0843B485F4FE0EC73030057F0837460846A86044360064A2807538E425D2001955DD681CEE30B6803B47E045D7804533085300883EF7E8459980545806B45988459B88006C8E39BCD34C00EEC47DD17CFD6C140';
wwv_flow_imp.g_varchar2_table(16341) := '190644E8833EC8057690C71A843EE8FB934D04EB79D4C77C40E56C40DA2478033F08074388E53118063A4C0FE54253D0DEE08D70460DE7D70EF744D0FC6215F597DAAE4D92F8874CF8836B08875B50072B86073F1886D935876C88064618E65B408648E8';
wwv_flow_imp.g_varchar2_table(16342) := '087578832B2E078E6D0762A0059EBE502974B63996D9EFAE670778843650045D088441D0055D7056B49E05F30E034598054E7884306F8093EDEB82CEDFFFFBBEDF452EB918A4075718832A10832AF0824EE854EFA3D54D3C6943D50879300716E7036280';
wwv_flow_imp.g_varchar2_table(16343) := '8332C8042113B26CA8E93765CCB8948705C7F3434D72801C9FD393C5F7A5484A87DF6C4671E8ECB25430877218066448056478065010663F88045A70055AF00466788567A80443E8882F48854C00058A05667128661825C825C76E99BD800598E70B88F2';
wwv_flow_imp.g_varchar2_table(16344) := '0560EF3908733C9E8536386F630FF3306F83364059FA3EE4743873347753065FF374AD822A18032F7873314006F4C3BE57B5B550A307783035ADCB865185077170D72964E1701087746087741087703007792F87F334E58FF0045B089417875071300478';
wwv_flow_imp.g_varchar2_table(16345) := 'B0055750874848075B4885EE74C337D43DFF24344EE40C6AF9CCF426E417735587EAA6055175856EA6057918867088866BF85D77485E7506805470077330845B18F268500750E06930634C726372993D5960DF673DEE63CABD673FD6E3C98DDC02500040';
wwv_flow_imp.g_varchar2_table(16346) := '56D932FF5C6B9FC04DB4396694584E1E033118833EB08254B0F36C00067580F16C28075B08877240067988066610875B105B62C0D79240651A16DE912C4BDF15D35ACE865490876B48856C38F86AE8717548660A16E254B00550A005754885AFCDA201A4';
wwv_flow_imp.g_varchar2_table(16347) := '403FADF89FBE7885ACE92E8BD52E53D55A159448507900880600C8867EE806D51DCFEDE4F5ECB6DC0B805C94D5E33FFE67C9DDE33FFEE3C915803C56FABF3668A6B75F6C2FED74B803FF2FB0822A10B070B8C1F22CFC8E7F86707005AF7F867BB7645BE8';
wwv_flow_imp.g_varchar2_table(16348) := '865B58F77F38C658D351F1AC074AB877500085611806506858F20D077E61866CF08454E80661466A77BD5F3A3D475FB51B4D04EAFB454FF434B592A83B7EA8072C94453704438EB8862904087CFDFEFD0300801F418306EDD943A80BCB8088112F0C28A0';
wwv_flow_imp.g_varchar2_table(16349) := 'E0A2C4021A156894E8B16245050304248A176FDFBE6CE914B26CE9F225CC983267D26CC9EF203C790715E6BBE6C953AD9FD7E4E903A0EF5FB854E198D17275ED5AAC68A0A2950B776B1A3B4AD3FEF1E397EFEBCD970563268C942A12A89F9E5CE54B258E';
wwv_flow_imp.g_varchar2_table(16350) := 'A03995C86E95FB17295A387563FB75EDEBB71FE07E0002130E5C1366E1FFC48A052BF4EB38ECCC7C0317FED3C935263F7B00FE3D14E0F9F3E70202448FFEAC203468D29E1D34C8730EE53F95900FD3AE6DFB70DF9C970BD2CB47702C807B450D96C34BEC';
wwv_flow_imp.g_varchar2_table(16351) := '9ABA6BE2AA65AB8A6C58365BD9B2856B07FCE0E3D92F11AA6374766D2643B45EDD73F5ACDABF5B8688A50505A79CD9840613F71DBC98F0ED968CEF27CECFF2FA42F6EC265F4B04FE738E1C1764A120830B66E1E0830F2A286184104A484216B09CB44F6C';
wwv_flow_imp.g_varchar2_table(16352) := '2BF9F72188B7F1A3DB4DBF99082000F420149C7CFFF8264F3DECFC638E3B04B2949D762EDD644E3DF4A8438F3CE9D8438F3BA0E805003CE5B8034F4E7AB543CF75FC19C65F88824DA9987D200258508E35FD634F3CFFE79C6312990499F40F9926ED5366';
wwv_flow_imp.g_varchar2_table(16353) := '9A5FB2190F435F7618229D75CE44A2412602900F3EF9DC08198A9B25445097D83DE6A5A089FEA34E36639D386841C0F507987E945A49699558E2671F637662975F665FC6698F3EF708B7CF3DFBC8238FAA28A1C42AACADB2AA8F3DF88425A04A9EEAAA2B';
wwv_flow_imp.g_varchar2_table(16354) := '9E8D9568A36D853676236E36E5F9DB7F7A26AA507F2F2D96A99497627A1BB074BADA954160F153AAABAEEAA34FB7E1EE53549FFFE5BA2BBA21F6EA52B5E9DAE95BA005566A98B3F84DFBA1B4CF6EEAAE880D6D166A435D750B99B8D71A84AD4273F2BB30';
wwv_flow_imp.g_varchar2_table(16355) := '6EEB0AAA2CC3110F8BE2BE2E61092D9515DF2BF176027AEC715887CE341B42E7727C324B0E3F8A2CCAFFEE164A2F62CD8218ADCC2DCBF49BC7727AAAB0CD1CF3434F3D3BF5FC6776880DCDE9C6E91676B44C0809C87288839ACC34D555577D31C710FBD7';
wwv_flow_imp.g_varchar2_table(16356) := 'A9D58709164E3A02753D36CAF2E474B6D969C36310DA6DABAD130066933DD3DB71D3B636DEFCE6BDB76D3AF91DF7AA00D8938E3AEE207938DFE8BEDD76B6733BFE389D4CC263784DED587E793BEE62BE396DEE506E90E70078BEF692066D8EB94B9F2BE4';
wwv_flow_imp.g_varchar2_table(16357) := 'B9EA90CF8DA3632D7D353BED5FD18670B6B6533DFB3DB4D5F33BF0FC023F7CD021D263103DC9274FFCF0B4F5EEFADCF8483F3DF5D5E36390A9D96BBFFD6DD263FF3CD3A6423FFEEEE4B3E43D00D6AB3FFDF6EDBBFFBEF6D4C33F3FFC30BD6F3FF8FFE6EB';
wwv_flow_imp.g_varchar2_table(16358) := 'BFFFD0B0D7277BED02A83B9AF86580FC33547DFC6490EBD9267F54CB9F020FB83053498F82E85388F86AB23EEB7DEF1E02FC204B226840FFD0AE2BBA63607E6C552E00146C1FB9A3DD9EF201BE7A6430842FF94A053D18C3E0346E4F2D81A09F60E843EC';
wwv_flow_imp.g_varchar2_table(16359) := 'BDF087BF9B1D02B1252C89717088B76948040FB30F4AE9E37FDB291AA8B6552AED95EA8351AC4DC5845642AFF029332E9C070B6B731917BA908505EBC7B7E2C88F29E943322E41950B87832DCDF0E45341A41D4A8C2248070AAD902C09A415EF518F2552';
wwv_flow_imp.g_varchar2_table(16360) := '8D1E2A94DE170F531086A0508ADEAAE3083BB8BD4CBAE45B9DFCD6CA5CC490EC312F78C50B9E4BFA94A3E201A094F54023004E6290FF78D0068D6D3CDEFBE8312E3ED5A35CFB01922319688F40CA8390C1399E4B801934DDB9F067A67221AB6482AA431E';
wwv_flow_imp.g_varchar2_table(16361) := '6C4F3D02523DF6C1489A08861F950C111100500571FAA70840F8010076F0831F8493265EE08217DE294F2E58E19D06A9274BACC0122FD4139EF994273E63C2853BBCC10D6F28E8410D8A86372CD4A00E35084217DAD037B0C4A16880C945DD000034B801';
wwv_flow_imp.g_varchar2_table(16362) := '0D17DDA846CBE08632C8C40B5230E94CC279042320E1082D6DE93BE12953002821094530C2398D40042300C00B3D7D421594D0922A00F50900F8811058B203221C810844B869119200809372610C5E7083178EA01075EE000046906A4F4F3A559F4A4121';
wwv_flow_imp.g_varchar2_table(16363) := '5E48C20FB43A4E727EFF542163B08215485A137DFAF4A849E067596D13005D1100007B55C85F5F728318C460B0836DC1606320931BDC402185850161630003181864B22F512C006E4059004CB6B330308167436B59748976B48791410A00200397188025';
wwv_flow_imp.g_varchar2_table(16364) := '1100400422C0000CC416032C79000370CB0000B45621BD0500010E601002FCF5000120EE7081DB120310A0B9CD1D6E6B1FB0810C7020030C686D70936B80033CB7AFDC152E4B1080809698800374F2804BFA6A90F17E48BCF961EF7A6F0384F9CE179D3F';
wwv_flow_imp.g_varchar2_table(16365) := '38277ED149DF731EB5BFF7FD6F7E89F05F01E7F79CE1742A829D3ADF030381080D6E704DD8090483D0D7251336C80E80D0D5744EB89D2C41674BD6B9830D1B04C4FF0A49804142A0E215B318001A50F14B5A9B5B85C4B625D745406F7F0B00042480C70C';
wwv_flow_imp.g_varchar2_table(16366) := '48408F51CC92120040073470C96B6FF3800C1844069875EC4B3E0B8027BBC40606D9409D0CD0DADEBAF7BD3BEEF187F84B937592D9C4B7B1AF8835CCDF751ED5CCF2553387D3D9920973B5C3620E117B3F10820FF0B9CF2E66890634A090DDB6E4011A78';
wwv_flow_imp.g_varchar2_table(16367) := '0000AE7B5DDFB244BDEB453400502C69834420042538B2413260DBD7EE1601B2350803382D6AD75E1900A99589090ED3588540000259D6326FF36300218B17CCB699308871FA039EF2F4C05E3D2A4F776D109E02DB25F6ED6F89C9ECD50CEFC008237EB6';
wwv_flow_imp.g_varchar2_table(16368) := '9CA30D133ACF59216A26B1426C60E596DCC006DDEEFF766D56AD90073CA0CFE6FE404B020D00482B04BCB74D74A2B7EC6883B416BE890672047AFC5A412BA4044486376C771C0104849AC69E06384B28000011D4C403A936480B7660038953DCCA9AF580';
wwv_flow_imp.g_varchar2_table(16369) := '0728A0F010C1DA003816B28E236662368FB9BF5DC536B6318C6C10A3F3E4471D71B50D6283F95ABB2519B6F286B70D80996BFBC210E76C0B0C7283164C36058AD5396D6C900208F038D20A3937BA016D10DBFAD6DD82C6C08C3BDD12F5FE16C50F4840BE';
wwv_flow_imp.g_varchar2_table(16370) := '230D7698683AE036F6B4A719B05B42B784BA3039B56DBEBDD91031BDCB21B70D0184ECF4DA1CDBCD36678986014067205819E73E2FF1877DAE6D9CCBBCCA24BE7057EF3BF138CB1CCE8DB7810AFFBADA82A09FCCDC00F88006A23EF53F1B44B8BDC580A0';
wwv_flow_imp.g_varchar2_table(16371) := '117D5DBDD3BBAFCC752FA411CDEE04B05B2147A6FA6E939C68DD177CBDF9FEBDAB65E2F0AEE5BDB5AC978004011F730B739EC33387C9864F7E4E139F33E572E639B555A090CCDB8CDFE8A63A00C07FF775477AD1C0656EAC0980E342B324F8AECE00A669';
wwv_flow_imp.g_varchar2_table(16372) := 'CC7BD90E1CE0691FF86E85BCF1977000BDFDFFBF079897423096CDB01708A0576581006D8C9FFE1481F2F9C785219D41685FB6C100D18140CF391FE10101F7CD04E17DC8F76100D5D9D6766D174BA01EBDB11D6F1100736919EB1944F0251C0008A08DD1';
wwv_flow_imp.g_varchar2_table(16373) := 'DFEE81DA8EC156C12540EF911F4C70000520A0D508D9E1B104ED255F6D589FA730FF5B9C61DFF3091E85B944867520BF881EF8C1846EF1D6FAB104FAD50696E1404BD05F0FC204A18D1D00B8DA03EC5F4BA8210008A1EB185FDEA95702CC1B1216A1BBC0';
wwv_flow_imp.g_varchar2_table(16374) := '9CCCE99C04BE8412A60BBA6900D585DC03882017DA5B9D3019D6E99E4CA0DD8F29A241500004285CF071400C062000209FEBBCE0F1E91D0448C00BB69A0222619D041E144EE007EA0F060CA24CC05A4D201A1BC69F18DA986B851ADA39E24BC4A041205F';
wwv_flow_imp.g_varchar2_table(16375) := 'FF8D0F762540C8E9134BF80000E893508922BA5CD87DC9D9CD6DE0F8A0A04CA81F1DD6C609505AA8B11DFDD5E278D1E2C0D55F92C51E2EC28404301C009800DC8DCD0B8A13302A04580DC14BC89531E64732C60433A6531F4AFF0C06881E4DDC18174623';
wwv_flow_imp.g_varchar2_table(16376) := '169E2300C45F22BA84D6F9DEC1C5D74BD49E4198970408E00488E3D8A463FBB1A341A0C11508D51FF88141FC011A40A441C4014B30C23B7ACA1E6218B49D62C40422A8E516EACD98C735DAEBCDC4D7219AEE9D00A631198DBD047C5D23373EDA1ABA84AB';
wwv_flow_imp.g_varchar2_table(16377) := '2160103A0E2E568042785841F85C2330030034023174643618042D28843984E4D09CE285D9A17FFCA14B785A2AA6220E32DA0AF216039AA1BE01C0BF01C034C2C436169CDA6DE3C18D57D8D1C604D0A0079423D32024A20199075C4138258352BA044595';
wwv_flow_imp.g_varchar2_table(16378) := 'E32B18043B24834110432528042C51A5BB5CA5BBD89633BE4457C69A212E178AFDD897C1170F1A445ACA44EE69FF63EEBD65A7255950CA04264A4069920F03B6C41F74434BD8C22828A538D0D234184434FC4254D212632221200A244BACDD78B1D76AE6';
wwv_flow_imp.g_varchar2_table(16379) := 'E0566E664B5C218D55A34E8EE14BBCC04C70C004B0C4C399CF1F4C43150CA64C00232EC8552428842744C23018041C78087474A74F61E56E8E0D72BE04BF951F6D0819EB8D974DE6E3728E66652A8473C6042526E4429A8F0110256DAC554CC00145B144';
wwv_flow_imp.g_varchar2_table(16380) := '19FCC146010017D88039999387A5E7D8081AA11D007CA1A02DC64497B1D77881993F26A7401624C1A9DD7D1A447EDE220050C07EB6A1425822C699C0F09D281BF60C7AC20447BA445BB5843B52A04158805D42E8D15CA10A0E1ABB8DA842E058701AC439';
wwv_flow_imp.g_varchar2_table(16381) := '3EFF4067CE442CB21DC1F907242664F02DA400EE224BA468CF5480071CE06180D9702EDF4CC4A88F524DC8059A0A76E87009A72F16A990BDD659CE620DDE5FDAA91D9D7CE395A297386A1CD548007A490096F9A9D3CD9AF18D294C341FA18E5BFEE9E3F9';
wwv_flow_imp.g_varchar2_table(16382) := 'B1E073E198A07E88A881E63682DA93F28B95CEA09E1E4D7C469AF10D2A3FDE465D5A80A9A5400AA880105880DF1DEAC9B4A764FA2066C65AA3C1D76F851C9182DAA789A10D8A280354EAC220E042DAA9CDCC9A11F6158A7D6A7E34D8836EDF04AA2AD97C';
wwv_flow_imp.g_varchar2_table(16383) := '800ADA1BA3B2E28E89178FD9DB651E06AE6AE88EED6A90A64B506A9C989E8CB0865CB1EA4A388198033AE00F38605132EBD8E0D6BD19C06E45FF63D335DD89696BA6C504A7C1969C5E28C3F4270DF60CB9722192C2AABBA0AA0A8C5CB2BA6BCB0CA257DE';
wwv_flow_imp.g_varchar2_table(16384) := '5BEBD1AADE55A69021E44D125AB70E5AADEA8A00A228B0B68C27728CA8BE841050A0839DEC8CDA09E199800A10C1328E2463A25E2AEE96BCB6644B542B8A355D87662C9331274E221CC3D060A6F68C026A69281A61BAB8214B88AADF85D3839DACBB7858';
wwv_flow_imp.g_varchar2_table(16385) := 'CA8664B90DA2DED92C1D829DAD11E74BBC69F8E9602C9221C76C5C749A97ABE5DBC6EECA9F9A6DC4C01DA95A40522595E03918C3B68C09161AD5ADA9C1921AA7A158FDED2ABCD9A24D66EC569E0C0760E2FE499ABF0E212686C81114C1E30280441A8403';
wwv_flow_imp.g_varchar2_table(16386) := '2E6CDD3E26BD1944D4195AECFDFFD8AC55AB0FD6860EE0001822E2E3042CFB8D4D00ACEE5E39DA5E05966D4CC004A44074D26E0ABCE8E54A4C5FCD1B72454C04609DB1BE44F0EE4A908D0F82226847FE411C282FF302002024A642504223644224444262';
wwv_flow_imp.g_varchar2_table(16387) := '4A2F00402F4B50C2525282F60240246402F8564224482FF5666FF94E6F7792AFF9364277E66E4DF00100F881FCC2AF4B2082FDBA041FF151FEB6CC7E704DFF0630DBC4523CC0032DAD830047CCDA243003BBC4F3BC122D69061AA1913DD443055FB0055B';
wwv_flow_imp.g_varchar2_table(16388) := '7003D706F7FCCE067F30087F481CC544EFE4431C15C57084B00A5FEEB67CC81C258D42A0700AA7F00A8330066330BAD043EF1893C4F48E3EE8300FB7043D0C471CDD4B1B19FFC4097F0B2BD53013BB8BD68C4FB59C884C2C4D136FB02DDC4278BA8B2D0C';
wwv_flow_imp.g_varchar2_table(16389) := '83300C0330B80E30B8824184C24B00C3309CB117A7B13018041AA3312DC4822D0043535671FEA2E106289CFFA10007A00000F0310BF4318820DA0AAC00961984A0295CEA51CD06AC80C5BA18BFA1000AE880D04D9941F0400F5C720FF0000CF0B1BAD1B1';
wwv_flow_imp.g_varchar2_table(16390) := 'FD6AB20E807291B1C40B94688848320038A70EB0800E94687EEA001F8780D931CD0AB88424F3C01228211220814120412693E80A802100D4B242A080307BF26EC2002A93B230E3C00BE0C032830824E3000AD44024A7B241B0400D00000B5473D50CB241';
wwv_flow_imp.g_varchar2_table(16391) := 'D4F209D4C01FB7040F30410F00402EE7724BF4C012C8041F87FF3332EFA6296FF336B7042A3BF3289B726DD4C031B3440DBC40400734186A335A8ECD3D2B44342B040F20010FB0C4254B320E1033312B4442CF3355BE800ED480442F34349328183AA73E';
wwv_flow_imp.g_varchar2_table(16392) := '43F33FC704E9B2C4351BC436E3403917340058F3450FCD0AD4404557B239AB734337342FBFF33BB3C40AD0404D633463F2B17372B44194B442E8F3876CB331FB3320BBF4339BCF919D344B3081432F4143F77457214134C79F50EFA609A0B2316F3459DB';
wwv_flow_imp.g_varchar2_table(16393) := '729D54335ABF34202735552FF4D854345503403ABFC41220C10ED435133CB4457F757AC635E922B54ABB756D783331D700471FF65F8FF2FE902E1314D93BE3322EDBB43AEFC055AB754203365F279F441FFFB353EB0A532B444B0B733E4B5042A333433B';
wwv_flow_imp.g_varchar2_table(16394) := '342FA336003C346667767AFEF11FDFF346E3404C7F08185633E91A733383E1E82E334943CE3DEB3543A71313DC35122C015637B66B33AC3F5FF6477B0A66D7F601E94072CF3500F0B24158F772436861C733352B7649F340280BF66DB0746B275F5E2F41';
wwv_flow_imp.g_varchar2_table(16395) := '5EAB733AD73575EBB50E28F776BF2353CFB45AFBF451BF84786B749D48371252B75BD7F5399FF36AE7F779CFB7EBA0402DDFB3372B785A1B047923B3750B378287A47DAF754257F44CC7F35763B587C337003081242BF7815738E404B54B88E34C1B340B';
wwv_flow_imp.g_varchar2_table(16396) := '08738B3B7808C7F739BBF37ACB37841759899BB88E8FCF36437672F38078E77584EFB8EB10FFF23013F97D43F4802FB37233418E23F9D184C00A48792123794D03B88DE7B74A43B9E31472954F238A9BF880AFF66367376B7339E4C8324B9C809AA37988';
wwv_flow_imp.g_varchar2_table(16397) := 'F7344B60352A8FAE9B5B4D0868C006B4F90960992CF73992FBB2425CF58FD779D7E0F98BB1449BBB392AB7B72FCB3981137AD5DCB92CBF18A54B7AA533992C63D99EAFC0342E325FC3B980B3049D433AD5B02A7BF6B94D6A3A2113F3222F7208543913F3';
wwv_flow_imp.g_varchar2_table(16398) := 'B1DC2A847693BAFE30199F2BC40994C09EB3F934FA798A5571AD2F0175DB3AFFBC7AA27326D9BD3A0020FB06ECFA072335851BBB286219BF65C09D6740A5FF19B32F6903FF73725B7498533BE46400ACD344A627BB00D7362F0F39B9BFFF3BCA807B8173';
wwv_flow_imp.g_varchar2_table(16399) := '33BCD77BD74CB4BDE7BBBEEF3BBFF7BBBFFF3BC007BCC00F3CC117BCC11F3CC227BCC22F3CC337BCC33F3CC447BCC44F3CC557BCC55F3CC667BCC66F3CC777BCC77F3CC887BCC88F3CC997BCC99F3CCAA7BCCAAF3CCBB7BCCBBF3CCCC7BCCCCF3CCDD7BC';
wwv_flow_imp.g_varchar2_table(16400) := 'CDDF3CCEE7BCCEEF3CCFF7BCCFFF3CD007BDD00F3DD117BDD11F3DD227BDD22F3DD337BDD33F3DD447BDD44F3DD557BDD55F3DD667BDD66F3DD777BDD77F3DD887BDD88F3DD997BDD99F3DDAA7BDDAAF3DDBB7BDDBBF3DDCC7BDDCCF3DDDD7BDDDDF3DDE';
wwv_flow_imp.g_varchar2_table(16401) := 'E7BDDEEF3DDFF7BDDFFF3DE007BEE00F3EE117BEE11F3EE227BEE22F3EE337BEE33FBED9BB80428CC008407EC48C800AA8FF40E5BB80E65B3EC32883428C03004C8050AD42747A3EBA78A44BB0E339AC010078C2084803007400EA7FC82A8C024B34024C';
wwv_flow_imp.g_varchar2_table(16402) := 'C842EDEF8A6E222D6F294362827EEFEB8A04E042F1D7890F58C0D1C2C410E440F2E747D0E9284C8C8005D03ECB87B26247BF9DC87896A33951523FCAC7B70E90BF888738F783C8F9873880137B348F7BFACB040E40F6613C79F163DA1224159CCB7FFC1F';
wwv_flow_imp.g_varchar2_table(16403) := '0640201182640900834B74F030B810400D860F214694389162458B173166D4B89163478F1F4186143992211200420EEA20B992654B972F61C69439F3E38A883C98F05069D0214D9F3F8106153A94E84493008E1655BA946953A74FA146953A956A530C0C';
wwv_flow_imp.g_varchar2_table(16404) := '4F2CACB102FF05801525362AAC3A966C59B317AF52B4C91523419D06699CC5B823865CBB77616EC01041C3D50F06439CC8CAD0A6C52548C4E2DD01E4C6C21D3F1E7AC03B99F2CAAB7E01040630D82BC79D7681D8B071034665D3A7498688F010C365867C';
wwv_flow_imp.g_varchar2_table(16405) := '35D63851D82C050A101EAE46BD9B37452A007EFF2E7818695223269124A1A20478152A559E0080EEBC8AC1EA728B002062D0084320BDC18787070F0079F3E7CB3F94577EFD78F210E1AD7767F0BDDDF5E9F187D76F7A1F007AFBE801409E0009A4879E7B';
wwv_flow_imp.g_varchar2_table(16406) := 'EE0150C1F514DCE71E79F6B98FA108FD7B10807BC8B267A17A00E070BF0F4DC3F02103493410C185F6E94F44110DEA6F42080148B13F09C942D0460C593A045147BC10C4C7C71F3D82D0C5B3F8E167A27C764C123C7EF469D249271384684825A9AC32AA';
wwv_flow_imp.g_varchar2_table(16407) := '1C2F3472A37C90B4D2CB2F8722D03F03C1FC29200021F904050A0000002C760020006C013C010008FF0001081C48B0A0C18308132A5CC8B0A1C3870C0908D400B1A2C58B18336ADCC8B1A3C78F20438A74287122C5912853AA5CC9B2A5CB97300F468849';
wwv_flow_imp.g_varchar2_table(16408) := 'B3A6CD9B3873EA144820C0CE9F40830A1D2AD4E740030219202D8994A8D3A750A34A1518A0E7C0034D016025B815EB010602374C1D4BB6AC599025051A3840E000CFAD0429087C0100C6D9BB78F3EA0560C040DB826EB5EE1D4CB87050A307D9B23D1AD8';
wwv_flow_imp.g_varchar2_table(16409) := '0058001A38A0304CB9B2E590690D06505C32F0E5CFA043A324F077A158D1A8538B46AC30B3EAD7B0631FDC2CBBB6EDDBB873EBDECDBBB7EFDFC0830BC7ED41608CE1C893C32C6EFC460CBBCAA34B076937468C1BD89F4FDFCEBD62F6EBD86F74FF1F4F9E';
wwv_flow_imp.g_varchar2_table(16410) := '61F8F3D8CBAB5F0FC0B9F5E3D6D9CB1FEF9C60FCF9F8A5EF68BFE346FFFE3D24B44380000C98DF81B731C71C820C0AF7C61D003CF8201C77BC41E1830D66881B3DF208440F00F47028CF871A9668E28928A6A8E28A2C56964F3E2DC6D8523D34D608403D';
wwv_flow_imp.g_varchar2_table(16411) := '03D188CF3DF708C4238F3EFEC8233E4416594F91F81C89A34049E203913D03D923E594544A4990944432E9A4425BA2A68F8F10E9A34F3D3016F4E240651604E43DFA00B9E49908A5E9109404ED738F9D3D1A94E743798AC90F3F03010A403EFCE4D3E541';
wwv_flow_imp.g_varchar2_table(16412) := '8012DACF408B02604F9154428A8F9434465AA4A3F6CC634F3DF3CC53CFA63702804F3EF6D02365A79D2E94AA4656423925974E02FFCA0F9D0225FA65A200E8930F8922B5490F9035ED23EC3E08FD38D09E5F12F461B2A1D22824003DF65950871EEA09ED';
wwv_flow_imp.g_varchar2_table(16413) := '92072D89EDB62176C8E13DF2ECC3EB40BFDEF3218FC2EA83273DE2EEF3E2BB3CBE584FBC7F2684A33CF0E02B4FA753FE638FBFFFC603F0C0FD5629653F74F6E3AFA0FF34ECF03F023DECF040103FEC523F1867AC71C602354A90C7B7710C00C31237ACD0';
wwv_flow_imp.g_varchar2_table(16414) := 'C600604C909862465CABCA28232472AE7F6EBC0F3FFDECA332003ADB09C0C41B2BDC30C63AD78C73C6FCE893B4C2822E24CFD302C5B38E27565C61F5D55867AD35D6005C01801506810D80165F946DF6D95F0080F6DA19953190DB6E03107719658C61F7';
wwv_flow_imp.g_varchar2_table(16415) := 'DD788FE185407B03FF3086407FFBCDB7DE847B3186157A73E105176330AEB8435E5491844D7D7B6145DF75DB21F71870AB5177196A705EB7DE7C57018017A813B47715625481FAEBAE472EBBDD6EBB81C64068D8CE50EEBCE70E80EF02D92E3CEFC2FF5E';
wwv_flow_imp.g_varchar2_table(16416) := 'BCED65A04177F2CB37EFFCF365A4322E4318E36306041264AF7DF6136CEFFDF7D9630F01F6004050FE40124CE081FAEA836002081EC0EF3E0829C81F7FFDEF0370FFFCF8D3CFBFFF0000010C4000001308C4041E4881FEF4878206A260031B58410427A8';
wwv_flow_imp.g_varchar2_table(16417) := '810D54300404B1E0040110820D74702014D84008E5F2400E78402C1B984C421E0096B5D42484104C210E04A20300F0A08637CCA10E74C8021448908318D44008FF4E02990F0C310421F88006848844216A80854A41810960B00323ECC7083F000016B3F8';
wwv_flow_imp.g_varchar2_table(16418) := '032C1AA12059F4E20FBA38C62D9AB18C65DC417FAE631D18C0E0052F70A309E648C73ADAD18E1430443FF201B284F06352EB30430554D081427660048734642111494844760004230001080C59814A4EA0929504410540704900B400002A08A50A8030CA';
wwv_flow_imp.g_varchar2_table(16419) := '5002C1054038252987304A17144120A32C082A01C04A819C12004000002A73098421A49297050A8F0E7630CC62EAE0063A48A6786A3890631E1300CC7C810EA449171ADE0006D77C4E7D1082021DACE0839039C80A00D04D381AF023D44C260F90B00484';
wwv_flow_imp.g_varchar2_table(16420) := '20E19DF084270F78004DBBD06532DD8466376BA0FF837DEAA006FCE4E70A24F8C40DEC600A1D49824217CAD08632D408448028448930C62EA6B2A23FF86546339A4A35026107A9348121EE518FA6210462BBB2472025E0C8965A6091304DA42267FAC84A';
wwv_flow_imp.g_varchar2_table(16421) := '3E529301C424082C40C0007640942A1881285D005415105505B01CC1425C2010A63A5597B8D4252983894C6426339930B82A00F849907E3293209301A83EFB39976902208ED54C480D5080440E021183488C2039B70A9215F81005004D263F99A08325F0';
wwv_flow_imp.g_varchar2_table(16422) := 'C0AF0259021284C0CE1EBCF3AFCE14C838575083C50260A05BF56163013A50BB3651030C7881428B30B9247076B39E3DC2115E8990228CF6B4A64DAD68557B0422B816A3632C9047ADF80335FFD6B63FFE51A36E6F0B0413BC2144F54A48C376358F7568';
wwv_flow_imp.g_varchar2_table(16423) := 'C103881C8172939BC8E53A57A6C94DAE403A0000EA5297A716A8007601B0DD4406F5BBCB05EF082C3010A4C27220426D2A52890A55540E8196B854810DB073D56482800920B82A579B094D87D4009A694D2B7FEF0B82FFFE93ACE36C2039254BD71AE080';
wwv_flow_imp.g_varchar2_table(16424) := '057461C163B76AD7C74E669C0CC1E763011A50BEEA80AF00F0AB88FFDA832594D8AF3C608234C989610C6F58B28CC5415E018A83812E9101284882113CBB50CE0220094700C068B5088057EE7820A22542684D8BDA267356A2B0AD6D4589F051DBEAF606';
wwv_flow_imp.g_varchar2_table(16425) := 'F3B5B29489E05B7890C9A4661A2E3D8ABB850A38D7052E38B372D3BCE611A4F9FF904A75B39B1142DDE91632BB86B4800A2C20D438F359CFCAAD2E00C64B10E59A37BDA03CEF504349D45CDA20AB5945267EB55AC3FFCEB5BF0AE1E70C993919380A7821';
wwv_flow_imp.g_varchar2_table(16426) := '075EC1810180831942D3C1FFB57458273C10C66A9820966EB040F0DA58003061AF3800715F6DB8041197F8C456FDAF8B29CC6AC672F8D8321E281219F0002444F4C73FE631678970042398D6DAA61508B58BBC636A13A108D66EADB8BDDD5A22EC070063';
wwv_flow_imp.g_varchar2_table(16427) := 'D4ED0EC658E5758334DD3BB0C16EADB80322C0C00FEE1815981925A85DD1C3B890542E9C9D2BE78213DCE069666A530BA2D44716529234ADF378FD3CF1A492B7CE02A9B85243595EA212959544DD4156EB4B7203D3F5AB34FF1C88A5F7FBCF4B77339F34';
wwv_flow_imp.g_varchar2_table(16428) := 'CCA70AF74B43531364866245B58C09C258C65E3AD50271303971A0C24B6F95B207BE2A1304424F11F7DAD74BF87056FB8B73584F769CC7E670658768001DE8B8B30D25AD8EB34D646D8F16DC452802B54DFBED7053DBDA10CDA240F6935B8FA69BB6EA06';
wwv_flow_imp.g_varchar2_table(16429) := 'E9BA7F40D154BE000E5E26944220C68F10B1430B901C7873979B70C6135C974E9DB39CD56B5E023A3CE28A1CF42107CD79CD4F5CCFE4E56EA2CD8B54A11AD5A82E18820BAE79D597E755C34537790DBFAAE0C8C69EAE78CD7D0DFD79E1966FD5F75D4535';
wwv_flow_imp.g_varchar2_table(16430) := 'AA0D12EB81D81C9A44DFB94094BFD6A3675DE988B53512FEFAF45E2381D2A43EFE86277BF5AC57F6030C60C0FF912727E42293DFFC04217F907FCCD9D4A63DED9E7D7FFBD3FE5A1BB420052648410A62206F2018E1A2B565031A5551BBE50170F0342555';
wwv_flow_imp.g_varchar2_table(16431) := '2B7E1422EA8078D125708E8449957470CB251015C0661DF0666FB64992144A836448D5957931155D8574107B565DE4157ADF3568E9B55E52050326907B1CE64D4997725F758301155639F75F0DB4563E388363D55F34676038A00345786A5B656AC58710';
wwv_flow_imp.g_varchar2_table(16432) := 'B15684C7276355D77C41776C46A87436247D4C80044C5062D4974CA5E68546286342475934606C00C50466F84D1860003CA0504A461043261041167F3C066D67177FF2F77E67277FDF46510090021E9040F92780A9446540F00336C05154066FF1E60177';
wwv_flow_imp.g_varchar2_table(16433) := 'FF808082B26F811222E7700589B75C87C46757100795D00872E0038784668DE7662E700539D00139A0046E760568063656900360530456207170665D86C45C1357821257107B465D8416549B675DDF45546F9483796557DED45FF5658328474E3C386BB5';
wwv_flow_imp.g_varchar2_table(16434) := 'E6438B6569CC746034877CA53643A5866941B78D0DF16136486AD9C77C78E57CFFC44F579562F41462D4677D88C557D9988DC2075065588F947586C6B6021F80011B8004D0E659E5076D010990EBC77E79A8767D98764596877D984A36A03F0994020248';
wwv_flow_imp.g_varchar2_table(16435) := '65140904895891F1660336200329C0016F000FF49080C2C524FF867830A55C1630048D100CD9700BA3400CD5D008A788666DD6015BF00F9EFF200195A00C156005955801CA100FAB0008FFB00557300E43307002877989A45D95C45D1690823B955D2F55';
wwv_flow_imp.g_varchar2_table(16436) := '5D8824688704712C1854FDD4835D2950C9D44DA3367B2987842AB756B957103C287B01D5729C5685A6A68DDC581145B874D0545FF2D84CCDE74F0E46694BB7044CB00381998526C6043100866128863B786C4ED0732BD0983DF7443A7064EC17643E4610';
wwv_flow_imp.g_varchar2_table(16437) := '3E966DF0C790AE75909C69883F707FFAD70213E95AA6595B87A891FA8740810801680089838752F4D00E6630012D854856B00AC9700B7D00054CD007D5500DA3008AA3380289B00DD2D0019EB00C206005E3A00515100CA3A00271F00FD3A005E0108232';
wwv_flow_imp.g_varchar2_table(16438) := '15719E6768A0144AA6075489FFE6024C997941F5020D645778E54DBAD796C9A48C65D9603E68573EA8962A5469480874A7668D07A67D35447435206109E18D02B17425276328304333F77B9A76557E3598ECF457129A62C9E461F188868B39501C8686A2';
wwv_flow_imp.g_varchar2_table(16439) := '16990CB0015F2490EBA77EE6977677E899A60900AEA5A22A6A9A2E5A883F9002A4B96E40E0A254166F2D1003F8E7011C4001E3430109500620092580D247110331FAF06F6860668A340295200BC2100A87B0089BB0099EC00CCAE0098D774839B00D9500';
wwv_flow_imp.g_varchar2_table(16440) := '0E5BB093137094562001BF100FA02007BFF00BC1B00D435001CD15712468055BB0056850A7777AA776BAA75B60065F335EE5B9790E449F0E248334448DEF49439CE68C3DFF78573E2883F7A94F632573FB797C38B443A796A0E2C884DB48968AEA8547B7';
wwv_flow_imp.g_varchar2_table(16441) := '4F33464EFFF485C914750FDA8E8845721F566A1C06003410AB3520ABF9786C76F54421B0035F377F277AA2EE87A22BAA6D36EA5A1A050445000432BA51354AAC16B99A81C80112E0A310F0001010A443EA10BB1248C8956766A00C509A0AAA500CC5A00A';
wwv_flow_imp.g_varchar2_table(16442) := '2F190CC1800517886636190FDB80A695400D741A0F713002CA300A1DD008D3A004F1100F2300A7DB098257198A6660065BA0057A9AA77DFA055AB0056953A7E4C9948C3402FD345077A59ECD9757CAA8557789730F86A07645A88FEA832C306A7425A9FD';
wwv_flow_imp.g_varchar2_table(16443) := '948D2FE084CCB48E773919441774C40785D0344FEA78437AFF256B7AF59609BA69B626A1232662154A72F29875DC47B48DE5434FA45942B6997B88879EF97E365AA3525B9115F951194565F7A791A8999136807FAC09ADD23A3ED55A064F630FCCA210D9';
wwv_flow_imp.g_varchar2_table(16444) := '6A06DB6A483B890BC8600BB5500B9DA00AB8400CB8200D8DB05C39600189F00B12B006CA5009E7000E71000E53B30AF1100C8D800B12D008E0E048FF4A5388940304BB0680B00668B006034BB066100780600680100704FBB03035499354482A0002E8F9';
wwv_flow_imp.g_varchar2_table(16445) := 'B192959E4BE8AAAC0A8600957B15066BB436579B3684BE978DCD54434C90437759AACEE862FF450347676A4B374FBFBB43F86973396B84015584E9F8BB5B38621F66B34A37B4A9468F1B6A861CF64015FFB463BCBA994F0BB551FB4BE88BBE1B858889E8';
wwv_flow_imp.g_varchar2_table(16446) := '90322A912D70035E1B88CF2A011C00AD3D8ABFAE0989925810FC200F81649B86E402AB100CBF800CC3500C711B0BC3C00CC4A00CAB708A70064AD4350467C6667D76BABE7895014B53D535045BB006D2B00A8DD008F1500972A00C5FE0B895B00ACBE009';
wwv_flow_imp.g_varchar2_table(16447) := '6BB005E4C95C9767482D0002E9C9BA1A4A9F2AE78C0DEA84DB38BB8E8975138661B426565B35B23A377442F77B0861840DA4844137C434461039E461A4D6C40CAAB1F1D8A9CACB8528A67470596AC62B103430AB675CB48AC9611A40013FD059265ABEF4';
wwv_flow_imp.g_varchar2_table(16448) := '37ACCB9ABEC58A517AA7B5162903F7C79AF4FBAC13C001EAC3A383DC9ABFF52B82775284FF170FF460062CE5482E300ACAF00BC4F00CB1D0099E700CCCE0C0B8F00A496968DFF552A8FB5CCA65BA4A1967B69879936B066B000EABB005AB300E242C0D5A';
wwv_flow_imp.g_varchar2_table(16449) := 'C0C2B240B8A3FB53197C53360C021F5B59C00C59059160A856AA013A57C1CC6A8F55028A75BB8DF5B27A69A872D98C1B9B7B3867698B6586D2DB74CCCB4CFFB5739B8698DAA89847E857111A75CB1BB4E078CDDB6BB41C968D21F0009A656D4E6BBEC36A';
wwv_flow_imp.g_varchar2_table(16450) := '88763C8051665BA9296F5D3B473C1AAD2644BFEF937F0804D008940214F006F5400FF8105C682B0FF1509B901BC9E64A0CA0B008AA1009AA5009C0400CC410C120204A89366841E55C014748A6DB6782666733351094BB0572B00DBFFFB00DDB000E3B69';
wwv_flow_imp.g_varchar2_table(16451) := '058DB00C04BB0A842BC34A59C38574C32BC0010315411214CC621102C326832C80A08F15CCC2FC582750C4E57896D0E86A15566B476810EF89722DB6CC1A5AC598AA4330BB8D3C2BB4DA3B437FC58EF374BD62CCBBC5EB7CEEEC60A516CF143051508B90';
wwv_flow_imp.g_varchar2_table(16452) := 'F7CCAC8798BE19A577EE8688EC9B6EF6375F808840031D88F9573FFAE73FF8A77FFAB7D00DFD650CC10F8C4CD1033C0AC1E0096F3006AC63055530066FE009D269C14245541D405EBDD848C9B5493505DB8BC4827CC65D1520684A9503325DC0B8100C71';
wwv_flow_imp.g_varchar2_table(16453) := '100CB8B00DA3F0AEA3B00AB8800B7D3AC3343C532DE00122B00127F04DD21D414C3D41D3DD62B496DDC216D5C356598AFFE573A956BBAE86CD3EC402DF4CCD6449560DE658635DC58A7A43B3666C55F7D55AB5D6BCF68E574CA1154A6A68388559E7AA6B';
wwv_flow_imp.g_varchar2_table(16454) := '1C0211F0006D886D6AC7D7A639B517F5D781ED9020256F6AA491122EE12DC0C77F08D091FDBE2DB0E11CDE0230B09A30980210F006A5720F891CD113CD528B540172300A575035A07D38A27D05B710077066543F950349E90349298A461582B6696643A0';
wwv_flow_imp.g_varchar2_table(16455) := 'E38386C143C0E39A574820CCCA316C065AB0B99ABB067120E55890CB2D455320D0DCCFCDD4D14DDD498D44E384444CFDDDF8546B03D1E5AD36102590CD0551E6300B8DC31BA05D7D1046687592D558C6F6D4E17C5535C6D4637D97C1FBD543BBCD51374F';
wwv_flow_imp.g_varchar2_table(16456) := '28866236FFCBB1FE5DB4C726ABF18C636DC787074EAC6A0780A8699198AE911639E11A09007CCCC7C7C1C7EF2BA3F797A31B7ED81CFEE1929D7F23DED026DEBF0481D98DEC018A54013EF00756933C6FF0067DF0E257F0073E107091E4026BB0064AD0B9';
wwv_flow_imp.g_varchar2_table(16457) := '71E00380B0054A50ECC6EEC8056B0657D0086B3004723004B54CEC6B50095780482F350274BAB05A20EE05BBB0055BA75BF035DB8948FE6AC32724411D74022700DD4C1DEF631E57D11DCC3E94410050D5555DC4DF0DAB6D0EB33FD8DD4998A8CBB77C42';
wwv_flow_imp.g_varchar2_table(16458) := '17C43E3C9F78E58D24071942F4B1FC15F1893983C9347DBD466240CBE772AD75684CB42B805914616D094991090E9AA8D97F02185FE7E649A27E7F02FFA1407F58E189C8E9383FE1A2F9E1AC4EE2880CEB68B20E8DACE28A6405666005483F0657330666';
wwv_flow_imp.g_varchar2_table(16459) := 'A00420A0DC1570055B200139200712E003C52E074FBE0683B60612800557B0061560062E70EC55D3085760063920F67C768B893449A91B7003375D1987790070DBF0E341F54EEFF41EE66E3510D02DD5DEDDEF845FF8D29DEFCACC4D9986F0F1B97C55E7';
wwv_flow_imp.g_varchar2_table(16460) := 'C3EDCDBB257744C05C74B12B8FD2C85582C54EF074E81E3F8F2B508FA17F8F36C60011C003099ECF0398F3A4F9499E94A3921DD9083D102650EA39AFE92AC0B5A289D0AD7E2427EE4700ECC8900BA72E30B07020BA7FF006A2BB054F7FBAFD7A055A70F5';
wwv_flow_imp.g_varchar2_table(16461) := '7130013E30B0D33EF500B0055800014EFFEEF56B80F59530367D2A074A2007EDBEDC972749A7CB70BE38DB776F810524011D24E6F4AFF72804001E741A819FEFC03C61001102C0C0102B069E38B142A1C1810D1D3E8438B0060B1C3A1C5AC48803808E1A';
wwv_flow_imp.g_varchar2_table(16462) := '3556D44051038048001F6BE0D05851C74A8D1A42BC5C1872E04A9A002AE200B902C58A953C962041F2B3C7121E4597D044D9B1E3C715344C7AF45842430403288810019255EB56203F76D8000BB6458B1863C7A668010380091026D87A80FBD00300B826';
wwv_flow_imp.g_varchar2_table(16463) := '52DCBD6B370508182DF6C2480157B0870468EED1BB978F5FC487F8E2AD3323A143850E932B540091E3CDA851B83CC5F1010244871123487770B106F49638A0D7B888B3464B9C2B58FF5ABB68A465CB162D3906FAD02227C79ACA232C982E5D59F9F2CA0D';
wwv_flow_imp.g_varchar2_table(16464) := '470C7CFEBC610500D40180F02061C38610DC5D7EEF0EA0BBC00D00369C10B862C38A84254F8827585020FC810619327ECF18A2C6863AF8934C8A0500761A89219D4EB289A6956AE0EEA58212FA68269556B2C9239D3EE22FA81D965862281D98E0E1C3A4';
wwv_flow_imp.g_varchar2_table(16465) := '94F2C829A74854E884A90CD880881FB8D2CA2B20C212CBAC16F8C2912D13D68A4882B906E200020E24E000AE22074352B02229E0A0B0C3125B0CA27F1CC2471EC82418EDB2E52A90CC051726138DB9E27218C2341F5CB0C085E872F0AD02352720D30200';
wwv_flow_imp.g_varchar2_table(16466) := '2CA860041754E800803CC5244D4FE51ACA534FC64C1B883AEBE8A260FF030D141D4FD106B9334FA097D64348A1F5D45B48A013CE7BA83DFB6800005487E603203FC64242E1A19B12BC09A4862C5C68229B26F4AF8610347029844A239CB5269414DA69A7';
wwv_flow_imp.g_varchar2_table(16467) := '937A080A281E40D4E1289B246A6AA1A66840B106A9A8CAE0861D80B8D6066C67A4B1051BCE4A2B47EC909C202E002490800200D495000008DE85970279292072C822ED0D32DD779D444C31FDFEF9871FC7AEAC8CB2820DBE2C613EC51CE150410BAD6082';
wwv_flow_imp.g_varchar2_table(16468) := '0AE84C78620B2CC8F3E20E30FEB3B83D9BF3F36191F594CED081B08360D1EF705DF9D1EE5C6AD0524B11126F8597087A0FBD830C04B52351C59BD4D4F2EE6B285500285A56558E405A8AA09870A2D5BF15587610FFA1F6444229A99D0E3CB0866481FAA9';
wwv_flow_imp.g_varchar2_table(16469) := '281D42D4A806509B45BB59586F65C080084CF88AC6B05AB8C1C6BB6068AB2D13069BE0DC7389047C481FEB259249210337D2037A0D878002782148A08C79E8C1879F28FB614C6078AE048132CF2DFB7C4BE54CFB9374413BAEAE62D52FBB782039A91B7D';
wwv_flow_imp.g_varchar2_table(16470) := '61CA4E7F38D0D31DAEC083941F60B9775C4995543CEECE4B883CA01B7ACF3EE4EB1B085AA51C3A8FD4834A8AC8A090F84B3A6BA63D3AE83C604F8A1A07157B7770BEED738A89698DC6FEA9C3A3401C6929A756282156A614BA3582B61100E006B9BD3DCB';
wwv_flow_imp.g_varchar2_table(16471) := '5D5AC09614F0C803E3F29B8FB21397C1B8C52D7A43D2DE1CB8B7C2A54B5F8E6B5C61E4D1AFCB65AEFF4A049B0C730C56B0102E8774B10B540AF5B43A165EA63A853A9D98FC643B1AC63075B893C00378A701DEF590873EE4DDBA5436A9461191209D920F';
wwv_flow_imp.g_varchar2_table(16472) := '7BEC470351B1A754F2611E7788E61085B8CA215E4B094E9A5610291E286A1C991AD5CA3790905C287D1F6181D756321424F824444B339BB3E4E811F4282A02FA3380013810B7B0D40D3080B98E03B1B3B7240966200F840160CCD29745A6003013345290';
wwv_flow_imp.g_varchar2_table(16473) := 'E63549C7512072F0A09CBF30A79F0F46264B9609E10817C6B01A02AA85A7C4CC4052B8A7EBCCD04FB08B61732A16A80A3C00023AE4612E79C7000C008001BA04C00E35009FEFC0E756D2335EF2E4C8C4290A6F53F5E9CE094A509E123C24260DFF49234A';
wwv_flow_imp.g_varchar2_table(16474) := 'B2B91486ACA73B26419A82FC8302DF2DEA9BF59163B0C0274EF7BD518B725C810816721EEFE88F016D63000576B003B2D0CD2F844CD2030FC8161CD9C8062AD867B6AE85ADAFCC682C8F3492BEDEF500C751D4A28D43C017E0518F7AF84B3F03E9249642';
wwv_flow_imp.g_varchar2_table(16475) := '49425196F034A46C4E739E033A5456AC738562654C5DF9C992B2743A12809C067EC9800760E001BC4CC03D7BDA53000CB39CB8FAA83183B7CCA6EC8C3E360B0F7A0CD29EEADDA78CE7635E499458458AACAF272B4181A27638BC862C04424FC15AD6C6D6';
wwv_flow_imp.g_varchar2_table(16476) := 'C6A38C4858722C017A6E35957BDE33021485410C0AA8172535306F6A010042B5852D17C0282BFFF34B0ADCA2A47461F05D14A028FF64E785D12F6C104A99031800F0410F7898C103A531CD974E035AD27AA9346A52939D540B80E8480750264D292B59FB';
wwv_flow_imp.g_varchar2_table(16477) := 'B195228776AA24542BFB0482DC56A73920686C2ECBD9C38818B53C8E8A94A46E36BDF66CED7CFF11C9D68205AC6AA68A0528101049521512010D84222C50D04D38A283EF767526140A91D8C82B0247AD470428C06E7CB18B929A008007E7250A51DEE89F';
wwv_flow_imp.g_varchar2_table(16478) := '004DE4BAEA5114AEEE38E0076C27918071A462056317108C25060068C142B132042014C1B0D8FAD6811D88A47BE1AB701CE0009342CC240A10A60C1B5D4C3F2CF7D17CCC631E664800BA643C631AD798C61FED9B43DAF590BEE518003EDEF140761C6422';
wwv_flow_imp.g_varchar2_table(16479) := '0B1902ED82400285FFEC2E0024200179847294A17C8003180000792400000840000310E00003B1B201AA4C650050F9CB0FA96B5D93BAE63533C09E00B8AB4F07325400F8140311C0402F8BFA8060C2792A3AFCA9940DC000FED5F58E3CF5E95D07C23247';
wwv_flow_imp.g_varchar2_table(16480) := 'F50ECFFAC3809B259D472A6F390004B8F4960FC065042440879E7E5CBCD6B53805D6655C0A4497631FE06404B41ACA5C867597B70C6B046CB9CBB5AE350110100034D4431E9853313F363910CC095BD8F8B0C72AE0A01A33C4010ECD36C3B2A5BD06699B';
wwv_flow_imp.g_varchar2_table(16481) := '81DAD79EF6B3B31D070098C1DB00C0B66AE2F06D33807BD9B189CDB955E39037C0C1DDEF8637BCD9DD6D00BC010D682843BEF5BDEF3130A60C63280300FE2DF0FF7E03A0E006FFB71DC6A0703B94A1E1007043C425CE668AEBC70D0D794343EE00808DDF';
wwv_flow_imp.g_varchar2_table(16482) := 'A1E31CBF831B360EF27A8BDC0DF61638BEF38D0637DC1B0D0078F91DDEE0F19103A00F70E8C3C6FB00F29CD3DCE42177F8BFC73074A2133DDF1167F91B941E6F77B7BBE9EE3684BB9DED74A557DDDE68B87A195E1EF07D97E10B5E47C317C41E76B07FDD';
wwv_flow_imp.g_varchar2_table(16483) := 'EC5ECFB72BDC418FCCDEE31E9BCCC740D80180B9B3A31DED58073DD6510FBDD343EFF38847E01F13F87508DEF0821F483C1CB28E81ACC3F10D293C00182F79C6575EF2F488073D006078C60FFEF086977CE025BFF9D1AF031E0090C706E9917AD6B35EF3';
wwv_flow_imp.g_varchar2_table(16484) := 'A81FC8EB1FF27AD93B441EF0C07D434EEF9027C9FFE31EBEF73D00F681FAE10BBFE20319FE3D88BF8F0DD623F6F200C0EBA10FFBD66FD0FAAB3F0C62DC1EFDE8DF431FDF073F471DA2797AF0DDEFD02FBFDFA56F7BE7A3FEFAD577BDDFCDDF101703A0FE';
wwv_flow_imp.g_varchar2_table(16485) := '2EC67FFEE7D110F5FB3DFAFDEFBFFFBB3EBFCB3CCC93877870B1783840C13B407A9887D36B070088400974878168BFD8A3BFCAD3C0C173BCC2EBC0C7E8C010F4C0C6233DC5233D87788C1334C112444187383DD133C1154CBC88883C00C0BD1BBCC1DBC3';
wwv_flow_imp.g_varchar2_table(16486) := '41DDB3BDD34B3D78983ED61B087780077730C22374C1EA63B3DDA338E89BBB8860BDDD63C281803E25040077B8BD81D8BD2A74BFD83BBFD5BBBD2CE4422A44BDDC23421CBC411B24C3E9ABC0FF0ABC42EA8BC21FB4C130840705E4C0C7B092BECBBB3DEC';
wwv_flow_imp.g_varchar2_table(16487) := 'BBD503C32804C275D0C1346C083ACC422D3C3D00843D8870BB46B407647B447B884449A4C44AB48778B0444A040049DC44FBC33FFB533C13DC3F7BB83FC5DB3F87C844529C077B38BE1614C5C9E128F3FBC2F7B32CCD533E0CFCBF35ACC2E9C3455BDC87';
wwv_flow_imp.g_varchar2_table(16488) := '5FFCC587E0C5565CB37DF83E5994BF583CBF2A64BEE1938766DC875BC4877A98467CC0877CC0C66CCC077D5046F543465B5C44DB433DF2FBBD6724BE674447606CC4EDB3C67674476D540C6B84C76DAC076E04C07B543FEEEB44FB7B4477743BE7AB077B';
wwv_flow_imp.g_varchar2_table(16489) := 'C0C658BCC0C6C007B773476473C754A4C4556448568448FD38C5E3B34448B444FF4CC4C44E8C4888CCC88778448EE24682BC4700D087C468C476DCC6EF2349F03BC6F45B47EF03C66024C69944BEB86B885864C9461CBE9D843E6854BE84B446CDCA07A0';
wwv_flow_imp.g_varchar2_table(16490) := 'C4076E3CC663143F00D8BE975C478700467AD807A88CC96704C692D407CB89122A21CA771CCAA234CA9024C8B0ACC77A34CA79C44600304B9B04297C6808B50480156B088159C887A44B9A5C4BFDE84749B44649E4877FC0C84B044C8C2CC14BF4C84DCC';
wwv_flow_imp.g_varchar2_table(16491) := '46960C3F9574087E304BB4744BC42CC997443E995CC366640C734C2ACC7C887DC0CA816049C510B6AB648C9824B67E30CDD344CDD3EC4CCF84CC816844D7644AD0344DCB89C9DAACCAABE487EFB3C96CDCCB49A444C61C88FFB35C49C5844C7D184EC4C4';
wwv_flow_imp.g_varchar2_table(16492) := '4AACFCBE98FC3EB8C4877D604B8A93CBCA590C7BE007BA7CC8A4AA8789D44AFB7388FACBCBF07CC8BF0C458800CCB74CC9A324CB630400E733CEB4D40FF063CA5B744DA7B4CBCDA4BEE213BEE13B4D960400D3C446C5DC4CD22CCDD3FCCFFF4CCDD9CC4D';
wwv_flow_imp.g_varchar2_table(16493) := 'F0EB4A7644C883BC87845CCDC5B04DDB6CCD6C44CB850CC880BC46CBF197C5F04FF7FC4AF564C9AC544EDCB41CF06B4F6B4C4A8AC350C75C0CB7844794144ECB994D6BB49C84C4CB80ACC40D1D084DD42C1CCDCE88FCD115FC07EA5C50961C4B157DCBE4';
wwv_flow_imp.g_varchar2_table(16494) := '74D288E807FF748861634CFDBC4F36FBC5628B1296DC24D4C44ACCC9ACD57C08D34450D51436150BB6D5D4C6FF5FD4CDC548CE86E8877F304D39ED875FFC877DB853278D51A5ACD1CEC446ACAC9C0445CDFF4CD2E21CD1F754CB006D4B88F028FD70C321';
wwv_flow_imp.g_varchar2_table(16495) := '7CC323344234CCBD87C8BD1D54C308BCBB76B0BB4DBDBB359B4088D854873042C628552D6C084FFDD48670875065D5473DC2227C434F2555497DD4A49AC047BDBBBAA3BB5EE5555E658C29640C559540551D555675D422A4541BACD437BC5466A554DC3B';
wwv_flow_imp.g_varchar2_table(16496) := '43599554698DD6495DD5356B435B3DD587B8557600D78170D5B923C253BD41247CC32B6D4F8264C5FD03488E62C59B0C4B8AE3A891D40FFF53D7CCA4BE70CCD77E5D332E1C467F25C691A43DFF13425E3CBCFB8CC5350B40818D887C3087D32BC82B0536';
wwv_flow_imp.g_varchar2_table(16497) := 'FF6003988BCD2C8C9D928CD5D88EF5D88E0580297158BB1CD49135D9931D59411D36949DC98D15599605807010562999C97C085898C5D99CD5D99DE559FD205336CBAC942DD993EDCB6B608797ED577EA8877650BEACECD9A785DAA8955A36EBCBA98588';
wwv_flow_imp.g_varchar2_table(16498) := '41FDD9912D5A7570DA7CE5077A60877A40DA87F8588708DA8138DB8648DB3945DAB55DD904B5DAB8955BC628598C65DB294DCD0235D099FCD9B41DD390454DBFFD978B35DBB17DCB7FC88674985888E8DA35FB5A76B88780E9D7B69DDBCAB55C93CD5A7F';
wwv_flow_imp.g_varchar2_table(16499) := 'DD5B0485D2BCAD3841255AC43587DAA35815AB07C8BD5AD4E44FB885D3958D083A7D4B95655D8D0D598F6DD9CBC5DD7C15DC8ECD5CBC655BFF8C45DB8F75D97F9044E29D9204BD53AC95DD9D945DD91D88C5485CCAF928D7FD28CB390CC8355CA7A4CC88';
wwv_flow_imp.g_varchar2_table(16500) := 'B84E7B205EEF0598FD93530F65CC3805DDD42D5332655DE93CD087685C28CDDDF8FDDBE36BDEFA0D5C8051BC4744BEDCF450D074527BB04DEF4B51F0EB5FC5F853313DDC6C18DDF79D49C6BC87D38DDC8F02C68FC2D8790018F025DE908DBB8B9DD3A16D';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(16501) := '5DFBED5DC6883BC6F4D8BE245C62E3DCB8CCDA2871D3E735366143CB334D5FF97558EA653310AEDFF6255B8E75D9DA15DE1F066280E94B05A607B7BC4F0786E0EC45BE132EDC9055876A78067580876E900780090771F88776C0E27030876C7886A3CD07';
wwv_flow_imp.g_varchar2_table(16502) := 'CFF55D1C4E2A972D077888D3FFB7445B75B04560FB4F914DE38C45DBDA55DB3A8ECBF40D611AE6591C06E17820050008832C98830B98832C08E4412EE4303864423664413664465EE4446EE440A664420E8371C0C48011DD224EDA7C7860A6658C8D8507';
wwv_flow_imp.g_varchar2_table(16503) := '68E006E32CDC7CF80764200008208268488174F80773880022F8075BE0026120826140801DB8867F0863031DB6D96CDE33F5E0F6CD6257F887708886D1F5584F08078081875B00DE8108074378865866866C7005CCC90664300466800743F0047688044A';
wwv_flow_imp.g_varchar2_table(16504) := 'F88767788367EECBF5D5E33DE663FB8D0730108086108001A8677BC6E77AD6E77BBEE77C1E007BEEE77F16E8811600019885C0DB582266E09A753B50565B91ED4B6EB003FF28388372D8448D8DDC61500257F88268200273F8875828832A080764480225';
wwv_flow_imp.g_varchar2_table(16505) := '888670D8816C7087D3A45360535A644CBDE853BDE60BE3BF15E67F50073FE8876CC8846CC08648E8664FE0876E600437E8065BC8046228826C18864C48872BFC075AF00477F80762B8066200057E68075728877470055A0807570859620000B1F6847F78';
wwv_flow_imp.g_varchar2_table(16506) := '3B766E67BE6DC57776E99776E97D888744100007808881D6EBBDE6EBBEE66B01D08573C85885B6639AF4D07B706829F98750E8035540845C10D0E0FC076648000E408369F8812A1E834EA002A136000F90877040801EE86595055B7540EDD4466D76486D';
wwv_flow_imp.g_varchar2_table(16507) := 'D6660777A887CD2D5380A9072E300437A88454C8045A3007FF38300460A0047388846BE8063F700550C80600C8045B10872A36074F70057648857C68076986E2C9B60562A0876E88067848050090E65B305FB6C6DD3C1E364D82D39BD4E13B76E114F352';
wwv_flow_imp.g_varchar2_table(16508) := '62866BD3A46B390000050080021000FC2E007FC667BFFEEB7F0EE87E2E685DC8E49025627F65CC7C80E07F39864EA805551806537608541E862360060EA80419C00671408907A8025BF002A5CB061EC8063486DB7E8007733007D45EF174480775308774';
wwv_flow_imp.g_varchar2_table(16509) := 'B8BB7460ED748087B14DCD2981837E60864C70854A485C37B00573F8037A880457B00538000550108732B0857260077C50EB5A46065BF88774A085A93687721886B34E876A1886618087740005EF96EBFF62BEDCBC55DFB80E18981EC697B61C8CE587C8';
wwv_flow_imp.g_varchar2_table(16510) := '0598112E368051B17B786100B5DF7C8807367000051880FA6E834768830110747BC6EF82EEEB820E70817674481F00FC26F07848E80546F07C005BFAAC633CFD0607FF846F50CCC53852C44D010828836E708B3B80030048873200053F280725C80423A0';
wwv_flow_imp.g_varchar2_table(16511) := '802E8F6D62FE4F77D8F261980675E8062E56608B1E0671B8856BB0F1CDCD717648EB70788561A0855EFE717940063F300464888448E8F16870854C1087AAFE075040836CA0052C4E076210872C4F053F706643406E3F888470A0858C6B73F2AE5C959D61';
wwv_flow_imp.g_varchar2_table(16512) := '7778069016D923CD040020864C583DBE2BCD6788C07E108770603B0DA6877E68875FE360FF218ED37A57597E88874AB8EB416F83390080396883FC2E800B500005B8009167F4932FF90B70749277F4947780822E8098076C4B4F604CEF6479405D3A0ED9';
wwv_flow_imp.g_varchar2_table(16513) := '9065BE63F8845C483DEF53E320D6073CBFD82A0E531B7569785087488003E616813710072F100762F8015BF8034318F25F6B5F41B55B548E537D80E52CEE4BDC93539B65E329F9DA7680075B68F8908D866CF8877A68D57FA862D46B077CE807E8B3F7F2';
wwv_flow_imp.g_varchar2_table(16514) := '6E5E54B68532F084182F0775C80676C804B604055760FA7F280771888427BF7173008061800375E8077A6807B633845E56876B68077E28876C28BF6C50078A9F78D4FCF3FAFEE739B0670068830B087453B8804778842C70800B2001FFD9BF802C680053';
wwv_flow_imp.g_varchar2_table(16515) := '7804DA770012C88259C802DC0F83475084DC0F74FC5600020FC64D1658C6C4794EDF79E3BC5361F884638007E38C12DB454BB2BDE80BEECBEB8CDDD9FC0778680743A8027548052B708367E00271600618B0053FA0FA64D7E11C67DBFB05087EFC0010CC';
wwv_flow_imp.g_varchar2_table(16516) := 'F70F00BF83FDFE31FCD7EFE13F7EFDF2E54B088021C18B181D12AC07A0DFC78C2033922C69F224CA942A4B3E6CE9B265C25BD998812A53CD13005B7F0E1274452B9B1F5A653C794A950D58263F685C65A3250E403A5ACCD271C994EA169C4CC452656AF7';
wwv_flow_imp.g_varchar2_table(16517) := 'EF9E4B8630E33512A060C0803617045C50E4E0ADA236971E2912A54B972858A6E634789425CF2C53BA1EE9CAC269D620FF5384E73828605600B578FFF65DCC668EDECACC25F9E593C7EE1E4F82FCF4310CF7A94F9F4590B8891668CF5E4482F8EA71D647';
wwv_flow_imp.g_varchar2_table(16518) := '10E46B86F604FEB307C05E3E98FDE09553E7E78D9B244A529551478C8BBA72709AC3FBF8D07A5887151D2EC46872A0C27E02EF21BC2790DEC8DB20C5E7FBC85B7DCB909AE7D3AF8FFDA5CB7AFF6C55490520D53F8CFC93CA1BA145E2872B9EF0434B37AE';
wwv_flow_imp.g_varchar2_table(16519) := '5C030A31AE80628B3AAE10830F00C354E2C93586FC330C28D9FC134936A0A833117E2EC5C38603670D70C1236D3CF248038E5D30D81C778591C85D8591F0481873CCA24B188100299829B3D0F5C8050A28204001914D56D96508D9A752679F99F48F3BB1';
wwv_flow_imp.g_varchar2_table(16520) := '8C418517FF62885185189EA4139B680DD1C3903EFA90D7D04670CA29DE3FF098E3C91D7F94714D267F7001892B554412C91BA0B0234F8A2FC1494F70F0A0470F67F754748F4719C1A951432149F41067145134D07A295E392AA92225DA1268B678F24F34';
wwv_flow_imp.g_varchar2_table(16521) := 'A0FC93C92D941094C9344AC0F106317E8893892D9588034734B47812493D8644135124C3BAF206323EC1EA4A3F9ED0F2D5A9FDC403468B68B115C605732CE0E405B38411868C40C6688A033FC67881296D84610ABC33C6380793503EA94B3C94256419A4';
wwv_flow_imp.g_varchar2_table(16522) := '03955A5296E45D9426325554318617618E514512B90040D9765FFDD30E3B00B803003CB6211ACF42EC88234F3BE6C4238E39622D64A738E2A8938E3AFFE694234E382F8703B33AECA0572D43C418222243AE3073909C1B89630832FD44424B3FA978A2CE';
wwv_flow_imp.g_varchar2_table(16523) := '357E9883D04BF8488D4F7ADC896ADDBF59AB145FA20915F78F39E180EDC93391548206329940280F31B794934C38EE64D30EC9CF54F8B43C62FFD3CD50CEF9F10A3DDD8002CF3FC17567F243D702A0400100683B8000735C30408B8C3FB9560105287041';
wwv_flow_imp.g_varchar2_table(16524) := 'E59537096EE58C6B9EB9000DCC120F6CFB5EE62F41DE917A8F67026794102807A37147197D943146129100D0E6EFFF94C8AA2DEE10B39F65D7B073CB3FE50C334D54D934758B3A11ED364F3B35D70C803ADCBBC38EF6DFBB6378D76047A28EDC8684630B';
wwv_flow_imp.g_varchar2_table(16525) := '33CC2C2D6C34ED3063CB9A2E7B720BFEFFCC40928D3AB0820200F938850F7E0C303DA7D21A02B7761D9C01E04D98210831C201925764E3230EE1C94230350D5BF4A31E0B59933C32B11062FC8C340ED9D4A9AE25000700207305400B5A2607436DB97000';
wwv_flow_imp.g_varchar2_table(16526) := '2F7C210C1D632F17320E4A3C14002CE22119D53D30810D8C1DC08477872A78610C0B4B58199EF1B034610314EE780633D8818C76208318D908873988918E6CA4431EEB70C534C4F10C3246848009E10C3F2455914E7DEA53D5BACE3F6891097E880314A0';
wwv_flow_imp.g_varchar2_table(16527) := '900A506CF186A6306318D100C9DE80910E43A4C21DB6200833E8410BA855AB75A17A89113349923BC6675303C9473DF4C3936830AA1FF6A04D45FA611E4FADA970A034C842A4D61BFF0FE28351284CD13FCE812D16362E73337CD12F8319436106D3979A';
wwv_flow_imp.g_varchar2_table(16528) := '0322EA7A23BCD519318EF4D0D296C2418B5450B328B1088795D2240E5B5CA31AEDF30433AE214D663C836CD3604735AA818C7894E32A84138840B0734B4E260A00FAB906236E712057A4C2157E004526FE718D48108E20E2609E2D8E528D7F882312B788';
wwv_flow_imp.g_varchar2_table(16529) := '0A25858342535D4D9399AC6466303412AAB90425624108671EB2A6C3B9649E8A529C021CE73801400E4A0270A963202753C7E8F0A52E859C0B35E7A41596AE01411CE23231C33AADE5E399959A0F9A2C258E2F666318D9604736A0010F66DCE21AE5F8A2';
wwv_flow_imp.g_varchar2_table(16530) := '2D86510E5744E38BE2B8C63F6803CFB192159E77DC643FD8E109A281FF6250B648502412043643C82312B0F1841FD8C788485CE30F9168E71B2468524CA2243E163D6C7DD223125061E7248A55147710C7C9D704230B00B80041B280D92C68B6B39EBD00';
wwv_flow_imp.g_varchar2_table(16531) := '67411B5ACE7E96B4A2BD001848C0591284011C42041ABF864AD47AB0E3A824091A6C32D59A7AC8E322FCC00C43E8411A461D241FF0E8DEF7E2D15BF3947520659DE3014DB29096D5491C92E2923AEEB12662D8E21FEC58883BCC71A274C0A31FE660C73F';
wwv_flow_imp.g_varchar2_table(16532) := 'E4918ED6590D3F887D2F02151B12F9CE879EF63D88107D03807810448803938C327B638F7D08315FF64826800B4CE002C7E31C0C860D42822ADBAC81921DFA3D093F7C13B4D9C5D352858D0843FC251E7B8887ACFFAD21EB1C1B6B58E976C7201CD1C845';
wwv_flow_imp.g_varchar2_table(16533) := 'E8410CF48646213C39884524CBB5F5C0B7C717A5AF6670D95EFBFA661FAF81306CF6718F7BEC631FF270B23C9EDCE429EBA3C94F8EB2959DDCE4360DC41E0324091135C98F7AB4C3B660C654882D72A58E8A04A4F1F4578787DAE14DAEA4C42A91D36D4A';
wwv_flow_imp.g_varchar2_table(16534) := 'A25B4452F43A58F331A0EB0BE47F11D6BE840D1A8EF521907E4C99CA04015E9B1A2DE97DD8A64D9F927350C57C8F32039ACD1C5E74A053D21EA0C1D8B17EDE5AA853ADEA1D9F153EC2E114D65CF31B7E347AC28FAEF2A429B30F13835978E5A04D3339C3';
wwv_flow_imp.g_varchar2_table(16535) := 'E993E8366B84BDCD5807ADEAEFCC79767596CFB2A3DD638CE2C7758ECD086C7213E7B19E78C20399FFF4946697E94C0A5B767AB6B6A54223E853BB87539E96F6669A2D9A67C3BBDE888DEEBF74731165D3671F93F93765C44D46488D0A9EDFC9873BCC7C';
wwv_flow_imp.g_varchar2_table(16536) := '58AE21B0B906CF0CBEE32DEF60379BDDF6B60FBF09ED5EAD2172C587E58CAFE9510F7C7CCAD9D934B563E161EB8BB33CD41E2F75CBE9A3EE98AF0468C5B62848C4F1EB011A0ED999A94E49E0210F78B043E846CFC8D0936E74A5337DE94E6F3AD49F2EF5';
wwv_flow_imp.g_varchar2_table(16537) := 'A8F71681475F09D5A78EB1AAA304E827C93AD8A72EF6B0739DE6A4EA6DD331068FEAAC7DED57423B00E05E769278461DED68873B2E76F5B99BBDEF7EEF3B3C2E76F1BC13BEF0863F7C49F24E90C2DFBDF1ED0080E3E98377C513E4F1164BC9C5FFD8A1F9';
wwv_flow_imp.g_varchar2_table(16538) := 'C9533E33AE39F299E72D354F55E4EF9F76B8C30146FAD57BEA4AA83738EBFB9E0F739BDE3E4B2E49A542A97BDBDB871EBEFF7D3D964C9E25B727254706FD4AF0217CDAD37C6ACE7F3EF49D4F90E553BFFACC5749F4B3AF7CEAD3FCFAB5FFBE66B88F12A9';
wwv_flow_imp.g_varchar2_table(16539) := '1DFF35F3F80DFAE771E106127FFCCF6F6026976F92D66BBFFE53BB3DFBAD6FFDFAD81F4319C17FF761D8CA811F019244F195C4D4989F3D9C9F7F11C4810180FA9D5F28DD03C9B19E054E9C8FBD9E060E9505AE9ED6949501B65E019E44EC5158CC1D20CD';
wwv_flow_imp.g_varchar2_table(16540) := '79D96BA0DF4A2C5F074A8D6CF89F49C0E0A890DE9249CDF0991B0DC660FFD1A0FE4DDFFED90706861A6560C80B96849701C0F691FF47B3D59ABF081FEE8D1C86AC5F41CC5FF1091F01012186E5DFF4751BEB145F936D86A73897EAC9169C0190077E1245';
wwv_flow_imp.g_varchar2_table(16541) := '9C5C66ACA16C540445E0C329CD613DD0A13DDDA10C22448AB521C9AD04A85C47E97514B7A59E66B449C699449B2462228A06EB0DD600A684C565841B229691FD9FA4A0C4A43159C0E90328D9061B2A594A98DBA5FD8E40846190B11777341A413459EB85';
wwv_flow_imp.g_varchar2_table(16542) := 'D821E6D9070EA06DDDE0E120DA86E19C680C10192A612A0DC4C8E5038658DF245A613E2822F06806452CE23102D092E9DE04929E4000234A84D2F8A5D850295C66C0CEEF6DE336EE973CC4033DC403931184C89D44F5FDDE3E88076F558799E50B001411';
wwv_flow_imp.g_varchar2_table(16543) := '41F496299A04148EFFE32696043DF4563EAEA240B4097904DC3FCEDEED091F666C940CE2C3F9FD06C961E019CA2090CD1C000081119C441270811548811578811564E4466A24475641D6DCC00F9C04110001119CA4499624009C244928811500001764C4';
wwv_flow_imp.g_varchar2_table(16544) := '4B72A41758644D6A644D02C04BC62441C4244F6A8D158C017200C0EDA00172BC0100B8010020E5516644532A6551362551BE815156255512841BA001496465526AA51B944149784146882500DC2400480159A284111CC1449204121CC15B1A815C1E015B';
wwv_flow_imp.g_varchar2_table(16545) := '96E40E44A4111041154801493C81129C04480A410F00C05D12C411188CC13C011325411200C01870014F0AC1480A01618EE4591A8C1454816202004856C111BCFF24480280113C416612C41780A569964119406646A0816AA2A64980E44BAEE45F62A449';
wwv_flow_imp.g_varchar2_table(16546) := 'FCA56604806EEE266FF6A66E1280D604804910007102270018274118A77042400BC4000C10C40DDC000048E70DD8400CDC400B00400B48670C10040CC44077822700C080748EE77C446774024077AA67493C277B66C47AC2A78FB92749C8807D02800C80';
wwv_flow_imp.g_varchar2_table(16547) := '2778C2C073A60041F827051C274A6040041044041C280360000344000310C4012027001CC0714A68460400721A270108A77096448696840198C40614288566848412A7831E2770A6E8871280017CE803908407708007000007D068466C8004C828079880';
wwv_flow_imp.g_varchar2_table(16548) := '79A244809EC487024002CCC78B3E400214290020FFE9032C29930EE97B39294140694948E948020110582641A8E4449AE4955E29008CE40F7069988E699792A99912414496E49812041044A49BAE249CA26949CE2997D2291160299DAA8465EE0010EC00';
wwv_flow_imp.g_varchar2_table(16549) := '96AEC40EDCA50D00C0A07E696112E60DFC28496C804A84C0070080A302408122004914E80368C0033428491800A56644A76644042400032400A5166804BCA88DE2000EB000492CE882B62AAC0EE9911E2949B0400CF0C07B8E277F9AC47316EA49946749';
wwv_flow_imp.g_varchar2_table(16550) := 'A06A7D0C29A56AEA9452EAA7021A02C8AA90226B49804011A8009BB6A949F0699F522B98FE80B656E995B4A911F0E9496C2BB7B629B98E8A9512669B82EB5D5E2B9F82EB49F86946D880BCCAFF6B0BCC6B79EEC00D1C6A9412440868400894C40704ACA3';
wwv_flow_imp.g_varchar2_table(16551) := '06EC076840831AC001206C46602AA666860100A7AC2E2B00386BA766400690440628A8821A2803182B00682A02846CC892EAA892C40B9C048FA284BCEE800DB02CCB96040528AAC7CEC7B2962CB1922A49306B4690EA90D26702416902E86C49484011B8';
wwv_flow_imp.g_varchar2_table(16552) := '29B59604B94A64BB5EA9B87AA9B69629963AED97B2A99BFAE95D5E6DA012E69766EBB64E2D984EEDD1626995B22BBB12EAAF6A460BC880BCAAADDA9A840DF0A894FA2BA49204C1D62D006000417C68C2062941E0ED4AB0A84984AAC87EEAC50200ABD2C0';
wwv_flow_imp.g_varchar2_table(16553) := '097C6C81664483BA2A8312040384ECC4D6EC8DD628AF9AC073C28007A4AC76FAFFEA7C88AA94AA44C486EEB28EEEC49644A9DADBD1966BD246A49712049FFEC05D6A2B4158E6D766C49FD6EED29284BEEA6B461CEAD552ABBBFE6ED6B62B9FB6EC95B400';
wwv_flow_imp.g_varchar2_table(16554) := '0CF8EABCB2AD0D64A7E71284F212C4B2460004CCEDBF6644DD7E00066080066484DE02C08762C0A53EC0C67E6890A2AFF8066BE82EAEB0D200AB666C816AEAE3BA6AC7826C042040A8866A66A4ECE6128409CC680C446FBC4A27E77AAAB06686C4E66CB3';
wwv_flow_imp.g_varchar2_table(16555) := '36AB9336A893866A02934A0210C0901AE7872600DFF2AD49A029EEFA2EECF6E99B1244F4A66B44AA6B4482E9EC526DED92F0EF0A6F49146AEFA66BD6BAE9A0DA00B916AA0A1C2A016BC6D512E60F8330038700A36AAF063CFF2A4120F1DDE26D8322A706';
wwv_flow_imp.g_varchar2_table(16556) := '30B190328001682A8B02E7C3B628CF46A9040FA9914640E102000D546A49CC6FE3E62F838E6A192FE94A04B049988009A86D75C6B10DC43100F827492080916AD2ACE631FFEEAB10AB840410C4F5EEECF7E5EE4A50EBD1AA2C49BC2EEE9E2BD29E301030';
wwv_flow_imp.g_varchar2_table(16557) := 'EF0D47324AACEEA082A90D18B249242BA42A71497C2FF832C088DE2D282B28A7E62DE092847142C004B332412C29A3E2004124AEE23668FD3E2EC77E6CE44AAA20C3A88C96448C06F32FCFC78C82AA900280A2AE0427071A08644433AF44E88EE008CF47';
wwv_flow_imp.g_varchar2_table(16558) := '61B669983E32ECBA7046B44076C6B009937022F3AED6D6307C3DF1130FA9140FE7C32EF34A84314114AEA9DAFF32FDEA6FA736A8FE42E92093040570408072408D0EF3A870C08B8AEAB08E4A1E3726A9E4B134AB1AD322B249B469F4E2300E97C4F146B2';
wwv_flow_imp.g_varchar2_table(16559) := 'B4AA0025DB1BF96EAA14B3B30144734A586E49B8EAC796B4E376AC811A28AA3E403E9BC4F506728DC6E89550C0F55A2A321F16AD1AD10557B0935AF0FA0A68017629ECCA6EA984F321037136BF6BA0BEECDF210007DF717DB83300246E046CECE296B1FE';
wwv_flow_imp.g_varchar2_table(16560) := '2E6856936A1FD3C704D4688E5270C92A2A0780F4C53D3584028004244020AFB504B4B4DF95699996CABAD675B5C2309B4AF4426B063B97C4F50E72099C04835E752D9BB1E3D2F3164F304A70C004FC8B599BF5C501ED4ABCA40FE8E4DF69F2B20DAA516B';
wwv_flow_imp.g_varchar2_table(16561) := 'FF2DF875F4531BD1606B2A560F36E41274B3962A6423F33FAB3540D347832A3600DC81D90DE967EB246E12C4100C0141142D00E8765C9B297CCD2E39FFEE43F7B0B48DB287F6B566E47449D0722D336E61CFAC18E3B14B9B448E16736B2FF708C2F56E03';
wwv_flow_imp.g_varchar2_table(16562) := 'C0170080196C2441C4414B827712980141FCC152128421EC354527B5711F723703EA1F071A2843F7A8CCEA316744604FF5DD32EEFC32AE569F04FD82F4AC06A8A242405867CD3E97B56CFB1D0814334B68ED2491C42FA47746BC0241F8817BF72F08D4F7';
wwv_flow_imp.g_varchar2_table(16563) := '49CC377DD4706182380275ACF99A2FF5924A1F872A035080739B84B1A274B14AAA56E7EFCE2EEE4A80B5E54A7887D3075CB72933248349D8FF318F5E38413C1200300341FC024EF497343FAF94D7AB8F95B8AA35E8139B6FE3968A932EB06B0FB6FE4E6C';
wwv_flow_imp.g_varchar2_table(16564) := 'FD966AA7FAB34AECF38C72C082337887E382498CC20EC4C153104405FD07918343755403412403326838DFFD38A0A7448A8BEFC172799897C417B72A9887362EA7C401A74432073AA954C36D9784EF104415340293A30131100438B8819B53C22D6CF8D3';
wwv_flow_imp.g_varchar2_table(16565) := '00C02D740323C0E4D44A3AA09BB3C776EA8A5EB14A242B17A7C4CC9EB4A466B54A3C3ACCF6F39AB33A0285A64C5E091A7038525A4198160110283BCB6136B09FC403706FA6E6AD06C37A15AFB34990EE4A343AF59A310280AC746784CFC22C8D42C08F36';
wwv_flow_imp.g_varchar2_table(16566) := 'F6B31F96B0DBC7774B2F49A4FF8005A43B01FA2DAC82AFACDF31072F7306F477BD8FF4A2432E8E8F8AB9973B82F3B35ACBFBAEA384E44E6CC452ADD5CA2EC4FBA9B3978448479B7F0EAA1D8FBBBCAB787DB4E829D37A3DFBB7661876FD8AF9BF5C6FA423';
wwv_flow_imp.g_varchar2_table(16567) := '73CA237C4A48EC85EE6C206F768777737CB37CDEA6B3F85EBB707E3CA56AB0D6742CC92BB7CD1F5690FA7C46A4F5BB4EB34AC0BB7F5A801038BDD34B6BB4893849F0B6CD8372E3F26D5AE7FBFA72726A2BBC8C7FBBD00FFDCF1E2794D6B6D668ABD59384';
wwv_flow_imp.g_varchar2_table(16568) := 'ED923DCD6DF4036F6A153B35CE6A70DD07A9B3B278AB8EBDDB678D4F677B26B5A907A3699B16C19FCA7CDF2F1B032430A506298B7E34DA13B2A44600BFBBF6AB1BEB9072FF77E26B12D29B84D45FF3A8B4800AFC80D4AF24E26F3E7CE1ED074C3B075FBB';
wwv_flow_imp.g_varchar2_table(16569) := 'F866F1AC8B6A06C4387493B62E476EFEDA73EE233641AC3CEAD3C75A871ABA17B965D6A949FEBE7D932FDE66EA14B7FE32F37DE5FF37B743EEC7EAFA8A836E46543CF2D3470578000854807D04F2A80C7F49F8A7510BBEF16FFF61912FE63FF54753EA03';
wwv_flow_imp.g_varchar2_table(16570) := '2C706AD33EC0BF2AE4BEAAB176AA1927C0A9DE34400010389060418307112654B89061438704373C14984022411B038558109202800A81457E10A938926449932747327800C0008282090C508C90602683040C00DC04802002829B0F4E248C809301D1A2';
wwv_flow_imp.g_varchar2_table(16571) := '3C190CDD3973224AA74FA1461D28218104A7458EFC1802E0FF08C1AE45A486153B96A1868266290E346092C50B00340C628830D06C430A14049A00E0412F07B27F01930C2070F0490B1E26704C9CD84360C78FC916868A134086B907100620A0190067C9';
wwv_flow_imp.g_varchar2_table(16572) := '071FA44D2B702D64D38EFFC449BD3A0E80469108568A44A95126D8B25D1B6C0480362582B601D8964D3B138048C36B1B471E69F769E7520BFD45E4A8102200D5AFFBB96EBD901F447EB06B27689D20A3E7E7D193FC27707D7AF7EF1FF733B85E3E7CFBF7';
wwv_flow_imp.g_varchar2_table(16573) := '51CA03200F5EBC7500E0C14FC001092CD0C0C0EA11C81E7BE601A0417B0080B01E7B26AC9042060FCC50C30D39ECD043F7F8E1E7C311492CD1C4B1F409F1C4155914CB9E7CF2C127BD7B00D0879E12EFFFC9F11E7D5AECD14713FB09B23E1285FCD1C823';
wwv_flow_imp.g_varchar2_table(16574) := '1FB225A1616E212B95540020869861681128162863E1301664B884068061900C53CC8122826025C834D060830D56F00B00BCCCC26BAE0329306B4D167478818718F6D4E18631016511060074E0B35081DC120B07B75EC81380171A350887022735880724';
wwv_flow_imp.g_varchar2_table(16575) := '963062A01F043202094D030D75C341751814B21A500560521600A841551458450107140A64C1D58296E081070090B8B4075181DD7087164C3055A04AC9AA74521C66D5415616A0C581056901B055431D006022D86D3B1C628781F2D40159B2502D575555';
wwv_flow_imp.g_varchar2_table(16576) := 'A14D9755826E15B086150AC236D72506FAB5077AB9CDD73E6C09AD41077F71E0D7203C9DFF42B552565F5874DC0F99D0615E1EE65D02898130E541607D310EEC06181645C1D97341968AD68298C5A1866525D5D0646C998098895F05DA815E4C79CD55DB';
wwv_flow_imp.g_varchar2_table(16577) := '8C711E6B88180865B7D58BA3BA1585155066965F714B9CB4E5827A4502660024DE75E19CA93E89E782FC1D392C5A51A8A1EB81C60D3860122775385784969019E29EAB6EFB29AFBD6ED5D576831EA8066BCBA59B50B1C11D9B406475585A207B05C21489';
wwv_flow_imp.g_varchar2_table(16578) := '9781765BF191E0FDFAD875A58297E8934F16685D944FD481076D9748BCF0C5412FA9EB15B496FBB15BE726486C81575F566FF82A7558F6796366E27081040F5D778450185A2057B5B67505D40173DDC7965F7E38EA5C75607957B677FF0F1D0476B97E17';
wwv_flow_imp.g_varchar2_table(16579) := 'F87649DF7B208BA30760F35DBF75F8F9EEC907A00300A637C14D0024EF7AE8F7BDCE3EDEEEB10D1CE2CD27C69DEDA3CB77DB028F08323211900E5E0529C1401CD7BF81D86C733D5BDACD14D8360016A4740C895BFF94B636EF658B7BAA8B60C64670BE83';
wwv_flow_imp.g_varchar2_table(16580) := '84000011F96045BED7B9CEE98F657E3BA1BE5AE0810D90502011A1E10B195202B80C445B9BE357E75887C37CC910003424A1095730C30D9C200426ACCC124B002F11B0EF832B5C1ABEA0E642218AAA02006881406E2810262EF1864E244850B6C884B315';
wwv_flow_imp.g_varchar2_table(16581) := '0462931ADF1643D582091084866464C80C8362C61362F15E4F73181C81652C3B15D120263424184D780278E9B17C959AFF98E1C0F546408A690420804009D56496106860939DE4E4274D9881232671058AC4A110EA85C56C4D525F1950080D45594234B2';
wwv_flow_imp.g_varchar2_table(16582) := '2F224BFCA0AB6086AF5D590C5B3B6465D5443943329DA004C41C230E6726B135FE52774A6CE2334B88C8262AF056CA9499E798B9B80C9420041C9865113FE9C922BA729AA0FB61FEB2193D3BB9D2950F216112AB663264D14C92E974DB03EAF24BA4D9B3';
wwv_flow_imp.g_varchar2_table(16583) := '7C0F88C04AE624913A313267E33A203F17B78112101490A844E843211A511FE94720F2D8C77E249AD16DC5E31EF4B8A8403C6A518D8E1450F498473CE2E120900220A417DD114961DAA27BCC63A6FB88C7820442238AC694A72DC2078400908F9E0EF547';
wwv_flow_imp.g_varchar2_table(16584) := 'F5306A82FF889A54A52E95A94D75EA53A11A55A94E95AA55B5EA55B12AA6AB6595AB90B901CFB6DA55B18E95AC6535ABDB6EF0ADB3AE95AD6D75EB5B49A456B8CE95AE75B5EB5DF19A57BDEE95AF7DF5EB5F011B58C10E96B08535EC61119B58C52E96B1';
wwv_flow_imp.g_varchar2_table(16585) := '52718B0744C017BD3476AA5F7D940CEA25833F5176AAC6E2EC54315B10CF7E96B4A535ED69519B5AD5AE96B5AD75ED6B611B5BD9CE96B6B5B5ED6D719B5BDDEEB620A1E5ED6F811B5CE10E97439B7D1A7199B959E4F233ACCB75EE73A11B5DD772442029';
wwv_flow_imp.g_varchar2_table(16586) := 'E0816FF33AC7B6328A07D6F5AD72F16A01ED8A1700E2A5AE55318B598E9CF7AE161808790BA2DDAE5E97BE37E8817D056B8114B897AB32E0C10DFEFBFFDFFBD655BE0098A378E13BC7B4B057BAFE63087F01208416084106C76D70CE0ACC902FDAC0A117';
wwv_flow_imp.g_varchar2_table(16587) := '5E1C840D0201150881C33CB0306B330C47104F00C403F9A20C7670E2D44200021388000736228341057492194E0CA73A8C6281D0D8C00459DF245B5C5BBC14990313D8C84885F0835FC558B578B1F2900982DD17B298C508F9C145D42A63D26A17021C90';
wwv_flow_imp.g_varchar2_table(16588) := '000526400113DCE04F89B2A70D6CA05629BB76C900E0C025AD32102D9F1002A329C80F8CDB833953190084FE2C05247067EDBA89CD80F44942C01BDB4B0A64C926D87336BF2CD7D75A25CD02B9B3402E0DC7394E608A9AC6EDA4B379A6DBFE40059C1A88';
wwv_flow_imp.g_varchar2_table(16589) := '0D80E0E108968320E0A0B5ACC9B7D381FFD0231EF24829AE811D6C610F9BD8C536F6B1919D6C652F9BD957AD60B3A926B977413B670514C8F00A08B767533B58749BB641BE2290241C012CDCEE91AB82B2821DC2EB7500F841123E421078933B0945A837';
wwv_flow_imp.g_varchar2_table(16590) := '00EE6D6E0EA9FBDA6F5948578E006F7B7FA42B091178C10B82158503A0DCFA760CBB573003EB51F1201F4838BC195EEF83E3DBDE1D3F0858C0D2159138FC3CDFF6370D50CE90812764E00B1F48C3496E1F6BBF85064E18DE2A679E707C2B04E1312710CA';
wwv_flow_imp.g_varchar2_table(16591) := 'E192AADFB50A2AF9F6B98798D0EE82DC9BDC47F7D00EE1021727105DE80A81B9D1090273A7BB676A33AF81B6287710502DFDE323DFFA5FB857CF8278BD224930FBD9D363B1DC5990E5092BC839DC39D4B2EF210F7A07B955016F0EB68FE3DD3D0DF45EF2';
wwv_flow_imp.g_varchar2_table(16592) := '3407C1B7781D0734507ABF01C000BFB89DF0EE09DCBD2CD8AA85D1E0EE04318BD62B7F2A8108815E623EC8A47CA9EECE871E3F3D80A4402096B849558E7D9CF725423CE06AD6BBA7F402D15C421E2F10CEEFDE3E07C555E7C6777BE1E71CF0C127FE7940';
wwv_flow_imp.g_varchar2_table(16593) := '65FA86BCCB77CF3F9122ED4E8313F8329FD61F902A17F24D8174DFFBF691D8EF296E9099CF92C7E5870FA6A4EF7E13A95DFE26B2BBF8EB6F222AE4BF45F0A0A8AEF96F45E8A1A52CAA00F741A402504010304704E2A306621FEE01022130010584461627';
wwv_flow_imp.g_varchar2_table(16594) := '20000021F904050A0000002C720026007401BE000008FF0001081C48B0A0C18308132A5CC8B0A1C387102346BC41B1A2C48B18336ADCC8B1A3C78F20438A1C19F206C9932853AA5CC9B2A5CB973063CA9C49B3A6CD9B3873EADCC9B3A7CF9F40830A1D4A';
wwv_flow_imp.g_varchar2_table(16595) := 'B4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB58B36ADDCAB5ABD7AF60C38A1D4BB6ACD9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EADDCBB7AFDFBF80030B1E4CB8B0E1C3881383ACA75827BDC618F9F1834CF91EC27BF71813C467AF';
wwv_flow_imp.g_varchar2_table(16596) := '9EE7CF9E1F6A7E386F9E3D84F8F049546D1980E5D61D61171C0D13B3EBD6FB24CAD6A8CFB5C0DD2F732B14DE309FC0D4C01BF6EBC78F736AE7024F1794AEB01EBDCEF4189FB6678F3300D5DBED99FF9E171D00F587DCD13F9CBCB0BB6BE304EBF5CEA8AF';
wwv_flow_imp.g_varchar2_table(16597) := '7E41CC9843FB36BAFBF542FFBFC9F69840FA01001F4BAFD1B38F65C2B117A06DDF31960F7C998186596AF94CE62041F7D043CF3C9CFDC39D88D3FD63DE88E699B8103FFFB4D822002EAA28543F0EC518A340BDD128918E542D07D2723EEAA3A38BCCB144';
wwv_flow_imp.g_varchar2_table(16598) := '239045DE28908D471284647D50F223648BF4C8A39A41F5C8630F38665871C597605E919115009009C0175A7CB1059A6CA69926005A08A44519710EF48543773A54C6990295912741658C31C6415E0C3446A104712190A2051DEAA81763587128176350CA';
wwv_flow_imp.g_varchar2_table(16599) := '85178C02C0E8A1003C0A40155300908440538C5A2AA94A7CEA451504AD0A80AB1A15FFAAE8A06AD0BAD09E810E5A28AB03218A501562F0FA6A15AB7A2169196EA0E10600CA329B6CB2003C8B46B4D366A4ECB5C99681C69ED3722B50B50C9521EEB865F8';
wwv_flow_imp.g_varchar2_table(16600) := '514E814EF6F34F361E4820C10413B8EBEE041841602F040048902FBDF97A50810720042C700A01030082C11E0894020026280402C1263C0C42C4104B1CB10926A49070C30078B070C32884BCC10A1B6C10020023A70CC0C90068B041CB03BD2C50081A18';
wwv_flow_imp.g_varchar2_table(16601) := 'B401051B3CF032071CA0B0010702A54C32C93403F0000300187080414B1360C00304698073CB1BD47C72085557FD50CD41D700000E05E9C0830E610330B60E2F906CF5405C5BCD75D4576B10C2071A6870340328C4B0C3403F18FF0140DF3B18F103483F';
wwv_flow_imp.g_varchar2_table(16602) := 'F45DB81181DF10030C2F000003E38F0B0483E3932384F1E5187B604236FFDC73A04093CDC3CF362E80304207A777807A07088D6081401DA8B0FA4015D45EBBBEEF1E0C2F001398AEC2EF2AB80084F02E08A4020040A830C4F107013104F2C203B03C4243';
wwv_flow_imp.g_varchar2_table(16603) := '0021900B4500803DF2CF03B083453AEC4DB60E37840F00D98EA3FDC2FA8D3B6E10FA05BD1043F937C010C3FC260944FE403A90DCF2DA0861C10B706082F60910072C40E0005F003F87804D7F635B020F96E0102458706CE743C1F850A03F0DD6400738C0';
wwv_flow_imp.g_varchar2_table(16604) := 'C1070952031CE840836AA3000AF6E69224B8F0852E34021100400419CE900838CC210EF70604EB590F793BF84110FF7F00841DEC201BFDA0C7E75C53A578806308AA8BA21401703A2AAA0E76232008EA0852010074D17602B1DD046A67B0D88D4005671C';
wwv_flow_imp.g_varchar2_table(16605) := '4116B31811E6B5EE78C4B3DEF386271020D8A07C3AC8E3F9CA36100E02C08F266C9F413478101D440E720010244150B882B7C94C660661C12257508315FCB18F97ECE30A5050823F5A92209FFCE008C9C604212C41084858021250B94A00F420953D5842';
wwv_flow_imp.g_varchar2_table(16606) := '1EBD06004B7ACD969EACA4402809801AF8B206285881DA1EF08117F86D204518D5488A7004663AF3083524C2E00A37CD1F16B18702B9A30D82E8BD221A3170DFBB0112EB7120C9DC431E0098C71357773A35B2AE20EDDCE23BDF29103602E08AACFBA217';
wwv_flow_imp.g_varchar2_table(16607) := 'C358FF8128C6538D5664E31907824682A4918A004DE840CE38C7E73914999433A40E40C084837DB08102A1250E1AF7C08488926C841448C31A264810E8916C5E0BA6CC3E69490E0253A32878814B6BA9CB5D06B3209B3CC826393853AF3141073FD58104';
wwv_flow_imp.g_varchar2_table(16608) := '9710CB091AD595AA149B0E68B94B5A7E7220B72C21D844284261D2EC012838264B9200CD24182109442882DF8C28448110D1083D44EBDEEE7883BD9155884224821D6F500D7E28712092B18E40D6A9C6BE02F47A7FAD67F15A574F2ADE139F533488EAB2';
wwv_flow_imp.g_varchar2_table(16609) := '783C0B98D18D66ACA7058EC7BCD701008D2AB02CF38AF75017282F7A12D5DFF92E5A90118E70AA8D6B5C034DFB47B4A14DB4ED536446479B513FFF7E6DB6602BE1072509B6A77AD2B60491E42205E2473FFA72A9B524A540266836A2529007488DE52C7B';
wwv_flow_imp.g_varchar2_table(16610) := '59DA8C5AD2B7D4D5AD2F571082ABE64F54C964A611B2E791F11E01005F0DAB118E805621EEA0070030090B778043200C2EBE6DFDDB0EEC6B44B41691AE495CA275D601806D28819D6A74011BB768107B5E6F20831D6C61EB894F10CCF3B2579CB0165167';
wwv_flow_imp.g_varchar2_table(16611) := '01D709F4756BB4EC65D918BC0747EF79C49BA81E4948DC0CB638915F435F4A4F08D55E9E50A6F06B9C075F704BD17A0D7D4B05A140A67ADB3DA2CFB894C4A5414488825F42B5B819F59A2F01C0848B3EF7B902A120055339411983B2BA07F9E52FB9AB01';
wwv_flow_imp.g_varchar2_table(16612) := 'BC8D1700E445B357D3BC11B18E0AFF9AD014AB58F1BBB8186CB39B40F0AF5BDBFA4322162ECFFFADC63FC859107C30861E7C459D3BD7A83D17142F8B1D90301B15EC68095351C186BDEC654D1730D9E1B375029D1D823BDC610D6BEFD49ED55EF05C3004';
wwv_flow_imp.g_varchar2_table(16613) := 'E18D208F1AE4E00A3608BF13CA58C80331A1AC5B6BC9FE51B2C94D16ADAD0912E48484106C2C600130875C4214E0C08F34A0418DBF26D55E56BB971D656A753F8803264097074C90A0D90632C1547AF96B0FD4252DA57C5DA88E796E0960C00EBC3AAAF0';
wwv_flow_imp.g_varchar2_table(16614) := '8257990B7973438AC0EF66F25B9A3668410A329682146CD3BED1F4DE0E6C40441F5273BF0B8F81A03D371D7A10781B506C675F59973ADB75D105911E01A6AFE7D8C18A7C0416FF2E5D0504B6E90AB4207519BE273C03AAC5050BD4B01EA6E2EF08FA3B91';
wwv_flow_imp.g_varchar2_table(16615) := '3B1A082388A907913BDA1F1B7D8F262408D896DAE44D1E19C94C9DAA94696C90D3363084D4C63675893CE5212344DB455EB66D6DE9CB108EEF7CE1DE321390000058CA12EBFA0BA1B6BB2E4CAF49DB0962E62E06F086047A277320F52E4812EC0D80F38A';
wwv_flow_imp.g_varchar2_table(16616) := 'AAF00A69269A9D59041C164E631E2B780BF60B8419FED00695CF7CE1F6CBD6185CA3734BB4C763E8817104B7F3755658831C1A01062D803C0727A7741673202600F820552EB8C2104690032DE8DE0A3950811296E757981F7621577430876FBE68D8DD13';
wwv_flow_imp.g_varchar2_table(16617) := 'B322578149631D4C8CDAF8B85E9B6A47639CDB75F7EFA5C10CB6FFB38FFD51DA9230C8A72D486EB1AEDBEC52B7C8C2D65FF6A74D7FA9E6F1A7B214377429D876573241FDF0570334404995246D003080EBB65D7383011A306F83775EE4F577D93378A342';
wwv_flow_imp.g_varchar2_table(16618) := '8102617883973D113810333410CD1456FFD6433B00791ED002368079376456FB9543D7B47036100329E079A05768F6B00EF4D00D43603A8BA54616A00472900CD2F00B9E700BC9300A5A1069954669169008FB000812B00AC1D00157100F6B2001A3F00F';
wwv_flow_imp.g_varchar2_table(16619) := 'D46006E3F00B15200D9530010AB66852444F0B35101DE058FDF43A31A786F8544506733016D6573B00022860021C0452A3346BDA566C07A16BEFE7472B906EC0560309D462C3063F84645BDB077FD446554CFF057608B174644355CF16652FC56C46E66D';
wwv_flow_imp.g_varchar2_table(16620) := 'CD3554B08404DE064226F45370074A03186DBCE4644E906457B5025FC54C6A8666882781CAF477C8C46F02914334D4818BF76FFF2657F665030597029347443A24577F26440157701EB08C18130DFF800FC6C11892018DF2B00E38686108E603ABB00CC2';
wwv_flow_imp.g_varchar2_table(16621) := 'E00769A00362000CD5F00B6BE0738E166939100CDB800B12F00AB8500156300E55F80AD2A0044A000EF16006B85009150073F4448681E56894555059E459C5F36890D64F04216238D70220004CC1F6419B745CFC33420AF1403CB56C97186CE8766CA358';
wwv_flow_imp.g_varchar2_table(16622) := '36E9B7748BD8870361800EF17F26244225745BC0957D3F26365D46659EB8034BA04AE00654E7FF737F2B5992D1768096B85DC7254C76A30137406F68068181B710FE668B05C166B77843F555793F4030273838C528570BD70230B88C1E400114000114C0';
wwv_flow_imp.g_varchar2_table(16623) := '011E900CFF3019CE318DF8400FF0D00D4030861D3004A3200BB8100B6AB00976A90AC1400CC1B00548C88366000E8D300E43E08E136005E7600610000AF1B00C5CA00CAFA00C5E3801FEC83A94695002910366B00568B0059A09005BC02C5B9099D3F299';
wwv_flow_imp.g_varchar2_table(16624) := '5D027253C4906B74030F695CB63575A214637BD487B90555D83510099440083492C42564C0856B009849D4654934D0753B095DEF735B22C45BDBC753C7065442F59C5936419AC83F2889752A296D2B106DDAF95462164C21F0001A00035FFF7578C88494';
wwv_flow_imp.g_varchar2_table(16625) := 'B0581086B7814DC981F5C5823F943D2D20030C873CC5F803C03870CBC833F7F2001020011C409666E91EDF9196F0B00D6D097315B006CA200BBF100B8E500CB5A00A9DC00CC4A00CA35069BC570189600FDBF00F7FB00AD260055A700E95D001A3400D45';
wwv_flow_imp.g_varchar2_table(16626) := '708F5F70858DD08F8E1545CEB7506CA40599F92671929966000066A0059AA9053C6A0639F0A2F47430853502366087FDB348C0D4523FD65AE316897FB4A4D326498518421A946E610752443789428641244488C2655D06389CC44665C6699C93886E31B6';
wwv_flow_imp.g_varchar2_table(16627) := '6ED4357E66179B4C005FCE254BFFF77F39899370678A5FD79D8DA433C7548147499E184810FC668B29788B95474388AA8BDEFFD44344D0022D6056425444F6098C99E3011C200114A0A9F612961EC00C65F91D026A20F2B0966D2945231097B8100CC0D0';
wwv_flow_imp.g_varchar2_table(16628) := '0911FA09B1100D7A890B5710726A240D8D0001A3B00AA3700EDB1007F8B80A8D700EE31007CAF0052E300E802099892573324A4534BA058010073A0A079F69AD0030AD6600083ABA05410AA30251306B34023000023BB549E85A7DBD466C79647DD6F95B';
wwv_flow_imp.g_varchar2_table(16629) := '4C359133254952667644867E7C646C2CB05A02618AD949494B07419F7836FC839C0F94A61ED9AE053B5454C6AE41F5AEEF676D02C104A1A492C1E432406081AE28A8E4098B6986438A5A1096873CC8E367DE639FF4654727D80237109F0277A9CB3810FE';
wwv_flow_imp.g_varchar2_table(16630) := '99A93C2301CBFFE88CFCD00F8636105752A0071A452E0085C1F00BC8100BB570B4C740A1B8A00C6BD08F7D0572D7233BDA9360C0237D0233AE5694610009AD5BB0AA95B006C1B00E66300ABF70059E400D8D200BC1E0096BB00543E0B46A14305D444507';
wwv_flow_imp.g_varchar2_table(16631) := '43AE2680AE39E55BB286AE34F5A6C829B14FE55B7ADB4B619A6B1A95758AA89BF217B1D2869DC1A975137B3EE0969322445D20846B67073F25D4AED0853E12D4B946867679EA4BD2F6884A876EC094333A608180DA944C798BB04B10F755473DE443D874';
wwv_flow_imp.g_varchar2_table(16632) := 'B255699FF1397026C09509D331ED3210BE8BA9CC88B3CCA11AD3381006DA01D8580139B0AABFF00BCF600B479B0BD00000C4800BC9B006A67346C0733A42FF6A586894451646A408E54E87A586CFEA029CA98E6B1007CB0000955009CA7005A30098C100';
wwv_flow_imp.g_varchar2_table(16633) := '0E71B00666D04E98C5BC005C502A6087C20465C079C051BA93582749C1244C00D04906D1494C5A63C1D6510F54555D676CCED664B734A69A04B93C70A6779A7D22099B46068A2AB9B9C6D95C62F389FFD7AE20A49D3E4965BE45B16266A539C341E30956';
wwv_flow_imp.g_varchar2_table(16634) := '1958A804719508F143255B444064BB857382C93810342B96099330078339506C023060BC1BA21A04C69652E4BC50F80BB8E0097FA00AAA0009AA600BD99B0C71500198D573C7833A52CB68B26361F754B7E87B860010BE85E502348A05B8B08EE0200DCB';
wwv_flow_imp.g_varchar2_table(16635) := '300AB8E00371199AAB50ACD2A368EE54BE86FF653ABDEB3F2CB54B383532C4F54B85B86C0E2C1027701027F0544DD7AFEBD67463C7535E87102784039FD49303F1C8EFF79CB274364B557EB1C93FEDCA7ED7060058466C37298A4C6592145B5A362C77DF';
wwv_flow_imp.g_varchar2_table(16636) := 'F900452910E355A8AF0BBB29785FD4A45F708579C8E3CC22E84D2B3B70C0EBBB0B03000207A92D0003DB0C0352FC388F43C59B2110D6D896D81869A3A00C9E100756402CAB2206651009B7100C66A068E30B029655019385C82817C72BD786ED54C761D4';
wwv_flow_imp.g_varchar2_table(16637) := '01738B3A78BC06AB200BB260A180200D055609A3F0C7ABB0AA999971F25499741B741E10024383354313332B13D2903C5336254C0E0C498334C9C2F947C0F66BB4246BC0D6101C9910BEFFB5889F8840B6B47477183679746CD89674CC353642FD7F21AC';
wwv_flow_imp.g_varchar2_table(16638) := '47F1AA743560C3864BB12473342F308BC5FC6F212B57F4693DD434386B35103C5447CF8CC401270302C73023158C00B03026A8CDDBDCCDE0FC3826100DFD500FCC211903611CA6DA4F047D3A71B00A57202956B0077D4D2655D008171A869EF5963E8046';
wwv_flow_imp.g_varchar2_table(16639) := '3E004502E96856F0B6B5C3BCAC9603BBA7605014694390D852947B58600671109A3F6A066BB00600F0BE0010079B6D0661284F31AA693E33322763492F733226F3D192BC0127B0C9935C4BD8B502996C10973C482CA54B83389139A5B8E7F3AE85385B04';
wwv_flow_imp.g_varchar2_table(16640) := 'A864EFB354BD1D4C53E7D3073B892A69763C80046263A6D12941B886CA6AFF5A4BEE76800448330CB00179865EB758A829E88B7D46102CA470037182006003F31D70002003F71D9FD85CD60BB330F85DDF48ACCDDCBCD66CFD0CF3000FA721D70451D7AA';
wwv_flow_imp.g_varchar2_table(16641) := 'D38FCE0B085F520666F006135E0656600539EA57B29303FB3B04A10D083E00086BE0E1EFEB03A8ED02352ABF41600572D0016B000823B0BF9550AB1ED60139B0053C8AE37222279FE99971B205B5EA4FFF287320A0021E80021E6D32B5E4D11C7D35B6DD';
wwv_flow_imp.g_varchar2_table(16642) := '5D2883DBC0B9DB34FD651F2CAF2955499D9C6B4B76760F54C9C6355BD98751205434D7F5541F99931DB9A47A3441B1E44AA984049D8B52069B5BB539668DC400C2EC3732845E72A6A8B55BB2EF8D79F49D4D5E1D7068FF2D39921703273BA9915A1087BE';
wwv_flow_imp.g_varchar2_table(16643) := 'B203CECD26B038CC200FEE800F92C11EECC1E063E80368B0D7637005A33E2868A00528B76823B0064A200141000712E003A1DD085AC0BF66500166300443909956E0026B3001349A0300D00857B0062E70C651D461F6F4C6B183500C063BECB4DA041130';
wwv_flow_imp.g_varchar2_table(16644) := '1B2001DD25DB5883353383D22833101C8DC0BDDDEDA93CEEB599118A7BC1A3DCC9B74476A3AC3FFD23372C63D265C7D3285C497547362B8C5E1744413D5D6D29DCAFDA099442C900782356EAB5DE25FB70D643DF884EDF2DCBB2101F8C200003D77C3903';
wwv_flow_imp.g_varchar2_table(16645) := '278CFF6DE8853EDFC9B3032A90956B8D31DE7CE9F0500F9B3ED700E0E90D6E3A68C0D9141E076F40AD00FF90033AA8681D00A4C06E06B11EDA5720075588056DEB686D2BD97110E28DB0A371020839D0E2B2933A0B16C71620B70703AE057161CECABC20';
wwv_flow_imp.g_varchar2_table(16646) := '6032DDA5E4DCCE320491ED28E3C0B5B95200D0DBB7DD6E25D911239974C73D9B389580B19C9335403721CDD1750776E3D3EFB5D46438506EAA6441B1D403212C4B285CB905785D5286E7DF59DE8A7A4C7E534D9BE7822AB0F1915AF9DC2C7904C3309A4F';
wwv_flow_imp.g_varchar2_table(16647) := '10C3FBBBFCDDDF914AF1A2EFCD30CB8CCC500F080E000A4EAA4E543A20D04FB5F3FA333FB6133D0A108E728B95FB5610076620EBAA9703A20D00727005BC5FEC72A00466200718CEA398B9063E20FCCF33860B4699649810555445EFD445AC03021EFF50';
wwv_flow_imp.g_varchar2_table(16648) := '32F0BEED28A3ED4A1E335713F6101C34B5B4C9F17E35B85DEE985CF627F032E10E116C7FB051F6498048B89078DC8D64350011024088152B6AE0009050A10E86386A002888A2C6441D482C0240B20400131D3C38E240E870E2C3153456009868B0E08A0D';
wwv_flow_imp.g_varchar2_table(16649) := '1A0C68D8A1302110200080ECF87113880D153B6CB4009A22458B143040C04801C28409004C3D00F010D583040F1C2450C06A950380AD329B9AF0B034ACD40D1C384465C68F1EBE7EFDF829CC270FC03620154054E880576F0500205CB800C01704800E1D';
wwv_flow_imp.g_varchar2_table(16650) := '081706E0C2470E0B23720CE90038718E1C1D2400C831A1838F1116005868EC42458711A40D271C012075EA84A7BDBE862D186F5F091AFF5A6AD010424342DD02436C18083CE106962B4EB0045002F909DE2B0812747EB2A0421AAF998738B101FBF2D728';
wwv_flow_imp.g_varchar2_table(16651) := '5648840D4087CC8735500038EFD5208BD70D4FEE0E11FFF8C987081332D4E11062C2EF353A62B468091E78E88840912652A8209350426924E71E60E081176E4868079D12B201001B36DC10A8A092324129B0FA92CA8309A692C02A0A544C0802081E78D1';
wwv_flow_imp.g_varchar2_table(16652) := '4508B002808284AAC2D1AC155DA460030F98E9672D7EDE1A1200B5E801C70510F2D2AB30BE987C32B0C2A654A8B30A4618A102BE5A334CCB0A2650C8B30A2C288C4C32BBE49230D85C6B2DBCD7B6340C040974C30D80DC84136E203B15FA0D22E44AC8EE';
wwv_flow_imp.g_varchar2_table(16653) := '84E3B43BE1B7424FDA80FFB9F94E02A03AEA4EC2EE38FE00008E39372F1DEFA10413CCAE41F6BC62A8068134F8203781043548D3FC46DAEFBBFEFC4B28C01E96D081569010D4B4D1924A6AB086953478C000063CA030A19E360480420F97256AA9A6A0AA';
wwv_flow_imp.g_varchar2_table(16654) := '402AA8A6D5EAB2842EBB8C02086AC4EAAAADCEAACA2C7139C06AC66E37882648B6DA824B1E7AE8B2AB492FDB3C0D3136D56C532636F9F252CBF0C854B35E7CF37DCD30CF2E0D4C4D39812D75CFF0721BCE370024A5B44FEC2A3EEE39E32CDDAF51F526D6';
wwv_flow_imp.g_varchar2_table(16655) := '73E2EB107673BC4C0F7A6D3AE0CC832D548112DA8D37E25846093C3FFB9308078630EA21A38D063CD05747A563D0D7827ED380016185CB9043A064000A8016904AE1FF2B109E7A6A5A6CAF2D51DAA59CBD312AA8C25A2A857025000E2BB5B3FA51DDB6DE';
wwv_flow_imp.g_varchar2_table(16656) := '4A881F7BEA91A68525B5CCCBC935F51D986082FDEDF7527BEFCAABEF82494EC8CB29A395E0016035C0E001991C971C58986BB4AD4FEDB4D39373AF12ED98394615F25564E33E2F34A112102F4FBC90726554D1E1E8B36F21905EAE133E82C083FD2489D6';
wwv_flow_imp.g_varchar2_table(16657) := 'F38FA125664582871EF01B09C14D0BF235BEF8926640690A60D070C31B5AB84128A4608021446799F20AEBB1BC370A00EE859ADA43AA91FA1AAC7015B271EDB5DB5EEB6DB8E6A11B8425F396D7B00E3CF3DFA558C33785F4CB5F081B4CC0024898285149';
wwv_flow_imp.g_varchar2_table(16658) := '4A76295C02F9F524FF35CE717B8A1CB0220780C831C0FF723289D9706036AA84944A6209E9D4E812421291F10738867A8E7656D2313749E453B9428F4298432811180400B5BB0F0F70200210C2873839DC147F720612F17464094F1CD0AA70F51DFEACE4';
wwv_flow_imp.g_varchar2_table(16659) := '39BA915CF4A227211B5CEF7A42A9DAB3C63636A9786F3020F0900A78A2A19800E1073FD8814F2CE4B418A4402C55A9D18C2447810764E001F25B5132DCE696FBD1AD051DB84BFF662330D2109030035488615863C02DB9298112BC57C006769748CEA62F';
wwv_flow_imp.g_varchar2_table(16660) := 'F3424C05249080073C20721800000350A94A0831C02B310BA19B3EC09B819C705232D915C81455291D220E97FB290FA37038B1D341A406ECA9DD789A2882DD382E02B6F958158DA93C90308407C5FFA3D5AA8A56452BD209725A549AE33C703EA1802F21';
wwv_flow_imp.g_varchar2_table(16661) := '67395154C00216100C25435ED9810B68324F38FAA44331208A1DA3A2151725848F00E8631FB19281F93D63906E794B3EEC910F69D84049889C52691E89A5D524E62F92C1126A5CC09A8A02A630FB43CC601AA91AD4A00631A5C192BDAAC41A108C604967';
wwv_flow_imp.g_varchar2_table(16662) := '44A402F525CADA386E371F34A5E46076C10B528A52D0E4132D7B591C3FE1CA2B8E42010BC0731E89884004AB53AA526926D5F400E053CA448832ADEA1016B48E890B51C88006C40266DA69031B104152D393D46326532604E2010096503C02E1273F0839';
wwv_flow_imp.g_varchar2_table(16663) := 'A652518082DBE00642107A9C8FCC773EA794D18EED54011054F0039B28A4080078ECFF108A30599A1CEB27DC6B9FFBB206006C75C5B32B22D7B8CE92AEFAB12B21FAC8873EA4212709B4D6B5D602136CC0145B994C80B6B5F58AB5C203A6AD5DCB976EB2';
wwv_flow_imp.g_varchar2_table(16664) := '966EB79500002420010640AE5708A090032424B9CB858D019A0B80033477BA5E71A51611170199701700DEFDAD572210A1539A3295E005A89D30A081083CD34E9583652965820003C8247AE78D404EB95B393BC5A762748A0006B29B4A2D0ACBBA0A592E';
wwv_flow_imp.g_varchar2_table(16665) := '01148C5C06189794A584300064E4A2AEAC934483E99A6B376041071B1701C745007D0D8000E72697BE0820007D01106216B3F801D308D23DBCC20F7CF0A31EE588C41BD6000738EC780D09D1718FE160861F27C40C0A113200E2FF1064AFACE10D005883';
wwv_flow_imp.g_varchar2_table(16666) := '19E2E0E31EC7C12B42F6B195AD0C87294FD90C43860394B9CC65289759CB404E081C74BCE637A0A10C00787342C6A090398FA10C757ECD9DC373673E8FC10E7E2E831D02AD903B84D7D0877653A16572074603A0D07778C31BDE8C0638C3D90D00B8B41B';
wwv_flow_imp.g_varchar2_table(16667) := '280D802773DAD1904E081FBCD20700F4E1D16E6034AADD508655BFA6CE762E03ABD1A0E9483FF90D6A4EF393C30C003FC4C10F7F00C01FFC000760ABD9D6B56E33A5950D006597010D6E96C917D0F08532489BDACD76F3B3D1F08772B80B1F33BE073D00';
wwv_flow_imp.g_varchar2_table(16668) := 'B08E75D0A3DCEBA8073DC4ADEE75C4C3DDEE96493CC62D6FAFAC4321F41EF73CDA6D6F78DF7BDEFC56C83C002070FF79BBDBDE09A1773CC86D6F868F7BDE0969B7C301A06E754F5C1E7211F7C4332E179970DCD017F738C62B0E008F2B641FFB4808CA11';
wwv_flow_imp.g_varchar2_table(16669) := '4DB290D3C35D197F8D3C64BC0F192744C6EAAE8742E4B10F7A9C1CE5FA007ACEBD520F7DA45BDC200780D1493E718BEBDCE54C8739C92F9EF17AA41BE10911386C0A3E709958DDE1F6E678D5C55EF5D3027D1EE28E07DA072E7081D723EDEE0EF73CCECE';
wwv_flow_imp.g_varchar2_table(16670) := '0E76ACE535F9C8073EF4FD75722F1D00F4DEB742007EF07843DCDF817FB8E0F1ED6F3725DCF05E51F8E25FB30E78F89DE372A93CD2E552720054FE52F27047E5D9010FBAC303F4F2303DE7DD54F9CCAF1C619E2739EC63CE8ED3BBC31D9DF73C3C74AFF3';
wwv_flow_imp.g_varchar2_table(16671) := 'A96BFF7CF3A8BF7C42421F7BD0BF66F8ACEFF8C501107A760060F49EC7FCE64D9FFA7F477E1DF238B7B9B57FEE71639FE2DF7797E6A52F7BE52BBFF3C047BDE7E9518F9AC3061FF8B047FCEDF1ED84D8A3FE6BF78ADC01607F99E8FF35F68F07FB8BBFFD';
wwv_flow_imp.g_varchar2_table(16672) := 'AB3F01344002C4BAC6BBBFFC933BFD13C0FC5B3FABA338AF70178550B7704B88A8EBB884083E0AE4C09373BD10EC3AA1133A9B93B17BD83C954B398ECBBB74233AF6BB87F78B1B00482D7D0080A2C3C117BC871D04000C7C0D192BBF1E44411454410E9C';
wwv_flow_imp.g_varchar2_table(16673) := '3815C4C1BBF38A7C283B99C03BBC7BC1B11B3B0BCC39A00BBAFDAB07FE7BBF2DBC87AAA3871894417CA8BA7C801B250400199409FA1B4037E13FFFD76BC3F042C3367CB7827BC0370CC0C5B33F312CBA8923BA1B4C8817C4411E6C3FD8D0877B28C24234';
wwv_flow_imp.g_varchar2_table(16674) := '449FF3391164C4D3223A1B4CBA3F04BA8E43B99E4BB97D784385A031FE831BB959A89CCB872C8C3FFDD3C00DFCC21E4C3900A8C4A553C19DA3B9429CC432C4BBF0E087BCA3BF2DC40726B4C21B9C441BCC418578C43E4C08265488F69B451A7C42192BC3';
wwv_flow_imp.g_varchar2_table(16675) := 'B8A1B11A6B465CA4BFFDCBC4462499354CC32DD4447B809B01BC437BE846026C436FF4C67FA0412B9CC4D780C461AC3162A4C56534394554C498DB879DA34755ACC7159CC77CA4477D4439D5BB14482C12927147272443B861176D1C121AF344F9CBBA1E';
wwv_flow_imp.g_varchar2_table(16676) := '04410B0CB77B38C6841CC84B3C47FFFB19465B9C468A7CC66834347364C621D1077E3839A03B39BC13491BFC87804CC35984C66F4B48F943406A2C40D86840AE7BBFF993C13C848D2204C77978C0D7E007900445BC1B4985F0C52734B42181C745B4399F';
wwv_flow_imp.g_varchar2_table(16677) := 'A4C99DDB400020A484E80799788BAA14C8811C92BC634985688BB7B1877F903F7B98876FDBC1F7DBC1B58CC1BC23468A0C8F78E4451B94B16344C36B3C43BC1343A4E44BBE4CC7B9442D4D2CBB2219C95A2C48A0FB4A99A8CB76B4CA80ACC88C1C927E78';
wwv_flow_imp.g_varchar2_table(16678) := '491A4B88BB5CC0021C40FECBB92CCCC2FDC3452331CB86F48ACF9489F94B4890F40A5F341223794C37E9448EF443927C489A449895744DD39AB1AB04807FD0CDC40C0FD3BACAFFB034AD21A9B16F2BC991144E85E04DAB6C4CA6FC07DE6417A043A82261';
wwv_flow_imp.g_varchar2_table(16679) := 'C7D1A43F8EE4C8582412DD0C8F47043ABC4BCED59C3164AC4E9281BDDBBB3DDCD33DD9133EF5DC3DF4B4BDDB838776680777680785B8CFE50B3DDB0300FAA44F99F84F8489CFF4E44F004D88FFB4CF009509023DD00545180565C4FAC4CF76600777A8D0';
wwv_flow_imp.g_varchar2_table(16680) := '0BB5D00CC5D00AED4FAFA8BCF4FCADFC343E99800710F5D0CE5BBED57BCFD013518540CF8490BDDDEB4FDB634F18FD50DD33D14BA1CFCA13D1FD1CD016CD4FBA5388E6BB4F09CDCFFA4CD0235DBE16753D291C3A09D4B8A49B420B2CC53F14BB0CA43AB1';
wwv_flow_imp.g_varchar2_table(16681) := '1B39DA0CAF75833A2E0553D8F0D22A0DD3465CB7CD23B98ADB3CFF779307D1449C2C2DC132F5A50924530050873A154FAB04CEB04C88E7DC4DD820479908D44095D3427593E7F4534355D445FD2D442554AAE44E4695545F4AD4F0C8877258CD38BD3BF6';
wwv_flow_imp.g_varchar2_table(16682) := '6B4DDC9CD44F05D55015554575543DEDD3471D554323C7E78C5441A58770D852317507172443D848CE564DD55CD5D55D55D4B741555E2DD4B0E4075CEDD37A08077810B74194097A98D52F2C4FB04C4E472D5548F55453DD4DE8AC544895D64145546B05';
wwv_flow_imp.g_varchar2_table(16683) := 'D66F05575F322D56D5CD6CD5D34425D7533DB46AF58AB648544F35D776ED8769A5D76B8DD7DDA4876E40567750D66164D670AB875A7D0DE164D7958B54620DD78455582EE5875F5D5837814A7595573E05D4FF7C45565414CAE5B30779A8078425588235';
wwv_flow_imp.g_varchar2_table(16684) := '39E8B4D74025A479FDD5E0A458AABC946995D33D4558834DD98735D47B55CE5FDDD6F00C2F3F5D4E40FDAD948DD83E95898F0DCB7D08CF7BC8868BBB3DB804D07B303D5B25D87D78543F855AE854C8F87354AB25CB7F384B1A1459907D59301D1242BDCA';
wwv_flow_imp.g_varchar2_table(16685) := 'AE545A6A844D99455BD713DAA7F5B9496447ECAC5A789C412744C6977CBFB7904142FD877AE806779087FB34CCF26C07A6F5C78F3DB9327C4EA8A556446D5869C54AA03592B565CE3225C67BD8566B1556E07C5CBA55D9C85CC26105CF824DDBD1B5556A';
wwv_flow_imp.g_varchar2_table(16686) := 'FDD8505DD56DD55B7A38DABFAD87C0F58AC16DDA810D4B9DCD5355F4D37ED0876C78866EF807FF712807AB350771D05ADF35876E288768B806195B5BD165C4E76C5C7350877EB887DA1DD6E6B3B17C58CEAC14D43F0D0F8755D9B88959D2255FDA25587D';
wwv_flow_imp.g_varchar2_table(16687) := 'F8877398832C088330B880F56D5F990803F605802C0080F74D08FA9D830B800DF67D5FF6F55FF8FD5F5DF8077C5855D6BD38C055CAA59DDD6B3DD595FC877DF806614887A98DE03F6D5875308160A10538908203F5801EF85D0098861F48053408802A50';
wwv_flow_imp.g_varchar2_table(16688) := '87C85DDBAF2492C9FD4DD8C86057F80776B085748087D44DD44808078518861576E0B7B806431886891B0671F08472F8077920865BF00323890443708761808370B887488884EAC5D9F2E5623D15CE93FB076A1000001080011863993063FF0018003256';
wwv_flow_imp.g_varchar2_table(16689) := 'E3332EE3351EE3337E8D351E803AAEE3327E630110005188877940D47A685D053E46FC245CE5AC59A82D8745480326A805B9B0E0DD845A7328025AF8025AF8832F48085AF0822AC0067848022928837FA0B6727007B770D7E40CC5EF733975D3BC081CD6';
wwv_flow_imp.g_varchar2_table(16690) := 'D375C27F288727560743B8866CC80457C0D45BF8076230043408075B88846750024F3087610E075EFE0750F084CA13075A08074A20DE70A00575308754B88561B0055790876C70056478060060867FD0E22E465B76154E47ED07A8050707700000280037';
wwv_flow_imp.g_varchar2_table(16691) := '91E395B3E37AB66701C084787054A34D60235960426E60748DE07F80863E680555E88372D0073046B981560718F000199806FF3F4083E71C0344A80244B00713088054F8873240002B308795FCD82191077650879456E994F60ABA6B0778C807A1F58A7F';
wwv_flow_imp.g_varchar2_table(16692) := '80072E30843788845C860377880448880464F0047630846CC80648F0044F08874C880446C80673680B24CE0400A005DF3DE27FA0057300005BC86A7330075EB6056618867408876858CDAF356748F56777AC5EB8004BD78CCC566D4DA735DC7800070570';
wwv_flow_imp.g_varchar2_table(16693) := '80322E8031CEEB78469C3556E3841863BFCEE33BB6E337CE6B3EDEE7407EDD7F3ED0421654E89C577470845AA805552807B95DE77F786862E0022EF0032210877088800D7880180887238804131007674B0777806C82E587763087744069E9B566754807';
wwv_flow_imp.g_varchar2_table(16694) := 'DAF6BCFB5407FF7990DCB8F9077378837FC88648F00457C8847F600443A8866B486E4600004F30044AC8041CB365766807DED4DEEAF604CBA50571900757A007E5FD0757C88660266F5B10876A880672366B73E6D36E1D4FED856C95E5CE61FD53925EDC';
wwv_flow_imp.g_varchar2_table(16695) := 'EDD5C47B2092EA5CDB7DA06B0170800230F00B68834768830B30703D8EE384F06B086763AFC0E3C27EE30128000CC7700128057D46547E765DD805D07A08686E9DD770A8854F508558704530BED67E80872AA000D0CE8404E80138700318AF8261408374';
wwv_flow_imp.g_varchar2_table(16696) := '78033730040A308272E887987E65E1C4ED6EB0856C5087F36E720048876BB0856900805BB053DF8665E05687E4BE6662286200C8063FB00578700543F083FF6A30844CB0055BF0843007735A784E5740835B46867FA0875B48076678067C300443A08574';
wwv_flow_imp.g_varchar2_table(16697) := 'E87300F0E95428874C30047620E9F72EDFE484876BC0EA40BD8571A687E72406939D571A24BD704E886C28877AE856846A0777B54A810E5AA1959B76BE6B336E833918E34718000528800BB80001E05F3626EC845080FA25E378568059276359BF80BB16';
wwv_flow_imp.g_varchar2_table(16698) := '00586F703EB660A335BD76A0877CE0C1D8AD07BF5D4D749DD77984065528866E33C47576D7ACA56F960D4E855897FB7E6BFC6E877040034AB88570788037C8872A600673488248188632F8E9DE3EF2F1D5D9DC8D69926BBE1A7E4ED0FBF77E50877640DF';
wwv_flow_imp.g_varchar2_table(16699) := '98D687DBA30525D6E23FEFBCDEB673CC1BBDFF7F6042FD3EEBDF0C4BEDA50534880471508748788B61B8857C100766F00465577676B8065A7883742807444F696440037370397E956534303D4C75077E30876C70ED70C88683B574B144F53A5680361876';
wwv_flow_imp.g_varchar2_table(16700) := '0768030070E70B980507D08547B80012488860E75F07C8825900005350FA0BC80253C8822CE0FA39308530B07A03877501E88575B8E0BDCD06D3ABBB2E6C76FC7C767FBCC16987864F280675805AEE35D9B194EFB66642B770544FB7CDB7465977100725';
wwv_flow_imp.g_varchar2_table(16701) := 'B88376C8042E18837270F77448023F180625F0837230072C07D9EE6D5CAE8D767FCEC079A56F4BF7DEDE34CCC6155B4F25C69856F44517D67FB08570188654B8B514B50543CF84A3CE86FF5478864C008548E082678884EF46EE48288354B8866168EF7F';
wwv_flow_imp.g_varchar2_table(16702) := '880657A8867018834AF004642803DFCF0644888632ACDDD78E876D78673B6E6307807A07B8000578044550844918045D388759C0045D9804532081AE977A5398055DE0045D0883F51F044E00084E93745D70A040004258F1F6EDFBF7AF5E3678F2D8D1CB';
wwv_flow_imp.g_varchar2_table(16703) := '77EF22808C19DBD573270F00BF7F1A333A14576B519F4D908EB1EBD76F9F4B7BFF64E2EBC70F5FBE7EF9F8F5D3D7935FCE7FFCF88DEC878FA74B90FDD8950B57C58F172B266C59C9A6AE4A3475E1A4187207CF25D8A42333020DD98FA458B04401381CCA';
wwv_flow_imp.g_varchar2_table(16704) := 'B61F468B2EE98504E95624D9A068CF9E1DEBF72FE0C0820713161CB6DE3FFF5A563289CB9489283F7665B2FD73C51819285AFFC48162E70973B654C368B10335CC1D807C915C79CAE6E95F2A5AB60080CA46AB1ADE8C61D5DA03E7C0C18001022E0068F3';
wwv_flow_imp.g_varchar2_table(16705) := 'E8D18506030AB4D1C506802E5D6112CD8A0EAB41160024A04BCF638ACD235DB360C19A63EA918302EA05945AD8F061C489F42E621CC9D123C8B1FFDAC52A43C58B185E54E1451FC8C863934B4339F44F3F229D750F4F1AF515526E00D8F3567EFDB4938D';
wwv_flow_imp.g_varchar2_table(16706) := '217040F28538862052061AC87001872786B8718B47BB89A5D1820ED5734F3EF4B093113DA9E5B3D3450D36E8905F7D01C017913AE64316588529B924934D0276186CA0FC93CE1FA0D0C64C199178424B25A978F2872BFF915CC38C1FD500508E14F044F2';
wwv_flow_imp.g_varchar2_table(16707) := '8A1FF86422E53FCFA0418B1FB6F8418C27643293093CD7C0A14E6E2EC6E45B7A032850C005735C10461B17209405418A18D74616C73DD2460317CC9291A66D8461E979931AA700A90889E21E5BF4C447117DF76874E47D1FB135D23FC3543120175E7831';
wwv_flow_imp.g_varchar2_table(16708) := '8680638423944E3CFD430F83EEDCF34F4BF2C8C3CF47F020C64F39EAC8A38E39F69863CE5B3FAAD39438DBA6638E38E564736638E284130E3C14093A1285B720425946E944921B906B0D494F2A91D0230E1CD1C8034A264CC1F1CC3F392509003E090FF5';
wwv_flow_imp.g_varchar2_table(16709) := 'E28B4E3AFCF0C361E5B3193BC3466388277EDCF20AB6B664D38E2BB76C088A39CF4C130E3DD1E0934D3AFFA7D9924C492DB9730B8AEA6403872BEAA8E3093663B914E33FFBC443CD6FEA0587D00019B56168010E00E0004217305DC0000E145490411790';
wwv_flow_imp.g_varchar2_table(16710) := 'AAF5D65B2344AA020D4C124F3C244124114516D5A751AC806522C51868B851861B778C314615C3FC738F4F21B113C93D377E6B4BADC3A8434C3FB6A4430F32CC84534E2AE1D8768B38C0F2630F3DEAB0D34E3AEA74AE336A00A803003BF0B403C03DEB6A';
wwv_flow_imp.g_varchar2_table(16711) := '145288F0A4D3982DE564524E24B7A8E32500F244630BA0EC8C7E4B2AD7B4160936FF64524D24ED3078F05009870531F4D1479C205BF59C754B37FF78924A370DCE3AA448B985A40F5EE1783294ABFFC0034037A9B0651B496D15B51B43F6109D9E7AFF05';
wwv_flow_imp.g_varchar2_table(16712) := '00A07F70C1013080D4002000001C846AFEFB9F00FCF7B5FD15E050EBC99F000E8209B285EF6CF269D558382211C064E30E031A43AEAAC02B4898032E099A5226D261BE7294231AF060862DBAC18C76384E1C94A147393CC13E6464A372F6B8093E188494';
wwv_flow_imp.g_varchar2_table(16713) := '7AECA888A9210A5C20A43A18B90A149138D330E0700B50888366C378833A32119A6B00CA215444469DEE319B6968E616E50056C3685514E9B1B18D7F11CB915CE22A8D5C23613FECC78C10663D25C2851FAEC2C7FA0A86A00611C51E2E91075D00508F7A';
wwv_flow_imp.g_varchar2_table(16714) := 'B8654882DA476F7EE3C0FCE90F0017A8A446924618FFF5AF93C16920D80430C178844F5568CB117D32580F78E4E82FFF08072D5C910AFF2F810214C480071A7F968E5B44231BC298862D40718D6BC01219CFF0842DC2510D75B8221BC4D80C286CE10EA1';
wwv_flow_imp.g_varchar2_table(16715) := '0005420BEA4BC36CD2482511EB1A7FB08527C6408B4CBC221577A0C56BA2410971E0715894EB4726CC11CF57662215F070853C724996850DC98DFEFCA792EC7521C2A4E5473BD1894DEA0123EFADCE5E82D2493CB6A1000126ADA26329800030FABF8C08';
wwv_flow_imp.g_varchar2_table(16716) := '47381A150E42F8B79CE518F0810811400326289354AD6A3EA9B4CF3D9C1518A0016DA53052C733CA850C6484C366C470C7336E718D7464A31CCCB8454E41318D69840B378C3C6858EC95912339D24583F91B2390E125380CC31300334457FFE10E38E8A3';
wwv_flow_imp.g_varchar2_table(16717) := '1294B9D9F16C81B16BBCFF4174B698D320FB09D0B9D2954942320C8C16E448DD9C0532150AD243FF318E8C64472385F5CB050A9BD8B12C36B159C80271B24002C83E76B2947D6C167A414A0A5990552F4D0D00DA115385BAB2A631422282EE210FD2F283';
wwv_flow_imp.g_varchar2_table(16718) := '580CB2E67C1824127504B11DEEE0C73CF6369485EDC62F3BAA6A6F0313126A89C41C15A3473DCAD192F531C3154B09623DA8B53E7340A81CB8AC473A0C969434D6B5BBDEFDEE601E09240090ED42643B877967E5100ACEC4422481A4432E648F7D58C81E';
wwv_flow_imp.g_varchar2_table(16719) := 'E68D873DCA7B5E52DA143EA754DB1C35E20E4092F68D46A1508C06AA4DA44448422F228A50DAD216436A53297BBDEB54E3B8C499168C2D0CFA5E5D0CC757BC8C7756FF0E7D1E7853AC62E87197A08F8C5F7C8136967D288BC60C71953E00B00F57C9C3C6';
wwv_flow_imp.g_varchar2_table(16720) := 'F7600890835CBF7FE0433FA694473BE891B0846530A6AD7C2382C93213B30017C54DDA2D96F9AA96BB22717E85B1176F2DECE16B62538D0EE96D8B57ACE635BBF1A12F09DA87D795E32067C4273DB9F39C83DC937DF0832177EE337DFDE25F24CB231F8B';
wwv_flow_imp.g_varchar2_table(16721) := '0CF046461B182B7717CBBBD53286537C24BC782FCE5CCE0F9B33AD69800AE9AE6E160B9619C25BABEAA3D4A5EE895D78D237A9D2AAB3A9F92CAC14FDC66B3E29CD5776742319BDE97DA2B6AF40D1CDAE832D6CC344BAD6C1058B21C33C16B738FA798F4E';
wwv_flow_imp.g_varchar2_table(16722) := '5048EAD2EAF8B4A3D09FDDC82A0B2CE833BB72AF80BDFF32BBD652E661A7BAAAE5962BB9D3ADEEF0EA7A7AC185F4594A4C92232719C023A1873BE8010FED02D6D6C3C6B554ADCA462C3B7B9BE05EF6BAE9CAEA74FBBBCDBB414A521464CA7BE45B6D7FB9';
wwv_flow_imp.g_varchar2_table(16723) := '073DE2FD571827BCE3732DB6C7432E72928C59C61EEE47389615BAC0D87683F29008CC35222B99C3FCE536AF39CE6FAEF39CF37CE73EAFB95FD637929FEFFC2F44EF3960809E919EC73C23477F3AD3A12EF59C8FDC1D56BFFACA47B2BEAD03607D1FF93A';
wwv_flow_imp.g_varchar2_table(16724) := 'F4B82E76A7E7AEEC5D7F393CD2BEF4B59BA31DEB43F4C8E32EF714A73DEB6C6E07DEF11EF4B4F39DEF593F1DDF436B5BAC5BFD6179B78FDEB13E16771C3EEF8EFFB2B8D5929F1DB9A588961F0955FF85FD68CC1B313096CF3C4037EFDBCE8F7C47709FBB';
wwv_flow_imp.g_varchar2_table(16725) := '5F2EB2488DA4F2F44CD276460ABCB68CDC6391B657A4ED6FBF24FB8E64C9F86815F0674F6EDFD3FEDA80097E77853F160C865CF9A87F7EEE614F18DE8F2561340AFE457CCFE4E5039FAE96D7FE929D7FF1398A7FCDE50FF6E97FFBFCF59F9F5DF5CD883D';
wwv_flow_imp.g_varchar2_table(16726) := 'E671A143EF03279FFFBC92D4DF68A95E7E30F7FF6E961909E8759CEB3949008E4401AE5F5D25A092F8DE45DC1FE5119F6F915F01EA5FF464DF92155FFBA10E052ADFF66DA0606099058A9C3DD49EB6FD58A0F9059DB11E8D00C591D4C385589FE7615E6A';
wwv_flow_imp.g_varchar2_table(16727) := '1CC5AB641F0D821E55759EBD3CE04ED8CB0FFEDA4E6418112E5B1006E0360D200246FFCF118AE0E7D1C8483004B011213FE984232DDCEAA4DAAF0154A9F15A61985A8EFDC5500C6083B18B127A9CFCCD83AB506061A4605E60187DEC188D14D118862061';
wwv_flow_imp.g_varchar2_table(16728) := '04D8B3791BC8A19B1862A15F005CC02DE03D801FF8E5DE8CE5480CAE85C1C19FF4F905931599C330DF4880E1FF0D06186A4418169F3D9C20553552ED410C24AE18D8B9E160F498B2DCDB6A41E24A5DC493B5122AF9C5932D097DD1032229D21C0D450AE2';
wwv_flow_imp.g_varchar2_table(16729) := 'E111FDDAA1AD050C220C3ED4438ECC8342F1443EE08400825E31D2D50FEC40333EA3334663333AE30FFC801164C41868C40DFC401200801468841274E30EDC4046ECC00E00C15F24C10F00C10F000011A0633B3A8C1544053DE6FFCA3CDAA317E0A33ED6';
wwv_flow_imp.g_varchar2_table(16730) := '233FEEA3157001005841408EC11BB8C11BA0C11DA04141B6150030A41B34E4431624440200424E2442A241463CA477E5A34648811714411100400F1001001801491AC1115CE35F2001121CC148B4E30D9CA34A56C148548112D4E458ECC0C3582300B463';
wwv_flow_imp.g_varchar2_table(16731) := '3C0240157C634604254D66441278240028C1111C81121425000024009008460EE4587C41469441194465566A845306E55C11005886A5588E2558028001200000EC800800000104465B1A006104805CB2D10D90630CDC400CC0000C902300DCE50DE8655F';
wwv_flow_imp.g_varchar2_table(16732) := 'E6650CC40000C0405F1666606AA35D660461D66546A4400A8C455E8E84615226611EA6605C66770D6646C8C04804FF000080665B3240043C000044000630C04844006B660406F8C501B4656C8E0568CE650010C06DDEE6C370C069C2255C9AE56F6A445B';
wwv_flow_imp.g_varchar2_table(16733) := '02C6599E660440404678000078006F2AA7722E2705708004A0C07316A65EEAA50900800950007266440018C070CE550200C0789627799E670298664670C00F5C660204E779AED83B922449660411F8243BE6E73AEEA77EF6277FAEA33B66043A1A417F12';
wwv_flow_imp.g_varchar2_table(16734) := 'A85FD4E74800C17C2A2883CEE73A2EE87D2268609C6334428C0D68844E8E4504AC2700AC65608400007C0088FE857A3E406B6A0403A8260020005A8EC5780246026C2800B0000B00000E6444069CE65FBC684694260394687A02807A56666532266732C9';
wwv_flow_imp.g_varchar2_table(16735) := '8582FF570220C09296678B92275A6E28936604058CC492A2658BF2A8C360699332894F5623980AC64F0A063AA2A34684A9119CE35FF8273B3E4C86A62510BC291B25290024694CDE40926AE9066C000084C0888EC4070C8601C8A8063CC06B8EC4936604';
wwv_flow_imp.g_varchar2_table(16736) := '7862A96024AA469C00001CAA8E6E28A56A4404A8E86A6A449566A75F14A946784091DEE938EEC085DA4076720004A8A78CFE139376298F22806AA2659332000490A30744408B220001A0A501686961C027C480A9B00A6B82026860B4A9999E694F5668B2';
wwv_flow_imp.g_varchar2_table(16737) := 'BE64468CA934466B350A0685622810D029F4C8400B1086AC6EE89EFEE95F1CAA0604C603142A719AA570FA6A6194000064406A6EA86ACA2869C6FFEB93AE6A048C6706508087766A60E0695DFE6B5D622BA2C6A81B31E9945E6993CAAAC12600038CA769';
wwv_flow_imp.g_varchar2_table(16738) := '124176B268462040AF6A84BA32634F86E9B4F664C6766C9B3A89B0AAA99C92A9B552689CFA059D922A00A8804EB2EC0EB0ECB6428F0DC8C0CC726B7A66009F0AC6077C80A46A8401606AA4FE280034EC8A2A2A0180677166EA5F4440CED200009C408E1A';
wwv_flow_imp.g_varchar2_table(16739) := 'E7D0F628698EA78CE22AC392A78C5240CEFE456476EA5E02003902ACD80240CC5667465C6CF448EC781A6CDA66846AAA2B05F068AF1280DA0AC678DA2DBADEED5F40E33372EC335EA89A1246923A23B6E667B29E2C869A2360D880C0FA453BDA40B30EAE';
wwv_flow_imp.g_varchar2_table(16740) := 'E4566E463C2E9292AACA0EC6B8F6FF29616800A61E805F98A68AFE6670B6E5AE8E6EA63E807ADA28BBC22DEC0EADBCCA2E02C06BEDDE2B0054E948702AA77A00A78E05648E6DD98E2D9DF266DAAEAA773D407A0669909EAB01F42AC5FE4505BC2D9B7966';
wwv_flow_imp.g_varchar2_table(16741) := '5D91AAE46A840AF8C5C89663B352EBE56A04E62E894E9A63F7BAA85F882860F42C03002B8AAAA7961EADD13A2A729AE6037467BB46AD8692E6D4C66EEDC6AB8E8E84EEAE27738E05073027021B6F61FC2E949A26FE8297F22AAF92BC28DA6AA7028E2993';
wwv_flow_imp.g_varchar2_table(16742) := '4828F76A449CE6E7607CAF1B956A1B056A4680AEA21E808A6280067C80098F05D2222A9566C4036B44EB8E84BBAA26D0A2A8D28E450DAF6774E6AE732AB09370E769F26D7735FFEF5F30F0484080AF4A800B2BE0B1B6C0B68E2F6060F09A66E8B5AEACC8';
wwv_flow_imp.g_varchar2_table(16743) := '2A2E07572E10B40015FF130690308A1E40701A6A611C2D8BDE6F6174ED6AF2AF5FB4E8A53A2A00D46FAAFE459556E90400C0013B09079866ED1A319BB9C2C605065CF22A61B8EF8A99E93B26E84BB669857657F69A6F160B86E3265CEBE630FA0E867A0A';
wwv_flow_imp.g_varchar2_table(16744) := '318A5EEA5F68F20ECB3011EBAE04E86E1F4BE7C330A9FD7E2A1DAF5865CEC648A803689A89C5FA2CBA0686130B725DC163230BE858FCA7077797159F63F6AE9B28B7F05FECEA5B3289FE426AA4CAAE93C4E8F2E2F158488027B7D12BA7181C64841FC05E';
wwv_flow_imp.g_varchar2_table(16745) := '370427318C84DE0EC64D062400F800B981F09AC5E3C77A5CE72AFF49A2BEF0C338EDDA12EC92EC71364F30D1FA0543B219330C4637E0322FE78046B80050AE73B1F6A7F49CAF80066E4EB2B3DC39EA70F22A2F0BC6A522EF926C3360F0A62A3F0C3ECB5D';
wwv_flow_imp.g_varchar2_table(16746) := '3400000A24030038B192F8C11F6484217C814026E55466443743F15898A9442B890DA8C00D80714D87715DF5B00E1FEACF0AA7E94EEC45FB0506B066BC8A7260687461E83305547061683407443502FC73BAC12508F805DA86A45FBC02004482493F5160';
wwv_flow_imp.g_varchar2_table(16747) := 'C0413AD0746078004F130610A8804F679AA49AF148C473FF060697E2EE92E428FF3A35401D7095F2A6092871649AC0D75AE9DCBDE7510B8609CCF458D04268A1751B79F1BA6940CF6A44652BF25864693F03FFC6EBB66B34A718364BF5D716765323F10C';
wwv_flow_imp.g_varchar2_table(16748) := 'AF5BC5E67293BC820DC0C1408FC42B8CC233008038940D64CBECB58A30B96100506B440B3300A39E2B2F43F39A192F36430C35A3DEF3AAB693340200CCB6468C3300387739A00131544225DC36C47CF1170F1B1903061A2F33D286A79264400974F628CF';
wwv_flow_imp.g_varchar2_table(16749) := '15FEEA6E059B4075722A050CF0BD46B0DC498069DA771D33C9390B465B4DE51B30F6DCDD3492AEDB6B0A3566AF2822FBC57267366010F74800B077FD70552B701F8FC473A26ADAB66E48875C95FA81543FCC7E03C6566A37647FF781C3B05FC8EF6FBE27';
wwv_flow_imp.g_varchar2_table(16750) := 'B92E6D8A95B22A9F326F0EF058C4B79522C0034CA9C77101720EA7A732098BABF68BEAA4DF46FF6B806F6BCCC6EC9208B8B089720D73745BF26A706B2800A0F727BF787ED33804E06F85A3F4836B048E275C12584195A2C117406593B07870BEE889D334';
wwv_flow_imp.g_varchar2_table(16751) := '693389438F9CD0F66AC5BEE5D182A56F06B9C436C95267344747CF69FBC50167B3DB2EA9C72939F404A722AB003A0EEEFA8DAF0693E95BB359658F840A0B6DEC026B94872747F335D5C22BAE6634FFFEF992D4EFC3C8A8A127369BCDEDC39037891FEBAB';
wwv_flow_imp.g_varchar2_table(16752) := '33C907FC68DC627602B8BA595EE983F7B65FCCAB9F4F2D70A71807547860A87AA6B128A90306AEC73AB3277AC3C227780EC6944E2953EBF0ECCA31ACFEEF93A2258D13462B2B49A033ACB1A798AE96BBAC1E329013EE43DF3608C0006436FFC9B5C63BA2';
wwv_flow_imp.g_varchar2_table(16753) := '271C65C773FBE670EA6E346B5AB9A5C2F183D36B8A62EAB82B49B78F858AF2BAB0FDA6DD2E7BB3B7913133F958B4401683F125779C6982EE03D4FA3C436FDBFAAAAFF2B55E7BFA69A225D0DE6BB2430F4A63B8C5A6A70327DC70E639400D7CC397AAE50A';
wwv_flow_imp.g_varchar2_table(16754) := 'A84EBEB3B0F13609676D9DFF268B1A7AACAEA8DA4600BF0FC6BC02778A867A72D7D54757E978567BBA65E95C7979C33F0C3A4AAEC45F28CBAE5B784F6D90FBACA19B26350337D636ACC1F2F5A1667428176DED1AB590AE18E9CABC9A9DFC3457BDF4B0F3';
wwv_flow_imp.g_varchar2_table(16755) := '0F4CBA8AD1F58333ECCF53BB93E080106404A45E6DA57BBBDD775C58B265E2DBBD6E92B31B1D40A5166DE3377B1C543EE68FFF841FFC1322688423200222140200843E00F881E8873E2298BE46F841E767BEEBBF7EE6CB1BB055C81EC2BEEDDF3EEEE7BE';
wwv_flow_imp.g_varchar2_table(16756) := 'EEEF3EEFF7BEEFFF3EF007BFF06F9A4D0406181EE0F027BFF283172A615C26A61B7235E2F24F3FF557BFF5BB3E32C4C2AED9826C00832C3F0C300C43F8B711F7CB0600D802305C7FF0DB78A6ED290FBF7D8A8500DF07DB06AC4009538006B8B1FAF7BE0E';
wwv_flow_imp.g_varchar2_table(16757) := '102640E8E0010340418307112654B830A18E170E013874588361458B0C59144471912112241C39D6404191050E1C19019C5489220480082061C6943993664D9B3771CA249813E7C68D3800B018B9B104CF8B146FEA58D263A9D1150657203DF8B4A551AB';
wwv_flow_imp.g_varchar2_table(16758) := '57B166D5AAF5FF4544833874D4D0B1B5228E8D07A59235BA646C8FAB48D3167CAA966E5DBB77AD768D08162D5EA0290BE2E80A74E45CBC30051E56BC987163BB301EFE142BF66F42C15A75B0D09179F3C6B88E2BEA6032960968D3A751A7466802805814';
wwv_flow_imp.g_varchar2_table(16759) := '617598640CDBE0D8B1AA19E260C263090F004894F2F8889B7871E3376F68848883F2E2BF7C2B1F4728B6A0DB834B97EC90BE9D7B7782406BBC984C91F9E2D8B1BB2FDC8D7047F625BF8533B19E9E7EFDC37ACF06D698122CD8CF464FB2ECBCAFD02BAE86';
wwv_flow_imp.g_varchar2_table(16760) := 'E80EF26D07DE0C62D0BE0721DCCA04D60A12A935E6303488BAAC28CA2F4285DE936FACEC98D06E89F73E4C51C59B3C786AA81A58801180B35C3B48A0C478FFCA7045A4765B82891B4A1C4E38A56A5BD1C82317EA6A85FC46D27046C314BA512F9C0E4452';
wwv_flow_imp.g_varchar2_table(16761) := 'A9E0D85A0238244A43D2CB2F138232A8312DB3D13730B1FAB147D13E62AB4B34E1FCD003CF967C128525F16CB22094F48B932714803A33A2138B04A034E8FC4CF4380EA092EB4E0FA7DB3325944EAA410431159549A9D10CE56133AF320D55351110AA13';
wwv_flow_imp.g_varchar2_table(16762) := '243D45A5B23A00781BCBD33799E02BD5594D5B61034C69DD2AAA82765BB3CBDB220236D761D5AAAA206389558BA25D0D7ACFD5F57CEBF2BF64A9ADA982103438760300AA22B55ABB7A14B4B702BF2DD7A80D425821840D4E30165D73AD7A4A50867084D7';
wwv_flow_imp.g_varchar2_table(16763) := 'DE99B65DF78482B6BD172B2DDF43C237EC84FFF5D76086FA45F6A0AA18E6F7846D9FBAF504750F8E72550098026EB7822BEE58830D346829E491B12D39E40CB405E0615BE79298DD8EAF6B1689DE0A5A0241983BCE205B86760E01E5750D9AF865971536';
wwv_flow_imp.g_varchar2_table(16764) := '7823212E06802D9C998E49830C802E68E583DA5599DFA83BEE610A807B106DDEA6C1AE68DDB1D9ED1700B30D1A1B00A8D92D0157621114D8C1B0E9BEA8EC87B93D08EAA717CE17ED83959AB6EEC151CE60DB9D2FDA79EA6F0FACF2A037078FFC200D1E90';
wwv_flow_imp.g_varchar2_table(16765) := '7C21590F1AAA841A8AB2BCEE081E78A972990C2FBA5AC13D1F9C83D55357A807A45B8F5DF683C409479CD9EBA6C7A07BE401E01EDC810F9B1E79F6896777E27B0F5EF98AE789671EDD8D2BF71D807D909F3E9FE5B1FFD69E7BE6297E9FEE0BDA67FAECC9';
wwv_flow_imp.g_varchar2_table(16766) := '37D79E7F0AE2A7FCF5E19DC77DDDD9B737200021F904050A0000002C700026007701FB000008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A0410A3A2C58918336ADCC8B1A3C78F20438A1C4952628C922853AA5CC9B2A5CB973063CA9C49B3A6';
wwv_flow_imp.g_varchar2_table(16767) := 'CD9B3873EADCC9B3A7CF9F40830A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB58B36ADDCAB5ABD7AF60C38A1D4BB6ACD9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EADDCBB7AFDFBF80030B1E4CB8B0E1C388132B5ECC7869BE';
wwv_flow_imp.g_varchar2_table(16768) := '7C8DE1DEC307B25E3D8697475ADE9C79E2BC9CFA00DC2B782FB4D9D2A5193E5E393A616B81FB0A4216C8CFF568CA0DF9E9B6470F213F7B0E3F0BC4678F786700C205021739AF79F38DC93BE2BB5C4F5FBDD70CEF8D6E1D1B3B56EF12E9F5FF16083E25BD';
wwv_flow_imp.g_varchar2_table(16769) := 'D804639B56E87DF240CBE4F3E9EBA7B09FBD7FFF966FCCFF6F60EDFE4AD1D7918019F5D3CF3E08C666E0530486445F6802FED34F6D2AE9E69F44FCAC271081FD84361F00FFF0434F79A2D1F30F2E57A4F8911500B0C8A2165F6881068C347EB1C51700C0';
wwv_flow_imp.g_varchar2_table(16770) := '9863193A6A51128E0B8DB19190027921A491488EE105174B7A9190930425295012531844655255000065435E40E9459604556164196FD48446196E005086406702D02646670EF3CF710599684802130C24C1461024E067021240A0E740138060500A860E';
wwv_flow_imp.g_varchar2_table(16771) := '9402448B9A0040A38F02E0E8A2039960A8A5937A9082078E1284C2062B0C14C2069F869A100502A100C006026950D00614C0FFBA2A001CCCCA0107AC12942B0304195090AF02F14A5408AE6A402CB100205BD007C602F081B300342B90010FBC10C30E32';
wwv_flow_imp.g_varchar2_table(16772) := 'FDB0831137BC0043A78E3A0A0300E39A302E001E30E4280595F473DD41F9C8F30F20158C20D0082A70D4814179025041BF135450900B40A8902FBE4008A402100413BC70C3053F44F04040309C30002E1401800D3708A483401D83ACC30D1F0FF442413A';
wwv_flow_imp.g_varchar2_table(16773) := '9C4C50B900BC90320025C300C34927910B830E3CE8302E0F300380020A2BB8CAD00B2CBCF042A724E1CCC3123D44D4B4C73EF7AC6A0D05E13090AA30D750030A35ACB081060F605D53114610F18340465C0C84116803F083B63B60AB2D41D8BA0D840999';
wwv_flow_imp.g_varchar2_table(16774) := 'F4331E41BAF1FF83CF3F7F48606F41833B64EFBE02192AB0C0FC1EA442E18F0FA4820B0A0F4479BE0B510E40C1430060B0E743243CF140E3D6FC900E549F6CB5A7A8EB8042EB28188D83CBB2B79C50C9C90A1D8240BB1F44354A3A848A030E4CE0BCC4D2';
wwv_flow_imp.g_varchar2_table(16775) := '0509810442620360AAF309FD1EEAEFB93FF040D349689C040045643F121146647F04F747246176DD04690BC4D96763DBF10E09A30FC00E707B1089DEBEFDFDC704850FD4C108FF439C42000880C311502115A880000110400606700416F01CE1303790FE';
wwv_flow_imp.g_varchar2_table(16776) := '55CE60F91A020535C841157010082DE899C83E56321D24AA202F585DCB8C962A9FADAE063A50A1C95668B294B90C0030E49AA756F0B3AE4DCD54458BDD48FF4CB502AD09448604791A4172163DE7758D7A3ED4DAC7A827100C3000066CDB9EC6A67484F0';
wwv_flow_imp.g_varchar2_table(16777) := '15A18BE2FB22F792E0C52368CC8C68FCE217C34704359A918C646BDFD906A2ADB3996D7E318041C8E62710B9FD606D1E3004FE0EF29B7FC461022E3820C60CA2B9810D2E91902CC8021748B802163082FBEA40042D79300B50F020F88220BE2627B98278';
wwv_flow_imp.g_varchar2_table(16778) := 'D005F96A81D1543610D431248637B4210E3FB63A24B200874403C02D01B03A55BD8E8A3854E1EF7050835ACE0E8722911E4170A003262C8D67C75B02009EC934690EE489D0739EAA78F8BCA8F9CE54095841C2B4D7BD2D1E647C64231FF70070042200C0';
wwv_flow_imp.g_varchar2_table(16779) := '08E614883BDF294681AC719E3BE801FAD8C7FFB68AE1F17DF35B9F407E903622984090F2C04D41F8510FC0D5AB70FBB220252D67AF464672049493A8403A00824CFA8F208ACCD744EF6501081224720AB3E8E43C083A81A8929548F3E5143FF6BA238AF0';
wwv_flow_imp.g_varchar2_table(16780) := 'A6AE7365AAB676B517D4A06838D8E52F8F18435E128496AE24262F8B09CC86506D6B38681E4F0DB282E9318120C70340560B823C9B12A4A903E966414CB53B066CAB9CEC4CAB41D20800F07D9108EDB4673BE76A8476760F9EE473673BE376039A852C6E';
wwv_flow_imp.g_varchar2_table(16781) := '44009F403716B7CDA56DA0440082410DF10F79200432FFA844BD1868418C65747025B557FF305A40CE1630918B44654741A0828EAA60A49B24C8FF00A8D98D0E6E81A2BC57BE566A4A0FFFB6605CB1ABE9D4A446D329C28C9956B31AD55C57D3AD15536C';
wwv_flow_imp.g_varchar2_table(16782) := '5C4B2E0C59303C62969098C4FC25EA5418D5A032D5A811D99A4E1B123C268855AB1F8B26009A66CD69F6AC98C824C8F3AAEA448150B16BC87A00DB0462460064CF7BF6DC9E7ECBE9BDEDD9B320F51CC819ED09041BD860532630410BAE053F7706565B06';
wwv_flow_imp.g_varchar2_table(16783) := 'DE1CDAD6D6478332A2B1E5C94743253B02D632F05E1DD064052C40E20EB8C0C403FB30E54C9C4816EF0B0423C813080CF5B84F0E84711F4D486A2FC9DA925AA091122C65BE76E0A892856A05B8EB6D4256E74A5FC210AABF33EEF482C94B66C2B0960309';
wwv_flow_imp.g_varchar2_table(16784) := '6E515BF9D4E07E158908299952950A451D3A3154B89BA633D7ACD525B819FF09D25C1ECF88FA4D81D000003430150DDEBB82675DD1BE6845E7F6C627E0FBCA758CDD4B6B3CD729607B16C19D3F08A10738958216D8409E02A95884DB9A3023C02F6E3BF0';
wwv_flow_imp.g_varchar2_table(16785) := '0024FA218FF24C27B21580F1FF5CFBE32DC8410E000083124A0A5A83F8E00A945382E74680EB1128214543B0820B5AA004549E382400DC5749576D494B1A2A94066B8109A6F6D4DF714D8A30F459EB9869532B0FD79738EC9A408A78E4271FF1CABC8C61';
wwv_flow_imp.g_varchar2_table(16786) := '0C9BCBEE5AA63923C4A31A13980AD682FCAE643C7066347520CDA5C1B907C74BB398AF79673CAF8006052FB813A657550D3060035924827F073DA5451704BF03996760E3F968823C3AB13BA094A65260838BC9B3C075FF03DFA777D0D71B7080B17B93CD';
wwv_flow_imp.g_varchar2_table(16787) := '861518E2665B400BA350C6345E910A6204A3123EE0AC66316A0159F4C30C125086BFAC708E2D486015F6A08619D6A18C0A28031488ACAC4226F9E1916A12A2AAEDA80455F02D64BA0E663CCCE9EB747B53249E3DDB45DCA93775C9CB1406B5B946C5F2EC';
wwv_flow_imp.g_varchar2_table(16788) := 'B84DC2562E24CA0BE1F6BCCFBD4CF7668DAB5CB526BFDD0C80E2A53BCBF63662A8F67CE470E330540CB8DE3BF79B56FF127A4AEA74C83CDBDA468204767D971E790BE0677A22C46D7D71B3411E1D95AE07C01C00B311C863348C6AB1DF0B006B90453046';
wwv_flow_imp.g_varchar2_table(16789) := '618729306113BF88C62AACF0E3CE76F80ACBA0C62B12200D7F5DA1E912188534740D0E7BACE115A3E01FFFE22A0BF6450A24A314C5172A5FAB4081EC982086FA1611891BBCB0FA36F0E90D95998547C55D421EB8C1158044353CEFD61157D5335BC63ABF';
wwv_flow_imp.g_varchar2_table(16790) := 'F4425E56106EE66FE3B5047D27104C303CD87579EE8570DD4435C343355FC30026805708313E9E671016C768A39710EE04048FD6029566036F73311A037236D0023250761EC001A8822AB637277D3310BB377385632F57200BB2F00B80B0099BD00A87E0';
wwv_flow_imp.g_varchar2_table(16791) := '0AC4A00CA390032E9048F652018DB00D95700E13A07412C0745B9000A3100FCA6006D9A07D00107E35B7100434045B40106860066CB2056620875B8006027105393052AA652F47C35ED98464C8E531CD5335BAA45CE336885F764B1CD86EEC566560FFE6';
wwv_flow_imp.g_varchar2_table(16792) := '773EF35311518057B55D1E9343AE747FCCE44CF9966F48C004E4A5661438814A854C7B964D775670D7043460F30088C64EE4048BF665820C91829B638BEBC38245706030683714F303979602B4472B12400182C2838C550FFCB01A04C17B92A56AE7E709';
wwv_flow_imp.g_varchar2_table(16793) := 'C1200BCC5009AA500CB5B009B1F00CBFA00C711051186301CA100FE0F00F68F00BC160055A700E80E002AB900D43C005E77005A3B00FA3502F69B87500700570281073F8057338103702006D288741A7871B157FDB043462336548A65DF776105683350C';
wwv_flow_imp.g_varchar2_table(16794) := 'C94D3AE4642CD06575B73A29044BC3734BB0F478E635675125102F003497976708513C12C804240389BFB56D552610FE2710D4C46F9FFF882D3CF33173D64AC2255C46646712894C5F93001F334F89A64680F65F126172B7A8589B3337DC538396B60330';
wwv_flow_imp.g_varchar2_table(16795) := 'F847D8B26022C70112B001AC822A029100C9B88CB9F71EBDA759155084C10000CCF00AB5500BAA0000C3000DBF900CA3408502E103E0A00510200B00F00AEB000E71000EEBF00A592898CA700543000E1C8690AAB58F7308080000876B600670688771D0';
wwv_flow_imp.g_varchar2_table(16796) := '086610079309003EC06C09415A27093447569138E46458F3885F655C287979D28335C39465B8D3883E7910498602C2C53571B71038F3313D708085A76E4F754D08D193D43410C049815E4555EE05454019020F007186264649C96819778205E19406D13E';
wwv_flow_imp.g_varchar2_table(16797) := '36B0038F16691B03001DFF23032E288C02918339080012502BE909003DA88C65A97B33A76A2350016B100CC1F00BC4700B6F0900C5400C74F90B9E19392BB56A43507315D56C00E04916009A0DB41057B00539370A6B1086800008D4A00580300E9530A1';
wwv_flow_imp.g_varchar2_table(16798) := '7260064A30595CE7391D902FD37635CFC353FA975EAAA203B49410BB8988E3A6108F684460D593513555CEA39277C67006B1933DE95EA5683BCB593556833B4A441095885D32E45D06E1A4D5464C4143013B603E03418207718229A89D0791307FD43EA8';
wwv_flow_imp.g_varchar2_table(16799) := '576929002902512BEBB99E08C1011EF09EB8971EFBE08CFCF361F6A97400400CD1100BB50000C7000DC8800BB8100C4AB06A9873381FF638F6026304A140BEB7511FFFD6A88FE923A3000E72B005C1B00DAF1007DBB0051B0A0A89300E8DD0863E80A8A0';
wwv_flow_imp.g_varchar2_table(16800) := 'B42F2D000235D94D3C145658C32AC2C35C86473D58F35D007002EA5510BB64A3E8F5531C986D6196A303A18AEB8532302381E57510AAC24AAA099348D04C30B3A48D478154746735E0A4DE654407A83538E035D5224F45D0AD00E6101733470971697F74';
wwv_flow_imp.g_varchar2_table(16801) := '3156296DB4C795657A9E26902EE972106B9A8C068120CE986A37769FB8209791B00890000088D009D0900CCCE099250A520554A2FF932F273402A395B0AF652F0D3A518373055820A1E0B00AE0A00CDB7085570008DBB00600908595B00581AA75070B00';
wwv_flow_imp.g_varchar2_table(16802) := 'A53A2B2B100281A8104073ABF55602B93256EA656673FFC702FB175692C89B36CB10ABC333416A1034E510BFB334FC063338839C036735D25A70437A4D515A031BC00014004F22284FA5777289B5B5B94847F4F3B5F2331025073FE06960E6591093B228';
wwv_flow_imp.g_varchar2_table(16803) := '630A0329000321742E9212AF7332AF6FBA6171BA2F1540A9B8D00868600555200655700663700795100CB890032BA5392406400D7A5A85335A3776429495491DD07E089A236690087F1A0CAB80A9ABB00DA3D008E0300AAB800BCA30A956305909D10129';
wwv_flow_imp.g_varchar2_table(16804) := 'CB012B8B0221404433AB5EA3F2559E024CB46A10AC7A88C349353E1A89FA675C7F5780307A10C54342BE4B5D29E45436B96F8DC7444CE431C2A49CCDF955D5DA35ACF2003C60A51C977150798B12FF463703213F0556BE045183E41929E1221095260303';
wwv_flow_imp.g_varchar2_table(16805) := '413394020092EB9EF25A1008020076BBA8EED80856C0227B20265F5205F408083086410034043E3039C2D67C8B6405079A2731E602083C041855C11893030070A0B11504961907FDD89900E0C16B100723BC06A0EA510461018662282DE001BB0B2AC9E2';
wwv_flow_imp.g_varchar2_table(16806) := '352B2BAB31CC2AF556AB0491BB7F97AA5FC5435124A390B74C376C7816689361C5B2A6524CC92AC4E966B4495BAC8DF7A247748AC2856708D7A3088743216045282071EEE4AD4CB9B504918B2577690211612A802D2A60C6287B6936F8C6EEAB280BB660';
wwv_flow_imp.g_varchar2_table(16807) := '281B42628B10EDFA9E143210F73B9F8853B996C922656006658206636005576008A9FFCB40F9620157E0C143F0A17230049F3A041E2C073E6006F63287FC580957600572300266D0082340C223FB3FCBC68607D1860499235BE02339827E8D6A018CC3C2';
wwv_flow_imp.g_varchar2_table(16808) := '15E095C952C3B4EA35BA7202BBC32ABDE333340C00257002332C103AFC10C1EBC33C7C3B354AA345EA31A112CCD82A426E579CC7038A02B104FF86A3C1149BCE53557936CE4524B50EA7018AA531DD9AB56D651040803E665C303B90C6773C1076AC2831';
wwv_flow_imp.g_varchar2_table(16809) := 'D09DEB038C0D51836E6B3309C6A6F65BB791C53F92CB6B5B50052CD2222DE20566B0C821962F2E10072E20015AB00610A00558100772C08F0231016B403966800557D00171909666E0035AD0085710D271D0A015C4A800942830FFF66CAEF5C78AB4A08C';
wwv_flow_imp.g_varchar2_table(16810) := '23302D3C2BACB2012190BBB13B6E410DD4B9BCBBD97410329CCC30813BEF253650841054A3012750D58597AC437B44DCAC5502B13C5AC503604D78CB796447768ABE0B3657940415B3458AE54FE1FB36E78B399616612174CF0371429D32A6766D100B53';
wwv_flow_imp.g_varchar2_table(16811) := 'C6F05729F1DA207C1C1BF92B400233D16F100765020770600670B0052D906C9634D131B6055860D170780572B00612B005959948262C6C142D078DB0065AD0D280900380E051139528948B908333380924108C2301CAF2CBBF3C103F3D2AB55BBB0BB102';
wwv_flow_imp.g_varchar2_table(16812) := 'B44AABC13CABC0AD12C4BB53DC54AB19299121C02CB36AD54704664C967F48365E55224D4BB003D87DB48587811AFFA881EA053606E02845009509E34F7FE4367C7410FF2CBF270102DFD2AE485310B5C2AE2EE5529586B2F94D2E0231DF1E2096EEB2C7';
wwv_flow_imp.g_varchar2_table(16813) := 'B0D11DFF10098233DB1BA54056D008A390AF9E100739D0510F5B9F9ABD0539C099144DD16BB0068F8C0556B00698EC6AFCA805166E066B706BA4FC8D31FD401131510984B7E4220142C33BBC832CC612CCC3EDCB325C02493D2B0861CC4C5D10BB1CBBB3';
wwv_flow_imp.g_varchar2_table(16814) := 'FB11B14A9151C3812853035BFC2CCF7D0259DC10179966FF2681481BC40441CE53F6545EA30106A0017513B67D5460E7EBC63000DF076129F0BA27B4020110608C14C095F53D10EF8A2EEB4B2B02812A62590FF4602183AD1DFFD00812A038FE52B9FB02';
wwv_flow_imp.g_varchar2_table(16815) := 'C12BFF2630F9581039300415E0025208B128C64088340413D00139204AB41C4A9A84CA06F1A019B13802E40182E22A383EE3C7C23B463D10402E101B00E4AF7E02AF3EC3413DABB61E56E44CDCBC6DEBA062CC54955C12E187B32A02BA24456EA72A18E0';
wwv_flow_imp.g_varchar2_table(16816) := '2A565DD5CFF3CCDAD4353880DD5CFDACCDC433D36B6793A78A47FC00990703D86260E68B1066FCB6685BE7E83201EE2A10670A96AE080010D0EE6E8E2A7B522B6A5ADFF54D01C5B80109F007F7D01BB39120B1910F052E01959BE0050FE38CEAA892D47E';
wwv_flow_imp.g_varchar2_table(16817) := '34975A381630EE27300D4ACB8C1A41EFF77B0E71F1B4BDD3F542EA33DE2ABD532CBB1302230FCCA8CAE3BCBCEBBEFCEAB3DA3BC97C7007974D3AFF1EBB2BAB122CAF2A4FDB4AA18201CEE2E4F696655693A2DA849B418A04F9D69BC419F330AF92628502';
wwv_flow_imp.g_varchar2_table(16818) := '0E670020E8522517429B169E0511424853E71E70A65CB901C5C8F512E001F86E8C6EFEE6EAE9F5B792EE03C1016FCEE6718E007F800FF4900F3F0800F77B0FF342F005FF980284496A58103BB6D307B16313DFE9FE524906B1383916D387FFE2874FEA0F';
wwv_flow_imp.g_varchar2_table(16819) := 'A00142C3F309A13B3E8EE3C19DCBAEAEC3418E675A034CC03DCDACD2F91F21DC321C940691AD1F800118F0013EBF3B66B6DC57E343A6623510385E3C533C45DC35DABEA3C11A2D0C6000E1E4522D70CF2791DF761C42C238BFE8822E686AA605912E2764';
wwv_flow_imp.g_varchar2_table(16820) := 'EE9252299B422B735E10F80EF7F9FF30F7027EBF026FE0BE67D89964F10DD13F389638B4FDE9F988380AD47E0A7FF87FDDF80901FFFE223012D0EEAD1201D1B2FF00A121020000180802D80020C48610071122D4A06183068727149E38B122C40A82351C';
wwv_flow_imp.g_varchar2_table(16821) := '7E54E85023C2851C419E44099263C28C005010C4F1510780151F301804F0E1A045932E0FA2E0F8D2210F1E4B902C410A3326411A073D1EE4B8A22745000C0C6CD8B103400B003664B48091222C00B10040982088F6A407131E40960D0BC3618C1474C7A2';
wwv_flow_imp.g_varchar2_table(16822) := '759B3025C10D08FEE4A3C78F9FC37DFB08FE6B24A103800A00163FAEB098A0640023528EA07CB231CA0E990F4A8EBC99F1E4D1041B9FEE6001806AC91D4457682C0102418318FF046278801B278308B91F68F87D306108AA008A47DC6B51E4C98D34179E';
wwv_flow_imp.g_varchar2_table(16823) := 'D8B870EF74942D019CD8B0C2238B8F3C00CCECE95043D01525F63E3D38B307CA1A514196489810B8C3041B5A689501E006D71400D8B25D0BA51606E4CA060377000280046D70C886166448C12DFF28008082D92878C0A10C01D830813FEE096CB0830A03';
wwv_flow_imp.g_varchar2_table(16824) := 'E09E7F0C990004C73A8B4C35C70872913ACC2CD36CB3094EF2ACB4C640CBD12C824080ED31D6CC8AEC24091ED89020DE228800B7250118084ADD927CA8CA83A8D24027EA4ED288219A1C92EECB2DB7B42823E51C5AEAA3910CDA50AF8F94D32E251D90EA';
wwv_flow_imp.g_varchar2_table(16825) := '618998966AAFA29DAEC449C9DF4C6010AD145250CB030EDCE260FF8244DD320104185A609041005400422B82540000414909E28A3F823CA0B0429428C8E001520FA2200143EAA1271FC100282C561323994005CB66ACAC035C3F7261045F69FC08B3492F';
wwv_flow_imp.g_varchar2_table(16826) := 'EDB503155DF3F1C55B1DD2B5331A9BCD6C4667310361B111AADDF52010540441B6D90EA2D2B88370C3922F89CE7568A20DDC440823957CEA082A006A100105114C72CF251650A8E125EEF8156A4C1CFE7509871A660209E125665AAAB80DFA05C0BC7DB9';
wwv_flow_imp.g_varchar2_table(16827) := '03E0051C5E180AE18396E8C13B98E29D775E8E1A3A2802061E6000380D3838A8BFFED43A54AD471D3C90A02280B8B988220EDA19089FBB6A2106B93E3A9403090E253AD450453DC8437D4214D1A17A4E8440FF829426B01A24ACB1FE08EBAC0FBAF1EB2D';
wwv_flow_imp.g_varchar2_table(16828) := 'C51EF3A46FA9FBD6000008587B6D02D826E000B8E596DBED830C20C08003D4DE9281B2AB72C86FC0FF26BC6426A1342E0295C5AB900104EE161C2406261F48E50C33A4482FBD346000A781A23CA8EE034062FB7190128020012ABF6E140013D06ABDEC04';
wwv_flow_imp.g_varchar2_table(16829) := '1030DD740010787B6DB509C0FD71BE3F4A808048FE91E79E9300FB279935DE58038E35A66B7E0D3300589EA0E8E130037BEA9D87E30D00E00020FBE9BDF71E7CEF1D3A9FFA38A23F68FD389CB7DE79E6A9B77E8DE79FA77FF9EAD1280380FE011883FF3E';
wwv_flow_imp.g_varchar2_table(16830) := '528631FC8F200424480101D83F0506F0230E74881BECE0063714CE821704C91DA653C1FFFDCFFF0D6570031A42384234689020263421003478873EA410241FB483010F02C10356F00D6820C81BBAD73D00E8F0207F70C8FB0000C43810047C00C0E198CA';
wwv_flow_imp.g_varchar2_table(16831) := 'C0BF3268A17F5F40A2430CB844287EEF0ED100803CF0F111C180081EF1880700E6310F00C4831E6504C03AC0389D3082A48D1F89C73AA6A3463512248C6B44631ACB28C734CE838F6FE4A31E0942C741C69120F2C8E219B37848442A923AF2382324A773';
wwv_flow_imp.g_varchar2_table(16832) := 'C648160F83974C093DE4814894D0C37800D024283D99C54D729293B08A5561F451987BB4D295F790073CE0E10E7894F22388E4243D5815CA4F7EE49367AC473DC488923BAA711E613C661BC7380F4DD2631D67D4873E1CA2C86002A01EFAFFA80733C3E8';
wwv_flow_imp.g_varchar2_table(16833) := '483296F1980499876100600F7EC0831DF2881A48E6210F420612947B3C883B075936391AB28D758CA721F548477D8691906F2C641AFB29CF409E32969B84C7476A99C55A2634250D05802C134A4B462E129317DDCB4253228F73CA1200EC20C844DD1152';
wwv_flow_imp.g_varchar2_table(16834) := '876CD2A28744292E1789CB530280A22145A4430F124B5AD6D2A4338D28436319D17824B4917164A733E328D467AE839DB22CA549F9F8CC5C5A34A1323D64434D99475D6E1125F6C0873DB08A0FAEA644AB1FF92A48EC015087C4C31E791CE374D23A8FB3';
wwv_flow_imp.g_varchar2_table(16835) := '82331EDDF4EA38B7640F568144980419E53BF19A925E966D1F2DC52826E9E1C8C1C212A7B042A4613C990F7C08F31EA994D5FF2B5D998F7B08F3AEF940252B09D257948612AF9CDDEC27ABD9CA8F745530FCB06A3A3FC2580048339AAD05653083F9B4BB';
wwv_flow_imp.g_varchar2_table(16836) := '5E9355CB6CEB41F061BC6A12041FF9606C3DF0A15ADD7255AB61750872FF06D79330B76C563D88729D9B5B328E71AC763CAB59E3C1D5685E5397D2642B651FFBCA94883756D2FC4861001B58F6DEF520D2142741F6014BC39C728B226AE57CE94B8FAC02';
wwv_flow_imp.g_varchar2_table(16837) := '80ABFF05F07FDB3AD833C6D793A47DAC2F8DA7C8A61E8FB828012E4122ECDFC65A9320B3B5AD852D8BDE8F5CF3209405495737EBAA5711C630F9386E5B4BACDCC03A774C224EB15C734B5658D9631FDDFC8776656C8F7C70F8C35A3DAD88F8C158D43E78';
wwv_flow_imp.g_varchar2_table(16838) := '3AF1656F9253FFD20F009418254C76C8690B338F7B90F855E91C4C90B38A8F7D38B69794D42B664744381F4F678BF6D0078AB12AE6CD4ACD9AC264B343A239E726B77695FB886661B82A9808FFA3BCE32427394F4B101663D4C5EA4C2EA1CF1CD6E38E39';
wwv_flow_imp.g_varchar2_table(16839) := 'B7FB8807A421ED46DFD6F9BD291EB2882F18CD092BD9D32979ED92B93818D6FE36C8591EF4A901BD55D22AD878C08575A7B79466CEB615BA9916D15979CC4500E4A31EB1F635662D6BE734F7B8C9FC88A660922DA27E3099C47F9E0E3FA07C3C9008F9D4';
wwv_flow_imp.g_varchar2_table(16840) := 'A86E76B69B8DDAE882F320C2CCED5985FB11329A758C6F5DABF10A4D5CF742B870D366326463F5690CF603D54146C93FA67D49273779B822522571A78DEFFF660320DEFFD0B743E23C6A820826DBFEFD30661DDE6B217F84C3D204AE877BECF07D3319CA';
wwv_flow_imp.g_varchar2_table(16841) := 'DA36724ADC31D29AE6742F253FC8C89F2A5197BA54A2121D394146DA8E8FB4C3E634C7E0484132729BA344E700E8F998664E6FA25B70E44777C7CD6F2EF4983F14E8246F794469F9F39026FD2034A7FA49460AD59DC3DCE549BF79D655FE7278049D20EC';
wwv_flow_imp.g_varchar2_table(16842) := '403BD0714E109B379DED2EAF256809D7EE9338F2CDD3247052E98E779010D8EE45077CE0053F7837AE17249064F04D2739D80BEF45B67B77BC642B7B5184AAA3CAD03E8C9F0B8E7000F899F09F077DE8453F7AD297FE2009778738F4217787A8C3DE052F';
wwv_flow_imp.g_varchar2_table(16843) := 'FA3EFE8164D3D7DEF6B7DF123F3C7F126D83FF04F6B8271CC285BF7B6DABA31A434E093FE4E17A69FFFED3B2A73DF0A53F7DD3EB9EFA81FF87F53FA2ED743CA31F0BBF25F39D3F26D88FFFF4C3DF7DBDF77D7DF6B77F3A9CDF7E3F10EE7CF32719FE0EA9';
wwv_flow_imp.g_varchar2_table(16844) := 'BFC13FBEFEF33B1FFE9CCFB67F480766E007D66BB2E5E338FE632F84933DF773C00754B26D834051EBBCF4CBBFE90840756086608235DFA30775183EFC1BB8FBF33D2623417EB0877F382B15DCBECE9BBE87FB3F128C3F6D53C0091CBD103C0912F43FE1';
wwv_flow_imp.g_varchar2_table(16845) := 'BB24F4F3BC0B84BED9E3BD06F4BD2DE938F943387660067AB0B14C52877CB8C011A13F8FB337AE52411E2CA3153CAB79D03DCC8AC2C16BBE813338FDEBBD93B8B67EC3401B54C31ED4B7FF7EC8333C2BB35E133354CB2DF093305473B021632D32FC0775';
wwv_flow_imp.g_varchar2_table(16846) := '40060B7342289C3619E487C278388200391E5C4138AAB4DD6BBED073B87BD03E440C40CD6B38FECB3E361B8C7B8032693B88A8F142895BC351B4A01A143D1E6CB63E44065DDA8B0F14C49420427DF038F8B3B78F8A866700410000417E88876C00417508';
wwv_flow_imp.g_varchar2_table(16847) := '877F080771088767C886F933C54FB33EF903807040274BAB3376F8872AB3BE89EB3CED1BBF643438CFF34452F4C625FBBE7F388739608330B88039C8828FC88230008075CC8239B8007604893070477AB4C7753CC77ACCC730A0C73C1807ADD2375564C5';
wwv_flow_imp.g_varchar2_table(16848) := '2773C5DF2B3F82108763080743A4C17ED822572080D9C886147805841B86FF0060847F480529480613400618780038D0B7478CB23A63B2417BBD0BCA877F78866BF8876AB80671D0418230046924085A8087F4D3BD6C60045A180C621087543846008806';
wwv_flow_imp.g_varchar2_table(16849) := '64F88354F8076278836C28073FF0847F4086378886694CBF6FB4CA825BC96D0000012008011800AEF44AB0FC4A00188083E04A87384B9028CBAD2488B21C4BB71480063085710A487640067B30C07E2848134CB8ECFBAB4FD8032638847488A6DEFB3E00';
wwv_flow_imp.g_varchar2_table(16850) := 'F00429A00529C8861BB80584F38331A8827EB88524380250F80713F0847490875A64C64E0411C6EBAC9B6AA67A90446D349154784C5B48856BA8864840866E608463040546788372F0844C88861DB0057630846B0807FF5AF03350C804104C875450874C';
wwv_flow_imp.g_varchar2_table(16851) := '60867F60074F2807780005667085708804738087546006E734047AA845ABBCA0903BC593FC876D70000750008738CFB6644B7A1B80F66C005DA04BC1504259EBBB2734C8936C464B700455D80460E887C26843F9C32C57480013E00271B88167F8077358';
wwv_flow_imp.g_varchar2_table(16852) := '0250D880674086D929077E888107F0031339C40F830775E050A18387285C495BE0824CE0025A40CC4CE8873BC8844820064F80073F108768F0035788847460048218463F2B07508804CA74C96A984A6440867FE886D624068DA48722CD0660F8075A4887';
wwv_flow_imp.g_varchar2_table(16853) := '31F44E0C443E85C33FF0F338666B38DF4343C2913FDD234F070080025080F314000528D3B444D393F0CAFFAE244BAE2CCB3575D3AD6C4FF79C85C3F8BE7620403B3C880F24C983B0B77F280755A8855A400468B8331A34114F388269A0004FD8819A4C05';
wwv_flow_imp.g_varchar2_table(16854) := '03E00102F0035BA8023FD0C51B008574D03DF3CB077628077360077530075D2CD57430077548A874680752650728DC8BD474857F0005E24C8561F88737F0846C10868AF4035A000538480546A0073F30846C18A97FC80779F8074F084A10440605050575';
wwv_flow_imp.g_varchar2_table(16855) := '28075BF887A074074F08CE05F5847EF0847AF842EF84BDAAF4C2541C8C2B3DD7F913113F4349DDD3BC216B36E0DA36F0DCB6F12C4FAF54800150844778840B30CF0288530148CB8F78D3357D53B2FC4AB024CB83684F12A8D314944F66A0CF8FD84BFF3F';
wwv_flow_imp.g_varchar2_table(16856) := '85B27D508762E8844F50857288953FD537611A0613E0003428072578002E280314650637B80538508723888431788032981A511C3875488770B085695087662C0700100776C8065B880671B88567485558E5AB7F1886211D865BB8055BE83C6030846768';
wwv_flow_imp.g_varchar2_table(16857) := '074A300446600643C80464A88458C8063F408670C04C0048853718069EF533630C8759F5043FA8CE5440836C48053FC88472A0053870C96E8C5294D03D76888627F5040018064424355B180CCD43B87660C99F5DD06B50A465FC078F3A8CC5ED4B650547';
wwv_flow_imp.g_varchar2_table(16858) := '2F2DCF0218000598833918800B30850B18D30B00800650800B30DD856DCF323DCF2C405DB65C5D812D00D645DD320DD3012880069885FF151CAEF994C34EB2BC82A34206BC876F185472A8253CFB38161C430B74083FF333611A3E9484B27F6807737803';
wwv_flow_imp.g_varchar2_table(16859) := '48B08572E0002E70873248057D288332600634A8D472680757D90B00B4C463634E7750D69C8CA895EC0766550776903F2873DC5B904928FC875B08C60F740764A35F7DA02569CBC970BDCA95F40438A84E143DBF01F48376A8A503CE866C70836B20D565';
wwv_flow_imp.g_varchar2_table(16860) := '3507EEFDC34FE5CE7FC80457E8077510876EF8077708876C68B698D45C4AB458D9DB86067080F654803648D8D01558D4BD804B308539700807605D0768000078845998032326017E2501D9CD833930050790DD31E55DDF05485799CF58AB3BFBE43F0055';
wwv_flow_imp.g_varchar2_table(16861) := 'DE4FE006002549845BC4FF26DB3C599445690340E3C93E6663D7CE6B8774A8822F500750E0022FE806F2858732B00264904C7110D541CBB7BEB45800DC46BD4438ED43648F83D295944113C44667D3C628FD534FF8D954F8837E4828507085A6CC043F48';
wwv_flow_imp.g_varchar2_table(16862) := '056260065B20869EAC825BC8CD6C18064FA08432008554288754A08705A5055A68873F4004160500B945065B8884636433FAE35C07F0CA0268830B100007680300B8D74B50844B988349C08471000058100553108539904B7A040045008059300553C882';
wwv_flow_imp.g_varchar2_table(16863) := '3A1D044EE004539885740CD3B89CCB14E4628995433BFC404EA4C2D642B874C8853EB08445008050F886F9933D3F83583FA3ACC3A42C7DB8B26D3357DF7A458703D5FF72E0821BAA821D008537104E34F00476E05E2578CE678B36419CC5EEFCC4C36832';
wwv_flow_imp.g_varchar2_table(16864) := '7905B18FB326DD83D7456E3858354193FEDB255B4912A5E537F0337C500746808372E8874868CD6C0080E1F9874890874C208654A05A57480578A0855B38C6A4E4D16CF00473A055676DD66E00059904477DB0D71CFE4AD26D034528DD06E0DD30D00545';
wwv_flow_imp.g_varchar2_table(16865) := '60035D586B361005B7D6852CF8E63030055D7884305084496083BB9E054E988530086C00C8D7DEFD5D7FEB07BBD4C38905A5E285E49002863BA0822A1083CAAE8231D8CCECF3B8146CE4FD331E24C43F1774C1C575E87E68877030843B98D96EC88437F0';
wwv_flow_imp.g_varchar2_table(16866) := '8340F683114DED1A6D07BFCD3787A8324FEE4C4F2AC0FF12E10761EADFAA9CDED3DBB729BDC49A2E9B7E3091135E503FD0C86CA8824CA0854AB00538B8851505054F08653F98064328873760066658D16CE80637F8D0178D8448E0D15470055606055A70';
wwv_flow_imp.g_varchar2_table(16867) := '057DA05168D4D27F5886F29CD3020000D6CD827E355300D0057E0480670E5D7E7D84F234F0051804530803220680B9E457000883477866052800C3CE31654DE121ADE76ADBCB77FD0766F082CBE6022BE0020002802A8805CD462F7D43AF9CDC29FACD38';
wwv_flow_imp.g_varchar2_table(16868) := '7730117828077680077348077B48877448387705557110076AED717128876E080773184600E8067678D22F64CE4CC804FA25085BB0D66AF3BC7BC8D64CB00771808321A5851A750743B056DB8638FF3F3D64E4DE3EDD0B0710AC07F061D148184357C806';
wwv_flow_imp.g_varchar2_table(16869) := '78B0855728876CED866E40863AF745A1ED866B28874AF83E7808C66B358448104E4F30845790876C008572F8070EEBBDD993BD6068E60BD7F47C1D5D1E3ECF311DD338CD575027ECF204D3F53C080BBF808435530578CFB19A3D559CC60EAC4F7CFEC426';
wwv_flow_imp.g_varchar2_table(16870) := '55022E188337288337F09E32A80243D8076493451341065AE8876B98D56180E1E204CE74B08579308761600673507673E886F696C957C1077A18D53AEED09F6D875105BA963B2710A5D55B18B9686004710000A98E0441F7845D55425BC84952B58557B6';
wwv_flow_imp.g_varchar2_table(16871) := 'EA6C8884A904856BC804165EBFA8014F35D7D2CE432466270857A80647EC383BA5DEFFCEB3874C28E0CE0B8C66C5EA2675F7CCD3D3662B8C78E805D52508FD26798728CB554758DEBDF0F6F4DC304558811D53FD1E79B624F9317DF57888753F44E889E5';
wwv_flow_imp.g_varchar2_table(16872) := '878A6DB86BF5032FD0F531B082CBB602378006CD36B8957C065A90876AB0057AB8866C60073A07CE185507A694C56B00052567866C904972FAAD66CBED5F1345351EB2CA7A450C340743C0D56B48054330D170B85B5AF80373F0846BA08569E84C838BF4';
wwv_flow_imp.g_varchar2_table(16873) := '67985179B805436006E18C86A934F31C944183FF8891FC8872488682AB071E334D289C075393365373157A988777F5447BB3DE66B307D0974470DC077B08F9533F8895FFDCD965AFFC26ECCF7DCF0C973D9DAF329EBF67E70B5CFF6470EA54C8EEF7066A';
wwv_flow_imp.g_varchar2_table(16874) := '64ECB57FB8066460063E8F0657984E661087C2050050E87321DFFBA90C074FB0F791A4C6007515F3C352EA50D69B66EF4880035AD06E4F78035B98D5EBF67184B705AC2E4E50084673C8045090075A6061A6CD522865FCE013A5D402087E00F8110460D0';
wwv_flow_imp.g_varchar2_table(16875) := 'A0C0830AFB01F867B05FBE7CFDF0E1FBC7CF614382FDFA2554B8B09F3E7BBD0008282060C0C9940306182C5000C04A983059927C89B2E680022C6DC67C4952808006BAFEC5FB778F9F3A62FFEA79F4484F1DBD8D1EF51DDC6875A3BD870C2B5ECB96ADDC';
wwv_flow_imp.g_varchar2_table(16876) := 'B06BF0C45D63D68F16B36CEC00981B36AC5AB654DDBCA68B66915F3E0052117604105120C3A6820DE6FBF7CC50A6FF6B913C31B2052A13E35BB4FE75F3F32F52BA7FCCE064AAE68A51A6CA7EC4457B034A60DEC1AA57B36EEDFA35ECD807F1368C6DB576';
wwv_flow_imp.g_varchar2_table(16877) := '538B1B2FFEEB9D1BE3C28BE30C66B9A0FA42718FC8012C5FCE3C0B0012D08F03C89205CC397BF68CF24B87EC1FBD7A4C9BF27B1A35F041DFE8B33ACCAA9763BE7AF2FAF5AE57D8E83DBDF6E83344DA905D3BFBD0035E3E09ED359B427FF183DE6BFFE463';
wwv_flow_imp.g_varchar2_table(16878) := '0E3CFFB463CE3D05CA538E3CF90C488B52EEECF79439EDF483213FE6B0F34F3FEAD473976C2DBAF8228C31CA38A356F461549441F1C493553CB8E9C6903EFD6CB74F56FBE8B8DD8E00E8D8A39206ED93A392473AC4CF51E928454F78833D55CF811EE5B3';
wwv_flow_imp.g_varchar2_table(16879) := '9D6FFF0665255541280AE41083B3A1C8905416654590810C1674908269BAE6DB7D5DD2A7CE2D11A288DB420821D8178D851A7A28A288A2F76443EE01B09D47FB3CC9E8A44EEAC328004FF6C50F55F949BA0F3EC1E1D3DD95590A665E977436B42643BD5D';
wwv_flow_imp.g_varchar2_table(16880) := '35E394735665A74280C1B820427BE10AA85E0531081C4784263A2CB1C51A2BD83F987A14269C70EED61755202914A43E540D2450B597EED3D755EE9885A56AA8D27AAC47707E342EB909D2571B9AE8EE9A2EBCF1CACB5A98B0413A67B31EB16990B58159';
wwv_flow_imp.g_varchar2_table(16881) := '1BE4B5DC5A75CF331A9A5AAEB8C8B27AACACB3CE1B9BB0034584EEC3155B7CB141FF6CB7B1C61DEF972AB78F06B69B981839D41B78CF9477B053FF50A59AF1C2B9BDECA2B9CDCE8C71AD82198833CF3DCFDB1B9853D6FBE26EF55AE5905DE0AAA6CEA814';
wwv_flow_imp.g_varchar2_table(16882) := 'FBBC5AC34D39FD6247723E7DF56B5363AD10A489A679157DF03C738F3CF400909F60EAD8B835DB59DFD636DC716F8D723DD900004F3D111BC40E3CF0C8E3B742F0182438E17F1BEE37E2872B9E38E38B3BDE38E48ADF2D39E3AF3D7E39E4844F0E386C9C';
wwv_flow_imp.g_varchar2_table(16883) := 'CBFDF9417D8BDE378CF20C5B78E30098DE94E86CFD8DF660E30DE60EEDB5BB033AEEB9EB7E503BBDFBFEFBEFEE08AE50EFB40B7E3BF100207FA8EFCAF3DE4EED8315EFB7EC824D8C5781DA21A41DF7DA850A374111A566BDF8E54784F3F9BBABCF9A7883';
wwv_flow_imp.g_varchar2_table(16884) := 'DD53CF3DB01F2A5EFC078D277F53FFEDE7837F53FB034011D7BA27C0EFB10D8067E39F41E2A7C00522F045E2A9DE6BEAB7BE09BA0F770F3408045563C0000E90221B3C60C552234185C4EF830964A0044758311552B085A0339FFF5C03C07928641E36BC';
wwv_flow_imp.g_varchar2_table(16885) := 'E13CDCE34102BA266A88F261FF60283E8CA5CF852FF260821A68C442C1508907A1887B1CF528016AEF1EF8B047FBFC2218FC8D8F3022A49101597890142A90844E948D15F1B1C025CAA65970CAC706BB984449E18348A3B287B0F2A3C6FC54488E079114';
wwv_flow_imp.g_varchar2_table(16886) := 'EC42859ABF9CCD2F923A9F12FD9840C268718809CAD9A61252BE42CA101F79C98B0FCF47910B0A868E4F0C154404B2A09149ED21E902228DDCA8378EB0B135FB3A88B59A3229FF490990484E6254A82212CBC1284B35BDA457B95C59CAF4242A2B6A3488';
wwv_flow_imp.g_varchar2_table(16887) := '0915520F2C958D92F92B100119548F1D8E4B6BB051A45FB039986AB546880D8C612B1582A571DE831ED10A95D9B0B9BA83D0F0970719A7D9CC96407AA4269EFDAB1620FFA8AABE60091FFDB1073D1C45C3806A516F1219482EF526A31F00E0073B702844';
wwv_flow_imp.g_varchar2_table(16888) := '1F2A5100EC40214660A8476440842A48A10A07A982120070031BD8600736000011006005005461A5204D2900808052201001A330E2824A0180D395EE54A739ED29500FB25283F0D40B5CF082158EAA542B18D50B6800801B14F286A82AE4A95305C05527';
wwv_flow_imp.g_varchar2_table(16889) := '8804006C1500463042120C22D38AAA46094F7842481572841E08FF4130217D42159E0000B9C2D50B6528C3118C20841FF4C0A1063942479B12D82320F5204678821484DA143470810B63504819005086A746160D915DA9170E9204A426B66201688A010E';
wwv_flow_imp.g_varchar2_table(16890) := '8280CF0E86B400300001464BAE181824063088C10D6060901BC4A0B6AE95ED6D6B0B83D7BAF62037B8816F01C05AD9F2A0B5B4B56D6C85AB9ADE2E910100600074A1FBDCD31E84B407200000AEAB10D3569700DCDDAE69B18B80071884031978EE010080';
wwv_flow_imp.g_varchar2_table(16891) := '5DF5CAC6000800C003280000138840211CF0080724C0010FEC77BE1E912D00EE0B8004A89700A145D4031290E0052BB8C10C7EEF80E14B60931A040110AE70CF7E00040D7378C31EEE30883FEC61981A24A5FF0C95A94C191A62C11081A62E6E318C651A';
wwv_flow_imp.g_varchar2_table(16892) := 'E316E74E0336BEB18DE13B5D8F6800001820AF683D8280030B19C216D6B1414A800300B0E0BC11308873779C80272B64CA0D86EF93E52B5CD6D6D6202DD82D8001000313B486AC1CA0000412AC1020C728010820B09BE15CE1385B38CE1170B360861C5A';
wwv_flow_imp.g_varchar2_table(16893) := '22BB08CF0486914D0BB5E186C634D00DFD81A10B2D620DBF08083B90A9581FCDB61EDF18005436C001421BE5076820CA0670AE7B5B7361D69C57BA50762EAA2DFD5C044439CA0080F0060C0283172884CC62AE359981AB1A006B79586E86309E837C103A';
wwv_flow_imp.g_varchar2_table(16894) := 'BFF9CD6C4EC0810F7C6419BD77D4AD49B46A38DC9A412BA4A2125531453D22698A423AA2DEDEFF366B1C0D69B2B2ED0300303794339D5E836880D30761C0A70F82DAD3A6F6CDC2564894635D02837C000311C080732390EA8308DCB90960C09FF1CB015A';
wwv_flow_imp.g_varchar2_table(16895) := '37C5D6268081075E6383189099031030889F67546C3A073BC28221F07BEF6C105A1B20D906E173DBA0AD9A1DB01CD206F12BA25D53D1936A3BDC623DA90D80405215D0BC6D3D3E79760DF2801F43B9C2F07EAF81933E183C5BF80111784008986C900C60';
wwv_flow_imp.g_varchar2_table(16896) := 'A0E8046F35C1111001AD378503228878C3536002B0CF97CC3618A9AE1572F6140879CA1EA100CA5DF4DE843725CA0797F003628DE10A179B8D8F7EE88915A27292925421406841DA0DBF9A6DEBDC202A78F4495B0000C95FADC7556F0D81FF5DAD5E22CF';
wwv_flow_imp.g_varchar2_table(16897) := '1BC942277082EF7C5E83D08006A3BF3CBEB7FE64D53B97D57FA6B242C8FE1A19D880F60D378896452E2F07D37D30463640EF2F0E00091844F88622F7B020ED7216571B0039EF794595DF688390FBF0B823B206AA3EF4BD1F64BDA93DC8032ECE66F80AFF';
wwv_flow_imp.g_varchar2_table(16898) := '01F7A581471820702AAFDE20AA7FEED6352F18FE0280FEFCBD7F7F6113F1DE0BF9732050C8FFA90F10A0986A9098CBC954110C06013E9AB42D5E53141EDCA05E53B45B90C59D424080F0C957AF0180F0C5DA921984BFB55F53BC57ABC1DE41189F42101F';
wwv_flow_imp.g_varchar2_table(16899) := '05708080CD88C83D99F0B1E0D3801D01B016F88D5FF84D10A3491CE5BD468A2D1EA4E59CFA58E08F7D9A7BA1DCBC258082ADFF0604C8D7F91D04D5C91FBE4159C1DD9DD071607C0906F1E1579B61CC12AA062D58D3B01140C2FD99196217FFCD88CAC546';
wwv_flow_imp.g_varchar2_table(16900) := 'A07DD80F109EF3C906F22D1ECBC55449CDE1D684D6BAAD5EA70599B3011D6CE89D47AC9F1472DFAB81DFDB352107E29E7D459CECC586950180966D20B98CDFED01002D78C4386057322C1DF09DE0804980F125C0165ECC00BE1C2A1E8488C5948B8C952B';
wwv_flow_imp.g_varchar2_table(16901) := '721B1EBA1C46E95CE3E50E9031C01F02A28BA09FA5A95F2192608599E09D2D586BE857C495A2EEA4E141F88141FC01FE84C37A0100330C060148400E18C41518840FE4944128C1507D0E011A4BB72DDFEE0C1D79855ADCD59B8B9C0008AE86AB711DD70D';
wwv_flow_imp.g_varchar2_table(16902) := 'D8B2B1868021FF638BD85BC5009F257A0432B04638B0C6043485150C01008414412AC1356E4D88ADE16B805B5330601DB692FCA156C9C5082FBA86D6F9E220BE86F1790025C686EEED4E277A4034A806411A041A5C4148FDC141FCC15301C04B1A441C28';
wwv_flow_imp.g_varchar2_table(16903) := '04238453384920F855DD3BCA1B7BBDC8BEC146460A5CDDC9C604DC57514E407D41E2DBB520B928E1C5FD5934B2C67B85D960104164D5864CD142231C442310834C1E44261A8439D8642BFDDC69AD1B00684004741A4EB21745B648068C1E00C8A56A681E';
wwv_flow_imp.g_varchar2_table(16904) := '09C6636CC8177F9D998B9820CE3CA5F005A460009F053605085841023EC33436C51B0000DB75A241BC0200B00364124325B01359AE0F0698E59AA56594E5FFA242906121B2063BFAE56A089CD6DD256CB0A07EB599EE2962BAFC1F0428631CAA06B2619C';
wwv_flow_imp.g_varchar2_table(16905) := '6044E52D0C4753B0E4414C0300D882342A0470024034FC4226324966E24EF6ADC603B81ABC358581C9C64FB6E36BE4226D368596E5178C0CE3FA24007645655318426B4CA315444232E04219FC422428842744C23018041CA483410C4336B4676691E372';
wwv_flow_imp.g_varchar2_table(16906) := 'F24C5B1EC48F4960EB9D5CD2CDDBA881267C9DC045C206EBB19A8B6C27043025240E637622CA1B88A78B6060FD11D806268060BE8647798455C9676342164B3E1517D8401100418A92D87E624C8F45D9014058F671A6C7AD069199A1B355A74208E56048';
wwv_flow_imp.g_varchar2_table(16907) := '175EC288F0D9A36BA899FB4DA8A174A83C02FF4002C6C6C5C181AD09061EAEC6370E464C7AC45502800A288405B05D8B5A0C802A84E53DA7217A4468916168CD236EBE5706B0E38EB6C6D6B9DF68BEC6249E190B52C0239EA6125AE1B1548185B2A4204A';
wwv_flow_imp.g_varchar2_table(16908) := 'A97C1DD8931EC404808007FCDF9D36059E15A660E8E7607C64973E0C9FFDD80730C0B1512381EAE2210E5894E9687F2A04843D596A168AF141AA6A5C98DB19CB81DD1D81DDC16B2801175CDC17A0C1947A8407101F776E00F1CDDD274625B2056496DA64';
wwv_flow_imp.g_varchar2_table(16909) := '0F76A998E2627496E95B7E1F68269C69C29FFA396BC14D17AB19AB81CA290AC6062E829C911E8A9EB6566B70696B8456197E62AFD6A8428CC0CB31E44178400A588063A6400AA8801058FF80BA16CBB0062B2BBE22B7D5986A64DF739AA14144656A951C';
wwv_flow_imp.g_varchar2_table(16910) := '9F15EC215AA2040AE5FA056546B21A83BE88A9BE0690D95BB55E0D0754ACBC8167C012181A1A0A4DB1E841042BBEE24CBDBAD07F8ADA1FD6D9AABA5F5D2A6C900528A91A0AC61E8AC161D8B68EA1328227FF89EBA1989841246002FEC09296D8C3D05CB0';
wwv_flow_imp.g_varchar2_table(16911) := '4A5EC976E990219BB6AE2AC54E1D9BB286FA316CB362CC9D55ADAFED596C945C6A91E16911D88D7A84AF066C4F120BBDAA804DFD00C8A64B0BA4C0FFFD5FCFA9A21042DE121D5CA829C4DDBEDA6D2E9D14561DFB4961C3BE23C2215C79C1C6B5F6196EA6';
wwv_flow_imp.g_varchar2_table(16912) := '8B7B2D6BDF912384A156761298909AED600841B0CE98A312CB8691542D36FFC5C8B612618E206DCEECE5C5E9C386EA8F466CA28C97C8A9EEA180269A92A9CD82E6A1824005DC29A3C648A20280BB265A4ABD184D254A9642DAE71E44F4695894AE8FC11D';
wwv_flow_imp.g_varchar2_table(16913) := '6B95BDD99D11EEA636C503442DC19DA6A531E8FB552F84160BF4E20CB0011F68AE57EEE2AA0A920BB8C2AB05B4555BC5148DF9CC0D205E0FD2E2F31944DC96E369455954869609A6E6C1B9D9D6756BDDF128A85A1D7401B0BC8CD7EEDCECC31C41113030';
wwv_flow_imp.g_varchar2_table(16914) := '009CE4CFA294EE40DAD07E67F742D93EB6C60B7CA075FA1B48166EFDCD57C425A5AF45AA7412000A57D78C4CC004A44040BA700A78C0A09A7066128073D1A56C88276929E1D58A2D0D17CB4CCEA442F8668C5C262508FFC665EA4E2424F10FB706791ECB';
wwv_flow_imp.g_varchar2_table(16915) := '1337710B698F14D3F0DB543116AF463CC0433CACC316C7833C8071168F31199BF00DD51000E41016AD713DB0B11495311CC7B11CCF311DD7B11D930BA7A886CD5CF11DF731CFCC8378BC7113E7873ED08318BDC62E154B16F9312337B2233FF2D58425C6';
wwv_flow_imp.g_varchar2_table(16916) := '0C83245B0C30D8C22503436C0C033400403F0AC33000C3300803249772A150C006E460C570008DCA17D626CA0AFC696B50008DBE800EDC000FC4402E17D78C68C0066880EB9A3219C3800E00000FE8800DCA8B2DDB32002C330EA040BC40330090F06B14';
wwv_flow_imp.g_varchar2_table(16917) := 'B341F40057613312545457BD080AE80034D7000B30190EB0C033D740AC7DAA30B728AD5933C6D400002CFFD938A3C03903C00AA4CB3DBB86341FC4317B0412F4C03F07F4352B043CB7460DAC4041DF734103003CA3DB3AFF3010EC169985990ED4800E70';
wwv_flow_imp.g_varchar2_table(16918) := '70BCB0C0382BC446B7CD42334171853400F4C01260334003C0121CC442AB060DE4738292DE4363718A1E8435E3C0452B04461FCB46EFF492D5000E1CF43EE34C3E177471B9F3352FC10E2CC15601342FC7B4539399457FB341E434BC6CB055E3C00BC033';
wwv_flow_imp.g_varchar2_table(16919) := '553F0D3CFBB40E3081312F010FA4B4F11A04129434593BF53ADB00AD417345DFB4C5E0805C1FC492C9F545DF35434F7557034038CF8B4F03C0578FB54889355927F50E9C75521BB55A3B722DD68054C7B34D3F8C35DF744DB34631AF34D68C35122CFF35';
wwv_flow_imp.g_varchar2_table(16920) := '12304152E7F56297B2567FB34F87B362A78B4DA7F6544FF5696F8D0EA4B542F0C059679B58C773683F7298393666C74B0DECF65D73305EA7F66FFBCC568B145729B56047F66D37F20B44DC6ECBCB3877742B81744A6FD558F3F25817F772D77150BFF34F';
wwv_flow_imp.g_varchar2_table(16921) := '1B515DBFB6780BB6521B0448F3F376F7B10990D90AA0403EE3CC772F1148330149BF767179764A833560EB777ADF71413B36DBD475410FB7DCF000757FF50DE4773FF77723BF777B3BF67B3BB5450300751B785380753153368373B74150737F5F373F07';
wwv_flow_imp.g_varchar2_table(16922) := '36856F781C6F6F8493B859A3B40E2C3860C3358ABFF81D9FF7889B378C67B12CA3F83827280F18F8318B374DAF768D47AA076C40D4D9FF73D4E9DD89F7F7649B77371B446B0779A48600919F809447AD94F737FA2D011328359763B3581733133C39942F';
wwv_flow_imp.g_varchar2_table(16923) := 'E79153B94114398AFFF341A43449F378538FF97EFEDC8D1B84DED5F9996F003BB2632CAFC009CCF91D8B00469FB4581FF31268379C2FD12FFF320084800630BAA3373AA4EB5D061CF99EB3299FE3B99F37325961B8981F7A59E2B04714F9A403009E1F44';
wwv_flow_imp.g_varchar2_table(16924) := '2CF7B93D6FC00A5CB929A7F57D1BC4737BFA0F4F3A911F049EEB68A917B994A3392337B98CCBBA1C13B9B0EFFA41F0FAD45DF9AEDF7A1F9F35360339B0CB710694400870003B72E6A32BC4A897FAB2A7F4311BFAB34B718F6DC07981FA60E87A2CCF717C';
wwv_flow_imp.g_varchar2_table(16925) := 'A3F5574BF7B78FB1BB2DFF37467755318F7309A040092479BBFFB0D391D72B3FAA2FD7B139E77B1D6F400964BAC01F3CC227BCC21FC43AC9C393ACD3C2473CEEC44339610A3DEC83C34BBCC6CB0D3DCC838EA4B141C413C63FC93D24F2C69FBCC5DCC33C';
wwv_flow_imp.g_varchar2_table(16926) := 'A8BC9150717E403CCAC73CCE5C1123C9BCCD3FCD0365D0CDEF3CCFF7BCCFFF3CD007BDD00F3DD117BDD11F3DD2178B85263DD337BDD3CB4B547ED7D34FBD0F2F3DD55F3DD9E62FD65F7D0084676876DED653BD778D7DD85F3D0A777D535470D927BDD5AF';
wwv_flow_imp.g_varchar2_table(16927) := 'BDDBBF3DDCC7BDDCCF3DDDD7BDDDDF3DDEE7BDDEEF3DDFF7BDDFFF3DE007BEE00F3EE117BEE11F3EE227BEE2ABF06749FDE23F3EE447BEE44F3EE557BEE55F3EE667FFBEE66F3EE777BEE77F3EE887BEE88F3EE997BEE99FFEC5F000C319336BC940DAF5';
wwv_flow_imp.g_varchar2_table(16928) := 'C00D343BEAAFF30BF00097CAC0ECF7B70CACBE31C300EEE7FE865325F0AFB3EA17BFEFD35A320FFF3ACFDAEE87190FC84071FDD66F293F24D73EB82A04EE4B7FB3EF8011503F23EF3E00EC7E48433FF44FFF4837D4FA7A7F1F93BFED3F3F2F4B7FF321DA';
wwv_flow_imp.g_varchar2_table(16929) := '5EA93F1DDBFE0B883FF4C380FB279EB5F515400010389060418307112654B8906143870F214694389162458B173166D40820C50B1E1E536C1439926449932751A654B932228F142E3DCA70C903060F19007ADC60B993674F9F3F8106D51852A01099376D';
wwv_flow_imp.g_varchar2_table(16930) := 'DACC99536853A74FA14695EAB06641193D7002B8D1E311EAD6A95FC186153B76E355B267D1920D080021F904050A0000002C7000140077010C010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B183346D4C7B123478D20438A';
wwv_flow_imp.g_varchar2_table(16931) := '1C49B2A4C99328536AF4E851A5CB973063CA9C497326CB8E3573EADCC9B3A74F91F7820A1DFAB3A8D1A348932A5DCAB4A9D3A747B978012095EA542E62A06ADDCAB5EB49060F1844889080ACD807000810F0CAB6ADDBB7054570F0201705410E22042600';
wwv_flow_imp.g_varchar2_table(16932) := 'C0000002B880030B6ECA6160060A030D0C5ECCB8714C0F2844D8CD4B3082E3CB98338B3461576067CDA0438B8ED8F9F340B4A353AB5E9DB0EF5FD6B063CB9E4DBB365B06AF6DEBDEBD1537EFDFC0830B1F4EBCB8F1E3C8932B5FCEBCB9F3E7D0A34B9F4E';
wwv_flow_imp.g_varchar2_table(16933) := 'BDBAF5EBD8B36BDFCEBDBBF7EFE0C38BFF1F4FBEBCF9F3E8D3AB5FCFBEBDFBF7F0E3CB9F4FBFBEFDFBF8F3EBDFCFBFBFFFFF000628E08004EE944F81F2D9838F4CF718544F4AFA24A44F83FB18146179073AD44F3DF43C689B3D3435780F3D0090786148';
wwv_flow_imp.g_varchar2_table(16934) := '1EFA77E03DFC30D44F7AFCEC23E38C1556F8A246FDDC58908E11E5181E3F2DF6230F43BF68519316467E91A41665243953195F9441D354008C319517630884E596560A344512067DC950155426644599065521909A00A0B9DD185022D3D01F3E81900241';
wwv_flow_imp.g_varchar2_table(16935) := '2098508140260070A74A900DB4C10A1B084A28A1236DB001628A163A9069A809744041930A1469411B6890E906212C5AE8A200504081A3A3664090068869E0597886FC03408608FDFF31010023000042AD30A930900A2E0000840ABC1E04840BBF0EA1C2';
wwv_flow_imp.g_varchar2_table(16936) := 'B0C812AB82B1C51EABACB10CEDB0834037E8B083B502E950EDB403C170910E2FBC0040B8E1EA30500C00DC30900E8486D0100BE212F4020EE2828B82B9388C3BD00BE0824BAF0E2CC01BB0BEE001410400AD36342B4C134820814123E81A71C404495C31';
wwv_flow_imp.g_varchar2_table(16937) := '00BD2E84EB10BE2654C4402D98AB2D44F7022032442F04CC02002CE000AFB9069926A8408E2EB4020037AFB0420D03DD4CD00A28946097D040AF5042CE35246D100F4B085110124E3B070407AD0EA9501C028DD081D65C6FBDB5497B26D401412E48AC6B';
wwv_flow_imp.g_varchar2_table(16938) := '4167EB7A36AD6B3F64C30DE19A0C03CC78D24D10BD38F41B91CB00E7FF9B2F41E00280030E35D815825D45038D02CF8B0350830E28BC80380D38A3E073D28D0F5403D09B37EE33E702F92C100E4CFC5D100F002CC134124BD4F6C30DEAA29BD00E4498F0';
wwv_flow_imp.g_varchar2_table(16939) := '87AB0BD1C910AE2055103641638F0D80F00058EC90051453BC2BC707112BD0B43A986037443AD04B9ACB023B6E10E4747746F7DF3510AEFDA33C0B44C3CD9B3B9E3EE600C81C3ACE398F0F0013E1EBA0BAEAA9F73090FE3C2061D0E5A2138C0D1432C082';
wwv_flow_imp.g_varchar2_table(16940) := '1C0C003F3082C1000083DBD10356050111002690B1AC15846B14E1DD40C60602855860830419C1089007BC0B02E0836C1348AF3488101B80C05CF132975DECE63DEFAD4C70125159FBB28502C2E980673F3457F9FF4667B2C139AE33A61BDF0A684083F4';
wwv_flow_imp.g_varchar2_table(16941) := '694E7C381CE2AADE8733760904884C989FFEF0873F81B00E00FEBBE2498A00268194B120678C89110AF23683AC915B0CA413890EC20F10C56156B80A1EAE5848C287547020B5EA600721E235AF198478236C1EAD9AD72B178EEB5E9F999EF64A66B27541';
wwv_flow_imp.g_varchar2_table(16942) := 'A47085F3DB0F1DE7B76CE5AB7A8F0BA5E65656831B22446907795C43ECE2BD15FC30943AE00113FCC704D4B56E7560EC1F0078D0499424818C640440305D62020FA420052D28E04080801083FD6007CC148821FAF1403A824856C30324F10482425A2592';
wwv_flow_imp.g_varchar2_table(16943) := '85271C1B386D2590B44DB06CB5D26005B6B9900E7C4D8F179C98050752B63F4A0F929B2C9F2809F2FFB8BF25D16698DC21140557BDEA15D19305CD9BDF083750311AE49F067DE8FF4257382216A4074BA8E540FCA74B4BAAE4970201E6113E4610920200';
wwv_flow_imp.g_varchar2_table(16944) := '4C23FD25488FF01267FE402040B0DD3FAA79107BF4435618CC1A3B15C2BB1C08A40356B055057DF0058C5D610820B0820A26B6D3DD89339BE96C2A3B4130B6A52EB55783845CF96E6645EE3D6E677653A8240D8249A069CF8803D1E43FB70791262A647A';
wwv_flow_imp.g_varchar2_table(16945) := 'E12B48BEEEE5CAB40A2E89B2641AEAC2C83A8C3AB4242405E9C7467A52602681A584D509107EF0521B0C705ABA6B10418054C77EDC718F090185401AE1535A55907900D80200A4318A0968611D57004030E6210D34C40317139046257E5A4288FF74F377';
wwv_flow_imp.g_varchar2_table(16946) := 'C0DB26083AD801AA16AF034BB5245DDB77B92152122398B40BCF5A46B0822434A1387C08CFD66AD7888A517C84EBCCCDF215BE7F2E816E4C5B02FF9630B8B196044C4560E930013004F546E48000802F466CD0023F79A04F02810342287B4D09B0B0A902';
wwv_flow_imp.g_varchar2_table(16947) := '79C62894F05417B8B320D41885048C945A69E002084338473CCCF00B4F3CEC83984D0838CB464F5E057783B83D48DB1E65C5F679B59209E12ECC8AB6C31617448A773B2841679CB7E83A04C6165D57161312BEA4F12CAE9C1C8846B3C8B45DA60E7542AE';
wwv_flow_imp.g_varchar2_table(16948) := 'A47921F2000CA0800820F5180052DA9318A4C0030381000400C08104BCA144F908F3408034106C3264139600C0305448B6850D84FFB409D8423C7CA05AD572011C9E58C63612F1B0B08DB3209D25C816D0105A346CC10C8316ED4370A503C8C80C05CAF5';
wwv_flow_imp.g_varchar2_table(16949) := 'AA561302CAF655B4678BCBDC436FB8E48CE098201ACD1611C3D7434867FA7B43B4DF2E9970BF30A68E7428DE3145F2E5AE811C70A51FC375468810CDF866440214D83200B68C802FCB038263B6E304B496B51168F620AE104830D66090650CE40BCAC0C5';
wwv_flow_imp.g_varchar2_table(16950) := '10B6F08F35B44019BF50811400600550D8A3120FAB08A1B7306882184922B57A810902A8B91D164E88F142722A956BB94CD31B217E9B57F504CEDC7AC938969D1E08E510C283589A4C962F3EEBBDFCA9CFF2E980C8B3ACA578431DCBD25924AE3C7B006A';
wwv_flow_imp.g_varchar2_table(16951) := '023BD85C9BF422BDFFCE080724C001510D1B002C2F3698AD09009C0298A703B14050611E0C50AC221EDBA036002A318A7500600DD450820BC6010837EFAE207210481C146D868B8C0066A5312BA62F876286EC8C953BFB77BD113AE3AE97DD92FA4688D8';
wwv_flow_imp.g_varchar2_table(16952) := '0BB2E3BCC20C96D64D65D2A8FB3CB38B9A24252FAC4B6C4084223816222CF7006206E2E5991344460068D01FFC7BF383E0229EB51A9B0B6A052C83EC766C1338B02135BC5333ACE21F70688434AED0887308C4DA0EC11508C4D5EF9B655DB9610F9DFBD2';
wwv_flow_imp.g_varchar2_table(16953) := 'FA99CFED6DBAFA4C6B8FA7D7E985E34C7B3BB3A80E1C3EBF1797D7B935FEABB978803A26DC60C7B23697AC33F200D909F3A4D7CF0863B7CF580412C4062F65C8FFCAC72F9087CDA530F905803C660400C4B7BF41FA3548307E91106240AC20DD14085585';
wwv_flow_imp.g_varchar2_table(16954) := '07020BEC7656C02511AB7074550700A30008D4407AE74074A6F76E0F815F95F37BC43545EFA35CA6633A3CB3027941193924102BE3328C3310CCF5103EE37B2E066ACCC704B28381D583371E65766B8551306337D2875613C1330C806545B04622F1523E';
wwv_flow_imp.g_varchar2_table(16955) := 'B803CF040436C04C2F555F093117E9961058C640008007EAC77E87077FCBF61072120C21A42B1CB654162031B732482AD05B15B07F5FB848C8937F2004005A5080E3707A0361058D000E55D7086D186209D11983E2339663338D634A0671022B506B12E1';
wwv_flow_imp.g_varchar2_table(16956) := '7A01057BCA95120D976388C8100BA70361E47030FF336409C764F1255FC25404942811D2928999F87D2D200346981010C884DE324802010314A05FEBE77E03B10F0DE20721848644C25E22844E1BA40261334863530116E03B1500806658427E363CA235';
wwv_flow_imp.g_varchar2_table(16957) := '0AA40000CA3010A3000ECF3610D666063E408A0CE12888D23303D1297F183A35A31085B2022730118B833E2B604A2CE61269774530947C3C56021ED57CCBA76A4646771011010CF00297E86B1761033B3040FA68107F9210B2435F06E12DDD42014E988A';
wwv_flow_imp.g_varchar2_table(16958) := '151285000007FE75420CB17300D00815D036D088368B547EC3B34E4AD0592C34049D253C23700558707487B60545251042E76EED343CA4880285E22E21708D2FD92938638DEEB2017E288127FFC16F30413730437734784A07D170F7A357DF95111AF01A';
wwv_flow_imp.g_varchar2_table(16959) := '457072F3B58F00A08FC914039D1895321011D6D72DA6589050B88A8A27012AF08B08C12607215A5BA00406E1036BB00658B30628E48041C0050050016B00082E20070508423EF56EEFA62425E9808A36119C228D8722282140930050335A0718FD245713';
wwv_flow_imp.g_varchar2_table(16960) := '958807916978255EE23510AD637710516B0FB0036B6489193140232610C8E42D77F2890E0147050103A6888A592910AC98905CD901BFE8900391250406480201082330018716677529108A76365B100416B006A6050039800651472B72F03BCC7686B612';
wwv_flow_imp.g_varchar2_table(16961) := '8067E3357F5610C4A32AA1E392B5C6290010933303888B018F3F0311F9223A3AFF8051FA03464BC08300071185D21746588F1451402D0003C72412F52590DE222E78F00FF2700FAAA89AF027011C7410FA55756FF065B4B24DC2B38B0411920F59755860';
wwv_flow_imp.g_varchar2_table(16962) := '066B30021943969B5509EC464FF7C77F611886BD454E1751337F49107FC99D04D18D8B315D11F1692D3857638704FE83043DE0A2325894370888B33712F7351130509FC84410397A1AA81866C88678FA3591FA5710A320741DA44116A00571E08C02719C';
wwv_flow_imp.g_varchar2_table(16963) := '52C79B0341A107A1045A2007198342081A121D845F1AE02E1A409D0421930861931B500283A28E00D08D831293D72810246A14E14899A752106B771066953448369969377D52743E09713321208F974212A168102E17114BFF381085516CAEB220AB5822';
wwv_flow_imp.g_varchar2_table(16964) := '07197F20968B7B223C7B62A40AB135BE439BB862861630793FF541AEC99C16014E15502B831702617A10AF7A107E586B2570026C6A93857902B85A9873AA14C7A710DC69823CC64F7B45107E9A4552E444C39A298AA1034258121E2001D1BA728EE228C2';
wwv_flow_imp.g_varchar2_table(16965) := '8610832710E837100F831885F106AE02222D72781552A46F99119BB7104E2710BA885B7BF241746811EB741012F00105E1AAD929A764FA33DC392803A1AB264AA8840A1818508D81A839AA349993397638E3569B23A83DB35502D11727C17212B001167B';
wwv_flow_imp.g_varchar2_table(16966) := '7E2C8718D94A1014908402D1A80281185B26010600AE0020A91044A4EC9A8B1DB04EF31A118D77AE02B1AE07FFA18B342B9D0C4187C413B39B0A000F409DF6BAAF0B61A66D5A986D6AB4D959286EDAAB5B612E44FB9DA484A7F5F6818C68ACC4B7556E95';
wwv_flow_imp.g_varchar2_table(16967) := '4A065BB07CC101A40932C8D48F14B1AD042190893A107F6202696B10DF1AA987E79F09492BF1AAB317C14E369B10316BB7CCB9B7871436BFB301C2E6B55E1BB411A0014D66B867DA293529939A22A2D61918AA8201D4499D89435697C35CD39382544B45';
wwv_flow_imp.g_varchar2_table(16968) := 'F70A00AA6219006000AF01042D700303D489645B1120000326D0BAA1E9A13D6A108DDAB105112927EB2A42AA9A72EB8A23E0B707E1951151B712F1B24D05BCB4351021C64E0C80B81800161860B81A3016057BB8415BA6489B10A6B2AF8319A76D11025E';
wwv_flow_imp.g_varchar2_table(16969) := 'FF2B10AAB28DD9EB10FA46A34694A74B5B6B142B10B9411200292DDDF752D3A20261EBA80201010F4001FB9B101B90BB892766710B0071C095201036F0FAB2A89A4D1531011500B21001B3C6FB3B2EDBB2163036A66ABCCA1B867A419D0C10BDD55BB061';
wwv_flow_imp.g_varchar2_table(16970) := '3110D18B10E31BB503A12AFB9A8D6C51031A80011140B972EA28262A11CCD7937D7833BA5A10311C90A28910D1EA014B684C20A04CCDD494CF5410ABCBADF91B2A4E0C0019B0BF874110902A10024C100FE28AC93B1266832B7BF2A93AC5795DC33B1A94';
wwv_flow_imp.g_varchar2_table(16971) := '470CAC53CBD9B2042101889B104DE6BF8FEBB19DF2B8E33BC3472B182CE0331460B9002034EDC3870C073331BAB06377A30020BA63611988FF61023F7C108CBCA300C910F5784C220B001EA0B11CD0720341019ADC729EEC286F1BC0C856223537110DF3';
wwv_flow_imp.g_varchar2_table(16972) := '1079EB120F73ADF40A73D7AA188A71100470000410CB0671000650CB9342CB0E512980F100B69C11BA1A02A652106221168931106B1100001000CC4C10ED3B116D1B6C5AC6CA0941BAC18C0004A0CDDAEC17C96C000980000160A9072159096906E43C10';
wwv_flow_imp.g_varchar2_table(16973) := 'E87C106FB006ED0C076B00CFF0DCCEEF3C10F11CCF00507566B0CFFA3CB7063AB7D41607D476CF4FCACFFB9CCF025DCFFA85CF0201A104ECCE106D107052105232D1135D255202006590251BADD102B1D11DED1C77D00719E106848606FF9C3B70F0075A';
wwv_flow_imp.g_varchar2_table(16974) := 'FC0770E0077FF0655F76D200FF80066EF0104D92D10681063A3D1005BA660A510F56130FF1B00E1C0200463D0FF1A0114687D44BBD0E452D104F2DD508A1D44B3D104D2DD550BDD50331D50050D4F36010733410F46035063124639D10652D10668D10F2';
wwv_flow_imp.g_varchar2_table(16975) := '30D6657D0FFB39D7721D14C441226F4DCA622D1029C210502DD6F3600F2052D6F0200FF03010F5A00F24B2D8470D00FA500F0772D54B7DD504310F614D10F82024EAA01075A4D4EB30D6948DD41491D5922DDAA67DDA02F1D70691D5AAFDD54657D4A15D';
wwv_flow_imp.g_varchar2_table(16976) := '10ADBDD7855DDB0A61DB0A61D843220FEE7010EC3010BF4D1C6DED10EC000FEE60D815310FF050D4F4000F85AD7ECE1D0FCEEDDC0E010F6B5D114312D6E38A101224D800FFE0DD1821410361D90010D6F10022937DD90241DE0D610F4B8DDE5F4D10F1C0';
wwv_flow_imp.g_varchar2_table(16977) := 'DE05F1DE64DD2169AD1076AD10F97D1007A99AEB97DBFFAD1A563324729DDB43B20FEBB77E1462E0100122FA900FF820D8F850E1166EC589E7D8892D108A3D1017F2D8E55D11F8B0DD3021DE0671D5E41DD6EA5D11B14D10262E10F0FDD5F3700F07F220';
wwv_flow_imp.g_varchar2_table(16978) := '7D3D11F8900F2D7122032C11C30D1A925521F460CE0831E0FE7D0F3C2E11442E10FC39141772E30511E116C10FA3DC10241E122A9EE2F4DD1015CE10E77DDE0661E2937DE52171C524A1E0AA91D6500E0064DEE314D1E5FE0D8542BABB2421A90C01E725';
wwv_flow_imp.g_varchar2_table(16979) := 'A1E5222EA916BEDD26BE0FF100E8975D23815E23FB600F3AFFCED7D651E52441662321AE00F022FB20A936DE7E3422234B4E101172218C9E1040D2E90541E58CDE0F6D0E11731E112F8EC5DC5DDEE67DD9F630E3F3F0DFA1ADB2FD31AE3C1212B77E10F9';
wwv_flow_imp.g_varchar2_table(16980) := '40E6A5CED71F91E40441EA2F92239445E50A51E306D1DBEEE00E87BD10CDCE14ED2018CBDE0ED1BE14CB7EEDD85E12D9DEDB00C0ED3FE1ED0040EDD48E10E03E10CE1DEDC68E10F9B0E608921AF4F0EE8DF1EECD5D0FA23ECAFC400FDCEE23039123B8D3';
wwv_flow_imp.g_varchar2_table(16981) := 'EEFDF10F005FD8FD40E70611EDB9EEEF03F20F855DEF0861F0081F1FFD3E110A4F0F0C2FD60EFF1039A2EFFAFEF0ECD10F135FF105410FEDB0F127B10F11CFF1B461F2355210005F111E6FDDBD2E10D5FF6E10005FF315620F359FF327BF5FDFFD0F24BE';
wwv_flow_imp.g_varchar2_table(16982) := 'F36C91F3281F11FF60F23B0FF40FA19FB15EEA4232F20BA1F2483F100742E612F40FF660EB8EAE14FC90E90891F107AF1F246F112072E1319F10BB1EEC0AFF2A5CCFD64E1FEC3C52F43D9F106F7F10B813F5319121902D10B7EEF3916EE55FCFE63B6210';
wwv_flow_imp.g_varchar2_table(16983) := 'A03EF43D92F683DFF60DF1DF1BFF22E20000D1A0F0D9100FFCF00FBFDDDBE5500E00900D98CF0C8DFFF72EC10FDDB0E4FF404DE640E37D7FFA744FF3FC51212D1E11170000590000173007591006B57FFB6130FBB8AFFBB93F0700C006B3E02AC36EF8B9';
wwv_flow_imp.g_varchar2_table(16984) := '8DF8AABF0FDF0000E9F0222D3F6639520509F0006EC00C0FB0D900E08ACF50D38C700B1EFF900D04400191E0D89E3F120D620B8D7F0BE180F9803F59707022AE90DF0D520D86700BAE620BE69009DD2010C4300C70106D0071EB4E37006F40011886E61A';
wwv_flow_imp.g_varchar2_table(16985) := '00860D1D3E841851E2448A152D5EC4985123C67EFB008C73D0708080010C4956244972E4C4930D5B322CD9665EBC7E00FAFD83472FDFBD89F2DAD584D82FDFBF729BCE0050A56FDF4D86FF18E203C00551A537CF20A803A0CE0B8032FFFC48F9918D1D02';
wwv_flow_imp.g_varchar2_table(16986) := '5BE6F4D9DC983662A46C0032DD8AF6CCD0B56C86C201F0F4874FBA4A0098794066CE4FB86EB6187A02000F8038868CAA01489709803C00CF181A52270F9465C140D57E061D5AF4688BFD4CD7FCD7118039860500B85650D2755A019FFF05CC61C8CF344E';
wwv_flow_imp.g_varchar2_table(16987) := '7A00784AF4E9D9A15300C2ECA86298ED1FBFD40D997A81002012330EF600C4EA118A01BD480152FC63978043A4E6A4DBB5A35CB11E004A65180E739BEA5F194F8C6CB962F746DDB337B60CB533C80F71CA6188B14CFE718521661EB365A16768A9061900';
wwv_flow_imp.g_varchar2_table(16988) := '40E9A72D002404052BD236E450A29AF8010D44B43C1C4D35D600880D80DA6803A024985474F1A4966434A90D7DEC01F1A69CF8F92D229F887B88386E1ADAA49C7E747B281F0094408416045C49E0967BC6204087008081E30D2FD06827026200286FA274';
wwv_flow_imp.g_varchar2_table(16989) := '206368CC32D9C9AAA131459CA83743E0CBC4164F3C69AB8C54C249851900E0B02515346831E49F313CA9461EC5FA592FFF92743C518C98853CE9E72E00B271653D001224F09F48D8ECB0534F275272398794E41428A784125138877ECB47C98A3C3A7136';
wwv_flow_imp.g_varchar2_table(16990) := '057003200B172B7271B6894A5AF1B5015C6CC0C67974D3B1B78A7E8A48D4706AF9A4965AD2ABE934E20CA100AF7038A0000E25A2F90712462A89A41C0F6C2902003F4C6348387EEA19331B5A08BA461C75AE29072B5ADA6A100076F8E177A2F540B9CB15';
wwv_flow_imp.g_varchar2_table(16991) := '62687165215A00B8861E43FC88E416002089C613B8E0C0E69A04F142F81AF8180A271BC328310480723C7143D2D552798321573F65193477983110008701E027545A147B084D320168474F252D6D48C3887A0432228F34AC2DA4366A7B04809014703A24';
wwv_flow_imp.g_varchar2_table(16992) := '002EE875FFC502A44EB145911C2A4000A85BBCED9F798E2CD6378A906DCA2920E53986A177D2F308CCA67683A86800A09ACC21A0D0A5D93776B229231362C241C00F7A8A78869D24FC40A60C46C81491538898B309C45319524C9EF4DC21AE3776DA21CE';
wwv_flow_imp.g_varchar2_table(16993) := 'B35434049116C6F261871D4429CB071ECEED6E39F6B45C29C39091CF02C0969ACCC9068E7228037DB132A24153277DE138382B7940F4843C76CA59481E71AEF9E79F6C2CB4889DA7559CE38286DA4011EA2C686D280B861CB8C081396679A46986D63F9F';
wwv_flow_imp.g_varchar2_table(16994) := '0D0066C9C2FBD7B416966CDECC9E086D30D5DE8753F6018D4F14E31D02AC49DC1A620FEB7C486EF7B8873DAAD7AF9AA5CB3968A9094FB2010343F023FF120C61471598218F24BC81194A280356DAD110C905291F0EA4996728272AB9D96428A61A8EDE46';
wwv_flow_imp.g_varchar2_table(16995) := 'A443D9F510343C4985386E018A4C582A1395A00C28EE709F6C78221A7E2046121A720D66644232738A8C62D8E18A8380020D6FB9057D5CF1C468F0A8850D399A436AB3000034600173F01A00E6D0BE3C38641698D005269A36C70600001300D0C5247401';
wwv_flow_imp.g_varchar2_table(16996) := '0045E8221000308520D9508002FC4A8E00A0C96E726211FFB190639F58441F36A18A5C18495520B20E00EA910F7EE0A837ADC287759CB23252E2A35F16AC873ACC118E1D44220963000C17A241426460C50B5F90073B7077C6BA5DC43347A2C73FEE914C';
wwv_flow_imp.g_varchar2_table(16997) := '1AAAEC21BA11D1CAD012261F56D35F97FF728B3A4226CA7640E24D4E71852DCA910AC930C41D0861C8340ED28E61D0221A0CB946263CC10C77C6474FB6CB04F626E291753464368FC08D2ECCD722F33D220BB000002700308871C0E21C6190E323483048';
wwv_flow_imp.g_varchar2_table(16998) := '5DB02110F46B1A2C109A07533CE26B235104248F04A649F62822956C8A3A423186249C612B5538831B62210F5535441F4EB90771F8758FD3D00C7676FB87929E98322E9463616528C333B8401F46A0C113EA509D461025377A80C8553D029A0519F29B9A';
wwv_flow_imp.g_varchar2_table(16999) := '3ED392D6046B463C918A7EC0E38309B202E3FE108D312423129EA8442A52610E385CE30FE9F00328C4610889A923856032045F23018A8685D310C4381032E040538BF4D3240AF0DAFF02EAE710A5998F566130C5FA2ED080399802006D305F1B200A48CF';
wwv_flow_imp.g_varchar2_table(17000) := 'BEAF0D8F708D8BDA908F61A126273BE9094A6B920A2534C40B5B014015BCF0189E403331BDC94959EB510FCAE08C1ED659217AEA350F73AC10490C51473ADA920E73A8439600B84B3A08825D86A4C722E678EBCA3C6199A0A42B9621B39E1BA6510F4F64';
wwv_flow_imp.g_varchar2_table(17001) := 'E27350E45F58E5AB1657B1A61F7E780F76FF718B5444C33AAE080788A6118E2FE9231CE2684736D2318C757CB01FF4B09039326108B2BEC20FA97047393261328910671D5073A4497AE5BDAF31046A54BB9F030A0035C896586AF77B0D8955F2597DB4B6';
wwv_flow_imp.g_varchar2_table(17002) := '58B0058E6CF561882A8C01006EF83100C6E0E3583CD89299A05E2AAEFF610F5064184CB7F8DB30FEC1187D218316EC20C62D6CB1C2A728E99CECC0CA98D0E40EA8BAC31D9F6388B12C6208E2D163189849C533AE610871DC0560EA18586FD2A18E82D925';
wwv_flow_imp.g_varchar2_table(17003) := '5C7E684B26BAC1080279151FAE9C6FA2D3F24EE7546F9A0D095D533CF1250C2AC616D9A80931A6B1C38BFCE31C90D59AD662B43546AAC89FAE29F5FD66232B7FD606D5259983D8A4F55A933E24381189461974EB052E54C10A0C190C0014E8945420C31D';
wwv_flow_imp.g_varchar2_table(17004) := 'A9C8C67EC4610E5094E316D29D0C33D8018F7F0CC315EDF845377A49B3503AE5B90DD9C9B7737311E688C30FEF7C46263EC88C6E78C2108435932DAA31CAC964C21D07BB053F6CE1876A2468186D91A6A2053E91FF68F5AD217A12253DE8810F3537046F';
wwv_flow_imp.g_varchar2_table(17005) := '66FB8DCE38850FA1D8E326FC30163DD6434C48AFC30125E65A8B6063BF0E957A2436C2916E7883631FA1B421E2E8D34110933BAC483335C0780632A2910D61E48E630C7105B287C18E680C83DDC5010531FE011552A94B5D7253525725C253001862888C';
wwv_flow_imp.g_varchar2_table(17006) := 'F8432A5CD15E38B8023EB4A8C40A9DE20E57D03412F0C8046B24F50FBD1A5C871C1F385861E74C36BD72DCA0E257BF5AC5B74857EE559EFE684A46B292AEADE4212BEAD5AA05D0B5AEC1D89FAD791F00702449E3B54A222EB789DAAAE76830CDA329731B';
wwv_flow_imp.g_varchar2_table(17007) := 'C6F472370D7D7443CEF218A3BC44C610D33304197FBB4BD32D12398DF0C4168F33D71109F6C14878FF1D612133C43967968D54BCBB778648C7975C71B9B837DF22406A0EE7214D1174E59D8723E574BABAEA9178D47122F51B28462E30509233C47E2498';
wwv_flow_imp.g_varchar2_table(17008) := '9AF9BCD78559884DE52BBF87E521726B8A80328717CC4732B77A2A44EF04A789C90DACC091C9D89BC9D910DDA087723827ACD08764720773C83FCAE8AF74718A3181071081077D2807B1338753913AE703C110BC88507A8878802486B08E1C718878208E';
wwv_flow_imp.g_varchar2_table(17009) := 'EA3141B971347B881BA7204187C8911B6B95806B0877F8C07C182E8908A59EBA2012A11C36210E1D943BE700917478850FFC3C9B28402714C129DC10E9038D049A3B148CAF8980A07DE811CAD01C34F2080512B68798B5AAC207F9D31B79E041FF896013';
wwv_flow_imp.g_varchar2_table(17010) := '291C0DDDA0B895913A710B91AF32C0A0E8AAD081432AF44345E33CA690BAEAE94386C01D31DC87B849C474813B92AAAAF8D3C17E30942C0CAB424CB448038A33B2C33FE4C4E6DB0D4A0C128620C38A508A4434C551F4AABAA13535748849ECC457FCA446';
wwv_flow_imp.g_varchar2_table(17011) := '7CC559AC262BF4949A92450BBA3148F4116ABB420EA9294B1C3861A4C562344696318D554442573CC65424B86684C668EC90230145D138231D591E5E8C085F94C62924C66E04C770843478A029567C082E9B0C9C914672644743F1AEF9F2AE768407C5A0';
wwv_flow_imp.g_varchar2_table(17012) := '47006C457974477CD4C77CE4C77DF4C77E04487C14C71D44477D9CC21D41C28668B881A445333B8FF33827860447C5708787DCC1FF1E729D8C70877994875ADB2A08BA07576A15DD48410030C7BB914845CB077C0049907CB8940CC71F640899FC94AC6A';
wwv_flow_imp.g_varchar2_table(17013) := '089B8C089A6C887B18AEE1E2498D63208738B4A983C6A1F4219C84881F6CC97A08C99784495A444A4E5C8F5A6BC9A684A0A07438A7A4C295314A089A3A8F14B8967CCAB1FCC380ABCA43830AAC943CCF8BC693E4979314B81C4C48B2EC21ADA44B675A95';
wwv_flow_imp.g_varchar2_table(17014) := 'AA84A0F50825A3041588D04BBF7C08B1FC14AF7C884333CCCF404CB09408B9CCC15179CCBB040D52F9077BB0CBDA03C98B5092930CB868AAA0BBD3880AA23D36219524994BA664CC8A402567D24B56DCBBBB4925A99A427D38448AB04A978C88CF94CCCF';
wwv_flow_imp.g_varchar2_table(17015) := 'A8C68C58A62D540BFF4E79AE57EAC34F524D3C9C4BD1C087E1EA0D8DEBC9E69C8C6191BCBDE387E58C87172437DFA48880A34DB81C8D50D9BCF0E491C18CCADDAC88DED8077BA88779E88DD4AC88DFA00CF79C08AB1A379EBC07503A2EA8A8077BE88D79';
wwv_flow_imp.g_varchar2_table(17016) := 'A8877EA909C134462E60881D0080728108298A8116D8011B305086900200B0822A90500A65082268881FC0505A74833778830EFD500FED50F31C8D27A882136D8827600821E8018DA8ADD188D089E0023428031A7D08F77008026D081A45038AB050F922';
wwv_flow_imp.g_varchar2_table(17017) := '800000000360080260881B18528B20000320000420002305AB1B888118680818C8082A95082CA5D218B80118F0D22F850113008018B05286C05212D508287508FF2105800050D38CA08013108D2595080F70083B6D080E7808312DC60448000078000448';
wwv_flow_imp.g_varchar2_table(17018) := '8007A8161990883F1D482070881F505446FD010078540D258249A55434E5100460880420D22145804DCD0816608812008D08C85486C8008680011E00002F45558830012B6D811BB08187785400985588F8534405AB0460800410548778000030504C6D08';
wwv_flow_imp.g_varchar2_table(17019) := '4CF555F9AA55D949568850540050542070546895D665B5548DF05400A053D1C0008660008C205606205500A896174881326D5500E05300C0530088558DE8560020D560F5A15E15D45E6500621DD347C5D72135004D45D6CF68D686985668CD8848855448';
wwv_flow_imp.g_varchar2_table(17020) := '7DD41DF8016AADD68B30000620524C3552261D0DFF0678D78C78D78B9D885745550FE0532F9DD506CD085E95D76AD2D587B85813385686705200F8D36BED2186F514207850800500246D588C30804E1DD2257DD3D088806E2555A1D55887F8D307D0580E';
wwv_flow_imp.g_varchar2_table(17021) := '48578858D78688551B90D58890012BC5168620D593B5A63FEDD641E55A86B85587205298951D8525DB1F28DBB3355020F8DA027556035D5B82DD01B595D99CF5948775886CDDD7CF00D788285AAB458070AD088FAD0819B881C2C559874801758D0E97CD';
wwv_flow_imp.g_varchar2_table(17022) := '5BF97A00ACFDDA4D45D49395806EACD5B9BD08B50D58BA4D0B3A3500B1D5080C08DAA0858808F85BA285D7C6AD533D050D0FD0D3608D8004005CF9E2DA92950862255610685A6934D8B4D85CFFCEFD8C25ED5740558B53EDD6BE05D7E435DD44E380C705';
wwv_flow_imp.g_varchar2_table(17023) := '805FAD16814350978D8816A008AC6D99DF250D82055E20A5D80758DC8D105D782DDAD105576235DDD9AD88E8150D0A880EA15534E775087100029DD9883F25809715C1684D5620D85048D5DEEE8D1D0450DD8CD856AB7588D13D5DD2C5DE8AE080F01D0D';
wwv_flow_imp.g_varchar2_table(17024) := 'D9255EDA9D883F8081857805876D88FCFD14292A172962882478D18A58D664C5D00016604F115E262D608D505FAB55DE7B255D8D085F0E98000E9000D64D0B04905FC7F59406763EFE1D58471558CC4D61D0A0588618DE5155DE0456DED3FDDBBF95E095';
wwv_flow_imp.g_varchar2_table(17025) := '650808B0DD86A8163CBD61864881A5BDDE17AE26028000204E0BFD8D9D947988FF2FD088211E62813D621526D26C9D60B538E08750E0192E56306E082B76080AA85C86D0E18D10D42B864608EE946D62883F80884CE8D137EE44D0ED14F355600090E1E7';
wwv_flow_imp.g_varchar2_table(17026) := 'BD08F005E40900001CE680DDB588AB4D3404186300585C36050D2F1E0D33490689A0050B73E43F8CE324661949C6548BBDDAABC5D4E8D8008BE8640A08E43D05802EC6D5BE4DB43F1D65754D0B43EE90997BE570DC5932FE8C3B26E64C25550A10818AC8';
wwv_flow_imp.g_varchar2_table(17027) := '6100C8E686E0535406C10A705965765AE77B0C00480664C8E0776CE65994E54FB95819BED78658DE8CD0641C568BD8BDCB3F98862A1885D0A8844A98193F38915B18B4A838D875A6C2B035DAD108D7C68DE7869060867801FF8BA000F67D08C165083C7D';
wwv_flow_imp.g_varchar2_table(17028) := '607996DDAEF5213830E596F9E30D790338780834C0AF94B102462D0220686984A6427CC55D68BE886E3DDDBEE5E18C605D8B7608A5C5E88718D45F05ABA67D002205610E810014FE0C1C8508356608EB6D8814B000988EBB89DD5997855963058DE4A564';
wwv_flow_imp.g_varchar2_table(17029) := 'F58D688B585CD6AD5A4ED6668C80DF1E4A02B1C52F9E1E0D3BD55D104057872060D030E29EA66A81635285B6648866D9B4B0E5D3A5E469CE08718E0E5FDE643B15010FB068AD3DD69C8E9D03E056AD2D0896C1E15D1EE9BB36CF00F85C4C555D7C25E489';
wwv_flow_imp.g_varchar2_table(17030) := '385F6E15ECCFF8EC8CEEE45EDE6878D5552A9E57AC55D54F89D89691EAC4B50021A8EDDA5601CC96AFCD8688FF7DD56A3D2EDD05A6E4E7BDD787060D719688078EDE63F5559A8E46237D597F75EE8D58D8E95D5486A86BDDEE14B1EDD7B9DEEB0790538B';
wwv_flow_imp.g_varchar2_table(17031) := '78E2A0ADE4D128ED87A85C7B6E881EA6DEACDDEB3F6DE1399DDC38E61045DDD0133ED065556AEDEE1002D654F89E69ADF6EB86B0698B1D8DE8A0E95FCED47D1DED4E99EBF8DE90069E6ED1680115F881DCBED0FDE6EFD110EAB96EE0BFDDE1E58D6708BF';
wwv_flow_imp.g_varchar2_table(17032) := 'E48BE0E4C58D0E4145DFACFDDCDB6DEE83E610481E0D4D8E8814A855FFC5F1FFDDF0FE6EEFBDE6907916EDF48D1D4EAE68A38DDDF386ED439571D0A0F152F594267F88C4D55EFBCE710DDFF14B56F11E278DE37DE85E6559240F0DB616C14D2560A11E0D';
wwv_flow_imp.g_varchar2_table(17033) := 'FF3FEEA1AFB56D21485C0C2F020DBDF2D809562FBF575EB5731507EE8BA865CE0672968172474E80CB068D2238821F1802003802874874EB8EF3F98A806A61012130D5D000F396A974980C804C17523515D290D6080BF08009485C5117754F6E748123D5';
wwv_flow_imp.g_varchar2_table(17034) := '036E70456B6E12DF4D4556648688833F98F55A576440E88B86A0844650B748E88B5D07805F6F0489A08453773E44781C44307686ECCD6517385B74766364C768A7F66A7F88FDB4F66CD7F66DE7F66E87E95CF476FE8ECDF2A46AF90CF77347F774A7DB5B';
wwv_flow_imp.g_varchar2_table(17035) := 'D8981E8A057104067597770ED96570D481548D011E88011D38DC79DF701DB0261D78018107008127786934022430027F67788C4001164081FF1740010060811A10C725A8D986D77888D00114C00114D0811A60011CA8F86EEC012438F98D577987C00100';
wwv_flow_imp.g_varchar2_table(17036) := '687988287914B0782A04788858021E4002615D02945F82165DF99F77F9597C7988E0819B07809C6F5124786DA09FF79AE77868F47986C0799E577AA69FF796D7011C70FA82D7FAA17F8896F77A11DCF9D746028C5F02ABF7F7AEDF7AAE87469CC77886A8';
wwv_flow_imp.g_varchar2_table(17037) := '7A86587BB43F77B56F88AEE7FAACD77B4ED481B30780A2CF791E6082B0A7FB6DB7F89967C89B3F7B2460821DB8F9B92FFC6CF77ABD1F7ACA07F81A207C1164821B60022370FB1D600224A8791D6082C8EFF6CC97C69B2FFAD52FFBA227FDBFAF79D437FD';
wwv_flow_imp.g_varchar2_table(17038) := '6ABFFC97B7FB4EEC7BD23750FFC89FFDDE77BE9617FCD5E7F8D20700E2977DDF47FE4FB1782678FDD07F7DB92F7DDE4FFEE9979DD56FFC8660021ED87AE9A7FEEE0F8D975F8186E88125C8FEEC2F7886607EEF57FF6A02F8E617FEF587FF9651D5EC0778';
wwv_flow_imp.g_varchar2_table(17039) := 'A3C7FEF8C7FF4E297A00D8F9FE0708003C00101C48F020C2840A17326CE8F021C488122752AC68F122C68C1A3772ECE8F1E112243D0EF6580260890E1D263FB26CE9F225CC983267D2ACC910C58B812B43F2400980890E9B4287122D6AF428D297230922';
wwv_flow_imp.g_varchar2_table(17040) := '595232A8C1A452A752AD6AF5AAC51A089702D0C184070EAC62C7922D6B36E694834BA29E6DEBF62DDCB8004AFE642BF72EDEBC7A69065DA1752FE0C0820703A81196A94AFF1D7F09336EEC986C5092086BA058F1F832E6CC48230310A1F933E8D0A24793';
wwv_flow_imp.g_varchar2_table(17041) := '2E6DFA34EAD4AA57B36EEDFA35ECD8B267D3AE6DFB36EEDCBA77F3EEEDFB37F0E0C287132F6EFC38F2E4CA9733976B808081E6D2650760187D3AF6DB04B2739FBD1D7AF7F0ACB78B2F5F9A40F583E4CDB33F0F607DFBF89ABFA7BF2EFF3EE1EDE9F1F367';
wwv_flow_imp.g_varchar2_table(17042) := '1C20007AFD09382081052624858109CAB541120A3A68167AF03D38A158E96D80D035146A9894841B7A28D57E1F8A382289259A78228A29AAB8228B2DBAF8228C31CA38238D35DA78238E39EAB8238F3DFAF82390410A392491451A792492492AB924934D';
wwv_flow_imp.g_varchar2_table(17043) := '3AF92494514A39259555E628430C566AB925975DCA2483972A618A3926996512980200609A291F0F30AC291F9A04BD20030F37DCC0D59BE2F520039E7976D7A79901010021F904050A0000002C7A003F006801EB000008FF0001081C48B0A0C18308132A';
wwv_flow_imp.g_varchar2_table(17044) := '5CC8B0A1C38710234A9C4811E1BD8A18336ADCC8B1A3C78F20438A1CC970DF45922853AA5CC9B2A5CB970CFB0DECB70FA6CD9B3873EADC49728C1A0063780A1D4AB4A8D1963A04EAE071B4A9D3A750A30ED4B184C712A958B36ADD8A12C70AA55CC38A1D';
wwv_flow_imp.g_varchar2_table(17045) := '4B56618D814C74E06062B547D5B74C97B84552B6AEDDBB2FCF0AACC11787C2B76EAB32C14B58648711164614DEFA952F5F004C6AE8487B15A15CBA3D04FA5D2CD204D711870576E09C553280B335BE4EAD5AD02A92AB3DE82E494A1A2410007FFED5DEBD';
wwv_flow_imp.g_varchar2_table(17046) := '13058015A853D316C896F540D7950130E5FDD1831FADA0410B8CDE50317397355064E7ABA33141B6839303FFC80C60C9EBE59BAF57B4A1BE7D5E0028926A1F8843AFC0D9E07794E781242E8FC1BBDDB691075C8DE6900B051968A07B23A1E0977D7B6936';
wwv_flow_imp.g_varchar2_table(17047) := '1553CBA1D59F78490D961E839C99B18587687CB805002182F8A1405A70B8527D53C1F7E00BD9B10899550221C1C40E5759A5C38E0002309C5D44A868508A6600F08587077D21244CF3F9E6DB5E1BFEA7DC553B30D15F8F3E4E86177B452C491020230AF4';
wwv_flow_imp.g_varchar2_table(17048) := '0689451E0442685E76B5E1417EFD67D57F38F25021672DA4A9458A0A8DD38841A3A19966830EF130D90D725E9516717FBA278D1680147422410B26DA517C3ABC00D19BB3098AA5A41E11130C0016DC844541DD10B4CD40EB709AD28F0FBD495085ACAAFF';
wwv_flow_imp.g_varchar2_table(17049) := '5A5130AB08E4C2082EA89053A9B2BA84836F95AEA9905F4CB8E5E3A133C6DA6B435510048275A2BD842442652E0BD20A4F4AF8D08F4B61FAE6A6CB423BD098778C09801500F800424178DAD42E415BBC6BED46AA15A46C436F1184046D9B092B6BB36358';
wwv_flow_imp.g_varchar2_table(17050) := '31C61501BF61C5BA02E9AA53A8007410E9BC1F7D10C20A270844C343D99607005D03D1C531C407C501C01BE60AF42C4F1D540042050D5BF030C81C69F001465F7D15D77DE3BD45D5BC2C230C33A711842050BD102AA49D83075535279410F9F6000014DC';
wwv_flow_imp.g_varchar2_table(17051) := 'B4010454470DD2CB3F7B0961C5BFAD50AF42C07D3DC571F881E56F4436E807D3D321559072CA07B19C35831A68F0D1C7CA9587C366359FFFF6B5511E10C892DC02113E777B9BD95D374548E3ECF8BD08FDCD760228B0E792678187349ADB6E0F341AC387';
wwv_flow_imp.g_varchar2_table(17052) := '732834007687A081E9109956905B3B46B481400FB00D80012EC110430B300804430A1FAD4C50E79E87CE216D0FCC3C110BF696471E441B9C6037009303900000B9A7B4838000006183F61F395C78C315806E90B8C233A70103CF67B4344419C0CE000008';
wwv_flow_imp.g_varchar2_table(17053) := 'BC0FB5099693C43D41D57B74D8FED1F9593E837202C00B36108207686003E913C1448C3591A7BDEF696CDB000CF2979218C0C03304E180073820010E00A08356FB9F089F273B9D1CA02809A09D4010403BDA11C0002F546148CC008735BC610D35CC210D';
wwv_flow_imp.g_varchar2_table(17054) := '69B80600D4F0863514E156FFEE5086B97DE10B68104819D08044252D1123A902401423120F81C4638A426C8A3C0070127A48AA1E0201233DC008807AE8038CF300C016AD08807878D11E6DAC4815E3D890395E912073CC6253E0B12C3E7A711DF4D8A23C';
wwv_flow_imp.g_varchar2_table(17055) := 'E4E1C582C8838F04396445E69146463AC48E04994715ED91473D0E451E2751553DE831467D8C918C662408197592468334128E964C254946E9907CE4439587D34D4250D99E9A48841FB04CA52B47920F7EE01200BEFC654132A9133092511F0311662EE7';
wwv_flow_imp.g_varchar2_table(17056) := 'F50F9924249824712600FA414D67D26426437125185FB94C11C2E39BE004A748C2494E710E851D0261873AD1D9CD76BAF39DF08CA73CE749CF7AC24C9AF6CCA73EF7C9FFCF8750B39F002D0B3E8542CB801AF4A00855A54C9E51908226F4A12A51073601';
wwv_flow_imp.g_varchar2_table(17057) := 'F08F66E6E31F5E50623412D00E38220200CC1088215C3190D701809B104D69454E32505C5681119140C33500C04E8310211C0221863A88A9D29E42E41B327166458109002E244004959846413C711004F8F4A92049822104F20A0420A3900569963B4A68';
wwv_flow_imp.g_varchar2_table(17058) := '11A8A24426CA4CE641F821D4692A24AC3A11000006C0108722C496C324C85005F21C0A80421C008000009E50104800C03349F0A12C0DD28F7B489420D900403A94EA5589F05420683DC8459C298F9A1A04A503A548011A52000500E00259602B5B132280';
wwv_flow_imp.g_varchar2_table(17059) := '026CB622FB2047270482D5830C36B313E10719B9309000FF9411A48DCD083DD039538148F422E5E0895A1FA20B810C970DBAC8C205489005D29A352615196C46F2210F755C03838C2803BA720B114F6402910561E8300492894A6083A14369C344C6F108';
wwv_flow_imp.g_varchar2_table(17060) := '009060120C69433E4A2990352224147D00C02260420F73104409DC8D083DDCC10883980314911808225DF18ADE0A6516000003841732E12CCC0100611005007AD10B5824E2206DD0C73CC85A5F84800200540080186EC28E6A18E20E02C1AB40C6108D00';
wwv_flow_imp.g_varchar2_table(17061) := '37841986A80617D09B8982F8C11C7F20882D867281F622240C0E09437B3DBBD6300A04AE0701055FB99051A054F91AB045897FD32110FFDAD821C420293E00F00A008C39B1C3980619DD8193D11A57FF200E700042980C67009C16000EF0AC9C09525AD3';
wwv_flow_imp.g_varchar2_table(17062) := '3A1900FB902E41F09944180F2415824E893AD8C96576B4E3CB0AA145321C92E596DCD9206E2EC80036BD69826C76D30570F3A537DB8634F223D00FF14215B60BE9A88CB98CF540E940F031C67C3C3622ACACC8003EAD804C7F64B30D000023F301E5859C';
wwv_flow_imp.g_varchar2_table(17063) := '1800A968355E7C59904AB3A400A55508B4EF1C6D4E775A200318EE66EF4C5F9CDC02A70010474821ABEC9138DB26CA2508683FDBDC75BBBBDDCD150809D88D67781364DE02B1875B5B226B81F0118EE02D3773E2414BDDC4E31FFCB0872F15DEC67FEC83';
wwv_flow_imp.g_varchar2_table(17064) := 'E00FB7A2BE23FE8F2A46BCD895BCC9AB0BB27181F346DFFB3E08320130F29A98C4E470FFD5C7C809A26F8F07B4A289A6883EA8A90F5C32FBC92ECFB940FAA172955333B23AD7395A431EF4A21BFDE8484FBAD203FACD811CF2E9F0B06F48A24E75A82B44';
wwv_flow_imp.g_varchar2_table(17065) := '904BCF1A9BDBE18EAE67FDE8B7FEFA97C32EF6B29BFDECADBE073EF0718FB6ABDDABBF247B46807EEE7A06F3EE407FE6D7FF695064BAF2EFAEBCC72E19D276A3E372F00945179517EF052E58A1F16E289940225FF6220E648996EFE70D6E20901878FEF3';
wwv_flow_imp.g_varchar2_table(17066) := '37F83C05CF2EB8A702E107A74FFD0FD08EBFB415446D3B880142570F80D5D39EF50269410CD4E6D31FECC0F7C0BF5EED710F80CD737E2036383E54EBA71F1B6CEF7AC227BE417F50A782D82077CEA79EF41BC25579DE463FDA0B3FFF009E7F3FB50121FA';
wwv_flow_imp.g_varchar2_table(17067) := 'DB17C8F44248CF2011A44B09E1FDF6F50A00F9E97307EC6941FDD2DF90084C6F9FDF3710F2C77F0BF14004C85D098000DD77803DA5800C985B09E07F0FE855D3130113085511E05417B8811C983511D8813E158109F0002308820845821F68822A353DF6';
wwv_flow_imp.g_varchar2_table(17068) := 'A78200F534088000D39382B9B57F659700F627834FB57FD81324E0677E03A87324083F09D86A41B8744558842DD8536A6339EC813D5F278103F17F5E650320903BBC1384DBF384DBA373098883D0C35D44B003D7D3850701854757828DC51EEE87860361';
wwv_flow_imp.g_varchar2_table(17069) := '7BE7E7861E07861ED70232D002CA5786DAA3360A23703A28766DE882823888EA51090946888898888AB8888CD8888EFFF88890188992388994588912F1023A10033CA0899A6889CB841974A11F74610478E3892D611F2C80022C803CA93816B1F18A4840';
wwv_flow_imp.g_varchar2_table(17070) := '1EE2F137A628122C8003B7B88ABFA203F1911582B21F72011B98311EF4518B28813C02E4243002235BC116983225B1611ECA231EC6481238A0032C102C2F8003DB08006763145A82103B8019C6518D24A10367B137B49114906314832125DEA231B1211B';
wwv_flow_imp.g_varchar2_table(17071) := '52628E23718DC5B837A5E18DCAD12354C204469037FC9137DF688F14513404D18E4EC116DF6104998104AF3110D468901AA11767A3166A3115F8D81449311BC478034CC079D2382505499107C90216C98F62B191FD5825FAC11F56A29026992667411BCB';
wwv_flow_imp.g_varchar2_table(17072) := 'C11F95FF7103173293A113927081284B21933CB9249B4121C5179388329430531C70622507B18E4A292B93611582C12DE01295AAC294C9518FC4519258791DC8631F53992957E9955FD91E7FC31653C9904B609667292453392502E1166EF9962AB23E90';
wwv_flow_imp.g_varchar2_table(17073) := '6197F3B29573E92657A9972AA203999119E6E11614829780B92413999489992819F32A9321948DB9249239992A521982529996D91E3AB20408B99989C2149BF198A0E925837134D8529A89C20225A09A9C2204CBE39A89220EE0269BB6799BB8999BBAB9';
wwv_flow_imp.g_varchar2_table(17074) := '9BBCD99BBEF99BC0199CC2399CC4599CC6799CC8999CCAB99CCCD99CCEF99CD0199DD2399DD4599DD6799DD8999DDAB99DDCD99DDEF99DE0199EE27B399EE4599EE6799EE8999EEAB99EECD99EEEF99EF0199FF2399FF4599FF6799FF8999FFAB99FFCD9';
wwv_flow_imp.g_varchar2_table(17075) := '9FFEF99F001AA0023AA0045AA0067AA0082A3C36200496039BB0798409FA7A73A91F3DA036153A1E149AA142507AFEB903175AA1200AA112AA4001EAA122CA101CCA9FFA71A2112A802CDAA202F1A2121110000021F904050A0000002C7A004F0068018D';
wwv_flow_imp.g_varchar2_table(17076) := '000008FF0001081C48B0A0C18308132A4CA86561C20E0E234A9C48B1A2C58B067160DCC8B1A3C78F20438A1C49B2A4C98D1A75D4D08143A3CB1A0271AC3C49B3A6CD81C390DD5C78658B4469037D8080B8B3A85185325902788162A08EA350A3465486EB';
wwv_flow_imp.g_varchar2_table(17077) := '170066003E0D84868B98548C0D955400A0A2838A1143417C5D5BB2A58EA66CE3CA1D782BD3C042029905C30580E85C84E7040A3508D1ECDFC3135B225E5CD4EFC02A02CF78F122301900251055302608688B95B18E0BA2DD4C7A20CC95355EE8785ABA75';
wwv_flow_imp.g_varchar2_table(17078) := 'C82A5CC400A8221B80150080CC8E70ED33475FD7C00BC22CA831B8F18E6EEE0040631BF76700BB493704704520D1E8C737F31818A2E0531C2C5967FF1F9FD0CB182B63BC70318379A06E390024940E4D9E747700F757D4DF9F10CEC03800BC61C643020D';
wwv_flow_imp.g_varchar2_table(17079) := 'C81851F4F117D7531F6800807E0415A7E071851DE40980BF25181C76131E86014121E8474387D98DF51B411099A8A086244A05578BFB7550818C08B1E81E7034C2F89706F7E9489E631D58909D8D39FAC816061A7C68100AC31929176833AA0880053692';
wwv_flow_imp.g_varchar2_table(17080) := '26E441333AC9160A0E0EC463972240A8E55A1D0029E595235479189502A9A8E698368920509770FE058289424649A06B321265A29E757E05570411042A579A887690A88F1C1AFA950614382AE951F24D1AD703741E60A96B6FACD1291C6B800A6AA79F02';
wwv_flow_imp.g_varchar2_table(17081) := '10EAA9FE1915AAA90080DAEAAA9B42FFC55CAC9BC5B38E45B702B04E3C47DDCA2BADC0068BD0AE11E54AEC40B9EE64ABB0CC360B803DF6FCBA903D02513B903DF300108FB55065FBACB60078EBECB8C1724B10AFD8D6B4AD40E20E242DB9F0C66BD4AFE6';
wwv_flow_imp.g_varchar2_table(17082) := '56BBEDBDFBD42BEFBEFC86B44F3CF9B6CBEE3EFDEA48F05CFA00903000F9C41BAD3D04E33350BBFC305C707D1597568F3E092F7CF1C730CA0380C822CBD58E40EDA47C32C82C4F580F002FB72CF3CC16F56333CD38E7ACF3CE3C03F74FCF40072DF4D0CD';
wwv_flow_imp.g_varchar2_table(17083) := 'FEF333D148C77B74D24C37EDF4D350472DF5D454576DF5D592DE8CF5D65C77EDB549197F2DF6D8643BDA4FD968A7ADF6DA6CB7EDB6DA17345080026FD77D5301031460F7DE7CF7FF3D9E007A172000E002F86D384817009045E28B2B0EC005593C9E0509';
wwv_flow_imp.g_varchar2_table(17084) := '6000F08FC08767FE4F3C463F4BF0AFEF426BCFD2991B2ECF3E24970C00C1F714B4CFD9A5C74ED03EB4D3BEBAECB82354FBEEB9F76E10EC0485EDFBF0C4176FFCF1C86FEDCECA00C0238FF3D0D3F4FCF4D0AB7E103C00D093FCC7D82F9FF2F6C3C70C7EE6';
wwv_flow_imp.g_varchar2_table(17085) := 'E28F6FFEF9E81F9ECFFAECAFEF76C3169704FFDAF7E083CF3DF8D79FBEDD0D1BEDBFFFFC68DDFECE66BFE0098F6B5C70C31BDEA040062ED00D0561E0F8B84010349461565D8B81406000831470F08330888106D36702B711E184283CE1FE04D2821BD8A0';
wwv_flow_imp.g_varchar2_table(17086) := '203F10880D60A03620FCC086388C21F860D042B7C5F08700F8410CFF77B0421BECE085037121D97468901BACF0702D28480CA2F844BE01C1064010481601B0032010B18A6523421112B245309AF18C684CA31AD7C8C636BAF18D708CA31CE748C73ADAF1';
wwv_flow_imp.g_varchar2_table(17087) := '8E78CCA31EF7C8C73EFAF18F800CA42007893504148A010088000218B0C846462001850240A4084933432E3291971448021839100E5092650C28942231A948445A52208F7CC0276536CA81283202884CA4265799B30CD092690408000100A04B5EE67297';
wwv_flow_imp.g_varchar2_table(17088) := 'B7DC991F10018061FAA110C30CA6CE48A7CC663AF399D08CA634A749CD6A1A4927D694D9060682021DBC80073100A70E9C98CD78E9603B08D1A111906084723A2B253C60020F78B004240060095F7427B98A83FF4E00D0B3074BE00112FAA94F6035C921';
wwv_flow_imp.g_varchar2_table(17089) := '3BA867418535A281F040074B4008127A0080814674A1B4C20113CEC984807AD49F1505A83F97201E8C3A4A314CB8273DB7434F244474A22E15E9414DEA281DA47420011DE83D076A4F82D2D450330529450DC2841E94F4A73515483C475AD195BA74A948';
wwv_flow_imp.g_varchar2_table(17090) := 'DD943C23EA537A0E444251951444213A4F267C1109F214C839B33A29D64C15A25C5CAA4DC91A2B9BC633A10018AA586FCAD640D5402361F52A550190D2ED3C25A5E0A9ABA1E4EACF878254AC47156C8B34B282E1C8F3AC0849AC627534227E3A65AAFE94';
wwv_flow_imp.g_varchar2_table(17091) := 'EC649DC41A9B8A542001A5EB66EBF45187DE53B3A3D5924B414B517ABA15000D4D2D9C006A4FD940C66A09008D2744B16ADB31D5D62902896D6F8DF45B818876B886DACE45916BA880C6F305CC75924C1422A6E84E88B76205400D50B0021494C0BA5A42';
wwv_flow_imp.g_varchar2_table(17092) := '2DB002020021F904050A0000002C00000000580265010008FF00F3E50340B0A0C18308132A5CC870213E7C041F369C48B1A2C58B18336ADCC8B1A3C78F2015F2B337B224C9932653A25CA97264C8973063CA9C4973A1C09A3873EADCC9B3A7CF9F40830A';
wwv_flow_imp.g_varchar2_table(17093) := '1D4A74E8CDA248932A5DCAB4A9D3A750A37EEC3750AAD5AB58B3FAB457B0644F7E00C06A1D4BD622BFAA4605563D5AB6ADDBB713D5E68B47375E3F7D78F3EADDCBB7AFDFBCFB02EFB347F824DCC358D10A954B902DE2C790B3AA1DF98FA0E0CB98336BDE';
wwv_flow_imp.g_varchar2_table(17094) := 'ACF9DFBF7EFC42137619B9B452C5411903706CBAB5EBC56A0B0388B7AEDDB976ED00D45EA7BB1DEFDDBD7FFB0E4E7C37BBDBB9D9F12E6CF8B5739FA881AA66FDBCBA75990243CB2B786992F7EFE0C38BFF1F4F1EFCA53993FEC5B3974FE2F5F7D82DCA55';
wwv_flow_imp.g_varchar2_table(17095) := '0D1F2361827A2FCE57FB713FF5B27E35E65F7F037A141841F100400A00FFF0F3593F104628E18414566821840455165D417FE953DF8736C957A04EFF5945D843F989B85F482B3EE6977F1B6204E34797D1531900F6D0B3DD3D00D043103DF5D4E3E3763E';
wwv_flow_imp.g_varchar2_table(17096) := 'D263E48F461E59648F491629CF3EE700D04F5762191420885822146342336A54A296F311B85168153D341A3F2956D465476BAEB6E55347F1155A9B1BD1A9518D3712740F8F0F4154D03EF7006A108F0010AAA7A185EE69E83E06310AE6955946BADA4281';
wwv_flow_imp.g_varchar2_table(17097) := 'DD24563EFDEC499F9B104D37E34373AA05115EFC2184D7A81E0280CF3EF88476965A95A2FF66CF3C00007A8F3E47F9990F5EABB97A1697F98446EA3D03F91A56AB6416345F3DC40AA8905CB1CAE5DE51B12A4B2CA9B03A8AD09C6EEE87D781DDAE456C55';
wwv_flow_imp.g_varchar2_table(17098) := '7DE253629C7BDD1A113EA7FA99EC6AAD1E451A9802CA554F7B7EB6DBAA605C118A2D5E3E12342B3DF7E4688F9FF709391857FD328A97A2EAE6530FAD02F758D0941E0EC46BAD82390B00B61B0AEBA1B9F81E34D09B923A851AB73C9E65CF8D531224DA67';
wwv_flow_imp.g_varchar2_table(17099) := 'ECB9AA273F12E1BB223E84D513D6AE55EDC920C3FDEC334F60A4DD4BD8818C92940FC307130A51CCFDF81928A14B6BCB73BCFB042CF3ABED812536A71071C5EE40536ACAF38F853D340FAD24E9F390A806F93CD8486D4BBC4FD11F3FFFCCA0406D0BAAEA';
wwv_flow_imp.g_varchar2_table(17100) := '4DDFEE53993E97C686333EF3D86334D2BAE2FCF4ACA1CD53A56596E38C26C71B074AD26538069B97CC66DAB3F1BA8082BBDEC1520A082EA98576ACE7C7B59A9BA0C05CE18A63E802CD5399D18E3FC9E33D76DF4A2AAAF1504C5094FDCC63EE3C76F11328';
wwv_flow_imp.g_varchar2_table(17101) := 'B8B45795D73D73732E30E0A6E33A573C78238868CA52A126105EFFC0F364C0DF14244E5800B8134F6554FDA3CE370D76DDF1DCB1C9068F943E0340362A638EF771851D01341A00D82125D1DC071EFFC09E9F620780FF550D00E5D89D3970C41577B40E50';
wwv_flow_imp.g_varchar2_table(17102) := '95E946835AA50F9F6DE71FFB88133F62D60D81F48324A0E1CAE57CB79A7BFC831DE1A8CC7D1804BFC1E10B22F0F05139FF7E77B47F508C3296315CA1A6A48EA1DDC41D869B87BC9AE7C16C54651F3EAB923EA6949B7E548686E1185CC52AF80FAE58A656';
wwv_flow_imp.g_varchar2_table(17103) := '3FC3918778E4BB699C514A3CFB5C4498C820EC354659B08AA00D03C50F66D9838B6594883EF6C40F8A05E6863934D49494070046226870F638072CA2349BDB2D6C1E36B447903CB48C04990E00983048CC14A31E46ED831F7B2B08A11C6597B0BC0C00B9';
wwv_flow_imp.g_varchar2_table(17104) := 'E151EFEC118F7DD08534193423F9AC829650CD8F20710087A3D251996148C91EB6F0832B00900A3416E47FF1A007A30C0141018DE61FB460C41F1AC30E7354C61652DA07300AF10A37A2911B9498D2CBF6910E00F8211B00A887A364480B83D0231DED04';
wwv_flow_imp.g_varchar2_table(17105) := '002D4001FF80EDF88116D75866829E9109DDAC9056D3E083414EA6AD68188276ADBB47CC0802CE652ED367D9E8443FAA694383200B2CBA24082E26BA400020E38C8D00443840018E822082201094C73F4051864A56AC1FE570032400F0D0544D89607F3A';
wwv_flow_imp.g_varchar2_table(17106) := '462100E0C67F04ACA08532A2002F6690CA78A29F1F9BD28DE4210E7740101F54B39827CAD10F4A32E28CE054959B02C58E5054694A5E34483BE85125B07474880C0C0724A6D4CCD9E0C3470B9ACDF2C0F02788BE91412834C82808F2A4829CA332170040';
wwv_flow_imp.g_varchar2_table(17107) := '2F0EB21D31240300B760460519C5A38702801AFF68C7FF3AD152064E29838CC8606E32A4AD5DB66565BE3B6905D981084FBC221BDCE0031A5E319B3BFF0C110052E027002A31D83FD0767ED02884328C1A9BF931C313FF90873C5E6A8B6B00A010688029';
wwv_flow_imp.g_varchar2_table(17108) := '00DEF7D25194831B9120C836F946898248D33D00786AFC0AE15A012A94B07D68697501C00D00AC8220B498873ED4C188756C3453C1CA073B5FEA8E48B4031268C8463B903A848F6D872043050038E0599057748D207EF8051ADF55107E5EE30DDD65C61F';
wwv_flow_imp.g_varchar2_table(17109) := 'C0C985D1F27009908D472A1E1A0B430CF11F94C8462AC6E1B882FCE31B70208865CD00CB8214C1AFFF28C415300880AF9AE30FB4F00C0020D18E7EB8231F84A2981FE6FB5248DC0100D800C03062419032B8C31368784641A001048200C213F0AC0C3B3A';
wwv_flow_imp.g_varchar2_table(17110) := 'D1DD08A650BFECE4C33CC661087718E2FF0D04B903305C410C38A0A1896590F01DFC808C23883714D940EA2708620EA996C22098780400C6618A8284A1208DBE802E00E00000E82211009883A20D320E8360819279822A00EE808F5708E3998C42443D9A';
wwv_flow_imp.g_varchar2_table(17111) := '988E6642E30800D8C68F5CACCF3B80A289EA8805300A828C97E28282A68D8AAC08D20978BA41B2FA00673A01108B98E181A20421862DA8BCD38284A220070369822A0180749481197088C72D68418904A5423D00580431184C8B5F8013129408A6A3FC40';
wwv_flow_imp.g_varchar2_table(17112) := '9000EE501CE9504335FEA08F5B809351CBFC473AE0800C681444DAAEC8EE1DC011337477C5710CB42C2D70718F48B0831870AE043DB608003EFCC28DE1C80531766D88EE162415D3FF182C84C4C6485DB74ECBA1F0033893FB0F57BCB4BBCDDC3530DC00';
wwv_flow_imp.g_varchar2_table(17113) := '8046DCAE0CFC6C717BFE210E2F00A01A9EA0B287D4218C3EE442E304298742196C104874620D048946BD1935A7971D18CEC018063E28918BA7F21B19C230272486E1096C5CBBD3B67803312A71236000431A3DE257FA7AFCE457E08256E08CD92F886110';
wwv_flow_imp.g_varchar2_table(17114) := 'B667A316A03047C8A31B4E48D43421FBC8025F0DC2863600E012B3204820F27009480380135D983441144182CC17040C510A0C2509928E6267E216BB06802D8C6990EC12241589977D413248548378A28904A17276EB2AB360432546C2E8AE2B52D10882';
wwv_flow_imp.g_varchar2_table(17115) := '848212FF23883BCAB18F976A5780FC8C4436E0B18FF7EDB41BD6A415FF3420F18FC136A21FB9E83900F85919EAFF534A7ED8B5273CD17CDE84C3F606B94FF299497CDA1A2441FA8008A9205E059109CD177D00700E51126AA9D66D91600BAF900E94300A';
wwv_flow_imp.g_varchar2_table(17116) := '9EE007CCB70EFAD00E856608B84710C6E40905350D8525069070050C47262E110AC43025B66008F5000AB40008A38007CB8423D4977EB60707F2807FE6C01594D00D80D00D3123372F0607FA900E90508348C507CD1425ED904185100BFCC407A74680F3';
wwv_flow_imp.g_varchar2_table(17117) := '930E7EA00E1EA42A2ED30F4D1433AF30589D4010FD6008EDF30FC8D009F6905DB41065951046AEA0066105008870074FC60FB534467EF00FFD054EC0E70AFF406F8C600FC89009076610DD4009B6A006BB35250FFF857F0541177C750E60D0688AF6088F';
wwv_flow_imp.g_varchar2_table(17118) := '56105DB06904D179009005077101B0B03C06410D08910E098604B80008FF736A1DA70ED35009CC60809E1009B2960B62D04300B041042159D96059CC0609FB4009AF6044AD627C70721055920B850008FAA40FD5004F886008C8F042CDB40AE780083E02';
wwv_flow_imp.g_varchar2_table(17119) := '0DE6700BE5B00838828604710D5AC62966440BCF560ECD940CD9900DCF060DE8A650BC010F9E7052DEB808B7F032EAE0077D206BAE1318B1A050E6300AFDE08B850009CA502BA10007C3B00E7EE041DC9041E67007B1D03847870699C00E1A8233F6030A';
wwv_flow_imp.g_varchar2_table(17120) := '19486599E006DDD03EDBA47201848D7FB00E95F00CE2B06BF446315A770DC684265BC415C2106500FF100E51060AC3185EE2D07C39C9078EA07BEC1063B4906B0A9620E9D7157D33510CE44170200ED8F055EE750BFA400F9D8007B7A00ED45409D1600E';
wwv_flow_imp.g_varchar2_table(17121) := 'C6647D04D15E00A00E95111A12D50EAEC00FF0100BF2900951990D8F4565340600A3E006DC200E062759A3100BD9250DB75019A97017A90045072311B90670EED00977007E8F450B75950EAEC073514710A3706D9E500DB7C037E18523B7A3578B661093';
wwv_flow_imp.g_varchar2_table(17122) := '17080A164A0571689917089DA62061C0096C7010F6F03ECBB37ADE3525D1007EAA348680E04196F50BA9100B3B755BB170234F5610E0140EEC687005712FC8988C0B552A617117289427EBC14313B50EFFE0215E342586930F95C13F34E9219EFF71964D';
wwv_flow_imp.g_varchar2_table(17123) := 'F557660489FA200FF6C02369E5272984103A446B4FA344527223BC01214684290EC220D29310BC229E42061A10423D5CF10D8DC05637A2238E127D5B24368125185431516945526FF46B77512B7F942A5D812A1E724A9FE119328421519521AF14090982';
wwv_flow_imp.g_varchar2_table(17124) := '310E423DE1921D19721724C52814CA437981565E544660112C939219D36925350A58E0721701E445277438855510B472686FB33B95712375115291381B849120A57523C9F24B3CD4A227FA27D1C44360116A68444BF4896D11242525C42379122F28D39C';
wwv_flow_imp.g_varchar2_table(17125) := '3FB12102414846E356B8323165442B7775A658850FCCF2317F742224932CF5F02A61710FF4800FFFE033B8B227F2703B1B2410F5FF6046831124AC033FAED23885F447F4D033F4905F40C320B2C9413C8317317434EC8116BB821790CA23991A4727B11E';
wwv_flow_imp.g_varchar2_table(17126) := 'B6D47E99122404634A9B512B77111842520F7C03163CC3561212285B68A3F7B1424F7344A3EA266731A893031A7B9245F9204D6F9327CCE19D81F12480B21FA0321865832B95820F360428CC312B38422BA884558D742F026126FCD22C7FCA234102217B';
wwv_flow_imp.g_varchar2_table(17127) := '6238D50A11F5803810111AD204AA72131685D40FA6B9109F4917CAF5A4B74317B3014D08F29987483FFAF03232244F8F433966134F8D2A3404B336AB7212394259B7423C1953AA5F932C14A6A63D11236DCA3FFC311FE34228F5F01029CB23CCE11E81D1';
wwv_flow_imp.g_varchar2_table(17128) := '2AEE111A73433202FF012866622DEB391A5CA118266B476093286A712BE78AABF57214E77A16E3F29CFB1118B27126D0E926B5C2239CE12BA19156FA1A2CA0711656BB9F0ED22A24D12B8B432C26BB1668961DEC323A5562288C44B59A1126340B52E7A3';
wwv_flow_imp.g_varchar2_table(17129) := '0FA6F45736C333AC123448C62FDF3A291F53AA6E352961224B369B5F7BC1B5B4220B9554178C1B0FF0501789DAB892DBB87AA55CCAB50F458A3188E3A81CC3417D1B2FCFA92ACC3112DC8A1F80D1376922B245B1259E7232667B13427319C9523A6A0223';
wwv_flow_imp.g_varchar2_table(17130) := 'F89237B77B980851B6A18B477A81B451DB2CE1C2B4F3112BA3EB261A5A389C01A111622C17D3BC563B3AC5E22A48362C4B7BB4AF2B32F9314141824749941902FF22B38BC33B7A213B67967FAC423BCAFBAD7C1A9E1ABAA2B61B2CEE8B1FAF320FFD9057';
wwv_flow_imp.g_varchar2_table(17131) := '0A21ABDA2264F9EB4C08413D538226A2C13131ABAA8551128AC13DCC8123BF82BA7D111AD54225AA3BB236512AC0DB22DF7B4A62F1B21354C130523AFC03C21DBC2E9BE2187CE11FC4223401B4103ED3C2F1D423C4D3486F330F41B2C28722341643303A';
wwv_flow_imp.g_varchar2_table(17132) := '2CA810D3C34223412CAB2873EBBACCC1B18314248A72C3380CC4693B4883E4C349BC27EEB1C43DCC1F41F23648BCC4B0DA238DDA488D14302BCB2C42720F335CC6B3E333314C3C355CC3CBB9C66C3CAFF31A4F0361A606310BA3080B769CC70060C70080';
wwv_flow_imp.g_varchar2_table(17133) := 'C77E3C0B9997C77FECC705010BBA000B863C0B9CFFA0085302C79A9428575CC633ECC26FFCC2ECAB496B8CC3F516406B8CC936EC119733C1CF2223D1411D21AB2A230C2CD85B2AD3422EA97CB4B5CB107BE2A5132CA21B51B7A511210AB10C05018AA0F8';
wwv_flow_imp.g_varchar2_table(17134) := '8904F1CBC2DCCBC40CCCC13CCC9A7759B4691D7F2ACA0D91A66A8A64FF20593555050050054A60CDD6FC044A00004A9004DDCCCD0411CE4AA004E2FC040661CEE1ECCDDC6CCE0080CEF0ACCEF17CCD5550CFDC8CCEDF8CCDF50C006350536300005F0000';
wwv_flow_imp.g_varchar2_table(17135) := '35F578025DD004FD78035D10095DD05546D00AC17835958B5E20064607005E30D15C908B0090044F90041EEDD1FC0C0068E006D145D2232DD2266DD2284D103C67D268F0D22F2DD204C178D1FF35D22F9DD22B6DD3360D0094E9060BFD7878D007006006';
wwv_flow_imp.g_varchar2_table(17136) := '7060066BF006474DD40080D470B6064E0D004FEDD45877D46BA0D46F6006704663446D0677E0CF216DD05516D607C178223DD063F00563C00500C0056C5D106DCD055EA0D60411D70401D75C3006717DD772EDD679DDD76D6DD1552005B865CD52C005C4';
wwv_flow_imp.g_varchar2_table(17137) := '30A6CE3CCA898D100184000FF01809B0011400001420D9947DD914C00193BDD99A8DD99D9DD99B4DD91CB001A3CD0104E1010080DA1EE0011CB0DA0020021E20021BC000B40D000C7000B7CD0008501004C0101B80021E8002A63DDCB0CD01227010C21D';
wwv_flow_imp.g_varchar2_table(17138) := 'DB00C001C3DDDAA6BDDCCD2D021C00DCCE7DDCC6BDDCC59DDDAC4D10D7CDDCCBFFFDDDDC6D02D35D02E45DDE1940DE275002E75D022B2002EDDDDEE90D0027000025B0DCE4CD01F57D021B5002CFADDA1BE001FF1DDCCBBDDDCEADDCA90DDBAFCDDA000E';
wwv_flow_imp.g_varchar2_table(17139) := '000F900004B1DB0010010ECE000920E114AEDBB69D00144E100C10E1BBADE10E0E000820E1221E010C60E11D6E00019010BDBDD80C01CDCD591531F60004D0E24E51E30050E336FEE008900008B0013060023000003050E4447EE40431E445AEE4443EE4';
wwv_flow_imp.g_varchar2_table(17140) := '4D6EE43160E40471033640E554BE033B7003587E033DA0E53B10032800001AA001049101F44DDFC74DD9BA6D006CDEE61DFE023B30E50070030010E7006003553EE73BD003599EE55DDE03753EE755BE03557E03865EE873FF4EE7542EE876DEE8771EE7';
wwv_flow_imp.g_varchar2_table(17141) := '3600E959CEE55C2E033D2003367010802E049C2E039CCEE97CBEE758CEE73D50EA96EEE9977EE93270EA3C80E736D002761EE88B6EE72D90E8960E004290E93D10E9730E00310000614E01C20E00A40DDE0DD1DCDFCDDCDE0DDDC94EECC54E011D0EE106';
wwv_flow_imp.g_varchar2_table(17142) := 'B1E22EAED8D5BE1A36DCDB3AAEE3390E13D4DE10386EE301B0E20690E30660E310FED84A6E0242DEEE472EE4484E10EDCEE4431EE54E4E103190EFFABEEFBF3EE7E22DE61A80011810E1030F002F00002690022900002CC001669E011B00002140102870';
wwv_flow_imp.g_varchar2_table(17143) := '033CB0033CE0EB3720031BDFF11C6FE88ABEF100C0F124DFF11801F2289FF289BEF1ABDEF2239FEF216FE82DFF3FF31FEFEAAEDEF129DFF222CFF12DD002FB7E033100F441EFEB445FF4239F023230F2AB7EE4074FD90FF0D8C34E10111FDA52BF0111EF';
wwv_flow_imp.g_varchar2_table(17144) := 'ECC3CDECCC0DDBD2CDDC564F011930D96A8E00BBCDE6E69E21A87BED7E7BEDCDEA4E06B1ED38FEED1421F70A41ED721F0036BEED0070EEE37E10E7BEF70010E2CF8DF0F01EE4F86E020731EF855F10BFDEEFBEAEEFF75E10437E032600E11110F0649E01';
wwv_flow_imp.g_varchar2_table(17145) := '1970000581DFB89E02252002F5CDF00C8F02135FEA0521033CB0EAABBFFA23EFEBAD9FF4AA5FF286FE11295FFBB7DFF2F9BEF232BFEAAABEEA205FE5C27FFBB5FFF80421FBAB5EEB3020F4FA0EF4B5FEEB2EFFFA4ABFEA431EDB1BF0F411C0E0DF9DE693';
wwv_flow_imp.g_varchar2_table(17146) := 'FF6DE60661F5DC6DDCC67DDC2C40102270FE0CEFDD1B90018FFD00D75FEE6F5FEE94393A6C7F472EDEF6394E00E7AEF74311EE00610000800001001000800080408108122400400180091826285E1C18E362C581132BC2C8688283871800629434190306';
wwv_flow_imp.g_varchar2_table(17147) := '4894036168A4604020000C0034D8EC98934309003C3394385162C509002144E818F802C00D19009A3E751A550653A74CADDEB89153EB56AE1DB17E051B562CD6A532CC9E353B16EB49B627BB9E75F912805C901D4FC29081576F5E932644001041214304';
wwv_flow_imp.g_varchar2_table(17148) := '00111E7000DC71C386818C172F460C808308CA7EFDB2A0CCC2C35F11911F74CCB070E0CC9903F59DEE9A5AF56AD6AD5DBF86BD355F6CDAB5FF6DDFB69D8F5E478104101208809020EED406B91AF43DDA80C1825B652270D811E4C7B926266A9C5E9D7ADD';
wwv_flow_imp.g_varchar2_table(17149) := '8A1C4CB45C9951BC5D189F0D203C40B326E19C082240789F1000D11327346888B018BF891E4E7998FD4F8600070430ADA9C8226E35B5C4924125B4D212CB24094B6A49BA18CC6AA14195C25BA9430F5F4801001061508A87146282E8AFCF065A3127C628';
wwv_flow_imp.g_varchar2_table(17150) := 'E00046C924DA0031CA44F000001600C89147C070942CC808DCA38001AD08280D007DF8E12741279F8492B5D9A2A4B24A287503008DE2801B4838D68C2BC8B881C4ECC8CB83BA3CC82085C20C0EBA9908880E018150DAC8BA8DE6C2333B3C5512AFA4BA36';
wwv_flow_imp.g_varchar2_table(17151) := '7C4925133C404C4E247F1B68FF3D850652083AD106022A83FB4AD8F101117A60AA2905B35A2A422B63E3D429A842AD2DD014F89C8BA50A45E56EAE10E533A0C69C229068200E42E32032C582DCEA2F9D3A033631001E604021F6D0D4EA347D3E65B6D9D7';
wwv_flow_imp.g_varchar2_table(17152) := 'A674365A69B582762B32A73D0E59D50C80E82008B2FBC8A2D4F4EC332E3CC3625121E1CC0CC08008323032A7E4025088A8D03020AC041D4460EC3F51B165F6AB2A3B1CCFAED59A7A41A933612476C8CFAC8BC8C65C19032003C82CCE80830D60847163AD';
wwv_flow_imp.g_varchar2_table(17153) := '26432CC68E8C6D485BD39804386566A7AC5665979F2C634C8280338E801D7242A1B832239A8BB9DE06EA91821E6D8058E685969357BE33018048B8ECEC9C88471C7B940EFF620F3D742B279484AB394DAD083B2049242B1EE8D80388D2CAAC81B222F5B5';
wwv_flow_imp.g_varchar2_table(17154) := 'B3DC42C9AC5557F5EA66E2B06ACAEED82E6C706DB5332AE9EF9C344D29A99C56FC4CA10758B02EE3C47CED48630036C880028F25C2BCB1AED853A858AD4AAB67C9265F263DC1964B47FDC9E600D8C19367A6B9C5156698E9E85A31B37A061E7612CBA423';
wwv_flow_imp.g_varchar2_table(17155) := '503A12071E009001409D160B4228C99DBB4CC05097F0EC68B381A0DE4A5C71EB7A9E2003163DD34CAFB9E44DA003E014E8DE63B7D22140C27163CBAE9642A59BB6B6B512F8B6ACB35EDBEDB35EE00021EE75B28EAE26632B8A31C662147840E5145831C1';
wwv_flow_imp.g_varchar2_table(17156) := '44265788A15847D2D39EA50DA41EFC404DEA34089BD36DD0FF83A9D94DEDB8249C5F6C8519D1E019738623916BF42E27BDBB46355C010057F46320EC1087140020850882A976C18113A3988680073C0022113041DF06B2831DDCE07D12620D873E131CAF';
wwv_flow_imp.g_varchar2_table(17157) := '9DE7203F33137A46939E03A48701CA1B4D4772A630B838297E158ADF126FD04436AED18D6D7416DC12B4BEC27CE601842162622806B902DA6A200A4C208B1A93B1080A66457202C001FEC715657DD091A9E9E0232519C23179C906B80806310031105458';
wwv_flow_imp.g_varchar2_table(17158) := 'E215C40040250812A68E54E30DEE00C0350CD1912A0C6437A918C62D0000CA81B8439632A3E29980B09524004009ACFC654E6216B38E68492B1CD90AF61023A6E484B14CC1C9E570B4D2C52E26F23706FF9820627226831480848EB549A36AE2C7C60D86';
wwv_flow_imp.g_varchar2_table(17159) := 'D36D67320E0522D0BC84145022C192950335A7988D3D46572C5A1161C018BE9C345292FF1C482401EA414A760951036146235AE10C006C6214BFC08532AC30CAE64403877379C640FEA1151DAEB21D03F981B52A79901D54410946E8A50E079204930280';
wwv_flow_imp.g_varchar2_table(17160) := 'A55BD11217C6F0859869C90BD2914E5D7254C404C8C47B0BF1522E5528336C26129B480A9B33DD3339C6BD405382D39A395D23D5ADC0518D6D6CE2B44A323FD7606F514BE54AAE6C15B2C985D5579DE9086720D715CF256D2BFE1CE823051AD7D415D44B';
wwv_flow_imp.g_varchar2_table(17161) := '26A0E52F66E80B5EF00200C188A8D7A6678E90026095006047262000002E00C01399F0C4FF40AEF1836B10211DE618D670A0D9CC1D0EA4080369EC40C6301025DC74207F78436323710700B8E10D6E00C0174A62B581D4EA51CB4316BBA4B9152E264F26';
wwv_flow_imp.g_varchar2_table(17162) := '8F2A59C538A0B08EAC4F70529D5FFBD6C655FCE5C4AA54E2AA3863105DD5100E2F1108C09078261A4B0910AD10E4954E72F217CDFC2532B5624F697CAA34462E89AE8F1CDD7B1DB91B621E04215C48C62C0120CB5AF80200BF08463000808B2EA9897B0C';
wwv_flow_imp.g_varchar2_table(17163) := '99C99AE8A53C84744BB3D744081140710D145EC3157EA09D1FF60BDBAD306218C488AC2128C18CC6EE200523190804968390686651842C06CE4FD104C6B18D2C3F8C611C00BA39906FE6845364A12E6B084795AE04994A3DCEDF6D58FF32101620260186';
wwv_flow_imp.g_varchar2_table(17164) := '7900F7D03A9029EF4A72A9E1C08E3683980CDC916942CC891593A7957AC8F79FF730F307E5A115315D0317A0A4DD276A31105006E3173D12D3B5ECFB9A663213009F05452A240B803B8843981DE1039DB5720D0064D40B1E888915D11463E4A8904C6C92';
wwv_flow_imp.g_varchar2_table(17165) := 'F191663241817CB123C7624153B90945526FC54FA90A4F4A288492546FD5C746BE0DACBD226B70AAE67C93E18CB02EE747907D0C3084FAA33AD75998CF19EA7F49BA6006D39C3A7EA079D91A2CA830AB010066DC82128818882A66095862E408C6D24454';
wwv_flow_imp.g_varchar2_table(17166) := 'B8D304BE83726D5DC2D94126D201802A301A005630744689C0E872A4C2DD00980600BC908DC8BA3421927EA6D1BEA71AFF4AAF4638462A167B40BD2313A400AAABD1086D0B573088378BD69DA26AAD0D1691614747473D5AEB786F642BF35299CA88118C';
wwv_flow_imp.g_varchar2_table(17167) := '44B8F7E4633B2759287B36EA9A3DD798472B1F6BE68A129E21CB3248C10B62F042D0EFF0BB51AC69665D917150BB523324156107A0F0042868C18C1976049499C846193C710D50468312C410744E7A09C6D5815BE039A934D752438009962D5E86090D93';
wwv_flow_imp.g_varchar2_table(17168) := '7714A2512B3135145A0A5B10C495B57025E3B15E8A6A2E6EBF63EEA86C8E22B98DD21A39B4FA4AF1031CE0E10ECF9EB69E2749CA836BCD35BFF9DB44BB230FB0C50E7D3E5A7DB7D20AB438AC661160DB2F1F4421120163023E93800DACAB4C0420C240AA';
wwv_flow_imp.g_varchar2_table(17169) := '90042B54FFA10C32FD42154C2B0523B4D2A455B08212605B8556EA3009E73928575CDC1A3D6B2B5E2CD2006342CE63249B1A7FD6514A5ACA55E4D6E8CD36A10AF2DEF7EE24ECE938470A974F7925B37D606D66337EB17FAE3FBFC0CC722F5EBF558DCCE3';
wwv_flow_imp.g_varchar2_table(17170) := '3C8071B6014C19CFEB88C6AA82D02234342803D35A1583682C81A882E2D33D63D2210F20BD9C78031F1983601A1389300222184122C83D2238025FF2A52450825652C181C83DB18B8CDFF0B3E8C38DE688A6CF6320C018A39C7809E3FAA6B628090F7881';
wwv_flow_imp.g_varchar2_table(17171) := 'CD90084D510AEC693F1F9B8BF50BBCDA08959B91014C99B58EA0C21BE88FE5B2120FD92E88581442E99101829CFCF38B8FB1BF9C48B97C3A24DE683BFF67EA087A10400394C339CC89DDD8C0AD2803E18BAD31F0022EE082323002E7E8C01D503EA6B929';
wwv_flow_imp.g_varchar2_table(17172) := '2B48420EF882DA02803120022EC8422358ACCEAA9D3D130E8510882773B0043092EDE18D474100E4C8341BA48DD5F112C2608F16D10AE2129187BB3B288218F2A20085799524F33BB0701FF2B31B81A99F35CA1F2C04802C1C1C3C919BC18B1291F80B42';
wwv_flow_imp.g_varchar2_table(17173) := '998C2DC31111609C1D7146E9518D8DA91CCE391FAEC03C65A3436769B66D9C96DD5844AEA0000E7B2D34602DD6E28A04404793BB8198A995C84003550C12813084370089EAFBC45CF2C42411AAADB0BDDDC2ADD7409E2B42BC271324DB1A201430811C4B';
wwv_flow_imp.g_varchar2_table(17174) := '0ABC801EE9028F95501BA71A912AFC31FFFA611BF0480D140043C9C8110F981F102942CD40C319890811E00B22A39293289A450292F9B311FB631C11B08E675CBC979CBF60AB46795C243704003884396F14CA01B443D610345A008037C819E9F3835632';
wwv_flow_imp.g_varchar2_table(17175) := '002D418145D90038B01BB960B74904000D632C0630A66D9134C4DB1E750938681AB73C731231F1C44FE30AEDF30E85644811F1A68C3BB5A81115C291010F4081147801AB480D20B345D840C94EF111B2698DBFE8BE2729098990C7C593988FC311EBE191';
wwv_flow_imp.g_varchar2_table(17176) := '85B48EB3F2009E30B988088D6BFC1F2FF11E7FC2077C18CA9509CD4F01C7D7D8270A6294A2018ECFF09204F80B024880062B14D33C1A30D3162EA999CDDA2C278193AFEA9C27638FFFCA89A0F122C29C781518E081521B97CFF38E170820BD8C8C258438';
wwv_flow_imp.g_varchar2_table(17177) := '57EB0AD6938C41A9CBA63001C6B8B2B3929A7BBA1027FA1454B14D61D98AFBB3C9E8D18CF5EC1160DB953F328CC2700FF1590D38CCA0CF1CCDFC94AFA2D419B4B30D7C943ED8409A9533A84A341ADD8CB11BCC894D648063A99CF36CC6851411C36945AB';
wwv_flow_imp.g_varchar2_table(17178) := '744553039A902B1AA77A42AD889F50C91509F023862B1A1970AA06310B8E202E87539BA70AC6AA70A2BFBB0DF860AF2099B26624AFE9E908EBC891A291C67BAA9540024EEEF929EEB1CF650100FCD4CF2505A8D2FC92B36C0DCE722B6CDC1E2F41A4EAB3';
wwv_flow_imp.g_varchar2_table(17179) := '3D4A039F52BCA28E780806B82388088DB8EB15C01814E79C8BF0E342FF51B990AE10178CD3111E614F135018E6EAD093B881F62BD1BF790A2C941BBC68905049CEBD13C627D49081019A0D58AC6E4108C7498CCA9C1E9A4CCFCB34CF1CA932D02822A4FB';
wwv_flow_imp.g_varchar2_table(17180) := '9C6C1C082565D24FFD20FE94C34542502A22452771088731C8DA7AD0C8C9C95F6BAA9C7881955018B70895BA70224E49B559999E6E0291BFDC38BEB381FA418BC1799B146D0AF47B2A3E151C0D692E33FA1AF9200018693C26EB8A992C1A2049C6AD40B9';
wwv_flow_imp.g_varchar2_table(17181) := '6301ABDB2A132345D24E054D503557688BAD0F1A48D8189B2062B3B3E3D291A2208758CC8E80917B12961C418150AB491F740A121115528101F10C925AE9C96EFA13949051B6E98AE9AA1F0C75D887FD9789BD50FF19B58DD58B1E33D50CC97C46C9B454';
wwv_flow_imp.g_varchar2_table(17182) := '3044B1C8800CF052C31A45133D3BD27355D90D42C0D209934C1329AD80889E0250DBF01230AAD7D51889CED80C9AFC8B15E53E0048CEE9A223B11A2244AA317F0D3C8B7D0D5C543594601B7429AE650D5A0C759F67850D89C04A5EA3C989601C88291A1D';
wwv_flow_imp.g_varchar2_table(17183) := '095B5DC991C5E098B2FA3CED9217323113385CD9B7ADAB46DC19718BBE7FBCBDE4F08D2CC2DBDFE0ACBC8DD22B72D730B312441AA26E391684B49CE8A14C928C53A5D8118A3491FFE881649D0AC9408C16C144F6921385689E073895250A3C8615DDD00D';
wwv_flow_imp.g_varchar2_table(17184) := 'DDACBAC8A885A3D35D0AAC7223B6C194D7C5C2D1B501D2EDD0ADF045D68018C6800007835526934CFFA5904CB18DD338EDD1F3745541220C2F04A3FF4959B8755E80A1B9E78D0D8380BEDFF244D9CB2C796C110532A01DCCD9DB38C3C711DF66CCBFF225';
wwv_flow_imp.g_varchar2_table(17185) := 'DF66049A5FB3D45F43DF64B4BF8F6DDFC729DF47CD577CCD581FF9C8F4E591D9741EA379000A00E00C8080B8130CCCCC090880807A8D1787E81644823ED858B30294DE095E997AB0217673C1D5303E76E360E6C3E00FF6E0107E020E1EE1562AE10E46E1';
wwv_flow_imp.g_varchar2_table(17186) := '0D363E29403E9F7B372FB002179682891A881846BEDAA802164EC09BE202D3F243E09BA9700480FA12AD211E0835D00A3740033750E28E083A95CA6118BE2929EE611A96622BB8627D6BADA41C880EE4E20E7C0330FEE2301EE30E742DD8F2E2FF307E83';
wwv_flow_imp.g_varchar2_table(17187) := '3B00E336FE6236E6E2A454E38EF0623666E334EEE2363EE32D4ECA265EE22D86AD3F3647071C88DFF343C662C0322803077483FA2A83461EE261D20A226EC42F18AD99AAE499BA647DC3E2DE133D95F2825BD80779B0877B28570A46652AC9877A700779';
wwv_flow_imp.g_varchar2_table(17188) := '980D7980E55896E559A66500583358B6E55BD6E55CE6E55D9607E1111EADF8E59C90E59FA4877AB8077A50E66536E66576E69F84E6DD90E668FE497990E663AE077CA8876CDEE65CC6390B0280798066000866E1196678F8E5350BE68100667840257768';
wwv_flow_imp.g_varchar2_table(17189) := '8777EE0878A0E77AA66777B0E77ABE65724E6774F6E77E26677EFE677FB6E56BCE896DAE076C2EB35BA6877D76254A6266631E67FF89AE4300D8E67CC887CFE46600B8877CB8878E7EC386B6E591BE66644E6663B6E6868EE575FEE69166E77A768798C6';
wwv_flow_imp.g_varchar2_table(17190) := 'E77A06007C9E699B26677A5E6987B6E578A007E1B9876C3EE554266A27C9E88A96666B56EA86666A571A887D866A5A966A5AFEE7A99665748665657E6A6FB6EAAEF66AAFE6EA5A1E6979CE697BEE88963EEB593EEBDAF8EAA8566B7928338496EBB94668';
wwv_flow_imp.g_varchar2_table(17191) := '8BEE668B5E0DA81E69B4E60ABD66686ADE0DBF4EEAA64E6A9CC3E59646E7BDE665734EECADF8656066676BDE6688566C0088877DA087A12EEACDC60D8CF6ECCFC66800E8A07C5096D2D607D046ED7CD887D566EDD65EEDDA70368C66127E885EDA90E09C';
wwv_flow_imp.g_varchar2_table(17192) := 'F8E8DCD6EDDDEEE8FFD94866CCDE0700006E344333D7366ED72EEDD456EECFC6EB282933D8A0EBB99EE6E9B6EBE89E6C677E66AEC0EEEC6EE6ED46668F76B6F0D68AD906EFD00E9DF3D687D0216E8EB668E206EF8FFEC9DCA687D5B60700882FCEC6EFDC';
wwv_flow_imp.g_varchar2_table(17193) := '08EDDA28ED04E1EDFFE6ED6A99ED810070DDAE8DD47E168E3EE971DEED7DB807077770D330ED09A7F0094FED02C7F00CCFEDE5BE700DD7707CE0EDE8C66BDEEEEEEDD66A1337697CD8EF8108EEE0AEF017A7702529EDA0EE88BAA6877B98877DD0ECFCE6';
wwv_flow_imp.g_varchar2_table(17194) := 'F1D8A8EDAEE86FE2F8CC210771532E7203E78AD96E920C87DE8C2ED7094F16D3EE2718A7727DF84CD05E190ED7728C3EEE2EDF07E506E76E7EEEAD08EAA0B6EEFFB8AEEE6DD66DCFAEF23677730ABF72CFEEF139B76D22FF4C7B00CDFFC68752EEED8F8E';
wwv_flow_imp.g_varchar2_table(17195) := 'F321DF72D056722689F3D41EF4D9EE877EA06D40B7F3CFE4874657F18F0EF4E5EEEDD006ED0A97F1658172D296F164C9742A676E023FF3511FF50DC768F8EE0A3493F3CFF6F2E35EEE243D7200B720334766352F70BA5670D3C86DF6D6ED2A876F28EFF4';
wwv_flow_imp.g_varchar2_table(17196) := '02D407E2EE6D3A377629B1077EE8077B980766777671AEEFFACE09660FE781B0876BB76F008876FB4E766BD7F6AE48F670E78768BFF672BFF67147F77057742611F7769FED726F9278B7EFCFFCE837C7744D87727F1A5725F9F40C42527C4752348BE859';
wwv_flow_imp.g_varchar2_table(17197) := 'AFF77BD074253169E246668E9E74D4AEF7374FF4FF885796D6968756DF0726398D44C77865C1E8F4DEEE12C76E3203F98796EB1B57E6F03679864770573270244F6614CFF563EF88D1F9F1E7450D7CF8878DCA7900D8F99CFF071BEA799FE7F98D027A9D';
wwv_flow_imp.g_varchar2_table(17198) := 'D728A1D7BC8D1A7A9F67FAA6FFF98188F8441FFAD6887AA76FFA0B5E7AABD77A8DEA889D9FFADAF07A9E97FAA0D779A78F78AEF772A5BFF8A30F7B9E1F88A084FA8E88FAB9D77AAC87FA7ED0FABC5F0DBBC7FBA60780B39F7B1B2A33543FF6FBEE71D428';
wwv_flow_imp.g_varchar2_table(17199) := '33621062DC98282BA0E19C58C42FD08245DC82744D572D20A62FD0FC8EA0E442F67C23067D6212FDCFD78A452C039AB2E4706440D092DB8ED8E4C69A622DF6023E64FDAD188389EAC3DCBFE4FF1E66ACD967402BA0825EEA08E1EF25E313FE81302D5652';
wwv_flow_imp.g_varchar2_table(17200) := 'FE89123E2C363D0E66FE776337186EFD22EE0835182DEC2F03246EC432203D3EBC430E9EFEA07341174CFE9CD8E0D6326334F06298E2B0D6FAE38168E28158E2254E63FBEF62FC57E2AE2464D00708000207122C48B00C8032CC00C8AB77CF20C4881227';
wwv_flow_imp.g_varchar2_table(17201) := '52AC68F122C689FC3272ECE8F1234881FAF4DD9307000E000F1306AE5C29B02500973163CA142801C04D9B0627549800024007A040555810AAA203889F1500FC0461A129D3A850A74A650AA2C5550058A3A610B88103800D6101A0101BB62C801562D18E';
wwv_flow_imp.g_varchar2_table(17202) := 'DD60F66DDBB171079A25283684D78107080020B0972F0102060E00601041C303FF0D14EA12D41056F1E3B11ACC3A16881831000A22C8A2408103800E1DA007F210C8A334001E2C3A5B0E6116AF5C00AE43D0763C7B83EB81082298B8F16307801DC085FF';
wwv_flow_imp.g_varchar2_table(17203) := '161EFCF88EDFBF911B6F1E7C79F3E10285C7303110060018304C588F811DBBF58AD8FD30A477EF61C8F4EAD77BDCC8FE3DFCF804F1D123D8E17E5000233A8CD0AF9F7F50F7F5E75F07455960204D30AD74534FFCF537C2082A4408A18400B860A10A2EA8';
wwv_flow_imp.g_varchar2_table(17204) := '60A10B1D5EF821871E8A1822102E1401C01000003104102AB668430CDEE97083763AC0104376A06127D00BD98906408F2F0839E4904012A4438F28F4385A8FA20509240A9CD5A581630F6010166E1BAC20020A2CD4A0030BFF60E2F0020B63B2C0020065';
wwv_flow_imp.g_varchar2_table(17205) := '96894399007C26D0989FD5D0D96A6FF2A0430F4BE4D903004B4CD4C3696EA25083A06EE280C39772EA80820E873A0AE60B65E1C59B7C1E1D41847246606AC40F9D1A0100A62D0E245C8B40986A2A417F30E4107A95BAFA6A46EEE5032BADB516840FAEF3';
wwv_flow_imp.g_varchar2_table(17206) := '00E08704F9D937107F420934E083062D25D1B10209B81FB1FE41F8AC85210AD4A1B4225ADB6189A57E882A102A68C7E3404F1AF4E3A240C6F9C2988492F55994EDA2B082A087A20B400D88E210E59CF70AB4825A9601E09858F0A625700D050F2AD0A0FC';
wwv_flow_imp.g_varchar2_table(17207) := 'A63530BF2BBC0BAFC269BD1BA5C4058FB6840E4BF0A03100422CE127C80020C131BD030D6AB0BA84528CB040FF7372B602620C30005C11470070E21135EB9CF31149009044CF3FF3BC73CD44807A3411972A6D74D2447CBAC30DC6712A90A74E0F64C30D';
wwv_flow_imp.g_varchar2_table(17208) := 'C7510DC00F0311615D3FF4CC83ABAD659B7D36DA95E26A8F3DF8E84A1E08010A0BD47ECA0658777F410DF81F8405C9FDAB7ECC3AFBE0B3FD69E8C208205E6861E2196618EDE143B830840A924B5EC48AA682E01D90481A99A40EF5329A2E905F9A1E3A9A';
wwv_flow_imp.g_varchar2_table(17209) := '6EB2DCD99C35B469AF9B5F8689C3A2A1AF7CF0BEFBF29B300DF4225A030D34ACD03BF10D1BDFF0C303B70CAFCBEF2EFC59683A6CBC719E00F480C440D5AB5E500D2B102AF0C2DEAB7B28BE8462C00059350B64731149189184D1EF1B9D44FB3F17E43EFC';
wwv_flow_imp.g_varchar2_table(17210) := 'FFEE03F0FEA7FC17E1FFA79C4604A801206B549B9A408C668302B66020CAE11A707E202A818C0D1F69BB200633A84183AC8D6DF5D8155002A437650DA43F4529E1DE8AB5B761056E4041A9000C4BE81F16426B5889835C871EA7A16949488722921C8752';
wwv_flow_imp.g_varchar2_table(17211) := 'A42217B448489F3B22A206F2283495494CAA63139B3833282F4DB15E86BA22A2425732D3A58C5F34B0585A8227C682014F78661C1E0082373C33F68E506EDC17190702B1E0018009A26182407E841A9061AF4FA0F9621ADDD83D7A911162EA6A59EE00F0';
wwv_flow_imp.g_varchar2_table(17212) := '010C18E0015DF359FB6C86BFF6BDEF6794041AFD8EF0BE9AC90F92972A1AFC8A26CA4FDDA094519B4ED77EA0A9AE19708140E8948A8ED322FF1318A21F00A8E00673D91E5DF2B2221DC4C70779851F1216C484736361E008D2B782B8203F4BA980AF6448';
wwv_flow_imp.g_varchar2_table(17213) := 'C364FAA742FDD9907EB0A9C26CEE104393B350B686009C2601E949413A14A10ED5287489264E69629397CE14CFD5A0C975640C5DA35EF7C44639EA8AAAB31819C1F8267A79518C631CC8F7BCB7B0370A726170120DB908A227916D0C647EDA9E41803790';
wwv_flow_imp.g_varchar2_table(17214) := 'E211A477F4EADD072200001360F253ED2342FE500A004DD22F093E73DF4953FA3F82FC0F7E9AE424270562C002F2746B98D2690C6EF04A58BE52459F22082E7BA9548D2CB5A9F3C107DB2C7892100AAE6E04F1D00A0D92D565EA0771F78166818EF9AB66';
wwv_flow_imp.g_varchar2_table(17215) := '054B997D2BD60CB3BAC32150FF6871E08401A310C9D02D8AC68A8752E268D8D4BA2D7EEF8D25F3A79710099ACF384A9D0251D3BD5CD73242A52EA316731440119AC8DCD1F14BA361C2C64483B13E8D0C09D89B2844DEA42EF011CFA305F12823D7F73E97';
wwv_flow_imp.g_varchar2_table(17216) := 'B6AFB53E13886B5B0B119B11049206A1DFCD30059C068EB4050BEC9A404AF58306A6F268AFDC01108C56CB5B92CDA9CE15887B9EABD45F06B357C04AEB090772A165120B71D92D2B843A00C3178A17ACE025A641F2233802D947843274EB0A5F0402307E';
wwv_flow_imp.g_varchar2_table(17217) := '29AE8D32D47DEF0ABDD1E4F150F14CE7215B07AFD71D927679FDD140EE9B473861144EBF4B591CD399DFC51E52B284125EC90C9C1ACC62CC4FD4BBE840408CDF8CA67178FF680CA34105021B1CD9EFB5AF3D91FA646BBF9CE116C6ECAB88D10A121E812C';
wwv_flow_imp.g_varchar2_table(17218) := '30B809F4DA501328AAAEA98AB952DDC73EA4ABD4E82A59971DB4473DFE81130009AB6E5A0040231A21071F8CC002CD12C88694804C195A410B57B64297F9C65E8AFCAD987F639608EF33946B46A803D8348168DA85B07B11368BFD1C284419ECA57A5971';
wwv_flow_imp.g_varchar2_table(17219) := '8B82354812DDD44E89406FBF8B4E67EC5246101CE0B18EFA7D1361E1E4C6E0156CA006A97441B4D7B2458BC6B4A39D2C0D9C503027D00B3603A9646D6FC6BE969EE866B05DDF406A5D845ADBFA6627CA31E6604910DEC632C7005820AF8FDD02190C843C';
wwv_flow_imp.g_varchar2_table(17220) := '466E72536505ED0DFE1200FF10E6750150812B08441902F9FFC52F2A9122C24DAB02C1F8C795A9B18A9BC44320B8B00700AEBC0A00506314BDCAAA32213295A0FC243FEE9DA1DD007014651D450520F0C082E7E499418DC94D6882E2F6106CA8D40D3AB0';
wwv_flow_imp.g_varchar2_table(17221) := 'F644D8C5EBF94E886A98769906F49B42331026C64EB48794B80E98E0F184AB8990BEB357853186590E97A6B37C52223F251E11400AAFC22A7E40048073B396DA1AB7391B086E71FC6363279008B56E91B14DE0DBA3E59A6BAE042EB35332D204DC6155E7';
wwv_flow_imp.g_varchar2_table(17222) := '9936D8C36EAB5FBEADCA231CC8212A9D8C64ACC207150A5C51B601805110640BEBF00100BC3D041F8C4320C1C8367AC52A90144DEE43D4829CB420124DA46053B0AD3BDDA57D9EE0C1627C8B04A35863FF0F0BE987F277B0288FC8C3E744C743E7353514';
wwv_flow_imp.g_varchar2_table(17223) := 'B118C90D4531C9A7C6C31FD318139684470DA791788255681A11EAC61068007D46A85F8B71C66B9D4DA4D64CBF0811441503E40ABD08463BD1026DD002ED8487021410880104D290AF8B3D974CEE3EDAC8BEAB7B4BC412A810482C88F1F764367E2015A0';
wwv_flow_imp.g_varchar2_table(17224) := 'C640E83104080060235710C728A4410D5008E4278237C8106C8119088419988100028019A0C1010E84195C815BD9C7B1ECC74FF48842B9CC1B5D5ACB49443E495E8579469B385C8279DA44D889C49D495D759412C10E6990066A301868FC17C931D15E61';
wwv_flow_imp.g_varchar2_table(17225) := 'CC9D7418C9985EE7751E477D94C0781413C0CBEF9C406104C7EFB958FDA8CF6B49C4AF51FF84A8A0CA4040DD4F6D4D41085D418045666406051840D701003DEC43AB801F067D1F1896CD93BD0DF9D54D257C9B4038832F58022D20832C0844760904FC09';
wwv_flow_imp.g_varchar2_table(17226) := 'C49501400E00803E98C10848032EB8C015AC83404859FF4953BE0D04B76DC1167C81005E191A0CC4950DE01D4A4434A9800A988007CC89C36C2242259662A58ECE2D586031CF42AD46EBA849BD905C687C9C3F7D5C288246BE04D619499A41DC090FE091';
wwv_flow_imp.g_varchar2_table(17227) := 'CEDD152A3E5CEAC05C1DB59E666516C760D62FDED15F19846915C49BD000EFA10F6C119DFA54046D1144F2810AD4814A8E95CAA860232B1D9B8F110477A40407209C046CC0F5418058749D3C74E1178EA13BBEA32F4155DB5497BF11FF4430FC9D2F0804';
wwv_flow_imp.g_varchar2_table(17228) := '2FDC021C7A9B9D2D0EB7715B1C028020C6C139C49F406C8315084423488036B159BC11C400AE010216C4166019160080152C453485905044C892C8D1C00CCAC95C1C45B413F3340C41E10ECB3418C8BD624104CA8FC84992740F47F99582D9629F488F83';
wwv_flow_imp.g_varchar2_table(17229) := 'DD95A2D14EA320989C980687A55C9E64561EA1062E9E205E8DA0EAA040659CC84B011FAE15C4AEF9DA8F5144A8481070758DD0EDC0B21D5B8F098409744541201C0770404E80054AACA317C263DA88215CC24A3EE4837B9047340D2000DC232E14832F7C';
wwv_flow_imp.g_varchar2_table(17230) := '0200200331EC2500284107ECD0E23C888380C08030E6402485553826BE019C7E98D92BAC1F41C01F2080431A0A04205CFF6451D48D9C318555B58075404C9438CC42850F4389A0EEE1DE455458A66D8F6BCE26A3C111F838546E0A841DE1620A2AD89F3D';
wwv_flow_imp.g_varchar2_table(17231) := '51C93496F4DC49311A63CA8D86C8D1C06794D646D1C00F16980866CDA7F8CC347A0DD340447215C4044D217270A741201C415080780AC4389EA70794A740D4473BCE25ADC8A57BC6475DD6A5DB645B7FC481DFE1423014432DE4636002C02F0080DBA110';
wwv_flow_imp.g_varchar2_table(17232) := '81EC0D638280C16D48B220A87A4D66DE0CC895F51D0048033800401C64C315348239088484A2C8B2AC503D1A8948228CC0384F6E3A8C08BE09C5408C419C00F8388CCAC8955CB18BBA345144381A42B1E8881E490BCA64820525ED4D9AEF1404CD6D5672';
wwv_flow_imp.g_varchar2_table(17233) := '1284CA19FF9ABA3041C17C5181B9200AE0050AFC4FFDA854474890772607412C0796DAC00299A54078C0F549C0388629590E04C261E24881101702407BC6A7ABC0279CC2475DDE43308995320483B735020038824078C230805B610ECE59394882361E64';
wwv_flow_imp.g_varchar2_table(17234) := '3A4505C44DE3C98D7A0D0B7F24A2408CC238E81F0064C340A0C11710A440E4C0DF2085B6E9876312C4890AC4660C84100240AA9A0CCBC468F840445DA426C51CCC5E1144F7E08EC849044BB25E44481C669D202B6A2061ED266F1AE78629A7AF12AB3232';
wwv_flow_imp.g_varchar2_table(17235) := 'E731520015C2CF8F5D25355A632C6D29D7786344A452F4B5C00D101B4480690AECD88E84C703381B7BCE69ADC829BAAE475DBA074A3C6A4158C11954FF81189CC19FFEDD1030660DC1DD7FB05052F85F4F24859751A64040133169C145E2421CBEC21AC8';
wwv_flow_imp.g_varchar2_table(17236) := '9D41AC8234E0A76196552102CB866C4059BC28A9AAAA5A9C808B6EC0AA16846AEE8B1032460938142109CCC8DE2ACB1E0CEEAC1C41A046EDAC0CCA4284AF06DAF2D48B3AB9E6E4098AC09C0666A186D0FEAA1DB94932521AAF765AC96040028886A64C2B';
wwv_flow_imp.g_varchar2_table(17237) := '356E6735164471FD80970AC70251E1B0C9400B802900744538A6405784650AC0C0F441048E98AB9BAE2BDB825FBB0A047914459B6924B7018017788140705B2348A609E58012EC4D07B0D5DEE40008ACC44F548E412C4E1EB297AFC4C1014E220132A059';
wwv_flow_imp.g_varchar2_table(17238) := 'D14DC1028B0DFC4496C08B5878AC5AF0FF0BC80AA18BCA468946C4C99A45AA0AA1B26E2C41818F80250C49DE28BD844E8DEA0EC4080CCF36655A485E288A9CBEA80E129486B11644A00D92155DD8890904A71DD2F908440049C4D46EA3378EE54434500B';
wwv_flow_imp.g_varchar2_table(17239) := '74EDF4592F41A440D79AA5D9F216F58E2D412C90B3B14ADBC669F9CAC77CDEA9058428450A441F00401FB881175401001499C065950FC40145BA551CE8A57E089115B4EF425AA81C0000200040225C99800CC44502C0163CA2223670033BF00082687ABD';
wwv_flow_imp.g_varchar2_table(17240) := '84C8E2C5097CEE0A846EAAE24596EC285DA06EEA4EC48B92E4AD2A8CCA5AD6918C86EC801159B464E529DA91FCC8AAEA2CE78D4BCB0C5A9F4C0FC720019F00CA821152A225A38939FFA9F264DFCF1001B0511DA800572CF5181034900A0087976E880DB4';
wwv_flow_imp.g_varchar2_table(17241) := 'DFD74E5F0A80C08E4D477746C40251EF4E79639191EFF9A6B174D127DC4E80DC02CB9901C01870C11858C1006B9B84E44D8A74404D18841948401C0C0816F84007E0270337C2001BB2B25855E1C01977015C0A695B5801405160EE40E406E8664926C306';
wwv_flow_imp.g_varchar2_table(17242) := 'EF79AC44080CEABAA8AB5544C85EC42BF2EE6149C420C54EE6E1D507786CAA165AAFFE88BA6C000EB4A0F584D84EE6551CE9664438CF0364C7EF818AF371277001017251B1568865F552AF40986D441C9CD44D5DB512840A7829B60A84D85A8775C00004';
wwv_flow_imp.g_varchar2_table(17243) := 'F8812DA1B11AB387BA8E7346A4AFDF7064AA341B1C38EE868C006362FF1320F484012640035B410147448AB46F4114B01C58F075DD87FF75243235CB1CDAC5BFA8186EC88642733243CB066314C406A745E88AA48E4E96477846AE2A23613156C51852EE';
wwv_flow_imp.g_varchar2_table(17244) := '4609A6190406E0C528B78C6B6EB460F1C9C808C49E74D8F0761A0EBC68CF55D86E32F135FA18974E71F48D256F69AFD96A2F5370B3077C314E5861F67A2F6FC5C0F7A640518B27582440FC719F39AB87B455F547CC673B12F415E4330080C21A089183D4';
wwv_flow_imp.g_varchar2_table(17245) := 'CDB160C11014304552A4FE2EA4FF0E812402C0159835452E2EA4FACD645E843319C48E6CC0643C745EF8F5250BC40673AE9670ECE7822C42836E075384C716364494F2082A1859BC68ED1A0CCFE200957C80AAC2FFB243DDAE1CF1CB2A8BCC12F49188D1';
wwv_flow_imp.g_varchar2_table(17246) := '32A9F6CEF12212BC8854305B9DD6041710D8C08B2C1036499FD89A66B8EA987A1EB507A8E5F551000440C0F519849AAE29548B27994AB5D7BD295637B7D9D8253FCC8A404080AF40130CF584B31C7431010BB1E0C708E4617E5C489B5540E21408081C0B';
wwv_flow_imp.g_varchar2_table(17247) := '4113B44168372592A504B88663548606F05E42170427D346E7BAA8E7962CC484400777B07E9FF4BE7814E7A6857FA36E44C028CE0D31EE1A0468C3A8644B5660ABEA90E6E0310E12C5DC9CF5E8C966A1A0439991EE6C6C083C00FAC040187FE3405C33B6';
wwv_flow_imp.g_varchar2_table(17248) := '6E6F9816F7594A809802805A6E80049CA3410CB7408CA999E63807D01FF6C1413F34447339F74794FF339143C47CDA257A40803A278B780DC481B0374124CB81146C0548F9940788055C3750A833E0190B2587AA7A274B41A06341CC777DC7374198346E';
wwv_flow_imp.g_varchar2_table(17249) := '842E286F306D84050823B87F9F16B1B2F909F8B79654F46D5A388313C460DBAA4F1AC42209B610D6F9F6F85C641D52695CD467D51182B551EE7D78CF915E02A0C08B1C5B8B60B1F4666F17EF7698D6F815E6B879CA78394A00FD0D3799AAA55A8A636FD3';
wwv_flow_imp.g_varchar2_table(17250) := '9F7003808F17C4F631F791DF7AA568B5FB89D75785AAB61908826444586D397B07C5FA86D0FA82D5333D399B415351903998DB07AA03403057C64498F425EFF9E6E60608E3C50AC0066E7CFB45E766EF78326D7CF0B7FF72CBD0AA3E79DCEFD0FF6C084C';
wwv_flow_imp.g_varchar2_table(17251) := 'B4C0B4322E6B3606A0B9C8C6B08CA2A65F8D8CD0F1A48713EB9D332D031800071887B2F5D8181BC44F18F540C0F8C31F354438FC637E6D4A88298E1BC4062871ADE3BAC7D3655DEA0341C48DC11AACFB010596034EE0ED849773A47A3F399943BBDF081E';
wwv_flow_imp.g_varchar2_table(17252) := '47A277FF51406B3F8066B7B648094404B47665F075445F7206147D086480D003368523B8A4732C5D4074C9063A64C7F0EB4AB85F49B48B9EC0C1B4B21C4D8A57F4B5632792EB0E923BE10945F5AC0CAF8E57088CB50F440BEC008CF0148B758559E6B6FF';
wwv_flow_imp.g_varchar2_table(17253) := '9DE9596607087C87339F6D76740576D07D598E140764FC8D1B44C77F3C4618B9E203C07C8AFC54C5CD796B9BCC3BFBFF7DF9055FFFB0BF39EA975B37B387688038B9E62F6A635CC9BF308063600089AFFECF27466BFB0BBE034006C8FEEC67C0D1D337AA';
wwv_flow_imp.g_varchar2_table(17254) := 'EE39852723AA0EB67FD7B9C7BADAC94204EE703D2D0ACCEF4FF6E64D1ACC0040CF7FBD1C0D3F4154914A8BF6C61404CDFE35BFC006D0090402008001E038DD0F84753C354568AFD842849762338F65330054C78EDD84F55D21CE67C003E0FC40E078E237';
wwv_flow_imp.g_varchar2_table(17255) := '7E45303E400010389060418307112654B89061C384F9F2F113E80700880A1D2A00C0D8A122808C1E1B72E468B0C3C80A12260814B9B2A4C6922F35321CB97120C78B1F55C604F0E0C1C007187E3210C8A0674F0D0C3400D0A0A127C1A40032207C3AF0C4';
wwv_flow_imp.g_varchar2_table(17256) := '8A130369085CA195FFE0890D55018400F0756CC31A286A084481B06A88156E01A0585123AD0E813C06E2780B80A8400D1BC456BD0A60ABC1B4027100D0D14320938169D70E2CBCE1ED86A91112304000200100183700A430C8C1030700A4250C149DA245';
wwv_flow_imp.g_varchar2_table(17257) := '0B1B006CC486AD62076C823F06DE68A1BBA004D30028347D402138850C3D334078B0C1C01D00F2EADDBBE7907A75EBD7B15397989D7B77EFDF2142E437BDE0C8982C618A3CBFBEC388F6EF5D623CB8927D7DF3EA5B9A57D932A7479A1E21906029BF1E48';
wwv_flow_imp.g_varchar2_table(17258) := 'AA40A50A6CCAA9813618E82F0D3248AA4181260C6142ADD63AEC3100E85AC1C3152243018512D62AE1B0B4E81288AE1A706011071D124B0C31181F430B001C5EFF348807BB04D281C7A49EA28C20115160810583ECD2012F817A58B24716443C72ADC816';
wwv_flow_imp.g_varchar2_table(17259) := '8C208207300340841462104DA0143C1868020F3C48C14C005C73EDB5DA802882A021DC14C80620604BC104834AF30D80D206A280030A2E14C84F0A04DAECB97AF0C1E7BB45196D94BA7C1C8D54D245F799288194084A09530026E894534D41EDD4535127';
wwv_flow_imp.g_varchar2_table(17260) := 'C049D4834225F553524FD594D35535CDA8D55711EA0C00026E25005782760520005D0F22E0805C6FCD15575D7135000003943540A884300020DA08BEB392DA6BADD420026DB955CA4AA5941A50C2B02CB43003CB84D28C816609C2F6407035A060DCB1CA';
wwv_flow_imp.g_varchar2_table(17261) := '8D8A296DAF652002A2D635E08063070AA0589E1EFF80C060830140183809FCDC93CC3D43B3D3843BF7DC20359E12E0C920433B4B00018F3F464064651160D6E465012899A0E8C89BD4E597618E59E646F7A90780670078638D350058238E46809623E8A1';
wwv_flow_imp.g_varchar2_table(17262) := '852EBA11A391065A69A18F3E7A67390049DAE8A601A1BAE9A4AFFEB9E9AD858E238EAEE5F8DA0C33082A0321B301403BEDB20552BBEDB4CD2EC30DB9D39E1B6E3BD0581B003B9C73AE0F009CFBEE8EC103071C0037BCEBFB703F18677C6EB4E35E1B71C4';
wwv_flow_imp.g_varchar2_table(17263) := 'DF405CA0370CBA03F3C9DF901BF23BFC28E30E37E020FD0E2EDC38BD8C32F206A0F581E00020F689E080C38FD8FD6824934A22B97DF681F24683F5E1BF28DEF8E3DB661DEED55D975B78C457FF475C1E7A105574E6EBB1CF5E7B9721DAA75279E699879E';
wwv_flow_imp.g_varchar2_table(17264) := 'F1D711689D75E8399F1E00D25FBFFCF3E18F1F80F8CF377FFE7300C03FFE78E4A77F1DFEE537BFF9D5AF7C0329A00005F83FFD992F7D0080C773D8373E094A10820B914742D65710795C7020D3BBA0079FB3410FDE431EF798E00925E8417AA87083210C';
wwv_flow_imp.g_varchar2_table(17265) := 'E1F4D80742F6CDD020226CE10B5BE80E78C0E383291CDFF47EB8421B7E508433CCE04144E88E0F3EF08102E1A10825188FF149511E52942200AE88C5E7C46387EBD8E10EE381C52AC6838C65ACE2734EE841F0A53186240CA209D7D70EEA256A7B75B4E3';
wwv_flow_imp.g_varchar2_table(17266) := '1DF1A810EFC1B17DEC43DFFA50488F30969190852CA4161139903262918C5A3CFF242307F93F4986118BFF1B24241DF93F81105220F4E021046D28100E127188A31465074B5941073A90890569620755691D0E262494B3A4250E8B58448250F08408B125';
wwv_flow_imp.g_varchar2_table(17267) := '2A5B18CA588A32980369653CCEC845656E7099C874E605BB88C04D26538CCFBCE42091B9C215D6F097F2E0A109EB119D3C8E939CE59C193FF8119E70AE937AD4D3473DDE09CF7AE4031FD54BD43D09320F6C1A92918E34E43FCBA8CF6BC6631E08016822';
wwv_flow_imp.g_varchar2_table(17268) := 'C318CE0C7E1094681CE5117769104006727C46A428102748C2533294A30DEDA874401A52E9788FA425DD877480094193CA631F1B94E03DD61953995294A6288CE004C3A98F7B840700F968193EEC610F8304159F8AA2A340FF829A54A502E09E4D75EA53';
wwv_flow_imp.g_varchar2_table(17269) := '9D4A10948AF4A455850848CD99D5856C47AB5D3D4878E82952F220AA7A64BD6774A02A10EB01603B3683A9CDC8483D7B48277CE10B695DC307807BAC752074C5EB3C505A5000D8F51E7F05C03AF5410FB1A254AF0B59AC58651A5285522FA622D50700BE';
wwv_flow_imp.g_varchar2_table(17270) := '979D5F0EC4A48F35E129315B29F27CB0A5DE5BDF0515EB59C9D683B23275ED6B5DDB54E980753A50C5675FC9D354A61E55ADB6F5AD53ED890FAC86542021E5A938BD9A5C817055B95EE52958A11B5DE94E17ACE844276D174B5DED6E97BBD145A7404C1A';
wwv_flow_imp.g_varchar2_table(17271) := '5E92EA83BCE535EF79CF4B10F4AE97BDFAE80778311BDAF8568ABEF38DEF7D0B225EFD7A4FAFC4254F78010BFF54A12A95C003068081ED21117E2498C10B767083197CE0A02E385157DDA94FF72AE0A7F6B65251ED2D1D7F1B62DB4AC7B61F166E6D9B9B';
wwv_flow_imp.g_varchar2_table(17272) := '5CE6A638B9D5EDEE8BC5735DEC8A15C635B63179C1BBDF920AA4BDEDE5B13EA66B5E74F683C8FDB02E3A2F9B9D4A31D5C610193148E76A8F7D10F8AF552E70810972652D5FB9C2B475B26F07A2DBA88A98CC21562D645BC66235AF799C4496C87B091291';
wwv_flow_imp.g_varchar2_table(17273) := 'E716E4C8D63DC8777BDA643DEF19220281719EF9ACDD3A0FFABAFC28735389EA5BEE9A17AC5B9EF0910722E37446E4BA809E6E3A154C683B6F07CE453632A4B783678364FABB5CC573A8976B634B7717A6C565F3AB61BDBDF5B9A31D3A04403B06526B77';
wwv_flow_imp.g_varchar2_table(17274) := 'FFEC9AD6BCF6F5AFDD219060B743D7C2BE35B1918DEC81F81A00C00EB6B39BBD6B84FCBA20BC8E36B3717D6D694B9B20D95EF6B3AD2D106F77FB20DE0E76B5B77DEB66AF7BD8EB7677B6CF2DEE711384D7F0B075AE95FD6B62E3B298AF3C36B0F71D6F70';
wwv_flow_imp.g_varchar2_table(17275) := '3F9BDDD436E62A1F086C613B9BD9D62638B30D92EC645747D9DDAEB53C2015EBAE665CE377A4871C1552D38AEEB2970329794146DEF13B5AB38A2D67F9CB5DCED0EBC0FC998CEA65066D7A104032848218ECB94328CA289BD183E32A37FAD1B9938F59FE';
wwv_flow_imp.g_varchar2_table(17276) := '83E94D673AD2A1AE5522C3CCE94F9754D3A30E67B6461D8F45E73ACC20F5C015BBACC85F373B43C68EBDA99F1D219E76BBD623DD69B6CF9DFFEB61DFBACCCA4E77BDB3F51FDBF334DDE14E90BF5B70EFD7F37AE117258F60A7DD3B6B7FBBE3030F80C7BB';
wwv_flow_imp.g_varchar2_table(17277) := '1DF1DAB33A429C4E90CB376AF06F6F7BE46136F8EC4C1EF29D07BD3C8C5C79D5ABD99B770F7DDE57CF75C6CF0CF4AFA6BCE06B5F9DCDC69EF7E66C7DEE05D2F7BE1F24F30579BAF001307C83549DF9CD8F19D6B3037D85141F8FA407BE1D994FF6EBE31E';
wwv_flow_imp.g_varchar2_table(17278) := 'F60511FD4022BF8F7F883FF924157EDF970C0F7A28BFF7DED9CEE1DBAF9D55CE5EF2DDBF738CEF51E4F1F023F5FDB8473AFF4FB9E00CFE16E2FB0EC200E3AFB960CA1EE6E1A4E8C9D1ECC1A9A66C02A5AC022770CAD84AA8764B208C2C02998EFC44A91F';
wwv_flow_imp.g_varchar2_table(17279) := '0830011D82FE48B021C44E21FF443022B6AFFE38B0D308B00563E6BD6850EBF881FD7AEA007B6AC598ABCF628C04EDAFABFA61C9C2EBBE8810BE0CA2BEBAC3CD9EEEBDE4C1044F5021A0300A7D2905892FF9C06FC996AF1C0080192028FF0622C904E21A';
wwv_flow_imp.g_varchar2_table(17280) := 'D4A11B00201CD06EB906AD3B320E52F2211CC463078D4C1ECA011FC603528C0C52D209EE024FD4248F0A1150EA9E230C04620EB2600E00600E2E0011C3401119B1100F7111B3801007C211054212016011C3201211310B0642173EED1FB6E309A9103BA6';
wwv_flow_imp.g_varchar2_table(17281) := 'B014094222AC7021D821C9866FEAA6830B86030D7006F500E00F6E466F4C230038C0105410D3D229D2148CADEC8C18B943F9A6031ED040F95221212842206E010022010DFF05821828A21F68E10DC2411CCA261BD84A068F2E10BB4A1D04402006A01CCB';
wwv_flow_imp.g_varchar2_table(17282) := '7100004000CA5120D8711DDD7120DA111DD1111EDD111DCF311DDB710E82EAF2506F0451F1CE0252FE56110BB78E1A018017D647FC9AB0B1A4716D28E081D84109D4A60A6A231DBAF00FC18FE73AE9E776CAF510C2667C512068611A04C21B090211E0C0';
wwv_flow_imp.g_varchar2_table(17283) := '1D76474B00801BC5012505C2130602140000124CD2E43C811952411C18817D5281196C12FC860F07CDCECDD48103BBEA1FDE2B2901401DCFF11C9FD21DA5D2200AC051DA8001D9EF1F07B204FDAC2B1962F10C420405A20F5A01002C211CBCA728FB6E3A';
wwv_flow_imp.g_varchar2_table(17284) := 'CA0001282013AEE10F6F2106400101860F34CC41203281A9FF10E21405821DD4811DE8C104D7271206221A0DE2165201D7D801190A82265F120B3301316941209E211A044233ABC115B2C10B3DE11FA871188C4FFACE8EB9BC300023053015027F14401D';
wwv_flow_imp.g_varchar2_table(17285) := '054001E25100AEB21D0B80360BE036AFF229DB5120AEF23701E037813337839320F0611EE0EE8200122C978B395130F55271080B0215DE61CA8C12009400005C413B45E92D610000AC316FDEC01C36C31C722F1F92D2296F4D3DCD413D836D2F97D36610';
wwv_flow_imp.g_varchar2_table(17286) := '531A2F1300E6920B2E732831C715CAC016DE662E89B1EF7E728614B32F65320707821B012013FAE1FC36EFEBB82AD8888134514DF2DE0C416930F8945223238DCEF8AE3AD441366173377D7338495436FF65D31CA7B24487131E89730048B41CEB013909';
wwv_flow_imp.g_varchar2_table(17287) := '82149DF346B943F18C51F004421C3EA1167CA118D8410939B0656C650308A50A04C2100CA132CDE13772E61BC7921E301200FC93200E9424B3411D9272ED0E22CD686118B65333B7331B2EC810069411706618BC1000A6A13E5D473309421CC2E132FB12';
wwv_flow_imp.g_varchar2_table(17288) := '00F6F20EC4613B23810B5F47EF86CC81A2810BABB143ADF482DECB6606A24D01801DA2813CDE4B14FB011EC6ED88FE813C4C90AB5E731D0951011C401E0DC201D4B14457740EDA71548B732072331D05A201DA409F38F40997134769B58616EFCD329420';
wwv_flow_imp.g_varchar2_table(17289) := '3E01B494B2EF1A54F35E9043E1EC956A10F738C80B228151F321091C283B99810B20211AFFE1411C89ACEFF041F9E04C1D82CD939C68B93828DEF48A1DB4535CF98F3B25EF81FE815BFF81D6DE6BDE540F0D2FC816EA1323EFC01CA8A71DF88134C5AD1C';
wwv_flow_imp.g_varchar2_table(17290) := 'F2A1EFD4E10DB6F31FC4552040C117D5C11C700600CA21270DF52FF34745CDB1001AA055D571160C220B2EA02014C16207C201C2601648006305C21404220C505520EA218C7EF53982B1563DD46535E8565D7008B5D0176A812096AC096F30E35E319D0A';
wwv_flow_imp.g_varchar2_table(17291) := '33F5EAC1F1EA2FF0DE6B60252F12B8C00B92121932E81992206FCAE181827043E1EC1599D22035D2FFCA155BDF8F03DFAC1E8A110BF94FEBC011E932CE1CF4751E82AD3239087308D60B6F410986C113E4D20BE77320C435D852C11DFF52A10C10131816';
wwv_flow_imp.g_varchar2_table(17292) := '9416AA21F8CAD56107421D27D620CA111113F11202411700007209A20D04826301801300200B28572060017329319F28A9EF78883561F64675B418AD8E1B2D6111006013C0CB57258FE91E8FFF24C284FE6FEA426D6CBDF40F93921B47120086C10AAE01';
wwv_flow_imp.g_varchar2_table(17293) := '5CA5006D74370DB99618314D79D1299CB6E3FFC20922146B18976B0599376C55CF16A440DDFCAC89AEB44701602419E1BD209316A281261FF315F4152571865189E116F7B23917027F20F6121481717D33724D210B60010060210C020100A80100168020';
wwv_flow_imp.g_varchar2_table(17294) := '481600C2200F32F7804B611602F81204E053072265B56E7467B57469F574FDB04A9FC00B00E00C00800AFA8016D6A76AFF8D2CEFF490C8C0100B47B0D3FA411EDA413331C70B08356DAAC16C32C110D48635772A68C1351FA217C3448DAB14B565084D0D';
wwv_flow_imp.g_varchar2_table(17295) := '73177B11AF1945717CED532020732EA301126A1223653215CC8111FAB21DC6C01C70B019499316FE0032DFEB0DDCE13A0B2244CDB11C1D40113F350C04401D49D6014C61733D310C74C11301E0110A220B2C9721F4C94B651583E5F78207F256AB160052';
wwv_flow_imp.g_varchar2_table(17296) := '4109BCC083C7600C00400C04021B72507621056CB9759039B084FACE1DB8111EC4A11DEA411C88B51FD6277ED3331D08951BA9D11BCDC1DF1C361D7E5251058251EFACEFE6B31BEE201BEE0114286130010032C156D3482D6C7777EE1414A20C811B4993';
wwv_flow_imp.g_varchar2_table(17297) := '19E4E116FF5C411C2EC82485211A4C09006E811E0CE14107E21FAE141ED2613E67F51C1C2045E3D12A2F2036D7F15351341F33F17001A09C05A29C1D20823D15005E7354F5497645A96531987403526609772044C739D42616FA011FA6EEBD2241262FC8';
wwv_flow_imp.g_varchar2_table(17298) := 'DBFC3327CB81189EC11DDED7DBA476EADC6160D31300D20198D3A11D04934BD3411ED0F820D4411E6C613EE514211B153267A9191901260F90D24E2D8995B8F2DEEB16C2E1BD5C61701BC22833A14DDB9224ABA1EF6E4133B1B58505222945552180337F';
wwv_flow_imp.g_varchar2_table(17299) := 'CD710050B500A0F2AA5594AAB57AAA15C9579DD09F0939ACD7CD0FEDF375AAC00A3CB80AFA401CC8D298861A1E40418AC3A11C68525FDB545BC1B351FF89010DC5D5EDF4D0BADC8C76DF8CAC1F622070464EB7931A257320CC943C3CA11DAE141BFF0040';
wwv_flow_imp.g_varchar2_table(17300) := '15F3FF88790D558F2D0B623A2EAC1FC289AD522B3A26EDB0483BF9FA0E0F9D70FD1CF2BDF2E19851DA53A93AABAD3A38A3BA51621B55C3E81559D690C51A2C0B3207D321166C523241211710021E04772000371A91C11BC5A1198319D7A2110DF575EBCA';
wwv_flow_imp.g_varchar2_table(17301) := 'EED3266DBA909821225520FCB37714D9269F513B3DC168B3ED1E46523D07020D6DBAD49018D2568F06FF81D23474683532D47097B9F88F292395E9BEABFB5A701D2458AA61342A9FF264B35AABB5DAAA153C5555953763BB0DC82839C1BAB761D69BAE13';
wwv_flow_imp.g_varchar2_table(17302) := '52D84FEBEC2157D94731C7901EB24133FFE921AE1B151A6B198ABB796C5331BB9FABCFAA4322682112282161AD14007E724073915705C215E6D339D401C423A25659DB425B3BF208FB0039AD65A73621DE4B030F426431D6132F80CAAD1C213256CA17E2';
wwv_flow_imp.g_varchar2_table(17303) := '02BAE0803754932D1C83E14114C7922CBBCCC9F981144D39F8E629CD399096730DA510B505939CBBDD7C20D2C1FFD44D226C0614BC101E20451ECC810BFB411CEAA1EFFABA1C322DAC017AD468661F04CB20E2A1EFE2C11E082A1FC2481FE2A11E20FDC0';
wwv_flow_imp.g_varchar2_table(17304) := '1465D24D5BA8A6EC9204A201E58B91884C0B5936CC0919C3FF32B0F3EC0541AFBB232DE30295B5977C688F79ECEA7CF478D41CE0742C3774C88191D51BCF34AF63652D140B910F07FFDD6BEAC86B1F2E6B3AE86BFC9C6EF29ACE982188B703B26B615615';
wwv_flow_imp.g_varchar2_table(17305) := '4F7AEBFA0ED3A62EDC5BFCB2FF7AC85C9BD3C0AF6CBDAFDD83FA3AFF8ED48CBD8EBCD4B5DBBDE9F26EA1EB8F1FF8AB41F9DBF36A30BF41F239A0F39F19BD2196973B2EBBCEDADDDD614635753BF2AE16CE1A5D20EBBD3AF0BD9B8195F4DE1B5727EF0F6F';
wwv_flow_imp.g_varchar2_table(17306) := '0F892A3CE39D73F7E0FDE23F9E98B90FE267A6F932AFEC7ADD3A54DEC237DEB4B1CEAB1FEFE15DFB986F8FDFFB99DB51B1E66FF4E6B5A3E18DD9E8B10FE69BEFBD663EC64DBE518A2FE0EDFB3B9A7CB7A33EEBA11EE935CD3AAC4FE997D0FE641E3B6CD0';
wwv_flow_imp.g_varchar2_table(17307) := 'BA751DEC79CFE15F26ED70775290BC701114E1E3BE56EF3CE3ABCE51FF987E20AF5EEBF93EC5F2815B5909E112A295085FF00BFFF00D3FF1117FF115BFF119FFF11D5FF00FAE895AE9B8231FF231FFF2359FF1CB095CB3638708A2F06186F313C2F3C55A';
wwv_flow_imp.g_varchar2_table(17308) := 'E8C39AE1547FF5593FDC1C82E1B4A7F50DAEE1649FDBF288DA6A3FF775DFE0BE4DF5B997DEA2EDDA0A42D776BFF6DD0DDFDC55DC822D68879C90899EF7BE6C076D0BCA0722A89A0BC6EBE8CCC4CA20B45FA4C8295148ECC46AACFBC97FFB8BABFCC33FFC';
wwv_flow_imp.g_varchar2_table(17309) := '810BCE5F86FD1962A72EACEF51F1AA5076B022BDFAA9DF8E600BB6CE9FB100A29EC081040BD603902FA1C2850C1B2A1C0820220083102712B44891A2C38DF9247AFC08F2233E7C21310A8C784F5FCA952AEFB97CFFF9B2A4CC9912EF7DB43913E64B92F6';
wwv_flow_imp.g_varchar2_table(17310) := '00F4FCE9D3E7C8A1448B1A0D0AD49ED1A13A9B3ABD9790A6D4A954AB5ABD8A1500BFAC5CBB7AFD1A32AA477B3D3F920D698FA3DAB56AA5C2E40800264A9C1ED9DAFD2A372E5D9076177A1DE9F625BFC1840B1BDEFA34B1E298F706DA6C4A74AFC7A5440F';
wwv_flow_imp.g_varchar2_table(17311) := '5BBE8CF930D6AD603B7BFE0C3AB4E8D153A302F659362852B2AC530F164B15F668D9753B92BEDD79F1D39130F7DDF30DFCF760AD9C336B46C8F0A36DAB3ABB1A7F0E3D33EEE9D4AB23B48E9D34EC91073DCEFB0E3EFC3C897D1B46F44BBEEA53E4E5DBBB';
wwv_flow_imp.g_varchar2_table(17312) := '379F3DA4EEC444EBD1BB77FF3E54879743F2437F5E720839655B81F9B894DE7511E9C36083C35DB7FF1C5FB6E1C3D9422421541871C6D5A6107B11D2165F88D8452862895889750F3E07D5630F8BF680D75A8CFDCCD88F61F9FC57187A0A0DF7DA8D203D';
wwv_flow_imp.g_varchar2_table(17313) := '18968054D14864911E1589648D1B46B7159075FD38E34C34721660800B61964F830CBAA4A53E3D0EA64F924402D08F44349A4998920736756386C89D475C9B5B69A9E43E76EEF36571FF25C4CF8C7CEE49D872847934A89B111916E7871DF2431788263E';
wwv_flow_imp.g_varchar2_table(17314) := '7A1595904E1ADB72F4E4430F3D1191255EA7F30894A9449A9E87133DF574881C7EA10EA4949CC3D99769ACB2CE0AEBACB6DE8A2B3DF2E4CA6BAFBEDE87E87C8ACD5490AE9ACA0312B2BBCA631F00BB0AF4528398662A4FB5D53A5B6DA650C174FF6A99FF';
wwv_flow_imp.g_varchar2_table(17315) := 'F4196843AA42DB54B3B09ED4603DF3E88A6DB52D521BEB40990A848FA9F9D4F32C5111D50BC03CF90CE5AF98F8F4A4A2B60D11D6583F1DA14A69C35349EA70C4CA9118C30E3F0070B14736EC0000C71E0370030036807CC30E26032085174A0010C30F4A';
wwv_flow_imp.g_varchar2_table(17316) := '54817244525401C30E235B9C31CC554881B215229B0C34C63B0081F30E4970C10500482FCD34D34A23FD74D24B4704F5D4563FFDB4174967ADB4D65C780D36D25E235D86446F00E0C61B6FA46DB61B11B981C6DA6FC7EDB6DC70DF2DD1DD712BADB4CF52';
wwv_flow_imp.g_varchar2_table(17317) := '4BADB51756249DC40F161B410411471C014012472461C411464C4EB91111596E720F20F760B4175E00B072153B7F5485CF154BF4FFC30D4400B0F3D73EAFAC4412118D213B1146FC2084E63DFC20F8E75EA46CC5EF0010B1B31555109104CC127D51C618';
wwv_flow_imp.g_varchar2_table(17318) := '5F00F0051AC68F81061ACB97617DF50064EFBCCF44ECA0C4CCE22B9F740FB74CC4B0C4EA13BA7EFB6F7617110101CC4F7F001119E011FEFA034000FFFB53B0030FF44F26FD3300010C600004F08F000C6420000C38C08FE0EF7E004800C862D082186050';
wwv_flow_imp.g_varchar2_table(17319) := '8319DC200032D8820F462406212BE10D4A48C213AA70853118590C2412B214922C85343CA10C65F802130040873060D90B35F8911E7205064484C10B8A08831814D1043030811399F8821C72007FFD4340021E20910744E0010CE06204BE084600448001';
wwv_flow_imp.g_varchar2_table(17320) := '00985F190380C007FF1A2000F2F388FDDC68C69920D00011D8C00634A0010620608F083CC001D488BF3F4E507FF863E30029E01114ECD0048A1441443CB0010E4880031ED8E1229FA843485280028454E01E2582002C92C751EE9318894AF9A8A8B0CB23';
wwv_flow_imp.g_varchar2_table(17321) := '56ACA02B2D08CB57BA5294578C0807BE47010B4A4497B781804780109122000098C014263187B9BA1F242E7100B09C11804004684A339AAB5B5D4498B9CC6C5A259AD71CDEF0A429116A02D39B44B898392302841FFCE098E944E73023E2318E750C6823';
wwv_flow_imp.g_varchar2_table(17322) := 'B3C1C644668314F812000A04C006FC09507F6A402611A0A0020B0A927EEE110183DC652BC998000526200111A0A8085050031AD00000038D084225F251900280FF8B5624230028208217C8A0072B542110A3B8C81E5ACC23F2BC41261F204A2C62719F12';
wwv_flow_imp.g_varchar2_table(17323) := '3A252A2905B19F424A2CC82A5B49781991585E319623D5A532739940054615A95649C00499FA11208C2CABC3048257BF3ACEAE0C2D2BE73CA744C27AD6771EB36386331C3C3F56568CA1CE62F2E4D8563F66B216C82084F6B4815E3DA04B2B6E20042188';
wwv_flow_imp.g_varchar2_table(17324) := 'C840F188C7886000008B5D2C00FC883F324600030C302919FBC9BFCCFAAF820A64005513404606FC5322271063180B8A5A313220B5630480672382450EB080882F00406D2552DBDBEA70871BABA7C824F242135412B6141D694410F98037B247A8CC6D6E';
wwv_flow_imp.g_varchar2_table(17325) := '7C880A00A38292AAAECCA205755AC1072CD504C2FF0C6C520D60D5ABF0B27F58FDA50AE47956B0AA172426CB9839F1DAB177768C68EC7CE7D0EE4B34FC0ED364F41D6B5BEFFB5E754A04BE78055A096148B29BD96CC1F7A4670BFADAD75DF2330114286C';
wwv_flow_imp.g_varchar2_table(17326) := '444280588E62000387DDF0474C3A5906505622097CE001491CC1A4B612965B2C280D6A00001A9C008C5F8CC86ABFB85AD322008C3BDEB1710120022846318739D4A11301E001454624641DEBED0E6E10C22CC2568CC7E5E9287DEA5C115528CB258A0ABE';
wwv_flow_imp.g_varchar2_table(17327) := 'A2EBD0888AD9955694E88FB1BB547F6A559415248054AB6B9514CB24842AF8A57AEF0C4DF982849DF79D6F3A0D87568C1113BD190326C78ED95E752A7AD18B1EB0C72E06B493A52005304881FF09289D8218A40000946E41C9D0FBDB9F6DCC6610CEA776';
wwv_flow_imp.g_varchar2_table(17328) := '394B81C11616B11DD6C08639ECE103907182187840AD494C41061A508D11CD6E71974AD10768E09F1B054069A9AC5A898078C79595AC6B75F94F0FB0C0B62039F2B4910C002146A4D49C6EC16EADCCE6929092CBD9092AB94554D488ECB1D7662E7352B3';
wwv_flow_imp.g_varchar2_table(17329) := '4BDCA6BA12911CB32A021340DE924CB0BA16BCEABB678256F5DAC0AB032FB857EDCB55B5CE53AE6F3D38310FDEE40F86B00513F7C8A641E25E45632C63F0DCAF56B7FA5B9053C5B7F504F5B647D64AFCDD31041FD0808515CBD898CBDCC61EB17565F1F7';
wwv_flow_imp.g_varchar2_table(17330) := 'C913EBFCAABE3CF547C2FD91D6A6D6B5AE8D00B30B0ADA7E3EC0CA1219EE2375FF48490E44C40432A8A70C246283BD7EC482AD04004F3710C1F49D3B445BC1F2D8AB83AC7763D693BBBC6E534F7D6A933E80025EE5C044FD676F898080BA707EA066A552';
wwv_flow_imp.g_varchar2_table(17331) := '81408B30BE228C323E433DF0A9ACB724E3D4EA3013AFE73DFF76ACA8E3F8470C3E32B40E9C982AA02F3A7D8B4F918B7CEA13567961591E910FC05C22AA27A3ACFFA85857139D012566A8FE0E48805EEF93A73D8F4806462B910C8C11A1050D6DD173CCEC';
wwv_flow_imp.g_varchar2_table(17332) := '9F0340EAB64432F33DE281A85BF2F2BF8DB270BD5EC1909ED4EF6512FBD9B163EEEF4FE731E92EF3DA2B98C65DBFD2E7707E001147FAC6ABEAD20408F4C06E3F124139CFC4051129344DB41A6882E74D1E617932514C0128FF801A833AFDC7805C050486';
wwv_flow_imp.g_varchar2_table(17333) := 'F78025017ABF54122773795BC54BC0C751AAC75818900112E1580C7000FBA301B6E65838D74F84E46649254A1040013D875C1E516C27B058C31752AB858346377C3B06741F81481E2175D12784D38775225375864701B45450FB8448FBE67DE2471DE107';
wwv_flow_imp.g_varchar2_table(17334) := '85D9F14998D53F5CF0079EB075BE564164E4331B204A98653FAB2301B2030143B03A1624015BA87F34315687A65E1703566A0504C294552627571CB74E520172868715EEF54BF2E4788E17795B857920678153B131C3D56B1EA17A1CC8581FE0581EE147';
wwv_flow_imp.g_varchar2_table(17335) := '26C561A2447B97855908947B569400BE048A27E582278545255002C1F7811E357436A68338985411C0741221FF49CBE74B6BB886D806129B66887E5573BFF6633F786553586EC2581DE851365CE7490C0500AF900C11310AD2D08C20B06FB54400E21011';
wwv_flow_imp.g_varchar2_table(17336) := 'E1B003E61011AFF00F11E10AB81811A3F2409FA43FBAD43FE7F86F215101FC357AF1254FF644787A5680C3B44EEBC44D91B7671C0734092879F80870F63434F088709EF715F694025C27117734138D4573CA66823D28411F118BA30801BEC401258003BE';
wwv_flow_imp.g_varchar2_table(17337) := '876C44E751A1357C7AB483DA37523FF882C7854814107D93F44816D76D37307A58045A482575067036CB458C37098500A26E6C3741B2B00A00200400F006ABA00CB7D0024A2711E1603DE9900ADDB043D9700BB60000A9300FC30000EC100067930DD603';
wwv_flow_imp.g_varchar2_table(17338) := 'FF67E6E811B72811601911B79804493004B2233B8DC3388DE3112B134E0B9870E8D47870C98F588187E84479349556F3159084D819F6F4831684482F17128BD5518F25828A65738B65002645419BE5112779522F08016C2675D796011FE8981EE19139A6';
wwv_flow_imp.g_varchar2_table(17339) := '6E3A584B3E088CC7254952474932B1695767783C555C32F18438191A52089B60618C3BA940045005C9700BCD180500B00700300AB2F00BA0F06F58140E700000C4F08D35690817F28D20110D123140E495003E000057E03300909D12E13357F011351911';
wwv_flow_imp.g_varchar2_table(17340) := 'C8899C00309E1E819C67A387F9984EEB598FECC971ECD94E7BF9198D77577B567076F911E885726CC77AA8571293286BABC791EAE61181D5FF4FB15812D3460399C98A9B697C1EA1833B565CDA95533C254A14F07C00209617171129A0575B58512091A1';
wwv_flow_imp.g_varchar2_table(17341) := 'AF399B9EB16525FA193AC94F36F6005AF80B004009870000AD009CBF800B12A65DFDA3854A638D11910D11010AAE2001FFB00E51160ECB873F48450015C0054A6005A1E396DB690543101149A0045C2994D2853D60B63D6F205DA12668ED29A6F029A6FD';
wwv_flow_imp.g_varchar2_table(17342) := '278002C615097868767557E845797D461589F8564BA64F0B85452F07891EE1588BE5985D3489F783737E4713BA046CC6550298A999AD055296A56C1F855948559921814829098E9C36A80D499A13637628CAA959D63FCCF0A2CC0000A82011AF20AACD28';
wwv_flow_imp.g_varchar2_table(17343) := '014A9700B7200ED64800C460FF08D3F03900100900500911410C00500D11910C5A20011330015F294C3E63062051068050064A6008C52A117F101168F00780900911E1078600076FC0081251096F309EC0644E7549568266A600171263E5576805693643';
wwv_flow_imp.g_varchar2_table(17344) := '882D60330F06A65A7597F108A61E4171E8A7408759989238A0B0E75A79F4019BB96F3AF7A82551500A446C1999997FCA99457774CC665214159A12018A7CB77C2BC9699BC6A12181741F91A16FD2A9B109271FEB19113266D0130DB92A1134BA07CF290B';
wwv_flow_imp.g_varchar2_table(17345) := 'B76001FC6662EA764F0B643F0D0502B075B34896B30050045FB09DC2F40AB72A11B8300AD5E0AC00700BAF300D11610EB7FA0C00F00C4B0B07E5B08DB6309E03674EEA14FF56E08A7164DA4E17338120017297060226E06D8F27111CFA039097785B757F';
wwv_flow_imp.g_varchar2_table(17346) := '0C3715756572229740A2F48878BAA725F10092C8457EB76F2B8A0005947DB5B454217A5000708A11418354B699C7F79148E78A9E855315BB7C4EF71194FA11186BA99B2B0181F951B1A5A9220B1AB229BA2732134B4B0CCD28116930B4F36A5CD815113D';
wwv_flow_imp.g_varchar2_table(17347) := '644057957B1574773009671EE09DAF500DC9E0074E1911950003C8A96DC0690BA2FAA25C4909A20A0F2F8A0CA22A944A9302F0683311E16970DB1976E587D4F760DDBB55C43470863753A42632000800E7559F2667687939AFF5BA6DB6FB49C007891820';
wwv_flow_imp.g_varchar2_table(17348) := '891C08A0B4C758B6D651F82B41E848739D054A5DB87D0080FFB0ACE851CA767C12FA450850594859B9960B911C10AC21616993268B011C12085093245ABA91D2C1232B1346F5A2652009112109866095373AC1B59453B0854B7E3740849AC121810BE6B0';
wwv_flow_imp.g_varchar2_table(17349) := 'A300F00BA3304E4A300A12710BA9900CDFD813D11911CC20C4D4BA0ED19534F5048F0F2690FE0812AB539772388F62C5560A7668FBE54E03B6B5696B492960B9DDF6BE1CE08906D0511F409800A0AF7FCAAFB0758282CA3F9E7462050AB313A6B8D70600';
wwv_flow_imp.g_varchar2_table(17350) := 'A988C08E9B7C8C7A59D47571A3B992185A4961FCC547958E70CCC11F4C15A4CBC8A541C716A45C00C0BA20F10ACFE00A4CA7400F805927836F7F4BA8E065405E690015E0964AF00AA31009397C36AF50FFABC980B2488B06CC70ABDA783E002095B7AA0E';
wwv_flow_imp.g_varchar2_table(17351) := 'C9490CD950AB569079F4A870EB894C677A56555C15551CAFF9B98F1A63782D2044A0367A1E8A411E5A75ED88590FB06A8595A779EA5AB01701B2878998F5779945CEE40C4A1120C81BD9A78EBB5A98C5BFA124116F3B65B604011DDB74E09849BB547CF1';
wwv_flow_imp.g_varchar2_table(17352) := '068C97326E8FFC3002FD17207177CB680B55300512510764101177900D6F30406414861EA1433B10A81E31046BE802120001230001F9060013AC9D2BD3B3CF6305DEA904CF13A566439EE359936FC095CE8A06E3994DD4444E82768F518C4E55BC87505C';
wwv_flow_imp.g_varchar2_table(17353) := '7957115633158F7EA5B9D62BA700066823538F6BEB1136848912C17269ACC600DA98FD94FF47B26750E51CB8CA284B04EA510F7002781C73AEC899976574985A6DF4EC11BEB449B478C14168C8DBF76B1525921E4BD0793D2291DC4F57100BCA1312C030';
wwv_flow_imp.g_varchar2_table(17354) := '45CF7645A0304E56F00086A09DA0900065C0662E503658E4AC5A409E5B47A5A0633CA013116E0900971D3B9A1D1131BD3DA15DAE0239712900029BF6B2C84C801B179F0E3813681AA7E3E45674A5A644C3DA21E1C432D16F2E070084F5111F60BF0FC4AF';
wwv_flow_imp.g_varchar2_table(17355) := '0A3B6BD2C94A55C44F7CF46F1175D78DFA61ADB8A29525A8A124C852078C6E4D8B2EB87B1C609194EB7C1519C012D54F581AD07A5D128E8CDE20B117B014587E900A1191064CE09B7510115450459D050186C0055207335B33ADD856FF05123006FBC4AC';
wwv_flow_imp.g_varchar2_table(17356) := '125167B658B637AB43EE3B510FFE6E5CE70123D379866679A4B65B12E001C1FA7C1010AC1E1E112A30A61C679090271540D07925D102553C7A2047DB8477574403A64F0C122154C125113226607EA947589048D58EC966B6D66F13748EBB668E5495D153';
wwv_flow_imp.g_varchar2_table(17357) := '566C20E16C03CAE4824AB19D1B11A3E8759BF4D6823CA9953B8BC6F56B4869548BBCDE1F71A2614E13F79076335C06AA000087D00732DA0706D5591674075BE3055CC9057060057FF0037E70362A8D06CF135D71201113D0B924BD8681F940E1F5B715B4';
wwv_flow_imp.g_varchar2_table(17358) := '866B25DB6C0512203E01121C1113CC01224E13F9249FAD0D041500009E1E11376B4D1EA10242E4BECBFC31F43532DB6BFF64AE3B672AFE618874B79028DC1ED698918547938882F133BB0C14B8F8165E74AC8A2081630BFBB86C6752FE966A3B147D701D';
wwv_flow_imp.g_varchar2_table(17359) := 'A9C735E5D8D754CF1E75D1C7019B444BBB64525F7EDE642E11EAEDED7171E6181C5E301007427B9D10603F0A45A0315005212305119004D613323EE34B1E80065B030764D8D91144CEE5D5770977A619737197D6A11EEAC5689A807BE8AD25A1B5B6F811';
wwv_flow_imp.g_varchar2_table(17360) := '2050679DDD021E908082277289084C198BDA3010426B8BE243735E21F7BEC1AC80B9D48879ACC625115AB0676BC2566B975562EA173FFC8354A2BCA22BFA8189ABF28DDA9969ED5A0F8ABFBC54C826E9753B557333C17CCC57929C25ECDCBEA9E1AE1C52';
wwv_flow_imp.g_varchar2_table(17361) := '2F13669EFF3F066DF377D789C1BEDC29BF4B1C004C3E77A009F4ECBB045E1246C7F95712A31E1271F54ED5F4034510F73CFBD35ECBF0A34EC53341D23F56042E608703B6C506F8BE4588B6F2D5973B705E5AA50214CE8BE7DB8E23335CFDF481681CDC30';
wwv_flow_imp.g_varchar2_table(17362) := '978906506B1F804532DF4FFEDB66DFA5505485503C8F6C1FA95AC7DE6C1F21CF3F789AA3C9842FF859D1CE532A0952841AA25C0AE6E13EE6547F13E39EF3054AA81325CA11F549D355A0520704212D55FE9EA42B4641F8867FAFD486162B97F208B7C454';
wwv_flow_imp.g_varchar2_table(17363) := '4E8923F76BC5F632F1D3B2FDE806BD863CC57F235F84783871F154BE9D67E28CD78EA6EEF19506022F241119244A8D1902934FD54E2E110305101800FF00606000C14000040C282480F020428709003C049001E2C5810C2244D0888023C78B0C06267800';
wwv_flow_imp.g_varchar2_table(17364) := '91C345080F2060C498802205003011967499200249846506E6E3C9D2E74FA041850E255AB4283FA349952E65DA14E23D790E811A0060802AD58108B04A9408C02542082D80542590A061D59A5DBB02958875E44F15088100F93170EC580040760C8C3BB0';
wwv_flow_imp.g_varchar2_table(17365) := 'C5400B36F202208257AE4F1B7BEB22FC51D7C34F090841147101A0C5E514202C1B8628D8AEE7817B6DD800F217060013294C8048F1578568003040B448111BC0688C7F6F787DA84103C210103F403C00B1E4C88208174E2CDB1001D78910D7563C013143';
wwv_flow_imp.g_varchar2_table(17366) := '04841A3572F4481081C88CDF3D4EE7E0FFA13C0599008E134D1FB3FDC4E3C7D1ECECE9D4FE7DFC4B91E6E7DFDFFFD3A846720B22B70C48A0C0AC0C7C6BA4E7104AA1AD85162A0B0108A643C9C203931A6BB1BBF22242B0C7309A60A0222EEA50A81FF04A';
wwv_flow_imp.g_varchar2_table(17367) := '91B38172180280122FAA2C2F206C481180C58612ECB5BBFEB2CCAFBF6A141234845A80A105104E136ABD0F82F3C92DDF1E10A82A042892AEC12A2F5AEBA1074E2881A58F34CA48248EC043E826068E932944B04A5AE9222B9FB312210EDE8C0EBB811E38';
wwv_flow_imp.g_varchar2_table(17368) := '0B009EF2F9EF4F40031574D041A14A6A408432F48AC12ABFBA0D02AD14F2EAAC0940E86A820A3CA8A0020040D0CCA73D597A8CC5138120622F00D804608293D8E470202250C40888FFC806EA00A12262F540330F661C0C00157EE80BA11D3AA48BD8D06C';
wwv_flow_imp.g_varchar2_table(17369) := '0816D5D0F402A0D8C486154C35D440300186DA7C44C833B73640A8499F8A534F030CA474C8CA8606DCD2428432B00822ECC2C4B33B8FEACD68A09BD66349263B13AD69413ADFCB88DDF9F8AC8F50841306603F851B16D4D0ACE6245051B4AEA2EA404717';
wwv_flow_imp.g_varchar2_table(17370) := '6DF0871D2ABC2AA12A0F1A51220F24F000260A20904060441305A0D65FF3BA912EC3684BE1E6DA00B040080B949A39C55765746188B18C30C2051D92FC692CDC4013D244D29E050DB71FF9627620C180780DEB98A9DE0DA3DF00188EA5E406D2A0A4070A';
wwv_flow_imp.g_varchar2_table(17371) := '0A7941051178200191E07E8E01972278C8A22FC9C613BBEE3A1AD3EEFF9B207A4C8498EA4C59257DD5FB77220B57068003F418C47320020AEED361CC33D77CF3A2FCBC9237B8D56AB02B8A249A73F298C6F22081E926540FBF0422EB0A0217622D315658';
wwv_flow_imp.g_varchar2_table(17372) := '898855F7588F18E208188FC83129DD09E37D77005E1CA8025F9387D105D96000D184224E948B4588B0CF3EAEBF122B8A45D8424C1B801036281F2227C1C309A1B3090AFD20B7D84D746F002228A9041C7018A8BA8130401D75783D6072918388091E0780';
wwv_flow_imp.g_varchar2_table(17373) := '37A1CC5B0891497C5E579E9394E771FD4A8F5B2EC7390C32653F9ECB60073D681C0486AA3F0108C040024000140E440206AC8D090C881A0FBCD0411EC899077A968209E48C252E448D0179F8431F1AF0530879CCFF6A8C6802096C2089B552D56A54A514';
wwv_flow_imp.g_varchar2_table(17374) := '935DE4894B910007F654C2037C0C210710974F4858C2FC1C40241998124BBE080012A2118C683CCB9E0EF280B7C12F21730C9508E1141DAF58052354414000E0401F0E7E509083242453BA81103F0020917E80032317A9C846365291900C4A2201100900';
wwv_flow_imp.g_varchar2_table(17375) := 'C041939BE464263DF9C74D7E5293931CC81F0060CA3FC42195A604802100D08881C0F29203C1642422D1084C368212B28C25255E394B4C02F392B6A4E5308359CB60C6419580884425605909881C1397B71C48253069CD57660297C0ACA530BBF9CD5C7E';
wwv_flow_imp.g_varchar2_table(17376) := '7396DB2467385F99CB5F42C40F9674252430B2CE8120829417E1032831F20744FC019FFA94A72BE5FF294F47B8D39D00700400FE89088416429185F003420DEA5084EE73209604002310F2073FB05291189D274B5C79CF7C9E329FAE344438EE718F0B16';
wwv_flow_imp.g_varchar2_table(17377) := '52A52B65E94FFAF1D27E4004A63145C84C01F00F97D2F422FFE0694F7D8A5384F8B4292F5D0A5013A6537DE8A3A62D150A51312254A10EE4A73CBDA951A77A55AAEE1400FBD8294E896A54A602E01E800C6B59CD9A417AD00361F0888A3CDCEA5600C075';
wwv_flow_imp.g_varchar2_table(17378) := '206D9DEB45E2110F00A835AD7BE52B5F01308F79D443B08325EC60FBBA5700E0351E87652C63F32A57C8C6C3AD92856B8030220F7AB835AD8535AC5AF31A14CB5EF6AD72C5885EF3BAD7C5DE151EAB65ED40E00180D7B235B60070476B59C25AFFDCC256';
wwv_flow_imp.g_varchar2_table(17379) := 'B708A16B5C2D1B5AD9B2B6B6F07047718D3B5CDCCA561EC97DAB6CE33A10C95276B5CB9DEB6C5FCBDBB82617B751B9473FFA14C8B38657BC823A98A0EC510F7BE063209C656F61E7610FC0A6F7BCF6A06F7DE70B00F90A76BEE8E5AF3DF0FB5FFFEE57C0';
wwv_flow_imp.g_varchar2_table(17380) := 'F500407F0D3CE0FDD6A3B1693DE93DE8E160089BF6C11386F03DF671610C7FB74F0D6E6F63DB4B5804A3B7BE808DAF3DE8318F131378AC03D9873C5AFC6217C7781F149EB082F7CADE02B7B7C027657083B97B527918EAADCFA5EB8FD94B6224CF63BD87';
wwv_flow_imp.g_varchar2_table(17381) := 'FD307B0F3B10946A78BC1864D8943158DE40E143CBEA6D7097BDEC652DDB77CB6326B37A07526634A719CD42497383E901E31763FFF8CD5EE62A44B87A670B6F15C37BE6F33EBC2CD602EB35C27EFE3298D51CE6FA8E99BE8185888BE1EC6847171AA592';
wwv_flow_imp.g_varchar2_table(17382) := 'A674830792D47A2855AC16EEF29EB7FADC466FF5A4F8F52FA9ED4B5F88D878B395AEF4450E86652B37ACCAB1D61C3F78C20F5CE71AD71809F0A97DFD6B60FB9A25A5BE48B07F7DE832F77AD7CBD6F5AE59D26C5CE7A3CFD3A6F69DEB2C946AFB99D06365';
wwv_flow_imp.g_varchar2_table(17383) := 'F5B421A2E13EE97A20D1EED3982F92ED6A3B1BDC29FD769F920A004DF324DBA1B62C57DF8D10449F3AD536AE4794D7FD6F29BB1AD6B42678C17D82E8D42A59E17F556C621D7ED7A6DC55E213C72B50881D0F25FF35C91B07AC60394E628F2B19E399CE31';
wwv_flow_imp.g_varchar2_table(17384) := '81533D6A56737BB4FF6F6D718C65CC623EA37CD3A39E2B57251DE4074725B3995DB95BA13263A0EBDCB1127E2C62C54AE3BDBABCE72BE7796587DCE5A343F8B94447887EF9CB59843CF8E72E6F715A83A2587A2CD6B33A3FED821D9BF507FB89DD06677B';
wwv_flow_imp.g_varchar2_table(17385) := 'DB011066B0BA9DA9FFD80756A38A9FB80325EF45996A50F6CCD3BAD3DDEE83B7FB9FAEED41EF1A0CBC7267FC94F1C18F7F94C315A3480500286FF9CA8F6220AE1808E535DF7950681E14000045E9493F0AD48F82F39FD77CEB2D3F9057BC0200B19FFD4F';
wwv_flow_imp.g_varchar2_table(17386) := '7001805BE01E17B9FF050070F10B5CFCFE17BD1F3E00867F7CE41F1FF700B0050086618BCAA72215AE903E2D10328C61381FFBDBE7FE2D2A8F9158C4C227B600FF46F981610B5AC4C215E2FF7E2A463F90EF03C013A1F00442EAEF0950483F15E2F749E5';
wwv_flow_imp.g_varchar2_table(17387) := '85F17F000C40018C05500805E913BF58D8BF54C88561800600F8BF071C88611040080400F1C33E61283F5BD8400EDCC05C103F5BC80500C8850D4C3F8408050B1C88E683085BC83D154C0AEB130AD9AB3D00A08557683E1BA4051D7C851D543FEBB341F1';
wwv_flow_imp.g_varchar2_table(17388) := 'E33C88E03C22942AFA683C24B432543384048000275C09279480279CC20A19880A9180268C1DE9988E379180119980C808C381F8C209F8C25539C3322C43155843365CC3D9980D0B68011518011570811170013CCC433DC4C335B481DA900014F00014A0';
wwv_flow_imp.g_varchar2_table(17389) := '800D28446FF1161440011F620119420816000014FF781D49142000689FDFA080DF78001648C40D58010DC04400F0164A04802EB2A3365AA371F90D0C2017569C924444811A4844F209C513D88013289FB0610033F90D0D08011DE0011E00001DF8C55F04';
wwv_flow_imp.g_varchar2_table(17390) := '00603C4661249C03128110088E667CC6665C01F6A944DF481F5224C503D0811E30461888011E8881D3F88BCBB881716C0119680172BC81DDD80D19E0011990811B7847798C8114A0477A7CC71490C79BF1A117800125810117F2C7A2780C0FD8804C20AB';
wwv_flow_imp.g_varchar2_table(17391) := '24FC93594B48FEC00702FBA361B9950EE880110000899C485BA1C85BA9C88C44880A809997F189BEA04360190817A8C3B80082CA7001955C490070C9938CC961C98BCA50499A9C0B9654C9B1FFC81518788117000075BC811D08CA1B80011DE8C9A31446';
wwv_flow_imp.g_varchar2_table(17392) := 'A43C8DA41C88176081A77C011C804A1C4001AAFCC981D00116A84A16E84A61D401611C88583CC471C10E0D8880B0994548044B1CF8C9FC0180FC894B1CA801BA0400BA7CC4BBAC01BBAC81FCA98115F04BBD1C88605C821E5802005882254002C424CCC4';
wwv_flow_imp.g_varchar2_table(17393) := '040024E8012410CCAA94C61A60011DC08161CCCCCCDC4BBB84C56184CB15189B81480296204DD2C40FE00180D45C4D1889911F3082D6D41D53018212198B62010023B80BE4298CD7CC249C5A3B86C48F0D0ACEFEB8877FF8A30ED00C1048CE4ED10C8CEC';
wwv_flow_imp.g_varchar2_table(17394) := '1489EC9481F894E51411A0E09421224900A0433AAC438EE40B93ACC39744C993FF049698D44984180215504FF65481EAB14D8CF0C9D378011DC04AA3D4811818C6FCC4CFA41CC6AEFCCFAEB4CAAA8C44598CC447044B022550849045F3514BF6311F6F59';
wwv_flow_imp.g_varchar2_table(17395) := '814E4481A91C0869FC4B69E4CCBAECCC58EC50BBB4CB158844005801CABC081E30CCC20480143D4C16DD4688084CB1CC50BDC4D0174508FDC188C834822430821849021F05001F0D522135CD22F8D12438822348022238822260D22228112825911261D2';
wwv_flow_imp.g_varchar2_table(17396) := 'C6C89EB9B8D2B98815CFD88BBDD08B62D9012E4D35E0244EA7584832758A7C20B038B88811A0C89FF8CEEDFC0910E0940AE8803AAD538418918180538CB0C319A90C381D818A1CD438BDC39234CFE4594FE77911A2210CBDFF8801F93C4AA3ECC748A54F';
wwv_flow_imp.g_varchar2_table(17397) := 'A6BCCFFBCCCC9F04D04784454F8D450E85C50EA550BA9C4B0F45810BED44088DC648D44B05A55058AC51B1A4CBC084D111BD554884882F598147DCCAAF0CC68160CC15654C6044880C9D5584004CBD5CD6BDE44BFDD1CBB14101D22C11D82C52D34C8222';
wwv_flow_imp.g_varchar2_table(17398) := '1D026C4D026D2D5220B55620D55126059E716D52732DD7278D1554D901D9BC0B53A191AA711667C191AB41C833BD0F33BDD7A5F09C3F12D4E8BC15A220549668538B74538EE49411F8148D4408378D539FB043881054891554449DC995549E22209A79AD';
wwv_flow_imp.g_varchar2_table(17399) := '4F8EA54FACB40DB0FC498EE5D8AF14C65E0580471C0811855595ADCABAE44B14D0010ACD1F5115D1BF8CD54FFF55D096CD5559AD559F35D60CBD50120D4C0C8DCBC3D481253851C5DC46240056C8F489BF848863A5D566854BA3ED1F03D000DB19D76B1D';
wwv_flow_imp.g_varchar2_table(17400) := '52209D566C8591D304D2703D57D534DB724DCD6719CA1BB8D297BC4DCA78161020C767918B75C51D8418387D4D8A7CDD5BA270360058D338FDD7886553A6005488584E3E5D5C83358A3B8CC98A04D493544F96A491B198CFB0ECD8FA648961C4CACEFD4C';
wwv_flow_imp.g_varchar2_table(17401) := '0D8588029546520555BDD41FD44508B0844B5BBDD1489CCB178D595C3DD617A54B1AB88863BD505C1D511AA05D1D6082C13CD1C3544C1655D1C80451DA35560B655666B551BF141B8230202685916F9DD681505BB22DD2298508ED55CDD63CDB26C595B0';
wwv_flow_imp.g_varchar2_table(17402) := 'FF1D0819508D16D881A88188DC440818C00B159119815B3CBF358ABE9DDFA070B6E3F409802D5CFE458889A558A199C34FE1C8FD058AC625543EDDCE020E4F8420CF81501E17D80113A8811728D5B904CBD585881B85088FC54C64C54B63B555D6DD600F';
wwv_flow_imp.g_varchar2_table(17403) := 'C6CC1A60CBCBBC4CB884CB944559B16461B17C5663BDDD8B1061BDEC5D11BE081AA0810D3ED1C164022460821D304CC77C1622DEE0BDDCE0E7AD4B1A25D18B08810F480ED8DC566FAD6226DD56B125DB8B085BE0F1561251526C8D9123C05BCFC88CD3A8';
wwv_flow_imp.g_varchar2_table(17404) := '112B058018D8D2B9180CBC78A17A1853FB1D8AE19CE3A3408A7F105C8B24588B84080BE8198E84D3F29C9191344988E80BEA4CE03EFE09C2FF65584706E0C5E50B3AC443F84CC4587C5652AD51158ECF179DCB0A5DD0E52D5561F46088C060FD49E181C0';
wwv_flow_imp.g_varchar2_table(17405) := '4C241E881686085FB550A078599658659FF85D1E10E2A44D4C1E50CC2136C6A47DCB17E6CB18AD4B1AC65D00B85D1AD6081918CD2AF6D6E91D5F12618918A1DE68260225258222804DC2D8E6BA000D1FD90BBCCD4DA1C45BDC6C63D569373B4E6742D907';
wwv_flow_imp.g_varchar2_table(17406) := 'F5CADF3D5DE4EDB48021F08181508211E0948B40C94E39588785083BD5D3E519A282C508E56489E8F409829D4340B6007FDD4E8A05821B300114A8E0A9546561B4D58F0500FACC4AD5B54B16E0CBCAACCA5B7DC41065E1C0C4E08BB0E8D4B55A8E46E113';
wwv_flow_imp.g_varchar2_table(17407) := '6665242E665A4E691ADE50D8FF050AE03DCC13156226804D260002225E829B865A1AB8E1505E811DDEE11A28E6C7C11D2A9ED62ED6626686E669F65E88B0666CCEDE8BA8D281F08016889A58318CA2B40BBD988BBD10CA81E88738D65B756E6BFBB89C3C';
wwv_flow_imp.g_varchar2_table(17408) := 'C6088A7501C155865BF885D14BE0955486906409BE56026A0087FADB068498113E966B5B51E0C1ED638175DC8BF8D46006691D3861BDCCE0B054921566656176D55C7D5DFD49D956565D24465D6086CB4D7ED6AA5CE5651DEA8ECEEC0F8569A2E0015B0E';
wwv_flow_imp.g_varchar2_table(17409) := '0DD94602C56CDAA4CD4AD0555E195D01FE396669646A1A7092BAEDE2D4846A69C6DE698E52293D1EDE218C18B19EAA910B6DBE9AC5C0ECF875EBBFDD09EDFE09C0FD23FFFF8D532B0000BE0680319802140C864600E0F18C8B8A83885E408AF1862E00C8';
wwv_flow_imp.g_varchar2_table(17410) := '010058062DD019FF5D605B514E4E01587CC64E7C8667024768DC8DC4920E4CCB1CE5C9A6E5A64CE51C8EEC64F5E4646589D64D69CB06661185E5241666840056D1160A250E56A4054BE0CD65E2D5ED81600219FE89EA586A8CC0011AC68E17D8D1233DDB';
wwv_flow_imp.g_varchar2_table(17411) := '6FA5DEED1DDB8B885272360A228881D0E0981ECF0BD1A0C7AEA680080280823198EE168AFA7DF268BBA97786E75190858A420849D0BC6030E4B8E04E84A00600188781206C0000876540083D0E6FFD1D082DB8828B80F338DF6F03FE094BC659083F5D13';
wwv_flow_imp.g_varchar2_table(17412) := 'CE60CBF60910C6731B3655B03C615A4E5D4337460B0F6DC0FFACF0B0144C0BD773D6FD68D6BD88D505CBA40DE221F6616164820C0ECC9A7E6DA40E6E0D16E10DC05BEC6589539FE6ACB68B8B280C579FCDC2D8EAD0C091ABBE0813204810B220B67E725E';
wwv_flow_imp.g_varchar2_table(17413) := '87F2FD70E7C446085C4806436885667006D24B065CC072FE3D8781083025C07269203D6AB08273880325E88021D80669181145B615393783A0580388708105FEF68AEC8B57C4505025DDCE844BD945F4FC94ED514EE55BA555765F8195AEE19FC8E19306';
wwv_flow_imp.g_varchar2_table(17414) := 'F15466ED11AD55DF35C66204F81876EDD67EE1150746C4DCE55DE669C1ECF34DB64BE166787E578F18D0517345EE18B1661DC795270D8AE2411EA0100C6689F5DBD0211582897E71037BED7599FFDB5FFF5F5338A5676607805618885670419F20738800';
wwv_flow_imp.g_varchar2_table(17415) := '874AD80640E8F27AAEA665A00632AF806FEFE32D4088A78FFA81D80233A07A00787A4636F0FD756248245D0C4555485C56CBEEF3178ED5AE07755824E118CFCACF76611B0D4B846F70B114D165456ADB8551E045DA15C7884A67F0534E56BDBC65C13FF1';
wwv_flow_imp.g_varchar2_table(17416) := '12174C26E0680FAE0EFDB95DBE0CF594B6CBB9CC1BC211D7D1BC5E9FC0DBAA2E0AA0318CDDE91EA9791621C71636C1F52A3A208A906399AFE39977F29BEAD72A4708E02B065FF804E3F3BD60C005886D1100186F33E80008B8022DC86F2B986F0010F72D';
wwv_flow_imp.g_varchar2_table(17417) := 'C8EFDE676F8C00D882B9057107802F180839AFBFDB8B0334C80185ADF202865316E000BAFFDFF015C81BB027500F6FF4C796461190C6BCB9D52FF9D4ADF4D556F6E04DC4788EE6FB1ADE7088E85DD7C6E060247B80C00100800E163874081C0880450D85';
wwv_flow_imp.g_varchar2_table(17418) := '0397E880C884C7121E03990CD4911140C215091D0E6CA8B046421C28003C00F0030091244592803C02526191220E811001A270A5CA9E006C00D801842700190381C4B8D122864213003C6C50E881C3540054AF82CCA77526D7AE5EBF820D2B762C59AFFC';
wwv_flow_imp.g_varchar2_table(17419) := '06E62BAB762DDBB66EF7E103F02F0E801103EDD21D28EB17805AC5000CFB852B182E2B15148E9050C1EE08BB20268018D8A2828AC3002A4890E0C2EED7C85AB251830340593C00951CC60906E0CDC02187477418D88131C8D82A4038FF1D7872C56E0022';
wwv_flow_imp.g_varchar2_table(17420) := '14AE18C83BA4C185078DA36828624509AE27468AFC8A226172831A15F2B8AE50BBC2E42B1A06A7111CA48EECD94792FFE890FBC7EB3D32F2B00800E37681E36928B40F32BA6E00116018E1924B00D854E04044708520103A81B4835740F964830D3B4038';
wwv_flow_imp.g_varchar2_table(17421) := '10074F51000005537910D6036FFC538F5669B955A28927A298A28A2BB238103F67C9251A679CA9260B00AF00A08A2FBEDC920C5FB2E410D95D9BD9A502002A207964921DB800406C75350616085B00600600C974350E006B6009001A413AC999424F7225';
wwv_flow_imp.g_varchar2_table(17422) := 'C2850EFD36D30A278C07006F6DF2E7D009697E554372C901101D0B00DC796709357007C0792095A45B0D22AD10DC0AF8FF81C4C344E5691427425E059A90A3EF01001144818E351E7F38AC10154B0AC9A410110826782A833CADDA93833BFC00A14E43BD';
wwv_flow_imp.g_varchar2_table(17423) := 'EAE0530375A8100C3080C42B57190220E2562D125B6C5B309268ACB2CBCEF4A23E72D12566957B39E406005E9411092E7C395917942A8C00AE4246825BAE934FCE86186CB501F08595A080B3CC405A6AA990270080030800438C45A670A2BA09B070276C';
wwv_flow_imp.g_varchar2_table(17424) := '40F00921B479D2A17B36145DA8C229F45C578BB639130B279DA41E571AE1D09040357C3790C4F90DA43157D1E170DC4C1AEDE9E64014E9501E133A6034D14CE0EDC7E84C02751CC2403B0488601108A23AEA510782F4C3823FFC209450134AA893AD0AD9';
wwv_flow_imp.g_varchar2_table(17425) := '90020056FF3BD4616E30B4C0350C29A4F075D72D0010190C14DCF10F002332DBB6DB0AC1F8B6DCC5BE38D03F323A9483425258315015035981062EA0C8069B5D162C0642071D446601081638F9B8652081A0B8438A47B6051AA8CD044A228D8C22476BB1';
wwv_flow_imp.g_varchar2_table(17426) := 'AD7BD793933B799B06058FBC26001BAC99A8CF01BF0E92C2270D0C40086CCA1956A22E3BC49FC2246147A8711C752C5C09CC31371DC9048D34F2582CE350020B3ACF3CE97A167DE4514810D7198206071A319081E613CD6057403CFD13842A0001141064';
wwv_flow_imp.g_varchar2_table(17427) := '2B44360C26E0D602085C4B8635FDBD02A005565B0A05E0A036B6CD2D812D8A9B021B78227EC4652EDE5288051A61250070010065C020069530900970FF065C7188C31A0612072D5CA66F74B9C2402AB08638F8A0490060E11A9430422D2C6E0442B2D217';
wwv_flow_imp.g_varchar2_table(17428) := 'A804121F0200850A91A1B4BCD501D41D69022188CAEC0A06BBE73C67894B7CDDC11EC6273ED92938CD0189EBC4D22645D5802113DB587EC4D8B08E35673CCBC31DF4B4739DD97DC779EA91CF7E58109C1AF04008F389C84030C529F4E0406779EACAF84C';
wwv_flow_imp.g_varchar2_table(17429) := 'E590A2194D214F8B1F230762A416D8806CF49B24AF60B0BF06FD4C4253E30AFD78951460AD6D580E1CA55B1848CA538EA56E03C11B672C30042D58410A03D99C42BE604423EDAB124D12E296B684C21CB010005B60A1BE00E083460CE49800F8435D2A37';
wwv_flow_imp.g_varchar2_table(17430) := '4125F840093990A63187E041694A935FFF90EB96BA9C54017FA960022091E2C84435BB264A6F264B6413C0D2599643B9894EFB81DE46A0C7B041E6693C5F3C1E7BB87212319AAC9EC653C8123255D0F808F42B8ACA9348A467049B10086933B1012329FA';
wwv_flow_imp.g_varchar2_table(17431) := '93004AA84233091B086270C981DC0000EA03820A840249494A522129E85A6452C0148520109532154B3F666AD3AF9C854479894D072CF0A4387C21985EF00217EE10072090CE5B43109D42D6A0021F7A309A565A430720E0433904D305A71953B78424A4';
wwv_flow_imp.g_varchar2_table(17432) := '2332EE88971908E290E81074CD24571B989DEE7CC6D6AE2C3176C07399C1A02832B93EA7620070E7F7B8E826EF746552C923494300EB90E1B50C241FF8007082C791ED405637CD29FF81400A8A04002081221979D44001201E9D1D2AB400D000036E5504';
wwv_flow_imp.g_varchar2_table(17433) := '9C106D685D81A40A80D25AC95C0D00BC5AE9D74060B5FB01C004BA758809C6C614486AF427318841D872DBA15C0DE41E2F32E54D9BEB22E742D721F9A087430E83B86D2A0447004845BB5C008219B5A612C7F40120FA36847B29440B7218011001000871';
wwv_flow_imp.g_varchar2_table(17434) := '024E0E7D3B0CE3062224B6F8EBAC5D596B08320012518D4F03E2D35DED08163145116C05081B88A8ECEABAFB44CCAFBEF3D81F1FBB27DCE9153AE4D1487034C0589FB1A962266B5909B6B8C54CF5000948C0144130A203FC786C209FA5180D42CB9FD22E';
wwv_flow_imp.g_varchar2_table(17435) := '68275C6150492F1AC0AF0D04C8B6BD5F643C909B5B4D850310700855FF0672E4DC3AD9C9B93A9343E811D3E83697B9589EE974010007C500609B96390CBF28E72FC650C90A902B615207A28461C23799D8CD810F006005B182A488297A920928B00101F7';
wwv_flow_imp.g_varchar2_table(17436) := '577C82D69D800BDD5F06EF759FCF716270D60A45BEBA493C8D1519A4BBF3D73026B48D21C15386AF88BC0A0F24046C2549CA8A3390173464B27BDAE2650782848AD86C50F894318D17C5509C45C0000F10CA4026E410080145A3024C016EEC2B159048C0';
wwv_flow_imp.g_varchar2_table(17437) := '03C092C006243090252F792029A132579AECEC995859945BB629B2B67D53EAB6905D96116705E8CB4DC49CD532600DB73815B364C8390EBEE29C004F2373DF14D1D7AC041E4821433D5A9FF9777C6F7D22F84E60FFB0B7EE7577B11BD9A16C2D32B6B235';
wwv_flow_imp.g_varchar2_table(17438) := 'AF96BE34474C2D909821A465E049E37250109CDF6824E41C034921AB384816985A21255EF9C59AC3E23EDA0C3D6D62D4676F9DA8133FE0C937219B912A34EC99E8DC2A420756B35FA764083C0002140025B3BB0215AB405B43081848B693E5EDAB637D6E';
wwv_flow_imp.g_varchar2_table(17439) := '5D0EB737B1EBD3B2C23BBF643D37D9BB751809A095AB9D010B4FD562D60CF5FB2B714F7809D824B1293A04EF7B8D30580EA63B83FBDB212506C016D9C816DECDF52008B90E5FF3CA9F3D257620D64B351E97B062CCB6D8219FA581A4F3399244AD607CA5';
wwv_flow_imp.g_varchar2_table(17440) := '354087322AA15FF7FA6A9DBC15AE90CD01092CDD2A1E48F6AF5E8F95A6DC8A03198200EF510200A5FF4FBDA657CE3AF18B4FACAD73BDA715401C58BF79187D8304BB5DC10CE2C2E2FCB18A5D36DAE766F651B77C873CE0011A107F04FCFB15F18F13764F';
wwv_flow_imp.g_varchar2_table(17441) := '34670696286000F877AD4E043C703A0FC5738AACB1B02B3173246F3C9E8D4473E08EC4144C09E04E7BD093C4081CC2754716799C6FAC40629D448A59D6CB3C9667791618ADC0729CC0F22CCF5A0100032400D5409243FC0F57608D42DCDBB519197231C5';
wwv_flow_imp.g_varchar2_table(17442) := 'FE58926CB580539880AFE09E86241D05285D86841FD2451B4C699BF129909609212959C6757D934F7D53B7F0944F71D3D73904BC85D9144EC0D97993BF60D7BAA91BBB345FF38D1512955BB849DF683D40040000060C04068C0F064400063C80FF1B8E96';
wwv_flow_imp.g_varchar2_table(17443) := '4214D23A89DAEBF45BFB0518FE3951FED15ADEF9DDFC019EA8A4C9CA1920C8B051CB5C1C5CED5554F00649B4CC1F69801AC6E13C4D9CC7411E0EB4CC7B14547D64207EE88CECD09FF83C000394160018800CCA400B8494000950D9389990049D6CEDCF47';
wwv_flow_imp.g_varchar2_table(17444) := 'DD9BFBF4D84FC44F50A45E6EF0E003640805A4444A48DB4C0C5F11CA0D111AE3B28892683C9F5829E1122AE114961D578DE14C901BD78959D86961F6B5109E75059E415FF8A1440468400498A339B26104945629965680F99E5BFD5958BCD59A54DA5DD1';
wwv_flow_imp.g_varchar2_table(17445) := '55A8C18E164D5609008C9D14964818043CD9497F1C1871C409C9F9C768BD9F3A094C48744C4958C48A9D4743081270108CCF6840FF460E04298E204A2C450BA4626C4945B24900B509D02C3AD2B8ECC026ED800BF09A48BD0A00BC94425C082801E3EF89';
wwv_flow_imp.g_varchar2_table(17446) := '630F12631026A3D6F5A4DB68053E50175D08C9F38DD5514EE3376E9F349209984D9F7EA51DBB9C8B6C2C4E555AA513528EEF895F19BE21F98D62573280197E6504A4442181921C929CF8FC9914C18ECB5822A2B09182FDCE427D9CCB44C56FFC069E781A';
wwv_flow_imp.g_varchar2_table(17447) := 'E4551C5F3204C6F447CA016077884F1B3A4470200C23864A235E20C611CF26A207C84826C628583CAA23483CC008C24048459942245B8734D96E8914D9540849A98F42E4585080C00BF8CA5494A485D4CE592A844D2AC4D4A1054FFE2450E6A6DB08E5B3';
wwv_flow_imp.g_varchar2_table(17448) := 'E99B510227130AE7FFF38561703E5F666406715E46B931A7517E610B31E77216677412677336E77202C00448000274A4434C9D6D4E9D018820039C627802000270E530BA611B96A5190EA3439893702C18624A915BBD9F14D54E546CC07EF2E77E8AC07F';
wwv_flow_imp.g_varchar2_table(17449) := '0268800AA88032D880FE270A40DE0BF089E8F91E3E0EDA14BD4972A40C75384FA4244A3E6268E86D80309EE229D6A60124404A38C5995C08872017FE80CD25F14FEA39084B411900301BB30163F8259D300E44EC01E30FDA28F8698897DCA6D5EDE6B220';
wwv_flow_imp.g_varchar2_table(17450) := '6390B6486F82C208C8104834890B2C6993941900B8C01044A90BE4C0944AE9953AE9BE40293735865D2CE9962EA90A7CE94084E99882A998822957746997EACFFF06A0000788C00698899970409DDA6943225A54D4E9EB844A9C2E665B2E9455A0C03FB1';
wwv_flow_imp.g_varchar2_table(17451) := '800EBC40C86D04A21AC49EA09AA12A1E411C2A0B28E8A931AA1BBD407C606AA69687A0404AA60A8A42BCC7CB7158A2DC09492407AAA140CC80C412DC4041550466BD9AA09847A722C4A00298065000AE2E1DEFF9590D06904C922650C04A8E11C1D0146B';
wwv_flow_imp.g_varchar2_table(17452) := '81D4848144922C4219FEA8E08BEA9CAFD820EEE5060D0E0425D4542811A9DC00E9B6B2483EDC833DAC030074433788433700403898EB40A02B0088C336BCEBBB8203BACEEB40C42BBCE26BB9EA6B37CC2B386CC336280438B82BBEC6EBC0DE6BC11E2CC1';
wwv_flow_imp.g_varchar2_table(17453) := '1A2CBC1AECC21E6CBB02403600C03744ECC47683FFC462ACDB8883BB8A43C77AACBB824438ACC5C682ECC67AECC9766CC98A453898AC5B88ECCBA62B009443CCD2AC578403C50E84C87205BAB62BCCAA6BCA8A03CB722CC89A6BD18683BAAA2BB9B22BB9';
wwv_flow_imp.g_varchar2_table(17454) := '262DCF96ABD242AC43B4EBD42E6DC5CAAC3BDCC36D7AAB906E2DB3E4833DD80300CCC33CD803D9822D00806DD9A6EDDA9AADD9AA2DDB2A44DA96C64094ED3C886DDAE2C372E9EDDEF26DDFFA2D32826D5CD0033DC803B8511D48DCC33DC8C33E2C6EE302';
wwv_flow_imp.g_varchar2_table(17455) := '803C0CC43E000075652D7559AEE20200E66A2EE4CAC33DD083E7666EE866ADE216AEE50E6EE2A26EEAEEC3EAB26EEBAE6EE2EE83E70EEEEC7E2EEA4E6E57A06EECB66EEA0E04E7CAC3EF42AEFF42102EF0FE2E3DD4C3F11AEFF1D643EAA6EEE75E6EE18A';
wwv_flow_imp.g_varchar2_table(17456) := '6EE8D683421CEFDBB2EDD892ADDBBEEDD8A2EDD98E2D3DC403F88AEFE0FEEEE3F62EE1D2EEEC162EF106AFF00EEE40D4434EE166D7A648B7D12F8BE0033E806D3CB0EDDA86EDFF762FDA0A70DA0E70F7D62DF622700273EF4CF86F033BF0034370030F84';
wwv_flow_imp.g_varchar2_table(17457) := '3E3C8B4250703EE8C3E8666EFACE2ED55DEEE82E6ED6322EE39A2FE79670E62E2E0048EE0AAB3009776EE84AAE08AB30E2226ED68285E43A44FBCE040B876EE46AF0E826AEE932EF1013F110B330E3FEEE082B44E202003E286F3D84AD5AA4EDF106CB13';
wwv_flow_imp.g_varchar2_table(17458) := '5BB1F2262F155FF11673F113DFC3888071B7DE2F8A0CE91897123FA4AD02ABF1FFD8463004AFB11A17F0D9B6F11CD3F1DA4EB03E8071FEE62FEF76F115D383EBCE700BBBEE208F700A8F702193307585B0E5DEEE3EFCB123437208CFF0114FB220AB7012';
wwv_flow_imp.g_varchar2_table(17459) := '372E2267720A3F2E2127970ADFC3EA56320F830420A7EE266772B0E4EFF13A713ED48313133000CBB20113F0F456711F8BAE16DBB2F23A041553EF157FF11787B11913F3B6D5F103D332321FF33233730427F0F1262E34D7833E4C331E8731B816F10FC3';
wwv_flow_imp.g_varchar2_table(17460) := '6EEB0632217BF337EF6E287705389373399BF339A3F3207BAEECCE2E248F702887B23D08331853B01EDBF33DE373FE0E043EDCC31EDBEE12FFF312CF4436672E13DBEE3C93483116F342DBD4FF6A6F04E7ADDEDA031A53F4FF445B74336374463B301337';
wwv_flow_imp.g_varchar2_table(17461) := '715C64EE3583EBF266F348FF73EC86B249BFEE499BF410DFAE0DDF03146B3444C78DEA8E724D4B6E3E7BB443E0F44EC7C548CBB341EBB1565C703EF02D4887F1DE3631EA2A74E4E2B0511BB55A2C3543AB45194BB55B00AFF972B0E11A6E69C4433CC883';
wwv_flow_imp.g_varchar2_table(17462) := '5783F5578B755893F5589BB5578B6FF8AA350090355B832F5BC3B55AA7F55CCB75F8A6EF3C986E56EB3507B36F95D1EEED7A35567345FBCE6E5983355B9F75621BF659C7F5589870E172756347765DD3756553F665D3755CDB3202FBF25E77B0F0B26F5E';
wwv_flow_imp.g_varchar2_table(17463) := '7BF66893F6FB82DBE926B41857F56AB3766BBBF66BA7483F2C6F54C3766DAB483DF4C3C6824224640200F476FF6F534225F4B64350026FFBF6409C46729BC6720340243477731777716742240477741F3725000076FFF6755742745337753FB72710CE40';
wwv_flow_imp.g_varchar2_table(17464) := '8082789B7779A3F779AB777A13CE7803007A2B447BBFF77CCB772A8C772678422878C27EDF0B7A65C27F3FB773FFF77E7317778104E1D837793B847BA70883774581A7428447F876FD64790F447F038027F4367AA1D75768B8863B448783F8703B84732F';
wwv_flow_imp.g_varchar2_table(17465) := '378903A16ADB3657D8EF8A93C58E166102289986FC628FD6388A6C00B0E8F88D82040310400000009007F9011C8001183958B8E96F5445AE806693CB5EEBB15E93535B58D4248FF7E89533DD955FDB8E63398FD7F897DB789883F9988B7999FFA2EE99F9';
wwv_flow_imp.g_varchar2_table(17466) := 'FF85B8A7779EE7407C679BBFF9401C390010406DD6F977762801200077E69A58D0B68B03FA5A40AE1FA0399D1B0001E8790278A842D43957D439A2D3F9A377858752BA6D82C4A2BBF99E633A9C83D40D78FA0D0C17480CD7A77FFA57C464ADAC64AAABBA';
wwv_flow_imp.g_varchar2_table(17467) := 'AA2BC406F8D70764647F11A2083C80A5CB39290A630FE87A5060CACB8D85AD00FBCF08BB2EAEE440F0C4B14F0DAC9C3A4FBC4AD32892B3FF8CB33B88B0EAA25AACFAB5637BAA77C584DC800C8C284898C09E888007C8539A907B55081D958D3B0B9CBB43';
wwv_flow_imp.g_varchar2_table(17468) := '64880774484A7067ADEFF90318002D696BA087858AEB3BE632FA400400A46F3A5808790000B990CFC48F373A4848FAC2333AA657BA6D7AC0FFAE507CB542D9FD50FCAEE84AC64FAB570C57A8CB640CF8CA0698A11962001A66807FA19C10F08009704006';
wwv_flow_imp.g_varchar2_table(17469) := '04234A64E403A0400FF080CD83944C324B482585586C52897C7CD00BFDD00B7D89A4D440043D2F26A4195E883CCDA6555040A1CF2628C169BB57B98DD3BB012000A5D3396B68ADBE83BD550FC4083ABC01203C599CFDD9277CC0D3B9C13B44A31380871A';
wwv_flow_imp.g_varchar2_table(17470) := '7C9D1B39DD9B22773645C6CB56B30619C7DBA0C63B44D187FAC72BC44CFA0A0290E540ACF9D4A15C6EBCC07F9AC07F5ECCA0F6110FF03C5370665168BE8ABC14679E3AB183FECF3BC4E7937EB59708A9A37EEAA73E00DC800D90BAC8DFCFB8C35F83FAD7';
wwv_flow_imp.g_varchar2_table(17471) := '9C5E4895DF3858B0FB40B44CFF4D2A992FA2C4D683C408E2FBFC86FDF17B05E6FAC1A15FBADA8FC5C107F95740BFF337BFC103F99E3BBCA56748D800FE91D1A0DE773C4D22BDCE8B7AD0233D0C7000025CBF42B021A72F5973CCE97FBAE949884FAA66BE';
wwv_flow_imp.g_varchar2_table(17472) := '89DCBF5764BEAF947E5900C40D000377002878D0E040850B192E1438F021801B132352B47871A2C41B3204C61848C103000E0323300CB990C2C8910D4B70106142040B0F2F45849CE961258504031F20403090C0C09F0BF3E56B78146952A54B993675FA';
wwv_flow_imp.g_varchar2_table(17473) := '94A951A853A956B57A15803C006F060600E0F5AB55AF639592051B7421580460850230B0F02702031152BCA87BD784C2BC26600CCC8B140605891E07120670B2708C1830FF36003510E02706A719442C64C0C02500042C00F4900180E3E7A70223262D0D';
wwv_flow_imp.g_varchar2_table(17474) := 'D5B042C3A7AB567CA8B821EBA67D3FC3C85B5224CF81251466C8C92183E08F1B1AAF04409333E7DC47873230F056E1CF32038B4AC57A1D7B76AAFCB477F7FE9DE1BD81680004F50A9D215BA664CB8665AFF0FD42F468D1BFBD6B17C05F00B6FB32ECBFD0';
wwv_flow_imp.g_varchar2_table(17475) := '04FDF61B502202154BEDAD00C0D240A108865A2828CC140A4103068ADBE9B31E3612ED3BC51EFAEF3AD88E5A4C21109BF27021116D4BCDA9BE58F829281104733002C142326EA091826B0C000A7874C9250F647AE93011326B083DCD1482EE1F00AA030F';
wwv_flow_imp.g_varchar2_table(17476) := 'CA28AFE24ECA2AADA44ABDABCC0A8B00B2BA54F0ABB1D0EAFF2AAC24BFF28980319534800318ECB2EB2F0FF4E38B4EDB464CD1238F60C8D304C11E4C2B00062C3B6AAE1314621037001A9381074639ECB0B00201F0A8A0D876B8E1D24BA9FA8CC5A31E65';
wwv_flow_imp.g_varchar2_table(17477) := '8A3F856453CD3018604841A90846322183DC38102C380A7C6C55A50D841BC8370E801BA8265E0168F52D061C946FA0E99C2CEACA64955588CA659DB5B29EA3D01AB385228AA852C131D53393DB047C1AE83E5405F4C00314FE3271A1FEFA23ECAF1BF20A';
wwv_flow_imp.g_varchar2_table(17478) := '4A4DF402084A03C9003800C2CB06AA57210B8FCBEF331E0692E1D3EE4454AAD28412466A54A62A42AA53AB6458EC85770D48E0810D1E107420E55E6D28A55C15ED3138917CFB9582921732F2810CFE6CFFE8E57DAC7B9666EFA89CB9E69CB18A76A9375C';
wwv_flow_imp.g_varchar2_table(17479) := '5146995F7E614A981F1442C6800700F002005A1662019281E425334B32133060DA3513C0AFBFBF0254885C14F4FA4FC0FE384440D6A1DE52132CF5F05DE880B701A010008E0D204EA1470BF62E4F9D1BDA9B61AA603BD0849586527A20060493F1648576';
wwv_flow_imp.g_varchar2_table(17480) := 'CD7583E03278A024C953BE3C031E1BE3B12D02768250BA81F619DDEFD2A7341DF5AA7856286B858889448C29000806003F5E060A80235C19999917140A678C549089608C26BD409C6AD61B0A20C179351B8A00C4003C894E86F4B3736CDCC304D32DB49C';
wwv_flow_imp.g_varchar2_table(17481) := 'E7B26AA987C24D6E7C89AB2C050E3F031C2BC2080391348224CDB4E1AB64F06CB4EB0A7FFF006B9E861DAA321CD8C04A6CF5A3811007730F80556F56A22B94B54A49E549CA74EA31BA7DA40E834D695606398894D5497021AFA05D2414728855302319B8';
wwv_flow_imp.g_varchar2_table(17482) := '8317438C60107648011BCF000034CA40897FDCC204C34887F6BEA22600240108F11B4812AE450422142109446CE140C6C005008CC17A7B5188EFFC33A95041277C48695BDD20041D061C8063413100C7C436B0BC81A64A0F83086B1042104CBD51535861';
wwv_flow_imp.g_varchar2_table(17483) := '5F7644F490340120012E6B0B0453D298CAE4E8800E6C48637C742B23E128023D8110CC00602C0B7610920CB9592429F9C18628031732E445338A0180511063204428CF0ABDE205710CC40FE2E881385E20C38108C3032599CE1146D9FF251F2AA40A0B61';
wwv_flow_imp.g_varchar2_table(17484) := '9A127209802A58410A0B414319867994B2F1653FA652886084F393AA79655ADE6308C7404828044440031C301768D4573FD5A8C6224B89D851E0E84D4AC6C604D0B958063EE79606F28A80385A899116321211FC114895F113001225371E365274A43B27';
wwv_flow_imp.g_varchar2_table(17485) := '243738D00CE2235A5F70CB4224408C60E08219BBDB050054810B5C004019244C53508C36902A68051E4C03C0039E30904C0C8411E500403604561EE7A949092525421200A0841FE68EA656C8A54D01E0C4328C6198D311AA5F949292ABF95041D094E0F7';
wwv_flow_imp.g_varchar2_table(17486) := '8EC296241D8000721BE34F12991BBEC0806058DD93E09EA2AE711A048EA2A21FFD0C3A90AD0A25021028490482C20207FFFE119F3DEA910079145791DCE48FB85A125C16FA9CBD3AF282382BEB6009AB2C843EB19ABE145A3088810B6700C01703A1DDD0';
wwv_flow_imp.g_varchar2_table(17487) := '801214E40D840BBE7B80D108404B0F48A10A1478821704C3D4798145095E88C6306A170D0018E216A000003332E1054688C389D760862114E20A5B70811960CB0F8846828034614D4D69FADEF76C994586E00BAA707BDEED5280D514891330939ACD52C8';
wwv_flow_imp.g_varchar2_table(17488) := 'BA1473A62E3509482BF24E96D78F8C6C8039C2D1425A824F198D343AC4BA65B1027AC1C2A2AEA0F7F5DB07B3745100A45021B2F8052E7E01CA5A2A4F5A49D1565816F2056C18E21A9885463668090038008018EDF0036F41E14A0080421C9E300740F3C2';
wwv_flow_imp.g_varchar2_table(17489) := '01FD2057FF821B558F2DBB92B52E2D25AA128CDBBD10E01C7E5E563F049B8A473EB3916F1E055D080BAB9516B6AC971DE95F22110CE700799C23E1E82414C0CD4F1240CDBD1EC5580010A87EFD965F2ED76C75E659082E92C18C5700E013B528C62A004C';
wwv_flow_imp.g_varchar2_table(17490) := '0C099C65A12BBCE31D4138DFB1A847094E0CC71BFCE0D1672083845B090700580B806A18A21C6F5042D41432866B614D2EE7A96C8AB3E4C3178B79290730803F178A00A5A5243F2CC88B5D38F45500E5075500A8AEA9D4C5EA2073572071FC72A426A598';
wwv_flow_imp.g_varchar2_table(17491) := '0DECA4AA6899095C1962C07F65C6AE0A61325FAFECD2A33C72D6C9567655F211E68528C1B5A3E86923CBE04400DC2219B650DA985A87E086CC173E43FF84A22716C2DB0F8723B7885EC83086F18781D0120D4A28A3B15B5C4D702F8F21F7464A04C46B48';
wwv_flow_imp.g_varchar2_table(17492) := 'AF99EA604DD131C178C0A247055CBBAF46E3C0F037101B40C9D4DA514C5F9446E54419899EEB5D0E074272CF990029C9CB2C49951F24179393E9AF5941F6B26B2658964BE91ED18262B83D400C4F48C10B5610A914AC000034BC2EDF4A61DB52AAF68623';
wwv_flow_imp.g_varchar2_table(17493) := '5C782070884419AA10094320C2897E8003D36B3A9EA5BDA1972AACB7BEB34367065CF39A895A95A82BA6CC4DADEB0531681443DCC776024DE5E1DDC988B274DC2F61E3C8BC7E3C4EC76FE4E4CAD87572108CAFD4BA374AC22F64E52F57FCE21592D06A82';
wwv_flow_imp.g_varchar2_table(17494) := '050E55F0E942B850854AD0342905B1F6FFCC7FC253294CC7086880C111DC90588324E108364DC20F5AD8C22ACC54214AC0BC429658852428A1C29496B34B5F0C1EE87CAE24B70280A84D5076AEF65A22C5978109DAAEDD86C0CF21106948DCB9BC98BC0A';
wwv_flow_imp.g_varchar2_table(17495) := 'CAAF9CA1A7AF00C09B22D5442626D9FEC87AC31092B7E5B4DD639296B7CC78F7B35CE641C7ACD5B3ECED8140C2A69178C24E8C9409E110C189BC404006E205C6A0B4160202E40A0298E9BC74C5011B680197E9DB782FC5AEA4249067C9384726580055D4';
wwv_flow_imp.g_varchar2_table(17496) := 'E52A384348E0E9AC10AE44D0A5203EE57EDC6807324552046EE17AA03306A34A08838A12E52394C3BC7204E366E23044AD21308EFC462A3810675806AFD81422F1DE4F09934DA180FFECC2C6C00BAAC00B98E60EC803CB7A69074A8AB444AA32CA4006A4';
wwv_flow_imp.g_varchar2_table(17497) := 'E02D7EA00A66CE9718EC29C0028B9EA2B9588CEBB08201804F3774B007892A2FE688295E000658000638E0335220D506E4AB32220650D0ACA6A8F84C60034FA2D40E643F7C07558624E4F243FAA2E4545840568462D31445E37210AF42ADE30EC39EEC49';
wwv_flow_imp.g_varchar2_table(17498) := 'AE1E08BEC42BDFB605A0026A0957F1CBE26F29A4ED1646811186408B8C4506C6A00C0030097AA90A82490A8CC017C780A76E800B1AA36ADA902AD6F0B49091E8884D33944665542648EE093BFA22351A8507942935140E440E0606FE08568483012FEB06';
wwv_flow_imp.g_varchar2_table(17499) := '3CE2345E65252447AD8483E3142E3BF604063CC05694C6CAFE0E9E8EFFA457BCC62F6A823778D071442227048F58CCB02148C7E558513B0E1221AD423C9C020800A00852A00D8BB0C9542D28A447B4F6900090C7B990E43986E25B9AABC5D2CF5910A0CA';
wwv_flow_imp.g_varchar2_table(17500) := '1E00031902058404FCF4712A4CE551F2820760225D7ECC29DC05001210BE7EE5806C65207042524A431C8D6381D225E2DA272228A72D3663651A820588041193A326EC11C972D07F3443508602CE160A009A240917122C21C9929A2A4ABA2D3DA08200FE';
wwv_flow_imp.g_varchar2_table(17501) := 'C400E4824B96851997036C2AC307C9EE8C90A2EEB48B530E432436A72450200544C0543A22108D89210CE92608300562E0216AA348E444D43810005E808A6A83C76C928ED0C83892C403BCEF5FC64F211E5348FCFF712AF32AAE3867ADAA2C8224EDD8DA';
wwv_flow_imp.g_varchar2_table(17502) := '2F2C5BF3CB3AD22AA2A9026113496A8624C5E841DE5058DAE91F19A226B6293FA8C82EAC2B6F7A0C34DC67E222D30383502F4DC00E812C2FA63224A88821EAAE34E6AE38254234ACD34A3C421E07B27116E2E3F00A113BF12678A32AF74D334AE22DCC44';
wwv_flow_imp.g_varchar2_table(17503) := '35BD32B05C533EE7132D6933DCE8C324D3C2FEBAE33D18807294128F6C5051984C2510712F7C30D54C8460104EEDDCC48A94F3BDFE4534A813351422D5AEB30533748D084606CCC68CA2EFBAE8C8303C4038C28839C533076922041DE79E908C8008899F';
wwv_flow_imp.g_varchar2_table(17504) := 'F0E8F0082515BF923E6FD459C692CB82C2E4EAE359DEE27300B4373667D8D60B112DB444CCE82E5FFFE3067840FB5622029E234D04A56FFAC21D21E64341748D1AE24092F3F906644F1831295CCDD5B22B29A4AC9D0C40F874D02662C240A5B332700208';
wwv_flow_imp.g_varchar2_table(17505) := 'E749D82EA7AA94E44FAAA678D8CFBE70D44F97A521C93075DE92C5CAE376DED229A48921AEE9B2E06B47D00B4571C407253132AB2B5D4EC30438472ECC842BBF69EEBA1454497060B6939C58A34B9DE25493B42A4864297A62D38EAC268E24FC7EF28FE4';
wwv_flow_imp.g_varchar2_table(17506) := '14C91882AEE46AAD7E622DF533E5F8F44FAF422183F5281C0F19ED53C1B4A7DB5C6CF7E08524DD429DF253799AB5029BF5B4926A499EC3AF06220130A6473EAD64D68B1AEDD11F25738A2213347A003F3E0327646527D6663F7F82014242303BFF4229E2';
wwv_flow_imp.g_varchar2_table(17507) := '4788A40F0635E2BB4425236030231CE57E0A26540B564CB99434CA112747B11E7D252436B0079FF23836702A390ED89C4C807E053810E7FCF0ED28AA6358895564479675FAC74AAA6627800F255B85415AD647F0A6380C68D758322F3C20031CE4415628';
wwv_flow_imp.g_varchar2_table(17508) := '5917023F52E0AADE8E4C8356681B1155F0C368554D68598D682B9569F1C3ACAC943FEA446AA35612A5C86AF7834E04032579281C8DC32AEBC90161546566A42DB8E827380D29A0881E4096649F226449562A22016D1E2001E9762719E2B210476FEF1629';
wwv_flow_imp.g_varchar2_table(17509) := '940625FF766B8B4A8178E26F51E22773E31273722074927117D7711537275152278B83E30E373FF6C277BAB4E0D44E3178A0077AFF60074077050DE2070A4208580F06FB0E022EAB8046D14746F1BC1A82088C409468EF5A1682088E4094729777751700';
wwv_flow_imp.g_varchar2_table(17510) := '66F77701A08544697883D7088A40779397778B97798DB7F58A68768D88768D887AABD77AAFB77A7F97087E6031DC042674053037A2A57EC0688AEC74F7157407C233088E51C0E5310D5421C64F6B795263890259DA167FB1A32874543B4E09294EC97FFD';
wwv_flow_imp.g_varchar2_table(17511) := 'B721C441A500A080550A8001C07F55EA80CB8181B3238115C28101C01C1CB8800D78200E38292EB821CA418001201C4218841982839FE28149988053F8815718832DB8855F98815D988527788661B88527782A0458878FE2840938837F188825B8292258';
wwv_flow_imp.g_varchar2_table(17512) := '873F38881518897DFFB81CDCE11FEEE149F2178AAF22E6D6B61EE8C18AAFB81EEAE11EB6988BBBD88B632E8BC3388B2D888CCB7874EE611FAE981EC4588DAFB88B8B828BC5588CBF988EEBD88EEF811E00208BF5788D07225AB41800F27820E2988BF581';
wwv_flow_imp.g_varchar2_table(17513) := '1EC44347B7588BEF411FF2A18EB3988BF3411F2699922BB991F58191A7D88A15A28D3BD993057921AE1800F058944B39904F1994A7428E5799955B998DDBF88BB56C9465593C1AF282EAF890B52C97F7018DE981977FF98C7D198DCF188F2FC8987D398F';
wwv_flow_imp.g_varchar2_table(17514) := 'D9368A95E26D49B69603F99317C295B3B88DA579966BF990B3198FB7591EE4018B3F79931B4294A1199AC1D99CCF198B49D98AE9B88DC3D88AABD893A9798DCDFF599DDDF88EBB189DF3D99CE5E11EBCB99BBD599F035AA0073A95B3422BBA392BF05821';
wwv_flow_imp.g_varchar2_table(17515) := '9E392B1ABA8DFD398D0F7A207CD99FFB7994F9592BC403A3554E2B0CFA96957999437A2A1C7995EFF991E5D8A4BB18291419A5E978A1C3639A631A921B729019C292297921587A9177BAA5EF373C169A9219B992531A9331198CC3388EE7F8A895BAA4B7';
wwv_flow_imp.g_varchar2_table(17516) := '799B67592BD678A69B9AAA5BBAAA957AA9A7DAAA17D9A9B7589B2FBAA1EBB98DC9F8A56BBA21685A293A3A8FF1E18945DAADBB0364E31A8EEBD82AF8C1AEBDEC2826F9AEF79A3B52FA8E0180AF03DBAE6FBA2190A521A3858EF361AF95E2A61BDBB12D19';
wwv_flow_imp.g_varchar2_table(17517) := 'A445D6A79D828CEBB88C114F968D39B333DB8C2BFF7B8BA9A3994916AFDF1AB441BB281C5BAE273BB211AFB3C958B05F1BAFF71A1F661B1F06C2A867B9AC717B965FDBA61FDB29AA83AF1FFBB1FB01B68BDBB8EFDA2A5ADB7E539BB953DBB49B1BBAA35B';
wwv_flow_imp.g_varchar2_table(17518) := 'BAA1BB8E67E67EA79BB9B9F88C65A6ADDF7AB497797F275A90D5B8A125BA9C097A9C0D7A203ADA83F69893F358AAA305BE1B221E3ADABC19A28F3B792CC1F9BCDFB99AB103A95BFA8E657A9AA1A4A0B162BE131C95175CC10FFCBDF93B3BD0BB93D96FB5';
wwv_flow_imp.g_varchar2_table(17519) := '49DBC28FE5C2AFA31F363CC3979997BBDBADBF7B99FFA1802B41213281124E0A003A61C55B3C12280112228111629C118E42C66F9C11703C122021C629E1284C9CDC32A1123221D000201222FFA1122281C84988C997DCC899DCC88DDCC7897C207C1C00';
wwv_flow_imp.g_varchar2_table(17520) := '6A3CC779CBE90020C64FCACB91C2C40722CC0120CCC98DCC0120C8D3FCCC3D41C83321CD4F6AC8839CCCD9DCCCD1DCCD07A2CEC9CDC4BF1CCE01A0CFDBFCCC015DD0FD9CD0DB9CCDE39CCFBF5CCC1742C5559CD09122C8C3BCD1B123CEC9FCCE81FCCC17';
wwv_flow_imp.g_varchar2_table(17521) := '5DCC551CD13BDDA43ADDCD057DC8FD7CD4459DD30B5D742ABCC343BAD95E6B9928E00124C35E140203ACACEB82AF90F0C65506420214C25B126024D6F201DE2628660C5FF2F339FCF3D61428D29C62AD466A707B84411405823660DA89D4DA0FA8478AE3';
wwv_flow_imp.g_varchar2_table(17522) := '657D12DAB7F6D3964CB81C674DBFB5472E11D66FC55656E224A4C772F53229DAFFD4DDE11D200F094760D6700B485614C86F472ADDF99D01031E76E5AADA61969036E77559343702C8C9F6EEEF449357CA4804249EE2E5546CE49203AC1CC4455AC4A178';
wwv_flow_imp.g_varchar2_table(17523) := '757EC0062A050768E004481E0066000068600638733DC14EBC3006E6F9ED0162BE411EE02560E073F77507C8D76878FE07546002540000544002402027CB4530E62D0414454E1662257FB22F8CC324F3F3019049073A46215A0A60615043F035E7BFFE73';
wwv_flow_imp.g_varchar2_table(17524) := 'D53721C6FE207600541576EC7BBEA312E2061ECE542413EEE13E32F302063025EE4A77EDD7BE337E400876400806E2077A40EDC9170006FF74777E05CB17090060F177000960D07363705F0782079AB4347C07F30546F3B3FFFE0578A0F33F5F355A6A60';
wwv_flow_imp.g_varchar2_table(17525) := '6E00EC9342F06310F5D1977C97A8F584772096C8F55F9FF60A5F217ADE083AAACFEA61E3437A923A3C23524D3906C25000E0046E162E4A4E467DBD6CEF569B7CA7E078C073E72E7D51450540C0FA5BC00264340105430396ACE3848F38DA4499FA84AF1E';
wwv_flow_imp.g_varchar2_table(17526) := 'C003F2302A872F329D1F0004464FF010FE359F73E71FFA7BC073C31E7D23854C93294F2C022062C40000C38441131E0078E0B07002430E002242F40003C68D883B0064CC7831228F883200C8083932640F00274F46BC2183E58D8B1D23CA94A90340CD9B';
wwv_flow_imp.g_varchar2_table(17527) := '2F6A0278F162664F162C22B27811742680A14523DE9409E345458150050218489547C7943DB2A2DC9A55ABCAFFAF58C3A2F4EA756C8F1F3D01D0CBC7D6A8DBB770E3CA9D4BB7AEDDBB33F9E1DDCBB7AFDFBF7013026039F2E88A881F007C088121020300';
wwv_flow_imp.g_varchar2_table(17528) := '11104406C020010004002C5BBEBC193364000F38A0E8C9A3EA4B8D27330268A10284050F2A54A4B02011C006001C4CBCF04001406F892844C39069C2F783071B38A40060824573B73C5EF080519AA074EAC363582D6DD5630F1E2961AA5E3915468C8A4F';
wwv_flow_imp.g_varchar2_table(17529) := '63DC18C834868707092224484081437D09F57DE396C0C1BEC2C1186924A047CB89C4830C078A54D856118557D260A7C1A5D34D03E1D4544F3901F0514E29E080A10E1D4AC7C2863AE4249D7411BD10520C2341551E7BE675C755573476C555830C2281D2';
wwv_flow_imp.g_varchar2_table(17530) := 'FF0F3D1871128F409E35A04C3F14B5565B8025A9E4927DE9C5E493504669543D32ED60830D2509D453082770094009FAC9249F4C09781651679A45F4D80622EC341D482AA1B6C30E2D0000820DAB5990820A2D7410910A1E8000C004BE41241144C101D0';
wwv_flow_imp.g_varchar2_table(17531) := 'A609E6119422864309A5944D33E90083A53ABCE99186DA6D6AD44B1D710461612C0E57514428B4F9DB5BFC4120134412EC0740AB70812A43453A20F8910C71C6B4C35732F10AEA0D1F7D77D247C86EC8434D3D5D7A695A479948130B3A1435948725E2C0';
wwv_flow_imp.g_varchar2_table(17532) := '03B53C797A6274D57984208217F510934A3001F82B6AA8018BD2BA2709B1634A37A264844C47E623E5BEFCF6EBEFBFFFDE43A54256E27991FF0C2D0C87C2061B80D95C422240E4EA7C61A68980659E25C0C0AA6E0E67529C5586F41A9F16D459B2052A44';
wwv_flow_imp.g_varchar2_table(17533) := 'D49B7F3389B04170608A20020A34A3A0689B92CE44EDB21922AB21691ACAF4D1543B054D578422116D14C76F71801F05844604C10410482081ABB8D9D0514C2C0D441D8A1A1E0C20463D8C67EE81BB0E8636B108063DF44C317CBB938942242593873884';
wwv_flow_imp.g_varchar2_table(17534) := '08000E36BD90F7883E15DD2D533CA470DED0317D6AAEBA010A5836003C0A38674441526EF90F42FCC0DC4C4802ECF9E7A0870EFAC01EF470E5952DC8607053CEBD50DC410745F4406614F4363BC69B9DC9C16D6D9E18925C42D8104381867A40A8040C33';
wwv_flow_imp.g_varchar2_table(17535) := '1CD106196C7082A132C5ACE8FFCD609660B3A437652A9DCF9A827BE2703E83AFDDB844CA54F6F92C399A540A37986B6E713325E0340553BB4AF5AC14E027934021713D1569D4218F4C7C959A9510CB7CBC7A0B0F7C26B44C0DA434258A0EDE3A94826B41';
wwv_flow_imp.g_varchar2_table(17536) := '6B5B181C110E22051768752A05A44901F9DEB2381CC5C546439217C832272F79696E26F9129D0CF7E5247DCDF0864B1A18000CB6C3C1D8A04E32C1599D0CD78214A4A08829100C026627B5338106011A50994706F2BB137E673D40614EC470B381158420';
wwv_flow_imp.g_varchar2_table(17537) := '040038010042B0812FDEE604684463094EE0323045A404388B080EF8F611ED692F3AD7F99E4E90D5A9E9A0AD6D1111C20E7C341E9044047E83E95F0F5AB29E82A4005686FFAA5FFD9C56B559192A06EEDB9FD75074A0C57D8480D0F9CE4CC043CA0322AB';
wwv_flow_imp.g_varchar2_table(17538) := '26CB9AA2B24E04A2BCF50D6F3981A5878EA213A360083A2A720AB492062A8CBC642337D841303932A7C9BD8B5E2F4C4D9C7E60841DE8282388648B0D7148CD6A5A7386F700801F1242921D5EA920F77A43192202833AD5094F2D88C11091070057794632';
wwv_flow_imp.g_varchar2_table(17539) := '0908807EA017375E55D17C42535BDC64C2029985518C11094106009081821274A0198815042890980FCC208C11A901A5FAE6111511E70520ACA2EFD04690B5F1B20799C3DC0F0A999191A86439543C18C88653BB09F4866A2E1D54D5F2B7B2F518E8A6D4';
wwv_flow_imp.g_varchar2_table(17540) := '19894557F2BBC4DDC57DBCFA638212B49C5DBAA5441E1911FFB52292021011A540829BA84CBA65A9A4C9404530B86A4F19499E93F8F45D191969E4B062C2C66964A46FB947E7AEC956BA38A9AD70850B3EF0A18F6C2AA48800584E9D1202885B24231900';
wwv_flow_imp.g_varchar2_table(17541) := '60864CA01A111BA400177E00C03400400C2098639CC8908939CA9199DB2CE8AB34524D5067B2411A8C51318989C843313003D2620000A7054D5CF836A1E1FC8C9F6FC9685E47A92193545173F77A21E5B2223691B0C82827D9A7CA20723FE24260A62E5D';
wwv_flow_imp.g_varchar2_table(17542) := '554AC7361516C9803DE76A1FBBD6B5AEB97CF5A68E7ADB893C15B89E54B02779E31B6CAF77BD475194274DBDD44CE8854294D8F42741B95E9B3440810C40E03809788120E71424DDC2459A710DB08007FF2C97B9D6559B1E98CD4C526005C546C40B00A8';
wwv_flow_imp.g_varchar2_table(17543) := '05601B0104D6C8A4052DE8C62BC4E196E1BC2112EA0000179E900011A8E840BD241BBA12C71EA0D4C08BA8C5808C450B8087CAC4C69661E25B70B01466FD8C281E58140B5250380D2D87C8441ED781EC39938CC8ABC9E1390F05DAC412730DCBB7AEB564';
wwv_flow_imp.g_varchar2_table(17544) := 'FDA836B5FCB533B91EE866447E1B5CAC26084238A2AE32A7BB6601BAE577E023A786BED62D11A56883BB1C722D6D66A8A160085C45A362CB828CB3FAEA383E9741003C31A3E84613E032113180E4DEF564BA0098C098CEB480F5413AC3E6B5051628C22A';
wwv_flow_imp.g_varchar2_table(17545) := '7EF18B461C620F8400802D223BDB73B60008D90000600101002900E01AB79649622F731BFFF641C8A7712AC318BE10913100400CC80640150030052AA4C1D9554843B4A30DED8854C10A3EA8350098F0965A92A6595A84986E8EBC13042559A8096490F9';
wwv_flow_imp.g_varchar2_table(17546) := '761039F3B1E427861CD64BDEC69BF9E54F92306DA7A11E6494DB14CDB55C6D50461E47F0811BFC5D688ECB73C3D5945432F09649ADDB4E90E2163166208A1189C00322A0A6440340D2926E34A4C90481DCCD4A26518B08A12C4028CC24534E9463775C2E';
wwv_flow_imp.g_varchar2_table(17547) := 'ADE99ADB9C9A037B40715A0880462C3622AD00403334018A5FE002175628108677108E688478D711E94644C2A11F5AE0A66806847221DD80869994619C32D9C3188C1DF631D80100872843DA23426C34F4410C46F1AC4DDED6A92C47FFA47719DDA921E5';
wwv_flow_imp.g_varchar2_table(17548) := '6CD2DD16F02CF1524DFA98C3EF010E6B2055E3004CA1E6E5581D4F68E30A0A660CE0190F2408D86C86DCF90AE996797B5E24DFB96AA55CDB9390742B38AE72157ECF341FCCCC274D9BC95DEAE5528109B0FCF633A14DEEE182B516D82025ED964B34D77A';
wwv_flow_imp.g_varchar2_table(17549) := '73B64EB3F8D61C2705385EBB21FC0200B200802B00A00A00ECE2154607EC1177E87B75440200EEF044366CFD03B057219BF4888472A6FC1261550964E34403D923A2063500C00B7B80B0D8CD1E11B0F701006E506C6C070077307F117102E2A5216F2338';
wwv_flow_imp.g_varchar2_table(17550) := 'CFA11B18355585536450D513209312071720E6722B8AA281ED9338E9E21BFC01535D268283B22A4D2113926614112018FF84C122E5C266CAC4799FD220F4924017C11E3DC12CCA521B99612633917AB1727246617B29E717453884BA0700166001BD0101';
wwv_flow_imp.g_varchar2_table(17551) := '2D603A5D2148086769C4877C5678854BD2163AF41911C10533B10A00F009BE000046870B00F00A11816122E1850F864F4960020890115CE03A8F8433F7E4381181067CF00CD12013D00000C8200C90300CD8700CE3540E861059B6700D7F200C11710711';
wwv_flow_imp.g_varchar2_table(17552) := '910A68281367371334205E0BF416AEE30141811EE5665108221D80744F03A739A6582520712B0F200221C128E9664011C21F41788461E22ADD94012998820B266644733EECB26EBEB85E6EC636A404484173226911142C903BB83728BA97844A0817B431';
wwv_flow_imp.g_varchar2_table(17553) := '8DB6A772FFD1788D29478BD82813BA27183B543617A86E6225739B1311348785E8988E7C71696FA03203251346F77CC71061647874CF2705475418DE0812BA8133D0930215D1262D91402AF12B8F13119E1011B10000C0200CDF000C46110DEC000A8840';
wwv_flow_imp.g_varchar2_table(17554) := '80D9800DCF304EA10000D8600B00400D8F5863338180731734EC2168066120E766544A76666533569A17271C411896A5819D6753F661352BD34E32F11B10C0011060028511478C161193C7012D0264EB8670E0088E32D820D78512E11203B992223AB301';
wwv_flow_imp.g_varchar2_table(17555) := '06F000151011CDD856CB4184526303BAE52E2A4485C7A78E6899966E214D6C41256F60191BB02AD5800BC1207DD417617E050066380479F56457B148FFE091026D323B0E98510991360C525D32810860475977407576F00DE5500B77900E00100E890589';
wwv_flow_imp.g_varchar2_table(17556) := '542713D71059AB406C11E10687D16D72712BD3A16403C93DE3F282F03239314836314101983483E421034F330131C5936E811942B91CAB0272913640E7E13A2F309B075925BFB2115B515DEB129543A31DE072298475192B1735D5689DFDF28CD6C87244';
wwv_flow_imp.g_varchar2_table(17557) := 'A89DF6033982548118614CC8598EE678966AF939E8999E59C8966BE50160B230810500A900000D3606F657068C808668682869912CDFB12D22100111C001AD8375F196388A599FC3E091D9E005602713E1C00D00D009E6109211E10AD7C008008006EDB0';
wwv_flow_imp.g_varchar2_table(17558) := '0C71371333A0034BF1667F0436835142FF70514040C25F42621425D52B6EB6128BF43B4108179A612646F4003EF816246177C734202E8A562BFA94209120CFE23DB2931933518D4A7284D7798D4D6A1449088D09E02A3F6003950600F2A21AE419738334';
wwv_flow_imp.g_varchar2_table(17559) := '7CEBC99EFE32A6649A24EE19116FA0730080022C8002F752095620055E50054F606D0D06009410445C841B2C70552F103111505FB8A11BE484485E154C413A1399304E7E10809090097DF07F32C1861DCA085D070AED0800650007002007FDE706721711';
wwv_flow_imp.g_varchar2_table(17560) := '345003253A1308722C471A952744A40587708AE95AE8429BF774A5468135BA79494C3317E9A69803F77E72128305A440465613404AA5DAF816D0688D2A777BD889724BD89DDC4828FFDA18359B81259A63126423704CA979452213E778A6E28A7C69FA0F';
wwv_flow_imp.g_varchar2_table(17561) := 'AA351328600877606B5CD0755D1811916080100189CB560811510852800478606C4A203465E007F73213915006C128056EB0A900686C5EB86C5E906C015806685006775006EDF805070B009EAA0533016133E1042870AAF90413A12723CC25173F1039A5';
wwv_flow_imp.g_varchar2_table(17562) := 'E816E3C11E4953B2862403B85A3F57433533AB7A10511CBB5A17A1828A3BE21663F9AB036414A2D736D1613490968460B97B4AE8A4A26301963101298027AB21042D2004D2B5A8400239A59814E13AAEFC62A65EEB1748F20F77701B2C20516EE1055CD7';
wwv_flow_imp.g_varchar2_table(17563) := '865ED826BB530219C003907012F60A0077FA641BF004773A1377501CFF7B6A08490009C1148C4790041141043260020F40011AB001681B11531011FDDAAF0070041161B94740B900E0024740049EE504A2554B24E4B22AFA539193B5AA71905DE31B888A';
wwv_flow_imp.g_varchar2_table(17564) := '422DD1A4B82A84B5334FF1531777685630EAAD6791393B2085F86414BBE25AB9F21115C10198D195B498B451B2ACDC08AD83F503212185CA69425AD120A6083200D0B5611B2560BBBD7B31B61E511342902938F37522E6055E08892992451B80037B1A11';
wwv_flow_imp.g_varchar2_table(17565) := '90000051600853505E0030063160045017117CB06B3C30BD99D303C5610001E01929686338008E4050302F2142DC67144024920050AA93025C6A7330246B17C39A666BF62B301112BB43186211121C372B5B563FFF85821BC7A520ECA168BA88823C55BD';
wwv_flow_imp.g_varchar2_table(17566) := '7551901BAC66EB5545A652C1EED1A36CA57BDDD972E6033273729CE7F3AA2FF4ADE7D9BDDEBBC4D4C40F35248C00800442D013226004010800B760143751472369AFEA5BB8CB767F7790A7948308771A09F7624CE3711C8AB2106A120133204623BA0440';
wwv_flow_imp.g_varchar2_table(17567) := '000075DC64672504293301416804A3491371514A4693C1410B2C04A76E71E1C1297A77E5425687E41B2EE51091BC65BDD11BA5F35C3180486F8102AF2B936D76426EE18B8A89124A6695D35113B3C7B4A00396D49A7BD5481B98210432F0A5C9E9BBEEF3';
wwv_flow_imp.g_varchar2_table(17568) := '8238025208EAC46FC5C4BE0C57E0EB283C06004650B4F95B050688227F76B93671049E8504C666B8FF4F7012861BB0CA2613772A0503779C22A0A81A6202A2B10171EC114B802775AC5B23752590837229F350A00BC8C42A2E43E5B2AC5A58E1D9BB6F21';
wwv_flow_imp.g_varchar2_table(17569) := '2AFDF602C41237866203C5E1348A87AB86C27840593A4C052D1C171F8BAB20E412CAD40BA33C2283438CBB475A7A450B30D6D9952887AC2C37AD33D1A5A10CB4B9ECC9AA21A6BF9CD298F6A61EF2023D50043D10373DC1016EB429D181545ABC45FC5422';
wwv_flow_imp.g_varchar2_table(17570) := '76331AD2D103FA85494132BB3CD23E57541328005000205136508AAA81394F66032C172BD03313A6AA13BC68788684BD6E86BD3168A4B79C49C3111A619202279110D0E33434DB65274701A50390A7721BFDC10138C31DBC7212BF2727C9B9D7FF9F4C36';
wwv_flow_imp.g_varchar2_table(17571) := '3BE03A4541D2718220FB34340870A3CDDACAAACC95200DAD2BC795CACBD883B2B4CBAA7BB1DC0259BA9405B72EBFF512168870D0A2BD2A3DDA32C40FD994586D921C11510429821DB59480FF599C39718743512DA26B02D55BBD82A4394C74C861135134';
wwv_flow_imp.g_varchar2_table(17572) := 'C66DF2B20432B1041FC1043A500312753511A101273003EF7C48C3BC20D6552BE7929C7FD7BBA252CF5BD18AB8EDC12A0135023D35032DD0FAF3D6E75113B7017146EB5E508656FCA5B5BDEB5F06091CC561901EBC1D211181C74A8DFE5D84CF2AA554EA';
wwv_flow_imp.g_varchar2_table(17573) := '16B40196B857841F3DD94C153CBF3BCA6BCC0010C0B28EC36E284DDA167E4375D50F7080711C430437F0021021024551B4453B1CFF3AB04F26B2804251021AB0B81420ABEB35D1B751D19D47A24E00DDD08D039E4503A3FA1621F01BA125C1421B2C9D04';
wwv_flow_imp.g_varchar2_table(17574) := '184F69A472719007F9BA5717112158355DC61FED2442E6661BB7A1A428CA5B06E7A5A898B259E1BB532567BE7D525699191210E06F21ADD1D895D1CA9D093E17AD6CABB3D74E549BD78DA3E41A51454B74039AE32E4701AE5578E1DF2BE87B7160A02102';
wwv_flow_imp.g_varchar2_table(17575) := '0B05940040043B205C8E31A873231D5E4310F5F436435313321314B3631E28D4152F34C406072C1F51030F05DD6E71E36FB1014C140141BED43B81D506423E5C4D17AF0AA3C138855C8E87B5DE03FB38C90EA13F958C35FB0DE24A53E6EEF67EB9AEC67E';
wwv_flow_imp.g_varchar2_table(17576) := '8E3E70122760F116FF8FB6ACAC6C1756C3C742782613E3166542268A5626B127132A70BB462A4C4C9A1931F0B3B095C484FE174ABCEED99B0FF80000FD7007091097322118A742142CC001252C9494DE2825915356616581FA023B501F8C328521CD1C34';
wwv_flow_imp.g_varchar2_table(17577) := 'ECC8C5C237D11D11110F17EF5846115503E295292A2E12F2C64B1E7FBB6535BA33982EE732160317218A27DE924CDEB20894664D123DC03C37E15A3E23930217C0938339D38B4FDA0DC5C2482CD201551E705C57C3DC53F383734E26DEEE7A3EF8EDDE5E';
wwv_flow_imp.g_varchar2_table(17578) := 'EE14C37ADAFE1F5AF3F3A6D38199341398012F346214A2EDEE60BF2476F50608503B0BA51023752A34C80322A0631E0820ED83271B0103D7B301993C15C5B49CFF1AD1CDA00EEA5981E46F71E3A3EA45CF73481C54340B94F8A2D41D6445166361F27F3F';
wwv_flow_imp.g_varchar2_table(17579) := 'E158012F11DDF85FB1E541EB168ED7445AE638D2B5010E97896F13DFA6C86E62255227FB0348C06ECDD4FA9003242D7A8A13AD20406D944CA4684CFAED3DD8F423F74E8D86FB90F64E4E54EEC35F3BB5C31F26E0C0488E158327192EC7D5466002BBF6F5';
wwv_flow_imp.g_varchar2_table(17580) := '61FF5FD57F17F2041FB34301EB81100711143D610214506215A1C946E122C3611927C8100B5611B7F2E2B712FF59F533D52128A2455A3390FFA535038B11E4007122C489131C4470408182058B170016B20010F1C544001461BCB89811E3C68C00607C04';
wwv_flow_imp.g_varchar2_table(17581) := '1952240C8F25498E0469B22400190D3944840933FF414C9A2F52488C90E105C38A155FF000C083640C892988D28CC823C652A54D6334052A34E3C786544D880040E100800001621200001626828864CB12208B20ADCC8809DCBA650B01E603000FE846A4';
wwv_flow_imp.g_varchar2_table(17582) := '6B1726050F376F1E8D483230D58614C20230C04146C4C58D7B00F01331DF64A4952D5FC69C59F366CE9D3D7F061D5AF468CD93F1D9FB07E0464C133094284962E4C811004792D84E9264F5662500AA002802F4771200C4693EE92D640772E64A982307D0';
wwv_flow_imp.g_varchar2_table(17583) := '7BCA0E003DA62089891DC9F6EB47A64C39D2A476442A00CA9F4F523EE29324ECDD0370DFDEB97CF7CF9D33AFF224BFF3FDF899C3770EC027FC73AE40E28A8848050014540188061B04E0071BFF220A50092362C82DBD0C9F00F038FA2A8C4E4010FFEB8D';
wwv_flow_imp.g_varchar2_table(17584) := '44987A8BE8361E7A98E826004C78D1041853E88B461B016821851672DCB1051B54B0A1051C778CC8861F149C30420092B4A1C9259BB4610729A79472BD88AA28103A0EE39BAD87AB00F0C0882DE11330A27DF0992C1FD2D664B34D37DF84334E37F9F9A7';
wwv_flow_imp.g_varchar2_table(17585) := '9F763013A71C3D632A27223DFF04E04F4103E5B34F9ACC0100D198CC31F4B33EC50100523E6932341DA4FAC4D4334B2D058053CB38F554D143138D885351233A1526711055945573C03935D3542FCBB45642FD541453461985A91C5E6D6DB4513F0935D4';
wwv_flow_imp.g_varchar2_table(17586) := '57635B8589555FCD611655529185091C5C376375D8649FADB6DACA903536267AFFF6E1275C39C725B75C73CF45F79E7CEE01801E7AE49127A278E599E75D78EFBD17807C2B83575F78E991775E7C0726B8E078DBED57DF98E4613722770160F71E891B9E';
wwv_flow_imp.g_varchar2_table(17587) := 'B8628B2586F89E7715C6F71E86E5D9479E87016617E07DCC841864879102B965004E9E976385018887E6786E86A9666FDB75979E7A6B1E991E8D8716BA67A38FE6396880492E5AE3A28F56DA5E91F315B8E69B97EEB99E7A1CDE9A67CBE29987E69701E8';
wwv_flow_imp.g_varchar2_table(17588) := '9A1EADEBA9B71E77E7D1BADDB00198679E9BC146CA6AA4BADEBA6D988C86A99E34D1053C70C1071F5C62ADF9E92771C517677CF1881A877CF170234F9C4EC429875C1FCD1FEF0771C4C93E3B74B52F26BD6279DB75BAE789FF97461DE08F152679E299DB';
wwv_flow_imp.g_varchar2_table(17589) := 'CD3875886B9758E89873A7D9E7B87F971BECB07D36BB1E7CF2263BA67B443F1B6AE69FB7CC62A8A77FB7677DF78967E4E7B7E73E74B8BBD7DA1E7B9E1F5F7CE0438F1B7CF5DB569732C2DF2F574DF8E76F73797527C6277FFDF7D7A774FFFF2F9DF8C407';
wwv_flow_imp.g_varchar2_table(17590) := '40025A0C77A48B48FF4A57BB979D6C1FAB3BA0011DF8B286D1C481272BD9ED2CB30F0E8E8D830EFCD63CEC2142F1C1E46DFCD38769F4A70F8829F062F5406066DCE73ED0DC638227FBD6B74613B1182A2F63FBD39F6504C80F7BC44480F628A0FF624243';
wwv_flow_imp.g_varchar2_table(17591) := 'FA355134FC908C13A5181A75992B4DF2C3CCFE36D3C3D15C513258040013D7F4413296B18CE142231ACDE841FF70890B00F84063E7DE78453AA6911F60A449E9E898A6FDEDD18FA199A01F0529C8CBFCF1325044234DECE1C688E40F4E629C6224253949';
wwv_flow_imp.g_varchar2_table(17592) := '4A160E7A6BF26218D594A60FBE6C907EDC9E213B63475296B2949639E527F728440156922683AC8C2819274355D632939A74652E75B9CBE82DAD6B2B0398B7A837CCF5153374D4336631A9572F88656F98597317D0A4393DAF05AD9A587B26F59266B660';
wwv_flow_imp.g_varchar2_table(17593) := 'EE0D6BC2A48935BD49BDEC39336AD944E7339D493BCC74533467B3C7F1CA078022D6737BA0E35E3BDBF7375EF6D39F91C4C73F053A508216F47DFF08283F0DBA5086B24963A989049C1A1193899EABA29CC94444327A194A440412308104252011899092';
wwv_flow_imp.g_varchar2_table(17594) := 'FF34A220BDCC473DEA26952202002E8D4C212282084418C2A52F05802150EA269D7AF4A494002A0032D1514A0C15004535EA512341099246A4A71F852A00A23A55A956151236A5E949310A938D0A95AB5FD528002AE1D5B166B4AC62156A59D50A809376';
wwv_flow_imp.g_varchar2_table(17595) := '3513117D2B5BD91AD78846C213E240A8421B4A3828EE157EFA08E64CE4220198101600863DEC4C249080C53696B196412C522600800A4C160096B52C4D2A7059CE4ED6B39EED6C6827EB81884C000448F100083C40DA0D68400300F8000034100200D016';
wwv_flow_imp.g_varchar2_table(17596) := '26B3C5AD6D370080D652C0B63179ED0322A08108E065B80018AE7035F000E2CA56B90FC04065C40213026C252207B06E445C2BDBD7BE16B9FF116140448A1B5EF202A0BC0C20EF074260DB159C00002B00804222C21086E020BE3840C10A42A081F06280';
wwv_flow_imp.g_varchar2_table(17597) := 'BCD1C50080030C80000B18C0040680750D10112A35D8C10F867084A5D4A40947E9062491114C04F3120CC3084C1F266D883FFCA29CD233917E45718A31D33F00C041022ED84C074620E30E00A0C635AE408E29BBD9C3C2A40288FD714446E002178C0000';
wwv_flow_imp.g_varchar2_table(17598) := '4586314C92BC2026C3444143880894A50C00285BC605089AF210920CE518E8C0CB49094A44BE0C002FEB80CC64E68199CD7C6631F74407F57D010E70D010373784CE7486490D2272820FF4D9CF050E706CDF0BDF1AE859CE87B6AF7D63A2E8CED4C0BE6B';
wwv_flow_imp.g_varchar2_table(17599) := '0ECA12782069EC18613B46A0FF0912260D003DC3F7CC8E2E34A745AD6752731AD1B00D6F6D88631C37A1C8D59B21424C104404EA14014111A2CE0F7E401D25FD2042BE260269FB518F13ABD8D8C76671646A6CE3982C9B26462EF2088CECECCDF2B8B094';
wwv_flow_imp.g_varchar2_table(17600) := '3D6C64376364158CA0DB2A708182C2BDA0218F5B41DC4E900A18C4641738E8C831A10E0ACA6C661CA83926653E33A461B21387340422304101C0E7AB1952D396B6EA45789F43F001F79E800600A041C423EEE987D3600516B7F87BDFFB70CB549CE3797E';
wwv_flow_imp.g_varchar2_table(17601) := 'B40E78C084490B010048780C7622A26998781A29355801CC651E739AEB59D4EF0D4104166C84221CA1E73FF779D0813E749F03A7E83D8789CF935084A51F68E934010266FF7CCD60D5E0680749A2097580405AB215FBD85FF76B0A5B0C806993FDC6369E';
wwv_flow_imp.g_varchar2_table(17602) := '71B369B2E421A7BD02CBEE40072C80141C57C6C83031B2B4F5DEED882419DCE00EB7B9DF9D20A4443DEA5A068209BC6C5F472FFACC8C0680A2E31CE7C8D3D9E695A9010A6AC082CD6F1E269C7748E843BD67001064D01A8F48C52D63F38BBB3C222B80FD';
wwv_flow_imp.g_varchar2_table(17603) := '651E7E79F7463E22248F490F96F018A0C484093B6082875F1F704FD33CF5C747FDE5A34B66232421D600904D6D624D849E13C1F947B03E119A9FFDDA003DD6B4B935D3AD2FFEE2509DD730F175D42322218F10654251A20EAF774004134446937804BB9C';
wwv_flow_imp.g_varchar2_table(17604) := 'FA9AFF714D861F018503B2B3B1B36BB619933101BC0C188BFFB6BC43C065332CB8BBBB88A0316623BC9850909850C0C11BB7B583B2768B0920A8B21770347DC30C1D68087B6BB3D08BAF98D0BC88D0331660BCCB9033478B419BD3BC1B243599BBB998B8';
wwv_flow_imp.g_varchar2_table(17605) := 'BC8E83098E6B3D8BD3BC1E84AF35C33DA040B9EA58029858821D90B4D77BAF80BB39D82B35D5DB4189E3330C58B0F1208223C034A563BA306CBA148989A6BB35E01843DA78BAE2183F98A08ED5580DAD0300F58389D58001385492F52302EDAB3FB2D12B';
wwv_flow_imp.g_varchar2_table(17606) := 'FE034481FABFB1BBBB03A409B8BBC004C43B2113B20CBCACB39BC0B49BB1499C3B46CCBBB91B010B58320BCC402253322020B2701B02700382AD334143430A45AB011D803C32C333DBCBBC1EDC0C596CFFBCC83B349B6BC5CE98B85D6C3D8DC33859A409';
wwv_flow_imp.g_varchar2_table(17607) := 'CEABB8902339495BC288788C25D88E485BB31C74C1989B428ECB381E8C88DF2289D9803E35CC8C33B40CDA8009F2E3B9A763B58888011729122048922278BED51012252102F5DBC317B13F5C0AC4F8A9473819C4002C4404440A0571B6CA08BCBF430A18';
wwv_flow_imp.g_varchar2_table(17608) := 'FB47091C407E8C894CBCBB4ACC44A4B00085C4BB6F0BB70BDC401518C521B081D34A34486345A49042893033CAA389160CB8585C8116C4BC7A8B089574BCCB8334461BBD1F7CBD88D33369FC388893B88B1BC91724B41ED48125D8BDA03C39005842652C';
wwv_flow_imp.g_varchar2_table(17609) := '4A145CC5559C4988DBB8F6C23889B342C488086FC4C688F8B9CA18C7AB6CBAE72BC33014FFBFA54390A80B120048011080011B404700A03EAE5C9239D4B598F801203002E1FBC37BB4CB4A2222428CC043C4361B4B44B2D33B720337C1DC4B6F6B481E1B';
wwv_flow_imp.g_varchar2_table(17610) := '81D33AC0BD84091AA344217B4800C0C44AAC44C9CC3B199348758B4017481211C401975C493563493673C5C87B339AE8BCF882B9929442552CC1CA604518B4BD97A30968A489CFE4349B0B35D70446608C88278489DE33C6A06002509B4D47DB4598A83D';
wwv_flow_imp.g_varchar2_table(17611) := '9BA40126F0B4D78A001840909F5B43A45843F0033FABF446AB040E2E743E6EECCEB6AC8CA87B3E20A08E78E4B5589B3ABA84A4BB74CF29CACB00A440BE8C88358888CA2CCC0E609021D0CF1AE3BB28AB0010A83117000105E1B10314FFD084B444B393B1';
wwv_flow_imp.g_varchar2_table(17612) := '879C3B07954CBE3444B2ABC4446C010F90B97F1BB88EAC373D5BB31730414803511804BD51D33CF89242CFC34DD324339524C17B23339BD3371CF837D7644A1A94332690330E458A7FFB48D8D40126E8019223D24D9B344D034E463333E484B81AA8B813';
wwv_flow_imp.g_varchar2_table(17613) := '802F8CFB4127A5810F882E0EB03EDB503A9A783AEA44BA33DC4EEE5447B6644B9830CFA9E3BA1B3012A86B811B50BF1D78CB24D98D2FC2BFF7B453FA894F013CBB4C1C8246908588000662203CC6048064E83B0098869840AC6DD0029850865F00842883';
wwv_flow_imp.g_varchar2_table(17614) := '89D33A2DBA9BB609344848543B1BB380B883BB4E8D400C4549D0BBBCCF6C0879ABBC8E0C49328388CC5BC113A5C65C0CFF0D45633495B42F18B4D1C8638214648231A3CD166CD53C8309335B82352BD6629D82DF44524EA3B755D4814EDBC11F743D9870';
wwv_flow_imp.g_varchar2_table(17615) := 'CE1368AE1DA8CEF0AC0C0429BAF1B00C6E2CD388A03E3325B1B69CBFCD200A0F33476263A43B7D22770D0D4702803C2DBBFB04805508865B888829A8856030D47E8C0934282200908375800983AD19180B864A0584D4005000A854BAAB0049844067FB47';
wwv_flow_imp.g_varchar2_table(17616) := '6A6BCC4E95CC028D080C7D55578D3C0F6D3C39C3333A0BC9374B4DCE43C9982B51DF14B37A83D9D9BCCD540C46D6933843DB5535EB559A58D2955C419725B35E2D56224582DF23CADEEBC8168D091AB0B987A3B99B9438517BB8E2FA466F450AF02CBFA4';
wwv_flow_imp.g_varchar2_table(17617) := 'B34AACADFFDAF1840919F030F2B435EE5C92169001C100000E308C88D8C2FB83D7B7859F7519BBC6CCC41C588542BD28479DCF8800816DE00C2BB8D7C3008046A0869808D0046CD446ED0C1CEB006BABB1CA541013F0002A14B8943535605CB3393B4D90';
wwv_flow_imp.g_varchar2_table(17618) := '6D398F944156045D594D349A8D3C0D7D4617445D00E8D51785895B6C55DF04C662254A337B0C1224C1D9FBB8984C3D8E93338BFB0006D880E673BEE2E056CB38903015D770458A779CBEA8033698208AA8A30EDA905E3011BEB9808007A080E9A247B8F5';
wwv_flow_imp.g_varchar2_table(17619) := '5EC0C90700D4530A858964A8845D688666B0845100005CB0401B1B827180895190069818D873008510715F00088688E8DF7530D8CD8A58668B403300FF003330E004860903468A0AD05898E854C4943613C8AFD8CB33CD830814954591DB3746832F0BF6';
wwv_flow_imp.g_varchar2_table(17620) := '489BE33C391B56D3DCC84783BCCB4B339F2D351BE4B4E2B33D1745330E5E34DC94451A85BC350BD22155DDE11CB9DBF3D5173E3E8A9BD6E29CC1875BBED80043E2B55ACB88C79868DE39645E2078BEB8CC439A208A5D8B92752C47AEB38CDD8289BAFCDE';
wwv_flow_imp.g_varchar2_table(17621) := 'CCD8BF31E68CD3985B086E5F5990056600005450055E88885FE05F4F70B20E708175D082653054BF8D8E38A0896548803FCD8C82A48946458398D8822F3003C5D58244F6B1827C60CC1C01C9FD60803BC9584401FCC2C5365B61108D33CE73B912384914';
wwv_flow_imp.g_varchar2_table(17622) := '2D65D32DDD543E3316C85C198D89DE6BFFDD95D450D72BD5615D331E5861CCCBB32F4BDA618D8AD93546A405E2E26445FB0242A6644A68842F1286420678896CBC5ACF50DE2BBE625D6B01EA48025F63921D804318304730E1000900E3979000D282837E';
wwv_flow_imp.g_varchar2_table(17623) := '705B33E68C3256E742328D3426BBC90A065908063A06005F0080628808424E10FD1C012B180125F0010090822DE80D1590821C88D02D5001818E0E1F18022B983BC03564CBD8DF88A8A838F06359705F33C881CA9C508B2531F82A81CB2B0128ECDC1206';
wwv_flow_imp.g_varchar2_table(17624) := 'C9578C095326E5FC52CD88083818ECE49B23E111D63761763C4E2BC9D42D359915B95DCDE558BECD97F4595DFDE1DB7B8C616EDDA4A501636E69DF5445F77A2D2F04CFE9FCC6E91CFF57282ECF39BC8C5D03801D000235ADC3A5F00818F0000FE3000808';
wwv_flow_imp.g_varchar2_table(17625) := '670EF08097786B98C00A00E0037416E376460A76C66BCB381E78A6AC3550065C90855FF88563F80400F086C1FE853F55026B1B016BF347C37CE0C7BECF09982CB933B2CD2240CBF8D788388788901600F8ECFA6C4CB86B4C0BEC000A068D98A3B74D9665';
wwv_flow_imp.g_varchar2_table(17626) := '1A45C9CDB8E4D6BCB9C673D5D165DD58FE4C92A4654FABC5A010395CAEE199BD0CCEFDCD490B522F4BB3DC165699246ECBE039CCC05AE635D3B8B4EE3C9C3AB1F635B166B01F1012C925AD708689D5AA0C18316F98488DBBDEEBF5EE0C34D6C798888365';
wwv_flow_imp.g_varchar2_table(17627) := 'C0053A4E0555F8845AF8045BA8E7C5463B7E34CC6F63B20B34B204DDFF2C189B44BEED800196C07FF4636550060A59E05718873F3003FE2460833CEDB47D666A448AF6E2AD410335DD9DD6F7AABDD18039CB78D144EBC1DD4E5D1E1C4DD5A5899BC48C39';
wwv_flow_imp.g_varchar2_table(17628) := 'C3AFCC3846DCDB8C155D3DFB7A2D0A4082EC5347987862AB7CC752B40C3A543FB42C12AA5B72AFBE5E98F03013382D134881277F1192B03FF566EF30DE72A4085F7836B22DA8675080032BF00298F80200B885FEBD70695BC0213B3769C3BB006D5C6F33';
wwv_flow_imp.g_varchar2_table(17629) := '4415883B05478AFCF5630000875140944A008789F2047000048F060149C4709868470E2088117F3D28DDAD127FAF582CD1CA802FF7F2700FC7F4E18BC2285C4D547CE5CAF8CC52B72F98B60C660EB395AC014A57FF69306B33DD8D0ADC5BDD15068A9CA5';
wwv_flow_imp.g_varchar2_table(17630) := 'C952B32FDBA4C56A8C2E1ED03E71DDD63934BCCB40C7B4C43AB44CF622C911B24C6B46C7918868C795608D98C8F2F6ECF26CB78C2F974F9AF8532B908233078033F7822AF8027D7D48199BB6BCAB001788BBC74EBB04D76C4694C0D31A8109783BFADC02';
wwv_flow_imp.g_varchar2_table(17631) := '3300640038F49838F446A88448EDF7C636BBC6B4B698D880866B2F4F3B694987BD1058F88800E3D86EE98B6F3928C58C16F44D0D7608DF045D5353C11A47CD9F85CDCB8BBDD11533586E5D63D6B3A20CB39F84657A03B9918D71E7E6B4FDE22D9EE3C65B';
wwv_flow_imp.g_varchar2_table(17632) := 'DBEAC2E3EE256F121F714315D8810B049288480117294BA2A85422C191F76BC716F808A498476CDFFF72749E576D9FD7FFDB9A6E87CC038E082E1883441E832B18032B68842D30BB7A1DBC35382D8836E0489554C08509C0AD000636DC98B0FB2B8808B6';
wwv_flow_imp.g_varchar2_table(17633) := '070034D0822D48E446057C2A13D0038F081EDB2C151860F70A814D5FF8895F78DADA0048EFF093A6098D77F5CC70D9161C71E6DEF852635D0C28F16566330ED6B7359B46E0ECBD644CEA5D3DEAC89B3DD42BF9E5534BAEE64A6E0CFA2501022131FA689F';
wwv_flow_imp.g_varchar2_table(17634) := 'F698388988F030AD4B72A28F09A9B78118588D148081728481C5B03FAFE37ABDD676F9017BA4B082312883EF1F77004873B5738138506800E8F7C185094068D43570B620700140A8802BB0CFF52758BC5B3617C8812150E82A0308170086B820FF3804C0';
wwv_flow_imp.g_varchar2_table(17635) := '40840A01745888B082430021006CA048F104008C111186A8B86205428D0A41820C0980E4C6931857882C9912A58E853A70CC8CE910450D84281096D00920E74226086B60E09851214D99086DB2F88970454C243D1022593215000F003623E69C0880C60A';
wwv_flow_imp.g_varchar2_table(17636) := 'B00869D4000A2001C222448000600B64EDC61D6C6DA86801C0868D163622A66801C36E4A847BD9DE05BCB0C50D00896128340100060485F92607AE6CF932E6CC9A3773EEECF933E8D098F32184A3D042870E164A6FBC13C746C3110D334F5828708B1285';
wwv_flow_imp.g_varchar2_table(17637) := '72E26C01D01BC00886086333EC50A121440016922BAF506179C4D911417858E85521C68915379ED8E0D2E38915DE03BB5C4823E4FFC793EABF465CB113218EC05B71D46051C33D4A9FF517C68F0FE083512BC1B79443F1E174924B4800A020425629C404';
wwv_flow_imp.g_varchar2_table(17638) := '0FFDE5141F0D27DC27D6795FAD50C3440C2064C45B6D89B8101072D9E0965D7B45E41742299800020C26380640750A4980D08B290060984289EDE82363322E04473F004C469A68492AB9A466FC30F924945102800F6BC34104020010FDB65170C3A586D9';
wwv_flow_imp.g_varchar2_table(17639) := '1A0AC5B1D01A562034666ED175195C97A76599E476086910D19CD659B782761AB15451781389845D66023EE5507EF0F97759790EED07000E8D360A0006188430E97A20F5F798A2087E54830E4B3058D5543CE8C00384F0D5706978E781A52A59EB198010';
wwv_flow_imp.g_varchar2_table(17640) := '613FC01A2B8976A9FFA0A2427DC100828E386E24418D14001019051CD486E38C2EEAD8AB631E70C081B00B1D2925B5D576E6A4B5D96A1B583EF50060DA700C55802596005C0140100FA53642700DAD8BD08D0B75201042235470C5B9F4BA90834239B810';
wwv_flow_imp.g_varchar2_table(17641) := '9B0F9925C75C60B229845C6AE5CA0940060C8750E79C1349BC5045219C504277856EF0A7487F8EE41046825A9668818C9E3A684A281CAAD5A5006800205700BC67280B28AC5002581B8274958259E9C0444C3199F5F153AB46C400036821B403D34CBB75';
wwv_flow_imp.g_varchar2_table(17642) := '1800B72204D88B0080D0ECAF0E5120C1030A75DDF5B00E7140E3D8634BB0C1D60050A0B491946DFBF6DBD8220937DD4CBA4DE5B71B5D096F05374AE7509B0FD5FF36DB6A0EC52BEFDF6F020E5CB80743D970061A34ACD0C31A4C1431451D85BC71C71B67';
wwv_flow_imp.g_varchar2_table(17643) := '1EC2E4802E54438611951002C622DCDCDD4907AA8ED44F2CF8D7D4563FDD8C9F4B38D19ED4800B6F9461590E8920B342F7D5305555486445E065AB9E00D67D153D90745BB88A0884AD3BDC75985D3546E481041CDC28BEF80855343642D1520081B01408';
wwv_flow_imp.g_varchar2_table(17644) := '5B768D68479BFEFC6DCF5D37FE4FCA9D3FFF4AE20DAEBB10029D873C493AF1225865A4B32679251033C28A800622509485D4898296BB4845365002905C272271D2480787721E9778256327198FC77462BCA694A5295CA9C1CC40D83AA5300A3320699542';
wwv_flow_imp.g_varchar2_table(17645) := '503091F47C04271B5A88A7002094B1FC646827A9FF5046C492910D44000008400B10AC679716F0888A3052D846D0B735616D00585D44DF8C14823EF435C622C35ADFFA1E008107D46F5AFD7B6368B005C73976E67FCAF9DB7212B7102C3230800C24A0E2';
wwv_flow_imp.g_varchar2_table(17646) := '2082403D122734C85108733A4081073C60821880A0CB9A08000956F0611D5908462A66B90A6EC07290A39CA2CEB3410EDA49221BF44E097672B31CC2D03D30AC8F110F5502EF6C2C4E07B249ED4E50A70FC04C2223110B0A36004389A0002738B98F0E18';
wwv_flow_imp.g_varchar2_table(17647) := '8490AC50282C3F54C909F444B939450001E92B8C42ECA223C6F8E56A570380632460020F546D2133AA8E63FC4235853006068C61A742DC174FB5A50F6CAF42881BE9A84FCCC8719FFE74C864FFF6B10F7C780B5C0E818871145738406E463A1039DC4612';
wwv_flow_imp.g_varchar2_table(17648) := '1A51CB102C397EACA81E271941474E1252126C62512018B9913A0C6272B2E49C366992C044F32816B3D876C2B39E996EE495B01BE6D064AA1EFFC4672BB5FB4F05539843996DE864F649668344C584E08D8574113981C4C0861604202032DA038C5D8274';
wwv_flow_imp.g_varchar2_table(17649) := 'B571961300377A910996E5170F80407B37D8015DE602801804E6068C791605E21491D001D46DFFBCAB43FA89D7BD2AC43409758E7340B0D0D5A0C602E51A9772125B38C25A60B189ADCD046AB39CC62A67B2956D2C66197BD9CC7276B2CF512C732C8B90';
wwv_flow_imp.g_varchar2_table(17650) := 'C8740D038D74888700E021A42184011190E403522AA70A6AA0B6B6ADED0743A6FF1E92652723506D29498687829E54662740894F4E923B4CA2D530250F8B142805E5959D5057662FA861D078A0CCE2A10423A7649DE4A667CDB39017003B506744C807AC';
wwv_flow_imp.g_varchar2_table(17651) := '1B89B30558FA0B15B5B717BCA0D5BCDA6BDA0E641511C790F13293A30001246357BEDE55AF04F6273EE691373CF271A19EE980C11C3C01C23A8EB20E0E5746374261CB72F8398D85881A1736BD4692D8B40CC00003A6A75A12BBCC7C0AD90E051EB68119';
wwv_flow_imp.g_varchar2_table(17652) := 'D3782128C9100D72ACE3D2B184247DE2490988DBD2963E25B9FCA9E1CA32B33C8400A82830F3985C65A60316D42E299ED241D07EC9E31EBBAC6B6849009801F00009C40008EE84D1429C55A31BC117562A90159CDD421822FF2C8D693108E3F010F2ACCF';
wwv_flow_imp.g_varchar2_table(17653) := 'C8359F07F6E7FEFEBC4F7ED82322379AC0A1DF44B06365E958B5A9C00420C2E8854C1A008C7E7464337D694B43BAD391FE34A715AD69C88E5AD33762DB3D5F956A85DC1300013E00000EB0DACB4420B5B085D47F72CDB05D37EC651AC0C0AF83EDBB8548';
wwv_flow_imp.g_varchar2_table(17654) := 'B228C6E64806F284418AB0E43A2A95489C4002C35466A428B06EAD4224D962975D9227DF31A242648B1063B39600010E00425EC536F0912F325E159F07AA7345C6788F9B78B1C138E30DADB32D3201529DA4D2FC2DE6CC30000111400B1A00400F3F0B9A';
wwv_flow_imp.g_varchar2_table(17655) := '8E066E78FF26838F4203C00A3E50820FCC240525A449E33E9002003E6EF18D6B5C092337F9C70100722B985CFF21077979C02C8E728C631CE415BFB8CC651E7233A91C213C5FC8C5834EF38B23C40707B9AF8294A9BD05DDE0063CE04162A04E951BF460';
wwv_flow_imp.g_varchar2_table(17656) := '073DE80183966E5E23709DEB003082421494842924210A00307B12A890048724E1080B713B00DA7E84B923E108484802D88F300523AC7DED0AA94212AA4005C00BBE0A007842DC1192F6C51F1E00867F7CE3014005005865090B4182828C8084AEF73D09';
wwv_flow_imp.g_varchar2_table(17657) := '4F98FC139E507884885E2153404813EC6E77232C5D0731783D5B6F6003A711C1EF0EA94215AC508534553CF70BB102177A0E002514A1086901009D8D6F0422807DF974663EF2E98C90E7831DFAD0477EF58D600B00D483E110FF3EF8AB858F89C7A3FCE5';
wwv_flow_imp.g_varchar2_table(17658) := 'FF5F473CD0BF8E88A03FFDE95F88FBE1BF7E00A89FFEF100C0FDF18FFFF92B64FEEF4748FCCD9F0022C4FAA19F43E41FFEDD9F022620FAC10342C0833C28843C446004BAC30452E0054620045EE0033A2000C0030422440402C00896A00652A0048AE003';
wwv_flow_imp.g_varchar2_table(17659) := '2E84038EE00A3EA00B72600992E0076E200D7A60444CA04238200EEA200D962004F2E007AA20098EA010CA831046040E7EA011EEE0102EA1047AA001BA201386E0FA21A14308A1163E210E06A113C2601762610D0EE194D083FD841F1AA62194F003A1CD';
wwv_flow_imp.g_varchar2_table(17660) := '831BCE833DC4211CDAC31BD2831B169A1B02401E2AD81BC2E11EC6A11EC6031F961F1F02001D26204298A11DC6211E16A221161A234222C5FFD98322E65FF925A0F9E9A14398A1B7D083277E62277EE2272A9C2292E23D00C03DD0C3297A22298A22289A';
wwv_flow_imp.g_varchar2_table(17661) := 'E13D8CE03EA0A22BAAA22DD2433D7C623CD0433CC8033DF8A2C2A96004A6222EBA623D1CE331E2A2B7E4623182223236232B9AE130CA432CC6A23CECC305FEE2FD79622F9220367A623DDC433832E302D2E002F2223A2622388A6222BEA13DE4E21CE6A1';
wwv_flow_imp.g_varchar2_table(17662) := 'C2CD8319E221382EE33B22C41BE62233D6A23FFEE33F4684F7A921DC041A41D2CDF845E2F82D2441E1C33D30244446A4444E2445BEA345D6C33B52A4466E2447DE83477EE464E883488E64387EA4499EA44922C429AA244A7AE494E4834B5E232AC62146';
wwv_flow_imp.g_varchar2_table(17663) := '62A444462220C6C32CE6DF2CFF2AC43DE8433E70A4504AE4FD0894511AA54C02A01EEE43398EE04D46A252CEC33DCC6124BA242A9EA443784B6044E44A3E494B7E2556E2D3FD1C64419265FE24A43D101A1BAE653EB0E191B4E55AC6A55CCE25B6B02142';
wwv_flow_imp.g_varchar2_table(17664) := 'D86593D0654AD0255FCAE564B8E55BBE255F06266112A658162662DE434F3E6444F2254E52DCFDF52442CC225CF6A5655E263F0CD8511EE546C4C33F00A2B454665CE2A43E3EA242E2C3B418A64200E619E6D5C3B58D587A0662CEE65BB6A659DE266E56';
wwv_flow_imp.g_varchar2_table(17665) := 'C65A6E0466F6A66FFE261B3E661CF2E567D0A6711EA71B21665CFE2570AEE5F8ED431C426774CEA23DE04373FEE65B8EA4769EE24A9EA451A6251B7A24735A661CE69F70FF8E1F618A2400F083764E664FE2E542C0A7802126DC0C646E5ACB58DEA7B65C';
wwv_flow_imp.g_varchar2_table(17666) := '277FF6275D0A675A82675C16277216286D1EE691F0A575C6E582F6E573DA83747E264EFAA75CDE255B1E897666A83E00664019A58512E65C8A25DEDCDF79A266608A241BA26866166644C82782AAE6B6D8A77E4A497ECE6894E00D32E6684AE4288FF6A8';
wwv_flow_imp.g_varchar2_table(17667) := '8FFE2890E6A81B1E631F16E93ED6C3902E63902E299336A993E6E84546694D4AE9452629005E62260A224210E93C3CA98F6EA9C2F5A3326E298F66652D729F42B0628FCA232262A9FE05E342DCE331A6E93DD2292B92694400A419BE8D8CDAA89F365C8D';
wwv_flow_imp.g_varchar2_table(17668) := 'FEA9A00E2AA1820669F469A11A6AA232C93F20841F382A1CFFF841A4462A003CAAA5562AA65EEAB73C6A24FC41DEC0C11B7C0B1C8C6A5F95AA6990EAA97E6A953804B844422428C4AB02402440C2AB4282ACD22A00D8EAACD6EAADF2EAAEE6AAAC02EBAF';
wwv_flow_imp.g_varchar2_table(17669) := 'EA2AAE166BAD1E6BAEFA6AB02EEBB2460223BC6AAC3EAB2140EBB32E2B2330C24218024268ABB60240B77A6B6574AB2170AB435CAA1F3C2A42F4811FA8ABBA2AC4BA82CB1DC4EB1D9CEB42F04169DCC11BDC011CE02BBF86AA69F0C1A9062CB89C6B213C';
wwv_flow_imp.g_varchar2_table(17670) := '6A2120041FF881BDBAABA36E2AC026AC42CCABC22A04220040C52282215CACC5FE012278AAA71A02234C2BAD3E6BB5BAEBA31AD4AA02C01DA824A22E6A6704AACB6A0692AC2C94C0407FBD0D02C8480AFFEC6C8C3C491861868C8451D036869064063995';
wwv_flow_imp.g_varchar2_table(17671) := '91AFA459759053758840BCD1C8D32E2DD44AED462CADF79417AB018001CC9A87B45A4404D846802DBA2D490004D86BBD96421C80B9ADADABB56D80BD6DDB3A04012000D8A04D065D9398C9D34270809A950D3D8D97DB2A04D8B66DC22DDC80C5AC68C02C';
wwv_flow_imp.g_varchar2_table(17672) := 'E26A46C22144021C5C797D99E34A6E98556E79ED80B02400E09EC5037C59E77E8D6580CDC0091C98750D051006F22D04D829C9F3A56EEBBEEE421081EC2A84EC4A5F4AD42EED46DF5BD42EEFF62EEF3A5FEA22DF5B00C10F48DF5A14EFF0AE85F2BEC50F';
wwv_flow_imp.g_varchar2_table(17673) := '24EF0FDCC0DA742E425407494C4A088112423451133D401369406C755402149C872080AAFF2D84C049EFE3FADBE3320C070419718D9BB62104E8CEAF98799924CD4F0CC840D3F5C00DC800ECC548CFC2400CF8C8D22D9D0DC4000C384BD82804B1881101';
wwv_flow_imp.g_varchar2_table(17674) := '146ECB2EAE046B8B1B4404E54EAE6A8519798199E69E0514B9DBAB80ED13A5843595F067A4C00FA4B00A875FEB2E840AC31900C0B07E6D440A07C67D45047EE530D3DC1B5E38910FB3D1064C8A6C798549792FB631C0AB78086C8DEF42ACADB999EFC151';
wwv_flow_imp.g_varchar2_table(17675) := '154248F1FA1E459065C004692FB17594161FDCC1159CFC22040B84D563C8000CBCC00B0C2D8D2844FECA801BBFB11BF7CACDA6EFC0A9D10393E0424EB01EF34FC269AE1F8FB0D77454B6F9B0202B84F6704007A7DB598CB035F9F1067C472E234FD5544D';
wwv_flow_imp.g_varchar2_table(17676) := '719AD53042CC301ACA700C6FB226E7970DC0D9ECCDDE258BF246A888F5A4C47C9DB2E4768457F492AE35D904A51BF92E04D8149C0158D3DB1AC0E03AAE4298F01427C09CF40471354CAD85EF42181C32575335119B35B94F9E8595B290B18E346DAE5406';
wwv_flow_imp.g_varchar2_table(17677) := 'D63451220F8B1A75CD1D53E11E734640000021F904050A0000002C07000D00D80158010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C485120BF7803F555DCC8B1A3C78F20438A1C49B2A4C993285326E427AF8FCA973063CA9C49B3A6CD';
wwv_flow_imp.g_varchar2_table(17678) := '9B380FEE4B8728A7CF9F40830A1D4AB428BF7DECC6145DCAB4E948688C0646724AB56AC57486FA091C45CBAAD7AF54F909B405B6ACD982F900B08B951600BCB370E3CA9D4BF7A5D6BA78F39AACB74FAFDFBF80030B1E4CB8B0E1C388132B5ECCB8B1E3C7';
wwv_flow_imp.g_varchar2_table(17679) := '90234B9E4CB9B2E5CB98336BDECCB9B3E7CFA0438B1E4DBAB4E9D3A853AB5ECDBAB5EBD7B063CB9E4DBBB6EDDB8C6FE0DECDDBA708CE3774F71E9E570380DFC4932BA70923C640E191830B84BEBCFA5713009A0388C1FD3275EBE08B32FF00C001C576EE';
wwv_flow_imp.g_varchar2_table(17680) := 'E883AB570FF986F3F0F0895210815DE0FBEEE7254BE70823BEFF9332C026C37BFF15E8117200A4004080B2C1A0A08110F2271083115608DF0B145AA861440434B8E187138D51C64044A8862165DF81781601680CF406000870919A7693A5A86259018C08';
wwv_flow_imp.g_varchar2_table(17681) := '1B8137F65850006F48E1E390CA0540E491482A4440004B3699E493504629E594545669E5955866A9E5965C76E9E597608629E698649669E69968A6A9E69A6CB6E9E69B7002A6CF3D73D679CF3D71E6A9E79E945501801755780140A084026A68A056189A';
wwv_flow_imp.g_varchar2_table(17682) := '28A28A361AA88C7C467A5087113C008006146C70E9061A70EAA9711480CA290099765AEA06140C44C1031A7020E9AB0385FFB0C10A289887030B0ADDAA2BAE0ED500C00BB0BEBA0241BED6C0EB41BE1A8402AD0030EBECB202411BACA42BB04083AF3824';
wwv_flow_imp.g_varchar2_table(17683) := '9B6CAFC346DBEC41DD4ECBE7B604D11051B7E60D5443B802AD0B00B9E276A903003AE0A0430DF742942D0E126D0B6F41FFC61B5FBDF30EC4AF7935A44B110EFCC25B30BF06415C03BF2C503C12BB71255184C60070AC71120014213058F60200F1C3EFB6';
wwv_flow_imp.g_varchar2_table(17684) := '5B11C4F41A5C2FBF04974C93B926D76BD6C71D8B2C90CE021D51C411237B453041D9B230F1CA2DB34C14C6706DCC33413F075D97B11CF16BAFD245656BB2D4FF418C82AF087F3DECD7B64EACADD605D77C75CC43637DD3D15C87C732D9B4266CF7D715E7';
wwv_flow_imp.g_varchar2_table(17685) := '6D72C5366BFF480410712FE575C275931D70C402A51D38AC7633BDF8E32D2BBE25E03FEC50F90F3F000EF9E69C77EEF9E7670EE1830AA097AE44E9908F00800B710CB485045A00B006EA710F1187054D75A03AED208ED00100BA9FF53BEFC417BFE7F007';
wwv_flow_imp.g_varchar2_table(17686) := '212F1008BF4B609CF171ABFE80A6D0C75941F2005430FCF520080481401A6050FD9BCA1BA4FD41960EF480F83786B0A6F6D7A314FFF905D1BF90FD07CDBF7CFCF513F401031A180F0000C800F601200202A994F858A59913D8048167F21D0076B7BB81A8';
wwv_flow_imp.g_varchar2_table(17687) := 'EE8213CC20063798C10C76A07C1BE4E0082EC84181505083132C61077F37BC11484002E93388065845C34BA52F5593E101BFDC07800D6C2004AE4A09B3FF0A522982C4B0234FFB900400B0C426BE90892F8CA214A718452856D1204E9CA215A9C8C42E66';
wwv_flow_imp.g_varchar2_table(17688) := 'D18956F46242960800033084000728481A2D83C0031CC08C662CA34918F080F110A04300782300EE480003C471231E3081093C404826724002AE8240022CB5C8F8AC610D7178A4242749C94A5AF29202B9A4263739C94852D2938F04E524CDF022D794E1';
wwv_flow_imp.g_varchar2_table(17689) := '94A884C929C7A0143FDCC10F7C80432CEFD0913FFCC10F7080C31BDED0A281E8E83FF410083DE8B18E61167320C11C260094C9CC60CE030018C18840A2B9CC6A3EB399CB4CA636B3C94D6C129399D504E737B9699060CA0300E714483A41238F760AE44E';
wwv_flow_imp.g_varchar2_table(17690) := 'E8346730E3B9CE8EACD31D6F81873EDDF2FF168FBCE59CF1800740E7F99F74AE4320079547428BA9507A34B4A1DFFCE6410F1A8F8342531EDA2C663193F950862EF3A11F652843BF89D1918AD4A125A5073C48EA9A7F1A249DF524493F67EA168EE8131E';
wwv_flow_imp.g_varchar2_table(17691) := '16BD513D06520F7AECD4A7CBFC693D7A3A549F12B5A80078263287E9D3A616F5A94735AA54A12A55A65AF5AA45C5EA4F01B0D3D638144F00B8133CC17A92AB3295AC25B18785C4CAD6B68ED5AD62C54752D50A00B5DAE3AEF868EB3BC54A10B786D5AF7F';
wwv_flow_imp.g_varchar2_table(17692) := '65EB5EC53AD47AE4431FF5406C5AF461548510B433F738E73C0B4B59AE86044F730AAB3E36AB9139E5954E00688B9EF021570090F6AEA84D2D3EF2910FD2B2F62672DDAC403A0B00DAFF6A6434F698075D6BC2DAB6EC631F6211983DFE7157E2DE951FFC';
wwv_flow_imp.g_varchar2_table(17693) := 'E86D6F638256DBDCB5266241AE45C4225A82ECB620CD55D33F00805CE4963652C90D6E3FC64BDEF26AE52E6C6A877ADD7118F6B2C6BD22694742E03B1077B8A31DF6CDAF7DC7E7B9AEF2F7BF000EB080074CE0021BF8C0084EB064D0ABE0063BF843E30D';
wwv_flow_imp.g_varchar2_table(17694) := 'ED83E194967EBC21B8137653260C51CA0CC3090EEAB811833D8C250C0B64BB0D1931580A3000127FE6B10769EE76D91117011400742AB60D3BFE710D00A0E119F40D8C0304D262177B6618203B4C168A6CE4CD442531B3788403144090EFF6A61F28965A';
wwv_flow_imp.g_varchar2_table(17695) := '2500908AC50860C84DCE4C38E891896C00E01688B9B175C49289C06539FF314C56CE3FB09C0A62EC29C703CE0759EE9C60E4DA19BC07E6473F601CE6421BFAD0884EB4A217CDE8463BFAD1908EB4A4274DE94A5BFAD298CEB4A637CDE9FFC0F5D3A0EE74';
wwv_flow_imp.g_varchar2_table(17696) := '81FE41EA529BFAD4A82E7575450D9E5DBA6197B08EB5AC7729900EB33A3E30C8B5AE77CD6B5D67A73FFDE1D1AD4144841215E46FC8D6DCB087A3396503EED9028176B401F0ECCC591B083F58766FB05D396E0B0473E006B7E5B20D806C638E20E4D6F66E';
wwv_flow_imp.g_varchar2_table(17697) := 'B2BD03CD55AEDCE77EF70E0632EFC6446086065477536CD0106F036007F3E6F75C0428100420000318585F0C11E0C7984070800341400410C0800440F07BFA3648BD09C3BE861B447C0660800118DE2103F4B18F08FF4800008EC81104421001308AC078';
wwv_flow_imp.g_varchar2_table(17698) := '249E7188F0BBDD0F113855085E469E13643C2327481FFF88F18E4CFCE80C403A41545E73866C3C222AC0795308EEF19F175C207F441F48643E7188437CE22C6F3A482A57EF745305E607113900982E903BFA310108287A4520C8758927DDEE494F3ADBA7';
wwv_flow_imp.g_varchar2_table(17699) := '848B60D866DE4000BCE0A3FD7483989D281034C001D0AEBE9EC35CE5786CFB485C4E73180DD0E707A4D22A70911071D87ADD663F7C5318BF3E831820012587A3411E0001D687BD212ECF3CD7318F004B3DFC49AF904542CAB1ED7993BD2A0804FA1F8DA3';
wwv_flow_imp.g_varchar2_table(17700) := 'F0321A5C8E423F3E498E5EF9A557FCF64FBAC59F0B02F7570080F7B7C9B6B20952F8A07C4020E2D3A3FF4014CE3E91071DEB963F3DE3B76E779927A491511A85407EB18A07151CED46C24D7DE80D977C4F0A0127B77E5B977703C475119000986725A4A3';
wwv_flow_imp.g_varchar2_table(17701) := '1C36A0735FE17330F73CFE3710A8877C05A772092811CC977907C478022825C20000BFD0787B371C9703706731815737742667460400732917836BF7810E51775CB776195825CCB07AD6916E40E08054F17A5937102747810251823548105D57700C2040';
wwv_flow_imp.g_varchar2_table(17702) := '0C40835A8284C4117881277A4101726B947008C1705787757E04737144830C90010050026E531034577902048555E20130C274069009C6A61C55683940F813C6311E3C173ECF831027E747269700AA87768438400F5002B0D77E04077D5BF24709FFF007';
wwv_flow_imp.g_varchar2_table(17703) := '4AB11CED0670DB778503117202014000800101B48696571023F782E7D7850381400E047B07947496C7886C18251507739F4710556008F3060700600583021B54087844D1870CB046A5577C60C8102387766138106358860C618334C773AD482529978300';
wwv_flow_imp.g_varchar2_table(17704) := '2070296029D87105B2F183ED76873FD17199681C092740E7D7477B1488A22888F7278519403308618304187397F88CD02888CF187938F41A00576F3F58893E21406FD4841A008EE9C370EB677230128630088347988964C810D2888C0BF925F26810C727';
wwv_flow_imp.g_varchar2_table(17705) := '85A02170DAA7733F1875DDB889E867440104874267720008776C2788E8389105018199C8101CE0012F892570B76D07F183D4F66F40FFD18732547A22F78155F78602689211D1841207733207734F384014677104E18630198532A81043F81A40D0023600';
wwv_flow_imp.g_varchar2_table(17706) := '0451B703DC7813C0381E3354716A6710911791112711EF9889CDF7890811441C20775622945BD894DF930015E001752910FCE319D8566EFB680394B8953661467A782900F07D3DA7966B37969F389304C1782780880AA18A3F477114E7750A4101F75825';
wwv_flow_imp.g_varchar2_table(17707) := '333993FC989815481013E0012F744800000112E0969971950EA8023619147A088C33F401251847C798720CC17496C28E08D184C888948D79800824776EC80198592625B7766062400F7984EAF71045940122802B67D8100F50298C287689B1244297120D';
wwv_flow_imp.g_varchar2_table(17708) := '2911DAA99DD8891B88FFE00890E00800E00888800885C0107EB0107F20108C6008E1F91A5AB10F78369FF8999FFAB99FA0D3171F2158F8795D82915D27210FF0A44DF440A0E764A0038151FCF9A01F820BBF20A19C27A1218166074116C0300C2AD11529';
wwv_flow_imp.g_varchar2_table(17709) := 'D165B12010C03011B9C065B1900A21CA9FDDD30216D00220D00200C0A22EEAA21401A32F89021E403D05B17F28812028113E99E743B272021B40A400202B21C034F9E63ED4A3033C809F0B38102AE002535AA554EA0240E002D4A6A559BAA55EDAA53739';
wwv_flow_imp.g_varchar2_table(17710) := '104F0A00D001033A00032F70A6698AA66AAAA61F8103C00213B7923200803706E12B2B60371033A600B0043DB004008004800A007F2AA8FA56410B11A50F416E3AFFF0022F60A666BAA6F362A605D11FD9412F96BA3000802BE4F23524611ED5922E0AA3';
wwv_flow_imp.g_varchar2_table(17711) := '32755AAAE132AA03B1044FEAA7832A1048A06D5A9A42B19A10B14AA54380A52E70ABBACAA59A93A902E1A8681AA998DAA80711A78DAA34DA623877033676933074EAAC24312C2B30ADD38A02BA4910880899D1522C5B53107FFAA702B104AFAA6E888AA8';
wwv_flow_imp.g_varchar2_table(17712) := '0441A5AB2310B74A3A5D7AAB4954108D4AAC693A10F392A6717AA90AE1A9288003FACAAF60C3AFF7523128902FD3E911E932ADDF42108E93103CA0AAAC2AA87FBA03ADCAA7507AA50B483A2E80A5AB73AB0371AFBF3A2F205B10F72A390931319EDA2E5F';
wwv_flow_imp.g_varchar2_table(17713) := 'E32B1563360851B01371383570380FC1043AA0AA7DFFFA10323B6CB39A101C1BA6FB9A38DA7210242B105773104643AAEC32B08943AF451B33F43A31D2F9B30381AAE5B2B0C802113AC0040D0B000DABAAAF3A6FE2CA0348A0B5103A022AB080662B1018';
wwv_flow_imp.g_varchar2_table(17714) := 'DB0306C32BFB8A2F2C332FF88210432B10B892A7E6012DE9D2B48983350F63338A03B54B4BB4DB72AD2731B6632BB105C1AA748A9FBAA33C2A90B603C16FDB32B01023331571B428DBAC06B32D45AB360581B9DD4AB40C43B41E7B12FC42B3365B1040C0';
wwv_flow_imp.g_varchar2_table(17715) := '04488004F5C6037D03A10BE1A9180337A10B110893322A4B34544BAF04712F7FAB10396B12359BB5D0B104126BA8374BBB0DA1B7A1EBB299FB2E0D931069A335BD62B7C55B125ACB033CA0B54CFFB003AECB0353C0B5807A3284DBB88F730B9CF71803BB';
wwv_flow_imp.g_varchar2_table(17716) := 'BD13712C0F11B2754B3429F3BB29B1044EAA03E30A0046C0BF2D432F4C003ACEB015CC200B9C573E7431022FE00160C3BB6213B41523BDA81BC00D81BB37B1BA7DEAB014AB43A5D3BECA903D7F11A7D24210A0BA2CD01A1AFAFB1C640B00035C3DAB3004';
wwv_flow_imp.g_varchar2_table(17717) := '0A3C17A06AAACB72C2D122AD7D0B113E8A18F002A82F5C10415C3ABF100C4A30C371D101B852C3D0ABADC871B2475B31A33B197E7BB3DF9B36F50B392358C4C02310484C172260B577BAA99EA1B50533A6DFFBA443ECBC1351A4A321BF039CB5FBEBA4BC';
wwv_flow_imp.g_varchar2_table(17718) := 'E3090461B6F1A3A815C13CC1431527708AA011B3F4FABDA94A2F2B9CC58163011DFFB08016303B20710515C03CE64A14465A02C362C97483BF8FA1B97DFAA4593BA61A4CC1034103862B298F0B3C23D00843E011800000AD43107A4C1449CA43A511C4FD';
wwv_flow_imp.g_varchar2_table(17719) := 'FB1162EC26BBD33C2281A87949143A5A1A3A2004854C1034EBC2EA2B1034B002CBDCCC00602EA40C1441940230D002D52C6CE1C142BED30856200721D13DBFC33C4D41CBA931AECA3B1064AB35140CCD3400C833E12A2F892A03B14441542015D401B113';
wwv_flow_imp.g_varchar2_table(17720) := '12BBD33D03D1C75CB2C21201CD007002DFB74632E12AA9D27A2B8743A94201F5EC1F5FBC11F1C3422644190E7402C3E2CE7241CC04D1B0F3C204825C108E13CD034D861577BA2AB101C4599C0AB1444F39CFA80201A912CCB6FF11D115713DFC63D349C2';
wwv_flow_imp.g_varchar2_table(17721) := '34839AC5787A1027900118709D2421011B40CF6B491E88E4864D39CFA482990F4001A8C91B3AFD102C843F16EDC602312B3D5C17006D2D254003615D023580882BA0AD0211D42D591037D00219621296EA1C4C9D10188743AC472ABD813B05813B8ADCD7';
wwv_flow_imp.g_varchar2_table(17722) := '556D3E1D703D7FAD182B1002493A2B0281D6799136632DD6629DD804212B19707BB507A325A11B4FA795649A8FD3662311A2C07A0D11810D3CBF4C19B4BC029A82D825302B2560C975CAACA50ABF4B53CA1FD798969702968D12DB67390361D9F09C9920';
wwv_flow_imp.g_varchar2_table(17723) := '32D8A2312B9A42CB0AC301961CC69A0C16118CB7B4322C3F548A68F9008B34D511D17D07B103A46303B9660299FF7A489A8248C0AD691AE03E4C3A103F94DEE45C172870D806C1293AD998C5D8D41161954FC76FD50C03FC0C00735D740ADD78DF0301FF';
wwv_flow_imp.g_varchar2_table(17724) := '6D21B93A1B3A50312FF0B9F402A72CF0020DDEE0F64A2F28FD15B22BBB76DBD505912AAE62CD29607F11310420F383B9BD3CFC8D1DDD6302FB3D10C0E6DD00C0A320B20D00D00DE000E3B5210E8AF10DE14013DD7010E1B0E30391E33D1EE4DD20E4420E';
wwv_flow_imp.g_varchar2_table(17725) := '003D6EE43B7EE43E6E1DBBF54C4A25A0A5416888914C61B50F0C1A5323A15B05A154090163545E4E0BE14E90D617FE090065FE4ECBB40FF4A0E66C3E17BFF55B7D154C917512FED510755EE74DB74E6BBEE76A6EE6C1C4E6F2B00FF7C0E784CEE66BBE14';
wwv_flow_imp.g_varchar2_table(17726) := '6CFF45E878724EFE49A01D510F50CEC6686EE68E3EE50321E8E9044F929E1C60B50F5A6E12AB756958BEE9A42E6A5D56EACA41D3A8AE1C30F0D0ABBE1BEF31DEAF6E1B3260028CC48121E11EB39E19CE719C046140110001DDB9EBAB718F77B489797810';
wwv_flow_imp.g_varchar2_table(17727) := 'D69D103D7003144BEC9421807D48D413E1D9D05E192AC811CF7EED9891ED6544EDDC8E1ACB19EEE40E2B8252EE9D5105A74311BF84EE9A91047348112DC20563D0221EE0ABEE2E19CC307D15810CF9AE19D98008D520122230D7FFEE184AD10D77F09E21';
wwv_flow_imp.g_varchar2_table(17728) := 'E18207EF18902212C7FEF090414B147FF1189FF11ABFF11CDFF11EFFF1201FF2223FF2245FF2267FF2289FF22ABFF22CDFF22EFFF2301FF332FF3FF3345FF3367FF395419CAA8EF386A1A31B40B5131E12CE016C0B621F3C10206C6B128724D5A72901E3';
wwv_flow_imp.g_varchar2_table(17729) := '2DEB275F1E1BF01B22A0D824E11C298021272203478FCD23E1F413C044143001A6E9F42E1F02AB0DDD887802184E12C012205C1F201E6E120F00F6524DF64EDF964E8F488864ED1CCFA42140A4809C01565F120182A6F8CAB531B0ED22D196A42910A439';
wwv_flow_imp.g_varchar2_table(17730) := '0114D0F41460F0246F980030ECCB0E12593F103240216F3D120A629A6D49F6DE63FAA62F101E10FA21FF01335098FE6318A739F64527F9A6291050DF6956E901D380A170807D9211F74F2A036C2B1C3F200495C3D11E8171A749F6613FF910E0EAEAB6FB';
wwv_flow_imp.g_varchar2_table(17731) := '2328145490104A808B7E62F8ACFF6F10498F93BE47A8D80D111010F6320DF6A6F93D4E9FFB9D6603BC7F0DE9201463B007656007637008F52F10F96C123CD0F9000120050082006E1424B803C08F1E3F760801D0A307428A152D1684300100848D1A2770';
wwv_flow_imp.g_varchar2_table(17732) := 'A4C0812300193C4A9A887051E54A962D5DBE841953E64C9A356DDEC499F3660B1B1EC41504A553A8C5326586AA94F1C2220C1E072B4E5458B047549D1C246C944041A38491005EC078F122E551B265CD9E459B56EDDA8B29AC28B1C1D6253384C010F209';
wwv_flow_imp.g_varchar2_table(17733) := 'AA96470AA5035FEED831F5E847C200386CD40AE1B04A04721D0FD548718285C7952D5F7E19D704668B9E00947303801BDD82D7D4BE3099BAE46A82377A382DE81000D5AA1AFF2900B8CD71E44781297870066E367270E2C5C9CA783DDB38378A3F2B9724';
wwv_flow_imp.g_varchar2_table(17734) := 'B83AF5CA1F0B054FC4C97565E3040058586C8CC08071F22F2D443E9FBEFC7AF6ED57BEB1181A6DF2991385EC60387BEA44D832BBBA07D025CA221BAEA202272B304005172CEE0B3FD6582F30A902A3B0A0172860C1B5B36060B0C38BCEF33044112BDBA2';
wwv_flow_imp.g_varchar2_table(17735) := '20F93ABC4D26AE3E5A31A38C00186B441901E06D461B8FDA0005449000808FF68E20E8082586A0A808F6046B0DBB9A862B50AB070AE2108104C6BBB1BDF326684C061B6C1082CB871EAA324C964A2821034400A8823D19D61C484B880AB2C008312D8220';
wwv_flow_imp.g_varchar2_table(17736) := '2BC238FA48AB14E7742FBDC92CDA4FC209238A0A493E67FCAEFFA028D61302A22EAB0340028D5A00828643113A8CA3C5F424482400DE04C0834B814310448426AA6E3F82265272D430752008D6284420EFA11FE2FA94278224A880328A6680554C093898';
wwv_flow_imp.g_varchar2_table(17737) := '402B6229C848CFDBD8842185185D25CB54824A45102108846881368A0C85564C164CF2AA84E2C0FC743650297202A11ABA9D6031DC7803F5050EDCEDF62810A5B5684BE52E5288DB7A6F446DBDDF98D00107002C45E8830F00980121A5E6244CCF1591AD';
wwv_flow_imp.g_varchar2_table(17738) := '08B50DFEC549BD6AFD540F005F3FB5415B8C47262FDD961606C064877B90AEA4FE183476E263B332A13F0E328821589269BA933708BA4BE067001098208514EEDB3969E31AB648839130C0D8AA768B2D76FF538A38DC40A9DF94B6A93B841A2328851EF4';
wwv_flow_imp.g_varchar2_table(17739) := '958A6BB3DD0B81A01A0CE6814382548B68C4ABAE7A57D97D3B0520E7B0DA3EFB2229C1260870030BC2B56FC3D94A770627980E01619572BE748261A7B6AA729662381CA691461249D4CC3F670BEA0F4E4088F41044E040045A374BF4E14B47F21AF49B9E';
wwv_flow_imp.g_varchar2_table(17740) := '2408E88A38DA4C76DDD142A2099592A00278E00100724E5CABFB0188DD6382D4226D9B5F3EFAC7D2C1B81C82C031079CCFB497FE22EB013087A2EFC1B7BE9CF0BB473F2D7AE869E99E43E98927FD8ADC27687D7AEAA907807AE6D99FFDFCE7B91F42E831';
wwv_flow_imp.g_varchar2_table(17741) := '0FF915702DF4B8873CF651257B183026F873600439E3BE054AD08217C4A04AF651C10CFE8BFF1F1F24483E3A38421296D0842744610A55B84216B6D0852F84610C6538431AD6D08637C4A1FC5C0000150060873904621085384422CEA8870551810B54A0';
wwv_flow_imp.g_varchar2_table(17742) := '3C240200082E20D26C40508317AC0B0038285811B5A845157451894724880A86D04317FCB0082A601D0EB0B8453612D1022E18011847501125FE100840F0800E0AB63600E8AC8D7F046207C0A88238CEB18B2350220040000014C0CA608084240D3BE031';
wwv_flow_imp.g_varchar2_table(17743) := '827C8C2223A04C1C7D2803B5A100076BFB8E152339CA195A609214E980058EE836518A9294AF6421657C654A4B120404A72C080A6AA04B5D16C4606A44012C85B9A00A48831AAF0090292B80CB96ACC03BEA42C8238739CDF5A8A002DBFFE093E75020AE';
wwv_flow_imp.g_varchar2_table(17744) := '1A38536D2B08A637A939CEE28C6002E3D882348002802816A7962A71DD4A76992872D6F33282146445B460058228C107F604E80B4DE94345BE33A0730252F10E8A99422E7454458028441D5A99394E744E313082912CBA51094A136F1C05A9FC68E0B88A';
wwv_flow_imp.g_varchar2_table(17745) := '6434A4270D93C1965090252061093D58E94D465A10060080084440694EC3B4D225B414003CE0C11274C00382C104612475224E75BAD41039AEA52F5D29AC98C08360ADCB952A715C04C0A654A67655413410174F21821D9D79F42534205D4A1E0003267A';
wwv_flow_imp.g_varchar2_table(17746) := 'D5AD0012413009E252EC304126CEA481386B2AB8B7F695412BFD8D592F62A915908E2019D040E03CB003E5E9CAAF8F2D8EFF5CE72AD43EBEC4B0877D1664FBC6CC228AF2A505291852593216068847B33449E5244FA9DA0EAC160093AC00002A7015D6BE';
wwv_flow_imp.g_varchar2_table(17747) := '56B5B66D6D6E6BAB5BDEEAF6B5BFBD2D413AB0CCD89E32765B9CC812B606AB155CB56911F01A5F4F3B938A5E648ECCAC407151095B9CB096B8C36D2D70C30BC82CBECD972C39C1C500505A8A4080022D986E4B2610DBF91224B6B2C52F42EE5B90D8F6D7';
wwv_flow_imp.g_varchar2_table(17748) := 'BEB3CDAE7DF1EB5F020FD8C000E615AF109C5D5EBD329835B82ACA088281C412E40004B088D73C20AACA6525BE08F1811494100400F8C00A264631004E5C6282FCF39F3900400E72F0CF122BA1C6FFE4E78D6D7C627FF613C5FEB4718B0BE2831E1399C6';
wwv_flow_imp.g_varchar2_table(17749) := '357681F2A0FFF7C72454610A00A0824590801DBE15A405B091D38755128F7570391EF000003CB82C663113E4CB5F0E339AD3DC65327339CC665E0700E2D7E538BB79CE5EAE08980B220F82E839CDB0E47341FCFCE63E0320D01781873C120DE6386BB920';
wwv_flow_imp.g_varchar2_table(17750) := 'FCBBDFFAE2218F78D0431EF0BB349FE591C0044EDAD2FBA0B4A6E5316A39EF231EF7B847A5EF81C001A27A7DAB36B5FD2C4DEA51F3D9D200D474AA0F5DBF36E60F21042C08FB0020EC5D5F847D04F4B5A32982EA7DDC6383CD7EB6B3A50DED0D329BD5D2';
wwv_flow_imp.g_varchar2_table(17751) := 'B6F63EE8D1EC693B7BDBCC4635B69F3DEE697F1BDAA89EA8AFD1AD6C99E4231FE38677BCE55DED70D77BDEF7C677BE9F1D50531304D8007037BB2DE36E668217DCE0020740BF11BEF00ECDC3D4FF6078C4DD330F4A0FBBD2F12060FC24BE718E77DCE31F';
wwv_flow_imp.g_varchar2_table(17752) := '0779C8E507049C92DCE40BB963C98960F295B75C792E17F969912714C098A5E63157B642E2A273E5D8E056B70240C8841E7482148E222273890D5E463B1B06040021F904050A0000002C810020005A0145010008FF0001081C48B0A0C18308132A5CC8B0';
wwv_flow_imp.g_varchar2_table(17753) := 'A1C3871017A28848B1A2C58B18336ADCC8B1A3C78F20438A1C49B2A4C9932853AA24C8204389953063CA9C49B326CA893673EADCC9B3A7CF9F40830A1D4A7303C21B44932A5DCAB4648CA7509F369D4AB5AAD5AB58B36ADDCAB5ABD7AF60C38A1D4BB6AC';
wwv_flow_imp.g_varchar2_table(17754) := 'D9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EADDCBB7AFDFBF80030B1E4CB8B0E1C388132B5ECCB8B1E3C790234B9E4CB9B2E5CB98336BDECCB9B3E7CFA0438B1E4DBAB4E9D3A853AB5ECDBAB5EBD7B063CB9E4DBBB6EDDBB873EBDECDBBB7EF';
wwv_flow_imp.g_varchar2_table(17755) := 'DFC0830B1FBE190811E2C8932B5F4EF907801D3FA0EF00E29CB9F5EBD8B36BDFCEBDBBF7EF773B8CFFE800BEBCF9F3E8D3AB27D8A183070014D66B260FA00280071A1E00D00000837E0D1100F84004F21966DF400716A40103FC3DE0DF83034610817E05';
wwv_flow_imp.g_varchar2_table(17756) := '0A461F7B2010E420830CF4B7E1401432F81F85152E255E4A17120442050F48A0A040F81514E37EA8F1A71B040211D0908E04F1A89A01041800C0017B990180913BAD81247068F0E1C71D7EF001071F6FE0B50E0057EAB40E3D02C9234F97256AB54E3C63';
wwv_flow_imp.g_varchar2_table(17757) := '9649CF95679E39109722A50926965CAEF3E56FF0C023909D76CEC5E640F500404F3D7F0AD46749F4EC39903E7E0200E86FF50C0A803CF7F4850F3E30DD63A9A5F8D493A93E8DFA86A8A202E913696C9486C9953DFF0080EA40F9D0D4AAA93FB5FFFA2A00';
wwv_flow_imp.g_varchar2_table(17758) := 'B2E663EBADB8E22A903DBCF23A0FAFB35E74E9A5020D6B69B1C6229BEC6BC1F2E3ECB3FC2014AD57ED546B2D00D666ABADB603718BD0B6ED60BBADB8DC826B6EB8E0EA56EDB7E97AD5E8BBF0C6EB28ACF4D66BEFBDF8E6ABEFBEFC86D60F3FFDE0D34FBF';
wwv_flow_imp.g_varchar2_table(17759) := '8BFD63B0C1C1123C583EFFB0838C3AC4A8F34FC20A03C6CF3FE10C13892BE6FC336DC583D1932A231E530CB25FCE02E0CE1FFFD4F3F1C97F0D1CA93C7E80FA32CC7FE543F33FF4982CD0C002DD5CD0CD42E3FC153C24BF0A7441F32EB4B4D16589C38E21';
wwv_flow_imp.g_varchar2_table(17760) := '00B0934DAA173D0DF558E510E3C72DB6BC918927B4B8B3755F86A413090099D892AA2BAE9CCDD73D65FCD34D24CC78124ECD0245FF323600A0C83D573ED5DC93AA27E11233902D0088234F250201538DE06EF5E3B1C8FFDC3327E5784DDC4F3FF5C05334';
wwv_flow_imp.g_varchar2_table(17761) := 'E7747DFE3900C7929ED7C0A70330BAEAB0C72EFBECB4D76EFBEDB8E7AEFBEEBCF7EEFBEFC0072FFCF0B8436BFCF1C8A7CC9DCF8A15EAFCF3D047FF7CD3CC71696B645C78C145F6DB6BCFFDF7DE87CF051A00B851A5F9E5A3F1861BEAB3BF7EFBF0B32F3F';
wwv_flow_imp.g_varchar2_table(17762) := '1AF3CB2F90F65E0C94FD67460020451591B9C10D622040020EB080083CA0026300831800A0810F948A474C0000071604062680C1402888190A2140201F245E5912A09F04C06831D5A90E009CC34281B0903A2B8CE10FA843C3193287843824D062A6C343';
wwv_flow_imp.g_varchar2_table(17763) := '20EC40203DDC4110FF0D229DE800013B387C80091573441F02D1393C7CCE11056203201E51885314E1555AE01027AED006D2018013C758452D9AF18C684CA31AD7C8C636BAF18D708CA31CE748C73ADAF18E78CCA3EAA603C62CEA11287C2CA30D8050C6';
wwv_flow_imp.g_varchar2_table(17764) := '3FEE848BCF79CE0F05A20242FAD190332924410699484942D2278354011F8180C84BD6C4863E24E40E6CA082E8783227A224482A4FC9CA56BAF295B08CA52C6789157B086452B9CA55A9F032A94911A457F620162D6B228F7D78C998C3D489C182178BC0';
wwv_flow_imp.g_varchar2_table(17765) := '914518CC51410B40D0020B2012042A18815234109F826C6003F9618A8D16A203EF00C1056244E739D3C9CE230E21263A60810E70209017D4800502D1810E5E50FF9272AE0409001002127A801D74AAC005E71C820A14CA5084A2138803D1A00E6030D17D';
wwv_flow_imp.g_varchar2_table(17766) := '4E140017ED080B26520314E080A30040410D0432529C7C6405211D69497AB0841E0014004B008E3647E0029ADAB4A60038E8115DB050170CC1A7407D274190028017C0809F14D520412CFA027F56A4A338E868470D32D58F0240AA20A9C10A542A90AD7E';
wwv_flow_imp.g_varchar2_table(17767) := '04093C40C2127630561E109439E8A42941803A90843EB2A90369AA5CCBC9CF07DAD5A91511A94739BA571D8CB4061FB5AA4850EA558B8C14AF0569E94B637A56EFA84020EAF4E906315A57C4D6359F71C5084A538A58AEF0A0200385E90E980080AD6E56';
wwv_flow_imp.g_varchar2_table(17768) := '37F421CF892EF4586D4276A1077D28001E2A5886FF70F5222B30E955E93995C21A840948002E70C31AD38182F5B3DBC92600B4F958C8E6749157D52D5531CA5B8CA854A5F32C270EB4DB59A29473093A58C21278205EE29255AC62FD6C7593638111A840';
wwv_flow_imp.g_varchar2_table(17769) := '3CEDB5C072B3D95C002045BA0559AF46F03955920220AA03D9AE7E9BF25DF2821709C1050258617AD5ED9C482153BD6D3EB75B90EE32C4A42C18698625DC151EE800093A202D7A171C60F49840A45D3D885FE7D911C00A049FD505EC6107AC94F0C2549F';
wwv_flow_imp.g_varchar2_table(17770) := '31150888A7305E84D0F3B4EA61010E784BE38B7078C8FFA5F0553ECB041E8495BCE9250813425C1E159C7822844D69617182E29214992A4DC62C889FC304B256583D2800F24022ECD1C0E877FF09650E7339A77C1E7C6239A45745A908B22C10BD2A3930';
wwv_flow_imp.g_varchar2_table(17771) := '4D26AD78F3895C0B63070414CC6D4815AD6783E456AA30C6A7A1E332D21CC399BC54064098E95C1E9CAC40040F412987F37258F292160098D6F4A493699118FF57D34E16C894A7CC647C9D20046A060C3E03CA8329FBF3B3BDBED70642B0811380FAD38F';
wwv_flow_imp.g_varchar2_table(17772) := '4E735FE8A903E412A4B1AB564FB14FC0EA981885D82100805104738212E4BAC2A42D270DA84A831594BBDCE529F640B63D18212484CA3A18F7A8D7B3811550DB30EE3EC8A9ED456D761746078D1508783F3BCF719B6ADAF63E6DB603F39282B09421A25E';
wwv_flow_imp.g_varchar2_table(17773) := 'CF09BA3D6C6D03200419C0B86162CDAF6C6B7C9C1B274896BF5DED9234BCE42BFFD1AACA519E921510B6DE2C8FB9CC674EF39ADBFCE638CFB9CE77CEF39EFBFCE740D749000812001F05FDE831193AD241A2F4A53BBD243ACCD1D08BFEF48734BDEA5847';
wwv_flow_imp.g_varchar2_table(17774) := '89D1B30E1102509DEB10B93AD81922F6B11BA4EC664FBBDAD7CEF6B6BBFDED708FBBDCE74EF7BADBFDEE78CFBBDEF7CEF7BEFBFDEF800FBCE0074FF8C21BFEF0884FBCE2032F83C53B5EE63DB841C01F4FF9CA5BFEF298CFBCE637CFF9CE7BFEF3A00FBD';
wwv_flow_imp.g_varchar2_table(17775) := 'E8474FFAD29BFEF4A84FBDEA57CFFAD6BBFEF5B08FBDEC674FFBDADBFEF6066936A7DFCE04F0EA53D36D472C6929BCFBB5337BBCFB063EC99D1E621BC334DF0389B6CF1BFE6B540714A6CE86FB4B59AAFBEC67FDB4E8057690AFB34FCF2F3B3DC752263F';
wwv_flow_imp.g_varchar2_table(17776) := 'D86B007D81FF3EEE4B7829F0ED6E7EDCCB31FE25D62ADDE76DF67983BCED5590045400005300005460044D7004486004FD637679D225F0200F0FA876A3E227F35010F1F0266E674B03C12BF5104C6F7781F6208271B70F1C1877BCA22A27087719687F2E';
wwv_flow_imp.g_varchar2_table(17777) := 'F88266411D447044335883C67183C781837667039674743DD81037F083981110000021F904050A0000002C71002400730141010008FF0001081C48B0A0C18308132A5CC8B0A1C3871023327C216360458918336ADCC8B1A3C78F20438A1C49B2E1010304';
wwv_flow_imp.g_varchar2_table(17778) := '5100909162A58C972563CA9C49B3A6CD9B38631A88A041E00B182F83CAB841B4E88D9C48932A5DCAB46953161605C274E9B4AAD5AB58B35A65F020030711005EBC100843ABD9B368D3AADD48A104C1172D85965D4BB7AEDDBB57E1B6E43115AFDFBF8003';
wwv_flow_imp.g_varchar2_table(17779) := '871CBB92AAE0C388132B865AD8655FC590234B4E3B77B2E5CB98B1C2E091B9B3E7CF3229821E4DBAB4E9D3A853AB5ECDBAB5EBD7B063CB9E4DBBB6EDDBB873EBDECDBBB7EFDFC0830B1F4EBCB8F1E3C8932B5FCEBCB9F3E7D0A34B9F4EBDBAF5EBD8B36B';
wwv_flow_imp.g_varchar2_table(17780) := 'DFCEBDBBF7EFE0C38BFF1F4FBEBCF9F3E8D3AB5FCFBEBDFBF7F0E3CB9F4FBFBEFDFBF8F3EB474D04C8FEFF000628E0804CF9F7C30E07FEF0837F0436E8E083104628E184145668E1851866A8E1861C76E8E187208628E288249668E28928A6B8110102B1';
wwv_flow_imp.g_varchar2_table(17781) := 'A8E28B30C628A34DF20050A38D38CEE81D3DF40CC4A38E4006A9E23FF60040E440FC30758F904ED5B35092072509250052F263E5955862299095FF64894F47F98429A640628E094099619289663E02F67358965A0250CF3D4B22048F3B06B9A3E79E78F2';
wwv_flow_imp.g_varchar2_table(17782) := 'E9E79F7A0EE46742800250E8A180266AE8A0ED0058E85D7FDE8927003D82C4E3A598665A2993B1DD08C092531AE4A69B9C3AF70F00EDF4182A41F7AC5A6A725CF2FFA30E3D5622540F9BAF36C74F97EA6C692BAEB922F6CFB0C456B5ABAC5426D46AB09F';
wwv_flow_imp.g_varchar2_table(17783) := '155BD3A9C7F69A6C94CC2A44ECB0B4ED73EA3FA41224ABA7B3B93A5D3FE4969B15B6052D59CFBAF3B4EB6E4CFAE883E43FFB7C9ACEB4D53E54EEBEE4D6452FBD46D60B304D6E5A59CFBDF946C4EFBEB485118640F1F653E4C1094B44AE95E64A36000002';
wwv_flow_imp.g_varchar2_table(17784) := '6C0CD23CFD2469CFBDE2567C50BFF9F093716003084090CB23CD0300A9F3906C324355A6CC706005003040013017D032471E0330C73FF10C34B2AF3733D4EA3DF9F47BAA40D00E54A740A30E042C41DD16D4F5472EB7DC330005943D764167038D50D14A';
wwv_flow_imp.g_varchar2_table(17785) := '234971D30FDD73EAD71A4D8DEA4D0A9CBDF640595CFF7001436A27C44FCD702B4B5038F588F391DD48C1DCD01CBA104442445F6EB974E10A99638B2B6FB8224E2424C16393DE833414B9409364C4CFDB982714093C700040CB2D0044920A2D74AFE5F123';
wwv_flow_imp.g_varchar2_table(17786) := '009CDE50169013D48B29093949253F4BE7DEBA40F4A0014036863C03403780E9CDBB42C40F1446F60229D290C1082F8FD0D590290080030B392080F91CA34F9003EC3B5ED03EAB872F7E643F675474D91AD5EFD99425430FF9D6A2B7811470210794083F';
wwv_flow_imp.g_varchar2_table(17787) := 'EE61BFFB21A66861131AC71EC2368154D063F9F356BD08E740233144795AF95BDF0030C2128A1000224C21094FF8B7150A648408A11FEB5C1340EF80F05C00B0479192850F7DC4831EFA98473CFFECB18F219E2A1E47921812F751242202201EF118E040';
wwv_flow_imp.g_varchar2_table(17788) := 'F421B206765030A7AA97C0EA05B17EA56B495C9C1ABF1A422AFF5D1131FD2217B6BCA8102AAA6C6637C419C56A7846BCA00B84B5C25A1CBF67C63A4E668F21019F1FFF084890588981838C091B7192A442F66F5AF998552249C238CFA42A8F93048E1425';
wwv_flow_imp.g_varchar2_table(17789) := '030FD131C593DD09544426B5105236454FA24B1974B6B69D4D26041FF8A0132C5F59B9AAD0894DB8A2E364E8741356B6D27807E1E541EC510F621AB398C5AC254766F9115F8EC6992581E67596E4CA333933809834562665922605EA922EB0A45391DC25';
wwv_flow_imp.g_varchar2_table(17790) := 'B382E8F09C5591E686D4491236655329F960668FDA2510746E698C4D79A74816A9FF107E1A844E000DA8406FB9267CA1A51FEEF4080017C24E327D5323094DA8402A27256F39A4A1BE04563FB8058077198498EB02666EEAB1D16B99F45A081DA830CF22';
wwv_flow_imp.g_varchar2_table(17791) := '5275F6A846F4A066BCCAA4326891AA9B1C89A9BCE4440F91524A4E10B9073E7A5A0F952D4C62CA7C2342DE38276A7D0A21C0CA8617AC700481D800003B48CB0E1894152E7801005E1DC81BDEE086B19AF5AC6525EB58D3CA560090D5AD6E802B1AC83A57';
wwv_flow_imp.g_varchar2_table(17792) := '37D4F5AE74B5AB5ED1B057BB0AC4AB5C188817029B10040DA40811F94112AA5005293496B1521048159E30902A18840B46380A432C2BD9318C81B30341500F7E6004294CD50BA64D6D421CAB042E94A1AE63454319CAE05A00FFBCB60CB6759E41685B05';
wwv_flow_imp.g_varchar2_table(17793) := '221041090789AC409240846818041F3562C44008C05C0310002503812E419ECB141735E5062D10480C007083ED6A16003008AF78C74BDEF002200665416F59C28BDEF39A7730E035880960608281548602D605C00312E010AE00E0000070117301ECDCFC';
wwv_flow_imp.g_varchar2_table(17794) := '7A2402140881402210DDFF1A40BAFF25C001A87B10E972A0BE26008B0700B0610E0040041C90000038B0E1855060BF0CE1AF210C62BC150B84BFA70102108CC05588102124FEC931006A8C16FE6E2022186000000CC000043020020FD0C00330F000211B';
wwv_flow_imp.g_varchar2_table(17795) := 'C40008807043920C801AB0A006273048048EFC102403E0C700E00B670632E681CCF7BC37409061096283B95040FF200F80B34020F0E581F8214705713100128000FEC2182171560C8F31B2D54203C1D05B65105775ACE81D2F68C7904E8B870712E88668';
wwv_flow_imp.g_varchar2_table(17796) := '00030070324A9C8C8108605A20500600023692000C8880060229C1073AE26400D4D7BE6506EFABC91283AC26C4041EE00004F6CB6B18BF19006FBE33B806A2E704187BCFC896338A2562800418D82A3CFEC143127DA0456F15000A52D0561524906C7B3B';
wwv_flow_imp.g_varchar2_table(17797) := '418516C89ACD5262646F600321F8714F0AF2010C5C1A000C76B0408ECCE44CC739D4A2D6084F0482038164E0D31A09B4083C401857DFBABE47D9810D14CEF01BD8E00630D8F0AF175CE9810440D8AC12C88A2BFEE751239BBFAD4EC89B770001283FF7C1';
wwv_flow_imp.g_varchar2_table(17798) := 'C9FF2E0908228D9141230408D9C6AA410C64EBD08A5BDA321737B6B91DF3B3CCBACFE866C8072EAD012143D9C802C100C0871C658F432401150700AAFDCD112453E0CD037FC1ACE58B020F9C99BB0F3F484B80BDE7FD4680BF13DFC0C57184AB3AE97920';
wwv_flow_imp.g_varchar2_table(17799) := '7DF6780218F067FD427DCF210FED0F7EDC671749992075EF48CD01A0029D1BDA06FED9AA0D109FF397DBE040DDBEAA4206BDF882B440F205E1365611F478AC26FEF339A1C09F2190EE0F842004435FF541D64D6422CF7DC9999E77B303ECDCBF035ABF51';
wwv_flow_imp.g_varchar2_table(17800) := 'D7B290B70CEFDD1FF9C8088837411E30F182E0BABE1B4EBE4052D0821B54E4BB5635F8A40B32710A18E0CE64A2A6C6F52B90B8F399BF81AE34FFD4E70E783613C1030F70FA8BA51B673A13C4FD4376367F6D5F90951BC4062DA839E6D97C7987E07CE7FF';
wwv_flow_imp.g_varchar2_table(17801) := '8710FA77683B267904E817E5366A2BD01343A76000C08018A07AEEC60018F063ADA664ABE664F33764CF7610F0B76006F16FF09669BC1701C1077C265882F3366705D1612E3810D3F7101BB66BF096000C46676006007F702A5093677BA67E0B917B2DF2';
wwv_flow_imp.g_varchar2_table(17802) := '6226701410D081020102CE0600205070039100F40711FBD714372611DBF610D9751337B05FA3960059B67A00A07A02A1011A6000D8E00504B06CEE56610A41011FF8001040831FE86F1950100CF67B5B968279177E268610263076080188F07776644701';
wwv_flow_imp.g_varchar2_table(17803) := '93F6075A331035B27108010156FF000095A0834A5072078100FE31061E90005C500509E0617466024340001030041BF00040300471467C223684182179014810AF78135C755583271288378531E161DFA71011188103A10104100EFA90042EA264F5167B';
wwv_flow_imp.g_varchar2_table(17804) := '04015D14C68202517CFAF5661C307549D77B0B868727A882C18764C4F78C1F080121068D1210830BF15D33D87D23E87E1BE0618888106FF78404A004A3F00BBF2010CAA00C9E000440F80001400CF0200EEA5004D7900AB50300B1B3624A6002EA20010F';
wwv_flow_imp.g_varchar2_table(17805) := '000EEDF000CD86722FC6860E518B05F2683F808B21A17802E17225D16702C101E91686A88710454700DCD00FFA600469C8001FC000AC376AEA87120480007D2684CDC87D02FF218D75C8653CA9877A086FC167830A0101CE188E13E0611B66025B7710B9';
wwv_flow_imp.g_varchar2_table(17806) := '06017767106F8600EB78108C5810572010B2A006D25606AB0000BF5055112910C4003AD9300CCCE00910203DCC000086200FD99004E2F00057C00CC9F00701F06429376712308707A10488551049009625118BB088141C29122D1068403710A6278606C1';
wwv_flow_imp.g_varchar2_table(17807) := '0004900DE4A20F55700097B6644D86123439642D128550B98D00D06FD3287C042164A3E66427087C0FD06B1E4810145062ABF8874B39102DE10112207A23F86786386453691055096A3F400CB8F00BA0D00476700853108F00F00A1EE07181460C990000';
wwv_flow_imp.g_varchar2_table(17808) := 'A0400C63C905EAF007F4C00186300CA9900CD90001B6700BA3FF500D2EC25F04F0673900005670951801076FE09EB1F39E97216304719824C167C0A6608DE980065192DC302CE1300C38E09279B7675286840B218D039187C86810A9F984F1669305118E';
wwv_flow_imp.g_varchar2_table(17809) := '02E10125369B00D012F53569668710BDE983059100A0330CC1E00904010AF3A88372A78FCF600B55F00F6FC00C99900A50F20786100D09D00EFA0004E6500E02D10248680556005C0341A47D59055F301068A05B48B1204E0A73F6291830B05FD0B56E0B';
wwv_flow_imp.g_varchar2_table(17810) := '1164C1680BC230060150749729640C8012F8467B79991071866003E11698C6A0040184D4D87D3618786E0887053169470911134788750A00D847953839642D403B00900CA3B00900D00ACB890C5EF90A13FF00630F400095E0A3911000A91009CCF00604';
wwv_flow_imp.g_varchar2_table(17811) := '090A6F20906F300D65A00C20F000B8F00710B08A0921A400100777A60586C0A44A9A6791F81718F910510A1237E07ECDE680566A10981664881066DF90744BF69251C68A06C16B2FD66B1E591059C660BC5710A6B9602708720BF66739F8A703B161A6BA';
wwv_flow_imp.g_varchar2_table(17812) := '1012C77D42E99A01D6A7BE89AD4A900CBF400C00D00800A00AA84008262A10BF5004D2C55F0870977B660287C95F5E776CF505021E607F5CE52635665CA03310D30007A3F03C689163FA2712B52A121C205DBBAA100C76000C40A9953981EB16A6EA57AC';
wwv_flow_imp.g_varchar2_table(17813) := '07017E717A9A6E5A87F3469A3E597EADE6A624367D09F06BB9D68219FA8702F16AB8066C4EFF8910574700E20AA2046105C9209C3A38050361A902910C4A80A0DD1603124A694F4910206005490000D34090E190732080A92D100953FB06A0403BED80AE';
wwv_flow_imp.g_varchar2_table(17814) := '1509A54F8A6D87B17FF60767FCC98BFF7512FFA55F981668A116B7F4777674B7AC6199930CD16A0CE064058AA7B039B3E56610DDFA626747886F865F3B4B10BF0900C20500C37007840000BBA08302319C4580A071F6781C306A9E597E0060AF00000E60';
wwv_flow_imp.g_varchar2_table(17815) := 'BB0D57190C0351B502510D08EB0A02510EE5241C813B1059C85D64276A0CF0661A90B68F291027E1647106701C2BA62CF25CE5F9775D688E005002D2B87405719A2B187CCE4B7E0E11621E268E15AA1030469ACB95B838D28E04A002BFFF800C99700602';
wwv_flow_imp.g_varchar2_table(17816) := 'B109862A1002C9A84C7B105725016E0A9105C122E679B6A0951057A067BFE009EA8AA9009009AF300C35F1B076D102CC27032D60C008317B0FB801B9BB6ABA9B8C00366F3D416570F777B58712F88910FC55878C4110DA9B87BF87821E719B7E18B8DF08';
wwv_flow_imp.g_varchar2_table(17817) := '677D46889576672DB57D8A696C9E400C5E000503B107035106D8C0086E3A673FE661BED585EAE70299C86102B1AD045001069104EC49171C29C0569155F6D966DF476403817A0F9C694246607B0BBCA01693642A6A9AB9C3142775D2287CDA6B64D03B10';
wwv_flow_imp.g_varchar2_table(17818) := '9AC611D66B66E0CA97B887B807B1883809634A400B8495060050070060C376D078FA450086F0886F800652990445900A10FFC0051ED0027070C4456C058630BB9C8910C055054300004940A4512B10444A58730500A18C106560053F40C9B26B0132EBC4';
wwv_flow_imp.g_varchar2_table(17819) := '50EA194771AB0411922259104AD760F9F680BD1A78F18B002787BC61E96B5F98B7BDC760686C10BA6C1044497DC94CC20411B8877B10AB7984899B0F740C77A086A99600006440C3759006883A06DD27645038561B0007986805559004955005560003FE';
wwv_flow_imp.g_varchar2_table(17820) := 'E10156807E0900CE405006556006CD4CC42900023070B60B81128597558F478B09B27F4739010271A70030017486D0194A78555810B6965D4EBA102AA0024E9C10941713189989480700A7971045175DADC6649F0665286D10E7E9CB08C1001970AD23C8';
wwv_flow_imp.g_varchar2_table(17821) := 'A0C0976FCEFFCB7B1F5DA603E18CC8EC8613E77ED60B7F715776E19A102E266508F05500D00787A0D492D56A500885CE830655505B7E60057EA0048C0004B1F38820B003667005B8A50553A9AD12609B70ECB91A2D800F0D8309C1011330764F5AD138D7';
wwv_flow_imp.g_varchar2_table(17822) := '7C0DB172FE0C007F19115B955DB646981E8191363076C76C101948CB0FB06AAC6774153693638AD609C1652018C26DAABD04218E244CA73A3D7C0090CCB9566EF0977E1EBC7D05812B2B16789B79B504B105123093A0467E0630063BE005F5E5050F4004';
wwv_flow_imp.g_varchar2_table(17823) := '65000765C1053BA0AFB4950449F0A17037D8050161D0F50085E77969BD7C049185D9955DC72DB6D02D6D630B7309E1D0F7E702787DDC1901040BC7DD36FFE1BE39FD800AA1B7BF988C4EE75C1C186A81477F0F10CC00D0690B4A8228C865C257CC38D9C6';
wwv_flow_imp.g_varchar2_table(17824) := '2C98D99A9DAD93266227F684E33ADAA2FDCB6E3A7F300685AD4D93B697850460AF084067FC85AB4F687B3B4C7F192D1044500444F00345C0E11EDEE10F7163065263115DC4EF1767FE51E21071683B606BDC7DE108A102B3AA650A66C58E09684CD61360';
wwv_flow_imp.g_varchar2_table(17825) := '7A1027B784EB67DA0491010A5A8DF106C229F8D194DD10C527847777756C4D6771B68B7B166FEDA8B8389D97D015654FBD7E000EAEC0F660BC4CDC5286C10166E0656E5D5128012A3E10D15D1040508540D0E1D4ED103236B6F509E312216DDEFDE236A0';
wwv_flow_imp.g_varchar2_table(17826) := '0214F9102900032D20E8194AC9F8571019FF50E30E5CDE7D0B67990993D145BC19EC9134B9997FC66027E016F11DDAF9B6E30B5ACCAD86942BABCC375989680783DB3A7C7ACA96447DE59C79DE080E85C5EA7DC74B9BE608E9A226DC2ADDE536F6680771';
wwv_flow_imp.g_varchar2_table(17827) := 'CA87AE022960012D6001295078BECE1007C81123308B0B716DECFBE21B5116A85C1036B05DFD7910373E7C62C8B1C9B867E749E9218AEBD88A10F156642688EECE6B647317786DACDFC7EAE5C01668715A71554E6CA2B6C39CFB670F8910E20E8340D002';
wwv_flow_imp.g_varchar2_table(17828) := '7416E6C4DB10FC95EA7E47AB2C77101610BB03E1E10DB1EC6E8ED7083104FE910012B08A40000233BE9116AD700681ED803EE8FB1C7D0321F20BC6C0206D7AD00A6A8CC97D8F7EA0DFFF27C6BC4EB29C5E8DD28AF36ABCE923467D3E8FBD7B3671147A9B';
wwv_flow_imp.g_varchar2_table(17829) := '155769141000F7BE7DC72C5DD065E063DA6C944EAF117E20A2779EF20B6A12E0CF15E0015BCF841C86C4C68C10DB2AE271CD55D2E601D65D101620046C0EE7FDF1F66FCE55D0FE0322AE02D60DF644E00249000412D0AF36E0027F5E986E2EDD87E6DD80';
wwv_flow_imp.g_varchar2_table(17830) := '9C113010E8D50E863D3192BB0B674CD66E78C7B92D1265640EE0761B967136E4F27DEEBCB7B7E72E6A5B16682E3BEA3FDFBC5A067FD4ABD31587F4AD3ED861ECB1957EEB4E879FF8F9005B05DECB4593C65662A56AD91490EABA5E77640FDD09C1F6B60E';
wwv_flow_imp.g_varchar2_table(17831) := '12D296EA188EDDDCD5CF30E0FC11718B5615D03BE6E73121F24E06668DFF59619EAE64AD16B7D4F57DF1C65F26E8C1CE5B879A9E10C4BCB71FED74857BEA020116EFB7D9A0F9847146EB81F68D6DFC94000101000048030D1E34341041828109161E6408';
wwv_flow_imp.g_varchar2_table(17832) := 'F1E043060319308C30F0C140131B0144440020E44192254D9A943050828A22035B9E3458E4481199008A0C39D892084C9E2F77822079134012224900E818B883E752A64D9D9A8C1841C3D28A1A0F7A04F0602400030E230210D8D0EAD7811B58E0D04183';
wwv_flow_imp.g_varchar2_table(17833) := '644600539F52386862A087931BE00EA480F5E05D831E3878A0C0B764A492F906267C9A982443C18A1507807C1084DCA5293C584E3121B363A7614BD23508570207CEA54D93144C8080C103240FAC2E690000ECD325FF2360B038BBB5C1002769932420BB';
wwv_flow_imp.g_varchar2_table(17834) := '3649E10D116C35F83B13CC7288E1C07C0EC00F9CE9A5010D0710C7CF9F93DCB90F6C441840A548E54D126E44297D2300EAD56327F9FD2079F224C303B81FBE127CFE07C51F44040043108124C082E0FB0311EE1404404144FC4828C0812071A42009253C';
wwv_flow_imp.g_varchar2_table(17835) := 'A990066132E40FC40C61A436C40EF2703B05B7EB108048C4E187A97FFE31E9C57FFA3108C6FE96EA27471A01D8D1A9176F0472A01E7BE431482313D391C883940CF2C7239F4CEC1E280F92079E79E8710CCB81E4D1B2292CEB9987A97A4CC2B2CB29CF84';
wwv_flow_imp.g_varchar2_table(17836) := '729E786A93A7A9360D7A73B8380F82A73678E291074F38E1A9B24F3EFFF4B34F9EF269D1A4160D9BD2FF9E81F0514C51471505001F4879AA47D27AECB934534C37D5B4534E3FF534544CD124955479F639959E7B5465754C005CE52F5500F63908D593EA';
wwv_flow_imp.g_varchar2_table(17837) := '8175A94949CAF5B4424BFA95547C182DB5D883885D6A1F298D65D6295A8BDD87D667A99CB64D5A978D14D9A7EAC1B6596FBF0537DC7BC62597DC7CCE2DB7DC618755ACCD39B76C6A5C53A58D531FC718FDF21E444B93375CA7D63CC99E304BEDD55F836F';
wwv_flow_imp.g_varchar2_table(17838) := '9CB6D68168E512CE92CA04809E7D580DF2D45307A2E7DD83071A78638F3F06B9365AFF8976D690179ED5C6934D72C5A9969B1AC52057629EF2175C6CFE05005C6A732516575201E0E79669016098A75C01656583630180689380390818A701B025FF175B';
wwv_flow_imp.g_varchar2_table(17839) := '8011C696814049C593508CD43A48A76979C56723054AA924B4C18209392055680184162C68A1051524B37B84BB5D58EAEE9228D8E06F1450608A70160080EB010DEE9A8A02B600D84003C55138FCA0C5DD52DA340E32D840848342800974834208018515';
wwv_flow_imp.g_varchar2_table(17840) := 'A6BC01001E64302886189C7A6120184A8281B2CFB01BE1A0113A382977DE77CFDD0200841F6882099E744185E4F956BEF9E59537C80520F81E487AEA63DA09801BB657EA24187480E105F0C50FFFA8EFC53FA8720058780187D8077AFFA0F89FC4C15F1D';
wwv_flow_imp.g_varchar2_table(17841) := 'D4C7817098EA1F08851AEAAF5F0D4266040010810845C85E016D72C083648F8025018253EE06820E509082031901503AD081DC01E0FF821FE49D492A208111F2E77927749EF380A0820802608543981E10A65704E9190408AF03C00B666710F281EF2824';
wwv_flow_imp.g_varchar2_table(17842) := 'C1210F00F03D9ED4407FFDAB9FFF0E6744011ACE7F4622DC0AD4472A211AA406A71B88004972452D46D18A3049821188E29824B4C4280399C9531048929D2470204468E1406C40122074EF07FD6B0AF038C8419EF02E8425E920007857010054E08F2439';
wwv_flow_imp.g_varchar2_table(17843) := '647F5C3002E655CF7A4370012421E93D1FBEEF05E88BDDEC7C6892F621257D0078A2FFFE771214E04080353022005279A3155CF12028500B53B0C8991E2C81079E84492B75B9C581E09224B17BA063CC68902394F18C4D390211EE68C383B4F025734CCA';
wwv_flow_imp.g_varchar2_table(17844) := '0EEA7812D0702691A5FFF99D1F61B247410672387703270026099316EA607E4721DF0F0D624EF91D04074BEC9F1103B81423EAA00687CB9F168344382EB63231FE4C4C2D77C0832A926496AE3C883E9F54C6831CE134A9832600E6D8421902A105306801';
wwv_flow_imp.g_varchar2_table(17845) := '34EB184700FCE007470457EEFCE6C1DE5DD32026E509F47277BDE40DC19B728C1DFAE037535F3EE570532409480D82829AFA6B970699A562968004A5F4208B4BD1A52B011AA4331AB3084E1DCA4B1A2A139AA4D120739C9D0DBAA79403B6B00500F8AA34';
wwv_flow_imp.g_varchar2_table(17846) := 'BBD7C083059290277DA9EE102948B6FAD177DECC5D5C013052E795C4A83AD5014F4DC23FA6E0F495FA546849D00200B40C76203878670059A050BFD626A80689A5FF5001504B7B1A84AF093DDD52555992130CE400A431CD53A96A4C9B38B4250E9D894E';
wwv_flow_imp.g_varchar2_table(17847) := '18FA128E0EE475368823108299BA8304732E2B73AB49883790DD0E0428BF3D4922EFA6B7B4CE358E2F78A22A9152035C2245AFA57922161B4B12C3EE559D893DAC41CEE22F240CD5A8AA5BC266B36BCAA5D06005343841641F9B18A388F6980070684373';
wwv_flow_imp.g_varchar2_table(17848) := 'E21283BC972426D8E140280A939DDC7199995341227BCBD6D3F0CE0281ECC0DD12ACB79CAAB39ECA5D676900BB3E2B9217B13D35890E06ABE1EC9A64BACCE20112881A5E21F20FC34EC1E20932C019D14615B524B12A1A5D625B9350C60440A12F00689C';
wwv_flow_imp.g_varchar2_table(17849) := 'B91B6530831E045E6D8AEBCEEC7691BC89596C4914FFFACEC08ED79D970520754BA9D36685D7960060C240AEDC4B9E447606A8048079B1335A9BD8972934790A0E1318C7AF0291C780544C08790782B39AE68F1E58A54E99CBDC0DD706A7FF6B226113D3';
wwv_flow_imp.g_varchar2_table(17850) := 'E422DF335C3CC87278C18B842C7B32CB0789EC41D65B1B87B6D7CC41290D106E905F97B4518126E100071AF3E66F0D1900AD4C72298F4A683F2794291AE6304C58EDAD5A1A84094AA12D524E4C9258469AD41D7D0A07247017CFFC9A59BB23F04E55E9BF';
wwv_flow_imp.g_varchar2_table(17851) := 'E4325BD0679AB5B10F22C41DDC1A093CD832136EF9CFFE48B5246E742159810047727FBAD3DA4B9D47C74A4DB804E6206F9076B1907D37B998CED5566C2595E36D2CA4687BB2DAD67678B32CC4FF47D3F3D4FA64C2E946C999F86207083F78381D63405B';
wwv_flow_imp.g_varchar2_table(17852) := 'ED29857525F98BB085BD6F70F14E2E2BD0B7A4A3FB618ED3CF204BD0C11296C084EF625931EA35921BE1D814A52CF3072DA0ED7F67673B9854B3E4C7F6A00A3C67EFA724F7E7D016F4A3033EF0816CBB29D12E95470DB28375C384D34757DA1F27CD1311';
wwv_flow_imp.g_varchar2_table(17853) := 'E41BEB68424B9659EEF281F89B29473EEAD7D5BEF655427DED4FC1E52C095E5082AB2ECB977D7BDEDFBE81137456EF5062010D9012DE7E8317D155C4FB787DDD2C8BFEDDF14C39C106425082D3519ED9207FFC690C1D66BB1F45D107D9B52A110A2469C2';
wwv_flow_imp.g_varchar2_table(17854) := 'C40619FD6A4633BFFA93846005A2637D7F4A601021C0E4F3B27E1234537F7AB0C6FFDEF725019DE403E7F7DFD786F22798FD126A3F54923021F4A736EFE24D03041B4454A26D2E7EF6391BB881105FFBA76939E8B15C509E9C77EB8EB1C148079282EFB7';
wwv_flow_imp.g_varchar2_table(17855) := '5FD21B38BFFB9F8204002C81C6854793FA49B2C31B0380E7F27FBCE103C0569BB6CE1BC00334961398BC135801E2E33E0414AA6B83C00934961580BFC80300D0C98010881C0A5C8AEEF2C0102C96C0D1000D1441981022FAE3B21364C1166496C1ABBF83';
wwv_flow_imp.g_varchar2_table(17856) := 'A0BCD973C11AB441FE182C09BCC11DE441FED027F2EBC12014C2A6E8016CD3B25AD3816DBB25201CC226ECC17028072794C22934087289182D81955559152AE4C226EC962E04431E9C9655991854499830444317BC962F4CC3FF3674C33784C33894C339';
wwv_flow_imp.g_varchar2_table(17857) := 'A4C33AB4C33BC4C33CD4C33DE4C33EF4C33F04C44014C441ACC1DF2080DE20C44454C4450CC2DF60C4475C194784C449A4C44A643DBD0880D538444BE4C43391C44E04C55014C59243C45134C520C9C4523CC5551C8E4F64C5574C0C5784C559340959A4';
wwv_flow_imp.g_varchar2_table(17858) := 'C55BC4C55CD4C55DBC451CE2C55DBC811880015FFC455E24C662CCC56144C65D14C6635CC66784C64ABCBA68A4C66AB4C66BC4C66CD4C66DE4C66EF4C66F04C77014C77124C77234C77344C77454C77564C77674C77784C77894C779A4C77AB4C77BC4C7';
wwv_flow_imp.g_varchar2_table(17859) := '7CD4C77DE4C77EF4C77F04485DA4B88024C882E48F8B33891ED881F033C81EBC811E18489258C8856CC81B9401FF1E884893F80185AC482EEC811FA0BAC99A480040C88E1CC28954C89683810730018834492E7CC097E4418A1C089794C99BC4C99CD4C9';
wwv_flow_imp.g_varchar2_table(17860) := '9DE4C99EF4C99F04CAA014CAA124CAA234CAA344CAA454CAA564CAA674CAA784CAA894CAA9A4CAAAB4CAABC4CAACD4CAADE4CAAEF4CAAF04CBB014CBB124CBB2344BA4BC251D28B8B3DCB7953B3C7562CB5F03425D6BB4B58CCB371B3C6CF325A490BEBB';
wwv_flow_imp.g_varchar2_table(17861) := 'DC985B32BB5A3B08BBF44B83C122FE312AA3A23FC12C4C695334824239446BCC9089ACA15A02A34239B57435B79BCC66A93D9270BAB4EB4C834101862428C21CCD9301C1154C4D637BBED684CD1E5CCD1FD2ACD83C99C4B34DD23C890FC8CD9049822A98';
wwv_flow_imp.g_varchar2_table(17862) := '026B00A082A16882234002E354C1DEF496390114E534185889073389188C71CE8DE9967B98874DA94E83A1957850948ED9CE708987330C4F70D9873089079529CF70D198F574CFF784CF2E84388380B871B34F72B3CF02CACFF80C12EB638A90E44FFEA8';
wwv_flow_imp.g_varchar2_table(17863) := '3AA7B0818CE4C380000021F904050A0000002C72005D00720107010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18333684A1B1A3C78F20438A1C49B2A4C98C3B52EE38C9B2A5CB973063CA8469A3A68D993873EADCC9B3A7';
wwv_flow_imp.g_varchar2_table(17864) := '480F3E830A1D4AB4284C04098C2A5DCAB4A9D3A750A34A9D0A339E3C00F4005C95278F5E57AA60C38A1DABD0AA55AC57C9AA5DCBB6ADDBB770E39AC427B7AEDDBB78F3EADD8BD15E3DBF7E49D6BBB7901F42C3FC1203309CAFB1E37C0DFF0994CCB732DF';
wwv_flow_imp.g_varchar2_table(17865) := 'C60FF9E1D38CAF33C2C7A005DEAB97D05DBB86EE04B65BCDFAF4C1D4AD57278C2DDBE069DAB771EB4E6DB9374578C083073F08EFB470E0EE780F4CCEBCB973E606956B9D58AF3A6982D6B3FBDE5EF73A768CF5DAA9FFB39736ADC3ACE801403E289972C1';
wwv_flow_imp.g_varchar2_table(17866) := '7E18E103E8279FBB7DDFF0D4CDA74F1F227C7857AD57103FF511C4CF68025AC40F66F735B89761ECA8830F618B3D441F8100F693E040041E944F3DF45078113FD53968225E109AF3616286B9B7107DFFC023D086027568D087F478A7608927EEF5CF8F2E';
wwv_flow_imp.g_varchar2_table(17867) := '0229E49044FE88909105097964914812C424938701A08E39A3B10840930AC12863810672B9583EF7D04323879955F9906486F5A8E645583AC45F66FFB0630E3DF420E6E67E31CE78909702F593189F7EE698998D16AE29157F88CA97E8A28C224AD0A27D';
wwv_flow_imp.g_varchar2_table(17868) := '362A69A42009E9CE9CF52876657B9B5ED9E96457C2935574F34D44227092411A297CFD25AADE7A02C2FF7A608E697ED41F427ED66AA0AE860645A23DF3DC335A76D6F985CF3FFB24AB6CB2F6E0B32CB0F5CC635062F6F0F3A3B5F098D3158B92361A6AA9';
wwv_flow_imp.g_varchar2_table(17869) := '05A5C6E7A3B772580FAAFB292ADF82047A4BE464FF584B24AF14B50AAE81F3D573EDBD9F2EA62E7CF9B48B58B97ECEB7E0ABF4F61AD13EC82A8BEC8F0C3F0CB1A740523CD03E5732CC5EBA02652BEA9FDD12CC9F8CAF65992EABE6A2DAE83FFD00C930A3';
wwv_flow_imp.g_varchar2_table(17870) := 'FC64C30C3FEC8473253DD984184E3DE184D3CD35EAB03CAE9B2177FA4F3AE5E44AD83DFFA873D5BA8C75F8637DF116E8DE90092BCC10C3BAB011C61C59CC11C6D717884DB6D865670140181700A0B64061971D46D86108C436D860B331CE3FF6FCFF78A9';
wwv_flow_imp.g_varchar2_table(17871) := 'A80187ECAA96078D3A6EB78BD5C395D0884EACCE31E5ECD34FC417FE93CD030FBCE149153FBA120032F42861CB0DAEC440C133FFE4D32A7F075798268B8A5D282964C874F38F2DE698335FEAF245028F643D5356B11FA88B930D30D9C4388C2799FC030A';
wwv_flow_imp.g_varchar2_table(17872) := '23F23CDF0F2870C8E3A25C4387C4B0290D08308000E07B0FFEF7E17B0FC00004A12F8040EAA37FFE40EB7F3F4003BAC4FB633BE588BA59BB82A39C6781FD30DCAA56D5AD30D14368536B19B2A07108261C421DC99A5AEAFE818C2A78C20DA0E0C2950C31';
wwv_flow_imp.g_varchar2_table(17873) := '8637C843093F70853C76308CCDC00C2B744AA10A53588F80F16F514CF34434FE110964640314C8404624E8C18C3FE0A11C95B0051CFF0C218E4898E316571A46247E748B6BA4E24AD540463F6C718B6CDC0219FF48852D88610B5AFC43446F41534B20F6';
wwv_flow_imp.g_varchar2_table(17874) := '8F593460006844A3F7D498C636AAEF7D032880400AE03EF7B1AF00EB0340014850BFBEC5491CFAFB13E31037992D3D8A1E863448D11644A741C2881FF2A0C42654B1096F20CB30F4C9C73FAEF18004182283FF08871228B10375C02000DD8087094CC00C';
wwv_flow_imp.g_varchar2_table(17875) := 'DE258A1FF951872C67494B59B2831DF27861A298968A3244C20F9E004524D801003FD82215EA8043386CE107505C0300867085B6E294095AC0C315FDB84635EE018A7F98C313CC08473998010F5064231BEAA04585C4C2AEF764128CAE83DA405096A672';
wwv_flow_imp.g_varchar2_table(17876) := 'BD675ADB3B631CC1A7FF00F0E1F17B78FC671ED1A8C70218348E7614801CBD67503DF211597D630720E9B1BFFE952B4FEA9967565876CF45E6A3918B6A582C7C518B5690C31E11CC24058FE08A1DFC2109E6A045004E790D2EF8810BE1F80130FAA6CB05';
wwv_flow_imp.g_varchar2_table(17877) := '11531DEC48872CCD314B7704B51D42C587A49806005BF423139E48052DE601075744E34A7E704524CAE0896CC02113E2E00AD3E8918A68DCE21FCCE846386E910E5B6CF21A3F23673986910D5B00009E5301926216441F7DA52E4D9049E0A640562A3405';
wwv_flow_imp.g_varchar2_table(17878) := 'EC4BEAE11FA504C23033A2B100657B84221CA0807EF6737C712CE8F9F068BECC1A540100108002DC67D087FA51A2FAB3E89B76473283FCCE9E0464D497409A2865FF41E313B5A8C53B1AC69F6365C30311F004311E9004382C518B6F5047153281860734';
wwv_flow_imp.g_varchar2_table(17879) := 'AFA7F44887399EC10C7564431CC653473968510D710CA31CE990C7EC6E973C57D8E215C3904C26D4E18A21DA22137E20462A9061887478A21CFFA04524D2010A7358AE1CD9284738E0400971182213DDF00324C4910A3FB0235E61B1963AAAF15A237D34';
wwv_flow_imp.g_varchar2_table(17880) := '94E5D8DD954E930D7D8C069D9439D03FDA711523B58730558319C61CFBBD39B4410073988368157001075CE0C6E29B238D6FCCC6F3E5F10201A5E31EFB286171B883A2AABD157D5A5B90D77249705FEA8A2327972C7514C317D060C73D24E7288A3DE947';
wwv_flow_imp.g_varchar2_table(17881) := 'D64BE02B8BC30C34D0421C30F04336C6008F3F9481FF9991C8869655F5A6D4D508C5ECC09040E631357F790A1EFD60EF0401300CFDC8831DFD8087BEE0E10E6B316D4C50D164835D018F7048F71A3F0A4726CEDA0E6F1A18774933473928D18D96B9E377';
wwv_flow_imp.g_varchar2_table(17882) := '350480399257E9706CB21AFE62943E00A08B068C56000BB880001CF0621B3F220BB3988303B270631B5F80048F308529C240E336CCE1C66A7B848D0130DA0198B665EA98A80955DB278CBA5668EE445C62A41CD264B1E318BE4087B2E0A3D7F6A009C288';
wwv_flow_imp.g_varchar2_table(17883) := 'FCA2EAE6738F46C1121EB730C2348061D35BA0E11E91480231BC500978A48342042B2CBB395AB1794AD0C4EDE94FD532D58F4CB10CE240D2A45898760B71D8C210CACC84216EF1714F440218C4FF2046265281865B6422129A06C5182AC18C6C60DA1D32';
wwv_flow_imp.g_varchar2_table(17884) := 'BC46190CF18C4CBC2113CF304436B82CEB3292C0A00E78F6AE65EC00073C62128A98C42574310E4CE842B24E0F1B27A87E753698E211A2B80400145159345EBB69DAD665D1588B1027FFCBA35C3108C4B8E1084B146211B508475A84C4A5C4DC2370887A';
wwv_flow_imp.g_varchar2_table(17885) := '21E0FD248F74B4750C689002177CFE0F4340A2D244400657BA1C29C6313CC40B0ADCAB06C3180DFD1D4C2EC46481609735A930CD165CB8862B9EB14C0080C213A14444CD6BF80F57B063D3B4B885CBCDD14577FC231A992034EC5D51090003C316C953BB';
wwv_flow_imp.g_varchar2_table(17886) := '9FF451465B7FEF028F98C3D76DCDEBAE6DBD0D6C8005D503D1804784A10DA21045FF164C81893CE86216A6108522665163B3F711DB13B5479259D53219D1CBEDF3843298D0A52E76A4C20B4F200662700654A006D0F02605632FEDA14904222F4FE227F0';
wwv_flow_imp.g_varchar2_table(17887) := 'C00EC3E00791C005C8E0731614095E100999C005C4A00E80E6288DA357F5864B0174202D44227F672D85C53417076E09013B6AC134B4C00C001009D7600E86D0459EE072A0E00AA9900A91200E99400CE6F407E1900A86100EC3D04DFF9009C2544C24C7';
wwv_flow_imp.g_varchar2_table(17888) := '81AE100ED7B043534620CC6746A385471770372F260017A00B59D0066DA00861A308DED77D5F97058FE06C8F300B8FF00800E07D8F70010A40470F4520687764D5926478C26404E164F9273886710FAB814030320C52E00563FFE0055C30066250057D00';
wwv_flow_imp.g_varchar2_table(17889) := '68F2024BE2B52D59F13B8B410F2D530FE51021E92019F87521F2A01FDD2054D2550EC68334E2D033D2158227D40E99E00A9E724557D232B93835F4508BFD104CFFE072F2A043F2C02007218364612DE2308ADD1034C8E009DA1509E44472F2705EE6300C';
wwv_flow_imp.g_varchar2_table(17890) := 'E1000FE5D00EE6D033C47056FCE06AFF400C6F000CFD100986700DF9E009AED62281C70FCC670A4717479C8546CF36003456000E205AA1355A024163FB085A00E000024159FF384743C637D8968DF4600FAAC31F62D62DDED664307832DDB22088D86989';
wwv_flow_imp.g_varchar2_table(17891) := 'E23C5580787D7007653006563006AE762C9A740DDD340CDD500EB7200F9E900ED7C09246850CD5C07BC6430B85FFC61FF7104BB32454B7E493B474408DA2493D687045C8454DE80EAE9009D7E00EB6D04A06A77BC35083A9500DEAB045A8A3230362256A';
wwv_flow_imp.g_varchar2_table(17892) := '0119600271F0222FF03210EE210EB6482666091F9EE05F9E626FF00800DC434708E54673D946EC534708C93E779946057576EAC0904A357F237323004088B1252986111E1AC93AA1040755E00556500556E0055EE00978622DE1E00AEA400CD7F50CE560';
wwv_flow_imp.g_varchar2_table(17893) := '0BC8100DE5400C3DB333F8600BE5700DD1200E41F3269FD71889E1428EC12DE3950E4BA80EC3F049B690601F170EE0440BE1606AB4A00E91E009F0D073A4E90E98A695BBA2295D292CF7909859312B7EA23A1F0219D1093220C8329E9871BB232C070340';
wwv_flow_imp.g_varchar2_table(17894) := '17FF028FFFC03DD5765069849E6EB497E853477C791072645A3F926D7EA87CFD238819958BE136290BA29816A949E9940AC1E47AD0A00F7EA25200400CC8700DD9900ACE340DD95083A0400CD7900ED9E00AAD940D9E300CF21098B7C22EB0091AEC1232';
wwv_flow_imp.g_varchar2_table(17895) := '9A740FD52484C1640B6FE0A068E5090F8615B6000FCCC00CD1905EBE590DE9905E78C5215CB9161F12629EA248ED324F03010FF516587D962A287398A2F10FBA10046CC4500845476B6497EDA997EF93A5032147062500F28976EB4051F68938891611B2';
wwv_flow_imp.g_varchar2_table(17896) := '45291F95888B622D2DB3A642732CE1704ED9800C526285ED600BCFD00E39880C55843CD7F08AC9C32F2C021A026288B7F307A9A05595E00A8CFF6A08C0280EA0500EB0E7559E800D914009D57060EAA084F8557A76912A0A41288AD47769A2A4F7624F0C';
wwv_flow_imp.g_varchar2_table(17897) := '330E6C9005C4C6AAAC7A01AE0AABAFFA36C42610B00A00B77AAB6ED3366AC3AB000006E7100F7E946DEB300FF52098842311F4C72869DA691CC32AED129D11D738BAA8213F322C75F20F8B1634EEA00E831140B05523A4572BDED265E1E07B738221B864';
wwv_flow_imp.g_varchar2_table(17898) := '3DBAF70FF2700FF2600EE21027A30854FF400F41E3A9F6A1AF0AE122D9F30FF110B0C22AB0F3C00FF3100FC172B021421018D337C2DA1EFB600F02BB0F010B00141B0FC11A0F57120F4D934AF3207F16452913792716792B1F951CA0DA27E482A4A5B23A';
wwv_flow_imp.g_varchar2_table(17899) := '1A3610A1A71ED5CA510FE925E3FFEA9C4C1A292C787164592AEC400BA9C10FEE702CF6F3827461675AE310EE763D44BA5A64A924419A181A5388FA50B5FB40181883319BC25106F2237ED437F6700EE250AC9B912594B764FCC21083532EFC400F891825';
wwv_flow_imp.g_varchar2_table(17900) := '4A3665AA72B38BC12E5C69B303B227B8C221077AA4A55A3162F2271C53B7493B134C1B83C8983DA0222F7D43AC0DC9AFF6C2768ABB27E1AA1E6EEBAC5152B28474B39C7B12AF44102C0B2EEE362DFC5AB81F01B5884B9B955B88BB339F46F6B8665A7F16';
wwv_flow_imp.g_varchar2_table(17901) := 'C127CD7AB885C86D75CBB9A40713DE722F4062B3A56BBA1DF124B8A22A854131F429A6B13BB2194122A661BB870965B9ABBB3DEAB9BD7B32BFEB24842BBC2C012509E12A0DFF512B68272A0E19BB651AAA11E177A6B14E8FA2B9FD43BDE32A14E4BA2E3C';
wwv_flow_imp.g_varchar2_table(17902) := 'CABEDCBB2BAC2B11C1ABB27A1B259A622DA8952387A5AF4B9A68E631AA139168F879BFDCEBB4FDB214F8F3AEFBEB5AE205691511210C9CC104211D0B5C1453C20EED201D10716ACCC910C0D164C771C222F11CD0D176C701002C0CC32DDC11C2D12BAE71';
wwv_flow_imp.g_varchar2_table(17903) := '11AD2110333C10B821C3CDD111BA4110ADA1C2132123EF5A20B399109DB1C44CDCC4F6F0C4506C0FBDF11886B2A3D451229E710F4D4C1700E0195DCCC55EEC19C4621D02C1231E312A14B1347A12308E810F52FC10511CC750CCC519019D762C2C0DC123';
wwv_flow_imp.g_varchar2_table(17904) := '77BCC71432C656BC1054ACC112311A52BCC59D71C75FBCC504FF61C8748C107F715788ACC800F01794FCC61301466CDC188DDC10722CC71E41A88ED11078FC2AA01CCA906CC71411C882CC10649C0F4BCCB9A121AEC838BDD5CB10A53C23B15C110993C9';
wwv_flow_imp.g_varchar2_table(17905) := 'AE1C119D1CC7ABDC14C62813A83CBD891CAABB9B11B74CCAA6FC11BCECC6BFFCC406F1CBF3F0B1969CC813029DCA0CCADB2B1A5BA9C17FDCBCBB4CA8A2A1CD0050B5FA900FFB40C6B366B1FB40CE8D7CB3FBF34274CBCC60820FB052CACD7C118F31A68A';
wwv_flow_imp.g_varchar2_table(17906) := '810FD5212C8C2CCDA287CD4C4CBAB4CBCDB902BACBBC95F1EB4E9C91CD9DC12B94D79CC93C2D673A1302B234555BB7656BBCFACBD05E197A56C220176DBFCB922CB00958EBB1A643BA1F8BC1C5BC522BF4FFA2CFA12C2221C32B601226292C1CA67164EF';
wwv_flow_imp.g_varchar2_table(17907) := 'C4C8D55CCD3C02D0D5F1CA04D1157492293A0DCA7E31C6A4D1C4A461C61141514532B903B1422AE425B65BC222312A68AC23A3220FD6D1198D51B5C20222594D27D03918EA91CE09129DAC7388699D23643C1A59412CAA438202E1155C11772092425881';
wwv_flow_imp.g_varchar2_table(17908) := '15526C2CB429B7F451B6A30ABE224A201F72ACD889483D0D1C688CCB88240F00C2157E8DD9C8F10FCF2005931999A22D994A00003FB0033680DA37F00355200500200592090093590544B012A7BD120301DB025105BCDDDBBC9D04C01DDCC00D00C20DDC';
wwv_flow_imp.g_varchar2_table(17909) := '4A40045540115C600565F006CEFD0677E0DC68E00504A14102C105D48DDD1A0489DAADDD02FFE10600F00604E106680000E40D00E5ED1265109265F005EB3D06DA0D89B4FD033F600444700445900446A0DFFA0D00464010C0FD04C2CDDBAEBDDBC49DDC';
wwv_flow_imp.g_varchar2_table(17910) := '08FEDA49A01237A0120C7E0302E1E04A3006EB5D06FE4D044670DA42B0033D400490E9058DD8885620DB55A004BDCD0528BEDC63F00588F7DC68B0DE0050066830E3E54DE3358EDEE5CD05ADDDDAA00D99C44D42F71A267F3DE4982D0FED2026B80C4961';
wwv_flow_imp.g_varchar2_table(17911) := 'C624F4C1347E1000024100503EE5004000516E00044000589EE5566EE50060003600030820E50190E50301E5512EE50040E5684E105DCEE55C6E000600013670032D10030070E706A1E72D00003180E77E0E03829E022920E830D0E702FF01E13700E100';
wwv_flow_imp.g_varchar2_table(17912) := '7003801E038B0EE98EBEE80A21E80060E978FEE72701E81C21103060020561020960E60880390F000011F00011701006C000726E005F9EE5509EE5B00EEB6ABEE651EEE6707EE6036100A54E0114A0EA08E0EA067000AF2EE7559EEC5CAEECBE9E00A60E';
wwv_flow_imp.g_varchar2_table(17913) := 'EC1CE00126E00128E001D61EED4001EAABB4EDDCBE4A1EF000BEEEEB0880140C50EA010007FD904B0A4424F471642C9DEE6E47CF897140991000A77EEAAB9E14A79E1409D0EFFD0E009DE4EC00A0EF3B40041C70EAA59E11FEBEF0FD2E01040104005004';
wwv_flow_imp.g_varchar2_table(17914) := '0F2F10100FF1A66D0440F0DF44E0DF00B0F11B4FF10050F1216F11404004257FF226FF12F46DDA2B1FE1A86D031EE0EF0FFF40011BB00102110200B00121A0011BA001021101118001ABFE0042FFE50C90EAA98EEA0C9000E53EEE5FFEE5CD3EEEFF0E00';
wwv_flow_imp.g_varchar2_table(17915) := '488100A8FE002280022CC0022590011A00F4607FF4AB4E1063BFEF030F00D01EED28600230B0E86ECF037F0E032F1003A9EDE0769F120070F0A63EF3C00EEC046008F73A78AFD40FEE904BB80CEF889D2BFA1209508E001150F50261F54931F0FD8EF003';
wwv_flow_imp.g_varchar2_table(17916) := '2FF59E5E04DF2E10A7BE1056FFF90361F504C1F0FE0E012320102A201037311040D0FAAD5F10B86D10164FDFB44FFB06B10340B012B88FDB3F60DA02D1FBBA0F00C1EF12C11FFC3771033591E726D04956FF00351F02382F101AF0013E0F001880010C90';
wwv_flow_imp.g_varchar2_table(17917) := 'FDD71F010CFF60ECD9CF0045FFFDAF8E0072EEE5E32EF54EFFF90990EA2B4003EE5F021F20F4402FF6470F000C60FFDC6FF5DC6FFFFA4EF300B18103070F26601C44F8C2C44200376CEC7878E306448A366E78789020E38307143A520860E81FBD7CFCFA';
wwv_flow_imp.g_varchar2_table(17918) := '9D4479325F3F78F2F8010090AFA43C78FF52DEE4C7AFDE3F4A011E204880000002A0421300481021C1D2A141871205C081088C0743ABC2C49AD5004CA247850EE50A73E958B22000EC80A9222B00206DDB02F8B116EE0FBA75E39E05027347DE1F40EEE6';
wwv_flow_imp.g_varchar2_table(17919) := 'CDCB96ED8EBD858110FE8156315AB98D1D3FB60120B245888F255F86D9220584A20F367C0E114283E8B51818608810014004035B0D9C06F08041020644FF5B636DDD15A8D2A34D233CD0B081460D1A2534A04ECD20756A980C60AAC67A9401470A1B2810';
wwv_flow_imp.g_varchar2_table(17920) := '44E1E18542EE0B17C2B0F130A243F1102F6EA44E413D05027F4696BC8932DFBF962F63AEA46933FEC99C3B23F9140A2AA39A128BB7D9BAA20D00086E006283A120B00C80AD9C8269AB0AA3238B2C095C386BAD22607A2B30B7608AABC4BAB0DAABAFC40E';
wwv_flow_imp.g_varchar2_table(17921) := '63D1B013E9120CAB12F5228CB0086F8C01801460D831861660D011801C196B8CB1F0B2A22028A140C34A03983EF800000C30580D0006AE74EE002C7BBB3237031070AD298DC6542D2998805B8106354FC800B90894C3124B2B55A353A9D83A1AC80382BC';
wwv_flow_imp.g_varchar2_table(17922) := 'E373210F0080210689C293883C1B6488C1FF040E36D268BDEA0C10892493F6E3873E97EEC3AFA6FDF8D389A7009E02AB28AFAA5A2A23A44E9D2D361880F833C02F2DCCAA37DCB02240AE0CC792A005C100B341C4C1D08A4CB260D772ABADBD5024322BB7';
wwv_flow_imp.g_varchar2_table(17923) := '8005A08560751DF6C8616FBC715A6AB302765A0F960253BDD000184D830FC4D5A0DCE334B8D24A092574AE2A065E6BCD805AE5FD722C8E348AED540032E0404D1AD89CF2CD37AF1C38ACAFF24D8F20820A62D8040F3C1021AA8252B841068B0A75288514';
wwv_flow_imp.g_varchar2_table(17924) := '1C8680D1082070D40046DE9B34BEF9EA8B29A67EF2DBB49FFEFEF9CFA900F5E56D4CB2563B8AA3074C20C2030A24AC3701031290C02CA225908003A4D7AA35D65B9702A1586075D515FFA6C8A00DCFD9C60263EBAD19E5026CD7C80E2356D9BAB8B62C59';
wwv_flow_imp.g_varchar2_table(17925) := 'B0C1EE552D1ACFB211B36053280A01CF428372DC71A504D749D3E464C0C904D97DB556020C0F2A0108165F9CA38E39CAA0047F4FF8A04D38E17C732881B3FAED373C157E78E18501D093741352B0D821D56DD08C740932522ABDEB108884E44D4F764926';
wwv_flow_imp.g_varchar2_table(17926) := '9956D674D39CE8F154C9998B728D00A0182D1501020240C0831B4CA0C08000E40D8000A12508D6031840D8DE04989A5EB7C2A7A176416A205AA8EC216627C34C3022002022FE18E1A27F6DB4A96D6BC56BDBCFAA055D196351AFF6D2AB87AC256E476A56';
wwv_flow_imp.g_varchar2_table(17927) := '46A0B281D084865C4DEADBDFE4F40CAC38A736AF2A9E5834F20090310EFF42B1A100BF6880837F65E003C91958E6109039E708A5733A538F75063290EBCCF04F373C9D0C2C963A87C82005A4A300049612BB18728076B6DB0FEE5EA23BDEE98752F9001E';
wwv_flow_imp.g_varchar2_table(17928) := '2302203CB16CC50A86F04425DED002A0E46C4C0F5082159280803026C0041F42401240608021C020012E28C2061777A3F111ED7D64F31088F278BF5DCDEF6B8E1951B30AF8183E5E4B05C7D20BD97C95151528F25A460C0A03188837004009264E121706';
wwv_flow_imp.g_varchar2_table(17929) := '1E20412A61E55312B24DBCE8D5150E82CC5141AC4A064430391322274E1138180230B71A8EC4A6638EE200047299B4192ECC031A43DD0E2DA29914F82C2343FCC8408E2829DF59CA3E306962CBF8710F79FCE30D53FFD48D8454E0895FE0A212AB50062E';
wwv_flow_imp.g_varchar2_table(17930) := 'E020447B352F1FE168C71B3C918A00B8A21F2630003DBA01806AA08100DD58C7D0D6D51BC301A09F121A1F04A2269EAC84A73CEA23925F14AA22BFD0EF7D310A1B88FA3297B8EDEF5A89610C460B8A172231CBA226E0566C3E339A4A46294A9794529C60';
wwv_flow_imp.g_varchar2_table(17931) := '820D4F5E084C5B2180BCBA283B47410802AA2C010901B61C82A5AB39737ACE033CA7B38F9CF23A10F0002F1F763A600693751B3366524AA51E822CB324254B8912B3C20F96DD8E9AFF80038082F20003B4E015C95885177E60843FFC421A80B0DE980C60';
wwv_flow_imp.g_varchar2_table(17932) := '027178000ED7B805283CC08C68BC0100D990C71B6E71052254A31B615DCAD032A420984008698F85ACFF04F23204B92401004948C211309B042524A1088061A88AE87797AE714DA131222DFE40841645AACD317101C2D82C4A2D19FC446809F80C034D5A';
wwv_flow_imp.g_varchar2_table(17933) := '4994A22B4E9D84C93D9A23CB2FCD2BA64D29AAA314D4B1A8E4B4046CCA004F7B6AA5153AA739B02C135260D84153F2526979626A5365D0021F72EC98B1F30C053C6055AC66D5995989A657AB79076C168502A948C62F4011853EEC410CDDFC851266DABC';
wwv_flow_imp.g_varchar2_table(17934) := 'BA2AE11AC3D0623852518DBDA6221AE1A8422488418C6AC4752916F60117AE00002B60C50A1F063188D1E05700F8150E0038F11B52FC0615AB180D965D688C437BDAFA81ED8FB34D1B5CD4D6D1D8F6D85A961916B338705B8D4C92B7BB05574A5FFF63DD';
wwv_flow_imp.g_varchar2_table(17935) := 'B5D4E00044019350626ABCE3318E8357AE4A553820B9E2B429395852E15AB0AB1CA9A2F7CA1D5B1C550732818585B7A92D6048C7C6E2B9EBACB776CC4C224B2E8595F852EAAB61B5ED0308C085FC3E03149650C52636810B5C24A311C70B4A0BD8818668';
wwv_flow_imp.g_varchar2_table(17936) := 'DC2213A070853CC4C10E2B5C830B86E8C717AAB10E73A803A4B71A01173AAC842A5841094550821286106B5A8771C40040031A0050865CEB9AD72C2E03AFE1600544EE6FA25961E85C701CA1BC1C2BB5B19D9FD5AE0591204B06CE3F191A701A98B7AC60';
wwv_flow_imp.g_varchar2_table(17937) := 'E0382A659A6A88FB527F8272833AC317531290810DE4B48454FAF274C3024B758945BB45256A9ABF9BA7893515980B91409268532AFF9009040123C3737C2A8532AC70B5777EAEA61F00041448E59718A06885A26B718B5FFCE21520184BF39E518E5B70';
wwv_flow_imp.g_varchar2_table(17938) := '409DB7F003015211094F58E101CCF803318020815B5441024995C00496F6850FA3C10A4328C31FAEF0855D5B01103CE7B921FEE08737FCC11091A08421E0C00834F881E995D0221CB8C05A18DD18905891318D5FB4B6F511902DACE35F5C286235F6E9E5';
wwv_flow_imp.g_varchar2_table(17939) := 'C797319263A89691D6DC2D041FB8FB496132252C69C931177CE971A95C2AF45C0529AAA1009769D0A6D5086C604261B29966339B735FE7A88FD3374148B72737FF5B4FE41C78C220F58F7AC08752EFE5735721FE0F89DB7629A0E8B8300CB189441F6215';
wwv_flow_imp.g_varchar2_table(17940) := 'C4C0C52F8E60146E0DFFC804AC4240F5AAB7BCA5142423207018F291AF043428A112FC78C31588518948E4B512B7C03E0088018764DCA21D95980628CA318C6CB8221EAF70052870618B57C0E10D5C18D65DBCBEB53ECAC52EC222D65B7EA4A31470AF05';
wwv_flow_imp.g_varchar2_table(17941) := 'B1D51800308BB3F881414A0BFE6B16F42924B8098FB8A1B669113803B0BBBBCB8A28A11209F2A9B5E89297128AD6183CE42913E888807623A1C5CB00CC19180B7A93154A0DDA708EB1C29387F9BCAA00199898009850AF82389DCE73985C3AAF0D5A0F02';
wwv_flow_imp.g_varchar2_table(17942) := '8814D353383D7B2600E83385FBAA9453A0A5A8046658BF37D8834D58843A78855FB8056590020BFB222D23821C8997C3891521E2A0A5589C3772B55B00804A1805FF50000143488616F8835B18825120865B788364780576B8866C78835FA00464480571';
wwv_flow_imp.g_varchar2_table(17943) := '088768208664F0034360312B9001BA200C830A8FD422A468838B858A0BFF999611611DB4C33F3E3A0CD2520CB69B9F69B19102FCB116200F98D896A161000A108DBC3BA90B4C2970B39203D88A770925A029B72E9ABCA390AADDD88013F017C6530E81C9';
wwv_flow_imp.g_varchar2_table(17944) := 'C0EA920E59AA8D46D90086791854FA20989821D3E193A60A1D391BA246E988D14B389C403D68523D935942B1020A6EFA8558B0034B688556D8034F80868E2B822E2A15C27B805EA1003099B2A6A9A3A568012BF8826E48866CB885510082469886240084';
wwv_flow_imp.g_varchar2_table(17945) := '64B002ECC3853760865718866A70873798864A7806FF5B98865790076298064A38874CF0B91FC20A4834C0B5D1A38892281251C96503BBC4783665B98C60F1281DF11E00A849D2C10A13C0C4668180A191C00682C558E43B063800ACB04526033C0F2CB7';
wwv_flow_imp.g_varchar2_table(17946) := '0AD10D01099507889C6184B7629493EAAA932BF145BBB98E85508819FC205D62B31B5CAA6A3C9D3F0938D8A1C76D1CC2F6928F6F44C270BC897C18476E098A27CC8433488343D88443A883348004DCE3A279040AA4D0881B2002239AB20A512C9FB49EC5';
wwv_flow_imp.g_varchar2_table(17947) := '04012568845BB00266688457B8853FB0C34600006618052B78056268844AB08546C806381886EA030566A04846780566C806AAB3821F208212312D1079283D5296C0483618B18C425AC0DC5C0BFF83920BF4A98CCC08C004F491F14A4598B801489A8D10';
wwv_flow_imp.g_varchar2_table(17948) := 'D0ADBC7B1229C140A2B4C5D7408DDA80320F94975A81B2A6048BC3A300615C930C9893CBB1202B518EE181323CE193CF9B235DA2AA9FF1A5B1F493A890B39F889D462100384022933142F882CBACC2878813AB0420802F88062E988234A8834320033268';
wwv_flow_imp.g_varchar2_table(17949) := 'D0570085B168170E10A904E0001828021B48AC0B030017083811F58011C8901BEC302BA80256D30257BB022EA882166DB52BB0025D8389152B31167B83AAD3D1AD7B9F87BACDD9841F988489F8F19A943C1140E21A49B4A8BCD01AACD00C6709B21DF89A';
wwv_flow_imp.g_varchar2_table(17950) := 'B1913F048289537B970700CADDB2C0BF790D003880A3A44AED0C4379C10A285392FFF014CF13E0B20C304FC7C39200B99215A2AEDAB00AF5F20E3DF1410839250EA8A13CD913670C228F5020B4143438E8876E742F868309877322253450D74B000F0085';
wwv_flow_imp.g_varchar2_table(17951) := '31A883067D50BEDC834BB530A1888405F1830478832AA8023F80812FA81515208016F5803188831D780333B8020B830020485110BBACCB8A35CEEA5525D8305C23B15E23D6602B83D8CC1AAA49010BD0180F50811943AD1A53C9F903CE959C361D63114A';
wwv_flow_imp.g_varchar2_table(17952) := 'C4966B8196B5A00ADB90A46FF152EA8C937729CA2B7112ED0C25C399970071D7AE788EF1E4323631C6149C13EC3298F6DC4A3F519A206A2CAA322500489A1A9A001170C65C7A9C263C9E00780392614B9709D0D47B38718487FF7E90B8DE4B8000A88258';
wwv_flow_imp.g_varchar2_table(17953) := 'B0842990D03A78D062F88365B49BE68904CC7A0313683525F8832AE0020FA88224C0550944833F68816345839C9B8087010110E83F13E01E09D0A0A7A1805E118C1A71496A2BA63FE1801BC450059980A88DDA4ACC1FBFA08BACB901641BADAE39C0FC8B';
wwv_flow_imp.g_varchar2_table(17954) := '8C02EC1FF42152028236D6E2281F8B1062AA4929654E551C1A59622092E236729593E6508ED8D8407CA497347D0A288B1506C8003725211342A1140A90CD51C6A7AC3387E1533433A50EF2577FFD2019248880BB939F008AD9788000B803874DA26FCC94';
wwv_flow_imp.g_varchar2_table(17955) := '488D4B6AB2D8FAEA0D03B00255E8834358DD3EF8834D202B2511B41D408332E0022E1883A5E3822F183125703FFF2228021040032DA8020868BA2B402A9C4B2A0A78AC9FD9A7C51C0B08F8BF62B1DAA4B58187918B1B945A36B3801F7856D0B25A48D45A';
wwv_flow_imp.g_varchar2_table(17956) := 'BE708B0E98001080809B033B568180438252FC5B2DF6899691AC1A40413E6729CEB0AD5F2CCD496E694558ACC0E3300D2D81954D920D5C7C95726B9A2FB10D3061D3A408DCC9C9CE14F229383918C003A185C90E400DA2345B8FC6A9A5528A0AD0E1600D';
wwv_flow_imp.g_varchar2_table(17957) := 'FACECD6D5846458985DB33709CD8D185077EB858A8501202F0803700855518853F008298BA2DA020801D48822A200229E0020E00826395823770B922E8C73208233818022B800033F893B0B0B7E800A8F1F18062990BBB80117FD3182168013216021510';
wwv_flow_imp.g_varchar2_table(17958) := '82FF12994DF03D36B469E3BEA80081D5B9A5C8152018022050819BC4CDD5C2CD6603A0B60394280D0FD31AA0AF1B961650A09F0CCA26F99BA394120DD8A4E12A1C7F92298A5B53BF358AE9705335F13263BC9C9FC29C0E248A6482183D510F9BAAA963B2';
wwv_flow_imp.g_varchar2_table(17959) := '97C559B319528F7B4110BB61D8FF8C4BB784D496C9077C88E119EE5B20AE15A1D927A61490ADB0640FD88156999EC31122C68A150B9115AF584A7F7A1AA145496453A8468A1F232D821FD8E66E964DD19A2820F851DDE45AB7304B0988633A261A208023';
wwv_flow_imp.g_varchar2_table(17960) := 'B0FBBAC20816D81A1B990C0CD722A043BA1A1B5001F6D115F7B50109288A08D8B692AAA42901D376F1368EC85B7A9997ACF4DB30818A08884AFF4E7693CB51217ABB5359CAD33A0B9D539EA3F5382635D508089921367BE5AAC8DC52996515E60FD04D42';
wwv_flow_imp.g_varchar2_table(17961) := '1896E14FFACE53B9AD09F14980FA4EE1390A0EF80144E6CE5D84952C169F68FE1EC2BC1508700122089B25A5DABC50EAA706826DF68B6D969F4ABC8B3BD2A3361667B78109A4398AD749800A680B0E813668C12377960CB4503B1F8336B6EE15B1B51A8D';
wwv_flow_imp.g_varchar2_table(17962) := 'E11EFFFB911F124E9B141EBCA140DEFA36A20C53708964EA9AE4514A1C8AFB8AA208AA4DFE172AC19CE98A25162225AAD2135396DC0F8600A5F8CE2A8B8A813D69A7809DCDED5C967619971E50F9B8875DAE2F4C866862760D3029ECA6E80A087808CE30';
wwv_flow_imp.g_varchar2_table(17963) := '1CE561537D710C98729AA719C0FF212DAD622940FF69010B18EE65A50BAAFED1FC6B361BE04D716E0B22308BC702800EA880A5811A76FE1315E8BF1478D23DBE8C1E2396C8F8D9FE4BC001629D1F691D299D16B7F956A228976D0B81921ACA257B800F30';
wwv_flow_imp.g_varchar2_table(17964) := '60EA72EDE3D22725A1A2B58060F234C1F34CC1AFA88D0C5497DF800081986C0E8E4F90161EDDB80A40FDAEC791958D20801426C25A76D4D0C5E5D38EE907179058F24907AE97A644ECDFF39E29AB64C692157B5B66B970E60C9100A241B6BEA05E22B85E';
wwv_flow_imp.g_varchar2_table(17965) := '9CDCDE9D8591E456EEE02E20D872EE387EAC0EC881A876018E281A768681E96552D7F2B14372DFB568811C919691CC0C98D0981F0101F56E1600B847A218C1BBA3A428F12DFF2DB1AE727117A17929D7286C8C1D9E2A91E81278D3A9F4643C5DCFF02433';
wwv_flow_imp.g_varchar2_table(17966) := '5BAAA1C9F6680571F09C3E1E69E46C54020BA2EACF45CDF0466DE19978E115964BD4EE65AEF88A2F01259F7C9507E76F04406244C6470405F509300121828009A8800A0081F3EDD91BF46FA39671DFB66A8512E763D6DEEDF5800948816D2E9B22756E8D';
wwv_flow_imp.g_varchar2_table(17967) := '1211D90482EA469A0AC80117180222B0ACA2E96D106924E04C16940416AE968B602120FF818185300B2011242CE50006FE5F320780BC9BEF2B3160C17917366F4CA3C66C1027108906F013606C4F860EAEC0D315BCB7EAF02506A74190B62D51B193A8B8';
wwv_flow_imp.g_varchar2_table(17968) := '0ECE5E73184A7449614B7E58890D7FE994F81DB09AA2B53818FF4B070B89F749874E9C04A0800E6D8AE16373D231C3A40179E6958068F46F19271A1BB84D89728BD9B401914C012178F9327E56F849EEE4362D70068CB610760930723B060023F82C01EC';
wwv_flow_imp.g_varchar2_table(17969) := 'EDFC19246A073200508B4286D26189ADF57EC08DC28AF5228AE91817BD0E1730DD8AFAAE252B81170F748A314995D5C85CB18760C5633C0AAE53B0C89CA1B8DB847918830554C60174430DE98BAF8A807765E6820EEAE84F5ACEAA887DD4FC7858FED809';
wwv_flow_imp.g_varchar2_table(17970) := 'FABA0A02D797DE507CB190C754C92E0F50EAA795B2B0E0A06BF1C5A19D71334C00152882CECF8A6C067D00F81098A02C001882232852C7F0FCCEF7FCF761FDCE0781613776D61F0223C8811DD89EBDD01EFF10091BFEB5287FE65AB948F9C6B81A219A0E';
wwv_flow_imp.g_varchar2_table(17971) := '2E65200789EFF8F6ADE9D02473B913CAB3E47323AAAB303CE868371D20A1128053D4D080E5588EACC8B2CBAD0EFBE453AC302ABA272AFA5C70CA5E8B9F31003FF05C007587167E4B4DF987FCD77FFDEF87F90088370006122C68F02080000A03202440C1';
wwv_flow_imp.g_varchar2_table(17972) := '0404841227225C4880C04209004000F060A2A309131E4586F4D0B1638A14135278484191624813302424A829C103C78D2640A000B0E1664D821E3CBEA478B32852821C122C0C70E0A98103510D0CBCD8F4A2D5A60C931ABC182103060C0C9E5ACDAA3500';
wwv_flow_imp.g_varchar2_table(17973) := '010069B112308020C183041112204060C0005BB66715BAADEB1741DAAA17EF0630F48F5EBEFF7EFDFE296EACF89F3B79FC0CDE83E7EE32E6CC97DBE90B67088E1F83A0E110244D1AC0693FAA57B3F6F3C750A4487F90C2A96DDB769CD305FFFC89C3FBB7';
wwv_flow_imp.g_varchar2_table(17974) := 'A146041B51121EFB78A481C497172FCE15E1F146BD0D016A542979A582C9014432DE285225EB03C13F3F68BCA07000DFD5275FEFBEBB21D603112132040012A282ACF3E707107AA06904B986086F04FE91DF81A1F9919F2190380209008E10441F228584';
wwv_flow_imp.g_varchar2_table(17975) := '66A1410812589F7D8678F8E11FAEF9C79B6BF229E8DA871EBE76E06C86CC361024E1E473CF3DF4C073238EF0C8034F3BEDDC934F4134DA28CF8E391A490F00FF00D0CF404A2A996493FF4899A4948E59C92452524E09E540572A561E98FF6126A5E59305';
wwv_flow_imp.g_varchar2_table(17976) := '3926269A689E49903E0591B96463669EF9A49649ED03E799586249509D69FA19E48FF71469A48EF2E403E441F9F0B3288D34D6D3288DF9D4430F9262CA030091974A4469A505118929A697668A693C03CD6310A7A9523ACFA905D5F32AACF5008064A700';
wwv_flow_imp.g_varchar2_table(17977) := '949A54A5B512A4E940B7DE8A90A697EA3A90AC7E6A4AEBA6B3CE5A6A3CF1E4B86BA83A1E24EDA804C103C0B5D47E2A2A57846636D08DD8EA5828A8997E3A903CF1A42B4FA53BEE88EEB8D8BA1B6FB6EF629AD8A190EAFB2300881A84A8BF081D7AE844FB';
wwv_flow_imp.g_varchar2_table(17978) := '1A7C0FAC08D903003E0D1B246BAC11172B6BC30DBF0AC0C510336C4F3D1C7BDC31C81F8B1C32C9237B0C00C7C52244E9ACFF35BA4CCFCB312379CF9F07A96CD0C20B139433CAA6CE630FC7B3CEF3E8CBF2ECC32B6530C34CE3AC11637CB3444252DA2800';
wwv_flow_imp.g_varchar2_table(17979) := 'FBD08CE9D19E1EBDCFD2084B5C0FABAC020D34CDA94AFC74C2B3A64AD08FFC0C1CE9C0335E1D304174A31937DE78437A50C515037AB09850D74C113E00086910AFFB28CE36D308593D3841565FCDB7DF0A8FDDF7D8F6347A27D24647AE2FDE6C27A58F3E';
wwv_flow_imp.g_varchar2_table(17980) := 'F590DEA6E19B2B7EE740ACA7FEA3DC90663EBBE6B11EBCB744B2E6BD3BC113D95DD0A28B1EEA30E4C54B443BD012F53D10F189E25DB941FCE02324D2C65BFF6FEA7D570C35D58CD3A8B8A677B24EF3C1A413AC58F09349A4CF3DA59FAECFA1ABAF3ED1E9';
wwv_flow_imp.g_varchar2_table(17981) := '71D3D830D9FFB7EB4FF5ED49F53E113DE281AC4E856D1EF408DBF508D2AC0532908145D119CF584511099A4A70367B14C68AC232D7B5EE5259C3DAA5BA771061610A669EF3538D5636427A90702033335CA52637C2AAD1F0856B5B9AD2B846BE20890E54';
wwv_flow_imp.g_varchar2_table(17982) := '139954AA68240F7D0D446A9C52D6447C85B4232670203A6B2214A3D844D6B14E49AEE3A014B328912AD2A94E65D222579C04C6C1B96214AE00C019CB988A81A462146804801BCB389033BEC48C5AFC0500F0F80B3CA62915B6B8053000698B4112F21649';
wwv_flow_imp.g_varchar2_table(17983) := '49C51A0D824800C4828E004024246381C846C6028D953C0828B822C9815CF220C2404A2E40118A54C4A2948C1C863050290C60B01218B670A52B093948FF00208395B690A42D08028C81B47297BD6C250076F99C5C5AEF1504B1853191894C5A00C098B4';
wwv_flow_imp.g_varchar2_table(17984) := '7845236991C669BAC291D69340440CA211087093201048C018735290110040052A18810A5C30107216459D037109003810CF9E98C40328F0C0060C620214988005FBECE73F09A28107688020042DE8400AAA810D68A0A1146828001EEA93863E00005421';
wwv_flow_imp.g_varchar2_table(17985) := '48602422150044A0201D1D0806381A52799E00002158C10656000095A274051A604042111A021DF040073A00C04D6F8A539CC280A62FD0C14F5F20827C6A2002F95CE94A59BAD2100C64052B38E940361082904A24063C00400C0812031970150032B801';
wwv_flow_imp.g_varchar2_table(17986) := '006E20D6B07AD5AB57958157639002B502FF009E5CE5AA4B649012787EE42022198A488CD7828D8C80237D254807D6D9011004969D00086C602B90940994739D455141635D000417A4B3B200A02C100090D9CD1664B2991D886725020382DC2006A6BDE9';
wwv_flow_imp.g_varchar2_table(17987) := '697B0A839FAE5607AD054050615B101CBC00072C882D505940101600B5B6BE952D007020D08354B4202A152E4E7580DC81D8D4A600D0ED73075203004CB7BAC1C5410D6AB0821AD8F4AA3A05400F968004240060BCE62508128450101DB000052B40C174';
wwv_flow_imp.g_varchar2_table(17988) := 'BF5B03F8C61707CEC52E4EA7CB54291E6120FD4DC27F030C802414A1BF442008118A4090CC1E18080DD6AC831D7C901F1CD80F7B424807104BD881E404047DEDC0870702E20D830004FF8A2DC8042A2001C686099DEB84EC08282BE3CABAF3B296ADB164';
wwv_flow_imp.g_varchar2_table(17989) := '5D3084748276C74318C80E460B80D5AE57B5AE25889091CCD3E01E04052C604175E1DBDEE90200BE5626C8747BA252002C94CB13D1724FAA5C65ED8619A9F035C87CB36CDC81F404CA4CFEEE4096C003F1F260BCE105EF127AB066826C1921D6D56E9F25';
wwv_flow_imp.g_varchar2_table(17990) := '6284240CBA08490080820F2D1105FB17D1475030A411FD92FE02E0C040062D4176A0594B5F1A089A26C80F00A0E91D9844222F42EC61459CEA9C041600E41C41AB0D32D80A74E0C4873D716035B29197BC7A9D2E60278F6B6C6377AA13B23F3E366409A2';
wwv_flow_imp.g_varchar2_table(17991) := 'E3640F24C9AB35F290870C5438FFB4D9CCADED6C9FCB021C701BB635E0FF76B7B19C65E1CE77A5610E8154A58AD4F7F279BED8A5F241B40BEFA4F6A4046A068008569AEF9E945BB8375DC24090C00423881AE0E515F540AE3A91EC6219CB7DCEEE4D034D';
wwv_flow_imp.g_varchar2_table(17992) := '1002137AE20AFE31A325AD684A13E1D1FDA5F44B22CD69845F7A2096DEC1086EB0571B2C78079E0E7552508D6A58A73AD6E52127885D5D900C3B56E73417930BD4F9EB710A3DD9902576C9954C90690377E9A31D2D502552836D2384DCC145010E7AF202';
wwv_flow_imp.g_varchar2_table(17993) := 'EEF2BBDC05B1F2BCBF4E90334F84A5F2A66E76193E6FED361CA7C295339D9150E782EF40BC3D202F9CDB2EDD97847DC105013081253D104353C4E3053EBCE1138F7805739AE5CAFE74C6770002953BFE209A2E7552FF0C6BBD111836E70769F5CF510D26';
wwv_flow_imp.g_varchar2_table(17994) := 'CA36B69C41BF6C6377ECCE4F0FE405B08D7ADE0742DB9DCA36EA52472E76CF8CF5337F7BB94BA7AEEC0B42E5BE4B37EBD3DDAEC40FB2021A2C1F00CC277E5204CE7AF2EA1909B1473375B78B76E8839422149F3842082F119003E0D103A6085A0FB2594E';
wwv_flow_imp.g_varchar2_table(17995) := '8355C82E07F20F424D7030FDDC789A478ACD8BC24E9C1B249DE45427B069166839DE7CE90077711D41B81E9B1DC44DD5967C019FECE99695691F93498472B99D72E5D47309976E7D5B9B011FD60DDFF2351F142D0113D49DC0C91D12009C0A06DF412097';
wwv_flow_imp.g_varchar2_table(17996) := '4AC99B4AD1009A185A81491AE189DFDF11840E1EDAE10D588255DAE00100CC15C4680181E31501117CFF160054DE418C1CAF5184ADF949AF7198ABE59FAA0156416C58148E5341C0988D35594E95199CF5C4F5FD94EF61197E911975F15B515C2041D897';
wwv_flow_imp.g_varchar2_table(17997) := 'BF6160F051994EE1171831015831819ED5190BCEDD9C5D551A7EDB4B8C60F2BD048199DFF721DAA12DA2A31544C611418225812422C55E0920411801131A8483BDDF73785E138D008B6DE1FDE59F38898905B89A059C9305701EB30D840BE8196CC52073';
wwv_flow_imp.g_varchar2_table(17998) := '619701A6C974611774655F4FD8D69F6820730D5F1A5620DF11627071DFDEE9001304221348DF400C5CC001C012A461ECF55949D160530D04364E04C529D8A329DA4080E31066DC1016C48119DA39CEDF41C09307EC15EB49E2FC6515E46061F1E4FFC036';
wwv_flow_imp.g_varchar2_table(17999) := '8C43255C019A8C585FF52388FD2342A4629884991DD21E75091772B9DE91491D74959B6ED9D630CE163032207319A474B9591A46A4F5D414009CE009CADD142C01DC25853592E03682C9E1F9A0237E5CF935DA41645C1190234278C0116EA212DA80135A';
wwv_flow_imp.g_varchar2_table(18000) := '1B980496B035D18F290300AC8162D1234598D8ACAD5A0598D8298609BBF519EEEDDD44E8D4F5615F9341601CC2D930662504BA99DEBDA14622C5322E014DE980583EE3677D17134CA5441CE244FC6041F457C6995F02D9405D41220F4E84041C1545C481';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(18001) := '178E11A6D59F5F52C4964DDDD451176F7157D64984C2E1624666601C1605420EC42E06A6344A2359EEC009124466BEA0608689C769FF9C378623A3B124F951C4812DE1121684A631DA5881497151E64100E541C418002C036C5244A965599A6D59A05163';
wwv_flow_imp.g_varchar2_table(18002) := '0CA8E5C2E1219A7DA5F19CE4F5282300F04033DED912681A722AA3C201A7F39160797C5CA209214194A65C22D813561A676DA2E0655A11BE843C15841BDCE644C8A61BA1E741B81EBB8D1DBC811D7D890999AD1D31B26713896559C6190F7064458609C3';
wwv_flow_imp.g_varchar2_table(18003) := '09A741105EE005DE5DBE65399AA641FC00789A1C58651ACBC9237E4EA8F54C66539D5909089F7BA14099FD095B52E8E0F41D5932C1335E158976240C1AE741A82845DCE081168584BD84A6152112A65F58C5C0832619797A407982A88FE2A608346551B8';
wwv_flow_imp.g_varchar2_table(18004) := '179B0917B6116721FEFF68F144E448DED4895AA4921A842712614E4A445D46E9CDED5C4FB2E752BEC47E5DE856A6097C6D579871609AE9DE4A511D9626C5322E23473E29577C6826AE6952E82888DE1F9D22C553499C94659104D64086E6A90B1E445992';
wwv_flow_imp.g_varchar2_table(18005) := '6547EE545A42A9A036D168C1D38F76408A2D6A516C4049A1DB40E4DB4AE9A6F1B09DA426057221A7709DA8727AD7C22155A7FA490BC0C0255E187E9AC1A94A04BA592ABAA95409BCD77BCD979C82C93622E3AB16E43212C4487E250ED000AFA289A7F968';
wwv_flow_imp.g_varchar2_table(18006) := 'AA5E62948E801C0C841534EBAB1EC409506A13A95449456B51F499481A047975E462C61BA726D067B19C0DB440B956A914A50008D8297EAE4102C8C114C6811660FF2B41E413537D69F1ACC0B5D2EB9006AA70C9626582179850679AD80010286B39A12B';
wwv_flow_imp.g_varchar2_table(18007) := 'BFD6CC153442AB59C11A0000BCAA530E2801BFE6534AF9C4C2FEE80A26274E2DA380AE28C1A6890AB09E4E6E2CE498810F188461B1930F58ECC2E6934AC92CCADEE678E119743A9716292C00D415087C04E6D52C98D8DA04E8DA04F01C415480AD4DE1A2';
wwv_flow_imp.g_varchar2_table(18008) := '96543E9D8008582A530AAD980881C149A3F52127D56E6D98D45AA752EA09E8EB53552A53321FD792A4C0E219C09E2DD7422A520C25D37E2D53D96B06844006B06D09762BDE9EED2816840578EDDF6E2CD9668006840042EDEDF5E8D9D57E2BE22EACAE79';
wwv_flow_imp.g_varchar2_table(18009) := '6D60A522E40E65AA35AEE5A2C9559117E35E6EB42EFF2D51722EE8A209216E6BE896AEE99E2E429021EA4A2A16E2E9EABEEE440462C0C95972D2144EF927ECA2A7381044376CC3408883EF7603387443EE16EF41944338182FBD664EE128EFEB26CCC518';
wwv_flow_imp.g_varchar2_table(18010) := '0E41288D0C39AFF55E2F9D6211F66E2FF782E8E4D003D7E850F5742FF996AF5F22C9E298AFFAAE2FFBB6AFFBBE2FFCC6AFFCCE2FFDD6AFFDDE2FFEE6AFFEEE2FFFF6AFFFFE2F0007B0000F300117B0011F300227B0022F300337B0033F300447B0044F30';
wwv_flow_imp.g_varchar2_table(18011) := '0557B0055F300667B0066F300777B0077F300887B0088F300997B0099F300AA7B00AAF7013E168B4B1300C7305BBC6300D1FC40CD7700D97D60DE3300FF7F00A4BA80F07B1100F311117B1111FFF311227B1122F311337B1133F311447B1144F311557B1';
wwv_flow_imp.g_varchar2_table(18012) := '155F311667B1166F311777B1177F311887B1188F311997B1199F311AA7B11AAF311BB7B11B4BB18DBEB11CCFF1183D281D07700FDCC0DADE71FEF2801EF3312007B2200F322117B2211F322227B2222F322337B2233F322447B2244F322557B2255F3226';
wwv_flow_imp.g_varchar2_table(18013) := '67B2266F322777B2277F322887B2288F322997B2299F322AA7B22AAF322BB7B22BBF322CC7B22CCF322DD7B22DDF322EE7B22E0B2D92EEB2A0DAAE2FF3EB555DD50E073396E65D311BB392C6976BDD949075A83247694F90DDEF45B3A03AA5745A33856E';
wwv_flow_imp.g_varchar2_table(18014) := '599985AC365368E10E44D8C227BE7D73B442B33953E80710C4BE5E68AEA6337EEE51D734D7C06FC1B33DCBAFDEDE739E4A8BB4E8B3920A0A928CAF3FB367A9EC433C68EF40B3A741237442A327CD346FD53074434F344557B4455FF42403018545186A72';
wwv_flow_imp.g_varchar2_table(18015) := 'F4A6C528465B8FC916054E527040000021F904050A0000002C780025006A0140010008FF0001081C48B0A0C18308132A5CC8B0A1C38710232EBC21B1A2C58B18336ADCC8B1A3C78F20434A8C41B2640C912853AA5CC9B2A5CB973063CA9C49B3A6CD9B38';
wwv_flow_imp.g_varchar2_table(18016) := '73EADCC9B3A7CF9F40830A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB58B36ADDCAB52B50135EC38A1D4BB6ACD9B30437A05DCB16E949006A3900E0E04104D8B678F3F67C01C083C0142F64E81D4C182745008205175ECCB8B1E3C79023';
wwv_flow_imp.g_varchar2_table(18017) := '4B9E4CB9B2E5CB98336BDECCB9B3E7CFA0438B1E4DBAB4E9D3A853AB5ECDBAB5EBD7B063CB9E4DBBB6EDDBB873EBDECDBBB7EFDFC0830B1F4EBCB8F1E3C8932B5FCEBCF97020449C4B9F4EBDBA75963F00ECF8B17D0790ECD7C38BFF1F4FBEBCF9F3E8D3';
wwv_flow_imp.g_varchar2_table(18018) := 'AB5FCFBEBDFBF7F0E3CB9F4FBFBEFDFBBF8100D0BFE36F0AFCC171200107140C44C10300C2E6815F7E0D246082B62120908407258040020600402184B8A151061A1CCA460F00F48C68623C04C913626CF2C4D3628B24CA33E28A34D668E38D38FE868F3D';
wwv_flow_imp.g_varchar2_table(18019) := 'F5F0680F46F70C54CF41417694CF91481E29D03F0030F9CF3FFDE4A3D13D54562950955602802595393AC44F3FFD3894249208F163E699673A04CF9A6CC293503B70C609E74672CE49679702B969D09A2A16D48E9F75DAD9E6A0844254E28C0AD5A3E8A2';
wwv_flow_imp.g_varchar2_table(18020) := '43E2A9D33D63E653244687962810A220319991A64F3A2A55A74F860A1298606E44AAA7651A1526A96102D0EA47AC9AFF5A2AAA06F1A3AAABAC96FA2A47B16A74EA7BBD0A94EBB0C4CE2A90ADC2EE9AACB105153BAC41CEFE0A2DAEB9E2DA51B50829AB50';
wwv_flow_imp.g_varchar2_table(18021) := 'B00CADEADA3EE076DACF3FFB68DA9399B2AE44ACAB21856A2E41EE3E242A44EF8E850F0043728BD23FF6C4B30F00FB80A98F3ECC4AE46EBC4D1EACF0C2F32E79B0C30C773A10C20E231471C4F02E0C13B617CDFA6AABCFC65470B22A0D590F9AC8A6C48F';
wwv_flow_imp.g_varchar2_table(18022) := '3EE0CA03EE3EF7846B4FBD49456BF3CD38DB2CB2BECD8E4C50C83AABBBAAB40379ACEDAF48EB3AB4B500F073CF3FF2FC3324BAA9A67C913E4FBEEC6EBF333B95F3D76017BDEECE44FF4CADCFCFE22CF4D06C631BABD26DC7BD2E93FC30D9CE3F690E5477';
wwv_flow_imp.g_varchar2_table(18023) := 'C5125BFF3473206CE4C1461859103E493CFCF68D14D88C373EF6C63C174BEDB28E6B7BB6B797179D90B3D656AE76DDE5B4538F1FD7FC21CC3F45A21B353BE9C8A3CE35F6843369455867118400B8E79EC53959D36C91E529792E7CD864836C7CB497BF7D';
wwv_flow_imp.g_varchar2_table(18024) := 'F3418E6F3E7CCEC98399CF3F9E94C34E19A91031CC3FF45079E43FD98082081AB6A493CD35B74829EFBBF7F0934503020C10BFFC60F05EAEE215F12CD2F3FC2F0FFCFE910BDAF0A0D538E7F54F79377B5224CCD10E4A64CF16FF80873C64F40F7120231B';
wwv_flow_imp.g_varchar2_table(18025) := 'B758E03FD8F18C7058AD21560BD2FB04508012164000BB231744CA26B65D618E693FFBDFB60E4843FDA984632DE45CF48897431E12106E35B4D93FFF52A10E7328211230D81E3BDAD13D8184A31CB4C8C43FF2418C6B64E36E0DA19BC4ECA10F0064210B';
wwv_flow_imp.g_varchar2_table(18026) := 'B95300FDEC57AB3266CE684943A3C79297B96C05F18033C121E51E37C01816D08D6FFCDA3FCA470F2EB80214D5A8A03ABAC10E7DA4831EC430842722510E5B888316ECC01B43A6574177D8EA1FB56BC00506A0800BC42F85196B1AF3AAC5B920E2318F75';
wwv_flow_imp.g_varchar2_table(18027) := '2CDED174A839B921EF878C5B88CED2B63457229055FF08873A2618357AC8E316E9B88639EAA10E264A501CA0B8C63FD481A984D44D1EC888863AFEB18E6E34E97D6D588003E6D0860B80B26206F4DCD976F84A58A2526D8F7B891CC9793CA54D8E63C0AB';
wwv_flow_imp.g_varchar2_table(18028) := 'DC0C27F74EE3ED70599D7327A9A464FF8E72C8234814B44537B2018F76B0C34DFC90C7F4F851A2D921E469D7780623BCF08A6180E2170279DF05E6300745B4610E294416FE7A76CEA08DB2A4E80C19E4CA264016CAD1851F6BDEE65A59CA75BD9273A928';
wwv_flow_imp.g_varchar2_table(18029) := '07F7BA578F7F407118CC00003BE4C18F7AF8F264F9F8E7070DD2535A8823127050C72D2AB10D3765810403E0E8253E4A8278FCC821285D9E39C35A531BAE6D64E55C1ABBD8754BC9C9339CFA9CA5F2E6E82C77606F994F7A1A28B8400B6B4E911D23A29B';
wwv_flow_imp.g_varchar2_table(18030) := '51DBB790E96523158ACC46364641507D7CF1021F6DC34777678FBD75EB54645DA72D338B5995BA046874A5E52DCFA8C3B79EB4ACF9DCACDA2A580543FCC31CF0E04738E8618E6CFF84236AE6B84538F62845A7756FA906791A319E710D9D8A03172ABAEA';
wwv_flow_imp.g_varchar2_table(18031) := '020670814EA2F01CFE7252C3488A5276DA91B365E596CF60F552CEF6F06BA7C46E94FE718D2218421EB6B8C53FA2418F7FCCE949B4F00433CCC10808D6231F5453C8C1A62910767811ABF3935F17A05B2EB08ED394E9BCAE7845CB429678566DECBC6384';
wwv_flow_imp.g_varchar2_table(18032) := '3D3BD6943EAF49E9284326E4118D6BC0231BFA68073C42658E4C18027D9150A6FAB2D834BCE18349F670131B3439801A6F92B20506EB5C3B7BCF7792D6860B8EE54A598ABC76A672C2660D2D67FF718B6CFCA31A1E4E473BE4D1D35011A30C3A350731A6';
wwv_flow_imp.g_varchar2_table(18033) := '482F8525D48B0DA8B19807408273746D856B8CA7F3D8BAC6870419FF7AAA24E05A63A864D3D6D9CDE7CC22D65C570E66844394A162472418F10F66BCC1C92B8E48A8182A8F4164C19B5FBC6A207807B0FC752B226DBEEC9BCB39E4A3ADF5A5A905EFFF12';
wwv_flow_imp.g_varchar2_table(18034) := '2C4B9B1E79219C825A242F99D772D44D1DE990E4453AB50F97D5631DD05D47BF10D74594C8509678DEB4E464B2CE6915CC85D765B3B2C3DBE070D613C9CF56343827B6E8270157D1FC7899D626B613B649C46D943B2DA7EB4CE196147BCEBAD2318499D7';
wwv_flow_imp.g_varchar2_table(18035) := 'ACFC794BADA39573971306B186F92E23FC8887BEC3C5955F2B78BBED36A93ACDDAEC19AEFBB3663B360CC5C662CD65EC5DF796B640B426318A5125C96D743339898D71771FBC26CC6A30C01F7E31856D24D5A0FFD2985558692A369FFB861DFF369C6D42';
wwv_flow_imp.g_varchar2_table(18036) := '34962E3C212567D8C9733E52A90CFB5ADFF5F7A8DEE6111FE6C472319DB319952D7497D8EAE9D77670D3811D3CA69572D615992E79A6AE12AD1FE56118E99345D644AB8AE8492983EA883BD6BE7684B0FDEDEE484A9B1E0377392D2450761248DC35F2F6';
wwv_flow_imp.g_varchar2_table(18037) := '9DC09DED08C1FB9F58620F7B24091FF7B2CE9616C5252D15694B55423C95104F79C433EAF298CF7CA3F0A5288260E94A0E3DC8E65D32FA8C241E22F888FCE9B52413CC2FE4F28CA1D2A238DF7987328AF59342BC8F7A74AF1FFDA8F2C00F7EE57D0F80AF';
wwv_flow_imp.g_varchar2_table(18038) := 'E223F3A1C7D7EE975F7A8730DF1E880F2EE4B77491D58B694C3781FC42A8BF98C60BA9F344F25EFFA48E247CCAA3ECFCE84FBFA4247F0FC42BC920E5DF48FA0BFBFEEA4B841F488ABEDE7E927CB304BF1EF8A024640200D8172493F27EE3877D7A937E0C';
wwv_flow_imp.g_varchar2_table(18039) := 'D88068922404587F4E877E0F052903F811E547799152790491802921812B760FF500292AA17D3BA17F067124FD80325232793B5278BBC728A9E73D1D788100C08103918139988192C778F7303004087A2E487937C883451880F9C7831C087C58E283DE57';
wwv_flow_imp.g_varchar2_table(18040) := '746F154B61634AE2A63F4E930FC32229AA1780E7272514887E5C177E3F3882F54030BA02254E03805A5278FC5078C5670F58820F4BF541B67224E75710778887F945107BB88079E880C8F28715917E2C67768472888898888AB8886BE20E8CFFF8889018';
wwv_flow_imp.g_varchar2_table(18041) := '898D080FF5200F051527F0302E0A930F728826F85029A0188AF4D07C1151373C8786F9670FF4300FF84535923233EE0226F84722BEF40FF8D08882978BBAB88BBCA88B75D78BC028786B87880C717605C14BC8988CCAB88C12D48C96F88CCE188DD0388D';
wwv_flow_imp.g_varchar2_table(18042) := 'CE488DD0F888967888D6288DDC388D1594044A008EE028055E600555E0055260055E5005E6C88E55F08E5C108FF1E805F238065C608FF7C80565F0066E8006FCE88FFDF88F027910FCC805E5488F06D98EEF58054AB090EF28050070040E3991FA880668';
wwv_flow_imp.g_varchar2_table(18043) := 'D08F65500663F00506C9905C304C8E384112B48C24599226799226D98C6C229228D99225D98D62977529778A34599307A38936FF999339393DE110000410003E49003F49000860004269944299944629013770033DD09431D0944D690353D99417711226';
wwv_flow_imp.g_varchar2_table(18044) := 'E0010F109406509446E9936009944319000870201912943E99211C401722B0961CB0010762210840004E86933A79977899977A6971CE5485C2C62A5FF297C3F234E1409408709887990009402010F0008E99001000998A0999D00100495099D191990010';
wwv_flow_imp.g_varchar2_table(18045) := '1D1AC11D26F00009F00014B0011BA0010F10018E099A0C109AA1899A1BC001A70900AC190110500226F0023C200332100330000326009714309AD9102582599C1F8769C6999CC5C29344D995CED9951CD098A03999D4A99840001DD1011ED9B19D00001E';
wwv_flow_imp.g_varchar2_table(18046) := '17C11D36900291FFC900A3A9011AC000E8F900ABB99A09B09A081001197002B1C99E0CF0002550023820042FF0943710031E009CA2A94C81A99C04DA607DC86C056A9CCC79985DC9A08B7920D3599D93291095F91D02B19DDE091154B9A1376003006003';
wwv_flow_imp.g_varchar2_table(18047) := '2DC0018AF900E6A99EE8D99E7239A2A89901B0190109A02116629F2CC002429002FC1903BF49018D4901C339A009AA9C071175D4F5A30A9A4B04D0A09379211E00A1124A9DFB719D178A113B60033020102D100354D90236B0A51ED09E14609EE779A20C';
wwv_flow_imp.g_varchar2_table(18048) := '809828EA9A22709E1170212EFA001CC00229E0A632D0943260020472203CBA824F42A4C919A4EAA6A7C5B9A00630A20F80000FB0A48FD9A48AE90240E01D3BFFB01D04F103DCB91036A01F0C21A211009FE6899E276A00487A9A6CCA0219800063CA0069';
wwv_flow_imp.g_varchar2_table(18049) := 'CAA622C0022690AA297003731A9D07B201D300257EBAA7B522A44137AB4106A884FA9814F09FA919A1D50902DAA11D8E1AA50CA11F2AE01D5B0AA540E0A15BFAAC5D4AAA19F00118C00006B0A95D9900A8799A1CF002A18A9E87899A6BB920749102BA49';
wwv_flow_imp.g_varchar2_table(18050) := 'A710A0A31B20A0B85A9C7CDA10ED2A980B8A0040999A08402017029A9129A11ED01F8D3AAC900A002A2010039B10FDF1A11FBAACCE2A10CF6AA9981AA69A7AADEDF900D2D9AD196000110000638A9A1440201C3001229002E68AAE140BAB78E3A3F1BA60';
wwv_flow_imp.g_varchar2_table(18051) := 'EFAA69299BAB464AA830C0054B8A00449004BEFF6902BE29014D0A01C2EAAFDA41A90391A106D1ACCDBA1F463BB0CFBAA57D719AF049AD0C7000116BAD8E79201160B11A9BA6974AB1C139AE228BA3AEFA00265B3758D8B22ABB74A5565D649B852F6B02';
wwv_flow_imp.g_varchar2_table(18052) := 'A9400B6F400101000AAE80068C400B91F00788CAB337E0023730A5DD09A92A00B8424B10459BB41FEAB786FB99979A011A8001D51AB19C1A9A10CA012280B50080B511109CE9FAB12690025E9BAEE91AAB608237692B5EB50AAFA52B5ECC490056400BD8';
wwv_flow_imp.g_varchar2_table(18053) := '030104E0057F000A4A600E9EE0095D9A0012B0BBBBEB01399004C03B0449F0A1CDFA033600A9D9E11D43CBB0CAAA1F4ABBB000600210B0B88D8B9E0750AD9C7AADA2E9986D8AB9979AB510FFB0B9E5FAB95A1BAB4C060AA893BA64B5B267ABBE64C59306';
wwv_flow_imp.g_varchar2_table(18054) := '100086600B5C700B3B6000315006D95006E11009C9E002895A044A60055770057D100771F00670F0064A10B8C81BB80741A9E06103CAEAACCF8BB0D20B9F8CFBB8506BAD91BBBD55CB0258FB9EEFB9A65A4B17BD49A73ACAA6D3302E26560D48E6BEA776';
wwv_flow_imp.g_varchar2_table(18055) := '2C7DEA5D640BBF018008C36008CF500501F006A4C30F53F567BA0B0003DC905660066FB0C45AF0066380B0C76BBC08B1A8C5EBA1DCE1BCCFEBA100900210BAC19A6ABD9C5A9FA949B9A1FABD1BEB988D39AE38ABC2E14B01E6EB09DD803EB22AC379C4BE';
wwv_flow_imp.g_varchar2_table(18056) := '0647C725C59C069009B9D007CCE0C391000A8C90099950095C0002A369054DFFFC0666B08F8610096F60087FA005FAF11D014BA9D799C9D7D902CAAABC0271B0073BB02DE0012B5ABD1D8C9E1FEC9811B001958BB5E81901F54920144B179DEB01D199AE';
wwv_flow_imp.g_varchar2_table(18057) := '6EECC2CA740BDB83C76F64C770E5CB6F343DE210000F100B9DD007D15005916B02F17BAF060001125006955009C4500D95300AC4A00CA3A00EA0700546709DCDCBAC9A7C9D226B022010033BD00229C0C9CFDAAC20BAB40FC0B897FAC5D99BAF2E4AC6A2';
wwv_flow_imp.g_varchar2_table(18058) := '0ACBAFDCB1AEBA20B5ECAAC1D9C2D4A34C7BB43DF720CC7064B677ACD04144CC01A001C010097D500D62900070F99814CB9A68E009046C086FA0CDB7D00DF410096540C5C51BB8FCA1C9FB31A51E5AC1CB3A1036A00220FFAA95F3DCB8B07C00B0CCA987';
wwv_flow_imp.g_varchar2_table(18059) := 'E998A44A01ADFCCA0CA0B1149095FE3C0101DDC6B03A2E9E100D53F40F4045BA0E3DC3A284BA53FDD01564CCB110099B400C63600007D29817C29A061009C4A0057D300A7F1009CC400CB8100EB760059CF9B7DDF9AC0551CE96ECBC2E5DB42D30CA246A';
wwv_flow_imp.g_varchar2_table(18060) := '9EF50CB9D98AB5407DA9A20AAEAB4CAE1040CB29B0A4E1DB98E69B094EE60EB6900A9E20D5576D67FB67D5997D40CC9900143D067FB007AC099A7379A40940008690CDA3500D8AE409A3E009C4300A725D11500A007DDDCE093BD35BFA997F1DD8A87C00';
wwv_flow_imp.g_varchar2_table(18061) := '0D3AA899CB0165ACA9442D02B6BCD813A0D891099A6F3C0C99900AA9C00C53D4D9E2C4D0C18CDDC2B3A070FFB00755300657C000CF0D9A1B9095909904EF68054960057FF0074BFCDEE04CA907FB1040C0CEEDACA5CBAAA52DF0991A40CFFC8CCA4619A8';
wwv_flow_imp.g_varchar2_table(18062) := 'ED59961C50CFFC2CAABDBA96E13BAED1399D0860BED9E006E5E00ACF000AF8C0DD53E833B67AAB1ADE38CC19006860057B70054C90003700035E900429B003F618031450A5EE48C063A0056570056560053700027DAB1040EBBC403BACBB4DD3FDED9880';
wwv_flow_imp.g_varchar2_table(18063) := 'BDD33B2DDCD93AA61950B942ADA90BAEB91430011F1B9716E26475F36AF235C71F6E7455AD6931DCE56A1B0EF15B057E50E22B9000EC58064920BD2DA0DE12000320A09512A0011E90AA20A0032080027B0E025A8AD704A1C5143AA984CEB0844ED300FF';
wwv_flow_imp.g_varchar2_table(18064) := '0002A659A201EEC13C4DDC40FDAD8DDEB14B2AE50CDE98577EDD52F30F9624E612B6D960EEE9206EA40480027DF0077D009A20300623AE041EF005FB01011EB0BB13DAA87C9BE720E09B3030A9E59CE81E0002F77DDF878EDB7DCDB0C99AAC20BA017F8D';
wwv_flow_imp.g_varchar2_table(18065) := '018D6E00C27D98A33A9A08FEC5FEACA32B0C0113A0A3908900583EBAA4C2E5A23E6E34CCD9E10E36CC69AD7B600B3A109ABBBB036F400420F0067D5D9D1742012D00A53BE0023AD0D7FF1AB0907A03BC7BD7500AA22DF0C9CDAA02F08C027F0DB1021EC6';
wwv_flow_imp.g_varchar2_table(18066) := '05DEB1B0DCE8E45DE53AFADC0C3E9D88E6ED795AEE62858735CCF138A3C781FA0128AAAF30C09A496A212A0F01F74ECEF58DBC010B0012FFF0001220ACE44CA19F4CBC5B5AB028800060FAC5D6AAE4E04A9E074EAA01CEB18C19A1541EBE8A99F11B0FEE';
wwv_flow_imp.g_varchar2_table(18067) := '205F6E5FDEBE517F332F5698D77AA29349F3208021127A211722B0996C040010CEFA01F3907ADFBA2B011EA0A5DE51C9454BB41E9AACF70D00286000476ECF4A2EAAA29A011BE0CA9A2AAEB76CDA6CFAD883DAEDA152F50207EA54AFF8CE22F262BAF53A';
wwv_flow_imp.g_varchar2_table(18068) := '8BA8D4A90244709D2E60042EF0F63FF01D965C0420C0BB1260022D9FF3CD9A022040FA07EFD222E0F3E6F9B8823DF4D2CEF7812F9A49AFF2CB8DF15002F58E2FF51D4E6EBD2F3D2FEBF0D489E9883AD60980F0D081EFD7A99D143AEB2E10FA26E0D246BB';
wwv_flow_imp.g_varchar2_table(18069) := '1F044FE84080F0B88D0209FFA00121F0FA110BB5618C9E7E9FA6405F9F1D2B9D17B2D8869F004EC6FBC14F4F1ECFB2C1BF9CC36FAD282AA894EFF50900EC0001C4851120400000F88110C88F84002448C881448209173B0058BC7811C80E20360E02B061';
wwv_flow_imp.g_varchar2_table(18070) := 'A38588081A4C86D01021020306060E3078898001850D2B65B26410E101050A00203C4080000205083F1F24C8F6AFDF52A64D9D3E851A55EA54AA55AD5E6D0A20EB47AE5DBD1EC41A56EC58B265A1E6FB178E000203061824801B576E5C0409EAC6055190';
wwv_flow_imp.g_varchar2_table(18071) := '888B8208FD02580884080809034198E8DA02F0C116365458540144B18804184C5E5EC9D22D4E060F6A1AB82953E7500047E1F224FA000252A5665DBF86EDFA2BBF8FF4FFBE728D9D5BF76EA768C319A01BF7C103094725CC9D2B21EF902245883C77FE9C';
wwv_flow_imp.g_varchar2_table(18072) := '48F4222A4CE430E2C2048883163DDED668C3C3F0071A36A03489F3814EF211123090B99E3CCFD2C3397090809A420264FFF2F5E387370107340B3C780EFA07BC7F125CB041071F84304209278C90C0D87C0B20430D370C80000E39248000B82638EC3013';
wwv_flow_imp.g_varchar2_table(18073) := '4E4431451036200EB1041EE00A31AF2400C0838F20F030C30376DC31C70F7FCC90AB0C0900C08022D722C0805FFEE18742279F84324A29A7A4120007C13BA81D2C0170A74B2FBF04334C31C724B34C33CF44334D30E1F9271D430C81C38F38FDF8A34E3B';
wwv_flow_imp.g_varchar2_table(18074) := 'EB8CC38F38E280634F40E2F8A391482A6904804AB88AE4FFA0442389A41143BA2A34522C0B3DE80F3F2E4524534D11B9B4534FF998B35300FE40A4CE521F05C4903FDEAC841D79E08135565967A5B5565B6175E7565D77E5B5575F67E54A9E2D0DFCB558';
wwv_flow_imp.g_varchar2_table(18075) := '63657D35597894657659679B85F65969E58956D965E9B16DD8AF12FC8842AFA2D216CB7EBA1AF72BA7BA7A12007A646DA7DD2EDB85375E79DD1D53DE5C616DD61D78CF9CB7DF7AFB0578DF31B974A7AB03C305E09E7BEA51B86187EBA9075B89218E5862';
wwv_flow_imp.g_varchar2_table(18076) := '7A28B618DB8A6BBB38638D290639649147A678587BEAB12765955546B9657B0080871D76E2BD575600D68119E775E281279E78E489A72B6CBBA2F6E778B0A5366961C113961E79E6099AE7570F9C16FF0061AF9E1A5F6A97557A69AF0FC2D61E7CF071B9';
wwv_flow_imp.g_varchar2_table(18077) := 'EC93CF363B6DB4D76EF99E7CF2E107EE7C409ED8E186C9663B6FB5D32619638FFFAE0761AE1C16FC2BBB0F473C71C517677CF1B11F873CF2C7E759175989019827F37952C627E5CCED9947DD7B3E82B83675C1A647E1D457BF67F57DF6F92A6C953F7FB9';
wwv_flow_imp.g_varchar2_table(18078) := '6179F6A116F77D5AE77D756C172E3978904FEE1C65C98F47FE71005E667E79E401783BFA7C1E86D86DE9A34F3E7200CC469E71D2FB2EB970F1C1BBBE7CF3CF473F7DF5D3E7A77DF7DF87BF7D7B90569A72CA29C607FBCEEDE9271F005E875DC212A6B0AB';
wwv_flow_imp.g_varchar2_table(18079) := 'FD6F691F51D8E06E1331008C6D65CAFB9FEE2478B8D4456F71088C5CFBAE1220A8C44FFF834E715FF9DED730B879B0841FEC60FC9EE2C1F84D6F808D139FFB5E363E1AD6F023EB93DE41F8618FB7E9431F1EFC210B8B673F94892D72F9F8E10AC133BA60';
wwv_flow_imp.g_varchar2_table(18080) := '216C744CECCAF5BCF2BA08C26E7776DB873EEE0140E901701FD723A1F97CE8C3F21DC47CE43B23F4CA474216DE307A2C846308A568C6E81DA4710D135FE87C66C33C6A4E730709DDF2BC12C8D0852E65C30A1A20B30536D50DED1E636318EAFE962D8B55';
wwv_flow_imp.g_varchar2_table(18081) := '2F71B7BBDD22738749DC51CB6A1F69DA27D575354DDAC694A82B60D7EE7140AE2CD28E0933E5E57C37C958A6EE95EA0A1CC37409B2ED85EC94B719DD2E4BF7363A7A4561810B173D12C9476636D399CF8466E1B8C52D04752B9AD7FF742635B1B9CDFF71';
wwv_flow_imp.g_varchar2_table(18082) := 'D39BDFC4E62F7001807196133CAF40E728D0F98A51DCA22BAE88452A68218C83A42216B418463EB9720B60B8B370A948C56D020A008016D49EE0D4962D063AD083006318C2C8C53D6321515A549416F7BCE845271A0B570414185C01862D62618B2D5D74';
wwv_flow_imp.g_varchar2_table(18083) := '9BF9440632A0118D683CE32BAF20E941600A0098BE8216AF0000496DEA0A5AF014A13FB521085A608116B4A0032DE08E0A6EA3021235B5021E00C10F1473900D6C80021C4081082810819EBCC00428F8EA413C8055F094A72707E9098C7A72560D50B5AD';
wwv_flow_imp.g_varchar2_table(18084) := '00A0800660349CAF1C607C182889650080D7F131E0231AC0C1415E80821AB0E0055E7D81610FCB02003036AB1CC840FF5B4DB2818F8460031F00C00A42B082835816002100800E50C2C716C8C02B37E8C10E529BDA1FEC20065D79ED474C9B828FBCF605';
wwv_flow_imp.g_varchar2_table(18085) := '82056A6E99E90215F0B6B72A506A64F80280E1BA600843302E72870080E576850731D0010F5E105D1D8416062F80810E600000E85E57BBD3DD6E75BDC282C0E280B1E44DEC0B023B5DC3B2A0BAE66D2C33C5DB95F20E0B055EA941683FB2041E20010907';
wwv_flow_imp.g_varchar2_table(18086) := '3182116EF3DF8FA8F72035B82F00F21B5A1DE020B084256C7D817A0484152109B72102570C523801C3419BBAC5E66FB9C217120F41052626B14054FC911B0060BA2ED6C1615DFC621DBC36BB3006C08DA1EBE2C07E04058C05C08F198B831FA380C80761';
wwv_flow_imp.g_varchar2_table(18087) := 'C17993FFCCD8FCA280B31BD000680B5783155059C155E6ACF838CB59200320B0D5ED817F77B0841E9099C064E6C16D169CDF2C2B18BF12E66311B842E11A1E41CEC3DA3088F57C9B1174A5CF7D3E4889954ADC4003A008C3AD6D750F1B63171F24C6D515';
wwv_flow_imp.g_varchar2_table(18088) := '6F766F9C63467F05C8E63D2F7C83AC83C27A79C943660182ADCC15CF0EABC77C5C410932BB6A087B05094B183312D20C80578779D6DA1AF541AA7C10073B988F17EE4A12047CE7C2D1193C1BA96182F7ECCD11FCB92B2E38486F0120E2C57425BBECD5C1';
wwv_flow_imp.g_varchar2_table(18089) := '7923EDE8AE8877BEF455300B206C5E04F798D30B262F799B2CEA048BBACD583AF5F872FD112ACF9B2BFD6502126CED5F00D87A09E18AF7477C1DF0FF60132109760640122C7C100BCB59CE0A07B6376D006D006478D9171F566F47E0823E437BD02A7681';
wwv_flow_imp.g_varchar2_table(18090) := '0B886D82EAA2E0BDFABDCD8B1B2DD86F1F18C9F48E2F616B905F202F982BE6567082C9BB251C74FACA3657B3576890652C039D2B3A5842BE2FB28425D4FA23FEE5C1ACDFFD1536AFDAEA070EF86D1B7EE187CBD9D85D59F8D6B76E68631781C266B7F074';
wwv_flow_imp.g_varchar2_table(18091) := 'BE7E1B8B4CE72037C008962C8EF16B76E0201DE800A03FC2DB11F316DACDAD08AF7BDEE05E7F64BE04DF52A8152C6A971BB9062DF7B2C0793DDF9937B6C79DBE2F911F4CC3A1D340704CA86EBEF3CD837FFFFB20FDE52F13BC126F36AF99B3460780E70F';
wwv_flow_imp.g_varchar2_table(18092) := '6200CA82C7EC075138D821DE700020FF9CEB5F5178DAF17C102008F8ED2D064CDC6344F73DAB60044A7DFEB4799B67ACF7BAF0868FFCF86AAEEB9B37F8E44717B8B7E11C5FC80335B04BA8EE0E441FF77FF797EA2ECF6CD5617FF58F186958B98766118C';
wwv_flow_imp.g_varchar2_table(18093) := 'D01CF080C023DF91332210308FA03EE6BBB80E1834BD733EE7030040BB811F5B3CF3F235EFE32320BBAFFB12B7053332C9BB0DF1F33E1C6830FAEA31091C9FC0CAAF9E433CAF003DF4E3AF164C331DF82F7D73B4051BBF8390BD8F68B31B3C881278AB61';
wwv_flow_imp.g_varchar2_table(18094) := '793843F38AB5D3960C2336F0D82E83C830243440101B81BCCBBBAFB0BB8F68C2AE88C218308115202C3713B8C2EBB904F3364A0B97FC12C3CB9B3F0EE43610FCB2FABA3C2D0438FFECCB3E1AD201D5733426300258A33598DB121D94BDA93B8813081784';
wwv_flow_imp.g_varchar2_table(18095) := '3B083BDB3D202C9CE71816C5503E23200264EB8A1B88AD25C4A60A0001498C4284D13B14202C2CAC3C3753432F43BCED7A43F018B21A20C12E2BC3C209AC50EB326D29BF1A8A3AD3BB01D54382D1FBB72FE30A31FC0A3F8C3D683ABB88FBA686203E2CF1';
wwv_flow_imp.g_varchar2_table(18096) := '00FA80C425AC443C0C322DB4BE50043F79AB3C1464BEE87AA6F99AC51D78351E90C383503D9BE3AC148CA68503C2225CB6612C8A6234C0271CB4047BBD2C5C332D343AE8BAB5C25945038C4300E001696C2616ECAF34DBC7EABA4733048FA1C3266213C2';
wwv_flow_imp.g_varchar2_table(18097) := '6B9ABBAFC00F00D80008E08A3730C73D7BC263E40A275336707B48FF3E02BA966BC5CFC3C61E3888A4FB08D0C34653FB297104B1B11A2B09E00087A08C3BB8C865E38E8370322C41B0369BC7977445C34B336F2449AE6002E51B496F132F81F40A3EC4C9';
wwv_flow_imp.g_varchar2_table(18098) := '1A5A49943C4A889CB6C3584999DC1211D044C2023594BB26520C3710638278141FA3E347FE0200D59BAF6C040F9E5C4A6672C9B3DCB38ABC0D5D3C08A94C4636B4A12C8CAFC2023226130137E4267FC4C76702CB34DB4A1DD8487A334BB5141C1931CCA3';
wwv_flow_imp.g_varchar2_table(18099) := '3C810D70CB03A3CB6F3AC5976C456C8C43CA1C497B64C6C48C26C5884900808372D1CC25D42C85D4C52C43B09C0B4D10AB2E21D8CAD002BDD57BBFF84B4D1A82811678C4D964BEF3380F850C01554BB5A9C442FF6CBA49DCDC456DFC36D28BC3C1244EF1';
wwv_flow_imp.g_varchar2_table(18100) := 'A9CDDB5C4E48DC2C297BA61B3C01A37CCE8F5035CCFCC8573BBD8DC401EBBC4EAF000118A02D00B8830F0B4F10032DCAAABDF4FCA912C8B2EAFAB7573B33D7CCC315E83CF0744F2BD9CF8B03ADC50480C6ECCF6F7A0121E00A3B3C3A1DD0C1016550C37C';
wwv_flow_imp.g_varchar2_table(18101) := 'B25513D006C5A62510B0D4BB47AE94D00C3D4ACAF2C30D5801C6D4506C0A33AEE881C00CD1137DC913E8CDEA3C01155548147526558B47590B4B18B5D114A52CD0CA00CBEAC11BF5D11F75CFF5048028D3800C00D22345D22455D22565D22675D22785D2';
wwv_flow_imp.g_varchar2_table(18102) := '287526B694D22AB552A09246EAC2D02BE5D22EF5D22F0553E65B9DD309D33235532C09A03355D3FF355520B0D9077A7853DD61D3395553D849203AC5D33CD5D33DE5D33EF5D33F05D44015D44125D44235D44345D44455D44565D44675D44785D44895D4';
wwv_flow_imp.g_varchar2_table(18103) := '49A5D44AB5D44BC5D44CD5D44DE5D44EF5D44F05D55015D55125D55235D55345D55455D55565D55675D55785D5585D4E5094555775CE5AC5D55C35D55BD5D55EF5D55F05D66015D66125D66235D66345D66455D66565D66675D66785D66895D669A5D66A';
wwv_flow_imp.g_varchar2_table(18104) := 'B5D66BC5D66CD5D66DE5D66EF5D66F05D77015D77125D77235D77345D77455D77565D77675D77785D77895D779A5D77AB5D77BC5D77CD5D77DE5D77EF5D77F05D88015D88125D88235D88345D88455D88565D88675D88785D88895D889A5D8FF8AB5D88B';
wwv_flow_imp.g_varchar2_table(18105) := 'C5D88CD5D88DE5D88EF5D88F05D99015D99125D99235D99345D99455D99565D99675D9D454CE97A5BB7F9459C9D4AF8DAC2E02A3353203CB9ADDA6C2FC8A18E4CE328BAEAD045A9F1D161A4439F162AC77CB2FFA3C88FF8ABAD694BCA345DAD8BCB9CCA4';
wwv_flow_imp.g_varchar2_table(18106) := '32CE8A418F8C47B1BC5A6792BD1AEC0A4CB4B9A643CE980D5B84D1451A705B1A28438AFC0AA2B5CAB5159F0FC0ACCF72CB15E02C2A0DB272EB0AD3CB4CBB2D9CBC2D1C93CB329D25DC66924EFD6CB7103CBDA65BDCDCD20193CBDAC9D5B30FA53FB994CE';
wwv_flow_imp.g_varchar2_table(18107) := '1EC55C67BAB027F045AFA88224A002009882CF8DA6AF31988F3898836025D5652679701AAF40A6D1A124CA01806592DD1AD2A34E340D9779D88778801DE2C59C40EA5D6D21DEE6191FE3DD9CE40D17D8A10DAEC087E8855E10DB077BC85EEDBD5E84829A';
wwv_flow_imp.g_varchar2_table(18108) := 'A3D95D65522632EDDEF235DFF37D4EC140DFF575CFEF289C1B70DF470D080021F904050A0000002C9A002500450140010008FF0001081C48B0A0C18308132A5CC8B0A1C3870A65409C48B1A2C58B18336ADCC8B1A3C78F096F881C7903A4C9932853AA5C';
wwv_flow_imp.g_varchar2_table(18109) := 'C9B2A5CB973063CA9C49B3A6CD9B3873EADCC9B3A7CF9F40830A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB58B36ADDCAB5ABD7AF60C38A1D4BB6ACD9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EADDCBB7AFDFBF80030B1E4C';
wwv_flow_imp.g_varchar2_table(18110) := 'B8B0E1C388132B5ECCB8B1E3C790234B9E4CB9B2E5CB98336BDECCB9B3E7CFA0438B1E4DBAB4E9D3A853AB5EDD930810D6B063CB9E1DF9F58F1DB77FFC784DBBB7EFDFC0830B1F4EBCB8F1E3C8932B5FCEBCB973C20F181840F0FCB00681D70D301068A3';
wwv_flow_imp.g_varchar2_table(18111) := '7AE318DEA16FFF47C020C1F6F083230088F040FD03F4840F182000DFB01B3F7CE0E4CF7FA7BEFFFF3CC1230F80043AA6CF3D77D523903E02DDC32066F744080082112238D33E3555A86145F310D4E140F384388F3D0090686260FCA4A8E28A2CAA48518B';
wwv_flow_imp.g_varchar2_table(18112) := '2AF623E38CFDF003008DFA3C48503E2EEE98CF8F400629A48D00A4880F3E02A5B8A03EFBF0B3CF93180A14254630F293E395575A08403E1ADEF3A4945062F8233EF91C69E699689A09A346F6F08324413A1AA4A0416F1644A29C03E133A7457542F40F8D';
wwv_flow_imp.g_varchar2_table(18113) := '341259509584AE19643D21B6A9A83D8CAED8E8A28C46CA4FA48FA2A922A5933E6A2596583AE8E93E5E86F9A497A446086A97A846C829A7A81E58CFABB0D6FF1321ACF4D0E3E93DAF5628EBACB1C65A6BADBDD6634FB0C2164BA988F1D0932CACF7F00824';
wwv_flow_imp.g_varchar2_table(18114) := '3F3F6E2924474A5EB46642ED1CE4CEB6EEC0D3EDB600803B103CE4964B2EB7E8A68B6E41F1B41B8F8823522AAF3DF3B86BAF3DEDD6AB6F88EFC26BEFBDF63C49CFA9A41E98A3ACA3969AAAAAAB66A961C359C6EAE0AFBFE69AE3ACB61E986A8E8CF6FAAB';
wwv_flow_imp.g_varchar2_table(18115) := '3CF208280FAD14D3534FC925BB1B72B9EAB4CC0E3BEDBC2CB340EDD45C3300E69AAB90CE060D38203C58C50340BBE670C185145624ED43D24A58B1B4154D2FDDF4175670513517575CF185165C777D45D7607FB185D86888FD45195C78A1F6DA5EA4BD76';
wwv_flow_imp.g_varchar2_table(18116) := '155EC0CDF6DC70D75D05154A24A1771246F4FF9D441580072E78E05E5851F8E186173E46DB6A8F0177E289AB5DC51980531137DC65A051C6E69A6FEEF918677B2E3AE7A397BEF9175F803E8639FFBCEA103D13ED7990EC5D99E3810713E45EC10412F09E';
wwv_flow_imp.g_varchar2_table(18117) := '7BEFBDFB3E4105B8E76EC10416540082F2CC2BBFFCF3CE5B0082F4D2A7304109257090BD081C9860020A286C1082F8E49F20FEF82B84A0BE062168A041741830209D74DAB9BF81061BE4AFBFFEF893BFC2062B404100C1878217A0E07BE12360F8C8C7BE';
wwv_flow_imp.g_varchar2_table(18118) := 'F6A98F011EF88111744304DDE866071814C90E805041DD000108163402067103040C9610083640A10D62D0821BA48331FF60D43FCCF18316B460041DC0210E73D8011EFA5005400C6210FF4740C4228E4005464CA2105D30021B9880055064C1134D1003';
wwv_flow_imp.g_varchar2_table(18119) := '91C0400706C4220B70104528BE400728D8220B6AB0820096717C68DC00010D58832EB200053878010E7480451DF080073AB8810E7680841E20612474B4231DBF88823672B10670DC8009F6C6C8BD1D21094578E423193949BD15C10844C824113099C922';
wwv_flow_imp.g_varchar2_table(18120) := '68D2354448C73FF2A1987FFC231EFF50471152D0821EF670873E74250E4100C4562211892EC8A52E81A8CB5EFA32973950410AB6F80216BCE0053088010C96690230E2A090628C6231A189C8325A337DD75C01226BD046443EB30638E02638E748473C06';
wwv_flow_imp.g_varchar2_table(18121) := '720948E001127470C572E2918C01A4411B69003E0D506007472882252549FF84225C3292FA8C24118E30D02410B483164C2808134A047300807659312543247A118A9AD294A82C072B5320CB1C12918746EC400B80088224E652052775014A519AD25F9E';
wwv_flow_imp.g_varchar2_table(18122) := '14046D34E6314D008316804007CD84E318C5C8C56242719EE22CE435B729CEA21A959B38486A0D0269CE25F0009D3CD8C11579C0047392B1902590270DA0A8810878C008069D64248D704948EAED0898C464242189C9DBE0E6AD09C5CD6D1ACA0FD825C6';
wwv_flow_imp.g_varchar2_table(18123) := '94F6F8473A5AC0CA0EA80004392C691289A802BFDED2A38465E24A8FB85226E692888F2DE25F93CA022D22739975342017A1B8D9CAFE748C874C2A658F4A5AA38653B47464C239D5B9841BEC80097AA42A18B909DA9DFFB240030CA0C00F0C5AD6246492';
wwv_flow_imp.g_varchar2_table(18124) := 'AC0525826FC98AD6801AA184238C2B06DD8A4173E4C3AE5E0114A052422273D8D0A6853DA27691E8D7249614B18335A964556A44C7DA508B713CE620EB88021D44F3905BA4AC68E7AB83D316529CD6242337B559DAA40692093D40273AD729DBFA8A339C';
wwv_flow_imp.g_varchar2_table(18125) := '46DD406EC16A4980FA93A0FE7C70843DD9CF0ADAE0C23690EB6D2EECD60C97C31EF2E8C75DFFC18F545E1704B4E46E7677085924863796AF44AC8B5D3C5815D8008BFE8D63660329C7628A73A7F29D2339FD5BDFD08A539EA52DC151C9F9D4A7A613094E';
wwv_flow_imp.g_varchar2_table(18126) := 'D501524B4B031A6C000310B8C1DE006A5609E753C214CEE40F6C900256A6F08335B4815B63600371D043FF1EA4544C89AD0B021BD27204C313EC115FB9BC0A8C00B015A8008C7B08D80EE8F9CF3AFC280E5530523A26558E425E6F1D0FB9CDD0A236D298';
wwv_flow_imp.g_varchar2_table(18127) := '9EAF520F3CDFD282938E4E153094F1D8E91A54790534403522DFE7812428E19113767084BF9CCF4EBA660729F080095AC0C122A870CD6DA6073CE27C18BCCED0CE40AC801952F1061413B10259F3C1103AA0841C543B6B2E70A5B67DA8431417BA88AE6C';
wwv_flow_imp.g_varchar2_table(18128) := 'F4181129E53A06D2DCE32EAAA6EBCBEE481759A908D6B4688D8A642257559D4F5D42918B6C6A79A25A9B2C08C1033820DC7C7E19925C9E75842B9C4920C8C07B36B0F598DDBACC72CC03688B29F15E59390217540217AE20C61AF41C0C6A8C420E15FF00';
wwv_flow_imp.g_varchar2_table(18129) := '871646318A65E022DBDB36B42B9F17636DEF10C5CE84A3CECF1D482E525AA7F26E37BBCF2DEF710EDDC0A755B71D9BBC84D6EA9B9C064E7595A52EC0046C60B706F727C2BF2C6B7F7ED235646E41C4BDBE501BC040D7E200003D04A5158A0AC4ED26A1E8';
wwv_flow_imp.g_varchar2_table(18130) := '9CC96C830E6821197198C23146A104C8B27C156BB00235AE100C966F610220ED782E87E002C60F81F1D986A50F516CC042824FCAA875F46C2D1FC06EF2F4DDF4ED797C4F4B64D17BDE90736C7293554B741C9C1AD555AEFA03B00EC983C77AC25FFF6026';
wwv_flow_imp.g_varchar2_table(18131) := '77A0E67EFA7A072D8881093CC0010F88A37503F90762341EF60A7CFC0F87504530E2904317C8421AA3D8C21AA8018871C8A111CB80F9FF082CE0033398610B5B38BFFAAFC0C46DEFD0A66C146021870EF5A40AD5F2531EBDD0A1EE689FA79BFF74947F53';
wwv_flow_imp.g_varchar2_table(18132) := '066A54954E78C47AFC267552F74C10F0008B446B1186706116661F846640E049BD07427CE53DB74301C617438CA1713694022E800BB7500988500B850759AFB00ADB200795B00EB2800BB8907D3AD401166005E8B78366C035E8376D92E74A7F053EDA44';
wwv_flow_imp.g_varchar2_table(18133) := '8470E46EF5C579D6847FE3746947D77F9CC50248C65481044E4D785AA076034E55558254645A057B34C04514F0005FD5605CE7755FD77020B45060B71BBC5766C3477CC5777C7D6218C6360E36E401564083B1A00AB1100CB7E00338240BDB0008DB400A';
wwv_flow_imp.g_varchar2_table(18134) := '57D00895D008C1B00A3EFF20581D70056B00086B600695D8087100085B107931676820404003B44DE5B66F4A985F3F467A420680A345549FC6735888694BA76F51A66F3AC0049BD66FF294541CF00022305001D575B98766BB714160D70232906BB7733B';
wwv_flow_imp.g_varchar2_table(18135) := '1C20011BC001E1304A8A1129FF300EC9A605BF300CAF100BC7400CB8A005AE24684C04793D246837E80335B80ABF300A1FB70AD9A73C41486820F0469D277F95B65473548AF9755F53167A3D9774658454AA587A4808604F955AFD8760FA85542840011C';
wwv_flow_imp.g_varchar2_table(18136) := 'B003BC258114C841C2781B20C47B4460032DA08C12C001C5D791C4970DCA3762F8328D23350168F00BC2000CC7200CC4400C5BE06720A54B38943C8A36024AC08E9EFFA00CA3E0098D580957F05D836653445846F2178AF8274066744D02B44DF7055A00';
wwv_flow_imp.g_varchar2_table(18137) := '686063644DB94885994774E5A46F54654EFC465ACF94011BD003C5E5606A5881C3784120746140D002C3577CC9980226E096DE130E8C218DD4A80226990CB41009AAD009B8400CDEC844E0768389C64356B006CAB00DCAA00C95500966B00D66E0678826';
wwv_flow_imp.g_varchar2_table(18138) := '9828564D449994F46884D9544625308FDCA48F4F4969657402A816904FB96F3A809506595F55665A5C74021AC00360D54914268C0B754114396617A696B7536665D602CBF49B201992881143A8848738C805ABC0088023067F700B56507D81390215903C';
wwv_flow_imp.g_varchar2_table(18139) := '81E65115E003A3B00AAB800BCA800BECB80A3F3968F0FF2840000440FF934D47B902A2999948A98FFCE58AE1149543C57F48A57943F66905C9858ED65F2C200211F002641566AEB15070956117C67BB9098720C09B2050530E9A0230D00DC2D976139A12';
wwv_flow_imp.g_varchar2_table(18140) := '1775A123498D2D500156500946B3385750093900028FD7019047444380784390038C279D56707E5A607E9518075BF09C9DD84319294021709E65243E4B98949919A4FA6579A5B79594F98F50A75FA5B945EE5490548590A4B5020C20027D83861FF45623';
wwv_flow_imp.g_varchar2_table(18141) := '846118768C7C654335755D37705D0E1AA1156A1874F957248A0646E3069BD36C20900381D7835BA00543A0054B837E6B100739500139C035E6A7055B80065C33A2EF48681E903F698446EA639E48FF799EEB19A442CA7FB7D8A800578548CA7348578BF9';
wwv_flow_imp.g_varchar2_table(18142) := '569006D6844856030AB6019B44811DA6A51829037C05872D80A0B9A9A53614A63120A1A5449C24F95729A0045F60355C600655E08E6BF0AB5B00087A4A35135098792A7E2905042EA0AC2E50689D08021E90A8E7E340E893943B2A9A8F0AA9F9C5A4EFD6';
wwv_flow_imp.g_varchar2_table(18143) := '4D42955F55B8A30154A408996F4D1760FB396FAF873F9824916587612DC49B70387CDE735DB9795D23080310DA0D199757C5D902D2A3024A600670F0067160064300584360067190A78D607E7270053EB0053E408931374B448462376AA8D3AAA8ECB301';
wwv_flow_imp.g_varchar2_table(18144) := '27B09EE609B2219BADDADA799866859D094FDA34643E3AAE439654DAE46448306A4BFF708BFB054FEEB303C7B51B1509AFA8DA9B70998CC4773BFA7AB41B680220E03D20592485215199320FFF000E36055802DB08AB0008CD8A43756A0571E0036B907E';
wwv_flow_imp.g_varchar2_table(18145) := '59737E6B7005365A73DBE6AC9D883B894AADEC239A0024AE3B1A02217BB29B698A451754D74464E923AEF5A9542B5059EA54B34E456AF5B65F0234863C9050BA919B41BB514A1B871C29011450B9CD988C1C88B9FC5AA6839129C5E96D80165880059439';
wwv_flow_imp.g_varchar2_table(18146) := '8444CEEA581D37739DF8671B6B68128046EEA33EE3A301E6A39EE7393E2740B7757BB24A6974FBB94DE04A4E3520BBA279845226547304657D146550AA5F65D4552F30421894A0A9EA3D71487C1BC90114D0800F50B90CC99172FF28874D9B18513B43A0';
wwv_flow_imp.g_varchar2_table(18147) := '3BBA8236BA31C73C7D469D82B6B11ADBBA1E2001EE53BFF853BFB80BB2B88B46256BB2A1699EBD8B5A7ABB8449EA40205B4608965F38C05AE9A45ACDAB990207413DB00337E0B8BCF9964A7B3B1BB9C122E001DEFBBDC9B88C1440B91C30BED128B5E670';
wwv_flow_imp.g_varchar2_table(18148) := 'BE36A7B6EABB3C86C63CAA2B73DAA6BE313C8EF3FB3E386CBF1A90011940B7D33AAD75BB9ED8AA9E27500245BC0277CB5F56184E991969C3DB40EAA3C443654750D603A4565448FC3F0267002840C1A88AAAD57BBD1A8CB9D7CB9672A8BD1F4C01268C18';
wwv_flow_imp.g_varchar2_table(18149) := '6582C20B1ABFF02B73E80B3D2D3C73ECCB3CD2A33CEEEB010D88010F103F5D85011110013B1C023D7CC886ACA844FF4CC4F96B3E468C3DA66854A1790222B0548EB602B1AB3EFEDBB27674AE9D8A559BE93E0C80001CC04260CC573010B9BA86B9758691';
wwv_flow_imp.g_varchar2_table(18150) := '15CC425574761C00010D58B90D08016B6C18D0720FF4304329B0A0ADABBAE8DB01774CCCD0439DD0D33C781C687C1C1DF0C300831CCD85BC0188DCB18E6ABBE613B225004049DC79DED499EA699EF7D93E990CB704EC5F01C603090C4FF71301A38C0014';
wwv_flow_imp.g_varchar2_table(18151) := 'F09617CCCABF6C6762B74119864219447CDB5BB9DDDBCFB95C1829920F28FCCB29F0BE718C62CE73C70A4DC70CDD3C7D1668C40301D0CC00ED11CDD04CC83A9C013B1CBBB49BBB07ECC320CBCDDD4C94B4154E422502812B646FE49A84DCC8487C8444A6';
wwv_flow_imp.g_varchar2_table(18152) := 'CE2CFF6BC4F7431EE40101D69B8C12908CC127762974662574613790CAB3DCCF633886DCCBAF72062DF8304361E76C81F55784F5677FE55725A5C2E7ABB15BBDD51E00AD7CFC3E1F8001EE43C81ACDC386CCD188DCC39BFCC8D8F3D64AB653A89763F565';
wwv_flow_imp.g_varchar2_table(18153) := '4CFC07452260C8206BC4225002DC8A4777644E6F043E1CF93E0F70D81E98CA60BD6B36A4663E7BA53675BDCCC88C69CC9094EB01FCCA7687E12600600EB30C01122001A01DDAA45DDAA53DDAA68DDAA13DDAA0DDDAA22DDA109000B29D00084000047000';
wwv_flow_imp.g_varchar2_table(18154) := 'B66DDBB87D00BCDDDBBC7DDBBECDDBF273000C40DCF2413FF333CAF253D183ECC765DD553A8CC3ED8100F26100C4AD1DD0CCC3FBB301DD9B0006FF40DBDE1D00E23DDE0670D80F40CB1B39C6CAB88C0D28DB06F0DEDE3D1D08301DF28D000910006A5C24';
wwv_flow_imp.g_varchar2_table(18155) := '22B618F2900E86F007C20A08721007030E08016EE0060EE0090E0800AEE00CFEE071F0079918E1013EE10CFE077FE0071ACE077DC0E11DDE071FFEE17C30E21D7E07234EE27CE0078BE0077D50087D801F279EE223EE078540E3348E08388E087E80E33B';
wwv_flow_imp.g_varchar2_table(18156) := 'BEE388F007380EE41B3EE333FEE28590E38660087EF0DF18EE0770E0E4050B077720E56FF0E47E00E0496E088090E5599EE17F00075FFEE57030E6645EE665FE07E2200FEEB018E672A13372A1A64423710EE7734EE7709E57C666E73262E76EEEE67B1E';
wwv_flow_imp.g_varchar2_table(18157) := 'E772CEE7742EE7FDF024FFB00FD2FFA5E76F6E4AFB00E8FDA00F3272258B2EE8804EE97F225D987EA118172EE2621036932D79C12BF5200FC9F22FEFF22FF562EAAADE2EF0100FADFEEAAE1E0FEB10EBA40E32B60E326F76EBB79EEB2003003EE3EBB8AE';
wwv_flow_imp.g_varchar2_table(18158) := 'EBC21EECFB200FF7200FBC1E32CA3EEC20532ECC2EEC2263EB2233EDCB3EEDAE5EEBC952EBA41E0FA4FE66F3F066E08EECE21E32AE8E28260300475210C43221E95E1569C211AE3310C21229F1322FF67EEFF4022FFA7EEACA420F213210A6B230A6222A';
wwv_flow_imp.g_varchar2_table(18159) := '04FF24F2002A075FF00A0F25077FEB50B224B9222103DFF0097FECBC1C2288920FF5800F91A2201E8F2823023BF4C0280D720FFA1E2FC692F2F94E22A414277472241A528756FF512D1DB130E87E24F9F0243F92220BAFF0B8622B40CFCB6A37F4037327';
wwv_flow_imp.g_varchar2_table(18160) := 'EDDEF30050EC1872F0BE8E2105EF2509DFF03D1F2506AFF45052E8D13210A352F5521F25F58E20674210122210C3620F47C2205CE225F59E266C8F24F5404A6352249ACD23D032245941F320416C72CF0F858EE8335262534FF0A4022A843FF85E72104C';
wwv_flow_imp.g_varchar2_table(18161) := '12F88ABFF88CFF2485CE2A8BCF2867AF0F2B2224C46626A424234F1230247F270AB1225762233D621096CF174032118A8F2A0651210891238DFFFA84BFF8A1222ACD22103FD225071F2A4CBF0FF51EF70201F3AC7FF3ED5EF2F6700F928F0F957F106792';
wwv_flow_imp.g_varchar2_table(18162) := 'F50CB1219BADD97B5F283D322383C2F7987EFD3482E8DA5FE8DCFFEFF449FFFD4DB226D60F287CAF225FD22422662332C222506223B35FE8A2DF262EC2227BEF1034B2253782189B2E13BFFEEB000140A03B78F000142C7810E142770D1D3E841851E244';
wwv_flow_imp.g_varchar2_table(18163) := '8A0E175EC408CF5D3B8E0D397E04D90E62489220059E448992204178F400404C1953E64C9A356DDEC499532700793C7DF6EC19139EBCA14589C604FAF32450794D893E35AA34E8D2A2028D5E859A156BD18C5A337E2DA8F5A953B2659B1A2D8BF62CD1B0';
wwv_flow_imp.g_varchar2_table(18164) := '43CD9A153855264200E9CCC16367D0E04EBE4B79F61CDA57F060C231FF1526DC4FF1E2C5270FFF831C59F264CA952D5FC69C59F366CE95011CE69B2E1C62D2A54D9F9ED90F355F7EAD5DB716C858F66CDAB5FF6DDFC69D5BF76EDE0054EBE4F74F5D38D0';
wwv_flow_imp.g_varchar2_table(18165) := 'AB8D1F479E9CF06BE6BE6BBBE61D5DFA74EAD4F90A27AE5CFB76EEDD5357071F5EFCF8C590054AAE195C9D38EFEDDDBF4F79B81EBFBEE4EDDFB70F5931E47DFFF6F53FCC1EFFFEFBCF3C00FA736CB8E2E063B0C1D51E3B281F00E8D34935D9FE990EC3E8';
wwv_flow_imp.g_varchar2_table(18166) := '34C4AF43C6F8FB47407B4624D19E780C4C891F7B003087BD7C28743046DF249451A7C7FE8147421863BAA7B517A1A32C43C9F6D38FC8213D4492C813E319311E27998C47457DA6D4271F7BE699A71E00C6E9E61F7E68ACB1C1DFC2C409C21C279CE932E7';
wwv_flow_imp.g_varchar2_table(18167) := 'C02B12C322FB7153367E14BBA79FD69214CFB226A16432C4050572F29F74D8E3071F32C53CB4FFCCCF224473420A21838718BCC461271D76D82987C3EADAACA71DFD3CAD074EFDDCF43232E8F0A40E3236B260350C56B370F55559656D631D7BCC210E9F';
wwv_flow_imp.g_varchar2_table(18168) := '1D13F56E4C5ED35C149E7B129C46207CFE99860038AEE1E296486CA1858B7EF2919339E85EBB10CE54D8C1F11F62FE710547799829C79548DCA184995B8619861673BC4435BA27E371A0010504C0F7DE7A0BE0175F7FF16DE0821345FB071F307FED6E5A';
wwv_flow_imp.g_varchar2_table(18169) := '84813D4C582F3FF324096C0010F01A62E078E68D8B3399A60C79ECBCA71E7A4626B9647AEA41B99E7B7A646C3E43CAB9C515736F4123956BD271459C6AB21187986B6EC9261B64D281375EDD42EC338B0606284001051A68C0010714E0B7FF6A7E0718C0';
wwv_flow_imp.g_varchar2_table(18170) := '810BFA23D8E0857BFD9AA6C3E45951427D1049E31A00E6F9279B6E18B145894C222983182ED499561E77D851A76FBFFF56E752BE73A4E79E7CF2F927E26BAE71A51C5A3CF1C3936CF4B9E5166452C9469D6AAE7906996CB89D33BA2FF7A36DCEC319FB31';
wwv_flow_imp.g_varchar2_table(18171) := 'F4D9FE99F702129CBE6080064898FD6AA6AB665AEB7A041DEDF0B0B9F3F577C778D291A74E5409471F7AFEB9C6103F2AF9210957DE50828157FEA1479E4AFBBED4D2BED3E1289D74F0C2DB1D95E174078E729EB9459C4C0C79239372E8312768A1AF89C6';
wwv_flow_imp.g_varchar2_table(18172) := 'E76898215A75DD828BCC3D30E43F51C5098090C1D69DFAD1A47F6441001750C4051CE08347B4216A541300D30680AFAC5D40FF40A201803EE88322E1AD267825F4123D60248F5ABCAC1E122AC70E98018A6CD0E2169E3044366C813DA284231CD7B05F36';
wwv_flow_imp.g_varchar2_table(18173) := 'D2518D70A82B1C3CCB86A7FE71B87C180E14EC78462A5C610843B82215D560872B86460B66446218CCB0852D5E4134D1FD035792B9C564E4F18F72700B7B6DDB8739DC389911B1CE491750C0052EE0C0063C221E8918C21AB2E000AC6570835A1BD868A6';
wwv_flow_imp.g_varchar2_table(18174) := '5442E59C507829FC4C70DCA18A4D44634A07BC47410478237EC8831E9088442A3201B948D0020E7E880424FCE03C5B9463774CCCC7EE7064B8FDE0034EF708473BF4A18E91F5431EF8D047A8CA180E5BE02A1BE1884439CCA18E72E4F21EC41047E0DC21';
wwv_flow_imp.g_varchar2_table(18175) := '0F5784E316D7FF304739CA11386D62484077D4631E2FC0063F0220113E30C5201CD0061228620E054024EF42A88FCFFC8991A571A4F0F8B1BCC7E8A30F8720469516C58F1ED1684E18D2073CFA11093748F11A8CB0211AAA600B67552113E1E0A5E16059';
wwv_flow_imp.g_varchar2_table(18176) := '9E2FED3364A752CC975E383AD1C10919B4F0C32D685185CA316386FCE8C63312E70929267318E580DC3540718B540C233275D4E31C1430873D9AC24400E845171EC10953604217A69843C012C98F45DEF338F90C1B3F4486C07FD403117D18C62249189B';
wwv_flow_imp.g_varchar2_table(18177) := '90F2C31DFDF0030546490C3F8082166FF0422440E18907BC8112EAF8A5E1EA210F6AA1CE70F480533F4E6627581E8E80BA415C3552018776A4A20CD9C884FF2D22F1067850B41FEA98EB1D6CD18F70A0725B9EA8661AEBB1A47F48300B8F1824094C118F';
wwv_flow_imp.g_varchar2_table(18178) := '7390221124D0C5244C210A5DB4211052E51D55E96955E3601561ADA1474B3E83B848A4A10F5548479526534F4ED2431DA98804151911CA2A461718B7A044251071979535511EAFDCE7C89A8238524DABB02FCA90385C718B324C510AA28C592698D9B861';
wwv_flow_imp.g_varchar2_table(18179) := '44C2BE9110077663468CB902ED1FF2805269A776813928CD9D7318440306E14E4528421489608354ED01C2AAF21635BEFD15705B7298E0DC610A65A84335F4718F7D10941E123AF1F6D8D18F7BB8231DEB3187392CD54C19CB981DED90638E34CA8F4CB8';
wwv_flow_imp.g_varchar2_table(18180) := '91C590A1872BD4610E2D7EEB85853D6C6EFEFF118E6764231A16A345369ED18D1F32E31FE42AC7348EF80C780CC31CCF08875DC2810CE240C644A5B59738A12600073CC201F8BA8021B196C744EEA3C216360D8613E59AE0BAE433FAF0431AAEB08780D6';
wwv_flow_imp.g_varchar2_table(18181) := 'A51CD10807A57C588D2FA671C478E108DFF8E6B74B05AE1DF2F8D28FE8C18E6B3083988CE6D6356C884D4F60FABC0AE40D79335340565F664EDF44731EA5A62FD8C9196BB18BA768ECBC5B3CE7D9AA1AF673704031852AEC21790028872D86368D7464E3';
wwv_flow_imp.g_varchar2_table(18182) := '1AEC884637B2A1187D2C4664286B62B69943D8C38DAB1C863087CD32118D7F88231A52F644387E69AD24E7A6A31ADD3149F5DA5D6ABD28754CA48C040780477EE7315FB18B1DD63A98C8FF79F6FA347ADEB356E1A1A5092D3915B5C0053CE8E9386200E3';
wwv_flow_imp.g_varchar2_table(18183) := '1AC9963231D8010C7845C64EABF37859B5BA6450448218F273173E88996E3F68DC4EED4612487133990B2CED5F37C77921052628F6CCE73C06470CC2F7DC628607679E28A3E77086110E735C431CE2F819CF3E069E39E103B49950AC3878A60E3F983B15';
wwv_flow_imp.g_varchar2_table(18184) := 'D1A0C5C78D161E53AD6A56AFDAE31EB3304E028F330F4E5A0FF67605F4C108FD505A355F4AA8C4EB10361C3228FB585FD9D40FB7D8638DCF98132FFFB1494D8D3D5591616DE4D7118F75AC0398F48C52899076A216C9DD9E74E78BDDC9F425E1DA44B730';
wwv_flow_imp.g_varchar2_table(18185) := '225D7E46C58F70F0334E8D77BC74E8C8A41581463128898C63FC648E2ECDFF63EEA00F3D9E83CB77999CFE24A86A4DD1627F9F5185DC373839A039A6F18F79003FE8165EFC99D273C9E3C70BE6CBF7908D3E630E7233DCFA75C77E260F567CEE9315FCEF';
wwv_flow_imp.g_varchar2_table(18186) := '0FFF750EDDD5F327264CBF17DB3EF17F12E3BB1FFEFF270FF11BBF6A58BCFA43BF1AD93F9A48409A282BDEE88F07843D005CBEE7833E33BA8602344019690CE5F8BC9C508DCEB80C0F01C1112441CFE8C0D4000075C8060ACCC0163C0DB0C8888A90C119';
wwv_flow_imp.g_varchar2_table(18187) := '9C0886708892680818D4C11DCC08C1D81B06498AA470C15F110B1B2C881CDC8A2254C22464421E3CC28DD0081A948892E80889388918ACC185F00EB07007AB0A19F3130830FC9D7A201132AC077C3018786BA29461C3FF3674C337844337048094591981';
wwv_flow_imp.g_varchar2_table(18188) := 'F03392E1899131437BD8C33E8C4394E1C340EC4341E4437C5899435C1934C4074254C446CC87451CC448E443C418162DB1C4391CC28569C44D344444544400404344AC43001896432445443C4581284552644553EC2E54349991B907456444455CC552AC';
wwv_flow_imp.g_varchar2_table(18189) := 'C344E4445A3C894214C59599935DB116942044323414E3F8C561C9C4DF62B74C2B2C47F111DF39AF69A4C66A3C9CBDBBC6263A4494319C606C466784A593381DC640356BA1C6E263C10699C6055C46816846C4D83F6BA9127094466884A5BD9B126AC4C7';
wwv_flow_imp.g_varchar2_table(18190) := '7DE4C77E5C3F6BF4C7694489701CC86BE447057C8D30F11DBA8B0762641091B90965E4111E91488A3445FF3B2C9C432C9C8DB44352DCC87BF0B3553C8961E1C891F989EC29C59259C5ECF1B399680A559CC3961C0CF38348EDA8433C04009C6CC79DE4C9';
wwv_flow_imp.g_varchar2_table(18191) := 'AF3941BAC385A0FC05A1748F5188055A1006034C859458CA5470CA58000660200C6108A35CA085A38C855E0BA3ADDC4A9910A393F8CADF698116B080160001B20480165081EED8000AD80014000006D80000300114A8CBBB844B3221800020809AD08007';
wwv_flow_imp.g_varchar2_table(18192) := 'D00000F8CBC0D4000CC0000608CC0D08010098CBC664CCC5AC891A9089176001DE9201194801CC948118E04C00C8CC148881144809D1BC4CDE520117584BEEB80100E00194E0011890091878011D904DDA9C4D00984DCAA44C1D608117508EC07CCCFFB9';
wwv_flow_imp.g_varchar2_table(18193) := '94091D204E1D38891A60811AE04DE40400B8744E81904C9B68CD25E881164C0200488223C04EEDCCCEEDDCCE242882AF71010040CDF1444DF23CCDF42CCFD32C0DE34C091DB8CD99804D0088019BA8CCBCDC8E15104E81704F14A801FF440100AD811540';
wwv_flow_imp.g_varchar2_table(18194) := '81152050020580FF4C50B88CCE986850E36CCD93A84E24E08125000024580224F89AEB0CCFF0C4CE0F0500EDB4892210D18519CF9370811118CF1160D19A180100584B171882D31C0217000219150820984C0098CF9CA04D81F04DE37C011C704FE84C0E';
wwv_flow_imp.g_varchar2_table(18195) := 'C55C018128D0BC6450E544011C5052286D4EE458021E40020A0500EAB4500DA54E84094FF0BC4EEC04531225D32328D33205000F5DC6FF1785D11315081B9D09DF0452226501F79CCD1E0D52DF84CDF924D20465011C48CEE46C4E1C78D242C5811AC001';
wwv_flow_imp.g_varchar2_table(18196) := '42FD4F406DD09A58D2FF84549440D4FFECCFCA9CD29348D22475D0995881014D5481A8D050C5D025D8010BCDD02CED810A95D23009D393B8CE2418533395D5339DD5B019810E68510060539D48D1F31488F4445100B8512248891790539B2852E354D655';
wwv_flow_imp.g_varchar2_table(18197) := '4DD09310D4933854FF9CD227150866D501C9D4814F3D5428AD81465552676DCE22954C66158815A081243DD77435D74ECD0926A8500BB5D22C2DD52C1508EA2CD21A51D32218D39320D1346DD59E4C89D424CF5D05D69300021B50524425D798B85720A5';
wwv_flow_imp.g_varchar2_table(18198) := '0941A5D684655000F8D4FFF73C09F7CCD604ADD86F3D54494D50443DCE663D0E1D608299684D0DAD4E675DD8F7004F81185330F5D7103D3F0B40890E0001C2484D81FD559480524BF5D69B80CF8C4D099FBDD493C8CB6CCDD8865DD52225D2E29452E594';
wwv_flow_imp.g_varchar2_table(18199) := 'D2951DD0E42852246002ABADD22988D0F7FCD9F7D057350558D4B85518254F61A5CBBC5C59D2904C41D5549478D68BED539EAD5668A5D8BEE85691BDD8C2585526584D94D80126308279C55219D1579705DB9E1C011048DCC5ED00BE68DC946053180850';
wwv_flow_imp.g_varchar2_table(18200) := 'A3ADDBE3C04F7005D4CA6D568C955B864509E324D4E68CCEB69D54E3904C1E70D793B80126F8DB2BADD7D64C5BEE685981F8DA56ED50DACD449BAD009B05800A408CFFC705000F5050C9BCDCE390CC496554E2ADDBD8CD8971C55BCBD5588B85571EB0D2';
wwv_flow_imp.g_varchar2_table(18201) := 'E9AC5024505606094FEDECD7C30DDBD5D85506B154405DD5AE158C6B9DDBE81C50F3350ED4050077ADD20C8DDFAD6502D08D4E1A78DEE4985D94F0DEEF1D8CB1055E235DD0EEE8DA8E350DF6CDDFE380D70C55562E7DDFCEC5D734F55FD218DBB53481E6';
wwv_flow_imp.g_varchar2_table(18202) := '3CD0027D0FF64DDAE368DBE38052285D0208BD5077E55B00D001D46DD8093EBFC6BDE06FCD6000C86004460CA29D89442D5E46FAD9D68CD0FA15889265E1F37B51105001114089039DD212A811467D5B46E2D68B1DE107EE61FE04E220B63EE0FDE04481';
wwv_flow_imp.g_varchar2_table(18203) := '54262D01A8B5B07B2D591E48612B26E31A61010D169EFFF24589114EDD1F26593146E13296E3EEB05483EB5628A5DE2A3E097725D939F6E3E4A061E179D6D84DD915FEE343F663FC4D090C3D090B45E4479E6314388112388135D65048C6E44C1E4E50D5';
wwv_flow_imp.g_varchar2_table(18204) := 'E44E0EE209BDE42CED634F26E5B05D011D10829488623D2EE556CEC42C06801EB0504376E55AB6E55BC6E55CD6E55DE6E55EF6E55F06660781E56026E61282633186E36256E66566665B0649916CE66896918A94E66A76907D18497AD8076D2E1CB9B0E6';
wwv_flow_imp.g_varchar2_table(18205) := '6F760F97F80F7026E77236E77346E77456E77566E77676E77786E77896E779A6E77AB6E77BC6E77CD6E77DE6E77EF6E77F06E88016E88126E88236E88346E88456E88566E88676E88786E88896E8FF891E8CFAA46866EED18BD6E88D06BD8CE6E88F06E9';
wwv_flow_imp.g_varchar2_table(18206) := '9016E99126E99236E99346E99456E99566E99676E99786E99896E999A6E99AB6E99BC6E99CD6E99DE6E99EF6E99F06EAA016EAA126EAA236EAA346EAA4566A7B4E809468EAA576C109A05900986AA8CEC409A06A81906A00C0EAA9DE6AA9C66AABDEC9AA';
wwv_flow_imp.g_varchar2_table(18207) := '16EB21DC6AAEB600B02E6B32E9EAB0466BADA6EAB39E09B24E6BB25E6BE5006B9ACDEBBDB66BAD4E6B81F0DD9B90EBBBD68EBA766BE5B080A736EA1ED8819415881BE00119886C1EC8CC1778CDADFD9DC3060008506C21B001CF16821D08EDA496EC14B0';
wwv_flow_imp.g_varchar2_table(18208) := 'D3CC3E09C30680A6F6EC1DB881C616881DF0DBEA846D00A8ED976E6CD9D609C97E01FF8FE695BF8E8914D0ED9848E5E1C669D8CE6DC78E09DEE6018B46ECC31E6CAE8E6BC3AEEABAD6EA14F06C09956DC6B66DE5D6E9175EEE1E906CC966CD634D8EAE7E';
wwv_flow_imp.g_varchar2_table(18209) := '6B9C50EDE0FE0184A509DAF6EE9A16010F30629A206F209501F7706BB5B66EBE766BC58E65A2FE8100170CD14400E9460EE0A60908980006878094787081488008376EEE26F09DCEEDADED5B9CC800009000CD5E0DCE7EF008170C09B0011B88EFA0FE81';
wwv_flow_imp.g_varchar2_table(18210) := 'D0766CE39611044880033F70C58E710007F094F0000090011B7071A0EE811F1870C1888093B8F1D580F1D54600183FF099786A0A10080A90000E1008F746EAE666CDCEB489FA0680BE048000D08E259709C57E80997072C2E615FF1B08F29BA07261ED71';
wwv_flow_imp.g_varchar2_table(18211) := '333F947288093847097360116413886C72F3BE10C2E48807930C4394990797289939AC3E7AC0129408F43CA78967EE666A2E0D94C189155174C220B14A67C54937386866102672474CF7F44F07F55017F55127F55237F55347F55457F55567F556777562';
wwv_flow_imp.g_varchar2_table(18212) := 'A6E5577710CC96F543E9E351AE75066102C72E5992DDD85CEF8E2ACDDBCF8D6360DF8E5D47095636F6EEC0EC111EE1645E760751F668D70E1D10F6930855D4A5756A578E66A7D0558E756E278DF8AD570CADCE25605E713F0D474E6550D576753F8E12C0';
wwv_flow_imp.g_varchar2_table(18213) := '01F9955F7A35CE368677D330572536D5544E557467CD9448F77CC7891A10811C765F825F0D02ED5A2C6582815778B39D80546F0DE588378E438D4E47B6F8D388CE442D52EFE6D661DEF89B1852F3A6E5401E799AD8802455629AA8E494170C2AC0CE27D8';
wwv_flow_imp.g_varchar2_table(18214) := '092A30822638022430022380F9B9B00AA4A089AAE8F99AB8074F8A093F5319302C7440898BA1478986DC8786DC891189FAB519113274F48D8F7A6CC6E6BE98877DB8124977FA61394671CC8915017BA73F0D43B1076C167BB52F0C43078086A4873E8F87';
wwv_flow_imp.g_varchar2_table(18215) := 'EA937AB8D7FBBDE77BD2F8011DEDFBC027933657F30D37E780000021F904050A0000002C8A002500550140010008FF0001081C48B0A0C18308132A5CC8B0A1C3871015DE8848B1A2C58B18336ADCC8B1A3C78F2017C618493246C8932853AA5CC9B2A5CB';
wwv_flow_imp.g_varchar2_table(18216) := '973063CA9C49B3A6CD9B3873EADCC9B3A7CF9F40830A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB58B36ADDCAB5ABD7AF60C38A1D4BB6ACD9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EADDCBB7AFDFBF80030B1E4CB8B0E1C3';
wwv_flow_imp.g_varchar2_table(18217) := '88132B5ECCB8B1E3C790234B9E4CB9B2E5CB98336BDECCB9B3E7CFA0438B1E4DBAB4E9D3A853AB5ECDBAB5EBD7418110814DBBB6EDDBAD7F00D8F183F70E20BA710B1F4EBCB8F1E3C8932B5FCEBCB9F3E7D0A34B9F4EBDBAF5EBD8B36BDFCE7DE381EE8E';
wwv_flow_imp.g_varchar2_table(18218) := 'ED94FF7163873C003BE7DDB801D007C09D3BEBC1F7A537509E40FB00E8E1974F181E3BFBFBDDC75F61F214686081FBC873CF820B0290E0807BDD83A03C0956B8CF85170EB40F840BF1830F3F47E9A312862492E8A0863EDD73D03C08D943903D300E04E2';
wwv_flow_imp.g_varchar2_table(18219) := '8C00B868638D381A74A38B02E1830F59FC8028903DFFD4582400FFD813649000E403D192504629E541FDF463103FF9E4A38F3E500A1464964D6E59D09664966926990265092689146EB8218A29A9E9E4404EEA738F8810DD53CF40F5F409E3826ADE0326';
wwv_flow_imp.g_varchar2_table(18220) := '3E31DAE3E3871F2EF9E14134360A80900B19FAA3410BEEC9679F98F609003E7BFE38698BF5D8136AA805A92890A90655A92A3FFDF0B30F8CB0C6FFAA24ACFCC83A2BAD50EE88A33D56EABA63AFB506CBAB970259A92A00AD229B63412E1E7A28830C6679';
wwv_flow_imp.g_varchar2_table(18221) := 'CF3ED39648EDB5D366DBE6841BD2D3E0B700A08AEA4662967A677EE1561A6E9A60D2439F40EEC62B2283A7DEF3AE8AEEA26B0F3DF3F05B8F8F7A629AE5999C8A8A293ED0F619EFA80663BAAFBBFDCEC3F0C40F47CCEFC27A36E8909C1C03D00E00EEB823';
wwv_flow_imp.g_varchar2_table(18222) := '50C8ECB8134F3CF3A03C8F3DF3B4ECF2CAB6B2DC328C30C70C6BCB28E79CF2CB2EEB0C40CB04B92C108B2FC7B3623DD05238ADD24A5B6B2200F65548E18114425DE0B8F4697A2A00965E04AD88763658E6825B923D90989632A89F3CDE2E689FBDD06A5C';
wwv_flow_imp.g_varchar2_table(18223) := '6FA571FB88A9B71C67594FBC7C23FFBDB7BB05F2DD37E06CF36DB1C4FBB2689FE006BAEB1F3C90470EF941EEB463F9E596C3CBF83FD948218515A083AE84E8A4FB60C5E8A6A37EBA0F4A28C1BA1557C4AEC5EC5A6C41FBEDB8E7AEFBEEBCDFFE05175E04';
wwv_flow_imp.g_varchar2_table(18224) := 'EF8518C20B4F7CF1C8070F801802314FBC18559C117D1500485F7D15D803903DF5554C91441246180180F800240111F6E8A7AF3EF65E5831C6185CC02F7FFCEF7FF1FEFDF10B2FFDFED84BEF45FFFFF39FFA9250052EA041200704401916C8C0063A9081';
wwv_flow_imp.g_varchar2_table(18225) := '6878A00417683F2EC4CF7E5F606006CB90C10A56908363602017CA908D7E04A82356AA060424C042094CE0852FAC800B2B0043174EC085366C61025A68C30954A00220086207FF4000C4221211041D1822128D08C424826004487C62148748C520321104';
wwv_flow_imp.g_varchar2_table(18226) := '1EF080083850020E70608B5BEC2217B9B8812E96A08C64E4000036B0C6339660051BD040083610020D00E0031AA0A306F018028230C00080044020050980EF34848D1AA0401ED738C7386EE0918E5C010A4C00001D54F2053A78C10B60A0034E7A520799';
wwv_flow_imp.g_varchar2_table(18227) := '44011C43404A52E2518F752C2529F318470A4480010F40811166F30323FCE096B8C4251076099C5C1221973B08E66F7689CB60C6A0053048660B6E600366367307CDBC410C92A9CC18DCE09A360826078611AE2A7D241FFF48860754D08227766004E74C';
wwv_flow_imp.g_varchar2_table(18228) := 'A23AD3994E74BAB3033F8C673C6F38C373BEF39E23C8673EDB69FF4F008CC09FFEFC673E03EA828206549F036D010B16BA5013BCC0040C652844251A51005012002CC0280B5EC0821A74140728A801467100801AA000A32735E90AE6584700B014007014';
wwv_flow_imp.g_varchar2_table(18229) := '4846499AD18298F4051E8D280B5080829D82F40520E5290E7470831E20C1A8464582528D8004A63295073CC8640DA68A031CD46005260DAA49A7AA839BEE94038F8CC1F7C64AD6B292B5086555C211BE7784221461AD4940EB588B304B22D81508B3C4AB';
wwv_flow_imp.g_varchar2_table(18230) := '6CF64A845D06939778B5AB5D6F308C7FC8231F90E2083FFEF10B0FB8008A504CA2053AA0022AB2739D9785A73C354BC30AD813A1A00DAD68F3E902158CC0050078AC0A5C3004D616F4B5AFB581423549DB4DFFE240931BC5AD6E73BBD18C7214001C7D01';
wwv_flow_imp.g_varchar2_table(18231) := '0A4A40831278B404C61529728F6B525192D2A50209C14A0FD251148054A418154848434A558F4EB506569DEA4A436A491DF080093B588252D7BBDE25445507A244010DB0FADDA98AF2AADFEDA97E57A0810788C0AE4958EB5B07DCD6021301AD44882B5A';
wwv_flow_imp.g_varchar2_table(18232) := 'D77A8403CFD20845387012248CE059E6B2963F008E11800304617AB8C3B79C250C6E61D87B24D622FF48718A89748B0A9816B2531422659388507E46D6B24854A73BF779CFCFF2B89D0835ED40462064D8A236B5AB5DED0F14DADBDA2E34B8B9ADAD9435';
wwv_flow_imp.g_varchar2_table(18233) := '3910DAB280B8C4BD72716940832B8B54A4D58529564F2A1091AEE021DF2D697DD79C5FFA9214FF94EE5D827AE7ACD439F3E0BA2BE0F29A71B0D0F9D280AA3A60019F45A081083C0006460870830B4CE0013BD8AD0D0E3011205CD747D3F5AD93B66B6F84';
wwv_flow_imp.g_varchar2_table(18234) := '09CC0E777807D8F4306F6E39E27FC0834B1FA1C73F6E21011580C005529C6265693C5A22A3939FEC84AC3D77CD63D0F21AB40035C86B915CDA62CB56D02CC8A42633F9E4DB6272CA53EE2D436B60DC85529B0625CDB648F95CD5A9AA19A3D84508996DAA';
wwv_flow_imp.g_varchar2_table(18235) := 'E6AD82D7BE5BB5EE56AD5A4938F3000974AE3312DE1BDE3DB3F9CFE0E5364843F000067020C16D4D345A1BDD6004BB15D310CEF40F046BD7085F3AC24400F53385E9E94DDF609917BF413037FD0318D8A2C427BE88AAE2C10F56E7D39C39FF9E75656B1D';
wwv_flow_imp.g_varchar2_table(18236) := 'DA27E673E5B4C62C3B61EE4E24DE7AC700156840536BD0D212B9B42AB0010C809AEC646372A8B70D74266FCBF4E0F219B83B9D7647D39C660090742057CF6E990752D3AD977905673EC899C5CBE6B26F5B074C386F7A97905E78BBDDBD5D35BBDCD77C02';
wwv_flow_imp.g_varchar2_table(18237) := '0DC072070676AB82153CF081B775C00E172CE00F4EF85FB6400687B781E287894BD9C6E0377FDD34114C608BFC845C23F1B087C94F7EEB7326D9B43EE6F110688D4ED0D7B8F332D7718E754CE37EEA532003F5676901A002DAD35E053BC064D1910E4A50';
wwv_flow_imp.g_varchar2_table(18238) := 'D660E9990C7EF05F00809E7E57EAD5F5AED5B9AD83A182B29248AFA440684AFD8270D9CF560FF740A69ADCFAEAB906D8066FFFEFE3BC841EA8D7ED3C9073F3ABDAEDEF7239CF7EBEFEF74B90810844C004445874DF091FD7FE439AF00078708CE67011D6';
wwv_flow_imp.g_varchar2_table(18239) := '612D60022990022DA0787C051C0B9861B73458C14479FFF02E1F210FF360722E3744A665011E4843A1B74F3FD4012E604F2E0044235001B0E6433E947AEA34452E884EFE247303F54E9445642AA002370003438502F0D57BA05455C2074A98D47BC48702';
wwv_flow_imp.g_varchar2_table(18240) := 'C2E56DE6565F56C57E556575E5654915217FDBE6844E787D73E76DCE775EE6677EEF3667E9B57E4EF85DF00776F3956768F85D71F40014F003DF23574530047CE77F7C178000F87707776010F7033690451EA080BF217840C0809E26813FE001B4508120';
wwv_flow_imp.g_varchar2_table(18241) := 'C10F28730B13FF00593F660571D00895000743E072A0750566E0032A70058FD5015730042370053960053EA08939E082AD67639935592FB84EFA84442A474E3C205C56055FBFE7833FA88B45588444587CC5F77466D7844ED87C4058116B26104C608542';
wwv_flow_imp.g_varchar2_table(18242) := '586EDEF78C67A7034B208DE9278DE6076FE92784EBE77E65888669F85D67F4000F200302E67F02A877FB878776788E7878573F900259940236906182177136404C3B30581AC701AEF00F5D931129361099E78890B84F71200BD1F00AA0800CAFF0052108';
wwv_flow_imp.g_varchar2_table(18243) := '0EE7B00D5B000E56300156600FA33001CBD008D41007E0300E6B9059EB144540744444D4011EE88AAA787323390230605D3CD55CB9D85542E87CC6D87B34FFB575F9856E54B57C35595ED25710528810E7A685E06575ED068471D75D66B77CE6C585E9E7';
wwv_flow_imp.g_varchar2_table(18244) := '85D8188438195E7EE68DD7077FF6B502AEE4016FF577743870493004FFB78E7A28786EC5709A66032960028AB7707A5880B7A47818070326E00110900AFF30271A1190F7A179155090232007BFF00B7E600450500BD3400C5BE0632E400D95200B66B00D';
wwv_flow_imp.g_varchar2_table(18245) := '57300195000EB2D001B8B00DA3D001CBB0068FD56349C45A43900343709AA8899AAEF589312873AE06031ED05C3CC553B8C85D4AA9944FA85230B55D2A15521F2568EC2768CD879459979405218CF5766E4F6893B8D951C8E65DCEF9744208554C700371';
wwv_flow_imp.g_varchar2_table(18246) := '667EEEC504B8D97E53F57E674885F6450108FF40010966047FD756753896EB98966AD99E77B54B76B5030B18887938882DD0967EE84514400109000A47021203199841844E5BA00CC1300A7760089BB009BFC00CA3C08908B50DE3A00C5AB00DA9B80CA3';
wwv_flow_imp.g_varchar2_table(18247) := '4091C1C00F6B5001E3300E5BE072163002234A825B6006279AA2298AA22CBA053E706B008059A8B74E2AF0021EC09B63C65554C59CB779755B3566927455BC6985EB077DE5C57B41A910F8C684DA685EA0C40365766E82569454F7A46A1767E9F55E6817';
wwv_flow_imp.g_varchar2_table(18248) := '84DC498668F87EDD366809F00078C7680A869E711880EE2958F0B95780051C073688D9D4804B660277E9011C20015E04016CD89F7B797919210F80D902EAE402A3100C070A09A9A00AAAFFF00BC4100C66F0592E000E72300E9EB00D6BB005E700917210';
wwv_flow_imp.g_varchar2_table(18249) := '0CCAB00C57B00C91DA4E256A014380A2B3633B68A0AAA95A3B5B700525BA8AB2AA4E2D005CB329493199ABF9869B3869492A2549C00A76C2EA513EF99343257D43297D504A94307555DF277EBDF75ECBAA9CCAF98425059C4FCA045E186768A7A568776F';
wwv_flow_imp.g_varchar2_table(18250) := '664885EC675214F000F8678E60E95643A08E10C7706EDAA6BC04819E5604727A8FBBA4786C899F78EA45FAC99FFE69621BE1978C089830E603AB800BC1700B9D1009B5500BB8F0A895608223800BEB200B57400DE0100CAB300171300AA3B006B870A8F1';
wwv_flow_imp.g_varchar2_table(18251) := '200781098B16900328DA087260067160062EAB0580D00866000871F0AA2AFFD901310A8B980502B68AAB39CA9BBCD9ABBD7794C1BA0222B00227F046601752D3C78CC578753729945CB753629667F5058551A59D9514554D58AD50087DC2F994E937B669';
wwv_flow_imp.g_varchar2_table(18252) := 'E7AD62D8B5DD69867966852FB001FEF5034730807888A685C7A66FCA611C068173B970F52A5BF779A759C4011EA0A778EA0114C00109E009FF6062804A1145820FF0A079031A445B800B968B0BC7D009B5700CC4800BB2300AA19944252BBA25E8021F88';
wwv_flow_imp.g_varchar2_table(18253) := '92282901817973236AAA66E009C1500980C00F8DE009AB7005CAE0B1C1E0099B8872433683EA24104A245C413A9BC60BAC31C98CF04552427A66C2FABC415A525D4B8C24B59C0961497C666DA204BDDE96A44EDAB4F9FFF66602D1ABEC074A69A703F376';
wwv_flow_imp.g_varchar2_table(18254) := '5E59ABA5E3BA66F4F55DE3AA03FCA5013B003E8C46B7807760760B587A5B4CBDF1BF0C289F09989F869BA7852BB8819B4511A0B888D5B815C10F827A0B039A8266100C969B0CB1500BC5200CCC400CB2B00A25784E25B863A745A29225BAA83BA3289903';
wwv_flow_imp.g_varchar2_table(18255) := '5B300ADB6006193A0AB68BBBAF90A1996A05B986B33ADC79391B442FB0B4D02BACDBBBB4DCE59B26B59B04E1BCCFFB46E53675F03B52D805B506D17CDE1552460BBD7F96A40301A5D46BAD49599536A9764C10034E7ABEC688034B2A7761CA021B100138';
wwv_flow_imp.g_varchar2_table(18256) := '9068ECAAA6EF19AF79DB4BB7E41B7CD81BF8CA967EA8A712E087768A8076DA9676090314A0B84BC21129FF860F11DC44232001156CB995D00788B0A0ABF0A8A3A04F2448C2249A4F237A6B9335593B56AA4390A9B860A0DBC099A36005CA00085BF00AD2';
wwv_flow_imp.g_varchar2_table(18257) := 'B00538EC7A3A8C103EBC0160B7013C85BC408CCBC08A6EDB15763035CCC3BCC42555C43CC9B4CAACC5E35B55455CB5588C10BEEAB552D8A32515AD00A0BEDAF95ECBD855F1277F690CBF46CB001A609E0D1797E8DC5776DCBFC094C7BEE11B7E7B9F7E98';
wwv_flow_imp.g_varchar2_table(18258) := '453090022090800A78CFC854CF3070031CE09F89DC118C2CB9AE768257800BABF0065650055E30065550069110BB16A002AEF8C9235A5025EAC91640431E784E1D8D4E276B0695A0B1DB0008082D0D231DB2CAB00A2E2A453ABC4E393B9220D0B64BFFEB';
wwv_flow_imp.g_varchar2_table(18259) := 'CBCE8502D225ACD235C4BA294AC42CCC007002D0DBACDAE68CDA8794483DB4CE5802D06C86470994ED365FF03B9C5F5C93D3E76E4EAABE4088C6EF9B8556C55F0CF0020DC670ED6AB77AFBCEA286AFC1B4C78E67CF760A026F8DCFF60C03C89402300002';
wwv_flow_imp.g_varchar2_table(18260) := 'F59C0231B001A0F0284C02904702C19AF78841F46AA310074A700555703F0B0D0A7130012B37023930A2932D8A3E208A252C01A378B24A508A930DD2A7BA0635EBB26B40DA2CCBB25AF0064A907A31AD7A1D70D72880CBB20D47B43D472B65DB2B05C4BD';
wwv_flow_imp.g_varchar2_table(18261) := 'E9BC411DD427D0DBBC2D6E5F66C53F2A52C98ABDD95794430C76443DC5B91D524F789B5579D5D2D8ADD4E9AD685C76E0AC676067772CFF9069F5E8AEBD94D66C5DDE87779F88D70231A0800AD802EEFDDEF0EDDE0A48D7306003FFFCA742F29F1831D01A';
wwv_flow_imp.g_varchar2_table(18262) := '884E20603B575006688006775006A0638916D0021E380489A0025B20072E200783393B416006B09AA9117E054120B3F6345956B005200EE2B5A3055740E2B3133B39B07AAAE844AF7DA374C45230FEE2303E47271002421D5FC20A53D275023C2ED4412D';
wwv_flow_imp.g_varchar2_table(18263) := 'CCC1DD10E33610C89D7D4DB8DC618755C55949B71DA4E237BED27D5D5B288D72E685665C6FE32AD557795522100211204B6BFA9EEF6CDECDB44CE78D780988806DD902720A042D004D74C9D60BE8DE74BD801ED0D7F480581E21D804394490653BA13306';
wwv_flow_imp.g_varchar2_table(18264) := '8A6DE01300029565012EFFD00857B0066B50CA56C0E85AF0055B10045630D916200724BE065AD0C934A69253745A2ED00250A4E22BCEE258C452744447A3A44AA9A44ABE9CCB6766DB42DDE33EFED330C5C40C915548F97CC408C5C58DB4512AB5A924D4';
wwv_flow_imp.g_varchar2_table(18265) := '92548C3D4A76549E7E72567EEE456FF0DB9DE2E5675C5E68F46B4B70D957EADC4BE52D5B32C0DE729DE676EA0177898020E0DEF81A74F1FCDEF38DD70A1803F7AD207CB91103FD0A844D924AE0B27FF0066FF0077180062E60029DEE028C5EDA5B500958';
wwv_flow_imp.g_varchar2_table(18266) := '00E271B0068D50B33E60068C6E015750095BD0BAAC876B7E5ED89E05D32B5E921EF048AE5E4A2F9E47A494EA3BFEBCBEEC5248DBE3402E1043DD10C49A75D51B7D56FF955158F5BC6AD675BD07001A2047BE3C5535B5D59614CCBF777E4A35B6D3B88CF7';
wwv_flow_imp.g_varchar2_table(18267) := '167F657855FD15D6D67E4B706AC77B6CE6F2EDEDF85CCF804BC0806C97766DD7C7C4CF816C02709D0214E09F87F511100C00AFA0D932064F2E20D2AB300A9570053F54D828F9F699EEA22E3B0472B00639A00556E0F04150B393BE0543D0D1A9777331EA';
wwv_flow_imp.g_varchar2_table(18268) := '4F39B67AA4BE4E46D4F1A89E4A32CEEAA454E3C48ECBC5BC013CCEF93CCEF2B69EE39FFFF9C0CD1063C866922466D956BDE555031A8001A534AC6717F322155FB4196FD5C8B5688C6FDE598667C85F18E06F1706F57389AF668ECFF7D996F72CF6E14EC0';
wwv_flow_imp.g_varchar2_table(18269) := '7B0A01FBB99F5E54B8E2DEFCF31C8F10A0B8F4E0C00FFF6C1F6BFFF8F144823254D841E48AE8A482146D73AD9B92163001ACE581AB355919AFB33217A3AB97B30301D3003082202001001162830682213418441842E1C1102736383CB122E2C387024F00';
wwv_flow_imp.g_varchar2_table(18270) := '3811026344002B30AE001912C00600234B9E4489A2068A93384AEAC00113478D953556A00809B2060B973A00E8000A8020C39C2870C43C8A4325CE9B2B752041B204098F253A98F0384A536B0D1A5C41D2A001D26004031A7AFCD8B1C3465AB536DCB690';
wwv_flow_imp.g_varchar2_table(18271) := 'D12285DC14294C98F080D7C35EBE123848D8B04102050A0F1E40300C8130610E1C3C386EFC17B287049EFED1E38752F366CE9CF1D1B3774BC20810203A9C36DDA1C2EA0E202A947E6DE17407D2A6FF5DBB5E9DBBC2040B162AF4EE3D5B38EAE1003A9C3C';
wwv_flow_imp.g_varchar2_table(18272) := '9E7CB370E3AF250C851E7D680685021B6E5811227BF68AD5355EF49853BC479225C15FEC5C32694CA033578E6F1AF3275098080B6ED07E332900A52099AAACE1A9A87AA88A0799B6A26985B0C2CAC92006CAEA61871B2674CBADB8E2AAABAEBBF002812F';
wwv_flow_imp.g_varchar2_table(18273) := '0F24F02BC40DFE1AF1310A36588C82C61EE3AB3108FCA260300A3C40C032CCD2C3314779EC794502DB4EAB403520850C32B50E646B8DB8DB7ED32D37DF9E1C2E4AE65043AEB5924C332E4B002AB852820734300C4C0C1EC0404CE832D0803AEA14C2CF3A';
wwv_flow_imp.g_varchar2_table(18274) := '36DD5428BC88C62BE9BB121C2A093B1C6B6829A9046D822F2998E8ABC12086AA03A9FF24165662AAA8A3A81AB0AA03B7028BC106097AF081187E884186B9E26A812EBA4C4861AF0EFBFA30550FF9BA6BAFC93C6C0C30C5289895B10432F9A79E7C32CBB1';
wwv_flow_imp.g_varchar2_table(18275) := '57CD76EC11B624899432CAD44C7B2D59655773CDB7225B93ED47235BE332D96697BCCD59DFB6048003C3C87C800132C51DB3DC082220280375D50C815D7715A28EA313229A57228F343AE9A13AF52DA123943C42A98699660200D0791F0A6927FAE803C0';
wwv_flow_imp.g_varchar2_table(18276) := 'D084F2F3CFA3FF96A20928A8962010269A16B4D4DE79C77AD080084C9010AE50439DAB2E104C58592FBD4EDD8B65186C6881E6185AB8F9861660C8D98618F62AECDBC40AA39502032AF9E79E7B76F5B569007614CDB6208324B6FF58E18E5516372757D3';
wwv_flow_imp.g_varchar2_table(18277) := 'B6596BBFDEF6EB642D5892C9DC00B0604BCAC2655B5C7219C0E0DC08183857DD340552B7DD0DD86DB3EF8CE80569CE86073729CF8EB0EBB7A49B3A5AA92481059E09278E1E9A7327F608954EA1C23B5A01BB9B5680FC281D30E6C140F7BE5230F08C1662';
wwv_flow_imp.g_varchar2_table(18278) := '808103182020020F6EC0D02E96578D198414408001849D5BF0FD641B80183EADB5D6DA01881D38BDEB2F5A157B8068E929A81100A599763A477C80F55158AAAD3636C9DBCA5E92ECDF7023FF6BF401281FDB6AB9E5925B2F1368DB6D063470FB5CBACF95';
wwv_flow_imp.g_varchar2_table(18279) := '6EBA34FF47D39AAA332F0202AE3C2381C8494AE0917E3510000BC4090A4A50139E148C0538E94809422082F82C0CFF002C588106CA94AE3641443BD859CAC02C373A42012A2704849706E66680D621E0011EF054AB561522C79820541552C10E54403C20';
wwv_flow_imp.g_varchar2_table(18280) := 'B400084704820B94E702B5EC0C0678E1C062108398E8198656433B5AD2F281BDEC6D263399B1073F5EE181D2806004A739236D50A302339A91362A180169D8C8C63296868ED2B24D195B93C7D2EC718F572A0DFBD8574641061204F90A532247489032A1';
wwv_flow_imp.g_varchar2_table(18281) := '0B5DD3595724A9839F0C50B24D2558602617B882053E10939E3C81080EA8404CA28006135C542A5D223AFEF0C7252F40010B16E641FEB0203095ACE40938101214441005B3D4C10B4A7783D201E505178C6048F0331030E1EF5B0030810C626017DCD945';
wwv_flow_imp.g_varchar2_table(18282) := '77A1FF4A1E12B589449A812006BDD30B8B360001C19028458B19678A3C6000CB2C8D1FEF0400AFBAE8457EB842311278513E4104227DBE089FFB04684005CA4F82FED39F072D2800F079120800A0A10F756844F3E9D0041020000420C0012E8AD18C62F4';
wwv_flow_imp.g_varchar2_table(18283) := '00193DC0473B3A520294A4A40700004A4D5A120318000034A461EB18008090B194862F9DE94910305304BC94A6FB3B170030509208105528E8FA16743E10820F345586198800021070000364D475578529529F3A10AE12043185314002643AD3905A3400';
wwv_flow_imp.g_varchar2_table(18284) := '6745EB590110B46F41C0AD2162518B58E4981021260177C56B4B5B9A80B01A00012DFDAB54FD0A580220E0AE7D7D453FF2D18F79FA4A1ED930C4FF1FFE1087380082B296C5EC1F00A1D938C8A1B38000AD6645BB59D28E56B3A1456D65E3C059D65A96B3';
wwv_flow_imp.g_varchar2_table(18285) := '980500204AA25A00C4A1B696BD6D1C0C11073EC0810F7DF82D70FB30DCE00657B8C3BD031F927B07003037B900E0031FA02B5DE99684BA0028841F16E187E9F2C10FD1952E77ADCB5DF046F7BB85280922D20B00446457BD7E402F7BFDF00744D4D7BEF5';
wwv_flow_imp.g_varchar2_table(18286) := '2D891FF41B5D3CF416BC7D28441FBEEBDDEC16C2BE27916C82250B0700CC57BF7D780384EF808609A3E10D68A07083B93BDFC81AC21080F0F0873D0C884884981191FDC37CFF008714B358C57088031C643C633FCCD8C6379E2F8BFF900D79B8A3B1BE82';
wwv_flow_imp.g_varchar2_table(18287) := '873CFE316422FFC31E472E7292FFFFD10F26F743C94F26B293A16C0F2253B9CA27B13200EC81E52B03C0C82861F23F7A25E69290793343CE9199BD5C12267BB9C84E43330018DB64C67A791F43DE879CE7CC587DF4D9CFFA00C03E042DE8223BF924740E';
wwv_flow_imp.g_varchar2_table(18288) := 'B4A00FCD663F37F9CF9D51324AA03CE949D3D9D297C6B494974CE721CB0300EE0075A841FDE393DCA31EF4A0873CE4118F55AF231EAF8635AC573D8F58C783D6B5C675AE630D8F78B85A1EAEE635AF81DD6B00C00300EB28F6B19F066C651B7B1DAA86B6';
wwv_flow_imp.g_varchar2_table(18289) := '3C501D6D6A57FB699CF1343D00A06D6EA71A259ECEB3A74B226E1D5DDBD3F2B8C7B6D5ADED9318DBDDE3267767DEFDEE6BD7FBDCF070873C8C0D6D73EF1BDEEBE6F6BAD53DEEFF200759DFF10876907D1D8F5453FBD5AB8638C3598D6A8A4F3BD5179776';
wwv_flow_imp.g_varchar2_table(18290) := 'C6A53D6D5507991EF328C99149BD1953D3E3D41F9F47CA639DF223B7FCC8F37079CC653E7397CF831EB6BEB9CD751E8F93E33CE7A8C639CE75FEF39403A01EF7D807D295268FA433FD1E4E87FAA0A59EE7A94F3D3DE91E37D5F33C4FAD2BFADC4C87F63E';
wwv_flow_imp.g_varchar2_table(18291) := '98BE757AA41BDC4A2B7B3EEE51767A343DE983AEB6D8C5BE769417DD7A8246BAA0E5A18F7CE0031F5BEC733D046F7400B0BC1EF6387CCA41B36500E0A3D4F74879E4250FF3C3573EE65AC63CE2357F74A5D5431FF52889E5EBE177BF8FDC7A8247BDE0DB';
wwv_flow_imp.g_varchar2_table(18292) := 'DEF6BC2BFA1EA4F7FB3BF95175DAD73ECFA71678C075BFEDB5F7FF9EEDBE07BEB6617E64A525DAF65207BBDEF55E927437FFEE4ADF87B615FD6D73071ADC603FC9B951327DAA5BEF6972973BD34BB2F5EE2B0DEB6A571AF2DFAEF7E42B5F692F277EDEDB';
wwv_flow_imp.g_varchar2_table(18293) := '8E772DDB638B5B2C3EEC1D4F7AC123DEEFF98827EB99BF7980BC9A3B32FD43C00484BD2D623EAC3B09D933BD92D822BF531ABF5BBF41FB0742DB3AD96BB2E3F3C04183BE107C3B1154BAE71B41EF733E97D38CEE63C14073C1DA8BC018EC8C70B3BACEF8';
wwv_flow_imp.g_varchar2_table(18294) := 'B33E4BBFDA43BAB153BE4173390BA43D00440940134200B83F2E82BD43CB8CA99B39CC23B51BF433D983C0183435F3B342BC53B4E94309C71BBF0F3C3E2B04C33014C33104432D5B4000F4C20F6C1A0774C0FF5ED9BA936037CE78C3EDEBC1AA0B34FC5B';
wwv_flow_imp.g_varchar2_table(18295) := '1AF40B434153BBF96BBFF4BB879603397BB042D64B370694403D343F044CBD92782706C4BB402444996B3CD2E38C22D48C7CF0B323ECBB0494C14F7C40790A4529244551749A36D38C4CCB341C41C5799A33398345C62AC529EC0C5A8C453AE307C6A2BD';
wwv_flow_imp.g_varchar2_table(18296) := '0C7444788A27527C401774413ACB07DBD30CC67B27A90B405804C508ACB34C741A5F6CC692F0B1691CB7EA133751D3C66ADCC66EF4C66F1CB54F03476DB4C62E0AC75E81877454C77554C76A6C87777C47711CC779F43178844700B0C77628C793C8471C';
wwv_flow_imp.g_varchar2_table(18297) := '7187743C476A2CB81EC3117D6C467A43898154487D4BB6792B368674377D93C881B4B7F450C8FF869CC8896CC8644B4889B4C88D74C89094B78734B67DC4B67AA33E720BB2A751B57603C9970CC9747CC896A436942C477123B77873498E2C4963A30773';
wwv_flow_imp.g_varchar2_table(18298) := '4807D0EB958C2CB89143B4437B46A354C5A49CC64933C9A784CA728CB3A89441C60A87708827A6844A7E30B57A10455324B559B4C5725C45AA34CBB3CC1E4B434BD3E3877FC806ACF44AB4E44A9303CB1814CBB10CC5654409B0AC4B362BCBCE68B2B514';
wwv_flow_imp.g_varchar2_table(18299) := '4CA83CCAC19CA7B6BC4A7E88CBB3E44AC1EB4BC384CCC8944CCE40C5C2A4CCC09CCC68744BB87CCC72E4877C48B5BEBCB3D1CC4035EB45B4DCB3CC544D52ABCCA5C434BF44CA566C9A2223CDDA2C4DDBC44DD3D48C0CD4C07F68CB6EC886FFCBE8CC6994';
wwv_flow_imp.g_varchar2_table(18300) := '3D7968877BD0CDDCE48CCFC4CB697CC536D3CA1C61CAE894CE2EA2CED58CCD26CBC5BF04B3D494CD34BB332313CFDA4CC3416B4B48E3CDDE7CCBB5E322B61CCEE264877A48CEF4C440CD504CAF543B2304C0CF34C2CCB887E1F4953D83CEF458C54BAB4B';
wwv_flow_imp.g_varchar2_table(18301) := '694CC5A3C44C3DB34CECBCCC265B2CD7BC3406FD4E1CB9335BFB8778E087BFFB334EF4D00FDD157ED007111DD1D9133B1E6CCBB74CB5F61C39002DCE7690CF33A3CFD234B3B61CB27C18321BD551349B4AD6BC4566DC8CA50C461DDD4DDFFC45A43CD27E';
wwv_flow_imp.g_varchar2_table(18302) := 'F84C005452E684A726DD950A9DCC4CDB4EEEF4CBC0FCCE1E2D333C4B321BA5B42F05D37D88072A4BD16C103B160DCB5E79D1FF185D4E1EBDB307FC0775400664F8077308877F28873B158772D0876C8007B7740723F551EF844D0A55C52DAD5375C8D174';
wwv_flow_imp.g_varchar2_table(18303) := 'FB877714B31B35331C15B3F3F432009CCA472DB37B50CBD5345026AB52099DD0A6A1B25E90832C30D55345D55455D55565D52C0803573D877328CD7030537940D31F03D05FA40718D5CD92A00764C886444333C5FC075030800780034AB0827F480222F8';
wwv_flow_imp.g_varchar2_table(18304) := '074678807A28826B308700B085CB58CE25BDBFBBE4D6525445C41C867F18866EF8D324BB8567183271B8867F8007E41CB270880475800762A0054390B361C8844C90873F48057678836B50074358D750954C4CABD27F885050DD545FB933456800011880';
wwv_flow_imp.g_varchar2_table(18305) := '8895D889A5D8FF8AB5D802108002D0588D15808E15007088074253515BCD555F41D05AE4875D65D3EDFB87584082292086401B562ACB8437D0871F78033F48072518037570850400052FE80650500243481A2F52BB93BB38A5ADB8A675DA8AAB0755C4D1';
wwv_flow_imp.g_varchar2_table(18306) := '6CC0154FB005C8CA0661B80579F0843BA8065A000546780375D8316050D44C08577100856B98866C28876B7D064F60065B08077A70055AC8865410B285854C2A45CE614885A45158BECD112A73D802B0D889D5D80158DCC6455CC7DDD88D55008D750005';
wwv_flow_imp.g_varchar2_table(18307) := '188731BDB36CC8067D205919CCD57752D9CD18CD3ED883315005999D54F9CC0434F8072E18833FA005D7BD054FF0833740816C1883324882FDD40C775087FFDF05DEE0FD5D7610DEE2055EE2FD5D77F8D67F08872A88043848055A708572F80348F0846C';
wwv_flow_imp.g_varchar2_table(18308) := '188667080738C8846CA0053FC80475C08780EDDE6B880650A00464B8857660875B608672B88672C0DE686007646807826D9ACAA44C3993C6D43CD94C03CD7F70853F18585CF4544D55CB30EBD5CD30DC06985C8CBD008B85588E655C8C65DC09B6E0C8C5';
wwv_flow_imp.g_varchar2_table(18309) := 'D88D1500CBC5DCCD5CD1925553934D59184554DE64075540844D38067DC83332A35925700513300437F8830D480034A00450A08500B80513F8010420064175C4742887745087723007DF4D877648077368072546E22966877680077540627350072D9687';
wwv_flow_imp.g_varchar2_table(18310) := '7250876F0500AAFD8754C804576006754083FF6C00866E885B57288348080757806375000073008572A0855B508770206064A0075AE88767780666008075BD857218067CD8B4050DD009654A5EF1CD7C88CBCF74574363ACC57A274E1B32BAAD865BF0CD';
wwv_flow_imp.g_varchar2_table(18311) := '5C6CCB5C24B24C7ED2A7F94F2394B4376BE0C7BD005398840B80D80180D88EAD588EDDD8887DDC8ED5608CBD5C7BC8DC5AC544B624E1D0155D7AA8055560E13E4309E424061148816BB0859C3562EEA58575F0824C80837F8884C06D437E3062F8FD5D5B';
wwv_flow_imp.g_varchar2_table(18312) := '98063C16073556876C1087727E4BF565866878CB734E0762B00571F8622A050071B0857EB8055A200666F8874CD8DAE7B5054F608467B0856E30846C40863FB5053FC80666E88754B85AFFB7E55E7130845BC80637A05B38286046EE1585CD0C73188672';
wwv_flow_imp.g_varchar2_table(18313) := '58337A285700585F307B54DFCC95CBA88676308468F8875B0857961E064585076460872193322FA3D63783B406568001B88036206A871D0005B800A58E60899DE00BB8802CE860888565A286EA58CE5805005942A3D5E8BBD5C6FADC12164A3713B37D60';
wwv_flow_imp.g_varchar2_table(18314) := '874DE8034B5005A42B333B0B4F285B332F93CF49DD4B28F6040E28074F808386368454A0306CB60543B8832A48853240833180033F30816128835478033886874FB5B42D522C49E56921D3D45C71321CF5B62D7DCB4F734B73481A6393B25D45D828F5E8';
wwv_flow_imp.g_varchar2_table(18315) := '8F0655F934844C60847B0E8767F0837E60867A00055708D467A063668007FF3B5DB2468D84EB2D837505005BB885F8CC0644680701BEE37630D3727E3A718087702807769806338B33315B65A29E03889D830B6880560E03530803A6866AF09E03533085';
wwv_flow_imp.g_varchar2_table(18316) := '0B2001127884EFBE803978EFABBEE0CB0D59B734537A08E6161DE67688C33243CC3D38044BD804B65E333CDB87FC44E505D74F21D4526F46E33270853760876BF0837FF0044328872A30846128B11D78034F708554F0043728022E80833B20866B100776';
wwv_flow_imp.g_varchar2_table(18317) := '48D83A9B33279564A569B2FF5452C5CAC34D7344250D401C552C4FD5B3FE5CE4D4AE4E0955DD300685678804B10D0780CE043F8804B5A5054F88047CC884781D325AB86E75E082E0CC8C5BD8EBE70D5450108731F684FF617883B58D064340864C780650';
wwv_flow_imp.g_varchar2_table(18318) := 'F0847220E29310CF417060A26E030168004558EA02508447500445288571D0055298854B70803908833080055D70F440480458C0044EC0845920015C1680CBE5EAFCDEEF3455D312D6361EF5B27BC8853DD8844DB0046C0034B2AECF1CD9CF2F42897C60';
wwv_flow_imp.g_varchar2_table(18319) := '876C3082A2858370B80634B807BDCE8632F00364300448F8031168EDE046034F280323F8034F180357383A0295E4A855E06E45CECC4058277327FEBCCB5F24DC46764DF98C047A08566658765A68877C0585991E0657F0836848057340034450D47FB8DA';
wwv_flow_imp.g_varchar2_table(18320) := '7F70072F084E78C8D7EAED0750D8E97FB605EEF5045AC0F068F0844C48877F7883EE45583A27B3B63C5CFFC69D833F7F041250000198035D186F5D688344707458487445D78559C8024CC8034E1879580804F2E660FBFE65AF866461FE747A60077AC06E';
wwv_flow_imp.g_varchar2_table(18321) := 'E4EC842938844D38843A48036870E1DEC4D495DE522F056A09AC87C0966D37A605B10DF831B80657F08257B05A438884290705440085614003607883326086BD0B72B5AC64E44CB5DEE3BC53539A514EB251E7C406BFBF1D6F506F5F4AE4340457F08436';
wwv_flow_imp.g_varchar2_table(18322) := 'A7042A27712AF78492085B3B1E063F20067948787330046608072F20062EF0830C1F71BF1632EFA572774E7743C00611F70478B5059D6459871D6A8C5D80F8EE6EA57E840B78843650842C7884D46F80F45E7D53C8833C108559E0044A0F83F77660FF5E';
wwv_flow_imp.g_varchar2_table(18323) := '7E35410B876FB007F1F3DC61660721E33276B08329488334D8833D488343087AB863BA7600CD7B6857C19307F98407E936077360077120B75C318772506273705B73A0E77408072D3EE2276607249662F2EF7E2556077640345C64574FF004293BE82403';
wwv_flow_imp.g_varchar2_table(18324) := '887EFFFEE5A307CAD33F79AECC65BA052F123300F5F251CCC7EF22C68CFD366E04E0F123C8901F39922CD9F19AA770FF6ED14A572D1BAD700052016047ABDB3557FDC2DD2276ED1FBF9C36E1D88A74AD4C3875AEAEE5FBF7CCD5BF6C0BCBFD13E72E5C3D';
wwv_flow_imp.g_varchar2_table(18325) := '5BD7C2A552075424807DFB14355050A08002070204CCB9304081D9B3030614585BD7ED5CBA68CF161880776E8171F1C4EECB966D9FBCFF7DFCC0326EEC71B1E3C7FCE8B19337F01F007BFFD2D9999226CD9E437554E923BCEF1F3261FF40A56366EE5A34';
wwv_flow_imp.g_varchar2_table(18326) := '71E20CDFBB754D9CAD70CC6E65FB0A201FBC74C2D5114FC78EB83A73E9D42D3FAE8EDDF1E8C4D9B58377EFA2C97E4DAF65FAA72E13B161D952B92A97C9953B64A9FEB953978ADDB037E132F17BC62C933C7CF5EE59CC8811003FD945265276D941161266';
wwv_flow_imp.g_varchar2_table(18327) := '8C5D06C03F95FDA3D965F43458C933F408F48F7603DD3310834D7178D940073298A058642920405D7DE5F5575E2DE6D5178C7CC925E3898289155538882936208F00F2781165967DC4CF3FF7845205139F81360C3DA5DD380D30E6DC224E6CD910934D38';
wwv_flow_imp.g_varchar2_table(18328) := 'E160298E3EE5B8D24D34FFD888E3DB88207E68663FF7A8C91F456AEEC72600FD0458A09C10FD330C23A964738D1F910C13CD53D96C480F2DEA10630B3B9ED0320C3CC3A4431046749AD463489276F45B3D0102705D3E122D36113F9CD623E73D716EC40F';
wwv_flow_imp.g_varchar2_table(18329) := 'A8FD58280F3DFCB54A513DF4C44A0F4572CAB929AC8E898509092ACEC5E2AF2EB6A822B1C20276D638E7DC98CD37FC24F61FA58C89D818900E7A942000E514E3492D9E78124B3A4D32384F54C854830D33AE30B3A756AE00934D39D5B8A2D22DA95075A0';
wwv_flow_imp.g_varchar2_table(18330) := '990B124892471C0DC491A974FE23A12BB4A4024743B4BC114938ED30BC513DC444E5461963DA928A38B4D03A6781A646FBF1BEFDF448523EFEDA2A67801755B43245FF1C7B1CA763039D86890F73ADB596B1C3EA95225D39BF38972E839DD64D37FBD0DA';
wwv_flow_imp.g_varchar2_table(18331) := '1FC8224D2BED64D632A68F3EB3EAF3513C51C11B0E31F2E8560E33CCB0138E38C85C09CC34D7A8938D88F9621BB2C81E9714B081FF8413492ACC4412892DC378E28727BD31620E54E9BC91893AED2C05C72DE6DCC10C4192C29C34E4496787A181FE61D7';
wwv_flow_imp.g_varchar2_table(18332) := '718FA7812347161764F179E77364D196E8A35FC086E96C9C7E81E8A49BDE3AEBA6C7138F3D436703803C155D14F9633F362D644853433DFCD4653E1822915F11B43C3DEE24048F3EFC5884208791F10BD2F5FDC2CD5180E9C0E31D3D1EA9230F83E1D082';
wwv_flow_imp.g_varchar2_table(18333) := 'D962EDA453CF40FAA8D3543B930AC83BFD239B44B949FFBBFBE7788FFCCC7ECEEC0238BB75D0AE8010A2DD65EC31C0AA2910280DC487022104142265E91E47431AEF9606966A01AF3150FB4888F4E5236C4126846B13C9091993BDC6ACF07126BC1666A2';
wwv_flow_imp.g_varchar2_table(18334) := '3226E3E54B643694DFE3EAA743164EAE236D938CE5E844A981D84381B3D34CB4CE1443B581E85A44C2920575A7C1684D31241C4C61648854442CEED03100635A0B79E4210F35D18AFDFA6217D368BD1B5E8A52981BE21645A8C60DCAED7617DC5D067D47';
wwv_flow_imp.g_varchar2_table(18335) := '19097D4C82559CE348D0A8348EFD305A2DAB62464602C84502928D6D1CE2202D27C93F0E8848DD0847140F493F4A4A26485CA416503EC948B8518B90904BE406A135CA55AAF16DF59BE42479D714FF2C194D8A9BF45D3DDA41BE8F11A9973A2CE480C238';
wwv_flow_imp.g_varchar2_table(18336) := '2453260D9591E4242B9319CC330A529991A360380A7248643A869A1E619533590832608A641F61F1E6694EF332B084F31FA7995436D3F94B57AAB398FFB8642DF198CC8ED4A31EE3649BA594C94DEA3151943C1466E4AAD74E402E9141038D1CD824F2C8';
wwv_flow_imp.g_varchar2_table(18337) := '8332B48BF078284423DA187750B4A2144D263C3E62D17670B41D60E92848DBE18E8686E4A103CD284A0190D1C690AFA5F2E0284929D552DCD174A63685873C70AAD39CF274A73EED2950711A99957E24A546BDE84A29FA5097E28EA8A374EA8020AAD288';
wwv_flow_imp.g_varchar2_table(18338) := '42D531161DE947401A198A86B4AB5AA59F4FA9FA538F74B4A200B02848C40A51B4C6FF347CE1FB483D25E2917AC6552274ADAB1AED919922F2B5889991AB3DEF0A5889F0874D14F9CD3DEE8A5765AA29326FA50764230B597BD483B27AD52B63021B39CB';
wwv_flow_imp.g_varchar2_table(18339) := '56B6B39CFDAC67430B5ACC8A644DA64DAC3D7F23BD8B94EA2390DDD469D734D837DD031F10FC6B4C73EB11DBF2B6B7BCFD586C656B8FDEC69695871D9064257B0FCEFA162CA615896FEDD1DA90FC1624BEC54764522B4696B5A9B12039EE5CF7C3DD8AC4';
wwv_flow_imp.g_varchar2_table(18340) := '9665BDD56D6E61A9CAED8EB73FA85CD9283FE8914EFDE637DCB5EF7D8729CF90AC4C53815CE832AD69C8FC7E04BEFE51937BF7CB5D55EE13BDFDC32FCBE63B5EDBE21624FEC12C2A89E7110D1778BCAAF58F8489275FF80240C4FFC5AB9F89533CBCA7AD';
wwv_flow_imp.g_varchar2_table(18341) := 'D8B82456634520FCE28F3496BEFC6DAF7E1D1C9279F0781EF6E8F13C40126400F8D82343262D58783CA02007B9AE906DEC7393FBE4E082E5AD8E91B277AD7C4D0BEE63BA8C611536E5815AB902C0ADAE0D89991D5B662B5BB07E6CD6AE0E1F2BE5F00556';
wwv_flow_imp.g_varchar2_table(18342) := 'B1085E59623D62662DEBB8CF7EFE33A0032DE88FE0A2D0BF30342E7E01004527DA23BF78B4A223FD11492B9A3187BE74A215FD0A5B00C015AE98092D84210C00881A18C300C62D50FD9161B03A24B718B56362112D59A702141E0985276C8D6B00ECBAD7';
wwv_flow_imp.g_varchar2_table(18343) := '9E5023301C330C619C3A17839E23A73FC2695B6CFAD8130000085A10ED685B40DA00A8B60A00A00210A860042EF8FFF6B7BB2D6E70BB0000E50E890A5CA08275B35B052DF080073800010A7080020060010BEE8D6F1388800328F048BE01600216980005';
wwv_flow_imp.g_varchar2_table(18344) := '051FF847ECFD0000281C001A7880061C6E6F860360E10DA700C435C000031CE000040880C703C0980010002411AFF8C91DB3820D8824048D09810E3CF2EF637B44060090410C5290F39DC7200632B8810C5A20839F071D0037383AD23F927300F43C0500';
wwv_flow_imp.g_varchar2_table(18345) := '80419F2B00926CA7BBEAEABE7AB64102041700010040D87AD73DD2F5AF7B5D055BF7FAB98B50EEB36B1D082DE8390F5EA003B9BF80EE1E89B9DC6190F7BD431D007367C10B00CF021CF85D072C88390E5E90F8C4033CF08AC7F70B6A0000146CE0E40FC0';
wwv_flow_imp.g_varchar2_table(18346) := 'C0E5FF33BF4314A040F220F9B7E71DB3041E2081E6904B8247500F00D5B37EF5450080118EBD6EACD3BEEA1EE1BAD7731F76DD5F1DEC5C77C110543004000C0108C30FC90F62600200BCC0EFCE8F79CCA1AE8318C49CFA4C8F390F62EEF7808744F235E8';
wwv_flow_imp.g_varchar2_table(18347) := 'FCBF098F6F7C033C24FF5E01002A1F8294ABB1062B383FFC2935FA257C0409A4E70100968004FAA3F7F51E797D11244100AE1E012681011EE0EA196001BA9EA04D40078040077CC4B7DD5E48949B0B8C00D561DD10945BD6651BEE7984077EC4106CE0F0';
wwv_flow_imp.g_varchar2_table(18348) := '8D60BA69DB0F081CF301000EE8400BB6A0DF359F47C040F4E1DDDC319F0E181E480C9E47E000E1A1800E78DFF8E95B0F02C0F7BD9FFBFD5B086CFFC0CA2D2120A1DF0A406163AC000B849E47F400FFD55FA00D20630C810026811706E0017E21EAA1DE11';
wwv_flow_imp.g_varchar2_table(18349) := '98DE0878441A7EC41A8AC4B9915BBABD611C4EE005AA9BB9699BB90D1FD7055F11A8C00FA4C0F2C9600E3ADFDDD1A047C81D0ED2A02112E247CC1CE17D1F0ED440C0495E150E5E15E24015A24024829FE7ADC0115AA10E45A1288A2263B85F0DD480F6CD';
wwv_flow_imp.g_varchar2_table(18350) := '1F0FD01F13ECC012B8E2FEED406EA9DE470020487061EA95E10296A1009EA1A081000054C00844A01A02401B1A63041EE3BA69DBB981C4B9CD5E1C8244F0655BD7015FD6AD20E1111E0B3A860C8204228A84368284F78104261AA147489E0B66A3119E62';
wwv_flow_imp.g_varchar2_table(18351) := '156E230BCE5CFDD0C00AC8233DCEFF23FA89043D820512B4A247EC9FFD951E00D81F43BD9E2FA69EEBD12248F46242B21E110080FF095A040223A574C030A6A1451A63311AE330B2A1B6A561B73923DB7D04266AA3F67DCC0B76DFBD491E2782DF3986C4';
wwv_flow_imp.g_varchar2_table(18352) := '499EE4DDF960108EE4291E14FAA12300F00013E09F47CC5FE9D11F4FF61F42FE9F00FEDF11E0E2EB2501117C61439A1E0050E48010E34744205582C5464E5D31B6E11A6E5D0FC85C2416213882255894E44758E1FBED6011129E0B32A2F685A3DFF9A083';
wwv_flow_imp.g_varchar2_table(18353) := 'E1C04EB6E2E8056440D25F2CEA1F0BBA653A15E5172625411A254814644818C143D29C547A840588446242CE30AAC06282A01A7E2400D840F985840BAE25667E638F7C9F3986FFDE29BAA5668A4449C2604CE1000D9863CC2DC14EF21F1304A40E2041E9';
wwv_flow_imp.g_varchar2_table(18354) := 'AD22491D41511A240186C4191266482465533A65B450640750A57046466466244834A6678E2348409F3BF26567FE1BF7956539A6A55832629FA9E512E8804EAEA20E3081407A046D8262360D601906E647F02670F6C831F288440263054864E4B4672392';
wwv_flow_imp.g_varchar2_table(18355) := 'E73642A70ED580F8D9E7B191675DBEA64700A84B0ED419AA1E7AAE27824E65F7B1242592A648645F50520A6892638282C576665F2B0A243F9294FFA9E76E8A0411004188FE66859214545EA3847E44F6F91D84A6117E22E86B2E0116AEA22BF6D98712E6';
wwv_flow_imp.g_varchar2_table(18356) := '6182448896684C41650436DFFB05293C82041586A6364628EFBCFF280B221E70E2E44E024057E25F94F22895E616304EA7904A5E0920E1CC759E48EA90233686E14DA7E941E73EDEC0B189E8EE55297A45E0B62D1FA594C04790E99202927E761E9D0A9A';
wwv_flow_imp.g_varchar2_table(18357) := 'E4B9E593EA248B92A56EADA948FC400A7AC40EC8229BB6937C7E8408DC63649CA524AE5226065CA30E1EA00E1AFDB1A678BEA69FA257D8FD0010802AA8262AA94E9EE7E5E91C759E9C0E5A493A6A4E6EE76B7E27F6092843ED5EA1962AAEA6137F0267CC';
wwv_flow_imp.g_varchar2_table(18358) := 'C5AAAF7AA783ED40D709AB6582840DA068AE262BEFA06A820A01FDADE647CC9F3B92940D0041B1AA800DB4806566ABB276ABB7F6C8098004AD8204926653B5B6802CB680B17E2BBBB66B6494000B94C00994FF000E08413F666180F62A00B8EA2AA900A2';
wwv_flow_imp.g_varchar2_table(18359) := '7E84BABAABC00EAC63E84057D6DF943201E2EDEA1CD940B1122CC4462C6300A4B8AE683A21ABC4666CC4C26BFE81440F28AC4E326BC36A2CC992ECC1F663B996ACCAAEAC326D27CBBE2CCC8ED2A5C62CCDD6ACCDDE2CCEE6ACCEEE2C430D29CFFE6CCE72';
wwv_flow_imp.g_varchar2_table(18360) := 'E79FA62CD016ADD11E2DD27A6BABA459D2362DC47A93D3466DC44E173D188DD52686D466ADC07A937769ADD77E2DD886ADD88E2DD996ADD99E2DDAA6ADDAAE2DDBB6ADDBBE2DDCC6ADDCCEED2889DC47901CDDE6ADDEEE2D95DA2DDFFEAD32F92DE00E2E';
wwv_flow_imp.g_varchar2_table(18361) := 'E1166E3B4500487C1C00E0ADE1366E8F08AEE346AEE44E6E1A951CE55EAE637C9CE5622EE7DEFF6DE77EEEE2822EE542AEE896AEE99E2EEAA6AED3F69DEA1A6E0CB42EECC62EDBBEAEECD6AEEDDE2EEEE6AEEEEE2EEFF6AEEFFE2EF006AFF00E2FF116AF';
wwv_flow_imp.g_varchar2_table(18362) := 'F11E2FF226AFF22E2FF336AFF33E2FF446AFF44E2FF556AFF55E2FF666AFF66E2FF776AFF77E2FF886AFF88E2FF996AFF99E2FFAA6AFFAAE2FFBB6AFFBBE2FFC1EDB0EF4C0BF42A90CF0C0FD0E1D0CF0000DDA5CFC0E2CFFBE40DFCDECFF5628FD9E2C8F';
wwv_flow_imp.g_varchar2_table(18363) := 'F0AF0E385D0153E90FC8E201D76F48E06FDC116D0323683786440FE42F0FBCEE0B58F0053B2507F89B63E0AF8AB26E08BB6BF325000048400ABBABBD41C071BE308222300DAFECC2790402DCB0B2C2A3DD6E2E0F07B1100F31D30E71A9B6FF4A62C4C36B';
wwv_flow_imp.g_varchar2_table(18364) := '19319B76599715311337715844311557B1155F311667B1166F311777B1177F311887B1188F311997B1199F311AA7B11AAFF10E092D1BF7D96B2AE91B67930EB82C01CF713B211E80B6E51DE3F128292C482C8110F0804EF6B11FCF116D0280BD0AC1FEE5';
wwv_flow_imp.g_varchar2_table(18365) := 'A4BE1EB233F54023E325FF813024AB5149EE5F94B2A2C55EF228B9AAFD3D6BAFF2801C7BF20E81E2B35AB2298F1250AEB22B0B2C16BE723BBD22BEEE2BC3CA322095322E83290BF2EB2E2753125441124C411250411234C11120413253EC2FD70FF95455';
wwv_flow_imp.g_varchar2_table(18366) := '53357317A5563D04199FD1833CC403EEF09934035290215937EFD03ECC03D486B33703C06098332089453AABF31C6973F8281BB13C97993BD7B33DDFB33A89283EEFB3A03D6CB4DC803FB76D40000021F904050A0000002C750025006E0140010008FF00';
wwv_flow_imp.g_varchar2_table(18367) := '01081C48B0A0C18308132A5CC8B0A1C38710233A9421B1A2C58B18336ADCC8B1A3C78F204362BC41B2E40D912853AA5CC9B2A5CB973063CA9C49B3A6CD9B3873EADCC9B3A7CF9F40830A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB58B3';
wwv_flow_imp.g_varchar2_table(18368) := '6ADDCAB5ABD7AF60C38A1D4BB6ACD9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EADDCBB7AFDFBF80030B1E4CB8B0E1C388132B5ECCB8B1E3C790234B9E4CB9B2E5CB98336BDECCB9B3E7CFA0438B1E4DBAB4E9D3A853AB5ECDBAB5EBD7B063CB';
wwv_flow_imp.g_varchar2_table(18369) := '9E4DBBF65022406CEBDECDBBB7EF90B97FEC10FEE347EEDFC8932B5FCEBCB9F3E7D0A34B9F4EBDBAF5EBD8B36BDFCEBDBBF7B00C0C20FFF81E9A0100040C103C200F5A038007111EAC67FF9940410206E87BBEE3A7269A3200A0212080FA79264F3CF324';
wwv_flow_imp.g_varchar2_table(18370) := '08803C0576460F000F3628E184A4E5934F43F85858D43EFBDC23D73E0E25380F002316C4CF41279E68903D00B0C8625B170AE42144F6D468A33D27FEC3A28E00E8C80F3E04A988513FFD0040E4411A0AC4CF924116C4A140FA4429A53EFD086961920C59';
wwv_flow_imp.g_varchar2_table(18371) := '880F900044096252F7CC38A341405EB8E599358609408C260A644F99582E292793290220E440270289CF3D4B26C9E541671274269740D603C0960A195ACFA0811674CFA00F15B9663E35B668A98B35E233A79D96725AE43F02F108EA8B06D5E9A29BFCE0';
wwv_flow_imp.g_varchar2_table(18372) := 'A86A95F6F483A39DABDAFF796793FD00992AAB371E9AE195164E79CF94FA0CF46543F780B88F3EC336942C001C72882C84F44418523D33463B10B503DDC3ABB657AA69A89A0084E96198DFD2E3A1A1E6AA29EEA3F52CBAA587C04AC92B903626D46EBBF6';
wwv_flow_imp.g_varchar2_table(18373) := 'D4C3A2A107D5338FBE00E77BAAC001174C30C1ED82BB503BECB4034F3CF688384F8D128B18718211DF58698B956EBC228B0A2228F23C082A38D0882592E8A68D08AA9C32A6022938A28DF9145B6C87614A2B4F87207AB8F33D0C2EF46587E112B44FD0FD';
wwv_flow_imp.g_varchar2_table(18374) := '52FBAB945DCA28AE48515E8BADD2E11A1A6CB8519E5B0F3DFA980BE1D70F8A4B8F3C632F2BB6BAFAAC1B2EB7DBAE8D6FBEFC5E7B8FBB68B65BF79BF8F81BEDCC24D2FF334F84FF328A8F3DF4E09D37C1F3C8030F3BEEC0038F3B0BC1630F284A5861B915';
wwv_flow_imp.g_varchar2_table(18375) := '95FB7079E59673CEB9E6002801800F045D21D015A86B718516AC6BF1C5165AC0DEFAEC5A48F48542B71794FBED5F7CC105175E8CE145F0C48B0180186278613C415E08B43C42CA03107D415E50E145156754D1FC19005441D01449180180F8E30B8404F9';
wwv_flow_imp.g_varchar2_table(18376) := '2055A1FEF5DA03300617EF0B143F17F2BBFFFE18F70F3F10F7CD7BBFBF40FD939EF606A8BE2A24417B686008811298C08494E181107CE0400804A0077E610C5FA820EF30C8C10B7AB08320FC201740210FC82904540030D41B125081094860021578A104';
wwv_flow_imp.g_varchar2_table(18377) := '66E8C209C0F085366C210C01E0C219FA1000331CC80EFF2B40C40A80E0881D0081119708822476A0204F8C2200403045003CD1884E6C221547A0022EBAA08B601C01085A0082177840041B10810850C04600AC60051B28011A454090127000001CB06309';
wwv_flow_imp.g_varchar2_table(18378) := 'E298C71300608F7B3CC106E0289010002004EE09C1064280480068C0901AD00003C203800300800096CC8F4034E9C80D6C64911BD0C00640C9C617B05107A604C00B06120392E80006AFD4010A5610025A1EF290EE71E4211989C8503E92978FD4C00724';
wwv_flow_imp.g_varchar2_table(18379) := 'C9000F88CF083F40E63105824C81E40608C639CE0F0A429C1D006107D81CCE350190CD1DD8A024DFF4260062100318B4E0063048A73AD7C94E75B680036FE80783FA81C282806A492433C30446D0FF017E76E09FFDEC273F071AD011F8939F00B080053A';
wwv_flow_imp.g_varchar2_table(18380) := '600122C2B0882ED4E1430D4AD1820A740400C06846378A518D1264042E70C14643FA45170CC1A4283DE91000909B1E9880053065C10B660A031C00C0A600D0812A09B2CA550E840505016A41744A10A0A2A0060281290A700A474446D291918C24237F0A';
wwv_flow_imp.g_varchar2_table(18381) := 'D38CC4D4A76C64630D74C083AE02E00648004058C77A3E249815093CE8810E7480031C1CB5066D05000B6C5A03A4C6B4AD38D86A5D67B9020A88920806494241922058001096B00739AC628BB058C526A10890258264010B84CA56163796CDAC6633BB03';
wwv_flow_imp.g_varchar2_table(18382) := '22C0E00DF990079316328F75A0619F4DEC800A007A5080B2D6B50015C8131B5AC4DAFFDA36A314CDAD6EFBD990929A1400243DA90A441A52E002C1A4C305820A76505354A21296B0C4C15A73AACA17E014212F006A767500549BCAB4AA0DA9C11B0D0947';
wwv_flow_imp.g_varchar2_table(18383) := '3F4E55910439AA7ADD5A83A5C2D5214605405D0532CB101C75AD6BE5011376B00400F4E0AC675D8259D78A8315B8D1C0F235F00A6A40031AD420A6758D305CC7AB810730C004003802119270842274F80819F6B0870DCB582294B8B00261AC8A1FCBE213';
wwv_flow_imp.g_varchar2_table(18384) := 'AFD80844300210C4374D65425338DDCC718EAFE959348C8D4D06A967694F2B462776B19F2AD0226B53EB4F2BF2F68908B5E2145DDBD18C5E94B71D35E8460552E52A0340055CCEA86F7F0B5C95AAE0A42E782600780083B9BEC0FFB9B0642B0EAC4B5455';
wwv_flow_imp.g_varchar2_table(18385) := '7ED7A71FA1C15C59205E37CA17A948F5E31B434257A426F88D75952E5797C083FE0240C09036AB8079C0D603CF77BE0068300DE48B83B9C235AF6DDD2B220D40811F7CF8081F4EF18745FCD82218A108E383B560596CE2246CD8C5B66E356E8C934C0008';
wwv_flow_imp.g_varchar2_table(18386) := '879BD7BC26366DD0CDCA5AD3B2D184811BE0210F2023841FF158871924B0DA235794A001ED6713B5CCEDDC62F99F527E221541A0518F9A9BA361DEB24707C245E00E97A463FE229A590A0418BCF9055B7D337E73AA6854C6D5B932EDB45C076ED44E3F78';
wwv_flow_imp.g_varchar2_table(18387) := 'A90811AA7CF91CD7BCC215BF0E4730420C0DD48A270405030134C60582D45946B8DF8D6E3412043CF2928F5CBF75FF2688A1352D6109833AC22B20660B4CCC5800D47CD51966B1CD050B6B0D9F98C4B9DEB0D04F2CD96A0AC406002076368543ECA617BB';
wwv_flow_imp.g_varchar2_table(18388) := '38C7368209D0200F79F0092155EA4768E1A1CF2E1AF4A2D70EE86A0D0A668EEAB68B5F96F297A3C87627FF73B556D42896718B5B6E9B1DB82085F770F71ED2BD2BD7DE72662B7EF7ADD3C2DB54F0D6BD77A7156ECAF6E6F5A87CFEE97B3B6DD3EBD6B9F0';
wwv_flow_imp.g_varchar2_table(18389) := '3785ABA1D32B90051B5AE26EDCFCE63B3FF196E380093A407D7F793010FE4AFABF94AE744236CDF196275AF321B0300A880062C30A04B1B39675CD672D90DEE7DAC590856C87935F84A27B33062D80BE0DA65F59A87B73FA3688E6668960823254FD55CF';
wwv_flow_imp.g_varchar2_table(18390) := 'E6C7FF3DE0410F3378E0EBD736E817C3E86D760357A45EC7E8FA2DF05129FBB3EDAE8D3BBADDCF65DDD2DD8B2AB0775F16802165032DB05635806F6CC502D355789837100E38707346795A85711BD75E02E15D6D355711987205215DD2B5102D9781D7A5';
wwv_flow_imp.g_varchar2_table(18391) := '7275F467DD557B89D6560DB87A4BF05F68655622077178156A2D47032BA0690D667B35700292F4003D600428465835070043505828D6613A57624C2862CBE784C9275949D702266002299002E76403408059D0B4032D706C96B56BC5D17DCC262D28920F';
wwv_flow_imp.g_varchar2_table(18392) := 'F8C06CD376640225500A455B1540515EB7512A50016236455CA4026FF8761D40443C1477B0F54F0BF54F03A56EEC06658648517498875C948753FF884A9A078282475D7576780F28103AF5600E1789F275543775530D0781D4455D92588A9378109B0868';
wwv_flow_imp.g_varchar2_table(18393) := '09E17003510203E15D2AB882A8C70400C0043DB05F8C366925C768A857833528613A988339C872704503881401BB477C86057CBE5758205684211662CAC77C22967C36175944F0033690021ED08D58684D93D57CDA680393C559D84486E4372B26820FEE';
wwv_flow_imp.g_varchar2_table(18394) := '200FFA4450EAD74F5710078DE00980F00549965B77780566A00515A0045760015C7405526001431090A8730558700517855B6CF75A59B66556A6514A4645FD477675A7652AD0022DB054EBC582735669228989A34854957654790554119654AFF8892148';
wwv_flow_imp.g_varchar2_table(18395) := '78AF2878A6B810A1F85E3A458BB5FF587935C871BE9871BE985F38C97AFE958BFCC568B147607825616E848338288C0BB66011977B19B003C1C78C4698042B657CC5276BBE478DD3488D363759BB660326E00156F8855BD87C264604C42659D5E74D2D00';
wwv_flow_imp.g_varchar2_table(18396) := '0331E00165E038577710A0920FF5E00EEE705AAB25502E3002395009C1700DC21009D0500D9E700571A865223504E0300EF1B006AB200B30A404F1100C130008C11007E7B006E3700E9E405102996D82984556346EB44545584465E1066EE47644036191';
wwv_flow_imp.g_varchar2_table(18397) := '71D9788FB78239A5572699530D288A807669A337573C195794A8119E86579CB679C80981FB9681A028701D076A2CD8683A958B22779D4B307832698330C794DEA98375B50227FF001F26704CCAA88C20E68C905558D4B86A5E491062891BDB68022D2003';
wwv_flow_imp.g_varchar2_table(18398) := 'D9B785B8518EC6717DE6548566F90063C06CF5E06C03F10FFF700FF4E00EEC4064161504A3100CB8D00769C00487300CD0800B57000281696539B00D95B00C6B300AB8D04295200DD2A0046BB00DE0200720B0A221757F84E864263504393004367AA329';
wwv_flow_imp.g_varchar2_table(18399) := '351081699A54165B05416E715981B3C467F8860298275D463A7806618190F760EDF5602CB9701B388A0C0882085167429954B0088AF2F5679C765D38A99D06279C9DD8A57C36572CC8045D858BD73972A9B756A8C7564C90942B398C0BA6830D86030E16';
wwv_flow_imp.g_varchar2_table(18400) := '73F1911B80F57B04C1735FD96A4FE895F109009385A86E899FD7FFF48DE0E896BBE68529E09F1EC00112400114C00109C005E437A008012AF8400FED700E0C1A502E9008CA900CA3D00788A00A87D009C3C00CABE003C39551671699E3B005B8800B1200';
wwv_flow_imp.g_varchar2_table(18401) := '04D2E009DBD00866B00EEB40ABE0700E95F0750FF94F4360065BE0AC6600ADCF3AAD6630105B300481D8A34F64101B09025AB56028B955C8E980E4EA8100F05690C7794FFA56787589A3B810597A1042B57106966898C87A5CB566F8A59C2E5979C70972';
wwv_flow_imp.g_varchar2_table(18402) := '02918B3D609D2827A6BF385FC2F89D35C0040EB6570F90003CE06ABE4762C9B77C8F55A85128968AAAB103C185D094963FD002D3078E5B084DF35996DD2801964A0110F000148000565075F4900FEA6824FCFFA0978BE397FCE4021D800510AA0CA3A00A';
wwv_flow_imp.g_varchar2_table(18403) := '9D500B9B900A179A0C8000525A9603E3100700A00CABB00D56B005E7300EEB800B71400DC1B00D43300E6BF0A2D93A02FC283B5B003BFDB80568A03AB17305CF9A03D99AAD03B1AD2000032690551EF7565DAA8ABCA99D5F058115285EB38471F57AAE11';
wwv_flow_imp.g_varchar2_table(18404) := '86A687F7AE1961531BE789B5571041C955D34570504A9C86CB8237C95F8F36B0D44969059B7A3D59573808BA78FA696DB5010FB07B038195D278B1EBF995D8189F908A9F885A7D1F5B1C258B7DC4764DE37885DDD88D1C50A914A0B21CA0A95CE00EE642';
wwv_flow_imp.g_varchar2_table(18405) := 'B39F7AB3397B7EFD14528DA00CB8100CB730B4B5500BB6400CC4100CA330044A6B84CA700EE0FFA00595700ECB00A113A005B8D008B86005E04098E7800B30EA5A16A005D1DA0872B005711007681007CE4A8F6BB0068DB0065B600515F0B6F9771064B4';
wwv_flow_imp.g_varchar2_table(18406) := '02EA255E4FFAA49D8881DA19B95DAA5E0AAC600351C10DCC8957FA89E1B5C09E888117FC70022194901B7B9F586995378ABE1882D9699D8CA603D919A783678385D69D2CC7041F275E0FB001C9646BA9EBBA862A96258B1BCEB45937561C480C04450004';
wwv_flow_imp.g_varchar2_table(18407) := 'B83B7D2D70856589B295EA01C2FBBB2AFB005CD00EF2A02935DB2376220FEAB005CCCB4F39F0A0B8C00CB8000CD55B0CD8BBAB18FA640355C03C0B52FDB45023B050F40744BCE5646ED7016CBB0ACA000A66B00DE7A005AA6A05D2800B80FF00B58D30C0';
wwv_flow_imp.g_varchar2_table(18408) := '060C5B6A27652DE0016C54C14FB9570AACB70616C139E5C10766C10361817B85542598818656821118AF72D55E1807C2178C68C49953ACC7B926AC93A048AEA0A879F905C33A1056AB07B9119CC27F0668A1CB83B8A7013A600447A0CC34C7BAD4B896F1';
wwv_flow_imp.g_varchar2_table(18409) := 'A959BE76C4485C4D38A6854CFCC4DC88B2BF9BA91230C5E0FCBBC3EB011030060ED3C541120FEA4064E4D6012E60C6C1C00CC750BDC0400C177A0BB210903B7B50811998775C9A5E67C715509A7D2C5B6C3B0A4D0B08DBB00D7F800B8B99AA8DB00DB8B0';
wwv_flow_imp.g_varchar2_table(18410) := '05A3D35A161D50B215666419B86FE4710A4C5FE71ACAEA254BA44CB87C356808067A21DDC019E79C5D9A57CE19B9F10AD31BFF77AE1FFDCA503954D9F9A695188A984860CF29C2B57803BC8872FA4569325C820BF6670EC6049E178979B5010C80024650';
wwv_flow_imp.g_varchar2_table(18411) := 'D5AE568DAE0BBB1E7B635C5DCD50574D4CAC85DB0800543CC52AFBCD665985935A85FE69023000015FC00E5BCC10FC00C668E00184D80143B00AC1100CC4E0097DF007AAA00A91400CC9800BBF6005162052CD3B50BAA58F09A550DB6A7F796D01FC6806';
wwv_flow_imp.g_varchar2_table(18412) := 'A320D1E0000EAB800BA3E003D250095B0007DB00006640C079CDA3DB0A6E5234C97C75D26F94D283D6796DB4AE211DB807A610AE28CA0ECCB80A47102C9810A317618CDB79392D108F6BC2CFE9D37B4B8289069437D0555C15A7322C670D9669A6CC60B6';
wwv_flow_imp.g_varchar2_table(18413) := '279DE2C50011FFD003E12359CDE7956A598E98154D5E6D4DC361CD4AA78D2D308552DC8D6C3DA9DAFCC471D94EE5CC0EF0F0270A116DA795D72350A29E6006575005F863E0775009C4B00AD87A7FA4F9CF77FCA28AB8430C75C78D3910961DA2C110B595';
wwv_flow_imp.g_varchar2_table(18414) := '5009CA100CA18D0B40BB0AC920DA3ED05A8F5C10230003948C028364C91D9DDB837460AD5C8137DDD183E64707A1D29B467B7655100AF65E24D992C0EDA41828B89E57CA7BAB03C5DC930D0871996793FA35B08FC6555DB5A6404D7BCE998A4E0DD53888';
wwv_flow_imp.g_varchar2_table(18415) := '01535DD55A0DCDF949BBD5BC74D694BB6A7E7DB8ABCD2060026F3EA9209002733EB7580803734B46EAE4D66FFD050E43A04D4222F1306D4536021540995AFF6039C4330656500556000A950002D52690B8950306C5BD966E5282690113D00127EE025690';
wwv_flow_imp.g_varchar2_table(18416) := '5157D0E05694E166C0BF668005D16A066B10ADFCEBB4F46B058F0C6E067144262001B13D48B5544B85744B53457AB1BDC0176C482750ECC00ECA7EA4E30521EC0626B81F6C103A959230ED709E6881493E54F8454B27C0AEC2ACAFFBB68175059442998B';
wwv_flow_imp.g_varchar2_table(18417) := '2DAC68A136CC49D96077DAB0E119730CB0013B0063E138EFE74DCD23DBC4D49774D3977431900200E0EFFEFEDE310000F6CD91F529B206EFC4E664DF794E017E3ED709A1227FF38E49244656B00657C0056520207DF00663700556F0075F20E916A08743';
wwv_flow_imp.g_varchar2_table(18418) := '9008369A082AC0EA1670BF41B0053E2007FCFF24C043B0067250F300100739B0D8CCBA3AB1433B40BF3A57C0B36F7B7FB53E022E3E4A8BB4EB8A244803A1ECE8A5601C5D5F70A4ED27209EB29DD22740033A5E02CA7E10C5BDC943C5A595A7792C608121';
wwv_flow_imp.g_varchar2_table(18419) := '8D6864BAE435C04B8856576BBFE499C75E8A36104B70F7041BA7A1E68B0CF6D40EB6836FA40111A001F1BEB1B08B6C38366C6D7E0306C89104CF915738A9508C8562CDC4FA8EEF6DDEF87179DF70FDE7A1822231130FFF9D5A49A404046E391FCFE85580';
wwv_flow_imp.g_varchar2_table(18420) := '065630461DF0DE0629DA56D0083EB0055F2B076BC03A41600639A0053ED050369F03026C06432090FFFC64B0D54469B67E162945702B107608007678441E304A8A74FDE7E56785644802FFE1499F7CD2BD9EECE2E946571FDB0261EC27E08A1021719747';
wwv_flow_imp.g_varchar2_table(18421) := '892198C2AC4CAF0B167996885F3EC848B13DFFC4C9B7DCF97000C163C912240397F458C24321131D381C3EC44143620D8A346A4C5CB14243040D2F8CFCF80184C84891404C02D901D2C60E1B365ADC48D122450A003201C484D1C28409101E4C78F0E913';
wwv_flow_imp.g_varchar2_table(18422) := '440A1B406CA8D8815469CB164D65C63491E2274F0A63D6C1CB0700C03FAD5DB5F203908FDE3A331E3A80E8D061445A2B66E0C47903F7CF1B334040A055DB61489C357DB7346AA4C58C153966E2545AB3454910AD572CACD1AA628485B4792BE75D0B0084';
wwv_flow_imp.g_varchar2_table(18423) := 'E6BB9A3B00F8ACB5F25AB5002A98EE7A778384102136B45EE13A845700B3FFB5DADEB00240C6DD2B729F000E00F8F0DEBC75D3F07A42386DE65E51D4D0DA50C77400D27134C401A0C6F3AE28326EAFE130FA741D3542680801FCFBF3ECD7C95F77F8DC7B';
wwv_flow_imp.g_varchar2_table(18424) := '0D1D5A0B22C19F70890E1ED37184A7282289569088861528A2688513428880810D7630620720423AC9249076C0B025A6647AAA439E3E9C0A28113DE0002813008021051872CA2986A6669A89A711817AE08A76E8C1871F7EB8628EAB7BE451670D0940A8';
wwv_flow_imp.g_varchar2_table(18425) := 'E02C232BC8218E515E5965943872B8CBC8CA7230E30A2DB688C30A1FFAEA200E39B618620B1FF8124C0E2BB050628D2026E880B2CB2E5361341046D06A33D1442B0D343A3B38ADC8D3EEF2E0B5D75A1B7436D96A4314FF800DD43B21234763AB6D38E276';
wwv_flow_imp.g_varchar2_table(18426) := '2B0E00E490134ED2DCB4CA4839DD9A832E3ADA2002203BE61C0D502BF7A6D308BDF41AADE140E81CB22EBBED50C09522007AC02F3F817460A2BFFF10BCC84003091CF0220543C08081087AF8212590A68DF68795347449060E61002145A97A9A0A000FB4';
wwv_flow_imp.g_varchar2_table(18427) := '028A030038A0205D7529E0A0DD1177DA292811DBA5C08304B8B8D19E7CC06AAE1F00F001128E212B2832ADBB2A98A08211E6F4E02EB4F08A8C4E0046986CE2B514B6A0020B26B060080B467061E28955A0CCCD37474B0B34CD242E92368929D6EAB4982B';
wwv_flow_imp.g_varchar2_table(18428) := '504D820F646B0D3D445BCBC0D04877CB4D37A1438074C1443D7D54370475534E2BE59AFEB439AD6A6041FFBB8668C30E87E7A2E6F4BBF04C25EF6A0DC66EAD5154C37B2F3EEFD67E4E87FB784DA83F6059089058048D3DD0D1D6303080011E30049CA56B';
wwv_flow_imp.g_varchar2_table(18429) := 'B1CDF62918A28AF72711252857020024E040820D28000082072CB7FCF207D48DDCDD12DB451702D13948C00A77E8D957EAAEF08927C881693E8BE622897498F693B55A6BB3B350E3B34F8413B62078E14D3EF9E439EDDC4C7797456679B33E557B606CE9';
wwv_flow_imp.g_varchar2_table(18430) := 'A5F72A83DA7ACE40D0D6885E947BA3D3F359BDE208BCC852A715D56A53E13EE57AEBE7A8D60E6BF142F5EAD1AFB30BBB3C0034D87F7BA2CF860FFCD67620F6F0E03E03E141B0FC6337BB39EA58B109C1071AC40014ECE0062D201C53B205A31881ABFF61';
wwv_flow_imp.g_varchar2_table(18431) := '8BEB9CE444C8810D3C8E445AA11C0038472216968B5D104897E84447817BAD034760E111BFBC520F78B0C30C033358EF08C6A7B414EC4D2AD30C6874F7B0B3648C6004CB58143556BCE2A1258957440D6D42939AD37C667612885E18C7F6800F8C0D0363';
wwv_flow_imp.g_varchar2_table(18432) := '030047360200EC118A50882AA16D6C531B47996D3706521D704AF09B1200A0042710C10A4AF0A95879857EAAFA4FFC92539C59952A7F9F229BFF1AA51D1638846EDEC908265180BF82ECE020FB61C8B02A823702250D821A7800031C64831BB0D229AFE4';
wwv_flow_imp.g_varchar2_table(18433) := '108C3E54277179C071B6849CE3CCF5AE10816E468A23D1BA283043CBA5AB74A7CB91EA00C00F7CAC831D5A1812650A364D2252B1324AFF54E26792F7A7273ED1891600016598984D268E53765924186AFCA4CD73AAD3960F80A7181F80010C00E08C1C89';
wwv_flow_imp.g_varchar2_table(18434) := '40043090CFB165A08D3D4B54FAAE67A80509CD3882F44E1F15B4D0D6DCE604252C411F296548E684A754ED499072D2D31BF674256C38509006CAE8BFF4E8A604B192CF0AD886A0EA08C4570A6988B248F940869E0795AA34C00362D0CA56BAE4452DC809';
wwv_flow_imp.g_varchar2_table(18435) := '8C0000AF9EF4445E22EAD62B9972C10BAE28064F8D810C6EF0829F84EE72C254170CEF75A31CE99039FCC8873B9E29813611B148D2ACA6652E031A6DD27277C9334D373506C52EDA298970A59D666866D79899D5AC56EC8ACC4E63CB04A4D2B00C68563D';
wwv_flow_imp.g_varchar2_table(18436) := 'F7994FC632B69F21C81EFF405D23D99E35D43593B49F4A23CA294435AD04B359D40606298212A00000A695A856B8D31553FDE73F9854947ABE239EEA84AD062718DB48B7B79C408ECF51EC698F0E125210B9FD0759345510705E83CA5432A06F3935C10D';
wwv_flow_imp.g_varchar2_table(18437) := '76DA829BD02471EF02014FB855131034A5BB4E91908450621496042E5A37381C8956334C785260739B13E631E9518F65AA8E99F068071A8058998211CF60E394D35D057CB06E12C902A6012737F9AA5722D549760BDE626876871ADA0DF6010960C06133';
wwv_flow_imp.g_varchar2_table(18438) := 'AC4A67A5B1B11E56E3F4F8C7463642B6C495F59F4133E99B4196F0539EDAD96E242A023FFAA6C62828ED764E5A35AD5412405BE3D420A9269E8FFEC7A667D4D96C0AFF9A1B26AB14B8ED79017F14B29FF224ED810F75CD1835C0610624A0B02658518A80';
wwv_flow_imp.g_varchar2_table(18439) := '0914C6314E4429E8AE86009014091545BC4470014ADC2CB815C58B5E31C49C7B618855ADE20B7538545D3EE0B10EFD3A2C2DA4510B5A54A00210303A4E711A8164181DE94657DAD1C9ABDDC390B845BBC2158B13E62BF294E915095040CBD163002AB7BC';
wwv_flow_imp.g_varchar2_table(18440) := '3FFE65200269B49E06FC990159CFFA36B79E4DCF1EBAD04CEA18C72B20AD56482BB4D46E16D800A0318D656C5ADA54AD6AB4AD0FAD74C0824ABE40555AE94FB6FDD3C736BA4638817C14AEF20780FEC060CADA9EB67C28E29D406EC0DD1A30753CE1096F';
wwv_flow_imp.g_varchar2_table(18441) := '149800A829F2C954A60223EAAEA442FF3E095256C22DFF6ECD8B44E6021DBA264701C961555D93B31717E4813A00F8AB395CE9873CE4F106044040021E97C0C7430E728F833CE4277F5CCA1DD715C7B55C2B2BD70A04BC22F39857AEE61F7F9CCC454EF3';
wwv_flow_imp.g_varchar2_table(18442) := 'CAE13CE63B077AC90190000310C0E8473F7A0008A015A36BE5005D390001A20E80A5539DE900783AD6A10E000374BDEB1C460003008080B18FDDB9623F3BD7C5FE5C0684DDEC7DF38AD801D0617DBE5AD61C49E3881FA01511F76F7BB2DEB201B4FE74C1';
wwv_flow_imp.g_varchar2_table(18443) := 'F7ED003855E5DEF7BE3F7737BEF10FD800AA55A9CF541AE00096377A0034BF79CD13C0CBF094A10C4B3D7A5B96C8E0A62F512EDDEBE5C2B25E2B44370002642FFBD82320F65DB7BDD76DBFFBAE27FF20005CD0073E2CAE4C79B8431EB6800320E2A07CE6';
wwv_flow_imp.g_varchar2_table(18444) := 'FF81F9CB0784F39DBF7C2F01C2FA00907EF4A3EF95ECFF412BDA777E579EAF9538FC210E00283FFAA7AFFCEF53FFFBD9A77EF3B1FF073FC0810F7EE8031FFA00873EF4E10EFABF03ADD03F00E00300E80300B883FC23C0FFFB3F016C4007EC0A3FA00D09';
wwv_flow_imp.g_varchar2_table(18445) := '04000AE4830B2CC0AEC84001F48A0D2C0401A4C00FD40A11F40344A840444084122C8414C4BE16A40D14844118A4403CB840ADC03FFCD3BF42E8833F48C14228414430842034843F30040018C23FE0411EFC41FAF33F04BC8337B8033488423778033478';
wwv_flow_imp.g_varchar2_table(18446) := '033880033FF003FA2342EF33424010C22004C3300C4322DC42248C030944C22D74C1FFAEC8C22CE4032C94C339A4C339ACBF585887AE700778901A77D84300B0877F10C44124C44214C47E40447F49C4451444651AC451EB11E6B007650AC449AC4440E4';
wwv_flow_imp.g_varchar2_table(18447) := '91ADD08A45D4C4AE68444804C550A40D4214C5AE18BE4EEC1744DC07AD38C4464444AF58C47EF84456DC0AAE784459FC8757F4177DA8C55C04005E1C3E7D104656C4B85814467D88458B4B44E638C55134C4672445587C454F2446424CC66B94457CF0C3';
wwv_flow_imp.g_varchar2_table(18448) := '76688751B3877AA0078D8B87712447725C07729487719C87728C07008887759C07008847DA68C776F40A7B941A3ECC433EE44700E0C77880078004C8AED847770CC8734C478404C87908C7709CB87BA0077A80C88994C8521C35FF79B807AD900700D0B8';
wwv_flow_imp.g_varchar2_table(18449) := 'E6D8488B04007AA08D869CB88DFC488DE44878900795F4C78BE4C889E348A989C890344900C848DA3849AF60C98DBC879EF4499F04C77A10CA8824CA882C4993E443ADC8C3984CCAAEE8C8A74CC774AC47771449AD98498EAC4A933C4A92E4CA8923498D';
wwv_flow_imp.g_varchar2_table(18450) := '8B47A1AC2FD5B987A1A4AF798047B49C47ADC0876FB4077B50CBB794CBB97CCBE698444844CBA254CBBD94C778444B7974C77A5847AA7C47AD8807FA1249B8B4077CC0079FDC87C784CCC7D48A9B941AC9944C90549D55D40ACDC4CCCCDCCC8D5CC58F94';
wwv_flow_imp.g_varchar2_table(18451) := '87C8DC877B5845D27C4C7AD807919C878CFCC99F3C4D9B7CC9D17C4CD3B449A144CBA184CC7BE0C5AEE0C5ACC887FFE0144E7D100BA1AC07BAC487E33C4E4094CBE46CCCD7DC4BBEB44BA1F4C9C96C4BE5744BECD4CEE0AC077DA8077C5026C64C4EEA24';
wwv_flow_imp.g_varchar2_table(18452) := '4D1D794CF3DC071DF917C60C8B631446B0E04C0040CDC824CBB294C8FBA4C889ECCCC994CDB9744D9B844D48CC48D18C4F90FC4FD31449D554D05534CD8C14C9022DD0E688CD7D00CDD1CC49DA884CBAFCC97C38C6CD2CCDD2CCC8D3B450C894CF9E94CB';
wwv_flow_imp.g_varchar2_table(18453) := '066D507DE8495EA42FAD10CE17CD07F65C4FF1A4D11AC507E234CDC8BC077BB88779A04BA979CE9BF4491B25521AF5CDACE807AFF20AB060A69E44CD7F80CC5C7C4C28F5977DD19164EC0ACD3CCDF91450D93C50D9DC4FF9C487E0144F1DE107F7D4910E';
wwv_flow_imp.g_varchar2_table(18454) := '0DD3FF356553518CD051F4D0F4E487B99CD3E0744F5EE4CC61944DD4F40AB9944FC87C4F17CD0A333DD33BDD97C70CCE652254327D51B0C887C7F497C7A44B3F6D8EE044CD44ED0A42D554333D4626554FE660CFB2EC494BDD071815CECB14D43135552D';
wwv_flow_imp.g_varchar2_table(18455) := '8D532EADCFD78455368551C6BCD35AEDCD360545CE7CD350DC55E6A04C8E0C4D3885522865D04915D4B060550E4D54D71CCDEA944F0DF5C9E0ECC9B03055E27CD1699DD122654C2B8D5118DDD11DFD51507D4DC8CC0AAF2857239DD1DEBC556522545CFD';
wwv_flow_imp.g_varchar2_table(18456) := '2A33B5AF76555478C5C6657457363DCD4DD5D77DDDD479DDCF666446B0B0D7AD584528DD446CA40D7EF1544245C47E755579FD8A7BF50A3DADB8FF8A1BD8E650D288A50D4E14CE8AC558B0025948F4437790D896D40A921545D18CC9931DD9916DC9A654';
wwv_flow_imp.g_varchar2_table(18457) := '1D3F2CD999A5D9E6685999B54897F5439805006EF4596ED48A6E14C59B75D99A1D359C658E9F15DAAE505A7F8487A77DDA967D5A9B4559A4959A8DE4C79574DA97E5DA7EF45A7F5CC9B0554996648EAF75CAB3D538A414DBB505C5B51D5BB785DBB7955B';
wwv_flow_imp.g_varchar2_table(18458) := 'B1ED5A77AD499E8544AC8DDBBA2D45B335593EAC49B59DDBC115DCAEE547BC355AE243C995D5CA8E6CDB98444A7A280776D8DAB11DB586CD07800DC568244650BC466784C64C4CDCD125DDD235DDD3C54C5B545DCCF4976B30078F95C5780D8B1F91878C';
wwv_flow_imp.g_varchar2_table(18459) := '0DC558844551B45D53AC57D4F5DDFFDF05DEE0A5594E9C468BDC916B08877F80D7727D571DC9871F41DCDBE544CCF42A783DD865C4DD54ACB84FDD446614DEEF05DFF02DD9CF05C9E31507E5BD52E64D58337D5EB265DDE915DFF895DFF9A5DFCA145D48';
wwv_flow_imp.g_varchar2_table(18460) := '245ECD85C4E32D8779D5DF7905ABB0E2D94F34C47D10DDEC6546F295C6FA65E0060EDF7AAD575BF48A099D5203E61103366082CD45052E45FEFD337EF8DF4C7D5E756007D16DC41DC1E061CD608BC55DEE6DD816F62A0476E09985587F9DE1CB355D08AE';
wwv_flow_imp.g_varchar2_table(18461) := 'D71DF98764EA45414CE120DE5E33EDDD51E3E14CFD876B100779A80781555F8C1DE112EE11158E52695C449F0CE065BA07100ECE24DD97E71558DCD545452463F0B5DD244DE0FF50AC61EBBD61D5096189D5E16B54DEB714CFF49CD7C624CDAF08E0E14C';
wwv_flow_imp.g_varchar2_table(18462) := 'D342B5D55AFD505A4C627180077A10D8FDE5877B2061132EC4C83C6046ACC57C10447E515E419464D93CC438C6DE37A659F5BC8759AC5834CEC4302E63254D1D00DD177FD9E3D4C95C4E9E5F572EC5E2E55D59DE0A84F558BBDCDC4654DDD00D5D5A345F';
wwv_flow_imp.g_varchar2_table(18463) := '78D8E25BB6AF28BEDFAF30C47565447978865B485E71385F76B8868D0C87FE3587F385876BE0434D4E443646647E154549AEE476108790C4B844FE877290075954672F0E8B1D41626AF4C4FF4D5258165F651C5D6D46C44A3E0736688E30F00A7FEE0A80';
wwv_flow_imp.g_varchar2_table(18464) := 'CE0200C8828236E8832EE8303068854EE8834E847808C4651A64FF603E644824E629B6CA67A8868D44E67EF8E46C08000F308061308432008048080066F8072E48807E30842300005B08005008496CD4D4466D54EBBD69588D5624D56149A685F3A58572';
wwv_flow_imp.g_varchar2_table(18465) := '28075DCEE77F3084FED50A5A0844E5AD6500888648080700B8866830044F10C46BB0853778867C88043F60075A780371500738B0058FA667F0B538AE68D19AC5E77E985270680001E88A021080BBA66B00108001008001F0EBBDF6EBC00EEC02206C0128';
wwv_flow_imp.g_varchar2_table(18466) := 'ECBBB66BC34E6CC31E00012081718807629DE860EE8727FEAA8B5E52428C052340023F50875FE4DD4F8E0618F80757A8023F78837F28833240837F800306300450F0020040833290B8564E467E304E709CAFFF88E4EDA22CCAAE70C8B4256EC7C56D6CFC';
wwv_flow_imp.g_varchar2_table(18467) := 'E448C8867F600462888654888472F0049A66064318037100854C88862220866C808472B0856E386743A80644A4050030876708077370057530074F000066208654E887704885F0F684F305E136F65866A0E9C47D6BB8FE0770700007F0EBBEE6EB03176C';
wwv_flow_imp.g_varchar2_table(18468) := 'C12E80046FF00727EC082F000590F00A276CBF26817380E86155628A1666A9012B4596E251346078E8833DB08334986AE6454449AE0619F8876CA80237F0836E90814CA0007A788392268232480713F0040E58EEE34EC47620617540F22457F225979A74';
wwv_flow_imp.g_varchar2_table(18469) := 'D08A74F8ECAE70728EDC606CAC877F88843230043400864A300475B0853F88846188847FF803FF7188063FB005F4F6834C880424FF076200005020867020866100054A980666586E5B400662100773B885D2CE0657A8876118F2D22D5EF56DD825ED17FA';
wwv_flow_imp.g_varchar2_table(18470) := '3A6FDAE8E283AD548BC55437C667492570031F0005000005B8000150800128000417ECBE06ECBD8670BBB6F0566FF00120015D50E1C9AEE851CB877A6087117FC439FD877458044450853EF80661E4114B8EF108C88624D8F13B4069222080ADF604902E';
wwv_flow_imp.g_varchar2_table(18471) := '835B08801D200038F8874F8EC57C48077320E16E57077850877470877630877660076FF7F6CF7672768007921D77CA457273787773A0F72ABF46498E846BC0725BC804AC4E0538C806EF466A57000538F08448608737708570480779F887FF6160867448';
wwv_flow_imp.g_varchar2_table(18472) := '855B586E64788370A00578188667F8875BB8866C18060058EE4C30075B30870D06F058D465F6C53862BC645616C9489F4C70DE8A567E6A44FCE40D7EC441BDD25704AB173EEA641CD64DD70A5057044568830B5080514770BD5EF0C1C6EB0A27F5C6B66B';
wwv_flow_imp.g_varchar2_table(18473) := 'BFBE700CD770201EE489AB7565824876680713AEC47D480755408456500571A8600B966471900113A80276F0044378035BF80737A70457506D388804ACA685D62672E5756F73B8867250877070856C48875B400675180662508769288770E8060070E66B';
wwv_flow_imp.g_varchar2_table(18474) := '40865BB00566088767308770080775E0FC401F7B0896E486FF075AB8055A78057960074848857A70053147864C308461F084FF5BA8EE74C8EF7F80874C8003C5D70775C8043EA7057AF083D8560743886E230486726078501EDE45048B76B8866B784541';
wwv_flow_imp.g_varchar2_table(18475) := 'A45C564486A9D6C47F00E788670E71907C57187BA70E0B7FF97875E08A6CB8865AECC51D0987E5FE61088E6B0768800108F53600080005E6CC19A040C0850B030000B82040C0008810155C08E3F0E000870F132A8458A0C0800124CEC5E3F7CFDEBF6BE2';
wwv_flow_imp.g_varchar2_table(18476) := 'E0D1CB07A01FC3983265E6A3C7CEDDBF98FFFE998CF74FDCA145AA0E41DBB7EFDF3E003BFBF533B9931F4CA53BA7F6CB2973E74BA65AFBA553670BC1AD706522D932E48756A4376F5CBD119629D2112ED1AA808A01A04C2A04B6FE40AA84A8D2B574ECB6';
wwv_flow_imp.g_varchar2_table(18477) := '12D66A929FD3FFA9FFEAE1EC478F61BD7C39E9FD83978F9F5286FFD2115BDCEE1F3271FFEED1A3E758724DCAF594DE8B3AF335ECD8B009DFFB07CA902750FFB25D6B87065B3B62005CD1EAD60F1E3273BBB1FDCBC48CE13062E128A5CA66485FB967FDDC';
wwv_flow_imp.g_varchar2_table(18478) := 'D153D7AF5DB63BE5FE0DCB440C1EBC6800D4751307C05D397D29D5C9AB36AF30D3A947C13970F0F102002129D0C6050E34F0C81C00980280020D71546016A628C20909595C90C52C165ED886291A0A00920023F974524A2BB5F4926C34D98493663BA1E4';
wwv_flow_imp.g_varchar2_table(18479) := '53387BF4D1CA1EC78C66D451FFE4C78F512E69C5938E5521968F8F5569C5505500A4538E216344C24824BB8DD18E3B5C8813CD186F30E349266F9800C01BFFE594918D1F9E242145196A65F38C38E9B8D3147E865D0600668821F9125488614667534BE5';
wwv_flow_imp.g_varchar2_table(18480) := 'C9506D50E9B8533E4CD1E9235626199A22A38DC644DB3FAE84F34F24D70C6308286510934D26B6B8024724B498E34924C8F8718D39655C03804BCCBCF1D93F8658E71C00D380124D269E94A1CE3FCC64F20F3D99307269AED9A0F50C5AD980126A90F819';
wwv_flow_imp.g_varchar2_table(18481) := 'F50F7FFE0D5000810D5C308902075D600A828F90A2CB38B088A28B285938300B0913C2320E27BA80D12E26A288028B2E5908A04048248C130F4A284DB3526428365A133BB0E694138FFBC893CB1E9B6C724827E9E098A35649C174719C74E6C9D49C32D5';
wwv_flow_imp.g_varchar2_table(18482) := 'A34E36497061851F77D8738D15E2A823D730FF6FDC414C2695DCE10A07497453C5337E749909017094810C1194C8C30E6271E607403DF54C95D9907ADA09289155B5E69A8F7AC6F4746C8B3ABAF56C5B295DDD3F9E5C734B99A0B0734D249900700DA5E2';
wwv_flow_imp.g_varchar2_table(18483) := '80F24636D5D1B24338F8B8435C1946E6CA4C73A084430C28A950AADC6E900C63452481C3E7C930B7B862C84B5CC41CE74ECF82D3807F055064CA1CDC2AE00045B374388B2E8F6481C938BAA04B02BA8FCC320B1B7998C20626AACFCB862E6108E040BEFB';
wwv_flow_imp.g_varchar2_table(18484) := 'BA58A23C27BA9622C12CCA245F398750B187259BEC91C61EDC204571929A196924903A3A0593553AA2789C3BB68479872D70BC418BAE9D968186A55CC041E635A95821E6359980E24739FF5604FE0617B4B03398D17EB4B47BE4C33BF5A0076910988F03';
wwv_flow_imp.g_varchar2_table(18485) := '2E50314BBB1343F8412422350A2AC3E31A06B3A215C9442215B6000533280180B7DC226DB83184A740A12B7158271B5278862132E10A663C0314C80847A53CE10A57DC22137E200625A25186F1448353C430042DDC11095EBD411CB7488527C282447304';
wwv_flow_imp.g_varchar2_table(18486) := 'B01FFB31D047B27581055C600E6DD89D021E41A04784818C7378041A1B90854748280B979844166081095898A2148AC0041B4CD106CC152044FBEA578958E2234791A6605689897C84918629A4A10E7B70241310A18F674D851EEDE0C73DDAD10F79DCA3';
wwv_flow_imp.g_varchar2_table(18487) := '1EECF807274BB3137388831EE9708F3994C3140BAAA31CA97C6538CA918EFF70ACA71CB26CA52BCDD11575A8231DA95C4F3A82D98E7088C31CE590471519228E48B8422AF53044551E982498A48311B460882DC2110E14D2834BF8E8C70489E4B4AC5D30';
wwv_flow_imp.g_varchar2_table(18488) := '835CDB8A49C2010A5BD0A31EC4B08538C2710D6365A31C8EEB873852A11249450A0DC0F00433A2D4437364636DA980473B00708B7C74C315CF80073FC491896AFC231C99D0A63C00100E7EF4121E9E702528B2C113A35DB1011F11481F1F3287054CCB20';
wwv_flow_imp.g_varchar2_table(18489) := '0D2A00801E22107C65042221F9084E43A2D39D16405FFC22914A8237C881ADE8903AB1C5F3D2D0C83D1CA20E916007254D528E4800C06DFC204639E01109799C071922CD8657D3918A6E948387A2C94F6578A9CB60B2FFA3976DDDE52E79C9CB7400E07F';
wwv_flow_imp.g_varchar2_table(18490) := 'EA60074378B99E840AA61E55648A21AE218F76A42212E6C8844441910E4F006018EC60062D78E54BB3B14309D9B0852730838C54DCE21F1374DA9E5EA3357366702B748A496B18E594CC00E01EEF590FE324F392431ED22411CC6804A592137CB4C88123';
wwv_flow_imp.g_varchar2_table(18491) := '25E94FB088D3001177A7190990718D0B9269E1B4B9CC6D6E4F7D678FA304557884B4C9275F5351445461918CACC221A281C07D08E91FE60005C8223BCF74B802ACE698A73A80818F7BC0A33AE518463626B51502FAD68152395402DB19CE059626329FB5';
wwv_flow_imp.g_varchar2_table(18492) := '207E74B2CD6BE0E319CC941433E0203E75A48219B6C8063B94660E57B4C316B69065076971CACEE6A968FF47222D8AC979B19AD40331F5B8076688B41A4CB67881048C4C7E640B95D5E4C3B5AE95F16A0ED8CEA4B51393F4785A9D5CECE24205703F24C8';
wwv_flow_imp.g_varchar2_table(18493) := '1C4316425CE20268263CE5A9733F121285DC14243DD50589F0013CEB368A3477352A43F401806FD4C213B568732D809161353FE51FF745C6349811375A648319D870C53462910A27D2C316D7880647D7C9ABBF2618498D7E608A46AB14C9C48A168FAB84';
wwv_flow_imp.g_varchar2_table(18494) := '0ED932C29444623CB531C730FE318D3B94E15700484525CA718DCE4CEDC4297E35AC67E29A8B3D8A55C41B708F09883559331AAD400A47031A10209B2E44CA0010006C16E2E5877C28B9C9F5B24E1D00669498A41AE290476442CBA84E9E5936FAF8FFF6';
wwv_flow_imp.g_varchar2_table(18495) := 'B70F580F3AEB0825E5C8C6BF9E118D7698A31AD950079F5B290E27868616CF798F48F163E2463B9A30B18E892BFE000A62EDB0B028F44465FC80D774FCC316652A473EF8CC96E4F8C1109FF1F7BF339EF172A608B41E7754AF0DF30F7500800D5998C305';
wwv_flow_imp.g_varchar2_table(18496) := 'D8D0C595A3BC21289F43166272F294D31CE62F0FC3CC616E919DAF3C10E74009ABFE118D521AB86329E2767661A36670335DB77DB2074A3CBB3D45296A27EE80070006DB628C19CA301EC78CA45DAD71532AED7F404A873C30F98F6708AE29ADED65D4D3';
wwv_flow_imp.g_varchar2_table(18497) := 'AAE6ABFF56E376DF3806BF3E4E90873C2AF100403CF815417BE8631EFAA80A3EBE6D1A7ECCC31EFC624ABF025F12C99FC4F107538AE5FF2DCF10C90C5DC0142CF3C7929EA2A65305F368864DA1807434ADD11A49E3DCBB68EFDEA2A0D376B6FD18C6A233';
wwv_flow_imp.g_varchar2_table(18498) := '83153447052A02933DF0CDC9710D625C26A0E53BBF67A218A0674563454370829BD5ACEB09C924F6503EF32563ED177F1EF4DD266D61B8B66F49075FF8C3BFDAD376FFC09CF85BDBE72F3FFCE3DFA8E4734D1F98B17F921965DAF023C61EFCF07FFFCD84';
wwv_flow_imp.g_varchar2_table(18499) := '490CDD8BD989B6C1068D7D5FC7ED1AF1919FFE9996FC999F6A590D8C9D56BF0DCF384160046E2007CE8668859C01BE9EDE3D4D32191F90D4C9D5085D399CC801C646027E520B0A2003861F06696007F2DD04628DD55C20FAD9890DDE20100661DF21D90E';
wwv_flow_imp.g_varchar2_table(18500) := '3ADFC735200DA6209DA0FF19E795833D5C460CC2869919CF021E60F19DD30F0661D7E4A0B6B99FAB65A0D869A1188EE1DD95607F31E13F5403C4B9440B725C3DC0033BC8034FBC9A0392A1391D85AC355F16CA84C55CA11DFE2120029FD1649049A00A26';
wwv_flow_imp.g_varchar2_table(18501) := '15E10732057DB5C36ABCDFA3601C040E6220C2866F215F24D29FC661C5246E6210AADFE96D4D36D0D56A6D4D3B24142776207AA4A22A3A8A3BB4A22B06217AB843C695222DD2A22C9E226C601D10621D2FA62206651430661D00500900E8A22ECEC46AA0';
wwv_flow_imp.g_varchar2_table(18502) := 'C7AB0523330A63333663F9C9033C4823354EA33556638A18E36BCDC42D16E3343A23305AE335C6DF31FE9B2A9E23A3B8A23A0E632972CDD59D233CC8622DCE2343BCFFA23AAE6331522338EA233F5EA33FA6A23C006330BEC73BC2E33F1AA432C6622B9A';
wwv_flow_imp.g_varchar2_table(18503) := 'E263BCC63DB8166ABD4690115969141864244DD2C404466224D26C24F05D1F48429D488EA448A6C84412103EE05A38F918D2DC033ECC57466AE143C65A45D6243D8024005C9F44220D4FAE46A3E0833DD443500EE54316E54C9AD3500AA550A6A4048953';
wwv_flow_imp.g_varchar2_table(18504) := '8F5DC69C4810AB1865517A0CAB38E50441646B1965AE51A5516EE48B152548FA646C68252E62D04BA6A55AAEE54B92965756255BA6A5577660F7C98459328A4D56E46AACA54352E54CF016D7CC654CC42560BE0650D6C35A32E004A11EAEE59659869354';
wwv_flow_imp.g_varchar2_table(18505) := '46D090A8246476E54386935A9EE5DD8DE0D79913658AFFD3083666047E9B39DD25A050650122224D0C18093AE24C50E60566A1A18C9F615CCD55BAC46A0E98ADBD066E3ADF6BC4984A3625AE39CD2AF5266C9024728EA4050661482227438CE4C7ED09EC';
wwv_flow_imp.g_varchar2_table(18506) := 'E5D6FD819B117E2614EA1D91305DD3DDE60471A79A75A056FAD85B9A25786E4D5D8E1E7886A7187E9E4ACA066EF6E662C604761E1803C6C43CE427E0491E7FF227ACCD030000A87ECA447FFEDD7E166880CEC43C18E873E6A483CA86482A25003C46451E';
wwv_flow_imp.g_varchar2_table(18507) := '9D60C25A435E686B49A169CA0669DC0327214D3B31444396C6843E2306AD46695425062110894E688556E84C98688AD0689041462781E58D46E49009998CBE18906AA6900E299116A99106E12830FFC428B84292A6020024E97028A993A60294C246928E';
wwv_flow_imp.g_varchar2_table(18508) := '0228C0C62B8CC22B004097CA049786E92B8C299972E9968E292EE00200A8299BFE029BC2C69BAAE9D634934C0C833034D630E4698ADCC230685C2C9C1A43382906050E0008DAD6A402A2D2023000C0A23ACAA2C6822D00002DD0822D5C1343FC292D606A';
wwv_flow_imp.g_varchar2_table(18509) := '2C586AA3506A4C442AA85E2AA00200288402A1CA46E3E4A9AADE02F0D9C297CAC62BFCA9A4669C042440AD4A000040C04CD82AAFE26AAEC64602C884AF4E80044C000018ABB132C4042C2BB34E4005346BB3560008B4800A4C6BB5B60000582BB5AA0000';
wwv_flow_imp.g_varchar2_table(18510) := 'A8C008A800B8826BB7320A050000056CC04C780043A0C0979800BBBEABBBC62B0B7CFF09433C80B90280065080063044B9A26BBDE6AB063C00C0E2AB06440003C40401C4440034CAC1DA2B4304EC4C04ACC43E00C5EE2B438440A368000EA0C0BEB2C0C6';
wwv_flow_imp.g_varchar2_table(18511) := 'D6000BBC0043D0EB4CA08008F8EB6BAC40086800C65EACCB32040BC8C401BC060F00805D30845D1081111001CFF2EC0FDC00D0066DD00280D0122DD002800CC4400A282DD3B6C00DC4C4CDBE060CC48409A8EBBF8D00007440D68E400768AD4C706DD632';
wwv_flow_imp.g_varchar2_table(18512) := '84D67AED6B38EBB1CEC4B2BE06D6BA00B7AA00DB762BDBBAC04CB42DDCBA6D4CC42D430C810B140143B80010F8ADDFA6880DC4860E882C0CE8000CBCC0D432C4E1262E00E8404CBC40E1866CC8422E4314AE0EC42C0B64EEE53EFF2E4348EE0BA0000088';
wwv_flow_imp.g_varchar2_table(18513) := '6EC446400414ACC5CAC4E68A6C8AE8000EBC40E5BEC00BAC000AD440A3D82E00D42C432041EE020012208111C8460FC8460DE0000018AFED926EED8A2E0AB86E4CAC404C58EE29F22D001001101041F502814C58AFF56210D68280D8826F078C0008746D';
wwv_flow_imp.g_varchar2_table(18514) := 'D766ADD68200F9762DF8C246051C6BB20280AF7E2D438C80FD7AABFD62ADFEEAAFDBF66FDCFAAFDDBA80DE02C1100040011781DCCEC41070EB6B48EF6B442D43D4ECE1E6AE03C3460D2C2FC86AEEBA8EEEE85EB007C76C068900E95EF0C76230072B2FF3';
wwv_flow_imp.g_varchar2_table(18515) := 'A200ED3204EDD600F4BE860A0300EE7A6EEF2E811120010F20C112F02E432C416CAC800B03C00B0B310B133143D8FFAEED0E314304AF4C1801F51E41114031142701002441115031166F0DF5BEC611C006F6C6C40E3084F6CEC40E8C314384B16CC441FD';
wwv_flow_imp.g_varchar2_table(18516) := 'E6AFFD8E2F00E86FFDCE04D6CE84D776C0FBA26F4CDC7105DC714CD86F1CC7311CE72F00FC6FDD0E72DE0EB2DEE6AD0023B200EFADDFAA0010EC400B886C05172E0080AE4C482E004C708AE080C71EF10BD480C87EB2F196320E6C6C09AF30F46E40086C';
wwv_flow_imp.g_varchar2_table(18517) := '8012BFC6051FEF29A380F1CAF011D7EEE8A2802EEBB2A328AF0C432E0FE800130C6F0E0FEFF002400FEC300F1CF30F1771100BF133D78034C346054731DF1A411210411274316C0C81151B3000F0ED018333F55E71385371157FF14C0001F59A714CB440';
wwv_flow_imp.g_varchar2_table(18518) := '0BD8FF800D447224738D0BB0B120BFB13ECFB139692DD79E6F1F872DD7CCF1FEB2ED08C82D03CF44238F71028BB1DCFA2D100CEE26D3F04CB0EE4C4CB0C81A2E43182F0B80ACF186F2E392704CA0322DD3320E14EF2CCBF0F2AEF0F31AF1BACE70F3FEF2';
wwv_flow_imp.g_varchar2_table(18519) := '468BAE07CB704DD374A340EF0B03B34CE4B032F32E12F4000E2F810E54B0053FEF0B4F3312C7C407C006366F71F0F22D37573155C70415F3ED5557F54C7C73153BB16C44B418F7ED2683C00EEC80449BD31CBBB1D8965F07942F1C8F6D4CD4B140BF3141';
wwv_flow_imp.g_varchar2_table(18520) := 'DBAD21F33321C786DCBAF3E5BE80F13A6FEB5E728A80F00CCB042D1F31629FB40E34AFED3A7029DF7207E372F29EB4C716AF4C142FE97EAC342FFF3567DBB20B07F10AD0C01033813027F30E33C10EECB06A3384505F768ABCB22D8F34EE36356C98B355';
wwv_flow_imp.g_varchar2_table(18521) := '6B754C5CF116BF063A5731F55A317087736C98350080B51913770B943100A0F10FA0B1A3D4313F0F7242A3D8DB66AB755700D8CE756C706D74A748771BF45DB3ED02BF46CC1636453B0A60ABAE4AAB34122FEFF1BEC65F1FAFEBA6772D17764923712D9F';
wwv_flow_imp.g_varchar2_table(18522) := '744B6F4D619B774CD0C07B1B2F13F00051EB704FF3EE12843151EB774CCCB04E3B388043EF33C7B6A34CF1399BF36E33043767355563B1365FF1874FB54C80000C60EB59ABF3263B374310C10F6C0DD96690FDDEB3A370EB8BCB8405D4B88D077420C306';
wwv_flow_imp.g_varchar2_table(18523) := '8EF3F3B7EA33B7B26D3D034047D7FF32E19EB7A380F04B93EEF1C62CE44A6F7A476F29CFF74CDBB291136FF915F580330112E8C012F8F04C0CB5E7E26E7E1FB168DB2E0D9C004388368003F84C1C6C0A308A6E5F751663380074F113DFB66F3B31F6A2B8';
wwv_flow_imp.g_varchar2_table(18524) := 'D462EB8A63AF11000113A3F8A003418B374A7687AD0B580143F8C074DFADB7BEDAA267AD05A408B7FA311C338AB75A4077CBC4DF3E2DA3183526734D47C7068353330E58AE913BAFF47A32A34CB8C64D33430C78EE72396AD32C0FBFB76CB87911FFF70B';
wwv_flow_imp.g_varchar2_table(18525) := 'C3360665759ECF04DF82F8553F75F566F311F8F94CC07358A3380C2877710340A20FF44C04037424E98B477A04922F43B42FD872378E6B77AC5D7963931610C746915338AAC3FFC694F3FAF1CEB07F47A0A8C7C414E8700FD4EC9537F3D6B42CD76C7117';
wwv_flow_imp.g_varchar2_table(18526) := '73354348B555ABB354A378865F746E8B3113BF860D2CAEA36C3A43C8024350412DCCED185600D94A2B00482BC8B72F69B96BBD37F0AB31F9BC9FB47EF7FB4C2C350DBB7C03C772CACEBABCCBC4305F6E32F3C01410B80E83397C0380AFC35F9EDB76178B';
wwv_flow_imp.g_varchar2_table(18527) := '78C117C1C2BF9AB34F3400700007A0583200020010421D1C026C7C3A8A95BB6C5C81166C0DD66F8D09E3F44CB0FCBFC5AC7E17B6F3B67ABCCBC629BFB7920B7BF0F180AD03C069F3AE97EB2E009036136C741193BD68FF1B3747B1B10B77C1C7449FCB1F';
wwv_flow_imp.g_varchar2_table(18528) := '074840B99A5330587C8A5CBAC6557A8A9941077E7204963C2CCBFF8451D7BC6773E0DDA3760F70793253B3A3C07DAC1D3BE1BF469F7FB13AF3B5A3B8BE4C7840B952C0E267902CFCC226763D009881EEBFC616949F7FCBFCE58F3492A398E9C39F97DF3D';
wwv_flow_imp.g_varchar2_table(18529) := '512FBFE56AF9ED1A6FD0DFE0D2CB1E077840E2277ED37B0002BC816C687D4CF4295B730D1A3044EF33449602A107537904A6F491BEF70CEF3DDD13754CE8EEE6B7BFDD59ADC621032EFC4230FC0240F800018060418307112604306220C20E00B6103403';
wwv_flow_imp.g_varchar2_table(18530) := '409A428916315A5C8102C00A00222CA2C091916449823858D4486992654B97064716E40160890E9A3679309969B206001A2F8122FC0164C78FA0470DBE31192C21535C009454203802E9C10E54116A21D84DFF19806DDB0E822BD8AD6A59B3196BA0484B';
wwv_flow_imp.g_varchar2_table(18531) := '1045891A3A629E959B51A74E1D4C00CCC449322EC19E730107CE88F5E01883940497D45A901A4170ABC426960C98050A8F9305FF2DA833E74E1E364D5EC63C1AE89D7F671F02B86A61AAE02F6600611C55A952A246A4716764915B328B9F3415EED4015A';
wwv_flow_imp.g_varchar2_table(18532) := 'E16FDEC7319E363BA2838A0EA9472F56B8252272EB00345F37AB92208D253B751E0CAF9DBC75E7939963549263880F25ED019C2F3F9F7EC912259760AC91BDBBE8FA82E1E867AE870893AC21D500B0E0A10A583B502AE8FE8B30C2154AB88CB8837A30C8';
wwv_flow_imp.g_varchar2_table(18533) := '26E30C5A81060F3D9450320145B4682008172A51C5153112C2A0FC0CD28BC3843E64D1C6C920FF4CEFC61D6D74B12024C4E351C8E3066A08C521919C4F871E80A409091EF21BAEAF24A9042CB503ABCCD2BAFB762A682F2DC13CAB820EA40AD34CEB9AFC';
wwv_flow_imp.g_varchar2_table(18534) := '8E201D6A28810637E16CF3CC39E9AC53BB2E33ECD2CE3D0F1A1300A9CAE453D0B9968071D043114D542E1E3254D4D14721CDC8A615BEF42FD24B314D74891E0CD541CF4C410D55D451492DF53A7A0EAA87A07B5635D5D55759BC87555869ADB5BE7DF659';
wwv_flow_imp.g_varchar2_table(18535) := '75565B79EDD5D75F810D56D861892DD6D863914D56D965996DD6D967A18D56DA69A9ADD6DA6BB1CD7645020C2220006DC10D57DC7103E396DC73153517DD75D96D17DC070C0A805B6FDDAD974775EDCD57DF7D99FD96DF7F5794D75F8009FFAE0FDF8211';
wwv_flow_imp.g_varchar2_table(18536) := 'BEEEE08419C66CE186218E58E28929AEF8D1182CCEB8AA1B008041E38F410EF9388F452EB924924D4E59E595596ED9E597618E59E69969AED9E69B71CE59E79D79EED9E79F810E5AE8A1892EDAE8A3914E5AE9A5996EDAE9A7A18E5AEAA9A9AEDAEAABB1';
wwv_flow_imp.g_varchar2_table(18537) := 'CE5AEBADB9EEDAEBAFC10E5BECB1C92EDBECB3D14E5BEDB5D96EDBEDB7E18E5BEEB9E9AEDBEEBBF1CE5BEFBDF9EEDBEFBF010F5CF0C1092FDCF0C3114F5CF1C5196FDCF1C7218F5CF2C929AFDCF2CB31CF7CDCCF343F53AFCEA9E4212700F002BD4ABD3C';
wwv_flow_imp.g_varchar2_table(18538) := '5B734AD3551CFD4728872B9D7515D50420432436A569A40B67171177205DCC9DF4DE578C6B09DC699AA933E245BCAF2021728E5F62A4CF78679E3E8E6224BD7AEB5704727BEEC13F56F8F06DE4B4C9826AB0947C11F95B9FBE9EF673FFC62A92A0228929';
wwv_flow_imp.g_varchar2_table(18539) := 'EA37A289239030C208F9B5030F00C82321F0202000AF332B7AA06A1E0791473C080841048A4855BB9AA076E6B10F7B5CF03FB9B2C70639389F0F6A3084F469603C00408F78A8F0842574E10B6138ACA1C49086A2DA01506CC0B17A05040021F904050A00';
wwv_flow_imp.g_varchar2_table(18540) := '00002C7300670073017B000008FF0001081C48B0A0C18308132A5CC8B0A14384FA1E4A9C48B1A24587F306662CB8F1A2C78F20433EBC27B2A03D7EF6FE0148B912253F8FFDFA95841871E6C17D38F791B429F0DE4E9E4009E21B88EFA545A302F30515BA';
wwv_flow_imp.g_varchar2_table(18541) := '1400BEA75007E653FAB3DE507B585B024009B2DF4B7B02C11E3C495626C197FCBC6E05CBAF2D009968D3BEF56AAF1F59974813D6AB27306F489FF4E8F904B06FE24F86F49A263C2CF5E03D7A7BF5F105B0776062837BE7CDC3BA97EFBDBDF99E4E1D3DBA';
wwv_flow_imp.g_varchar2_table(18542) := '29DF7AF650AB4ECDBADEBCD5B05B6B5CE9F469EAA2F9FCF6C3172F25D6CD59458AA53D2F5EF1E3C60174E4B832F872B0C5C37EB4874FDF3D9CF7AC479CFC519E777903F75DFF76B8D3FA42C68C6D3E36A8AFBDC0F63E1F83072F90DEFC86E3E997B74E35';
wwv_flow_imp.g_varchar2_table(18543) := 'FE60A0A801704F6BAF0DA71C3D05C6B65A7D19DD065551897157503FAF4861C5853E586151864A00E083124A6478C5155A946822005A1094A24257A868D08830C278D1175E7021861763E028D018367A2106003E7A21D18F67DC28D01942523445120219';
wwv_flow_imp.g_varchar2_table(18544) := 'A110938A01C0C51856F048D018027D3150195262D9A31767541126900281292600551474C69165A65945125570C1101A65D03953197866C925485FF0D827175F0C430F3CE309D40F3DF6FC91400513343A8104120030814493420A80040908E4A8A30054';
wwv_flow_imp.g_varchar2_table(18545) := 'E029082074A06941A2825041A80281D02900A6A2BA6A050088FF4A6AA8A8AA3082AD230CA402002D0080020A1CA0B0020A1BA0E081402800B0C10A2B00D0AC431B00C0C106279C10C2061A44FB9006003C409001071C7480010471BB94B0BE02F0020A3A';
wwv_flow_imp.g_varchar2_table(18546) := 'BC30100F310070030C3AC4B06EB2DA0A14C240E6E62B50B6D8029041081A7C40B0060C3080021000100184110C430C80933F08C4B0483BFCF0C30E1C03B0830D360010C3C814C1000308309800430C1C54D20FA16E0DC4571C128C30420737CB3A5107A2';
wwv_flow_imp.g_varchar2_table(18547) := '5AE0E9CF9E4A2A29A491568033CE360F246AAE4C0F946B412E00E0C2D4BB464DD0AE04B900840B4370EDF51040B4F0020B64D700400D380CE42E002C0894B643262484C3DA0B91ED2C43DA0E9B6C5066ABFFAB43BD3CF0D00300831FE4241248ECC0830E';
wwv_flow_imp.g_varchar2_table(18548) := '670B54430D28E0D077418FA3FD360E9243BE8206146CB043940215315012A4275184E90014E1E44044B0DE3A419F1304C4EC3BD04E840999F0C30E3C310B548F3C71409073CE3CABDA810A164C04B4A9B00E34A94048DBFCF4412EA850FDF5D65B8FBDD4';
wwv_flow_imp.g_varchar2_table(18549) := 'BBDA2AD0D40060CD3DD45203A142BB3AA48D390E7FBFC078FAEE3FC4C2D867BF8043DBF3CFBDB743FB0210C20AFD1BC80940A72F670DEB7100F8DB1278B084813450204800C01226F8B7B719902134A00100324883C7E100801B4818078800A5D41DA108';
wwv_flow_imp.g_varchar2_table(18550) := '274CE1E98A20BA8AB47085A68BA1EA88B0B18D09A46240F801C4240600900DE47339D41810FF6AE78148E8231DF0D88A54E6010F9ADDEC89B7EA80AA0030BDA6298D8AE1A3A2AC64E5AA2B0AE466B18A1518B178ABE921647B581448F6ACA646367EAF85';
wwv_flow_imp.g_varchar2_table(18551) := '367881FD58A0BEB7D1CD7EED9A080B74C02E5F318E6DBE2A810613F23814D4E0596E43E440141994FD9D2D6D7F63420F961041003010090D8C20E22AE8AC6A65708307311B0739B8BE0F8620020CA0C00D4C88C256AA3086AFFB0893609904227C2C6483';
wwv_flow_imp.g_varchar2_table(18552) := 'CBD8C3804004876D6C0737B801C76AF7B98D05D10845BC473ADCA1C4A4FC2E7837C395F4A658106AB22A9A4FCBD5166325AA6EB20A67537CA218BF484E33AAB120E22BC808AE77B5EA596C6A4350411CED574AF619E48F09649B0513D2FF47B419B27EC9';
wwv_flow_imp.g_varchar2_table(18553) := '6281066BC00282D2A06D04751C4130E790BDFD1324C2325BB32C9740C649528200A8A4043139C90AD280598364480D98B0820C32010092DB1C031EF0825802A0842F5DE1E9883053D5A5CE082C74924D5B78905AFAB4973FB8410B64D08255021100BBAC';
wwv_flow_imp.g_varchar2_table(18554) := 'D80D6250D4D8712C87C424423291D8CCA764E40F35939EF4A0A7CD741224695874A70A8EA7C6115860ACA5E2A2168D57CE348A539C3A7348AED668BDF069AD05EDB21CE3ECE9B683F0357D04B11B4AC9D63685A2B42098431B1D0139100BEED3206F53E4';
wwv_flow_imp.g_varchar2_table(18555) := '0A0E2951C731F26E8DABDBD9D0A60326F0E05D1B2D1C2631B938C06270201FFDA4E50E4930066C8061A72388E98E509015FFC694B6A91B080B6B991016FAB6080EB3410A52D002A6766C76B3FBA50D8A1B3BA4CEAE97BC2CE23ED2210F7CFC032EF6284E';
wwv_flow_imp.g_varchar2_table(18556) := '1C3C00459B2DCDAEE2DBAA41D6390451D94A05D9439E59C328100BF02C79B182EF78B178B43056D19C0361A33BF72B3517100106984B96FA04824FBF1EC45D74C49F07076248431614A569A3A369119BBE0AB3EFC28D955CDA2647390E13F2590C6DACE3';
wwv_flow_imp.g_varchar2_table(18557) := '3CC83ECF3261814B982426778084C14DF0810BED2B419A45E38F12A4722A7D000C9C84DB97C6347400A0AD6D639BBA183289A706A1AD0A814B43E19A60B82D68810F1DC64B00FC0064BC749896A12A554AD0431DF2680B5AB20B0FACA2158A3873AF057C';
wwv_flow_imp.g_varchar2_table(18558) := '762AE9798FFF9C417381598FB7AB35AF5753166814D2B64910B66A118C71CDA645ACF7031818F27E7B35ED1F1F5B60C4DEAF900AED9BD9347C100B2F9A2289358887633C90BED5316D8EF42013ECF9D9CF5A32C5945CC20E50DD68112FB220CCBADB6413';
wwv_flow_imp.g_varchar2_table(18559) := '4BB00870A0622584290A8B1C641FEF7AD7B91DC80911F25BE87ECC041EF0C0935B50BB5EB64E741F4B1D9581CAB11F788012F250073DC4BC96E2607504A1DA6AAE8660064054A21271B08214B59AABEA5D610B5B008112B4503D1548218B5788678AB660';
wwv_flow_imp.g_varchar2_table(18560) := '8621B09B9B3CD3593641F0449E39ED8A065F9AC2CB4A4DF4EEE005907B1C1F7550830A4E3881EB931BE4365CD0B60D6BC311268885216BE90BB71AA568FF8B71CA519ABE93E2E0A488558821CD46E2BF056E093A58E0240397514AF260D4ECFB1B840B92';
wwv_flow_imp.g_varchar2_table(18561) := 'DABBA59659753C24B61E700398926EB726E4B5E8867D10210B44C9BA2D3693730800642FBB760D7B7693B34CBB2B17F7061C8844B6C3EC16AB02C0CCE1DEEA1656C18C6AC4A213D940462394103D9B450D1CE7884725E4308E21E43918FFB8820596D108';
wwv_flow_imp.g_varchar2_table(18562) := '5C280300FFD8461C2CF0C4E4053C5620B000A84CD54D53AD7920A8323841447F7054314D05F32A64C4FB7AF202C72BC6EC0B2883334BE9C212D8E4B82F79EB452CB91B3F3621E97B2C0E2287408596582092642003337AC905F20092F91C7AA71158D989';
wwv_flow_imp.g_varchar2_table(18563) := '8EF8839B4B000A888053DE1A24B6BF6652FF8F738B6482F43274BE7536950100E51BD8E0070C53BF2FE10F32A69A00D9CA7E0023E4C18EC4A8C5ED70B76716B006B2F00BA9300653C004AA000DC9F00A4AC06E36B30D95100CA3B006E3000415F005D420';
wwv_flow_imp.g_varchar2_table(18564) := '0DA32001C9B00DDB300471000E57503DC413575233045D330402D135FDB52B2C980372463CEC452A07613329F34F90835291434791C32E7D944030301043A87267D36088E46004455011866143F77B0B01588B65589C36109D055A18976098D3718EF360';
wwv_flow_imp.g_varchar2_table(18565) := '7DA34039A77CA8A6620DF44742877121563902116BCF427D8FB3021BF0004C970446700424F463B4853A277464E377750E717E0D835CC0255C36504CEAC74B39640326A36CC9460110FF000114C001096008F2D00E3EF17FF8705512A002A1823315B005';
wwv_flow_imp.g_varchar2_table(18566) := 'B25080885008AAA00A76500CC1900C9E2083D2236780370E720008E3A00213000AD2000AE0A002B8F00FB7200171600FE06006041770713504FC768C66C06F04918C00A08CF4E65E286883EA340231600207842C87357414B78D443810ABD4580D263986';
wwv_flow_imp.g_varchar2_table(18567) := '744093952C4B186205A17BB98710ADF658C5978D06516A7B8571280748668350EB738562B86ACBF7739604739DB5680C85633656521D04002E278E0FC00026608776384B3EC64A11895BBFC5420681885AD6301A895CF0C74257568838446543D4022980';
wwv_flow_imp.g_varchar2_table(18568) := '7F1EC00112B00112E08890880094D80EF5700F98A8899C78343E9008CAFF800BC1D00991E00BB58008C7400C3A6906EBD48AE0D008A3300E8DB00EFDB60DF1000EFF6006CAB00AE0100700300E4A9003B6428C047105C958225B00005F10960080065BF0';
wwv_flow_imp.g_varchar2_table(18569) := '055A10966909008677670F417030E0019375373B882CAB4773F8F48D025184BE22511CD68693B558217672C027108B63855D783F9DF66A32C6383FB738A6964F03B64F17076191740328C64093F48F3A606AEF93619B65596B38628F843971B801386504';
wwv_flow_imp.g_varchar2_table(18570) := '31146CB54510BFD58707B1654875431EF30340053285583B1A9331C25592C92601C722011C80921BE00193080096B8152F01809B48702ED0015B100CB2800BBF7077AA500BB5000CCC400CC1500953236772860BE7FF700E71B006E7B00DB8200D565001';
wwv_flow_imp.g_varchar2_table(18571) := 'BF5009AB000880B00D57790E8D500134381016E095E5D6085BB00680600666D08C66D008FF099F009A03D0188D0A61332F2097E6282C0DB6839415A174A369D9382C8C54028EF35094964F9FE9368479101DB784E9426391F636ADE65997666004E63836';
wwv_flow_imp.g_varchar2_table(18572) := '67518393735808904C605AE888406D88906E533928C039377004AB0364BD565B15A9910E9310C8753141A4310D53040C839B204392251937C9762CD27292C2799292680800E00E4AD17699F8769B883415100705F80BBF200CB1C00BD9790CC9C09DAB90';
wwv_flow_imp.g_varchar2_table(18573) := '03D2C33363A44533080094078D785A0112803362848224320ACA300A66F00AFD100795200D57500947FF390A0050815B90039D28680CC1A0BF72489335976B687DA359718DD6A16C9810D70848943660F098590D617BA84A1007F95830C6694137695608';
wwv_flow_imp.g_varchar2_table(18574) := '58F9984F0FA47C32EA593AFA3795199A2565A1E2B8020A63044E825329D49A15C942CE6631CE359BB45931D09A31B56303BCB45CC3659202B19297C201C762A5559AA5C7D90E4301A634497023300171100CBF800BC9000DB1500BC5300CD0400CB7800B';
wwv_flow_imp.g_varchar2_table(18575) := '71AA5572E6A7FD454594F7456695A7CD733469D65EEF060AE3F09FDBC0818DA0A88CFAA84AC96FE56570E6547035C8347189A17703A118EB2CE8B23790B38DC4773697A5101E269850C858C0878E54086B2B87859DE957C127721EAA619CE55928FF6649';
wwv_flow_imp.g_varchar2_table(18576) := '9D1990B33A9037B64193D3B299830211A0013CD63AAFC353BE657E34055D0C935C065131035143C444AD61E39B568A92C3996CECC77E45787F5E6B02E16A28CB19A66646A765AA0CB2C00CAF00097D508A85500BB8C00CC1B00AFE363C33D834F8D55EEF';
wwv_flow_imp.g_varchar2_table(18577) := '353CEDC54D16600566B00695300EAB300ED2000E95B00D8B2A0D005A09E7000891DA8904C75E026710A0D2A021D0B1CFE248B3878D6603A1123597B1B6100704A180C4853C788499757130B7A39AF65003E42C2BF798394B6004C54732566915543941D7';
wwv_flow_imp.g_varchar2_table(18578) := '598583909D0973359A3E1A34501A943626657D93965835A00106A0031164048098752D9491AF93A4569631B529ADD15A4356B65C51FF6A022050A51E9032ACF264C40565BC02032D70322613AE5F6A14F9001665EB895B900CB800085A50055520066250';
wwv_flow_imp.g_varchar2_table(18579) := '0563F006A0100CA0A05574EAAF6B6635EB64826B36019ED201FDDAAFDE959F66300AA4E07800B00653090EA3C0A8A3B00A00200D71B005CF9933D053A9A0622C70C82CCF2259A2BA7AA209001ABA02037402234B7423F6B9ABEA1017873609F5868C0985';
wwv_flow_imp.g_varchar2_table(18580) := '274571CCA2868519B31E24748133C4AD5B6A40074A0814627349523497392AB50148A05316F96CC015764D9BA4490AB517E9311D734B519A02E7EBB55BAB2AE92B1051C6BE0060322623BE0FC0A5E2AA9CCEF4761C2045C53304A3D00817720554320658';
wwv_flow_imp.g_varchar2_table(18581) := '7221AF000815C08963FF5594E4D5012CD85E39C096783A0191EC214AC03525C8346BE6956B1007000A00010ACA6B80056B20109ECC6FCF497A0BF1342D000228200170E83FB21C2D03B4C2FFF33F8C992CE3C82CD50200D552CB0611BB02410336AC69D7';
wwv_flow_imp.g_varchar2_table(18582) := '18A1A54BB2BDC73629F7B9880462504871FE53C42987A2E958419953B34BFC59373BBC17365093C6048F3350BFBA591F05400C10013C40AC429A7ED06531F0875C6087543E24102103A5F2020032B0B5ECCB97BD2265516ACF3DF4CFF1425C3090022953';
wwv_flow_imp.g_varchar2_table(18583) := 'C7C8B915319114F4DB9C01A70266800656F00568F00668D0076840255600074A0002C813D2A3E00316000A41A0047230025820074390D26BB0061210046B700539FFD0081E2207E5293DEE95035600962BB2960771053ED002267C83A2D23CA00702D7B2';
wwv_flow_imp.g_varchar2_table(18584) := '2F00742DD5422D4BBD01FB22D53396B97F59C3D612BBC58C59A8056B372C11215A4826DA695328723A3040FB822EB2AABB109641DA5C6A0D3441CBC7AB1417C50CE5D6A1590319C42CA7A4CE4620C659C7B442047F600732F2D44388CD2B514654BCC27E';
wwv_flow_imp.g_varchar2_table(18585) := 'D70A02F1A2A4037131028DCF424554C375D00ADD0E0C8D14F4BBC7A712D15E19C86320C802810643002A6885339560063950095A20D352A0058D902239006F23B00566350272B0062DAD056B4079FF5A8378DA335F643D36006E04D745697410B0522AA0';
wwv_flow_imp.g_varchar2_table(18586) := 'B20154BD2F012410DA122DFD132D26BAB9CDF2CB4FFF7D10973548A3FBD51ED1A1944510E6586966A3012110BB8179AA8889391A5452156749003005194538712D4167386938DA38E3FC8693D5D728A043F197654C1B444F45AD36204F01FDCFECD7BEC3';
wwv_flow_imp.g_varchar2_table(18587) := '55925D0700C9867FC4D52B3EF4390DBE032AE0E1512AA5D77A7FC9B6D945A116D281559CC7C715406E6600077FF00671609570A0059C38A98EDCDB2FBD058060D361B90672B005839796231007A46C788D10E4524379DDC434DFC5557DC64DC44D4E04F1';
wwv_flow_imp.g_varchar2_table(18588) := 'DC98072A2120012130D5FDB3D4B22C10194010DACDD4A3F9CBE48D10BD0C3A3A7C48A3992E8CA6032B6030EDEDCB13D5368359511B465912E740A3B5DF01F9363E3C39A364CE7CFD010CA0013DFF4031B24365BBC9E150DA2B4C65D0687CD0AA92327143';
wwv_flow_imp.g_varchar2_table(18589) := 'A502916CDCAA6C953EE9512654421503134EE255CAAD93580FED00166AF112BFE307A01D70B0A27957D008AFB00AA3E009BEBD797C2C2A2E6006EF760571A0053910B85610048D60063E4022C0BD0656D0DB3EE0DBBEAD6609A74E4A036E5EA4A075DA01';
wwv_flow_imp.g_varchar2_table(18590) := '9FC22AACE2015B5EDDCA120261AE2D616E105BBEC25FEEDD0401EED092E633D137CDC2B9D687619084030423E7BDCCA9281A7CC517EF2BF0B2198538375B5A3800CEA234DF1B3459E34CCCADC5003B5610D09ABD8EEE4342D52BBCF26420F064157EE9DD';
wwv_flow_imp.g_varchar2_table(18591) := '7A925A1A291410F258BBE95ADB755E5BA5163E9C1C10892EF90F30C96D0030BF7AFF3C0246A3EDC5632A936233A6C2ED9D28B1D97433CEA9EDFF9A3C132067296833C22DED56FE55A3472A7C46464AA3ED98C72A20A0E55ABEE500902DE622305C5F10D4';
wwv_flow_imp.g_varchar2_table(18592) := 'B22CB8AC2CBEAC2CB1DBDE664FBA21552DFFB32C170185C37710031451654D603AA0A159EF3F734E9729277469C82C97DA999A24F0FF78986E6341C587D76F682D1890306D03D8C33410B8B9D8FF3C5C191F37156EE116AEE9C2B9F91B302D1030101020';
wwv_flow_imp.g_varchar2_table(18593) := '870F00892A292D1220021ECFAD9118F28E480193D80F2FDFD05F31F3355FF353042B53D42A00A7CA3C2F45A7B22A9D32298D923C15F079D073790D412B52144628383D3D83FBDA0E2A1EC0DE1AB0F5089101DC82FD5FFE3F7CFF0D87591D40FDE3DE362C';
wwv_flow_imp.g_varchar2_table(18594) := 'CCA07437E33FF676DFF6FB7EB2D422BBAA6A85387002E6622E736EC3B3367440ECF70A0FF8FA8D0400C103000F1D3A001C4478B00680850869AC8018220406060850F4D801E0468B833600D8B0D14286C816294C9E3461028007962C256C78298183CC99';
wwv_flow_imp.g_varchar2_table(18595) := '00387890E081C30600147CC6B4D9922587993E7BFAF4C90181A17EEDEAF1EBD7EF603E7AF2FE70E850216B07AE162A68B500A2030800640F764878D02CD9B107C366FDFAD52D00AF16B8DE4D8BD02C42B409B39ECD8BB08205B7200CE37CA0212F06008A';
wwv_flow_imp.g_varchar2_table(18596) := '1B4738E8584386101B4200D870826765CC97113A0670223400CF07570446581AF56A84351A1EC481FA4408D12BFF16E2D0111B616ED1003E68F87090360088AE63E3A88182384214C971F340127DC9121E4C082A745D8346C2EDA621AE08A14103030614';
wwv_flow_imp.g_varchar2_table(18597) := '62ECF0282321478E004A9E4C6182AC870A2B71E294290121CB9500527A50C926014558C984A13C80E9A88390422A0143EA71079F7EF8E1672A7B00B86A2BADEEB2AB3EBE00E82BB0B540DCEB20B9E4A2AB30BBC42A3130B4FAAAA045AF42540BAEFA6E2C';
wwv_flow_imp.g_varchar2_table(18598) := '6B830776548C310600C020022123D08048C8008800830C00A0EC329E84436803CA9674EC49D17A63AE848456988D352FF37A0D39844ED3EC84DA9AD32DA18270580138C5149BAD36DB6A6021B9D38843E1B4E66A2848A0E800582286DCC404A0BB2D8903';
wwv_flow_imp.g_varchar2_table(18599) := '0FFFBC0D3478A022061E3021A3F4D873CF3D934080213EFFCC5269BE9640900F06F762F0C8BD1B42020006186290A1551960307027081E8000210A8E62D04179DC898A42002AB4079E0CBFC2AB830E017BF1C3BC5A4C088413534C512B16CB8AB15A67AF';
wwv_flow_imp.g_varchar2_table(18600) := '1D2C2D6BB5CA4B430F0903A03E0976242F21C6863C322FF1327892B4CD980C81B24503DBE0CE83942BE1342D4DFBB25FDB9A43ADA115EAC592CEE3D464F3B3C648BBCCDEC09A4341871A7078EEA0257A58A220D74E337485ED44ABAC32460F62C000031E';
wwv_flow_imp.g_varchar2_table(18601) := 'F0E054F65228C9BF0085622954665BA0B98552810062071710422FE71D7EEE01561188928002082878202D067D721000787AAD10807C2E1C96FF58BCC0ED0BAD11C8622BD9B6C40AEC2B6763A48BACB03CC4963570C39E3146B4588CAB2CAF4040ECC747';
wwv_flow_imp.g_varchar2_table(18602) := 'ED2619B2081848F720C8D63D6849C1038F7732D0F2E2A9041144507C60E2AE5CAEDFD54A500E051C58D08D8583348F7C857C5DCB6B4D36C3634C3C7747CB6B051494ABE105002EA758072478204863D3BAE392CB0D2C5B343100C84BA051083CC8343E4D';
wwv_flow_imp.g_varchar2_table(18603) := '3D5869020064BA8F2596412AD5061500506107200000C20523B4C73967174E55F53FA28CF2A9D6A46DC5B54143E8793A2AA900B8871E7AE0F0C0B0BB46B89F451540987EFF110018810A3AA0820096657FFB4BC8FFF86796ACF9652D34F20B60D4223908';
wwv_flow_imp.g_varchar2_table(18604) := 'EE0769234B4CD21EA03723052EFF0254524C061CB3A4D4C02B2F653A819654C802CA1DA4045A528EBE00B02FC925848606E35C603007001DECD0203CE4214104B2262DAD4B22BBA3E17254F7BA8318842030D0C10D78409DDAF5100010FB97EAEAB5280A';
wwv_flow_imp.g_varchar2_table(18605) := '68A08B3BDA11053660021BC42005992A8B7D5402034CB10C0636CB484288803D22E0AC0838B39ECD40F00203F107414401240712C2815A61E6561BA000077CB2010E24E00FEC9B50D4F8510F7AE4030E099000043229014E06469307D18F7E2457C88390';
wwv_flow_imp.g_varchar2_table(18606) := '120085FCA4296BB5C953EA279599AC216A120001931180008109006A0E70CB5BF6AB97B7DC2542187080DF01C000C54480A392698092C5D2990921520625171E2665205D07FF20E6019899CD8330B348813BDC65BA88C8C4D48A6F49DA5BC9B469CBB404';
wwv_flow_imp.g_varchar2_table(18607) := 'C09D013040029006801DCD0A02F7CC8F20F5A313E4F5E72637C14951CE9780E0113401268B270012000004180001086028441BDA50844C14A104400001E0C0BE5F25A41EF00000330C0188389094A46901C41F00812196AA340E7200C04A53DAD299C6F4';
wwv_flow_imp.g_varchar2_table(18608) := '203255A94A13A2D38394340E2EFD431C104252979E14357F60694FD382D483C0C10F7C00401FFAC0873B0080AA56BD031FFA7090A94615AA51AD2A00B29A553C5CD5AC55FDAA5513F25400B015217E78665C0F8208B80200117FB82B22248708BA7E15AA';
wwv_flow_imp.g_varchar2_table(18609) := '7C78AA1FFAE08745B475AB7AB52A5FF56A080018E20F8C6D2CFF8690EA07BE52F60F83EDC31B327B073454D50D6F40C31BDE0007A7FEC10F7F402D646F3AD284AC14009160AC2164EB58D4FA81B47000006E5BFA07DCC6C1A96D856A5D5983DBDB3A150E';
wwv_flow_imp.g_varchar2_table(18610) := 'C370873CF2C28F7BC0831FFF806E74512315F7BD2F2DFD886E760F625DEBA6E51FCFBCD041ECF15D007CF742E41DEF78BD0B80EA46A5BCD095AB33BB1B5FFAB2661F08996F5AF4E1A5FBDEF77DEFFB875402CCDE7EEC43BA04B6AE3EF41115F226C47D0A';
wwv_flow_imp.g_varchar2_table(18611) := '76B0801B8C900947B8BE0781307B17EC5E0AC3D74BD9852EFBEC11B58454681EF488478A559C17E50240B9F398473C0E22E383CC03003696718EE50A5290AE231EF0F871907D0CE421C7A3C84026F28F01FFB00E17FBD8C728964755941B65F81D247E57';
wwv_flow_imp.g_varchar2_table(18612) := 'A6C73DE4D1E20BCB8FCB1706337DBF9C10906E99C500A00742DC811AE5F238CA2D4EB395F521BF7B00A01E6949B3FC0E220F37231921F0E8718E518CE6AAB8581EF13874A2530CE383E4597E8F6EF19BAB32E93723E4D15E7E743D9E62DD7C44ED1EF580';
wwv_flow_imp.g_varchar2_table(18613) := 'F185E8310F7BDC1900F6B0073EEA11DE53C3D8C6A746F5334D9D17575FFAC68C8E0725072DBF14EBB9C6B98EF1A8511C8F13CF63D5ACBEC73DFADBAF64C3AFCECD0E73B4A55DE57DD43930FBA007B6D3FC6A0C2304DAF7B5B699FB5BED2C833AD4C9DE47';
wwv_flow_imp.g_varchar2_table(18614) := 'B593AD8F7AECD7CEF848483E00A0E03A6BDADEACB6B39D5D4DEA7AE0C3DFFE4EF6A7555DE3FF7DCF031FA5BE10C2FBEDEC7BF8FB4B9ACEB7A9E19D964E333CDD17DF87AFA4C68F74FB2A1FFD1EB882F541218E635CAE01A7249AAD3DED2A8B37BC190E8C';
wwv_flow_imp.g_varchar2_table(18615) := '3ED2EDA5662BFBD9F0AB76956D5E6D9EEFDCE7D8E679B6B38DF39DC799E5FCADF63CEEF16AA5DF231FF9C8F07D0190F384EC63CA564F77C0513D0FA05FBCCEF23E88BF638D90A74B0ED5A5F677A7ABFBEC644FFCEC6747C8BF1D6EE580AF7C35006F383E';
wwv_flow_imp.g_varchar2_table(18616) := '9EAE608D6FFC20FBB007C6D3DDE000DFF7BBFD787AA729D45EC14B3DBE37FF79E47B3E79C9EF5C6A531B313F443E729257FDE89F07FDB5072FDE5FD9A3ECDD4648BA15EC78D4A45BECA9573D84C17E10925748F3FA503C3F120FF6DACBFF5DDE5041B0E0';
wwv_flow_imp.g_varchar2_table(18617) := 'C1FEF6B1D79E424FC7F8E959B3FB0AF1BDF353F1B6B22F7EFAD3CF9CECF28637D8676FF2C7073CF4970780DC61FE7DF2975FEAAE9FB8CBA1FDF4665F5C6A8DC6BA3CE29F75F1727DEA5F6778FAC13E71F6D7DDEE1EB53778333EDD9B3E6B23BEF0923BB9';
wwv_flow_imp.g_varchar2_table(18618) := '0BB87D38BDF40BBBE8F33E0C73B784F8BFEA8A36E3B3C0127B3E0B6CAFC02031F62A3FC9A1AEF622C11234C1113CC114749FD0ABB07E59BC0EFCC0BFDB87FC92C1E98AAFBE63AFDAE3B01BEC3C0BDCBD8A43B0154408DDF312400329D03B42C939429072';
wwv_flow_imp.g_varchar2_table(18619) := '87265CB33F03B48370C2270CC12A6C872BACC27E69C22BE4C27668422FC1C20B73C22C3C88308CAF2EBCC2353342009842FF2A8C42A749422B632E67E2B33A84073BC4C33BD4C33C9C323D741A3E438829233317739A42DCC33D4C8B3B24C383884396E3';
wwv_flow_imp.g_varchar2_table(18620) := 'B145648D4794C42FE9433E3C444BACC34204444824C32D33B34F840771C80768C32FA7D941100B410B04310FE3C45674C55784C558448DEF822FF2FA077AB806A920458460877A90B712CCC2BEA3415924C66234C6630C3313FC0779880678FBBF836087';
wwv_flow_imp.g_varchar2_table(18621) := '4A0AC21D0CC10F7C9F0A11C221C446D488C18EA2466404C77014476953467878863B9BB5ED020075C8B2691CC67184C778944757FCC6F2E3400683076648B37444087590877CA82EE8923056FCBB699CC78344C884640D15C4AE7F3030C30B30EC62AF87';
wwv_flow_imp.g_varchar2_table(18622) := '74C88AA42FFFF711487C6406E5E2C783F0476B6BAFE7AAC8FEAA48605C8D6F8C2412AB478574A6E773419644481274C8192C30879CBA8388C887D449C1ABA16C04C67FC8478E24BB7E940790ACAEE7E2499AEC40DA4B36797BBA09D92EE68A0AC5733A12';
wwv_flow_imp.g_varchar2_table(18623) := '3C48B0CBAF6D648DDA939C6E84C97024417EC007E993B999134B0A693C8FDB3D0DECA8BCD8BCCDBB075594878DB4B367FCC8ED6A485A842E9333C9F782AE7C383C9C94B70163AFC15CC19534466C04CC88C4C90E732FAD2CB1A7B33DDD033EA7CCC1B24B';
wwv_flow_imp.g_varchar2_table(18624) := 'B66BFCCA2ACC4082C4CBC3CBC6F2CAC25AA4458C2CAFB914CABCF047AC3CCA55FC8791B3CAF2320764188674F8877010877F60876A60877F28876C58C6FF709087DBCCCD880CCDADC446C4A43D978C30E58C37E8AA907070877AB88700F345A830077990';
wwv_flow_imp.g_varchar2_table(18625) := 'C8780341890430FCEAAEEDF4C077DC4C3224C1058B874438882C00803058CF83704FF6744F8498CFC060CFF78CCFF65CCF30C882FEE44F368887F112B0B994B18E5CC7A204CF5E81AF7B6006606007A8E4C0EAF48300D08970E08232F8074F080050C8D0';
wwv_flow_imp.g_varchar2_table(18626) := '00888672780075C00713808100838A0CD4C66D2CBBA8F93D8D1B41A9A93B8A53BBE37CCE6C000600780666280777F0B0A2842E433007F8A28576C02E01938A76000557E01566188637B8850063065BF0035BF88754800371880638A052570080DC9CBDF2';
wwv_flow_imp.g_varchar2_table(18627) := 'A447C6FB87716800001880010000014088FF0110003565D3343D88363D8833A5533A3D88022800392D803415803CEDD30260530150807108D08A0CCA7C73B00335CA158C2E5A40821D28837450B00EACCE37802B2F40833278837FD0542FF80757A08024';
wwv_flow_imp.g_varchar2_table(18628) := 'C8861B90875B180329A0D2EA4451DDFB3488CB34346BB4C0F0C459458D2C43518AFB076600050018064F78866898D272308461F85443780371708548780625480561BD8670A0D24FCD8472F0CD54F00478700573480750500777F08461B8856CC80477A0';
wwv_flow_imp.g_varchar2_table(18629) := '875460865B08874CF887B804535814D371200105608D3D45D37A35D33445D37B05803D9D573CF5573C750005388773A848A04486020D8CBB9C469194873ED8833E988263E8870D5BC1FF7AF88737F8837F30843218033F28070F48850710074F28033FB0';
wwv_flow_imp.g_varchar2_table(18630) := '022350873240833140837FA807ABE48776600775A0597658C7BC48075E4C8B74C8D99C05807450078FFC5900600722BD55B2FB876C18834C90025AF0845430847FF0034F30846750D73F30876B985A57288748C80443C88674E00778308454880475B885';
wwv_flow_imp.g_varchar2_table(18631) := '6B00055A30847220866BF8076248DB6CA0075AF80770AD866BA00757A0517B4CBC528C1AA9C0C18514DC7B185C75A4BDF701C2F822410383D77D3D5379550005F8D384C8577B35D33EBDD77C458D7FC5D3C81558823530A0A44B035558F68AAE9A4C0748';
wwv_flow_imp.g_varchar2_table(18632) := 'D80455E80389A5C98CACB33BB0826B78009285834C0800222080480005FF29D007A5C80611D0890D5007E35CC17B50076D65879C5507902A077680879C8587E65D5E9A3D887248872B04297360076D558772785E8F04C8BE054C66F00400B8055060DF54';
wwv_flow_imp.g_varchar2_table(18633) := 'B8584F0807F4955A5BF0043FF05A7300004A888674E84D0050575BA80600F0422935074FC8876B20867FB8060028075BC806628D065B0000BE154DF304B05E89CBEF9AA4EA949A00933753CB8605B633E01B480AEBA80A014C10CC2ECD24B08EE2BDFC72';
wwv_flow_imp.g_varchar2_table(18634) := 'AFE872DC7805D4349D834768830B708033DDD738555333AD53346D5335C5D37D755336CDD3201E80C91DD8BD34588475D1039D3DD34CB774A885455005558006991B490F06004F205144905A438003F7B505387005FF3FE8875450025AF8827EA0072E80';
wwv_flow_imp.g_varchar2_table(18635) := 'DBB8B4407E58DE72A88670C8595B600675C8065A100764CD0676B80673C88670586071B80664B0855B7806440EE46CF06357D8DF74A087A3A53D051E0600E8065AA005627885A4F50362B887AF8D8400CE8457A0DF6EF08367F863E8BA863748856B7852';
wwv_flow_imp.g_varchar2_table(18636) := '71ED065AFE874CF8834C5087FA2D874CF0834A48074F80837280448C0C076408071566439CFC8768C8865F9148E522866700005B2086CF0C876150075B6887C6EC607913870476316230E68480CE9F0D60D1F44C777C2E780D58369D8336388847B880C9';
wwv_flow_imp.g_varchar2_table(18637) := '1D800BC8E70BE0E73665533BBD802CB867CAE5DC36E5677D16803A0DD87120D89A840764502E7C23CAFF2966B0A9BBCD3E68DD43A8058B1EDD8CF4B0037BAFF2F234017B2F147C1FA0650604600476C0585A488532F0045A40033FB8835BE08270B80330';
wwv_flow_imp.g_varchar2_table(18638) := '468367A8025720023F78834CB8813718062E788632C8046E35874B56CE7F78AE3AF3B00A81077AF8077CA06AA7D6CE5B6CB4BF940A78F807095E46AF1E86201D5BED846A38D6CE7903BF2C9C10DD44835480AB7E8886402E0371488704BE054FC8457E78';
wwv_flow_imp.g_varchar2_table(18639) := 'E45BF48368565F6295C84848856C3004FE7D862DF3C7DE1CD9F2A28748708567F04DE064876C10077D808772F0EA6C30E66A6807A7C6CB18761F7B80670560D305B800396D034175005DC882477884395080839E6D7E6E80473005539803120000FF0780';
wwv_flow_imp.g_varchar2_table(18640) := '6D0010E83998035308687D3E53017080268E2E7938D8A973408FFCC7042DBC7FF80631B00455D8035508BCC133300E943A8C144975642E6C14C8523C08A0DDD83770853200342EB0DB97FE8748B8833708073F48052EF8813728837678836BA084481803';
wwv_flow_imp.g_varchar2_table(18641) := '1B98EF3200856EC0067360C709A12ED4A838169D0ADBCB0BC515C8C57BAEC55CCC22850A0D0648D154F0B634CFE7328748F887101707B6BDEF6BB806C2BE853BC8846CA58537F05F1857EBB45DC64CF8ECF816D7167F0650B8064F400660DED57AA08404';
wwv_flow_imp.g_varchar2_table(18642) := '360743C884DC625F71188648A0856130846BA08548F0046E0B6DF7E1077BD0052C2800D31E00E16E800698037E5680066803D89E03FF4EC0045D1807004873511884DB0E0312D0054ED0853A17852ED0055198045148F359B8800600DD7348B1E87A6819';
wwv_flow_imp.g_varchar2_table(18643) := 'DB077CC0417F9CB88C8C8A7D708763D8834DD8043BD804E1BCB80063CC82C4CB0F2431494A5402535E7120022E308248F082E8E5027575052E9007D92A837080035070835BF0802428072E200646A884B7DE802A80034AC8841D4070EDC4E421A407917C';
wwv_flow_imp.g_varchar2_table(18644) := 'CCBF8DC1D393C8EAB4D87F0048131DC27E214FD06BEB10FF0775C804647D0397EE076488843F700566D0D86CB085321886684003E084875DA5527AC80401F50457B0857EF084460E074F38F270E050AAA6856BFE824CB0854CA00764BD0564008548A84E';
wwv_flow_imp.g_varchar2_table(18645) := '3488844848425554D0FFD2A65345A0F8F6145401B8807168033698055D78842CC08471A8F32CB8ED39C8825900004E00834B08048ED70558100558C8035D9803401F80856E680363EE43ABB3448FEED0DEAF70B0833478584BD8833448836328CBEE66B0';
wwv_flow_imp.g_varchar2_table(18646) := '01232F23757AA8B4455BB4F27E00B45B28037398DA4C406A6228035E8D042EF0584F1803B075837248852A10073F4086A785836C00F06CD05434E059A67E47ED9A908F7A507AA0CEBAFC38EA7C76D6383C22EC4A4E643075788368C8846A0005624E05B0';
wwv_flow_imp.g_varchar2_table(18647) := '47F229755A4F70835790073840863B308426B7077DF8D4F4CD064A10A95BC88469300429A7855B9072D2857B6468657530047FE402649886164F0571C804F87DEEFF851D531270803E5DE283BE8047E8ED80D505FE0480E1CE833088ED59700012988359';
wwv_flow_imp.g_varchar2_table(18648) := '30852CC80353C8038EE70498C784ED3FF99A5F62E416F4782074BA9468E84E3F0B2C862940FA3AD8833AA88329D80376183C81FC87E472B132F3C5CF8EB27EE05136040871ECE0894B070F00BB7FFD162E5457CE9CB97400D28913A74E5CB772E9C23D34';
wwv_flow_imp.g_varchar2_table(18649) := '17CE9C4673EA00947B980E623A87273F9653478F2180983265FE63E72952BA7F3AAB65D2F96F263F003FFBC9BBA9EE5F385BF440458268C8D6BF7C41654E9D69B59FD5AC5AB772DDBAF0DFBD5BA0AAFD33E78A99C46CD168651337CC553D75AE8889CB66';
wwv_flow_imp.g_varchar2_table(18650) := '084EB648D1DE64FBC7EF9FD872E1FA85F394F3162DFF73F2E68A8BFA2CE6BF67A028CA43AACE5DB87CA0B2B50335EC5E56AC0AFBF1B3370E8B0007000A1418004081800B6D2E0010D0DAB500D7AC0B28505000C08501AE63EE2E0E4038F201BDC79D53B8';
wwv_flow_imp.g_varchar2_table(18651) := 'EF9F3C64F100ECB33713AB3A79F964325C986A4F9AF0750E1D0270C89CBEE70BF3FDA3350CC0B05BF0C5E58B040FADD97F129FA523664B1D33B6DC521943FFC0C34E4A2999C30E3B00A8F3A083278D3493440D8E04E184ECB413933BFCC0A4157BAEA442';
wwv_flow_imp.g_varchar2_table(18652) := '8F3BD518C2CC359988C30832E964524934F2F877143BEA1033CC3F7E44A28E217D81120E238D4D5515575875752492472E14944EF57435D44C3FD133933CFD482554563FC5D48F96F44C19D35FFF5A2E749D503E69D51D69FFE882456FAC65355C92C2C5';
wwv_flow_imp.g_varchar2_table(18653) := '24E700BF5955E700C1B1E68002E734D7CF73D14D079A55F4A8038F3EDC7587CD1F7B4C3145786968510C3DFAFC55203303DA120D3BD76403802BD920538E38D7A8734D397F31434B3ACC74F30C814BDE13A69945F2834F3DF4E45A4F3EF7F87A4FAE5EDE';
wwv_flow_imp.g_varchar2_table(18654) := '930FB11E76C7D53FED64920A3FD90003C75BE5DCF2C62D77B0934937AE84A30E97F4B8024035B45493CF2D9010E3CA3FC4F4E5E1544626F92EBC498E49CF3D56D6332B00DB0DCB0FB0FCE4E32400C302508F685105952BB158CD7AF0B05EF27ACF944E22';
wwv_flow_imp.g_varchar2_table(18655) := '9CCF985851BCEFBD6776F7D7395DB4796757701E779C9CC4B5B69B9CC12537009FFF7E2AA4D37DF200605DA1876EB76577FA54538B273CF30C8C399572C9A5AAC810134D34CCB8A22D318565B37435CF94E3EC34E1A43BD6CB0C49A56599C8FAA493563F';
wwv_flow_imp.g_varchar2_table(18656) := '0DE56ED74FE203003294D092CA1BB654B2F418AF80025824E54405003CB7A8938F1F6FA061776100D0434B6314C77B38E2891F4E1A004111D9B8B1BE5AD52BB19557CECFE34AA2C9E573E30421006CAB0930F26A6F928CDC6F02A8FE9B9D73924EF26D03';
wwv_flow_imp.g_varchar2_table(18657) := '80EEB287D03133E53C59C5E5CECD00A019933EFAEC4A8F3C5372A950699185334D39C4A055578CB444138ECCE90C33CCABA1F297915FC782A968E38A2BCE9E5D9110138927869C8BBE1FC4CC5DCE1D4B591D0D1C9944D34F36FFB684038721ADBE31F798';
wwv_flow_imp.g_varchar2_table(18658) := 'C427C00112D07788C31C0213283E343DE71C89C84216C27081395C800D13BC8004D9109309668182738020700090850AD2260BC0F9E01C00F0C130A810832E0C4318CE118FD1D82E62BABB4CEF7E0780E005AF1E3ED4C75790E7177BD06C6BFFD0077BEE';
wwv_flow_imp.g_varchar2_table(18659) := 'A610C135281FEE8087BFFA51AF00564581D7F950018FF420BFA4C31E5CD247D066F50F0145653BFA508739E001B63396491D7FF15016E32847251D3081081C209A86F28F78F4C31E40FC873D8604482BCD231EF5C0C73CEC110F7B6CE7788A8C473C4A33';
wwv_flow_imp.g_varchar2_table(18660) := '1D40CED01E4B144A3F20A91363D5706037E49DA2B0C8431E42468843BA1416A9A2A54B5E328090A3CA1DAFE8CAFF3966292A431BD34F82020F5BA891495DF98AEFC846CB6112F397545420E604B8393001F2928E2BCDCC42C31DC818106762035BE32C49';
wwv_flow_imp.g_varchar2_table(18661) := 'B33E12B17B5C92C7ED00903BA0EC2E87DE9B49A2E448A45916B39D57EA9A68CE641538B6B39EF6BCA79282C70F1E62C58A8BDBDC428888402F92E696B6CB5D2093D9B872E2EC9C60526843F12951012A548AD5EC67E6C217CC8972B4A3B4E4C73E422AD2';
wwv_flow_imp.g_varchar2_table(18662) := 'ABCCD38E48D2A15FB484B98A412719534A6855EA61909B011428100DA6303D5ACF8C6EA5A21835602C8182339D12B5A80714E948DB85453BF2F48A1BFD4BE34693477ADC8E1EF388253F640A0F73A61272EB64A7518DEAD38792E6A654196A58D3AA56AD';
wwv_flow_imp.g_varchar2_table(18663) := '3CFFA7AD595C6699BE864996CA231932B38E42B37A1981E1B4AB6BB5675B4743C09CFE35AC087C6761D30A502EDD676000A34A5C6486A5E389ED2A354DAC00BFC6357809139B985DAB433F6B54B90A051E31E2D5E462D2A099B8C31DA2B5273C0E82B8D6';
wwv_flow_imp.g_varchar2_table(18664) := 'B6A3B6B67D2D6E730B5BBCF1F620F09019706522DBAD483649C13DEE6F932B0FE53277B9CE6D2E749F2BDDE8FED62AD49DEE747B2B13D7F296B5C38D896FC12BD9EAEA165EDF3DDC86B6DBDA83703726ED68AF70E101DFACD8F6B656E16E7801B05CBCED';
wwv_flow_imp.g_varchar2_table(18665) := '97BC5951AE7EF1E65B00CBA3C0EAC5AF4C8E1BE0E20A38B60078A23C1E0B22DDF9D0875EFA12B02A2CE1A25A8788D1A4995624F6614F4A4C62FFC33A5BEFAC22399980C6571B2E2F31417C247CD8A31E35BEF1D966728F1C0BD0C6F8F8313EA422647F49';
wwv_flow_imp.g_varchar2_table(18666) := '6E3BFEF297565AFCAB154BC55F958B09A1B8B264623956C4038B328CE305642013F3575AF9319497ECE52C6316CC2CC632BCC07CE37C15947189DBCECD6E9AE2147705CE960BF392A14CE6C4F9538E4FD60AE62C27683AEF394966D598E2DC2CD47831C4';
wwv_flow_imp.g_varchar2_table(18667) := '9FDDA1322C8F24E8872AF4CEF9A2746A4134E8572289A941FD9E8C5F1BEA77E9F38E96CE4AA0075DB9E06D05D26B4DE70E15C7EA38BA5A26B32E74AD0F77EA234DC9AA569D07B0E7188F428E3349C03EF6B1B7526C71327BD948EA75477B8DE6ADD0ABDA';
wwv_flow_imp.g_varchar2_table(18668) := 'C30C6EE2BE24932FBD581ED3D6FFCA97182C381F6EFB482FEEB1276342EE0A0BEEC2DA9EA8B30B2D6FCC2E76DEF6A6A52B46F1AD98A46214A08A89BE63F22D7FFF7B14A9980928B4E2EF7D1F0E170EC7C52F1CFE0B0044BCE210BF78C463820B006CBC2B';
wwv_flow_imp.g_varchar2_table(18669) := '13DFCAC167228C39C622E44962784C3C010050A442E50917602C66420B61004318231F399252918B61E48216B6C8454C804E8B58D02226458F49CCEF0D2F5B00E0150038FA4CBE450B94CB04EA8893404C20A07508607D260990C0D7B71E93AF27802B12';
wwv_flow_imp.g_varchar2_table(18670) := '80C04C26002FB583A0052DB080DB41A0821680000074B77BDDEF3E9311A840711CA0805550101313A080F0862F3CE20DFF02AD3C40030000BC062810790D345EF295A73C00FF1E0000C7CBE400B4C4C0E61BBF81D18720261B48D20A74B08110E80005AD';
wwv_flow_imp.g_varchar2_table(18671) := '17BC0E4CA0F4ADDCA0F6B597810C00908218A42026BD973D00602013E0031F00B23FBEF107D877AD8C202623E840F301107DE9CB640416E8404C2AA0F6AECB84FBD4B78A0B64127E01BA0008E53FBFF9D37FFE210000084300421162D282ADBC400700D0';
wwv_flow_imp.g_varchar2_table(18672) := '010C5E0003FCEB9FFFFBDFFFE2E9C0E2C98400E2C0E2B100000CA001C6C4021A200BE8C0030E20310DE0EBD5000AD400BCE0404CD85F4CF400122C814C18010088E0EC0950FCC5041000C15610810AAA60FB290E08609F050000F6D1600DD65DDFD55D07';
wwv_flow_imp.g_varchar2_table(18673) := 'ECA00EDA60DDC9C4045440F6498010C684DAED5DDFA900DF01FFC0F2859F0BA8C0138EDF91A8C010B84015B69F155AA10BBAC00902801422C9FEF140F0CD840E88A1F009DF56081E0068200B081E02C6C41B02401BB2001DA2C0050E530DACC00AA0C00A';
wwv_flow_imp.g_varchar2_table(18674) := '00401EF6A11FC6441EDEA156D4400D68604C88210F2C8107220100F440095A451200C0242641115822269EE00EC4C40FBCA04CB8604CECC026BEA02802C10EB46027FE801A1E490DD6E0E1401FF4495F07F46005D422F6754011268E0BECE2138A1F14FE';
wwv_flow_imp.g_varchar2_table(18675) := 'A2F80D41150E6330CE0417AA800ADA0057E080FD092007CE44FD6DE0FDBD0033CA0406BE000622200AE0001D72A31C7AA31C1AA221F2211F02C02A0E90E0E1000672A01EEAE139760539AEE1FDC9040802FFC012ECC012DCC012200112F4400F88A1D20D';
wwv_flow_imp.g_varchar2_table(18676) := '81255262FC59E2110040277E221110412802000B32A417DE400BEC40F89DE22936240078C02BC6510D3EDF08449F2B7EDFE12861128E9F128AE40B3A2100B05F4C941F4BC24BFDFD5F560020FE3D2303CA040BE0000E6C230B60600DC4614FF6E401FA21';
wwv_flow_imp.g_varchar2_table(18677) := '065E60395AE00A14E51E5A20539AA305AAE31AEAA455602000EC611FF2611E22894F5A854DEE230F7CA03DF62323660555C2582576614C2CE423C6C40D580528A2A0DDB5405B02813202C0299A6227BE6357DCE2F3551FF919634CE8E0F4D1A0F3459F61';
wwv_flow_imp.g_varchar2_table(18678) := '3A5F5634DF477AE10838E1F87DE12F9E1F0A7E214EDA1F2222894DDA6420226051AAA31BFEFFA43C86A64E8E66681EA253EE64206E654C6CA34FBA5E515AA3356220200A6252D6661EDE66526A850E30C1223281237E6522020058DA23406665621DE440';
wwv_flow_imp.g_varchar2_table(18679) := 'CEC4252E672662A255B465EF29E3266E6211402400B4A57482A245020109C24BF3C1E2DE0D66E234A656C42200CCE0DE598579C60B148A9F4CF49DF9859F0ABA0024DEA4565CE691D8246772A6395E656C4A2322EA800E54E3FD1128031EA236C2A61CFA';
wwv_flow_imp.g_varchar2_table(18680) := 'A13AE26759AEE6003D6822320100F8A66FEE238C15C1411664171E41FC69E8251201268AA875CE440A8080F00141DF31A475CA6528BAE05B66117A12907876C0F259C50CCE2861325F48569F7826E68DDEA7845A8506D680664AA355F0FF671CFA616EE6';
wwv_flow_imp.g_varchar2_table(18681) := 'A43C3223943E232242E91A0E28070EE990CAC46C16530F2CC122EE00136C22858E2291AAD5099EA087C6C486020088B2A908168111A0655788E20B1A014302415B76E70E3064421210FB69416EF5E84CD8A805589FF5F9A555A800996E057E1260347645';
wwv_flow_imp.g_varchar2_table(18682) := '830A5E5972663A9AE6066AA065162819CE04A606E83AC2217ED2C0546669E2E0001330231378E985EA0012E0234686E63C72200E88EA96DAD3406A68561CA487C69F885E222592A89C26DF4C6C221114017736A40A32E426C66824CA04F6C5604CC4222C';
wwv_flow_imp.g_varchar2_table(18683) := '4EDF8FBE4B1B92EA4D3668A392A57D5AA3A45A6383CA04A6CE23B922A981DE5F33CEC483D62A2D6D294002A45DEEA36F2EFF626E1DA472CA6911E4AB4C94E85624AB4CC0A932BAE07416533028835A81402E222C00202CC30A2ABC7840536E85AC622683';
wwv_flow_imp.g_varchar2_table(18684) := '826A1F3EE821666C9136EA8066AB7D6E2BA782A355886A3B21A218EEE6287EA0CAA62B85A6D599B2A956A825E2A0A15D5A45894AE4183EDEE965D11EE8813D552B575C01A02289C3BE4B531222A326CE1D12624E662C035EA695966B3576AC56FAA11A62';
wwv_flow_imp.g_varchar2_table(18685) := 'AB1C65E9222A624CD4A3FDF100C87A94AECE4489B6A0CDA62510F0A943CA445DAE152EC842586DC13DB1EBBB9421075E69204E25B8266D92E027BC76451F92AC1C5DA6DF32419702270000A480B66CCB1E6951C92C5C9AEDBEF22BD96A67B31690DC9A81';
wwv_flow_imp.g_varchar2_table(18686) := '3D59A53976FFC5DD6605815EE0528E2ED22E2301C2AA00616DA95A69356E2B401A2E6F66C5C9BA2C00D82BBFB22057B8609FCE4432B22D92780007480007008004884002DCC1E56A2E3EA92EA73A6EE0D16D399680517263366E2B3686E3921255D8AAAB';
wwv_flow_imp.g_varchar2_table(18687) := '5580E012F86685266ECB7ED643C2CB4576620BEC6EBC78DFE5CA041C008032C49B4CBC41010162390A5E0970454F0AD06CE6263CEEE44E666F96D95FEC2A2E0F30AEF3A61510FCC00F2CAA5634B0298A8F09686456206F096E433200003848434C703000';
wwv_flow_imp.g_varchar2_table(18688) := '8C834C6C0301E9651CE9611C5960553A2999F1A6FDD5A33DDA6D02B7EFBBD0AC0CC7C432C4C43838DD30951E3A1EA2E8CAC409ACC0095805DD22C94E32FFEF67F5A100936BECD670E2C040EFE99EFB125609BE9C272442238C821C10501173F1060CB1F8';
wwv_flow_imp.g_varchar2_table(18689) := 'F82F12E39621C68410B070568CAF13BFCBFCC180DBB9F196ACB14C0CAD686D80100F5017EFD9FEAEA118AAF15ABE700CCB71DBCA440BC4801CC7C41028410E28B2227BA18E8655109F5E1E238E084C726E8171E21E721CC180F0DDC16635AB05406B8FE6';
wwv_flow_imp.g_varchar2_table(18690) := 'E25A7D715586C096DEF11D6BB24C94000BE46F1F2E811084A54C2C2201B372BC7C322E1756240F310FC7441F06F12E73457DCA0412F4B1AC8EF1302F332FAF40089C1E2A33739238E24C2C01073241204BB33617D6CE9AF23677050BCC72072E81977EB3';
wwv_flow_imp.g_varchar2_table(18691) := '3967190F63F2396B290088B358CEEE3AC7AC736185400600C0CEFAB23C77EF4C882137D24009F8B33FD7400958723E177416858006941E347BB33C1733921A3444131542CFC409D871445F3446AFD50AEC6C3EB32ABD66344887F43D69E036CE23098B34';
wwv_flow_imp.g_varchar2_table(18692) := '4A0B1007AC4025738008880044B7A531BF6B19DE1F0F64734AE7B44EEF344F1750F1DC833CEC03500B75508B9B41AF98E040CCB7F5344F0F7551EFC3532F3544EF035357B5554BD9B6ED033D6835505FB5577BF59484943607040021F904050A0000002C';
wwv_flow_imp.g_varchar2_table(18693) := '720068007401EC000008FF0001081C782FDFC08308132A4CC8CFDE3F7B001E46B4C70FDFC28B0AFB61DCC8B1A3C78F20438A1C49B2E4488B0B0D9A346911E54A00F400DC4B98AF22007E2F17421C88B3644F8A3B732E9CC753A5D0A348937E34AA54A64A';
wwv_flow_imp.g_varchar2_table(18694) := '7BF5EE49AD17556AD38BF36226A497B5AB56A207B52EAC07205FC183F9E8E193382F28D8A4F3E2BD15D81640D0843BE3CE6D3A2FEABE9957030B4EAA4F20D9A6FBFAF14B4B8F6A3DB183376A854C97B240CB00F0A595A7B0DE3F6456AC085462C5871525';
wwv_flow_imp.g_varchar2_table(18695) := 'A34597BC72F00A6B90ACAF68690DE075532E5CBC7819B37B371700BCC578894CBCF8C231BF8303A8726638492F549C03485285631934D78D232D43ECDE619EF7FE01FF4A306102C20912049A179A3E210800132A2094DF01447D81F205DE07F01EA90900';
wwv_flow_imp.g_varchar2_table(18696) := '226C00000A2B0884820706AE704209056AE7E05531C420900E2F0C58A006037D3052080719C0808446FCF08311008C5822004008F4836036DCB08340300010A14930C0E04124FF14C494678654304207FA01F023001D8C20A449400220C192EA11F9A391';
wwv_flow_imp.g_varchar2_table(18697) := '268DE08240521E69120A09A1A0C340353CE8E5604808D44398006C0940833554F851973874B9C1031A7870C4970725410411021901041078A208409F1FED00040C38D693CF8EFF1832810A160899A47EEF75F0A84893C227DF049562A4820B9B0E34C2A7';
wwv_flow_imp.g_varchar2_table(18698) := '2A48B969A826A900400B02E1B0D10B5BAA49E7AB2F85FF89040F3C28B4020D3478A42A00359CA0C1030644F0C311471031A776491461E78A3DECB0E240828E4804891E096A42A16565669167804C30427FFA410980A9458E4BE442E20E1429BA1E896BAA';
wwv_flow_imp.g_varchar2_table(18699) := '42A24EF9520BAAB2B0AB425D0AC442AAB00EA66A9B232D3110124B102C90C002EB906B4935E47B26860898606C1147506C71C5C736A52C1145FCB0C30D00ECD043C8220A2A508A03D97011103B18716D8E871E744F3F9160DA01A9E6867B6E900BBD3B50';
wwv_flow_imp.g_varchar2_table(18700) := '9199EE0CB4A34477E42E00F28EE4F3A91CE1A0C3BD822D4C670D2B38CC6B484BBC0880C003175C70AD02490D80D81CD170EF061820A00110735A7C50C6466C0C40111C935884DD76FFC9511102F1FF0DA30C32DCA0B2A03B4C8B320030C430388A3FA02C';
wwv_flow_imp.g_varchar2_table(18701) := '221184FE43965166F5038804A8B25B64BA0AB9C0E9A7568E7BF39308D967EE7EA41F34F441E2068D5095090D01C0103BC4686F99504F987B4E0EE3B0AF52545BCD51D52B3131B240610A4CF00E0883DD91F0615FCDEB0A2144F080C4001C9BEC42DB279B';
wwv_flow_imp.g_varchar2_table(18702) := '6CC5DECBEDB74744FC806A0A29C868830DCE9E8CE28B2D808C50E37A12F1F23DFCE42F9059FFFC31817D43725292A6C4B985B86008A0F214959646AE9BEDAC5DE5621D465C50250A22CD67504A51C35E50AFA799E9221F3489EFF4E5B4DD85C45EF9229B';
wwv_flow_imp.g_varchar2_table(18703) := '48D8A42F8C84B0074BE0C1128E7730001C4F072104000E00C62B1ADCAA063ECC15AEFF1412020D3080023BC89840BC771065656F3A730BDFF644C23796B52005263001FAE22728401161072D5099FBF406841FD88F11922B8B4AF8A7281080CB481D9057';
wwv_flow_imp.g_varchar2_table(18704) := 'A3E803259C0D843EA6B200E806C2A871C50700F2D1E3CEC4D51F201929800A591DD0A0544005228D652FA801960EB2BB10EE5084BF1B0CF44622BC4D96090032D4410C6778101E9009940AE161977C48B53339E14CB0E455974E209007BC805A035116DF';
wwv_flow_imp.g_varchar2_table(18705) := '2A361D5DCE6D4E49508812018511225851201ED0620B4C36B7B9A548657433269F0607040F18228D312B4B78FC679FD511C905668843250000882BB8917314B48219CC30822168E1734AD082A9AE6085095CC19D66B042BA5CE7FFA922812075E10ADA90';
wwv_flow_imp.g_varchar2_table(18706) := '00AA02070AC40537F8CF409CA625557DF06913FA2449F2B52F3679F255161DC8BE58D03084E48B099F041BD804A6B5186E2977BB6A250D1CD6B08E76A9A300E0100338E0B7600EA47B4E74E2428E453181DCA9991B31E60EB098CC14B0EF701CC3931807';
wwv_flow_imp.g_varchar2_table(18707) := 'C23295C58F03D79C5C4D16139E361AF2A016D8C2287E818D5C74221ACCF084157C741017544019E700802CCCB00E2B586002ABB0C71A24808B5500E21C5B88C7383CF1A92465AA3E40DACF1DF30382FC94EE5B542A2491BA39824DC5A04228C0C12479A5';
wwv_flow_imp.g_varchar2_table(18708) := '8349EAA00610CD89BD50A8C38E7AB0849F0D6D095319C2DB8DC48400C8A44274C00326D0CA786692A10DB7B684CCFF22E45E0D1ADB4B7B88AB85B909001AD881B2E2A6CB60DAB4A739E52542E6E4C59F72E44E2A4B01AA8EDA443C150E0837881F0CD267';
wwv_flow_imp.g_varchar2_table(18709) := '826442E09A373954FEF877390006C90CB248862BEC3005266C8218C4C0851526655665AC6214B8D8C239EA39046948E3171258C536C0B105009C230E16749DB864575615740A690C4E92B8102BC10AE730A23568936A259A10E7796492A87DC9ED4CDB91';
wwv_flow_imp.g_varchar2_table(18710) := 'D85E98841CCD24C01C264AB07DB0563414084871B7A5149EC96A2A255B0828900011CC2D6EB8FC25DFB687DC848C4F2466A49B0D60608315D900087C33A6317F6083182814001EA0804028C0E33F484E313759CC4DB8C9C80A0441160060062036A18A4D';
wwv_flow_imp.g_varchar2_table(18711) := '1C22FF15C300C0287CE033B306E31CE318055B7D20014080A311F1180228FA610E100C611DE7A8C43F83E6022D98610B8F8E7481070269003C1A00740E9D40C0C52E00BC0041ADE4D26475B843D49EF8791B26090F4E5DD18ECC182196F46842580C5219';
wwv_flow_imp.g_varchar2_table(18712) := 'DA9A6BB565020EC186035D2F846AAC8C5E8679A5AA373D80B87103DF2EA3F84B28664C892331A3DE0020C627FFB4A958FC8F073820810D40402010E0B11FFE010030EFCF33DCBCAA0B46110C59845515B5A8C5265E810C5C24230E713C6805A4B18A38D8';
wwv_flow_imp.g_varchar2_table(18713) := '230EF188C31092110F70FC230EEC56C62F94B00E330C614A99B2C0102E0D80027F610B6818C86C00301B486B018E8F6A6442A4F4021410682027FF97A4CA29991090C1E0D4174141C378A843D1DA7CB4A5A4E446572E738140AF56AC1D48D06FABAF871E';
wwv_flow_imp.g_varchar2_table(18714) := 'E4B2AA6AEDAD65BBA52DB916D60B3D08AE5670AB5BD18009669325961E700323D80997BC9CA230FF746484F0E9ECC45491A0E8A6352747EB4562D4B6043CB081F47080021CF04002BC5C0F8D84391F3CFADF8F5CD0812BC802CDC4584527E00D006010E3';
wwv_flow_imp.g_varchar2_table(18715) := '17C1188505A5548151A4B5125B18073870210D33486014A3F0C428AE308E386CE31CABF0E6402C9083356C210E8D580339CDA08538D03E0E0088C31A62CF71498904B1262710965630EA2E7154E691D5D242FE95AF93DBAAE73EBF1768EF95591C3AED20';
wwv_flow_imp.g_varchar2_table(18716) := 'AF3E0847894F352C85BA414E03DBFFAB7368F4EB373D77A2DC92D26BA5EB0B37DDE7B30E2200985020E1BD490424B2D3DBCA9E90B49364072F52045A9332998310089210E9A17751E577F9E31DE2E101058534136006C1100CB80000C4100BF1E60DB7F0';
wwv_flow_imp.g_varchar2_table(18717) := '78B8800B99A640A4B33944A2478D020073240164C533422271AFB70DABD00871D00FC17005DBD0085AB07980200DB75009B4E77BAAB31146622AA33620DD672054737C92447CB3B6251C3510B9B5113D47620761350E1512A186103F34104C5021B5525B';
wwv_flow_imp.g_varchar2_table(18718) := '1E464957A843B2B62BAB1651F3D75A4EE7742C973B3E248655085C0C303246004CD3E17FCE7527FEA72265E42707E12C80E831D4B62736D002578445C8C46D7887201C80658DFF884CDB6602DFD50F7D275E8B410F89220105652415B006CA800BB2F00B';
wwv_flow_imp.g_varchar2_table(18719) := 'CC700CB5500CC7800CF1850BBFE056848734DF4441048482236001F2E23315600111E42840E28271300EB770059CB70D6670835AD00DC1D008DBA00CEBA4058FC24FAF731F28706503124BB0247C4C88729224102B6026935484488159307711510800B4';
wwv_flow_imp.g_varchar2_table(18720) := 'A410ABE6629FB42B30E7502925634A374A5B92304F277418318E2C570321C0003A9004464022D0564CF37311813890CF143287886573C76D07A145006002311223EA02039358892A710F98A8282AF01E23500166A00CB2100CB710097D800800B0099E20';
wwv_flow_imp.g_varchar2_table(18721) := '0CBFF00B2078824262419A8282B8888292023A702410126706B9FFB70DB8B00DD2B00EC8080800408C6FE05F5BC08C57552950322946822A264775DA388DE3387C55A825DCD773473818EF478F68982559381052C35A60398F3E976A18B12BB9F285B205';
wwv_flow_imp.g_varchar2_table(18722) := '4A20A5036BB996F7A2423095103BB4020C2020D4126418C12707F12C1EE3384D36901E43655466888598450381200CC91FE90302E91323EF019112690894D80FD964919988581B790516888356700663B01C5EF0069EF00BA3803233F923E5D228B36824';
wwv_flow_imp.g_varchar2_table(18723) := '0404257F6401B878557794035BD008B8100C00200D6BF081C1A00C80A07000800BCAA0675AB06817D14820802A1B80021B608F09C1210821954FE99C57912FE118735A9810331642E5287D20E495647830A2FFB435E9372138047FE8097F4C1097A48603';
wwv_flow_imp.g_varchar2_table(18724) := '2B604466322D4696102B529F22F22C0971544BB55402713EEFE10120A05029000210295D29000305C81F0311031420997D273317290135392E31281AF4A41B006005C3910A95E02D4452242E390471D44E2E20715252A2DEE2031D203BB2630539902E13';
wwv_flow_imp.g_varchar2_table(18725) := '277BB25771028105B6879366B00670E0712BE8119312021B1002D4B302CD29A4CD494BB414A4D4D39C31F594F97251FD929E50A82B1C720256739DB8037F4B505BEEB8044FA78625E45BA4068564D352EFC9001AD027FAB78729629FF7C93ED4B6118598';
wwv_flow_imp.g_varchar2_table(18726) := '5DE90300758A3876DA9F841946A812462A033233F2902DD0A093A93F327191FF236113880656FFC00568D0078FFA0663201A7EA00437030211887913107B23D00839E00389A00272E00258200713E0026B80052AB00672D07A029169B8380256700505D6';
wwv_flow_imp.g_varchar2_table(18727) := '71B53A105F601B4803849BC63A99E2462D4077002020D009A4217002022210421A53C9DA2054678D51BA1150CA2F188121C443592E7452C1034A60A83C08E13CED387FB2143D5CD230BE82A62DC37F0AB12280A8352A5388F07A101292A7078145618422';
wwv_flow_imp.g_varchar2_table(18728) := '4FD611EB73033780A012923884DA773D71A8971924F27105F9041C03211A6860A9A2432AB197038D80054AB0065AA00495A0056BE00390469B39001FB23704AEB7060CF63388E45716D01FFFA4917FF53AF851291EA001E9C121C99A1041FF3AACCABA01';
wwv_flow_imp.g_varchar2_table(18729) := 'E558B3CE598E23E1B383419DA9F46B599A1066922F058203B2E53500704A4AC761E12935B9F2A4F477A61F326DF529903BF0AEA70232323010D285A00BD15D0261028CF9647E3A2E3BA0026BBBB602518835522365DB9010C0776A24109669553F530113';
wwv_flow_imp.g_varchar2_table(18730) := '17076FE0B700F0077FF006ECA491FD310272807BEB047B727005169BB17250716B30025BB0066B70051220A39F129B0FE45741E84681851199221F6E2410333B1040BA10358BBA3A8B11401BAD0B21B41BC1211CB202977411AAD273498B10040343B512';
wwv_flow_imp.g_varchar2_table(18731) := '86E27810D70A0011C0003EE6A67BB911327045761AB6EFC15D77AA1009A845048A10EB5388783AB707A177E3560F8B315579FF2BA1F801481D500115600580300AF7E5097190031E6048A66324979B4F71800513B7055B20B1975B714A10B956207B3EB0';
wwv_flow_imp.g_varchar2_table(18732) := '06B4B905B81893274848B2F94F3BC369BE3AA10ADAABED11A412DCA40291011D41BBD4732602D220D009BB1D618F3984216BA22A0D52022D9410F0884A38902B2BBC106F68A61F1001C0A53503A87654B6105F6BA7D55B3A1B51B35CA6248FA810860920';
wwv_flow_imp.g_varchar2_table(18733) := '08222014E00108E0077E974D309128895ABEE36BBE0AEA02202001A6E37B87DB8A02612A87049B8F22012B6A1E39C0298D52A21D808B15103412F61140134184A5A00AC5211A90AC729C011BA00116BC10340B850272022740BB1EA1421E7C5AE119BCD7';
wwv_flow_imp.g_varchar2_table(18734) := 'F7AD46273DC2FFFB86B7123605120218102C31C69F09B1BC062A10774AB689988812C06D75B7017707010FF06D0040CAE14601DDC60141BC6D8DF8881400011B900070406E61D68011BA91503CBE8BA51F92623A42C2C0AA53588575107F044830F933CE';
wwv_flow_imp.g_varchar2_table(18735) := 'B810956258AA8348F9B11F26901E22DC1119C021798CB302A1B3A9DBC11E21BB838C101A504423B1022C407CF78204046352AD654255439D1752BC111023D9253F2001A009D188DD96CF5806C4DB966507A165C3CA88870900AAAC1014B00149CC803D91';
wwv_flow_imp.g_varchar2_table(18736) := 'B7FF331F525CBE9292C6929224C09C10F591C6C60C1F08C1921D1134F6A1581C31CCC3AC247052D2BFF22BC0F500038121328C10D069C2DBFCCD39615BA8FF0B5C1F30CD1F915BC306434D2B9E85EC958D4CAE07C1212ADD633F0032D1CB110A758008C9';
wwv_flow_imp.g_varchar2_table(18737) := 'D4D8BCBD0DA9108F984CFBBC6DE0A610B09C004A4C0FDF8BB7B79CC618FDCC3FD3111FBDCB80C51FCC7C47CD2812C2BCCC108DD13CFC1EFFA9D20721C218A0D21882011190012D8DD3D90C00160C9DD55CCD1B30D82110D88FFCC7835C8E27007D48E17C';
wwv_flow_imp.g_varchar2_table(18738) := 'A3E650B3B2354CE7C84F29353E0BC80080010CE021001D3FCC0B12E0228DC90402126288D925B62DE27233824ADD15CA748D10A40C00E2D60F5C5D16B67C99F4615870BDC6210D24BE7C10F931DC44728B2080C61C61DC1520CC07C1D1C22D58A5CB1FE9';
wwv_flow_imp.g_varchar2_table(18739) := '91001A900000C00003A1D2D82D102DADC7D8FF2CC7150CD8877D1012FCBAB0328E0D8225FF82A51D219D5C5273C81343B5E286DA5820992D109C6D00008000084001F31A0397CC1F4EBDBDE88338A822D730929C704A384C058008D10329C0028CD888E1';
wwv_flow_imp.g_varchar2_table(18740) := '16DBB544DE5A6DDB08C1D0206D5848F9A1654D25EA02581F7DD1F391D10721CCCBBDE22A5E5816C0E230BE2E60BDDC3CFCE2A66BE10901CFC48B10DBCD1178FCE3D73C107DBC020C12A545788DA4C511AD2BBC29175991344265E2BBEF7D266403B4BF42';
wwv_flow_imp.g_varchar2_table(18741) := 'D70C60DD09A0655F8B8857E6017307D0532DB6711AA736602A5BBB2745C037530204ECB3B5786A023E7610E146CA16FE6DA64C0108E06594C1E1BE8ACC9FF2292B5B50EF122A769448BDFF9AE890E21E1B51D19DCB3A9CF6C538DDE3772DC31A10012C0D';
wwv_flow_imp.g_varchar2_table(18742) := '5C32DCDD1871D89E1EE40A61722540960FB2733F1D1249AA102C40210B2A230311862344CEA1E66302B2BA088177F103E0C8B490017AA08CC93421231026B3E66BDE4C40E00282D2AF501DC40311C475B71178A7D5FF200F7E870FF8600FF3F00F919000';
wwv_flow_imp.g_varchar2_table(18743) := '10000112E0ED07D11EE03E10B38DD5D24BEEE941CAED3112DEDEEEDFFEEEEE1EEF580D01094000042010077010010000F72E10011000F97E000410F01D91EF0060F00AD1D9D72D1008D0E3321D1204A0DF1E72000C80F0988ED70841AC779CAC7032109B';
wwv_flow_imp.g_varchar2_table(18744) := '7E1008AF10018000154EEE00A0D2DECE6D1C3001F86C80FBFCF2A57C10D6FF2D10336F0009A0DFFBDD210381F31D8200078100011009FD40ED02610F46CF19D9D0087F201091AB107100084B8F10910B087210F5500F940301F5818BF57F80F55B8F10B8';
wwv_flow_imp.g_varchar2_table(18745) := 'F7074F1F075D4FF6080108638FF66A9FF66CBFF66B1FB800000702D1077C10F77D40F777D007777010740F007DDFF77E0F0077C007835FF8753FF8827FF809E1070F9F1370C0077EC007925F0807E10788E0077EF0078660080761089A1FB89C5FF92489';
wwv_flow_imp.g_varchar2_table(18746) := 'F97DC01168B0F70090F98C0FF74B0F089C1FFA40C9F9AE1F0900C00809B1F4B837107E00077F20F7B927F7513F128C5FF77E300D30F113466F0FF2100FB4CC11CD2F10FDE0771101FDE59610B4DC0FCF3F10D28F103BFF7117763111022111454FCB10F1';
wwv_flow_imp.g_varchar2_table(18747) := 'FC0F21FEFF90FEEA9FFD83C1FE8D5F12CDAFFED58FFDD91FFDD16F12DB0FFFEE8F11E99F1000D10F803E000004164498F0DFBF840817362CF84F1EBC7A08F15D64688F5E3C881D11CE03C0D1E348921DE1C53B991265BC752B55B6949770DDC89300E085';
wwv_flow_imp.g_varchar2_table(18748) := '8C99901E427AF77AFEF4B9B3E45084F2EE11459A54E9D2911391E604B0532A4479F4E4ED3BCA74A9BC785C37C6947ACF9EBD795D45160449356D41A84AC102C0972F213FB9F7EA890550366DDA8A701BDA0300582B42C10DD7CE438C3864457A89CBF605';
wwv_flow_imp.g_varchar2_table(18749) := '396F6AE3C63A39D6DBDB701FD1AB003A771E1C5AF4E8A46F01DCDBCCB661D07AFAEADD450DB1AFC7D9B3FF13E2936DAF9E6EDD86C722E487F028BEDF7F771F175CF8F43DE64A5F1FCD0A5C2ED1E009F345CFC74F7BF5D4A2B3D6031ADEE778F1E5C99F07';
wwv_flow_imp.g_varchar2_table(18750) := 'B0F962C1F5D121766FBA2FA6FCCDF33FA7479D1FEB7EFDFAE9EDFB2F40FCF6FB8F3403F32AAE20F712D2279FD6F4D1A739AC465BAF23E69A932DB0D72ED2673BF80C5C7028E6E4CA67BA82AA634FB4830E6471A97C2A9C0BC51667A49146C0641C09C207';
wwv_flow_imp.g_varchar2_table(18751) := '2124A846A62E2A11C7824C1C6C9F7D4A44AAC41221441238EFD823B2202347BBD0C7F708B3872EA23EB4B24B2F2D8C8ECB7C5C6B50C9EB9AB327C42449C290367B605410A117B54AED1EDC1A8ACBA3AC9AFC522B1C0FD26E287E56ECB350430F4D8AFF47';
wwv_flow_imp.g_varchar2_table(18752) := '45B71352D00365EC275083FAA1B452D1B4B4AED18634E51351A5DC190A544F4725B554A444F5D21D785665B55557E1710755A46E2A485600621D8A9E4E4F2CC82A1F73826722608B0AB65861933236596195657659679B6DD65469A7F56C552B69550ADB';
wwv_flow_imp.g_varchar2_table(18753) := '2FE591479D7AB293B42886482294C672113A975A75D765B7DD43FFE9279D7A186D089E7F343534B874DDE5B75F7FFF658AD27BCCA987D2700B82C7D2521B1DD4237D1D3608A273F105B8628B2F2E89D27ACA29385219E94998628C4726B9649307139863';
wwv_flow_imp.g_varchar2_table(18754) := '833F4E98504A474A6DDF9367A699E64AF71997CB8E745EEAE582FAF9271F95236D08649F1B120867A5FF519A4599BB1CD7217E45AE99FF64855F6688698752E399EAA480169A1EA28B6E19A28570467AA4EB001834BB48EF693B1F81B23B2D624417C2FB';
wwv_flow_imp.g_varchar2_table(18755) := '213FBD1E8962BEABAE98521E07EAD1480E7B2C08428876550A4214C12E879E837B2D1BDD8336EB0E5E85F00620EA7C18E267DCCFD966A89FD1FF56B7E1D1D32D7DA828E712AE21B9E87A1D70697D5EE82085497D0868C8C516D2E874276ED86C71881986';
wwv_flow_imp.g_varchar2_table(18756) := '9D7FB249E79F74AEB1579C70FE81271B9CC3E9FCE8A4FE86B4D2DD053DFD1F75C4E1477281EEA1149EE6E51E37F47E8E8A9A738560DF14DDCE6D67B71F9CD7C903A12CC248C8FF0A22C00126250B0000E00113884000FC2F0B60D0050046173471C82D78';
wwv_flow_imp.g_varchar2_table(18757) := '95439A40D8418C6BC823FF52E7D2C73F9280000EC0201D44C8C43FFC108061A83000D27B803AF261020A78506E0E9311A630C53689FD8C7683F29EF78872144FDCC415E21047D43AC7906E30E265E97085DE12228E483C837AC3B8851BB211955BDCA20C';
wwv_flow_imp.g_varchar2_table(18758) := 'D500402400C00E6494011900F00400CA6137FC21657233D2DF3FC001000100600003A8231D0740473BE6D18E7B1C4901F8580041D6B190841480000479C706B4218E9DDB8738E07641EDD94F1E884002001011B272852E09A0F80711FC50055072010065';
wwv_flow_imp.g_varchar2_table(18759) := 'E847241060856CB0A01FB7E00229FF81BE89D965364201CF505E031E7AF4D297BFECC9D312F2867600C010C8B8062D0C518E5B40425591B84324D2C18854B80206E5FF40861FD8618B2DC22312B6480700AAE18954FC2385C9EC160088818C6878825B99';
wwv_flow_imp.g_varchar2_table(18760) := '38633628E1B136AA2B8EE070800346320041224490FF2C083FED3818463E224B1189E4BC2829B37088C10E769882384C57AE1056C113FF78C31DAAE08A67C420130FA0C71FE0008031C0001E6380C318AC10B474B9431D0861C74B21920E9902A0A6E908';
wwv_flow_imp.g_varchar2_table(18761) := '2700729A5373E0341D3D95A1123B229032C0C1106FB00528FC108E70BC2113AE004537B09109000CA30CC3F0843BCAE0894898A31CFF10C71B68D1395050F1167EA80728D801005744E316E2582B006EC10C62642327B64114D54C4794A899CE826EAC5D';
wwv_flow_imp.g_varchar2_table(18762) := '43843A149C8D03000A0828200B60C8910840A07B2C80FF4011E2C78400B220911D402307825071281422C28BC8B888C68D4D2042158708C7232735907F280100C820C02D48098000002100CA74833A109080725000062678401285D40F7594231D313587';
wwv_flow_imp.g_varchar2_table(18763) := '3AE0C18E7228571DE680473BCAC10E9A16249CEA6047ACA8AB0E999AC31CEE6887393C33D8B4DD219C91A0452A22218F70700119EA308439B2C10857A4820BB6B0091768110E7614331C69F404F6FE510EAE020094B7B8060068910DEC4DE38CEB2C0728';
wwv_flow_imp.g_varchar2_table(18764) := 'D9782813E50E49F02A91405E2610A174231AC34888EF040B34B6C96596F78BD2A024352886E0666C123B08D3E408007D0E40010A9803001E71811B0F74A0944D483F294B48004456918ABCEC1F1DFFF08879E0236B09D54EA740AB99CD844315A655A391';
wwv_flow_imp.g_varchar2_table(18765) := 'B486B37E84F00F1E40E33FD0E0093730E31FA0308427FEF00F4F548116A824A999D107117688F719E1482E16CD118E05AB03C1ECB8C69EC3910D7198E31ACFB8052D98D10D063FAF1CE6A0C52D1E9D30A278A298A92006315C114E4F40C21CE2F0831F52';
wwv_flow_imp.g_varchar2_table(18766) := '815F4364C3107C86833A5C91E07ED8A20CD7B005F66E61536ED2C30FD494872118910E43442213EC88841F6AEAA9E094E319604C083BEE048076B802685939CA309831D47C3083A967E49540EEF50F70762E1DC488EBBD22F2B9414744DB2591B139106B';
wwv_flow_imp.g_varchar2_table(18767) := '471CB7410017D8718D2F60D90BE8918F76AC77181049C87AFBF80217F023231D890FFF6DD7A3828D9A7268D3F30F611C6213AAD80337B48CB6D50A15507361C8E79498AE97662301779087485371CA6FC2E10E68180617A2C1884C8CA105E148422A94C0';
wwv_flow_imp.g_varchar2_table(18768) := '0543F8E10E1B3047156E01874850A21BE9708730CB97B50CB2432EF518973C72779360FD2C45A9489FE4A05E2BA413AD1E37691DA9DEA7425F5F341CC8C0282DEC810CE8BE0100493C9EBD2291E08200836D92F3042898718B8B5E637AE5C0C74BDD910D';
wwv_flow_imp.g_varchar2_table(18769) := '384CCFACD7F8C7359228DFE6B9C31CF4F84734D4410F66281DC678C3D91C6B2C8036DC51007370B7020AA08B2CB4C11473D02700E64DE30B3860123A564403B2E0803998E20261D863EB0BD2EF3B3A40118129F8C15F673421E1FFEC1FB138C326367186';
wwv_flow_imp.g_varchar2_table(18770) := '63BCEF675CBEDF3EF447A86D1B24E3A7715FD61B82DD488CA1AA5548473FDEE0897E5C2309FD48C51BBE188960736094E588842B86F106437040FC36374735C4910E4E92442EDE535D44ECE7B3E2C12B5275B19B171B09F242947E40BA5DFB873FF8BA82';
wwv_flow_imp.g_varchar2_table(18771) := '78835440B5F6522A758A044FB80625D8228400B17F40065728086490BB4858A66562846C8804502883C13BB5C44BB370F0025AE82A5788046680C16C00854828A70194B171083D3E2ABD06C8310700B8DB7B8439E0044C00005DD00552D0055198840650';
wwv_flow_imp.g_varchar2_table(18772) := '044520015D38BD71E0045D0083230C0451D0C2716083C46A8047601B6DA307DD93B296291DA0619A7D2807551803FF5500803DA88574680E9F4143DDE121A7B31FED1088C7919DE722022EB8814C4802BBBA033FE8876A480273C8043F1883F98A84EDAB';
wwv_flow_imp.g_varchar2_table(18773) := '02DE82834CD83938A0843178804C28838EA2857608BAA16008B8691F251292EB30BE8C3B080B029D212989C03A94AD5BA67FA0846C00063F782AE9A1852F000631523F66C80434608732482D7720A791FB8748EB9C6750AF7FF8AF4C68075070858B8A84';
wwv_flow_imp.g_varchar2_table(18774) := '6C60086F4286608B4146F88761000500B00517EC1C2EE02ABCAAB87B0AB20BF83C45D0853968003CBA005D78043698057864034C18875918872C704245C80253D00553608344004851D00558A8423630854B500007A83D45C892AC19432429C34AEA1C61';
wwv_flow_imp.g_varchar2_table(18775) := 'D883FF29D8834DB0843D488388D39F258A31E7231D6D133178091D8F58917E8809661803F4A3A6313004667803B1B2AF37E0B332408370F0030E82012A4A8561300448708570B0816BF8833BB00266C82E61EA886F31BAE0B08BA8388D9DC807A14049E9';
wwv_flow_imp.g_varchar2_table(18776) := 'C0987B60085AB0055730B54C483357C88437B3052E60862AF2035718837EF8836708B55460866F010073F00364E0B354A8A64A982A5040836B30846BE08224520764F0C55B38B572F0837F60072F50075078054FB00573308454300702CC9DC2A231C8EA';
wwv_flow_imp.g_varchar2_table(18777) := '27D1DB311A73005D680312F83C53C8837E0C03D7F3410030852CC88259980384E40458988582C00436780453C82781FBA0CE3138C6890A0C8A08FF79588429488337E4C834600255E88C8FAC15C49B08EA010F77A01E5DB11766138776800771502EEDD4';
wwv_flow_imp.g_varchar2_table(18778) := '9C88282EF1FAA9B30B077548876E68AEF9A3A970D0CE9F7A299AE22EF1E2AEB9648770582373F0A092088E6CF0035B58114318B69F1917C4D3495B60885B184F1B4C3C38D822B9B498D019A75B18945BB0856E308761C01E623007664805C04BB46CA04B';
wwv_flow_imp.g_varchar2_table(18779) := '35CA0462F08359930B02AB864FFB879F9CCB5440867EC806576006E9A487A4521E57B00575E8064AC9867B983F75C8849EA2C0C1C29A7B0A3DCDB4B1776B830BF827C45A2CD1732C7E52803BAA3740BAA3750BA8D94388DA33287BC8BD7B581BB2C19D7F';
wwv_flow_imp.g_varchar2_table(18780) := '08217540843A284E00A8838DDC03FF43300AE54B0D36033C5720867E7085E7A2847FB80575E033E72186686887B95307624834E589B1E5E22E9A3287B57A2EEB2A88F854549DC2AE978AAB867007EA6A8739238959BA834465871A848765720543700710';
wwv_flow_imp.g_varchar2_table(18781) := '73057610075B68A17E280778C8047570072FC886044BD44C40CC1B3A0A57E41701EC8813F3085B0095BDFA9ABAC91EA9D1B0FB51087C8197C8CB4D82DACC3B0AA8456A887E5AA43BCAAC47888786F98788D414E02C887A00863E40CE3438D34D88067AD0';
wwv_flow_imp.g_varchar2_table(18782) := '074AF13D6E1B0677A0856A5007F94B070724BB6EB8067550CACF91C17678866E780675E84E093AC91073BA0F1A52FF53B1E02012CF5231A488063F90A8868DC670B886B4F483FF6788065B58276A3C8A7048857940557180074FA084B9038054C829D491';
wwv_flow_imp.g_varchar2_table(18783) := '167E90CB15E107B8B90B09823E396145AB2491BA098E6F799F5E0200C6808EA8809BA8D0920F0A8E7F281895C5D5B3F9077358D6C188AC66DDA3C74A32CBCAD201708081A314A2ADA0DA79CE74810760A8054FF85A001805605007087988AC0131667806';
wwv_flow_imp.g_varchar2_table(18784) := '077385FDB2364F785100B8060CCD065B78066A7C0650200678E94EF689318A0C1721B2B849C99B9F791AA20D1A3F188654F0034FF084F4FA834CE82A7EA0045AE087FB1487CE890634700343900B5A00055AE8874C98078AAC27FCB40EB6D921568C9DB4';
wwv_flow_imp.g_varchar2_table(18785) := '319BAFC9C1062081672DB222132822EB88A6052445922C7FAADDFF2BF542478A07BE9D0771C00721B95C7B4997C119888A7810DF099D852086729806711806E889D50E6A2BEDCC06661286708886A17C8674C8066A045C8FA117AD385BF9198AF7A12A16';
wwv_flow_imp.g_varchar2_table(18786) := '350443B085518B5FA8C29E54C8D31402804CF8034F30077EB8856C208631D3876E3C235C3D5D2B4159940C1D7960033660CD0B98830B6083D793E00B60CD86E8C20986E01C2B083698E039C882101EE1D7FB1F0B0E837A6BCDC0C81A83CB13AA505E8F50';
wwv_flow_imp.g_varchar2_table(18787) := '1C84E0913A8CDEC0C81E82031DAD94A0D2C956E5C90755E18710C2541EBAB8A15A0A46098E371A4079300781508776201AEC52D97EF026F1E252CFC02913A18774C08DA135DD04AE9123369097D107E2F807FFC1D01C7C38D785E007C178E378E052C028';
wwv_flow_imp.g_varchar2_table(18788) := '5D7BF88799B0877890E338D61C8E2856C090E3DE4963E3459C84D85AB3E92B0DBBDAD2099D93741F12F308BED51CE9839D8B0BA2EFF992938C94A809D8A3C8062B1A1D509C30316E1199596044469793B463420914BD223ACBC9A0EDC043361AE4E3ED88';
wwv_flow_imp.g_varchar2_table(18789) := '43268A733390E2F91726EE88EAE0BFC11D65526E23205A99734D9C3B2C6381000C662ED688285E5BFEAC1846DD612666D5D50A24419153BE668C09E3B9781A94ADA47B01E65A6E145CEE1B60EEE6FA0918A4E143FA59E799096332DE1771DEE44DDE3873';
wwv_flow_imp.g_varchar2_table(18790) := 'BE656A2609758EE713596096B5E67F2666021C8D309622A0C107E39D1C95545EA68C676E8619FF82A6161C91E8C0A194729887D7716829F2BF5186E89A21AF90663ED10A6931BEE46FA668D2588835B2908228A695F6086DF91466A35499EE8858D1699D';
wwv_flow_imp.g_varchar2_table(18791) := 'C669D250169BB01588683ADB19EAA1309684A0E95A496A84698A62610B687996A886EA68F9125C29895769959CBE899D0695A0066A4AC56A58C969AE5E95B6408868F969A45E16D5B0895A396BA93E1693501035695D84B8255CEAD67F21C786C02B72C4';
wwv_flow_imp.g_varchar2_table(18792) := 'AB36E96992D8EB0C715E61951D335112C09E6B88385E25D60E7CB8900BB913E4806C98CD0E00A48BCC46E0D69D1D99558A5B758FA358DD04566C1AA1EB8428ED784EEDD5886CBA46ECC43EEDA4686D3BD98D8BB06D03E96C8FC86DA6781DFFDF0C6CDEFE';
wwv_flow_imp.g_varchar2_table(18793) := '6DD7D9ECD7D6EDD7F64DC6E107DB566EE356128B961D65769D5F9659E71E8CDD5E8A042908E568972596656EDEECE05E8A19569419AE91E8106DC7BEE8929987D7C88B82D0635379EFA4C06EA4408CC1E6095F7A0D9D0D0D9F904A9D350AA2108FF4B818';
wwv_flow_imp.g_varchar2_table(18794) := '5EBAEF91B04AA4B0EF84D825F6EE0860F2A5A4C8A59DA516ED06EF0AB7F0D31D0557C870B1652B0ED77084F87050180511EF46B11571102F8851008057588A5770F1171F055CF80519A7F119B771192F095C00001DE7718F70851F07F21F4F0516878859';
wwv_flow_imp.g_varchar2_table(18795) := '4B0810C3AF9118B98228F19170855840886E0C853402856E4C232B71BBA180F284182BAE84882D57B07F6671FC62715A68DBFF578805345FF15818AB84E0C0D1800084908038478804887308A073A4C8F3829000A698803F07F4096801150080412F7442';
wwv_flow_imp.g_varchar2_table(18796) := '3774432F8911F0880990F30D00800DA0800D90F44A7F018460014C6F884C7F0000A00000E8F44F07000D408807D0000AD000534775554F7552EF748420800020802F8174000881A4D0800DA8011C28881A000016B8F48208F67E89811428F66297816457';
wwv_flow_imp.g_varchar2_table(18797) := 'F66567F6642F081938F61400801800001880086B37010F00331300006E07003003B36E1F8D11E800722F087337F70E2808755F7784E8800EA8808270F43EF7081040881150011720F47C277492D0F77FE77780D7F7927001207001000082820082214878';
wwv_flow_imp.g_varchar2_table(18798) := '00B801848801FF1EE00187E781888F011D808161C7F817D00100D0F84B07F69067819107F94CFFF58E3F798F67011C08F6912F885BEF9315608A8907801D580200E88182C82400D879823E020020028408FA8208FAA1078022287A20287A0030028427FA';
wwv_flow_imp.g_varchar2_table(18799) := '86470A0B00000B60778820F40E00017567F48600011088F784707484F8F38E20F4AD87084647FB8208F8B5FF77834708831F02853F78A7877AA84F816047F986D0018E4F086B9F7600D0011E40F917E0F584600114A801144008C5FF754D4701935FFC15';
wwv_flow_imp.g_varchar2_table(18800) := '40810D08810D20F516617C00C87C00A801C9EFFC9228FC8260821EB8F982D8018029028448FDD42F08D61F8A242802D887FD2348FD1F307D20687A84387DFFA057FB82B08186DF01A8DFFD701F0A462FF773AFFAAAEF8872677E00C0FA78FF7AE78788AC';
wwv_flow_imp.g_varchar2_table(18801) := '0701B32F7E465F7B0010788460781788FB82F0FEF04708424FF82150811D90016FD7818E67FF6AEF088CEFF84B1FF6C62F0816A8814C47FCFAD7FFFAF7F5FD0708002B50D40060F020C2840A172A2478108540861211F2D0C103894124172F2E99E8F123';
wwv_flow_imp.g_varchar2_table(18802) := 'C8900092144932B2E410924952A25439E42442223F10023908C4851100450000B1D1C2A00D9E3B80ECE00960A6089023007440D85424C30E4B9D2EAD60F0E955A8065D181CE142C508B05C0D0E99FA12808A832A5CD4449BF0858E17050DBE38583761DC';
wwv_flow_imp.g_varchar2_table(18803) := 'BC307418C471702E0B1C350812645123B061FFC4870FE3606110050E142B0A125EA175215F0092114E0E69F9A08E25A17930D1886409921E0697F4E898F0F3E5D807779234B833A149DA3A47EE3EA9B2C811833315BA286A1BA8C19F3B863247E8E1F2D2';
wwv_flow_imp.g_varchar2_table(18804) := '1158657755F81404800AD20F4A97DA74FB768469D77277E17584D7B46AC70E5171D63D5B842FFC02A8A1632EC3BBF2114234ACB9FE628901D6974435F8554341F85167106CB129081A001D5D541A0FAE21B1436A4C30F8E082D4D15612883A05675B6E47';
wwv_flow_imp.g_varchar2_table(18805) := '8478506D0805058341CCD544445B000475034F411D34D4705A613555870AA5655553D849341D54448EF71500E87DE55E5A5CA9605C7DFC41185266F539E697635126E4970E3864D6E542FF5C1ED4187D0B3608550D96D1809F0E1AAE669011A71DD48346';
wwv_flow_imp.g_varchar2_table(18806) := '3DF6A89242B58D685070251D87504944244184422C1E141410B7190483714419E51C751DB8709D9DDC1D04028FD62D482477EA5567504D362A741F81005429519909CDF519445A6E09265EA69AEA250EA956BA60AA4CB456E10E1DA1C65A8407DE3AEC42';
wwv_flow_imp.g_varchar2_table(18807) := '23EEA4E8414420AB100836D8F0220084120A6A4ECF0260C4503D664AAC8F1D4637E48E168C600158E2B9A01A6881FD75AA5D7C193A11820665395894EA66E6A5483AF0852F00B51A64DF47FEB22B9B7D4CF0801013BDB6080046076BE9177DF1D2C0AD42';
wwv_flow_imp.g_varchar2_table(18808) := 'BA1994DB41C6F6A613884504BAAC412918644242444C0BC00D31804A31CBFF7662D78190D22DE5DD419C22C4A354079940D86308CD95200AFAE2F5EE5F5116E41887063E682B66A9FA5B5F63F4B63CE6BF07E96A91684CDC501A6B4B2CE1F0D41F9944A2';
wwv_flow_imp.g_varchar2_table(18809) := 'A27D6E5C320047980CD50E275F4B540B50A2AC72D8DC4E30295415D8BCE943045966D995F575791FE10A55C410821C22EE2A484A179825CB103DC8574706F370D141BF1E2C66DD97ED992C7524F394E39F00C86D90049DDF7AD665572825D2B63C4B0D00';
wwv_flow_imp.g_varchar2_table(18810) := 'E43A04CDA145A53E36A0424A0B662BADB0CE3AF8470622CD326065D61A5A68ABF19A70D6560FAC7AC567D304238C2BC778E3C6345EF60000E053BFA0344C6DEB91190AAD41DD764DBDE00165FFCDBEC2F1B202E0F0E1FFBA076CE0F8534F6FAA689C17A1';
wwv_flow_imp.g_varchar2_table(18811) := '831D2C330E631AF582A3C08500217B2BE3091062E4369DE488741FE14042DCD03FD56901005B489F19B6B0A0ED78EA2F03F1994006C321B051CD6F2E1C489A5AD517C56D3036C23308BB52651C5D69CD2006ABA14440F640860C07083FD85EB450C63DA8';
wwv_flow_imp.g_varchar2_table(18812) := '70C00308780310A9B78A5B61652067E2CFECF48710FF08A40451ACDBFF26F24383384C5F6E72D3177BF48399D4440648D44A13E398C6CB60EA23504C88EB10923EAD2C05042AF040520E7242CB045221676A4CBFA274C539323256CC2B63231978C4A39C';
wwv_flow_imp.g_varchar2_table(18813) := '2E213B58A3A864233A84DC31921FD9DB419401806D6C2321E03848377A049B151412240EA99A276309C0FF83E0CF87569325103789CB9084C72020E8C01710420D8380638A14DB40484EB04887204886BB1C5FAAD6142B48524D9635F9C1506C902DD3F5';
wwv_flow_imp.g_varchar2_table(18814) := '64582D3094900070877F3C73222308E716D0D08883AC2F21A3A8442512B1CE0E9DC0231B384108EE89CF152073219FA9673923890383192C80898C2451900884B885CA272103000C7E221B16B5200511A51B39031A15850453225BE8E0F8F279901320D3';
wwv_flow_imp.g_varchar2_table(18815) := '8A92D9CC093850CF150054A3406CDE00BF86CB85FAC4A12D70A87A5220D105EDF42031F09E4B1952C70E9410003E188212723084A326B5A939286ADDF429117EF233A840740D423002803146B2053D5DC8374100039D0280AC998C4D0A5406877E58FF75';
wwv_flow_imp.g_varchar2_table(18816) := '2256310890F406B3EC6CB09FC8CC674B13524F921AE404CA6C2BF584D0118CB846A65CEDAA4E234AD614980004BA7CCE737C0903BA5187AD80852B5334DA4F008480AA7F6590403E7BD90D2EA128A9E94866D018CBB186040206C1606447EB32AAC4B29F';
wwv_flow_imp.g_varchar2_table(18817) := 'F9EC67550D72CF91AE00AF79956DE7BEA621268451A3184408045C2B3EE07608489FDA656743E0C5916EA0B77A8DEE6F993B2C74310C00DC652E058E1B3ED76AD74E6F05652437ABDB7A864021B62D2FC5BCE8B0D6F89085E54D5D6CE11B9B0EE8ADADD9';
wwv_flow_imp.g_varchar2_table(18818) := 'CD403EF3A901006440BFD4534D71ADFA135D1AB8C121696F811D5C430939F874EA957042F89B59F462B8C30B4ACD6B4AB048C07AC003FF1B08AF8753AC62EA79CDBEF0E5000524B00119AFB8C6369E1A0DDBBA5C8450E0C63EFE716CEC2B53FD62C70430';
wwv_flow_imp.g_varchar2_table(18819) := '30328381ACE42533B9C94E76723D101265FDCA6322F4783296B3ACE52D73B9CB5EFE3298C32CE63193B9CC663E339AD3ACE635B3B9CD6E7E339CE32CE739D3B9CE76BE339EF3ACE73DF3B9CF7EFE33A0032DE84113BAD0863E34A213ADE84533BAD18E7E';
wwv_flow_imp.g_varchar2_table(18820) := '34A4232DE94953BAD296BE34A633ADE94D73BAD39EFE34A8432DEA5193BAD4A63E350062405954B3FA23AA6E35AC3DF2EA58D3BAD6B6BE35AE73ADEB5DF3BAD7BEFE35B0832DEC6113BBD8C63E36B293ADEC6533BBD9CE7E36B4A32DED6953BBDAD6BE36';
wwv_flow_imp.g_varchar2_table(18821) := 'B6B3ADED6D73BBDBDEFEFF36B8C32DEE7193BBDCE63E37BAD3ED6B0B4CE020164008BBD52DEF79D39BD2EF8677BDF1CCEE7BE7BBDFFEEE10BF27C0EF14FC40060BFB3799EFDD6E8420A0AC3FE801BA76F05D845367E2DAE5B742F68D10839BCE743DA824';
wwv_flow_imp.g_varchar2_table(18822) := 'C5B50272D9C63B21026F77C91722718F873C360FBFA47761C08224CB56E01211420B7E70D69677A807165C710A84B0739E7768E41D6EB7D0894E318973DCC5FA75AD0C646074A55F66074258F98ADBAD1AA04A7C0737E8C1D0A93E9135AEF8B8221399D8';
wwv_flow_imp.g_varchar2_table(18823) := '87E57407EF38ED6686B9DBD36C8E7200C01C7137333DE8310F005C19217BBF3BE0032FF8C113BEF0863F3CE213AFF8C533BEF18E7F3CE4232FF9C953BEF296BF7CA169750039CCD7382E38908B6472CCF9D193DEDF9A478CA9365F7AFDCE0581AB377080';
wwv_flow_imp.g_varchar2_table(18824) := '5EEFE0CF482D8BB2BFBDA391F9DB0BE35EB69BADAE687BAF5DBF72D6BAC2D7AE7401D0CFEC1E5FB67FBB677B9B2F5B114F97211B88BEF403DADE00EB560322E56CF62F1B617307040021F904050A0000002C7000270076013D010008FF0001081C48B0A0';
wwv_flow_imp.g_varchar2_table(18825) := 'C18308132A5CC8B0A1C3871023327C2143A2C58B18336ADCC8B1A3C78F20438AEC8802800918022B8E5CC9B2A5CB973063CA8CB98103C1142863E8D439B3A7CF9F40830A1D9AF0644519376E105DCAB4A9D3A75009AA54CA33AAD5AB58B36A9D28102580';
wwv_flow_imp.g_varchar2_table(18826) := '9D31B68A1D4BB66CD01766D3AA5DCB36640C956DE3CA9D3B174658BA78F3EADDCBB7AFDFBF80030B1E4CB8B0E1C388132B5ECCB8B1E3C790234B9E4CB9B2E5CB98336BDECCB9B3E7CFA0438B1E4DBAB4E9D3A853AB5ECDBAB5EBD7B063CB9E4DBBB6EDDB';
wwv_flow_imp.g_varchar2_table(18827) := 'B873EBDECDBBB7EFDFC0830B1F4EBCB8F1E3C8932B5FCEBCB9F3E7D0A34B9F4EBDBAF5EBD8B36BDFCEBDBBF7EFE0C38BFF1F4FBEBCF9F3E8D3AB5FCFBEBDFBF7F0E3CB9F4FBFBEFDFBF8F3EBDFCFBFBFFFFF000628E080041628933DF5E083CF3D00D8C3';
wwv_flow_imp.g_varchar2_table(18828) := '60600F1AF8143E0D2AB8203EF63818615B1B1A84CF3C0DF2638F882272F48F8418D593508766D1D3503C2A8218913D03D128A340F3DC78503CF3F0180F8A930D839112560864850F5628E18312020D614591096D01E4605F7001C030141E948F8A701054';
wwv_flow_imp.g_varchar2_table(18829) := '8104004C20C1040A551026990641908004099839E5637F28E4A21F6002D0010023D829D0081DF079509F7DEE89909B065560669E6FFE45840986C809C01F12F869100877AA2050A00321AA27A284965981A489EAF503418D26E422A40BDDA910A27CB63A';
wwv_flow_imp.g_varchar2_table(18830) := 'D09D2014FF1A2A60A31201002200A878103DFF40AA29002AE4A982AA0DE5F96B43AAE61928A6320161550DA82501C01145C465429CA6F60A6C071D0CFB6AA6DF2264ECABC106ABA9AA77AAEA2DA52DB930900A2EC00B800B2E00E12C0E0241AB910E2FE0';
wwv_flow_imp.g_varchar2_table(18831) := '4B500D680D84420D2CF85B706AD43695C24230B4C030B608E91A29A5C742446CB2C35A6A9005DD026081C732E519EFBC02C53BC40E26E08B035A38A82C51CBFD1E5C434935CCACEF4035F88B030B02E9E0D80A34AC609111D226512D004647E52C004B17';
wwv_flow_imp.g_varchar2_table(18832) := 'B4C3D271D293CF412AA2DA41AC1C8DA0B1401F1364810564A249AC9E5DAF64A9D6C0E2292F00030BE4AFCF3E63A42FC106E5CC336634109477DE0BD9FF9A95DF7E33E4070052532D9004B0326B9194080D5136003908E4C3D6788E0D52AB1D634E79DD2D';
wwv_flow_imp.g_varchar2_table(18833) := 'EBE0AF4538D42C100AFE0E2C33664203B037DFAAA73ED006026D10785B32C46003007EF453B841A74E4C2CA2AF18544942D4ACB3CE2A923B3C4A41728CF30500E7D8B9F9E376627DB546778E102BA55BABE095CD6E03D0320E3AD4507EDC0CE12B3AB437';
wwv_flow_imp.g_varchar2_table(18834) := 'AF5033B4777FFE18D00309ED3E0035B03E10DF0C5070C3117E339A00AB7504001C6D2B0F80433F00303583546D2020D0D41A04123C82208378A35805F2D6C124774D03171018C81504B206156C2E269613C8090956339EA140072F7CA1FC0A82BE82D0CD';
wwv_flow_imp.g_varchar2_table(18835) := '66256101C176063F9721C6870259C1FDFFEAA7900D6800001C201A110A489084250D2807740802DE20107E50ED44BE1B08E306B209550844180251C2B19421104F4C30720471C128FE010E0F00601EE36844DA4296107725E46638F3DC40EE0200A5848F';
wwv_flow_imp.g_varchar2_table(18836) := '7D37ABC10A06D6B692CC70313594081E97488446FEA4691A7900000C40450058312112D8DA9D12A10C5CFCA28CCE00C0F2004046836C631472284829016086E04903174300809482F5A783684120B7E408D6C0058041CEAD24A6C323007CE6959E0DD36D';
wwv_flow_imp.g_varchar2_table(18837) := 'A1C3DFE87A5992CD08B397AA4BC8218B50C022488B9A06344B252F499007418A5B0231533004F28B57D4C282B848864154B50E00E4127904A904280AF28A4E79A920666849B74080FF9641FA327533631B0E6776489C257366AEEB0BF90AAA90250C8407';
wwv_flow_imp.g_varchar2_table(18838) := '895C08FDF007AD6406317602592241B039138709C4A31651A02577F5A83AE1A9021394C52771510C81680317425AE7BCC0F92E77752D4F1FEBDAC714A7272615E44407C9063C33320290BACE7DA9131A21A1A94C1AB64C5F6DFBCBE722DA101D30E18E4D';
wwv_flow_imp.g_varchar2_table(18839) := '4548E8A0450361F260204610CAC24C22110E78C00309ACA241BC09805D9269190221C62F723110680C4416002014AB0A62811170CC840221930AC4A6A98F8DC09E0951E746B2172B3726956D4C65A63F9769BE61DA4C7D171D0C4315C283AF42F4AA1679';
wwv_flow_imp.g_varchar2_table(18840) := '1F45310A002430C50403E180046CE210D4A675A408A1134D0130410AFF0E6F130050452580A1D892016AA65EB39405A6C7353D5D0A516303C742CC908D8D600D76B0836C420B5292D411929001CDAC5E361B111D2CC1BB3EFB6A449800D0B9E94B036125';
wwv_flow_imp.g_varchar2_table(18841) := '821166E71337024002A86DAB405210AB1480148203E9126C0F12A7D9E6121065A8421500700681B821218A5397DA80D5B509A0897A76FA583E01800B814C58207100C0383BA2310F84E022FF6CDB10FFA22FF26184074CE8AC40520C91670A132D4688E2';
wwv_flow_imp.g_varchar2_table(18842) := '4C8A291013D4B705F605004E5A40E3AE98C061FAE5A641FA4B903C01622062B08218BCC08501BBA21115386107EC08B2587ACCCA03F998150A7B298348299F58B83000A8B8865C66C403D0DDC00A42B0E615A8F9FF0442FBB09BD9FC61A63633AA7F4928';
wwv_flow_imp.g_varchar2_table(18843) := '7713C283EF0A440800F02C13A86AC368AA8E6F7CAB33D38282E346D3B8053600E97D05C247184020C809F9A67105C2B832DCC1D36EE082171E25DF057BE2BD95C0820A2A8165000C414A12889C191085653416E4965BBC35004688BD82287A0327004008';
wwv_flow_imp.g_varchar2_table(18844) := '4EB08110C06ED8C28E9DA2B5EB97658B6FCF06F92A8B05E25000F4A0CFE87BA6415CC7B7156080204490714F6C00C98838EC0D27127241885C902FA06120502248ACB4C72D44B9A0125BF0C1AE0F9227C7BD6B9DC4E2582D4100D83CB10B231430627409';
wwv_flow_imp.g_varchar2_table(18845) := 'B27063339CCD025976333983842520A1070E5D82781D32D120E2B1C732F1408E01703B81D840053BFF40B90A4ABE90042E50219A3E081CD60007FDE2F7B803A92D4278CDB5094329953B2DB2417EE52D81EC322263836E418ABD90624F172170E60B4025';
wwv_flow_imp.g_varchar2_table(18846) := 'A2831E08A4E2A55D02C68D293E6D0B246838CB2A1285C25A10C080BE7C3408C8C73E66816489BF9B56082826088208C2AA208CDB82BBF2D96A574B8E207DF718BAC2152E76A5D0211D40ED068A7D44612F1C008F6FC80982FDE160F3E5031AA9E8414CCB';
wwv_flow_imp.g_varchar2_table(18847) := 'E241D72C749F03DAD3230BD61DFCE0690A71D80D5A7083B146A44E1400000424E910F7228492405DAB405095D72E0FAAD4F4F67DA6043EDBC08EC0051F1B825FC77591A35BE46A14D08011EB3CFD88670022965FB8E5F9D2F8BA1DF3C454D59FFF424EF0';
wwv_flow_imp.g_varchar2_table(18848) := '81080040031B6788EB6F0E110AA81600B47FC0EC113E4586F4B70315C0BFFEF37FF00A38FF77A55610DC622665432616500168525C164129867711B63710B48711F64318DD8711718375A665550C1134DDE66B02C1001B115F0D117B6367130B072614E0';
wwv_flow_imp.g_varchar2_table(18849) := '0126E510B1876E0BF14DF6942E766226AA4228C4E27C10743D1680830798573DB88057733588E51015B001F3477B1AF00018A0011150819211021AF0014BD8115A07001627511C388104913AE6C7363BB00331D0026957140791800CE15E2288441EC001';
wwv_flow_imp.g_varchar2_table(18850) := '2660021E90860A4101143045B9175B76B27F33F82A4318110777101570804218840C2888426826FE7788D64383F9B7886D6526B1FF8288870800097044DFA68492647EE677445D58101910029DC874D7271835106C1AB0841FE66C16516D818610797354';
wwv_flow_imp.g_varchar2_table(18851) := 'DB37101100820C8000116163B64810A8858307C17A26E7513250113A11302DF73AB8A7220D346477881002277C10C12E20E02666D87B79753D160189FB778D098180B3F7000C2049DC080011B08902F16D08716CA415710A3510500800A618117443107D';
wwv_flow_imp.g_varchar2_table(18852) := '466D54D5710271021F063B1A00820411811261762D102B3CB61040703B40B0038B168724681014108173886EF5C00FF9708C04812A84927FF7F4107D988D0511891DC1318A78277B581009C08DDFC88F03418E91115128E910A4C3029E73300FB5112369';
wwv_flow_imp.g_varchar2_table(18853) := '116B681290561028FF576E0451902E609000306905410121C410B1474955149116820FF5200F00000712D00217237429A43D0711410477952A709559F10049087F490882E1A8894C787EE0C8844E6818E9074DD7A701A1C81084466DAB18115D09810661';
wwv_flow_imp.g_varchar2_table(18854) := '630A415F2457103A69103B009466157916517F52333519922100F023A5227B7532940321018CF95E8F59108E991010002695297B8DA9988A79999C69992BD81204000001401004109A047000A7199A8981791EF100A8A87024B89020214991F95E6BF880';
wwv_flow_imp.g_varchar2_table(18855) := 'CBE41306B09BB8936E02619887190FEE000080000871609C72709CCA699C80F007474610196611CE4910CDF92847E69CC7699D711027C6899D10E3117C00077CFFD0077C700700509EE40900E4699EE3799E7DE09EE7A99EE5399F77C00700509FF7699F';
wwv_flow_imp.g_varchar2_table(18856) := 'F859107CE007F6E99FB83318B8822BC86808DFC9117F303806BAA007F19C00600891909830B76E02313817617300500D02D140C07998F0D01340F57203518704015424FA0F347222297A15220A1A2D2A102F5A182DDA400A922128FA0F3DC29403D14E06';
wwv_flow_imp.g_varchar2_table(18857) := '110F4C190F2E22133C3A101F3AA4ED54A4F1000F491A0FEBB0A44DAAA44F3A2B33F17604A12000F020BAF2468649230D72103AB212F410A6618A233D520F61FA23674A383802232EC2236D3A0FF4C0235F2AA53D31350C92A50F41A5740A1A11B9A7B9D1';
wwv_flow_imp.g_varchar2_table(18858) := '402CE2A7511191846A21109194162291825A19FDFF10A310D1A8900AA942A16EAA010F967AA9961A11988AA9ABE10E9B7AA910F1A9963A9C3FD10F3AEA1A4C99AA18A1AAA77A1A1F7A10ADEA10B12A10AF1A12F4E00EF440A957CA4D24BAA8A2F10F96DA';
wwv_flow_imp.g_varchar2_table(18859) := '0F53A3A803E1A8BEFA19FCD00F960A917D7A10BD7AAC9EC10FC90A0FF2C0ACC44A10C60AAD9BA1ACD54AA809A1ABDA6A15FB3010FBF0ACC59AAD1FD10FC0CA94CDFA12E01AAE1DC10FE3CA102762AE20D1A8D4CA403261A7D89A10D70AAF2BC220F3EA13';
wwv_flow_imp.g_varchar2_table(18860) := '1DA2AEF9FAAF2B51B00381B07281AED2F10F10BB140B64B0ECCA110E1B0EC3400CB52A10D5D0AAC3F9AEDFAAABE82AADEDDA1153930E00B04053F30F8A1A21DCD440202B110E1B1A3F221459FF1006E40AA3EBAAAF18A10E42E222FA901030F00014B003';
wwv_flow_imp.g_varchar2_table(18861) := 'ECE001A90000EFF60C03910ED9C000709A82FD20AD0741B284EAAD9634B5C90AB231FB10F9D00FA0E022499B10CDB55F0641A2A43A10B38A1BD1D3004051000401A4FBB00F14CBB316E10E7D105690400F416B100B6402B600001E100946600BF250056F';
wwv_flow_imp.g_varchar2_table(18862) := '3006FFD028568202FF400B00A004AE902B08710F662AA6417AA50381A705710F0F220F3ABAB60D91AC7010A4CC3010E6600B91000FC3594986E00AA96002E62010ED00B906110D301A1CEAA0000A40146D400FF830B700B0B30CBB10DC20107B5005E9A0';
wwv_flow_imp.g_varchar2_table(18863) := '0F7DDBAF3B00B95CE00747700BC360029E9000FF0007B86225FA50057EE00563FF40B906C10FEC0000EA2010E7FB10E9A00EB30B00B38BB200900EEB3B10E9BB10EA7607B430B6DD7060B4E009E1700D91A00EB740A40481B2E160108CE0769ED00E8BD1';
wwv_flow_imp.g_varchar2_table(18864) := 'B5DD14B333DBAFD0E3002B01B7065100032010160C00023007573AAEF85AB11251AE763510E590B505B1403B6008B71000CF4004B48006046090C4E00770200F014001E6900061B101F06B10F9900EB3AB0E28DBBE0471C2E56B1027DC0EF0C0C0465CBF';
wwv_flow_imp.g_varchar2_table(18865) := '0391B90B0107492C108C400FD93006C450BEE9300D9130B6035105811B5406716A66C10FF720A21DE2C0FE8AC2DD441012794956C4C6233AC103B1C177ACC10A81C10280C703D1C703500005D0C70391C102D1006D600FF9FF6045212CAC12F10FF7F00F';
wwv_flow_imp.g_varchar2_table(18866) := 'DF50C00AF1061CC001D0EB0A63300D00900991900986D00F99A004B6C005FFC00F56700D0901C5F12B10283BB90010B8EED05CCDA5CA0B31BB936BC40CC10F99E022F3840CA990BE91701004DAB400C0C98F8B06D80000DD8010C30C0F8C20A17EDB1450';
wwv_flow_imp.g_varchar2_table(18867) := '5CC50BF172683C10C450B900700BEDEBB3AC2C100C220E55DA102F77BE142C100BA008197C0900D0BB0301CF023100025010BDEBC10340CF855CCFF36CC87F3C07284A23216C110BC420636CBF0E21A2731CC1D710007FB00F7E3038819B096366085C80';
wwv_flow_imp.g_varchar2_table(18868) := '0C5E900D8850095C302A45E00A4910BE00E0061E900E4A800C6F400991200EE6B0B109B1B6336BAF56E40ACFFF9A0F0C6C16A910C10721A2C340D1CC2C109CDB5C276C0BB80B00075CC4041CBF34E2D2CE6ABE067101FCFCC700100673300B6D400208A1';
wwv_flow_imp.g_varchar2_table(18869) := '08B300008F200017400261B0D51770014F3D10881CB4C9DAC819110AB7020069000DC29BBB05B10F8ADAA253FB205F0BB2E9D00E8D82061754BE65000AFFF00C4AF00F66ACCA99F0061E802BEA6008AF000C02410177F00588F006E950D4186145819A10';
wwv_flow_imp.g_varchar2_table(18870) := '2F5ABC63B1CDA0E006A0200EB02C1163CB0C9EF00C909010478D2D1A3A10639CB4C8400B8D92B4F3C4D9C36BBE0A90CE023107510D00FE0C007900008150109CE0CE73F0086E8B09028109E3B0C702D1C1280AA3DCAAD304C10F40B5087B4010EA30AFE5';
wwv_flow_imp.g_varchar2_table(18871) := 'FF7ADD103BB2564BB296B4C89D0B00E510035F805A47200EF0800688F00FCC7004EA30CC5C100E7EE00965900AD2920EA21DB87750095E3094D100B80301C11BAA11742C16C35C10E43C06031C11B60B00A090C00391C43E1DC500B0CDE6F90C8D7241C3';
wwv_flow_imp.g_varchar2_table(18872) := '30C0126A08525CA2EABA40505CCF8F00001E6C10A6900502C109C45D10C94D025BDD0BC20D00302E10B0000B897009A6C0DB673D22594BADD69DDB53930B6790060431050030C90831B572DDAB1059AC0521C7032124E600A1661C0D68609E664CCE0050';
wwv_flow_imp.g_varchar2_table(18873) := '06E27007CF70BAE6F007B4700B111AB831900D3557054CABE08D8108660C000DFE109E6B10A000BB9EA0CA66FC07CB7CC002C1B435DC0DEAFF4045879B0EA930E114AE567E2BA2D15310FEDC06BE6D1038EBC15BAD0B05C10600600A839005B38009B300';
wwv_flow_imp.g_varchar2_table(18874) := '0B323ED58A5010D23D22906AE41111B4ECD007A035107500A30C5287EDA0221FCA0F0C2C0F1F3A9CF7A0A3EC100EC349E83B2D1027AC10E1500EED7BC2BACCC5E520BFAE2C10ED5BE209710D6A6EAF0E94108CE00A476E15EA0A008E5EDA4A6C089574DD';
wwv_flow_imp.g_varchar2_table(18875) := '0361CB2FBACDE1900A1744B99E70BEB400B9CD75222E520E0C5C0EE7ABA1E02AA2BBABC7C00D00186CC1FC6CC1161CC81C7CF0506DF0787CF00571D6598BDDD4BAE0305A0E7DB0DDC82B1075D009089109CD9CDAF7000AEC500EC34C0BEC900D815B0E42';
wwv_flow_imp.g_varchar2_table(18876) := '220FC410B83175D306F1C3D3FFCE0E3F8CB2EC90BEF00BF3C62C10370F00EC40235D6BD965A410EA500E8E3E103A9FEC71F1ED06C1D4728DEE6ACBB9297BEC124CF54E2DF002EFC77B2CC80401B75C9FC1702BCF004F10AB2E22030D1127C2BC02E1E413';
wwv_flow_imp.g_varchar2_table(18877) := '890EF310EE04E10AC8C00EAE900DE9700DCC3E4FC4E0B43EAFB12AB2CD00800CE170BAD72DF508D1EF533F35F5900F698CDD2B4BC7734E109920E603F1DA802F10CDBCD96BA1F90BC1F90B7B0FF490A5BA72AA86EFF9D77CCE796C1108EFC71B8CF00341';
wwv_flow_imp.g_varchar2_table(18878) := 'D60601D0443EADD52A1141AB0EB150109E000DD64C10B7C0B4CC700D42620BDDF00CCD0C00499B0DC3A00ED7700BCC100EFD70F994CAF4123CFD8D0A112E92B970304FB6FF000A165A0E2F47215644E8CF50065464FA8131A3872F11D33FC70B11B156D4';
wwv_flow_imp.g_varchar2_table(18879) := '4E0DE0F5583FF0FACCC10711C8607FC7AECFFA0001A0804000050BDA33C8AF1F3C79FD0C3E8418919F3E870FF5457CD86F983883D93016C466CED62D71C80CAABB160E00BF8F2D5D7EEC571180CC97119915A405D113C448052901C854D0564DA2458D1E';
wwv_flow_imp.g_varchar2_table(18880) := '459A54E9D2A20EE93D0C73212A1BA917E65C606330CB55365BB166013027CB050060C99A0510350CD839104D0188375321439649F929A4699022447BFF0CDEAB9BAF60DEBFED0ADEEB578FE962C611E9D52D28B8F164CA952D5FC6F8EFDFBEBE7127F6FB';
wwv_flow_imp.g_varchar2_table(18881) := '37115F3E99FFE2D9EB67EF74EA7FF84E238CAB3A9EE6B8ACFFFBB28C0BF7E15C79908FC62CE8F7EE70C2070D16C79C5CF972E6CD9D2FEF9B17DF4A844D21FA05FE915FBCD8D8792357CAB2B8EFE7E5CD9F479FBE79BFBBEA57169C9E70A13C00F9ECBBC7';
wwv_flow_imp.g_varchar2_table(18882) := '9F5FFF7EFEFD9FCF7DCA3EC9FC23B040030FF48F3CE6429368BEFAEE4330420927A4B0C2A2787B70C09A14B4B0430F3F0471B27FE0792C44134F443145CA48E4E71E155F84314619E191F128866E9407471C0BCAB1461FF9CB31481BE9738E1F0D5B52EC';
wwv_flow_imp.g_varchar2_table(18883) := 'A1A73C54ACC97A9E04C049289334EE472BF3CBC7C82B2DBCA74B2F23F2D2C52DC724B34CC6044453C3348F34B34D371F7CD325345DD287C3382D2AE8A23BD313734F3FD5A3479E400110B4D04003ED93FF3E79FAAC70C9A2E881345248FFA41445CD2AC5';
wwv_flow_imp.g_varchar2_table(18884) := 'F421574629289597362DE8154E1BBB65955B4A4515235C7E59B55556971B06A25B60040600615A0225155D33C5E895A170B28596576279881657F6834082041E4A4059F44000C102680188B6056A55A0F6A511B02D8A820D00F0D65B004CC008853D3160';
wwv_flow_imp.g_varchar2_table(18885) := '0003157FF8288614DC853705A362B8415E83C82D085F8CF4C5AC038C4600C002000026183F200038F8E0880E76A1081780783862845D9818E29678D0E1061E788881871B748001E417441619001D001879E4316B80E8E48290E00100240A3262665E1F52';
wwv_flow_imp.g_varchar2_table(18886) := '7861228030E260220C6257297F3F1ABA686AFD050180A10D9AA08287269080328A237241FF058A1F7649E2822C3E0A8682403639069363D621E61F5730376D83D0FEFA211E98D8C1A01E422CC2A0BAEB2E086FA476FEF9A5B8B78E1B881D725E6A68800B';
wwv_flow_imp.g_varchar2_table(18887) := '3A9CA8114058DA20A721AA8071A500BEBAA0ABB9B57C088A35E7DC85CE3D570188837F48E105AF317AC1E4D44DF63AF5914346D9652B45581B85150060E1A1B297E061891D9680198925E6F6B0882400A83B09E301503E89219A47FE78008CD0BBA0BF0D';
wwv_flow_imp.g_varchar2_table(18888) := '121D22186CB001E1EB1FFA1EA9113A189FB1F211FF57E9C907665F856DB73508DBA9B79E1F8021B0E53A221C70681B231D52F7DAC956672596ADAD062B38604498B0B182F04E7873031EF0CC769EBE11C57877FB48F2EED6BC0B1EA1FF2540E8DE435C10';
wwv_flow_imp.g_varchar2_table(18889) := 'B7ED75CF068343A1E0088714C339A7038C4B5CD1CA37C3C6112C710619C1D4AA0680AA51CC6A10ABDA106AB23FFEA14E7528F3D3ED22A203264050783163821100B00499F500092E4BE0818E27BD8770D083764B42050D62AFEE090E7900E8DB0D4020B6';
wwv_flow_imp.g_varchar2_table(18890) := 'C1E1AC8D8B399F732A104788DC70608D0300E61E72C3C3F53087D812E2D4EEB7C2C514D1470534CA02E1C6042430327806F91D1525A43C007CF17847C09B072F1846E4556F8C00105B1E0B42042916E406378088189972BE11B4F232D8C2A34B04569059';
wwv_flow_imp.g_varchar2_table(18891) := '46847C44C388FB1EC22D3DBE44763773C9DB60363C4746F177300300C60060C80215C18398A40C2ABFD7338310E16781FF5365526E59107F516C0B95E9C0E3F6A8141574A09CDCFCC8E1DC27B01158A095B144256562C6CC3B31E1648C2CC8DB76303364';
wwv_flow_imp.g_varchar2_table(18892) := '4EB120453C99CB7040030028313F75FB62255B524A9780C006390302290B72BA888470728D9343419201805F80827D38ECE54B94400D7078C20A8BB925F9625994A5D17132BFFC13CB62B6B105626C092713DE302994500BBE445F40C09B350B62518435';
wwv_flow_imp.g_varchar2_table(18893) := '66A5BF28C81400A08C60E09087AE444A0E00B00C0098618E767C09089CA6556A6D357291139F654209CCDE41B107C06364EF20C2840379923241EB1BE1B8874A7C7180029569AA1E00B00700D802A91FA99FD0F4B352A594CD64C03CD9DB68FABB639A4D';
wwv_flow_imp.g_varchar2_table(18894) := '763CA0A7FF7E787A94881232291EA00004200080CD564615CD68494831220D8C744088FCB925B64C800273D500052C7B6D4D0C9B4C60BAAD890FE15D6E0BC256B6FAC7AD1F5C1851B2F9100E448DB30F79C3526401005C6C14234D25AC51A80A008F3266';
wwv_flow_imp.g_varchar2_table(18895) := '0B66D00253521A11B4199428300566641B0837262613BCF9996C52801034EC596FA82EF10007002081E2C2F12548FDAB8196B193C524AD20B633574D5E1BE0DA1685093758823D696B90F3EE89031E00C0831F3C195C34D520C378150094105DF59CC320';
wwv_flow_imp.g_varchar2_table(18896) := 'C965611E416002F912D8254A746D815F02C5B79D5577BBCD94074C0061CB2C3722F805400E8C6694FA4175314A80C8362C2302EF1AE4044556714D16FFC8BB059AECA6136C709C28AA5D8C88E1213D598C68939351E6DC2E04DF4AB2FF0C72C022365991';
wwv_flow_imp.g_varchar2_table(18897) := 'E55564A660602F7BADEF2887DBD6E3B46C100B546002951945230A9288468C420E6860CE064E1082237FF9041B4072980BC2021AF0AF77BF7CB46329652D18B4A005951E0C73CC69CE5A16650D98B98216BED99C157CF9CB0038F409008068001019C02C';
wwv_flow_imp.g_varchar2_table(18898) := '2B41816BC0E8583F99AD13D4AD78CD44D482B460ACCFD9E6513A008882F840CF3FCE8112929D8321B8943221F808B4C1AC68EEBA0D0AB86D6094EF0483293707601C7E881924B0068C5E6131E2440FB40120ED41539BBB28384109540D3C7FDAECB0EEDE';
wwv_flow_imp.g_varchar2_table(18899) := '8F16E470381FC40100809880545D70D2FF08A93B22EA9E36BE5B22842A4EF17BF6D40141156E9E2D00799706195A0E7CF010C949280305D980C127FE11E2BD8CC1131CB979965681CE56405A0FE9C004C09D720FAD40070C6FA0F09888729AF7DCE72FB9';
wwv_flow_imp.g_varchar2_table(18900) := '1DCE0B72561D68FBE7C9A9F3D1DD343349F25CE9CD312E443A60017FCDFCE9158A99BD8D7EF5CA3CAE02FE1218D8A7CEF5174992ECCF897A38CFEE239CAEDDED3F671922DF7E19ACCE79EE1EEA815AEF7E996E18641B7D070038FABE0D710879EF875734';
wwv_flow_imp.g_varchar2_table(18901) := '3E866327C417A84B106154E3253F79CA57DEF297C77CE635BF79CE77DEF39F077DE8453F7AD297DEF4A7477DEA55BF7AD6B7DEF5AF877DEC653F7BDAD7DEF6B7C77DEE75BF7BDEF7FFDEF7BF077EF0853F7CE217DFF8C7477EF295BF7CE637DFF9CF4F4A';
wwv_flow_imp.g_varchar2_table(18902) := 'B7A13F7BB1FD7AFAB6E7F6F5732F7DEDCB9EFBDD077FF8C53F7EF297DFFCE7477FFAD5BF7EF6B7DFFDEF877FFCE53F7FFAD7DFFEF7C77FFEF5BF7FFEF7DFFFFF07C00014C00124C00234C00344C00454C00564C0065CC07872C00894C009A4C00AB4C00B';
wwv_flow_imp.g_varchar2_table(18903) := 'C4C00CD4C00DE4C00EF4C00F54BA9203C11124C11234C11344C11454C11564C11674C11784C11894C119A4C11AB4C11BC4C11CD4C11DE4C11EF4C11F04C22014C22124C22234C22344421351A62464C226243F16D0015D73C20AC101B99BC209C99D7FBA';
wwv_flow_imp.g_varchar2_table(18904) := 'C22DE4BA2353350030312E34905383882F14430209394143B5553B436F046937413B01336C430351B51088B5359C430239010EF8428332B53CC48F0D2881DBF9C269FB16320444F450B541DB808FD3802F7B440D48B844740F91A3C44BC4C44CD4C44DE4';
wwv_flow_imp.g_varchar2_table(18905) := 'C44EF4C44F04C55014C55124C5523445A58BA81F109D9FA92CBE69459FA9AC532C8F1D081FD00B080021F904050A0000002C79004800690185000008FF0001081C48B0A0C18308132A5CC8B0A1421B0074987048B1A2C58B18336ADCC8B1A3C78F20438A';
wwv_flow_imp.g_varchar2_table(18906) := 'ACF8A2060014116BE85089A365CB913063CA9C49B3A6CD9B345510442950250A1D3800E0D0219028CEA348932A5DCAB429C117004C0ED4B142AAD3AB58B36ADDEAB4838A113B6BFC3C2976250E1641B9AA5DCBB6AD5B83603B08F48052070AB1525F464C';
wwv_flow_imp.g_varchar2_table(18907) := 'FBB6AFDFBF8065CAF53A91E70A002B50DEE519B8B1E3C79019820530B967E2C478518AC5518385541E91438B1EADF6AB090F004A28D44CBAB5EBD7494118447918C561815561EBDECD7B6465822206DEB6DDBBB8F1E3173924BC8DBCB973E4B205A2D870';
wwv_flow_imp.g_varchar2_table(18908) := '98FAF3EBD89BB718683DC40AEB004E00FFD870620362F2E2B3AB5F0F197D88F2B8C99B0FC1BEBEFDBFEFC97BDF10223FFDFB00068895060299C75F41070AA8E0824A9907407F05FDC7E08414D644E0401AD07761851C76E8E18720FAB56188249668D103';
wwv_flow_imp.g_varchar2_table(18909) := '1A3C20D08826B6E8E2411160F0808C343EC0C00311BCA8A3871A30D0638F333280C18E4496A82200290AA4228B4536C9E1010205E0E494545669656FF40090A5405B5EE9E597608629E698649669E69968A6A9E69A6CB649E23C6EC629E79C574A205002';
wwv_flow_imp.g_varchar2_table(18910) := '024960279D7C6E6541057D06CA955C00102A10A00875D0C16F82363A12A116382AE9528B56AAD3A498DE7429658542A697504D22B1040048F080447629B470435B237C65D0A5901AFF7AD4A609B146105F242E011A413D9C5A6AA90ED1B0020D545E2A1B';
wwv_flow_imp.g_varchar2_table(18911) := 'A308016AE708B28A54A94084B6BA10675605852B883A30B12B00DBEE302AA94535C41C004E20A623AD08A9600500910E01C01656341B53A5CC8ED02ABDC80E54AD5043050554B813EA302A130421A1C3AFDB3644ACB9B9E1669589E72C24CB2802692150';
wwv_flow_imp.g_varchar2_table(18912) := '2595552AEF468A124A280819334BD0612675F6F0A7D74664905904B160AE58FAEEA6030F4BE8D0C3B7002CE12BB7001F540373C4FE8CD8C37E4DB42A57B838B40EB4820DA4A84222BBD0D36204D550C3592DA12590BF16ADC0826D30F74670CF4830E12D';
wwv_flow_imp.g_varchar2_table(18913) := 'CDDA8E6D145146094483D0032D1C580BA9EEB0961909F533503C3545FF3A90DF9D22348251B6C67CEB505325DE7341776146166F56F160B6D965DB6D70CDDC8ECD44CAAD6D07116F16E4E0D1088033E4020AA83D4C7254D29D34150C0AA6C592CA3917C4';
wwv_flow_imp.g_varchar2_table(18914) := 'C4A963F3902D414C5C6D10B1E3F645040036789E919D0838B5744216B88BD30820331655E39ADDC5BAE1067DCADEC3DA12B4C3ED4481D6FD419C0B6B9C9D1CA0BF95577291EEB4BB7FE084EED4AD9BE478EBD9B76D9F592A09F4EDF8D9D2DDCC08A63F6B';
wwv_flow_imp.g_varchar2_table(18915) := '91866E1441CD40149894565920521B5354A442D7917AD1EB591A614C62CC251D1CFC8468EB29E054BA2739DE854F2063E3CD04D2973E8398200513611541440680E81C653B05BACD6D8273900D560F6ED7B34FCAFF6E33BE81886F6DC6F1800253201010';
wwv_flow_imp.g_varchar2_table(18916) := '30110430D84E0B60201B2AC6002716901AA76498101E36C47AAE730E5F38B735FDE9AF20341318B7C8F81818CA662220806314998843260E04762980010C2070147BB96B4F0BD9585282A71009218636C7490F63CE98115D610E36510400EC702890E27D';
wwv_flow_imp.g_varchar2_table(18917) := '8E782D281E005295825401E08A3411DD2822E5022C08C479088954BEDC629EDB84006CCF498F487A50BB12EAE6920AC9640CE8B69D14C4000270D05B43C6A010410E2111570080142C0600531A849902B1C02A6BA2224336843EE4611C217B332E97210E';
wwv_flow_imp.g_varchar2_table(18918) := '23A23A152D0562CB9E38C604501C880AECB6CE76EEE052BDEC640C19381040210A217110C816E6A7FF10BC0120088D680400CC802C811E449031F1808334309FF930A43CF0618F2C59C7C8858C4A54FE2B6754D8F81718BC108ADBD965413AC9101020AA';
wwv_flow_imp.g_varchar2_table(18919) := '021D0054B34661061F0C04640319413E09824A2D0AC49F660802414407CD8254C6862391CD7FF8E3D00285C0410939C10A942A9EA54ED438DBDCC8CDB81540D9E1406E7D81000528C04700486003E9F36241628890E445F35085BAA7206585AC0A808574';
wwv_flow_imp.g_varchar2_table(18920) := 'B2DAD30408424AA680C00376CA50861244106B1AA43A1C7CAA896AA63B1EE00A846CF96A5795D4550A7875038EF50007E85910C71AA0899142A96607A35910100AA505194C0D3B201B4001D520A5BB0A081C0B802331A921E981A85F4D2439C9FF55F42F';
wwv_flow_imp.g_varchar2_table(18921) := '94050005942301E959243A9B3D69E0547A5068C986B485F2EC710130817B56E04F7F42685208E45A19112447AF1DC851B1F9A01685939CA451A07224AB440F9C863B0939124140EBB4934AD721C815C85C0D92D2F82EE5012A5A92906654900DE5882121';
wwv_flow_imp.g_varchar2_table(18922) := 'C8C051052CE00C8D473C27788F827AA5B3814126069704650CAE28031E90D521CAA96741402B977B7EC4C304018105DE4B133C0DE44608F9EF41662B900C3C88C0DA958F8240C88384FD65073BB8A4DD04F20398A454701FB3EF472C70DAA4A8B7B50C18';
wwv_flow_imp.g_varchar2_table(18923) := '4906B24B9FEFAC4035F5814A417016D5B5B800083B00024470A991C536649A30E1274E50A42400A838292C28010A7C9B9D5D81C6FF2825F10B108E4610C966D8261090409EBBAAE7DE10004A52428A01927C590030C0AC024A517639F40740C40F397DB8';
wwv_flow_imp.g_varchar2_table(18924) := 'C352F8E0070050DAD2F7318440FEA069C0549A20337D7452FEF10F81909A37FD10A69CF4411056973A53B08EB5AC674DEB5ADBFAD6B8CEB5AE77CDEB5EFBFAD7C00EB6B0874DEC621BFBD8C84EB6B2977D957EECE320CF66B6B4DF928FE7F04329D59E76';
wwv_flow_imp.g_varchar2_table(18925) := '4C88310C835C234BE110083B42920F7E98FB26D7EEC73D08728F6B03E0DAA53687AE97E71C18A823866F004034000007009403000858F703EE9C915427051E7A0B77420CF1EA90C083186E600699C6E10001384739C3EB92402E1B8E0C7F0100B1C8483D';
wwv_flow_imp.g_varchar2_table(18926) := '465E0F9C645B1E00FFF8B42B06A2E971BB0100EA00C9309E217100C0A34CE7708003AE63846E33F00D7E20E6BB0160882A9441D5164987D271E26E81A00100A0008038C2F18648B8221300984626E40D135B000019024945C3C76471E3DCE0162FBFE230';
wwv_flow_imp.g_varchar2_table(18927) := 'E090EF819895B507293900CC316E81B843DC77574ACC01B0F248D443E1E206002344320D00D0E21A350F53B417A280B5E86D1FDCD84819AE5190B10BC40BFB3E88C60F928A8114DE26AC36483A06F26F81AC9CE81E91872106AFED8AC089167B50C52600';
wwv_flow_imp.g_varchar2_table(18928) := 'F00D8C207D20B747083DD2B177833C7D2B4D0780C143A28F6C9369F18D2748F2073200B76C021175A848F035528FD257BEF5367136641A5E88A6ECFE2028EF34FF64724FA7522F7EE78ED9C314D8F28CBE18DF20E49F5401005076C7D4210D4DA2453764';
wwv_flow_imp.g_varchar2_table(18929) := 'DD7CD1EC211200B07813D279E28010EEB02EED877D31E17506B109D5A00FA15721B7C08009316E00F825EF671F89D72100387D0A61790AC811B717812142090C2180213813F10720F5D00F282710F89082B1B66E3258833648243478833AB8833CD8833E';
wwv_flow_imp.g_varchar2_table(18930) := 'F8834018844238844458844678844898845F92834A7810F30027639225F7200FF440859BD78458D824AF300AB8F00B5DD885BF30105FA814B75010DDA61BC0200CC0900AA1D0794338012DA01371A8027408002A00022AD0026026132ED31C4906004312';
wwv_flow_imp.g_varchar2_table(18931) := '8440608784A8138348108678658A08045706008DFFB8880EC10331C00330A00330F00296888997481450A1039828659181581CB583F6822E364588A748108F788800300462C610952849441103E1735B8D71193F0346B958653728352EA01397320460A1';
wwv_flow_imp.g_varchar2_table(18932) := '025A34042E608CEE728CCA888CC7488C40A002EEB203326002A0B810B1083B9EE88911518D8E611B6C4616DFF8835AF48BA938108C5810BFA88A83E88A05013B0521659A08679C080050E18EA3014BE362358815843AE18B3E2510C46887E9F88BAE688C';
wwv_flow_imp.g_varchar2_table(18933) := 'E58810B7C5896CD31A5541320EF93310D990109985E8888893E18CE988909CB13514618B7DB18F14F965073119D2E28801E902E344103AC032A0C24D21C91172214D8B925A05C18A553310A35D58100B09184101922F3912A0D432D8038B91E1913F3913';
wwv_flow_imp.g_varchar2_table(18934) := 'AC61122D01146C646347891D7BD81056D31376A13FBAC3334FA91E24561044533DD73233489495EA1195DA5438550146682496ECB19523831040A4386A3925F71397051110000021F904050A0000002C81005A00650173000008FF0001081C48B0A0C183';
wwv_flow_imp.g_varchar2_table(18935) := '08132A5CC8B0A1C38710234A9C48B1A2C58B18336A2478EFDEC68F20438A1C49B2A4C9932853AA5CC9B2A5CB973063CA9C49B3A6CD9B3873EADCC9B3A7CF9F40830A1D4AB4A8D1A348932A5DCAB4A9D3A750A34A9D4AB5AAD5AB58B36ADDCAB5ABD7AF60';
wwv_flow_imp.g_varchar2_table(18936) := 'C38A1D4BB6ACD9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EADDCBB7AF5FAE3D9620192878C9DFC3680513446218B163B0487A00501CF8B165AD3C9664CE1C7847E31D48782061C203C7C21534565C5E6D94B36481A105EE80488360EDDAAC73';
wwv_flow_imp.g_varchar2_table(18937) := 'E3DC4CB047E6D0831FAA06701B37F1E1BA93C7D40180078FE64C623369DED83442D40355AFA801A08671E5E05B32FF2FB839B46200E3A703306D5DE08AED0491879FAF12077B819B9768369C5987FAF1388C479F432358205007430CA8118001AE070069';
wwv_flow_imp.g_varchar2_table(18938) := 'FBFDC6C40DE31926207A387057906ADFCD67A08115E400160B4DE9D0A040A6F1409A7F2ADE60D87FA41DA4E1861D2AD74107060290A38220D957837DE43151198BE831A79E40DCCDC8234116547063824B5E7461428669F6DF83034D19A54139EE08D60A';
wwv_flow_imp.g_varchar2_table(18939) := '28D410260B3590090089627687C24F5A72A7838A03F507DD40D32919E50804753042056B8599948904B5D79C0E4B10FAE6833C68B9259700AC614641583CBA46552700205F562B3EB7DFA18B2AD4C1404110A4C55425005042A5EEBDC7159C843D3799A2';
wwv_flow_imp.g_varchar2_table(18940) := '4B6EFF81900B9F1A8423002DD49A54A900A0EA5E58854D46A7AB282E2907451D80906C447C1EA86C4E976EC5180083697A6186512628EB44CF4A742308CDCAB48140A56E176D5782F5F79C0E00FEA8209E78B6A42B4CAAF96A295ACEAD78618D6475E064';
wwv_flow_imp.g_varchar2_table(18941) := '052038E525C0007820C14B27ACB0C10ABC8A25A84085A277E45AFF02C0E7BC2279791288F33E0080060F680040C81E6B10C140229F7CD978D3129A506AFD861B2E494E82ABD2CC00406090C7119C2CB24011FC8CC1C73F53841C72DC95C0F0B955692967';
wwv_flow_imp.g_varchar2_table(18942) := '41309F55819329D56CD2CC382734F4405B2334AE44216C506908D9018042B959A100EB75FC82A53100B52ADBED463657DDA497090C14010308A9FF4C9276686F50C2D75589F9E30B0FC715AF402DE03A420B2380B03848188334F74015980000053B8F8C';
wwv_flow_imp.g_varchar2_table(18943) := '92D2F70EC7420924320DD50B02C1F0A60E30D8A5B30410C07EB0CE47C91E7BEC0A11B0D201060C8440581A149D10057EB305C81FC703F2D41F04C1C1C74077F4B1921F04F141BDF55CF98108F37FF5D34F55DF773A903E07852F3E4AEB0C448F3CE713C4';
wwv_flow_imp.g_varchar2_table(18944) := '7EFB2FD1330F00F3C36FFFFDF8E7AFFFFEFCF7EFFFFF000CA0000748C0021AF080084CA00217C8C0063AF081108CA0046B62BE095AF082FD8B0600E001005BBCA17D0268C05038281043D4A3826489462A30A28E86306320EE008F3A14A080A0EC432067';
wwv_flow_imp.g_varchar2_table(18945) := '700300CE608E7EE4E32C2B1C0825FF4CD2C22DD5B027CFE8832A10A1165A008011FCE8064AB2610B003C0300C300803930D8107A0C64116E29A2492061881642A2125C7C88476241906C28A81FE403C0FBC0E3808208A02005C809223691C60182F1321E';
wwv_flow_imp.g_varchar2_table(18946) := '01000ADB7744A09C210D02D9441D06F28FC3F04337557462450600803C0A250D8B444C2A1AB91A8F98831D17B1641F07A24173B4637CABE164558061902A00E01A8719E22851520B0010E331AE986548E2C89A47EAF297C00CA6308749CC621AF398C84C';
wwv_flow_imp.g_varchar2_table(18947) := 'A63297C9CC663AF399D08CA634A749CD6A063390D6D48D3CD6E7456E6EF39BDCF46236F5E2BD7146041703F9052E7E61CEE48040052D78A75D34D0B581900D00846BA7418000FF001714C1054000A840011050820E942C3A78C19A18B2366ABA80A00829';
wwv_flow_imp.g_varchar2_table(18948) := '68410532D1AFA8664D33428176165ACD78B940050FEDE7473F2A10170CC1A40F3DA94A517A5293AA0008FCFC410A5ED03AADE8204D69D22741540000158C60A43E0DA9405400A58154140043E0E9510180BA82349429D8EA4E7CEC544D9FFA140093EB67';
wwv_flow_imp.g_varchar2_table(18949) := '49793AD29E0AF4A3455D48E2A09224B3D5003E683DAB5ACDB5569DF694203F154852BB8A90008DD529C35993E9DC9A90CABDB5A7F102A9526D6010FBDC742A1A520D55F9DA103C75C0A716C86A41841AA8812C5629C331CD65190B929A1284A377458A86';
wwv_flow_imp.g_varchar2_table(18950) := '94145ACE8A443524D2AC890EDB94BD9AF6217E8D080BACA303B53B6D1628AE7DED4324BB108E22C952662208B1885256DD5A24B60901D34507A2D19C2625B7C66D6C442EEB273571A7B4D1954BA9344AA2EC2A2420000021F904050A0000002C00000000';
wwv_flow_imp.g_varchar2_table(18951) := 'E70165010008FF00FBF5E307A0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18336ADCC8B1A3C78F20435A1C28B2A4C9932853AA5CC9B2A5CB97300F928C49B3A6CD9B3873EADCB97326CF9F40830A1D4AB4A8488246932A5DCAB4A9D3A750A34A';
wwv_flow_imp.g_varchar2_table(18952) := '9D4AB5AAD5AB58B36ADDCAB5ABD7AF60C3A2442AB6ACD9B36859F64BCBB6ADDBB713C9C29D4BB7AED9B576F3EADD6B152FDFBF80030FF52BB8B0E1C32E09235ECCB8F146C5692B010887CDB1E5CB227DBAA505E01F66B086F818B4975417804110491BC4';
wwv_flow_imp.g_varchar2_table(18953) := '568918C8614221A71D658B66A471FDDC9503C068A238CF9F231602C0EE6024600A29D1531829661800591E158C8790BA4179ECF8789E62B2D636CECD6FCAFF9E67F6DFB3827E00246B29CD56ED7B15A33103808F25A878F6549F755530153C007D8803C0';
wwv_flow_imp.g_varchar2_table(18954) := '7C0645A28E41E5C006806BB138E252228114845A41E7FC134E41BA58A79F41705C930D1C00E8F310679998E3D02DB8EC76214E9AA525503FC0C985D23F6B0147948D7079F6A242F029D4CF3E3DAEE4998DA41589D73E1B6E3464430289A88F882CCA7816';
wwv_flow_imp.g_varchar2_table(18955) := '3FFCCC531F4CF52129E54341AE54CF5CF8D4F7A53EF9FC83D43DFB00500F3E5F1E344F9740A956DF5AF1DC63A73C693274A5417926F4659AFBECF3248B70C159533FF90C65275D50E69368417B320425941DC903409F0FED13CF72097966CFA37C169424';
wwv_flow_imp.g_varchar2_table(18956) := '56B20567AA42915294AA78066D5911A61811FF840F41A38E7A558BA73205EA4D8B16046846BD02E52400A4EDA94843A661689069BAC072D02CB0400BAD2ECD52ABAC2E93CCE1597D451A646856AEE61ADC3FFBE0E8D53AD288AB2E534928A1C4134A2401';
wwv_flow_imp.g_varchar2_table(18957) := '2F00ED3E7150193CA181901716A17187BF06B9A1AFC00010EC4641681C5C50190AAB8446C20F17C4C71DE92164C61A179B0180C61A1B8485411703B086C823972CB2C81D1F8C2FBE298DC185CB5E70113300337754050037DFBC2E560F70C001053F6FB0';
wwv_flow_imp.g_varchar2_table(18958) := '814D1A2060C00147337080D20C20C000442FA060C2D452A3E00107572774B5070088D0920722700DB6D856A3C0414225149476093EFBCCB5DB61732002DC72CF6DF7DC0060BD81077BA3FF00C0D65677F440040F3C0040E1084400400409249E784608EC';
wwv_flow_imp.g_varchar2_table(18959) := '0C9501942360394314C41003479B170443E72D740E510F5D6B0000061A681081E95D47A403103B0040FA0EB1D77E43413BDC907BEE09D980D2ED00D02E3CED0000BF03E942906E831000A450900D3FD820FDF43BD840BBF5D8E76EBDF006D97083EEDF27';
wwv_flow_imp.g_varchar2_table(18960) := '243A4667A32082D7609FA4F84106144480E43CBD5F500008B5AF500226BC0083093000C03FFFFEDBC8F82812010CAC0F002F60C14478403A06DE40060F8C200064008018000F26DFCB60065B70030E3E0F002DB0410A5AD002215840082D701E09410800';
wwv_flow_imp.g_varchar2_table(18961) := '1BB4A0852D945E068B07C182A8F08200E89FE70EF2B98B0CAD206DF35949FF3260B4F6C90F0091831F50DE774483BCCF0004B05C027EC280A79D0E00AAB3880E10C20319F0407C3CB8410CBAF8C59ACC502137985E0C6158BC365E707C1AD460F31E5890';
wwv_flow_imp.g_varchar2_table(18962) := '01C620743904C9D0F62892F5355189413100FDEAF7C7CB05050300C84043BCB690B36D312A033408F0BE27031968AE929A8BE4432838BE1EEAB02986732220874280411624890799224E5E40010010008A05F980E9107910C54500028AB36242E466B817';
wwv_flow_imp.g_varchar2_table(18963) := 'E0302A7114632687A9B98868F22031709E49CED6488D4C3194F61BE5424A4913CAD52F29EF3BC0E914E990F79D000027084122018002059A6E9225C9E44AC21783FE7D3221676C483B0D52CC6286448106111AD00AB2FFCF1F1A446E79B39BDC06CA4866';
wwv_flow_imp.g_varchar2_table(18964) := '46C069D2248A290F1200A3D9449D5C3BC8110779800C7C607DDA94682243C0CD7C9293032810E60445324C1EFE850319105A4A159981B351200314D8004C5BDAD182B4B49540F4E8D3EC87CA8422C494701803336F928068BE8499EF749F414CA94D5A02';
wwv_flow_imp.g_varchar2_table(18965) := '20A30679DA07B078C5A7A60DA4392C261D3112C7E26DCE9E06496A4864D083EFF5C0774BA1402BCFC65694B615A7354D8822FDB9815002C0003DF5A942AE01805454031970911F0254294AFA99527E88545A4190F6B4D4B16EB189DC80D73E774C8BC413';
wwv_flow_imp.g_varchar2_table(18966) := '78FDCB240C7A58C7B1F6808210A92C4C84F6C3A1F2B3A51BA0C0033250B884BC1400FECC5B478DAA5784FF10631A0A71050414C2816A64C3244FB41F6D291203136464904C742543011080F705C07EBA2C8801A21B558450569D199163F130FB49E3FE72';
wwv_flow_imp.g_varchar2_table(18967) := '2EA985AD696DCA01A1B934942F5DED4B675A5E9B0ECE200840DA7013FAC25FFCC21010A19F21A27187FF4444411121824194909132B0CC200044887117B250E54AB4B9CD6562E4320A55E56AB37D91D3C0D98CFB394E868FAB38FC706703083CD14A7277';
wwv_flow_imp.g_varchar2_table(18968) := 'E08B5D474CEC12455EF59F891C6A7B158253D8CE8D028A5325756BCB5C00280300BF88842A9A819065702121C8E014446E511C0018012240A057120A42E08354E10812C117175E60918536F18F0E26C0D2245AE1833C0DA71C26A69A8FB9E636D3D3FFBA';
wwv_flow_imp.g_varchar2_table(18969) := 'DF6D489CC5C2D27F6E806D5D03E84077B938331791C73BC4C5800EA28A5FAC27183DEEB107760380DA2C04149500C518DE508DD825E1400D496215F485650048C1205CB84342F0AB107D8D41AC00D86D9795DA90A369F49409F15B56EBD839B02E84980F';
wwv_flow_imp.g_varchar2_table(18970) := 'B1358BE189E2DD7105CFB0CD27D03620C47F32136C0A3C9F7BE10B80A721E095F31D653400808B5FE0A2189F20324254CDC46826B721F27B6E5E17928A683CC310BF05117F00308C371CE4B700C02F8001108D2F54D0045903402BA9C9E01E9BB2C10AC9';
wwv_flow_imp.g_varchar2_table(18971) := 'A6985F79D78648D6032FD0DFE6942911D01664CE264DC1822FA262965452232948413B276E9008B48F9B7303363F73CACC3D1FE47CE9FFE3678ED707DDC811DC7DD15E57350A625F00740200DE0886A01B02F041021CCCD32402105CE18A5400201BC801';
wwv_flow_imp.g_varchar2_table(18972) := '00671654906B7443D4EC06F5B4B3118D23730002CFF6B7289D5B4A303311E808F932FB2E4738347399CBBB0E6B674D0CD6EBB633ED35B1F544369B43CA8A1100CF3C68E4D20600911724B605B15BE04DAB6CD9E2FDA0EC43A228E11B73C955820F9F30C8';
wwv_flow_imp.g_varchar2_table(18973) := '2FFAED6F6AFE3BD13F752584F94D3FF981C21CD54802BC2733687A03C01CA0387D42320100646019E8CD65758FF9FD60CE4BC490CF349CDC109E3FFD5510BB0D112BDD1932E7CC0E45EE12A1FBF0DBB98104302E021E8F40E11FB27B207A2D6C79FB5BDE';
wwv_flow_imp.g_varchar2_table(18974) := '546B90291E94BA047FAEFF83019984640CA31100E04215C650102EF8C113CC48056131BF50805B8400024E05EB6D410C5A44C2E8AD571017920AB8C510491770049080DF86791205760CC15387F74CFA76365CB3602F5052108143A055492286810A816A';
wwv_flow_imp.g_varchar2_table(18975) := '3C817C11A17CD7B56009A04B8AE4352FB6108C1478DA777D79C377AC45384884788CE77206D1783B73335C6005346310FCF207CB957811403F94134A60665743686507F16907716468E0054560103AB31053E865CA955CC8C5804AE5800B2145CFA76F40';
wwv_flow_imp.g_varchar2_table(18976) := '035053134079241117A4435C86109D637C1FD810A41313DAC510955487B7665287A34BED733E00955308313661C302E9133630E85E30453839F63407653FCE5570B5FF65055E5006FF523047166F6B78106EC00507E30652F003058165072303FC22022C';
wwv_flow_imp.g_varchar2_table(18977) := '13017E30064A70070406072CD3798703000256104F7610F6C28453A6109D66799967581071445E28587DB63E6BB57B0A548629F00229F04922B810F8F4452F005ACBF86609B10396243B14770365456B135487753867F14487DCB859C81811A8B401C936';
wwv_flow_imp.g_varchar2_table(18978) := '78D977721E2088ECD83528A76789F452ADA45AEB73400E95685EA82E01C07E006005065610EB07009E9879015310FC5205C6856FA558109E5871BDE4830479577F6457ED7340099180F3C3854BA5911DE17C86A35E6CB58E65685C19B7592098100ED782';
wwv_flow_imp.g_varchar2_table(18979) := '08665DD1A8100EA710BE26670511870F57562FF99292FF0471D6250330C093C7C87009D13F8057100AC45630167811F537EDE88229D752E36453AD745016D98880E62F703089007007EED6103F7004423552342902FCD23038591077605CF998833CC710';
wwv_flow_imp.g_varchar2_table(18980) := 'BC187B09617F14315F8AF300F308442209002C30353F798913516B30F00209594162645CB5468723551067777605615C638335D9C77107C16526A092DB776B5B051126C993E3F8867C6910190550769335F8B48E06919484D83A0D115716295DE3975040';
wwv_flow_imp.g_varchar2_table(18981) := '406AB6E00968909409017506E90106600808C04C1464020C576320B239095006F97844F3C79A61377E1096911D81918A571034785AF318928168027969101977860D7171060198FDE38CB2B33953FF93595F654C7F27111E604199B46032F59405A16A07';
wwv_flow_imp.g_varchar2_table(18982) := '919E70C743E22803401994E9B8787E185085C7488C649DEBD882018A1035A68404A9834A84A006D182CC445B098053CC8400F46338496454400745CD356E0CB8801BC98B25913809603819B05B35966715689D1CF78C5A859295D493FD035A14807D97A8';
wwv_flow_imp.g_varchar2_table(18983) := '8C22F58639C95B0CE10111856BE5456C05913E7A16381C4098DBD5709B2503C8B8994139719173393DC54C8CC40285886022806F82887DA8094433F552161939ED039709959638213FEF43A182547997D7961C8911D1455835565A0A81A224A9719D7377';
wwv_flow_imp.g_varchar2_table(18984) := '07C18D14848C3AC402067594D7C51091043CE39510BEA939ECA439FDA3407969776FFFD74396A493DBD9A23FA910A253574A4800D2977D78631057BA8E221988DAD7A901751034A55AEF1539CEA696AD09683501A6C61976F5677B6A9A1146A58812D84A';
wwv_flow_imp.g_varchar2_table(18985) := '42A31029679DFE4392C8F892F574A73994A729C003CEC39DD8873E94254F373A4FDD798C28793BC1F43D6104005D14621F5671314041DC8999489A023C19AEC34741EF54A104F00005553722208878897DC886A5576A97A62553F3A848EFA5AAAC9A1483';
wwv_flow_imp.g_varchar2_table(18986) := '748F8AE7729B97A65A07A66B694A61F88A50D948CC24A578799DCEF3933A146775D893E3F802A4D971CDD33F00E481C8044F9D03411424AD0831AD1FF640A433ADEA399F05C19DE1884040895D5C43A105673F4689358198AC9EFF7A9A084150FF045389';
wwv_flow_imp.g_varchar2_table(18987) := '645784A5A1F91A140130B4ED634DD285830B28A63CB750465B104AB85AFC94AB30C6486003A01397713C995577A78C23C5711E675408F08C9E439E15C4117668A8260B4F263B4C6E077CBFA7B19F030393AA76086410EF55B44EE933D7078884083684F8';
wwv_flow_imp.g_varchar2_table(18988) := 'B7266A6CB0955A3C0B9DEB633916AAA08DC18F4F31B4775539AA9444C9C5A11331B443AB8077653916D94A76258F25AAAB8B89A2D8F9A2CFF33DB6864B5E4AA63978AEC9F87B6FDB92176141C1B41022FBB6B4F655D5288D9D75716A78ACAE5B415CC6B9';
wwv_flow_imp.g_varchar2_table(18989) := '4AB85679B37BCA769A7E9BBC7BBB676DB37D757640CEE6504DA4B88B7160FE66B9D89BBDDABBBD96CB5CD9FB11C6FF8957140AB418A18095039D84A58443336341E482EC8A9781A93FCFE870B42346FB337294634D4D8B57B0160126703B16F4706ED46B';
wwv_flow_imp.g_varchar2_table(18990) := '2956C031F910B5133CC163C0BAA3C0091C3B202BAD69E4460EC13BDC283B68F5702FE0339C7B4067733EA789A2C538C25D834F259C35851734AF3583F0A538F7F83EF7E806A5D21895781982254511588F27A84AB6049DF3589751A94AA524B00FD13E58';
wwv_flow_imp.g_varchar2_table(18991) := '73C480B835F9E912499994339B375983C48E2936DA7710345B9A8E2911AD7538F2E8B4A45A38068ABE87DB531849C4EBE2195200914A51055290C606690552103332E3695500C76C5C85140189050189105989EC37065F00C86360BD0D812F6AB0300503';
wwv_flow_imp.g_varchar2_table(18992) := '000CFF53102EF3835EF069712C339028C95EC0C7957CC97A8C10B6A9C935216A5B0900EE2630A20C31A35CCAA4AC2F096396A0EC066FA03009D3CA0611C8ED9710685006B58CC80CA12F0A21C8F666106570645C2033C27CC96D8C33FC5210B6602B8B71';
wwv_flow_imp.g_varchar2_table(18993) := '0FFDB01CF4A0644C61296A721DD28C109652CD12210FF4700FF5200FDE2C0FFA6027F450CDF0F0CDE62CCDE70C00D7ACCE056129FE250FFF71CEDFEC10FE8510E56CCF00F01FFA9CCF4021CFFEFCCFDE4C0F5FD226ED5C10CE8C10DC3CD004AD10D85C10';
wwv_flow_imp.g_varchar2_table(18994) := 'F5DC10D80C0FEEE00E0EADCEDE0C004AD6D0005027DA0CCD8D511FDA1CD2E33CD2225DD21EFD16E38CD12ABD10F07CD12E3DCF066D10279D1033FFCD1607EDCCDA6C12FE55CF0F3D110DDDD2176DD01A0D00DCFC2D410B188182267C021F4C8D19F5F0D4';
wwv_flow_imp.g_varchar2_table(18995) := '500DD5269127542D11F710CEE1BC283D422689B20FAE02CDAB72D444E128640D138EA2D4BF02284FB2D683521064FDD6BBC2164172257652D7766D1246BD1194C210F0F1D4F7E02862FD1176DD2BC1A2116FDD1461E228891DD7681128817210705DD681';
wwv_flow_imp.g_varchar2_table(18996) := 'AD1461A2276172D95752D9F4712554D2D9E1A21091ED1192DD2A548210807D117F0D123D12DADE6214917DDA19E1D8B002D700E0280B3DD944610FF3D02D0E412B548217FC600F72C1DB31B123FD600F8A21DCF6800FF9411AF9D0232F2210BF2D1B03C1';
wwv_flow_imp.g_varchar2_table(18997) := '0FD26DDD13B1D70ED1D705510F33FFCD29571DDE587DDB1B01DB1251DA1081CDFA20DB6C4DD4443D28858DDB5B612E9D3115025111C0F10FFABDDF8F11DD33FC15984210D17D29058117FD90D7F23D1510E9833E78055670050050650000E15A00005AF0';
wwv_flow_imp.g_varchar2_table(18998) := '0515BE1068A0055AB0E11DAE055BE0E116AE056590E11281065F802FBA5C6AB65C06812C338CCBC80CF132E9070063E005311E1255B0E30911050070045430655400905E7033457EE45580E4979CE49098E44EAEE44FFE830C61606AF08F2C5306830C11';
wwv_flow_imp.g_varchar2_table(18999) := 'C7ECE4520E84496E104F9004C79CE05C2101139010C7F91020D00100D0016EDEE623B0E605C1E66D0E0020B011209002775E1024B4427FE7A333BB02B0E5371BE037826E10B2FF36A81DA1010FB053073070DA944D0730E9063097A6A30143095B98DE4A';
wwv_flow_imp.g_varchar2_table(19000) := 'A6A3481AB0C2A795018CCE3A92D5103CF04805B145A7FE101B903AE274101A204EB1BE0121F0431EB7341ED0033BF0031547E653C1E623C0E616D0011550EC00500105210100A0ECCB6E101380EC0531022E0000D3EE02D32EEDD54EEDDA3E11435010DD';
wwv_flow_imp.g_varchar2_table(19001) := '0E0043E002450004430004D30E0453388515F4973A00035BD4EE3AF0EEFD83EADF79EA6314EF0080EAA8AE1028D0990D614E09614005F1580020E82C800307CF023A70F00984037889F0109FF0111FF12C206B7E63C208113B487010B348112F80035B84';
wwv_flow_imp.g_varchar2_table(19002) := '03224F4EF15E035B84028FA43A0CE0EFBE7E15C20E001670111DFF10EC754EE705A10206A102D38EF3379FF33EDF102E60EE4510F406E1023BD0020997EF38C065EF0E000EEFF006E1F01FEFF42F10EF2CF0F10E5F0300A0F52B206B0581023500F626AC';
wwv_flow_imp.g_varchar2_table(19003) := '035E6F1061AFF50671E93F44F0E474E84E5F102BC0F55DBF10827EE8760FF70631F7509F10A4433A48B0041B1F1128E0F6875E03711FF76F8FF669FF8A9DD6F2533102750EF90661F32F1FF3968F10C84EF3920F00C1AE02367F102E20ED2A30023ACFF3';
wwv_flow_imp.g_varchar2_table(19004) := '0030FA2EA0F3DA9EED0661EEE51EEEEAAE0248DFF0558FF54E2FF2205F10262F6B4BDFFBBEAFA8266CC2687FF0510FF228BFF5537FF66D5FF60701F6825E037B3F11888FF7708FF66EAF1065B4043DA0FD7FFF2F3B80CF033CB004D1AF108A5FF0095103';
wwv_flow_imp.g_varchar2_table(19005) := 'F804F0ED138B8EBF137B2E119FDF106C3EFF757EEC937FFFF43FF3F17FFAA47F1000A1C205001500000C3C28D0A0C1820B1D1A740104000814285EE0B8F842070B1D380074C4E1F123808C24716CFCC802804A832A5DB2605123260A1D355E00A8B13064';
wwv_flow_imp.g_varchar2_table(19006) := '8D9000441A5CF190060D00411FE60440638552A645892E75BA94E954A95293AE40FA9087C1253D1E0258B2F5EB57A3631D22D500808159B66DDDBE851B57EE5CBA75EDDEC5EB7644DE857B2D8CDDFBB5C2C30E1D0C761881F86B60838C1913842C50E040';
wwv_flow_imp.g_varchar2_table(19007) := 'C92E5CA8180271070C8B223182F4F9F1E7CF8C27392E64B9B2250A992874F6FCA913E4498F59FFDBE6440A15A843A247ABF67658D660D6AD62016C45B27509801ECB17DA5E287C6C50E86A1F1E0160044091ECDB0110E15BD7860D83402402381F5EFD7A';
wwv_flow_imp.g_varchar2_table(19008) := 'F6EDDDFA19AB786E4115F5558C68F8982D080B7F0DFA77C8B0BC10326808CB142A48A21D40F0C9B58E420B49878F74909026923EBA29C3175E6001059870482D3A00586341A49C421A2D36D524FCEAC4D07CC28D29AB9EABA1BAA08272AD28A06A248A27';
wwv_flow_imp.g_varchar2_table(19009) := '261C62C2ABB0166A0E89E40CD28106DC54CC2AABA0804B0A80133E88C0A1228EE06EA12292D832CBF6BCFCCA848576480F3C2280B8013DF0DC63B34D37DDB207803FFA92CF2C01C7AACFB0FA2C6010000001F493B0C32CA80050BBF61A41FF3F00126D28';
wwv_flow_imp.g_varchar2_table(19010) := 'A1026130812617511CA9D21A284449879B3CE290C3954A0CD121D746C394C2877E62112E155BD4C9A19E1E420107D75CCB69A81A2F0520C8B0825C0809E69640628921719AEEAAA26AD0CDD8E842D0C00004003802CBEDB8C36E212EB1E432DBF0C07448';
wwv_flow_imp.g_varchar2_table(19011) := 'CC1600D861A1350D22F3CC37CF45F74DF80040ACCEBAF22B680845C70234B1400D7D28317DDB55543E44111B0184C40A0A2C060F72B2B042CF68F2882609357DA8D34F5B1A2BAB9F6C43F5AD545D7DAE6283503C6963173FB210A75A7942922B1E96D021';
wwv_flow_imp.g_varchar2_table(19012) := '2C967D052BB9E57812E941648B822A27AC74936AA813368800010AA0BDB26800B834E8CA368B18F72113C40CF73B71CB6B3AFF5DABAFCE6B82C6E4EB408BAF9269C42C152C90C520080078E5A1B2CD4AECCE1100BCB331103A98BB6E761FEA336F83FABC';
wwv_flow_imp.g_varchar2_table(19013) := 'BBB1C06018AE639940ACC9C25825BC69A1C43974C9AD121B9415C4935206ADE6AF1E4C99D8DA705A9589937E9CF063901D8C55F09D1E6299E5968B043673247FEA6D05A3A05AAAE7A1862A4183B5D2ACD6216991CE76CBF5AA36484C70939E763B2076D8';
wwv_flow_imp.g_varchar2_table(19014) := '8178AC9F87BEAEB8DF6A140069D25E262E50E864CBDE79DDBA6F22BED98EEEE6876AAA11871A73348B239510861F4764651A4E7D94337ED023DAF2AFD421161BBED55002C796FF696E44239210524E141BD031C138486042D496E011263C6C72038CCA93';
wwv_flow_imp.g_varchar2_table(19015) := '6CA594E09CE0FF01061917D2B023422DF5CE77CEB30B0CD264901F7C873B442042B85A9082E8D5D086639913F7BED20A5400201580A9DE42B60780792C441F6C711B9BBC0682F1E1C920285801149F889B993CB1262A12CB45581213EAE8483A037CDC8A';
wwv_flow_imp.g_varchar2_table(19016) := 'DEA2928D2DA4702C4201078D021DD0B1A88C39A9890E4AA7BEDAA88F58B9E241CB8E030008C2CC2DC0998A886A602B6241E968DAF112B5B805ADBB00615CE971C86656B8831686C90337C464260FD3B7442403170E69062A7EE81044E9E70A0B31433DE0';
wwv_flow_imp.g_varchar2_table(19017) := '72A7E9DDAD956ED9C21716A2840A34713105E10014A9C31A28BE8F975274DD855A22932E96A52C9B5B89E454F395D448E8347BCC23C746A43EACD44A3A1EFF3155306B13C738C2C866F53BCE8F56A60308EE800948D04105B319219F04C523C0E191C756';
wwv_flow_imp.g_varchar2_table(19018) := 'B0010C7CF06825DCCEB50C9284BC40B22D3100C00D9807801F14D42032788804384001096C000214189A2625DAA6C0042618B828DB2A00E08B8D2E241887491400AC60B685C4432E217517290DF33D337CA5A58068A90FF8F63DC8E81256B233DF134552';
wwv_flow_imp.g_varchar2_table(19019) := '1C0000F463A1028A6B6417C51AB0664423338B1D71159B324AE8244625D68D88855407E2B17F0834D5A5707316D9B04C656DD9983B93621B434EB52821300822A565906AF193AD78F98179E25AC9E3D9803B3F88C10DF47A0380DEE05B4F630B073C20D8';
wwv_flow_imp.g_varchar2_table(19020) := '674DD4B0E18983D636E9905F18E4131C2586FF43866081B6BDCD02D343D4A2345B18004800A548844B4BB70180468CC3217130032D1722A0C1140631027BC1258DF990D962A5641D41D95D84B3AAC06DF5AA06310EC9462454F6F5D6753AE0411EC5821B';
wwv_flow_imp.g_varchar2_table(19021) := 'DCA0CF271D499589805BC15C41502CE9FC08E8DE8995773A458026D3C9ADA404000C244D5A4AB312D3D8E24F82B6F721950C570BBF6590162014B006E18004862681AF0C76B0234AC06105DC9E35787421B530C82F1ABB37571AA64EFB524C62E6B61780';
wwv_flow_imp.g_varchar2_table(19022) := 'AD363E8B7AA5413C0188859CE32B39A0AC830B530107EB4B05C50DCA0682F31511E0A49A548CCB09E6191C5A2DB35577C4116FCDF8DCD2CD8A2DFA4B99579D2A4D089D0F4638915034C1FF82DD3C82EEB91202E4B19435967766000022300211B4933C2B';
wwv_flow_imp.g_varchar2_table(19023) := '8DC5910B69215DC1F50332B190922C24D742E60B80FC2E94A11C7888072E794900CCD9207018709EF162D18544A20F8BF8440FEDB4D8BEE8ABA2877170F8B626A8AD69610B2D45DB58BA01002D5482B40090A9A0443C91116CA0B87099DD0A62B292EAB4';
wwv_flow_imp.g_varchar2_table(19024) := 'E50422D21154A11AAA28FA048B62D9264D6A5C2C15B9F12C39A28D8EA75A23B0FCC8814D366303796395411A727321A1C1A9ADEC9DB77E07865393487AE81AAE70D9206A63B936005A301E87C07921F70580F1C4F434E3E9D9DC7869651500E005003CE1';
wwv_flow_imp.g_varchar2_table(19025) := '2B0EB670DFE273A7D67256301D188C5970118C5540FA21D803001A728061FF87E49B5D21F5345A8DA26287C8780332466B08182E3BA3B2E68B652981515A8CAC9D1DD5E2BCE4757478F922FF9D8F7D45850E568AFCDB6361A526A2D1F5AD5823A120A533';
wwv_flow_imp.g_varchar2_table(19026) := '8F343FCEC33EC2F1E7E87A383E8B00035E80C82DA717848E3C8F98816083A5930700DC760B0D012B670FA42005F3A5210D0147C3B1000E00FD00403DEE716EB2BFFB2B1C0600170C728675179CD18BF2C1642DE310171C7A043918420E1A259FBCC7CDD1';
wwv_flow_imp.g_varchar2_table(19027) := '0028B041B6F095C0B34D40716B54C44F7D6A861B2404128F78087EB69B628D7705A71E2FE6313FDEE7B41AAA4375B102CD82C60A110BAAA212FD58363FEB6CEE51742EBE237091BB9095297924A2178992EEC8A3A15CFF1E0006D840D1AB5604E2B7C59F';
wwv_flow_imp.g_varchar2_table(19028) := '2A0817F2EB02826FB560BEDFB2C19AE93B7D6D03000E602F7BF617A2D887F8FB0E00F8BEDA011087BE2C640B680780BF01A084351478E0E6BF424C4F59FE2D8C02000677C8E0E9A29F0C3B7E05903F01B402800D78BCC74B8BB4903C1C310B193B01CD93';
wwv_flow_imp.g_varchar2_table(19029) := '12063488CD6B8BA192AA035A88D2E198C9A194A2C231D9392AD4608BFFDB91AF082E24F1ADE37019E3709954C19C26218A17AC9DDB49360C600006E881DE812122F012F31813875001A783BAF9723A87B8BA700301AF5B9EE5C936B3982F18683EFA7A00';
wwv_flow_imp.g_varchar2_table(19030) := '3FC03EED2BBB38900001F90B7C493B2FA882910A1052E22FF5A334C1033C001838330802875883CC8837FFC0688B205A2C7B31887C1310EE13C0020480C773BC0304000494B8B668BCC5F33DCE93C015A3AD092CB557B9A21031A61C3991325A080D5038';
wwv_flow_imp.g_varchar2_table(19031) := 'CCB30D71E218A308811528A3AE008BAD60C1B3B0A3B2BA9DCBFB000630001042C5337924F3603A6E1B42E71B8B19D236130001316110314901AF5B08E543BE1F840CFA92BA239C088378003CA3C2EC5B173F891B3880833830C69632C6955A94BD9083FB';
wwv_flow_imp.g_varchar2_table(19032) := '7B34B330032CB83F365482F13388B0313BB7989B40918BB869A588FB0AB4E2C3B45808879B0EC67BC0066C40427C0B094CBDF209A3D77323FB19110F142AF97190ABC281423C158728410FD41187F0A323A1B2A97A8AA8488ADE9B922AC1322010B3FF85';
wwv_flow_imp.g_varchar2_table(19033) := '308FA55BBA86903E00D0BA14104690A4A15BA4B387502C0F309E22D445AC8314BE11ACDF7B837F3846EDBBACFF5888C1403F6FACA54D7230FD932C8748C32D5002F243882B28B02D783F879083576A25FC738B0CBB24765CB6AF98CAB178388993312999';
wwv_flow_imp.g_varchar2_table(19034) := '270F348A5313C1FFBBBCA03881B2DA8D2F42B556B398FC193250B3B1A3300804044BF082449CC8918AB04083E881601927E7E0013BF20CA0204BA23881B4308088920BE793BE16800190F4C861A4C5726333386B280A7828008028CBECAC1C11B7B17033';
wwv_flow_imp.g_varchar2_table(19035) := '0AF00004B8BE99CCBEC1F80B7CBBC9C6780B7A3BBC40E980215082BF4088BF600CD9A4B039BC3FE9C9375B223476F180B3D180655B36FF746416B65031AF643CAF9CB101CCC33C14C179348BAE94C784340B8B93A65739B209342A1DC300492CCB63418A';
wwv_flow_imp.g_varchar2_table(19036) := 'D1A8084F730D15B34B3FEAC485F89190DB2A19214B0DA8929EFA81217C88F488BEEA5B8896840B38BB4CCA7C800FEA4F087880A131CC85B2B3163388CB5C8898144DED6BADDB2C1472BCCDB630CDAF20144371CA0EB8ACD23C0CA74CCDBB21CDB1E05092';
wwv_flow_imp.g_varchar2_table(19037) := '32CCB77C880F884487484086BBCA874BC853CB4429B9CA41748AAFC03CB492C7C51B0B608A89DC2A48CA330811108E4F7B08045CCEB33A96514909A11201BB84A28A909060811907D239F0C28917BC0A9DB99113C080083000063001E659B36D7B0BC874';
wwv_flow_imp.g_varchar2_table(19038) := '0885F200FD9ACC037DB3FFC1A2CCFDC44C0A683383A0336F3BD0CA1CD10525BBC1A800126317D3C4D0DDA40BD77AB742F9D0F080B756B225066110FEFAA02A292FF282D448CD003E6C381DC14A8360D13CBC4A291140CEAB9DB3943CC77BC0CB6B3C54FB';
wwv_flow_imp.g_varchar2_table(19039) := '382A7523CC31A60D18C4D3CB9C9AA0D4019451AC80890E01D2253D20BB5489BC6C1D1EA82A83D03D93B1D2741CCCF7AC33B658B322F4485A44C9702BD3FC3AD08528C96395B31FBD32390D3748C12F363B1BCEC453069DC309DDA40CE50B839B80D62231';
wwv_flow_imp.g_varchar2_table(19040) := '3E7D8874C5B776FDC241B3CDD3D45376D1D3F179CF08D000FF048007C857F7DCD73E24D1E088BC81FD4300C8001563D5AC748B008CC0A208C0AC34CBB25812335255FFDABA11A3B8A092D380EDCCC3C7BB51CCF3B1A2B029D75009D708163E4A2ED019AA';
wwv_flow_imp.g_varchar2_table(19041) := '13BC3C86753CB4AA12534CB380823E6DD3458F049C2334013AF3805AEC2F676D01BF7A3A1BF02983001C18C82BA4D5D6693D1B7DD5570A28AC6F3DB73D75D7FB632512F38FAC9D0B73DD5071BD37767525791BD43D8D50B08DD70968D408D85200C057B5';
wwv_flow_imp.g_varchar2_table(19042) := '7D802D555BB5704F634551EE6496BBCDC38395C449B5B28763D5B7F83FE164CECDCB0A03BD320ABC9147F408846C472F428A4F74088EED58C98BCEE4C41991EDAD9C3892214920896DC787EDD48538C5DF7B00A4BDBAD3950B3A8301E65381D55D2F1B40';
wwv_flow_imp.g_varchar2_table(19043) := 'BEE569A11D10A81BD056CC1C0BC37C00002D55A9CD33FFC398D7D54A5776D1C2AD2D53B1158C78E5C93E1D34D6622DC1205B8388800FDA520608BA2A6954B6558BB75D0B7C350B76A4CA3ECC002B93BC4E35CB087CBCFF73513D948E125808F7C519D0E3';
wwv_flow_imp.g_varchar2_table(19044) := '09CC1111A93AB5C7B59CD721AF8D050013B551AD2C5859F53139CAA615AC202CED184E55310134D65364000478001328DAB690003A3301E75B5DD825138928080D86A4F3903E18F0BA0D88A86E15D0688DA8FFBC53DF15307DE99B9592460B3B54D012DB';
wwv_flow_imp.g_varchar2_table(19045) := '06ED3F09F59E833B385622B4D79A889DEC9309800000DD5763A55E7E25AF076080B7B5A7B744624CD5800D886275045887405850E3C0F8955F99889FA17244CD79987DB4A09ED8511DD3391D18CEFF3C4C8B06941D15F34727CD89C59990E44227510132';
wwv_flow_imp.g_varchar2_table(19046) := 'A4C8B82265DB1AD45ECB1C1AF2106167751A23E4BAF488361E0480210093A5D336E983330EF0368872B38522E185A2D3011CD1EF63E173E3BE4D9E0BFE2200000865B618658738808728E5530600550E65555E8803E85283580BB778D41AA2DBB1803C29';
wwv_flow_imp.g_varchar2_table(19047) := 'CE00067065598EE5A0DBDE59FE5729DE00840DDD52F54FEBED638320800070E6677EE685E856B3389BDE95D69254A86C1E9A0F4A00080830D15D886789DADF4380C21ADD8528E5D1D5644F6667BA58033378E7F620BFD3328838083CF25B03631C3FD472';
wwv_flow_imp.g_varchar2_table(19048) := '4634789E32700380060080F6E73218680008E83E28833E40E8EF7303F678E8AF5867FFF5886887786882460382BE0337B88337E868EB63688378030018698FB6687F1EE8881E03832E839576E99636E8B9C0333F80039A9E8B8CFE0A94360B9C660B3470';
wwv_flow_imp.g_varchar2_table(19049) := '039DFE07796867C35A878758077A0080A34E6AA456EAA666EAA7466A0088877530A9B1A0EAA32E6A7AC8EAAD0600ADEE6AAEF6EAB076EA85106BAD8EEA78986A8388EAAE6E0BA4766BB67EEBB8866BB6A66B839087B57E08A11E0B7AE06BBCAE0BBF0600';
wwv_flow_imp.g_varchar2_table(19050) := '7910ECC0266CA1D6EBBA800787E0EB85B8EBC1266CB5EEEAB786ECC73EECAF58ECBEA687BBCEECCA8E8BAA7E8B78E0EC87406BB466ECC0BE6BB7183BBB5E087808EDA1AE21B33EEABB2E6AA18EEDDACE6CDB9687B1FE8AAA6E6DFFB59E6DDC06EEDB16EE';
wwv_flow_imp.g_varchar2_table(19051) := 'C3AEEDC08E6DD8366BA416ECA2AE21C18687E71E6A77300BE506ECB9E86D0048ECD59607E84EECEDBEEEE801EDCCCEECB730ECAE5625D7C6247C506BCC8EECC856257A78EFF836EFF98EEA7920ED85A807F856A5FC26EBB0436AFE06F0FF1670FF0EBBB0';
wwv_flow_imp.g_varchar2_table(19052) := 'DBEF03377087A887056F6F8378EFE871EB08C7EC0937EC7D90070BC7F00BD7F00CE7F00B7F8B7B00F11017F1EF76880D678B7B38EFAB51A5D4F6DDB11BBB7C40EF181FBB38292287506F0060711B027100C0877C88EA1C6F931D3722FD5EF0FC2E7211A7';
wwv_flow_imp.g_varchar2_table(19053) := '0721CF0B0B7F8B7D70F22787728300F20DF7F07D18BBC5360B14077211E7F22EF772171F8B7C10BB1B8FF132DFE4FF7C80F1B1E8717C2073731BBB7D48977DD08739A7F33A378823328829BCA17BA072387788AA36A97848718788938788934307004437';
wwv_flow_imp.g_varchar2_table(19054) := 'F34517CD34A70B7B80F44887F4B188137E00807F88134CE7077CB0743667F3BBD0F38740731E57EF7EB0F4AF038051670B7E38757EE807B0DBF139C76F7D103B112FF0B1D08710C77300A8F339677559679353C70B27FF8A1937087B807320878B4F6774';
wwv_flow_imp.g_varchar2_table(19055) := 'F618F4667F1357FF8736378B425F087E38F47E50F48708756BAF71224AF436C1F670E7F43C7F8B7AB8711817F65BB7F53B4FED58F7F385D8872417EA24DF7127BF7210B7F2F6D8F5F028F2F8163BBEA8877928227B20F8BB70F1242F7355A2766877136D';
wwv_flow_imp.g_varchar2_table(19056) := '97C9FFB988F470B7F6B1F876828F07FBD6F8893FF687F8F6B9F8787BC0747B880792A77183988738F1EC7BC8073877790080733A8F6CBE5E707D40EA10AFF5B1A872D5C671B64E761CC7F2C3D272B2AE077DE80799B78B10EFF9C0166F65FF8A7A87797C';
wwv_flow_imp.g_varchar2_table(19057) := '5F08A79FC98A7778AC69781F10291FF04283E07A4C9B252BE846ADB7021F9002831838ADBF02AF310BB637084773FBF5902500987BBA370859C2FBBB4FBBB66B3B76AB022FB0022E14FCBF57B7C20780C267B7871083C46737B6A38285E0C233207CC98F';
wwv_flow_imp.g_varchar2_table(19058) := '7C754B7C8952B7C3FF7B2EF002F1E3823110BFB998FC75937CCA7F082A68FC2AA0FCC7A70223D08E31D0E9AB97FDF500EC4E768809908009D01AFFFE9280DEF7FDAF90806FEE7D83C0FD0A50AC790DD1F65054C36022FAC01B18F080165B010E8822A360';
wwv_flow_imp.g_varchar2_table(19059) := '9F8AC0FEECD77E0E10010E28011583B30DC8008993C4BB1501F25F4E29C6D480D5242AEE435665B892998B283E40F5BF43517D59841D7FF0358053068817007E001858F08791820A17326CE8F021C488122752AC68F122C68C1A25FE2938E2630700230A';
wwv_flow_imp.g_varchar2_table(19060) := '76185192A4C990004AAA54A97002000913603294D94125888D115D00E00960484F85405C0C214A54E10E182F04EA78810387C0183A60E8983AF5050C004AB70A14B8904541AF00508C65D114AC421635D4E2185B43E186103AE7A2208B02ACDDB60074F4';
wwv_flow_imp.g_varchar2_table(19061) := 'E8511049C6B705D1EABD18424384FFB98A17336EECF831648A234576C8E952A4C8911F312BAC105102E8852A2217E4097434511543460360FD73A856B368C136DDCBF0850EDBB977037801D6775716C2C1B2788122370B1425043B544B7645C10D271A6E';
wwv_flow_imp.g_varchar2_table(19062) := '200D40308AB73556402FF854218F253C902C01401EA20E1A0BD55F14CC3E31801D498A58AF6FFF3EFEFC24179A9C3CD9E347016AB6527F0AB5B450059E15E4597F2CFDA7980B1116E45A6A0000A1505145EC00000B8529645557B5E1A69B6D11A145D658';
wwv_flow_imp.g_varchar2_table(19063) := '615DB71C8725B0B7100EDC79A7108A0B6DE7D85B3516B4C27305D5D01613E1F1605E79E7FDB504600B751791870AD1A0DE5B72E9372595555A49114B1E699913439A0DF86044FFA35950014C2358B01265696234A042A81DF5D308438C309A0A2E8C06D4';
wwv_flow_imp.g_varchar2_table(19064) := '5040C080D643239AD01BA0C7FD19D6716901975D760BA160DC5A34A8C582A33FAA55506E6DED56988E1E0A56835DD761B4C25BA0DEC85C4343266964414842442A432BBCE82400EA49B9817C00CC77AB6246DC4A441109D127510A00B400C00D0FD9E0D0';
wwv_flow_imp.g_varchar2_table(19065) := '0E17C6A7EC95CD5AE9E57FFFB9F42567159534264D679A64596B047A5B91490CF1E4C2482A94EBD3843FB9B0A1530DE5F6614364E5761C0E3A74C8275E8802D01D8A383007565B3FC23BB077DAF9381887078FBA23AB8271B7A44210D7F8A30E418A77B1';
wwv_flow_imp.g_varchar2_table(19066) := '79A96E08515B4FC6EA6AAC34B8BAA413213F79C2070C30F0C211FFF41D0140112F5F54C4AD34FF0A40CB12DDCCD00E3BFC7021111612746CB10701600410C9063D683DF8E0E32CD4A44D70D37E168149D19963927466630736A499840BA1ABD05B220A26';
wwv_flow_imp.g_varchar2_table(19067) := '56A70D755543A56A719A30589CCACD10C06DE1D0E18CF5EAADC3DEF502703771C3DD5D18C89E4E04DD5B6C7598388C7B3101C0E3000CD94392A6865755436F3D59B8C82738011D744F8A8E3206006880B311471C9104CC05B19E04EB36E73C9F43AC2F14';
wwv_flow_imp.g_varchar2_table(19068) := '33EE2DEB5E5011441C2B03001E6805C0B116067D500CC526BD714140FC0C801F05D573CF3D515BEF5848D96BA9FD820A81395907767A66AE6BDDC244D3D71AB5F4FD499CA15BAE6B26B08D429306BBFBAE8AFF07F399225E29D620B0433CF414FC458437';
wwv_flow_imp.g_varchar2_table(19069) := 'DE69928F48653F8BF009803C084F41C2D38325F80509E351150235E7B1826C703DA2F358CA1870349CC94C21B8E21DEB72561015F2AE853B734811E8F383630D4A58366016008E572C2224216939749ED11442BDEA5DAF88731901082E5390216C01109E';
wwv_flow_imp.g_varchar2_table(19070) := '98C8D51AC23598F8E00A66585349400026AF418425E6EAD6429485281D1C4747F32A888E14E215BB5D878D6CF114A706E7AFBFD1516F79E31B1EFBF6A1AAF0918F09BCCEFFEA08B97A318154F5F3947014F29D54E960093A80A09000B0840D31A13C0774';
wwv_flow_imp.g_varchar2_table(19071) := '92E876A49E1380CE63342819E44E10020C20E068256448CD62F7329AC14C6637FB55CC70C690FF121E6F21C21BDE0F0B62041D02C10845F8013085158314DC800270F807008668C465AACF403C09C92882710D5714241900F00108C6A690750000175B88';
wwv_flow_imp.g_varchar2_table(19072) := '07002C6081551404020020E739BE008071EC278A00B0CC8140A0A033DD4489101909F7CAA7AFBFFD882C6FC39F0E482596BC258C6CFCEBA7C05885C0BFE5916F7464081E2915B0402A8C528ABCA4760AF3A3B5906D8E4D0A9224C3B3310B3E347334700F';
wwv_flow_imp.g_varchar2_table(19073) := '7B44B6C1ED68E72DA77B400C5217B412B2D284AD6C5D43E8F3CA183A2468BF0A1AB34C6083648D70213EBBD00F36940213984078C27B03329BF6346652155C490C894F82A18C5140AE20C148C62B1E220D008C829C00B0828500A08C5F48FF20ACA5298D';
wwv_flow_imp.g_varchar2_table(19074) := '0A42E21F8744685C742D8A6254C01A5019947E7BF127190D48B0A73C8AA3D99994DC02D610DA2CB644097B8AA51489377E864A91CC0192429880BF8532C45F7AD14B907800524902C02FE2891C890EB6C87DF155A5105348081E204222C86CA6AEC3D9CD';
wwv_flow_imp.g_varchar2_table(19075) := '66F790174E8408400D9A0D601083F8F84C21C7DB100CB252C3722AA41FF49847D3F851D5E946846A55C345320CB1905810E3ADFFE11A002AA1107316C41E10510197D2B7852B2EE48AEB7DEF15CDB00525D4F332F6E44F07F46A9C7DE5E86DFEB428DB58';
wwv_flow_imp.g_varchar2_table(19076) := 'D59039A2715F015C5C671F9A4786DA71918FBCA8DDDAD21DD07170837EB388670D6A38870809094CD8010F72335AFC511462FF85E3A08F240C0011126485B9A5CF7C5649BB57B650284400C28D738C631CE7D042C5D5900C64B0219F254421C30A9E4238';
wwv_flow_imp.g_varchar2_table(19077) := '00010A34C4B94E9B2A75A3BC900970AB20A390852CC20B005FF8A220DD05C01AB4C410E92EC4BC0E01674F5C635D87A0610B00D8823A15F205376B81242EA9E7432ED30215EC57462C45018F5254528B12908E0E636D65D3C2C6C238D46F0B6ED22243DC';
wwv_flow_imp.g_varchar2_table(19078) := 'D9D51AB8931E1BE0E3446CD18710766F177D08138C101E908A7648970A60A253AA580088E0742FA02DAF5AA6CA871C4FA7B5D4318F2102541BD820863F08B2CF36D4625B16840300A000072450ECE63EB769527E7641A82CE62C1764159FA8852A7C318C';
wwv_flow_imp.g_varchar2_table(19079) := 'EE06033393A9FF003A1B718575BE621B6820AF274681560050E31CEF5C08F718B2863ABFB9236E5E481CDE1C11779A44AF6809157400FD1C402B1207FD826881092EE888B9C59F7A291B43133CA3410F49B20F3FD87A30FEAE10739C8085690BC07873B7';
wwv_flow_imp.g_varchar2_table(19080) := '3636B26248D081870183B91017BA8D8DFB984215220229FDA065356DE1290B52EB85D4322248BDD0855A6003A0DEE0063D2BBA0C8679CB652F24D94B872A3D9C06EDA9A79726B890052EBE0C806300A320BF90C5105442AECD5420BF1648A248A6A63D2E';
wwv_flow_imp.g_varchar2_table(19081) := 'E5D7BE0E716B370B028871DFA21100803BBCC5CCA6BC774B044BCA0EE814CEDFEC187CA3259D17852BC2518A66EE7F14F550C56014B0E42C9CD37BD9F823FF499C62C20C3AA080849C681D0BFA8A0D49B34CE2346453F480C4AC92A738352E7D7CCB905C';
wwv_flow_imp.g_varchar2_table(19082) := '4F64D80C21C80F6220DC6015DB034A8E89B101C001632BDBD8C19F3AF219121265170417BF50462C14828C6100E017DE33094FC29599D6DCE44C3C51C1D4E8B9C5F602001C66CD0600D00080B903A0DBED77F316D29BBD70DD173320188D082492781EDD';
wwv_flow_imp.g_varchar2_table(19083) := '28818E1638C4E45F4194C074A051A005DA75FC5B81ED4BA658DEA045C449315A888D96C4ED05025DDCC431410F5492A649DA443C450DBC0A64A51E8DA48EAEF9DC410011466C880DE4DEA0088FF14D80B1798007FC89532D57F2E5A0F279954244020014';
wwv_flow_imp.g_varchar2_table(19084) := '02006C8227DC82F5C9420E78444904C88478FF51B9CC090054C0FD29089AB88075496141DC02382883BB01C01FAC1B00BCC1366C03BDD99996E013FBB44A012A440934C484011A8F04DC7590D18DE8C81AD6611A0EE084190C73A008FFD18F873C50C1D1';
wwv_flow_imp.g_varchar2_table(19085) := '51A2380474142000459E63CD5120558A036A90E4584CE895DE42989E46651473080C09464741F4C0CBF00A4304CDADE99CB2045341F84C8BF50C43F05A8B5D480A1CCB70311D92054B0A0C4B0AD4620A28574124970EEAA012A993178881187841FA0180';
wwv_flow_imp.g_varchar2_table(19086) := '35B1C66658404BA880B658C047D8C94DA0CF4DA01D4A50CDBD058359158432AC5FF501C02DE082BEF187DE7D0B7875C091A1807430C41D02C0099C4075AC23D93C0CA2045A08AC805C50FF583AB2A1811D0C8581CE8D70D603FACBA4E4A38D1C5E056E98';
wwv_flow_imp.g_varchar2_table(19087) := '430550C4B0CD0339D2233E50C5495ACB79CA426D946289900B4584EC015D5A110F5200C15001DD47160F43040B0C2CD5F0980049B6000C8040560CCB4A16C42CE2E02E269F142AC1157081175481307A8114DC5D3885930528E369A4999CA04B07E05550';
wwv_flow_imp.g_varchar2_table(19088) := '04054F8C1B4A78067BA51FFC7D2300C0417C3DA55C899945708089F99D404A4708C4C539D248A011DC06D0A38C74C774A4E584C50A434009A874C7027D5AE30024C61960ABFC4FA33544087CC0C39CD45B449AE47416E749525540504104096A658EA79C';
wwv_flow_imp.g_varchar2_table(19089) := '54026D4A419C40626C408BF59C42C49E6FDD1810244D667264450CCB91B5FF644B3684D071A6670E974AB6804AF2DE4C429B8284C47A3D0417304450AA04BD99C19900C542DC5B9B30841C904B4B5CC116006741E82600A8D3177C419D6D419D6911381A';
wwv_flow_imp.g_varchar2_table(19090) := 'C8825C467A01C057AEE30AB0E33A4A073D168494C84559B2D6E0458759569A424C878CA0D8AA64871EBE1642DA08C849C45A50DA8E7C40C440C94351A077BCC0E229842311905F3C22C7B0E51F3144AB01007CF40ECF354FF364A682F21A4578A6B02C44';
wwv_flow_imp.g_varchar2_table(19091) := '7A79240E4584677A260CA8E46A4A59F4C826083025007001882A047B21119D80574354429D29819B75809B8D80B235024FD4590ED4570730A399848489B6865EE5040830E7BB3984F6B984149E8E744AE70A9CE39280FFA55C6480761EE9924C9893CEE3';
wwv_flow_imp.g_varchar2_table(19092) := '8E70923AEE48C6B10779468472F88FE8596043B5D15AF49F430010437C807C4A495D069040A4517F32449B861E8191CAC868529A86515A61A65028A847768BD0B5400CB4806A16044B0E0B978040532D57A0368FD0A9800D8CA642B0644EACA44C666811';
wwv_flow_imp.g_varchar2_table(19093) := '41D97E748082B8409815C41BC4011C78EA3B9961FD35449D89174378289A20C84A7806DB2DC8D94161F640A1158EDF4AB88405B480041069087C6591020093C256AF46473DBA6375CCA3B166E71DBAE31DB2477556E763DE2343240A5A44A4430CA292A0';
wwv_flow_imp.g_varchar2_table(19094) := 'E7C42D0406C8A795A6D8430CC71B025A61908711A84AE8518A7AE0807AA8C7599A275C10A964DA695A6DFF665A11D58302EA830200EF65454EA024924184F06485BE0E4F0BDC8085BE2400BCE0D2512A55450FD55C8667C8C142ACC11078467D2D841598';
wwv_flow_imp.g_varchar2_table(19095) := '810F0042521644259841721EE11AF88042C4C1116A81C5A6AACA828F8140AC155EEAB7616AAA6685069C8E06644008FC2ACE322993A2694310A05946E9AE8A525A2E84B2AE65958E273EC6CB4230A2037ACA6B25CE5FB61C061029276529C47DC8709085';
wwv_flow_imp.g_varchar2_table(19096) := 'DFAD21AB589078D8060FA82B0725DAAA988E083D000F5066436CCCB1F4A985EA6B0A186A0AD4A0533D840454C7039813053099F029040D16C42DD9202C1A00C31A91A5520DD7949D4A304848306ED5846338352E65240834F6443D51219A8C6AE43EFFA1';
wwv_flow_imp.g_varchar2_table(19097) := 'E77A46053C081791843CB9C4069CCECE1E86CF1E46B0EE6A917667589EA35CCCAE3A860075426BD26A27D116ED1D0EDC431118C25D471A55DA7F6510006CAB5CA4E57490C5FE9C855DE4DF0AF85D0D549C24F9851F9554208DCC76B816C61169040C579B';
wwv_flow_imp.g_varchar2_table(19098) := '32A843F4A94208ACE00E0A4C301FF04940B26D00B25180393D000090D7DE42C006E4ADF0F91EE01604F39953291DEE3239EC9A9D8914CA6CF6DC5943544648F4E8BBA11D99548004248804979D1416AAE76225BC51B0043B849086938294DDFC16049146';
wwv_flow_imp.g_varchar2_table(19099) := '8406B8AE09C72E779C23B4EEEAD0166D634E6991DAAEEBA2A51A0A1CDC7014638D6087A0C81A024059BED64462C0B67E009A52A91909FF875DD8C51B2EC47988D6BBEC4FAB888C439CAE45D69048E62B433828972C6CD3490005B02F18275B92211B43DC';
wwv_flow_imp.g_varchar2_table(19100) := '2F0A2CEC2DE12F00439BF62023E43AE7055757D51C70F7A8EA4DBCAC453C2E9A24C8445400784121FCDAACE92046CD9A0E43E8AAEBFA70955A67D2F26CEB4A89B34249088EA70C17A02819E9C3245E9D6662B626AD0C938D80ED0574944EAF5E328D6807';
wwv_flow_imp.g_varchar2_table(19101) := 'C1A1483C46D042F480A4114E02B1EB439C00911A0003041FA03A2A4CC2E4699A404E2CDD2F078FB2151FFB42840DDE520D3255C2262C07784075F8ED4240F31A4F17057BAED680F044708FD77470061F30056B0F383FEC4DA484CC3A6738C7F11E1F5B41';
wwv_flow_imp.g_varchar2_table(19102) := '444062546D0454ED03B8FFB306C86FD5D62CEDD2AE29A7AEAFE6EC9226F26B4971215EF23A729294AA23273D0C3E420C7CE623747C653DF2DF67C108744480067C80D5262F6BC163C02D091B9907E52C41D81A144B6DD87448073B32840118C006140FF0';
wwv_flow_imp.g_varchar2_table(19103) := '00AA2CB680A1D2AD4234950780C0DD2E04E1FA72411C4B4B6EC8B0C44090215DD3A973434073754C73552D2E8ED668D6DC13676C73E70200FA6CEEE6D2A855D328FD9533383F043D290405ACDE03CC333BC3470430800698B508CD73CD1269099F0EED02';
wwv_flow_imp.g_varchar2_table(19104) := 'EBCE16C4AF4A274617A0C894E727F3AAB1CEA3B366F23E820E5C0AD048EF8B28D96E75F09FBB28840608F1082B2DB00A641B91855E20497FE6C625220E43F8AC4288FF100118007935EA0DCCA2B04CEAA3FE09A472892FA3A60D71E6BA10D5286E880C98';
wwv_flow_imp.g_varchar2_table(19105) := 'EF5143843423F532C52AA6E6B66734B539A76A8350F539339FFAEA766ED7AA5593F355EB36E37EF3AAD61F4CD0F33AB33300C8966CA90C06A88C6C51342993F208DFAC77FBAA08CBB5D11A3477DC75754E473DB2B043EF0B5F67B43A9E65266F87676DD4';
wwv_flow_imp.g_varchar2_table(19106) := '8DC8880AEF8BD7764893E4C6621B326CC58591CE6375CCB66D8C9C708C8710506F8D204E77B8AEF7C287CA204029A5C02BBAB44348C04DCFA26AEF34108CA60A28CB665EC8B1EC00D160A843F4AD399157413099DFD6B66D5F093D40CFBB29113817083E';
wwv_flow_imp.g_varchar2_table(19107) := '791BB50848837C9B04E359DBC1DB8E3B889724A15553FF46385786429C5D8D16445887F5F13E394553B4FC3E00952F763CCBAF21BB75B03AC457E22C5802401D220E0B94C0988F3998736577AE400974670994C096BA3998C7B9B5E24D64D15161D505A0';
wwv_flow_imp.g_varchar2_table(19108) := '010C446D9C26BA359142CC1A0AA019551C6EF0457954DCDD5094B54AC94B9D8E453A4449D6100DFA32538100EFEDE981FE44655A880D8C46BF9EF88A6B221973C0A88F3181CB0399BDF894CC0317F2EF42A8AFFA3644ACD70479D5FA7825800424C07895';
wwv_flow_imp.g_varchar2_table(19109) := '9304D47AAFC78439291B04C43AAC0FFB850F3BB2F7FAAF2B4400280401444400447B0010C0B43BC40100C0B53BFB421CC0B30300015C7BB6DBF2666F36023040B9330403883B0094D2A347047C10FFE8E92486F722068162794314B278FB3700182EB617';
wwv_flow_imp.g_varchar2_table(19110) := '04031CC0BFF3FB74373997FBAD06548758170406C8D64274FB45A8384378C0ACEF2FE0269BBD3F44021840C6A3F44294120218C0C7AF3BC823C0B397121CA87AB3C443373884C416841C74C41F0042CCC77C1C0042CDE75BC9CABC42C83CC71604CDE75B';
wwv_flow_imp.g_varchar2_table(19111) := 'BED17CCFE79BCD732CCDFFC1CD7784CD23FDD2FBBC427484CFF3FCCD173DCE53041FF40100DC81D6E381D6DF411FDC010060BDD75F3D1FDC41D92B84D9673D1F647D41ACFD42ACBD1FB87DF4C8FD446CE8436C28DE03211016841F140222D87D462002DA';
wwv_flow_imp.g_varchar2_table(19112) := 'CB381F6C281F1C7EDC2BC4DF6B97E203002218C2E3FF81E033841F40BD4EFC812160FFBE366A23E337042350FE54527EE5C3C11F9CBC8CBFFD465C438CA3FC94FC833DC483992944ECC7FE42205341F403EEDF7E73D97E3F4084ED3344EF5BC4EFFF7E41';
wwv_flow_imp.g_varchar2_table(19113) := '0CBF42209379B93EF1E3C7F2371995FC03F4477FF4173F00403F00EC83F56FC43E507FED5B7FEF67BF3E3084F4E33EEE4F3F4404BF62E43E46483FEFA37F733984FBBFFF43D8833CAC3EEBE3873DFC43AA2F049AE90740C803309060418306E1114C3870';
wwv_flow_imp.g_varchar2_table(19114) := 'A142870C01AC3B38919E3C7AF72E5E94B771203D000D2786342810C03D001E45A60C4952A548921607626C39F3204B900058E2AC78D2A24C9A3F8106153A135FBEA147912655FA339FD189F1E6CD1B68CFDED289F5EA01C08A35FF6854AF00BC7E051B76';
wwv_flow_imp.g_varchar2_table(19115) := 'AC54A8F1669A3478CFE4BE92F7E4B98D0BB72452BA7705E2AD8B73694E836E01000E3C50B0D07D870BA2D55A505F637DF8AA52A53AD86A65CB40EF39BDBC997367CF98D98666FBB933E47954D5FA2DDC52E0BE7BFBE8B9951D7B306CD971EBE26EED37E9';
wwv_flow_imp.g_varchar2_table(19116) := '3EDC06FF15E49D7274CC7899F5A925E8381F3EC8534393963E9D7A75EBD7B15F76AC6F60E3A6933567177F705F55E0FC844E06C09D71637EEF01A0373F9E7E7DFBD9C35F2F7E5F6853F8FC49034CB992CA5B0D80F952425032E70070AA1E7D1E74CE39F3';
wwv_flow_imp.g_varchar2_table(19117) := 'EC796D400031CC50439ADE43AF43F4A6EB47C40D4914AF1F004E0CAC1F035114AAB183FE5B4E25104BACD1C61B71FFCC1100777844089E1F677267A21F6FB2EE4779E041124920756CD2C9276712484ABEA0AC6FCA83124A3249BE86FBA9CBEA360A53CC';
wwv_flow_imp.g_varchar2_table(19118) := '2AC92CD3CC33D14C53CD35D9BC6EC436E18C53CE39E93C28C53AF1CC53CF3D71BC93CF3F010D54D0CFFC9CA9D041114DB420C1F659F19FE0FE6A894545757CB3CC420FB54EC47E3E2468D3133BDC34BE1829C54E36C228B393B0C3586D15B1494B3D333F';
wwv_flow_imp.g_varchar2_table(19119) := '0D3F1575331A53FA74541A750D75C40E63A58F2DC408126CBB17D7E38EBD60A17CD4595D0BBA70225CF39C75A0F74ECCC72410397D2F1F7ED8C2B64193AC65D620687B33B4D6756B35F7C67C3215491D820412A7A0E0B2B197264B516C77227693BA33BC';
wwv_flow_imp.g_varchar2_table(19120) := '7AB4FF0515807606CA6A2011F9C9E7D17E342B941F3F0F85D4CC7B1E45338B81C2D898E382C270F7CC68E0F94733C1D0338120840F72030075AE41D12413828BB75F76295EB7207F8FE2E71F4FE203A51C550BF2685E822C26E899830742E3A0980772E7';
wwv_flow_imp.g_varchar2_table(19121) := '963206CAE48D74E27392DB168FE217BB020028406CB101186020010400206DB50F1AA000B3CD0E5B641B1B4B71520A0038E296A6A9F6238131BAC11B142EAAB0E5A46907DE4A6182146F9CABAD448B9CDA90FAF9E78D81FE7806EA726819481D46DEC8C4';
wwv_flow_imp.g_varchar2_table(19122) := '9C815C81411D663E4A05EA81D801606950FE8964A2A5776C1DF56B3231D966128D4206CDB1C3267B20B8DF2608ECB96FB4B88A3E0A9A7C209509FF220219625436E0A0E0FC90620C9327322A1D73C04F47FCD1BF27687473C4171F80F10B3A1F7DF00130';
wwv_flow_imp.g_varchar2_table(19123) := '871DAFCF4DF172376C01058E70068A249581AE1189740CA36AEDE00228D6373A8254A21F9E2887218071B8D6A5E219B6901F418881BA76B8E27036729E2DFC508DA47C8B20E5FA8C028C3790E3A5D06DC52BDB0B0912371822CF3ED0B0042454D1077BA5';
wwv_flow_imp.g_varchar2_table(19124) := 'C86246810141A046B51F008018978307011E30341B00200145EAC840D2E18E79A5031EED30873A0482352BB6E368EC50873A5AF7112986B175545C1F4D827387F919C215A088043CB2E1B997051014AE18C32D2241127B857120942848260A623800B822';
wwv_flow_imp.g_varchar2_table(19125) := '1BFC9B0606CBF13F0024CD3A349AFF187AEAD1C38190B020B788634B1EC9A914416C61E1A19153E0D5A0121E05854369610C0790CAB0C14D0005581B0DADE3AC826C6220430395A8F00100AA79A020558823230C6190CE550E00A8530932C481B5BDA9A3';
wwv_flow_imp.g_varchar2_table(19126) := '1BAC03C035DAB1BA82A0CE70E10847330130B4CE95036B5913093105928A6110832099C8843AC2010700D082837F00002230373AA8717075B6A8443797058F3FF861208CF0C4D1EE630E64C40C57D2DA8C516CA12F71ECAD7B9B09431BD2F6080038A020';
wwv_flow_imp.g_varchar2_table(19127) := '32645B0C09B2805216E4952AEC282C49131CB4D0E21004F9C63FD0A3AB7C2C0E69D7030E23536208F4A8539704E12731AA00003F64C20AD924022D94800644FCE10E1C000011FF5027BB70745325CD09097ADA01229F8DA41F023951C6EE712779E8A31F';
wwv_flow_imp.g_varchar2_table(19128) := 'AEC80C3FDC418F1381CA89E25118256407804B0E923BE560D9D000E0BBA054E392B93C18FF06228E60A6248A0331C79D9CA792394CF420B320C86009824214A64D17A280C5414276010018160059B028483D33550064220D03E96C3F3CB2B55189C42829';
wwv_flow_imp.g_varchar2_table(19129) := 'BA87CFE8772F7A98431E7E28431988A184F510241A49D82C00C6908D60DE010086B082906C710B9AC2810B7E70DAD246F78FDDED65208C1451280FA22D82FC07B0638DCFB7B215D8FB18E268D9906B41F8A9946B188211FADA6B41D411DE89C01500B670';
wwv_flow_imp.g_varchar2_table(19130) := '2707B9A6927350D4200D38481B0CA28B829442A204A12C41BAA0FF0800900200B028852EC220808D62B633F6D887C55AD10AC6548E5F36C3D5A74C5810188C81974A706B19DCF90C22B0C3107FF002360742840700000D8A844326AAB0E231008097EE68';
wwv_flow_imp.g_varchar2_table(19131) := '87725B129C7A8C089406090FA7E83131884DEC22E08AAF8E580A006CDCC210FE1B882DBE104183BC01A02A4985ECE00A0FA0858480132186208192A9CB862C6C1E03837E6191883C0040BF642E887E131112518882C19781D45427038C3A10C412040987';
wwv_flow_imp.g_varchar2_table(19132) := '5B948BA9AE2DAC20499A5A7A0B120D83A0C11C76745A41D271DE75764365E1D5204C898622A3A0A7294F9C643D26A61C4E9156BB367A85220982EA61CCB8205CC0F44C5251866818429A2D71C5DEC0FC1375FF2CB8A38F08432A05600A82AC3964C2266C';
wwv_flow_imp.g_varchar2_table(19133) := 'C86041E6400CE4118F2DC540D80080FED6D92A90B2C73FAE3D903140610A641888B7AF756D514D4E4806A9073C68C4B28184838F054966F9D40D80705C107D00D057FBAA1C3E05669926D5F043AE9F4A1093AC952058030577DE80D727C5CC16AF7E1900';
wwv_flow_imp.g_varchar2_table(19134) := '106819F480821908CB70C10D52EB943860C1AB0440295D7851B705CFA2AE049BD9162C36C952BB32D63ED0B5B1D659280060CF7AA80325EE818F9A112412FC4B45347E166F758B8318CF6808393F222FF401541DE48B5F3AAAEC4CA8A38FA90F1F9D755B';
wwv_flow_imp.g_varchar2_table(19135) := 'F24577441C11A38B843A18FAE4829051B6B46387277658EA1BA9FD327732995DAB33F294806DFF85C153C0DD3F6E90E3E1FDE30A58217DA5C272A0583B3828A5472E0E91866E4F01009DC546A31689E3814463EB932FC8308E060F6420C921D97846BB21';
wwv_flow_imp.g_varchar2_table(19136) := '065D9530B2F0CFDA14A88DC2165BCD040EE590875C2B0100110E8419D120A05C9D020A81D802AF91906BC4AB64D096CC4AC8FC20D889B0B2AD70DDE3F89CCA8AE89DC2769A84DC7875179E412E3BBC14CAAD6C74374855962B78959C281D5286380052E1';
wwv_flow_imp.g_varchar2_table(19137) := 'BBAC9E6B2045070043F9970D50840314AA23063B66BFC8DB679AD094EB97FF01D04B68AA6A6EE17F80461D1406EB2CAFB90C2212A48F4E702602255001F98F2648E0A3B8AF6C0460E4BCEFE4C8A6EE0EA203339020E2C11EC6CAE1C4EF9BFFC68AC2D685';
wwv_flow_imp.g_varchar2_table(19138) := 'F4B2299B6CE11AAA221AB0811E286820A6016B08C8989826576E065D866244C2EF206801E90C27EC08C213C809900C823DE4EA1FFE8707076502A9906738E302E6E002D8E002C2000BB5900BB3200BD9200CB5B00BE7200BB01000D66C22B2C00C01C0CD';
wwv_flow_imp.g_varchar2_table(19139) := 'B2F0FF521029EE6405FBAF79FE4131DEE3CEE04E38D8CF4EEA106784A25D526B26BA493392E31FCA6D268C22FA12A50A25F06638833D6AE65126C61EB80AA5F4211E762C0F17092DF8211EB0ED9BEC4114174644208505E7302950CA5356AF20CC831FB2';
wwv_flow_imp.g_varchar2_table(19140) := 'AD322CA510350444A470155550575EB146A6CA6232E65F2063F550501745A218EF50511AC618DD65629871291E3056B2E519FF83C516A9F11AB1B154502B1BB9B11BBDF11BC15119BFE54328494F80251C85C259D4519666621DD7111DAB4410F9A417E1';
wwv_flow_imp.g_varchar2_table(19141) := 'B12588E41E990429CAAA1E858247FCD11F3DA347100520B324E9F85124B44449B4E420EF031FF3F13212A21DDAE11F17114F1692200092215522339A42F84282239BA223353229E8A1244DB2243B03234C5271F8C428B6E224936C247DACD364523C4EF2';
wwv_flow_imp.g_varchar2_table(19142) := '2653B21E60922BCA84267F223474F2246BF2A9CE7128952233D2422B22A71E3CF228839229D9021FA2314342B22A2F2E26D84271F6C328AF2543A6124090054A22273A44222C83822DB44534AE72FC3EA428A5035BB0A556AC652C45832BEF231EF0322F';
wwv_flow_imp.g_varchar2_table(19143) := 'F1722A10A446FF74D224D402255B022308532386C22382B2830A42612AA2312D222706442DE892F99832260F624038822262C23245222B6EB2242DD37178F2201687251927F992EFAB1A863317732BECF235ED2C186173369702D58E62146E61156E2137';
wwv_flow_imp.g_varchar2_table(19144) := '6FE1157CF3375F61149202170080383B4318E0EB206C011886A13987C11692D3205C613985011880C1166221166C21153C2114520114420168C21300C6331484691884E116D0F316846118ACD316684190D03324C013007281167221166841180C073D9D';
wwv_flow_imp.g_varchar2_table(19145) := 'B33981E1160274183A672062C1200E1418B21300DAD31696B3BD00E03AAF93203A2716804F255EC14133143E6D61185EE12088011944744491EE209EA11AFFA2214555F416E2334289611804F416824B3D69143A0D22B860F43F65943645020108420292';
wwv_flow_imp.g_varchar2_table(19146) := 'A20240400554C00240C00200600294B40294740286B4059E5425400000A614005AC04A07829720A03250C00436E00134800234004C576C03CCF44C4560C50CE201CC540436604C01E00122800118C000028000082024F21400AC6720564C0438C04D0175';
wwv_flow_imp.g_varchar2_table(19147) := '05CC34040060030882502702030842031CF55075600556E00574A00778800774E00678E0066260535980203EB5201EC05031404D0742030CD5201C550356A02018E0203AF5877800066E000062E00638F5065A608906220608420680E0078CE007887558';
wwv_flow_imp.g_varchar2_table(19148) := '27220676E00776605999B5206E6059895559FF9955598920067889970080034CC00460A05B530006522006A087470FA202AC42055C400506020800405DD9D50580005ED3755ED1955DD9F520E275080A425F0BE24A79C05731B55687825201E00558C060';
wwv_flow_imp.g_varchar2_table(19149) := '7520610140070AE25371C0605F00077480051EB6620100070A160510150034204E4B95511B75201896610702056A000570A00658A00652B6602FB62056000556A0064A16630742525B956449B60790A0070AC2088056244816052E966863966653366201';
wwv_flow_imp.g_varchar2_table(19150) := 'E0645780646F160042200430A0632BA30808C26A9522096CAB088A8008760008D89508EC755D8FEAA8825559016088C875229894202620498194264660205C602046005D01E06E5D6004FFE6565D01205DE93625E2F55EFFD66FB383055020544B160088';
wwv_flow_imp.g_varchar2_table(19151) := '367119976609426665F65053752226B72074806635D76497B6062475206AE0646FD6645B150066766923976507E2529960079680079600007CB6679120766742730FC27369B6745522098CC077938008EAE30780406C09226CD9D5066CE04A6D600706C2';
wwv_flow_imp.g_varchar2_table(19152) := '7901C079A1776D0BA20340A0030C027B2B636EF3766EB9976ED575085C407CF5757CCDD72006D7703BC3665F367589167531566571C061439574DFD7735B35043640514582664DF6643557771736744D7672DF375151F7803B5762790000601776697707';
wwv_flow_imp.g_varchar2_table(19153) := '90800790A076A777223CD72066B6550538773996515FC0207E57288A2009FFB0762908377A8F77205AA0057475076C00089A975DA5F707B0957A0BE27BB5D732BC376FF7F66E47606F27627CB9575D5D005E01E0845322849D3628E6777E43177511577E';
wwv_flow_imp.g_varchar2_table(19154) := '4D966257966251160518F67F8B36835137668FB68097568B033874017861737666A3787221F7203678815777097460097A808EE9180026B8766BD7673D5825BC38655B962030E05507A2840DD9B68497264C786B6DCB325CC0798B80865B00062619009A';
wwv_flow_imp.g_varchar2_table(19155) := '97570B426D71D83A7AF86FED7626C45705C4F788DB55259A982042F8765117003EF55389167785167219369059598A3118651917071A17725B95773597835BF580757783DB78206C960900E0750B228F631709A27782FF9700634FB77F8999778DB92034';
wwv_flow_imp.g_varchar2_table(19156) := 'A04F0160914BB8901B19298EC020BEF92086A856AF9420BEB66CEF7592CFD920D27993C5E37B55626F01175DF1965FFD98664F392854168079F98C1557073056A04576612F9664D9F7A09F58972F96651D9A7339982060D97435D88B534275F7992096C0';
wwv_flow_imp.g_varchar2_table(19157) := '7593398F75A081FB17830D820608225519800288E008BAD920AC369C45C290C3B99B8B40A5C7F9277EA8059C9757BB16008C000060009343625CE179223A797B7758250C5705809820EAD605F8D82026F6284896621DDA20567620AE5A6425B62006DA94';
wwv_flow_imp.g_varchar2_table(19158) := '311607D837A1259A776D769633DA9A43827D19960960378E93D9759D3999AF3925DED8A21395065A95A4FFF914006420095C3A89B939A619D920FEBA90F346899382708D209107A2A70D825887BA2546E06D0D427D7F826F3B60048E7A229074042C606E';
wwv_flow_imp.g_varchar2_table(19159) := '3F7B20945AA9C93625C45A251A78AB0DE295EFF77DE7B77D055A674FDB98099A20081A69C1FAB525BA7DBF3A734FB99855C266B79A095E7709E458991B180904D620BE1A7481BB20489A77F5FA043200031040040CFB9093D8A5BF19B109FB84BDFB273C';
wwv_flow_imp.g_varchar2_table(19160) := 'E04A2FD8592762B9235B2472601BC6A112AE2029343B6FB137BE355B9E67A2BE5599269AF8AB8BF9801518AB677BAEAFB9B6075A61C19A65717922007969491699874275DBB7A007A2751D5C28F41A812FFC2022200286A8A5B196BB07E2AF179934FF6E';
wwv_flow_imp.g_varchar2_table(19161) := '980888A06B8160A73319867F28BD6942B6940100D660025C60B355A202B057480140C78554486DBC32C05AA003DC5609E2B487FC209A9BB677DBA08B5CC231F78C23779A213CC29582667980097C960934558595A274D15A240ADBB6403C9C479C3AEE15';
wwv_flow_imp.g_varchar2_table(19162) := '6B4DDC20622005B2146F5CBC25D6E020ECDB33E6FCC1415707B4F82030B5A011BC8DFDD77F5F96628522C96D1BC92F56719FD6D08F829651F7CA1B98AD377A0990A0755B82A49F1B281C7BA6AD56CC07A2BB0F62A6EB830324C0CDDFBC20625CCEEB163B';
wwv_flow_imp.g_varchar2_table(19163) := '7E3CBE6762976BB9D00B02A40BE2BF3D63AB655D25BC9CAB2F16994716536FFD281EB8B86F60D2CB1BD65502AF4382777F7DD3B3BB20FFACF6C3A523850FC203F0860248BDD45B4238393929F0F7D28DDDB6D7D873219A747F82A0333AD65BC27FBF7C22';
wwv_flow_imp.g_varchar2_table(19164) := 'D87A292EBDB8758009CE3D297000AD031BB05322BCAF83033CC0A8B05D24EAFC3A7E1C28B0FB69C398C991FC5369B6E097225455B63A1E9DDE43E2CAA757DEA943A56782B1EBA3DF6FF8DF07A24AD3C46845208CE597059C769657B932105797FDF7C8D3';
wwv_flow_imp.g_varchar2_table(19165) := '3AE56762CFB99D20D83ADE6117991D7DC2D7BA25D63D2568DAE3D9847B3B20D5D3E46825DAE531649A67E2A3E77D28B05C8E1DF8CA7FA2987B3E24F41D5F093758B59E78AD43A8811EDB47F63276B78DE5D86965FE27327C268AC008AE3E25D0363B2A99';
wwv_flow_imp.g_varchar2_table(19166) := '4ABF1E51785924AA3E77FFEF7E331CF6334A0072E558EAE37D75115AC11198267E57E37F6289964886AFE3A6BFB5057C7591BEDE0CE4A0947364054EA0554F6003F4577FA176034E00D7F77729D29E3A849BCA69C2D7939D06481A5303DF20DAFD3E805A';
wwv_flow_imp.g_varchar2_table(19167) := '7955607979755739A39D09E256E77E43CC356F07A2720B02F41135F40F752036F604847F220815F3F37E26427505189EB9FD1890A77CB51B9A62D5DAE54956F50DE2B989BB3294DE205A9C266418087655055A58F1C72305D8DC28DF000EF0B932E2400B';
wwv_flow_imp.g_varchar2_table(19168) := '0662FE69E2F70F62E06782F30162038081034F00104830E1C0102736AC500860C589870F43003058F0E144881C3BA25058A363421C101F422409A0860E8228398624FFB852248A121401085902000980253D00F0E02132A8D0A10481B418B803C051A24C';
wwv_flow_imp.g_varchar2_table(19169) := '9B2634E134AAD4A954AB5A95DA01C0880E5BA75A5903404E8521037D000210872088AB4D47ACB5A80180C58E1A42D44D6871A2438C04313284B8912FDB973139AEC4C18228C9C24C5B762C1131614F823D96F06032F0328E972939AEA0C176A08AA40953';
wwv_flow_imp.g_varchar2_table(19170) := '84AEEAE1B4EAD5AC5BBB86380280920A049528CC7ADB75870E30246810B861AEDC8119ECE21D18F7A2C515024D0E7CD85C786BE70070381619F26347948C8972569878054DED037552B6AC03F36B9136D647F5C0013E410E09DCDBBF8FBF7502DA037103';
wwv_flow_imp.g_varchar2_table(19171) := 'A8C0DF5A1009785556FC41949C421A24A741060D6600FF00841036D4D0452284C0DC09216CE0D745AB41A6100A35A08058482CACA403492AB2808388283C44134D0094406254827544DD40252486D312480005800EDD71065A44347CF65C910936B5547E';
wwv_flow_imp.g_varchar2_table(19172) := '227120C1061410048193565E89A554B10140A06B1688841B054B0E956006060934D1861C0547907456F1B5424D9D55771D44DF19241100220689434C87C98501001F7C105A0F3AE104A47A04D15043A34522C968961448400107564145104200549965A7';
wwv_flow_imp.g_varchar2_table(19173) := '9E3AD5C181007C396A54FEFDB7DE97B4A91A6A470269F0800611C80A40A00044801C411A4C09C09872ADA06608C56D70579B572DA7E38C267D5443621C394B100B2F42C661701BD4B063900A9154FF430818044A6842C0CE99634740E1E453428EA6D468';
wwv_flow_imp.g_varchar2_table(19174) := '442042144204B85A09C3513074C914AF0451C02F00FD7E0A70C004914A6A42B86585B0051D285CB042159C8A2A410F470C2600A1229C90AA16883A5005AA0EF40003B6E22A2FAD0F4470F2C9C4E55A1C47D2B53CECAF9A3255ED5FCA2ABBC29E7A8ED8EC';
wwv_flow_imp.g_varchar2_table(19175) := '0A2CB4CBA28B355074E340429E14D2B71F04EA6644E43185AE42A031BA6E441A5E54B47B3000502F003690461A00617764E940539EFDC0D9FE3E2070DB6E973A30DC0D5B3CD4C1B441CC3141185F4CF77FA1CECD9104C8891C81AD0C841C97BCB72A3E6F';
wwv_flow_imp.g_varchar2_table(19176) := 'AFBD1A1794451968CA6155194626429C32324B9E8B2991945876DF4924024B460F64FFDD66B5AE9E90A6CC399773B93FEBF0234E8A1E39B5427E4178657B40B07536BFC20FFF76F1C67304B85010B3D6AAC109C1BAFAAC0FD80A000309293E10066C3715';
wwv_flow_imp.g_varchar2_table(19177) := '9C9A033954D5CC04654EBECF2824062D8B2F5417E27703E9CC110E22244768B817010BFBD3DBA2046447234257A18158CF4A4450487B94620218608A2DE23B9E035D7320DAE4ED814219A0420C401004304083084000003AC800036CD082005019ADB0B7';
wwv_flow_imp.g_varchar2_table(19178) := 'BD5B9D66432CB456B044B2020E3C4D7F5261C10BA0251436392D67DA4AC98B840414147CA4390D4CE10507529FF984262937808804CA46250A4A518A43704115AF68C52C9265205ADC9242BC6825151044052AF0800736800234FF6E4004E26B2044A0C8';
wwv_flow_imp.g_varchar2_table(19179) := '81D239648EAF2B1D00D868151CBC402529EA8E505EE0272795684F7BE4080F2AD3031EA04B9185D1010F1CF93E1A8A040629684193AE42491398D18C04810A081638C550BE4D1CDB20A5294B894A52760322E0D806380852CA6E9C7296A9AC252D6F69CB';
wwv_flow_imp.g_varchar2_table(19180) := '58E29220DD08C737C2910D5F762398BF242651BE21B07088522AE2604B387AC91A6512449A0391662FAFF9CC6C62139ADC542634B3B1CC705EC51E0321673915628F7900809CE6A40700E6A1CE7712841FFC704F3D3BC20F7DE00300F270273FE9418F7E';
wwv_flow_imp.g_varchar2_table(19181) := '02C09FF4C8C73DE8710F79EC43A10C5DE83D1E3A50792434A00F556842F771D17B885321FBB08A3BFDD9118002A0FF1E231D8846358AD08404344BF648273CE149908FC63428F2108948378AD39CDEE71E1DAD473EF251D2A1B893A715C568438FBAD08E';
wwv_flow_imp.g_varchar2_table(19182) := 'B6E6A14C656A6B141A15886A5428374D485339A2549D6A75AB5C5DAA3EEAA18FD0D463AA5D154A56653A54AC7614A359E5885439BA8FB85EB5AC74ADAB5DA332D6BBEA75AF7CEDAB5F99625092029628711D4861718A8FC42A36B17F6DAC631F1BCE9A4A';
wwv_flow_imp.g_varchar2_table(19183) := '969F9485AC652F8BD9CC6A76B39CEDAC67B30489CF8A76B4A4CD2C144B8BDAD4AA364B31A8CA0190F3821FAC76B6B4ADADC01AA7320024B207ADB5AD6F7F0B5C85A4405F51C1A1FB828BDCE47AB6B71DD91A0621D238046480530A2901074A5082002A77';
wwv_flow_imp.g_varchar2_table(19184) := 'BBDCFF25AD4002C011EA2584776623080AC8DBDDF4AA17B524846E0670B8DEF8CA97B3F613891BE78BDFFC2604BC0400EF5D5F0B110658AF69FA2DB07C034000032B78C190052F821F9C60064B78C25DF52F852F8C61AE2238C3E93D2D87BBFA0DD30C24';
wwv_flow_imp.g_varchar2_table(19185) := 'C200B0F08767EB618E78D88E1EB0E3891D48DD1203A0BF247E317E45E0621BEB78C75749B18A4B17C73B0EA4C53C2EB29187126428DE1722A95108718F0C651EC7D1C722914F47280021B621A07151EE3286813CBED6952D3E774C8D082C35652FABB9C8';
wwv_flow_imp.g_varchar2_table(19186) := '384E3200C6FC661134992044BEA3A5EC28A127430401CF5DB39F5BD3C4CBAE11C8A52BB49DE56C47139800BE7146334132F000F4FEF98106A8F1FF7C5B7B832632B7B32B56340B4AE7814F03A0C5847EF341A02BC00C4E7AD51DD97450324DDA3377B274';
wwv_flow_imp.g_varchar2_table(19187) := '50419F9945C0E84CB9D1831E6475C07A6DC402CBE0AE3018F67B406D47672D3A35A01C3547B04C8160FBDA6DBD068001AA3D6DFCC060DBDC960A144BA76C112CDA04B4265B475288ED6C7BAACF1D49B0A5AD6261136F14069BCEB4BDEF8D6F577375DB10';
wwv_flow_imp.g_varchar2_table(19188) := '613744582C6716847AE0224081073E3265593B25DD0961B8BA5BD3C13EBB5B21EFAE8ABCB54A6F82E07BE3F7EEEAD608C26FAA841A00CB16B8C0CBDD14082520021C7C78A7AE7DEDA04CFC3401B8F84663807385707CE31EE776C89D8268923739C7726E';
wwv_flow_imp.g_varchar2_table(19189) := 'B4C2EDCC1195E1AABD0BFE02570DFF00F50C567CC6A74970A5F5BA73580F44DF3757C8C7F71C758E141D5302D793B3DB7CE61C7724022AC795C323ECF0EE9681AB0440408413D0412B25D1E55311F7A8CB3E90938FBAE8A0B6EED139C2F2EA599BEF9F9A';
wwv_flow_imp.g_varchar2_table(19190) := 'FA6A363C625EAF7CE5D2D629CE2F9F73CB3A1CCC610ECA92396277C63B96CCF1A1B2E883225B82ECE0073DD8414F5C3F10AD9F5E9CE56866395C238E72DC7EF654C97D335B537B00EC1E00D4E4BD7D007A8F7A287FF9CC6FBEF39FBFFC9282D4F851596B';
wwv_flow_imp.g_varchar2_table(19191) := '43DDA950ECEF03A1D9372B4663BAFDB51284ACD42FBF5F190A00EB0320A1275DBF44DFBFFEB44A949F0B75BFFD075253F3EB9FAF53A547524F4A566F051159955564D556FB87FF80A4755809B85E10457D40B51AE4C78096157D1C215831357D13A8811B';
wwv_flow_imp.g_varchar2_table(19192) := 'C8811D48159500009950099940102408002018822958829EE0812DF8570281668E6629C3D32F1BC00136E867A6E78259B2026CA34938056B37C06D31D04481A663AC070048A8843D917A3BD83628A0499F773C9A9610EBB37546E8845918144D261030A0';
wwv_flow_imp.g_varchar2_table(19193) := '83418102EB238656D27A09B1355B737958E867AEC786BA35365A781F5F081156D8439E32193210685F376C5FF7629301876D23464BC101552285102144EFC23E7FA8887D051926715C8B0889C693626612022180884201192AB23E40843A29E04791088A';
wwv_flow_imp.g_varchar2_table(19194) := 'F84160ABA10332B03E22168AA9D829183003E2251416E13E74F8FF7538D66CAA688BF9E18A4CA1035BC3037448672C60022F20033C90022F408CC7388CC6076472788B4E420500900400F08C53A10331E04831E08B04518CA6686CFAD76B788777CD0830';
wwv_flow_imp.g_varchar2_table(19195) := '7B500663000076808E73371540D18B24777223E7132F508CBD386C3C2003DD287A130000135001136001FE288E59E206E6481073670743512E00D05B5BB36C0A218C00308F29708C30408F0020037E087BB02736AFE787D3A68F04019001791AC89010C2';
wwv_flow_imp.g_varchar2_table(19196) := '500D0401074EC118AD758A002070C2F890E9229109618FFDA36E211915A4F291226915A00000E2700700800DCF1015090924DDF80256788F10D98B35398C4F698F1DA88F29F02516808A3C1915D8A010C5C7FF14339022E91214A6C8039BD60317E913DD';
wwv_flow_imp.g_varchar2_table(19197) := '988C1B89143DF0033BE096A2F78F0331373B29014260034888954D11944CE104F6132944418C0481871D39146FE9966FE9673B29143BA98F0D6303366097429097AD81060AE10492041165D98B65B9441C39691B33303899311F290190D9029179039239';
wwv_flow_imp.g_varchar2_table(19198) := '99A1F1068051271C019517A9868B3801313610ED216219D97A6C7998ABD9140504003390102892993C7003C60914176996968591AFE786CF293688895905539A3BA09AEDC17A84598603215BAB27046FE89B1CE104EBA89C84495AE0F957FEA89E480401';
wwv_flow_imp.g_varchar2_table(19199) := '8FE996DF39103D2199BAA996F12936E129124D2815F8E8404FB429F9C186BB3936E8D9558AA9FF10EB99444DA2916B2914F3899F42219C00709976455D10300195F29FBA950294040391E614BBA996F4E97A6DC97AD649A01464A0A1993C0901012AF035';
wwv_flow_imp.g_varchar2_table(19200) := 'F719A20E2A1201FAA01D219CE319112D110336895314300150C2A2FE322536D08DE2C301B906004D1436DB0936CEF99DA4019FF8A19EFF48A503D198FBB8A272D91100C9A5716940761936BA79A2354A143380A303410324D13F89F494E6F9405532259C';
wwv_flow_imp.g_varchar2_table(19201) := 'C298101063BD9501BDB58B4041877E780365981442F0033F2099AC275B3D60049F52A55631A5583A9A074A5D49D1033670036FC9A7644A150912A14CA01D4EC9A3A194A2502438559202C6260331F1718E648C22D1A748D11E902A199461FF1363CA1A54';
wwv_flow_imp.g_varchar2_table(19202) := '2A9A56FA258DB99E5A2A15095025BD66966A9814B26AA935A473931168B3D9363720029C22A716EAA3401A14BCB33EA5AA901CA18676D9133D00A2B01A36407203FC791A590A928223019CC2AB9B521F7B1714BC06112960974538ACAEE11C28D23F5099';
wwv_flow_imp.g_varchar2_table(19203) := 'A40F14A9193A83FAF8A3199A1007049656D8945CA77AAFA79A4FBAADF1C996AA39147D4AAA51A1AEEB0A00EA8A00E0F84112DB11A921A900DB7A7D2AA9F16A154F93AA38E5A600F04412203856FA668253B2601914AD977A311B363F8004AB67043B50B3';
wwv_flow_imp.g_varchar2_table(19204) := '5231195CE614119B10116BB11F940041CB11B6B98F2467910AA19F20BB1A483A45C538671D415D09302529508B44218FDD26FF143BDA5A97C7353210037C28122EE678105177671B7AD6C667AA06113ECB11110B016C23AA1D611AC5561A4C5B15494005';
wwv_flow_imp.g_varchar2_table(19205) := '49F0047CEBB77D0BB87FAB04803BB87C6B1B4F70B889FB0455B0B888DBB883CBB8835BB88E6BB8005005B2A1104F008D0A21463FA0029EFBB9B2255BD1381588DB11D168BA840B00A99BB8AB6B1BD1F8BA98BB1A4B01B00921463620460401B0B5AB7A30';
wwv_flow_imp.g_varchar2_table(19206) := '8AB79D920E56510EC11B14E9B07BC33B10C39710E5600ECC2B7CC42B12E610BD03610EE0C0BCD6EB1ACD2BBDBA670ED2ABBDCA2B7CD28B1FB707BECBBBBD0421BED4FBBBC6535552D151EDB77E0315BF358551ECF75102D54FF89B54FC24810A917F4311';
wwv_flow_imp.g_varchar2_table(19207) := '0F0311C00391FF811EF5BF2B2550D39752F8410F8255C010A17C0931C041A14EF5300F164C15F1B4BE5852BFE917BF4A055503D55135E58086357E710555210C7EF1B00F130C111ABC5EF670811B4C57E2675526B57E0F758010C153FEC751FD4BC341CC';
wwv_flow_imp.g_varchar2_table(19208) := '16F5B44FF3454FF7048142ACC44BCCC44DECC44F0CC5512CC5534CC5556CC5576C5BAF89C57D05465BBCC1B1D11551A63A9FE8C53AD5C54E91BB5AE1022AB0C6651C8A613C152E00002A3002692C1213F459CDE2C6B4E5022020C75A41141550C7A5C522';
wwv_flow_imp.g_varchar2_table(19209) := '9F633A7BAC5AE0200D43310ED2800B8D0000E3E05948DA477D82C89C75C6415109992C92435324564C0DD9B00A42410DB6515B4ECB599F9C908D15B7461BFF65CB4014B2700B04A00C3C59039FDC585CE8CA7EC682A66CA9A0F11DB87C571E405C65F306';
wwv_flow_imp.g_varchar2_table(19210) := 'FFE0675B60CA529003641ACC91E15773961A0F0007C8BC665C01C8A172C6782C8E24B1CA75F583A911B5AB46C741C1C901091A5A9C535729B6D366C72271CEE228CC74D50262AB403F77C919461DAA7311B64204873A454B7103992798F9EC14DFEC5BCF';
wwv_flow_imp.g_varchar2_table(19211) := '4C1704019CA264032D30D031B0A106DD141AB1CAF33C5BA0F11939F210B948D19B7524C0B5029E2C351EF2D1A385D1AB15D21B4D109F9135270DD2C0853B7602D37DA521D57202399D108211D2BE053B107189355D5773F1176CC2177C11D2295D5B4A2D';
wwv_flow_imp.g_varchar2_table(19212) := 'D475652DC562D236030047F2884D9D8AA3A8B05E0E62D55BCDD55DEDD55F0DD6612DD6634DD6656DD6678DD669ADD66BCDD66DEDD66F0DD7712DD7B655B1421B771406044420BA40205B793DD7F8017506E0B60A41B4176BD8BD76D74F9C028B0D9159D8';
wwv_flow_imp.g_varchar2_table(19213) := '1E1E50D723864493AD10ECEA41826D6DF581D915EB4111FB3B0A013648B157AB779749F8A20911ACBE5B15368029893D15D393101BE46F41A1AE09603D19805E25302F11C0002B47141E140193C7115041DC480B9B4B6991C386AC521110000021F90405';
wwv_flow_imp.g_varchar2_table(19214) := '0A0000002C06000000520265010008FF0001081C48B0A0C18308132A5C88AFA1C38710234A9C48B1A2C58B18336ADCC8B1A3C78F20436A5C48B2A449842253AA5CC9B2A5CB8EFC4ECA9C49B3A6CD9B3873EADCC9B3A7CF9F40830A1D4AB4A8D1A348932A';
wwv_flow_imp.g_varchar2_table(19215) := '5DCAB4A9D3A750A34A9D4A9566CCAA58B36ADDCAB5ABD7AF60C38A1D4BB6ACD9B368D3AA5DCBB6ADDBB770E3CA9D4BB7AEDDBB78F3EADDCBB7AFDFBF80030B1E4CB8B0E1C388132B5ECCB8B1E3C790234B9E4CB9B2E5B2F9F25DDECCB9B3E7CFA0438B1E';
wwv_flow_imp.g_varchar2_table(19216) := '4DBAB4E9D3A853AB5ECDDAF2BED66B19DDE9F9EFAFB082B468C106EDEAD5D346E7F4013007C0D06E9A7E00C02398C916807E612FCC1278AEA0BDA69EB2393FCE3373DF57D09F66FF1B588F7BCD5805EF84935673DA76005F9092D225301E514A25811113';
wwv_flow_imp.g_varchar2_table(19217) := '67BE736DA7FD68169E4D9A1D356062C29DF4CF3FF20C74CF6BB55D571E51B5FD47907D005C47D23D5721746042090EF4617F908DC8183DF64C18193D00E0538F3EF708540F3DF81474558D392D87908E2445D8A14CF794F79A49FA84D862499925A9E492';
wwv_flow_imp.g_varchar2_table(19218) := 'DE91E8E4933F15C84F4C9A3579538325D9679F3C5A46691493602609E59864E694D9943F0EF5CF3EB50D99D63E4386C9649974C6D51000F5ECF3E0837195F7508A2E26340B2C830EAA0BA1B000405F41840280E8A102C102A9A28E02704958F70459CFA6';
wwv_flow_imp.g_varchar2_table(19219) := '9C76EA699DA086AAD0821612545D2FA2A6DA59124A1CC42A586508FF3446506EA00140ADB7DA9AEB40B83A351B1C70AC61C61B660CAB901902210B00166B24BB2C00C2466B46B45471E10517D672310617065DEB6DB65E0060ADAAE4AEC580400730906E';
wwv_flow_imp.g_varchar2_table(19220) := 'BA06308040493008F4020026A0E0010A09718002070070E001BFFF021070C0020B24C2BFFFFACB81C20C27EC30BFF90270700D00D07010C41E0CE4AFC408FB2BC2C619772C5504090010C103119C4CF2B9003010C1BB111CE42EC93123100101E5E6FCD5';
wwv_flow_imp.g_varchar2_table(19221) := '0E053D000006196C00400934F15CD00D46DBB003D200F0BC430F4C237D830D36DC20900D0058BD34CF522B3DF5D25E870D36495813D40341290801800D42943DD00E5853BDB6416DF7A034541C8850B0DE192FFFF471DF0541BC50003A173E55CC18E474';
wwv_flow_imp.g_varchar2_table(19222) := '030F3C582D834132583D50E494DFF0B85336B430370067DB20430B54B7A03900A3679EF5E8A2DF203AE9327CCE3A41310010C30DB3C72B7B510BE7BEF0068223A4B7E1C0A3A541E203112D50DA0ABDC0C3D2023D2E030F975B4E3B0F63DD20390032789E';
wwv_flow_imp.g_varchar2_table(19223) := '10E59363DFBA0C3D38FF790CB3030083E4B40B143B521B081DFCFB6D31F041421010ED4109EE9770C2401A88F0C2BC26C0DE59AE2710EB59CD7A04695DF3BEB7C0057E8F8108895DBC5A1003DB05850202C12000349837817880052CF8E0C124060016F4';
wwv_flow_imp.g_varchar2_table(19224) := '4B6F14C8000010804103C00F4A2E340802DE9595187E408527319EC6046282F0618F7ACFFBA110FF8318C4A490EF88E4E3890209020319341106506C5E0A0868BE18A4C028426B1F0536A04181F0EB60BF3398077F17C6776580862FCC4B00028033C279';
wwv_flow_imp.g_varchar2_table(19225) := '250131DC8A067EC6B29284400311A018072820B8CBCDC58F0B79A0200588B70CEC9103866C9FC1BE98B74606AE20684CA3A87CB6151C02208E02215CE24E30C79F01607F7A13410CFC0848BB94D22B82DB6206B638900D24F290AB0480FBC4B84193ADF0';
wwv_flow_imp.g_varchar2_table(19226) := '5C9894E45DE0C0072EE0CB270FB0604E22C915E219E400409B9F3119B0BF04CA20056EEB09156D72C09BDCE06C090CE456B82890A0A5F09B0659A52B7BA741171AC066BAC40B3300E09C64CCC41D2409073C7752B2AFC4AC2007C865413AD9FFBD546551';
wwv_flow_imp.g_varchar2_table(19227) := '85EEE3D73D0F62483E126403941488010E904EBF2043267F00403A3C3110E7A4E21F9120823CC2E1139235ED683F61234D62964F82301421890BA3F708F9A4597673610559250EBF998107C452962E0540420742CC862AC6150068957204428C61008018';
wwv_flow_imp.g_varchar2_table(19228) := '3F5142158E82339AB890654D2D485359B6815FC62E8960D99AD4F6A2C8F6F1CE8B08711FEF74684B9FF2A511AD30883248128D821564A942498241E23390328C415738896A4E188AB303E8D5202F58DFE44EC99D59FED3951AFB9D233F3693939A352EBF';
wwv_flow_imp.g_varchar2_table(19229) := '00406401C00B55EC0200C190893A0AE289CE7E613600C8061184F20659A1C1380040831BDE308658F9E4AF09E12B431D2B1004FFB88B20F3525FECA609254BE2B47703E11BDFC0BA1003C0F6B16A71E7516F5190C9D672213DCDA53E75C28E814043200F';
wwv_flow_imp.g_varchar2_table(19230) := 'AD04361811898108D3240460A3488FAB10E3D2568611D0200A0228101860F53432F000177D06817B2220A7AD9409C44CD8B79A9AAC9EC5252F72C3720D82C4A2160038C63A83810BB1808218C478A817AA31102F58E1B947211CCE72D9D381B077A5ED55';
wwv_flow_imp.g_varchar2_table(19231) := '4D4EDBA5D28BE1D7208CBD1F4ECE39E0B44496128B80842A3EF19675D6C48D03692ACE749C9000F875BA74FAB0CF4AE6DB8825167027A4A56F5F66B20E0B8400406E3158DA1A09345C18006200C018F8000AC0B49120E1058080A5BA14C15626630F4040';
wwv_flow_imp.g_varchar2_table(19232) := '0206BA900E7AD1FF8406513109755AD39801982008E0F098A5FC950B730BAE00B8726A3ED89FC709B4662B2C49233D70B01086916F6485804E5146921D4799CF5F918240D07087D27E06C72479C187CDF75D9C7C77D43B31735904CBE692FCEE83261041';
wwv_flow_imp.g_varchar2_table(19233) := 'AC4B58B0BCF597A6298C2DA6D9C22D71695920560897112803EA9AA420B7B7E34913852235A38D255EF3EA2200CE9B1046172CD6B15671C64A3C93A61A77D76729ADA7010007B6EC592B2F4841144B6D9225528FA507999DAA738264B1C4B0A40A29310B';
wwv_flow_imp.g_varchar2_table(19234) := '4C10421684726F32A9230002F06D70A3A5CB3B94CCA56982EC9310960726B09C093CD070D8A52FD93C416053E2C5EE81BC80051864F3C205D2EF0FC27ADF02FF1381093FC6727E092DD70939B7C1BFE264B48837BC32776A50D44D5845F3DBBB57244905';
wwv_flow_imp.g_varchar2_table(19235) := 'DF92EEA2075D21113080D24D065CDFF50DDBB29675BF18BDB193D47CE6E609F35070E62E1A3260CD442648D31172C517F49CECE92E617FDFF56FA3A87B20F3568A0CD20D836397FDE8F10AB94DA44E6B8139DA6054371EEF648AF572693D28537D19CD28';
wwv_flow_imp.g_varchar2_table(19236) := '7D93B4771C7200C8ED1261905BBD7180BD8F870BC779900227CEFD71EB3301052870CF931A7421FE0E20E0C0E8459613E4A602A1F49D0D4280AB17FE3487074A2E53361098CFA4E235612F62A57810DEE2C48F714F0A14D36DF7C8777ED9738E591C2DE9';
wwv_flow_imp.g_varchar2_table(19237) := 'FA388371D6D61E58D31199C1D8BF4CE0A01EF9FFED4D93FB8EAEF927C7568BD592AF94783D8EEE577C7F4C73DC7DB117C4DA7DF7E2B6B71DDC83E6FA9E09207064367E03F6003EE35F18F67B00C073EE2513988449D06710C60717766774C407002AC466';
wwv_flow_imp.g_varchar2_table(19238) := '3814462134107F977248F62F8C55105A047BB52580043860317380B5746227F15DD874124066764BD16C36A855387883D9B413CEE34384243445661026B46F285784FCB66DD827027C0331BCB34529645329387E2E844EA0F230FD72854D576C3D43010F';
wwv_flow_imp.g_varchar2_table(19239) := '804119000135A5415D8874C4A4746DA48551086E74051AABD51378A55A68E069E3A610685006AA651065E00678885705E15A06312E00102E04016869E8146952885D81253A410FF2C02258FFC28800D0208A98210BC12336B11CEEA0239638540281259B';
wwv_flow_imp.g_varchar2_table(19240) := '8888A0481A9068108D588A8C788AA6988A2C821092080F93A810AFE88AB23810F0004F58F28AA1988BA8B18A4E710FDE11230501270FB20FF20027BCA88BC8781A33F21570D28C00400FC02823C9388DA1510F419215702210CDE88C00908DD488149992';
wwv_flow_imp.g_varchar2_table(19241) := '1099328EE1F88D5DE1299B8227CC988DC29119300223E65814F3600FF30000F5D814F6C00FF9A821B9E82600108D33210F02198F045938FB708805093F5A40570B09005BF0050F19915B50065BA005095912B5A287170925132010155010230000231092';
wwv_flow_imp.g_varchar2_table(19242) := '21D90121B99124F10328D91926791312D09106E10206310232093F3AC0382BFFF98D1520011D500134491023D092EF53031403003CB0043AB00447D9034B80044D09004DB90439096E1D60011D401057F99302D19226D9012AA033453910610995EF2610';
wwv_flow_imp.g_varchar2_table(19243) := '4DC9944860963AA00343510453B91857C9141DD0932729920D65313AC00400909447699450090069D9977D291016D313E2F796BBD1937109001600925D193C38800300C0046C69104BC09402919627B10236710449700447610445306C0B813458C333C3';
wwv_flow_imp.g_varchar2_table(19244) := 'A6928829178DB995ADA94B4519969299944C20985299999839103830963E510447500449E09B6E199CC43910C0099C00809CC70900A0A91072D51340B09A6DB19808F191C143943560319249994AD99DEF76369AC9394BFFB09B0B51032B609E34C099E9';
wwv_flow_imp.g_varchar2_table(19245) := '593124F19B72159C04219CC6199CEE2910CDE9960B4104A3259DFCD9151433964A599BDEA9940441A0E4991085499803C19937019ACB599C04719F24A19FFAD99F8581706944316C2999055198029A946CC9043B10954C999B32A19E2B90A00A219CF079';
wwv_flow_imp.g_varchar2_table(19246) := '10CD69102FBAA245B09F33B19FA3B59F40109D16DA1416509339310A03419DC02399BC4910454A1047999648599942419AF0F99B0301A508719FF8991055AAA325A1A3A3859F2D90793B0A1440B55602F19539415102519785C3A1F2C29BBBA9A6038193';
wwv_flow_imp.g_varchar2_table(19247) := '0431A247E9A62591A2297A12F8099FCF2910555A13588AA544000434FAA54D41920AB109B1605400100702FFF19AE357036A8A033A10A90040A705CA037A39103D409902519BB329A9D9B9A004C1A032E19B00F09C0E2A57A61AA526119D813A10AA4912';
wwv_flow_imp.g_varchar2_table(19248) := '31D802AA43A83C1197420A00BE510B692510B820A62149A637D1915C59172CB002BF7410C85AA4474A156CF99F0000A99139AD4C8AA498BA034C7003227A9B03719344F19CF2F9A4C90900FB099A83AA10D1A992B1BA03B15A7CF0A631040300123076B6';
wwv_flow_imp.g_varchar2_table(19249) := '5A107E2001035197B2701091B5AF009003005095381197417917E66913CD1A1544AA9B91B997953AA90A51994BC0043D50999CCAA907119B0040AA2771044400AE319A13E94A10D144131C80AF07E101316322F5AA100D0600340600CFF050FBAA0416FF';
wwv_flow_imp.g_varchar2_table(19250) := 'F0955999AB26B198680A173590AC33810245C90296EA814D410314E3A6094B10DB4910188BB17B99A9466AA42A6A12797AAE2D0B173A0B00AA00008B8070B8200B3E00022AE09559A91342D9171BB002CD040040BBB1F9C7AC7086A4D5BA13DE3AA93460';
wwv_flow_imp.g_varchar2_table(19251) := '31905A10458B10203A993CC0A4185BB709DAB7ED490445D0A760010326102FA297B50BD1B36560055470065E700682E61B2030A68D4A135B0B181CBBA0E7E9B64B1BAD735B14523BBAD32AA924B19E805B9B986A94B519B50261B8354104A2B9A790FB16';
wwv_flow_imp.g_varchar2_table(19252) := 'AFE9A855300682381056E01B9EE13E27B0026C6B12098BAC1BFBB6194BBA0221B43471A00241AA10BB10793B1052C9A483891830D0A5A4FF130392562ABB9B1017E6067A68075E20884215B000F09172D0171A70477774022150BD09B1B6C9CBB6A14B14';
wwv_flow_imp.g_varchar2_table(19253) := '933AA928F0AC39C1A127D04C558B100DABA064A9BD254AA0085CBA0A419A694101E556BEE43601AD499D162910C1AB6902B1B93D7B176D3BBF247C47B2D4B6CA7ABCB374BCFBC399C7DB1386AB03496BBAD1BAACFD7B10915903F323102FACBC1653C0FB';
wwv_flow_imp.g_varchar2_table(19254) := '73995189044E199E082CAA5BF1619B3B105F69032AE06C27816A16DC98023B106BF0067E20878B8A068F39103209021360065820105BD0144BBCC4EE7B922D59019F6B12F77BBF0785C2A3AABF09D1C30621C726C1BA0421C3BA59A9D02B13090C003B7C';
wwv_flow_imp.g_varchar2_table(19255) := '129279C0DCBA0423CA9498FF1ABB0A71C0540193275B6F16C47E07617B2DCBC605610572E01BBED12C5B699708610672E0A3693147FC0400706C122AECC2FC3B10A94C1270CCC236A1C792CAC73B8101AF5C1238C099F882ACCC8B9B9C23108C53B70461';
wwv_flow_imp.g_varchar2_table(19256) := '31377C103DF0034EA3CC00F0034000C53B81B21B24693EF106E45BBE8BE9A81D40CA3311C24DD1C624D1496FBC10FBE33E2BB001E55CBDE8BC3FE58CC7C5ECC2D59BCBE5892F1CFABF7CEBB6C75C12C3531322C0CB2BA037A77B999D1AB8656910769A9E';
wwv_flow_imp.g_varchar2_table(19257) := '097B4F46B3030C0DCDC26A138203011440CD3CB101969CB598ECBE9DCB986701CE3F2134727C02E88CCE2180CEB214CFC9ABAC04E1CEB30C141A70CA255155A40AB43DFFE094C29C977E6CD0098AD006712EADB63625AB13124001F83AAFF34AD4D28613';
wwv_flow_imp.g_varchar2_table(19258) := '179DB5AD89C9BDFB1718303C9D04D361F549A8CCC325DDB6F67BBF1B10020C7A02E9E9C85E91CF0B91ACA15BC44F59D025E1BC0A8502656335411D141E10400144AF25B153163C10D6C9C67CDD9305E1D150619D4D7D957EBD95197DD705F1D30471475D';
wwv_flow_imp.g_varchar2_table(19259) := 'DDD50221560551D2B294CA290DB7709BBCF6CBCE5ECDD266812F1413C00251D34B2095B36BCB0841AAE95C105D4435D11403E09B13B15335E633DB393186795D9D8AC9D76221D81ED9B98A6913C48347A69C321180010F604C06E1821BA001CB1D0219C0';
wwv_flow_imp.g_varchar2_table(19260) := '4FE77CD9AE8BBCC8EBD50801C707CB14C46C122810BA3FFFCB965269C4483CBA07E1D8029800AE3D41292B10D25C130CDD3436F0CCCF8C1310F000120D00A075DB0941D8EF0BD84EB1D7BD1DB0BAADDB27113311C0001AC0000FE032E772DC0A6EDC3A95';
wwv_flow_imp.g_varchar2_table(19261) := '1321C0CE0A6A31C62C1013EECA485C166B5B102FB0A114739447B9A106BDD2045147C4D4A5686C10F8EA01ED6D1350BC7E2650D734A1417398D7676B108BC9DF1E7D9241E9CD3F81AB25F9C1B8BA100965DC1AF000494E1003C54F94D4492E38BD92C9A1';
wwv_flow_imp.g_varchar2_table(19262) := '3FFBCB40CB992C00C14A21CE2856106CC9961F2E584A1983A65B03593EB7642510ADF6001BA0392D900229303A0311327DE3A509C13336204CF19AD4FA6D131DF9E27E1147D40666F4476D7E356D51FF75E874D1D82140019DD457D3D62ED3A5E494FECA';
wwv_flow_imp.g_varchar2_table(19263) := '92ADE1897DE0072E13F59D10A3778538915070441025337B7DEE179E9C1071D02CAB6EC56BF0EA9EB6865E91DFB0222B2791DFB42E10B99E5A3AD18643C187A70E14EB708C3C410F2C62ECCF98EC51410FEBF08CCCCE8BC42E14A37825F7200F00C9158F';
wwv_flow_imp.g_varchar2_table(19264) := '28138D3821AFB88AC7BE13189214C81E0F0D12EEC15E13B888EE9DF88CF230EC8D38ECF03EEDEB5E14EE4E10CBC1ECE9EE190DF2ED24C1239F0817E41EF0FB6E8AE7FE1433B229C6BE8A1382ECD13E14E9481EE9581E8C98EF3C818B9328EF0851EDC4B8';
wwv_flow_imp.g_varchar2_table(19265) := 'F1C5D8F11CFFF11DDF8D45B1F1FF1823D76E10C7F8F005BF1BE4D8F2E328182FAF2708FF61243D518C46D120C42810F7D0F03681F0E8D8292BBF197202004A121849B20F56D216AF110FFB100FF7708F416F1E3131F500809003711D1A7215568F135352';
wwv_flow_imp.g_varchar2_table(19266) := 'F5536FF5FC5020739214DEA8F34AE18F40710FF6F01AFB600F272F8A51BF10F6F00F585FF532C18F56B18FD0111EF6D0F77D8F0F1A02F5065120FF21F837EF88685F146F8F15F7380F867F13098FECCEDE162CA222717F10E66E0FF180F73C61EE02518F';
wwv_flow_imp.g_varchar2_table(19267) := '7EDFF71912FAD7110F8EAF109ECF141EFF8F7C018C96DF8DD988F3FF588A895F12C7CEF0926F163872F926E1031E0C00BFCF1457001F00609116191FC62FEB5B5105C14B18CCFFFC0040880651056710886740FD55500554F004BCFF0F182F29101D0993';
wwv_flow_imp.g_varchar2_table(19268) := '7F9E142060012050E4040102EA6FFE1DB0E25401C742D349E72CCF7CA101CF8D8119E05BF36B58CB8D8100B121430800050DC2309850E142860D1D3E841851E2448A152D5EC49851E3468E1D3D3E1CC1B0C3478B2E0A9A340920244A94245D1664511005';
wwv_flow_imp.g_varchar2_table(19269) := '8B99005EE8789953A7411E0B59D40080A3068E8B19761E459A54E952A64D9D3EE5A802A50A95005C0C014015EA44162F14B2604174EBD31E0A9720595250A842A02B3A1E191B57EE5CBA75EDDE5D69956ACA11535D680580F5AE411C28BC1AEE1A737043';
wwv_flow_imp.g_varchar2_table(19270) := 'A000DCA2A8B1028544B4489E2A5EAC9048421B993D7F061D7A2960857FFF9E3C29F5AAD4BA3F218B66AC7072C49E00FFCE2AEC91B6A05B971A7EC0855B37858CCE0B8BC3469E5C39D3911D54741861A1C3840A160034BF0E00C4889105A1773718B2EA42';
wwv_flow_imp.g_varchar2_table(19271) := 'F1094DAA50D1B7AFC19419674FF67A51B2DB9F3171608EA803877E9C4301E037A8B1DD04BC882683666B8889B20ACACD36242C2B0B279D2230A120B88A48A2888832042009923A6BE1A11F14DA6139134FF4ACBC9CAC531100E93AE8CE3A10AC5BA839EE';
wwv_flow_imp.g_varchar2_table(19272) := 'B83368241C556C2FA1BC34C24907046D024042895E83A906C5EE2B52A7C668D008051D5E4001B2C9083428AD258C44A22C1ED2E2C1321EC4CAE907232EDC50C30C83AB484322DEA488082000D80C00183A23624414F7E4B3CF822C5081C63F1B120FC741';
wwv_flow_imp.g_varchar2_table(19273) := '73CCCEFF50F2C00B8FA1900A4DC830322B8AEF26C2B02C08284D275B0BB91A74A801A8C99054480726BE44758906C33CEB4B003025E9080F0B9AD5A15A01D0D0A237EBD435A12236D3D34F61870D8DAA2B7AD4C2201FD0CB4E211A9BEB0E3CD21C2AEF46';
wwv_flow_imp.g_varchar2_table(19274) := '4815EAAC06140A13524886A49C2DBE89C4524C53FB5E6D32282339220A5689427D754A00B62575211E4E45D536570B5A6289DA0A5AD7A52334C4B0E00C393488C3816F8D880837279A13808801B8C1865D272636638DE952610200FE31689446C629E81C';
wwv_flow_imp.g_varchar2_table(19275) := '4FA07BA88319B51314A2965502A120EEBEABAA4574131215DE2281F216602271FE2928985E0D3AD44E9F729721A28442B2310013EA49872D75F832FF37CB544D37A98107EEB06000B85638CE8476A5C8085E0D2A7163B5D78EAB02AC9201008255143223';
wwv_flow_imp.g_varchar2_table(19276) := '2194516EE82A1F1B8A59E6F1FC7EA8CA791BDB76A8B0866408219F33754D49C4C3AA2F28FBC20AF8231AA04C9AB1B0069708A753015090DFB2B6147A2B0C0D2A82CD85CE4E2A06B65F875D29090A02A41F9B01A864BBBC1732638B847A470300DFCDC821';
wwv_flow_imp.g_varchar2_table(19277) := 'A2166F7C485B6D850215A7FD1257AB22258F5E7C528F56880C4A28A5C73928A084B25EC2D00B422B557E4D15DA7A8E7EC8F56B5C3DF4DA7D86E08CBD7EFBE3AAC520642C9246A21017AA4041CC902C85246B0B5F0000010D12C0BEA9E45AC7D30E4432A7';
wwv_flow_imp.g_varchar2_table(19278) := '10D705E8697411D00A68A0418AFCABFF22DB5B88BFFCC503CF91B0742F21D8D670A53A87B48F21738221007E80B1FBD5D08616E105006A218C8E80E20A15A95B41E2B0853FAC010D710040F018D2C046ED6D2293718B645E05456DDD2C60CF63016FEA42';
wwv_flow_imp.g_varchar2_table(19279) := '20ECADA08B350021452688AE49F9EB733D3815131E42834F79846B0A71E10DE53847A4C8021700F805003A01006FE0627F05C981A018F51C1080A702DB194903B7332DEF00C00C4834483F00608584CCAD1BA38048003152450445F14AA4C2C1A4D43717';
wwv_flow_imp.g_varchar2_table(19280) := 'B1280F7111516342C462BDE739C4543811614F4CD824CFA97294153902AF58A8916015640769A36330E9288B84E40F8F8E2AD408D0A3951180808959E91B2313E2BB71BCA220FDFF5308DC0458900ADCAE2A7893D94854F0CC8788802DAA5497A8B4D81A';
wwv_flow_imp.g_varchar2_table(19281) := '74D58B3654EB880E8CF4AFCF512D95010AA3468C40B05E4164073FF8678902FA831F1C479807B59F2A00808850246408368A16550095156516842AD3E90E08A4A9103800606E0AF96142A4E13B727AE776E00400073492B385A0408B2558014C61FA94B5';
wwv_flow_imp.g_varchar2_table(19282) := '10C59D0E996547C8742A11C2B248F064C2BAC6E84FA4A4CD06C5D90110FE8950A6C6CE0A55F0C219AA300691182450A4798E731E05024DC24C255D3588600A724785FC2121C1C8918E18C594751A248A1B70CB09E412CA03C5054AADB48D3CB7443A0078';
wwv_flow_imp.g_varchar2_table(19283) := 'B0AD9F31685305FB3A4A02C00B0529AC43B4322D1D7113B11EA3C8FF167A3759866C010E57881604F946121168B18A2B080168EBB2B479C964A80961C20531224BD0D9335512EACF69E3A202600ED6B66C7BC31DDC80062F5075215AF96123B282D8EBC4';
wwv_flow_imp.g_varchar2_table(19284) := 'A178800040F1AA825C89281081094CC873AFC328943664AD4891EB5C24B416256524BB1ED9D2BD8400002F9D8F30F9BC08EB74D20218FCEFB6EF5D4E053AD0D52F6CA10A0619031700A05F1765F56F4310AE1400499E46C6410E628D4849ED16B34236B1';
wwv_flow_imp.g_varchar2_table(19285) := '910000EB1C495B9829CAF6252B905A0F2A9396F281AE481E048D096266020F90B842F045316802285F41BD01897170311C20F95B85ACA121C2DD424A820800E14264ADD2A9917CED5697139C00B4DF75CC6E90FFCC944941E6AF4839656DCE6219839490';
wwv_flow_imp.g_varchar2_table(19286) := '7A9949C1898FA2D21477B9232B3E5446AC30638334620D3FAC1B1213FB914346F86FCD7ACA09365090109C802083F14F44C8744B8ABC80C210C9CDBE2A97910515A4971BF1004324C081D97180021E91C0063890002F575A23D559E04224705D1F492725';
wwv_flow_imp.g_varchar2_table(19287) := '3183119C0D323BE5BEF922D8F10EA7B772E43B2744AE4BBE2D12E85924F4D2C5031248B44322DD91393FDAD2BFAE8826AD236485A8DA20827273DF62E6E6EC80275A1409607798BD95106CC0CE0D79B51C71B20273CE6B3E66414B42F4031A0940400214';
wwv_flow_imp.g_varchar2_table(19288) := '58F4A20DC2010FCC19D8EF6EDB7CE79B9491103B23F5F64CB51D926DB93E592E7646F2D2063DAEFF8448314006A132009000CF814384370C30C89C6210A21B7844A5E79E1D4444906B7877FC25F27E99A87762EF665304DFF336F65842309039B77A0377';
wwv_flow_imp.g_varchar2_table(19289) := '76376CBAFB91C718FC66FC4A5B832C02DA98170401BE7C89079E6983104DBC620070DD0D6250418F379D23D699EFCB2CA0C9946324E3D7213946E6EDD8840839EB4E31CACAF7BD022367C6DA833BE5F53245A0B274E9221A6835000C20770050002132F8';
wwv_flow_imp.g_varchar2_table(19290) := '88E2485410200496864E07FCBDE50B56A84B27E41CE9EAD7052F6A674FFB290489BB5BFB3D18B2BB65A6417BC9B658A083CD878528B7B188BB216E90D19B20050A3931AE19CD688AA80008D3724152936A10A607DEF614E9A8560E2F12F15CFF37A310F1';
wwv_flow_imp.g_varchar2_table(19291) := '580343F29D946756D5D42D4883E9E2EE0C0844CE728E694C472B1B0B57A42BF242BA0E6280131E743FBCFFA1B092AA98100DD45D030F6000FA0B020183B037057A5F480A52F0BF5F46AC97712CC8516100028E03A0FF0CA1004713405FBBBDC033B787B8';
wwv_flow_imp.g_varchar2_table(19292) := '3A0048C08560BFD939C003FC88AB2B378638C0729BC082B0407383C05FC300A5383F8670B70D283F8578800EDC095C53C0888834F67B0803480003F8B9854080B92B081884C1199C41B9238002743A0323B31903843F084287302B8928C28B3842B3622E';
wwv_flow_imp.g_varchar2_table(19293) := '2102843868C23F70C23880420090C28538421E448A3F30843F40042EF40344F8429D00044330083224C348300446204383F083FF8680833FF0033F20338EE8282C4C317B009987C8C348020049DA4388F8C3A3B0878AC8C340B4438B9024498A0843440A';
wwv_flow_imp.g_varchar2_table(19294) := '3FE4887F60C48F79C44344317B18C43E59078D800700D8C48290077AA0C45014C5F7E20700B04486B844D8004550B4887900807998877A30C551A4C55A6CAA7C68BA542C0856B4C55EF4C55F7C0A7C284553DC076034C66344C69CC8877CE0073CC48764';
wwv_flow_imp.g_varchar2_table(19295) := '84C66894C669A4C66AB4C66BC4C66CD4C66DE4C66EF4C66F04C77014C77124C77234C77344C77454C77564C77614A6625C887D80477874C77AB4C7C5A04788C8C77BE4C77EF4C77F04C88A18C68024C882548A7E404848C4C54814962C88088704803080';
wwv_flow_imp.g_varchar2_table(19296) := '48898C48008048FF83B4215750448C8C888DF4C37FE0078614960128000028C90220C9944449941400930480962C000168C98490458ECC9852CCB507C8842200868AA8498244C8A0AC877FA8065A10C93D21C992EC080198837FB8079B0C8D8D94089C24';
wwv_flow_imp.g_varchar2_table(19297) := '2E236006FF0380180C0D7528087E18488A10878918034F68AAA044C8A11C8648E806480480A794CA8678CBCC504A97640892340894A4CB84688036D045A8F41359AC909E44BA884B0E790080AF948854808487480585B885FAC987A784088464C67E304C';
wwv_flow_imp.g_varchar2_table(19298) := '6278067120068C40CC85284549C2C5B11880BB244D8598C98298CB96D407BFF40C84DC478AE0323E894B87008582008574780843080743108754F003DCB49FFF6774887FC807481CCA7F2006A37C8661384A8B90CC84E8CCA418CD995C800B78C982384D';
wwv_flow_imp.g_varchar2_table(19299) := 'D31C4D836880827045D6F48CEFB42DB7E4CC7FE8448432CC6BC80600C8067178865B80C4687803B61980412808515808EB7448536088D39C4DF08C8B7E78CD5B3C4CAFEC8765CC075E6C089009CDA67A06380887DD4C0550A8060090877FB8856800803F';
wwv_flow_imp.g_varchar2_table(19300) := '020043280785204BD1180758088471C00488008313C5044E2805FC5488EEEC4A00A50BB68C4EC1EA077AA087CF7CCE774B87481007572803DF9C0600C04D4FA8CDAB9C889F2489E68C083608040080857370C836D088EC9451B940C8828807BB9087F3CC';
wwv_flow_imp.g_varchar2_table(19301) := '0C7EB8077AC807AEFCB58E2A837EB8054490CFFF6C408661F0044F70852A60866CB0058A40D2BB0883FC4C083628883C000053E004835004BDE44E83C0C32B7D0A45F4C3BE540EAE0C0773480A0D753AC134074FC8867F18065B608632608754B88548C8';
wwv_flow_imp.g_varchar2_table(19302) := '0466488770984A5AA84D85A851A5884900B0CED2048001B0CB8250808498D55755080768CA79385444850A3FDCD20FAD83292003A77007E4C0CD76000046008036F438E284447630877F60074FA850814C8A5AC5086CC556D49C4B5995D5593D49EC2C08';
wwv_flow_imp.g_varchar2_table(19303) := '4BEC8754E5D59750D452C4437D88054B2808284883A4D8CC3B75882C5588B734D78E60063F084B0030AB482807499523D0BC087EA8077EE8877BA8C9E254580038D81D4D88C84491B98CD5FF6E55CA5835883658CD7C3DD7A3009961B4854E684C4F6828';
wwv_flow_imp.g_varchar2_table(19304) := '6888D1C1F8CF8260D28AF0521EBC8785E487060D5092C0CB975CD584D8CE8518CDB99C03953DCC94ED58A6E8873C5CCDA0F5B22C98830BE0538B44DA0B9883A67DDA3070DA0B905AA94D5A87FC074635DAADB5C66634887F88875D8D872D35C52DB5877E';
wwv_flow_imp.g_varchar2_table(19305) := 'B08778405B7BCD5A53B444B6F459AE955B6FCCDA3C0CCA3E4CD94104C93D04DAB9F5DB685C595415C68218D0BF355C750CC97D08DCC365DC6CFC878D54DCC26DDCC9FD46498A5CCAC55C5BF4CACDDDDCCC1596BE950848145DB8F5DCBA30CBD32DDD1A42';
wwv_flow_imp.g_varchar2_table(19306) := '568370077870DDD775DDD4B50877A0DDDAB5DDDB2D5686C0DDDDAD5DD9458EFF4D045E4EB45078E8D2E225DEE3355EE1055EE3655EE475DEE685DEE795DE2E1D5EEA8DC6DC8D8BD80D5EEDE5C4E59508ED8D5D00700764F5D2ED2D5EE1F5DD139159BAF8';
wwv_flow_imp.g_varchar2_table(19307) := '49AD45A87B80DFF885DF7A50D28FA05F1CC55F1C750A7CC007F9954CFF855F87A0DF011EE0978DCC7AC0DFFA4DDF05A608F84550046DD89C0060855550D89860F9BD5F7AA80788656062B960695CDF82D007CEDDDC03AE49052689086608AF7C09121E46';
wwv_flow_imp.g_varchar2_table(19308) := '1766618678E007C6601CDDE002ED602F73DF8AC887A2658A655C8C0036087D986104E5E1106E88076E4B215EE11826091886628E4D080CA65F072EE21C1616B28588B15D0858F4622FF64EF1A4085E1C60A6D8077A905CFF8738E33065638C90877B9007';
wwv_flow_imp.g_varchar2_table(19309) := '2595C532A65F0058453BC6630BD55F83D8E35894C5FCC55F869087411EE40A568802AE6314CE08022E638800643E0E6448CE5F4646602C66E0D15D5C4BF64750188553C5A48270056B0A995718055236E552FE6400B0A63B222B5CF8055786E53CE2885B';
wwv_flow_imp.g_varchar2_table(19310) := 'C085688886CDC48861A8085A00001E3208C164885448055AB08561F8235A305500A8CD50204B660600670E85534D85580080611E066178CC61784C5B70056C0686C7040660EEE582100661E0E558C88573AE536010065DDE4C64866764A6E682E0E582A0';
wwv_flow_imp.g_varchar2_table(19311) := '665AD06500A8D386C88558888569AE535BA00561CE095BC0E58478CC8210E557B0858676E88666685E1668FF817E855870055AA8685AB8E88AD6E4CCA0344A6341009880059488C54ABE1618A765D2A8165869057B081520BA2C2340A4E8B6750380F3D3';
wwv_flow_imp.g_varchar2_table(19312) := '000AC0699DA6001140011128BFD123801DB48807D00011E00011D800A5AE120D10C10D78B49E2B889613C1D103800878150E88091EB8811EE88117488C1710EB485108A70E8107F8008710410C60800E2CBFB4CE8914A83833313423B0818AB9811DC0EB';
wwv_flow_imp.g_varchar2_table(19313) := '1BB801199081184881A54B0813206C18306CC226310F2831C2068013FBBF8EDE8A0980AC8D300D8B0202D3A00AD7EB118C2882ABD0101538B49DF033F5F133B0B60926090BAFF0B3244B880888000DC0EAFC808C98281C2B31A5C7680CECD19615509FFF';
wwv_flow_imp.g_varchar2_table(19314) := '9EE0AB25281123308207799087C8A24C6908A1186DC8D01650898C15F8000D30418F401884D10887A11339010238F9153A2908F582EC1361A6F050A694608D39218D89B98A887181CB76EFF6860A2B3910CC880900A96FC570A9C90801A7E68A3C43EE51';
wwv_flow_imp.g_varchar2_table(19315) := 'D194287A15B7509E03790CE4AE329EEA1224D881AB713B8658A7C87008013F2187308224B8F07DF288F6E12789D80139E19512D96E00D8019826F1BF0BEFB8A02EC852998B380F176809ABC80A941802BDB90ABD098C1BAFF1D71B02D723BA9F5908F88B';
wwv_flow_imp.g_varchar2_table(19316) := '1253528CFA36082AE13CF0D314B702809773727F2B881798B9F11BF02A6F0B6F5B08292A8101591C35CA8D1D6890AB219F42BB399CF12CFFEC713800F80088C38924208283B9700C89F38B381D35399D89A8AD89C9151BB893CEE8BBBE3BF114DF8AEF50';
wwv_flow_imp.g_varchar2_table(19317) := '941DB90E458188BD908ACC3E89F5B08A891982F5608DE19218576A08ECB3085131AD84C00FA6E116BA6A17C2718CB49BA229921004698C54C7F22493F0DD383804F730EE4B082AD330DD28887B61ED5687702E7F15F049880FA04100300285782389A873';
wwv_flow_imp.g_varchar2_table(19318) := '0EB173F8619885A838E380210D893DF6EA8C1DB0016A4771417F8AF470BCBFD991C6B228F6308F44877115E8F182E8F1725F089E8195866BA924292D2A3FA5ED228A711B0AFF1090A1780FA1A9A2E529F3BAAA2B29227028770C36FA1453A99A2C410B32';
wwv_flow_imp.g_varchar2_table(19319) := '27AFDAD0F58BD01935B76AFF83C195AE3918899F888AC77883290217C2BBD38BB81279188A0181DA5388D0C6F6A5080997F6B116D9A8EB000C47DF6C189788D5C6143EF3775847F35757979D8F9E22D98F798F09E7F19E5E2F9CA5C18C864FB28037F3EA';
wwv_flow_imp.g_varchar2_table(19320) := 'E31726D8817E619584D38D25A8BE7CFA2B03D8800BB7EEEA4E9DF849080EF19085E990895721EF7693599913F7CABF1D48092218F639E16B8878EC937F0915B9A88900B207AB116FB2FB47498FBF1F97A11837BA0A0A320131A1C13CF043F5D9F0EF9F17';
wwv_flow_imp.g_varchar2_table(19321) := 'B75172FC71832DA5E1F578D177FFD6798770171152A32F11139A6B08884B813BA7F8AEEF9AD3F7955DD2905D4A88615F8816F0F8F622718370FBB15988D9A3FBA7D83AFF27BA0844F2A61C81BA84001465FAFD79D9AE712BFCC2C7094B598852228ACDD1';
wwv_flow_imp.g_varchar2_table(19322) := 'FC74F979D26A7EE7E10F85B825A2F037F5B1F973AA0126108B2F717A11DA012618F612899A2ACB1A89C8A712806D06E0B265F795B187081762FDEF6688DA0200B55708210708000076DC1068F020C2840A17326CE8F021C488122752AC68F122C68C1A0D';
wwv_flow_imp.g_varchar2_table(19323) := '2AA106CE13006A183B8CE84012C049921D360A5C21B086411C3804EA902933218C833001B098A970A7CEA00C7500A539D327CD863570ECF4A943A34B813C0030E1C1A42080253B962059B2642AC6A834123278B003C0110045D202482290ADDB876C1F12';
wwv_flow_imp.g_varchar2_table(19324) := '8908044891BA066D1CDC01042BCBC08207132E6CF83062FF8C3E047E015061C48889202A00985C99F2E4CC1A51D4E00CA0068B1A4D05DE4C08F6255381A12DC27C9A10E9E7853671B038B8A24654D8542B163D5895C7571D5FB97AED91D5A00E2613C742';
wwv_flow_imp.g_varchar2_table(19325) := '3482766D91B66FD526469813C08FB30D6F5CAFEEFD3BF8F0E2C76B9C50D2F0CA83E925768E5D7B29E9D2087580F5291A85C1F7F861D64E4DD1756C0026D41B4CA3B1D4137CC8590580703B30B115123A206190723A3CD59B422B30E7905E09AD75505C11';
wwv_flow_imp.g_varchar2_table(19326) := '1101C48875917862871B79400104E4B9F8228C31CAC8903410AD975864127916545309F2401F7208ED581D8607F937604CAD01F8E38F1B31D103131346681A003C1C05D16D0B011503426E7D68D188FF10A52810100669E710071200B0418B33BAF9269C';
wwv_flow_imp.g_varchar2_table(19327) := '71CAA9D18D0EB984425406E147D14D9CADE027007EEEC952910CE1592452152EC1607D852AA41B0F5621715595AE2927580D252474447471CD851011635AF4439907E9C5D7400D79C0C1AA1270008004222470C79CB5DA7A2BAEE4E508119E2B4495E767';
wwv_flow_imp.g_varchar2_table(19328) := '7872B69A6E0B699AEB41AE3DF594554D0EEA106DB1193455415B5595D4A54CF8A4E160218677C30F17BD8A2CB9E59A1BE30820C099A7A6F8FDE952092BC4CB190AB49556136DEDC90B6C8C303DDB5093484E8454934B44F95455402A5B5811494477AE42';
wwv_flow_imp.g_varchar2_table(19329) := 'B4423C31C5155FB4EB9B2B6C90E10942B637316E105D9A94B41525779A414B00383243FFB0396A50879F5A3C33CD35DB8C12C61D80A0C5782108748208FC02D0F1091D4F7482C6421B6DAB6E0256A49FD30A26BC2C6149845A331CFDDCBC35D7E79A64D0';
wwv_flow_imp.g_varchar2_table(19330) := '17660012DEAF196E70420867A3ADF1431B4485F4D24B339D50D414A1F02CCAC009B75BDD40BD0CAA110FD7AC75D7851B5EABBA08F18C067821C82DD0D906A5DDB1E31BBF4B2F00F2CE0C1A42237FF0B86951D746C30A3800C7D08F75DB96F98B2D086483';
wwv_flow_imp.g_varchar2_table(19331) := 'EB87CB3E3BED08A52B10C684A5979E06066D7CC2069303E0F3F00211AF764348BB0D7AAE18CEE41AF141D7FB906B3B45751A5714A2BCD0860E7179F31DFFD43EFEE177C451EA7889D7C9106514A9209006C1239436F190DBEF73E4FFA06B5CF4D086AD20';
wwv_flow_imp.g_varchar2_table(19332) := '82FFF8331FEE4DE44F25305AF6B28284A92C0A218E1A4BF7AA930219898F7C162C5C6454923BDD550621EB2BCCC67C2791FD85F0672D218F7CC2F2AFC3080D093D50999C5A008314A4000426008009D475C30BF2B087104B9C771EB3C388F4EE20F43B5B';
wwv_flow_imp.g_varchar2_table(19333) := 'DA5CA2BC9F452E72E2F1090E54B710A3B54621CC0340042DB2A86649713C3914C80D3D30C483A4294D25F4211AD3E8A20A54E0831FAC0865DE7891108640896E431E124378C5C2D446353729D64200E8B6A130A47E18E9CA0295C33217C10004627CA441';
wwv_flow_imp.g_varchar2_table(19334) := '2620100F18C48CE3E20005D4A8C94D26068815B1804140E941C4640078FD1B1ADA4C69442BAE608F84FA5B4384869CFF1AB8F2220D944A956294023136A484AE82D5B838294C0BB61100A25C8905E488185056C0026C34A68CD2663CE001CF6719A05F06';
wwv_flow_imp.g_varchar2_table(19335) := '12224D5C012D3C3E314ECABA989013C4EB5887499C0724304681746798EEA41D3257D20150225320A0BCE73CF35998F6B19132A284A6331F12D0836080011A88000628B23143022003457408F06409A778F5E43508C180063E50C4334A4440A77B530E43';
wwv_flow_imp.g_varchar2_table(19336) := '0A829CA88B4B37F0CB99DEA9D2F1DD489F2841C83F59E24FC7D893A6D06CA6639C895386481200187800033010010094A52C3F25EA5019D04B863EA4963242DA9D1C8583133C7495D022CD5390D2400049B4780DFD00625CA7821DB460AC36B0414A81E0';
wwv_flow_imp.g_varchar2_table(19337) := '9795B2FF9593CA244C4CA169D3B82AE4010915C84F7F5AD4070C95AF0219EAE1303791A710AFAA99ABE3368DC402A73DE58576C24F090C09D8C1F0057DA91288E00060D9B672766BED530FCD0CA010042404010C30806951CB00D20220020FF8AB5D5F7B';
wwv_flow_imp.g_varchar2_table(19338) := 'D49F6AE00107AD6DE158B0C2F96980A17F82091463D3A4DE30D5B0883913EC62D7D9E5AAD10543008F0B0010DDE94AB7BAD15DC8085A00820D78E04F1B40010738F0DD8D0952222218E44182A65E97745576D30B540A0D728325F40038DB9B564244F0AA';
wwv_flow_imp.g_varchar2_table(19339) := 'DE6513314578980AF8B24EE612D870DDE806380E0C8EF17403000D7EB08323DCE06D3818C107464838B2118E6F64B8C31AFE4637340C916C141822FFE1C0709CC4D18D13375820E168718963DCB5790884C6DEB1078E73AC631D37841F02A1873C7E1C64';
wwv_flow_imp.g_varchar2_table(19340) := '000479C8F2D8C791938CE4251F991EFB00C09205B28F7B1C99CA53AEF29167768F86D0C321435EC83DC25C0F006C79CB00E8729713228F3427C61EF3B03142EC21E339D33931F798F29401A00F3243E4CB59263293035D658BE559215F36083D128DE687';
wwv_flow_imp.g_varchar2_table(19341) := '843921FB78F4930FB2E53FD7B9D2963E973EF261907C681A234E3633EDFC4CE45147DA20616EF49D41AD9047431921A756B5950DD2E44BD3BAD6B6AAC7986D2D9E326F99CDBAFE35B061548F3DB344D588F1358CF6610F65337BD9CE6E769B4D6DEC6053';
wwv_flow_imp.g_varchar2_table(19342) := 'BBDA5B3BF4A80FBD666B73BBDBDEFEFF36B8C32DEECE5202129400C0B933018A71B3BBDDEEAE0E47DF2DEF79D39B210720C05F9F92D27AF3BBDF756EE744261B0187FABBE00617370B4470AC1298F3E00E7F7867F14D114D353CA131B82FC433AEF10BE2';
wwv_flow_imp.g_varchar2_table(19343) := 'DB000130E85D1FC2014D299CA91B3F39CA6927DA834CD6214A55C80D870A9894D3BCE65DFB40C819D270FC1AE47B3C9081CD832EF48AF5EEE50BC9A67187AEF4A5CFEC000EC939D3A32E75AEAD7CEA56BF3AD6B3AEF57ECB00E8008801D8E71D6F916FBD';
wwv_flow_imp.g_varchar2_table(19344) := 'ECE7F2FABB01E890B1E3303F667F7BAEBA0EF61BC860E6F52E2107D45E49B8F31D575E8701C0C3AD7783F4D720831748DE0120024AF6BDF16F92C175ECFE6DFD2A24988A7F15E5FF317F78B63BBEF35BD72F0043BF90552D5EED00A464E239EFF9D55F1D';
wwv_flow_imp.g_varchar2_table(19345) := 'F37B7FBD40160F80BC8F8BF2F6633DEECBCE02DAC7BE21225867E2C7A5FADC7776C019A14026891F180AECFEF2B3CF3CE201C078160CD8F61BA040361F5078E577161102913845085075008C3F210100C0F9B97F11D34B5F35BF17BDE257E57C84603FF9';
wwv_flow_imp.g_varchar2_table(19346) := 'EA672BDA5952FE839C3FFDF7AF48F0F18407F491E1EDD0E1D1DFF6FDDF4A191F44AC5C0208046B0180C411400050A0055620065AA0E77D8F40D8DFFEA51725C91E0B0CA0098C207E309EE13D9FF0119E4024400490D6CA819F02C6D8CA45A00C2A440666';
wwv_flow_imp.g_varchar2_table(19347) := 'A0F22100027C60EF4D92A64C1F250DA04178C0E9A5974150C0F515FF9E6941E00C6ED20D4A44042204BE5D6014CE59E0754DCB8D5EE91961091A2109865E1F815E426CC0AB6480FD2580D13D611A11C01542440218C0F855DD0DBEE1FDF52000389DFD29';
wwv_flow_imp.g_varchar2_table(19348) := 'C408D6C6FB214408AAA0ED214406BCD616B2211AB96146B0960110006955A104EAE0FF015CCBC55BDE0D611F9A40E9495FE8D19EDE25DE9A581E003C20226A92225E840C8E1F247EDFFF71A0411CA2422C5E1F1A61FB219E11F25E193614F6F9152C9662';
wwv_flow_imp.g_varchar2_table(19349) := '81352242F8E01302DC14F2210A4E52C2D5C600621E2822C4AB70001AF6970B024031FAA235FEDA1A565EEF019028FA0E05605243BCE00B0A841CDAE1357216AB9CE360088140FC8010FC400FEC403CF640FE19FFC40B7C21F5E5A33AEEE3D58943390080';
wwv_flow_imp.g_varchar2_table(19350) := '38184440F22341721B3D9859A331C493E11994F51AA0ED43973DD93D74D997215B41665D42CE9B3C4C9A44F2999159D9B621C4460619954199A265D9A2B5DA45961DAF4DDBBB91A4AA611943BAA440805AA9D1E44AE6E4AFDD999459A44E2A1FA7E5833E';
wwv_flow_imp.g_varchar2_table(19351) := '105BCD751A62E0E44F0E9D4F26255336A5533EE5B964422518442640A55586DBAB5C5F4388D75576E59C844026F152C514842BA20A76EC40B8A0A557AE258C78C00B88C01E9E4B16B2255DC6C89EBCCA0B1C2345DC105FBE480CC00007CEE5D7D5256182';
wwv_flow_imp.g_varchar2_table(19352) := 'C7F0210B97C8C05F429E62BAA25E1626646E8458756026C565CDE4443D46A666561AD0F5C00D80FFD3668666451CE6D6789D671A4466D6DCBE89E6EC3C0EC1B126449CD43CC2A33CC266ED60C00C409D6D26C40398400FB8635FECE6ECE0266E0A6742E0';
wwv_flow_imp.g_varchar2_table(19353) := 'DB671E04681AA7E15401004CC1194C814158C16278816D4A800DD0A671D4E6406407732E442A50CC1808C478F6C17802406334042005466A061D5D65043809015AFEE67736C42EA802003043B994A740948140D80100F8E741B881800AC407D0C04E88D3';
wwv_flow_imp.g_varchar2_table(19354) := 'FF4D002849920538288346C46AD6A743FC0200E0C22DE40A3400402E54030000C33500C01B00001F64C84138D5EA3DE845F49440B0A844A0258C860B85268340C8020028C1EBC800AAB4A778B8034270837E2E0700AC273FDED30419D37B52FF684440C2';
wwv_flow_imp.g_varchar2_table(19355) := '41048341A4850D08015F48DE9B0C644394411651CD453E288346E8414040B8C8A792420417FC277A322919E1D2CCD0C00C2804C6119F8A469240B128024C800C48299E8E694338A743944033568C1BE46492368410B48059F6C072EAE94158C178328EEC';
wwv_flow_imp.g_varchar2_table(19356) := '042A6C26AAA22244811E4E11B8841318C942F0407DDDC0CF55C9675229ED00463C76564F4D400AFC407646E90E48A941CCE384D6E718708175CA0E08FC40A6B6E943702A0F78EA41F4AAA42A9F28A1EA590801A20E843CCA63A92E6BB2962A733AEAF8E8';
wwv_flow_imp.g_varchar2_table(19357) := '2ADD38C467CA407D0180A8A6684F4520386D673CB2E3439CC5B1DAA609BC29D788128A92CF0B0080654E446DBE6B3CA2A59856FF4C5C3DA8BDBA68240DEB9126046D0240B0BEEAA4CA4EB100C554C8C0699C26D7F4C0910AE64474EB40742B3CCA28C4E0';
wwv_flow_imp.g_varchar2_table(19358) := '2B0040283475295DA56AB0FE6B43486CC01A8E13DC906B1484C172ECCD302C4370E76FEE00CBB6AC3C46ACC9228BBD56ECB036A8CD1E046BC5E349B1847110E0C7720D7CAC2B3D722AC066EBCCC0000F5C9F0EACABBB32AB7C7EEB99B063CC92CB044000';
wwv_flow_imp.g_varchar2_table(19359) := 'BEB6C80392E2611807D3FE6CD774ADBF02ABB59A6BCDBC00D93EC43C0AC499ACADBFA2A65418AD9C4C2102686D78C4AAD7CECC4D9CADECF40069F685B7D6E6B1826B5F3C6D44782658EC6B8C90E2DCCEED8BF8ECDDD64C0C28E84AB1AD4118C10E3887E5';
wwv_flow_imp.g_varchar2_table(19360) := 'FE80E65684D7BDFFD69CD06DC55200C50A063879DFE3DE0CD8CAD87D4D050F5C5C9544CAD7458A2B1A8A41F81F8C3C0029BE96E702C06B215FDB11068F9EAEC550C1115041123CC1F1262FF22EAFF22AC1F23AEFF1DEE81348AFF456C11358AFF362EF13';
wwv_flow_imp.g_varchar2_table(19361) := '64EFF63EAFF7DE2800F0A99BB8C5F682AFF34AEFF9A6EFF4AA2FF8BA058E7ACB9C9C055F98E5590A6F81FD2300A48345A403FE324439E86FFEE2AF392884399443010730AE0C3000FCE33F9A43013370012BB0411C70CD34F0020F70FFDA2F5B355AA255';
wwv_flow_imp.g_varchar2_table(19362) := 'C4963D599A7599433E5992C5DA9A05199001199425D90ADBCAA1B1D9B6A9F0A14DE4D6CC43079F1900C0D98F6970B04D64477624992124499E59A9E1B094BDFFDA9921A5B8C9190FF75B992144A42DE4A739049E2971135F31EB719A41F8181677B1177F';
wwv_flow_imp.g_varchar2_table(19363) := '311887B1188F311997B1199F311AA7B11AAF311BB7B11BBF311CC7F18B6C1045EC8A0BA8C01DD3B11C9FEE495CC4FB00001E03C008A8C020173220EBF11EEB69499C4745744020FF71A52D0550486E226FDC103C9732E85A146D7225CFDB5B25042473DB';
wwv_flow_imp.g_varchar2_table(19364) := '26D704728C3291CA4E7B6D4D0C20AEFD4A0335BC8266A67227CF488D7425E930878664D12CDBCABA3D9757FA8A41E8F22EBF891658814058C173A507225FE386B804821AC929DF4C2FFE6C32396516D540164533C51CE36ED96F8E5CD755F60653CCC40A';
wwv_flow_imp.g_varchar2_table(19365) := 'F88C06FC8073988BBAB07217634C283BA52C4FFF0B11A473B9D0D041C08009CCEE303F61F7004508F40E00894AAEB0B33EEFF3CDA4EB728D85AFE0068624D46BD133B9902C0000263B1BB4CD744C2B2D443C73120EB492334B54D259B4C671CB72154830';
wwv_flow_imp.g_varchar2_table(19366) := 'B3CECD849D48D78ACF981C616CF430690849AF34B785F44B934E8CC9341605B330D3749DFDB3574904FD8890AD6D080D20CDFCB4964FBF5B08E911B7C1F4527F5BEFF45602021B5447F515BB34566F355777B5577F355887B5588F355997B5599F355AA7';
wwv_flow_imp.g_varchar2_table(19367) := 'B55AAF355BB7B55BBF355CC7B55CCF355DD31910840BA9FC0011900A0094088AFCB58994485D6F0D69792C452CEE4190A262B7A0BB9D156701DE0CA56E2283EE43302E35822E69217666273100621B4435DA8CDD1A84AAA2657692F60ED02F00A0956AC7';
wwv_flow_imp.g_varchar2_table(19368) := '2ADCB2444219963026467F454036068607EC12E381A1BF05040021F904050A0000002C740019006E014C010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B18331AF4C24520472E1C4382ECC851A3C9932853AA5CC9B2A5CB97';
wwv_flow_imp.g_varchar2_table(19369) := '062320788000814C0011123000A0334104810C7C02606000A6D1A348932A5DCAD424070F1C4418DCD0B4AAD5AB58B36A7548952A410F5BC38A1D4BB6AC46AA513908946AB6ADDBB770C9A25D2BC2030B81773DB08DCBB7AFDFBF18D18A502B552F00B080';
wwv_flow_imp.g_varchar2_table(19370) := '132B5ECC782085821CD20E969A16C0DEC698336BDEEA956067B59B438B1ECD9442060AA00572C82010C101044349CB9E4DFB6086070937A0DEC05A75EDDFC08337CC101980D79F020D183820BCB973D98401DC16A813F6F3EBD8378BD8807BE04D0045B3';
wwv_flow_imp.g_varchar2_table(19371) := '8BFF1FEF970272F0380512084FBEBD7BB33B17AE7F4FBF7E52EB0010C4578880BDFDFF0036949A5E511DA4134F3CED6790010404E8E083060D66508109E14790011682E71F841CFE77D961965108C003A609849B4D0805005E831DB6F81F0B7A81C59661';
wwv_flow_imp.g_varchar2_table(19372) := '8F39765A04DD01959C8BC279F0028F11C1C882089781C641670EA908008B409216030C4D32841888110250A069589E97DE4004CC17656832400980095F4A09008C7589806665039D96DE81042959A66C308839A74142DA0516819765C09B69395E78E7A0';
wwv_flow_imp.g_varchar2_table(19373) := 'CDE5298209691E061A5B1CD448E8A3E3DD75585D5FA5A69A9B38E1A625A49C06472961145285656FF6054080A9A6760AA061960E642996AAC6FF2A5C9A514D59106AD2C9AAEB6C88EA6999405015A49B408EEE6AEC6F70EE78ECB2C17DC1ECB3C2C90300';
wwv_flow_imp.g_varchar2_table(19374) := '3CEE406BED6CF05CAB2D69F5DCA30F00DF12B4CFB6E4966BEEB9E8A6ABEEBAECB6EBEEBBF0C62BEFBCF4D66BEFBDF8E6ABEFBEFCF6EBEFBF00072CF0C004176CF0C10827ACF0C20C37ECF0C310472CF1C414576CF1C51867ACF1C61C77ECF1C746D90A72';
wwv_flow_imp.g_varchar2_table(19375) := 'BD228F9CAE0414A02CC10610A4CC01CA00C06CF2B92E4F8050C9335FDB02003B3759414115585041073FE77C510B367CD981404B03D0B4D12725FD250800500D42075443ADF5D6CFC5B106D760872DF6D864976DF6D968A78D6E3F02D9C38FDBF6A81DEB';
wwv_flow_imp.g_varchar2_table(19376) := '3C00C4AD10DD05E12D7799CE0EFF7485DF5A5CA1454183F7ADC517870B34F8DE0182F073D34B636D41D6573B9EB5D35417ED74D500A800C0088C43E8820A2EB80080E92E800E910A43B8D07AEB000C117A7DA49FAE82E79FE34E11ECB3D367BAE7A3776E';
wwv_flow_imp.g_varchar2_table(19377) := '3A4440083404F0BDD33E42E9A76B54BCEC3B00F082A4C947393C41A8CB4EA60E3570EF7DF500AA2E10EEBF5F5F100EE7D700800EE8FF08FE6FE21B64C1EAE6EB80020E28E82090FEE8EBFF7E6D20188105E277900E8CC0800814C8010918BDFBE52F7F35';
wwv_flow_imp.g_varchar2_table(19378) := 'C081FA2668BF0AA2607DEEFB1F63E607809F71B0209723880145B8C08348107FDCC31FFA008003EEAD4F834BC9863270B112DDB9A4062CC0410E058242185EA4151669843DFF6CC8971A5C700500501F0E96E84393300300C19008DB9AF2B48B5CD02176';
wwv_flow_imp.g_varchar2_table(19379) := '6A224254611133246020A3B08249FAC6900356C488EA43C85DAEA8458610E318B500403188219110564D059ACB082E00B18D57B00489801C080A8C98C442AEAF7B2D6C611B07928C6274A2180AE980F91242C48B34422051EC0600B62090ABBD048982BC';
wwv_flow_imp.g_varchar2_table(19380) := '2228D7B7C24502E0928800C0262A9110021A458C04D9C6E0AA6814500ED29404598540AA0080337801005E7003287E71BAA589CF022A40E6F8B0368211A8C099B4A44830A4110782D0B093A01B214C4629C834E2B220BF2C483415E2BA9698C10C5A289A';
wwv_flow_imp.g_varchar2_table(19381) := '196112821578859B6D34031A04F20537B80100650040474448FFCE8100E2258BAB9A2B5D4295131404052880E7B98C209A3F18246857F882140030067D028097D844A605C6C99400622E290585613D000007833CCD0C0229A9383FA74D826C210E72F8A7';
wwv_flow_imp.g_varchar2_table(19382) := '522AE0B86FBE241FF720A9663AC05393F18020C5534C3EF0A1D30E2E2D681471414F07C2D195FC4C731518A84D3582D3A276707344231A44B0D649A61C95695365493E46AA52CC0CCD64F8914163AA5A56829C35AC1A294AF452D0821B2C86AD9B031AD3';
wwv_flow_imp.g_varchar2_table(19383) := 'E6F741B364F563FB31C10D52B056B20A64688F7BABE69A9A953C7268053588E06F8A92A1AF004B021E4819CEC2628F918AB3AF7E912A7D583048EABD70251AF84056B414031BC4200530202C424C0002D9FF02C106D1034050B562088740A02D12000004';
wwv_flow_imp.g_varchar2_table(19384) := '2430DCDF9EEB000D5ACE5F3C10DCCD6E251B8D89C31FE20008EA4AD7BAD3AD6E76AD0B88E96607117E00EF4AEE00003E0CC40FE63D2F1FFC0080F086D7A15831844C01F0CF7F1A221286604458FEF110FE8EC5BF764B977F09D28F0113C4C059E1EF148F';
wwv_flow_imp.g_varchar2_table(19385) := 'B58E8234F8413905003D8C32E1995558C218EED03D22AC127AECA31E17866B62F8918F12E3031FF958B088FFD38F16BB981F2A5EF17BF8A18F12DBD8C632CEB18E77CCE31EFBF8C7400EB290874CE422CFCEC5311E5B925B4262872C39330856728B01F0';
wwv_flow_imp.g_varchar2_table(19386) := 'E494FCE3CAFC68CF82F31136241B851FFF80073BFE91E52B1B192B48AEF249F2F18F67BC21FF1DFC35F39995C28F3A6739CD53E6729653C2E65B0CE316E68873945B5280AB94235C7BFE58A20D52E77B70F91E785E889A11C2E581DCE31FB6B8C63F52A1';
wwv_flow_imp.g_varchar2_table(19387) := '8E38CF99CE05F90792438C914A1F9818C4F8873B6E018F41BFA4D0051840A1CF9C0D33D7A31FA0F0043220A2DF6738E41F91F0353DE0C1EAAAE8E2CCE20000246A5DE067A482BF4F7C48B291E1874C243B21B44043ADE9510F664482CC0751070014E092';
wwv_flow_imp.g_varchar2_table(19388) := '2E70E2CC9918C63FE481695AF0D7D70E9930323251D268C0F7205FB84339A6310C57A4A21BAE16880358C206230383BD70D0743B526C0E3F10231C00F00444284110F21EA41C9140831F68E1895B3043CE4909040066518A39A7221CAEFF68F13FCA0180';
wwv_flow_imp.g_varchar2_table(19389) := '6A0824E00C09D74140618B7E648316B608F04114E080596BC4E70508BA40C80DA17498A35DEA48478BD96C942B57431CE04688031420009310BD205727CDA21BE2DF49132ACB1C76C8D605D20F18977DC225BE07A92362EA81F423C55706B9B9C66EAFB2';
wwv_flow_imp.g_varchar2_table(19390) := 'B3CDEC2F31739D9532804F27260C1760C305002FF83904FE0273C842160CCF86C5079EF088F77B5FC60580780080BF34BEBCDB2E8F8F79D8C3F26C8B873DFE110F18FF836EE7D039CC255F962CDBA3EC4E36B0DC592F1BAFD3FEF6B8CFFDEDF3ACFBDACC';
wwv_flow_imp.g_varchar2_table(19391) := 'DE5DED00193CB2D57BDA548B5AA27187F2975FADE28BA61ED08FBE67710FFDD16CF8FA1BD6FD86AB1F9A12778ACB436D7BFF59BC4F9B12D7982032C7CCDE1B32FD00A138EC2EC1FE44E8210FFA8B856EF1B887DE2C222DD9D0E3FFFFE77CFF820BB74080';
wwv_flow_imp.g_varchar2_table(19392) := '2E710BBFC00CC3A011B7A010A90000C03010C2D0800D310CB42010AEE009A1900AB9160A11E7811AF88102110B0FC812AE2010C2300CC2201BC8404746718105E1677F61473C43353D63122A903460B1328FB1011A3010C3924104C146784184C2821145';
wwv_flow_imp.g_varchar2_table(19393) := '11000720270CF18356B21DAD82112BA00354381B3F00006A6557492126C51217A3333C5F883C4010862E308600500412010440605737C0033100003CF05331C00337A00330F0027688877798450A81872CE03F3C84170BA13F28B0012140100F800189D8';
wwv_flow_imp.g_varchar2_table(19394) := '8781284185FF344817B4422B905004414893285906A1034BC0034BD00348C050AAE207B6A715CF843B365486CD931063283BBA5586AE3886BBA55B0DA1036FA83F31608B80A810A4E54DA6E51046044A3EE81017645A17E44D35005997884447C44DC738';
wwv_flow_imp.g_varchar2_table(19395) := '10DCC4043F05009EB80348201048B00400708DD5D824B9A518A6B33C95643B05514E02E13A9314113FA287D2030030A03F78F88E18A443058146900811F8E34D04B10221802406B144F82310EA7345CDE88CF8080046588948C4444CA0893C80043D3010';
wwv_flow_imp.g_varchar2_table(19396) := 'D89831A0D34C0AD4399F133C06E13AA08391A7038B9D738595988B04A10319A4877608883A90432A893E69844311D13D1704896874890901892C699007FF0500C8A89300A950F3384A22D98D0EE990D9B80448C0030F391B3B103D6F0811520304DDB819';
wwv_flow_imp.g_varchar2_table(19397) := 'A0E33936B491E2133C61183BAC331065188B03E1888358107888102EB94605398BE8534A43484869548C67F28F07F9880639931281034C201037C00447898D3D609411498D70481B4CE922C6A43ACE243CA493981C798E5F993FA414962CE43E84341092';
wwv_flow_imp.g_varchar2_table(19398) := '1290678910FC735A2C9496031141F7934492A544A25490DEB49312818F79798D05B1037EC99A3CC004BDA81920492620202652D322E2E34C8759102A10950401969A59108028846779990CA1486A494A229999DF7317A1C94DFD138827C18903B18DAC29';
wwv_flow_imp.g_varchar2_table(19399) := '107D6948994104049134643210BEC9103FFF00929AA1021D108EF2234002F43903B44EE8F996EBC33E81C83E22E98B732910B7049F90B93FFD534AA524922B344149A43F2E949C16A13F4BA03F9CF89A8029103FB58956E895137103B7A91934D81003C4';
wwv_flow_imp.g_varchar2_table(19400) := '5882849F9D8910069A11DE949CB9C84403419FC1B9449FD98F69F4A111019CEB93A00E9AA00DC903531098119936C73890112429F549103C80921551992C34A499D88F2CAA9DC8D892C2A9112D1491B968947A193DFFC92BCF724B6EC9103AF0533D7A9A';
wwv_flow_imp.g_varchar2_table(19401) := 'FA639C5F793E07A13F77F18FCE089044AA037799114C94A5D0C8893BC004C5C304DD88A63CC099987185DC092D933911D188115E3A114A7410A3F4A718C1909BA89A7078A302B190C1FF0918124A9EE4192B4714979BE193DEA48970088D5B7A9C8A7497';
wwv_flow_imp.g_varchar2_table(19402) := 'D0C8043D90A68BDAA7A41154B955A19C3289BF41A944EAA0043AA4B1B910761AA3A48AA6A755850040033EE916BB250312BA2BACAA192C40A825FAA3AF49AA1591A64CB089D80888CA2A8048B1A912B10238F09A00B004D078AD9ABA3F63F34E3EB901FA';
wwv_flow_imp.g_varchar2_table(19403) := 'E84E0605216A094A59FA9ACE7AAC6333AE2720151B30AEEF7A02EF2A10EE140225D0222C70AF0C09000B29AD60A38F0621AF007088866888C681442270890915ACBF91A507D18C3400A10B29AAD4393604BB8F27B0AB9EC1214B5402344003007002B9B8';
wwv_flow_imp.g_varchar2_table(19404) := '8D10E9AF4653B0407888033B1002EB1C1A30AE3CF910F76A107EF9903FFFC5A8A2CA352AEB10EDD44ECE01B315210405B18937DBA864B3B305E14E0201B4B581014E58A609A13E25B0025211ABD598A0397BB40B81B1F20AB4F33A1B4EAB5A4B2B1125C0';
wwv_flow_imp.g_varchar2_table(19405) := '1657AB9AC83A3B21D0B20481B4A381032A8B0148EBB60A11930E8A9DD79AA5260BAD2F915A4F0B110269909CA88D7CBB1562FB100AAB43B35AB88921902BA448892A8D8ACAB84A813E1A10011820107F2BA800B944F219884749B957C1023BBB2953C1A1';
wwv_flow_imp.g_varchar2_table(19406) := '57C43D66998F2840B000ABB4A27B1432F94068A49D3E9A9DD9698D77ABA0EE281054C11A9B1BBB58C172C2BB15FD071115068001187DDC9653CE5BBC301176F6272DF2907D13217F043161F607BD2671BC02B10FE0FF1BBE0040791111BEE45B10F7200F';
wwv_flow_imp.g_varchar2_table(19407) := 'FB400FF0C7BDEEFB1C2716BFF1EB123AF7BEF67BBFF89BBFFABBBFFCDBBFFEFBBF001CC0023CC0045CC0067CC0089CC00ABCC00CDCC00EBC374CF8C049118512DC1245E1071355C14B41C11AEC12B1DAC120AC19111CC2245CC2267CC2289CC22ABCC22C';
wwv_flow_imp.g_varchar2_table(19408) := 'DCC22EFCC2301CC3323CC3345CC3367CC3389CC33ABCC33CDCC3C1D1033BF00340ECC308B103420B00E149C4489CC44A8CB7489C944D3C103D6057431CC50401C537A085510CC4536CC5E059C55E1CC60CB103506CC541CCC562DC03919AC64F4CC63750';
wwv_flow_imp.g_varchar2_table(19409) := 'C6621CC77D41C6722C8D747CC70F79C7E099C3608C10D6B99438FC90430CC44240C69E685786CCC383BADCC6796CC7D2B8C63B0CC5BE79C40CF1C66A85852D3C9E9A0CC90F9194A66BC25012CA17B1174C42C24FA00405A1044F0000AACCCAABDCCAAA9C';
wwv_flow_imp.g_varchar2_table(19410) := '04A7FC04B22CCB46D003694BC247570EC42B10BD6C0E2C07CC007074367CBC96271021C6BE13A67675DCCCCEFCCCD01CCDD23CCDD45CCDD67CCDD89CCDDABCCDDCDCCDDEFCCDE01CCEE23CCEE45CCEE67CCEE89CCEEABCCEECDCCEEEFCCEF01CCFF23CCF';
wwv_flow_imp.g_varchar2_table(19411) := 'F45CCFF67CCFF89CCFFABCCFEDAC855ABC2A290016DF69252B1110000021F904050A0000002C75002000710103010008FF0001081C48B0A0C18308132A5CC8B0A1C3870E0F409C48B1A2C58B18336ADCC8B1A3C78F20438A1C49B2A4C9930611A05CC912';
wwv_flow_imp.g_varchar2_table(19412) := '2301842F5BCA9C49B3A601030C54D6DCC97360CC9E40830AC578C0C0D0A32C03BC241000C04B06001848444AB5AAD5AB5831368D0A606AD6AF603B1AF819B62CC5AD028D9A5DCBB6A1D7B67009922D58B468D7B971F362850A60AC4EBD6CF10A442B50F0';
wwv_flow_imp.g_varchar2_table(19413) := '461980132B5ECCB8B1E3C790234B9E4CB9B2E5C808D40E4460F8B2E7CF9E976A064DBAB4E4B7A653AB8E1C73F4EAD7B0C1F21D3C36B6EDDB603BE3DECDBBE6DFDEC0830B1FBEFA06F1E3C83F1A07B03CB9F3E7169B038801BDBAF58437105FDFCE1DA1F4';
wwv_flow_imp.g_varchar2_table(19414) := 'EEE0C32FFFF4C00100790F00CA17442FBE3DE43703E10B940F803E7C37F5D1B879835FE0FEFE0000E8DE80A6D1A34F3D03D123903C042948E083104628E184145668E1851866A8E1861C76E8E187208628E288249668E28928A6A8E28A2CB6E8E28B30C6';
wwv_flow_imp.g_varchar2_table(19415) := '28E38C34D668E38D38E6A8E38E3CF6E8238438D480C38F442A54830E431649A40E00246911134C42391092352859220E38307951943C00C084935686A8A5964F02C00399619A88249A0FE9A0C39904E9C004006CA649230F739AB9449776F2C827123D2C';
wwv_flow_imp.g_varchar2_table(19416) := 'D12788276834E41248202A28A0820E7A630F03010AC09E4BE850A9A33ECA89698C282C44DDA62F76CA109FA0B2B882A804259AA897A59A8AC20A00A0FF2AD09F66E6D9AA658502B0429560BD1A2BAFB162A9E740A4DE4A59086B6D00AB40CB22F9029274';
wwv_flow_imp.g_varchar2_table(19417) := '0A64ABB193A19A640DB222E56B412F448BE60D489089030A41B2002CB5183E40D0031A0CB44141216C106FBB0345A02EBA1A96819FBE02A1D1C71B77BCF1EF1DF5052C90C104BBA15F1901320C401963402C71C411033006BEDBDD23103DF43058903C0A';
wwv_flow_imp.g_varchar2_table(19418) := '3A4890C7207B6C1083220F4432C6D7A17CB2CAF01414B3430CC26332CBE221B8F1CE1BD3A333413FE3CC21824403504F3D3E176DD03D4C37EDB4D300E023753E424B880F3FF9E0C3113F5103A071D560AFC68F3D63F763F640F6447D76D822DA93F63C69';
wwv_flow_imp.g_varchar2_table(19419) := 'A72D10DC6EB3FDE117055D21D0157AEBFF6D37881D0C14B80520000002081D200E4205810B9478058B3B5E38E18DFFCDDD080561EE02009BBBE079E706A95090E8968B87B9412E882EFA08ACAB90FA40AF03703A109D935E7A7798E7BE90E89B0FD4BA40';
wwv_flow_imp.g_varchar2_table(19420) := '438CE0FAEDE08D10F8E9A72334C2EB2A242F10EB9CCB0EBBEDC43F877907957B347CF5CEA96081E3005890BD43C63B2F50EFDC43D77807E64FC47EE0E3A7EF9CEE2295FFFEE9ECCBCF9BF721C5EFB8F1CFF39FFE22438D64246408BE3B9E0007C81D7328';
wwv_flow_imp.g_varchar2_table(19421) := 'A4111DA0DE4916C8C0C9C403005C4B48E15852BE0AC2661B0058050024E8410CA98082832A168A360702C2B560201B2CE1848497396A55AA515A52218926C0321EE0895470625105FF4888294131E986D36A911C6EC5834A35D14C0080D48B1A813E503D';
wwv_flow_imp.g_varchar2_table(19422) := '71524898541465482129AE6A555392121725B48440752989B8F9DA183982842B466B8D168A1270D4C8B80AC0B1228D4A5410876347C10DA48E775408A3F4789C3E0A847103B1002203899025EC40208DE26307EC38C94902A003DF6320B242B08278E94A';
wwv_flow_imp.g_varchar2_table(19423) := '5903A9C10BB2C4021CB0003A3184630996A5AB5CC5A95B3A34139C4C592573A1E05CA9F9031C7F629781B84620EC3248BB9085100CDCEB35DD58231EF840308C180211CF048021FE80086AFA0111D7F4436CE4C6C886F4A320DF04C037BFF98F6E06E766';
wwv_flow_imp.g_varchar2_table(19424) := 'E66C8FC9D498CEF6D4AD9D14E24706E149CF7ADAF39EF8CCA73EF7C9FFCF7EFAF39F00254839CB7936B319B4A000D8073803AA1A821EF4A1FDD0C73C11124E86928669FA00803E32DA118E4E7420ECB42849D61692838A7431269D4818B24090301C64A5';
wwv_flow_imp.g_varchar2_table(19425) := '0371E94B63AA902CB894A5183408D7E479529140549C1535C839002080810CE0A80520EA518F2A1001307500021080021A40D50628E0AA4E05C000B4CAD5A20E24A90499873EFA415081F4439E1FED29477E4A52A13A00214B7D2A57BF7AD506B481040D';
wwv_flow_imp.g_varchar2_table(19426) := '70C055E31AD785B441A26425C859D3AAD68D40749C412D8802067201AD22B5AF5B3588021CD08059E035AF0A58AA63990A56846C949CE514275A0B5B10C23EE41E67CDC743C5A990C53A36A6919D6B6701508002FF50561460200118289B54CD0A64B606';
wwv_flow_imp.g_varchar2_table(19427) := '51443CCEF68FD06270B00C322E6931828FE2AED62173A0AD6B5D2B90C60A04A905A06A2902218B6024020C0DF0EA05BC6A10F20AE0AF6325E74192BB5C8DF4831931E387411742DD360C64018F68C0567501803698A20D6F1D48161A400A52282318B250';
wwv_flow_imp.g_varchar2_table(19428) := '4603B2E0009C32A40102C9E83FF8A15C9501E01F896DEF445C1109501CF620430DF041A82B9039940200E3D0852E12518922E4621FEC90C73E6ED185148B421760C0C48807E2D5B162B0C2021508900B1B348670C11386A0C77311426285CC02A7A60803';
wwv_flow_imp.g_varchar2_table(19429) := '29F2200E404CE31FF480C73F70310A700020110281454138E159E2AE57C31931872140618E09A714FF23B310489C07D28644C4C3B9635D4503F82B101D030013A55084404C21E281E0C36C14D6297B01930E0088A31C61F3C435DCDC5683E835ABD705EB';
wwv_flow_imp.g_varchar2_table(19430) := '2388BAD901F4B6AE6DF8473CEC518F788842BF0098EE6F11725E7DA836C302E1073A27638E461BEBA74C76007011D2D8D82655AFBAC0703F748185AD5EB5C90341B646C30964595FF82AF908E9B3176A377ED4E3D5958608757BDDD86E5777AA9838472F';
wwv_flow_imp.g_varchar2_table(19431) := '484082ABA63AB6734D37A7972D64C950CD7205857543A0AAD5AC6EF5DE05F0346D395DD4A2A2FBDFFB4677DAE48DE69E5C600E1760C305C270F0841F3C0B0807C04A113E872C403CE117AF38C533BEF08E333CE2C72DB85038EAD009EB031F1CFF75DB9D';
wwv_flow_imp.g_varchar2_table(19432) := 'ED118F79DC1900706B39CB0170C10BCE031F2C775B50033B5C0C8BDC2A13D55AD94C6B90819B95E086062AD27F8E946F4A14AD44874806E59BD07F2894E9588F11AE33B2F4ACABA6EB5E0FBBD895E48EB1ABA61DED307B6A38A6F602A5ACED96E15891BD';
wwv_flow_imp.g_varchar2_table(19433) := 'FEEE774F26DA398AC705B1D2317980ECED1F5150C9005F1392C5431EF1A0C73C089F1107D9631E73833CDC193A8A5B7CE516B6A0852B5C610BCB0FE323A9087D2A6221905880C213A00040283CA17AD6AF5EF5A907C0E849920A00D082209F0FC9ED6B3F';
wwv_flow_imp.g_varchar2_table(19434) := '7A5B0020172FEAC00BB5251014784056283001BD32C22E0A68405D11F009017453907B8980032278D74630102B819C923922D180FF3131C0170D107345AE4B3F5560E0C31BF020064C7A564770F002168CF29428583E002210010D443F2163020035807F';
wwv_flow_imp.g_varchar2_table(19435) := '02784B02587CBB421009F82A41521068D2443B90451E81023A608002C124C2A222C243435524143AD02D5AF22CB164110488020428101BD02EDAB710A7042655822ABB128306082B16C82CB8C42B9A0212096810BC922D2B823944D412750200CF5284F1';
wwv_flow_imp.g_varchar2_table(19436) := '674A603211E3F20203382EBA528300E049E777104C682EC57780BA722E35C04ACC9210CB82837AD2031298115BD88531C845304027CF02033A9086028125A5148710514AE4624A4D222CDF7710B76480351824A2824BB0B2859DC22B3BE885BAF28673C2';
wwv_flow_imp.g_varchar2_table(19437) := '043BD04437E04890FFF44817218857F886B83422EFF315DDF24A1B912517E8803A50254E382455A285A2222A0D681083588092381147522B6D842858A428916883BA928425D42DF4678B17E12418D88971221042F27D0D288AA1C48587088C8508114332';
wwv_flow_imp.g_varchar2_table(19438) := '2796B24561A82A6632860E012B34A02BD5788C03E14A2132386DC1246492876DC28959328E033124E4F8865AE22458628E4D5289E5088C18C12B5042294C90453BE04888D24684A48B055125D4688825F48D42028A0D918401082649C2890C218C53628E';
wwv_flow_imp.g_varchar2_table(19439) := '4932844A98244C502C7B02006D64915D12490A618CA4E524EE38254D8226493824E4022CAC242406C18F0FC12B3F34108AC8048DA82A237810C6788D27358AFCFF98900751275A928765F88EC0824616F1264DD48C4F748F8404910CC191323493CAC88E';
wwv_flow_imp.g_varchar2_table(19440) := '0AE18D209992076885A184104A69114EC40490D244E10246156193A1A492D59395CAB810D052105DC22628792E9D52883A39124FA40360E4940941034C39107959584372261A5910F8C72B5B782E64F9115DF24450329105F991025898623724A7B29772';
wwv_flow_imp.g_varchar2_table(19441) := '49279762444CB24793A710E6929617E8945678862851894D34273F6496EF2876E05816553291132928136997FD58109289104720104510506EF28B47012CA7842774F24389E99B244104B7799B0C95816151944B20914DE4434A698EB3D94D27109D0991';
wwv_flow_imp.g_varchar2_table(19442) := '9A06619D56410335E0468D32975F921035109E58FF0811C6692100641B3D489D57012B2B800357248BCDD9105C28960D519E1462487AA18D00902BD38911DB621628A08D526491B02825977210D7C89E0F010402410416023FCF0317B9B249D92810FD59';
wwv_flow_imp.g_varchar2_table(19443) := '1A25302946301003DA993482426DB14921707EFA89A1CE08492D291236600315923D205A151B7002522810C4842CD379A1E36919AF422E5EA427A6B91136203A36307CE0913881B3488BA17F5168A12B902B78499F9E018D454910780900507A112B0A00';
wwv_flow_imp.g_varchar2_table(19444) := '44DA1E8C93498B1102191085192085AE740257EA19BC028953DA24EC79A626F23D487A4847DA38E21316C8324C4BBA9FFCE9A6A4E14406A19E1FD2A500B048E2834899D447701A3EF88914C3FF747E36BA9FB76146D352A52BC0A7DD14021AF02EF1F2A8';
wwv_flow_imp.g_varchar2_table(19445) := '7A199E7C08A88D514686F82A257002F2524FD03710CE272FA70A1B6ED2256FF92E2B004AA00400C7544F223010D8B91A1509499D08275D429299A917E1006904210E0C55325E2363B7712005A1314CD32005D131F4740F3276AD57771B6C0711D93AAC66';
wwv_flow_imp.g_varchar2_table(19446) := '11ADD27610F460AD00C0ACB3E6AD8AA120FBA050E78AAE8B11AD092579EE3AAFF45AAFF67AAFF89AAFFABAAFFCDAAFFEFAAF001BB0023BB0045BB0067BB0089BB00ABBB00CDBB00EFBB0101BB1123BB1145BB1167BB1189BB11ABBB11CDBB11EFBB1201B';
wwv_flow_imp.g_varchar2_table(19447) := 'B2223BB2245BB2267BB2289BB22A5BAF37D0B232100330200331BBB219D1A1D473E186340B113BD0033B9BB319F1483C1B45DFE1B31301891D4AB445DB033C7BB448CB103FD0034F6BB44DFB103B20043F40103D8BB13FAA113BB0034F7BB54B0B89191B';
wwv_flow_imp.g_varchar2_table(19448) := '037CA21D1FB1B340BBB32D3BB518611C4C1BB15AF2296C3BB774DB1B62FB0214C00237F0B6751B45622B1014503501010021F904050A0000002C79002000A501E3000008FF0001081C48B0A0C18308132A5CC8B0A1C3870329182000B1A2C58B18336ADC';
wwv_flow_imp.g_varchar2_table(19449) := 'C8B1234603083C8A1C49B2A4C9932853AA5CC9B2254800065ACA9C49B325C59A3873EADCC9B3A7CF9F056F021D4AB428420307048634CAB4694702019C4A9D9AD3404CAA58B36ADDCA952581AB5DC366BD199581CA1868D3C610CB76A4599849DBCA9D4A';
wwv_flow_imp.g_varchar2_table(19450) := '80C001A400EC96549B76AEDF8B4B057E05FBB7F04FBD2C65C830CCB8B163AE841F4B9E4CB972DE96266058DECCB933C9A89E43938C2CD0AAE8D3A853D78C3A51B5EBD7B039928E4DBBB6ED83A60180167ABBB76FD87567FF1E4EFC710482A08B2B5FEE18';
wwv_flow_imp.g_varchar2_table(19451) := 'C171C1CCA34B9F1B217080D6D3B37B5E6B39B0F6EF9BB90BFF54BCF939F8F39D35A7C68EBEBD5FF23116BB9F4F1FE78DD4DEEBEB6FEA8143FFFFFE0508E08001EE67E08107A1E186820C2EE86083102EF886826FB851E185162E78071A0876981D3D1AC9';
wwv_flow_imp.g_varchar2_table(19452) := '730F3E1E9668E28928A6A8E28A2CB6E8E28B30C628E38C34D668E38D38E6A8E38E3CF6E8E38F400629E490441669E4914826A9E4924C36E9E493504629E594545669E5955866A9E5965C76E9E597608629E69864BAC6429968A6A9264D2BACE9E6436D56';
wwv_flow_imp.g_varchar2_table(19453) := '14E79B63D600800E10F14067961A2884C39E6A6230D0061BD999100F3AE0092892868690D19C0521B1440F0229BA689828B4C9C299022D212912978E99290A04FD0900A5002C21909EA176B902A903FDFFA9030A960EC444AB5CAE40A84086DED9EB40AA';
wwv_flow_imp.g_varchar2_table(19454) := '9A8AEB9522C00AC0AF2F18C4430FAC1ECB420DCF723AAC936F09A4C1030068D067411B84D0EDAE023D60DEB44DA2C1E18202DDF186BA77DCD1C71B00B00B00BC7700E006000D0250C6BD008C5186BF00FFFBAFBEE4EA082200F2C8733041F4D4534F4109';
wwv_flow_imp.g_varchar2_table(19455) := '2F2C4F42204E5CD0C1F0149C63C50B593C90C70C652C4FC61A0779CF400F3B7CB1410B971CE5C9300370CFCC33CB8C913E00D4738F3E38BB6CA43D40DBE311890F93E8F3D1450A2D103F02D9C38FD2487B0975D4595E0180D557584DF59620806001081D';
wwv_flow_imp.g_varchar2_table(19456) := '802D76055B5FE9020067BBA076D958AA0080DB02B9A0C20873C3CDB69576DFADF7DE7CF7FFEDF7DF80072EF8E084176EF8E18827AE387A8A36BB38914CE8C043E400DC7AE7E340EAA96AE597738E79E64CB03A79AD9FF3B884E4953B5E7A8FAC86AE270F';
wwv_flow_imp.g_varchar2_table(19457) := 'A787BEFA8EA79F4ED0A4A7375BC3AFB3C7883BA89E029B28A2BDDBF8ABA43D802A79E878D250BC8C221C8444B33A58FEBC8E4B4C6AFDF53B7ECA3D909B7FDFA3A4B08BDFE3127AE220ACF9350AC1FEFBF003E568FC37226288FD00FC81C81F86F88188FF';
wwv_flow_imp.g_varchar2_table(19458) := 'FAF343BADEA52E0BD16F3FFF104802FF914086F0EC80108CA0042748C10A5AF08218CCA00637C8C10E7AF083207C12D342289A7EF4A321272C880901904284307020096C210937B3428598F08638C4614218688F7FF4B087336C0CCEFF76B60F85ECE388';
wwv_flow_imp.g_varchar2_table(19459) := '484CA21297C8442402801FF898870F7B38C281E4E327270BA2481A7810067AF18B600C231715F245A3D46C2332F46018B200803018648D6D044016DCE8C6390AC48D71B42341E058473AEA1100504BE109F371C59CDCA31E0C7458152BD2B38BC0817B45';
wwv_flow_imp.g_varchar2_table(19460) := '1CC8000C32804A52922017A8A4263739494A72D29200100000FED18F313E919085C409229F918A7FC8E36133E98721B0950D0EF42E9200C8E4052E904B5EFA3297C0DC652F77A9CB0114F397C834A6327599CB013C8294314C213F08B9937BFC83199160';
wwv_flow_imp.g_varchar2_table(19461) := '460C170911533AE49100F842B26687CB4C025320BC34A62F8549CC5E2A7399C60C263A9B594C7502C099D094E134A999FF134432231BD8B0053F74869034168469062D887A06320C38DC411EC9595D0BD5C94B00B441200B6026302D49CC7A665293C86C';
wwv_flow_imp.g_varchar2_table(19462) := '26488399C9478CD29BA8D4093DFE810C64FC6318A9A0073FB84910581A84A60D89C4F722790E5D6672018F88E702267981056094209F2CEA2E47AA49A336F39EBE9CA40F8D824864108394C4B00503B36890781C24A1183C470188D9497386F29EB35880';
wwv_flow_imp.g_varchar2_table(19463) := '22E689CE5D0E5511B388AB3A9D3A0700D475166EAC6B544729B41AFEA4AA5765C735B569532D16A49CEA1CC04505204AA39654206D50C42074219047E842148F10C0231EE1005D5C4217E330C538B2F0885928C214A8B56B3C73D9867EF415ACFD64E955';
wwv_flow_imp.g_varchar2_table(19464) := 'E9410B4FFF44E21F5C25C83F70E910D8C26F1CCCAC6864ED2A4A6386360CB3000065DB700E5D9C230C0268C323B2300B5DE8220F79C0AB4975610A5D046216A6F0A95495E6DB9AACD4AA9900852BAE2A0F9C1AE4100048C3D23AD8D3C41AD3A9766DA629';
wwv_flow_imp.g_varchar2_table(19465) := '72A98B8B5E74166DD0C5051C300753E0950DA65044184C6159EE3EC2147930293B9D0934819497262B15871FC2418B5BB8E2950F49431AC880880B0B24B72B510700C2618E92F174AC141508512F6A4F191BB592C75C2A45C5AB4BA7EED58763A4472A75';
wwv_flow_imp.g_varchar2_table(19466) := 'C28F7B9CF01FE6C8C42D12869074C4370D5010087C01F0097D4C2D2BE968F19E5E9CD8E0CE939DE9ECA88E71BCD41CEBB8CCF77C04D0BCD9137E9830FF8609AB47CB8E2CB35C4CB920D5E8879BFD6A906A74649A81E3E90514D0D1739AF3D0CB44E732C9';
wwv_flow_imp.g_varchar2_table(19467) := '6AE6784E98AC7C7D6151DC3C507A28EC8CA314482301500B50749A2082FC898901F5E6824C9293F794F1414EFD49509A5A93F704E50534FB0F7E489A28333DB1CC506C9018BA50CF18E4471EEC7A813914FBD8C64E3630939DEC630BC4D803E165B3A75D';
wwv_flow_imp.g_varchar2_table(19468) := 'EC05243BB986658C3DE2C1EDA9FE10C8DB8EC7B647296E2AF6031FFAA0C73AE821649EAD8390FA70B33DAC9C8F79C8191F292465B6D9B2C20502F9A4AE75ED020159EB290211D416F62D8984C63430EEFB2F3CFCB685DDFCC4A5D1D4BD0FD1210B47FD70';
wwv_flow_imp.g_varchar2_table(19469) := 'A94CF1E317CFE10D3DC2E78ECBC5E040FFC6B8496E6DF2B90019C8239F0EC73BA8729CD4DC28FECE74CB775EB889F99CE7D341A5D0F3C16BA00F67E8FC34BAD20777F3A5F7661EF3308A5799D2B29414BD21203A58C3E861EF9439FDEBAF79456C62E18A';
wwv_flow_imp.g_varchar2_table(19470) := '58D08221A1F00400D24E90541064180018C62DE01E4415804020762F8A078C55120A0060031BE89359F27310D098A55A00F0C00648652CBF87D00540909BE40512791548DEF2400040E66972031EC040073018674758A08317E080F4006813B810E22814';
wwv_flow_imp.g_varchar2_table(19471) := 'F01D0028C0010A7AF5FAD4678A203520D5AB6AB03EEE8D602074FBFDEF07627986B860089B87BCF2231F7992809E741D81D6EB3540A86D15A44DAF823DB4040229EECF7E0535007FFFEAED942948857F836E73DBD9083284F503A0FD435849E9EF647A69';
wwv_flow_imp.g_varchar2_table(19472) := '65C454BB1308ACBCB502FE1784EFB2277BBC622CE7777EE237108C3710AFD27DF47336769336C1E77EEC37020EE87E9137046E030436D011A2A7032C707A20881135302B78C27BB97782BA777B088103B9D77BD7977F71727E1E347C00F07B10883634F8';
wwv_flow_imp.g_varchar2_table(19473) := '36EE278199878128F12C1B81033AE082BC0200F697103A907F056127B9077B03218332B2039B7720737310BFD7016F838308517C7837122F9028BC731142182B066127B5C229BCB33BCFF27DC732274CD8265018422380850631875B58107243791BE811';
wwv_flow_imp.g_varchar2_table(19474) := 'C202841A318643682978522B44E82B25C87DBF5282850823537820C2FFE7101D408704E136C187773BA07FEA737A18A13A1811880B31886348104378102C987A9562868635872370771031871D908306C177B3777F00508A86728462582A773286A15886';
wwv_flow_imp.g_varchar2_table(19475) := '4E58840A017D1B540120403626E1014D782CB0C27B16B1880DC18C0811860B817FB8578DCE08760B8182C7628410218C3EC18202688A71F227D2888D0F518E0DC1893D518AEB0387D5688E18312A8CC184B0027E0C2810B2733AA8038F06D12629687BBB';
wwv_flow_imp.g_varchar2_table(19476) := '372ADBB715E4778007512BA8732B78527BF0183D8D3190E9283912C98FA1718F09B13D14C919B898911CD9911EF9912019922239922459922679922899922AB9922CD9922EF9923019933239935A744434E918099D93932073933C992399B0763DE91875';
wwv_flow_imp.g_varchar2_table(19477) := '01007111948C710200500211C01E46291667220429200467F21C19602D4D991571510225900202910225709561711CC7519500209525604BB6049662010106E1906AC91608C0015F090048F9965C4178C7E1282660975C21287CC916D6F7976151948239';
wwv_flow_imp.g_varchar2_table(19478) := '158459988899988AB9988CD9988EF99890199992399994599996799998999934211E9AB9130BA51F01010021F904050A0000002C75001900A9014C010008FF0001081C48B0A0C18308132A5CC8B0A1C387102302505245A2C58B18336ADCC8B1A3C78F20';
wwv_flow_imp.g_varchar2_table(19479) := '438A1C4952A201142F4AAA5CC9B2A5CB973063CA2C4900C00106307618B931B3A7CF9F40830A1DDA528386072B00E8D841B4A9D3A750A34A25A903C786A4377A4CDDCAB5ABD7AF404B10DCA003ACD9B368D33EE509320206001BD4CA55C862AEDDBB1811';
wwv_flow_imp.g_varchar2_table(19480) := '14AC8951038A812200C8007063305EB4810952E00097C2E1C7903FC6FD2B18400A9E6C236F8D00A0EED80C1B3250C80060B440D3143630DEB098F462CDB08506307820636213325208969139B6540F0A17C7752C7AA0E8E38E017020EDBBF948BE09677F';
wwv_flow_imp.g_varchar2_table(19481) := 'FC3BF8B2F3A97597332EA85D20EBE0DAB7C3FFCDF040EFF5F30D619848CE7036748D1C58988861D8307AA011CC4760BC5ABC77FFA1B177D00604C6C5DC7D30F1014F54300854D36CD21914E146113C50906EBB21189401001C8810077129675088230E44';
wwv_flow_imp.g_varchar2_table(19482) := '01671AB644C40E443C155702E50934214B7535D8E04031C490A24C0CD88440627181485006DA25570207478AC041604B8AB81D071CA0B863420FBE87913A51451800842CA9269F413A4E1913020810108167001C299640E209F75062E489991004327294';
wwv_flow_imp.g_varchar2_table(19483) := '8048CF00800833B778728D4905056065483DB269425D18CA609F9C2C59486687D929499279003040A986B89C35C617D80894A743D2CDE8129A39E2C8684B0FF428A540922AE65F44770AFF945F4194CE6600019742E60933000473CBAB4FA52350354A14';
wwv_flow_imp.g_varchar2_table(19484) := '944443829ECAA885AC32961841CF32F42A029CE935EB410410C0617370A4120D00940E3A5435860C23D0B7CAA6AB500409A058D791DC01D06A46B1226480ADE2C2660857C54A01001AEA068C10B5026DDB24424A7A2082C20C43C459023DF6982B00DA9E';
wwv_flow_imp.g_varchar2_table(19485) := 'E7479853152B901102772CED87AC7AC082C29D45BBD003AB4EECF1CA2C4FF5AC920B07B6300026980C9CC9196DDBF2CE3CB38480CE072DC9F0C223CB5734C900302C96B38C211767CF19DD08F5D42031D959D2468B5CB30957B39A2660A511E4E8B50E96';
wwv_flow_imp.g_varchar2_table(19486) := '0D35B366039000D054B7BD91085CDF96344126285C337022B2E93441648BFFEAF6407EFF2D384448D30D37D103153E906A03174A71C583472EF94522A02910DE80918CF941A60180B2DA932B946FE8A4277E38CD5813A4B841C7A12D90E3A5C72E3B430D';
wwv_flow_imp.g_varchar2_table(19487) := 'C7DC6C7024BA4E25DBB3F7FEF7C8382F2CB492C0B2E958E704ABECFBF2921F3A90D1877A1698C8AB8B289AEE0AF1CEFCF62B5360E1680F782F3EB30226A43CF7E893EE461907B19FFEFBF02B244FFCF4A7BF203CF22C58FFFEFCF7EFFFFF000CA0000748';
wwv_flow_imp.g_varchar2_table(19488) := 'C0021AF080084CA00217C8C0063AF081108CA0042748C10A5AF08218CCA00637E81CAD7050331D1048080110C21292F0840064020F9800001E2CC1831F8CCC086768900E8C808437DC1F0F0CB2041E2041202E44420FFFCB12C3B48CF084261C880D4F38';
wwv_flow_imp.g_varchar2_table(19489) := '8223A60F072A64C21206C204180240883D98620D8A081627160404000023083A0046329E708CF0C3810E7AA8C229AE11093BFCE10E05C20435AA113240600A035D20103E16440500B82120F9584630D66F872A04C0127420C416FE702044BC2317BFB205';
wwv_flow_imp.g_varchar2_table(19490) := '336C010D95FCD7252BB905000CA17E5B1CC822453947382E81096559A14070309050AAE5074028C203BFA0857F09A493001B8816BE401033A26F8BAC3C880B01C0941FEE608E4A110811EF6203001441960FEC641C3A09874E26C490DC0B260070A04DA5';
wwv_flow_imp.g_varchar2_table(19491) := '2CD2854CB8410FA948C7C864A637071C853206C20F84ACB3204BCCE6320DA2032634880948482411E7A9FF9914B46081E0880342B034106B2A3187CBEB6642CA5245A5A8B09E0EDD260B27D995656C8320E0D8E5419A38C015BA50073AD86148F949D1A8';
wwv_flow_imp.g_varchar2_table(19492) := 'C862219902C016945081400E50A1135DA43E575952AF48132136F4E20019DA8361D63432376C6901A79845394EF1A71659C34B3A0048975A100945452417057A915A02C0078D28091A2DD001AE967120371C21473B20D4007673093FCC220FD60A80896A';
wwv_flow_imp.g_varchar2_table(19493) := 'F00A80180500566191115015A91659010AF4BA908792343278F300D7CED3019D2EA4A900B0C00D7D30136C16F02F7A4D0A650CC283BFC28603C0C1AC66B82A420054A002497448570D6281989476817B2DC80E8E3A451622D33978630FF6D042D6C4FF8A';
wwv_flow_imp.g_varchar2_table(19494) := 'B0B024C42D464E8B5785ACE0657B45812B85684ACB6AC6031B8040F9C24622B4F0F620CFD5480526D0DB832445207AADC15F91B046E346E6010FA01308418BD3D28E76B4D5FD4864FF62D9D73A8759E18BAFE762D352F472A4ACE925C80A48C457356A97';
wwv_flow_imp.g_varchar2_table(19495) := '9EAE8C8C78677B18C322542039E4A8443EEBD9FC1E4407EC7DC15F5F8B0314E0A0062C08B05D8A8717090080BA0EEEC9518E02170D2C2E047009C106503C900A1D06016B1348B87E061DBDB8612E4A55498E43AC103800E00E007803907FFC068100D90D';
wwv_flow_imp.g_varchar2_table(19496) := '68581F00940C80328CC1C9507EF293013086A894219703417219B42C901B13C32CF100C03AC45C0F84CC631D679E0700D28CE635A3B9FFCD6C56B39AC32C107AACC3CEF410739EEFACE73EF3F9CF7B0EB49F050D6881007A7EFFA3873CE8A1E882E47920';
wwv_flow_imp.g_varchar2_table(19497) := '8F3EC8FC223D1044231A2A9336489E1FBD8F7C00E0D25DB9F3A3C72C8F3B5F1ACFF33375A451ADE7451B441EF35BF49D4D4D6B45D7BAD4B6CE35AE777DEB5EE3F9CFF9C3E0FCF0079645BBFA20F783F43EBEE2E93CD7E3D9008036B4190D006A5B7BD3D8';
wwv_flow_imp.g_varchar2_table(19498) := 'AE76B6214DE96857BBCCF400B7B8BF4DEE70977BDCE64EF7B809126E6733DAD88A8E37A879DC127C1C04DA9E6E2703EFE16D86F05B81FCC687C03D4D6FA1F043DFFB48B8C20592F008B6D3DEFF2EF84F0E9E0F82B3931FF9D087591A7E8F8827441F2097';
wwv_flow_imp.g_varchar2_table(19499) := 'B8C817728F85575BE1FDFF3848C301D0F165D3E31E2F6737CC613E3F980FE4DF1D1FF90741DE8F95335C20FD483900F8A1F06503601F391F48992BDD704597BCE827D7B9069360048E0DE40900C07A48BC3010AE739DCA5CA8B2403625F5090E4A551A40';
wwv_flow_imp.g_varchar2_table(19500) := 'B189D50E00130B24ED4659BB06560C0014AB3804696FFB07582C1E16E020250080810E6EC003C1A3B3EC0F64B1674209781638DEF1054181E3850B798160B82E8E4F8A67D8EA423D0E04095647BC029B7B0281943E295BAC018601B07A0BEF9506D765FD';
null;
end;
/
begin
wwv_flow_imp.g_varchar2_table(19501) := '0A345C61005C37F600A081EA59E9429F0AE491A25FA086239214DC0FE4C20649FD0A604FCFCF5B31F8130C250D684090D40F64F9D887BDF58D3F90E933DFF2DBA4A3FFEFA11FC1502EDEBAD8657D42A45FFDC9AA9FA62DECA1FC7D48FE0D0E9FA60A4D0A';
wwv_flow_imp.g_varchar2_table(19502) := 'F533FC02563ABE06EE974CCAA45A50F54268E55EF50740ACB4800EE14A0C8810750161AD6439AB144542307F6875803F3444D4978017541555717CE1B74ADA9461143810AA344CAF05558A047E1E084130B54F06E177A1C44AF747106BF5508AD4482D34';
wwv_flow_imp.g_varchar2_table(19503) := '822F5841FCB443C194619D917A449810AE2510E3147F70F4831AE4561BC14A32254A8FB4843A38804EA8405B5416A934522265115B944803D1034CB0032C74541E2549592841507811C3B748F2C7506B38417248125124801145446D38870A545922B146';
wwv_flow_imp.g_varchar2_table(19504) := '2D187FC93451DEC5870854593B748310514F1EE55A10FFE55085688893B402DDB456A304882125891414822301871F15899A7840DC67119BB746C8D47BA3B44A1D188A3F550352D8483CD8420F8580AC58539683568D848810A58878D14CFF040360B439';
wwv_flow_imp.g_varchar2_table(19505) := 'B5781F6B52102F4445A03817752358C0218CC3A821DC575CE7E1181B200137E3011CF68CCE115CEFB7834785209AA58D72C2574A017CDC2584B00525057444B5F540D9758B9E771E21225EEB585FF0545FF82540AE5789F40749BC7818F47840F85556E4';
wwv_flow_imp.g_varchar2_table(19506) := '654000E87F389061C9F818C7634086054F8E554044545980078E8B7191CA71911CB05CEF230110E06103E1912009001F59921E594014E076CAB22D3F0300DA033F7F00008000003109087F100733FF090838B99333298E25C1070A640F00209403F40F1E';
wwv_flow_imp.g_varchar2_table(19507) := '6394062174FBA33F033166863610F1B00EF180688DE6931C246790566D5A490F61C69502A16656199662399664E9111E57965053716A597169A19468D932FA2610F9500FF7900FEDE4965B316F05E40EEE406FB166739FF615C18640F7933F868957F4A0';
wwv_flow_imp.g_varchar2_table(19508) := '0EEAF06CF4803FED000078B9154117996FD93129570EE5506DF7A06FF3D34E71291518D7719F59991DC30FFF500EE1F06DFF460FFD7070A3E91448399767499A02639AA8C90FE1B69AAD797051313FB14997B4C932B6190EB8099CD5B69BAF3914A00673';
wwv_flow_imp.g_varchar2_table(19509) := '94167440D70FFF6094D18994C12912D1791042B70FFFB00F93D99D2AD14EA8790F8BFF467079E69ABD2910ED540FF2E00E71D99DCEB99DF0A99D49E910CE899E62529FD8399FEF937229C79D03C19F2AD19AFF200EE1A09E31A795E68969F6590FF0D00E';
wwv_flow_imp.g_varchar2_table(19510) := '9EE69EDE5974D409999309991D970FAD89A1FDB09929770F41976F750916CEF99A41C79B0D4199FFA99FBE03722CCA70CBD6A247677421610FD329A004DA982F2774BBC9723F6171058168E9D9A00F0AA1D9A970D76994EE291046790FD1997246990FD1';
wwv_flow_imp.g_varchar2_table(19511) := 'D94E4F1AA592090076D90F183AA1CF799D9069A204F1A190C996561AA6198A71F5809C02319B9383A400A0A530C19FED74A3F090A308EAA53321A6AFB6A042FA9FEE399D5CAA6F494A0FD1700BD9F00FEC50A8F4900DE9F00FEAFF50A8ED900D6D9A0DE5';
wwv_flow_imp.g_varchar2_table(19512) := 'E0A64D91A1534A0FE1303FF9E0A118D70FEEB0A89E56A3595AA15AFA0FFCA094A60A7406319D939370F6100C5990056110AB0030ABB59A05B50A00B2AAAB61C0ABBC8AABB61AACC03AACB75AAC6C700EFF40A3A629A7075A9E760A136BA9963FDA9741EA';
wwv_flow_imp.g_varchar2_table(19513) := 'A05FEA9DFFD00EC4F00CEDF00F1AE79E501A0E01C00108900AC3B003FF400C01F007FFE00A01100EE190000D6A004730747CCA4E40D19AF5F00FCCF00CFF800CD7A00EF6D6A643179DCCE009D1F60FD700A905F10FF2E00AA0106EB7400B6F50A8EC600B';
wwv_flow_imp.g_varchar2_table(19514) := 'C38006E2D09799000F99E007F0500E68600B9049A96D9370F190080230002C3B0018E1B217E100BA40A3A63AA0E1FF80A3BA99A03211AD782A10401A6D7BFA9C93699AF080084880047E200FDFDA9DA6990D1CF00FB66002955005FF206452000FB6F000';
wwv_flow_imp.g_varchar2_table(19515) := '4A100E22800F9E500655800CFFF06FEEC90F6ADA111DB7990B61B6FF000AB6D0AE00700DC4E007E5600B86000FEC60086EE00AD36008C42064F49009B7100E99709D99100E0AEB09AE200F91F00FD9F0B6E2E009C8100EA0300CFF6A0BA9200E9130A926';
wwv_flow_imp.g_varchar2_table(19516) := '4B35281B080370012D2BBAA1CBB200E0B2A57BBAA23B10A88B110AA00B354BA337BA68399B9C2EC1B3566A713FCBA0EE4070100AA5E270067D600769909AA7DAA7D96002FC500E3B600855200F14E0091E700DAE706563B003EEA00486A0047030B6420B';
wwv_flow_imp.g_varchar2_table(19517) := '9D89FF0900E6900EC2920EE64050E42BBEEA600E0351BEE26BBEC2C2BE0010BFE6600EEC609FD8699AB46005905006AE900A91600BE6F00690900A9E900DCC900AE5900ADDD20DB4000786700DE2009D7F900A8C900EAE900D99400B7E400FA0E00E6D7B';
wwv_flow_imp.g_varchar2_table(19518) := '0DB490A8D7D00F9E200EAED00FC8200E5C0AAD574A10A73A100FFA10157797F84910BECB9615AA11289B082C4BBAAC7B01027101A4BBBAA99BBAA22BC40651BA42CCC4A1FBBAFF009DCB7AB373EAA1C7A9B331C1B3D2EAB37ADA0E800AAEFF100E7DA00A';
wwv_flow_imp.g_varchar2_table(19519) := '88B009C62B9D253AA00F400C555005AE5005B610004C1109A0E005F0F00006100E0FD00398050FA9DA9DFFD09700C00E58620EEED00EE70B0FEAFF900E789B0EEE60BFEAF0A9ECC00EF983B7EAC00E906CC8ED60BEF290AA4919746D4B0B2997099EE009';
wwv_flow_imp.g_varchar2_table(19520) := 'DD100E65700BE96008EA800C9960C07090098F5B06D5B0C89DDCB8CCC00CAE709A9EB0B99EF00FB4D00DFFE009C20200C2A00EFF1009F0E00AC52C134819C3D069AA9DFA0F1A6AA541C76F9B0A994A6A9AD789A1A7FACD1D8AA46516A518FAA5DF6CAFDA';
wwv_flow_imp.g_varchar2_table(19521) := '7CC34ABA9DFB90B23FECB20BF0086DD006AA6BBAA72B10A1CBBA2D7BCF0561C4F52CC44A0CBB516AB3389B72CE6ABB2CA1C5D2AAA307C7A0D60AA163BB0FE5A00A9BA00AAA200ECB16C5430B00E210031CC005F4400C86E007910000B630B26FD0B64940';
wwv_flow_imp.g_varchar2_table(19522) := 'B10EEB05D3E0BDEE49C88FAAA8EDFF800CB7D0A8AE100EE940B2875A0ED9100ED9A00EE120B7B7300CD300D48F3ABEB4700BE5E0C89D2BA0B6C00C46E90A138BB8991009EA700D7EF007C300C099800C91600E7E0000E59009D0190E6F700BD760B9D590';
wwv_flow_imp.g_varchar2_table(19523) := '093B9D0DEDE00790700BE2F006A0200E7EC0080B7B07244BB030710FD9800CC80CA5D5D6C946B9CCD1C96F512CA58AADAA612CD8B6400F4D5AB204CBD443770DCC20D92D6C94FC700DD2F9C5EAECA2EE0CC48F70BAA50DB349BC0000D0C4FB2C100B40C4';
wwv_flow_imp.g_varchar2_table(19524) := 'ACCDCF42ACDAF87CBA0320B3519CAC363B0FB46BD0687AA70A8DA7BBA99E0EDAA7D0390FFF800D7660D17B800D09A7D1258A710331A142C7D904E1A748E99E9B2C0F49F0030FFF0B07A0900A6520B86EF00763400C5C900D7E000A0F600B9180069E7003';
wwv_flow_imp.g_varchar2_table(19525) := '995006914000D9E0BF241D093A0DC208B1C3A82A10F6C60EA6B99946E99B6DAA0FF0E0BBFF20D902ECB01EEA0AF5A00FF8E00E921DAA9E966FDA0C13A6990E68F0C0E5000FC4400FB77007F6B0B0EEE007CFC0C2E2800CA6F90C931A0DE640A5CF10C0EA';
wwv_flow_imp.g_varchar2_table(19526) := '7D9AD50000EA200FECE0B05A8DB8B79009B6500EF8300C090ED4FAD00F8A090092DA0FCCD0ADA7CAA6EBBC0FF2B00F3E5CBA73B0000320007360DB17600A0BA008A63007A10BDB0080E500300BA6A00BB07D01BAB0005B0E0060BEDA589EBA333BD0E2D0';
wwv_flow_imp.g_varchar2_table(19527) := '0D0C4AA707DD13C12DDC0D0D0FBD4BA1DDF9DCC09006639C06C0FF106DDCE99D439770C72B9D849DA6AA5AB048EA9EEAD00ED7F0065E400C56800D555BB8CFC005F910096F5006EA0D0A49E005700009EA5006781D0937300670F0066F100ED1200EE6E0';
wwv_flow_imp.g_varchar2_table(19528) := 'C709B1C343F7A1FC500F590AA5A6B9A5E31CC516DA0FF6B6A102A10FA69AC393AEA332619B86D00FD94009E1900A8690096F50B75CFD069E6008E1C00C94900AB410D6339E093B9E7291D0C9F200EE8C6008D590D37E42CADBCEAF86B0AFA9F007CF80B0';
wwv_flow_imp.g_varchar2_table(19529) := 'A940A8A48C0D91500DAF10099EC09AEF499DDB39E555BEBA8F20000D3007623E0005D0068FF00873A00893300EBA300B686E0A59D0E5177009A6300BE390E66CA0080030099CC009B3A00B1FDFB2B84DA3B2FF7BB38B660F063D74CFFA127DEE69F333DC';
wwv_flow_imp.g_varchar2_table(19530) := 'F250DCD009CAF0990EB5B0079BD00A87F009E9D071D099E103B10F7779737E0DAE1467C39319C991900444E00763700BFA000777800FCFA004AB3CD6680D0A761D0086900D55100E7EE0078660080610096570AEA9D0A09D0B7446490F31CCCDB98BCE19';
wwv_flow_imp.g_varchar2_table(19531) := 'BEA179F6A129570F665BCE43D7B30581D02D619B7E30A091900DA9F006C3600BEDF0C0A4FC0FC3E00AD7100970100E9E500E706F082C6C97251DC89120CBED0A0AE9700BA050B8FA0D9DA2CF0C40E60A4A3ECCAE100D25DDC9E36D0831FEE8D4A970F350';
wwv_flow_imp.g_varchar2_table(19532) := 'E5F93C07166F0A61C0B2057001E360F12DFF0859A00BBAD0FC0E7001B390058FB0F1799007A6FF9007A5AD0B9CA00B6CA00B6DB0FC3F5CE7BA7DE7F166F375CAF82AB1F3FFF9E7BD0BC8FF100F61BC075350079B600975900600B1871B807FFB0000E8D7';
wwv_flow_imp.g_varchar2_table(19533) := 'EFDFC17E070902E0476FA1437E041BFEC38831613F7EF9D8A91BC3EC56996165E000F353E656262E77D4811A13291C1779680C892B23CE902146F08820CBF4C60B2D77ED1C1E3D9A90E0BF8609DBF16B78AF1EBD7AF900E44B6815634587132D72451A56';
wwv_flow_imp.g_varchar2_table(19534) := 'EC58B265CD1EE4F7CFDC9869370DB92A630B40AA4C863CC1014AEC4FAA3BF63279A275F35FBB7AFC3C79CA16CED0B048AE86D1CAE48799A16739FF65CB968AAE27799990FDCB14495D245BA0CC4502506EE3C6A3FBF6C9B3474AC08501B5FF012C0070A1';
wwv_flow_imp.g_varchar2_table(19535) := 'CD9CDA0374B5C9F2A8CDA32CC34D3D2271C1D42CE293146531654A17F3528FD8989AA340416D12BAFEC5FB97565C387AF0E8DD6B88961FD8B3EDDD3BCC175FFE7C840CD7D793D70E6BC28CF6FE5182220D26F620248D34C828449FD5142ACFA9F3E4E187';
wwv_flow_imp.g_varchar2_table(19536) := '1D7AE8C9871F78D26A271C78DC09A71D7834648AA37FE029A71C75D229871D73C249479D70CC61C72117D339884600D4C1114571D4318A1D71CA31C71C78C84A28AD7432C964488C40C9E6A8852E42E81F5AFC10472D50E8F1041217DF78E69FC2E07B2F';
wwv_flow_imp.g_varchar2_table(19537) := '4C31C7FAC71E5A3CA9323366E021261C5B6E190F946AFE792C9C704061E71F57888966188CEE71C51577B2D1871957FA6967FFCF7E327B26CF9768512B133BCD514B9C0FE971A5435098416FB5D65E8B2791DE681B0080DEDAB820B7DE4C452AD50B6863';
wwv_flow_imp.g_varchar2_table(19538) := 'D5D45265AD2DD5590FBA40177BFCF36FBC79E4392F3D8ED61BB3D8B1E4BB6A3EAB84BD2FBFFD142AF39F7B3A3130C03A0ED9A30E48E4D1274485C489E41F7632B1E79A6BFEF1249D67C431C715B58879469E5B865167983711E2CF9E8F5A74A81D75CC41';
wwv_flow_imp.g_varchar2_table(19539) := '0A601C01B011808F6E4CC71C1B713C31462245CCE41579D834A41C4FAEB9851176AAC9C41575BAA1659A7FE829279C4CD04563B46B0C2BC78F3CF9B9E72A63671E73A27C302A4BABA4082A079EF0963AC8AA87183AE8C9A2D37B28ADA2876688359C0F72';
wwv_flow_imp.g_varchar2_table(19540) := '4D9E7D12996DFF80570F2A7556571DEA4DEB556FE5DAEAACB1B62D0B5DC0B3E7DB6ECA0BD63E6269A6993E65EB43E83E78F45B0DA379FEC1669334A64823C03416814641A60E3727DD7008BE261B795C61269A72C469B45179FEB9852864B26106DFBA2B';
wwv_flow_imp.g_varchar2_table(19541) := 'F4AA68AFA09A88298632B2A89F7BE2FB279F98CFEAE766750CB1A59F674031049468AE792B925B98B1B71A71A2A4A59A6E6CB1A59E5B1061C61629C3699D22B8A7374B2AA8F2A90A6600EAB9A723EEFBA9A730D713AA2A4484A6922FD88A62B6EA669CD1';
wwv_flow_imp.g_varchar2_table(19542) := '137ABD862A4A0BBDED63660D29D75C93EDEB5559A54DAA7025360106306B63C31AACC066B5B385473CE4318FFDE8312CF6506F4CCAA28FDBF083377C15A9FF1FEE1846286A018A11D60218E9D0C75232228E6110631AC300802B52918D6784C313E1A045';
wwv_flow_imp.g_varchar2_table(19543) := '2AAAC18C74002F357A7285C8948616A4844E7A48419A1121F29ED5DC035D9E088D2162980A3FD0C51CED60C4302CA490CDFD030E7EE0429A32910AC3A843891644631AE94734BA2D4D2CA86B0F58903696FDADA201DBF95F1ACFD29D32F5A3576B03D6EB';
wwv_flow_imp.g_varchar2_table(19544) := 'E80191B7E9314CF1095AB2E836AC7ADC4D686CB4884358D38F1432851FBD9A0600C4D1271C5DE319F4A00533BAA18E6BA4635EE220062DC4C10C7A30234F86845BECFE31994C30C30F91C8842D02433B5074E31F8CC84634DC958E3734861EE64845CBFC';
wwv_flow_imp.g_varchar2_table(19545) := 'E00E62C0C17915846534A5394DB1B8E61FD4FFC8C21C2EA04D6E6E739B0BE02659BC9905A470339B0244CA0202710EFFF8F11FE200E4790E32C1F540939A4CD4A0232129ACF4280800FAF0A725B7320F8274442337038013A3949F7FE0C31DF290D923EF';
wwv_flow_imp.g_varchar2_table(19546) := 'C9C422A5C351314ACB47F0E1C47444224F0AFA208C8AC60F755CAE1F669C684A550ACB8CC46357F600004C01100F9ACE831E0A72E942FC33D3B401E0A6EB98473DFEF9CF7CD8036DFDD90AB442D42BF204B221F42CE44AC3C4487D7A6E7EA583485394F2';
wwv_flow_imp.g_varchar2_table(19547) := '95F09CB13E4A315DE9BC2AD5875D047CA84B0B536E168D26BD8E2C61256B5CE5EA9EA7456BA73035EA4B97B2C683C0D4536FA5887F3232D889C0149EF408E43C0969CFB9EEAC6EFC68A4FF3B24DAC6394EAFB28D2DCB56C5F2366F65556973142B12198B';
wwv_flow_imp.g_varchar2_table(19548) := '59D2CA15232F8529DA0E820F3F2EB16E929CE4592EB92B396EF581F248AC4F29585AB1F403A254D54F58FEBA58DE4E53B3B09BDFF5B022BFF9099788C585AE5C7755269986677FFB6B1AD2EA99DD38DAE3924F4A88350F9BDBC78E16B3CC826C5593923F';
wwv_flow_imp.g_varchar2_table(19549) := 'E246D790C7358B526A5B91F444D5B6EEC5AF4AD3E2D2EAF2E3BA0661AF7AB81260B20CB16908D9C73B9B2A4FB799B7B1E8CD477EDCBA5EED4635BF96BDECC35CEB39A83CD7B10EBE70886926589CFDAC1F0946B10509EBADD518643C6C73EB6E45AC1E60';
wwv_flow_imp.g_varchar2_table(19550) := 'CDD8B8083E7141C60A3B0018C4C664ED0877C3422CFA1278C0CFCD7098D2FF02D30E2B9958CB1AAE59887511784E8C420D9147922F9C10AA78CE49A1D3EC8ACB0A5FE74A35CA3BFEF244F286E61FA3F169747B33129318E710B357CCC87D5AC9F2010F89';
wwv_flow_imp.g_varchar2_table(19551) := '6AD9BDED0074A0052DE883B8C3D08776083C14BDE8B3B8A3D00068C7A1238D68A9523A4C8B3674BF8CD266EA1DDAD38E468AA2C304EA2145D3D36659B4A81D72EAB2A4BAD48D76C7AB019D6900B8831D5FE2F490743D96571F04A2890680AE27366C7810';
wwv_flow_imp.g_varchar2_table(19552) := '1BA2C706C0C482BD6CA916DBD7C98636B06B7D69B114DBDAC6BE76B6B1BD6D6DF77AA5AE567559681D165D477A43B11E52A06B8D6E6F5BBADA8C3E0BB2957D905D9365D699063559BCBDEE6087BB8D9C460A065DE7D3FF0985CFE0099DCF849162F0F0B1';
wwv_flow_imp.g_varchar2_table(19553) := '4F590A9F9950858A578708B5E20ED9554C0F12BED51E6BB20EB907C4012EA609957C4262097958A632C88A5B7CE3DCC3873DEA217399E363BB47D968CA313EF3D5E6031F391779CEB677F0A3C4472A549138C7CF6215A186DCE93A1FF8C8C322F0B0381D';
wwv_flow_imp.g_varchar2_table(19554) := '3EC8C2ECD357FBF39C8B89EB6309F9CFA5AE479397DCE5623278C9877E0FB1B747EB18C707007E5EA18E7CFC3D6F5FB8C19F1EF4AABB75EF0DD7F9D8DF439F7A5A38E0734B28DEA787484216DDEE9B35FCD57FCC770BFE9DF2D573EB8442FE2CD6F0E3EB';
wwv_flow_imp.g_varchar2_table(19555) := 'EA61FC51985BE1F66410F352112A06DD13F8B75B5DF014293C34655A5A99CE1E2985373D5AE60ED064DDFF5C2CA1FFFDE301CA7B31A590F8EE01BE21139EF2E3930591604164C82D2E1FAE3C72C2AF6B5F06D953DFA563BD7ADC3B38E2836695D62BFCFA';
wwv_flow_imp.g_varchar2_table(19556) := '81B7713CE66153A4ACDFFD041D93FB0FA27E9A8EA9FEF04FA34D836A8FB893E5E406A7B99913C00094B9B018A47B38B95F532CB338407988191FA3071F730F96B3206091877820B8F3A0C0B3283B6843C0933B8898B987F59B10FC2B8BB21B24001C408D';
wwv_flow_imp.g_varchar2_table(19557) := '334093F3A99623BAED410ADCBAB8172439C4DA401B33C1D7E341B2F2B31E04C220248B517005220400223442877085238CA1234C858340425018058790425070885760C2293C885718052EF442A4E8C25B388855C0855B58855B30C334BC055C080BFF5C';
wwv_flow_imp.g_varchar2_table(19558) := 'F805370C8B5F0000393C0A367C8557908BB2082564200666E8C33FF4436610443F14C3B148055B008683180661B08525240BCD48855848054FB0C25000004F08132B84255A000618028061400600A085A38885B2704461400A6150C555B417A4E0C4513C';
wwv_flow_imp.g_varchar2_table(19559) := '0A4F28C5A31845583C085BC042B9C0C32D3C0A5C449E5FCC4300C8C3603C8A57A00558ACC557880557A00565A40547644647BCC2636CC658A005621C3909700808D04687E8460880000048006D044770248B0990807004000998009A518116E800780400';
wwv_flow_imp.g_varchar2_table(19560) := '1000000B008016500115008177A447005081831881A3F8477DF4C71638881680000E380A0EA0800D388A0DE0000F504889944814F000FF00F0008B3C0A0A00800700000A78000D08C9B0D880900C490A10490D40C9933C88032000020080009049B33080';
wwv_flow_imp.g_varchar2_table(19561) := '8360000088000A40013DD20000D0011600001EE0811EE801A07C01167801006001A40C9315088115588183704A0DC00006A0CA83E84900380087B8C918D08118388818B80100B0811DB081B23CCB1D50CBB5544B1B00801BD8811B90CB1BB001BAA44BB2';
wwv_flow_imp.g_varchar2_table(19562) := 'BCCBBAD44BB9840113F000133808183808C0C4C8C13C8A8B7488BFF400C5FC4BC1EBC7803C880E08C80EE8000098CC11A8CCCA440ACDAC00A468C783E846A45001C87408D2540117F847D4544D20584D170000200000D5CC47A418028780CDDAACCD2218';
wwv_flow_imp.g_varchar2_table(19563) := '822250811D08CBB10400FFB0F4C91BE08118E0811B304EE4BC011D800118D00100484A9F144C9F64CA9FFC4900D8491400CA83784E16F8C9A3C48117084FEC04800D0881AC1C8B10304FA534CA83A8811A380AF8AC011458011C2816FB3C8825E88125D8';
wwv_flow_imp.g_varchar2_table(19564) := '0124300223400224680F16D8C9A83C081C40011D40811A50D0F99CCFE70400FB8450F804000CD0001E101325208B2470080E0D93222082B020022080CD102D8283804DD804801F00002370082320D1D7943ACAEC47F7F8C70EA0471C05001D7588CEF44C';
wwv_flow_imp.g_varchar2_table(19565) := 'B1C0CCB0F8C71118D27FB4CCD11C81244DD2D864CD81744D151D02231D02D68C52DB1C481605001888CEB178CEE864CEC0F4C98378819F0CCF9D7488ECC44E1430D3FFB030D3A54401FC34D0F374C8B170C8A87450F98C4FF75CD305058015E0D3B3C0CF';
wwv_flow_imp.g_varchar2_table(19566) := '83E80100F0CD41CDCF1E10D0F6804F3B5D811A30D03D75080A0D0B2320024A050022388222C8D42428024EF5D44E05D54F15D55025550020554E0D51DF5CD114B54D1425CB83484B5755D583F88135E5B4CAC4CCC97408CD240BD204481CE5D583F0D10A';
wwv_flow_imp.g_varchar2_table(19567) := 'F05110D0CC60350B255556C874CD8338CDD8440A1718026975012AADD66A55811F4801C17C81A4DCD2309DCE2C0557E9145718084F04754FA9A4CF05B55587C001A05C4A1678570495CF0255CF830801A4705400904F3C4DD7A86CD43E755447A54FF780';
wwv_flow_imp.g_varchar2_table(19568) := '4F1C784EA15C821B408225485431095849E5D789150BFF89EDC883A8D44E35822420024F3D8824E0540008D991EDD40E2DD993E5509435D54C4D55DB1C5142C5D897BDC7994D4BB47C551E844CC9DCCCE9D1D9A3D0595EF5D5B208C8A155D28340CD801C';
wwv_flow_imp.g_varchar2_table(19569) := '48DB6CD6DA7C4D17B8D62A3D8AA4D401FCC44F080D531D905AE8F4C9E87C01F8E4D3F9244FFA745016A8017995D73745DBF0AC01FBC401075D503B3D087605DBB955CAB635587E3550B3784FFB6482E75C021E4002C045D4C17DD8B10858B2D8577E35D3';
wwv_flow_imp.g_varchar2_table(19570) := 'B53D8AAA74084CC5D84D2DD98F3D5192FD54934DD9CC35550F15D9130DD1B73C88595501152D822735C89985D51D0002B7545511183B9D0DD21D95266305525C4556D90D0BD21C5AD71C01D48456FFD73C4D23055EA87508EB1CD3A90D54B2484AC03401';
wwv_flow_imp.g_varchar2_table(19571) := 'AC9DD89D3C5BF93450A0FC5306755777B55A1CC04F0A655CF24C57EE2D5BB1C84EE94D5CBC258B465D011A385800600200F85B875D82FC4402447508FD7488C32D8B80B5538B3D080CA8C9703D88C9DDDC52B5DC5335E051F5D4CF7D4B839C4EB5945120';
wwv_flow_imp.g_varchar2_table(19572) := '80D1B7B481E67408D6A5D51F50E0190DDAB138569AA147DAE560A4885D800CE1A1B54C7F6CD6A3F05D26450AAA8DD0E43D0A33FD56C04C50ECF4D7B2F5DA45DDCE08E54E9F44D8087D4E841562B63D501E5E5B795D5BC6B5CF7D1D58038DCAB7A5D862D1';
wwv_flow_imp.g_varchar2_table(19573) := '81F6F5C9F8E581F86DD8860580F93D081E08D4EECD53A99454FCC5570D8880A328D5FF8390DCCBB55C87D05450058023D8DC8EED543A2E82133D8A140080140081B1DC0123BDD4A3704B983555A420CC91C3CC9E3D087BACC7B258E11356E1B2B8DDB0B8';
wwv_flow_imp.g_varchar2_table(19574) := '5DC9B46412DECC0DF6C7231D13ED0D0B1DB05A6FC5CEE76450B09D57EC8C4A7AF55E9F9C5AB1F8E130FDE4E26D614F36E2BCE5D7259E9EAA65822BBEE2F7055C2DD6E230E5DE74EDD3A3A0816236665B3E8A4C15D9010ED93836D9CE0DE000966335C6E3';
wwv_flow_imp.g_varchar2_table(19575) := 'B2B8E6839001B8C1529C45D62108822F000025D0E4677547310101DD5564B1A84C40164D4D26DBA3A85A094558F8FCD6C07C4E1D984FFB345B1B264FB0E561790E0B1806628206E2B2904F4F76E199C165F6D5812560821D6082FFC0FD5B87E8CF222E62';
wwv_flow_imp.g_varchar2_table(19576) := '183E66A9440A1A50E6B110E00DCD6687A866B12869B3E8E679B401150D8B16D8011715C2C884644606806400005C188629E4D5D4D46469A24CC9A4DD1C9569B29864A4004B02F5578C8E6150A6D0ACF5C9837D538905E8484D5E0A5D68576EE5801E0BFE';
wwv_flow_imp.g_varchar2_table(19577) := '8D5030861B49854F1DB8E2E7DC650C0DD0898E5F31D96803DD689A7966B138D1B8C6E6F720CC59B54DBB0602B30CC211160B4BB4E9A320D21456A90EA80010286CCE14560BCAE181B6DA4F0E571DC85B798DDBF668E8B29850621E8B1D1EE8A300656349';
wwv_flow_imp.g_varchar2_table(19578) := '5E09DDE52578E82DD6810075D8B350665B6EEB9939D1930E0BD7462316FD5C2018E918D0E3986E0F36740877FE47FF2D9828DF368B2BF081A2161380E66AA410CC2FA5EA761D8BB675EEE376E5167E0FF8A481635EDF83A062EA69EC294ED45EE681EC16';
wwv_flow_imp.g_varchar2_table(19579) := '8B54365CEAC1E391B666B10082117D59F54EEFF6CE6063E10009E048DC3E8A567086A390053694CCA01567B932032C70882DA09E8F0E8B78BE5AD06DEC28465C05A7EC042F6E028765439AE82E468288E6CFB4EEE1F7586D63E1D0F746E3B048EF94F200';
wwv_flow_imp.g_varchar2_table(19580) := '8EA480F90E42DD0E06B1A043DE12F0A3006E34B0203F8570B1C0D04FDE4907F553E8F66ACE16E274A5677D1E13AE96D4D1FE6E1E70F031F96E89DECFEF1E5408256B95326FE88AC8F88E6F008848047883D7C5EFB020869B368B35F0D194D26D69388A35';
wwv_flow_imp.g_varchar2_table(19581) := 'A09EFF0245650010811C5F57073DF233055B3F058012088B12506683AEDB0535F083D06CF798F1E435F230E5E79961821ED8E509675FFA4E23C4A46F5C9085393C0A62804300F0811ADD559AA1CCB33083B0B0028790C34DF7D99E760F3A370B3DB7DE08';
wwv_flow_imp.g_varchar2_table(19582) := 'BDE78370DDE20E8BF77C4F7E2D5B84ED73BD7D5BE8E64E232FF299E95E0C65821B98E81A37960D57F4B1C8721E9485153F8A14674325F051512F964AEE6F87000732078065F081A3C82438D88221B0DD946AD4373DD39961D7228E6707A5D8B01E13E6B6';
wwv_flow_imp.g_varchar2_table(19583) := 'EC347A4EE02C7487D8E537D7DB61A7EF0DD6022F380A4AA0A64BF659A4A0F671188571180B34C8014B9FA8823D8A3DD7A3574FEA30B17558EA4EFFFBACE1A0C4709FEC5B7A4FA33B6033FC22EE10DED111606467370B5EAD005F056E8788032AAC84B068';
wwv_flow_imp.g_varchar2_table(19584) := '71A98A4A1118D81B9773EAA15061973A35E55B4337F2F6E565F7556AB1B0798C7792201C0300180318CFDD0E50814C472339E8741E458A96872EF324F5FB45F8133808ACEF53AD2F96EA46E6A3F0533C97AB402F7047C5811EF8EEC68EDF87EEECFCFD7A';
wwv_flow_imp.g_varchar2_table(19585) := 'A1A76F2BE082377003B358FAA6EF77A5478A1C50821C18021F60DA68A5E9940A81139853B1A8D3C347EDFBEDE8F4CD5B75BFB09F7C7500A081044FEB26EF62B13FE6CD9FF19886831FE434290000D12FE1E99183B108DA1AB580C2862EA73C5FC547EDA0';
wwv_flow_imp.g_varchar2_table(19586) := '3F08D907B812B0F3B1B8E241CD75FFB81713D06F332D9CA8C037F3919BD30D307CAE3796F43D5FFA26F0D3E64EF0E6FDE897AA113879C1534FAC3F81A7A4198F0EFA7CED41A05C81DB877C5996FEF26FAC09E880CF943AAC37FEC33F7EEF37FFE9D94F43';
wwv_flow_imp.g_varchar2_table(19587) := '0F4A2658D4F8C7FF68EA60D9AD80CA04080B0006122C68F020C2840A1722DC002044C11310073A645870058D15163772ECE8F123C225489600E8C183090F902A57B26CE9F225CC983267D204B90162060037733A9C58F327508528002041026089C9A04A';
wwv_flow_imp.g_varchar2_table(19588) := '97326DEA3461870A032B74B010F5E94F0D217216D4C0152B58992249A624881163D8B46AD7B26D5BD3A7DBB81C758CEC81522EDEBC7AF71294CAF76F581D038D022E6CF8B0CCFF090427548090804102C49269D6E021B8068A0D1A354FEEEC19B00A00A1';
wwv_flow_imp.g_varchar2_table(19589) := '55900E4D70A288CFAA3BF22089508765822C56D3AE8D551CC16EB9C37D0B972D9CEDE00B81172C27FC38F2A0F6F0D903208FDE4079CE93AFBE47B01E41EB04E949874EFD3BF88DFB008C1FAF70DF3DF4FAC24FD69ED03DFBF8F1E7DDA36F3F3DBE7BF7D6';
wwv_flow_imp.g_varchar2_table(19590) := '0FC4874FBE64E89987D080001A48DD3C00D0434F3CF7D0A39D77FB1D3821851522B64F3CFBCC83618103E5938F85218A38625AF100100F83D391B8228B2DBAF8228C31CA38238D35DAD8510037EAB8238F3DFAF82390410A39645B4218C4410900CC961A';
wwv_flow_imp.g_varchar2_table(19591) := '914D3AF9570A0525799A0600F010C393590A9723410110205F04FF03E50481945A9A79665B0800104106B319345B6432A03927625C8A6880423ABC40505932944527A07B7DE9A59DC81D6051041804BAA8678582C700438A323A6961610EF425008E5668';
wwv_flow_imp.g_varchar2_table(19592) := 'C001786AC001A5A18A6A109E071D70E8A8A9C645A8AAADAA9ACD9F0561EA2AAD8152206BADB9BAAAA9AEBDCEC9ABAFC11209ACB0C51A7B2CB2C92ABB2CB3CD3AFB2CB4D14A3B2DB53DC2502DB6D96ABB2DB7DD7AFB2DB8E18A3B2EB9A19A502EBAE9AABB';
wwv_flow_imp.g_varchar2_table(19593) := '2EBBEDBAFB2EBCF1CA3B2FBDF5DA7B2FBEF9EABB2FBFFDFAFB2FC0010B3C30C1051B7C30C2092BBC30C30D3BFC30C4114B3C31C5155B7C31C6196BBC31C71D7BFC31C8218B3C32C9259B0CE3046A1624840DFF42FCD0C30D03EDD0C3CC2747AB3241360C';
wwv_flow_imp.g_varchar2_table(19594) := '04F3CC3BD8ECEC0416045D500A3A23D4030046FEECACD005FD6074413BECE032003E2FED96D134CB5C92CF5A7B4DD00FF1354D506403D900B5D6555F1D57CC3A233DB5D53D848DD0DC72231DDED0002450B6102D9C7DF7DA8549BD11D26F2BFD5D02641E';
wwv_flow_imp.g_varchar2_table(19595) := '9402CB00401DF85F776B0DF742340F3EA1DF8E030E79E404195973CF6F8B6EF7E60AC15C56949D2906800C8D736E98CF3BCC2D3BED091DEE919C003C3099074EBF5E180CD71A94BB95C5A754560CC90300830C3108CFD05003118B97E2A9A7FEFB5E493C';
wwv_flow_imp.g_varchar2_table(19596) := 'A1BDF64A24F48412E03F0140F8E48F5F7EF8DD6F2F7E1247F050BA675528213FF800B0BF3EF6FF6E1977903900F4EF3F00CA618EFD0D648013122001F38717EF1C8441D2710E03190800F81CE481B68947821622410572B0831EFC20084328C21192B084';
wwv_flow_imp.g_varchar2_table(19597) := '263C210A53A8C215B2B0852E7C210C6328C319D2305870A9210E6378028314210944C821A06A80038DE88E203DEC21008A70842402F14C5512011192C044832CB1894FC2C1107707802428D18A93DA93117E38102576D18B4FAA41419260842288D18C59';
wwv_flow_imp.g_varchar2_table(19598) := 'C2E240203545688DA003811322414E20A9352A6C0BF942230D6800801D02A04A446863B33A3002008C400E080104209A3204000CC10503A9E4BC042948006CF2596F788369387205A748C502162825002A20907911D177C96A042307B248C83B2ED22D76';
wwv_flow_imp.g_varchar2_table(19599) := 'B463BDD032904E02408E4040960F2C39105CD67198B65C652601D0CA56020067C9F20B4870B9B115E8D28D746A252FA725CDAB119190D1B24A41B6F9B31330F359563967550672CEA59D6003DE7C803395254E8414D3642B804BD996A518C628A6028CB1';
wwv_flow_imp.g_varchar2_table(19600) := '269D7C2005EF0D440956F0C141138A501F1014A03F5A473C20BA0E834C74A2270280451D5AA378701400096A4E41E6310FEF3C471E261AA946B3541EEBA427A52E7D294C632AD399D2B4A636BD294E73AAD360D9E069B2EBE94FAD56B280000021F90405';
wwv_flow_imp.g_varchar2_table(19601) := '0A0000002C73001F00730146010008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2C58B185FC8C0C8B1A3C78F20438A1C49B2A4C98732589C5CC9B2A5CB970565DC10B811A64D982904064870B3A7CF9F4009B6A8799168D0A3062300';
wwv_flow_imp.g_varchar2_table(19602) := 'A0A014A9D3A750A34A8569602085A958B3628D11038051AD600174E5C0F3E901040409845D8B94EBC6AF6CB312500B20C303B402AFDEA41BB7EFD11B8003CFF4FB94680081102228AD0A80834DC684234B9E3CB2AB40B40F80363D20D0805AC808EB0DE4';
wwv_flow_imp.g_varchar2_table(19603) := '4BB9B4E9C914C80ACC0CC0C00611004470807D12018381781BD20350E6B4EFDF949B22554B0034C2DEC0932B9F0A83026B822A093A867958E13D00BBC72CDFCE1D6984040C22E4FF8E2DB0C44BCFC41190EECEBE7D50DA00C003182F70B640F84FBFB8DF';
wwv_flow_imp.g_varchar2_table(19604) := 'CF3FE48BFE0006286042B729248207B2B1B4DE800C36F8D182D279C08284263868E1855A9D355D410802E001862086F8145A08E087507422A6A822541556B8E28B300275E08407C286E087369A18E38E3C5634210B13C686E387F525D8E3914846D4E18D';
wwv_flow_imp.g_varchar2_table(19605) := 'B211795F925046A910823576481E417A0914C1038AA155A09460AE28A19322D438D08602D915E69A3C3EA7E55DC21904219B745A88C671637CA19D9E7AD6E9A788F02414280083BA034FA0F2B8F3E7A22BCA63103CF2404A28A39462784F3E9866AA8F3E';
wwv_flow_imp.g_varchar2_table(19606) := 'FB00705DA79586FAE275A2966AEAA9A8A6AAEAAAACB6EAEAABB0C6FF2AEBACB4D66AEBADB8E6AAEBAEBCF6EA500702010BC0080054E0EBB12E11ABC2082A34EBAC0AC112246C421D102B650D03E1C066120D360B4007D00A04C243C622DB1EB70C2AA184';
wwv_flow_imp.g_varchar2_table(19607) := 'B0CD2A01807E577430ADB9F48EB40A04025921D03F03E162900AC08E20AF4123584027B6F51EB58D405A006005BE00B8E0EE396BFC5290C0D616346FC2921D0100BA0E6E338A40F1C407403F02813310280309BB71CB60E2A0ADB660163160C3000C8186';
wwv_flow_imp.g_varchar2_table(19608) := '3D024D03001015652CE50B35102D19B634B864B3CD0D7A32D01AEA0C54B241120C1B3042D586A92D0AD872BD02C202AD90E2D2475A9BB542D5BEDC23B638704D99D800D4802DDCAB623C2EC130578AB00E5CBBFF8D825F2B247DEACBD686BB90C05887A9';
wwv_flow_imp.g_varchar2_table(19609) := '03007CF30D765F72174437A56AAB2D2EAADA76CD77648F038083E01CB359C3E235B42D500D7F4B36B9B9C45ACE230EA4BF30736434971E360D81AF1E7A8FB0B39D39CD9481BEA31F00DCB13BF03AC80C3BE39C23A47B8C23F754AEE2DA2EAEFCEED88B54';
wwv_flow_imp.g_varchar2_table(19610) := 'FD40D8A29EBD44D3DBD441F87ED20CFCF710B98EFEFA1155D081C1ECC75F91FBF0CB6FFFAFC5AA7FFFFED14ADBBAD0FC0B60B10448C0021A5021BBD9CD0117C8C0063AF081108CA0042748C10A5AF08218CCA00637C8C10E7AF083200CA1084748C212BE';
wwv_flow_imp.g_varchar2_table(19611) := '4A258BF39C096FD5B915E2EA7C2EB495ED1092BC1A2E4F853154D50D7348AB1BC2CE8735CC160FFF4DE5C321A2AA042840620DA2C302DB01917B03496188B4B5820DC4C9880D318F7900F0B71612445B28628814FB838315A40E8B10818D12CDE83D15B2';
wwv_flow_imp.g_varchar2_table(19612) := '0007DD3B6343C6D81D2FA2B12162DB00004AC04711ACC03C5F7B9E44E8B81DDBD9F18E4729DD2181B3484426446C272009218123381A5832708EB4082405499114C2F03481C35DEE327991159812002780E48B707749DC915293511AE52B5D25BC5972E4';
wwv_flow_imp.g_varchar2_table(19613) := '04211051206B694B9084E004910C91D878D94B46619298C54C66C24EA0C7107052996CDA40249B29905406139A6CFADB06FE884A119887036634CFDF9088CD3AD9C600B7C10B03D0699C72C6A8100521DE4088C70779CAD39D95E2173EF7C9FFCF7EFAF3';
wwv_flow_imp.g_varchar2_table(19614) := '9F00E527A93625107CE0232CFBE8D43D4805804C656A20F858E84223C20F96547420FBF8474629D28F8C6E1455FC08A948437A938AF6E3A416C9C74B4E8A3200F0A31F2F65A94C092253986645518A8A883B769AD355B5E3A740DDA94B7E0A004345EA22';
wwv_flow_imp.g_varchar2_table(19615) := '867289507B7A2883F4745287725443A47A124839EAAA92DADDA05C220F47418A1EEC600754C3B2557A2870AC811A5457D74AD586FCE3AD2F79AB5C4B883271A4833BFC82EB3F503A1095AAD4203585494B4BC88F7F84231DFFB8284814EB93999EF4A2F2';
wwv_flow_imp.g_varchar2_table(19616) := 'E0C7430FC2529B0CD6217C956061ED9AD8E5D4F4B10289EC64019B5980C2F520853D6C6795F35998F24BB4982A883E2B5B10BEFF7E5632F7602CAA4E9BD08426A4531EEDED4713FB0F71A883B817292D692FCB92D60E04B67F5D2E7369EA5C8E4CB724F9';
wwv_flow_imp.g_varchar2_table(19617) := '90C775746B10C68A9424CA1D086D05C252EEAE45B8E84DAF7A05C20F7BD8A3B8ECD0A85CE5EA51F966F4B4702D2C664F86D2EB86E4B3E64DC84C15125801F7B7A507262F7FFD1B927CC0633701666F3D469A29928A1721E135B07FC7BBE0086BA5ABEC58';
wwv_flow_imp.g_varchar2_table(19618) := 'EB3EB4DBD511CB63C4EAD5473CE6F15E71B463B5D66DAD8C674CE31A3B17C0101930656F2CDDCACE78C10CFE483E92CAD8E8BA74BE487E2BCA968CE1C166F864E42DEC5E159C0F99C6D4A5301DE9A5B2C25BE12639C9F7BDAF5C5BFC620F47C4B6369631';
wwv_flow_imp.g_varchar2_table(19619) := '797F0C64352FB9FFA666AE2D87E54CDBEBA639B03AC66E3B0275D17BE835AFEA60463DCAA18E7294831DEA608739B07CDB03371ACA6BE6C76E845A0F7A545920F4E8473EFE211AF64657AE0C9D4A61A901063664210BA63EB5AA571D0655B7FAD495D0C5';
wwv_flow_imp.g_varchar2_table(19620) := '5B5D0CE38ADCF9D6B8CEB54D1F92673A1798BABAF631863D928F3DBBF4C8E9C8065CEBF10F5A1020139EA045196E11894CBCA20C9A6E6D4C75CD8F3DAB2351F7E88739FA110E00C8351BCCE88721B2010F5A642315B6B8862B88F18FDC62C5CF8F688000';
wwv_flow_imp.g_varchar2_table(19621) := '0AC0EF01F8FBDF000FF8BF1BD006738B23BE716648B017CEF0F2E678CEE255B3AF1BBEE38697B7D8F080A96B33818472EB63D3B418C61B22010A3F44830891FFA0C51B1C55DE4A9BD5AC0B7D393D722BD2D6E6831DE50807286C718B6B78221A9988C435';
wwv_flow_imp.g_varchar2_table(19622) := 'D2C10E6494E316D9904736C2018C69886318CC88863EB1828F7F98A2010A28C0002E20F0AE07DC018F68717C8DCC518B9BFDD6098FF893DDDCE385B7DDE218CFF23FE401893300A31FF760B62BB261083FC0610CB678031A22E18517B314ACEA48873A16';
wwv_flow_imp.g_varchar2_table(19623) := 'AFF8C5333EF1896F874959FA8F6B44C213A9C886D3AE617950C06118FFF004329811727184E316E2C8C6D2119BF683E4A3A266AE794B2B7AE90B1BC4CF57CFBA02F60D70AE6FDDDFBE0738C1675D668C9CFDF88EC57143DEBCF61BD7F9F81337FB3D0CA5';
wwv_flow_imp.g_varchar2_table(19624) := '71BCC7A20FD0D8143DFE11F832FC810B28A876FF15B86000A95779EEEA30073B1AEF8EF48735ACF0C0F9FA231B537EE0231DE2A00528B2410B00BC9B12A9E07FE5900DC8F074C3600ED7200ED7800CAA170EFFF07A1321579BD650EC4510C4C52F83D559';
wwv_flow_imp.g_varchar2_table(19625) := '78577B36755AE676750E70018F70015A077CBF1770C177010210760070701A88600B06694D867C342863ADF76BC0C6636A67766F176C21357DF0B0571D250FB56008DF500F04450C1C100D86E06E91300D65E06EC3C068F7900DEC100DD7300C4EA70EAA';
wwv_flow_imp.g_varchar2_table(19626) := '670EC3900D86560ECC100EF2500F557652FFA00EE1300CB6900DC0C00C99700BAE600B9EC00CFF208781460CCF9072AE8079B62075F61611FFD00EE2F0562FF65652365FF4500EB6B07D15FF156800F00C34A54F537632FA000020B80017A008BF177C5B';
wwv_flow_imp.g_varchar2_table(19627) := '77012938706D306B7775670B5183D06783CB878350666339E87CAED8833E580F7B365FECD009D8470F48788973557573E50E2CE56770E00991508C990007AE00096300075CE0095C1009946008DDB00F8585527F3677FDC00EFD6088A2710FE5600E8328';
wwv_flow_imp.g_varchar2_table(19628) := '0FF61028FF10849C66610F5158EA100905E809E18073EED70DE6705CE6600B7E300D21760FCF900962857FE5900EFD800FE5505442D80FFAF00FB340020A30070330071730070E098AA0D8066DD0900C49915C2700A3585C888567C997603B888A22B96B';
wwv_flow_imp.g_varchar2_table(19629) := '0AD76B6BE67C3DA66003365E10D7660DC70FF560284AF60FE9A00A7D000C66FF4550E65658AF975753B68DF7A00E7EC005CF4009D3100DD59609685006A9700D55F00677300CEA302828F365E63657FDA08B150881F3C55EE8988EFF600ED9300C7EE00A';
wwv_flow_imp.g_varchar2_table(19630) := '91900AC8A07FD9E00AD5F00FD1000024E709CF300CC8280FE1B08FEC780BD1E00AAF7032F67052B8A76F0C3907027001B3600AB0A00BBA900510690AA63008A21008BA40981AB98D9C756BD4159223498369576008966632A89297D55F15175EC8079332';
wwv_flow_imp.g_varchar2_table(19631) := 'D951E4D60787500BFAB08BFB327503017B2DE5946F700B99100DB4600899F007846708B7700765500667790F9185869C365FDB28840DF55666C89C23159DAD5710E5500D9E9009E1F006EC400C941009DD700B6D790D70FFF90FA0300CCF700DB6D00FCF';
wwv_flow_imp.g_varchar2_table(19632) := '60087F800DDD000AA0200E86800CFF90691D65752420000BA00873D00059A00BB3C00981700E59300883C0096C500AB3500AA24098C3C79105698AFCA5999B797C9D9967A6585AB635A18DE6682CC999311984AA590B69800669900DFA400F977895B1E9';
wwv_flow_imp.g_varchar2_table(19633) := '8147B68799F006F05996C4680B8C10877F709D9F270FBBB1A1FFE00EEC30735F969CF58052D2F95D105158E6006F9EC0088CF006B4E00AC0990A7B6758BB490BB6600BA9000AA9D00F9A470B7BD90D73090A41F852F2650A2450002A28918A10068F3007';
wwv_flow_imp.g_varchar2_table(19634) := '8FC0988FC09F87A9088FD006025099102AA13358A13448761A9659B8466727E9762E6971A8698E73B70753FFC0A8B5B08B950629F8201AF4200F5153682DC50EE2200EE6900EE6D0A98E970EF1170E89170E84C66C27B569C4900900500DD7F056DB070F';
wwv_flow_imp.g_varchar2_table(19635) := 'D94009EE500EB4C00C9E3065235510D37964E6800CBFCA7FCF500DE2400CE2D00DD7100DEE200F6DF80CE6F00CDD000C64C80CE6400BA09A7360F80FBE280FF8097CA0E87501578205D0008F100F7BCAA7B2E8A70C07A87DEA64B946A10C07AF3E98A87B';
wwv_flow_imp.g_varchar2_table(19636) := 'C52F76D0A855500B5A190EE8667AC4907339570D6E785CFD200FEBD70E628568EB378FE9D0B0903795678832FC900DF4A0A5B74087C8700DE1000FE1100DA0700B1D5B0E0FF895B329118938A456B92F0A4653038181289350B3D0009E08AE27788204FF';
wwv_flow_imp.g_varchar2_table(19637) := '271076C5683E765B9959A8EAAA6B2E79A11C86994C867CD1C77CADD88A6FC65F21450F325958FAA00A53D0A8CA506900100EC8100DD1307AE9100E2E360C0AD891CBB99CCA598DFCA56432E56704780D7E300CB700076BC8ADB6800CDD600BFF5A88BDDA';
wwv_flow_imp.g_varchar2_table(19638) := '107E950F0B8529F81052F6A05F5BA658FD15B18FB56DF2959035FB6F5CE77B8D7B825CE70005575CC775658EB66604F6B3A7195AA76892CCE7669B697BA2CBB202861D92F252FE970BA9000CE5500FA2510EC8500DCF400C58480B02CB0CE2900AF63963';
wwv_flow_imp.g_varchar2_table(19639) := '680B6411BA8D9B960DF6E809B69009D3F00CFF500EED508CED300C5E5B6B16E1A2474A521686A4B299106F955008D90034DBBD03E0008AFFF05EEFD85EE6156447ABB93576A8FAD556A5B9611A76A83C1812F4F06004F19A39A90F4A8AACE9F00CB16B0E';
wwv_flow_imp.g_varchar2_table(19640) := '1D3BBBD9E00E137676DC070AC4080A7D68ABE9609DEC900D99400C9EC0BE8B35BD244B1185350E72E0901A7C0159F0901AFCC10B00911E9C05B3F056E1D00E9892B7E78BBE3F2663AFD5B92D095898EBA1B0B8B378169A1F31BFDB37109BA2936336737E';
wwv_flow_imp.g_varchar2_table(19641) := '76955FF5AEF08B8687F2600E5679224B0F88558EF7B0552341C1151C81FFE05EEE950F39493207150FEFC5C5F5B00EE6160FE65AC586D50EF6F07A2AFC8AAED8C2F1FA7C9FF5C299DB921BCA5C366CBEA289B926E1B454A54FDC7551533757F05BC42DCC';
wwv_flow_imp.g_varchar2_table(19642) := 'A270250EA2815FE6661252FF9CC6B2F556EFC53307E55222C533E4FBB72D2B575537BE965C763E1B6CFBD5C91ED95A701CA8763C19586C6C2D3B111B3AC334ECB91698C8CA41C6EE55B20281BF144C107E46AA9E32C567B6C61F395DF5555FAFD8AE9407';
wwv_flow_imp.g_varchar2_table(19643) := '00123C71AB58CA4FC10FF70056504CCB16B1B3133ACD845A102AC5CB92E1C8EF4551B399CBC74573318699D52C10C17CBD21A9C6C57CCCC35C92CAEC14CC4C0FA8CCABC647C79FBB5CDDB5ABBE3166DB4C11DE7C6C1D81AEE30C00E5DC64C48C86EC1CC3';
wwv_flow_imp.g_varchar2_table(19644) := '01BD12D8FC10589C5422619A3168CFF2BCD092F15EE60C11DE0CBDD10CBA086D1003ADC6ED5BCCC9DCCE264BD10981CF16CCB759356C26796627FD5D0965D294215911FFDDAEAEF70F56B85A242DD0172D6CBDDCD2EC1CB40F81642C4A59B1096C478D10';
wwv_flow_imp.g_varchar2_table(19645) := '79B5105D09CB2DDAD416E8A2045169D708D582EC9151ADB24BADB23C8DC8B68614A5755A9427D58D0CC8B575B562F5144946C5068D643BAD104015D745C5533C25108712D7789DD70000547B9DD7787DC480FDCC0321D87DEDD7EDB0D77B4DD78ABDD88A';
wwv_flow_imp.g_varchar2_table(19646) := '2D108D3D290271D84455D8875DD816A1284DC5118C5D11990D11846D10ED80538C1DD742551081EDD784F2D9A93D28A8DDD90BF1D898BDDAAA8D105765CCB65DDBB53DD8062155698556BE2DD8BD1DDCBF0D559152DCAA2DDC4D25DCB87DDBCCBDDCB99D';
wwv_flow_imp.g_varchar2_table(19647) := '564735D84705DDC16DDCD60D29D87DDDC50D16A5FD2845FF55549DBD54753DD74F25DB814D108BAD108CBDD90731DEAFEDD7981D28740D120E9529D76156AE5B0F79A7DF12D5DFA10600F9EDDF9EE2DF02EE100C251ADD58DF0AEE50A492DF0EEEE0F650';
wwv_flow_imp.g_varchar2_table(19648) := '0F11FEE0088E692F67E10974E1177E110BE5BA172173207E5609E1E105F1DFAE8BDF0B65503C13E111C5B72A5EE108AEDF143EE31E1EE30F2E10349EE39D7610F90DE00E11E2F87DE232D7600A5EE212A510345E12FE2D1A0B9E77044EE006615006C510';
wwv_flow_imp.g_varchar2_table(19649) := '0FAE8BF91DE427BEE315812913F5E1402EE2A1D1E51031A9521E5112A5E203FEE4057E7B6ADEE66E7EE4D601E70B91E3383EE42E51DF02A1E6692EE6B8ECE612E15006C1E06A0EE80841D16FEEE412FFA5DF48910FFC2DE0FF0DE00EBE6565F758804E7B';
wwv_flow_imp.g_varchar2_table(19650) := '0B5EE4AE77E99A8EE71081E97F3ED53D3EC1D1F9142B6EC5A66EEAED75EA56EC950D751D0F65619B82D2B3A958870EE7B195E93CCC127A7E10FD5DCB2BAA10B74E8104E1E9A325EC0DC5AE02B1E9CA1EEC0E51DF920EEC93C5EC24AEE50A310F38AEE524';
wwv_flow_imp.g_varchar2_table(19651) := '2E10F3B0EDDCCE10D63E10DFBEEDE01E115C0C00AA7EEEE8CE330661ED11BEE20ECEEDDF8E1D38EEE3125EEFED4EED0351A95755A9C669DB765EE2D8C1EF953A7304DFCC065FF09836EF0C21E2DA65CC03AFCE8E02E60C91DB31EE293307E96635351461';
wwv_flow_imp.g_varchar2_table(19652) := 'B53EBE1B2E07E2D70EE30701F20521F11271E314648D19E40A23C3F200E00A00103D04FF310AA0103DAF3032377FF32363F30070F33D3F0A390F00AB700BB8700BFD0200FE92F446BFF400C0F4B730F4450FF5BF800B16633102810B6EFB0A599A10AED0';
wwv_flow_imp.g_varchar2_table(19653) := 'F55EDFF57D397AC42010630F000168103B070C530800C0900A6EDF10540A00A10000061C0A4E63F72C6313B12010C02010C3400C6C3810B4B0F7FDF711599A0BB190F7740F00859F105ADFF300600B0321F90441F913610B304F0B7DC9F8AE10A59CDFF8';
wwv_flow_imp.g_varchar2_table(19654) := '07C173C330FA6EBBF61E513500200110B31010A0FAA89FFA1210FBB2BF10862310CE0202CD6201B70F002AA0FB2A7037977331E1A2022DC0FB4000038D41011BA0FC12A0FC57E1FC1BB0011210FD1BE0012860FDD62F102840011AFFC0FD0FA00103914B';
wwv_flow_imp.g_varchar2_table(19655) := '04A101DF5FFEE47FFEDE7FFE5FB220D501131AC0023A80223CD00300C0022F101DF77F11E00F0018C01A001102C04006030DF2806110400C003B6EEC70E8F006801B362A5EDC6103808D8C3B1A5EB41812E4C385304C0C4C7852E14A961E4CC080912266';
wwv_flow_imp.g_varchar2_table(19656) := '4C96356D0218D101E7409D007A8E18087460859B062748200A0280D2112A80AA7001C029D49D525DA81802C00590A80387A8009035AC8B2164C5962DCB95AB4220405ADC984891628C1B3CE8C6D5C112860E182FFAE605C0E2058B813A08A36081F8850E';
wwv_flow_imp.g_varchar2_table(19657) := 'C6001A376661382FE1151B063E18A82182420D212CD778311007001C286A14458D9A070F833D900C34925A36CB1528FF00E75D9119435C00B15327991D7CE58FD84556FAB66904C8C01F3B7E34270200CE3FE1B275E65CAA134405A5032710552861A078';
wwv_flow_imp.g_varchar2_table(19658) := '831D545C9FFA54A8D0A857DD5FD54AD5607BB25DC902C96A5C6B11203B12F27D21C0000108CDA0BD58E28B408342638130004E5BA906C27458EC051C2C340885811A0440C3CA42D080250D2C3B4104006AAB0185D172AB2E38261C5B8207245C6B6D8916';
wwv_flow_imp.g_varchar2_table(19659) := '5163B1439642786DA0228C48A28823842472C8208F2C024925936472C9256F3428238D7658CE208EA004AA279EB6F4A9BC9CB0B349CB090C22AA033083A34FAB118062733EADDEAC0FADE58CE30F8803014C28A1D016DBABCF95F8CA6B31C21C2CADC3DA';
wwv_flow_imp.g_varchar2_table(19660) := '3A3C0DFF071C6A901042C246DBD0C11558DCE0C30D04B2495108A12C2A3708F3626287257A000089257AE494A54D6D2A68A5E8627B3548008E0020C95A81B335575C77BDB5572651AB1208FD6CA272B92A393593A59EB42C8AD9300D3AB3BAAED864B33D';
wwv_flow_imp.g_varchar2_table(19661) := '3707EACAABAD0058CEBF02010C2DD09A005BACB0707160A15148074A31B0070D2A6DD1741BBC1051DA4CCBCDB49A6A405734E1345CB5A615127D9187516D648DB5190732B507D6841BD820081765C932208948C288243306EE08597DE475A0237DE555D7';
wwv_flow_imp.g_varchar2_table(19662) := '5E8BD2682022BA6589CA815C8632593397E5124BA1B8134A4B9ACBAB4EA83715724F3EADB8322EE5D04E0A57A10051383A2F950CA2905DD3D255E8FF34800B230D30C7E0258D6B07DD7D504396BECE50EA762314FBC181D7AE21629B0C361800854FB591';
wwv_flow_imp.g_varchar2_table(19663) := 'D4D71A4BCDD31C735C29C49A7015B9495B0D12DCC9C299446E588352300888940188AEA11628B2C1718FB86D08599F6BDA1C59002A18A1BB54159AD92015845E49ACB0B422D5341D206434AF1AB46617EB051D9BFD267D511C77DDBC70000C52DA5F87F4';
wwv_flow_imp.g_varchar2_table(19664) := '34B27554BB6DD8935FC9EDEA98483846B94D7D4D46DB3B9578051A0CA2E184953E68B528268D1C7CD75FC99F3557F265A5F526861C875C718606AA32F2D1BBF4D902A946EF5CF4EA66FE92B350D394A058657F71314DDA1ED418E0F94B43E562C9688EC7';
wwv_flow_imp.g_varchar2_table(19665) := '2E08B1E8750A194DF07EB7927561F0FF2690725EED44C3AFFBE980093DB0110062543D535D6E091D549542F836101A68CF20DEAB89E0DA071C9029CE20431A0810EF5739CCDDE47130E354E706A2BF548D604C2B51626AAEB3B39A98C902040416022F68';
wwv_flow_imp.g_varchar2_table(19666) := '1B7635906B5AFB568652C42F46C1F0415F5B950E14E5182F624D8DB4839A19DFC5B59BC0F14172AC09134085041D2CC1464C4015123CC2830BDE2447DB13214B4E9001F1A52F88B51219003EE62385D0CA87D569410B3C7249FAADE4729E8B83427E018A';
wwv_flow_imp.g_varchar2_table(19667) := 'AA94323839D8C6382A01806DA4CA3CC261224E04682044694881FBB21D1849731A09050642FABA090903B635A8FD8998C1E1654D3238C70EE1F126D0CB8B47F24237533D6C36B9FFB16170F42324960CEE56C3A255387F982A0F28C47E35F9C15C9E363A';
wwv_flow_imp.g_varchar2_table(19668) := '59AC2418F7B307009430102D0060022E98E54D40B01D7E828728FA8B25A75894A34F39938369331E336D429844313378748494419B570344A26634122D0A0F42A55115B22654A77A911D6D324CD958F263B4E2219D66D54D968EAE4A9CA4A5413830BA52';
wwv_flow_imp.g_varchar2_table(19669) := '24432192B8C5FD6C528164CDE60AF5BC511459729204BE6B82E32A4C421432289D225521222DCAC4DE06D5D99C66352FEAE8A94AB55128651335C809A2FA2AB9922159F29C2B432BB7D00A84B5DECF0314804053A3010055346374CA908D506DB28581F0';
wwv_flow_imp.g_varchar2_table(19670) := '150058500816CCB0852180876745194181CA76B65BC2702F71011EFFA36ED9547F51D683C6BC5F8C4E0598E558732058C5680DEFA7D246EAE79C96AD0907C4B381B872AA9DA885AD5FCD0080C17EC1205FF02B4BF46A9075A2E0502B99ECF522549AB6E1';
wwv_flow_imp.g_varchar2_table(19671) := '0BB5C05B636A1C741AB6A586AA165548484F18AAE97AF436B0251CAE506A93220CCB87A7C5EE403CC081F14A60A612104102EE309BCDE18225BF08AF7092B10A34B07220AB00402394414A00B87774B5C9D7893CE4DBA216F5B90629416E4CC429741177';
wwv_flow_imp.g_varchar2_table(19672) := '5E952DCAD4D85502E1D8086FEE3AF09F96D047AD11D231588DEF4DC4891AF08658A64D95052E5E6B9061FCC2BFB0ED296AE0D022300550380B1698876E1718E0A54B5F22580185478751D4D85286B3D18187A1FFB4AE82416FC321150E096768622A0B67';
wwv_flow_imp.g_varchar2_table(19673) := 'BDD5C1C53B5962D32A1785CB0691C63C0D62D335A021074A8971957D7C47605AF66C6743E6AA5884C3670E24851B829255ED4CC80D6FD8B3C199324B1207C92E17BA8A2CB9C21814120943DF841A7805C02BC0B1D721E43338745EC909367082135406B8';
wwv_flow_imp.g_varchar2_table(19674) := '090D6EA317DA35DF76B978278214F4B09A619D6ED3202516758BE0D08FBCA2C60A5288356A4631904478A21289680450EF372900747A209DDE34A64E10024FA30898A50EAFA7AAB3C6453157C885664109AC2A3D261059626A13CEC5720D5B5ADF880B00';
wwv_flow_imp.g_varchar2_table(19675) := '284319C62D9B7A6A81AF57C86D96767B134E57CC7B96F18CA643A06901F3CE209639D1B1035D68FF79E1B906D7460DABA1F66776D950A31EF52C478B82031A2473DD17178E14BEE086FA62BC284AC801C8459E03B014F04624BAD4A651E3BD81171B0095';
wwv_flow_imp.g_varchar2_table(19676) := 'F238B5C9581D857F10072540640970203D83544F6E85B1230EB019F010AE44A91EBFDF1DA803252B00C00B48AF89616F6269E178065300F0CC4000FE724CAF44E54807CCCC155A6814705AC8367ACDA854684250411DE94BBFD12BDC3EEEAD17E5EA7397';
wwv_flow_imp.g_varchar2_table(19677) := '0DA390371B6F0727C10010422051082A25E3DDF087473C672A96EFAC27DEE3A749B08928532A836CF6CE8EC77CE6C7ED377A335BF386CFB6085860CD83814A8D63FF7CEA555FE57D2BA4F5AB9F3B0A8F097BDAD7DED0216024BE332090DCDBFFBECA5AF5';
wwv_flow_imp.g_varchar2_table(19678) := '33BB6A285ADF17DFF89CCA40675692FCE353997A06D3DAF05BDE7CEA575F44D62F748CA23F7DEC77DFFBDFA76C03650F61F097DFFCE7BFD1A9693729CB781AFDEF877FFC6FA0769EC788E1F1C77FFECD1F8E72E8DFFFFFFF3E7930887B18087A00C00344';
wwv_flow_imp.g_varchar2_table(19679) := 'C0EA23C00464C00684BD7D00000874C009A4C00AB4C00BC4C00CD4C00DE4C00EF4C00F04C11014C11124C11234C11344C11454C11564C11674C11784C118FC4002500802080019C4C11CD4C11D343C1AE4C11FD4BF1BB4411F04C222EC3E2234C224A43E';
wwv_flow_imp.g_varchar2_table(19680) := 'CC18881B04002454C22894C2292CB40D98A90A1C422AE4C02B64C06F601C9670422D14C3C46BAD261C430CACBB13A340283C43FF04B4C299E2420B64C33604400E88C381B843009C433AAC40F2E2001329A78110813FCC433E34C4F8E2423F14010F1844';
wwv_flow_imp.g_varchar2_table(19681) := '99C2B1423CC448C4AE455C4416604483182F1C53880CA00049F4C4982227D1130113B0444DFCC381C88099A2800C60C24F74C554B1C40962C4460480055B4500E044008800CC40800840805704C6EA10BD40BCC440448D04089F608C42BA80AD4131C641';
wwv_flow_imp.g_varchar2_table(19682) := '5C305B043826F4C5640C4365C44683A0C45A2CA74554C38158C55B1C885FCCC67254081460C45204004284C6539CA90D10C704A8C61A34476534014D948D4E540864244783B8C67A8CC17BB42C6F844368144448D4C59AD843806CC175A2AC452C0142B4';
wwv_flow_imp.g_varchar2_table(19683) := '890DE0C40860A4FF04B0091B6448193CBA8734913F644476DC440E60C581F0450048C68158C88DE4432B7C39D4E8C55E1C4702380096C44688E8811D2015D470487CB4C99F448DFE03CAA13408031C0802BC07019440A2B4497A90070294877D784A0080';
wwv_flow_imp.g_varchar2_table(19684) := 'CAA4644A9B5CC0ABD4CAADE4CAE0C8877CE8CAB014CBB124CBB234CBB344CBB454CBB564CBB674CBB784CBB894CBB9A4CBBAB4CBBBC4CBBCD4CBBD3CBE24E3CBBF04CCC014CCC124CCC234CCC3444CFFF3C9C4C4414662CCEA83008C54081B10821D1002';
wwv_flow_imp.g_varchar2_table(19685) := '1BD8C99CCC49519B8CC7C43EC96C8D97D1499D5C37AD618CE4F24CD5B38009584D851082C9A9092100809DCC354222A417B0CDDB41B8D44C3CD69CCC4F3288FF1FC8498FA0CD58CB201CB8CD87B93FDE743BDF34887EDCCC97C94CB7C38114D09AA37B01';
wwv_flow_imp.g_varchar2_table(19686) := 'D9644EBC6B4D00800072CCC987E00DA8A3101EC00121C00119304D19909BE5DCCE718BCC9A9081CD044EA8CB0013B9AE027918C57A4FC7B3088AA84FBCE30119989F88938101ED81F1EC4F8F0BC48A0850C373C805CDBC277A19095D417D5489F9B15017';
wwv_flow_imp.g_varchar2_table(19687) := '54822A508227F8507902D127480212DDD0123487723087134DC17930CA9B98071695D119A5D11AB5D11BC5D11CD5D11DE5D11EF5D11F05D22015D22125D22235D22345D22455D22565D22675D22785D2289552EFBBA829FDBFD120292BEDBEB6F9362D45';
wwv_flow_imp.g_varchar2_table(19688) := 'BFB6213E2F3DBFE10B3831453FEE3353EF0BD3FF3435BF6C425336A5B25E82AD8AE21BF783D358638149D11081282A28C1A1EE21B63BC5B8007BB98191B0AEEA3A41BD38987B97DFFA2FEFC1A110D88C0CA4199DA03ABB94A0D1D9B4AD8B00D0F4C068B9';
wwv_flow_imp.g_varchar2_table(19689) := 'CB4DB990BEA3374CEBC70AF4A7A15055C0BC14417C5315F48181B0021FC0B581F0815935885BD5D5596D3AB82C5100A08227A0022074879588077838D6636589751808645D07655556008887674556641D8867254A01840779D8D61D7451A78C0779704A';
wwv_flow_imp.g_varchar2_table(19690) := 'A98C07692D4A025CCA7870CA752540751D0801345700A0877BA0877D7057A014401705C27BD8077EDD877EE557A4EC570814D880854009E4D7A3A44A792DC08565CA188D077BE5C1AFFCD7338AAD58CA3A58AE2C577BB0877D8827A0E487901559A05C4A';
wwv_flow_imp.g_varchar2_table(19691) := '4535D99345D99455D99565D99615D31FE008986D0E98CD88B00C080021F904050A0000002CB3008F002D01A2000008FF0001081C48B0A0407A00102234C8B0A1C387F71E4A9C48B1A2C58B0FED61DC28701F008F1C438A1C49B2A4C37C14FF995C49921F';
wwv_flow_imp.g_varchar2_table(19692) := '3F002F57DA7B4953604C96F80CBA74D9AF674F9640830AAD980FE5C0A203F969CCC92F9FBEA750EF451418712A00A958B13ACC2AB5E4BE7D52F189BD6A156441B31F01A854A9566DBF9D398BCA75AA0FADCB9C02EBE9D35B4FA0510063077EDDD794ECDF';
wwv_flow_imp.g_varchar2_table(19693) := 'A700F40D5D8C71A763C71E3DDEBC3899653E7CFA2EE77359943357AC8A9BCAFD3AB7B4E8C1A853ABFEFA9473D39745F7FD9BFDCFE35AB5B269CB462DB51EBE7A28FBE9BB57EF9E58970C1517543EF0A7BD7E787796ACCC1828BCEBD8B35F07008FBBF6EF';
wwv_flow_imp.g_varchar2_table(19694) := 'E0B573FF17D83DBCF9ED00DAD5FB47AF1EBD7CF2E4E17B3BAF3D3DFBF4E4499D37AF9E7FFFEDFD27A080F4DC53E081062678203D60DD131F3CF240082100F2FDC34F7EF165A8E1861ADEB38F5C4FED238F3BFA39889E45EDA4D80E41EEB8939E8AD5C548';
wwv_flow_imp.g_varchar2_table(19695) := 'D27D34D6781F8538CA93E38E3AF6C8E38F360629E442EEFC13C90F5E585145154A546185174E26B1A492522C59A51468A0E186965C76B9A5975C6E2966986196E1C5185524918411491C51449B4928E10517575609651555E2A9A79D55CC394619808EF1';
wwv_flow_imp.g_varchar2_table(19696) := '0594527AA1842B00B82361848C2EEA68A38D761721843EEA28E3A598666A1300650490000108189000040918600001A7A66AAAA9082400C3ABB0C6FF0AEB0B26C82AEB0B29E0AA6BAE30C42082071B50F040AB0F3C9080B1C322A0ECAAA1328040040F44';
wwv_flow_imp.g_varchar2_table(19697) := '100103D422E0EC031B70C081071EA0C0C106D19E1A4019FDC0D30F4B6BB165D2B99AB6EB6E41F4FCF30601A48E4A0104F8D69BC0BEFCF24B011040102130113FFC6044C106FFB003C0021B4C30C210474C440CAFCA00C30314684BC1C6C2169B80B30C24';
wwv_flow_imp.g_varchar2_table(19698) := '002DB6DE6EA0C10327178B42AD26BC00830D3BDC80C2B01420700777D489E4934FEFF63C12BB1401BD52BC6F0460ECB1C53E00C1D1A2B6DA6AC8063C5004C000471C31D540180104C23BECA070D7107B0D830929DC1043B11A6F8CACB3A6524BED031C98';
wwv_flow_imp.g_varchar2_table(19699) := 'F0AD061A60F0F1032B9BA0B70931F4FFCD41B135BFF10F3C3987B4F34F3E27AEF845447BBAAFD29093EAF4BEA2560E01D50B73ED35D83F601DB6C2A0772DBAD8B5F60D38C7C53ECD00AB1F1FBB810926D3FD000368EB8D8207B59AFD37C606DC3178E10E';
wwv_flow_imp.g_varchar2_table(19700) := '216ED0E1422F6EFCCFC59B142F1A8E23BDB4041BF42BAAF4102CECF9E75E03BCF0F6058B1EFAE831BF6A830CA7674081061120307BA96DDFBD010A1B804B3BED709BD02DEE30DC708307C25260001CFD90C74B76163C00100F71074CDEF11658119E2990';
wwv_flow_imp.g_varchar2_table(19701) := '2042E3594396D7BCA4B9CA04FD921EBF54008485D9A06A5BEB60F7BEF6830F7ED07ADBEBA00D56083316EEC006A4D2C0F94EE62C68AD0E55D6729D084C16B290A10D77DCF2C00BFF5668027CF90F0E00A8C70013C844021AB0895044E0B984C7C09E39F0';
wwv_flow_imp.g_varchar2_table(19702) := '2150D4090533782C6E290D0212D057BF40D0410E662E84D7DB9A09B1D6C1367ED08C405861C13C20320D84E0031870DBEC5857AC0C6CA00419981DB590B6010F6C6B5B2968810D522001DEF9EE1E4B8CA2240F57C54A5AE48ACD8160160D42C107980A54';
wwv_flow_imp.g_varchar2_table(19703) := '0920D6B1C228012E2600041E84231A3DC746366E6F071CA41ACC3247C708D02D041AA016B4426500F529CD8F3B94560E01B7AD209AC0062D304123037795484EF299968CA64430E9C0294A125EFFE8D4B1E050840010C00445B041105B20467E49208E6D';
wwv_flow_imp.g_varchar2_table(19704) := '04422C5B594245B6527BF074631C4BE88167D18D6EBA9C96A99046FF01606E405A8384D6C6B4C52D13B42099CBFCDF559EF8CC864AF3A10CB922F118DA4403629379014003306C418100BC211D9E28C31F92300A0F10805F2725C03955B0C67782B073AD';
wwv_flow_imp.g_varchar2_table(19705) := 'F4601B652A429871A05514F840DD18202D7DF6127019E0000B4A00509E0A3463C5245B3285050104080E920DCD2225214A558A5A94920E15C85BD4C2BC0478420A91605E1252F10A43444209C90081A824C056B68240094388931294508475AA80082F75';
wwv_flow_imp.g_varchar2_table(19706) := '294D0166420FDA008308C869DD7AEA535FF67303432DEADD308654DC2552994A532854A30ACDAA52B59A58ADEC132928825B78C110F34A422652710B2E24A11B15088004AE60052558E10A5778031CE0F08637FFA0410A2E85A95ED1C9DB0FC69188A114';
wwv_flow_imp.g_varchar2_table(19707) := '2C06A495C7D5FD145A7E440151A7C553C3666C02DC4A24FFF0E5D47F2891B29AB5AC34A989DD9FF8848230B0851F22E1070258E116A918C6150C718B161800045CB0426B5D8B86327CC1B66850426E57E95213AEB1858BFC18057039DC9E1AD7972843EC';
wwv_flow_imp.g_varchar2_table(19708) := '7203AABE7B35360529F080110D20387E747792DADDEE541348D18A1AF042F20A80158011094ADC020165A04525D0608537784009D06D311CCC800633BCA11191F8835971BBDF828590854006F2E8567831060C38030546DF817BFA800CB02004450D9940';
wwv_flow_imp.g_varchar2_table(19709) := '21B0B1E8DA0F5F12A0B05B2EBCC90C47D3A198752243E3E5867155030D9170C5030C790361D16BFF5412F8C2282A018A5B24C313D97845350CD108FDF6B8602B3CA8A01509614582EF85FDC325FA0ACC3603F430027FE440067499C38C2D2D63B833C104';
wwv_flow_imp.g_varchar2_table(19710) := '00E754B5FC83CB1EF6B22527CA44AD66B639DFFD07F3DE708D3178C216A7E300BE46B52F388CE20B49C07325AAF1077178C20F7E7E67E7001DC757FE76852F0CF40D5A28ACD8A1CFC0CCB216A44B70822837585B54DE96FD3CA03409747A36A026A09845';
wwv_flow_imp.g_varchar2_table(19711) := '5D45AC765882543435BBFAF1693207E00EC8E04224389AED301AAB5E8D60061CAE308A6EC0E1167FE8C62F1891049756CDC7BA75654D219CC86543200203A65B04188D001C2A8B011B10010772592DDA51406E03D576233146803700A627E0FF0EF7B8C9';
wwv_flow_imp.g_varchar2_table(19712) := 'BD407373F889EA1677AA9937064854610CA070F0C64835BD04F01914A04805280CF18A3F08BD12C166E3B0F91BCF17B6A0E14F6F810C5658B3193E1BA0ABEAA5B532208213448BB9B42BA4ACABCCADDD41C0A3F0998FCAAD996E961B8FCBE7662888CB3C';
wwv_flow_imp.g_varchar2_table(19713) := '863E00C10B9948C0EBB845010980C0036154C215E23B5734C0010DB2854315FEBCF4778E4FEAC82E21CC3C1035BA25795ABCD43A03342082123C5B8F85E4D840A7ABB48CD6C31DF758FB44DDDEF2CC1EF0DCA57E0B0575E0872958610C01F88192AAE001';
wwv_flow_imp.g_varchar2_table(19714) := '20D8D60A1028025C9590042B70E10B88470317C20964AA0DFBF9ECF4A0E882BC8314B4EA9E3C1DAE7159B5F51D6620CAD83224FF633990B1919FFD0D114ABDEAA7CAFAC58119C330A1E006FA50052E2821003BE04215BE70830458E10BC007021B502F10';
wwv_flow_imp.g_varchar2_table(19715) := 'E0018AD4023710753020684B9770C9C646BE05640828472D303BF744588DA67508C07980E4366F4301FCC358D9266BA39251FAE00E6AA7721DD67EAD3745311766A106629DC2002265059E64058677075700037FD05A201046FD02018AA4023BD0023000';
wwv_flow_imp.g_varchar2_table(19716) := '023160842DF04268244E1E3004309002981347079502311064716402B3F300B8445C7BA481D6F200258002DF572DCF825446A434B2963468070F29B87E12C4828A1387B0175507A16A01600010100965602C4A300645500530500671800643A041FB8235';
wwv_flow_imp.g_varchar2_table(19717) := 'C8B442E8C48455FF0302A4424610A8023150682CC4573FA085D06232D2A264A1A22CA028862C5086D67286E4972FFB923148D386EA07877428875614874EC461EC6713F1A24DAC532A054847195439FDC241BEC530443035BC4504363001A5744E588342';
wwv_flow_imp.g_varchar2_table(19718) := '7C956C40160314B079E73371D1C236A07837250048985769A7A8348F732FC7E251FC000FADB87ADE456A51048B89238B5A353CED18739C8487A0383909407EA5D28B19D402EAC44678B535FA18308C544A42188C71448440A6024A88802D503317684B85';
wwv_flow_imp.g_varchar2_table(19719) := 'A52CA1248A65E82C6718824B1301C7222C252838E4686E2BC87E5DA68EEE326E0F8411B71800F3488F47134A94B32F27B52FEB746CB2F4413F400445045D12FF704C53C84213884C82760329E03FD042580F79710F20022230916198310E462A11808A0F';
wwv_flow_imp.g_varchar2_table(19720) := '100070F00FF2F01C9F263C40139232579222C918B59849210162CCF3895AB72FAD624A5C84422D803B07E55F0543043F68027F27898A18643E795009382C46D5896ED34BCE723728408660B789A7D831F6726F01E00714520F5F391159F9725D99298D69';
wwv_flow_imp.g_varchar2_table(19721) := '51617992CBF28967F938F9C256F5323DB1E4023BE001477803DB63036F990213D00208F94178D58FCEE7578B680337B00135D4539EF89721732C289094CC152D18738A4B632C3B178E8A290F8C39990D84499179115C999C6DD7125B348F5CA491F9524E';
wwv_flow_imp.g_varchar2_table(19722) := '30E00253683D7CC5307F07308A649730536CE0FF79031CF0319BE79B60F73477A32DB9F43123C394F8822CF1592C894921CAF18A18B17ACB1934EF68382BA73C21B6928FA3779A492AA4524AFCF20012F002409004025304C318A1102A301DA49D541393';
wwv_flow_imp.g_varchar2_table(19723) := '3EA63D5C2333BEA971B1F30018B085C8023829832D3B942DE4B77354267A04509CFAF09C1BA19FF9D99C19A62E22411B0261A33F730FD914003EFAA33F8A0040EA4D443AA427956920B0377FC7327B13444EFAA450EAA4F618A40870000460A5453AA443';
wwv_flow_imp.g_varchar2_table(19724) := 'EA6859272E3E4A00A8822AEFB6506D5112E9B29F2CD11D15D1228AD22289E2A62E121229520FAE80067FE0077EF0077ABAA779AAA771E0A77BBAA78630A89150A8867AA8886AA83816098BFF8A638C60568C7AA89450628680087E80087F8008967AA99A';
wwv_flow_imp.g_varchar2_table(19725) := '7AA9997AA7996A08783AAAA3AAA786A063A82AAA77006F60A1236CCAA618F1AADEE110B22A11718AA6165129D6E10EF1421BBEFAABC01AAC57493CC0CA6EC2EAABF670ACC57A38CADA13B9A1ACB4E120FA1121DEF11DD5AAA606611E1581ADB83A12FE61';
wwv_flow_imp.g_varchar2_table(19726) := '1540610FF8C0210F2221D8C121EB101FF1C021F9B1AEF181211A8221F1000FF4000FF32A0FEB701D3E421019921DE4DA23001B29FA4A29F64A2993A2AF0080141A610FFEE1177F911117911554D1AD2451159F41A62321161ABBB1FCA0B1C6610F201BB2';
wwv_flow_imp.g_varchar2_table(19727) := 'E2BA1972E11845810F9701B2F8D0B18F810F220BB2FC410FFD711C243B17C4FF3110FFB11750B1B37A9144374B15F710B2F5110FED711405B1B1473B118141B18A23B12DF1183B71383C01B53C0145376161C4D3B11BABB120EB1B2B4BB52F411CC5B1B3';
wwv_flow_imp.g_varchar2_table(19728) := '64CBB3C32110502116223B0F1AA11336F1168E7149702B1D4C5B11C093B1E0BA11501B1A58DB13534BB559FB13581BB5551BB706910FFE81B2894110C891B088DB17CB51B68851B6A541162B51B68D5BB703D11518CB106D5B10F330120B5B0F0C4B1003';
wwv_flow_imp.g_varchar2_table(19729) := 'F21F0CD117AA9B10AC9B44A89B105C711500321155B11011410F8A511507C1BA0B211096422309A110355229F99110FBDABB06D2B93FE2BB907B10F28010C92B11F4100F49142336D2BAEF72BD9A5B12EBE661305A1090FFB9BDE20B14AF100B05E10AAE';
wwv_flow_imp.g_varchar2_table(19730) := '400BE8ABBEE83B0AE8FBBEE5EB0AB1700B00400CC40000C3300C885211E6EB0902110AFE0BC00000C0A10000FE3B11C3700BB7400B00900A0EFCC0101CC10EDCC0132C10C23010C4300CB660BEB160BEE3BB12E91BC2EA6B0BD2B40100B0011270C20311';
wwv_flow_imp.g_varchar2_table(19731) := '3F2C8CC22DECC214102C1AF03E00C00100B09B2793C32833101A000032D4C30271000E41000100000440111C8002276CC24C0CC43FBC3103F1017724C51F00002130103100003C00002FC0022F1099CB16C6B239C662BC122600007BA337A25949664310';
wwv_flow_imp.g_varchar2_table(19732) := '3A70033000003A201037C003316036766C36FAF3C6591CC72FA0032F10C802810303B1C50301C8814CC85FFF5C111B70C52CC0020231C73550034A8C023880023A90C93AC0039BACC99C6CC79C1C039EDCC9736C103D80040381CA1F5C12012310786504';
wwv_flow_imp.g_varchar2_table(19733) := '78154D710C00B3ECC687BCC871AC033090C9BB3CC7920C005E8C0235F0023840CC92FC02350000847CC904B1012B60470671C502B1028159032B5003903CC8D30C00C9CCCC93CCCDDF1C9896FCCD935CCE0DC1034B20104BD003EBBCCA1C314B402010F1';
wwv_flow_imp.g_varchar2_table(19734) := '1CCF5E53495FFCC7BB7CC8B45CCABB0C03F8CCCB800CC891CCC5CA8CCC378C03C97CC33A8003BE4CC8943C104A6CC500B002D23C10D7BC020391D016CDCD1C7DCD1C6DCEC91CCCE53CD21C6D10374010ECECCE21B13000D04155F5C75FECC70521D067FF';
wwv_flow_imp.g_varchar2_table(19735) := '3CCB7F8CC9C8AC03C2ACC4944CC938F0D398DCCDD88CD098ACCC11BDCDC24CCD10FDD0D8ACCC2C40C8254D10C99CD0530DCE959CD41F9DD50581CE86ACCE3BB0044890CE2A4D115DD34602F1030080D61E5045503DD0BE1CC930AD03676C023AEDCB981C';
wwv_flow_imp.g_varchar2_table(19736) := 'D1773DCC37ACCCDADCD7039DD10E91D06D1DD5196DCD1FADD3D69CD0181DD1898DD1DB3CD103C1D04C4010E81CD661BD0300A0CA5A3CD8634D1065BD3D696D493F2DC76D5DC90271CFA5ACD0096DDA72BC024A8D028B7DC8509DDA7C3DDB0C8103908CDB';
wwv_flow_imp.g_varchar2_table(19737) := '08BDDB3580DB1A3DD1860DDBC04D108EEDD80E41030CB10473ACDC4BC003962DD61B61D89D5D4535A003BD3DD3722CC78B4CD0917CCDD6FF3DC9B02DDC80ADCC83BDD0D86D100CCDD014F1DBDACCD991FDD81681034CC0034CA0CA4CF0D5993D12C80DD9';
wwv_flow_imp.g_varchar2_table(19738) := 'C8BD0234E0DF0251D12C88D95AB33596D4CD0B9DE00C9DCC715D10771DC9412D10C2BCD7477DD4E6ADCF0D91DE05A1DEE81DDD1691D04C40C85BBC03F70D00ECDCD5D07D118EBDDF0CE179CB79D254E5D0E31DD3D98DD81F7DD47B0DD1B51DD1EE9DE183';
wwv_flow_imp.g_varchar2_table(19739) := '7CE11261DC13E1DED57DD4420EDF02D10300A0DC0050E2999DE2154103577CE4FBC9D2B45C551CDE10020DCE3A7DC3E04D1047CDDB6DCDDE15D1E30C91D80C31D90C41DB0391CD02C1DE84CCDC738CD9A9DCD514C1E20080E7FB09E32BCC82F92CC7C2DC';
wwv_flow_imp.g_varchar2_table(19740) := 'D395CCD47BADDBBD7DE81BFF81D02B91E5EB2DE193ACE8E4AD034C4EDF48C0044000E5D3DD7EEC4DE6D94DDA6D1DDB374CE52B31C7768E11903E10F31DD81DDE104CD0035BCCD548C0D56ADEE96C9EE95425EA857CE68E8EE3E1FDD02BC103A5BE11A59C';
wwv_flow_imp.g_varchar2_table(19741) := 'EA23F1DBE83C10CCDDEABE4CDFB6DE7E18CD029CEEE0C9ECD84ABCD8182D02D2D4D5AFDED6CBBC11F4BDC54A2ED64C30ECCDCE722540EDBDADDEC5FCD3D08ED1D7CE7ADF2E12551DC94B30DFCADDC9E35EEE2289CDDDBCD338EE76A56CE7D16E11923EEB';
wwv_flow_imp.g_varchar2_table(19742) := 'C4AEEFB028DCC26CE69A32EBC6F3CB0471F09B3CEE93AD0393CDF0086F59BE8EEB98C2C9DA95EF4D7EECC19EF1243F119B3C140EBF12CA3DEED02DEB25FFF21471F241FF81F11C71025A0CDD61BDE4230FF33C9F612500D926BEE40261C886CCE43D7FF4';
wwv_flow_imp.g_varchar2_table(19743) := '8C51EB25F1F34B60045A2EF3481FF554F5F34A2E1039CFEC072FF55A5F49E18D03556FE2CD3DD93BBFF5646F49ED5CF6680F5167AFC5159FF6EF920140ECF60E01EC72FF2E0F50F70671EC48A0F4781F23D072322A5CF783BDC503DFF742E12C785FCAFF';
wwv_flow_imp.g_varchar2_table(19744) := '6EF8EEC2C427BC432BE0CCCE6CC33DCF0329DDE9C7DEC9A5BEF88CBF12DF80F7E5100E0F21FA9D5F1DB5FBBB25220F60F1110ED2AAB6BE107BE1BA68DBBC05A2BBCA5BFA2581BC53D1FAAAAFFA68FF156931109682FB2C511C68D1F74E7B150C42FCCC7F';
wwv_flow_imp.g_varchar2_table(19745) := '299CDBFC26F1B0D03FFDD45FFDD67FFDD89FFDDABFFDDCFFDFFDDEFFFDE01FFEE23FFEE45FFEE67FFEE89FFEEABFFEECDFFEEEFFFEF01FFFF23FFFF45FFFF67FFFF89FFFFABFFFFCDFFF000140E04082050D1E449850E142860D1D3E841851E2448A152D';
wwv_flow_imp.g_varchar2_table(19746) := '5EC49851E3468E1D3D7E04A930464892254D9E449952E54A962D5DBE841953E64C9A356DD6947153E74E9E3D7DFE041A54E850A2458D1E459A54E9528C306070607AD3C0C0040CA25E9D381206569A080646E01A56EC5002040D18483056EDDA9E1E00A0';
wwv_flow_imp.g_varchar2_table(19747) := '601B57EECB7204C5952B276EEE5EBE21E9D11B58EF1E807B8307F7459CB8623D008C0716561C59B2C97B8E275F8EAC4F1F66CE9D3D7F061D5AF468D2A54D9F469D5AF56AD6AD5DBF861D5BF66CDAB5BD6DDFC69D5BF76EDEBD7DFF061E5CF870E2C58D1F';
wwv_flow_imp.g_varchar2_table(19748) := '479E5CF972E6CD9D3F871E5DFA74EAD5AD5F9739C12B41213684FCE87143E08E1EE4B1E3DE3ED086C0F0E4779CAF3DC1827C8229D61FEC0140087CDBF309FEB88FA01D76F80E80F7F87BCD3FAAD40BB0BCF1109C8D3E0012484BBF166CB0213F086D4B00';
wwv_flow_imp.g_varchar2_table(19749) := '828352E80E800037ECED4211352451B709049221C41477736BA01F5EDCCD4300521008471A7FAB42891E9F500200209F4882C82776ACAD1C73EA4212B778E65908B08802020021F904050A0000002C750087006D01AA000008FF0001081C48B0A0C18308';
wwv_flow_imp.g_varchar2_table(19750) := '132A5CC8B0A1C38710234A9C48B1A2C5824B7A5CDCC8B1A3C78F20438A1C49B2E4441C00902C31C9B2A5CB973061D64031930680152200941078A244890D3A459440A113008A9D3139EA888152070021065900983933A9D5AB58B3966420902B0304030D';
wwv_flow_imp.g_varchar2_table(19751) := '30106B40EB480D19D2660891B6E003B370E3CA9D7BB0101F007E0EFAB94BD72322438800040E2C186FE0BC7F04F679B3F80E9A3B7D234B9E7CB11FE592FF04EE0390D9613FCB97438B1E4DDAAA3C81F2E8C9DB77AFB4EBD794F76D960D80B66DCDB01FDE';
wwv_flow_imp.g_varchar2_table(19752) := 'BBB74FDEBDD5F7E6D103706F78EEE323872B3FB8BC3900E59B391AFF381CF8E9DFAC4F0F3CDDBBB67696D1718BFF94CD5AF63C81E75917C4672FA4BDF612CF239FBC9CE0667C0CF5E93BC84F606BD2FDF023607F168537D03EF82498207CF950441E7900';
wwv_flow_imp.g_varchar2_table(19753) := 'E0672000A00924200002E6A3218104E227203EFD7D2622860436A4E089F835B46189F36D341D42F4D053CF8C33FA770F3F015238623E2C6278A03D0F0619DE6C0722B4DB9147EAA7A43EBB41F4DF411A36A861934F1254256ED1CDC64F3EB6BDF79E8DF7';
wwv_flow_imp.g_varchar2_table(19754) := '34E89F8603E1B75F3EFAC87664945C6E26628003E298E37EFABD19E79B70C689A692145AB8993DF8B1D9E085029149509411A658529C037624DB965BB2F9A0948292990F3E9566C863A43CB2E7A53DF5001A66428C962AA490FD6978EAA9FD958AA788AD';
wwv_flow_imp.g_varchar2_table(19755) := 'F6FFF8109B00505AE8839CE55A616DB9FE9399AFC002EB6582F7EC47A23E68722AA685B5165AA7657892F7CFABB54168599D003CCB0FB66D2AB9DB99BBC598DAB22D42E4CE3E31CA19E7A3FC601A203E9FF133233D3CC60BE2AB6CDA43CF3CC20927AE8C';
wwv_flow_imp.g_varchar2_table(19756) := 'F580F861C031165CB03C081BECDBC1D5ED46233DC501200F3C134F4C71C20827FC5CBFFB1A1CA3C40D450C713D4822496371BBC9F6CF3EA03E8750C6309F160F00F51077CF8C376E591CCC05E7F31BC5F0D0AB5A3D032AD98F6C47B38BB49AB2E9B36D9D';
wwv_flow_imp.g_varchar2_table(19757) := '02EA576A3EE27EABCF9BFA40FCA2555B1B54DDC75D4B040F3CFD18F2431555586185175648E185146E4B91B614565441B7DD63489144DB75CBFFCD77DA68DB8DB6DA75172EB8145C043E78155E70E1F8E39027EEC5E494BFED0500557081861B9B6F5E86';
wwv_flow_imp.g_varchar2_table(19758) := '1B520010BADD028DB1F6E96CB3CDC5DAAB37CE3AE5527CDE39E7B4CFBEB91B6F3C86C61BB8E33EBB1B5C34FEC3134524617C154F1C2E38E3817B6137DCA2B38D7612451C918412CE2B9144154A28C1BDDDD42761BDDC4678AF38F3CE9F8F76E3938FE13E';
wwv_flow_imp.g_varchar2_table(19759) := '17EF8F51C6185FC84FFFFDF527CE38EAC13B5E852BC6A24C673AD28FD67821000620400209C0C0060680810B34C002130003184830820A4CE0050D80800E6A50820A0C610213F080074840041EE080074C708316BAB0853D68610C5EE8C218DE80073788';
wwv_flow_imp.g_varchar2_table(19760) := '410577988214DC20863D08A20DFF6978831DD8A0854744A20C5F2883180804062F484114A728C52AEEF08A3BD461055FC0810D70800008280B02BEC2800800E0015C890003D638C6357E258C01080000E2F8403A3E508161CCE0053B48C21226A083641C';
wwv_flow_imp.g_varchar2_table(19761) := 'A3203B48C84232E0011C10810ABBB8010FA020858EF4800750F8481498C0045C7C00022028C1302220005CC891550834C096F0431EFF28430012C0CA56B21201AF24612B21D04718ECE001B2CCA52B59E9C75DFAD2952F20421188404C2010F398C844E6';
wwv_flow_imp.g_varchar2_table(19762) := '0F8C904C6612E107C75CE6339F09CD1F58739AC424081180604C6E6ED3980000824096D9106B5AD308E644E739CD69CD1B78E0960900000528B001A06C2004F5D480061EB0FFCF7EF2B3840C20610408F995041CB284B8846504108A5008A8D0041480C0';
wwv_flow_imp.g_varchar2_table(19763) := '0328D0C5122E74A2B8CC6809E7E9812CC28085392C620E67B883929A74073780010734C9D0795220016320CE5564D5927CC003005C40202C77FAC742FEF1A7AE34013C77C9539EFED2958464A5013C500420FC809B4F8DAA53A79A4E76AEF3A9DDA4EA0E';
wwv_flow_imp.g_varchar2_table(19764) := '9C6A556B3A15003F00AB3801B003B29A75073F40AB5ACD5A90B00E24ACD63CA95CE71A030FDC809609D00005F0A9017C862004FADCE72131F0CF351A142C7BE460022260D0804AD0A0005D2C22254981074480026951E3182DCBCA800694B18834C1473F';
wwv_flow_imp.g_varchar2_table(19765) := 'EA8117683106A76DE10E7A80D21C4254A318A52702624A2E98FF9488A623B1293F0EA858A31AE0A7BF05EA4F2960030F2454A9C84DC06F97ABDC5D0697A74B6DAA538D30DDEA2E73BA5DAD2A75B9894EA7A2D5AAEAECAA40D04A1020A835ADE36D885C45';
wwv_flow_imp.g_varchar2_table(19766) := '8AD2F6AED7AE14008B3C4300807BFE7503817DC007D0F800C27A169600D8A0620F6950E5FE36A0C79DAC085E7AD9B4A0518D8B8D708441CB014C5ED2042210ED15353CC325EAD0041B6028433700D3666905B722E1073CFE9153C506F7B9B184E56F6149';
wwv_flow_imp.g_varchar2_table(19767) := '421BC000B8CE3DEA2F5FAC5C099817AAD9352790D90904EAEEC0085B053257836C4DB0AAB5AC27452F59CD0956B6BE15A50539E911B77C8323AE97851CE0A33E017BCFBEE6779FFE75A357C622600FFAF4FFB38BBD28075850820C442002FDBCF31A07EA';
wwv_flow_imp.g_varchar2_table(19768) := 'D9818276A217BEE40A5F20DA40C320064D94A116395059114F140165C85AB96675D39CD2B8B97C04EAA57F8A0008ECE0C6CC0DAE2E5D296A51E75805E6DD6A92556D55A852D59C49E6E690971CD7B41AD106B8B60100700D041BF49A9BBE96F5587F5CD6';
wwv_flow_imp.g_varchar2_table(19769) := '5FE3BAA402D175B2779DEB663B1BD729E8293F0100D86A7F4003D7660006DC289604F8B7C002DEE384E3DCC70C8880CE27B8B39ED55C460430D6B308A5E80A057DE115CE3B0532B841BEF72D83144094960C85407CCB408F9B4E5A4595268070458D4B1D';
wwv_flow_imp.g_varchar2_table(19770) := '27800228C5312B3720818A5B5C022FD5B1A913008292A6DAD846ECB50D7EA002923FD5D7A8FFF6AAB057BE72586FB5D9BF0E677AC3294EF3CA3CBD3FB6C1AD75ED719D1BB1A4CD96EBC85B0000406AA0CC1FF8400892FE010C7C80DB6B2CA1060E391603';
wwv_flow_imp.g_varchar2_table(19771) := '87108F246CF4462FBB8112D0800625C0801AD5B86737927DA0929D270754384948B65D921EC0B70C646083B91FB1052958691F4B287003946162076F888AF9C105857BB0959BC4BA2F09B04A1D42208E0940200981804B0F80C00420F0005E73EC4B0FB8';
wwv_flow_imp.g_varchar2_table(19772) := 'A088407FF60F5A30F29203C1F4B36639565BBE729ADF7CACE5354859772D72BCB780EE5835ABCE730D74A103E106F1852506A8DD57A6635B031898FA1AC53258341A14841A04230905EED2796680A225C001D8C52E76B37BDFCF929DA8FF1729BA7646AF';
wwv_flow_imp.g_varchar2_table(19773) := 'DDED26C0B70F7D7877134800B60FE83BC16F0AACCF28C4FEC751713E2CBDD34D3E800B91100968E0019746637B235A5C400130D00201505C1090041CE702B2B4790EE74A10206BABF663BD664D23B77AAAC77253B572A1477A32376C08216C06A16BCA96';
wwv_flow_imp.g_varchar2_table(19774) := '56700565A1C77BCF866B3F600326A05C0BF5574BA7744C87013CB87CCCC74F5467601FA4580F707D98557D19D07534800327606765F48450E846EE860096157FD5577DE7777EE9D743FD2603B7D70226C001B2D4501CE077F5200F28167816020FF57040';
wwv_flow_imp.g_varchar2_table(19775) := '9E940004000395300CC4F00ACC600B49508008300DE9100D68F00C09C00CE11000BF900C4AD00D04500DD2A070BBA4708CFFF84B8CE80236A0023BF76C3F975521286BAB27559CB86421E77AB077103547106B354EEC6452321783AA086D454785478783';
wwv_flow_imp.g_varchar2_table(19776) := 'D89674C99766CCC715CEC7661B247D1B354F13658419907D347002DD47766A76760675676977852EC50112A04228B485F8760329707B1EF07EBC147F102001095006F860706A482A4163053AB5492D600BC4900A55600486100DAF60029B360D3B3087B7';
wwv_flow_imp.g_varchar2_table(19777) := '9004C9400C26E009F5F007ED980CB800028C686A159700DA389002697143A03D4A7090D7633C0C693D47805552256C9B4855140982203810DC4456E2347B6535723AA7916BA556BDD691AB188361B64647D75739288BC8B77C63315854B75C20B449BFD5';
wwv_flow_imp.g_varchar2_table(19778) := '8B18855069FF21024B187611B06D5158767BE66EFC5584D48785E52749D0D885780751BC940010F0941EB08DF98086DF088EF4C05BCBE507C4800C7EC03CC0300D70F0880FD00D370007C8E0096FC00CC4600691300AD9300A57C00CB7A005A6A6703EA0';
wwv_flow_imp.g_varchar2_table(19779) := '363EA0045690977B493857B03B70F00681199882F90686F9067800075590649DD89814E98116296B27D856B6B66BE3F45DC8A673E2A48A2FD86C1EF06E0F80834B876D3CD8832E5946CAF77C1714421D548545D852BFC802DBB76EC40894643761BB3851';
wwv_flow_imp.g_varchar2_table(19780) := 'CBD88C6E17453DF49B299042ADC47710408068A00FDE589507C186FC67001C400BB7800C900009AA0007C0800CAF90717FD40D86C00C95600B9E600EECFFE00AA95006821809EA300EA0E04B12A0367A6905DD039FF0A9045760057FB93B6650065F8006';
wwv_flow_imp.g_varchar2_table(19781) := '656098FD590665000763F09804EA98067A91A278736DE573726599A9568925D965518960AFF857C6679A2F899A10E65843D841172562110001BFB893DDF79365E7678C95A2BA59592CAA76E7776FC0D9431E1051B3147FDA1869DE584ACAA97FAAF44706';
wwv_flow_imp.g_varchar2_table(19782) := 'A004B7300CD0D0099BF007AA000CC4F00B85F74AA0A00E869004A9300C45C00195F00740A004A3E009F0090A152001202001D5A80265F0975730047F100756F0075B70057F70056FF0057FD00870600886108073FA067EF00694C0086FC0055C45A09119';
wwv_flow_imp.g_varchar2_table(19783) := '99510599B227109BA982BA5673C4367BB9FF5665105A9234587487A49216BA833E99A168864661948B8AA5A29E5A841CA07D25A067B5E97D50E86E59C768BC688514D08C2F9A7ED0E86F298457D82870DB680FEED02ACA6910F2500FAA246356800CC820';
wwv_flow_imp.g_varchar2_table(19784) := '0C85B009AAF007C7508871D069AFA4400F37A38CF740345971062001D958711C00025F6005DDD0085F700B95300ABF600876380AAE0008AEB00E418A0BE1300CBFC00E95400CAEF00AA0F0A6C5D489816A91830A9924896B2DF0AFFF3A8DD34874BE56B0';
wwv_flow_imp.g_varchar2_table(19785) := '2F070031308DB8365E41A765C7666B36F05228695F2B796D97CA7CC9C75F1CBA9A1C84AA1EFB6725209B7566AAC51885A0E55070B7527C475113F0AA97E46FE927494F394B4EF95204FF97AB3EB2AB04D1AB3DDA415CF00CC8700C637008AAB007A9400C';
wwv_flow_imp.g_varchar2_table(19786) := 'C90008CC7A8D0E050435B8407C147FBB844B12500566900CA3F00A863004D990A6A0B005D3F00A6D990DEAF00A8C00AECC500ED9300DCCC008795A0650E5736995AF82CA5519A86C88CA6B341773B4477369A56C64D591CCF66C2D70035FC8A062F85B29';
wwv_flow_imp.g_varchar2_table(19787) := '8983960A755C3175CEC7419C5A48941B67C0586763C76E27FA8442E95082A6792BCB012DCB7617E66FB23AAB4DF994B474B3ADA2A3CAD9AB6310003B6505D0F00CC7B0077DA00A7D500BC9F00C86E04B7C470437A0491FE4701E300495D00DD9800B8070';
wwv_flow_imp.g_varchar2_table(19788) := '885A0008A3F007C9900A80700BAF900DD5308795300DB7C00CEC60BDD7FF00075CF0A823C772DF14A89C186B0751040070BE0A6A99557665B66652FEFA9B817649FF8A6B62185000606615DB92A7997C6AA4A9920B7D1D9B54847467A18A0323FB7DA63A';
wwv_flow_imp.g_varchar2_table(19789) := '481B85942630A34FA9761405A6120CAB13AC7912C54AB4F49490460FEBE034FCE0BA55290FF6208EB0F40030900BB4600769B0099BB00763900ACC500606805734864B45A449771479CCB54BEDE90966000A8DF00A955009C9D008B7F00B65E0095A7B0B';
wwv_flow_imp.g_varchar2_table(19790) := 'FA980962CB0CA00008D5E00A6A09075FB0555D45B71FE898A1187B35377B1869A8F46B7B74976CF58B77319ABF5D1603B4F4B8F7A483B278B16B347C1A006E1C0B41945B489615B260E784B449B26CB45014306F94FF457D02677E6E07771BCC681D3C86';
wwv_flow_imp.g_varchar2_table(19791) := '10E07722EC343A5B10F2900F5520BBBAE909AA300553500787300569D007C4B003394C422446510FD0024510954A450099E7A55E6A81EE299FF0599F57C03D6AC30570C09FBB63988489A78109B71649047BEB6A992891112955932999A1C87353066DBF';
wwv_flow_imp.g_varchar2_table(19792) := '59B8C7F6731C2892CF26B1FCA492760CC098AA6D68B4B11CC4497FECA11AE0753E616799ABB9ECB65989FCB995D5C8D497852F6A6F6BF7940DD74706F005F5C08669A886BE2105B2FB700F5006919006A65C077B70CAB5309C09F0072690393B6005FCB9';
wwv_flow_imp.g_varchar2_table(19793) := '0344F0050960035C70036F70054AF0064A304B2AB037DD139F29BDD243500668F0D2301DD32FCD0549FF707B31EA6F2DA0BE2C08571539A8AFC672679C91195910BE465EE3E582BB16659DF96C512916A1695F8D7B9A1A0000DF868B1C9BCE639457828C';
wwv_flow_imp.g_varchar2_table(19794) := 'B9EF5CAA522894F36C6F1125700E55D61C60CF899CB2673DC91E6CC9233CD08157D0075D422140A453C004696005BB9B0301C54B24BDAD3BE0055FA0983B5005305004B4F4075F90045AA004605A719204022DF0A50DA78DBB0402B9467ACDD602090B77';
wwv_flow_imp.g_varchar2_table(19795) := '9EFDD9D03C83E5BBAF20A802BC266C799BBFB3276B93986C36A7815B4556AAE8C63DA4D9B90603B814504767C716EBB8685660560D7DE95C60EB2CB2EE0C855E1D48885C6170D7A264BDD663DDC86CB7CF337B8D0400D0F080C9993C103262D059FFBD46';
wwv_flow_imp.g_varchar2_table(19796) := '3B600887F0077DD0077FB007B90D59FC093F813906865905E25B052DD09F4350049160058FDDAA164781BE8400123089BD4689A8368960E80113F0D9909C02C1066B5E45DA2B9779D5F8DFAC1D77004B7A2CC77301FE632A0000159EBF3118B09A2D723B';
wwv_flow_imp.g_varchar2_table(19797) := 'D002B9CD0063B692C877A92849D5E52C936DE65380E46D5B9D01250A946A26485F31516CA748AAEB52642D512DB548331A51FDEC94D71DD03CB2DDDC5D0FDEDD5C1224017F000AD18B049DD55C1040D345500644000368403F55C00140500468A004FCA9';
wwv_flow_imp.g_varchar2_table(19798) := '0420A004453E6A3A26E1166903780702030BB0A2DDE03D0DA8DCA40211CE4A12806A4D65E1188982825BB0C0E6E62DB080FFBA80BCFFD602C676DA4956B00F7041DF1C8BBD7D9A4018B906DC49FD67488BE513EDAC6EC81DCF095C428994426BBDA2F334';
wwv_flow_imp.g_varchar2_table(19799) := 'C954A8E38BB4AAAEF4E85C600FF090E44AFE1C4C7ED0A146003ED86D3056802600041B40930440AB1538EC093002E78B8122E76B42D65445D0EC9A58A0150955D5988D1EECA5AF67A8C8BE6CBB4689BDB6CCDCD4E8A717729308A14090D3C515465CB101';
wwv_flow_imp.g_varchar2_table(19800) := 'BC8D7C53578BFD05009E156E7FDC533B554633DED5EEA6B9837459425EEA1175EA0D97691365E0D4AD4B0F70DD0527EB4ADEDDB66E603E3A6361E4E49C266310F00335B8499B24F1C4AE6320900416B955A66D7AD65472077AA0C6F4A54F69ADD40E0120';
wwv_flow_imp.g_varchar2_table(19801) := 'C0C6B9C67282FB7243FF2DE03B4089BC56B0A60DE21D9EBF26C052FD0B5849A74FA6E9D48455CE420846989EE904B5E97486B94FE867EDF6D580A4E39244DD4549E4F4DE9A0EA542642DD11070E4F00022B34EEBDEBDA90EDF49324948A1A65C9E86DB17';
wwv_flow_imp.g_varchar2_table(19802) := 'D45C1B5F81C70BF3B256E1714E7A25FFA72CE77ED978E01360AD093001F03BEEDF1E732AF86B205FF3356F996E2EE8997DE8855EE1474401511758C7479AEC368BE5BCA98FD55B58ADC02C4067344E8C7CC6B986B4DC1EC002B3CAC8639D504915A2CCB8';
wwv_flow_imp.g_varchar2_table(19803) := 'CF956581D77D0F61DF2026FC8D0C2F639EE462E82E9367FF532C1C039AC440AD3EB571CF4A1EC072A816E6C575E0A22BBA07DE02790F99B216E11EA0022DA00228FFDF7118196B2808B8CBBC032E5052367FDAC0567B156EE8FF7A03FBDBBF967F6DE29C';
wwv_flow_imp.g_varchar2_table(19804) := 'C7FD6558F2CE47C35D461B20B2A3BA6E00C18001820808081A4430F0C1830C1E1C7AE0008182C48910203C4890C0A001040F2070E00071E2C20411123C3030C61EBC7CF9F801801953E64C9A356DDEC49953A74D7AF5A404409080234704060C30302014';
wwv_flow_imp.g_varchar2_table(19805) := 'A9D0A443856684B10342020246333E9060514256090EB766041B36AC842440CCEE306BB60810871338B8759BA2C50F2074EDD6C54B37ED5E13594100005264480B0F2D6C004E0B8088D9C540003F9669163110B467F7EED86143B38D169D0D6BBE618241';
wwv_flow_imp.g_varchar2_table(19806) := '0200114E84D090FA83060C18040AD4F00043028143FF9B6ACC383A6850DA2537B06051A2440406110A1E3F88DC78040A14389870C8A139C58B1735223CF90024C48853317A24F0459FBC7B2E779E479F5E7D4E79F97E222C9AF0E9D1A6F5E7E336F18343';
wwv_flow_imp.g_varchar2_table(19807) := 'D1A719252C8440820DFE938002B10E044B02B38CD86B2FCE6ED8EC871F5490302F0BF56A302D0F2448C0039886704C85CE34A30CB0CD34AB4905000EB3010815767811A6138168F1441B4F3401A5E236400DB5D43478CD35D7187840A0A2ACE208B7DD72';
wwv_flow_imp.g_varchar2_table(19808) := '2B29810C361041841232C8A0A0818C442EB9072278C03990221AE9A285BE6BB2B7E6BE2C90A4921E20A08CF1EEE1E7A598F8D9A79F7DFEB9B39FF5F6E4133D3DE5A9878B0030BA2AACD10A45F0FFAA2E8130A1BFEC2C1A33BB93120D0BA30D8020A20822';
wwv_flow_imp.g_varchar2_table(19809) := '8CD034534F89C8B4084D452575D4524325155455893021221094103589C6D0A25532C956844905C762324B459832049632CA7ED88158636FD8A0340D508069850D9E7D3636691F00724C32BFB336BB31CF8C52040EB65C2E5CE3B6DCF6CCB742724E228B';
wwv_flow_imp.g_varchar2_table(19810) := 'D6F5A8390A163AF32190DEE5B2CB360168CF3C98F4292FCE3EFF8D49CF99FAF907BD82633A589E7EAA08A061871F8638628923923800022EC638638933C65802133E06D904183E1E39E4873C30010413524059E5145686F9E590734C2000086080C98498';
wwv_flow_imp.g_varchar2_table(19811) := '3C94D7A17F4F063AE8A039300026020C828901001838C0800308301A808B2BAE98FF00872F36CAA8A9A98618E3AC8FC63862AFA7C61A3E03AC86780C00E8E9476098FAD1474E80FB74676E00EA8EC91D77E071471E5BE0F02370C10727BC70C2FF40DC0F';
wwv_flow_imp.g_varchar2_table(19812) := 'C417473C8E3F1C87FC71C62707E48FCA1D37C4904836E73C92463AF73CF4460CF9BC74D029D91CF54828415DF54800F8E375F41A01C0F3DA690FFDF5CF63DA9DF3CF733F3D75CE194104264310393E7944FC58BEF9E699FF0391E8A7575CFAC193C71E11';
wwv_flow_imp.g_varchar2_table(19813) := 'EDB5679EFBEDBB671E7AEB0151DC903F18F9C3FCCCFD507F7143D8F783FCCCD3CFDE8F68C683277FFDF397C7EEB9E101000005C8A7FEC1A47FF3F8C73FDAB6400636D0810C4C600423E8400956D082109460DB2CB841051ECCFF6E1E9409036102C29B90';
wwv_flow_imp.g_varchar2_table(19814) := '1027163C610207F6400D72B0822D74610C6538431ABAB01FF2A0073DF2A6B700CA437FFEE3539C8428B77FDD035FF0F0611291B84425369189FB83A23CE4B18E2452118954946216AD180F78D0031E5CF46212B3480F1C96B18CF1C0E117F30793750410';
wwv_flow_imp.g_varchar2_table(19815) := '5FF1C05716D736477CAD2D877424631E6502471D8211800694071F0309932FF60F8973CCA33CE6914346C6E48E3A3C624CFAD73F324AD19152D461223559C6448ED18C590465284539CA503E118D524462160B79CA54AA921EFA68093E66728FF2181188';
wwv_flow_imp.g_varchar2_table(19816) := 'B72CA211CBD31223B6C497BF04663061528F7AE0031FF6B0873191A9CC641E1399CB74E633A5B9CC7CE0A32571FF32A6318508807C000099F300E73CEC11CE79D4E39931C9262DEFA14D6B66131F43E4C73BADE94B67C6A41E0098E72FBD49CC67BA539B';
wwv_flow_imp.g_varchar2_table(19817) := '71FAE53EF611CC7CDCE38EF5D00700F4B150841233A1FA40E842253A518A4E94963ADC0700D4790F8176D4A31F152800043A4E6992931EF13829389F094E7E4E9398F7C4654C6F49D06EC2049E37C5694E6792539E0E91A6D71C220BF7454F6312131F2F';
wwv_flow_imp.g_varchar2_table(19818) := '2DE651950A1360CA69880113A14CF8D19299E4236EFC58E0548BEACF6CE254A038ED26316D5951B296D5ACFBA02548D5BAD68FF2639A2555E95BE58A4C75CAD4AE779D9B3DE634555FF6F4A97EB5A91017BA4000B05060B06C09427F1951B34A344E0BDD';
wwv_flow_imp.g_varchar2_table(19819) := '66FF9C086BD3C2EA09B1BE04003CDBC6D4602AD39A7C6D89407F5AD0B192552715652CBFEE91D059B255AD1295C95CDFCACCB7D6153D35051831010053BCA2271EF3900970C50913E18A339C7A056E70890B0070DA7326F7346774ED11DDDDD28491D7C5';
wwv_flow_imp.g_varchar2_table(19820) := 'EE1D1D795D3ADA7126D9CD212D352A5EEB4257B7F5B8473DB08BD461F256BB3291A3231189C746AEAD8CF882A4013789DF025E128730316880E911E050EE438A0616A52D6102473EDAF191BB7D69736BC2DD07DBF3A530C9EFBF90CADBDE76D8C31F06E2';
wwv_flow_imp.g_varchar2_table(19821) := 'C14C6893CDA61085EA29318855BC6216036C143079F14C5E718B57AC0200B8B8C52A6E810B00FCE2C637FE058F854C0C5C0499C84106003180FF8C0B252799C73289854D5C11135AC024CA5776C59553B1652E739916C018469885018C2A475927B10045';
wwv_flow_imp.g_varchar2_table(19822) := '9A43E1094F8402006D06459B3D0100370300143249454C86A1E75BD8C215B7B80530002DE85B0863D07D8E892B86710B620CC316B6D8330086A1E42A038016B1B8744E22DD5B5BBC02009DFEB4A701206A51579AD4E9E974955F616A33C38416539632A0';
wwv_flow_imp.g_varchar2_table(19823) := 'C37C8B456FBAC539D9CA560020019880000416F0F5AF63222200F8AAD8232876AE60E2826303A033236801B1FF2223980868031480C9B36892AC6AC724033079120034400169BD2B36C942370036A001758BDBDDEF86496C22E034B4D9046A019809B934';
wwv_flow_imp.g_varchar2_table(19824) := 'E02190C8642121E0000A5010F0FF1570204A50E2C0BA154E70118480053AE0014C6EA083170080052660C10B32AE9308DCF50600B8C10E3E2E72CC843C33B8B2C10D54BE03900300332887398B70159A98E80C6733D1994D9805039EC7000631B8E5083A';
wwv_flow_imp.g_varchar2_table(19825) := '80EC0ECC4D452A0281AF8E0E041738C6314370C110002075A603A6E9511F421100A075A61781D98FF9BAD565F2F318403C063C407BC4D17E761E001D26680740DAE3FE028A6BBCEE3A60010E588002E0545C0730A13B4D743078BD3B8BDDEE8E0D061E10';
wwv_flow_imp.g_varchar2_table(19826) := '131E6D600500C0010074808317447E263540410D709079CE0B1CF39BD77C4CFE8E02D0C3E4EF3C4042C401600498B07E279AB7FCADED0A2AC56C9D0830B97DEE67C27A4CD5FFC5582CBF65D1910D001014BD4FC34736B255300266379FD98E897AD4AB0E';
wwv_flow_imp.g_varchar2_table(19827) := '75A76FDDFA5E5FCBD50170F55DDDDEF4819FFCE0256FFAF1E3EC0595AF78E561C2028B0307387A07400D00C02CBE53FEEF9267FFE6373F7F98308BF121489610A08910100100783CFE8B3DF98B891558811AC03C9938C01A68C003A48906943C2688BB25';
wwv_flow_imp.g_varchar2_table(19828) := 'E80124E80100400224F0C01E580210CC89C793C0F8B3C0B9218224A8892300001784C11794C118BC25E01BB61D6801963B0CE063391E04A2E19B09A15B8FE4B309E7DB3E1740C2ED93BA2564B6259C3AA9138CA7030C5D5181AF0302108909BAA33BF1C3';
wwv_flow_imp.g_varchar2_table(19829) := '81C1FBBBFBD30118383F8AA3BC3284BCCA733FBD633F03DC3BFF16A881BC7B43D8933CCBC3812E5440F9438115080167D143C733C03CC43C05AC094134C0136440035C40093C410834C0C7B33C1D588288E3C0101C41005882B7EB409A70400A8CBF429C';
wwv_flow_imp.g_varchar2_table(19830) := '4098883DF438822248022348025234C51564BDDB4BC5D5538C530400589445AD9B4517DC09EF8B8916B8811670391A119616133A200480A1BB0920343E9968BE2344C2245CC666DC9599E0BA61ABC22ABC425CF9BE3A9CBC3A1C3F1D3081BF4B3F35B438';
wwv_flow_imp.g_varchar2_table(19831) := 'F57B38E078431C7040CEB3B84E44011D2847FADB3F3C6447D283894DCCBC14BCBC792C4144D4C442EC44462C443044021D40824BF4C081E4C08114C1B83347F45801FF8B89D0D30958D4BA99B0C5178445FF4E890953A4C58D8C458E84459A388C5EA409';
wwv_flow_imp.g_varchar2_table(19832) := '20B8B9986811E0730C1B3CBE7F61B60E98B6620400E41B01222C361798469B6CC6664CB6C8F83A638B092270811D18C375543F5094091D6016F50B3CC88BBC3A74433774C0440C443734CA9900C350C4C79AC0CAF5933FCBA340FF8BCA0A7CC87934C17E';
wwv_flow_imp.g_varchar2_table(19833) := '344B8114C8488C440F24C8B76382FBC3090BB4C7F5A0C59D38C5BB24C5BCC4CBBDCCCB9F3449B793115A8189898C891850495E71453EF1C96114C6F350910A900962AC89C6944C9C483EE37381C604C2A68B8C8F933C79BC4AABD4C66DF4BB39B4BC3804';
wwv_flow_imp.g_varchar2_table(19834) := '456609C4F9AB01760CBFAA843CF1C309B88C3FBD33C7DBBC4745B409F91344FFA33F441444FFF9D381B764828853CB25D8814A8409128C093A64484EB41BC2B40958B44559F9C98F94099B733665030CD783095EC4459AF0903D113EBB69CCF3B0807F39';
wwv_flow_imp.g_varchar2_table(19835) := '469800C2C6B4C1856CCED81B4D41FCC2F1AB43F86B4AC8CBCA4ECCBBD9DC4AD1EBC22ECC0988844E99D0BCD0BB4399F84FAB84441E580226604E9940BD99B84D88F4C79A58011A38C013984EBDD4BA519C4516A448C2FC509CD03D99E0C59950C94DC195';
wwv_flow_imp.g_varchar2_table(19836) := '67040C22F801BC623E15E900177849C7B4ABF41C46E1333EE1038111584CC03BD0FB144DDA1C3FD58BB83A7C43C873C0D354CDCC9B47F814D0BFCBCFE68C4D9A58D0FDD4892C8D0987DCC7E254CB1D6082E49CD049844DB8C4011A8009FF35050036C589';
wwv_flow_imp.g_varchar2_table(19837) := '13F8B69B60C122B0C5BAB4BE169441E90CCFD63B0FC7C0455C0402D6430B97B39B274B11F5008739A386951CBA1F4D0F0B58CF9BC8C3D9AC4A301C3F500CBDFE24C44D4DC7B09C473455D06D14BDD7DB09505D5042744E00284E0C8CBB0645020C8C509D';
wwv_flow_imp.g_varchar2_table(19838) := '50D31538010E4D0F5B1C459AD84B9AD0BA5E95416824828A944E9D204CD7F34C98783919DD131F80892F00800A98C9F4804C10A8006A9D09C8B49B04EDCFE66447FD94D04BA552DE1CC487BCCD35B4D27BDC1342A4D4A39CC371DDCDD35BCB964BBD81AC';
wwv_flow_imp.g_varchar2_table(19839) := '89B794093785CE4FD409D61BC5EABC539870C1619DC1DAF39F182558DC93891848510EE0358039045BF0B19810466473D6FFF59800213C0F2DB80298D002F588549D9B09D5AC4D75A5091E8038507452DEA44A9185C30AE5D27FF1D49B18CE9A503DABA4';
wwv_flow_imp.g_varchar2_table(19840) := '500B3D3D26E881BF4B4EE41CC109353DF153403525D9362DD09AD8D3BECC558A84C69AE8BDC5508CA77DDA3D49019A781720C2055900000B08BB98E8583EF9589C30839930032C285B00D88298D05189DD090FA04075F53FBD8348B53B590AC547059CCB';
wwv_flow_imp.g_varchar2_table(19841) := '9832524C854092B5D0B73B3DAD243F9D88C4791DD3C31DBFE23CD7B874D33E61C13D95898A8C8C15E3805B3254D9438399D80233E858674D5B9B08DB99A8389D504D736557058DBD8624C48654DD1583529B78448264D5B9515C310DC848C44093BD8997';
wwv_flow_imp.g_varchar2_table(19842) := '15458E14D8FF9D70510F930086058090408037F89788BD0933085D201ADB98E03140908639B3CCE6EDD2F378DBBCCB52732D0198284066694800E8DE5BAAD9B9D95B80893848FCBB4BACD9F2DD89C6FD175FCD89E0053188902925F8D8F3440F8CFD9760';
wwv_flow_imp.g_varchar2_table(19843) := '00980E60BF49458FAECC3F8BA34DFF2B81A3B5ABF335DF7FC1CDA37CD0B87BBBF35848F88DBCA2953DBB425E3EF1311FCB811ECDE06560D69980832D18021E5D0F2F1D6091CD4A05EE2DC575609960D5B64CC73E9959B55B55939DDD01D6095CA4C10C46';
wwv_flow_imp.g_varchar2_table(19844) := '8F920422FFCD60699006181B079B40831CB8D1F41040EF4D0F1384D273CC6006460FDE4D8FFFD4611E50DCE1D4DDFABC2511C5C5DF05E2998081AA0500FF3406803B18319D90022B9009E453016C0DD2DEBA33001885446884519083CFFD9727EE13287D';
wwv_flow_imp.g_varchar2_table(19845) := 'DD5BABDB32C60921903C2E9E892598D9F36D4AF8CD894D216343B6095E8481CEB864209A8098DC5A204EDB2BE8582DF8DA618C49EBB5093DA464F4B5629A486098288113C8BC028EBD555E0F37F562C1C389984D65200A491405CCB909C661AC63101B02';
wwv_flow_imp.g_varchar2_table(19846) := '25C801633666A88B0953DE369810C0C63B016EDBE5F3D05D5CA2653E895709656498D8E18754570DBD895F9EE6F3284938709BFF253AD96BE2C9F41F401EE7774E8FF18D894B34C89F555CF785E7153BE79524E57CEE137776677F5E312C8E62981002E6';
wwv_flow_imp.g_varchar2_table(19847) := '1441B4CB5D7B15E886A689A1934C2CE0D8FFE775E88AB668BB79BC5835592FBEE68B76E84DF6E89016E99D080E11600144960946AEE69166E99676E997B68984545598DEE50AE8001D85549AD6E99D5ECE4A3C5982E66999FAD89C0EEA979666971E410D';
wwv_flow_imp.g_varchar2_table(19848) := 'DCE6A296BDB5555BA6666911A0D5F96B6596164800E8017C86EAADE6EA989A54151EE9FB23C18EEE6A0FC3D6B246EB69F652B04EEB0C56E6B6866B1073D0B8066271D806BBB66BBAD6EBBD6E6BBDF226BE066CFF31283AB2ADC036ECC346ECC456ECC566';
wwv_flow_imp.g_varchar2_table(19849) := 'ECC676ECC786ECC896ECC9A6ECCAB6ECCBC6ECCCD6ECCDE6ECCEF6ECCF06EDD016EDD126EDD236EDD346EDD456EDD566EDD676EDD786EDD896EDD9A6EDDAB6EDDBC6EDDCD6EDDDE6EDFFDEC6ED63F5EDE0DE65E016EEE236EEE346EEE4BE6D9CB9B98A13';
wwv_flow_imp.g_varchar2_table(19850) := '67E586EEE896EEE9A6EEEAB6EEEBC6EEECD6EEEDE6EEEEF6EEEF06EFF016EFF126EFF236EFF346EFF4566FE13688DEE0928E5BEFEACEB9F8D66E71A06FEDEE89FB9EEE0CBBA80CD36FE3AEA98D222F8DFA6FE5C6AC0247F00457F00567F00677F00787F0';
wwv_flow_imp.g_varchar2_table(19851) := '0897F009A7F00AB7F00BC7F00CD7F00DE7F00EF7F00F07F11017F11127F11237F11347F11457F11567F11677F11787F11807E2A998091B10821D10021BC8C41ED8011E97F1C8260D99C844CCE0F14CFC71C6B68009487299108214A5094436F223470F83';
wwv_flow_imp.g_varchar2_table(19852) := '45D628E7692597091B384C00F8011E67392B97F29CF8F24C1C4F1F7F697B2C8F090488093377B91D0FF3B911010F30DD975E7200800035C76A9223EE37E7931EC8448CDB691AA70919F0F12DE7F33E9F891B9081AD4E399033F44307984787E9F1841049';
wwv_flow_imp.g_varchar2_table(19853) := '8774C6066964BD74CAC63600C8B9E7DEF4C956822A50822728750028F5524F822710D150676C732807737075C95EA49C48AEF508080021F904050A0000002C780088006A01D7000008FF0001081C48B0A0C18308132A5CC8B0A1C38710232A3C21B162C2';
wwv_flow_imp.g_varchar2_table(19854) := '1516336ADC6811880A20058178E448B2A4C993285162AC317005C61228006C1058E28488120038AC40813326CC940579001D4A746012004408B60000A3A8D3A750A3423C0080C1400606B02280FA00405700140064182BB5AC440E10CCAA5DCBF6241F81';
wwv_flow_imp.g_varchar2_table(19855) := '7D0AF5E15308801F827CEEB6DDCBD7E09F3F77030B040CE74FE1BE881397ED2790713FC67C1F4366FC4F715FC992F569D627907363CBA0438B1E4D3A22BDD3A7EBA92ECDBAF5437900E4C1961DBB206CB3F772EBBEE7FA293E7CB9550BC757CF5EF17A00';
wwv_flow_imp.g_varchar2_table(19856) := '8CF7E648EF5EF3E7CE9D2FDFC89BE03D79FBF6618FBD8FBBF7E940ED89FFB757B4FAC0DFF9D2AB4F0FBE2F3D00FBEEC59F4F6F5F7DF9F811F2536CBEBDDAFD033D06C063FC14A819009CE503003E02B157E0830B32C8107AF96CB65941E41D949D530016';
wwv_flow_imp.g_varchar2_table(19857) := '088082003C086045DDDD93CF83EB45C45B77056DB81B6AF5ED834F7AE4F1532167FAB0471083F36894DD8F1B7EB89E82BA01905B59FDDDE6908E0201D7E240F4ACA69E8600D453E440FB58A8D9639C09F8616E438629E6418FFD63E63F221628D980FAA4';
wwv_flow_imp.g_varchar2_table(19858) := '6923881F7EE86193BFE1336245FB05A79A89EAED27667AFCECF3CF3EEA65978F8936CA292281771AA4A0821EF283D97EFDECF7668161BA9966429031D46888100EA426666BB6551D90DD5506C03F8FFDA85F9E3752FFEA2582067AD6A0829B09C88FAD5A';
wwv_flow_imp.g_varchar2_table(19859) := 'EA738F66BFC6975B9B8CB95AEA9A0472E66A96B96E36AC6EE25948A33D76FA3AACB3BFC208A744EEB433603F67FE63A56AC6CDB85B6EC4C5085CA0F4F0730FB5E849FA6DA99FD659A778B30AE4EE3DE902709ABF50FA0B238C09C1531B6DB2213CDB7B05';
wwv_flow_imp.g_varchar2_table(19860) := 'F176DA6CF29C66DC3CF450DCA3C5154789909216AD26103D11C3E65C733FEEFA986E0C1B144F942676662264EFA1165BC211D7D3669B87FE7A6067CE02EBF39902A1CAAC81086E965D3FDD7567E97A5BB2BA99BBF5C8166571C635275F96A4F6A30FC806';
wwv_flow_imp.g_varchar2_table(19861) := '1FD4F5C708197C8D12477861851749ECF0C30E6CB3BD76DB70EFD0031147109144194A24518512550CFF54851455585145E08317648514000CAEF8E08227CEB7E05608F445199453CEC5E5985F0E40E699233446195F6CCEC5E60249E105E28823C4C518';
wwv_flow_imp.g_varchar2_table(19862) := 'ABB73EC6175C9C3DFAE80F9D3D864668B8F146EE6800E046EE6FB851861B5E54714412C8277E7C124FFC0D00E080276E7AE100E49D04DF7DEF8DFCF6C8F36DF6E04A00F0C31391FB9DB81700A09F3EDA559C7EFEE2F0C75FBC175E7081FEE7AF8F91FFEB';
wwv_flow_imp.g_varchar2_table(19863) := '65704139EBAD8B5DE0EA17BBF9D14F76F5331B178C770D7C7C2D220AB245000810800A4E900018CC20053738C10018C0001A4C400F4C80800C0A84001F3400003EB842151A24852E5CA1405488420424E00114A0800760008318C4E0063FBC8110FF8748';
wwv_flow_imp.g_varchar2_table(19864) := 'C42222E4060281810C7A2083262AD18731E8615308D243002071883250CA406C804487DC208B4C79410AC448C6318E51215314880952000313C0E005261041573EB8950844C02A02E94A040482150068900027F42320078200036C652014B4200A2F0880';
wwv_flow_imp.g_varchar2_table(19865) := 'AD14722B06B8E103ECF800AB64302B08C8E423359949437292010960000538C0011178C0941CF0402A49994A149CD2041E30812C5F004755AEF20125C420086118C900D0E2439D82083DFE410B023CE086C84C803297C9CC6622F39810B8C10E3890001B';
wwv_flow_imp.g_varchar2_table(19866) := '7A852069B92100125090AE240002DF0C673607D2151D7A60874448271180904E76BA739DF07427004032CF7A82E40704F981117EC0FFCF7EF25321E9D46752006004911454240401C93A91A25090EC73A0253182F8FAE9B61DA4E0980FF84A0836B0818D';
wwv_flow_imp.g_varchar2_table(19867) := '6E74031A000B4735B0818C56929B07D923283519CA6A32209309888024F398470D5060032240010A38BA010A4460922645A64C83FAD31BE6F0A66EE4A1147DB8D41E42B188D2DC811065600318A005011835E9513780005BC4665B216AC83025B84C1B56';
wwv_flow_imp.g_varchar2_table(19868) := 'B3ACCA04654BCD6AD66A3EA00544A040210970C8186EF3AE7745E9409669106E26C0001038270760B04E9118F6B040F8416217AB587D32F6B18A15083E0BA2CF81D053A296252848E8B93600A86D079E15DF43262B90B8C1ED217013A2546180D1086880';
wwv_flow_imp.g_varchar2_table(19869) := 'A421F0684743FADAD7FF86E0B5A0240828735B95BFC2B093BF6D292E5BCA4D1C6660032528C15832704706D85199305DE95A87AB550FC0D104707C631BB7AB54A53E15AA37800105B26A521C8E97AB5E95477FC87490F7BCC2986D752674D19AD6667A80';
wwv_flow_imp.g_varchar2_table(19870) := '083028A40AF72BC348DAD58687E4665BEF6A4315A254B020286C610D6AD01D00A1A0FA04AD11404BCFD2AE13C212C56C3EEB29907B8A96B2A105AD881DEC5920A8EDC30411F141F0C962141FD18AA595A66AA56902B94A5203B2DD288E6B4BD2D73E0003';
wwv_flow_imp.g_varchar2_table(19871) := 'A1E423561970CCDC1A32852DD4EF0785ABD6A21A17B9CA1D4B259D8B551B46C086CEAD6F4C259951EBCAF2CBD80533765FD05DA782170625CD2897CD7B5304BC22FF36EB35483003564CB4C677CB009EAF74974981B52500857F1E48245788526E1A18AF';
wwv_flow_imp.g_varchar2_table(19872) := 'D0CD6B41B809010978E006261649630DEB607E467A9E6B0389831D2C1212BB58B2FE4C6C87C5D736136FFAD4A1ED306807B2EA0A0F849FABF6AC8AB9E8102EDA20C6B6BE011765E001973E00B61B05406C6FCB630D7CE0C70CC063B22BC96C3CF2F2D958';
wwv_flow_imp.g_varchar2_table(19873) := '6EE93665FAD3077034B927C880069AEBDCDD22C0DBCF75B25653296631BB52CC3CF4E1993D305E3567140247956B7A3FF5A982F06398B430C0709D794CB69E559932F5370574FD00240F729B8516885EEF1A4965E675D08716080822DDB64C6F3AD38985';
wwv_flow_imp.g_varchar2_table(19874) := '3542E9E961CBFEB3C5AF26AD406C40F2929BBCE499FF8DB40D40A282850061E525DEA2AB2B72F21BA40002D1F5E8B077FC810F10FBD855C1635598DDECFD423B92D6BC61B84D7ADC12D0800635B163B2B9DDED3BDE31A6432D6F0ECF09E6587AFD9C605F';
wwv_flow_imp.g_varchar2_table(19875) := '630C9AF8C5B24F35063506A7BB1F00EF1C2660DE77AAD442EE4D4CAC9E35BEEEB6339665CAE71800C1C6910464241BED010918FEF08627C83207ADD7C52BD3039D4E6C45774072B655FEE52AF8C1CA33BFD949BBD3B0F69CE7CC475E79D0DEBAE408E5F4';
wwv_flow_imp.g_varchar2_table(19876) := '6601706BF18D3EC51CDE62873FA29058B3BA6D27EF752445A97363FBBCE73D0700063010743E1259033F3E2956784980BFBAD52B0FC84046A53F7D0AD884063860C109228081A927DBFB55776EFFD633BA55009CF2FCA954A52DB96E8226CAA0053218A2';
wwv_flow_imp.g_varchar2_table(19877) := 'AD659002096094CBF146C02D6233A7C680D520F70600B45065FFA64CC764001E8441CC045300564106000336D06B0E684200600237A04C8E060220E00120904D7EC54C0887701F28012FD7696F837B5CE46025F7039CC7828A855888257A93057A06F17A';
wwv_flow_imp.g_varchar2_table(19878) := 'F404511D71104BD1022DC059B1B710285872BD56600FB07321007C47686C1A80013F561532946CC86715BBE55FBC544D58C56619106F5BC5024F870319800152677554766562B874EF96431BC04A12C04AA3A47EA4744E291087F4F77EF1377F29801606';
wwv_flow_imp.g_varchar2_table(19879) := '28495BF576FC001BFCA02A03526F05F11EF9767736D46F40F0068050097F500505FFE85608E00155C005EC56064580002650047F95035D51042DF0002E00046C971610901622285F7CE5702AF41187A53619F78214F54F1CB67AA277581F8762A3A779F0';
wwv_flow_imp.g_varchar2_table(19880) := 'D70236B01430C81124061230B759977610B6277B27670337B77BD6D6514778841FA0841F00001F407CC9667C0CC084D6084ACF465700567D5A8886141002258003D9B77D60D86D558700CD6575D4A67514D0763775541C607E1CB086EAB7467128872940';
wwv_flow_imp.g_varchar2_table(19881) := '874D547FF7A755686800FB270FFD17880C011BEF65887F05017FC00CD5400BA0C00CC8000A3BA06F69F500010007F5600EE6A004E1600804C00CFC000406300EB79000E6700506A00EE00001CDE747081778CAD47CCEF767CDFF241024B872364079C968';
wwv_flow_imp.g_varchar2_table(19882) := '723EF97930188320275AA4257227388C879511ABA68214A67A9BD57A117172BCE801857443C0165BC0178DD588011A908DD71874BF966CA17464BC9467E4178E39948519E074380075005086E12786DD36493F556DE40716F106166BF8866F284BFBD844';
wwv_flow_imp.g_varchar2_table(19883) := 'F0477F2D6002D49487A3D8681BF076FED22872A7107D2880CDC75208200199300DC410094410036E700BD3300C40D0561AF90712140DB7100D7F0004D5809A06900DEB7005D160054AA00CC9B0053629932268780920018DB69B12B09BC0697820A00443';
wwv_flow_imp.g_varchar2_table(19884) := 'D03D45603D493004D6433649703C8B256943097A93D6628DE57A91B57AAF577BA5A569F4746B6D13123D59823CFF2911C96802B8144959098D49188DC3E71552187494449658E15B1FE48DD58497D1D76E5AD5966FA97DDCA78EDF17A0DF2753CED56C19';
wwv_flow_imp.g_varchar2_table(19885) := 'F553E3158EACB44AE4A68FFDD88FF0178726607FCB044D6D2701FA571B71F77FF6061B750653CA0407D7300CC330065E800648000AC8500DA0C04CA3790B01E009B7F00C706008D9900AD50000C9E009D1D00D45E009A3700B0B8952CD17492E70055660';
wwv_flow_imp.g_varchar2_table(19886) := '053EA00449BAA44A2A9BB279055F60066F0007556AA5588AA56FB0A557FA05AA379D90256A0E819D27B1722AB89D2A6858E3098471C37A2777732DC500CEA8955CD9735ED99E610985767475660943937985E53549FA49016DC98550C77D5427A0017A47';
wwv_flow_imp.g_varchar2_table(19887) := '27FFF553A0849709AA9739C4A0F7087629E0A00F2AA11C704CCF548A8AC9981CD318823810F9E0A136D94930F00AC8400CC0F007AA100987100BC4F00BC9600504A07601F007D95005EDF007D71009D5D00EE1B00E4A900D49300AFA7005D7A00EE3200E';
wwv_flow_imp.g_varchar2_table(19888) := 'BFD978BB99A44AC0A449AA9CB2C9A44AE003496A056880065AB03B685006DD3AAEBB133C9483076F7004B0F88AFD14A660FAAE8F157BB4A89D08F1596C238C36D0722B875023576B6E6A7231404DCB366C745AA75ED98452981576C484BDB57CBED57CDE';
wwv_flow_imp.g_varchar2_table(19889) := 'C88E4035B1F8D996D84703E898A88A7A7559269F31C5766CF615934AA95C77A9FB78B229C06EE09487A598431240908D29106682900A710F06FFF3A199440056400CC3800CC76008AAB0097F700CC4800BD3D00866F500048006E2600E9EF000A95009C6';
wwv_flow_imp.g_varchar2_table(19890) := '1AA36F000A16889AB7000420800B56E06815200120E0682AF005496A065A50055A100966600571F0070060185650066CEB0786511886D00895600886E0076F600855EA098CB0A549009DF0BA71649A8B46994FAD267A1B667AAC87AFADD77AF77A62AC27';
wwv_flow_imp.g_varchar2_table(19891) := '103CD8AF956B7B6C83103F699E58665BC3B695C1377C015A15AEE5A8DCA85F2884419BB415DC74975B665224658E50C75C8BAAA800CAB1FF86431C304A69F16EA5C86EEC967EB184A9FB784E10C0A99DDA7606F066062911362B99FF460070500DC3C00C';
wwv_flow_imp.g_varchar2_table(19892) := 'B160079BA00A63500BC930ABA3FF004E2BFB6757990031F0031208001EE48009104BDF64781BE0688E06035AC0ADFDE00956800BAF5009A3F00B95000AAB700B95700B70F00AAEA00EB6F00AC4E00AE2F00BD3C00CEC60A33CFA665BAA04EBF482D1097A';
wwv_flow_imp.g_varchar2_table(19893) := '640A6245496AE1598BA5A58C3CD80230C083290000270C032070C2273C623CD97A29D00271287B5B4472B707949A975A144096BFE68CA26BA7081BA0C9178546E7A7AB9B49D4C68E4A5C64197502D8870325307C7489BBDE77759A447E60A74A5E7143F0';
wwv_flow_imp.g_varchar2_table(19894) := 'C64A13F086C56BB2120A4B1E90BC2E9ABCF05670AFA00FCFBB2A80B810D18BB37F65089F090DC5500596B00955A00AB800BE13104E159ABC83B5034D519F74B564CA0B823AFF29389E400D028C0B40A005D9F00543300DDD3A0DC9E007AF300AD9500E37';
wwv_flow_imp.g_varchar2_table(19895) := 'FA07C96008CC700BEA900CD9900DB600077E60A54AC04F3F09951D16831CEC62BA4872C45861BD68C3ADD7696E7AA6DF79AF52F9723D69104D898200B08BBA76793BB098CB8663A11B0233606CD4487CDD278544A68D2D657025B44B11AB4957C652DAB4';
wwv_flow_imp.g_varchar2_table(19896) := '0117AB5C7754CD540C7EC9C652F0C67EEC067DA3D497F7987E80B946F40C4B68B1B259D7B230E9BCA39A1071FCA77FE5ABC3000DAAB007DB7B089B400CCCC00CA3D06BE36B805D46043B101686FC887C45101490A4DD900CE0F00AB8A00468200D6FA004';
wwv_flow_imp.g_varchar2_table(19897) := 'C9000771900CBF50C0AFC00CAFF00FAF1009D36008C9300CAFFF900DEA400CB7000AE2E0076590043F7979194C831BD6C146B959F084140831AFB0376B8FBBAF15D69D2527C3272C10C50B98296072BD164A3D8C631F3003D0388DEC19745971CDC9D747';
wwv_flow_imp.g_varchar2_table(19898) := '2C0448BAA44B9CB4D68E14531940BB51DC7D534CC5CDC5496CD7A0298B160231B2F0CC7EF37CA9F65C8ACDF46E6C8700B4D0870032B30DF1CF56F86763700DC7D0076980C79BB0077B7005C7A00C91F04DCA6B7792C436B8A4412014003559DA8526014A';
wwv_flow_imp.g_varchar2_table(19899) := '0007C97005A3E0099E800B8DD008C9000A80800B290D08420A07CCF006C9F0D2B7F00742EA0A7FD00D91A0D0BB8D0645E0CA9AF78ACF69B84B39D4894B9DD6B9C140F883ACF6B84B71CCC73CC2B26672D9FF2D10FB28C32D100327275E2D05BA740A8D5E';
wwv_flow_imp.g_varchar2_table(19900) := '297CDFE7154CF895954485BBC4CDACCBD66B1D53E4F896E43C9772F97DDFF64919657EB22458697154108016089EC561074B816DC67C879806E00AFF200F190211D7414C004D003B40D05350076950078730056930059B200D6300586AB601E0344A0930';
wwv_flow_imp.g_varchar2_table(19901) := '584540423749DA40508A23200113D002E084701040AD7B13A557A00457F0E3D22A058773055C6AA5478EE45BFA075B8A0683BB6088D54E381812AF669D55CE62918569A15711AB67CBDABD14FBE8A6A535519FC5AEFF6A72029B0021A5955FCD95C4E784';
wwv_flow_imp.g_varchar2_table(19902) := 'DF977C40966C45BC42AB8B429E44990CB815E2CC02500C8672A9B1DFF6529C145369E17579FF4D8ABE4B8F0B0AC65ED7E0F8ECA2D5F40ADA51E10EE12E370BD085E4AA49E0E11F7E087550059B300A28F04C0860056F1000DDFA007EB0036560081E7005';
wwv_flow_imp.g_varchar2_table(19903) := '08F006BD46B612500670E00166F00557B05710309C9133ADD73AADD81A3EE1A39C656006E3BAECCC1EAE5CA0043B60C22960017148ED261BA68665692C869DEF9A50D7397AC75810911B5A25281230574F9A67C31D268BB0D7B9710A52C3E6D5C0B7845F';
wwv_flow_imp.g_varchar2_table(19904) := '597C433C65F4994277CEBA796EDF0221CEFAFD85552C7E44A68EFFBDD6015EBCE7148F5DD1C5070E6F12705411EFE8829543826D6500574D124EE132FBC6359BE9D0556028500B9D50074C20E25590067F100B53904CC7A4047EE0016FFFC00536C00549';
wwv_flow_imp.g_varchar2_table(19905) := '600591C0371EC0053B5004179900650008368006717B4E8E06761AA8818527D80AE74C2050CBC71C94BCD88B2DA0E01EF0C558BF4A1E00AFAE0C5A9386698FC5AF2A90AFB1FC72324CF5DBCD8BA0075A2AB003B4F7112446F6A1F77A3E09E65F76F6C918';
wwv_flow_imp.g_varchar2_table(19906) := '03E0748D73BA95C6866C41B76CD84C96DD98000978DF797E563241035C18C5E54CF05207A0E94CE8DF96F05CC76EF1086FF28816F198F92DAB7EEA7754199567C8E466952E11F900F29F64002BF0079BF0067D10FB9B1009499087DC98045CE0E4B96FA5';
wwv_flow_imp.g_varchar2_table(19907) := '63D0E455F0076300ED400007414E016FD0085DFBB58817BF87878A8E370198E7F66EEF11D3DF8B3060F5577FF5641C875CFFBF361F97ED15F603EBA4021350FE848758E7D48BDB7D6B92B64594279EF30473B9CC144914C3DF4D7AB716C3F6AFF62FDC8B';
wwv_flow_imp.g_varchar2_table(19908) := '00F1808181040C348408F141E1C20F181C32600000E2030C142126309051A30102043822406000E4489009102400F060030B1A254E4480C920660488346542848880814E900F1E50F010D403070A107E52405AB4A8519F4D2970181A9528040809AC9E44';
wwv_flow_imp.g_varchar2_table(19909) := 'F000232D7CF2F80100F0EF1F58B265CDE6830780160193250912BCE269542C4F667414146835639222564CA0A9C2A10A1A2E55DE58A19004C697314AACFCE92BC18A04005613684D50D5F266CE56014C00125AF468D1365A9C4ED122F5691B3654FC5001';
wwv_flow_imp.g_varchar2_table(19910) := 'E00790D9B5FF69DF06002477EEDA6589D8982041B865102D42136901637768B33BCAEA066203800A203BAC0368DD82AC76ED3680689FBE43B7771BE201888F1EBA35058C0C1E68D8F021E10C860D05E2745FF1FEC08D1EFD8B1CA9ADB6B04A0083955828';
wwv_flow_imp.g_varchar2_table(19911) := '21830C686290A6FBF6C389279018B80C28A9960220A9A498BAEAB20720E0808309A042CAA8084C42512B035ED1471EB35E841100B4D4628BA49030F288C2810AE29120147F6CCB03203830C9230010908020CD2A030B25949AECCC3326CB920088224243';
wwv_flow_imp.g_varchar2_table(19912) := 'CFBBD1C813ED07D98AF86108308BB8123ADE6EEB6DB9178D00C203E1DEF4EC0110CA44AFB918C78BEE3CE79C83114F159CCBF33BB05A938E50D776B0C1FF839D0C30088083E46348030C24C28FA2F7206274238D3C020940928E4431A5955A2A01809918';
wwv_flow_imp.g_varchar2_table(19913) := 'BCA926FC2492D027A044186A2A0832D490C3013D0411AA10A982E044025564D1C5188705801F78F8A1258001DF722B238C74C2A8C7686D340002442900CB3FB67C8C964927BFF5CCB226A7040B82118810CD05D2487BADDD225E83ED07796543D3CC7A97';
wwv_flow_imp.g_varchar2_table(19914) := 'F332372288006138380190C02AE3AA33142CD1CE1B94D0E8A4CB73871F0C05E24FECC213AFB5D80050AEACD3366EC134182880D6D1101E4D48214921744F0381EEEB8FA38C082049C0234F62522516103C61419B1C9C083F9C24621581087E0A0A560E78';
wwv_flow_imp.g_varchar2_table(19915) := '3D6AC3AA1EB0F132AA743D9A02AD4E3CF1FFB20408780500618985112D7E5C0920A4910014E9ADB2DF8A9659144FB2EA86363102800028C115D7C9CA36BB9B5CB3AA5CB76FD338B64088C02D88975EDB6C336B3635437B53B8092A90600200AACA2DE2EC';
wwv_flow_imp.g_varchar2_table(19916) := '4EAB3C4FE9B0D3CDACEA1E6E0DBB8EB9DBBC7242B9C318E3E4386EE1061B4CC0E9BD83124A0800851EC20903063E5019274D5D261BAB4F4BAA2C82034B4870269F755C95AC9D86265AA8A321C056C3A27C1AB0A4A19F1A316A08843609FA0708A0E51FAF';
wwv_flow_imp.g_varchar2_table(19917) := 'B886D1587DC00E29231BDB6FAF3DB49975CBA40784340125979BFCD0A87067B55B94CAF2A4E78C063DEB0ACA042030A20934B08142F0D2E1EA75387A2D4E058DB3400746A002157800FF021230817110152840BD28369D238BBC00E59D8E918550B9D152';
wwv_flow_imp.g_varchar2_table(19918) := 'C1C00396D56DCC7530D84F0442B0819145AA22F8A9080624E5BBDF95C4886B03C9DDF072BC0469A0411789D04E401201B050F14447F100AC86423DAA58AF28093851D94EE2AA100DA54454CBCC87C6470BAD7D057D66511FFBC47836F9A5CD8EF43B6202';
wwv_flow_imp.g_varchar2_table(19919) := '3CF00313308D234A7C8004DCF4C13779A05F410958B8A414A504B82009A439A06884C240067A200584FB0111248838CF2D0E608E1B810BC43404179840022D38E0BE88008055A2AB73288CD1BCC85204B274CE4B58624EC100C0BA8EDD90023B81080F13';
wwv_flow_imp.g_varchar2_table(19920) := '72100DF0AE21BA8348107D129181F0A72362FC5165D8E62D0A19EF66C8FFD3D94D500546A175D38A6004E35100203DEA55CF7AD86B1A19A1569413F52A014879C08AEEB1B53792851FF2C807FBC47612B361A46C774C5BFDD846811FC4605604614B6502';
wwv_flow_imp.g_varchar2_table(19921) := '8902097C48021B68E843254015CE902B0189B48AB5FAB62ED310EA6110B481BCC06438DCE0A64FBB99CE2025E0021790C9953B00010C50D9B1EA2C2C745CBB2976B8F4A2CDE132373374A1A16C7003186C806910C9000F8939320DA80C990C50E6A430F5';
wwv_flow_imp.g_varchar2_table(19922) := 'BB5B65C56E08189787568202168820031A48D5F278128124820F7A481927514AC42BA350057B57119B879E12A2119D319C47211F3FE8813E379AC52B60C34C67286415AD0C76B08C24EC4FC4C31E0390258D4833CAFFE406A8C429052C9101F39F071E69';
wwv_flow_imp.g_varchar2_table(19923) := '84221881086C220299443B5AB0FC809664322D00443B4BB3B45295ABACA5078253012088894C58DA012AA31383D2C56673856A184F5FC9A74295EE39997358727F905CEBEC20062648C9D000B081156C80BAD655AAA334901295398A2C0FC89B65B4D294';
wwv_flow_imp.g_varchar2_table(19924) := '9478A829E4A580084C908217B080034E84C9D0A0275FF93E40BEA6020B053620A2B44A40ADB4528A5B9932DEA394517AD3330A0532C001113C808DF48C513F60548F7FA4220017C670862F4C000D77D8C317060B54E41623B995386E1D41718A559CAD17';
wwv_flow_imp.g_varchar2_table(19925) := 'E9D1042600C18B650CE317C360C600B8248E2790021E5B120020C0F18FD79B82200300BA4736325814FFA8950F62ECC51E30815036E0260A80902C1EA86796B52C94A084484518F64846F8C39F9711E00028865100C8F261AEC10C7C21E170875F246735';
wwv_flow_imp.g_varchar2_table(19926) := '7704001FE1089A01F0E138679853D402F3331140005BFCE31EE87347A215ED0EB0C0231C7FF043A4253D694A57DAD294FE83210CF1074E77DAD39F8EC31F423D6A510360D4A6260B20FEA06A5587DA10918075AC2B11894C3462D6B78E04251A41095DF7';
wwv_flow_imp.g_varchar2_table(19927) := 'BA1160F97559220180585362D8BC0600AF8DADEB4834A211867876B0893D6C18550200BF0EF6AF9B4D6C6D77DB2CDE260BB5B77DED708325D7E68E75AC0D0196488365DDEF46842110E18779230200F5BE37A4FF80887DFF0100FDF683BFF5ED6FFF49DB';
wwv_flow_imp.g_varchar2_table(19928) := 'DB0F64D9B7BC357D6F44D8BBE1F4AE77C4E93D7187F79BD37E50F5A601B0698E1BC20F9AD677A421BD694E6F9A11206744A6FD707246F82113EAA0873C14DD0E9A33BA2C69C13900702E0F7988E51FFD007AD0853E74A2171DE860F179D2639474A62F7D';
wwv_flow_imp.g_varchar2_table(19929) := '2C6419BA3EF47174B328BD2C62A9E7D3B31C74A8077DEA57F739D2B53C76B2573DEC6631FA8BB05E4F0903A0ED6587BBDA993E77BAD77DEEF7D807CFDDD10E77C0C3EF6941DFA1EBC17378C8A3F087377CE211BF78C52BDEEF3A274BCEB5B68EC453BEF0';
wwv_flow_imp.g_varchar2_table(19930) := '94D79AD678BE7979583EF32E027DE6D3B2D7CFC75C6BA69747CCF74A7AB358BEF3A097473CE8A1FAD4671E007B8D473CE6310FDDC7FFE3F69BCF3CE9773F8FD9FB7EAFA08F073CE8018FE4CF5E1EF3887DEA811F8FD49BFEF7A89F0759580F96D9775FF5';
wwv_flow_imp.g_varchar2_table(19931) := '91FF3B596A0F96D093DFFA6659BDF4577F7BF6D773FB7EFDFCD6E8C9F3CC53FF458D2F3CE1FFDE78EAF79FF3B0A7BF43238B7A20C04313C0C03BC017C9870564C00674C007CC0700B8877AC0070AC4077BC0407CB8407BD0C00CDC400C0441102C0B0C04';
wwv_flow_imp.g_varchar2_table(19932) := '0B12040013C48705BC8715BC070D74417E704100C007198CC1133CC1E1AB87E103000B74417C60C1169CC1130C417B289662E187AF38420D5C40195942183441B2B0877A008B201CC128ACC027A4417C38C2235C42054C4218E48715AC87EE5B417D0000';
wwv_flow_imp.g_varchar2_table(19933) := '33240BC1DBC1358411FFA973C33784C3044CC3DBBB077B30C07DC0C33CD4C33DE4C37D58C1EC2BC110DC3D7A90BD42A48779C040E2D33D441CC246D4C01F5CC135AC073124BB2DB4C44BC4C44CCC44078CBB4BDC3AB06040233CC2A03B4238BAC40A24C0';
wwv_flow_imp.g_varchar2_table(19934) := '54244026E4427E68C02314417BE0077BE8077E683BA113C5BE2A0B18D4C0B2C887A9A33AB7FB8A50DCC52C84BA527C115B1C3A57FCC1B8230B3884C6372C0B08E3C019ECC36BC4C67DA8C2461CBEDD1B42466CC470EC1A0824BB70144167E42B7BCA4564';
wwv_flow_imp.g_varchar2_table(19935) := 'B4C4B123C6B2783BB070C50544C223D48705ECC15E74C33394C675344252343AA0D3872D048B5A74C3087C465DF44582248B25AC8728B4C42E4C464F6442674443FFB090BA36AC07A933C017B9C75F04806B7CC36CBC878FDCC670F4467354C9101CC707';
wwv_flow_imp.g_varchar2_table(19936) := '7C11DFBB3D40048BDD038BDCB349B29049F42142228411DF5BC4EC034499444429DC2B2934CA288C423694C4EC3B4AA32C411A544A292C0B555CC5DBEB3EF4993DB05045099440019443EECB4AA5D4BEA97C91B0BCBFB278BFB1DBAB15F4C343A3BDB71C';
wwv_flow_imp.g_varchar2_table(19937) := '3FF41BCBF55B3DEFA38743CBBBF68B91EF8311F5E3B9ACA4CA54D44AD27B3FEF8391B4743FC344C7C564CCC674CCC7843BAE7BA3B5834CB9E31AA2ABCCCCD4CCCD2C8B514805001805500000D10485D01C4DD31C054F8091571885ACC91AB0604DD87CCD';
wwv_flow_imp.g_varchar2_table(19938) := 'AC590500B8055CC0CDDC0480DCFC05002006B0E8CDFFDF0480E0C405DF1C4EB2F8055CE84DE0248BDBBC855B70050088CE580000EAAC4EB070055A980BB5C84E5BF0CEEFF4CE1889055A0006B01806E94C85CF7C23F58411D5340B4F604FB3B805F92CCF';
wwv_flow_imp.g_varchar2_table(19939) := 'B2384F00A84FB0B8055A884E5AB8056098CF5B1006DF1CD061A84F5A18CFF11C16EBB405FCE44CB5A8A75B2086611886099DCFB2784D3682D017B1055A78CDECCCCEEBE44E0D2D0BFE345110BDD037A20C00D20CBCF10CCA801118FD0C07921CC9513207';
wwv_flow_imp.g_varchar2_table(19940) := 'FAB11C9B8E1D5581161881190232D4C11C1F3D8D11008BD8E0200EE2D11F6B81981A2700E000EB2A8B0D88112A0580A4CA006C018B0DD82EB0E852EF82912F1D16953900B8730F06A000140000FF350D3114D800146053B270533545010E50532AC55300';
wwv_flow_imp.g_varchar2_table(19941) := '100137AD0114D0811700001E000B167801400580F63AD49B290BF0F2520D5881100080478D54487DD0E690974BCD17B2D8811BB8814DBD0100E8543E390FA28A0118C8982B7BB1B2C0B2B238B219F30043E51A0D1A960E00005A050B0BA88061A10C1BB5';
wwv_flow_imp.g_varchar2_table(19942) := '511530520030522355011700006255976325A5DD205658028B656529203856658556696DA9DC1802ECE0D44F1554B388011EC8986EE5814F350B1D000B1D30570038571D60011C60817225574025D7B2788178355435A554B28800274A0900D8A110D8D3';
wwv_flow_imp.g_varchar2_table(19943) := '43050016D0811A08581841813E45580040D88355581C280B1D385887350B24700EFF24308261110200E8017495D3B270581CF0D38345011C00D91A780182ADD4B8E30BB2B8D87D61A5D582112F41977D0102CF62D618190110C859B0003260358B0EA0D5';
wwv_flow_imp.g_varchar2_table(19944) := '0EE8D9B2789C5855810EB8988B31D6501A56DD68DAE55097CA21D6E938D622682952BA5652B2DA64350B18F8D3AF05D417C001580DDB79E558890580B1FDD8B4250B45258B1A58D7765DD7B48D5B7665D7768D5414B857302D8B13B0D2153858BC4559B0';
wwv_flow_imp.g_varchar2_table(19945) := '40D91A5801853DDC4825D8C3355CC3358BC455587465821841821E4082B2B85C411DDCC655DCCE050BC88DD3B1832DF449020028DDD38591230000D5555DB3A0A54C050B3EB9D9172A2135910D62B155B018015AFDD55F2D8BFFDDDD5DB2085A9E358B5C';
wwv_flow_imp.g_varchar2_table(19946) := '7DA3A95D5283C98D134A520E8A98DC885651925EAC55ADEA258B18000BE5005442555B432D5472FD5381FDD3EEFD5892D501B44DD87585577535573F4D5B882D0BC03D5C2AADAE491501C25D813E1D16C8CDDFB268DCFE251682AD01CEC5DC25A85C03BE';
wwv_flow_imp.g_varchar2_table(19947) := '5CB2B8DC25881100FEDCF875DCC1CD3223480222488223685900C8E08BA525BE28DD0E066196E58BD6058B0FBEDDD8D50D51650E840100DEDA0D4011D5B1EB5DDD7D230DE25DDDCD5DE2ADD5DF350B1760DAE948D20DE220219E8E0D026294D20D625501';
wwv_flow_imp.g_varchar2_table(19948) := '52925E68B5DA4D1D5781050BB10DDB43FDD3826D5B72555BBB1D59914DD8881DD901C681C195D81A705816805BFF826558C02D3BC8255CB27063B39058C6655C92050B26D8013C0680CA0DD405D6583E3657C6451F09268B317EA322A8E00A66250D4664';
wwv_flow_imp.g_varchar2_table(19949) := '0BB6E0D6456444AEDE955DD9552A8223A0A5B228DD13FE54EB302E145A9D8989E1082216DFF5D95326BB8BD15D5F35DE1C2E0B1B36655A8D0D1FEE5D5A1E012346521A6ED62476818B49D62B31321D300188BD62B445D7B11D5FF0B56243255742EED8B7';
wwv_flow_imp.g_varchar2_table(19950) := '1DD93525E642D66265068BD0956067F65FFC15E0078E6307360BC78DDC7245D725B88125D8D63D16D40466E025885700A08161595C712EBB4D8E640F8EE412562D7CE6E77BF6677BE68B4CFE811B00AA89E9A941C95E244EA1458E111B7E115346652D83';
wwv_flow_imp.g_varchar2_table(19951) := '68FF601D5AAE31525786911C0E5660FDE1629D56B270818D55586226D9763DDF77E6D82C8B666C065C33B6E3F3F5588EAD81937E112D46DB311E63341EE718E9E617E15FC265D80756D8C9250B0626E73E66E08DE50106D666AE41591A38817ABE647FDE';
wwv_flow_imp.g_varchar2_table(19952) := 'E717595912BEEA46F6600B7E11222332EC9D182070591742291881AE87268B8B7EA350220B55764C0BA855B8C661E095D517C9DDE0851155D60D716D58949558658E5763E61A9C46DCD08D668275D899BE692D060BB485E9F21DD8707E91CD25EC7A6A6A';
wwv_flow_imp.g_varchar2_table(19953) := '85455926D08125600224406724600223D80103268B6DADECB1A3811588677E8D917F9EA54DFEE04D068B4C26E14C268B55E2ACD0821119D80EFFE5C5EDDD1057CF028B8B35938C7E651831DEDFF5D5603DDA94E561E3165E00C8A0B6465ADFFD133655D3';
wwv_flow_imp.g_varchar2_table(19954) := 'C5C601982EE494F66E18C1DBB77DE3C666DBC686699A7ED89A46579426D8B92DEF2CBBE9CB8E914F25573C06EDD1060B03266A9E8667F9368B1210537D8E9195ADEA17C164EB058BD6C5E4D2258223185D62298FB2B858B0C05E9A350B1B10E9E7C668F3';
wwv_flow_imp.g_varchar2_table(19955) := '1C851DEE61E79ED51A068B0D370BE8D25FF95EDBAEE5EF760D6ABC9DDBF61EE3C8365FC1FEEEC6A67133865BB2DBEEBE0E583BE6EFB2E00126E00141D5011E48600D0E54A38E91D56ECC4BD6E4D5755D282761D6028BD12593DBCE329715EB7DC9A97AAA';
wwv_flow_imp.g_varchar2_table(19956) := 'EBB2584EB248063950E2B406F1FF7A92EBC574633126E7971ED7743666C1756A329663F23E73B278679C4671B2985C227F1174AE733896671AF06FAE515DD84EF061B1EDC5EC9C455F74A222320FD0D23792856000803D2004B2200665280BB7BEF37A9A';
wwv_flow_imp.g_varchar2_table(19957) := 'E82C5B58945D573326161E40E9B1C3F1CA2663F48E11894D67CE4CF59D166F007067410574D0368225C8E3007EEFF865F27ADAE4D6956DD53D2D2AE79A5512EB659FD99B7DA3B30EB1C9999537EA055C480600680567688661F1F44FE79AE42EBB380DEA';
wwv_flow_imp.g_varchar2_table(19958) := 'C2A5F1C52C775A7F23418D756744F540455738D7666B966021FF6C1D400223B777A70EF6B248EDB83B70437772627970C8947409402BF4294E5908736F67F82C3BDCA0864CFF43AEE9EDA6F8B445D993BE78252F3BB40D72540FF2374A718B8711A59E5C';
wwv_flow_imp.g_varchar2_table(19959) := '94D681FDDE66C7BCEA86AF27A8F12F80118104B8839F65F99A7F111488E3C9B679F499F5B88B75547F67938691BF1ED7B200F4D226EA9E87919C1F3BD9DE795DE580B41A0AAEC10559C0054B7FFAACD7FA74874C8F57FA7A126C2660E0937FF778D5EC00';
wwv_flow_imp.g_varchar2_table(19960) := '76D83846ECAD77C62883764A1FCE5550854F60FBBAB7FB7375C6AF47C7157058751F7B77766721273BA6B7FBB27B7B9C7D912FF0821759F8C277FCC7576FC8C4DBFBBDE32027FBF5FE78C877EEE4D061E8261629D0FCD0177DE75E7721177CA746DCD187';
wwv_flow_imp.g_varchar2_table(19961) := '3BE5500D99026BAD8B9131008031408331B00200A802B0C8D5FFE155FDDE07F11A2895482D01C03DE31A774C09DEECB1C3817DF77D6229E816E66B62B1022E780337408317B180506FFEEDE7FE17596D9407F2A396E36F2EF4ED27322D037DD0EFFEF567';
wwv_flow_imp.g_varchar2_table(19962) := 'FF614181A82E958C058B23E7F3F6FFF40E9F55EDB7FFFD87FCE107080002070AECA1430700263C70106CE8F021C488122752AC68F162C4111D340A3423F0CA1A8C2247922C69F224CA942A452A44B8F225CC982A25C8AC69F326CE9C2F7930D1C1B30680';
wwv_flow_imp.g_varchar2_table(19963) := '153A87122D6AF428D2A44397F448C84329D49B1D2C74886AF52AD6A33D9030E5E112C70A1A61B392AD68E1E159AA6AAB966DEBF6AD43AE3C9F06154B032E5E816C0956DD0BE06CDEC0828D3264BAA4E1D8FFC18A25025EECF8B1491C2E791C866C59A2DF';
wwv_flow_imp.g_varchar2_table(19964) := 'CB9A370300CA50200AA19C35BB70917934EABC4878F458E21200129F3E01CC4E1DB89BB86DE07403D8D60DF73671DDC001CF6D3C38F2E3C6713317EEBC79F06E00844F973E305CB670DFB0DBEE4EB09CF7C1F100D86B585EA0BDF4E9F1613C4F911F447C';
wwv_flow_imp.g_varchar2_table(19965) := 'FCD8D393270F003DFCE117DF27580FC03D03D5971F7EF71048E07E09EA74CF3E0C06A8A066F730D81082105A08533EF95CB8D93EFB1044CF3EFD6D38A249F5FC4762771EA2B8E248F5E8C3228C31CA38238D35DA78238E39EAB8238F3DFAF82390410A39';
wwv_flow_imp.g_varchar2_table(19966) := '2491451A792492492AB924934D3AF92494514A392595555A792596596AB925975D7AF92598FF618A392699659A79269A69AAB9269B6DBAF9269C71CA39279D75DA79279E79EAB9279F7DFAF927A0810A3A28A114C55028A20FC19028A38D3AFA28A4914A';
wwv_flow_imp.g_varchar2_table(19967) := '3A29A5955A7A29A6996ABA29A79D7AFA29A8A18A3A2AA9A59A7A2AAAA9AABA2AABADBAFA2AACB1CA3A2BADB5DA7A2BAEB9EABA2BAFBDFAFA2BB0C10A3B2CB1C51A7B2CB2C93ABA4353CA3AFB2CB4D14A3B2DB5D55A7B2DB6D96ABB2DB7DD7AFB2DB8E18A';
wwv_flow_imp.g_varchar2_table(19968) := '3B2EB9E59A7B2EBAE9AABB2EBBEDBAFB2EBCF1CA3B2FBDF5DA7B2FBEF9EABBEFB49FF1AB596DFF5EF6D4538B4AD4546B48347598570227F59A455C2121D0121303E01A4F0E2385D00B0219FCD00A3A586C71B31A23251A411CD7204250FF02D5101A6CB0';
wwv_flow_imp.g_varchar2_table(19969) := '190640C61077D6D05D89998CD20A0CB1A0430D3A7C86326828002590C287D90CF2CE2F8956430D2B1C8D020054B77C3541151FA690442B9C40C3D727343D92062108748268541F7D73DAA0F93B100F745944F4D818998DB543541B6D350A3AA06CB1DD02';
wwv_flow_imp.g_varchar2_table(19970) := '65A041DD187D0080D9623FB476DF0DF1B05A658563D5B7D003BD2D7956216CB0C2E688592D14DD982395C4134950F184404F549144444934710412B0032EBA4DF7C9034F43F611843B00B78B487B4EF5FD1E203DFF9D282000E3E9B73CF036A928D08311';
wwv_flow_imp.g_varchar2_table(19971) := 'CDB34F3C1E563F0FF6EE357F12F51E6A8F51F7F6CCB37D4CF011C45E45D63F4FFE551EEE53DEFAEC4335CF78F9C543CFFD04F58F18100021F904050A0000002C73008B007401D4000008FF0001081C48B0A0C18308132A5CC8B0A1C38710234A9C48B1A2';
wwv_flow_imp.g_varchar2_table(19972) := 'C58B182BFAC9C8B1A3C78F20438A1C49B2A4C9932853AA5CC9B2A5CB9710E9C19C49B3A6CD9B3873EADC09725E41793C8332AC2750DFBD89F8F0094DA97469C4A3F7F6459D2AB52AD5A3F920E6CB6A8F5F5600FB9CBEC4C78FACCA7CFC047A55B83524BF';
wwv_flow_imp.g_varchar2_table(19973) := 'B408E10EDCDA1640BF836F237E35D854E0D7BD04FB09EEF7B6B0DC82F71243ADABD6E2D181F4224B967C912EDD8F8AF749BDF83864678561B7EA1B4D1A40E77BF604E2ABC73A31517D0235B755ACF6EE5CD8A501C0CEAA3831D8B0098916CD4BF8AE60DD';
wwv_flow_imp.g_varchar2_table(19974) := 'A4F5A5059C90F8E07E960158E6FDD9E0DFB5D3B3D34D9A982CD9E7CF2FFBFF4D4ABE9E52C6791BBEDD9AD6B0DFAC7FB316067018A257C6F4610FD4EC7BFF66C3FBB067587A386906DC3F0C21E8957EB911964F62D149571A5DFC1868A04084BD751C6EFA';
wwv_flow_imp.g_varchar2_table(19975) := 'ECC36158505978E140E065A85951038DA6DB7B1822375A5BFA6C658F3DDFDD651469F724F7206BED2174CF83A6D5D3DB90BDF153E23F256698546A49A1858F3D932965A444339A05003E934526CF965C0285913CACD543CF3D9105296664F70827904C63';
wwv_flow_imp.g_varchar2_table(19976) := '3E49CF3C6F02601E9470D6F9E69D70AE44E63EF2A0F95B5861D1D3E7415EBAA81B6BF910D6599632E9D38F723BD273E13E194A07E351490A34A4889A0DC88F8AB08958503FFF945A6A3EE6E50329AA92D533A33DAC81FFEAA860F94C56CF9600C0239375';
wwv_flow_imp.g_varchar2_table(19977) := 'FCD4F3CF3544EC20ECB0C4124B4412C826AB441100FCD02C114A48A144124A54616D15565401C4404A0050050056781B2EB60E49C12D005CA4AB2E175E706105BB5C60D4EE1B68B851AF1B657051EFBEF6DA6B101AEE7A012EB86800E045B806D3B4AF40';
wwv_flow_imp.g_varchar2_table(19978) := '6E0050861B55EC60841147200BC013DD562145155E682C50C7E10A6CEDB4D40A5445B528635CC511460061C40FC2F2A084C002996BB2B7265B7BB0C00727EC85143F9B6BB3CDDF5E7B2DD05EB43B06BA658C51864065441D35BA0273B1F418EE0E8C2EBA';
wwv_flow_imp.g_varchar2_table(19979) := 'E3EE0C6F15C9429BC43570D5F7E03DF000404B0006044080DB701330100174070080DD760B24B7DC0640FFE0C10609106400016D076078DE72036080408B27AE3743096C00430B37DC60430C2DC47003E600700E800D03C500510C30940E40E929C01003';
wwv_flow_imp.g_varchar2_table(19980) := 'E9A5C3707AE707890E3A003708E47AEDB3EF2090E52CBD00C00B30A460420A2F984001027523405004CC330040040038BFF8017ADB2D77DE8A1B80C0E203617F37DE6E2BCEF8E2DA6B8FC0F90F3010010309346F00F5071820FFE20CC82FFEF9F8E3CFC0';
wwv_flow_imp.g_varchar2_table(19981) := '03146C0000071E0080073840C0011610051E30C14006E881E299C0800044C103943738BACD4F7B0940400068F11EB3DD431EFD7085011E9080129AF08400085CE006F20081B490851EF8C10D38008114A6D08436CCE10B01008104D430870AF12100FF1E';
wwv_flow_imp.g_varchar2_table(19982) := 'E0012010E1884604821201A044226CCB204E8C62128970909641110051A4A21114A2C4962DD18858148817C338931FC00C66373081F212F0000D8460201B78E340340080376A808E0FC82303CEB7C23CFAB18402395FF92E888015DA3001EC6B5F1E29F0';
wwv_flow_imp.g_varchar2_table(19983) := '3F16B0000725C800F3263944E845208FD01BA21F37C93F0E98C075AE2348E95647BADDD54E7395BB81B02A47B91BC080039B64231BF947815A1AC016006087693C288F7C88D084852C242203E73C44DAD07903515E21FF473909286E8D194C8001A429CD';
wwv_flow_imp.g_varchar2_table(19984) := '435AD390CA0340360FA23C0E28F19BE0A408107E30CE7292939C4CA42238BFC9C48238AB59660480EEE4F9C4780AC48CBADBC119F5C9FFCF7DBE7320FF04A83D1F523979AA727326282102F248478184208E0309410834F0010068207DECBBA00B05D23E';
wwv_flow_imp.g_varchar2_table(19985) := '638ACF7184331F1B95B7C742B2AF90FCDB80081C19C9F531E0A5D18369F410003DF6D9B4A38B1481027FC753DFF974940749A550114A434D72B296B6740500D4B1CB82A04A1EF6F8E509858943822093202B2C24054C10030F4C507CD314E60D83193865';
wwv_flow_imp.g_varchar2_table(19986) := '4693AC814CE1360922811B4CB18BDB722200B6C8C42DBAAC592DFBC116F53ACF818C939C4E04823E0502CE1D8C13A004199660FB9A4FC13AEBB1FD8C2CCC10D2D7C44AA476B4D3DDE6524042936A208EA02D8844277AD121D66F7E886C610410893FEE35';
wwv_flow_imp.g_varchar2_table(19987) := '0E0074231C36CD7A523FFF6E000525C82D069A17D3F5ADCF98FB739E70D3374B0A24B0202648AE7293ABBACEADCE9443DDDC0B3860D43CCE92961430802BF4A1CB7BF0121FA918E10987E9D114AEB620570D5C1E3D7003AF924F71D504A40AB13A90C505';
wwv_flow_imp.g_varchar2_table(19988) := '8E7BC9CC60411E00836F1A56B0ED6CE7130DFBCFC73EF69E0486E7399FE8D70017249F03C99D40342BE1C1362BB13013963C358CD8CF4D7876165965E5385042F66100A200F05F1DEB68478AD2F1A5D2941F1B2FD942E20211B6B01DDCF9A23710F599B4';
wwv_flow_imp.g_varchar2_table(19989) := '84FC5B81084A40834862407DEAB364F4D6173D62A690849BA40000592090E416C4032C602EF0542703DA45777330086075D90801A4026EBBECA0075A9C8A0FA084B7FF876445E16CB509BDF6D9B0C61CD8410C624C3E6AE270BE8C13DCDC10625F814840';
wwv_flow_imp.g_varchar2_table(19990) := 'B08B75ACEE9CB5AD0423989E663CF040076258C316249C9FB3018811D2824E539A8986051D80010C3A1B345A209AD6B45F378D9154A7A086D36CA18ADF28473ABEF103773CF24BE7F7D20760207DC4BDAAE22C48B860FA71B5C85664275950831A94E003';
wwv_flow_imp.g_varchar2_table(19991) := '11C0408F672ADCE7A90F91C18DB294ABAC5C003CF08122F080B8939B8218C8E006E73E77E5D29D820142C0BAABC56EFF12C0C176D42342D26933004021DE689E10CAB2D426479B8C4C3F52A00540F05FE3FC1C39097040021B9080C401E0CC1E8ED72110';
wwv_flow_imp.g_varchar2_table(19992) := '0082A911AD610E87BAB299F6306101BAAD273278213BFF48B53C198DEA088FFCD22F87396155806A554758E31AD71D888565039D1F84C39FDB4100B7D7C60DAC60B41F9023003EC0740C6040034E1748FCF6F7EB0F00BBDAF60B290657C84846E6310306';
wwv_flow_imp.g_varchar2_table(19993) := 'A740091E09C91344DBB74BCEE64B5DCA3C9C2EB2961BA0AE080080C0B9871B800C4CE0F0BA3C541B58EE062D78E0BB65F9F60D48F901B1F8873B7E04A4BF7C1000E155A8BF65B93DB60D8EA3ABA5294D1567B804608EBA765B5CE70140012078A06F2030';
wwv_flow_imp.g_varchar2_table(19994) := '01083A0D02098C17900D41F87F232BCF9A4F38E5B3FB81A9090B46853CF6B008293016A928106661A4B14C6C81ED44CEC40CF7DCF60F4E35D04D1DC00C32E0B3FEAB75082A8AEBA6FB7AD7F2731EFFD47D1D6C43CE8F00C803F20E0782540A6480022BC5';
wwv_flow_imp.g_varchar2_table(19995) := '419133B0DBE7F1D8AABE5DFBFE688CDDB8FFEFFFFF5340008477E496025DD602EAE67736200381E701EFF63CEDF36E1C504BB0440B08C2788CF1206E364D67654206200156F00795100970C02C0B45798054046560054484063B9000A6264D43E0010100';
wwv_flow_imp.g_varchar2_table(19996) := '0245B00110A0041E9000AE070116F767D5B410725301E094578BC64F7D3550E874610661604C684E2707503DD70229403B1BC7119525613147100115722087103DC759C2F442B4B67D4B77861F800169C800D2167E30F574C1E55117A4637CB4432A9662';
wwv_flow_imp.g_varchar2_table(19997) := 'EDA752644703F4676D4C16019A17533E866C9CF442FDD375A427650434800C548006FF280329806E08C88082076534566671E70114400BFCB078F0B1171AC80FAE807E92974106A004B4500DCC000AAE800CC490093B708267F500E2D00EEDC00C56200E';
wwv_flow_imp.g_varchar2_table(19998) := '6F9000D9400F2D6000DD600E091009D5100055A00FA3203725440027C43705115F1CA58C0470682AC0739A9672CC6710FA14699386580726600B168E87956AA216851C9173A0766AE9382C15516A3620014457740EB5620241516A6851BA963DCEC35018';
wwv_flow_imp.g_varchar2_table(19999) := 'C53E02273F5A37863EC87E89D87E634703909401190000D2967F99646D3C866484B749025166ED47810388777A070029F0880898021F598937E443D8F537AF500FEDD015D6F141BE448A64850057500DD1600B5FA04A77400CD1FF700B454055250401D9';
wwv_flow_imp.g_varchar2_table(20000) := '50050F500EAE900D685005D1500D864000C9B00E86F007C91000A0F00BC90002CD9800CC6868CE240135E44C3CD895CE447120900443A00463299649000043902C02B12C02710445B08D93C66092D6600DF18D13617223C76A2F373B38B77B0E46119A66';
wwv_flow_imp.g_varchar2_table(20001) := '020F80419FE550DB67864CB774D2266DCE73002F757D0C79752B3487DAC38CC5D57E0FF06EEF564B638703F2477F93F49002A17FD5163D36F6003476493E480116594B0E9791E2765C1C290390589B1DD96E8307659909010F3740B6200FEB500F653317';
wwv_flow_imp.g_varchar2_table(20002) := '2C398AC2144C4AC00CAE580949E006639004B1800CC9000A3F0865D9500601400CAF709D9E500DA3C00C09900C95FF100DD3300A14600E86000E6F609917570156F09E3E60054A109FDD32304AF09E00700566F0066F0007FD090702E19F0020A000D09F';
wwv_flow_imp.g_varchar2_table(20003) := 'FD790747704EF1D4851861971951591C764606616ACFF76935B7695A5873AFC65127669815454789898F50273D06D06BBFF66B36E53CDB737E56097B79F4438528762C8090464649A2596D8F695A2AB45ACAB69B99895D8B18A4E3A6401D0989B7D90261';
wwv_flow_imp.g_varchar2_table(20004) := 'E680350664AB3980AF400F29C91C41D24BB4E092D16408D7300CCFE0098BD009AA6007B1C00C52F9051C6842E110096F200F6F200E7F900DEC100EEB9004D5F00657D00FB4A005FAD00DEB800BEC894243F09EF269055750057F2A9F4A70054A9003E062';
wwv_flow_imp.g_varchar2_table(20005) := '055FFF80066860068E0A3505030068F00605FA066550A9E80297E8B46002861172698E5C147CBA47692567731EA67194D51029A76780D36B85295167B8748949478CA98FD7477E71984273C88C96F942EB77541B50029E490366577F0F89A3C8043DE9D3';
wwv_flow_imp.g_varchar2_table(20006) := '641DA53C3F5A4BEF969918C9400448A4B799ADED4643244478ABB9019AF89B722217702126D2610BCC184C06E001AD380CC8900A9B60089B8008C0000DB7309D3F5842B7500EE280061BE00ADD090404000A70000A5C4000B7E00991000A095006B8D07A';
wwv_flow_imp.g_varchar2_table(20007) := '13207112E7012060055A60B168209F68000868A00480F0074AF0067140A957800686D0946670B29110098DF00700E0076F6008FE59099460A95CFF004E8F45453A1B46A27A100E1A600B9A10964658A1567B00A07C11566A390704D598588B35A17A29B4';
wwv_flow_imp.g_varchar2_table(20008) := '36A040C354982C46104CE77D47E6860970A2FD48A2E4A363E67349646B676ED7422840A3A0A96435356DCEC376C35448AA4981D23AAD6546400EE770E3E66DDA7A9B0FC49A40A67E3E68914F0A00F6902805211CF980AE195448044004C4800CEE6A0887';
wwv_flow_imp.g_varchar2_table(20009) := 'A00A9BB007A9000DC4F00BAF6001544542959942AAB48378533718D40214E04312206E02E40112600256B082B8500F21F80BA0D008AFF00A955009B7800B9E700B8D6008C90000EDD0A600100DD9F00AD7C00CC59B0DA00000B7400B7F80075F90444AE4';
wwv_flow_imp.g_varchar2_table(20010) := '2C3BBBB30FF17B9E7A4FD71885BAFFE769B6A37C300002475B102D303BAA96A1478BB4EC4810EBFB69EB9B3B3B0003146053B2365AF498B569286DF755A2E4F76BE5973DD94338E8A74D3B4A671934410C250208C987BB85AC561591FA375375487AB129';
wwv_flow_imp.g_varchar2_table(20011) := '6EACF9A214A0B78BC8BA1C393CD99A5C1A5C9D3DF9761420AE2A291D9021138B9BAE2514004A700DC4300CD8D0076980089B500791C00DB7F00BB7D0023CA97E0FE0493BA040DB6341DBF364FF7663F76906BF200D8D800B7F30027F200D563004D20007';
wwv_flow_imp.g_varchar2_table(20012) := '5F300DC9100980F00BAED00ED3100E86000AB7C008D3700BEC300DD3B0BC8C20B36FC005E7D4AAC502583DEBB3CD02850085807BCC852AA78D3FC77CFFA5020CC66A1CA6BE13FF4A398C6C39D718033D64531B907D75C47DB49A86BEA68F23E4B5BA563F';
wwv_flow_imp.g_varchar2_table(20013) := 'F7356CE787C03604887C144D6D4464F2770292A46413DC632EF59817AC910F447A9A296506947755263CBADC910FA48926EC47ADF9A4F2300FE4BA2682F2C28D6B9549A09CD0700C7D50B9AA50B9C2E08AB7E0B9D6D5C40960026F793C95275BF6F56705';
wwv_flow_imp.g_varchar2_table(20014) := '6100395005A0000ED2900CB7500940F007E130A8CA600871900CBF50098CA09DC3900CFF1009AE800B91100DC3700B00E00E385909E2000A2B488E154A724BB4BD7B8C4E72F94E5108044590C782CC9741D79727A7711906BFCA5785DE264002914055A8';
wwv_flow_imp.g_varchar2_table(20015) := '7C94034BC39462B25A4733706B4DC7908A533FEC337E71785A83FF946384233EC9A44DE783BF1AE0C09FE974AC3C104C26888F5952ECD349E2263C7FBB9A5296B71F1C40CAA5CBC3D3CB1B6C420057CBB420132B3C10FC402640610B61658A1E100BD0D0';
wwv_flow_imp.g_varchar2_table(20016) := '097B30057BB00996B0075580B95B9ABAB264CA6A450144600324543774930086B3C456394D03778A56C0CF6F300D8D900CA3B0B0C1300A7FF00AC410076FF00BB80007A9F00A7E500E8D000AA90008B7700BA3B0A68D0000C8900D910030916603BA7758';
wwv_flow_imp.g_varchar2_table(20017) := '66F44D72B5100756720DE6DADFB484C7978D055185B283A199231048EBD12049108CCC483615AB66B87D4C07758C795AC8744792293D045C41CE381059853F88A4011C4003F3D78702E15B99F4B639BA472FFF8500FB434B431A40DC6A91133881FF1340';
wwv_flow_imp.g_varchar2_table(20018) := '503DA4243C40AC7943DDAA9B7924CCC4CCC26AC11AF2F00F8C4B56061009C3700669900664B0077BC00469C0047D70C3E205653B8800139800EC95041C800010605F6FE3611E300210000254395E2E7005860AA8570000873A10E1729F5C200595CA9FFD';
wwv_flow_imp.g_varchar2_table(20019) := '8910960AA070C00581B5443407003487BD2327AAEF144F2507D19F7ABD78F911517BB4F3748D1D073325F7575DA869D455B59F95D24997B547D6868EB938018C513614B6367DD3DB944D7C04DE09A0014436A3A0D9904A864C45FDDDDE0DDE8B04AE7A37';
wwv_flow_imp.g_varchar2_table(20020) := 'CBB55C4B3CF4701919D2B1F96DEEED83F1FD6F6CF49BC3BC1C5C8DDFD00BC38E9B04B970D601FF9E067560097590067D100B2F086C2414094480007F900426E0072D00078600015F90005C500532CC053AF80756D0026FA00557D03726E40145709F81DA';
wwv_flow_imp.g_varchar2_table(20021) := '2D4A509FF539104340308E9AEB967A1051C3054560039DD66929600100600155380129208E0ECD8D19ED60B0FDE37F6910EA5810BB676A432BC894A6739A96612037E481C938FB43C92B46DCC61D53559EAB1A30D33CC667C4767903D7B87CB43FD46DDD';
wwv_flow_imp.g_varchar2_table(20022) := 'C65A7F4926D448866444EDDD6C9462E34D5D43544334848852C69B8C94DE196C407A7ECD7BFE002A5CCCBD222800B0DFD1543F8FDE07066EE07B90049B300A6940784036C73B70E93F209F651009D88202B3CE015C404214600868D00219FF5B0612D07A';
wwv_flow_imp.g_varchar2_table(20023) := '2040B101C4E1E5CB4327F483392401A98670C0EE6181DC02090F001380F448CF01492F6EA626DBF71474A6DDE3CFEEDA00E00234C74E1196BEE29B10AACA4459EF973EDB738CD5AA994685DCD6F5357703702DEF71446BDC57DC2EFD3E8F795117D5C9FF';
wwv_flow_imp.g_varchar2_table(20024) := '1BB67BA3D3F9C5DF6CF459D61D497D9864EA3344A3C9642AAAE6EA9347B2EC6E35F443DBC648833BB80251401E707712C09A3DB4E71D9500B6400FC1B91C5FD12B0000146B03EF8554A263A00A6FD0077D50067DF0078630052556620B65355F802D6FE0';
wwv_flow_imp.g_varchar2_table(20025) := '078E1A356FA0041B01042D0F0756F0068127FB56B0BA1027B1298655177710E9AB02A656E34CC4B4BAD38019ACF413C0F413FFA040C3D302CA6E4EF4F4A90D9DE42010B15A0901406F7C47BB55358EB4CAA73B0C6669A196C71D8DA40A01EC20E9D19D36';
wwv_flow_imp.g_varchar2_table(20026) := '4F000104800D1B3B3C0048602081060D214200083123C4078A1F30600000E000038E1A1E6078C03101838C060C1038490080C98C2B01207889004182990C16966041A3C48908003002E8D9B22749A21C8D22B019E101070E1E9C32A500010005AA10A852';
wwv_flow_imp.g_varchar2_table(20027) := '0000E1C156AE53997A68CAA1EA830464652640FB00812B7D00E8E503900F6EC67AF0E4E5734580E64C93090D48F8E36954AC4865508C1C79D6C0832A4594EC2853848395375C92BCB14261C78E2465B8C0F883664895045AC8A2459DA025C28CAA57BF06';
wwv_flow_imp.g_varchar2_table(20028) := '0002C8ECD92DFF6DBC6ED12245EE14296C0B51017C2080DAB05F0B6CF9038872E5B12748908050B584162E881401D082B8F1964076C0F69EF17646DEDC6D0051F11DC8F88CEB07DE764F7CBD8984361F34740831E3070D167F6EECE83E064222CAA5930E';
wwv_flow_imp.g_varchar2_table(20029) := '340000BD604AC8409A46BA4F0416582821830C22E80943A036DCD0280038420AA9B21EA0202CB0A2CBC82AABAA0260ABB210E8AA4413AF822082996E4C6B2D7DDCA1079FB8E602A02E7900C86B2F8514E20B250318608981101B4CE8C11B11328108131E';
wwv_flow_imp.g_varchar2_table(20030) := '48494108A2942035D55C4BD025EEC47CCD03DA6653013935BF1B8F08008AF801CE21E27CB3082268FB01803CC7E46EB9163C80AE25B424908A36F58C43AEFFCFF66EFBA1A0D5D8DB613D81C26B493B4BB3B30D8816CE83818291066C08A28826A288A1FF';
wwv_flow_imp.g_varchar2_table(20031) := '8CF248039F3C2C69A593120800CA046192A956C4329050270B571B2AC30F3B340A4427B72AD129B038902AABA86894CAAC1BB702E0AB63AD222B82BD68DACA8051F469A7C71F33E2E71E00E4E1879605A33440A674614A10B1239D7CF0A5986A4580831D';
wwv_flow_imp.g_varchar2_table(20032) := '6CE0C02FBD08E00B2DE9586B8D4FE35C0340823369EB6E4C38B1CB48851F54D82E51EE9893B8BD8C4008B4E0D6BA4CC060EF08828DBD8A338A74BCEFBE1BF33CF8C4BB3806007CEB0D04973125E8CF0F47022054FD26EAEFA28C00CCD9A38F4044204C05';
wwv_flow_imp.g_varchar2_table(20033) := '4F728926D6608A69AF01239090C21230C890FF010D7B7AE0C3088A12364462C17A2A23AC54BC8A82ACF7B2B52708BE122BAA07ACB576A6B22058AB1FB7F8F9961F7EF2B9471E7C6E59175D7A5BEB6B4980115A1749291F388F0357518A52BA2F8D16F835';
wwv_flow_imp.g_varchar2_table(20034) := '825B82C0BA33777001E5D5EECD2D370B6CB04088D21DFE8162D597635DF5ED56FB1345002AA03DC58E61484F85DBB41B2851EF26857835F7CEAB7453DEC9539938360170F9F89073B3E1CA2507CC59D4FDFAD300A3A240B228A4903E0C33C17D1B0418ED';
wwv_flow_imp.g_varchar2_table(20035) := 'B390DAAA049CD4CF806AA0485AEDD3A242845729AA9A025BEC15CBD68A2C276D25165324C0140814300171B316B1D682B77C30102E7ADB1B3DEE01B87EADAB56824AD09126473ED5E0A8FF451E208207B286002541E9015BCA8AE42E77B9CA3D00044638';
wwv_flow_imp.g_varchar2_table(20036) := 'D37100E0A63F7960021CB8210026A0C397B5204EAB0362EB26B527F264AC031D70C108768031084800062A9B4DA458F69ADB780E0028AB8DA45A00314B39CF7763725E6E62D082176005551BC80FA9B0A73DA33CE0031F199AB04CC29259C5CB35E7BB11';
wwv_flow_imp.g_varchar2_table(20037) := 'A83840830955480356CB0851E4F72B27D9A890032251B48C4540B1958D2A594308BDEC23A31321AB466889408DACC28105DEC5810080603E2448415B254E212D21C90611D7A0C165E401663201040EA41785944502807A00742480311078A002BE54A1BF';
wwv_flow_imp.g_varchar2_table(20038) := 'F804823B19AA6202A9E10D2790430078A037A81BA21083C81C3D552A5015FF18810B8630842200A197B1F11CC326D5123709AC9C12931811F32490CD840C37B721080C36E01706E027542160483E09C4110C640F8E366112D35E95C1D5C02F920F02E803';
wwv_flow_imp.g_varchar2_table(20039) := 'D427B5F6BD8F2384FC15AD5E02B711916803C60ADB54F67795B3D16B26010C0B54FAC715AD30652DF9F064DEF486D209A62B21457BA95F2667B8551E4E2696E300106E408139AE0435B94441FF24B001001075038492C06952C3A7AC1D6C64B6B1C1A6AA';
wwv_flow_imp.g_varchar2_table(20040) := '993A1B400C4EE31CD353A9F89CE8B8C005C8B9130060008227128478207B5DE512E5B9F498E77568E593596F8082AC99E4011BB86746F0C9900FB5910118D9E7437B2AD140A2C6263201E80155C38109B14004195055FF87FA0A221B55564470831625C1';
wwv_flow_imp.g_varchar2_table(20041) := 'C2ACFD91E86CE61B11053610D2E818106E35A2800710400B1FF5E39319918B3C26E825DA1A7435641154F96E4B222084B024A92960700B78C22F014C76016B4974BAB4DC0700C10844786E74B15304EA326C35E57C53765B625DEE10C1BBAB992E768000';
wwv_flow_imp.g_varchar2_table(20042) := '280954409B4548C20CD9790310446AACCA39EBEBC68955819DA7AD8EE2D353F7B4199D12352441D9C00A32B201021B355500F840F512EC910F9D8D355F82A47194F2368B7AE005176601072E14D916B548291F060A85314461AC34C504277E4ADB1C992C';
wwv_flow_imp.g_varchar2_table(20043) := 'AE90852B9A754AB4A222DCFB990001B6808B5C60135B7E0023003F0672902B1780CA658403367E0D9015FFB4649510A0C94B068090F9E464224BC0041E80C18941901113C4A62520E8F2CB5EE6CC1438F320073101986163821484B9CB615E4D99B7A497';
wwv_flow_imp.g_varchar2_table(20044) := '5DC200005D3E734B3C6036631DB7C87F06B47130CA01093080004A0E24447BAA112737BAD1500E744682FCE397542B212AF9F3A4951CB8B2A0C5248D267292351D0094D08B26099AB4939112005B64E41E3A5E0D5CE8010F7118C20FB7C675AE236D9C3F';
wwv_flow_imp.g_varchar2_table(20045) := '18C2D77F0036B00120ECD5C42123C6463600E2F08761C366D9806036205AC2EC3F44C2DAD7AE0400B2ADED4854A2DB91C8482328D18896889BDCD76E4424C80D0070AF861200A0C4BBE10D00723722DBE4FE43BAADCD274364BBDDEC3E77C0013E70FF75';
wwv_flow_imp.g_varchar2_table(20046) := '13FCDCF48E7424E42DEF965CDBD788C035220C018089FBDA108860B61F1001808D2302E22D9138C645FE078CFB81E3D46EB6C939AE719657DCE21CE713C4379E11996B9CE313DF38231801809DF79AD9143744AF290E003FD81AD7C00E7A467C4DF15E17';
wwv_flow_imp.g_varchar2_table(20047) := 'DDD68CF803237C9D8972C8E32E406A4903EF410F7EFCC3EBFD007BD8C5BEEB8C78DDEC67FF474BC40E76B49BBD72600700DC0190F696B465EE6CA73BD9F50E1BBCD3DD6E19D1C7DFE79EF7C1EFDDF0BBF67ADDF561F7D5AC5DF0611718DD092FF8C357DE';
wwv_flow_imp.g_varchar2_table(20048) := 'F26D3FFB3EDC520FACBF666FF5A0873CEC028FD18B1E00A547BDE8559FFAD19F3E23A66F89D5C7B58E21C9631DAEAFFDB874BF9ADBC3FF23F6BBCFC8ED5F33A48CD0C32D80B6BDEA696F17DA03201E6EB17AEE896FFC79507F35C62F7E4B420F8079145F';
wwv_flow_imp.g_varchar2_table(20049) := '1EF190C7F633120F78CC9AFCA1FF7EF8D36F7EDD77FFF5D00FBDF8C50FFC71593DFEDECF08E97DAF7EE3639FF8E1D73DE90BC031E9BFE333C0D520BEECC33EB24BC0FE4BC0DCF3BD00643DDFA3C0F1FB3EE7AB3FF07BBDE8A3877AF8B37B101700B8070F';
wwv_flow_imp.g_varchar2_table(20050) := 'CCBACE233B10AC877BC08715B48716B4071FB1070060C118048016CC081B6C89155C0D1CCCC115E4077C78351054C11524C2D7F011EEB0877950C27A703F260C927AD0412104C18C9841D8C007BDF13C1F9C0B20F9411A7C8D7AA0C17C38C296A80730A4';
wwv_flow_imp.g_varchar2_table(20051) := '4125E441191C43BC318EFF29F41122E41B0FA4870E840D7DA8073B840D1004C22114413E59BC3FB43BCDDB8741DC077151C27B603C4023C4452CC47B98871854C248444325A48778A8447A70BF48C4C41D74C14EEC44579B4258131808C21B5264C3C393';
wwv_flow_imp.g_varchar2_table(20052) := '0B513445CB1B13B983AD5424C5D58020EEC08732B4452B6CA0578C0B70C19B18C41BBB71ADB8E38EB1CB42E3C0877C583C2C0425B8184312944120D1C1BDA1BC581B421D74ADBD11C1100CB4544CC52203C4C58B3D42BCC1B848C440634471D4BC1AFCC4';
wwv_flow_imp.g_varchar2_table(20053) := '8C5042EE733F81F1444F7C0D1D1345E35046D87041562CB27BAC415002175454457EFC475D84207D900B7C603C6E948B72944536B43B60043C7D104850E247D732C8FF5D8CB5723CC56EA40B0F844228C487176C20363C455064C1157C207DF4C388B4C3';
wwv_flow_imp.g_varchar2_table(20054) := '3B0C41467C4570048045ACC3973C47427C357CF442B28BC74ED4415DAC47E3C8C4D7783E7694C4D578C7D768C77E64C79628CAA25C4AA2BC416774463E4942F74BC2A98C411AF4C8EB9B433294C339FCCA3C4C4121ECCAD7F84A109420D02340325CC0E2';
wwv_flow_imp.g_varchar2_table(20055) := '7BCB030C12BAD8C0DF933DFAAB9C04244357E34BD888CB9610176DEC43C1DCC02199437199BFE213CCB7ACCA021C4BF88B3F00DCBC2F54C9CAB4CCCBC44C7D74BCCCAC3C62E4CC6184BC9648BCCF24CDD2DC35571805D42492D41C05000085510005D72C';
wwv_flow_imp.g_varchar2_table(20056) := '32D88CCDD6048057188557B8CDCAC185DEF44D5C588DFF5F000062C8885FC00562004EE3E40EE3644E5C684EE41CCE8C38CE5B700557880500B84EEB74858CD84EEE74055A20125A108661184FF21C06F2848D58F84E6018868C10865B48853F8B85F81C';
wwv_flow_imp.g_varchar2_table(20057) := '93D8840DFB7C8D5B18865BD0CF5B00060068CFD5F84FE34805FA0480FE644F66400664B08506E513F0CC085A984F5B10868CA0506018D0CC845008850D5B788506FD50DD5C8D56FB500BCD081105CF5750CFDB8C0515FD4E117DD15D9BC6CA2114C9391C';
wwv_flow_imp.g_varchar2_table(20058) := '8DC90AD5900A162A9864D9211CD52109F8D1D8508116000123BD944B0181E0018011C88D225581256D180050812A350E17C88E11C80E2E0201022BAAD5C00A81E1800D10013225531468090ECB19FFA2320E488AB0080B2426D13BEFD100C7195314D800';
wwv_flow_imp.g_varchar2_table(20059) := '14E0003C05003D050011282A34751C1100D49CC10A3C45010143011600001ED08117680913608117605448050048350134AD1ED87888D7E8D4C3BB0100B88150650F51DD8C1B28881DB881CD188F56C52F36A9A2CD68013BCBB2133B313BBBB28388D4D5';
wwv_flow_imp.g_varchar2_table(20060) := 'B8B2D5403338AB9C11E80010D0D28CD0D20E0000647D0D0BC8086605000B3822D858261E1252EE500117B856D88098AFC25220E85600E056E1D9AE70F556E2700186E1A66D1208EA629E18E0011E580D18D00197B1B31818D55005001DD00179DDD747D5';
wwv_flow_imp.g_varchar2_table(20061) := '8196B0D44BC5014D05001C80D417F85780CD8847CD88494DD4360589EA89AC0DA801FF16F85783EDD31A40018D15181C580D82855700A8813E45018F058025E8818C40020030022468D9D73082985D0D8EAD8191D5818AD5818D354DCB2C822320A73A91';
wwv_flow_imp.g_varchar2_table(20062) := '0FEFEAA6D53002E2285A371188B0CA083F9851E350D6674DD6641DD664851864DDB2D5D8B261AD80D5A8801DDADA6A350E2D0D9E6B255B81E0D6DAF8AAE0F1D67235578118022018828CD0266D1AA73BF92AE440D8BC7D0D7D0D5848F5D77CFD577DD557';
wwv_flow_imp.g_varchar2_table(20063) := '8BD50183CDD98145D38A2DD83F43818D5D8144452334820D5511B08CD059C515B015D05C00A8DCD75881911598CF15DD965802920180952DDD8C588295BD22EEF8DC8C18D9D7ED5CCB1DD9C4BD4C9FC55D00F059D848AFDE6D09FF9F4D02EC6ADDB4CA88';
wwv_flow_imp.g_varchar2_table(20064) := '72429976FA9D7692A2402B566115D62635D660855E2DDDB20AC8DAADFDB32AD55E2C4D933419012BBD56F4C8567305D721985BF345DFF385DBB7355FECD80184BDD48C30581CE05B8CCD88BCA5DF854DD87FADDD82CD59CEDD5B8BF55834C581012E5C1C';
wwv_flow_imp.g_varchar2_table(20065) := 'E85FCE45D310D0D41508810053E01A580146F55CD80560096E0909D6E0CED5E0D510300CAE018F6582EF40021E60DDD558DD8CE881945DDC96105D0E16D9CF25D8C33382E04D821A26821BB6E1A365D924C00E9F45AFDF45AFF4D2DD23402FE195AFEBC2';
wwv_flow_imp.g_varchar2_table(20066) := '5AF5B02281481D40C3D2A8D5D2E725BB282E56637DDAD550D62B86982EA6D229A6D2D5D8562A8D6270355BEE35D7FFB8F5D6AFDA8E2260DF1B90D7863D6000B058E378018F15DC3B2E5C46D5548D45E08CB5DCC52DD9FE1DE41AF85F041E589125D8C7C5';
wwv_flow_imp.g_varchar2_table(20067) := '60EE60813F76E1D7B560187661D01559D8FD60D8FD577C6D891D485D955D021206002698D99630D90A4EE07C0D341D462F2366651DCE88A2CD889EB52EF442AF1AB6E51B9E659F6DA7F68822D8E89C294A941F802EADE28E0E385629DE3B6C8DDE9648A2';
wwv_flow_imp.g_varchar2_table(20068) := 'D518016CDAB2E66DE69698E224F22A159862264DA22B06D7B1FDD6B9052B8045D33BC6010A0ED88BADD49678D4FC65D481055D9D35658D6501D0BDE310366443A65F9B35E4823DE586F5580AB6E4D720580CCEDC9105DDCA6DE48316DD4696DF8C18E125';
wwv_flow_imp.g_varchar2_table(20069) := 'E081FFD4458225F8E446BDA29075E8CA71E8D9AD9C5C066922C60E1F26E99036691FCE0892EE641B981992F99D19B2935ED68E48F19CDA90E53F43E69DFDB268755A6BCE889CD6BB326666B58DE2F7AD811708E180FEE7165EEA7CB55493A5593FB66446';
wwv_flow_imp.g_varchar2_table(20070) := 'E5D84B3EE5C035D953CEDFAD6E89777E640BAE60D8F0E80C266BB006DD81CE5726E801264002B6D60124F8D7952DE1252065ADE6938DA601CDA581484369F0EA5D86A165952662F0DA354E9E21D8D801246E89A2D5D5BD2BD6ABD569D880562C2E5664CD';
wwv_flow_imp.g_varchar2_table(20071) := '62EEF066631DE33169EA40BBD94BA6638FAD6A3A86DD91CD5F7F5E58E3D8DFA62E60E308614C9E67484664B4CEE0CE366552D6018996E8939D68FFB8AE6824D881135E0D44E693BCCE081A3801E30680132832201EECEC52E9D7E02E987D13232882A29D';
wwv_flow_imp.g_varchar2_table(20072) := 'EEE3B133F4D80EE8225AC5AEA6CA73012BD80200F001265D8D3276ECCAC95A62F5669E0EDB266556641D010B78DE11F85E67BE8130AB5C0A2EDC853D6D81F9D77A3E67A8EE6A80BE64D04D58F90DDCE1F65FAE1E13D3A66DEE48584BC6E7B27E684D56E1';
wwv_flow_imp.g_varchar2_table(20073) := '5126E1B72EE193ADE825F8E7539EF0CA39810C808D5AD65D86390294EE6BE9360EC046E9203E8E1FF09C304B14EF9265C37E8D55B5BC6050865BB0D6CC2ECD11B85AF8360E678D6FE388813E56C97A2ED8C475F24BFE6AD0DE5B55B672FA0D70767E0DDB';
wwv_flow_imp.g_varchar2_table(20074) := 'E66CD7A6EABB6E09260855325F02FF1DE0015246828A36CDE9CE08230680E78EF3EC72F359D6AE37073460ED8E6E52D5CF94858CA0825A00806068046F66E6C806810A4056EC55C9C6B54CDB8D702BAF7205AF1C3C5E8D05E7CCA55EEA344F5926E8ED1D';
wwv_flow_imp.g_varchar2_table(20075) := '206513C672CE746E169FF39ED5AEE99E2ECB8363E2D813A47513C5B633B1B1BC6468893A38505C0806688EEC8CB80200D00200F875E62D3213785CCB84F230D759020E6D3A06DDABD672CFCE74F92DE06A6FE16B1F73D6E5812978EB9025E5CBBC69DC0D';
wwv_flow_imp.g_varchar2_table(20076) := '6254D7AEDDAD9C3B515A737A949F6577DF284D67680959004E9FEEF596300300286F33C0827BC78231B96CEE70F4B1E61334C774808F34D306B4022EF8848564C35BF0D73665FF0687F0826F548B9E68B5CE0847DD5954B7E53A5FF5D7006FD8C0AE4489';
wwv_flow_imp.g_varchar2_table(20077) := '812ABAA290C74C5DE70E65989D7ACF083308767C070033D8822D40832D08F62F00801C80EC6A1E133DDFB590353C88EFF2C2357A91CDEA3956EDD6DEB5DC46734FE713936D70EE48F389CE6D78157ADCE64C5B5EF1E73E0294D7C792879452F573D868CF';
wwv_flow_imp.g_varchar2_table(20078) := '7977F98C400300A0868C58057A5386D8FC855530B62160F46425F2356B89192E328A4F7BCBF4FB3E5DDCCE0EFC314FF38B46F3518668931578CBE32E73DFAEC323A2BF5F0D795F0D5F0000E1144ECA070069E08E3F373C353BF68C28815D7B64FA7D649D';
wwv_flow_imp.g_varchar2_table(20079) := '158115287DCE4F7B84CEF893FD572698FD4B77FDDB57C9797F85FF4F588D6440FBBFDF866DC808CF5F8D6960C5C6C7FD7A7FFA772DE55DA374C37F574F2F7CC3BBE98F4FFE9DD5023128033B48FEB6070070580570B84C3605E0EB8F34A1777D4CF76878';
wwv_flow_imp.g_varchar2_table(20080) := '3DF350F7F4BAAE4CC066F722438EE630FF5D930200B082FBF784610208001D46002868F02042832712326CE8F021C488122752AC689107131C3A7430E1B144070F1D16231A494264A4C11D0D6DB044E9F225432F05AD149C0080A005983A195ED9B21340';
wwv_flow_imp.g_varchar2_table(20081) := '88853F871225CAA4288E831D0DF62898B128D48236A25285E8E50A0017053B54B5A824C757254386E450C1156588821B009CD8106283D0AE72A9262D2A9447C225788BC28039B5C5D4B9820DCA04F006CE10FF8304073BEC5001E1D9839175AE656CF932';
wwv_flow_imp.g_varchar2_table(20082) := 'C41206971C5CD263895E263A38632E6D3AE1E4D3822BAB55ED3AA248C1483E1B8C6D19B08A84295A9878EDFB37F0E0C22D823CBAF435081329400C6FEEFC3974C1A411EA485AE3746F0F263C44EFEEFD3B7888489620A96DBA458A1405B7871FE9586041';
wwv_flow_imp.g_varchar2_table(20083) := '0B5C73B6AF6F9FE8F5F1053D16D45183C60A000E068309CCDD37514E1DE4241F00F271F5207CF249782085153234DB41B10128A05CEC01C01D00065A18117DF13518DF64A98DB86278D701501E421CCEE5018820F405838D2CEAA4A08E3DDAF7D95EA681';
wwv_flow_imp.g_varchar2_table(20084) := '58500B3E32A462448F19B9647075F5075241285CA65D72CBC5C0E44E438CB018965D96768367FF7805391D0020D9C642544400014011459CE4A54BDB7403CE367402D0CD36E274234E9E7DF2F9A79F8102AA27A17B1A5AE89F778AA3E841DD84F34D38D9';
wwv_flow_imp.g_varchar2_table(20085) := '84036778E19493D0A4055D4A6974F600400F42F318C40FA9A556C4CF449E32640F3E9ECA430FA8F200202BA7D1DDF329ACF5D403C03DBDDE43CFABB50A2BD83EF714ABCFB0EDF59A2CB351E1834FB3EDEDB34F41BFDE436BB4D94E740FB2DA1E08EAB4DE';
wwv_flow_imp.g_varchar2_table(20086) := '8AFB503EF98C7B2EBAE9AABB2EBBEDBAFB2EBCF1CA3B2FBDF5DA7B2FBEF9EABB2FBFFDFAFB2FC0010B3C30C1051B7C30C2092BBC30C30D3BFC30C4114B3C31C5155B7C31C6196BBC31C71D7BFC31C8218B3C32C9259B7C32CA29ABBC32CBFF2DBBFC32CC';
wwv_flow_imp.g_varchar2_table(20087) := '31CB3C33CD35DB7C33CE39EBBC33CF3DFBFC33D0410B3D34D1451B7D34D2492BBD34D34D3BFD34D4514B3D35D5555B7D35D6596BBD35D75D7BFD35D8618B3D36D9659B7D36DA69ABBD36DB6DBBFD36DC71CB3D37DD75DB7D37DE79EB7D730F2AEDFD37E0';
wwv_flow_imp.g_varchar2_table(20088) := '810B3E38E1851B7E38E2892BBE38E38D3BFE38E4914B3E39E5955B7E39E6996BBE39E79D7BFE39E8A18B3E3AE9A59B7E3AEAA9ABBE3AE0B16154E6511C0150C30A4EB2FE5D5300E8F5D1EBB71F681B009FE98517F0BE7F17A4EEB90370D4F2C683479E41';
wwv_flow_imp.g_varchar2_table(20089) := 'E3018911F2CE77F7D9782AEDFEA4F5DDADE0D046CD77EFDD0A5216441E6DE383578394C5031092FABE7D8FD0FC00A0C0BE8BBC057DC691FBF1FF767FFB502012F290C97FC2F9DE755E500391B08F29C85B41FE0C581AF395A97DE639DF416C2741D5B865';
wwv_flow_imp.g_varchar2_table(20090) := '032B604D41D2629BB86C1038547802150090842A3CA10A06596112A690841496D035F030883C64058F1DCE0A00F0A0D50F6F288F1BD69031C13A083D6EB5AC82D4435405011500E201AC78CC0A8A45644CB11E620F7BEC838AF3D822005475C5A8FC8321';
wwv_flow_imp.g_varchar2_table(20091) := 'B79A88A8BE38C6AE78AA1F0080D61923628F7974915A6B1C0E3EA8158F7D88F18EC0B1E2B902020021F904050A0000002C710090007701CD000008FF0001081C986FA0C18308132A5CC8B0A1C38710230AE427B1A2C58B182DDAB3972F9F3E7D19435EEC';
wwv_flow_imp.g_varchar2_table(20092) := '38B09E48851413F6039072213E7C12EF0128B8905FCA96067112A4E950E6CC8EF9EE091549EF24C37D48F7193D8874A9D3A703950A9469F2A44E94570D0A95F972EA407E206D7EE5D70FE7479040794AC4571580CF8232B3262CA876E0D69732D352248B';
wwv_flow_imp.g_varchar2_table(20093) := '90645F00F5AA067E9916E8CC8875EB3A4D9AD46053A6521D33DE275631D4A79457369CDC1880BE9B7019DA4C3934E7C08F07413E94796FF267963159AB160D40F34A7DACB582C44DAF1ECC85F77AD7CB7D90DFBF7EC8FB1D0F1CD89E6F9DFCF2D1B357B4';
wwv_flow_imp.g_varchar2_table(20094) := '2A4C9BF89C3B7F397AF4C18ED1AFE2FF2B484F9E41F3978BCA5BCFDE7CFBF7F0E35F4E7F4F5EFD95C12303407FB0F53E7D8C0D750F3EFDE4D35642FA30474F513EEDA3DC71C945D80F6A679586D0565B4D36113F32D9B79565B53DF8CF71FAC034D8402F';
wwv_flow_imp.g_varchar2_table(20095) := 'E963A049DD4938A18AC33154CF3FCF10F1C30E091191C48E3C16B1C38F40FE782300495851C50E441071501546FE70430C50C6B0831202555125004A24A144965B26A150125570E1C5415E70618598662E85A617527831A6986C7A61859B72D239A79B02';
wwv_flow_imp.g_varchar2_table(20096) := 'B9796619009C392717F38984861B00947104003F087404154A3C01801455400A801755500A8095564E5A05950038AA44A608DDF8E30D4F7AF928A5732E54C5AA6394E185975290FF59699BB4E6F9E8A3553C912B98558CC15019C0068B06B05C8CF185B1';
wwv_flow_imp.g_varchar2_table(20097) := 'C77E71E9B27DE629E699652A71C435FFF874A13CFF6412800100106090B70004106EB8E27A6B2E4209BCE0C103040420EE41E00AE46E00E7763B6EBCE5C66B100214B470830D38DE9010A902095CB04437C890B00C3240C9F0C351420940940C4FCCB0C3';
wwv_flow_imp.g_varchar2_table(20098) := '0D4709800D061BCC71A012BD90C20B22506000BD00301081400CA4BC72CB07007040CB0C1C6040BCED1A640002FADA9B10B7379B4BC0D0431BB073040C3CA081060F0C14330107786BF301531B6DF5D54647F0000514707090D703712036D800A0608209';
wwv_flow_imp.g_varchar2_table(20099) := '03A1E08107680390000309702B10B804007DB227FF1CA815B6A004FF0041020938D4B44181BB2D10BF4510C101E0850F04C1E108008040E48D377E50E183130E010C4A1A048440447C0E80E8A1972EFA43A51B01C40F89FEA0BA11ACB72EBBEC88C66EBB';
wwv_flow_imp.g_varchar2_table(20100) := 'E90201A164E8206724C3030944AE74081B841002001A08A4C1071F2C8F01F2C90B143802961BC440E492EF7C10F608012FD0D61B7080020A2CB0B0410608AD1C81FAEB03D0BEFA003CB0350731BC00000C310824F1FD31E00F250C133388C1A4B4831B98';
wwv_flow_imp.g_varchar2_table(20101) := '207C1BE8DEE0E48700BC152521F7F14400BC27B9EAEDAB70D4731BE5DCF6801D14617191CBA040E426B912628F8487ABA0F61692000F148121BB3B89EC60573BDBB1CE0888C2A1EB1285C31EEE30510301A241FF6E44C41D14B188BD43880D2810C29601';
wwv_flow_imp.g_varchar2_table(20102) := '2004C90BC10700C0BC0F60C08A587C1EDC06628007C08D6692E3DE40E826B7E9616F7229939E063620028194E004ED4308CD1870BD9645AE8E098840021EE0B5B625046D3080810960F002FC3104061E40010728D0BD816CAD81FF782042EA218F7E7882';
wwv_flow_imp.g_varchar2_table(20103) := '007F1B08E53267B88158F0700F3001116010B7B89530788133402A5339420000CD951A7465F062E9490F00E173B83C88E88080C3D1E190973BE0E5EA8C104C1D12939702F9A1106DF883D5B10E00380A22A20662446A0201479F0BA611B779C4850CC929';
wwv_flow_imp.g_varchar2_table(20104) := '06DB58DB3218C50F1C0F8B55AC22069E97C6C3052E69EE83DB0ABB85C2C9BD4D7AD4FB22E0BE07FF3616942003E85399CBC04850A4B96D7D70935F021D72B6869A207F09C99F20D7C6480E56EF910EB44C04FDB64FEE150E83B44C232AF9F9A307204095';
wwv_flow_imp.g_varchar2_table(20105) := '282D652BE5A6CA564A0F96A62C614220104C688E2E51A2EBA54DA9393A6B8EEE47A2DB268E847490D649F347083122101365031B782E99A1AAA6101512CDA570CC0632B0410B20403D03B46C8A544C27F3AEF83C2B368D8E2384A7CABE88462ED6CD5B65';
wwv_flow_imp.g_varchar2_table(20106) := 'D4A31EF5A9B53D6A80033528010DFEC94EEBA591662BCBA3CAF2F8BD07846F2126F0000012B9B6B305F2901EE0C042DDB7C7C1718D020970203EC4534909FE6D837BFC5E27299747C0AD8C7014682A665B0A116E15CEB5F6FAE8424070CD6BFF220A9B02';
wwv_flow_imp.g_varchar2_table(20107) := 'D166EBB63990CFDDE874D11C92537114BBA20AB1A609A9EAC652008016E016B9B9C3A60D80305DA7D6D6204EDDD8E99E6203AF050F011A584142AA2810B0AED36902D11AD35E26C283DC6CA4857D805CE51BBF0C7080062CA0010D4E10CFD3BAEFAF0319';
wwv_flow_imp.g_varchar2_table(20108) := '6C04EEF83D08708D038A1508DA129BD8360240048D4D01000722038128AC6188E4000480C761CB5260030C70208B70828FCE72147B8DE3240543AB47E1C52F7030008207624A009542C0031480C0E324E038B77D129623B4DC8DA99BCD672677071FEB41';
wwv_flow_imp.g_varchar2_table(20109) := '51A73B55A81AF521C0CD6E6F7347D52AEF5420D305800A72C95DECB6C0C75D5CC164A98810B0EA8C650CD0C03ABD98B2B68ED1FF95B0054045BF87BEF83D200322D0AF7E01CACE97ADF5B408409ACA024D58F9C9F9C364434142BC26360FA42005590580';
wwv_flow_imp.g_varchar2_table(20110) := '0CFC05807F25AC05897D1C65B5C6C80D7C38B391AC473E2862AD8D7A2F83816B5A028606D3A6358DD00878C0C9B6058316E0B85D357657DC1E000252264002680381404090498B484005D8DC010EB9A9108311D706ACDBAE0C570700DEF5F4A90D512E42';
wwv_flow_imp.g_varchar2_table(20111) := '888CE5A520756306D9410A54EDB61088F7895234C81431A06635A72C662C1BC8F364EDC4331BAD9306A9B3401889671AE040BFFC1D08D2063EE881A7ACB4ED3334D71238590924906C728E2CDB1E7D614A5B5A0629C8B4AA5796B94F8BD83B76E92C262D';
wwv_flow_imp.g_varchar2_table(20112) := '974A0A58E10F8DFFA8041C94E0BD8FB678075CE08286CBC0720F24010201A0AD012490040924209809D034B9E746388724A005DB9576B8AF9CBBA936D929DA9E0FB7A199CDDA7E1B235A055BCBD63890291E4FDDC9C30003C42E336EA519030FD022BECF';
wwv_flow_imp.g_varchar2_table(20113) := '5C41CB26240388D6EBBFF98B01FFB633BD683EB85C452B67397BDA6B970D9B40107C3600507CD215C6EAA433ED63AD19986B00D800A87BC312129B1878B245801240910C66A4C215CC2086278AB0C71407801805094712B221C148F4030E01F8433F9400';
wwv_flow_imp.g_varchar2_table(20114) := '047590121CF2F0F9AA5FCA45B7814BB684E3166D01365DA44AB9D295AE6A353B97C4A73BA5C9CFBDB65340804A064CD69C53CC3E15C99A76F4A6F179CFBB67FFBDB9C533EDED71CE0A39ACBF6900800C44809D7F8EFFDDD3A847833C4EC70761248F230B';
wwv_flow_imp.g_varchar2_table(20115) := '0004B30D6D14D75C1887718FA66183936A8FB3481CF00078530F1C51167B634998443D19C40057C00CD1700B6F104C6E300CD1300C55C0384D030104400C911000D3300CCC10091E400CC3400C010007459104E0B00157500DCAF0077E43742EC5639EE4';
wwv_flow_imp.g_varchar2_table(20116) := '730BA1024A300443982544080043E0254330103C020045606420B33A4A771900F303D515754E91029825107DD575EA863C5D084B5E153D00A04593234627B57B02A169FBC6488CD434F6C57E00B05F616877F5D65F84A547B2E56A6BB86F83B75862B358';
wwv_flow_imp.g_varchar2_table(20117) := '6C637890D65C16D65C29E0016CB84F5CE3700BFFD8800F78102566491C651045700BC8207A55002C53000ACC900CAF404A964500B8D037A0400C00600865600E86D00E30F007AF300AD1D00D12100BB8F00AD5C03809910357802555620509018C57F005';
wwv_flow_imp.g_varchar2_table(20118) := '66F0060000076F808C03918CC62810CC08006FF0044FD63B539811C7975B355555D72811D1B48D2DE0350456665D674565E87D29A30169F6326144426F457E0301790A91011B20773400506307110336608E1438A906001BA6634D03793ED87FFED736CC';
wwv_flow_imp.g_varchar2_table(20119) := '556184F868262001E857385D430112C08079F38038711F9540002B968ACCA082A0D007AA100987300AD0400CD31007A5F70038470CC45005FDF007CC5009AE701B7F6008CC8002EB500F45FF600EE5D00DF4E002358610126005C0482543A9044329944A';
wwv_flow_imp.g_varchar2_table(20120) := '9003C0080068600600600668A0106F5006C6880668800700C005D0D65B38D54C5E29855F1996600911D55811D0654DD9455DA3935D5858113660022665385CA710CC838E7D6533E7987675777077285371C61077460172B85707617707014685D362FC38';
wwv_flow_imp.g_varchar2_table(20121) := '827E283F8F473612806000507809F16891C58686F3981420910E980F9A517993980935864A066002B4A092C4E00AAA8008ADB009B69089BFF00A33F65A8D200EE69009999509CCF00631080A7E20417F500D6F400C2E4001B860061050010030901EA002';
wwv_flow_imp.g_varchar2_table(20122) := '65700556600657B02571F00756A00591800627D72768700568F00700F00768FF60088D100902010700E0076F6008C6E80999608C5CB05437754B3DC5650F2196CDE439B75496B6D59F59965D52265448A68D06E15C561812D1740393A534934586074176';
wwv_flow_imp.g_varchar2_table(20123) := '30E3557708682D5338E6624AFDC8877686391950027348877BE9320AE1446815423E1690FDC7908F83928CC40191D97FFDE7477E24100A79999683A206060190E89963511FFF7091C0433D04A004C4C00C00B0827BA00A9BB0079DF00CB8700BBF3004D4';
wwv_flow_imp.g_varchar2_table(20124) := 'D338DBE22D0960023BB02EEED22E27633888640010200112906002210136F09C00B00EC93004A3800B9ED008CCF0A6AFF00ABFD008D500079E800BC4600E7F200EA0900DD5700BD5C00CEC0007DDE00919680BC8C805BAFF233A5F393ABC433A0E819FDB';
wwv_flow_imp.g_varchar2_table(20125) := '9596DBA602F7D30200D402CC65880AD164A2A35529806929006DDB18114D856533763D09E0A0CBB31034633368E56EF193106F05539E547F9B16381140011E3A87FFF47E0F6147FF3560D483928C068806C8A25EA35891D9580A3610CC95718915918663';
wwv_flow_imp.g_varchar2_table(20126) := '689A06900D381E2D811DD8229A419A00015005D3800C1E680869B009AA5007863092B8C00C525A6C7CB7393B00035C6534562A4B2FB68F06210157500595A00CD3F007DD700540700BA3300466D00D4A6008CA70A79E700BB8D00EC9100E70700BAE1009';
wwv_flow_imp.g_varchar2_table(20127) := 'D3700BEA300DD9C00CCC809EC8E8053660234836104D95AAD207656289B25FF665D2F639980A6ED89510D7FF6444004AB354A69646D1548AF536B1F610102A332943A2998356F0E252A5856A1E15011A1070740811130A39E7D7AC677399CC3A908DA658';
wwv_flow_imp.g_varchar2_table(20128) := '330A80577B996BE738F2030A91041305B22125F6A318894A045005CF300CD0000C7D7008EA7A0888200C6FBBA66BDB5ED2E301370004201434B2C4B708B17342D90DD30000A3900D6F3004B8800B44B0B057E009BF109EA0F00A02110EFFF007C4F00A95';
wwv_flow_imp.g_varchar2_table(20129) := 'F00CCCF00AD9E00EB7900D8C900E9EF0055C0003CA75AA500130DB5504BB043A50364D68C9B35876B31191586CA35810353129305969B65052C43C5F28103123AB4943ABA7C54A3C235304204684634F49F30027C07E7B950161186F06B132D8E34493FF';
wwv_flow_imp.g_varchar2_table(20130) := 'C36992F97F8AC5AC7DC763CD9A60269071340A02BC9B632A8692F1B361DB5A1B6391B6E04A9A30400BD0E0097B900600B0099B5007670000884A0B292042B3F44EF1F3B78BC36AF4326B6F5563A3C9521250056FA00C5F70B98D900CA3C0B9AF10099540';
wwv_flow_imp.g_varchar2_table(20131) := '0CB8F0057F900CB8F006B7500986200EB0080091700B060C07E60008B7400CD9909D5AB95D2AF003334B3ABAF3A9C9349653B61040F0424E4164D3F565132612BF2B6936A05893630014403C02714EE3788FC86B762F838E07E75EE072330C313D6F9301';
wwv_flow_imp.g_varchar2_table(20132) := '27905FFBA5BD2CA38E01765A0346AC6728BE6B93881425BFFAB748CB093609B6360A76B58BB461A1852E09900979F31B3D8A2D403A4B29FF1309D0B00753900650B0077B40065300007D800E7F50596FD34292D33508C00126E0235D544A27030140B061';
wwv_flow_imp.g_varchar2_table(20133) := '2E300110300240E83856F0AF44590557C00554A20556A0045AB02900D08B528006CDC81068808CC9C8A8B64B653D2C7DD4D6645D999F11518D2FC47CDC383AC826109C3A9950316193C3494F843C5E186F5443474E1B4774D497FB5263F7C67B1418680F';
wwv_flow_imp.g_varchar2_table(20134) := 'A057737802FA26500A11689203BEE13B3F7CCCBB0B28BF6D08A31297ACBDEBC71A06C80B547AC15309FDE080C5C10FF8BBB7236404B160076990066400007B7008FF3B06C48004812C6B86C0053188060900073BE20A2617486610001E60261E60058620';
wwv_flow_imp.g_varchar2_table(20135) := '6C51497DFB240120502447FFC9290CA1045F1095CBC894095106AA5B045A45A3296001439D021360011EF06509F14C679911489C5C2B7B105B5653D615A04184B327B1034C94866B544EE916565A2C330CE055EB93766C664AF3A4493A1353EE4447D62B';
wwv_flow_imp.g_varchar2_table(20136) := '10690C7FA7054678978F6754CF5DC3B5BDFB8606367810A06180FDD7060671EF9B631B9610057DD0664B13DEAAB68A1C3F06D007B5F00753C0046930058EBC099E8006F064106F80061EE0075600034C9204911073316605145005EB62005F100940B027';
wwv_flow_imp.g_varchar2_table(20137) := '43B03615C0C71E000220F06520309B7D6841496D8840F065966A5389B81013C00113D07F139002CE074D4EB59510A102333BB303E10208D1A9DA25D53B806C4080A9B8FF7B8D3FA2B2354BA38627ADD81D6E7E94345F9710EB347630C3326887769AD497';
wwv_flow_imp.g_varchar2_table(20138) := 'ED48C15C1442DF453D4E7B027A15D7064570FFD532F92839A7B533EADC358B258878ACCFEF7810F7D73592A9AC7276D8A185390860D0F440209A311A692B4171C9325E35069BD007246E0777D00791500518704F2C930065C0056890045CF0057EE0075C';
wwv_flow_imp.g_varchar2_table(20139) := 'F0075510093BE00770C024269004C3F2050F70058600077CCC63637ABEFE28AF08813D10B065B9056E5B96B24D55DC09E101C9ED68CB8D28603996077A8D42743A339BDCBF465B4B281091D502418DB259664D38325C3CD55C5216D44AED10759EB23AAB';
wwv_flow_imp.g_varchar2_table(20140) := '552645601B103D66F6A03513334EAB666907C740D62DD1FF5B37AC345ADF9532EBFCA1EE1CE06EEC44767746D99350083E9991E535F8877EF0E8485B03A30A1E992B7A4F77B4470D241DC9B1210A6D628AFC5104E0016FE009A3900AEFB902DA437EFBC4';
wwv_flow_imp.g_varchar2_table(20141) := '0546600526500655C0014A500670B0E35F60040FA00430F00565500455F00746C97343B04F220101B475106C895DE75DE7292004752E04F449A9CC5CCC8F2A3A1E309003D1012370C4D4050248D210D53885756EC4500E6ED738E5DD3D3A2DC04871E344';
wwv_flow_imp.g_varchar2_table(20142) := '1B604E5F1876EF06DFF1336F638D3DD13B37E09286067E8621A4DFEBBC7EEE5C77020ECF029742FB7234E0E3011026360CC9A2EF9863B5CA387A14EA0876F280273F2095500D540F45811CAC6E9113FFE451AA7452DEB24571564AF64481FC483D144004';
wwv_flow_imp.g_varchar2_table(20143) := '37C05511EC3626B3E48BBE52C0A7101604024F4D7508113A35656D485854D726EE5D2E4DCD9424400002E81E383EC8F454966D3FC58DD914D500AA024E45DD050A30CEAD58AAD4327D4E455FBD7DEE5633DC5256F28DF173934A8A1E4641B62F91E3B41E';
wwv_flow_imp.g_varchar2_table(20144) := '0A706A3CE9DD0BBE6A7D52C70A8F6BB3486FE8E94267428003F2CACA3586163C2635F90D741F305F79ADDE0F9530F3EEB442687D4F7243811524422C9500D0D6DA62DC2D6C1DB60F0157623810B4D5F40C01442FE45B0321042A80FB42CCE558FF3944D0';
wwv_flow_imp.g_varchar2_table(20145) := '02E8AE9CBFB686C2D6E6D45C11D4154DA7D3DD4D8D5D2A7003A3AAA9D5CCA9F38E6526FFF0382DD33451F444DAB76E29233763E7A0C40A4B897E52F86438963ECFF15302FF96BDF0174FFF25A229743D971E3F1FF66000E1818307001400403008402105';
wwv_flow_imp.g_varchar2_table(20146) := '0A0F1E245008C00002060F100EE4308103438711143E8C90E001024FF7E801E8D74F213F7E00F0C9EB9729C04800090CD84420B1E64D030018F44C800041509B4523463401E40504040608D4D479B427D4A355AD5E552801481120117700017BF4C78F16';
wwv_flow_imp.g_varchar2_table(20147) := '2DB00250F1430580223F80B885FB56EE0F00361482A54B37A284AB122040AC6BC386D98876ED9EBD0AC4C68EA38415B638ACD04657B330223A6E5CB7450C0E801968381AA2EA070C471960D0A001C303063E15E68C983327C4A100FF6AC7B69D20C28313';
wwv_flow_imp.g_varchar2_table(20148) := '0068D028910183478FA6AB5284ED53A8438400080A2C08E128428E0F42F6BC09C0E186841C24708000E12151ED0F49CE930780E5CA962F63CEC429D4A642ECAD1502966D7BA2D0DB0A3900B9E1AFA708C8AE268BA8020C31C4F80240021B8A20E228C622';
wwv_flow_imp.g_varchar2_table(20149) := '8A902C82349AA02A0E2C10A20800E202F12DAF04B301C4884088A802005C1801801B18F400841D7658ABAAAE14ACEA2BC66C5021B2BAAC9ACC2ECC22B2CCB2CB6EB0C1049D0C28CD2AD13E008D3E9F3E53ED81887E8AE8A99C264AF02AD910D8ADB7DF82';
wwv_flow_imp.g_varchar2_table(20150) := '2B2D82E27C8A004CFBC0948D01A118D8AD200E38700E3A85A43B8A21ED3C32602206448A12800C37A2403CA22CB228FF81043C414FBD961C7509A64A661A8AA78922C289279C70B34DA89D204A60831D6CA0C02602BB848020E9F8F2A082180140110445';
wwv_flow_imp.g_varchar2_table(20151) := '718CE80110223CAA2BBD14FAC1860B33A253A10952F890AD0FE74216AEC0261431228214EAC0050A89BC0B80086FA435DB5C15FA8ADB1F818C280600CAE2D6042B25B24FB488D4052050D71E68D2359BA6722A3EFCBCCC29828AC4AC814C00CC740DCED6';
wwv_flow_imp.g_varchar2_table(20152) := 'E064334D83C1D4AE503A4D30C14E83F05CA8BC877AA228610A0652482086A49B353CF148B227BD4721754FA69170A26DA74E250255539EF8D37428086E00C203530940D5830D98936003BE0A95E00109663D8BC18F40C056ACAA7A95EC431E851877AC5D';
wwv_flow_imp.g_varchar2_table(20153) := '151CEBFF5813150281411573208288B0CCF2A0856E9BD616471FEF0AB2ECAA62D8202203340821D0B8DB6ED7B80FE0D5EE28D8A6CA6D28FB3CFA93BF3F2B7A2058164AD86038388F8268F0E4D2B4CDB6389B03400481823D28E2821C4A60CDA1B63348A0';
wwv_flow_imp.g_varchar2_table(20154) := 'EF36BECFA1071A4200947B441E39227AFE89C48073ADB22F41FBA8428CB9188AD8E1A1FB22128F2FA11F122F6F910EEA32AB066B1A7A682B8DA0D00822A4B7CAC3A3AC9FFAA8AEB7EF5AA1EE15CC1ADA228A18C2FA13690680E1AED61A5BEDAB040340B1';
wwv_flow_imp.g_varchar2_table(20155) := '62B305EBABC87640413906281041A115D605C0063460A5070CF06E031CA04F58F31AA8882479F7D98D47AC73BA0D8880582F60810832A090085645FF82FF9AE004019081076C6020FD631841E8049E88902E2156FA536A2EE62C0F68CC200762C89C2890';
wwv_flow_imp.g_varchar2_table(20156) := '8A7ED0A375113109EC0210001C3DC57DB56AD810CF42C400108088001862149FA810232A4489110980019A280125990045E9BB0A0894E42C00104B5011498109D2B84635AA112967490108FED2130910648C2078814250C020881DD18F7E14C8EC0040A0';
wwv_flow_imp.g_varchar2_table(20157) := '25A1CB6D0720C001AE52C53F629100606A1C0218E9BE266AE973DA99D7201153C54A4EE54B92C4E2101FF91357FCE3245731893CBAF1073FF8A1910AFA832122F10756AAED0F00B8E52D1512873FF09297BABC8A2C8F52090064022B91202625AC428946';
wwv_flow_imp.g_varchar2_table(20158) := '002012CD04803223A1CCA350821291FF400C340101086C02009AC77C25561AD1CD701E059BAE3C0A2214A24E44180211B744273AD779CB77D693957FB0A71FF0C94A4328C49588F0034001EACEA3F4B3100005004215FA4F0004549E0D6D674418618889';
wwv_flow_imp.g_varchar2_table(20159) := '2A04108690274601608858E2B2A1FA6C272D71595178E273A3EA9C2825C4418F535A851FF8A0473FFEF10F94A8A49C11A1A9826C8AD39B2A24A70098294D67DAD370EE74A7FAB0E94C534254A6E228A829D929625422D423FEB4A957FDE34CF7210F7AD4';
wwv_flow_imp.g_varchar2_table(20160) := 'E32C2CA9873CE4018FA38CD5ACF0386B5AD1BA56B50280AC00E0AA5BB1B20EB3D215AD72256B5E23B20EB9A6E72C7E0D677AEE7A12C202E024F1E02A60AD120F00C4231EF368ECFF63111B11C0C615AB444DAC61331B1178D063B35651EC5FE13ADAC47A';
wwv_flow_imp.g_varchar2_table(20161) := 'D6B4A3C50A59197B53BFAE56B50A516B5AE12A5BD44684B164156B59C57A8F7BE0A8B7F9C8076F814B54DED6C3ABF8B00A72EDE112002C5741F8C0873D9C7B96E506F71EC1FDA374ED01597B40D7BBD1F5AA737B7B14E84A1747D05508725DF2C3CB1E91';
wwv_flow_imp.g_varchar2_table(20162) := 'B747B9EE51BA6A157D00A0BEF5D08757EDDB5C8548B7B7BCBD8771F58B95FA62A5B7FBB0C778B5E5D7F4F8751FFB007073CD6B5E85CC831EF1B8F085EB9160AF1A37C25799C73C042C60857C5841EB89087B1B39DCF64A15C52C3E2274BD9A0F96D4381F';
wwv_flow_imp.g_varchar2_table(20163) := 'EA55483EA83B5D9EAAB8C5377DEF4A5012917AC4575B058EC8707BFFDB61C428781FB545308289FA640050D92A3C0EB14BAC6B5D7DC0F82AFE8DB08E7184E2AA68F7C747690985ABE2E36C89399CC3D5873EC81C67AF22F9C4683EF365798B5C7EF403A9';
wwv_flow_imp.g_varchar2_table(20164) := '4C1D2F93077C94FC0240C1557970B612ADA0075B596DF8D00780E3ECE52B2718C0FF3DF41121EB584EAF56218ECD1664235BB6793076C31BA6873DE8616156CF63BB2186B5712B3CE8884CD7BCEA0D6B554E520F7C5CF7BD015648A4899C695DB3D4B02D';
wwv_flow_imp.g_varchar2_table(20165) := '751DB2899C675AB5F424EF3D65B43F8B1565531647C6366C5911536DD0C2B6C1A43589A1653D5F5A33DBDCE7463762AC6AD574B7BB91517577BCE51D9151800247A018854240F10AF7BD6214AF78C52A6E5115FF5C100317004738C215F20B85E002000E';
wwv_flow_imp.g_varchar2_table(20166) := '478CC30D7E145C0C0300AE380AC68F420B60084318C01846C781010091875C1816AF4A2A54BEF295970D14A0488527986AF15B8CBCE600B879CE87618B88B842E5AEA0852B62110BA1C78216B45088D1957E158DD322E40AE938C9E3FD0A9E533D22FC3E';
wwv_flow_imp.g_varchar2_table(20167) := '4AD5B30E00AB07DDEBAF387A448C2E76A45705E867A705D891CE0F37BB2F01787AFBF26AC2318E5D655559C9106226B0F7BDC3CA0258BB0C08043F78C1ABA0052A00C15A0E1F911655C5F02A78FCE25D64348350400396B77C44448002CE77DEF3F9EBDF';
wwv_flow_imp.g_varchar2_table(20168) := '51A2941AD2271047E7328022A7584E0EA06003F97B7DE8310780157040041A1060DD36D0B60A6EFF9EF32FC081095820FC3C4664F8F99BFDBAFEB7811588E67FEEBAE90DC8E6151731E606139AD18404C39819054621D227D2B34C6019253D27636334BF';
wwv_flow_imp.g_varchar2_table(20169) := '42C6080023696B2D23E88082FE0E800EFCBDFEF407C0FCCF2801A3EDFF28351A811A410B1710408518828818820454C0031C021700026951080794962270C088E88A21008203CC400374111810171D101718D001CB88011ED081177881133C4114644114';
wwv_flow_imp.g_varchar2_table(20170) := 'D4011688081D88C114D4011554415AC181000A01BA29A71A40011F04C21F14C22054883C92410030C11A94411EE00124E081884002234082AA801E6FD1A315C89F1CAC0100A8811CC4811F9C37F74982F1899FEBC11520E89E08F11A0BDC16FF00A84276';
wwv_flow_imp.g_varchar2_table(20171) := '3B8BC68B88F803013AB44358C13FC0530815B10A09A88009900040BC8A1669BC1130441621C0026C91078C080274C0B510400A34C0076C40006840497CC06B693F16C0010C0200186481130400251C45E00300532CBE227CC1A3F04214F8C257E4C458C4';
wwv_flow_imp.g_varchar2_table(20172) := '01596401180480FC113D76F1A32D5C015EDCC2ABA881FF398A2D0CC62ECCC11AE48125E801859842668C8865A4155FA4BD793B025A4902B6F0105CF11EAB40C332FC96AAB08B1DA08B67C11160623C009043B5B14315A9800E68C73D8CBF398C47C63344';
wwv_flow_imp.g_varchar2_table(20173) := '431C401578407C448BF8590B20A891445401096CC0817481038C9FF2219F0CDC0A20800117043E50FCC4513CC21A3C0A54C481FF55E44216F8451CB8C851BCC82DCCC12CBC4891D4015CA43D93ECA95EEC45DA2B46950C462E144685F8C597EC421D6082';
wwv_flow_imp.g_varchar2_table(20174) := '1E58828868C29CCC91251017C488499894C915C84166C39522B846A4648BA464CA31AC466DA18CB30180EEBB91D0A3950968910E803FFC4BC7B269BC78CC4AF8EBCA4144C7B20CC07DBC8A8034CB01DC47839496AEA84085F0901B71811D28BE4EDC424E';
wwv_flow_imp.g_varchar2_table(20175) := '5488507CC1BE0C4500C8C15084C1238C0857CC1F9004C35BC4812D744599F4C1C5D4818B5CCC2F8C88FF4181FFF9C53F5A49FF19C6982CCACA9CC68B244C667C422ADC811E400219E4C56104C6698C882E044C3F1AC324A84235B496DB24826B7CCAEB71';
wwv_flow_imp.g_varchar2_table(20176) := 'C38898CD88D895FF09C18AAE0081C1D011AFC08B2AF4CAF813CB793CA2432CC0B2EC802F9A4EADCCC339C48A11204074844039D4CE7F4CC70A84C00B8C1FF38988598C4D8528CA8B34C5D84CC522B40A4E44011DC04CC33CC51AD0818D04CCCF54CFA2CC';
wwv_flow_imp.g_varchar2_table(20177) := 'CBBDAC01C62C9BCCCC4C99B40A62C442A1A43D616482515C82647C4265040024E0C9264C46C2A4815DFC23A4E45085B84600984D0E0DD111CD4D1115515EB981CA689AC8F09AAEB03EAC3082B740C96CD94A42744E05D9CEFFC30A01FC22C49043B0D416';
wwv_flow_imp.g_varchar2_table(20178) := '395C0B47FC4E088CC006EC0A1398CFFC19CDA39848AB4841C07C8102754C21E4425C04C9F33C4F19944CABE04FC02C505BC40ACC0C4A0599D1A1CCD05F6402FF1E6082D45C0226D88125885385600223104E0305CA02FDC532CD96233851B9BCC640CD16';
wwv_flow_imp.g_varchar2_table(20179) := 'A42CD124D0C6A45108CBE896AD380ACB40D4AA583F75A43FF873811B4D4B8588CE1DBD4E4BBD8AF88BC71E2D1BE7AC11156811015401E15CCC57E2C8A338532ED452C0CCCF18DCC2C81CC5F42C4A19C4D55A6D5205994C30EDD5570553607DCD8868D336';
wwv_flow_imp.g_varchar2_table(20180) := '050038AD5339458206CDC923F44F57A59515E053D95C4A3F3A022230CFC23891EDBB4DABD0466B798BF6711F1B2DCB03D4021C21C00E504B4CE5C3396CD788C854ABB843ADE454793D8AB0B40043545739EC0A93CCCFF574565AC5919054CF5B34D85B7C';
wwv_flow_imp.g_varchar2_table(20181) := 'CC33B545C9E4D22FF5C8826545F5CC522AD516FF2F84CDD6D4520855089E3C56EE5388D204CA74FB5005311F432554ABD8150F8001C2984B09E9CD6D9CCA3FF2D4B1F45123B58ABC3B0A25A0869BA2597B5508FD8316AC808131FA1F312DA7C5A4D80345';
wwv_flow_imp.g_varchar2_table(20182) := 'CF557DD888DDD28F4CCFB271D803DD4B826DD5A358D3259848AD75C22950468E8DDA332B826AECD0A3D8CD41CD5663B98A21E9D66FD40BB6559BAD448C605086AA60919E058065E0B1C6BAAAF9FB3B76F4D168BC4CE3EBA919D5CB82A54C88655A685588';
wwv_flow_imp.g_varchar2_table(20183) := 'D19CDAF60ACC61E44F1D48469D048025E8DA07CDC95B4DB7B13D33BB8801B7608C6C3C0B25A1131E24AA3DD083B3F8C730C4917AAD0ACE63DC4F4C5AF739DC954CCCD7E4482A7DDC9EEAC2FF59CD96586DDC88BC8A35A5D364BC01CCD5010A9DC835F5C2';
wwv_flow_imp.g_varchar2_table(20184) := '74F3D36A3C5B5AF19AEA45C36E24D93354BFAA908084F8315C9005FA8BD7AB908616C30285D8021CC15B4C8D54FF11D0B33041903D8B97FCC169C5D873234C13BC8A67AD8AE7A5589CE48129585E387DD063AD8A5D9DB76F3D0B058E5970BD811BC80BB7';
wwv_flow_imp.g_varchar2_table(20185) := '981FACF05E73B35977FB8288300300C8E0F41D821B85DD31BDCCFA25615735DA5A75DD703A42E3D55A5A894C81E5C2543D5E648550E31DC5068D37F39C5EFAD196C568E0A2F10E001808047883714D61F70184F20580F085830DAE0AB9450C18C442FB3D';
wwv_flow_imp.g_varchar2_table(20186) := '8BDE3DE246A25C1D005B3F2ACD16AE0A1CB6498954880C45B7B45D435A1157FF0856881848D1ED5590E7C00872FC23F0050086038062000064803800F001508DB72B008071A8E3AA98D9465A011148D004E5D550E4488DCC9F1528012ABEE2AAD0DF5194';
wwv_flow_imp.g_varchar2_table(20187) := '5FB591614BBEC9A3885F629DE4E1140BA9BC8AF67BE386B9AA60500855888860F8058753023E5CDF335382A348866E580334C8013FFEE45DC60A36ADE49B925F2DB64913C4E1046E5B5ECE164BBD823170033550086AFA644126260000842DF86064C666';
wwv_flow_imp.g_varchar2_table(20188) := 'ACFA52A35DD3350D635244E03C63E06CFEA32A000029B082A38847AD9CBF58BEAA443003999B66EC846272B6E7A6829A1A6C502DDE587B0602B825672E00803228032EF0020098E5FCC3BF103EB37375682D38D77B96E8FF33DB678E7DC270BE6280CE66';
wwv_flow_imp.g_varchar2_table(20189) := '29F8023740033750082BC86028560186BE2C25C881AAC8818406DA8976E972CAD0CAEDE714E611CD10E5973E8A748E883B8883A461CE74AB8077DD43AB70679C36EAABE80D4996B753150C8D3E6AAE234B7A2DEAA7A66A7B86E449368C2169011830A3AA';
wwv_flow_imp.g_varchar2_table(20190) := 'F6EAAF06EB7B8E571810A3F60DEBB346EBB46E371F310B3152EBB786EBB83EB314D8EA3592EB779CBFF8B3009396EBBEF66BAB502339566BBDF654FB536885FEBBBD566CBEFEEBC6A66AB72647C1866BE7ACBF75AE8A9676ECCC06EB204E9FB65E59CD3E';
wwv_flow_imp.g_varchar2_table(20191) := '0BC606EDD196682F1297C3B8D347F56AA1BE4ED276EDB3F6A214209616E86AD5CEEC827CEDDC366A34BC96FFB4950CB3E86AB5EE866E0087E10607DD46EEE4F66A511335E576EE976EEEE796EEE9A6EEEAB6EEEBC6EEECD6EEEDE6EEEEF6EEEF06EFF016';
wwv_flow_imp.g_varchar2_table(20192) := 'EFF126EFF236EFF346EFF456EFF566EFF676EFF786EFF896EFF9A6EFFAB6EFFBC6EFFCD6EFFDE6EFFEF6EFFF06F00017F00127F00237F00347F00457F00567F00677F00787F00897F009A7F00AB7F00BC7F00CD7F00DE7F00EF7F00F07F11017F11127F1';
wwv_flow_imp.g_varchar2_table(20193) := '1237F1134771F126E514D7F09F64F11787F11897F119A7F11AB7F11BC7F11CD7F11DE7F11EF7F11F07F22017F22127F22237F22347F22457F22567F22677F22787F22897F229A7F22AB7F22BC7F22CD7F22DE7F22EF7F22F07F33017F33127F33237F3FF';
wwv_flow_imp.g_varchar2_table(20194) := '3347F33457F33567F33677F33787F33897F339A7F33AB7F33BC7F33CD7F33DE7F33EF7F33F07F44017F44127F44237F44347F44457F44567F44677F44787F44897F449A7F44AB7F44BC7F44CD774B5C1E88DBDE44D3FE25F3E0BCAD5C92D067577CB558C';
wwv_flow_imp.g_varchar2_table(20195) := '2E4A99C6499CBC61143EF533B362ACF8DACBA5D00B65D3583FB7631CDE2A869A8D85C65CFF745DC72A8AF54216C89F12E0CC9906805F1FF6B09D461A506A62A7151A00498E9461AB944911A0D207B5E1B320636A0FA7DEF08DDF206329560875F1C1FF29';
wwv_flow_imp.g_varchar2_table(20196) := '4D0A5DC65CC58A1390561A907771579B0FF8807427F732CD1FD773D51A70E4A3C8C9279CF58820777BBF77853878AA1546900CD00905005C682C1B720F813341781C118DA4468CC05C555A1DF88B97B7CCECC4C76D46904F616D0F206334F9307C829105';
wwv_flow_imp.g_varchar2_table(20197) := '802700002A58F914662BB7C2AD99775D0BD33526C37979F3B4F4EA79778B072973340068BBA04F373EAB32A3F7EE8000003B';
null;
end;
/
begin
wwv_flow_imp_shared.create_app_static_file(
 p_id=>wwv_flow_imp.id(7096092810637090696)
,p_file_name=>'uc-flipcard-demo-small.gif'
,p_mime_type=>'image/gif'
,p_file_charset=>'utf-8'
,p_file_content => wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
null;
end;
/
prompt --application/plugin_settings
begin
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(6472756745717423814)
,p_plugin_type=>'WEB SOURCE TYPE'
,p_plugin=>'NATIVE_ADFBC'
,p_version_scn=>15494009467496
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(6660674614198313404)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_DATE_PICKER_APEX'
,p_attribute_01=>'MONTH-PICKER:YEAR-PICKER:TODAY-BUTTON'
,p_attribute_02=>'VISIBLE'
,p_attribute_03=>'15'
,p_attribute_04=>'FOCUS'
,p_version_scn=>15494009471667
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(6660674730738313404)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_GEOCODED_ADDRESS'
,p_attribute_01=>'RELAX_HOUSE_NUMBER'
,p_attribute_02=>'N'
,p_attribute_03=>'POPUP:ITEM'
,p_attribute_04=>'default'
,p_attribute_06=>'LIST'
,p_version_scn=>15494009471667
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(6660674830827313404)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_MAP_REGION'
,p_attribute_01=>'Y'
,p_version_scn=>15494009471667
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(6660674915563313404)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_SINGLE_CHECKBOX'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_version_scn=>15494009471667
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(7234357995733657176)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_DISPLAY_SELECTOR'
,p_attribute_01=>'Y'
,p_version_scn=>15494009471667
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(7234358595889657172)
,p_plugin_type=>'REGION TYPE'
,p_plugin=>'NATIVE_IR'
,p_attribute_01=>'IG'
,p_version_scn=>15494009471667
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(7234359247190657171)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_COLOR_PICKER'
,p_attribute_01=>'FULL'
,p_attribute_02=>'POPUP'
,p_version_scn=>15494009471667
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(7234359518663657171)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_STAR_RATING'
,p_attribute_01=>'fa-star'
,p_attribute_04=>'#VALUE#'
,p_version_scn=>15494009471667
);
wwv_flow_imp_shared.create_plugin_setting(
 p_id=>wwv_flow_imp.id(7234359823172657171)
,p_plugin_type=>'ITEM TYPE'
,p_plugin=>'NATIVE_YES_NO'
,p_attribute_01=>'Y'
,p_attribute_03=>'N'
,p_attribute_05=>'SWITCH_CB'
,p_version_scn=>15494009471667
);
end;
/
prompt --application/shared_components/security/authorizations/administration_rights
begin
wwv_flow_imp_shared.create_security_scheme(
 p_id=>wwv_flow_imp.id(7234500072258656827)
,p_name=>'Administration Rights'
,p_scheme_type=>'NATIVE_FUNCTION_BODY'
,p_attribute_01=>'return true;'
,p_error_message=>'Insufficient privileges, user is not an Administrator'
,p_caching=>'BY_USER_BY_PAGE_VIEW'
);
end;
/
prompt --application/shared_components/navigation/navigation_bar
begin
null;
end;
/
prompt --application/shared_components/logic/application_settings
begin
null;
end;
/
prompt --application/shared_components/navigation/tabs/standard
begin
null;
end;
/
prompt --application/shared_components/navigation/tabs/parent
begin
null;
end;
/
prompt --application/shared_components/user_interface/lovs/dept
begin
wwv_flow_imp_shared.create_list_of_values(
 p_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_name=>'DEPT'
,p_lov_query=>'.'||wwv_flow_imp.id(6600416436909151149)||'.'
,p_location=>'STATIC'
);
wwv_flow_imp_shared.create_static_lov_data(
 p_id=>wwv_flow_imp.id(6600416646995151150)
,p_lov_disp_sequence=>1
,p_lov_disp_value=>'ACCOUNTING'
,p_lov_return_value=>'10'
);
wwv_flow_imp_shared.create_static_lov_data(
 p_id=>wwv_flow_imp.id(6600417082877151151)
,p_lov_disp_sequence=>2
,p_lov_disp_value=>'RESEARCH'
,p_lov_return_value=>'20'
);
wwv_flow_imp_shared.create_static_lov_data(
 p_id=>wwv_flow_imp.id(6600417453803151151)
,p_lov_disp_sequence=>3
,p_lov_disp_value=>'SALES'
,p_lov_return_value=>'30'
);
wwv_flow_imp_shared.create_static_lov_data(
 p_id=>wwv_flow_imp.id(6600418000155152783)
,p_lov_disp_sequence=>4
,p_lov_disp_value=>'OPERATIONS'
,p_lov_return_value=>'40'
);
end;
/
prompt --application/shared_components/user_interface/lovs/eba_demo_card_dept_dname
begin
wwv_flow_imp_shared.create_list_of_values(
 p_id=>wwv_flow_imp.id(6600440030601202401)
,p_lov_name=>'EBA_DEMO_CARD_DEPT.DNAME'
,p_source_type=>'TABLE'
,p_location=>'LOCAL'
,p_query_table=>'EBA_DEMO_CARD_DEPT'
,p_return_column_name=>'DEPTNO'
,p_display_column_name=>'DNAME'
,p_default_sort_column_name=>'DNAME'
,p_default_sort_direction=>'ASC'
);
end;
/
prompt --application/shared_components/user_interface/lovs/eba_demo_card_emp_ename
begin
wwv_flow_imp_shared.create_list_of_values(
 p_id=>wwv_flow_imp.id(6600438126645202397)
,p_lov_name=>'EBA_DEMO_CARD_EMP.ENAME'
,p_source_type=>'TABLE'
,p_location=>'LOCAL'
,p_query_table=>'EBA_DEMO_CARD_EMP'
,p_return_column_name=>'EMPNO'
,p_display_column_name=>'ENAME'
,p_default_sort_column_name=>'ENAME'
,p_default_sort_direction=>'ASC'
);
end;
/
prompt --application/shared_components/user_interface/lovs/login_remember_username
begin
wwv_flow_imp_shared.create_list_of_values(
 p_id=>wwv_flow_imp.id(7234502628629656782)
,p_lov_name=>'LOGIN_REMEMBER_USERNAME'
,p_lov_query=>'.'||wwv_flow_imp.id(7234502628629656782)||'.'
,p_location=>'STATIC'
);
wwv_flow_imp_shared.create_static_lov_data(
 p_id=>wwv_flow_imp.id(7234503045946656778)
,p_lov_disp_sequence=>10
,p_lov_disp_value=>'Remember username'
,p_lov_return_value=>'Y'
);
end;
/
prompt --application/pages/page_groups
begin
wwv_flow_imp_page.create_page_group(
 p_id=>wwv_flow_imp.id(7234500727306656823)
,p_group_name=>'Administration'
);
end;
/
prompt --application/comments
begin
null;
end;
/
prompt --application/shared_components/navigation/breadcrumbs/breadcrumb
begin
wwv_flow_imp_shared.create_menu(
 p_id=>wwv_flow_imp.id(7234360455922657164)
,p_name=>'Breadcrumb'
);
wwv_flow_imp_shared.create_menu_option(
 p_id=>wwv_flow_imp.id(6661951770255449114)
,p_short_name=>'Basic Sample'
,p_link=>'f?p=&APP_ID.:20:&APP_SESSION.::&DEBUG.:::'
,p_page_id=>20
);
wwv_flow_imp_shared.create_menu_option(
 p_id=>wwv_flow_imp.id(6686367543311576581)
,p_short_name=>'Flip Actions'
,p_link=>'f?p=&APP_ID.:30:&APP_SESSION.::&DEBUG.:::'
,p_page_id=>30
);
end;
/
prompt --application/shared_components/navigation/breadcrumbentry
begin
null;
end;
/
prompt --application/shared_components/user_interface/templates/page/drawer
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(6661088723082328960)
,p_theme_id=>42
,p_name=>'Drawer'
,p_internal_name=>'DRAWER'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.modalDialog();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-Drawer-page t-PageTemplate--drawer #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Drawer" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Drawer-header">#REGION_POSITION_01#</div>',
'  <div class="t-Drawer-bodyWrapperOut">',
'    <div class="t-Drawer-bodyWrapperIn">',
'      <div class="t-Drawer-body" role="main">#SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION##BODY#</div>',
'    </div>',
'  </div>',
'  <div class="t-Drawer-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>11
,p_preset_template_options=>'js-dialog-class-t-Drawer--pullOutEnd'
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_js_init_code=>'apex.theme42.dialog(#PAGE_URL#,{title:#TITLE#,w:#DIALOG_WIDTH#,mxw:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,dlgCls:''t-Drawer-page--standard ''+#DIALOG_CSS_CLASSES#,#DIALOG_ATTRIBUTES#},#PAGE_CSS_CLASSES#,#TRIGGERING_ELEMENT#)'
,p_dialog_js_close_code=>'apex.theme42.dialog.close(#IS_MODAL#,#TARGET#)'
,p_dialog_js_cancel_code=>'apex.theme42.dialog.cancel(#IS_MODAL#)'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>1659739787629394056
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475342343673198843)
,p_page_template_id=>wwv_flow_imp.id(6661088723082328960)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475342849810198844)
,p_page_template_id=>wwv_flow_imp.id(6661088723082328960)
,p_name=>'Dialog Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475343369310198844)
,p_page_template_id=>wwv_flow_imp.id(6661088723082328960)
,p_name=>'Dialog Footer'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/master_detail
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(7234361207833657151)
,p_theme_id=>42
,p_name=>'Marquee'
,p_internal_name=>'MASTER_DETAIL'
,p_is_popup=>false
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.stickyTableHeader#MIN#.js?v=#APEX_VERSION#',
'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'))
,p_javascript_code_onload=>'apex.theme42.initializePage.masterDetail();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--masterDetail t-PageBody--hideLeft no-anim t-PageTemplate--marquee #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<script>(sessionStorage.getItem("ORA_WWV_apex.toggleCore.right.&APP_ID..&APP_PAGE_ID..preferenceForExpanded") === "true") ? document.getElementById(''t_PageBody'').classList.add(''js-rightExpanded'') : document.getElementById(''t_PageBody'').classList.add('
||'''js-rightCollapsed'')</script>',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." title="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." id="t_Button_navControl" type="button"><span class="t-Header-'
||'controlsIcon" aria-hidden="true"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-info" id="t_Body_info">#REGION_POSITION_02#</div>',
'        <div class="t-Body-contentInner" role="main">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>1996914646461572319
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475381260176198871)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475381718780198872)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475382207587198872)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475382794059198872)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475383213940198872)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475383739678198872)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'Master Detail'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475384271193198873)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'Right Side Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475384774834198873)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475385204483198873)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475385764815198873)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475386270180198874)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475386713730198874)
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/modal_dialog
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(7234364345938657120)
,p_theme_id=>42
,p_name=>'Modal Dialog'
,p_internal_name=>'MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.modalDialog();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--standard t-PageTemplate--dialog #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'    <div class="t-Dialog-bodyWrapperIn">',
'      <div class="t-Dialog-body" role="main">#SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION##BODY#</div>',
'    </div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_js_init_code=>'apex.theme42.dialog(#PAGE_URL#,{title:#TITLE#,h:#DIALOG_HEIGHT#,w:#DIALOG_WIDTH#,mxw:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,dlgCls:''t-Dialog-page--standard ''+#DIALOG_CSS_CLASSES#,#DIALOG_ATTRIBUTES#},#PAGE_CSS_CLASSES#,#TRIGGERING_ELEMEN'
||'T#)'
,p_dialog_js_close_code=>'apex.theme42.dialog.close(#IS_MODAL#,#TARGET#)'
,p_dialog_js_cancel_code=>'apex.theme42.dialog.cancel(#IS_MODAL#)'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2098960803539086924
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475398662631198881)
,p_page_template_id=>wwv_flow_imp.id(7234364345938657120)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475399152651198881)
,p_page_template_id=>wwv_flow_imp.id(7234364345938657120)
,p_name=>'Dialog Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475399670068198881)
,p_page_template_id=>wwv_flow_imp.id(7234364345938657120)
,p_name=>'Dialog Footer'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/login
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(7234365775712657118)
,p_theme_id=>42
,p_name=>'Login'
,p_internal_name=>'LOGIN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.appLogin();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody--login t-PageTemplate--login no-anim #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#',
'<div class="t-Login-bg">',
'  #BACKGROUND_IMAGE#',
'  <div class="t-Login-bgImg"></div>',
'</div>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Login-container">',
'  <header class="t-Login-containerHeader">#REGION_POSITION_01#</header>',
'  <main class="t-Login-containerBody" id="main">#SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION##BODY#</main>',
'  <footer class="t-Login-containerFooter">#REGION_POSITION_02#</footer>',
'</div>',
''))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>6
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2099711150063350616
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475371529266198865)
,p_page_template_id=>wwv_flow_imp.id(7234365775712657118)
,p_name=>'Background Image'
,p_placeholder=>'BACKGROUND_IMAGE'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475372045159198865)
,p_page_template_id=>wwv_flow_imp.id(7234365775712657118)
,p_name=>'Content Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475372556690198865)
,p_page_template_id=>wwv_flow_imp.id(7234365775712657118)
,p_name=>'Body Header'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475373038686198865)
,p_page_template_id=>wwv_flow_imp.id(7234365775712657118)
,p_name=>'Body Footer'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/wizard_modal_dialog
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(7234368109628657109)
,p_theme_id=>42
,p_name=>'Wizard Modal Dialog'
,p_internal_name=>'WIZARD_MODAL_DIALOG'
,p_is_popup=>true
,p_javascript_code_onload=>'apex.theme42.initializePage.wizardModal();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-Dialog-page t-Dialog-page--wizard t-PageTemplate--wizard #DIALOG_CSS_CLASSES# #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD#>',
'#FORM_OPEN#'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Dialog" role="dialog" aria-label="#TITLE#">',
'  <div class="t-Dialog-header">#REGION_POSITION_01#</div>',
'  <div class="t-Dialog-bodyWrapperOut">',
'    <div class="t-Dialog-bodyWrapperIn">',
'      <div class="t-Dialog-body" role="main">#SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION##BODY#</div>',
'    </div>',
'  </div>',
'  <div class="t-Dialog-footer">#REGION_POSITION_03#</div>',
'</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_theme_class_id=>3
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_js_init_code=>'apex.theme42.dialog(#PAGE_URL#,{title:#TITLE#,h:#DIALOG_HEIGHT#,w:#DIALOG_WIDTH#,mxw:#DIALOG_MAX_WIDTH#,modal:#IS_MODAL#,dialog:#DIALOG#,dlgCls:''t-Dialog-page--wizard ''+#DIALOG_CSS_CLASSES#,#DIALOG_ATTRIBUTES#},#PAGE_CSS_CLASSES#,#TRIGGERING_ELEMENT#'
||')'
,p_dialog_js_close_code=>'apex.theme42.dialog.close(#IS_MODAL#,#TARGET#)'
,p_dialog_js_cancel_code=>'apex.theme42.dialog.cancel(#IS_MODAL#)'
,p_dialog_height=>'auto'
,p_dialog_width=>'720'
,p_dialog_max_width=>'960'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2120348229686426515
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475422391514198894)
,p_page_template_id=>wwv_flow_imp.id(7234368109628657109)
,p_name=>'Wizard Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475422803902198894)
,p_page_template_id=>wwv_flow_imp.id(7234368109628657109)
,p_name=>'Wizard Progress Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475423314177198895)
,p_page_template_id=>wwv_flow_imp.id(7234368109628657109)
,p_name=>'Wizard Buttons'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/page/left_side_column
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(7234369612396657107)
,p_theme_id=>42
,p_name=>'Left Side Column'
,p_internal_name=>'LEFT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.leftSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft t-PageBody--hideActions no-anim t-PageTemplate--leftCol #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." title="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." id="t_Button_navControl" type="button"><span class="t-Header-'
||'controlsIcon" aria-hidden="true"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-side" id="t_Body_side">#REGION_POSITION_02#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main class="t-Body-mainContent" id="main">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525196570560608698
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475352484521198854)
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475352922898198854)
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475353434263198855)
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475353948635198855)
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475354484529198855)
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475354914428198855)
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475355453441198855)
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475355984416198856)
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475356430166198856)
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475356952723198856)
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475357448865198856)
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/right_side_column
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(7234372422516657101)
,p_theme_id=>42
,p_name=>'Right Side Column'
,p_internal_name=>'RIGHT_SIDE_COLUMN'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.rightSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8"> ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft no-anim t-PageTemplate--rightSideCol #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<script>(sessionStorage.getItem("ORA_WWV_apex.toggleCore.right.&APP_ID..&APP_PAGE_ID..preferenceForExpanded") === "true") ? document.getElementById(''t_PageBody'').classList.add(''js-rightExpanded'') : document.getElementById(''t_PageBody'').classList.add('
||'''js-rightCollapsed'')</script>',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." title="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." id="t_Button_navControl" type="button"><span class="t-Header-'
||'controlsIcon" aria-hidden="true"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>'))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" aria-label="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button'
||'>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525200116240651575
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475405401214198885)
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475405951132198885)
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475406418796198885)
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475406913772198886)
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475407463303198886)
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475407909146198886)
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475408474517198886)
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475408903174198886)
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475409474608198887)
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475409970826198887)
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475410459268198887)
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>8
);
end;
/
prompt --application/shared_components/user_interface/templates/page/left_and_right_side_columns
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(7234375212616657096)
,p_theme_id=>42
,p_name=>'Left and Right Side Columns'
,p_internal_name=>'LEFT_AND_RIGHT_SIDE_COLUMNS'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.bothSideCols();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">  ',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>',
'</head>',
'<body class="t-PageBody t-PageBody--showLeft no-anim t-PageTemplate--leftRightCol #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<script>(sessionStorage.getItem("ORA_WWV_apex.toggleCore.right.&APP_ID..&APP_PAGE_ID..preferenceForExpanded") === "true") ? document.getElementById(''t_PageBody'').classList.add(''js-rightExpanded'') : document.getElementById(''t_PageBody'').classList.add('
||'''js-rightCollapsed'')</script>',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." title="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." id="t_Button_navControl" type="button"><span class="t-Header-'
||'controlsIcon" aria-hidden="true"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-side" id="t_Body_side">#REGION_POSITION_02#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'  <div class="t-Body-actions" id="t_Body_actions">',
'    <button class="t-Body-actionsToggle" title="#EXPAND_COLLAPSE_SIDE_COL_LABEL#" id="t_Button_rightControlButton" type="button"><span class="t-Body-actionsControlsIcon" aria-hidden="true"></span></button>',
'    <div class="t-Body-actionsContent" role="complementary">#REGION_POSITION_03#</div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>'))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Success'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" onclick="apex.jQuery(''#t_Alert_Notification'').remove();" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_sidebar_def_reg_pos=>'REGION_POSITION_03'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>17
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2525203692562657055
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475363347966198861)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475363836576198861)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475364364697198861)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475364825308198861)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>6
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475365325590198861)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475365818382198862)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'Left Column'
,p_placeholder=>'REGION_POSITION_02'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>3
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475366338098198862)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'Right Column'
,p_placeholder=>'REGION_POSITION_03'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>3
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475366843531198862)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475367358909198862)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>6
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475367871140198862)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475368361553198863)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475368838544198863)
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>6
);
end;
/
prompt --application/shared_components/user_interface/templates/page/minimal_no_navigation
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(7234378289876657094)
,p_theme_id=>42
,p_name=>'Minimal (No Navigation)'
,p_internal_name=>'MINIMAL_NO_NAVIGATION'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#  ',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim #PAGE_CSS_CLASSES# t-PageBody--noNav t-PageTemplate--minimal" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="#EXPAND_COLLAPSE_NAV_LABEL#" title="#EXPAND_COLLAPSE_NAV_LABEL#" id="t_Button_navControl" type="button"><span class="t-Icon fa fa-bars" aria-hidden="true"'
||'></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'</header>',
'    '))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>4
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>2977628563533209425
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475391855037198877)
,p_page_template_id=>wwv_flow_imp.id(7234378289876657094)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475392396434198877)
,p_page_template_id=>wwv_flow_imp.id(7234378289876657094)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475392825940198877)
,p_page_template_id=>wwv_flow_imp.id(7234378289876657094)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475393353440198878)
,p_page_template_id=>wwv_flow_imp.id(7234378289876657094)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475393830663198878)
,p_page_template_id=>wwv_flow_imp.id(7234378289876657094)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475394326079198878)
,p_page_template_id=>wwv_flow_imp.id(7234378289876657094)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475394800923198878)
,p_page_template_id=>wwv_flow_imp.id(7234378289876657094)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475395331228198879)
,p_page_template_id=>wwv_flow_imp.id(7234378289876657094)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475395890130198879)
,p_page_template_id=>wwv_flow_imp.id(7234378289876657094)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475396368747198879)
,p_page_template_id=>wwv_flow_imp.id(7234378289876657094)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/page/standard
begin
wwv_flow_imp_shared.create_template(
 p_id=>wwv_flow_imp.id(7234380834380657092)
,p_theme_id=>42
,p_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_is_popup=>false
,p_javascript_code_onload=>'apex.theme42.initializePage.noSideCol();'
,p_header_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html class="no-js #RTL_CLASS# page-&APP_PAGE_ID. app-&APP_ALIAS." lang="&BROWSER_LANGUAGE." #TEXT_DIRECTION#>',
'<head>',
'  <meta http-equiv="x-ua-compatible" content="IE=edge" />',
'  <meta charset="utf-8">',
'  <title>#TITLE#</title>',
'  #APEX_CSS#',
'  #THEME_CSS#',
'  #TEMPLATE_CSS#',
'  #THEME_STYLE_CSS#',
'  #APPLICATION_CSS#',
'  #PAGE_CSS#',
'  #FAVICONS#',
'  #HEAD#',
'  <meta name="viewport" content="width=device-width, initial-scale=1.0" />',
'</head>',
'<body class="t-PageBody t-PageBody--hideLeft t-PageBody--hideActions no-anim t-PageTemplate--standard #PAGE_CSS_CLASSES#" #TEXT_DIRECTION# #ONLOAD# id="t_PageBody">',
'<a href="#main" id="t_Body_skipToContent">&APP_TEXT$UI_PAGE_SKIP_TO_CONTENT.</a>',
'#FORM_OPEN#',
'<header class="t-Header" id="t_Header" role="banner">',
'  #REGION_POSITION_07#',
'  <div class="t-Header-branding">',
'    <div class="t-Header-controls">',
'      <button class="t-Button t-Button--icon t-Button--header t-Button--headerTree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." title="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL"." id="t_Button_navControl" type="button"><span class="t-Header-'
||'controlsIcon" aria-hidden="true"></span></button>',
'    </div>',
'    <div class="t-Header-logo">',
'      <a href="#HOME_LINK#" class="t-Header-logo-link">#LOGO#</a>',
'      #AFTER_LOGO#',
'    </div>',
'    <div class="t-Header-navBar">',
'      <div class="t-Header-navBar--start">#BEFORE_NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--center">#NAVIGATION_BAR#</div>',
'      <div class="t-Header-navBar--end">#AFTER_NAVIGATION_BAR#</div>',
'    </div>',
'  </div>',
'  <div class="t-Header-nav">#TOP_GLOBAL_NAVIGATION_LIST##REGION_POSITION_06#</div>',
'</header>',
''))
,p_box=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body">',
'  #SIDE_GLOBAL_NAVIGATION_LIST#',
'  <div class="t-Body-main">',
'    <div class="t-Body-title" id="t_Body_title">#REGION_POSITION_01#</div>',
'    <div class="t-Body-content" id="t_Body_content">',
'      <main id="main" class="t-Body-mainContent">',
'        #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#',
'        <div class="t-Body-fullContent">#REGION_POSITION_08#</div>',
'        <div class="t-Body-contentInner">#BODY#</div>',
'      </main>',
'      <footer class="t-Footer" id="t_Footer" role="contentinfo">',
'        <div class="t-Footer-body">',
'          <div class="t-Footer-content">#REGION_POSITION_05#</div>',
'          <div class="t-Footer-apex">',
'            <div class="t-Footer-version">#APP_VERSION#</div>',
'            <div class="t-Footer-customize">#CUSTOMIZE#</div>',
'            #BUILT_WITH_LOVE_USING_APEX#',
'          </div>',
'        </div>',
'        <div class="t-Footer-top">',
'          <a href="#top" class="t-Footer-topButton" id="t_Footer_topButton" title="&"APP_TEXT$APEX.UI.BACK_TO_TOP"." aria-label="&"APP_TEXT$APEX.UI.BACK_TO_TOP"."><span class="a-Icon icon-up-chevron" aria-hidden="true"></span></a>',
'        </div>',
'      </footer>',
'    </div>',
'  </div>',
'</div>',
'<div class="t-Body-inlineDialogs" id="t_Body_inlineDialogs">#REGION_POSITION_04#</div>'))
,p_footer_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#FORM_CLOSE#',
'#DEVELOPER_TOOLBAR#',
'#APEX_JAVASCRIPT#',
'#GENERATED_CSS#',
'#THEME_JAVASCRIPT#',
'#TEMPLATE_JAVASCRIPT#',
'#APPLICATION_JAVASCRIPT#',
'#PAGE_JAVASCRIPT#  ',
'#GENERATED_JAVASCRIPT#',
'</body>',
'</html>',
''))
,p_success_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--success t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Success">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-header">',
'          <h2 class="t-Alert-title" role="alert">#SUCCESS_MESSAGE#</h2>',
'        </div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_notification_message=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-alert">',
'  <div class="t-Alert t-Alert--defaultIcons t-Alert--warning t-Alert--horizontal t-Alert--page t-Alert--colorBG" id="t_Alert_Notification" role="alert">',
'    <div class="t-Alert-wrap">',
'      <div class="t-Alert-icon">',
'        <span class="t-Icon"></span>',
'      </div>',
'      <div class="t-Alert-content">',
'        <div class="t-Alert-body">#MESSAGE#</div>',
'      </div>',
'      <div class="t-Alert-buttons">',
'        <button class="t-Button t-Button--noUI t-Button--icon t-Button--closeAlert" type="button" title="#CLOSE_NOTIFICATION#"><span class="t-Icon icon-close"></span></button>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_navigation_bar=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-NavigationBar t-NavigationBar--classic" data-mode="classic">',
'  <li class="t-NavigationBar-item">',
'    <span class="t-Button t-Button--icon t-Button--noUI t-Button--header t-Button--navBar t-Button--headerUser">',
'      <span class="t-Icon a-Icon icon-user"></span>',
'      <span class="t-Button-label">&APP_USER.</span>',
'    </span>',
'  </li>#BAR_BODY#',
'</ul>'))
,p_navbar_entry=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item">',
'  <a class="t-Button t-Button--icon t-Button--header" href="#LINK#">',
'    <span class="t-Icon #IMAGE#"></span>',
'    <span class="t-Button-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_region_table_cattributes=>' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
,p_breadcrumb_def_reg_pos=>'REGION_POSITION_01'
,p_theme_class_id=>1
,p_error_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--danger t-Alert--wizard t-Alert--defaultIcons">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-body">',
'        <h1 class="t-Alert-errorTitle">#MESSAGE#</h1>',
'        <p>#ADDITIONAL_INFO#</p>',
'        <div class="t-Alert-inset">#TECHNICAL_INFO#</div>',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      <button onclick="#BACK_LINK#" class="t-Button t-Button--hot w50p t-Button--large" type="button">#OK#</button>',
'    </div>',
'  </div>',
'</div>'))
,p_grid_type=>'FIXED'
,p_grid_max_columns=>12
,p_grid_always_use_max_columns=>true
,p_grid_has_column_span=>true
,p_grid_always_emit=>true
,p_grid_emit_empty_leading_cols=>true
,p_grid_emit_empty_trail_cols=>false
,p_grid_default_label_col_span=>2
,p_grid_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="container">',
'#ROWS#',
'</div>'))
,p_grid_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="row #CSS_CLASSES#">',
'#COLUMNS#',
'</div>'))
,p_grid_column_template=>'<div class="col col-#COLUMN_SPAN_NUMBER# #CSS_CLASSES# #FIRST_LAST_COLUMN_ATTRIBUTES#" #ATTRIBUTES#>#CONTENT#</div>'
,p_grid_first_column_attributes=>'col-start'
,p_grid_last_column_attributes=>'col-end'
,p_dialog_browser_frame=>'MODAL'
,p_reference_id=>4070909157481059304
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475415595735198890)
,p_page_template_id=>wwv_flow_imp.id(7234380834380657092)
,p_name=>'After Logo'
,p_placeholder=>'AFTER_LOGO'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475416099929198890)
,p_page_template_id=>wwv_flow_imp.id(7234380834380657092)
,p_name=>'After Navigation Bar'
,p_placeholder=>'AFTER_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475416542989198891)
,p_page_template_id=>wwv_flow_imp.id(7234380834380657092)
,p_name=>'Before Navigation Bar'
,p_placeholder=>'BEFORE_NAVIGATION_BAR'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
,p_max_fixed_grid_columns=>4
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475417075791198891)
,p_page_template_id=>wwv_flow_imp.id(7234380834380657092)
,p_name=>'Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475417543795198891)
,p_page_template_id=>wwv_flow_imp.id(7234380834380657092)
,p_name=>'Breadcrumb Bar'
,p_placeholder=>'REGION_POSITION_01'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475418096690198891)
,p_page_template_id=>wwv_flow_imp.id(7234380834380657092)
,p_name=>'Dialogs, Drawers and Popups'
,p_placeholder=>'REGION_POSITION_04'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475418576792198892)
,p_page_template_id=>wwv_flow_imp.id(7234380834380657092)
,p_name=>'Footer'
,p_placeholder=>'REGION_POSITION_05'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475419034470198892)
,p_page_template_id=>wwv_flow_imp.id(7234380834380657092)
,p_name=>'Top Navigation'
,p_placeholder=>'REGION_POSITION_06'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475419514473198892)
,p_page_template_id=>wwv_flow_imp.id(7234380834380657092)
,p_name=>'Banner'
,p_placeholder=>'REGION_POSITION_07'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_page_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475420016045198892)
,p_page_template_id=>wwv_flow_imp.id(7234380834380657092)
,p_name=>'Full Width Content'
,p_placeholder=>'REGION_POSITION_08'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/button/icon
begin
wwv_flow_imp_shared.create_button_templates(
 p_id=>wwv_flow_imp.id(7234474436242656966)
,p_template_name=>'Icon'
,p_internal_name=>'ICON'
,p_template=>'<button class="t-Button t-Button--noLabel  t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL!ATTR#" aria-label="#LABEL!ATTR#"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidd'
||'en="true"></span></button>'
,p_hot_template=>'<button class="t-Button t-Button--noLabel t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#" title="#LABEL!ATTR#" aria-label="#LABEL!ATTR#"><span class="t-Icon #ICON_CSS_CLASSE'
||'S#" aria-hidden="true"></span></button>'
,p_reference_id=>2347660919680321258
,p_translate_this_template=>'N'
,p_theme_class_id=>5
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text
begin
wwv_flow_imp_shared.create_button_templates(
 p_id=>wwv_flow_imp.id(7234475091651656963)
,p_template_name=>'Text'
,p_internal_name=>'TEXT'
,p_template=>'<button onclick="#JAVASCRIPT#" class="t-Button #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_hot_template=>'<button onclick="#JAVASCRIPT#" class="t-Button t-Button--hot #BUTTON_CSS_CLASSES#" type="button" #BUTTON_ATTRIBUTES# id="#BUTTON_ID#"><span class="t-Button-label">#LABEL#</span></button>'
,p_reference_id=>4070916158035059322
,p_translate_this_template=>'N'
,p_theme_class_id=>1
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/button/text_with_icon
begin
wwv_flow_imp_shared.create_button_templates(
 p_id=>wwv_flow_imp.id(7234475249013656963)
,p_template_name=>'Text with Icon'
,p_internal_name=>'TEXT_WITH_ICON'
,p_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES#" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-label">#LABEL#'
||'</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_hot_template=>'<button class="t-Button t-Button--icon #BUTTON_CSS_CLASSES# t-Button--hot" #BUTTON_ATTRIBUTES# onclick="#JAVASCRIPT#" type="button" id="#BUTTON_ID#"><span class="t-Icon t-Icon--left #ICON_CSS_CLASSES#" aria-hidden="true"></span><span class="t-Button-'
||'label">#LABEL#</span><span class="t-Icon t-Icon--right #ICON_CSS_CLASSES#" aria-hidden="true"></span></button>'
,p_reference_id=>2081382742158699622
,p_translate_this_template=>'N'
,p_theme_class_id=>4
,p_preset_template_options=>'t-Button--iconLeft'
,p_theme_id=>42
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_drawer
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(6661314886783329086)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'  <div id="#REGION_STATIC_ID#" class="t-DrawerRegion js-dialog-class-ui-dialog--drawer #REGION_CSS_CLASSES# js-regionDialog" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# style="display:none" title="#TITLE!ATTR#">',
'    <div class="t-DrawerRegion-wrap">',
'      <div class="t-DrawerRegion-bodyWrapperOut">',
'        <div class="t-DrawerRegion-bodyWrapperIn">',
'          <div class="t-DrawerRegion-body">#BODY##SUB_REGIONS#</div>',
'        </div>',
'      </div>',
'      <div class="t-DrawerRegion-buttons">',
'        <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'          <div class="t-ButtonRegion-wrap">',
'            <div class="t-ButtonRegion-col t-ButtonRegion-col--left">',
'              <div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div>',
'            </div>',
'            <div class="t-ButtonRegion-col t-ButtonRegion-col--right">',
'              <div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div>',
'            </div>',
'          </div>',
'        </div>',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Inline Drawer'
,p_internal_name=>'INLINE_DRAWER'
,p_theme_id=>42
,p_theme_class_id=>24
,p_default_template_options=>'js-modal'
,p_preset_template_options=>'js-dialog-class-t-Drawer--pullOutEnd'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>1659526333647509386
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475560626844198983)
,p_plug_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475561163719198983)
,p_plug_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475561683459198984)
,p_plug_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475562125301198984)
,p_plug_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475562614766198984)
,p_plug_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475563144000198984)
,p_plug_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475563693798198985)
,p_plug_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475564156946198985)
,p_plug_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/image
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(6661322954333329090)
,p_layout=>'TABLE'
,p_template=>'<div id="#REGION_STATIC_ID#" class="t-ImageRegion #REGION_CSS_CLASSES#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#><img src="#REGION_IMAGE_URL#" alt="#REGION_IMAGE_ALT_TEXT#" #REGION_IMAGE_ATTRIBUTES# /></div>'
,p_page_plug_template_name=>'Image'
,p_internal_name=>'IMAGE'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-ImageRegion--auto:t-ImageRegion--cover:t-ImageRegion--square:t-ImageRegion--noFilter'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>1673953645642781634
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475533402414198966)
,p_plug_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475533945098198967)
,p_plug_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/region/search_results_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(6661331941874329094)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ResultsRegion #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-ResultsRegion-search">#SEARCH_FIELD#</div>',
'  #BODY#',
'  #SUB_REGIONS#',
'</div>',
''))
,p_page_plug_template_name=>'Search Results Container'
,p_internal_name=>'SEARCH_RESULTS_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>11
,p_default_template_options=>'u-colors'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>1554292095258992441
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475603056466199009)
,p_plug_template_id=>wwv_flow_imp.id(6661331941874329094)
,p_name=>'Search Results'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475603502841199009)
,p_plug_template_id=>wwv_flow_imp.id(6661331941874329094)
,p_name=>'Search Field'
,p_placeholder=>'SEARCH_FIELD'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475604092031199010)
,p_plug_template_id=>wwv_flow_imp.id(6661331941874329094)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/item_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(6661336239300329096)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ItemContainer #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-ItemContainer-start">#BUTTON_START#</div>',
'  <div class="t-ItemContainer-item">#BODY#</div>',
'  <div class="t-ItemContainer-end">#BUTTON_END#</div>',
'</div>'))
,p_page_plug_template_name=>'Item Container'
,p_internal_name=>'ITEM_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>21
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>1568547778806319863
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475590413993199001)
,p_plug_template_id=>wwv_flow_imp.id(6661336239300329096)
,p_name=>'Item'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475590974493199001)
,p_plug_template_id=>wwv_flow_imp.id(6661336239300329096)
,p_name=>'Button End'
,p_placeholder=>'BUTTON_END'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475591466706199002)
,p_plug_template_id=>wwv_flow_imp.id(6661336239300329096)
,p_name=>'Button Start'
,p_placeholder=>'BUTTON_START'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/cards_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(6661340513883329098)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-CardsRegion #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-Region-orderBy">#ORDER_BY_ITEM#</div>',
'  #BODY#',
'  #SUB_REGIONS#',
'</div>'))
,p_page_plug_template_name=>'Cards Container'
,p_internal_name=>'CARDS_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>21
,p_default_template_options=>'u-colors'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>2071277712695139743
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475457568869198919)
,p_plug_template_id=>wwv_flow_imp.id(6661340513883329098)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475458061290198919)
,p_plug_template_id=>wwv_flow_imp.id(6661340513883329098)
,p_name=>'Sort Order'
,p_placeholder=>'ORDER_BY_ITEM'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475458518209198919)
,p_plug_template_id=>wwv_flow_imp.id(6661340513883329098)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/alert
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234383335159657090)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">#BODY##SUB_REGIONS#</div>',
'    </div>',
'    <div class="t-Alert-buttons">#PREVIOUS##CLOSE##CREATE##NEXT#</div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Alert'
,p_internal_name=>'ALERT'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-Alert--horizontal:t-Alert--defaultIcons:t-Alert--warning'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>2039236646100190748
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475427232176198901)
,p_plug_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475427757690198901)
,p_plug_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475428230456198902)
,p_plug_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475428700693198902)
,p_plug_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475429286345198902)
,p_plug_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475429794521198902)
,p_plug_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234387039178657080)
,p_layout=>'TABLE'
,p_template=>'<div id="#REGION_STATIC_ID#" class="#REGION_CSS_CLASSES#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>#PREVIOUS##BODY##SUB_REGIONS##NEXT#</div>'
,p_page_plug_template_name=>'Blank with Attributes'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>4499993862448380551
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475439038003198909)
,p_plug_template_id=>wwv_flow_imp.id(7234387039178657080)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475439577834198909)
,p_plug_template_id=>wwv_flow_imp.id(7234387039178657080)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475440082336198909)
,p_plug_template_id=>wwv_flow_imp.id(7234387039178657080)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475440573613198909)
,p_plug_template_id=>wwv_flow_imp.id(7234387039178657080)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/blank_with_attributes_no_grid
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234387187963657078)
,p_layout=>'TABLE'
,p_template=>'<div id="#REGION_STATIC_ID#" class="#REGION_CSS_CLASSES#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>#PREVIOUS##BODY##SUB_REGIONS##NEXT#</div>'
,p_page_plug_template_name=>'Blank with Attributes (No Grid)'
,p_internal_name=>'BLANK_WITH_ATTRIBUTES_NO_GRID'
,p_theme_id=>42
,p_theme_class_id=>7
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3369790999010910123
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475442965298198911)
,p_plug_template_id=>wwv_flow_imp.id(7234387187963657078)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475443452018198911)
,p_plug_template_id=>wwv_flow_imp.id(7234387187963657078)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475443967655198911)
,p_plug_template_id=>wwv_flow_imp.id(7234387187963657078)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475444452491198912)
,p_plug_template_id=>wwv_flow_imp.id(7234387187963657078)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/carousel_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234388040200657078)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--carousel #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-Region-header">',
'    <div class="t-Region-headerItems t-Region-headerItems--title">',
'      <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'      <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h2>',
'    </div>',
'    <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
'  </div>',
'  <div role="region" aria-label="#TITLE#" class="t-Region-bodyWrap">',
'    <div class="t-Region-buttons t-Region-buttons--top">',
'      <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'      <div class="t-Region-buttons-right">#NEXT#</div>',
'    </div>',
'    <div class="t-Region-body">',
'      #BODY#',
'      <div class="t-Region-carouselRegions">#SUB_REGIONS#</div>',
'    </div>',
'    <div class="t-Region-buttons t-Region-buttons--bottom">',
'      <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'      <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'    </div>',
'  </div>',
'</div>'))
,p_sub_plug_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div data-label="#SUB_REGION_TITLE#" id="SR_#SUB_REGION_ID#">',
'  #SUB_REGION#',
'</div>'))
,p_page_plug_template_name=>'Carousel Container'
,p_internal_name=>'CAROUSEL_CONTAINER'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#',
'#APEX_FILES#plugins/com.oracle.apex.carousel/1.1/com.oracle.apex.carousel#MIN#.js?v=#APEX_VERSION#'))
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-Region--showCarouselControls'
,p_preset_template_options=>'t-Region--hiddenOverflow'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>2865840475322558786
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475465812005198924)
,p_plug_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475466370269198925)
,p_plug_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475466831960198925)
,p_plug_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475467386151198925)
,p_plug_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_name=>'Copy'
,p_placeholder=>'COPY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475467868653198925)
,p_plug_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475468321921198926)
,p_plug_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475468893951198926)
,p_plug_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475469390009198926)
,p_plug_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_name=>'Help'
,p_placeholder=>'HELP'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475469849736198926)
,p_plug_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475470300001198926)
,p_plug_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475470897468198927)
,p_plug_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_name=>'Slides'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/hero
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234395375366657061)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-HeroRegion #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-HeroRegion-top">',
'    <div class="t-HeroRegion-wrap">',
'      <div class="t-HeroRegion-col t-HeroRegion-col--beforeIcon">#UP#</div>',
'      <div class="t-HeroRegion-col t-HeroRegion-col--left">#REGION_IMAGE#<span class="t-HeroRegion-icon t-Icon #ICON_CSS_CLASSES#"></span></div>',
'      <div class="t-HeroRegion-col t-HeroRegion-col--content">',
'        <h1 id="#REGION_STATIC_ID#_heading" class="t-HeroRegion-title" data-apex-heading>#TITLE#</h1>',
'        #BODY#',
'      </div>',
'      <div class="t-HeroRegion-col t-HeroRegion-col--right"><div class="t-HeroRegion-form">#SUB_REGIONS#</div><div class="t-HeroRegion-buttons">#NEXT#</div></div>',
'    </div>',
'  </div>',
'  <div class="t-HeroRegion-bottom">#SMART_FILTERS#</div>',
'</div>',
''))
,p_page_plug_template_name=>'Hero'
,p_internal_name=>'HERO'
,p_image_template=>'<img class="t-HeroRegion-icon" src="#REGION_IMAGE_URL#" alt="" />'
,p_theme_id=>42
,p_theme_class_id=>22
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_region_title_dom_id=>'#REGION_STATIC_ID#_heading'
,p_reference_id=>2672571031438297268
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475525859885198962)
,p_plug_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475526344276198962)
,p_plug_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475526860956198962)
,p_plug_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_name=>'Search Field and Smart Filters'
,p_placeholder=>'SMART_FILTERS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475527304093198962)
,p_plug_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475527831047198963)
,p_plug_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_name=>'Up'
,p_placeholder=>'UP'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/region/buttons_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234397501181657059)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ButtonRegion t-Form--floatLeft #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-ButtonRegion-wrap">',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##CLOSE##DELETE#</div></div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--content">',
'      #BODY#',
'      <div class="t-ButtonRegion-buttons">#CHANGE#</div>',
'      #SUB_REGIONS#',
'    </div>',
'    <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'  </div>',
'</div>'))
,p_page_plug_template_name=>'Buttons Container'
,p_internal_name=>'BUTTONS_CONTAINER'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>17
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>2124982336649579661
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475448871260198914)
,p_plug_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475449305876198914)
,p_plug_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475449828001198915)
,p_plug_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475450387495198915)
,p_plug_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475450894758198915)
,p_plug_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475451360770198915)
,p_plug_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475451873615198915)
,p_plug_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475452397422198916)
,p_plug_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475452879927198916)
,p_plug_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/collapsible
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234399537396657058)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region t-Region--hideShow #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" data-region-id="#REGION_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--controls"><span class="t-Button t-Button--icon t-Button--hideShow"><span class="a-Icon _a-Collapsible-icon" aria-hidden="true"></span></span></div>',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <h2 id="#REGION_STATIC_ID#_heading" class="t-Region-title" data-apex-heading><button class="t-Region-titleButton" type="button">#TITLE#</button></h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#EDIT#</div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#CLOSE#</div>',
'    <div class="t-Region-buttons-right">#CREATE#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     <div class="t-Region-orderBy">#ORDER_BY_ITEM#</div>',
'     #COPY#',
'     #BODY#',
'     #SUB_REGIONS#',
'     #CHANGE#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
' </div>',
'</div>',
'<script>',
'    (() => {',
'        const region = document.getElementById(''#REGION_STATIC_ID#'').classList;',
'        const pref = sessionStorage.getItem(''ORA_WWV_apex.toggleCore.a_Collapsible_#REGION_ID#.&APP_ID..&APP_PAGE_ID..preferenceForExpanded'');',
'        if (region.contains(''js-useLocalStorage'')) { region.toggle(''is-collapsed'', pref === ''false'' || region.contains(''is-collapsed'')); }',
'    })();',
'</script>'))
,p_page_plug_template_name=>'Collapsible'
,p_internal_name=>'COLLAPSIBLE'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>1
,p_preset_template_options=>'is-expanded:t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_region_title_dom_id=>'#REGION_STATIC_ID#_heading'
,p_reference_id=>2662888092628347716
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475489792920198939)
,p_plug_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475490296220198939)
,p_plug_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475490784380198940)
,p_plug_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475491265116198940)
,p_plug_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_name=>'Copy'
,p_placeholder=>'COPY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475491749301198940)
,p_plug_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475492286035198940)
,p_plug_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475492788973198941)
,p_plug_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475493289320198941)
,p_plug_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_name=>'Sort Order'
,p_placeholder=>'ORDER_BY_ITEM'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475493718402198941)
,p_plug_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475494297378198941)
,p_plug_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/content_block
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234404938493657054)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ContentBlock #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-ContentBlock-header">',
'    <div class="t-ContentBlock-headerItems t-ContentBlock-headerItems--title">',
'      <span class="t-ContentBlock-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'      <h2 class="t-ContentBlock-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h2>',
'      #EDIT#',
'    </div>',
'    <div class="t-ContentBlock-headerItems t-ContentBlock-headerItems--buttons">#CHANGE#</div>',
'  </div>',
'  <div class="t-ContentBlock-body">#BODY##SUB_REGIONS#</div>',
'  <div class="t-ContentBlock-buttons">#PREVIOUS##NEXT#</div>',
'</div>',
''))
,p_page_plug_template_name=>'Content Block'
,p_internal_name=>'CONTENT_BLOCK'
,p_theme_id=>42
,p_theme_class_id=>21
,p_preset_template_options=>'t-ContentBlock--h1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_region_title_dom_id=>'#REGION_STATIC_ID#_heading'
,p_reference_id=>2320668864738842174
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475514835050198954)
,p_plug_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475515398921198955)
,p_plug_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475515824109198955)
,p_plug_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475516339857198955)
,p_plug_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475516820198198955)
,p_plug_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475517372896198956)
,p_plug_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_dialog
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234406967996657053)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'<div id="#REGION_STATIC_ID#" class="t-DialogRegion #REGION_CSS_CLASSES# js-regionDialog" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# style="display:none" title="#TITLE!ATTR#">',
'  <div class="t-DialogRegion-wrap">',
'    <div class="t-DialogRegion-bodyWrapperOut"><div class="t-DialogRegion-bodyWrapperIn"><div class="t-DialogRegion-body">#BODY##SUB_REGIONS#</div></div></div>',
'    <div class="t-DialogRegion-buttons">',
'       <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'         <div class="t-ButtonRegion-wrap">',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div></div>',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'         </div>',
'       </div>',
'    </div>',
'  </div>',
'</div>',
'</div>'))
,p_page_plug_template_name=>'Inline Dialog'
,p_internal_name=>'INLINE_DIALOG'
,p_theme_id=>42
,p_theme_class_id=>24
,p_default_template_options=>'js-modal:js-draggable:js-resizable'
,p_preset_template_options=>'js-dialog-size600x400'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>2671226943886536762
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475549246987198976)
,p_plug_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475549744991198977)
,p_plug_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475550243417198977)
,p_plug_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475550715146198977)
,p_plug_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475551263323198977)
,p_plug_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475551740102198978)
,p_plug_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475552276661198978)
,p_plug_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475552778250198978)
,p_plug_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/inline_popup
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234409197535657051)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#_parent">',
'<div id="#REGION_STATIC_ID#" class="t-DialogRegion #REGION_CSS_CLASSES# js-regionPopup" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# style="display:none" title="#TITLE!ATTR#">',
'  <div class="t-DialogRegion-wrap">',
'    <div class="t-DialogRegion-bodyWrapperOut"><div class="t-DialogRegion-bodyWrapperIn"><div class="t-DialogRegion-body">#BODY##SUB_REGIONS#</div></div></div>',
'    <div class="t-DialogRegion-buttons">',
'       <div class="t-ButtonRegion t-ButtonRegion--dialogRegion">',
'         <div class="t-ButtonRegion-wrap">',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--left"><div class="t-ButtonRegion-buttons">#PREVIOUS##DELETE##CLOSE#</div></div>',
'           <div class="t-ButtonRegion-col t-ButtonRegion-col--right"><div class="t-ButtonRegion-buttons">#EDIT##CREATE##NEXT#</div></div>',
'         </div>',
'       </div>',
'    </div>',
'  </div>',
'</div>',
'</div>'))
,p_page_plug_template_name=>'Inline Popup'
,p_internal_name=>'INLINE_POPUP'
,p_theme_id=>42
,p_theme_class_id=>24
,p_preset_template_options=>'js-dialog-size600x400'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>1483922538999385230
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475572921201198991)
,p_plug_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475573454529198991)
,p_plug_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475573904829198991)
,p_plug_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475574400736198991)
,p_plug_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475574939484198992)
,p_plug_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475575499513198992)
,p_plug_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475575914120198992)
,p_plug_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475576497881198992)
,p_plug_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/interactive_report
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234412476829657049)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# class="t-IRR-region #REGION_CSS_CLASSES#">',
'    <div class="t-Region-orderBy">#ORDER_BY_ITEM#</div>',
'    #PREVIOUS#',
'    #BODY#',
'    #SUB_REGIONS#',
'    #NEXT#',
'</div>',
''))
,p_page_plug_template_name=>'Interactive Report'
,p_internal_name=>'INTERACTIVE_REPORT'
,p_theme_id=>42
,p_theme_class_id=>9
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>2099079838218790610
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475585842915198998)
,p_plug_template_id=>wwv_flow_imp.id(7234412476829657049)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475586337380198999)
,p_plug_template_id=>wwv_flow_imp.id(7234412476829657049)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475586865276198999)
,p_plug_template_id=>wwv_flow_imp.id(7234412476829657049)
,p_name=>'Sort Order'
,p_placeholder=>'ORDER_BY_ITEM'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475587353352198999)
,p_plug_template_id=>wwv_flow_imp.id(7234412476829657049)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475587844825198999)
,p_plug_template_id=>wwv_flow_imp.id(7234412476829657049)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/login
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234413107139657048)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Login-region t-Form--stretchInputs t-Form--labelsAbove #REGION_CSS_CLASSES#" id="#REGION_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-Login-header">',
'    #REGION_IMAGE#',
'    <span class="t-Login-logo #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    <h2 class="t-Login-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h2>',
'  </div>',
'  <div class="t-Login-body">#BODY#</div>',
'  <div class="t-Login-buttons">#NEXT#</div>',
'  <div class="t-Login-links">#EDIT##CREATE#</div>',
'  <div class="t-Login-subRegions">#SUB_REGIONS#</div>',
'</div>'))
,p_page_plug_template_name=>'Login'
,p_internal_name=>'LOGIN'
,p_image_template=>'<img class="t-Login-logo" src="#REGION_IMAGE_URL#" alt="" data-app-icon />'
,p_theme_id=>42
,p_theme_class_id=>23
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_region_title_dom_id=>'#REGION_STATIC_ID#_heading'
,p_reference_id=>2672711194551076376
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475597270934199006)
,p_plug_template_id=>wwv_flow_imp.id(7234413107139657048)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475597798854199006)
,p_plug_template_id=>wwv_flow_imp.id(7234413107139657048)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475598296070199006)
,p_plug_template_id=>wwv_flow_imp.id(7234413107139657048)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475598731463199006)
,p_plug_template_id=>wwv_flow_imp.id(7234413107139657048)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475599236157199007)
,p_plug_template_id=>wwv_flow_imp.id(7234413107139657048)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/standard
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234414460753657047)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Region #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
' <div class="t-Region-header">',
'  <div class="t-Region-headerItems t-Region-headerItems--title">',
'    <span class="t-Region-headerIcon"><span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span></span>',
'    <h2 class="t-Region-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h2>',
'  </div>',
'  <div class="t-Region-headerItems t-Region-headerItems--buttons">#COPY##EDIT#<span class="js-maximizeButtonContainer"></span></div>',
' </div>',
' <div class="t-Region-bodyWrap">',
'   <div class="t-Region-buttons t-Region-buttons--top">',
'    <div class="t-Region-buttons-left">#PREVIOUS#</div>',
'    <div class="t-Region-buttons-right">#NEXT#</div>',
'   </div>',
'   <div class="t-Region-body">',
'     <div class="t-Region-orderBy">#ORDER_BY_ITEM#</div>',
'     #BODY#',
'     #SUB_REGIONS#',
'   </div>',
'   <div class="t-Region-buttons t-Region-buttons--bottom">',
'    <div class="t-Region-buttons-left">#CLOSE##HELP#</div>',
'    <div class="t-Region-buttons-right">#DELETE##CHANGE##CREATE#</div>',
'   </div>',
' </div>',
'</div>',
''))
,p_page_plug_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_plug_table_bgcolor=>'#ffffff'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Region--scrollBody'
,p_plug_heading_bgcolor=>'#ffffff'
,p_plug_font_size=>'-1'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_reference_id=>4070912133526059312
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475613077034199015)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475613590305199016)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475614093906199016)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475614590067199016)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Copy'
,p_placeholder=>'COPY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475615048756199016)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475615546161199017)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475616061950199017)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475616589351199017)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Help'
,p_placeholder=>'HELP'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475617013777199017)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475617538893199017)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Sort Order'
,p_placeholder=>'ORDER_BY_ITEM'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>false
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475618069779199018)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475618583595199018)
,p_plug_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
,p_max_fixed_grid_columns=>12
);
end;
/
prompt --application/shared_components/user_interface/templates/region/tabs_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234421201011657042)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-TabsRegion #REGION_CSS_CLASSES# apex-tabs-region" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# id="#REGION_STATIC_ID#">',
'  #BODY#',
'  <div class="t-TabsRegion-items">#SUB_REGIONS#</div>',
'</div>'))
,p_sub_plug_template=>'<div data-label="#SUB_REGION_TITLE!ATTR#" id="SR_#SUB_REGION_ID#">#SUB_REGION#</div>'
,p_page_plug_template_name=>'Tabs Container'
,p_internal_name=>'TABS_CONTAINER'
,p_javascript_file_urls=>'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>5
,p_preset_template_options=>'t-TabsRegion-mod--simple'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_reference_id=>3221725015618492759
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475637223491199031)
,p_plug_template_id=>wwv_flow_imp.id(7234421201011657042)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475637748648199031)
,p_plug_template_id=>wwv_flow_imp.id(7234421201011657042)
,p_name=>'Tabs'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>false
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
end;
/
prompt --application/shared_components/user_interface/templates/region/title_bar
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234423806580657040)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<nav id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES# class="t-BreadcrumbRegion #REGION_CSS_CLASSES#">',
'  <div class="t-BreadcrumbRegion-top">',
'    <div class="t-BreadcrumbRegion-buttons t-BreadcrumbRegion-buttons--start">#UP#</div>',
'    <div class="t-BreadcrumbRegion-body">',
'      <div class="t-BreadcrumbRegion-breadcrumb">#BODY#</div>',
'        <div class="t-BreadcrumbRegion-title">',
'        <h1 id="#REGION_STATIC_ID#_heading" class="t-BreadcrumbRegion-titleText" data-apex-heading>#TITLE#</h1>',
'      </div>',
'    </div>',
'    <div class="t-BreadcrumbRegion-buttons t-BreadcrumbRegion-buttons--end">#PREVIOUS##CLOSE##DELETE##HELP##CHANGE##EDIT##COPY##CREATE##NEXT#</div>',
'  </div>',
'  <div class="t-BreadcrumbRegion-bottom">#SMART_FILTERS#</div>',
'</nav>',
''))
,p_page_plug_template_name=>'Title Bar'
,p_internal_name=>'TITLE_BAR'
,p_theme_id=>42
,p_theme_class_id=>6
,p_default_template_options=>'t-BreadcrumbRegion--showBreadcrumb'
,p_preset_template_options=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'navigation'
,p_reference_id=>2530016523834132090
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475647070319199037)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475647541766199037)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Change'
,p_placeholder=>'CHANGE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475648096101199038)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475648516665199038)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Copy'
,p_placeholder=>'COPY'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475649046438199038)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Create'
,p_placeholder=>'CREATE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475649559275199038)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Delete'
,p_placeholder=>'DELETE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475650037456199039)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Edit'
,p_placeholder=>'EDIT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475650591463199039)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Help'
,p_placeholder=>'HELP'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475651019831199039)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475651517006199039)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475652066966199040)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Search Field and Smart Filters'
,p_placeholder=>'SMART_FILTERS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475652581659199040)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475653047624199040)
,p_plug_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_name=>'Up'
,p_placeholder=>'UP'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/region/wizard_container
begin
wwv_flow_imp_shared.create_plug_template(
 p_id=>wwv_flow_imp.id(7234424783515657039)
,p_layout=>'TABLE'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Wizard #REGION_CSS_CLASSES#" id="#REGION_STATIC_ID#" #REGION_LANDMARK_ATTRIBUTES# #REGION_ATTRIBUTES#>',
'  <div class="t-Wizard-header">',
'    <h1 class="t-Wizard-title" id="#REGION_STATIC_ID#_heading" data-apex-heading>#TITLE#</h1>',
'    <div class="u-Table t-Wizard-controls">',
'      <div class="u-Table-fit t-Wizard-buttons">#PREVIOUS##CLOSE#</div>',
'      <div class="u-Table-fill t-Wizard-steps">#BODY#</div>',
'      <div class="u-Table-fit t-Wizard-buttons">#NEXT#</div>',
'    </div>',
'  </div>',
'  <div class="t-Wizard-body">#SUB_REGIONS#</div>',
'</div>'))
,p_page_plug_template_name=>'Wizard Container'
,p_internal_name=>'WIZARD_CONTAINER'
,p_theme_id=>42
,p_theme_class_id=>8
,p_preset_template_options=>'t-Wizard--hideStepsXSmall'
,p_default_label_alignment=>'RIGHT'
,p_default_field_alignment=>'LEFT'
,p_default_landmark_type=>'region'
,p_region_title_dom_id=>'#REGION_STATIC_ID#_heading'
,p_reference_id=>2117602213152591491
,p_translate_this_template=>'N'
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475658165397199043)
,p_plug_template_id=>wwv_flow_imp.id(7234424783515657039)
,p_name=>'Region Body'
,p_placeholder=>'BODY'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>true
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475658696110199044)
,p_plug_template_id=>wwv_flow_imp.id(7234424783515657039)
,p_name=>'Close'
,p_placeholder=>'CLOSE'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475659155923199044)
,p_plug_template_id=>wwv_flow_imp.id(7234424783515657039)
,p_name=>'Next'
,p_placeholder=>'NEXT'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475659615482199044)
,p_plug_template_id=>wwv_flow_imp.id(7234424783515657039)
,p_name=>'Previous'
,p_placeholder=>'PREVIOUS'
,p_has_grid_support=>false
,p_has_region_support=>false
,p_has_item_support=>false
,p_has_button_support=>true
,p_glv_new_row=>true
);
wwv_flow_imp_shared.create_plug_tmpl_display_point(
 p_id=>wwv_flow_imp.id(6475660103518199044)
,p_plug_template_id=>wwv_flow_imp.id(7234424783515657039)
,p_name=>'Wizard Sub Regions'
,p_placeholder=>'SUB_REGIONS'
,p_has_grid_support=>true
,p_has_region_support=>true
,p_has_item_support=>false
,p_has_button_support=>false
,p_glv_new_row=>false
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_mega_menu
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(6661396314343329135)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item t-MegaMenu-item--top t-MegaMenu-item--noSub is-active #A04#" data-current="true" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item t-MegaMenu-item--top t-MegaMenu-item--noSub #A04#" data-current="false" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>',
'</li>'))
,p_list_template_name=>'Top Navigation Mega Menu'
,p_internal_name=>'TOP_NAVIGATION_MEGA_MENU'
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-MegaMenu #COMPONENT_CSS_CLASSES#" id="t_MenuNav" style="display:none;">',
'  <div class="a-Menu-content t-MegaMenu-container">',
'    <div class="t-MegaMenu-body">',
'    <ul class="t-MegaMenu-list t-MegaMenu-list--top">'))
,p_list_template_after_rows=>' </ul></div></div></div>'
,p_before_sub_list=>'<ul class="t-MegaMenu-list t-MegaMenu-list--sub">'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item is-active #A04#" data-current="true" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>',
'</li>'))
,p_sub_list_item_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item #A04#" data-current="false" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>',
'</li>'))
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item t-MegaMenu-item--top t-MegaMenu-item--hasSub is-active #A04#" data-current="true" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>'))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item t-MegaMenu-item--top t-MegaMenu-item--hasSub #A04#" data-current="false" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>',
'</li>'))
,p_sub_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item is-active #A04#" data-current="true" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>'))
,p_sub_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MegaMenu-item #A04#" data-current="false" data-id="#A01#" data-shortcut="#A05#">',
'  <span class="a-Menu-item t-MegaMenu-itemBody #A08#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#"></span>',
'    <a class="a-Menu-label t-MegaMenu-labelWrap" href="#LINK#" target="#A06#">',
'      <span class="t-MegaMenu-label">#TEXT_ESC_SC#</span>',
'      <span class="t-MegaMenu-desc">#A03#</span>',
'    </a>',
'    <span class="t-MegaMenu-badge #A07#">#A02#</span>',
'  </span>'))
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Badge Value'
,p_a03_label=>'Description'
,p_a04_label=>'List Item Class'
,p_a05_label=>'Shortcut Key'
,p_a06_label=>'Link Target'
,p_a07_label=>'Badge Class'
,p_a08_label=>'Menu Item Class'
,p_reference_id=>1665447133514362075
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_tabs
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234450164167657004)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavTabs-item #A03# is-active" aria-current="page" id="#A01#">',
'  <a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    <span class="t-NavTabs-label">#TEXT_ESC_SC#</span>',
'    <span class="t-NavTabs-badge #A05#">#A02#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavTabs-item #A03#" id="#A01#">',
'  <a href="#LINK#" class="t-NavTabs-link #A04# " title="#TEXT_ESC_SC#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    <span class="t-NavTabs-label">#TEXT_ESC_SC#</span>',
'    <span class="t-NavTabs-badge #A05#">#A02#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Top Navigation Tabs'
,p_internal_name=>'TOP_NAVIGATION_TABS'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-NavTabs--inlineLabels-lg:t-NavTabs--displayLabels-sm'
,p_list_template_before_rows=>'<ul class="t-NavTabs #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_navtabs">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'List Item ID'
,p_a02_label=>'Badge Value'
,p_a03_label=>'List Item Class'
,p_a04_label=>'Link Class'
,p_a05_label=>'Badge Class'
,p_reference_id=>1453011561172885578
);
end;
/
prompt --application/shared_components/user_interface/templates/list/wizard_progress
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234451749712656991)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-WizardSteps-step is-active" aria-current="step" id="#LIST_ITEM_ID#">',
'  <div class="t-WizardSteps-wrap" data-link="#LINK#">',
'    <span class="t-WizardSteps-marker" aria-hidden="true"></span>',
'    <span class="t-WizardSteps-label">#TEXT# <span aria-hidden="true" class="t-WizardSteps-labelState"></span></span>',
'  </div>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-WizardSteps-step" id="#LIST_ITEM_ID#">',
'  <div class="t-WizardSteps-wrap" data-link="#LINK#">',
'    <span class="t-WizardSteps-marker" aria-hidden="true"></span>',
'    <span class="t-WizardSteps-label">#TEXT# <span aria-hidden="true" class="t-WizardSteps-labelState"></span></span>',
'  </div>',
'</li>'))
,p_list_template_name=>'Wizard Progress'
,p_internal_name=>'WIZARD_PROGRESS'
,p_javascript_code_onload=>'apex.theme.initWizardProgressBar();'
,p_theme_id=>42
,p_theme_class_id=>17
,p_preset_template_options=>'t-WizardSteps--displayLabels'
,p_list_template_before_rows=>'<ul aria-label="#CURRENT_PROGRESS#" class="t-WizardSteps #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_reference_id=>2008702338707394488
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_bar
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234453076915656989)
,p_list_template_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_list_template_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Menu Bar'
,p_internal_name=>'MENU_BAR'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menubar", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  iconType: ''fa'',',
'  menubar: true,',
'  menubarOverflow: true,',
'  callout: e.hasClass("js-menu-callout")',
'});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-showSubMenuIcons'
,p_list_template_before_rows=>'<div class="t-MenuBar #COMPONENT_CSS_CLASSES#" id="#PARENT_STATIC_ID#_menubar"><ul>'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'Menu Item ID / Action Name'
,p_a02_label=>'Disabled (True/False)'
,p_a03_label=>'Hidden (True/False)'
,p_a04_label=>'Title Attribute (Used By Actions Only)'
,p_a05_label=>'Shortcut'
,p_a06_label=>'Link Target'
,p_reference_id=>2008709236185638887
);
end;
/
prompt --application/shared_components/user_interface/templates/list/badge_list
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234454288016656987)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02# is-current" aria-current="page">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'    <span class="t-BadgeList-label">#TEXT#</span>',
'    <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item #A02#">',
'  <a class="t-BadgeList-wrap u-color #A04#" href="#LINK#" #A03#>',
'    <span class="t-BadgeList-label">#TEXT#</span>',
'    <span class="t-BadgeList-value">#A01#</span>',
'  </a>',
'</li>',
''))
,p_list_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_theme_id=>42
,p_theme_class_id=>3
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--cols t-BadgeList--3cols:t-BadgeList--circular'
,p_list_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Value'
,p_a02_label=>'List item CSS Classes'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'Link Classes'
,p_reference_id=>2062482847268086664
,p_list_template_comment=>wwv_flow_string.join(wwv_flow_t_varchar2(
'A01: Large Number',
'A02: List Item Classes',
'A03: Link Attributes'))
);
end;
/
prompt --application/shared_components/user_interface/templates/list/media_list
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234458310401656984)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item is-active #A04#">',
'  <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'    <div class="t-MediaList-iconWrap" aria-hidden="true">',
'      <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'    </div>',
'    <div class="t-MediaList-body">',
'      <h3 class="t-MediaList-title" aria-current="page">#TEXT#</h3>',
'      <p class="t-MediaList-desc">#A01#</p>',
'    </div>',
'    <div class="t-MediaList-badgeWrap">',
'      <span class="t-MediaList-badge">#A02#</span>',
'    </div>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item  #A04#">',
'  <a href="#LINK#" class="t-MediaList-itemWrap #A05#" #A03#>',
'    <div class="t-MediaList-iconWrap" aria-hidden="true">',
'      <span class="t-MediaList-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#" #IMAGE_ATTR#></span></span>',
'    </div>',
'    <div class="t-MediaList-body">',
'      <h3 class="t-MediaList-title">#TEXT#</h3>',
'      <p class="t-MediaList-desc">#A01#</p>',
'    </div>',
'    <div class="t-MediaList-badgeWrap">',
'      <span class="t-MediaList-badge">#A02#</span>',
'    </div>',
'  </a>',
'</li>'))
,p_list_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_theme_id=>42
,p_theme_class_id=>5
,p_default_template_options=>'t-MediaList--showIcons:t-MediaList--showDesc'
,p_list_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Badge Value'
,p_a03_label=>'Link Attributes'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Class'
,p_a06_label=>'Icon Color Class'
,p_reference_id=>2066548068783481421
);
end;
/
prompt --application/shared_components/user_interface/templates/list/side_navigation_menu
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234461371609656982)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#">',
'  <a href="#LINK#" title="#A04#" style="display: none" target="#A06#">#TEXT_ESC_SC#</a>',
'  <div class="a-TreeView-node a-TreeView-node--topLevel" aria-hidden="true">',
'    <div role="none" class="a-TreeView-row"></div>',
'    <div role="none" class="a-TreeView-content">',
'      <span class="fa fa-file-o #ICON_CSS_CLASSES#"></span>',
'      <span class="a-TreeView-label">#TEXT_ESC_SC#</span>',
'    </div>',
'  </div>',
'</li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-current="false" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#">',
'  <a href="#LINK#" title="#A04#" style="display: none" target="#A06#">#TEXT_ESC_SC#</a>',
'  <div class="a-TreeView-node a-TreeView-node--topLevel" aria-hidden="true">',
'    <div role="none" class="a-TreeView-row"></div>',
'    <div role="none" class="a-TreeView-content">',
'      <span class="fa fa-file-o #ICON_CSS_CLASSES#"></span>',
'      <span class="a-TreeView-label">#TEXT_ESC_SC#</span>',
'    </div>',
'  </div>',
'</li>'))
,p_list_template_name=>'Side Navigation Menu'
,p_internal_name=>'SIDE_NAVIGATION_MENU'
,p_javascript_file_urls=>'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.treeView#MIN#.js?v=#APEX_VERSION#'
,p_javascript_code_onload=>'apex.jQuery(''body'').addClass(''t-PageBody--leftNav'');'
,p_theme_id=>42
,p_theme_class_id=>19
,p_default_template_options=>'js-defaultCollapsed'
,p_preset_template_options=>'t-TreeNav--styleA:js-navCollapsed--hidden'
,p_list_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Body-nav" id="t_Body_nav" role="navigation" aria-label="&"APP_TEXT$APEX.TEMPLATE.APPLICATION".">',
'  <div class="a-TreeView t-TreeNav #COMPONENT_CSS_CLASSES#" id="t_TreeNav" data-id="#PARENT_STATIC_ID#_tree" aria-label="&"APP_TEXT$APEX.TEMPLATE.MAIN_NAV_LABEL".">',
'    <ul>',
''))
,p_list_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'    </ul>',
'  </div>',
'</div>',
'<script>',
'(() => {',
'  const pref = "ORA_WWV_apex.toggleCore.nav.&APP_ID..preferenceForExpanded",',
'        nav  = document.getElementById(''t_TreeNav'').classList,',
'        body = document.getElementById(''t_PageBody'');',
'  if ( !sessionStorage.getItem( pref ) ) { sessionStorage.setItem( pref, !nav.contains(''js-defaultCollapsed'') ); }',
'  if ( nav.contains(''js-navCollapsed--default'') ) {',
'      body?.classList.add(''js-navCollapsed--icons'');',
'      if ( sessionStorage.getItem( pref ) === "false" ) { body?.classList.add(''js-navCollapsed''); }',
'  }',
'  if ( sessionStorage.getItem( pref ) === "true" && window.matchMedia("(min-width: " + getComputedStyle(document.documentElement).getPropertyValue("--js-mq-lg") + ")").matches) { body?.classList.add(''js-navExpanded''); }',
'  for (const label of document.querySelectorAll(".a-TreeView .a-TreeView-label")) {',
'      label.textContent = label.textContent.replaceAll(/\[(.*?)\]/ig, '''');',
'  }',
'})();',
'</script>'))
,p_before_sub_list=>'<ul style="display:none">'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#">',
'  <a href="#LINK#" title="#A04#" style="display: none" target="#A06#">#TEXT_ESC_SC#</a>',
'  <div class="a-TreeView-node a-TreeView-node--topLevel" aria-hidden="true">',
'    <div role="none" class="a-TreeView-row"></div>',
'    <div role="none" class="a-TreeView-content">',
'      <span class="fa fa-file-o #ICON_CSS_CLASSES#"></span>',
'      <span class="a-TreeView-label">#TEXT_ESC_SC#</span>',
'    </div>',
'  </div>',
''))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-current="false" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#">',
'  <a href="#LINK#" title="#A04#" style="display: none" target="#A06#">#TEXT_ESC_SC#</a>',
'  <div class="a-TreeView-node a-TreeView-node--topLevel" aria-hidden="true">',
'    <div role="none" class="a-TreeView-row"></div>',
'    <div role="none" class="a-TreeView-content">',
'      <span class="fa fa-file-o #ICON_CSS_CLASSES#"></span>',
'      <span class="a-TreeView-label">#TEXT_ESC_SC#</span>',
'    </div>',
'  </div>',
''))
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-icon="#ICON_CSS_CLASSES#" data-shortcut="#A05#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'ID Attribute'
,p_a02_label=>'Disabled (True/False)'
,p_a04_label=>'Title Attribute (Used By Actions Only)'
,p_a05_label=>'Shortcut Key'
,p_a06_label=>'Link Target'
,p_reference_id=>2466292414354694776
);
end;
/
prompt --application/shared_components/user_interface/templates/list/top_navigation_menu
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234462931693656980)
,p_list_template_current=>'<li class="a-MenuBar-item a-Menu--current" data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a class="a-MenuBar-label" href="#LINK#" title="#A04#" target="#A06#">#TEXT_ES'
||'C_SC#</a></li>'
,p_list_template_noncurrent=>'<li class="a-MenuBar-item" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a class="a-MenuBar-label" href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_list_template_name=>'Top Navigation Menu'
,p_internal_name=>'TOP_NAVIGATION_MENU'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("#t_MenuNav", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({',
'  behaveLikeTabs: e.hasClass("js-tabLike"),',
'  menubarShowSubMenuIcon: e.hasClass("js-showSubMenuIcons") || null,',
'  menubar: true,',
'  menubarOverflow: true,',
'  callout: e.hasClass("js-menu-callout")',
'});',
''))
,p_theme_id=>42
,p_theme_class_id=>20
,p_default_template_options=>'js-tabLike'
,p_list_template_before_rows=>'<div class="t-Header-nav-list #COMPONENT_CSS_CLASSES#" id="t_MenuNav"><ul>'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul style="display: none">'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li class="a-MenuBar-item a-Menu--current" data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a class="a-MenuBar-label" href="#LINK#" title="#A04#" target="#A06#">#TEXT_ES'
||'C_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li class="a-MenuBar-item" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a class="a-MenuBar-label" href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-current="true" data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'Menu Item ID / Action Name'
,p_a02_label=>'Disabled (True/False)'
,p_a03_label=>'Hidden (True/False)'
,p_a04_label=>'Title Attribute (Used By Actions Only)'
,p_a05_label=>'Shortcut Key'
,p_a06_label=>'Link Target'
,p_reference_id=>2525307901300239072
);
end;
/
prompt --application/shared_components/user_interface/templates/list/navigation_bar
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234464159205656979)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#" aria-current="page">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#" title="#A04#" target="#A06#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true" #IMAGE_ATTR#></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <a class="t-Button t-Button--icon t-Button--header t-Button--navBar" href="#LINK#" title="#A04#" target="#A06#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true" #IMAGE_ATTR#></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Navigation Bar'
,p_internal_name=>'NAVIGATION_BAR'
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<ul class="t-NavigationBar #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<div class="t-NavigationBar-menu" style="display: none" id="menu_#PARENT_LIST_ITEM_ID#"><ul>'
,p_after_sub_list=>'</ul></div></li>'
,p_sub_list_item_current=>'<li class="#A02#" data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li class="#A02#" data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item is-active #A02#" aria-current="page">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#" title="#A04#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true" #IMAGE_ATTR#></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow" aria-hidden="true"></span>',
'  </button>'))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-NavigationBar-item #A02#">',
'  <button class="t-Button t-Button--icon t-Button t-Button--header t-Button--navBar" type="button" id="#LIST_ITEM_ID#" data-menu="menu_#LIST_ITEM_ID#" title="#A04#">',
'      <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true" #IMAGE_ATTR#></span><span class="t-Button-label">#TEXT_ESC_SC#</span><span class="t-Button-badge">#A01#</span><span class="a-Icon icon-down-arrow" aria-hidden="true"></span>',
'  </button>'))
,p_sub_templ_curr_w_child=>'<li class="#A02#" data-current="true" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_templ_noncurr_w_child=>'<li class="#A02#" data-current="false" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_a01_label=>'Badge Value'
,p_a02_label=>'List  Item CSS Classes'
,p_a04_label=>'Title Attribute'
,p_a06_label=>'Link Target'
,p_reference_id=>2846096252961119197
);
end;
/
prompt --application/shared_components/user_interface/templates/list/cards
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234464556017656977)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item is-active #A04#" aria-current="page">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap">',
'        <h3 class="t-Card-title">#TEXT#</h3>',
'        <h4 class="t-Card-subtitle">#A07#</h4>',
'      </div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#" aria-hidden="true"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #A04#">',
'  <div class="t-Card">',
'    <a href="#LINK#" class="t-Card-wrap" #A05#>',
'      <div class="t-Card-icon u-color #A06#"><span class="t-Icon #ICON_CSS_CLASSES#"><span class="t-Card-initials" role="presentation">#A03#</span></span></div>',
'      <div class="t-Card-titleWrap">',
'        <h3 class="t-Card-title">#TEXT#</h3>',
'        <h4 class="t-Card-subtitle">#A07#</h4>',
'      </div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#A01#</div>',
'        <div class="t-Card-info">#A02#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #A06#" aria-hidden="true"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_list_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_list_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'Description'
,p_a02_label=>'Secondary Information'
,p_a03_label=>'Initials'
,p_a04_label=>'List Item CSS Classes'
,p_a05_label=>'Link Attributes'
,p_a06_label=>'Card Color Class'
,p_a07_label=>'Subtitle'
,p_reference_id=>2885322685880632508
);
end;
/
prompt --application/shared_components/user_interface/templates/list/tabs
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234469957524656974)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Tabs-item is-active #A03#" aria-current="page" id="#A01#">',
'  <a href="#LINK#" class="t-Tabs-link #A04#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    <span class="t-Tabs-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Tabs-item #A03#" id="#A01#">',
'  <a href="#LINK#" class="t-Tabs-link #A04#">',
'    <span class="t-Icon #ICON_CSS_CLASSES#" aria-hidden="true"></span>',
'    <span class="t-Tabs-label">#TEXT#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Tabs'
,p_internal_name=>'TABS'
,p_javascript_file_urls=>'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.apexTabs#MIN#.js?v=#APEX_VERSION#'
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Tabs--simple'
,p_list_template_before_rows=>'<ul class="t-Tabs #COMPONENT_CSS_CLASSES#">'
,p_list_template_after_rows=>'</ul>'
,p_a01_label=>'List Item ID'
,p_a03_label=>'List Item Class'
,p_a04_label=>'Link Class'
,p_reference_id=>3288206686691809997
);
end;
/
prompt --application/shared_components/user_interface/templates/list/menu_popup
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234471492407656973)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>',
''))
,p_list_template_name=>'Menu Popup'
,p_internal_name=>'MENU_POPUP'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'var e = apex.jQuery("##PARENT_STATIC_ID#_menu", apex.gPageContext$);',
'if (e.hasClass("js-addActions")) {',
'  apex.actions.addFromMarkup( e );',
'}',
'e.menu({ iconType: ''fa'', callout: e.hasClass("js-menu-callout")});'))
,p_theme_id=>42
,p_theme_class_id=>20
,p_list_template_before_rows=>'<div id="#PARENT_STATIC_ID#_menu" class="#COMPONENT_CSS_CLASSES#" style="display:none;"><ul>'
,p_list_template_after_rows=>'</ul></div>'
,p_before_sub_list=>'<ul>'
,p_after_sub_list=>'</ul></li>'
,p_sub_list_item_current=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_sub_list_item_noncurrent=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a></li>'
,p_item_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_item_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_curr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_sub_templ_noncurr_w_child=>'<li data-id="#A01#" data-disabled="#A02#" data-hide="#A03#" data-shortcut="#A05#" data-icon="#ICON_CSS_CLASSES#"><a href="#LINK#" title="#A04#" target="#A06#">#TEXT_ESC_SC#</a>'
,p_a01_label=>'Menu Item ID / Action Name'
,p_a02_label=>'Disabled (True/False)'
,p_a03_label=>'Hidden (True/False)'
,p_a04_label=>'Title Attribute (Used By Actions Only)'
,p_a05_label=>'Shortcut'
,p_a06_label=>'Link Target'
,p_reference_id=>3492264004432431646
);
end;
/
prompt --application/shared_components/user_interface/templates/list/links_list
begin
wwv_flow_imp_shared.create_list_template(
 p_id=>wwv_flow_imp.id(7234472106758656972)
,p_list_template_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item is-current #A03#" aria-current="page">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'</li>',
''))
,p_list_template_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item #A03#">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_list_template_name=>'Links List'
,p_internal_name=>'LINKS_LIST'
,p_theme_id=>42
,p_theme_class_id=>18
,p_list_template_before_rows=>'<ul class="t-LinksList #COMPONENT_CSS_CLASSES#" id="#LIST_ID#">'
,p_list_template_after_rows=>'</ul>'
,p_before_sub_list=>'<ul class="t-LinksList-list">'
,p_after_sub_list=>'</ul>'
,p_sub_list_item_current=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item is-current #A03#" aria-current="page">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'</li>',
''))
,p_sub_list_item_noncurrent=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item #A03#">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'</li>',
''))
,p_item_templ_curr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item is-current #A03#" aria-current="page">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'  #SUB_LISTS#',
'</li>'))
,p_item_templ_noncurr_w_child=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-LinksList-item #A03#">',
'  <a href="#LINK#" class="t-LinksList-link" #A02#>',
'    <span class="t-LinksList-icon" aria-hidden="true"><span class="t-Icon #ICON_CSS_CLASSES#"></span></span>',
'    <span class="t-LinksList-label">#TEXT#</span>',
'    <span class="t-LinksList-badge">#A01#</span>',
'  </a>',
'</li>'))
,p_a01_label=>'Badge Value'
,p_a02_label=>'Link Attributes'
,p_a03_label=>'List Item CSS Classes'
,p_reference_id=>4070914341144059318
);
end;
/
prompt --application/shared_components/user_interface/templates/report/contextual_info
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(6661454575012329169)
,p_row_template_name=>'Contextual Info'
,p_internal_name=>'CONTEXTUAL_INFO'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ContextualInfo-item">',
'  <span class="t-ContextualInfo-label">#COLUMN_HEADER#</span>',
'  <span class="t-ContextualInfo-value">#COLUMN_VALUE#</span>',
'</div>'))
,p_row_template_before_rows=>' <div class="t-ContextualInfo #COMPONENT_CSS_CLASSES#" id="report_#REGION_STATIC_ID#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</div>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_reference_id=>2114325881116323585
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/timeline
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(7234426086814657037)
,p_row_template_name=>'Timeline'
,p_internal_name=>'TIMELINE'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <div class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#" role="presentation">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':EVENT_LINK is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Timeline-item #EVENT_MODIFIERS#" #EVENT_ATTRIBUTES#>',
'  <a href="#EVENT_LINK#" class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      <div class="t-Timeline-avatar #USER_COLOR#" role="presentation">',
'        #USER_AVATAR#',
'      </div>',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">#USER_NAME#</span>',
'        <span class="t-Timeline-date">#EVENT_DATE#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      <div class="t-Timeline-typeWrap">',
'        <div class="t-Timeline-type #EVENT_STATUS#">',
'          <span class="t-Icon #EVENT_ICON#"></span>',
'          <span class="t-Timeline-typename">#EVENT_TYPE#</span>',
'        </div>',
'      </div>',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">#EVENT_TITLE#</h3>',
'        <p class="t-Timeline-desc">#EVENT_DESC#</p>',
'      </div>',
'    </div>',
'  </a>',
'</li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-Timeline #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_timeline" data-region-id="#REGION_STATIC_ID#">',
''))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_reference_id=>1513373588340069864
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/content_row
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(7234426733514657035)
,p_row_template_name=>'Content Row'
,p_internal_name=>'CONTENT_ROW'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-ContentRow-item #ITEM_CLASSES#">',
'  <div class="t-ContentRow-wrap">',
'    <div class="t-ContentRow-selection">#SELECTION#</div>',
'    <div class="t-ContentRow-iconWrap">',
'      <span class="t-ContentRow-icon #ICON_CLASS#">#ICON_HTML#</span>',
'    </div>',
'    <div class="t-ContentRow-body">',
'      <div class="t-ContentRow-content">',
'        <h3 class="t-ContentRow-title">#TITLE#</h3>',
'        <div class="t-ContentRow-description">#DESCRIPTION#</div>',
'      </div>',
'      <div class="t-ContentRow-misc">#MISC#</div>',
'      <div class="t-ContentRow-actions">#ACTIONS#</div>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-ContentRow #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>1797843454948280151
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/media_list
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(7234429873604657032)
,p_row_template_name=>'Media List'
,p_internal_name=>'MEDIA_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item #LIST_CLASS#">',
'  <a href="#LINK#" class="t-MediaList-itemWrap #LINK_CLASS#" #LINK_ATTR#>',
'    <div class="t-MediaList-iconWrap" aria-hidden="true">',
'      <span class="t-MediaList-icon u-color #ICON_COLOR_CLASS#"><span class="t-Icon #ICON_CLASS#"></span></span>',
'    </div>',
'    <div class="t-MediaList-body">',
'      <h3 class="t-MediaList-title">#LIST_TITLE#</h3>',
'      <p class="t-MediaList-desc">#LIST_TEXT#</p>',
'    </div>',
'    <div class="t-MediaList-badgeWrap">',
'      <span class="t-MediaList-badge">#LIST_BADGE#</span>',
'    </div>',
'  </a>',
'</li>',
''))
,p_row_template_condition1=>':LINK is not null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-MediaList-item #LIST_CLASS#">',
'  <div class="t-MediaList-itemWrap #LINK_CLASS#" #LINK_ATTR#>',
'    <div class="t-MediaList-iconWrap" aria-hidden="true">',
'      <span class="t-MediaList-icon u-color #ICON_COLOR_CLASS#"><span class="t-Icon #ICON_CLASS#"></span></span>',
'    </div>',
'    <div class="t-MediaList-body">',
'      <h3 class="t-MediaList-title">#LIST_TITLE#</h3>',
'      <p class="t-MediaList-desc">#LIST_TEXT#</p>',
'    </div>',
'    <div class="t-MediaList-badgeWrap">',
'      <span class="t-MediaList-badge">#LIST_BADGE#</span>',
'    </div>',
'  </div>',
'</li>',
''))
,p_row_template_before_rows=>'<ul class="t-MediaList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_default_template_options=>'t-MediaList--showIcons:t-MediaList--showDesc'
,p_preset_template_options=>'t-MediaList--stack'
,p_reference_id=>2092157460408299055
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_row
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(7234433339741657021)
,p_row_template_name=>'Value Attribute Pairs - Row'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_ROW'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #1#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #2#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="report_#REGION_STATIC_ID#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068321678681753
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/value_attribute_pairs_column
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(7234435296652657020)
,p_row_template_name=>'Value Attribute Pairs - Column'
,p_internal_name=>'VALUE_ATTRIBUTE_PAIRS_COLUMN'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<dt class="t-AVPList-label">',
'  #COLUMN_HEADER#',
'</dt>',
'<dd class="t-AVPList-value">',
'  #COLUMN_VALUE#',
'</dd>'))
,p_row_template_before_rows=>'<dl class="t-AVPList #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</dl>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-AVPList--leftAligned'
,p_reference_id=>2099068636272681754
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/badge_list
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(7234437127418657018)
,p_row_template_name=>'Badge List'
,p_internal_name=>'BADGE_LIST'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-BadgeList-item">',
'  <span class="t-BadgeList-wrap u-color">',
'    <span class="t-BadgeList-label">#COLUMN_HEADER#</span>',
'    <span class="t-BadgeList-value">#COLUMN_VALUE#</span>',
'  </span>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-BadgeList #COMPONENT_CSS_CLASSES#" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'GENERIC_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>6
,p_preset_template_options=>'t-BadgeList--large:t-BadgeList--fixed:t-BadgeList--circular'
,p_reference_id=>2103197159775914759
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/standard
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(7234440743892657016)
,p_row_template_name=>'Standard'
,p_internal_name=>'STANDARD'
,p_row_template1=>'<td class="t-Report-cell" #ALIGNMENT# #ACCESSIBLE_HEADERS#>#COLUMN_VALUE#</td>'
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Report #COMPONENT_CSS_CLASSES#" id="report_#REGION_STATIC_ID#" #REPORT_ATTRIBUTES# data-region-id="#REGION_STATIC_ID#">',
'  <div class="t-Report-wrap">',
'    <table class="t-Report-pagination" role="presentation">#TOP_PAGINATION#</table>',
'    <div class="t-Report-tableWrap">',
'    <table class="t-Report-report" id="report_table_#REGION_STATIC_ID#" aria-label="#REGION_TITLE#">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'      </tbody>',
'    </table>',
'    </div>',
'    <div class="t-Report-links">#EXTERNAL_LINK##CSV_LINK#</div>',
'    <table class="t-Report-pagination t-Report-pagination--bottom" role="presentation">#PAGINATION#</table>',
'  </div>',
'</div>'))
,p_row_template_before_first=>'<tr>'
,p_row_template_after_last=>'</tr>'
,p_row_template_type=>'GENERIC_COLUMNS'
,p_before_column_heading=>'<thead>'
,p_column_heading_template=>'<th class="t-Report-colHead" #ARIA_SORT# #ALIGNMENT# id="#COLUMN_HEADER_NAME#" #COLUMN_WIDTH#>#COLUMN_HEADER#</th>'
,p_after_column_heading=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</thead>',
'<tbody>'))
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>4
,p_preset_template_options=>'t-Report--altRowsDefault:t-Report--rowHighlight'
,p_reference_id=>2537207537838287671
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/comments
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(7234443354259657013)
,p_row_template_name=>'Comments'
,p_internal_name=>'COMMENTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Comments-item #COMMENT_MODIFIERS#">',
'  <div class="t-Comments-icon">',
'    <div class="t-Comments-userIcon #ICON_MODIFIER#" aria-hidden="true">#USER_ICON#</div>',
'  </div>',
'  <div class="t-Comments-body">',
'    <div class="t-Comments-info">',
'      #USER_NAME# <span class="t-Comments-date">#COMMENT_DATE#</span> <span class="t-Comments-actions">#ACTIONS#</span>',
'    </div>',
'    <div class="t-Comments-comment">',
'      #COMMENT_TEXT##ATTRIBUTE_1##ATTRIBUTE_2##ATTRIBUTE_3##ATTRIBUTE_4#',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Comments #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>',
''))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Comments--chat'
,p_reference_id=>2611722012730764232
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/alerts
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(7234444509563657012)
,p_row_template_name=>'Alerts'
,p_internal_name=>'ALERTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Alert t-Alert--horizontal t-Alert--colorBG t-Alert--defaultIcons t-Alert--#ALERT_TYPE#" role="alert">',
'  <div class="t-Alert-wrap">',
'    <div class="t-Alert-icon">',
'      <span class="t-Icon" aria-hidden="true"></span>',
'    </div>',
'    <div class="t-Alert-content">',
'      <div class="t-Alert-header">',
'        <h2 class="t-Alert-title">#ALERT_TITLE#</h2>',
'      </div>',
'      <div class="t-Alert-body">',
'        #ALERT_DESC#',
'      </div>',
'    </div>',
'    <div class="t-Alert-buttons">',
'      #ALERT_ACTION#',
'    </div>',
'  </div>',
'</div>'))
,p_row_template_before_rows=>'<div class="t-Alerts #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_alerts" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</div>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'0'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'0'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>14
,p_reference_id=>2881456138952347027
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/cards
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(7234444687050657012)
,p_row_template_name=>'Cards'
,p_internal_name=>'CARDS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <a href="#CARD_LINK#" class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </a>',
'  </div>',
'</li>'))
,p_row_template_condition1=>':CARD_LINK is not null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Cards-item #CARD_MODIFIERS#">',
'  <div class="t-Card">',
'    <div class="t-Card-wrap">',
'      <div class="t-Card-icon u-color #CARD_COLOR#"><span class="t-Icon fa #CARD_ICON#"><span class="t-Card-initials" role="presentation">#CARD_INITIALS#</span></span></div>',
'      <div class="t-Card-titleWrap"><h3 class="t-Card-title">#CARD_TITLE#</h3><h4 class="t-Card-subtitle">#CARD_SUBTITLE#</h4></div>',
'      <div class="t-Card-body">',
'        <div class="t-Card-desc">#CARD_TEXT#</div>',
'        <div class="t-Card-info">#CARD_SUBTEXT#</div>',
'      </div>',
'      <span class="t-Card-colorFill u-color #CARD_COLOR#"></span>',
'    </div>',
'  </div>',
'</li>'))
,p_row_template_before_rows=>'<ul class="t-Cards #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_cards" data-region-id="#REGION_STATIC_ID#">'
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'0'
,p_row_template_display_cond3=>'0'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>7
,p_preset_template_options=>'t-Cards--animColorFill:t-Cards--3cols:t-Cards--basic'
,p_reference_id=>2973535649510699732
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/report/search_results
begin
wwv_flow_imp_shared.create_row_template(
 p_id=>wwv_flow_imp.id(7234449942814657007)
,p_row_template_name=>'Search Results'
,p_internal_name=>'SEARCH_RESULTS'
,p_row_template1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition1=>':LABEL_02 is null'
,p_row_template2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition2=>':LABEL_03 is null'
,p_row_template3=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'    </div>',
'  </li>'))
,p_row_template_condition3=>':LABEL_04 is null'
,p_row_template4=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-SearchResults-item">',
'    <h3 class="t-SearchResults-title"><a href="#SEARCH_LINK#">#SEARCH_TITLE#</a></h3>',
'    <div class="t-SearchResults-info">',
'      <p class="t-SearchResults-desc">#SEARCH_DESC#</p>',
'      <span class="t-SearchResults-misc">#LABEL_01#: #VALUE_01#</span>',
'      <span class="t-SearchResults-misc">#LABEL_02#: #VALUE_02#</span>',
'      <span class="t-SearchResults-misc">#LABEL_03#: #VALUE_03#</span>',
'      <span class="t-SearchResults-misc">#LABEL_04#: #VALUE_04#</span>',
'    </div>',
'  </li>'))
,p_row_template_before_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-SearchResults #COMPONENT_CSS_CLASSES#" #REPORT_ATTRIBUTES# id="#REGION_STATIC_ID#_report" data-region-id="#REGION_STATIC_ID#">',
'<ul class="t-SearchResults-list">'))
,p_row_template_after_rows=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</ul>',
'<table class="t-Report-pagination" role="presentation">#PAGINATION#</table>',
'</div>'))
,p_row_template_type=>'NAMED_COLUMNS'
,p_row_template_display_cond1=>'NOT_CONDITIONAL'
,p_row_template_display_cond2=>'NOT_CONDITIONAL'
,p_row_template_display_cond3=>'NOT_CONDITIONAL'
,p_row_template_display_cond4=>'NOT_CONDITIONAL'
,p_pagination_template=>'<span class="t-Report-paginationText">#TEXT#</span>'
,p_next_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_page_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS#',
'</a>'))
,p_next_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--next">',
'  #PAGINATION_NEXT_SET#<span class="a-Icon icon-right-arrow" aria-hidden="true"></span>',
'</a>'))
,p_previous_set_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a href="#LINK#" class="t-Button t-Button--small t-Button--noUI t-Report-paginationLink t-Report-paginationLink--prev">',
'  <span class="a-Icon icon-left-arrow" aria-hidden="true"></span>#PAGINATION_PREVIOUS_SET#',
'</a>'))
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070913431524059316
,p_translate_this_template=>'N'
,p_row_template_comment=>' (SELECT link_text, link_target, detail1, detail2, last_modified)'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/hidden
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(7234473702937656970)
,p_template_name=>'Hidden'
,p_internal_name=>'HIDDEN'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer t-Form-labelContainer--hiddenLabel col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label u-VisuallyHidden">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--hiddenLabel rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>13
,p_reference_id=>2039339104148359505
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(7234473823016656968)
,p_template_name=>'Optional'
,p_internal_name=>'OPTIONAL'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>',
''))
,p_before_item=>'<div class="t-Form-fieldContainer rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>2317154212072806530
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_above
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(7234473897646656968)
,p_template_name=>'Optional - Above'
,p_internal_name=>'OPTIONAL_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label> #HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>3030114864004968404
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/optional_floating
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(7234473992595656968)
,p_template_name=>'Optional - Floating'
,p_internal_name=>'OPTIONAL_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'<label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>'<div class="t-Form-inputContainer"><div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'
,p_after_element=>'#ITEM_POST_TEXT##HELP_TEMPLATE#</div>#INLINE_HELP_TEMPLATE##ERROR_TEMPLATE#</div>'
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<span class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</span>'
,p_error_template=>'<span class="t-Form-error">#ERROR_MESSAGE#</span>'
,p_theme_id=>42
,p_theme_class_id=>3
,p_reference_id=>1607675164727151865
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(7234474159771656968)
,p_template_name=>'Required'
,p_internal_name=>'REQUIRED'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer col col-#LABEL_COLUMN_SPAN_NUMBER#">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  </label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer is-required rel-col #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-inputContainer col col-#ITEM_COLUMN_SPAN_NUMBER#">',
'  <div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'))
,p_after_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#ITEM_POST_TEXT##HELP_TEMPLATE#',
'  </div>',
'  <div class="t-Form-itemAssistance">',
'    #ERROR_TEMPLATE#',
'    <div class="t-Form-itemRequired" aria-hidden="true">#REQUIRED#</div>',
'  </div>',
'  #INLINE_HELP_TEMPLATE#',
'</div>'))
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<div class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</div>'
,p_error_template=>'<div class="t-Form-error">#ERROR_MESSAGE#</div>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>2525313812251712801
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_above
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(7234474262363656967)
,p_template_name=>'Required - Above'
,p_internal_name=>'REQUIRED_ABOVE'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  </label> #HELP_TEMPLATE#',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--stacked is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-inputContainer">',
'  <div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'))
,p_after_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#ITEM_POST_TEXT#</div>',
'  <div class="t-Form-itemAssistance">',
'    #ERROR_TEMPLATE#',
'    <div class="t-Form-itemRequired" aria-hidden="true">#REQUIRED#</div>',
'  </div>',
'  #INLINE_HELP_TEMPLATE#',
'</div>',
''))
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<div class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</div>'
,p_error_template=>'<div class="t-Form-error">#ERROR_MESSAGE#</div>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>3030115129444970113
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/label/required_floating
begin
wwv_flow_imp_shared.create_field_template(
 p_id=>wwv_flow_imp.id(7234474369159656967)
,p_template_name=>'Required - Floating'
,p_internal_name=>'REQUIRED_FLOATING'
,p_template_body1=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-labelContainer">',
'  <label for="#CURRENT_ITEM_NAME#" id="#LABEL_ID#" class="t-Form-label">'))
,p_template_body2=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  </label>',
'</div>'))
,p_before_item=>'<div class="t-Form-fieldContainer t-Form-fieldContainer--floatingLabel is-required #ITEM_CSS_CLASSES#" id="#CURRENT_ITEM_CONTAINER_ID#">'
,p_after_item=>'</div>'
,p_item_pre_text=>'<span class="t-Form-itemText t-Form-itemText--pre">#CURRENT_ITEM_PRE_TEXT#</span>'
,p_item_post_text=>'<span class="t-Form-itemText t-Form-itemText--post">#CURRENT_ITEM_POST_TEXT#</span>'
,p_before_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-Form-inputContainer">',
'  <div class="t-Form-itemRequired-marker" aria-hidden="true"></div>',
'  <div class="t-Form-itemWrapper">#ITEM_PRE_TEXT#'))
,p_after_element=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#ITEM_POST_TEXT##HELP_TEMPLATE#',
'  </div>',
'  <div class="t-Form-itemAssistance">',
'    #ERROR_TEMPLATE#',
'    <div class="t-Form-itemRequired" aria-hidden="true">#REQUIRED#</div>',
'  </div>',
'  #INLINE_HELP_TEMPLATE#',
'</div>'))
,p_help_link=>'<button class="t-Form-helpButton js-itemHelp" data-itemhelp="#CURRENT_ITEM_ID#" title="#CURRENT_ITEM_HELP_LABEL#" aria-label="#CURRENT_ITEM_HELP_LABEL#" tabindex="-1" type="button"><span class="a-Icon icon-help" aria-hidden="true"></span></button>'
,p_inline_help_text=>'<div class="t-Form-inlineHelp">#CURRENT_ITEM_INLINE_HELP_TEXT#</div>'
,p_error_template=>'<div class="t-Form-error">#ERROR_MESSAGE#</div>'
,p_theme_id=>42
,p_theme_class_id=>4
,p_reference_id=>1607675344320152883
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/breadcrumb/breadcrumb
begin
wwv_flow_imp_shared.create_menu_template(
 p_id=>wwv_flow_imp.id(7234476550081656961)
,p_name=>'Breadcrumb'
,p_internal_name=>'BREADCRUMB'
,p_before_first=>'<ul class="t-Breadcrumb #COMPONENT_CSS_CLASSES#">'
,p_current_page_option=>'<li class="t-Breadcrumb-item is-active" aria-current="page"><h1 class="t-Breadcrumb-label">#NAME#</h1></li>'
,p_non_current_page_option=>'<li class="t-Breadcrumb-item"><a href="#LINK#" class="t-Breadcrumb-label">#NAME#</a></li>'
,p_after_last=>'</ul>'
,p_max_levels=>6
,p_start_with_node=>'PARENT_TO_LEAF'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916542570059325
,p_translate_this_template=>'N'
);
end;
/
prompt --application/shared_components/user_interface/templates/popuplov
begin
wwv_flow_imp_shared.create_popup_lov_template(
 p_id=>wwv_flow_imp.id(7234476752779656953)
,p_page_name=>'winlov'
,p_page_title=>'Search Dialog'
,p_page_html_head=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<!DOCTYPE html>',
'<html lang="&BROWSER_LANGUAGE.">',
'<head>',
'<title>#TITLE#</title>',
'#APEX_CSS#',
'#THEME_CSS#',
'#THEME_STYLE_CSS#',
'#FAVICONS#',
'#APEX_JAVASCRIPT#',
'#THEME_JAVASCRIPT#',
'<meta name="viewport" content="width=device-width,initial-scale=1.0" />',
'</head>'))
,p_page_body_attr=>'onload="first_field()" class="t-Page t-Page--popupLOV"'
,p_before_field_text=>'<div class="t-PopupLOV-actions t-Form--large">'
,p_filter_width=>'20'
,p_filter_max_width=>'100'
,p_filter_text_attr=>'class="apex-item-text"'
,p_find_button_text=>'Search'
,p_find_button_attr=>'class="t-Button t-Button--hot t-Button--padLeft"'
,p_close_button_text=>'Close'
,p_close_button_attr=>'class="t-Button u-pullRight"'
,p_next_button_text=>'Next &gt;'
,p_next_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_prev_button_text=>'&lt; Previous'
,p_prev_button_attr=>'class="t-Button t-PopupLOV-button"'
,p_after_field_text=>'</div>'
,p_scrollbars=>'1'
,p_resizable=>'1'
,p_width=>'380'
,p_result_row_x_of_y=>'<div class="t-PopupLOV-pagination">Row(s) #FIRST_ROW# - #LAST_ROW#</div>'
,p_result_rows_per_pg=>100
,p_before_result_set=>'<div class="t-PopupLOV-links">'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>2885398517835871876
,p_translate_this_template=>'N'
,p_after_result_set=>'</div>'
);
end;
/
prompt --application/shared_components/user_interface/templates/calendar/calendar
begin
wwv_flow_imp_shared.create_calendar_template(
 p_id=>wwv_flow_imp.id(7234476607460656958)
,p_cal_template_name=>'Calendar'
,p_internal_name=>'CALENDAR'
,p_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" aria-label="#IMONTH# #YYYY#">'
,p_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>',
''))
,p_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_day_close_format=>'</td>'
,p_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">#TITLE_FORMAT#<div class="t-ClassicCalendar-dayEvents">#DATA#</div>'
,p_weekend_close_format=>'</td>'
,p_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_nonday_close_format=>'</td>'
,p_week_open_format=>'<tr>'
,p_week_close_format=>'</tr> '
,p_daily_title_format=>'<table cellspacing="0" cellpadding="0" border="0" summary="" class="t1DayCalendarHolder"> <tr> <td class="t1MonthTitle">#IMONTH# #DD#, #YYYY#</td> </tr> <tr> <td>'
,p_daily_open_format=>'<tr>'
,p_daily_close_format=>'</tr>'
,p_weekly_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--weekly">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_weekly_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_weekly_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" aria-label="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_weekly_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_weekly_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_day_close_format=>'</div></td>'
,p_weekly_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_weekly_weekend_close_format=>'</div></td>'
,p_weekly_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_weekly_time_close_format=>'</th>'
,p_weekly_time_title_format=>'#TIME#'
,p_weekly_hour_open_format=>'<tr>'
,p_weekly_hour_close_format=>'</tr>'
,p_daily_day_of_week_format=>'<th scope="col" id="#DY#" class="t-ClassicCalendar-dayColumn">#IDAY#</th>'
,p_daily_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--daily">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #DD#, #YYYY#</h1>'))
,p_daily_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" aria-label="#CALENDAR_TITLE# #START_DL#" class="t-ClassicCalendar-calendar">'
,p_daily_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_daily_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_day_close_format=>'</div></td>'
,p_daily_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_daily_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol" id="#TIME#">'
,p_daily_time_close_format=>'</th>'
,p_daily_time_title_format=>'#TIME#'
,p_daily_hour_open_format=>'<tr>'
,p_daily_hour_close_format=>'</tr>'
,p_cust_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#IMONTH# #YYYY#</h1>'))
,p_cust_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th id="#DY#" scope="col" class="t-ClassicCalendar-dayColumn">',
'  <span class="visible-md visible-lg">#IDAY#</span>',
'  <span class="hidden-md hidden-lg">#IDY#</span>',
'</th>'))
,p_cust_month_open_format=>'<table class="t-ClassicCalendar-calendar" cellpadding="0" cellspacing="0" border="0" aria-label="#IMONTH# #YYYY#">'
,p_cust_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_week_open_format=>'<tr>'
,p_cust_week_close_format=>'</tr> '
,p_cust_day_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_day_close_format=>'</td>'
,p_cust_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#">'
,p_cust_nonday_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_nonday_open_format=>'<td class="t-ClassicCalendar-day is-inactive" headers="#DY#">'
,p_cust_nonday_close_format=>'</td>'
,p_cust_weekend_title_format=>'<span class="t-ClassicCalendar-date">#DD#</span>'
,p_cust_weekend_open_format=>'<td class="t-ClassicCalendar-day is-weekend" headers="#DY#">'
,p_cust_weekend_close_format=>'</td>'
,p_cust_hour_open_format=>'<tr>'
,p_cust_hour_close_format=>'</tr>'
,p_cust_time_title_format=>'#TIME#'
,p_cust_time_open_format=>'<th scope="row" class="t-ClassicCalendar-day t-ClassicCalendar-timeCol">'
,p_cust_time_close_format=>'</th>'
,p_cust_wk_month_title_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar">',
'<h1 class="t-ClassicCalendar-title">#WTITLE#</h1>'))
,p_cust_wk_day_of_week_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<th scope="col" class="t-ClassicCalendar-dayColumn" id="#DY#">',
'  <span class="visible-md visible-lg">#DD# #IDAY#</span>',
'  <span class="hidden-md hidden-lg">#DD# #IDY#</span>',
'</th>'))
,p_cust_wk_month_open_format=>'<table border="0" cellpadding="0" cellspacing="0" summary="#CALENDAR_TITLE# #START_DL# - #END_DL#" class="t-ClassicCalendar-calendar">'
,p_cust_wk_month_close_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'</table>',
'</div>'))
,p_cust_wk_week_open_format=>'<tr>'
,p_cust_wk_week_close_format=>'</tr> '
,p_cust_wk_day_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_day_close_format=>'</div></td>'
,p_cust_wk_today_open_format=>'<td class="t-ClassicCalendar-day is-today" headers="#DY#"><div class="t-ClassicCalendar-dayEvents">'
,p_cust_wk_weekend_open_format=>'<td class="t-ClassicCalendar-day" headers="#DY#">'
,p_cust_wk_weekend_close_format=>'</td>'
,p_agenda_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div class="t-ClassicCalendar t-ClassicCalendar--list">',
'  <div class="t-ClassicCalendar-title">#IMONTH# #YYYY#</div>',
'  <ul class="t-ClassicCalendar-list">',
'    #DAYS#',
'  </ul>',
'</div>'))
,p_agenda_past_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-past">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_today_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-today">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_future_day_format=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  <li class="t-ClassicCalendar-listTitle is-future">',
'    <span class="t-ClassicCalendar-listDayTitle">#IDAY#</span><span class="t-ClassicCalendar-listDayDate">#IMONTH# #DD#</span>',
'  </li>'))
,p_agenda_past_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-past">#DATA#</li>'
,p_agenda_today_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-today">#DATA#</li>'
,p_agenda_future_entry_format=>'  <li class="t-ClassicCalendar-listEvent is-future">#DATA#</li>'
,p_month_data_format=>'#DAYS#'
,p_month_data_entry_format=>'<span class="t-ClassicCalendar-event">#DATA#</span>'
,p_theme_id=>42
,p_theme_class_id=>1
,p_reference_id=>4070916747979059326
);
end;
/
prompt --application/shared_components/user_interface/themes
begin
wwv_flow_imp_shared.create_theme(
 p_id=>wwv_flow_imp.id(7234477965821656940)
,p_theme_id=>42
,p_theme_name=>'Universal Theme'
,p_theme_internal_name=>'UNIVERSAL_THEME'
,p_navigation_type=>'L'
,p_nav_bar_type=>'LIST'
,p_reference_id=>4070917134413059350
,p_is_locked=>false
,p_default_page_template=>wwv_flow_imp.id(7234380834380657092)
,p_default_dialog_template=>wwv_flow_imp.id(7234364345938657120)
,p_error_template=>wwv_flow_imp.id(7234365775712657118)
,p_printer_friendly_template=>wwv_flow_imp.id(7234380834380657092)
,p_breadcrumb_display_point=>'REGION_POSITION_01'
,p_sidebar_display_point=>'REGION_POSITION_02'
,p_login_template=>wwv_flow_imp.id(7234365775712657118)
,p_default_button_template=>wwv_flow_imp.id(7234475091651656963)
,p_default_region_template=>wwv_flow_imp.id(7234414460753657047)
,p_default_chart_template=>wwv_flow_imp.id(7234414460753657047)
,p_default_form_template=>wwv_flow_imp.id(7234414460753657047)
,p_default_reportr_template=>wwv_flow_imp.id(7234414460753657047)
,p_default_tabform_template=>wwv_flow_imp.id(7234414460753657047)
,p_default_wizard_template=>wwv_flow_imp.id(7234414460753657047)
,p_default_menur_template=>wwv_flow_imp.id(7234423806580657040)
,p_default_listr_template=>wwv_flow_imp.id(7234414460753657047)
,p_default_irr_template=>wwv_flow_imp.id(7234412476829657049)
,p_default_report_template=>wwv_flow_imp.id(7234440743892657016)
,p_default_label_template=>wwv_flow_imp.id(7234473992595656968)
,p_default_menu_template=>wwv_flow_imp.id(7234476550081656961)
,p_default_calendar_template=>wwv_flow_imp.id(7234476607460656958)
,p_default_list_template=>wwv_flow_imp.id(7234472106758656972)
,p_default_nav_list_template=>wwv_flow_imp.id(7234462931693656980)
,p_default_top_nav_list_temp=>wwv_flow_imp.id(7234462931693656980)
,p_default_side_nav_list_temp=>wwv_flow_imp.id(7234461371609656982)
,p_default_nav_list_position=>'SIDE'
,p_default_dialogbtnr_template=>wwv_flow_imp.id(7234397501181657059)
,p_default_dialogr_template=>wwv_flow_imp.id(7234387039178657080)
,p_default_option_label=>wwv_flow_imp.id(7234473992595656968)
,p_default_required_label=>wwv_flow_imp.id(7234474369159656967)
,p_default_navbar_list_template=>wwv_flow_imp.id(7234464159205656979)
,p_file_prefix => nvl(wwv_flow_application_install.get_static_theme_file_prefix(42),'#APEX_FILES#themes/theme_42/23.2/')
,p_files_version=>69
,p_icon_library=>'FONTAPEX'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#APEX_FILES#libraries/apex/#MIN_DIRECTORY#widget.stickyWidget#MIN#.js?v=#APEX_VERSION#',
'#THEME_FILES#js/theme42#MIN#.js?v=#APEX_VERSION#'))
,p_css_file_urls=>'#THEME_FILES#css/Core#MIN#.css?v=#APEX_VERSION#'
);
end;
/
prompt --application/shared_components/user_interface/theme_style
begin
wwv_flow_imp_shared.create_theme_style(
 p_id=>wwv_flow_imp.id(6475050117500198674)
,p_theme_id=>42
,p_name=>'Redwood Light'
,p_css_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#APEX_FILES#libraries/oracle-fonts/oraclesans-apex#MIN#.css?v=#APEX_VERSION#',
'#THEME_FILES#css/Redwood#MIN#.css?v=#APEX_VERSION#'))
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_FILES#less/theme/Redwood-Theme.less'
,p_theme_roller_output_file_url=>'#THEME_FILES#css/Redwood-Theme#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>2596426436825065489
);
wwv_flow_imp_shared.create_theme_style(
 p_id=>wwv_flow_imp.id(6475050520263198674)
,p_theme_id=>42
,p_name=>'Vita'
,p_is_current=>true
,p_is_public=>true
,p_is_accessible=>true
,p_theme_roller_input_file_urls=>'#THEME_FILES#less/theme/Vita.less'
,p_theme_roller_output_file_url=>'#THEME_FILES#css/Vita#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>2719875314571594493
);
wwv_flow_imp_shared.create_theme_style(
 p_id=>wwv_flow_imp.id(6475050914775198675)
,p_theme_id=>42
,p_name=>'Vita - Dark'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_FILES#less/theme/Vita-Dark.less'
,p_theme_roller_output_file_url=>'#THEME_FILES#css/Vita-Dark#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3543348412015319650
);
wwv_flow_imp_shared.create_theme_style(
 p_id=>wwv_flow_imp.id(6475051390191198675)
,p_theme_id=>42
,p_name=>'Vita - Red'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_FILES#less/theme/Vita-Red.less'
,p_theme_roller_output_file_url=>'#THEME_FILES#css/Vita-Red#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>1938457712423918173
);
wwv_flow_imp_shared.create_theme_style(
 p_id=>wwv_flow_imp.id(6475051724877198675)
,p_theme_id=>42
,p_name=>'Vita - Slate'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_input_file_urls=>'#THEME_FILES#less/theme/Vita-Slate.less'
,p_theme_roller_output_file_url=>'#THEME_FILES#css/Vita-Slate#MIN#.css?v=#APEX_VERSION#'
,p_theme_roller_read_only=>true
,p_reference_id=>3291983347983194966
);
wwv_flow_imp_shared.create_theme_style(
 p_id=>wwv_flow_imp.id(7234476921237656949)
,p_theme_id=>42
,p_name=>'Vista'
,p_css_file_urls=>'#THEME_IMAGES#css/Vista#MIN#.css?v=#APEX_VERSION#'
,p_is_current=>false
,p_is_public=>true
,p_is_accessible=>false
,p_theme_roller_read_only=>true
);
end;
/
prompt --application/shared_components/user_interface/theme_files
begin
null;
end;
/
prompt --application/shared_components/user_interface/template_opt_groups
begin
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475214105422198769)
,p_theme_id=>42
,p_name=>'BUTTON_SET'
,p_display_name=>'Button Set'
,p_display_sequence=>40
,p_template_types=>'BUTTON'
,p_help_text=>'Enables you to group many buttons together into a pill. You can use this option to specify where the button is within this set. Set the option to Default if this button is not part of a button set.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475214511120198770)
,p_theme_id=>42
,p_name=>'ICON_HOVER_ANIMATION'
,p_display_name=>'Icon Hover Animation'
,p_display_sequence=>55
,p_template_types=>'BUTTON'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475214954085198770)
,p_theme_id=>42
,p_name=>'ICON_POSITION'
,p_display_name=>'Icon Position'
,p_display_sequence=>50
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the position of the icon relative to the label.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475215372714198770)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the size of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475215712144198770)
,p_theme_id=>42
,p_name=>'SPACING_BOTTOM'
,p_display_name=>'Spacing Bottom'
,p_display_sequence=>100
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the bottom of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475216113732198770)
,p_theme_id=>42
,p_name=>'SPACING_LEFT'
,p_display_name=>'Spacing Left'
,p_display_sequence=>70
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the left of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475216583295198771)
,p_theme_id=>42
,p_name=>'SPACING_RIGHT'
,p_display_name=>'Spacing Right'
,p_display_sequence=>80
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the right of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475216992904198771)
,p_theme_id=>42
,p_name=>'SPACING_TOP'
,p_display_name=>'Spacing Top'
,p_display_sequence=>90
,p_template_types=>'BUTTON'
,p_help_text=>'Controls the spacing to the top of the button.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475217367838198771)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>30
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the style of the button. Use the "Simple" option for secondary actions or sets of buttons. Use the "Remove UI Decoration" option to make the button appear as text.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475217744802198771)
,p_theme_id=>42
,p_name=>'TYPE'
,p_display_name=>'Type'
,p_display_sequence=>20
,p_template_types=>'BUTTON'
,p_null_text=>'Normal'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475218130903198771)
,p_theme_id=>42
,p_name=>'WIDTH'
,p_display_name=>'Width'
,p_display_sequence=>60
,p_template_types=>'BUTTON'
,p_help_text=>'Sets the width of the button.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475218575419198772)
,p_theme_id=>42
,p_name=>'BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the bottom margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475218920495198772)
,p_theme_id=>42
,p_name=>'DISPLAY_TEXT_STYLE'
,p_display_name=>'Display Text Style'
,p_display_sequence=>400
,p_template_types=>'FIELD'
,p_help_text=>'Determines the display style for Display Only & Read Only display items.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475219390124198772)
,p_theme_id=>42
,p_name=>'ITEM_POST_TEXT'
,p_display_name=>'Item Post Text'
,p_display_sequence=>30
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Post Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475219794665198772)
,p_theme_id=>42
,p_name=>'ITEM_PRE_TEXT'
,p_display_name=>'Item Pre Text'
,p_display_sequence=>20
,p_template_types=>'FIELD'
,p_help_text=>'Adjust the display of the Item Pre Text'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475220115880198772)
,p_theme_id=>42
,p_name=>'LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'FIELD'
,p_help_text=>'Set the left margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475220505962198772)
,p_theme_id=>42
,p_name=>'PRESERVE_LABEL_SPACING'
,p_display_name=>'Preserve Label Spacing'
,p_display_sequence=>1
,p_template_types=>'FIELD'
,p_help_text=>'Preserves the label space and enables use of the Label Column Span property.'
,p_null_text=>'Yes'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475220917901198773)
,p_theme_id=>42
,p_name=>'RADIO_GROUP_DISPLAY'
,p_display_name=>'Item Group Display'
,p_display_sequence=>300
,p_template_types=>'FIELD'
,p_help_text=>'Determines the display style for radio and check box items.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475221320790198773)
,p_theme_id=>42
,p_name=>'REQUIRED_INDICATOR'
,p_display_name=>'Required Indicator'
,p_display_sequence=>1
,p_template_types=>'FIELD'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475221732811198773)
,p_theme_id=>42
,p_name=>'RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'FIELD'
,p_help_text=>'Set the right margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475222197182198773)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>10
,p_template_types=>'FIELD'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475222565206198773)
,p_theme_id=>42
,p_name=>'TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'FIELD'
,p_help_text=>'Set the top margin for this field.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475222958596198774)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>80
,p_template_types=>'LIST'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475223392231198774)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>70
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475223704307198774)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'LIST'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475224199202198774)
,p_theme_id=>42
,p_name=>'COLLAPSE_STYLE'
,p_display_name=>'Collapse Mode'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475224589846198774)
,p_theme_id=>42
,p_name=>'COLOR_ACCENTS'
,p_display_name=>'Color Accents'
,p_display_sequence=>50
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475224957785198775)
,p_theme_id=>42
,p_name=>'DESKTOP'
,p_display_name=>'Desktop'
,p_display_sequence=>90
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a desktop-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475225345174198775)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475225753775198775)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'LIST'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475226167715198775)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'LIST'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Circle'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475226505216198775)
,p_theme_id=>42
,p_name=>'ICON_STYLE'
,p_display_name=>'Icon Style'
,p_display_sequence=>35
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475226929506198775)
,p_theme_id=>42
,p_name=>'LABEL_DISPLAY'
,p_display_name=>'Label Display'
,p_display_sequence=>50
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475227301279198776)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475227760297198776)
,p_theme_id=>42
,p_name=>'MOBILE'
,p_display_name=>'Mobile'
,p_display_sequence=>100
,p_template_types=>'LIST'
,p_help_text=>'Determines the display for a mobile-sized screen'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475228181346198776)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>1
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475228595018198776)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'LIST'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475228933907198776)
,p_theme_id=>42
,p_name=>'CONTENT_PADDING'
,p_display_name=>'Content Padding'
,p_display_sequence=>1
,p_template_types=>'PAGE'
,p_help_text=>'Sets the Content Body padding for the page.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475229361037198777)
,p_theme_id=>42
,p_name=>'DIALOG_SIZE'
,p_display_name=>'Size'
,p_display_sequence=>1
,p_template_types=>'PAGE'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475229718043198777)
,p_theme_id=>42
,p_name=>'DISPLAY_MODE'
,p_display_name=>'Display Mode'
,p_display_sequence=>30
,p_template_types=>'PAGE'
,p_help_text=>'Determines the default display appearance and positioning of the dialog. The default opens a floating dialog position at the center of the screen.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475230113033198777)
,p_theme_id=>42
,p_name=>'PAGE_BACKGROUND'
,p_display_name=>'Page Background'
,p_display_sequence=>20
,p_template_types=>'PAGE'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475230597240198777)
,p_theme_id=>42
,p_name=>'PAGE_LAYOUT'
,p_display_name=>'Page Layout'
,p_display_sequence=>10
,p_template_types=>'PAGE'
,p_null_text=>'Floating (Default)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475230955081198777)
,p_theme_id=>42
,p_name=>'PAGE_POSITION'
,p_display_name=>'Position'
,p_display_sequence=>1
,p_template_types=>'PAGE'
,p_help_text=>'Sets the position of the page.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475231306387198778)
,p_theme_id=>42
,p_name=>'ACCENT'
,p_display_name=>'Accent'
,p_display_sequence=>30
,p_template_types=>'REGION'
,p_help_text=>'Set the Region''s accent. This accent corresponds to a Theme-Rollable color and sets the background of the Region''s Header.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475231759008198778)
,p_theme_id=>42
,p_name=>'ALERT_DISPLAY'
,p_display_name=>'Alert Display'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the layout of the Alert Region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475232120011198778)
,p_theme_id=>42
,p_name=>'ALERT_ICONS'
,p_display_name=>'Alert Icons'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets how icons are handled for the Alert Region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475232567210198778)
,p_theme_id=>42
,p_name=>'ALERT_TITLE'
,p_display_name=>'Alert Title'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the title of the alert is displayed.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475232927766198778)
,p_theme_id=>42
,p_name=>'ALERT_TYPE'
,p_display_name=>'Alert Type'
,p_display_sequence=>3
,p_template_types=>'REGION'
,p_help_text=>'Sets the type of alert which can be used to determine the icon, icon color, and the background color.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475233301031198778)
,p_theme_id=>42
,p_name=>'ALIGNMENT'
,p_display_name=>'Alignment'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'This sets the vertical alignment of the region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475233743974198779)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the animation when navigating within the Carousel Region.'
,p_null_text=>'Fade'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475234146758198779)
,p_theme_id=>42
,p_name=>'BODY_HEIGHT'
,p_display_name=>'Body Height'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body height. You can also specify a custom height by modifying the Region''s CSS Classes and using the height helper classes "i-hXXX" where XXX is any increment of 10 from 100 to 800.'
,p_null_text=>'Auto - Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475234562105198779)
,p_theme_id=>42
,p_name=>'BODY_OVERFLOW'
,p_display_name=>'Body Overflow'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Determines the scroll behavior when the region contents are larger than their container.'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475234940714198779)
,p_theme_id=>42
,p_name=>'BODY_PADDING'
,p_display_name=>'Body Padding'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the Region Body padding for the region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475235344631198779)
,p_theme_id=>42
,p_name=>'BODY_STYLE'
,p_display_name=>'Body Style'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Controls the display of the region''s body container.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475235796491198780)
,p_theme_id=>42
,p_name=>'CALLOUT_POSITION'
,p_display_name=>'Callout Position'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Determines where the callout for the popup will be positioned relative to its parent.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475236110084198780)
,p_theme_id=>42
,p_name=>'COLLAPSIBLE_BUTTON_ICONS'
,p_display_name=>'Collapsible Button Icons'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines which arrows to use to represent the icons for the collapse and expand button.'
,p_null_text=>'Arrows'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475236543992198780)
,p_theme_id=>42
,p_name=>'COLLAPSIBLE_ICON_POSITION'
,p_display_name=>'Collapsible Icon Position'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines the position of the expand and collapse toggle for the region.'
,p_null_text=>'Start'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475236952173198780)
,p_theme_id=>42
,p_name=>'DEFAULT_STATE'
,p_display_name=>'Default State'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the default state of the region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475237395790198780)
,p_theme_id=>42
,p_name=>'DIALOG_SIZE'
,p_display_name=>'Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475237763615198780)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON'
,p_display_name=>'Display Icon'
,p_display_sequence=>50
,p_template_types=>'REGION'
,p_help_text=>'Display the Hero Region icon.'
,p_null_text=>'Yes (Default)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475238116738198781)
,p_theme_id=>42
,p_name=>'DISPLAY_MODE'
,p_display_name=>'Display Mode'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Determines the default display appearance and positioning of the dialog. The default opens a floating dialog position at the center of the screen.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475238551888198781)
,p_theme_id=>42
,p_name=>'HEADER'
,p_display_name=>'Header'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_help_text=>'Determines the display of the Region Header which also contains the Region Title.'
,p_null_text=>'Visible - Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475238973650198781)
,p_theme_id=>42
,p_name=>'HEADING_FONT'
,p_display_name=>'Heading Font'
,p_display_sequence=>100
,p_template_types=>'REGION'
,p_help_text=>'Sets the font-family of the heading for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475239339969198781)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL'
,p_display_name=>'Heading Level'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475239728672198781)
,p_theme_id=>42
,p_name=>'HIDE_STEPS_FOR'
,p_display_name=>'Hide Steps For'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475240101511198781)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'REGION'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Rounded Corners'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475240589775198782)
,p_theme_id=>42
,p_name=>'ICON_SIZE'
,p_display_name=>'Icon Size'
,p_display_sequence=>3
,p_template_types=>'REGION'
,p_null_text=>'Initial'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475240988944198782)
,p_theme_id=>42
,p_name=>'IMAGE_FILTER'
,p_display_name=>'Filter'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475241317307198782)
,p_theme_id=>42
,p_name=>'IMAGE_RATIO'
,p_display_name=>'Ratio'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475241797972198782)
,p_theme_id=>42
,p_name=>'IMAGE_SCALE'
,p_display_name=>'Scale'
,p_display_sequence=>20
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475242113844198782)
,p_theme_id=>42
,p_name=>'IMAGE_SHAPE'
,p_display_name=>'Shape'
,p_display_sequence=>30
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475242523013198783)
,p_theme_id=>42
,p_name=>'ITEM_PADDING'
,p_display_name=>'Item Spacing'
,p_display_sequence=>100
,p_template_types=>'REGION'
,p_help_text=>'Sets the padding around items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475242985829198783)
,p_theme_id=>42
,p_name=>'ITEM_SIZE'
,p_display_name=>'Item Size'
,p_display_sequence=>110
,p_template_types=>'REGION'
,p_help_text=>'Sets the size of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475243378683198783)
,p_theme_id=>42
,p_name=>'ITEM_WIDTH'
,p_display_name=>'Item Width'
,p_display_sequence=>120
,p_template_types=>'REGION'
,p_help_text=>'Sets the width of the form items within this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475243714785198783)
,p_theme_id=>42
,p_name=>'LABEL_ALIGNMENT'
,p_display_name=>'Label Alignment'
,p_display_sequence=>130
,p_template_types=>'REGION'
,p_help_text=>'Set the label text alignment for items within this region.'
,p_null_text=>'Right'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475244176724198783)
,p_theme_id=>42
,p_name=>'LABEL_POSITION'
,p_display_name=>'Label Position'
,p_display_sequence=>140
,p_template_types=>'REGION'
,p_help_text=>'Sets the position of the label relative to the form item.'
,p_null_text=>'Inline - Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475244584125198784)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475244930266198784)
,p_theme_id=>42
,p_name=>'LOGIN_HEADER'
,p_display_name=>'Login Header'
,p_display_sequence=>10
,p_template_types=>'REGION'
,p_help_text=>'Controls the display of the Login region header.'
,p_null_text=>'Icon and Title (Default)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475245316610198784)
,p_theme_id=>42
,p_name=>'REGION_BOTTOM_MARGIN'
,p_display_name=>'Bottom Margin'
,p_display_sequence=>210
,p_template_types=>'REGION'
,p_help_text=>'Set the bottom margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475245749519198784)
,p_theme_id=>42
,p_name=>'REGION_LEFT_MARGIN'
,p_display_name=>'Left Margin'
,p_display_sequence=>220
,p_template_types=>'REGION'
,p_help_text=>'Set the left margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475246199946198784)
,p_theme_id=>42
,p_name=>'REGION_POSITION'
,p_display_name=>'Position'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the position of the region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475246543544198784)
,p_theme_id=>42
,p_name=>'REGION_RIGHT_MARGIN'
,p_display_name=>'Right Margin'
,p_display_sequence=>230
,p_template_types=>'REGION'
,p_help_text=>'Set the right margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475246995658198785)
,p_theme_id=>42
,p_name=>'REGION_TITLE'
,p_display_name=>'Region Title'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_help_text=>'Sets the source of the Title Bar region''s title.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475247300870198785)
,p_theme_id=>42
,p_name=>'REGION_TOP_MARGIN'
,p_display_name=>'Top Margin'
,p_display_sequence=>200
,p_template_types=>'REGION'
,p_help_text=>'Set the top margin for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475247789137198785)
,p_theme_id=>42
,p_name=>'RESULT_APPEARANCE'
,p_display_name=>'Result Appearance'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475248162442198785)
,p_theme_id=>42
,p_name=>'RESULT_SEPARATOR'
,p_display_name=>'Result Separator'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_null_text=>'Show'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475248568263198785)
,p_theme_id=>42
,p_name=>'SORT_ORDER_ALIGNMENT'
,p_display_name=>'Sort Order Alignment'
,p_display_sequence=>145
,p_template_types=>'REGION'
,p_help_text=>'Sets the alignment of the sort order item.'
,p_null_text=>'Default (Start)'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475248922218198785)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>40
,p_template_types=>'REGION'
,p_help_text=>'Determines how the region is styled. Use the "Remove Borders" template option to remove the region''s borders and shadows.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475249360243198786)
,p_theme_id=>42
,p_name=>'TABS_SIZE'
,p_display_name=>'Tabs Size'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475249739148198786)
,p_theme_id=>42
,p_name=>'TAB_STYLE'
,p_display_name=>'Tab Style'
,p_display_sequence=>1
,p_template_types=>'REGION'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475250144084198786)
,p_theme_id=>42
,p_name=>'TIMER'
,p_display_name=>'Timer'
,p_display_sequence=>2
,p_template_types=>'REGION'
,p_help_text=>'Sets the timer for when to automatically navigate to the next region within the Carousel Region.'
,p_null_text=>'No Timer'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475250502045198786)
,p_theme_id=>42
,p_name=>'ALTERNATING_ROWS'
,p_display_name=>'Alternating Rows'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Shades alternate rows in the report with slightly different background colors.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475250965643198786)
,p_theme_id=>42
,p_name=>'ANIMATION'
,p_display_name=>'Animation'
,p_display_sequence=>70
,p_template_types=>'REPORT'
,p_help_text=>'Sets the hover and focus animation.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475251329520198787)
,p_theme_id=>42
,p_name=>'BADGE_SIZE'
,p_display_name=>'Badge Size'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475251769853198787)
,p_theme_id=>42
,p_name=>'BODY_TEXT'
,p_display_name=>'Body Text'
,p_display_sequence=>40
,p_template_types=>'REPORT'
,p_help_text=>'Determines the height of the card body.'
,p_null_text=>'Auto'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475252197667198787)
,p_theme_id=>42
,p_name=>'COLOR_ACCENTS'
,p_display_name=>'Color Accents'
,p_display_sequence=>50
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475252504938198787)
,p_theme_id=>42
,p_name=>'COL_ACTIONS'
,p_display_name=>'Actions'
,p_display_sequence=>150
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475252963360198787)
,p_theme_id=>42
,p_name=>'COL_CONTENT_DESCRIPTION'
,p_display_name=>'Description'
,p_display_sequence=>130
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475253383587198787)
,p_theme_id=>42
,p_name=>'COL_CONTENT_TITLE'
,p_display_name=>'Title'
,p_display_sequence=>120
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475253778276198788)
,p_theme_id=>42
,p_name=>'COL_ICON'
,p_display_name=>'Icon'
,p_display_sequence=>110
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475254193823198788)
,p_theme_id=>42
,p_name=>'COL_MISC'
,p_display_name=>'Misc'
,p_display_sequence=>140
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475254514081198788)
,p_theme_id=>42
,p_name=>'COL_SELECTION'
,p_display_name=>'Selection'
,p_display_sequence=>100
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475254935160198788)
,p_theme_id=>42
,p_name=>'COMMENTS_STYLE'
,p_display_name=>'Comments Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the style in which comments are displayed.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475255373141198788)
,p_theme_id=>42
,p_name=>'CONTENT_ALIGNMENT'
,p_display_name=>'Content Alignment'
,p_display_sequence=>90
,p_template_types=>'REPORT'
,p_null_text=>'Center (Default)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475255724449198789)
,p_theme_id=>42
,p_name=>'DISPLAY_ITEMS'
,p_display_name=>'Display Items'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_null_text=>'Inline (Default)'
,p_is_advanced=>'N'
);
end;
/
begin
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475256191209198789)
,p_theme_id=>42
,p_name=>'DISPLAY_LABELS'
,p_display_name=>'Display Labels'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_null_text=>'Inline (Default)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475256516366198789)
,p_theme_id=>42
,p_name=>'ICONS'
,p_display_name=>'Icons'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Controls how to handle icons in the report.'
,p_null_text=>'No Icons'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475256903397198789)
,p_theme_id=>42
,p_name=>'ICON_SHAPE'
,p_display_name=>'Icon Shape'
,p_display_sequence=>60
,p_template_types=>'REPORT'
,p_help_text=>'Determines the shape of the icon.'
,p_null_text=>'Circle'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475257327374198789)
,p_theme_id=>42
,p_name=>'LABEL_WIDTH'
,p_display_name=>'Label Width'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475257771378198789)
,p_theme_id=>42
,p_name=>'LAYOUT'
,p_display_name=>'Layout'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Determines the layout of Cards in the report.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475258178600198790)
,p_theme_id=>42
,p_name=>'PAGINATION_DISPLAY'
,p_display_name=>'Pagination Display'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of pagination for this region.'
,p_null_text=>'Default'
,p_is_advanced=>'Y'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475258530589198790)
,p_theme_id=>42
,p_name=>'REPORT_BORDER'
,p_display_name=>'Report Border'
,p_display_sequence=>30
,p_template_types=>'REPORT'
,p_help_text=>'Controls the display of the Report''s borders.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475258948019198790)
,p_theme_id=>42
,p_name=>'ROW_HIGHLIGHTING'
,p_display_name=>'Row Highlighting'
,p_display_sequence=>20
,p_template_types=>'REPORT'
,p_help_text=>'Determines whether you want the row to be highlighted on hover.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475259319343198790)
,p_theme_id=>42
,p_name=>'SIZE'
,p_display_name=>'Size'
,p_display_sequence=>35
,p_template_types=>'REPORT'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_opt_group(
 p_id=>wwv_flow_imp.id(6475259757873198790)
,p_theme_id=>42
,p_name=>'STYLE'
,p_display_name=>'Style'
,p_display_sequence=>10
,p_template_types=>'REPORT'
,p_help_text=>'Determines the overall style for the component.'
,p_null_text=>'Default'
,p_is_advanced=>'N'
);
end;
/
prompt --application/shared_components/user_interface/template_options
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475284832345198807)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>30
,p_css_classes=>'t-Button--danger'
,p_group_id=>wwv_flow_imp.id(6475217744802198771)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475285203704198807)
,p_theme_id=>42
,p_name=>'DEFERRED_PAGE_RENDERING'
,p_display_name=>'Deferred Page Rendering'
,p_display_sequence=>1
,p_css_classes=>'t-DeferredRendering'
,p_template_types=>'PAGE'
,p_help_text=>'Defer page rendering until all page components have finished loading.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475285970581198808)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_LINK'
,p_display_name=>'Display as Link'
,p_display_sequence=>30
,p_css_classes=>'t-Button--link'
,p_group_id=>wwv_flow_imp.id(6475217367838198771)
,p_template_types=>'BUTTON'
,p_help_text=>'This option makes the button appear as a text link.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475286626420198808)
,p_theme_id=>42
,p_name=>'DISPLAY_AS_PILL_BUTTON'
,p_display_name=>'Display as Pill Button'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--radioButtonGroup'
,p_group_id=>wwv_flow_imp.id(6475220917901198773)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the radio buttons to look like a button set / pill button.  Note that the the radio buttons must all be in the same row for this option to work.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475287334652198809)
,p_theme_id=>42
,p_name=>'DISPLAY_TEXT_STYLE_BOLD'
,p_display_name=>'Bold'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--boldDisplay'
,p_group_id=>wwv_flow_imp.id(6475218920495198772)
,p_template_types=>'FIELD'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475288079460198809)
,p_theme_id=>42
,p_name=>'DISPLAY_TEXT_STYLE_NORMAL'
,p_display_name=>'Normal'
,p_display_sequence=>20
,p_css_classes=>'t-Form-fieldContainer--normalDisplay'
,p_group_id=>wwv_flow_imp.id(6475218920495198772)
,p_template_types=>'FIELD'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475288784167198809)
,p_theme_id=>42
,p_name=>'FBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_imp.id(6475218575419198772)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large bottom margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475289445696198810)
,p_theme_id=>42
,p_name=>'FBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_imp.id(6475218575419198772)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium bottom margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475290151546198810)
,p_theme_id=>42
,p_name=>'FBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_imp.id(6475218575419198772)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the bottom margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475290843610198811)
,p_theme_id=>42
,p_name=>'FBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_imp.id(6475218575419198772)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small bottom margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475291598408198811)
,p_theme_id=>42
,p_name=>'FLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_imp.id(6475220115880198772)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large left margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475292225497198811)
,p_theme_id=>42
,p_name=>'FLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_imp.id(6475220115880198772)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium left margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475292981126198812)
,p_theme_id=>42
,p_name=>'FLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_imp.id(6475220115880198772)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the left margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475293649856198812)
,p_theme_id=>42
,p_name=>'FLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_imp.id(6475220115880198772)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small left margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475294387830198812)
,p_theme_id=>42
,p_name=>'FORMLEFTLABELS'
,p_display_name=>'Left'
,p_display_sequence=>20
,p_css_classes=>'t-Form--leftLabels'
,p_group_id=>wwv_flow_imp.id(6475243714785198783)
,p_template_types=>'REGION'
,p_help_text=>'Align form labels to left.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475295040683198813)
,p_theme_id=>42
,p_name=>'FORMREMOVEPADDING'
,p_display_name=>'None'
,p_display_sequence=>20
,p_css_classes=>'t-Form--noPadding'
,p_group_id=>wwv_flow_imp.id(6475242523013198783)
,p_template_types=>'REGION'
,p_help_text=>'Removes spacing between items.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475295767010198813)
,p_theme_id=>42
,p_name=>'FORMSIZELARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form--large'
,p_group_id=>wwv_flow_imp.id(6475242985829198783)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475296499056198814)
,p_theme_id=>42
,p_name=>'FORMSIZEXLARGE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form--xlarge'
,p_group_id=>wwv_flow_imp.id(6475242985829198783)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475297155935198814)
,p_theme_id=>42
,p_name=>'FORMSLIMPADDING'
,p_display_name=>'Slim'
,p_display_sequence=>10
,p_css_classes=>'t-Form--slimPadding'
,p_group_id=>wwv_flow_imp.id(6475242523013198783)
,p_template_types=>'REGION'
,p_help_text=>'Reduces form item spacing.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475297828933198814)
,p_theme_id=>42
,p_name=>'FORMSTANDARDPADDING'
,p_display_name=>'Standard'
,p_display_sequence=>5
,p_css_classes=>'t-Form--standardPadding'
,p_group_id=>wwv_flow_imp.id(6475242523013198783)
,p_template_types=>'REGION'
,p_help_text=>'Uses the standard spacing between items.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475298534062198815)
,p_theme_id=>42
,p_name=>'FRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_imp.id(6475221732811198773)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large right margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475299209812198815)
,p_theme_id=>42
,p_name=>'FRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_imp.id(6475221732811198773)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium right margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475299949344198815)
,p_theme_id=>42
,p_name=>'FRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_imp.id(6475221732811198773)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the right margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475300670638198816)
,p_theme_id=>42
,p_name=>'FRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_imp.id(6475221732811198773)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small right margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475301338655198816)
,p_theme_id=>42
,p_name=>'FTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_imp.id(6475222565206198773)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a large top margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475302140655198817)
,p_theme_id=>42
,p_name=>'FTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_imp.id(6475222565206198773)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a medium top margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475302802969198817)
,p_theme_id=>42
,p_name=>'FTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_imp.id(6475222565206198773)
,p_template_types=>'FIELD'
,p_help_text=>'Removes the top margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475303501102198817)
,p_theme_id=>42
,p_name=>'FTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_imp.id(6475222565206198773)
,p_template_types=>'FIELD'
,p_help_text=>'Adds a small top margin for this field.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475304220424198818)
,p_theme_id=>42
,p_name=>'H4'
,p_display_name=>'H4'
,p_display_sequence=>40
,p_css_classes=>'js-headingLevel-4'
,p_group_id=>wwv_flow_imp.id(6475239339969198781)
,p_template_types=>'REGION'
,p_help_text=>'H4'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475304934029198818)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL_H1'
,p_display_name=>'H1'
,p_display_sequence=>10
,p_css_classes=>'js-headingLevel-1'
,p_group_id=>wwv_flow_imp.id(6475239339969198781)
,p_template_types=>'REGION'
,p_help_text=>'H1'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475305607967198819)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL_H2'
,p_display_name=>'H2'
,p_display_sequence=>20
,p_css_classes=>'js-headingLevel-2'
,p_group_id=>wwv_flow_imp.id(6475239339969198781)
,p_template_types=>'REGION'
,p_help_text=>'H2'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475306315892198819)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL_H3'
,p_display_name=>'H3'
,p_display_sequence=>30
,p_css_classes=>'js-headingLevel-3'
,p_group_id=>wwv_flow_imp.id(6475239339969198781)
,p_template_types=>'REGION'
,p_help_text=>'H3'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475307041160198819)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL_H5'
,p_display_name=>'H5'
,p_display_sequence=>50
,p_css_classes=>'js-headingLevel-5'
,p_group_id=>wwv_flow_imp.id(6475239339969198781)
,p_template_types=>'REGION'
,p_help_text=>'H5'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475307784071198820)
,p_theme_id=>42
,p_name=>'HEADING_LEVEL_H6'
,p_display_name=>'H6'
,p_display_sequence=>60
,p_css_classes=>'js-headingLevel-6'
,p_group_id=>wwv_flow_imp.id(6475239339969198781)
,p_template_types=>'REGION'
,p_help_text=>'H6'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475308461813198820)
,p_theme_id=>42
,p_name=>'HIDE_WHEN_ALL_ROWS_DISPLAYED'
,p_display_name=>'Hide when all rows displayed'
,p_display_sequence=>10
,p_css_classes=>'t-Report--hideNoPagination'
,p_group_id=>wwv_flow_imp.id(6475258178600198790)
,p_template_types=>'REPORT'
,p_help_text=>'This option will hide the pagination when all rows are displayed.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475309107682198821)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>30
,p_css_classes=>'t-Button--large'
,p_group_id=>wwv_flow_imp.id(6475215372714198770)
,p_template_types=>'BUTTON'
,p_help_text=>'A large button.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475309822263198821)
,p_theme_id=>42
,p_name=>'LARGEBOTTOMMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapBottom'
,p_group_id=>wwv_flow_imp.id(6475215712144198770)
,p_template_types=>'BUTTON'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475310580616198821)
,p_theme_id=>42
,p_name=>'LARGELEFTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapLeft'
,p_group_id=>wwv_flow_imp.id(6475216113732198770)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475311221271198822)
,p_theme_id=>42
,p_name=>'LARGERIGHTMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapRight'
,p_group_id=>wwv_flow_imp.id(6475216583295198771)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475311929104198822)
,p_theme_id=>42
,p_name=>'LARGETOPMARGIN'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_css_classes=>'t-Button--gapTop'
,p_group_id=>wwv_flow_imp.id(6475216992904198771)
,p_template_types=>'BUTTON'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475312670820198823)
,p_theme_id=>42
,p_name=>'LARGE_FIELD'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--large'
,p_group_id=>wwv_flow_imp.id(6475222197182198773)
,p_template_types=>'FIELD'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475313344547198823)
,p_theme_id=>42
,p_name=>'NOUI'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>20
,p_css_classes=>'t-Button--noUI'
,p_group_id=>wwv_flow_imp.id(6475217367838198771)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475314078113198823)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Inner Button'
,p_display_sequence=>20
,p_css_classes=>'t-Button--pill'
,p_group_id=>wwv_flow_imp.id(6475214105422198769)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475314781400198824)
,p_theme_id=>42
,p_name=>'PILLEND'
,p_display_name=>'Last Button'
,p_display_sequence=>30
,p_css_classes=>'t-Button--pillEnd'
,p_group_id=>wwv_flow_imp.id(6475214105422198769)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475315408334198824)
,p_theme_id=>42
,p_name=>'PILLSTART'
,p_display_name=>'First Button'
,p_display_sequence=>10
,p_css_classes=>'t-Button--pillStart'
,p_group_id=>wwv_flow_imp.id(6475214105422198769)
,p_template_types=>'BUTTON'
,p_help_text=>'Use this for the start of a pill button.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475316148665198825)
,p_theme_id=>42
,p_name=>'POST_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--postTextBlock'
,p_group_id=>wwv_flow_imp.id(6475219390124198772)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Post Text in a block style immediately after the item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475316873263198825)
,p_theme_id=>42
,p_name=>'PRE_TEXT_BLOCK'
,p_display_name=>'Display as Block'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--preTextBlock'
,p_group_id=>wwv_flow_imp.id(6475219794665198772)
,p_template_types=>'FIELD'
,p_help_text=>'Displays the Item Pre Text in a block style immediately before the item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475317591750198825)
,p_theme_id=>42
,p_name=>'PRIMARY'
,p_display_name=>'Primary'
,p_display_sequence=>10
,p_css_classes=>'t-Button--primary'
,p_group_id=>wwv_flow_imp.id(6475217744802198771)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475318288307198826)
,p_theme_id=>42
,p_name=>'RBM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-bottom-lg'
,p_group_id=>wwv_flow_imp.id(6475245316610198784)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large bottom margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475318920002198826)
,p_theme_id=>42
,p_name=>'RBM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-bottom-md'
,p_group_id=>wwv_flow_imp.id(6475245316610198784)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium bottom margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475319690511198827)
,p_theme_id=>42
,p_name=>'RBM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-bottom-none'
,p_group_id=>wwv_flow_imp.id(6475245316610198784)
,p_template_types=>'REGION'
,p_help_text=>'Removes the bottom margin for this region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475320326304198827)
,p_theme_id=>42
,p_name=>'RBM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-bottom-sm'
,p_group_id=>wwv_flow_imp.id(6475245316610198784)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small bottom margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475321028186198827)
,p_theme_id=>42
,p_name=>'REMOVE_PADDING'
,p_display_name=>'Remove Padding'
,p_display_sequence=>1
,p_css_classes=>'t-PageBody--noContentPadding'
,p_group_id=>wwv_flow_imp.id(6475228933907198776)
,p_template_types=>'PAGE'
,p_help_text=>'Removes padding from the content region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475321700255198828)
,p_theme_id=>42
,p_name=>'RLM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-left-lg'
,p_group_id=>wwv_flow_imp.id(6475245749519198784)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475322451273198828)
,p_theme_id=>42
,p_name=>'RLM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-left-md'
,p_group_id=>wwv_flow_imp.id(6475245749519198784)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475323146810198828)
,p_theme_id=>42
,p_name=>'RLM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-left-none'
,p_group_id=>wwv_flow_imp.id(6475245749519198784)
,p_template_types=>'REGION'
,p_help_text=>'Removes the left margin from the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475323830014198829)
,p_theme_id=>42
,p_name=>'RLM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-left-sm'
,p_group_id=>wwv_flow_imp.id(6475245749519198784)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small left margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475324563397198829)
,p_theme_id=>42
,p_name=>'RRM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-right-lg'
,p_group_id=>wwv_flow_imp.id(6475246543544198784)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large right margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475325276399198830)
,p_theme_id=>42
,p_name=>'RRM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-right-md'
,p_group_id=>wwv_flow_imp.id(6475246543544198784)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium right margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475325953361198830)
,p_theme_id=>42
,p_name=>'RRM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-right-none'
,p_group_id=>wwv_flow_imp.id(6475246543544198784)
,p_template_types=>'REGION'
,p_help_text=>'Removes the right margin from the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475326678136198830)
,p_theme_id=>42
,p_name=>'RRM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-right-sm'
,p_group_id=>wwv_flow_imp.id(6475246543544198784)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small right margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475327300956198831)
,p_theme_id=>42
,p_name=>'RTM_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>40
,p_css_classes=>'margin-top-lg'
,p_group_id=>wwv_flow_imp.id(6475247300870198785)
,p_template_types=>'REGION'
,p_help_text=>'Adds a large top margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475328060904198831)
,p_theme_id=>42
,p_name=>'RTM_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>30
,p_css_classes=>'margin-top-md'
,p_group_id=>wwv_flow_imp.id(6475247300870198785)
,p_template_types=>'REGION'
,p_help_text=>'Adds a medium top margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475328795182198832)
,p_theme_id=>42
,p_name=>'RTM_NONE'
,p_display_name=>'None'
,p_display_sequence=>10
,p_css_classes=>'margin-top-none'
,p_group_id=>wwv_flow_imp.id(6475247300870198785)
,p_template_types=>'REGION'
,p_help_text=>'Removes the top margin for this region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475329493598198832)
,p_theme_id=>42
,p_name=>'RTM_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'margin-top-sm'
,p_group_id=>wwv_flow_imp.id(6475247300870198785)
,p_template_types=>'REGION'
,p_help_text=>'Adds a small top margin to the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475330238961198832)
,p_theme_id=>42
,p_name=>'SHOWFORMLABELSABOVE'
,p_display_name=>'Show Form Labels Above'
,p_display_sequence=>10
,p_css_classes=>'t-Form--labelsAbove'
,p_group_id=>wwv_flow_imp.id(6475244176724198783)
,p_template_types=>'REGION'
,p_help_text=>'Show form labels above input fields.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475331050862198833)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_css_classes=>'t-Button--simple'
,p_group_id=>wwv_flow_imp.id(6475217367838198771)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475331710482198833)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>20
,p_css_classes=>'t-Button--small'
,p_group_id=>wwv_flow_imp.id(6475215372714198770)
,p_template_types=>'BUTTON'
,p_help_text=>'A small button.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475332450014198834)
,p_theme_id=>42
,p_name=>'SMALLBOTTOMMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padBottom'
,p_group_id=>wwv_flow_imp.id(6475215712144198770)
,p_template_types=>'BUTTON'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475333164076198834)
,p_theme_id=>42
,p_name=>'SMALLLEFTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padLeft'
,p_group_id=>wwv_flow_imp.id(6475216113732198770)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475333881488198834)
,p_theme_id=>42
,p_name=>'SMALLRIGHTMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padRight'
,p_group_id=>wwv_flow_imp.id(6475216583295198771)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475334563093198835)
,p_theme_id=>42
,p_name=>'SMALLTOPMARGIN'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_css_classes=>'t-Button--padTop'
,p_group_id=>wwv_flow_imp.id(6475216992904198771)
,p_template_types=>'BUTTON'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475335252482198835)
,p_theme_id=>42
,p_name=>'SORT_CENTER'
,p_display_name=>'Center'
,p_display_sequence=>10
,p_css_classes=>'t-Region-orderBy--center'
,p_group_id=>wwv_flow_imp.id(6475248568263198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475335994293198835)
,p_theme_id=>42
,p_name=>'SORT_END'
,p_display_name=>'End'
,p_display_sequence=>20
,p_css_classes=>'t-Region-orderBy--end'
,p_group_id=>wwv_flow_imp.id(6475248568263198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475336645415198836)
,p_theme_id=>42
,p_name=>'STRETCH'
,p_display_name=>'Stretch'
,p_display_sequence=>10
,p_css_classes=>'t-Button--stretch'
,p_group_id=>wwv_flow_imp.id(6475218130903198771)
,p_template_types=>'BUTTON'
,p_help_text=>'Stretches button to fill container'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475337321494198836)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_FIELDS'
,p_display_name=>'Stretch Form Fields'
,p_display_sequence=>10
,p_css_classes=>'t-Form--stretchInputs'
,p_group_id=>wwv_flow_imp.id(6475243378683198783)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475337718005198836)
,p_theme_id=>42
,p_name=>'STRETCH_FORM_ITEM'
,p_display_name=>'Stretch Form Item'
,p_display_sequence=>10
,p_css_classes=>'t-Form-fieldContainer--stretchInputs'
,p_template_types=>'FIELD'
,p_help_text=>'Stretches the form item to fill its container.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475338498862198837)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_css_classes=>'t-Button--success'
,p_group_id=>wwv_flow_imp.id(6475217744802198771)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475339109663198837)
,p_theme_id=>42
,p_name=>'TINY'
,p_display_name=>'Tiny'
,p_display_sequence=>10
,p_css_classes=>'t-Button--tiny'
,p_group_id=>wwv_flow_imp.id(6475215372714198770)
,p_template_types=>'BUTTON'
,p_help_text=>'A very small button.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475339898334198838)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>20
,p_css_classes=>'t-Button--warning'
,p_group_id=>wwv_flow_imp.id(6475217744802198771)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6475340502562198838)
,p_theme_id=>42
,p_name=>'X_LARGE_SIZE'
,p_display_name=>'X Large'
,p_display_sequence=>20
,p_css_classes=>'t-Form-fieldContainer--xlarge'
,p_group_id=>wwv_flow_imp.id(6475222197182198773)
,p_template_types=>'FIELD'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661090716570328966)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_EXTRA_LARGE'
,p_display_name=>'Extra Large'
,p_display_sequence=>40
,p_page_template_id=>wwv_flow_imp.id(6661088723082328960)
,p_css_classes=>'js-dialog-class-t-Drawer--xl'
,p_group_id=>wwv_flow_imp.id(6475229361037198777)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661091117623328966)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>30
,p_page_template_id=>wwv_flow_imp.id(6661088723082328960)
,p_css_classes=>'js-dialog-class-t-Drawer--lg'
,p_group_id=>wwv_flow_imp.id(6475229361037198777)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661091459047328966)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(6661088723082328960)
,p_css_classes=>'js-dialog-class-t-Drawer--md'
,p_group_id=>wwv_flow_imp.id(6475229361037198777)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661091909088328966)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_imp.id(6661088723082328960)
,p_css_classes=>'js-dialog-class-t-Drawer--sm'
,p_group_id=>wwv_flow_imp.id(6475229361037198777)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661092319661328967)
,p_theme_id=>42
,p_name=>'POSITION_END'
,p_display_name=>'End'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(6661088723082328960)
,p_css_classes=>'js-dialog-class-t-Drawer--pullOutEnd'
,p_group_id=>wwv_flow_imp.id(6475230955081198777)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661092735293328967)
,p_theme_id=>42
,p_name=>'POSITION_START'
,p_display_name=>'Start'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_imp.id(6661088723082328960)
,p_css_classes=>'js-dialog-class-t-Drawer--pullOutStart'
,p_group_id=>wwv_flow_imp.id(6475230955081198777)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661093063082328967)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(6661088723082328960)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661158422174329002)
,p_theme_id=>42
,p_name=>'ACCENT_12'
,p_display_name=>'Accent 12'
,p_display_sequence=>120
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent12'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661159111172329003)
,p_theme_id=>42
,p_name=>'ACCENT_15'
,p_display_name=>'Accent 15'
,p_display_sequence=>150
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent15'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661159815591329003)
,p_theme_id=>42
,p_name=>'ACCENT_8'
,p_display_name=>'Accent 8'
,p_display_sequence=>80
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent8'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661160530038329003)
,p_theme_id=>42
,p_name=>'ACCENT_14'
,p_display_name=>'Accent 14'
,p_display_sequence=>140
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent14'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661161182007329004)
,p_theme_id=>42
,p_name=>'ACCENT_9'
,p_display_name=>'Accent 9'
,p_display_sequence=>90
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent9'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661161952569329004)
,p_theme_id=>42
,p_name=>'ACCENT_7'
,p_display_name=>'Accent 7'
,p_display_sequence=>70
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent7'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
end;
/
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661162631658329004)
,p_theme_id=>42
,p_name=>'ACCENT_13'
,p_display_name=>'Accent 13'
,p_display_sequence=>130
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent13'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661163286993329005)
,p_theme_id=>42
,p_name=>'ACCENT_10'
,p_display_name=>'Accent 10'
,p_display_sequence=>100
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent10'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661164042841329005)
,p_theme_id=>42
,p_name=>'ACCENT_6'
,p_display_name=>'Accent 6'
,p_display_sequence=>60
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent6'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661164665841329005)
,p_theme_id=>42
,p_name=>'ACCENT_11'
,p_display_name=>'Accent 11'
,p_display_sequence=>110
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent11'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661188519783329018)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_css_classes=>'t-ContentBlock--hideHeader'
,p_group_id=>wwv_flow_imp.id(6475238551888198781)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661189210815329018)
,p_theme_id=>42
,p_name=>'HEADING_FONT_ALTERNATIVE'
,p_display_name=>'Alternative'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_css_classes=>'t-ContentBlock--headingFontAlt'
,p_group_id=>wwv_flow_imp.id(6475238973650198781)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661189922912329019)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_css_classes=>'t-Region--removeHeader js-removeLandmark'
,p_group_id=>wwv_flow_imp.id(6475238551888198781)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661199994263329024)
,p_theme_id=>42
,p_name=>'HEADING_FONT_ALTERNATIVE'
,p_display_name=>'Alternative'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_css_classes=>'t-HeroRegion--headingFontAlt'
,p_group_id=>wwv_flow_imp.id(6475238973650198781)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661212093631329030)
,p_theme_id=>42
,p_name=>'NONE'
,p_display_name=>'None'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_css_classes=>'js-dialog-nosize'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661305953084329081)
,p_theme_id=>42
,p_name=>'HEADING_FONT_ALTERNATIVE'
,p_display_name=>'Alternative'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_css_classes=>'t-BreadcrumbRegion--headingFontAlt'
,p_group_id=>wwv_flow_imp.id(6475238973650198781)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661319407800329089)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_EXTRA_LARGE'
,p_display_name=>'Extra Large'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_css_classes=>'js-dialog-class-t-Drawer--xl'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661319835985329089)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_css_classes=>'js-dialog-class-t-Drawer--lg'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661320235006329089)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_css_classes=>'js-dialog-class-t-Drawer--md'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661320558157329090)
,p_theme_id=>42
,p_name=>'DRAWER_SIZE_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_css_classes=>'js-dialog-class-t-Drawer--sm'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661321013710329090)
,p_theme_id=>42
,p_name=>'MODAL'
,p_display_name=>'Modal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_css_classes=>'js-modal'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661321361312329090)
,p_theme_id=>42
,p_name=>'NONE'
,p_display_name=>'None (Auto)'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_css_classes=>'js-dialog-nosize'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661321789500329090)
,p_theme_id=>42
,p_name=>'POSITION_END'
,p_display_name=>'End'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_css_classes=>'js-dialog-class-t-Drawer--pullOutEnd'
,p_group_id=>wwv_flow_imp.id(6475246199946198784)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661322232855329090)
,p_theme_id=>42
,p_name=>'POSITION_START'
,p_display_name=>'Start'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_css_classes=>'js-dialog-class-t-Drawer--pullOutStart'
,p_group_id=>wwv_flow_imp.id(6475246199946198784)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661322589067329090)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_imp.id(6661314886783329086)
,p_css_classes=>'t-DialogRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the region body.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661324386846329091)
,p_theme_id=>42
,p_name=>'FILTER_BLUR'
,p_display_name=>'Blur'
,p_display_sequence=>430
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--blur'
,p_group_id=>wwv_flow_imp.id(6475240988944198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661324818180329091)
,p_theme_id=>42
,p_name=>'FILTER_GRAYSCALE'
,p_display_name=>'Grayscale'
,p_display_sequence=>410
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--grayscale'
,p_group_id=>wwv_flow_imp.id(6475240988944198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661325184266329091)
,p_theme_id=>42
,p_name=>'FILTER_INVERT'
,p_display_name=>'Invert'
,p_display_sequence=>440
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--invert'
,p_group_id=>wwv_flow_imp.id(6475240988944198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661325624811329092)
,p_theme_id=>42
,p_name=>'FILTER_NONE'
,p_display_name=>'None'
,p_display_sequence=>400
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--noFilter'
,p_group_id=>wwv_flow_imp.id(6475240988944198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661325981269329092)
,p_theme_id=>42
,p_name=>'FILTER_SATURATE'
,p_display_name=>'Saturate'
,p_display_sequence=>450
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--saturate'
,p_group_id=>wwv_flow_imp.id(6475240988944198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661326432983329092)
,p_theme_id=>42
,p_name=>'FILTER_SEPIA'
,p_display_name=>'Sepia'
,p_display_sequence=>420
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--sepia'
,p_group_id=>wwv_flow_imp.id(6475240988944198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661326815295329092)
,p_theme_id=>42
,p_name=>'IMAGE_STRETCH'
,p_display_name=>'Image Stretch'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--stretch'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661327157448329092)
,p_theme_id=>42
,p_name=>'RATIO_16_9'
,p_display_name=>'16:9 (Widescreen)'
,p_display_sequence=>120
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--16x9'
,p_group_id=>wwv_flow_imp.id(6475241317307198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661327591801329092)
,p_theme_id=>42
,p_name=>'RATIO_1_1'
,p_display_name=>'1:1 (Square)'
,p_display_sequence=>110
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--1x1'
,p_group_id=>wwv_flow_imp.id(6475241317307198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661328053746329092)
,p_theme_id=>42
,p_name=>'RATIO_2_1'
,p_display_name=>'2:1 (Univisium)'
,p_display_sequence=>140
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--2x1'
,p_group_id=>wwv_flow_imp.id(6475241317307198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661328378257329093)
,p_theme_id=>42
,p_name=>'RATIO_4_3'
,p_display_name=>'4:3 (Standard)'
,p_display_sequence=>130
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--4x3'
,p_group_id=>wwv_flow_imp.id(6475241317307198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661328777466329093)
,p_theme_id=>42
,p_name=>'RATIO_AUTO'
,p_display_name=>'Auto'
,p_display_sequence=>100
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--auto'
,p_group_id=>wwv_flow_imp.id(6475241317307198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661329158631329093)
,p_theme_id=>42
,p_name=>'SCALE_CONTAIN'
,p_display_name=>'Contain'
,p_display_sequence=>200
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--contain'
,p_group_id=>wwv_flow_imp.id(6475241797972198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661329556807329093)
,p_theme_id=>42
,p_name=>'SCALE_COVER'
,p_display_name=>'Cover'
,p_display_sequence=>210
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--cover'
,p_group_id=>wwv_flow_imp.id(6475241797972198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661330051967329093)
,p_theme_id=>42
,p_name=>'SCALE_DOWN'
,p_display_name=>'Scale Down'
,p_display_sequence=>230
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--scale-down'
,p_group_id=>wwv_flow_imp.id(6475241797972198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661330388190329094)
,p_theme_id=>42
,p_name=>'SCALE_FILL'
,p_display_name=>'Fill'
,p_display_sequence=>220
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--fill'
,p_group_id=>wwv_flow_imp.id(6475241797972198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661330822334329094)
,p_theme_id=>42
,p_name=>'SHAPE_CIRCLE'
,p_display_name=>'Circle'
,p_display_sequence=>320
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--circle'
,p_group_id=>wwv_flow_imp.id(6475242113844198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661331164494329094)
,p_theme_id=>42
,p_name=>'SHAPE_ROUNDED'
,p_display_name=>'Rounded'
,p_display_sequence=>310
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--rounded'
,p_group_id=>wwv_flow_imp.id(6475242113844198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661331595723329094)
,p_theme_id=>42
,p_name=>'SHAPE_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>300
,p_region_template_id=>wwv_flow_imp.id(6661322954333329090)
,p_css_classes=>'t-ImageRegion--square'
,p_group_id=>wwv_flow_imp.id(6475242113844198782)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661333933345329095)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(6661331941874329094)
,p_css_classes=>'u-colors'
,p_template_types=>'REGION'
,p_help_text=>'Applies the colors from the theme''s color palette to the icons or initials within search results.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661334333803329095)
,p_theme_id=>42
,p_name=>'ICON_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>3
,p_region_template_id=>wwv_flow_imp.id(6661331941874329094)
,p_css_classes=>'t-ResultsRegion--iconLg'
,p_group_id=>wwv_flow_imp.id(6475240589775198782)
,p_template_types=>'REGION'
,p_help_text=>'Sets the icon size to large (64px).'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661334711862329095)
,p_theme_id=>42
,p_name=>'ICON_SIZE_MEDIUM'
,p_display_name=>'Medium'
,p_display_sequence=>2
,p_region_template_id=>wwv_flow_imp.id(6661331941874329094)
,p_css_classes=>'t-ResultsRegion--iconMd'
,p_group_id=>wwv_flow_imp.id(6475240589775198782)
,p_template_types=>'REGION'
,p_help_text=>'Sets the icon size to medium (32px).'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661335081092329095)
,p_theme_id=>42
,p_name=>'ICON_SIZE_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(6661331941874329094)
,p_css_classes=>'t-ResultsRegion--iconSm'
,p_group_id=>wwv_flow_imp.id(6475240589775198782)
,p_template_types=>'REGION'
,p_help_text=>'Sets the icon size to small (16px).'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661335483402329096)
,p_theme_id=>42
,p_name=>'RESULT_APPEARANCE_BOXED'
,p_display_name=>'Boxed'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(6661331941874329094)
,p_css_classes=>'t-ResultsRegion--boxed'
,p_group_id=>wwv_flow_imp.id(6475247789137198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661335936181329096)
,p_theme_id=>42
,p_name=>'RESULT_APPEARANCE_FLAT'
,p_display_name=>'Flat'
,p_display_sequence=>2
,p_region_template_id=>wwv_flow_imp.id(6661331941874329094)
,p_css_classes=>'t-ResultsRegion--flat'
,p_group_id=>wwv_flow_imp.id(6475247789137198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661338173930329097)
,p_theme_id=>42
,p_name=>'ALIGNMENT_CENTER'
,p_display_name=>'Center'
,p_display_sequence=>11
,p_region_template_id=>wwv_flow_imp.id(6661336239300329096)
,p_css_classes=>'t-ItemContainer--alignCenter'
,p_group_id=>wwv_flow_imp.id(6475233301031198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661338603070329097)
,p_theme_id=>42
,p_name=>'ALIGNMENT_END'
,p_display_name=>'End'
,p_display_sequence=>12
,p_region_template_id=>wwv_flow_imp.id(6661336239300329096)
,p_css_classes=>'t-ItemContainer--alignEnd'
,p_group_id=>wwv_flow_imp.id(6475233301031198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661338967866329097)
,p_theme_id=>42
,p_name=>'ALIGNMENT_START'
,p_display_name=>'Start'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(6661336239300329096)
,p_css_classes=>'t-ItemContainer--alignStart'
,p_group_id=>wwv_flow_imp.id(6475233301031198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661339446153329097)
,p_theme_id=>42
,p_name=>'ALIGNMENT_STRETCH'
,p_display_name=>'Stretch'
,p_display_sequence=>13
,p_region_template_id=>wwv_flow_imp.id(6661336239300329096)
,p_css_classes=>'t-ItemContainer--alignStretch'
,p_group_id=>wwv_flow_imp.id(6475233301031198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661339851227329097)
,p_theme_id=>42
,p_name=>'STACK_MOBILE'
,p_display_name=>'Stack on Mobile'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(6661336239300329096)
,p_css_classes=>'t-ItemContainer--stackMobile'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661340223479329098)
,p_theme_id=>42
,p_name=>'WRAP_ITEMS'
,p_display_name=>'Wrap Items'
,p_display_sequence=>2
,p_region_template_id=>wwv_flow_imp.id(6661336239300329096)
,p_css_classes=>'t-ItemContainer--wrap'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661342503978329099)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(6661340513883329098)
,p_css_classes=>'u-colors'
,p_template_types=>'REGION'
,p_help_text=>'Applies the colors from the theme''s color palette to the icons or initials within cards.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661342924062329099)
,p_theme_id=>42
,p_name=>'STYLE_A'
,p_display_name=>'Style A'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(6661340513883329098)
,p_css_classes=>'t-CardsRegion--styleA'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661343354889329099)
,p_theme_id=>42
,p_name=>'STYLE_B'
,p_display_name=>'Style B'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(6661340513883329098)
,p_css_classes=>'t-CardsRegion--styleB'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661343700415329099)
,p_theme_id=>42
,p_name=>'STYLE_C'
,p_display_name=>'Style C'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(6661340513883329098)
,p_css_classes=>'t-CardsRegion--styleC'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661380094476329125)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(7234461371609656982)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661396791124329136)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(6661396314343329135)
,p_css_classes=>'t-MegaMenu--layout2Cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661397252142329136)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(6661396314343329135)
,p_css_classes=>'t-MegaMenu--layout3Cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661397595609329136)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(6661396314343329135)
,p_css_classes=>'t-MegaMenu--layout4Cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661398018333329136)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(6661396314343329135)
,p_css_classes=>'t-MegaMenu--layout5Cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661398398625329136)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(6661396314343329135)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661398834682329137)
,p_theme_id=>42
,p_name=>'CUSTOM'
,p_display_name=>'Custom'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_imp.id(6661396314343329135)
,p_css_classes=>'t-MegaMenu--layoutCustom'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661399182374329137)
,p_theme_id=>42
,p_name=>'DISPLAY_MENU_CALLOUT'
,p_display_name=>'Display Menu Callout'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(6661396314343329135)
,p_css_classes=>'js-menu-callout'
,p_template_types=>'LIST'
,p_help_text=>'Displays a callout arrow that points to where the menu was activated from.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661399583987329137)
,p_theme_id=>42
,p_name=>'FULL_WIDTH'
,p_display_name=>'Full Width'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(6661396314343329135)
,p_css_classes=>'t-MegaMenu--fullWidth'
,p_template_types=>'LIST'
,p_help_text=>'Stretches the menu to fill the width of the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661400012177329137)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_imp.id(6661396314343329135)
,p_css_classes=>'t-MegaMenu--layoutStacked'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661454984757329170)
,p_theme_id=>42
,p_name=>'DISPLAY_ITEMS_STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_imp.id(6661454575012329169)
,p_css_classes=>'t-ContextualInfo-item--stacked'
,p_group_id=>wwv_flow_imp.id(6475255724449198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661455372188329170)
,p_theme_id=>42
,p_name=>'DISPLAY_LABELS_STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_imp.id(6661454575012329169)
,p_css_classes=>'t-ContextualInfo-label--stacked'
,p_group_id=>wwv_flow_imp.id(6475256191209198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661457144695329174)
,p_theme_id=>42
,p_name=>'INDICATOR_ASTERISK'
,p_display_name=>'Asterisk'
,p_display_sequence=>10
,p_field_template_id=>wwv_flow_imp.id(7234474159771656968)
,p_css_classes=>'t-Form-fieldContainer--indicatorAsterisk'
,p_group_id=>wwv_flow_imp.id(6475221320790198773)
,p_template_types=>'FIELD'
,p_help_text=>'Displays an asterisk * on required items.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661457767308329174)
,p_theme_id=>42
,p_name=>'INDICATOR_LABEL'
,p_display_name=>'Inline Label'
,p_display_sequence=>20
,p_field_template_id=>wwv_flow_imp.id(7234474159771656968)
,p_css_classes=>'t-Form-fieldContainer--indicatorLabel'
,p_group_id=>wwv_flow_imp.id(6475221320790198773)
,p_template_types=>'FIELD'
,p_help_text=>'Displays "Required" inline.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661459878272329175)
,p_theme_id=>42
,p_name=>'INDICATOR_ASTERISK'
,p_display_name=>'Asterisk'
,p_display_sequence=>10
,p_field_template_id=>wwv_flow_imp.id(7234474262363656967)
,p_css_classes=>'t-Form-fieldContainer--indicatorAsterisk'
,p_group_id=>wwv_flow_imp.id(6475221320790198773)
,p_template_types=>'FIELD'
,p_help_text=>'Displays an asterisk * on required items.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661460637930329176)
,p_theme_id=>42
,p_name=>'INDICATOR_LABEL'
,p_display_name=>'Inline Label'
,p_display_sequence=>20
,p_field_template_id=>wwv_flow_imp.id(7234474262363656967)
,p_css_classes=>'t-Form-fieldContainer--indicatorLabel'
,p_group_id=>wwv_flow_imp.id(6475221320790198773)
,p_template_types=>'FIELD'
,p_help_text=>'Displays "Required" inline.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661462704335329177)
,p_theme_id=>42
,p_name=>'INDICATOR_ASTERISK'
,p_display_name=>'Asterisk'
,p_display_sequence=>10
,p_field_template_id=>wwv_flow_imp.id(7234474369159656967)
,p_css_classes=>'t-Form-fieldContainer--indicatorAsterisk'
,p_group_id=>wwv_flow_imp.id(6475221320790198773)
,p_template_types=>'FIELD'
,p_help_text=>'Displays an asterisk * on required items.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661463433230329178)
,p_theme_id=>42
,p_name=>'INDICATOR_LABEL'
,p_display_name=>'Inline Label'
,p_display_sequence=>20
,p_field_template_id=>wwv_flow_imp.id(7234474369159656967)
,p_css_classes=>'t-Form-fieldContainer--indicatorLabel'
,p_group_id=>wwv_flow_imp.id(6475221320790198773)
,p_template_types=>'FIELD'
,p_help_text=>'Displays "Required" inline.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(6661467205882329186)
,p_theme_id=>42
,p_name=>'HIDE_ICON_ON_DESKTOP'
,p_display_name=>'Hide Icon on Desktop'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_imp.id(7234475249013656963)
,p_css_classes=>'t-Button--desktopHideIcon'
,p_template_types=>'BUTTON'
,p_help_text=>'This template options hides the button icon on large screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234364184038657121)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(7234361207833657151)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234365474826657118)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(7234364345938657120)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234365690730657118)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>1
,p_page_template_id=>wwv_flow_imp.id(7234364345938657120)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234367220807657111)
,p_theme_id=>42
,p_name=>'PAGE_BACKGROUND_1'
,p_display_name=>'Background 1'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_imp.id(7234365775712657118)
,p_css_classes=>'t-LoginPage--bg1'
,p_group_id=>wwv_flow_imp.id(6475230113033198777)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234367397597657110)
,p_theme_id=>42
,p_name=>'PAGE_BACKGROUND_2'
,p_display_name=>'Background 2'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(7234365775712657118)
,p_css_classes=>'t-LoginPage--bg2'
,p_group_id=>wwv_flow_imp.id(6475230113033198777)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234367653882657110)
,p_theme_id=>42
,p_name=>'PAGE_BACKGROUND_3'
,p_display_name=>'Background 3'
,p_display_sequence=>30
,p_page_template_id=>wwv_flow_imp.id(7234365775712657118)
,p_css_classes=>'t-LoginPage--bg3'
,p_group_id=>wwv_flow_imp.id(6475230113033198777)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234368051285657109)
,p_theme_id=>42
,p_name=>'PAGE_LAYOUT_SPLIT'
,p_display_name=>'Split'
,p_display_sequence=>1
,p_page_template_id=>wwv_flow_imp.id(7234365775712657118)
,p_css_classes=>'t-LoginPage--split'
,p_group_id=>wwv_flow_imp.id(6475230597240198777)
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234369371585657108)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_page_template_id=>wwv_flow_imp.id(7234368109628657109)
,p_css_classes=>'t-Dialog--noPadding'
,p_template_types=>'PAGE'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234369524232657107)
,p_theme_id=>42
,p_name=>'STRETCH_TO_FIT_WINDOW'
,p_display_name=>'Stretch to Fit Window'
,p_display_sequence=>10
,p_page_template_id=>wwv_flow_imp.id(7234368109628657109)
,p_css_classes=>'ui-dialog--stretch'
,p_template_types=>'PAGE'
,p_help_text=>'Stretch the dialog to fit the browser window.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234372346308657102)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(7234369612396657107)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234375129871657096)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(7234372422516657101)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234378187847657094)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(7234375212616657096)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
end;
/
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234380716677657092)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(7234378289876657094)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234383237784657090)
,p_theme_id=>42
,p_name=>'STICKY_HEADER_ON_MOBILE'
,p_display_name=>'Sticky Header on Mobile'
,p_display_sequence=>100
,p_page_template_id=>wwv_flow_imp.id(7234380834380657092)
,p_css_classes=>'js-pageStickyMobileHeader'
,p_template_types=>'PAGE'
,p_help_text=>'This will position the contents of the Breadcrumb Bar region position so it sticks to the top of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234383933321657084)
,p_theme_id=>42
,p_name=>'COLOREDBACKGROUND'
,p_display_name=>'Highlight Background'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--colorBG'
,p_template_types=>'REGION'
,p_help_text=>'Set alert background color to that of the alert type (warning, success, etc.)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234384311316657083)
,p_theme_id=>42
,p_name=>'DANGER'
,p_display_name=>'Danger'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--danger'
,p_group_id=>wwv_flow_imp.id(6475232927766198778)
,p_template_types=>'REGION'
,p_help_text=>'Show an error or danger alert.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234384694273657082)
,p_theme_id=>42
,p_name=>'HIDDENHEADER'
,p_display_name=>'Hidden but Accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--accessibleHeading'
,p_group_id=>wwv_flow_imp.id(6475232567210198778)
,p_template_types=>'REGION'
,p_help_text=>'Visually hides the alert title, but assistive technologies can still read it.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234384914979657081)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--removeHeading js-removeLandmark'
,p_group_id=>wwv_flow_imp.id(6475232567210198778)
,p_template_types=>'REGION'
,p_help_text=>'Hides the Alert Title from being displayed.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234385280375657081)
,p_theme_id=>42
,p_name=>'HORIZONTAL'
,p_display_name=>'Horizontal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--horizontal'
,p_group_id=>wwv_flow_imp.id(6475231759008198778)
,p_template_types=>'REGION'
,p_help_text=>'Show horizontal alert with buttons to the right.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234385556755657081)
,p_theme_id=>42
,p_name=>'INFORMATION'
,p_display_name=>'Information'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--info'
,p_group_id=>wwv_flow_imp.id(6475232927766198778)
,p_template_types=>'REGION'
,p_help_text=>'Show informational alert.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234385694954657081)
,p_theme_id=>42
,p_name=>'SUCCESS'
,p_display_name=>'Success'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--success'
,p_group_id=>wwv_flow_imp.id(6475232927766198778)
,p_template_types=>'REGION'
,p_help_text=>'Show success alert.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234386128242657080)
,p_theme_id=>42
,p_name=>'USEDEFAULTICONS'
,p_display_name=>'Show Default Icons'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--defaultIcons'
,p_group_id=>wwv_flow_imp.id(6475232120011198778)
,p_template_types=>'REGION'
,p_help_text=>'Uses default icons for alert types.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234386316846657080)
,p_theme_id=>42
,p_name=>'WARNING'
,p_display_name=>'Warning'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--warning'
,p_group_id=>wwv_flow_imp.id(6475232927766198778)
,p_template_types=>'REGION'
,p_help_text=>'Show a warning alert.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234386476210657080)
,p_theme_id=>42
,p_name=>'WIZARD'
,p_display_name=>'Wizard'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--wizard'
,p_group_id=>wwv_flow_imp.id(6475231759008198778)
,p_template_types=>'REGION'
,p_help_text=>'Show the alert in a wizard style region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234386729013657080)
,p_theme_id=>42
,p_name=>'SHOW_CUSTOM_ICONS'
,p_display_name=>'Show Custom Icons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--customIcons'
,p_group_id=>wwv_flow_imp.id(6475232120011198778)
,p_template_types=>'REGION'
,p_help_text=>'Set custom icons by modifying the Alert Region''s Icon CSS Classes property.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234386901910657080)
,p_theme_id=>42
,p_name=>'HIDE_ICONS'
,p_display_name=>'Hide Icons'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234383335159657090)
,p_css_classes=>'t-Alert--noIcon'
,p_group_id=>wwv_flow_imp.id(6475232120011198778)
,p_template_types=>'REGION'
,p_help_text=>'Hides alert icons'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234389126389657069)
,p_theme_id=>42
,p_name=>'10_SECONDS'
,p_display_name=>'10 Seconds'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'js-cycle10s'
,p_group_id=>wwv_flow_imp.id(6475250144084198786)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234389346515657068)
,p_theme_id=>42
,p_name=>'15_SECONDS'
,p_display_name=>'15 Seconds'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'js-cycle15s'
,p_group_id=>wwv_flow_imp.id(6475250144084198786)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234389497809657067)
,p_theme_id=>42
,p_name=>'20_SECONDS'
,p_display_name=>'20 Seconds'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'js-cycle20s'
,p_group_id=>wwv_flow_imp.id(6475250144084198786)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234389895454657066)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234390122169657066)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234390331524657066)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234390565986657066)
,p_theme_id=>42
,p_name=>'5_SECONDS'
,p_display_name=>'5 Seconds'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'js-cycle5s'
,p_group_id=>wwv_flow_imp.id(6475250144084198786)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234390750634657065)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234391106049657065)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234391371717657065)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234391533746657065)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234391680455657065)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234391957444657064)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234392355951657064)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--removeHeader'
,p_group_id=>wwv_flow_imp.id(6475238551888198781)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234392688822657064)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_imp.id(6475234562105198779)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234392919201657063)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_imp.id(6475238551888198781)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234393151430657062)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234393564373657062)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234393719038657062)
,p_theme_id=>42
,p_name=>'REMEMBER_CAROUSEL_SLIDE'
,p_display_name=>'Remember Carousel Slide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234393894751657062)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_imp.id(6475234562105198779)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234394137474657062)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234394314373657062)
,p_theme_id=>42
,p_name=>'SHOW_NEXT_AND_PREVIOUS_BUTTONS'
,p_display_name=>'Show Next and Previous Buttons'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--showCarouselControls'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234394485432657062)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234394953844657061)
,p_theme_id=>42
,p_name=>'SLIDE'
,p_display_name=>'Slide'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--carouselSlide'
,p_group_id=>wwv_flow_imp.id(6475233743974198779)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234395171358657061)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--carouselSpin'
,p_group_id=>wwv_flow_imp.id(6475233743974198779)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234395334289657061)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234388040200657078)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234396185303657060)
,p_theme_id=>42
,p_name=>'DISPLAY_ICON_NO'
,p_display_name=>'No'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_css_classes=>'t-HeroRegion--hideIcon'
,p_group_id=>wwv_flow_imp.id(6475237763615198780)
,p_template_types=>'REGION'
,p_help_text=>'Hide the Hero Region icon.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234396426863657060)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_css_classes=>'t-HeroRegion--featured'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234396822825657060)
,p_theme_id=>42
,p_name=>'ICONS_CIRCULAR'
,p_display_name=>'Circle'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_css_classes=>'t-HeroRegion--iconsCircle'
,p_group_id=>wwv_flow_imp.id(6475240101511198781)
,p_template_types=>'REGION'
,p_help_text=>'The icons are displayed within a circle.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234396983029657060)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_css_classes=>'t-HeroRegion--iconsSquare'
,p_group_id=>wwv_flow_imp.id(6475240101511198781)
,p_template_types=>'REGION'
,p_help_text=>'The icons are displayed within a square.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234397233884657060)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_css_classes=>'t-HeroRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the hero region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234397451676657060)
,p_theme_id=>42
,p_name=>'STACKED_FEATURED'
,p_display_name=>'Stacked Featured'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234395375366657061)
,p_css_classes=>'t-HeroRegion--featured t-HeroRegion--centered'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234398458268657059)
,p_theme_id=>42
,p_name=>'BORDERLESS'
,p_display_name=>'Borderless'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_css_classes=>'t-ButtonRegion--noBorder'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234398776222657058)
,p_theme_id=>42
,p_name=>'NOPADDING'
,p_display_name=>'No Padding'
,p_display_sequence=>3
,p_region_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_css_classes=>'t-ButtonRegion--noPadding'
,p_group_id=>wwv_flow_imp.id(6475234940714198779)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234399048970657058)
,p_theme_id=>42
,p_name=>'REMOVEUIDECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>4
,p_region_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_css_classes=>'t-ButtonRegion--noUI'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234399222253657058)
,p_theme_id=>42
,p_name=>'SLIMPADDING'
,p_display_name=>'Slim Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_css_classes=>'t-ButtonRegion--slimPadding'
,p_group_id=>wwv_flow_imp.id(6475234940714198779)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234399448623657058)
,p_theme_id=>42
,p_name=>'STICK_TO_BOTTOM'
,p_display_name=>'Stick to Bottom for Mobile'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234397501181657059)
,p_css_classes=>'t-ButtonRegion--stickToBottom'
,p_template_types=>'REGION'
,p_help_text=>'This will position the button container region to the bottom of the screen for small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234400380305657057)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234400616036657057)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234400829976657057)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 480px.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234401028532657056)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
,p_help_text=>'Sets body height to 640px.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234401175732657056)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234401412667657056)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234401616175657056)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234401806009657056)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234401989838657056)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234402385586657056)
,p_theme_id=>42
,p_name=>'COLLAPSED'
,p_display_name=>'Collapsed'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'is-collapsed'
,p_group_id=>wwv_flow_imp.id(6475236952173198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234402855811657056)
,p_theme_id=>42
,p_name=>'CONRTOLS_POSITION_END'
,p_display_name=>'End'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--controlsPosEnd'
,p_group_id=>wwv_flow_imp.id(6475236543992198780)
,p_template_types=>'REGION'
,p_help_text=>'Position the expand / collapse button to the end of the region header.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234403024083657055)
,p_theme_id=>42
,p_name=>'EXPANDED'
,p_display_name=>'Expanded'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'is-expanded'
,p_group_id=>wwv_flow_imp.id(6475236952173198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234403230254657055)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_imp.id(6475234562105198779)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234403593322657055)
,p_theme_id=>42
,p_name=>'ICONS_PLUS_OR_MINUS'
,p_display_name=>'Plus or Minus'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--hideShowIconsMath'
,p_group_id=>wwv_flow_imp.id(6475236110084198780)
,p_template_types=>'REGION'
,p_help_text=>'Use the plus and minus icons for the expand and collapse button.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234403834992657055)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234404015013657055)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234404258600657055)
,p_theme_id=>42
,p_name=>'REMEMBER_COLLAPSIBLE_STATE'
,p_display_name=>'Remember Collapsible State'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
,p_help_text=>'This option saves the current state of the collapsible region for the duration of the session.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234404463972657055)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234404572414657055)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_imp.id(6475234562105198779)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234404775269657055)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234399537396657058)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234405262392657054)
,p_theme_id=>42
,p_name=>'ADD_BODY_PADDING'
,p_display_name=>'Add Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_css_classes=>'t-ContentBlock--padded'
,p_template_types=>'REGION'
,p_help_text=>'Adds padding to the region''s body container.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234405613469657054)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H1'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_css_classes=>'t-ContentBlock--h1'
,p_group_id=>wwv_flow_imp.id(6475246995658198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234405809979657054)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H2'
,p_display_name=>'Medium'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_css_classes=>'t-ContentBlock--h2'
,p_group_id=>wwv_flow_imp.id(6475246995658198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234406066126657054)
,p_theme_id=>42
,p_name=>'CONTENT_TITLE_H3'
,p_display_name=>'Small'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_css_classes=>'t-ContentBlock--h3'
,p_group_id=>wwv_flow_imp.id(6475246995658198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234406461734657053)
,p_theme_id=>42
,p_name=>'LIGHT_BACKGROUND'
,p_display_name=>'Light Background'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_css_classes=>'t-ContentBlock--lightBG'
,p_group_id=>wwv_flow_imp.id(6475235344631198779)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly lighter background.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234406633116657053)
,p_theme_id=>42
,p_name=>'SHADOW_BACKGROUND'
,p_display_name=>'Shadow Background'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_css_classes=>'t-ContentBlock--shadowBG'
,p_group_id=>wwv_flow_imp.id(6475235344631198779)
,p_template_types=>'REGION'
,p_help_text=>'Gives the region body a slightly darker background.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234406859803657053)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234404938493657054)
,p_css_classes=>'t-ContentBlock--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234407514379657052)
,p_theme_id=>42
,p_name=>'AUTO_HEIGHT_INLINE_DIALOG'
,p_display_name=>'Auto Height'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_css_classes=>'js-dialog-autoheight'
,p_template_types=>'REGION'
,p_help_text=>'This option will set the height of the dialog to fit its contents.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234407724238657052)
,p_theme_id=>42
,p_name=>'DRAGGABLE'
,p_display_name=>'Draggable'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_css_classes=>'js-draggable'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234408090895657052)
,p_theme_id=>42
,p_name=>'LARGE_720X480'
,p_display_name=>'Large (720x480)'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_css_classes=>'js-dialog-size720x480'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
end;
/
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234408325295657052)
,p_theme_id=>42
,p_name=>'MEDIUM_600X400'
,p_display_name=>'Medium (600x400)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_css_classes=>'js-dialog-size600x400'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234408541442657052)
,p_theme_id=>42
,p_name=>'MODAL'
,p_display_name=>'Modal'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_css_classes=>'js-modal'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234408680683657051)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>5
,p_region_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_css_classes=>'t-DialogRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the region body.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234408927788657051)
,p_theme_id=>42
,p_name=>'RESIZABLE'
,p_display_name=>'Resizable'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_css_classes=>'js-resizable'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234409136515657051)
,p_theme_id=>42
,p_name=>'SMALL_480X320'
,p_display_name=>'Small (480x320)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234406967996657053)
,p_css_classes=>'js-dialog-size480x320'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234409981022657051)
,p_theme_id=>42
,p_name=>'ABOVE'
,p_display_name=>'Above'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-popup-pos-above'
,p_group_id=>wwv_flow_imp.id(6475235796491198780)
,p_template_types=>'REGION'
,p_help_text=>'Positions the callout above or typically on top of the parent.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234410188793657050)
,p_theme_id=>42
,p_name=>'AFTER'
,p_display_name=>'After'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-popup-pos-after'
,p_group_id=>wwv_flow_imp.id(6475235796491198780)
,p_template_types=>'REGION'
,p_help_text=>'Positions the callout after or typically to the right of the parent.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234410417546657050)
,p_theme_id=>42
,p_name=>'AUTO_HEIGHT_INLINE_DIALOG'
,p_display_name=>'Auto Height'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-dialog-autoheight'
,p_template_types=>'REGION'
,p_help_text=>'This option will set the height of the dialog to fit its contents.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234410633582657050)
,p_theme_id=>42
,p_name=>'BEFORE'
,p_display_name=>'Before'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-popup-pos-before'
,p_group_id=>wwv_flow_imp.id(6475235796491198780)
,p_template_types=>'REGION'
,p_help_text=>'Positions the callout before or typically to the left of the parent.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234410817529657050)
,p_theme_id=>42
,p_name=>'BELOW'
,p_display_name=>'Below'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-popup-pos-below'
,p_group_id=>wwv_flow_imp.id(6475235796491198780)
,p_template_types=>'REGION'
,p_help_text=>'Positions the callout below or typically to the bottom of the parent.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234411008594657050)
,p_theme_id=>42
,p_name=>'DISPLAY_POPUP_CALLOUT'
,p_display_name=>'Display Popup Callout'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-popup-callout'
,p_template_types=>'REGION'
,p_help_text=>'Use this option to add display a callout for the popup. Note that callout will only be displayed if the data-parent-element custom attribute is defined.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234411209535657050)
,p_theme_id=>42
,p_name=>'INSIDE'
,p_display_name=>'Inside'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-popup-pos-inside'
,p_group_id=>wwv_flow_imp.id(6475235796491198780)
,p_template_types=>'REGION'
,p_help_text=>'Positions the callout inside of the parent. This is useful when the parent is sufficiently large, such as a report or large region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234411444732657050)
,p_theme_id=>42
,p_name=>'LARGE_720X480'
,p_display_name=>'Large (720x480)'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-dialog-size720x480'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234411612682657050)
,p_theme_id=>42
,p_name=>'MEDIUM_600X400'
,p_display_name=>'Medium (600x400)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-dialog-size600x400'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234411824166657049)
,p_theme_id=>42
,p_name=>'NONE'
,p_display_name=>'None'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-dialog-nosize'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234412051672657049)
,p_theme_id=>42
,p_name=>'REMOVE_BODY_PADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'t-DialogRegion--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes the padding around the region body.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234412183794657049)
,p_theme_id=>42
,p_name=>'REMOVE_PAGE_OVERLAY'
,p_display_name=>'Remove Page Overlay'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-popup-noOverlay'
,p_template_types=>'REGION'
,p_help_text=>'This option will display the inline dialog without an overlay on the background.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234412409504657049)
,p_theme_id=>42
,p_name=>'SMALL_480X320'
,p_display_name=>'Small (480x320)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234409197535657051)
,p_css_classes=>'js-dialog-size480x320'
,p_group_id=>wwv_flow_imp.id(6475237395790198780)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234412861560657048)
,p_theme_id=>42
,p_name=>'REMOVEBORDERS'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234412476829657049)
,p_css_classes=>'t-IRR-region--noBorders'
,p_template_types=>'REGION'
,p_help_text=>'Removes borders around the Interactive Report'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234413008484657048)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234412476829657049)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Interactive Reports toolbar to maximize the report. Clicking this button will toggle the maximize state and stretch the report to fill the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234413890243657048)
,p_theme_id=>42
,p_name=>'LOGIN_HEADER_ICON'
,p_display_name=>'Icon'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234413107139657048)
,p_css_classes=>'t-Login-region--headerIcon'
,p_group_id=>wwv_flow_imp.id(6475244930266198784)
,p_template_types=>'REGION'
,p_help_text=>'Displays only the Region Icon in the Login region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234414104395657047)
,p_theme_id=>42
,p_name=>'LOGIN_HEADER_TITLE'
,p_display_name=>'Title'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234413107139657048)
,p_css_classes=>'t-Login-region--headerTitle js-removeLandmark'
,p_group_id=>wwv_flow_imp.id(6475244930266198784)
,p_template_types=>'REGION'
,p_help_text=>'Displays only the Region Title in the Login region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234414334204657047)
,p_theme_id=>42
,p_name=>'LOGO_HEADER_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234413107139657048)
,p_css_classes=>'t-Login-region--headerHidden js-removeLandmark'
,p_group_id=>wwv_flow_imp.id(6475244930266198784)
,p_template_types=>'REGION'
,p_help_text=>'Hides both the Region Icon and Title from the Login region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234415294588657046)
,p_theme_id=>42
,p_name=>'240PX'
,p_display_name=>'240px'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'i-h240'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 240px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234415530527657046)
,p_theme_id=>42
,p_name=>'320PX'
,p_display_name=>'320px'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'i-h320'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
,p_help_text=>'Sets region body height to 320px.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234415711340657046)
,p_theme_id=>42
,p_name=>'480PX'
,p_display_name=>'480px'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'i-h480'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234415917077657045)
,p_theme_id=>42
,p_name=>'640PX'
,p_display_name=>'640px'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'i-h640'
,p_group_id=>wwv_flow_imp.id(6475234146758198779)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234416124306657045)
,p_theme_id=>42
,p_name=>'ACCENT_1'
,p_display_name=>'Accent 1'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent1'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234416272990657045)
,p_theme_id=>42
,p_name=>'ACCENT_10'
,p_display_name=>'Accent 10'
,p_display_sequence=>100
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent10'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234416485353657045)
,p_theme_id=>42
,p_name=>'ACCENT_11'
,p_display_name=>'Accent 11'
,p_display_sequence=>110
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent11'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234416708366657045)
,p_theme_id=>42
,p_name=>'ACCENT_12'
,p_display_name=>'Accent 12'
,p_display_sequence=>120
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent12'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234416970665657045)
,p_theme_id=>42
,p_name=>'ACCENT_13'
,p_display_name=>'Accent 13'
,p_display_sequence=>130
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent13'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234417090726657045)
,p_theme_id=>42
,p_name=>'ACCENT_14'
,p_display_name=>'Accent 14'
,p_display_sequence=>140
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent14'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234417293633657045)
,p_theme_id=>42
,p_name=>'ACCENT_15'
,p_display_name=>'Accent 15'
,p_display_sequence=>150
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent15'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234417564839657045)
,p_theme_id=>42
,p_name=>'ACCENT_2'
,p_display_name=>'Accent 2'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent2'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234417701955657044)
,p_theme_id=>42
,p_name=>'ACCENT_3'
,p_display_name=>'Accent 3'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent3'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234417929427657044)
,p_theme_id=>42
,p_name=>'ACCENT_4'
,p_display_name=>'Accent 4'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent4'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234418140154657044)
,p_theme_id=>42
,p_name=>'ACCENT_5'
,p_display_name=>'Accent 5'
,p_display_sequence=>50
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent5'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234418309762657044)
,p_theme_id=>42
,p_name=>'ACCENT_6'
,p_display_name=>'Accent 6'
,p_display_sequence=>60
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent6'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234418483159657044)
,p_theme_id=>42
,p_name=>'ACCENT_7'
,p_display_name=>'Accent 7'
,p_display_sequence=>70
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent7'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234418700716657044)
,p_theme_id=>42
,p_name=>'ACCENT_8'
,p_display_name=>'Accent 8'
,p_display_sequence=>80
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent8'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234418961048657044)
,p_theme_id=>42
,p_name=>'ACCENT_9'
,p_display_name=>'Accent 9'
,p_display_sequence=>90
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--accent9'
,p_group_id=>wwv_flow_imp.id(6475231306387198778)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234419145947657044)
,p_theme_id=>42
,p_name=>'HIDDENHEADERNOAT'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--removeHeader js-removeLandmark'
,p_group_id=>wwv_flow_imp.id(6475238551888198781)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234419307848657043)
,p_theme_id=>42
,p_name=>'HIDEOVERFLOW'
,p_display_name=>'Hide'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--hiddenOverflow'
,p_group_id=>wwv_flow_imp.id(6475234562105198779)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234419473507657043)
,p_theme_id=>42
,p_name=>'HIDEREGIONHEADER'
,p_display_name=>'Hidden but accessible'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--hideHeader'
,p_group_id=>wwv_flow_imp.id(6475238551888198781)
,p_template_types=>'REGION'
,p_help_text=>'This option will hide the region header.  Note that the region title will still be audible for Screen Readers. Buttons placed in the region header will be hidden and inaccessible.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234419723026657043)
,p_theme_id=>42
,p_name=>'NOBODYPADDING'
,p_display_name=>'Remove Body Padding'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--noPadding'
,p_template_types=>'REGION'
,p_help_text=>'Removes padding from region body.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234419890917657043)
,p_theme_id=>42
,p_name=>'NOBORDER'
,p_display_name=>'Remove Borders'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--noBorder'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
,p_help_text=>'Removes borders from the region.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234420079480657043)
,p_theme_id=>42
,p_name=>'REMOVE_UI_DECORATION'
,p_display_name=>'Remove UI Decoration'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--noUI'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
,p_help_text=>'Removes UI decoration (borders, backgrounds, shadows, etc) from the region.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234420317065657043)
,p_theme_id=>42
,p_name=>'SCROLLBODY'
,p_display_name=>'Scroll - Default'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--scrollBody'
,p_group_id=>wwv_flow_imp.id(6475234562105198779)
,p_template_types=>'REGION'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234420513299657043)
,p_theme_id=>42
,p_name=>'SHOW_MAXIMIZE_BUTTON'
,p_display_name=>'Show Maximize Button'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'js-showMaximizeButton'
,p_template_types=>'REGION'
,p_help_text=>'Displays a button in the Region Header to maximize the region. Clicking this button will toggle the maximize state and stretch the region to fill the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234420749927657043)
,p_theme_id=>42
,p_name=>'SHOW_REGION_ICON'
,p_display_name=>'Show Region Icon'
,p_display_sequence=>30
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--showIcon'
,p_template_types=>'REGION'
,p_help_text=>'Displays the region icon in the region header beside the region title'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234420887659657043)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stack Region'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--stacked'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
,p_help_text=>'Removes side borders and shadows, and can be useful for accordions and regions that need to be grouped together vertically.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234421126079657042)
,p_theme_id=>42
,p_name=>'TEXT_CONTENT'
,p_display_name=>'Text Content'
,p_display_sequence=>40
,p_region_template_id=>wwv_flow_imp.id(7234414460753657047)
,p_css_classes=>'t-Region--textContent'
,p_group_id=>wwv_flow_imp.id(6475248922218198785)
,p_template_types=>'REGION'
,p_help_text=>'Useful for displaying primarily text-based content, such as FAQs and more.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234422370512657042)
,p_theme_id=>42
,p_name=>'FILL_TAB_LABELS'
,p_display_name=>'Fill Tab Labels'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234421201011657042)
,p_css_classes=>'t-TabsRegion-mod--fillLabels'
,p_group_id=>wwv_flow_imp.id(6475244584125198784)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234422693153657041)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234421201011657042)
,p_css_classes=>'t-TabsRegion-mod--pill'
,p_group_id=>wwv_flow_imp.id(6475249739148198786)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234422905222657041)
,p_theme_id=>42
,p_name=>'REMEMBER_ACTIVE_TAB'
,p_display_name=>'Remember Active Tab'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234421201011657042)
,p_css_classes=>'js-useLocalStorage'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234423155810657041)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234421201011657042)
,p_css_classes=>'t-TabsRegion-mod--simple'
,p_group_id=>wwv_flow_imp.id(6475249739148198786)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234423522028657041)
,p_theme_id=>42
,p_name=>'TABSLARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234421201011657042)
,p_css_classes=>'t-TabsRegion-mod--large'
,p_group_id=>wwv_flow_imp.id(6475249360243198786)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234423707455657040)
,p_theme_id=>42
,p_name=>'TABS_SMALL'
,p_display_name=>'Small'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234421201011657042)
,p_css_classes=>'t-TabsRegion-mod--small'
,p_group_id=>wwv_flow_imp.id(6475249360243198786)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234424093186657040)
,p_theme_id=>42
,p_name=>'GET_TITLE_FROM_BREADCRUMB'
,p_display_name=>'Use Current Breadcrumb Entry'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_css_classes=>'t-BreadcrumbRegion--useBreadcrumbTitle'
,p_group_id=>wwv_flow_imp.id(6475246995658198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234424306253657040)
,p_theme_id=>42
,p_name=>'HIDE_BREADCRUMB'
,p_display_name=>'Show Breadcrumbs'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_css_classes=>'t-BreadcrumbRegion--showBreadcrumb'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234424506702657039)
,p_theme_id=>42
,p_name=>'REGION_HEADER_VISIBLE'
,p_display_name=>'Use Region Title'
,p_display_sequence=>1
,p_region_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_css_classes=>'t-BreadcrumbRegion--useRegionTitle'
,p_group_id=>wwv_flow_imp.id(6475246995658198785)
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234424675091657039)
,p_theme_id=>42
,p_name=>'USE_COMPACT_STYLE'
,p_display_name=>'Use Compact Style'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234423806580657040)
,p_css_classes=>'t-BreadcrumbRegion--compactTitle'
,p_template_types=>'REGION'
,p_help_text=>'Uses a compact style for the breadcrumbs.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234425584942657038)
,p_theme_id=>42
,p_name=>'HIDESMALLSCREENS'
,p_display_name=>'Small Screens (Tablet)'
,p_display_sequence=>20
,p_region_template_id=>wwv_flow_imp.id(7234424783515657039)
,p_css_classes=>'t-Wizard--hideStepsSmall'
,p_group_id=>wwv_flow_imp.id(6475239728672198781)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234425800918657038)
,p_theme_id=>42
,p_name=>'HIDEXSMALLSCREENS'
,p_display_name=>'X Small Screens (Mobile)'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234424783515657039)
,p_css_classes=>'t-Wizard--hideStepsXSmall'
,p_group_id=>wwv_flow_imp.id(6475239728672198781)
,p_template_types=>'REGION'
,p_help_text=>'Hides the wizard progress steps for screens that are smaller than 768px wide.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234426020244657038)
,p_theme_id=>42
,p_name=>'SHOW_TITLE'
,p_display_name=>'Show Title'
,p_display_sequence=>10
,p_region_template_id=>wwv_flow_imp.id(7234424783515657039)
,p_css_classes=>'t-Wizard--showTitle'
,p_template_types=>'REGION'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234426660711657035)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_imp.id(7234426086814657037)
,p_css_classes=>'t-Timeline--compact'
,p_group_id=>wwv_flow_imp.id(6475259757873198790)
,p_template_types=>'REPORT'
,p_help_text=>'Displays a compact version of timeline with smaller text and fewer columns.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234427207719657034)
,p_theme_id=>42
,p_name=>'ACTIONS_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_imp.id(7234426733514657035)
,p_css_classes=>'t-ContentRow--hideActions'
,p_group_id=>wwv_flow_imp.id(6475252504938198787)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Actions column from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234427643745657034)
,p_theme_id=>42
,p_name=>'ALIGNMENT_TOP'
,p_display_name=>'Top'
,p_display_sequence=>100
,p_report_template_id=>wwv_flow_imp.id(7234426733514657035)
,p_css_classes=>'t-ContentRow--alignTop'
,p_group_id=>wwv_flow_imp.id(6475255373141198788)
,p_template_types=>'REPORT'
,p_help_text=>'Aligns the content to the top of the row. This is useful when you expect that yours rows will vary in height (e.g. some rows will have longer descriptions than others).'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234427980872657034)
,p_theme_id=>42
,p_name=>'DESCRIPTION_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(7234426733514657035)
,p_css_classes=>'t-ContentRow--hideDescription'
,p_group_id=>wwv_flow_imp.id(6475252963360198787)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Description from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234428447529657033)
,p_theme_id=>42
,p_name=>'ICON_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234426733514657035)
,p_css_classes=>'t-ContentRow--hideIcon'
,p_group_id=>wwv_flow_imp.id(6475253778276198788)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Icon from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234428848569657033)
,p_theme_id=>42
,p_name=>'MISC_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(7234426733514657035)
,p_css_classes=>'t-ContentRow--hideMisc'
,p_group_id=>wwv_flow_imp.id(6475254193823198788)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Misc column from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234429250894657033)
,p_theme_id=>42
,p_name=>'SELECTION_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234426733514657035)
,p_css_classes=>'t-ContentRow--hideSelection'
,p_group_id=>wwv_flow_imp.id(6475254514081198788)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Selection column from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234429400282657033)
,p_theme_id=>42
,p_name=>'STYLE_COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>1
,p_report_template_id=>wwv_flow_imp.id(7234426733514657035)
,p_css_classes=>'t-ContentRow--styleCompact'
,p_group_id=>wwv_flow_imp.id(6475259757873198790)
,p_template_types=>'REPORT'
,p_help_text=>'This option reduces the padding and font sizes to present a compact display of the same information.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234429834616657032)
,p_theme_id=>42
,p_name=>'TITLE_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234426733514657035)
,p_css_classes=>'t-ContentRow--hideTitle'
,p_group_id=>wwv_flow_imp.id(6475253383587198787)
,p_template_types=>'REPORT'
,p_help_text=>'Hides the Title from being rendered on the screen.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234430462497657031)
,p_theme_id=>42
,p_name=>'2_COLUMN_GRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234430668935657031)
,p_theme_id=>42
,p_name=>'3_COLUMN_GRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234430794329657030)
,p_theme_id=>42
,p_name=>'4_COLUMN_GRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234430988614657028)
,p_theme_id=>42
,p_name=>'5_COLUMN_GRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234431272079657028)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
end;
/
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234431670899657027)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--iconsRounded'
,p_group_id=>wwv_flow_imp.id(6475256903397198789)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234431789550657027)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--iconsSquare'
,p_group_id=>wwv_flow_imp.id(6475256903397198789)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234432234277657026)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_imp.id(6475259319343198790)
,p_template_types=>'REPORT'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234432447464657026)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234432644054657025)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234432851381657024)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234433011847657021)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234433194321657021)
,p_theme_id=>42
,p_name=>'STACK'
,p_display_name=>'Stack'
,p_display_sequence=>5
,p_report_template_id=>wwv_flow_imp.id(7234429873604657032)
,p_css_classes=>'t-MediaList--stack'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234433776409657020)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234433339741657021)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234434033330657020)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234433339741657021)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234434232883657020)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234433339741657021)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234434406707657020)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234433339741657021)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234434670449657020)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234433339741657021)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234434866493657020)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_imp.id(7234433339741657021)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234435002942657020)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(7234433339741657021)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234435227013657020)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(7234433339741657021)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234435640028657019)
,p_theme_id=>42
,p_name=>'FIXED_LARGE'
,p_display_name=>'Fixed - Large'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234435296652657020)
,p_css_classes=>'t-AVPList--fixedLabelLarge'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234435782358657019)
,p_theme_id=>42
,p_name=>'FIXED_MEDIUM'
,p_display_name=>'Fixed - Medium'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234435296652657020)
,p_css_classes=>'t-AVPList--fixedLabelMedium'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234436032111657019)
,p_theme_id=>42
,p_name=>'FIXED_SMALL'
,p_display_name=>'Fixed - Small'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234435296652657020)
,p_css_classes=>'t-AVPList--fixedLabelSmall'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234436209442657019)
,p_theme_id=>42
,p_name=>'LEFT_ALIGNED_DETAILS'
,p_display_name=>'Left Aligned Details'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234435296652657020)
,p_css_classes=>'t-AVPList--leftAligned'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234436435832657019)
,p_theme_id=>42
,p_name=>'RIGHT_ALIGNED_DETAILS'
,p_display_name=>'Right Aligned Details'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234435296652657020)
,p_css_classes=>'t-AVPList--rightAligned'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234436611448657018)
,p_theme_id=>42
,p_name=>'VARIABLE_LARGE'
,p_display_name=>'Variable - Large'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_imp.id(7234435296652657020)
,p_css_classes=>'t-AVPList--variableLabelLarge'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234436790734657018)
,p_theme_id=>42
,p_name=>'VARIABLE_MEDIUM'
,p_display_name=>'Variable - Medium'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(7234435296652657020)
,p_css_classes=>'t-AVPList--variableLabelMedium'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234437063611657018)
,p_theme_id=>42
,p_name=>'VARIABLE_SMALL'
,p_display_name=>'Variable - Small'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(7234435296652657020)
,p_css_classes=>'t-AVPList--variableLabelSmall'
,p_group_id=>wwv_flow_imp.id(6475257327374198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234437667891657018)
,p_theme_id=>42
,p_name=>'128PX'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_imp.id(6475251329520198787)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234437842415657017)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234438041455657017)
,p_theme_id=>42
,p_name=>'32PX'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_imp.id(6475251329520198787)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234438200198657017)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234438377027657017)
,p_theme_id=>42
,p_name=>'48PX'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_imp.id(6475251329520198787)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234438601589657017)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234438800154657017)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234439054789657017)
,p_theme_id=>42
,p_name=>'64PX'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_imp.id(6475251329520198787)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234439270272657016)
,p_theme_id=>42
,p_name=>'96PX'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_imp.id(6475251329520198787)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234439465706657016)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234439585507657016)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_imp.id(6475259757873198790)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234439820194657016)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234439999636657016)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234440229046657016)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234440412642657016)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_imp.id(6475259757873198790)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234440661630657016)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234437127418657018)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234441233345657014)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234440743892657016)
,p_css_classes=>'t-Report--staticRowColors'
,p_group_id=>wwv_flow_imp.id(6475250502045198786)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234441451391657014)
,p_theme_id=>42
,p_name=>'ALTROWCOLORSENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234440743892657016)
,p_css_classes=>'t-Report--altRowsDefault'
,p_group_id=>wwv_flow_imp.id(6475250502045198786)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234441815583657014)
,p_theme_id=>42
,p_name=>'ENABLE'
,p_display_name=>'Enable'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234440743892657016)
,p_css_classes=>'t-Report--rowHighlight'
,p_group_id=>wwv_flow_imp.id(6475258948019198790)
,p_template_types=>'REPORT'
,p_help_text=>'Enable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234442196097657013)
,p_theme_id=>42
,p_name=>'HORIZONTALBORDERS'
,p_display_name=>'Horizontal Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234440743892657016)
,p_css_classes=>'t-Report--horizontalBorders'
,p_group_id=>wwv_flow_imp.id(6475258530589198790)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234442393432657013)
,p_theme_id=>42
,p_name=>'REMOVEALLBORDERS'
,p_display_name=>'No Borders'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234440743892657016)
,p_css_classes=>'t-Report--noBorders'
,p_group_id=>wwv_flow_imp.id(6475258530589198790)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234442588294657013)
,p_theme_id=>42
,p_name=>'REMOVEOUTERBORDERS'
,p_display_name=>'No Outer Borders'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(7234440743892657016)
,p_css_classes=>'t-Report--inline'
,p_group_id=>wwv_flow_imp.id(6475258530589198790)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234442801557657013)
,p_theme_id=>42
,p_name=>'ROWHIGHLIGHTDISABLE'
,p_display_name=>'Disable'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234440743892657016)
,p_css_classes=>'t-Report--rowHighlightOff'
,p_group_id=>wwv_flow_imp.id(6475258948019198790)
,p_template_types=>'REPORT'
,p_help_text=>'Disable row highlighting on mouse over'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234443011405657013)
,p_theme_id=>42
,p_name=>'STRETCHREPORT'
,p_display_name=>'Stretch Report'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234440743892657016)
,p_css_classes=>'t-Report--stretch'
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234443213758657013)
,p_theme_id=>42
,p_name=>'VERTICALBORDERS'
,p_display_name=>'Vertical Only'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234440743892657016)
,p_css_classes=>'t-Report--verticalBorders'
,p_group_id=>wwv_flow_imp.id(6475258530589198790)
,p_template_types=>'REPORT'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234443807249657012)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234443354259657013)
,p_css_classes=>'t-Comments--basic'
,p_group_id=>wwv_flow_imp.id(6475254935160198788)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234443979726657012)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234443354259657013)
,p_css_classes=>'t-Comments--iconsRounded'
,p_group_id=>wwv_flow_imp.id(6475256903397198789)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234444263672657012)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234443354259657013)
,p_css_classes=>'t-Comments--iconsSquare'
,p_group_id=>wwv_flow_imp.id(6475256903397198789)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234444379538657012)
,p_theme_id=>42
,p_name=>'SPEECH_BUBBLES'
,p_display_name=>'Speech Bubbles'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234443354259657013)
,p_css_classes=>'t-Comments--chat'
,p_group_id=>wwv_flow_imp.id(6475254935160198788)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234444972693657012)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>15
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234445398727657011)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_imp.id(6475251769853198787)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234445587385657011)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234445807718657011)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_imp.id(6475251769853198787)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234446015577657011)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234446238992657010)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_imp.id(6475251769853198787)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234446403513657010)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234446644334657010)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_imp.id(6475259757873198790)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234446820586657010)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_imp.id(6475259757873198790)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234447179575657010)
,p_theme_id=>42
,p_name=>'CARDS_COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_imp.id(6475250965643198786)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234447414228657009)
,p_theme_id=>42
,p_name=>'CARD_RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_imp.id(6475250965643198786)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234447608760657009)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_imp.id(6475259757873198790)
,p_template_types=>'REPORT'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234447995494657009)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_imp.id(6475256516366198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234448263633657009)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_imp.id(6475256516366198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234448436953657009)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234448645526657009)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_imp.id(6475259757873198790)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234448773604657009)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234449067586657009)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_imp.id(6475251769853198787)
,p_template_types=>'REPORT'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234449251314657008)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--iconsRounded'
,p_group_id=>wwv_flow_imp.id(6475256903397198789)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234449471856657007)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--iconsSquare'
,p_group_id=>wwv_flow_imp.id(6475256903397198789)
,p_template_types=>'REPORT'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234449663700657007)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_imp.id(6475257771378198789)
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234449836623657007)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_report_template_id=>wwv_flow_imp.id(7234444687050657012)
,p_css_classes=>'u-colors'
,p_template_types=>'REPORT'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234450643243656992)
,p_theme_id=>42
,p_name=>'DISPLAY_LABELS_SM'
,p_display_name=>'Display labels'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(7234450164167657004)
,p_css_classes=>'t-NavTabs--displayLabels-sm'
,p_group_id=>wwv_flow_imp.id(6475227760297198776)
,p_template_types=>'LIST'
,p_help_text=>'Displays the label for the list items below the icon'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234450799251656991)
,p_theme_id=>42
,p_name=>'HIDE_LABELS_SM'
,p_display_name=>'Do not display labels'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(7234450164167657004)
,p_css_classes=>'t-NavTabs--hiddenLabels-sm'
,p_group_id=>wwv_flow_imp.id(6475227760297198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234451238070656991)
,p_theme_id=>42
,p_name=>'LABEL_ABOVE_LG'
,p_display_name=>'Display labels above'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234450164167657004)
,p_css_classes=>'t-NavTabs--stacked'
,p_group_id=>wwv_flow_imp.id(6475224957785198775)
,p_template_types=>'LIST'
,p_help_text=>'Display the label stacked above the icon and badge'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234451384350656991)
,p_theme_id=>42
,p_name=>'LABEL_INLINE_LG'
,p_display_name=>'Display labels inline'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234450164167657004)
,p_css_classes=>'t-NavTabs--inlineLabels-lg'
,p_group_id=>wwv_flow_imp.id(6475224957785198775)
,p_template_types=>'LIST'
,p_help_text=>'Display the label inline with the icon and badge'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234451662925656991)
,p_theme_id=>42
,p_name=>'NO_LABEL_LG'
,p_display_name=>'Do not display labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234450164167657004)
,p_css_classes=>'t-NavTabs--hiddenLabels-lg'
,p_group_id=>wwv_flow_imp.id(6475224957785198775)
,p_template_types=>'LIST'
,p_help_text=>'Hides the label for the list item'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234452252791656990)
,p_theme_id=>42
,p_name=>'ALLSTEPS'
,p_display_name=>'All Steps'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234451749712656991)
,p_css_classes=>'t-WizardSteps--displayLabels'
,p_group_id=>wwv_flow_imp.id(6475226929506198775)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234452395481656990)
,p_theme_id=>42
,p_name=>'CURRENTSTEPONLY'
,p_display_name=>'Current Step Only'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234451749712656991)
,p_css_classes=>'t-WizardSteps--displayCurrentLabelOnly'
,p_group_id=>wwv_flow_imp.id(6475226929506198775)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234452602375656989)
,p_theme_id=>42
,p_name=>'HIDELABELS'
,p_display_name=>'Hide Labels'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234451749712656991)
,p_css_classes=>'t-WizardSteps--hideLabels'
,p_group_id=>wwv_flow_imp.id(6475226929506198775)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234452863960656989)
,p_theme_id=>42
,p_name=>'VERTICAL_LIST'
,p_display_name=>'Vertical Orientation'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234451749712656991)
,p_css_classes=>'t-WizardSteps--vertical'
,p_template_types=>'LIST'
,p_help_text=>'Displays the wizard progress list in a vertical orientation and is suitable for displaying within a side column of a page.'
);
end;
/
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234453035518656989)
,p_theme_id=>42
,p_name=>'WIZARD_PROGRESS_LINKS'
,p_display_name=>'Make Wizard Steps Clickable'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(7234451749712656991)
,p_css_classes=>'js-wizardProgressLinks'
,p_template_types=>'LIST'
,p_help_text=>'This option will make the wizard steps clickable links.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234453448706656988)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(7234453076915656989)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234453584944656987)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234453076915656989)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234453784056656987)
,p_theme_id=>42
,p_name=>'DISPLAY_MENU_CALLOUT'
,p_display_name=>'Display Menu Callout'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(7234453076915656989)
,p_css_classes=>'js-menu-callout'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add display a callout for the menu.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234454186634656987)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234453076915656989)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234454863230656986)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a two column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234455012923656986)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--3cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 3 column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234455241904656986)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--4cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in 4 column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234455379595656986)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--cols t-BadgeList--5cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_help_text=>'Arrange badges in a 5 column grid'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234455581815656986)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234456020305656985)
,p_theme_id=>42
,p_name=>'CIRCULAR'
,p_display_name=>'Circular'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--circular'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234456214668656985)
,p_theme_id=>42
,p_name=>'FIXED'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--fixed'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_help_text=>'Span badges horizontally'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234456467984656985)
,p_theme_id=>42
,p_name=>'FLEXIBLEBOX'
,p_display_name=>'Flexible Box'
,p_display_sequence=>80
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--flex'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_help_text=>'Use flexbox to arrange items'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234456589888656985)
,p_theme_id=>42
,p_name=>'FLOATITEMS'
,p_display_name=>'Float Items'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--float'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_help_text=>'Float badges to left'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234456797219656985)
,p_theme_id=>42
,p_name=>'GRID'
,p_display_name=>'Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--dash'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234457210256656985)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'64px'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--large'
,p_group_id=>wwv_flow_imp.id(6475223392231198774)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234457424085656985)
,p_theme_id=>42
,p_name=>'MEDIUM'
,p_display_name=>'48px'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--medium'
,p_group_id=>wwv_flow_imp.id(6475223392231198774)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234457578416656984)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'32px'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--small'
,p_group_id=>wwv_flow_imp.id(6475223392231198774)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234457785498656984)
,p_theme_id=>42
,p_name=>'STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--stacked'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_help_text=>'Stack badges on top of each other'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234458010897656984)
,p_theme_id=>42
,p_name=>'XLARGE'
,p_display_name=>'96px'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--xlarge'
,p_group_id=>wwv_flow_imp.id(6475223392231198774)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234458191537656984)
,p_theme_id=>42
,p_name=>'XXLARGE'
,p_display_name=>'128px'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(7234454288016656987)
,p_css_classes=>'t-BadgeList--xxlarge'
,p_group_id=>wwv_flow_imp.id(6475223392231198774)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234458640901656984)
,p_theme_id=>42
,p_name=>'2COLUMNGRID'
,p_display_name=>'2 Column Grid'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'t-MediaList--cols t-MediaList--2cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234458830999656984)
,p_theme_id=>42
,p_name=>'3COLUMNGRID'
,p_display_name=>'3 Column Grid'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'t-MediaList--cols t-MediaList--3cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234458993953656983)
,p_theme_id=>42
,p_name=>'4COLUMNGRID'
,p_display_name=>'4 Column Grid'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'t-MediaList--cols t-MediaList--4cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234459204507656983)
,p_theme_id=>42
,p_name=>'5COLUMNGRID'
,p_display_name=>'5 Column Grid'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'t-MediaList--cols t-MediaList--5cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234459410748656983)
,p_theme_id=>42
,p_name=>'APPLY_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies colors from the Theme''s color palette to icons in the list.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234459814711656983)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'t-MediaList--iconsRounded'
,p_group_id=>wwv_flow_imp.id(6475226167715198775)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234460013815656983)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'t-MediaList--iconsSquare'
,p_group_id=>wwv_flow_imp.id(6475226167715198775)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234460456456656982)
,p_theme_id=>42
,p_name=>'LIST_SIZE_LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'t-MediaList--large force-fa-lg'
,p_group_id=>wwv_flow_imp.id(6475228181346198776)
,p_template_types=>'LIST'
,p_help_text=>'Increases the size of the text and icons in the list.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234460629460656982)
,p_theme_id=>42
,p_name=>'SHOW_BADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'t-MediaList--showBadges'
,p_template_types=>'LIST'
,p_help_text=>'Show a badge (Attribute 2) to the right of the list item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234460802631656982)
,p_theme_id=>42
,p_name=>'SHOW_DESCRIPTION'
,p_display_name=>'Show Description'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'t-MediaList--showDesc'
,p_template_types=>'LIST'
,p_help_text=>'Shows the description (Attribute 1) for each list item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234461035658656982)
,p_theme_id=>42
,p_name=>'SHOW_ICONS'
,p_display_name=>'Show Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'t-MediaList--showIcons'
,p_template_types=>'LIST'
,p_help_text=>'Display an icon next to the list item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234461237575656982)
,p_theme_id=>42
,p_name=>'SPANHORIZONTAL'
,p_display_name=>'Span Horizontal'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(7234458310401656984)
,p_css_classes=>'t-MediaList--horizontal'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_help_text=>'Show all list items in one horizontal row.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234461582728656981)
,p_theme_id=>42
,p_name=>'COLLAPSED_DEFAULT'
,p_display_name=>'Collapsed by Default'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234461371609656982)
,p_css_classes=>'js-defaultCollapsed'
,p_template_types=>'LIST'
,p_help_text=>'This option will load the side navigation menu in a collapsed state by default.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234462059546656981)
,p_theme_id=>42
,p_name=>'COLLAPSE_STYLE_HIDDEN'
,p_display_name=>'Hidden'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234461371609656982)
,p_css_classes=>'js-navCollapsed--hidden'
,p_group_id=>wwv_flow_imp.id(6475224199202198774)
,p_template_types=>'LIST'
,p_help_text=>'Completely hide the navigation menu when it is collapsed.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234462202673656980)
,p_theme_id=>42
,p_name=>'ICON_DEFAULT'
,p_display_name=>'Icon'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234461371609656982)
,p_css_classes=>'js-navCollapsed--default'
,p_group_id=>wwv_flow_imp.id(6475224199202198774)
,p_template_types=>'LIST'
,p_help_text=>'Display icons when the navigation menu is collapsed for large screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234462389614656980)
,p_theme_id=>42
,p_name=>'STYLE_A'
,p_display_name=>'Style A'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234461371609656982)
,p_css_classes=>'t-TreeNav--styleA'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
,p_help_text=>'Style Variation A'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234462646775656980)
,p_theme_id=>42
,p_name=>'STYLE_B'
,p_display_name=>'Style B'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234461371609656982)
,p_css_classes=>'t-TreeNav--styleB'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
,p_help_text=>'Style Variation B'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234462804885656980)
,p_theme_id=>42
,p_name=>'STYLE_C'
,p_display_name=>'Classic'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234461371609656982)
,p_css_classes=>'t-TreeNav--classic'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
,p_help_text=>'Classic Style'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234463174165656980)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(7234462931693656980)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add shortcuts for menu items. Note that actions.js must be included on your page to support this functionality.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234463384949656979)
,p_theme_id=>42
,p_name=>'BEHAVE_LIKE_TABS'
,p_display_name=>'Behave Like Tabs'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(7234462931693656980)
,p_css_classes=>'js-tabLike'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234463614944656979)
,p_theme_id=>42
,p_name=>'DISPLAY_MENU_CALLOUT'
,p_display_name=>'Display Menu Callout'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(7234462931693656980)
,p_css_classes=>'js-menu-callout'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add display a callout for the menu.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234464039385656979)
,p_theme_id=>42
,p_name=>'SHOW_SUB_MENU_ICONS'
,p_display_name=>'Show Sub Menu Icons'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(7234462931693656980)
,p_css_classes=>'js-showSubMenuIcons'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234464416631656977)
,p_theme_id=>42
,p_name=>'DISPLAY_MENU_CALLOUT'
,p_display_name=>'Display Menu Callout'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234464159205656979)
,p_css_classes=>'js-menu-callout'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add display a callout for the menu.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234464860171656977)
,p_theme_id=>42
,p_name=>'2_COLUMNS'
,p_display_name=>'2 Columns'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234465204401656977)
,p_theme_id=>42
,p_name=>'2_LINES'
,p_display_name=>'2 Lines'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--desc-2ln'
,p_group_id=>wwv_flow_imp.id(6475223704307198774)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234465398066656976)
,p_theme_id=>42
,p_name=>'3_COLUMNS'
,p_display_name=>'3 Columns'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--3cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234465664345656976)
,p_theme_id=>42
,p_name=>'3_LINES'
,p_display_name=>'3 Lines'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--desc-3ln'
,p_group_id=>wwv_flow_imp.id(6475223704307198774)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234465782287656976)
,p_theme_id=>42
,p_name=>'4_COLUMNS'
,p_display_name=>'4 Columns'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--4cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234465982290656976)
,p_theme_id=>42
,p_name=>'4_LINES'
,p_display_name=>'4 Lines'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--desc-4ln'
,p_group_id=>wwv_flow_imp.id(6475223704307198774)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234466216125656976)
,p_theme_id=>42
,p_name=>'5_COLUMNS'
,p_display_name=>'5 Columns'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--5cols'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234466385393656976)
,p_theme_id=>42
,p_name=>'BASIC'
,p_display_name=>'Basic'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--basic'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234466664272656975)
,p_theme_id=>42
,p_name=>'BLOCK'
,p_display_name=>'Block'
,p_display_sequence=>40
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--featured t-Cards--block force-fa-lg'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234466857800656975)
,p_theme_id=>42
,p_name=>'CARDS_STACKED'
,p_display_name=>'Stacked'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--stacked'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_help_text=>'Stacks the cards on top of each other.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234467260757656975)
,p_theme_id=>42
,p_name=>'COLOR_FILL'
,p_display_name=>'Color Fill'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--animColorFill'
,p_group_id=>wwv_flow_imp.id(6475222958596198774)
,p_template_types=>'LIST'
,p_help_text=>'Fills the card background with the color of the icon or default link style.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234467375859656975)
,p_theme_id=>42
,p_name=>'COMPACT'
,p_display_name=>'Compact'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--compact'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
,p_help_text=>'Use this option when you want to show smaller cards.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234467851357656975)
,p_theme_id=>42
,p_name=>'DISPLAY_ICONS'
,p_display_name=>'Display Icons'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--displayIcons'
,p_group_id=>wwv_flow_imp.id(6475225753775198775)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234468021912656975)
,p_theme_id=>42
,p_name=>'DISPLAY_INITIALS'
,p_display_name=>'Display Initials'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--displayInitials'
,p_group_id=>wwv_flow_imp.id(6475225753775198775)
,p_template_types=>'LIST'
,p_help_text=>'Initials come from List Attribute 3'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234468200844656975)
,p_theme_id=>42
,p_name=>'DISPLAY_SUBTITLE'
,p_display_name=>'Display Subtitle'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--displaySubtitle'
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234468378051656974)
,p_theme_id=>42
,p_name=>'FEATURED'
,p_display_name=>'Featured'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--featured force-fa-lg'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234468588438656974)
,p_theme_id=>42
,p_name=>'FLOAT'
,p_display_name=>'Float'
,p_display_sequence=>60
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--float'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234468837650656974)
,p_theme_id=>42
,p_name=>'HIDDEN_BODY_TEXT'
,p_display_name=>'Hidden'
,p_display_sequence=>50
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--hideBody'
,p_group_id=>wwv_flow_imp.id(6475223704307198774)
,p_template_types=>'LIST'
,p_help_text=>'This option hides the card body which contains description and subtext.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234469050767656974)
,p_theme_id=>42
,p_name=>'ICONS_ROUNDED'
,p_display_name=>'Rounded Corners'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--iconsRounded'
,p_group_id=>wwv_flow_imp.id(6475226167715198775)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234469259470656974)
,p_theme_id=>42
,p_name=>'ICONS_SQUARE'
,p_display_name=>'Square'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--iconsSquare'
,p_group_id=>wwv_flow_imp.id(6475226167715198775)
,p_template_types=>'LIST'
,p_help_text=>'The icons are displayed within a square shape.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234469385062656974)
,p_theme_id=>42
,p_name=>'RAISE_CARD'
,p_display_name=>'Raise Card'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--animRaiseCard'
,p_group_id=>wwv_flow_imp.id(6475222958596198774)
,p_template_types=>'LIST'
,p_help_text=>'Raises the card so it pops up.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234469630157656974)
,p_theme_id=>42
,p_name=>'SPAN_HORIZONTALLY'
,p_display_name=>'Span Horizontally'
,p_display_sequence=>70
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'t-Cards--spanHorizontally'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234469807313656974)
,p_theme_id=>42
,p_name=>'USE_THEME_COLORS'
,p_display_name=>'Apply Theme Colors'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234464556017656977)
,p_css_classes=>'u-colors'
,p_template_types=>'LIST'
,p_help_text=>'Applies the colors from the theme''s color palette to the icons or initials within cards.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234470253166656973)
,p_theme_id=>42
,p_name=>'ABOVE_LABEL'
,p_display_name=>'Above Label'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234469957524656974)
,p_css_classes=>'t-Tabs--iconsAbove'
,p_group_id=>wwv_flow_imp.id(6475225753775198775)
,p_template_types=>'LIST'
,p_help_text=>'Places icons above tab label.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234470395656656973)
,p_theme_id=>42
,p_name=>'FILL_LABELS'
,p_display_name=>'Fill Labels'
,p_display_sequence=>1
,p_list_template_id=>wwv_flow_imp.id(7234469957524656974)
,p_css_classes=>'t-Tabs--fillLabels'
,p_group_id=>wwv_flow_imp.id(6475227301279198776)
,p_template_types=>'LIST'
,p_help_text=>'Stretch tabs to fill to the width of the tabs container.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234470589520656973)
,p_theme_id=>42
,p_name=>'INLINE_WITH_LABEL'
,p_display_name=>'Inline with Label'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234469957524656974)
,p_css_classes=>'t-Tabs--inlineIcons'
,p_group_id=>wwv_flow_imp.id(6475225753775198775)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234470858228656973)
,p_theme_id=>42
,p_name=>'LARGE'
,p_display_name=>'Large'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234469957524656974)
,p_css_classes=>'t-Tabs--large'
,p_group_id=>wwv_flow_imp.id(6475228181346198776)
,p_template_types=>'LIST'
,p_help_text=>'Increases font size and white space around tab items.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234471067199656973)
,p_theme_id=>42
,p_name=>'PILL'
,p_display_name=>'Pill'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234469957524656974)
,p_css_classes=>'t-Tabs--pill'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
,p_help_text=>'Displays tabs in a pill container.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234471214339656973)
,p_theme_id=>42
,p_name=>'SIMPLE'
,p_display_name=>'Simple'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234469957524656974)
,p_css_classes=>'t-Tabs--simple'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
,p_help_text=>'A very simplistic tab UI.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234471455618656973)
,p_theme_id=>42
,p_name=>'SMALL'
,p_display_name=>'Small'
,p_display_sequence=>5
,p_list_template_id=>wwv_flow_imp.id(7234469957524656974)
,p_css_classes=>'t-Tabs--small'
,p_group_id=>wwv_flow_imp.id(6475228181346198776)
,p_template_types=>'LIST'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234471779929656972)
,p_theme_id=>42
,p_name=>'ADD_ACTIONS'
,p_display_name=>'Add Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234471492407656973)
,p_css_classes=>'js-addActions'
,p_template_types=>'LIST'
,p_help_text=>'Enables you to define a keyboard shortcut to activate the menu item.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234471999139656972)
,p_theme_id=>42
,p_name=>'DISPLAY_MENU_CALLOUT'
,p_display_name=>'Display Menu Callout'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234471492407656973)
,p_css_classes=>'js-menu-callout'
,p_template_types=>'LIST'
,p_help_text=>'Use this option to add display a callout for the menu. Note that callout will only be displayed if the data-parent-element custom attribute is defined.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234472377573656971)
,p_theme_id=>42
,p_name=>'ACTIONS'
,p_display_name=>'Actions'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234472106758656972)
,p_css_classes=>'t-LinksList--actions'
,p_group_id=>wwv_flow_imp.id(6475228595018198776)
,p_template_types=>'LIST'
,p_help_text=>'Render as actions to be placed on the right side column.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234472621781656971)
,p_theme_id=>42
,p_name=>'DISABLETEXTWRAPPING'
,p_display_name=>'Disable Text Wrapping'
,p_display_sequence=>30
,p_list_template_id=>wwv_flow_imp.id(7234472106758656972)
,p_css_classes=>'t-LinksList--nowrap'
,p_template_types=>'LIST'
,p_help_text=>'Do not allow link text to wrap to new lines. Truncate with ellipsis.'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234472788155656971)
,p_theme_id=>42
,p_name=>'SHOWBADGES'
,p_display_name=>'Show Badges'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234472106758656972)
,p_css_classes=>'t-LinksList--showBadge'
,p_template_types=>'LIST'
,p_help_text=>'Show badge to right of link (requires Attribute 1 to be populated)'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234472986711656971)
,p_theme_id=>42
,p_name=>'SHOWGOTOARROW'
,p_display_name=>'Show Right Arrow'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234472106758656972)
,p_css_classes=>'t-LinksList--showArrow'
,p_template_types=>'LIST'
,p_help_text=>'Show arrow to the right of link'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234473404296656971)
,p_theme_id=>42
,p_name=>'SHOWICONS'
,p_display_name=>'For All Items'
,p_display_sequence=>20
,p_list_template_id=>wwv_flow_imp.id(7234472106758656972)
,p_css_classes=>'t-LinksList--showIcons'
,p_group_id=>wwv_flow_imp.id(6475225345174198775)
,p_template_types=>'LIST'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234473670631656971)
,p_theme_id=>42
,p_name=>'SHOWTOPICONS'
,p_display_name=>'For Top Level Items Only'
,p_display_sequence=>10
,p_list_template_id=>wwv_flow_imp.id(7234472106758656972)
,p_css_classes=>'t-LinksList--showTopIcons'
,p_group_id=>wwv_flow_imp.id(6475225345174198775)
,p_template_types=>'LIST'
,p_help_text=>'This will show icons for top level items of the list only. It will not show icons for sub lists.'
,p_is_advanced=>'N'
);
end;
/
begin
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234474856384656963)
,p_theme_id=>42
,p_name=>'PUSH'
,p_display_name=>'Push'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_imp.id(7234474436242656966)
,p_css_classes=>'t-Button--hoverIconPush'
,p_group_id=>wwv_flow_imp.id(6475214511120198770)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will animate to the right or left on button hover or focus.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234474997086656963)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_imp.id(7234474436242656966)
,p_css_classes=>'t-Button--hoverIconSpin'
,p_group_id=>wwv_flow_imp.id(6475214511120198770)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will spin on button hover or focus.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234475397081656963)
,p_theme_id=>42
,p_name=>'HIDE_LABEL_ON_MOBILE'
,p_display_name=>'Hide Label on Mobile'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_imp.id(7234475249013656963)
,p_css_classes=>'t-Button--mobileHideLabel'
,p_template_types=>'BUTTON'
,p_help_text=>'This template options hides the button label on small screens.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234475826429656962)
,p_theme_id=>42
,p_name=>'LEFTICON'
,p_display_name=>'Left'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_imp.id(7234475249013656963)
,p_css_classes=>'t-Button--iconLeft'
,p_group_id=>wwv_flow_imp.id(6475214954085198770)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234476069536656962)
,p_theme_id=>42
,p_name=>'PUSH'
,p_display_name=>'Push'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_imp.id(7234475249013656963)
,p_css_classes=>'t-Button--hoverIconPush'
,p_group_id=>wwv_flow_imp.id(6475214511120198770)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will animate to the right or left on button hover or focus.'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234476202082656962)
,p_theme_id=>42
,p_name=>'RIGHTICON'
,p_display_name=>'Right'
,p_display_sequence=>20
,p_button_template_id=>wwv_flow_imp.id(7234475249013656963)
,p_css_classes=>'t-Button--iconRight'
,p_group_id=>wwv_flow_imp.id(6475214954085198770)
,p_template_types=>'BUTTON'
,p_is_advanced=>'N'
);
wwv_flow_imp_shared.create_template_option(
 p_id=>wwv_flow_imp.id(7234476425700656962)
,p_theme_id=>42
,p_name=>'SPIN'
,p_display_name=>'Spin'
,p_display_sequence=>10
,p_button_template_id=>wwv_flow_imp.id(7234475249013656963)
,p_css_classes=>'t-Button--hoverIconSpin'
,p_group_id=>wwv_flow_imp.id(6475214511120198770)
,p_template_types=>'BUTTON'
,p_help_text=>'The icon will spin on button hover or focus.'
);
end;
/
prompt --application/shared_components/globalization/language
begin
null;
end;
/
prompt --application/shared_components/globalization/translations
begin
null;
end;
/
prompt --application/shared_components/logic/build_options
begin
null;
end;
/
prompt --application/shared_components/globalization/messages
begin
null;
end;
/
prompt --application/shared_components/globalization/dyntranslations
begin
null;
end;
/
prompt --application/shared_components/user_interface/shortcuts/delete_confirm_msg
begin
wwv_flow_imp_shared.create_shortcut(
 p_id=>wwv_flow_imp.id(7234500525713656824)
,p_shortcut_name=>'DELETE_CONFIRM_MSG'
,p_shortcut_type=>'TEXT_ESCAPE_JS'
,p_shortcut=>'Would you like to perform this delete action?'
);
end;
/
prompt --application/shared_components/security/authentications/application_express_accounts
begin
wwv_flow_imp_shared.create_authentication(
 p_id=>wwv_flow_imp.id(6800975654911591656)
,p_name=>'Application Express Accounts'
,p_scheme_type=>'NATIVE_APEX_ACCOUNTS'
,p_invalid_session_type=>'LOGIN'
,p_use_secure_cookie_yn=>'N'
,p_ras_mode=>0
);
end;
/
prompt --application/shared_components/security/authentications/no_auth
begin
wwv_flow_imp_shared.create_authentication(
 p_id=>wwv_flow_imp.id(7234360078888657168)
,p_name=>'No Auth'
,p_scheme_type=>'NATIVE_DAD'
,p_use_secure_cookie_yn=>'N'
,p_ras_mode=>0
);
end;
/
prompt --application/shared_components/plugins/template_component/unitedcodes_tc_flip_card
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(6568375575969604780)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '')
,p_name=>'UNITEDCODES_TC_FLIP_CARD'
,p_display_name=>'Flip Card'
,p_supported_component_types=>'REPORT'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('TEMPLATE COMPONENT','UNITEDCODES_TC_FLIP_CARD'),'')
,p_javascript_file_urls=>'#PLUGIN_FILES#js/flipcard#MIN#.js'
,p_css_file_urls=>'#PLUGIN_FILES#css/flip-card#MIN#.css'
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if APEX$IS_LAZY_LOADING/}',
'  <div class="flip-card a-CardView"></div>',
'{else/}',
'<div class="flip-card a-CardView"> ',
'    <div class="flip-card-inner">',
'        <div class="flip-card-front{if F_CARD_CSS/} #F_CARD_CSS#{endif/}{if F_TITLE/} has-title{endif/}{if F_SUBTITLE/} has-subtitle{endif/}{if F_BODY_MAIN/} has-body{endif/}{if F_BODY_SUB/} has-secondary{endif/}{if F_ICON_SOURCE/} has-icon{case F_IC'
||'ON_POSITION/}{when a-CardView-iconWrap--start/} has-icon--start{when a-CardView-iconWrap--end/} has-icon--end{otherwise/} has-icon--top{endcase/}{endif/}{if F_BADGE_VAL/} has-badge{endif/}{if F_MEDIA_SOURCE/} has-media{case F_MEDIA_POSITION/}{when a-'
||'CardView-media--first/} has-media--first{when a-CardView-media--body/} has-media--body{otherwise/} has-media--background{endcase/}{case F_MEDIA_SIZING/}{when a-CardView-media--fit/} has-media--fit{otherwise/} has-media--cover{endcase/}{endif/}">',
'            {if F_MEDIA_SOURCE/}',
'            <div class="a-CardView-media #F_MEDIA_POSITION#{if F_MEDIA_APPEAR/} #F_MEDIA_APPEAR#{endif/}{if F_MEDIA_SIZING/} #F_MEDIA_SIZING#{endif/}">',
'                {case F_MEDIA_SOURCE/}',
'                {when a-CardView-mediaImg/}',
'                    <img class="a-CardView-mediaImg" src="#F_MEDIA#" alt="" loading="lazy">',
'                {otherwise/}',
'                    #F_MEDIA#',
'                {endcase/}',
'            </div>       ',
'            {endif/}',
'            <div class="a-CardView-header">',
'                {case F_ICON_SOURCE/}',
'                    {when a-CardView-icon/}',
'                        <div class="a-CardView-iconWrap #F_ICON_POSITION#">',
'                            <span class="a-CardView-icon u-color fa #F_ICON#" aria-hidden="true"></span>',
'                        </div>',
'                    {when a-CardView-initials/}',
'                        <div class="a-CardView-iconWrap #F_ICON_POSITION#">',
'                            <span class="a-CardView-initials u-color #F_ICON#" aria-hidden="true">#F_ICON_INIC#</span>',
'                        </div>',
'                    {when a-CardView-iconImg/}    ',
'                        <div class="a-CardView-iconWrap #F_ICON_POSITION#">',
'                            <img class="a-CardView-iconImg #F_ICON#" src="#F_ICON_URL#" alt="" loading="lazy">',
'                        </div>',
'                    {endcase/}',
'                <div class="a-CardView-headerBody">',
'                    {if F_TITLE/}<h3 class="a-CardView-title{if F_TITLE_CSS/} #F_TITLE_CSS#{endif/}">#F_TITLE#</h3>{endif/}',
'                    {if F_SUBTITLE/}<h4 class="a-CardView-subTitle{if F_SUBTITLE_CSS/} #F_SUBTITLE_CSS#{endif/}">#F_SUBTITLE#</h4>{endif/}',
'                 </div>',
'				{if F_BADGE_VAL/}',
'				<div class="a-CardView-badge" title="#F_BADGE_LABEL# #F_BADGE_VAL#">',
'                    {if F_BADGE_LABEL/}    ',
'					<span class="a-CardView-badgeLabel">#F_BADGE_LABEL#</span>',
'                    {endif/}',
'					<span class="a-CardView-badgeValue">#F_BADGE_VAL#</span>',
'				</div>           ',
'				{endif/}     ',
'            </div>',
'			<div class="a-CardView-body">{if F_BODY_MAIN/}<div class="a-CardView-mainContent{if F_BODY_MAIN_CSS/} #F_BODY_MAIN_CSS#{endif/}">#F_BODY_MAIN#</div>{endif/}{if F_BODY_SUB/}<div class="a-CardView-subContent{if F_BODY_SUB_CSS/} #F_BODY_SUB_CSS#{endi'
||'f/}">#F_BODY_SUB#</div>{endif/}</div>',
'            {if F_B_PRIMARY/}<div class="a-CardView-actions"><div class="a-CardView-actionsPrimary">#F_B_PRIMARY#</div>{if F_B_CENTER/}<div class="flip-actons-center">#F_B_CENTER#</div>{endif/}{if F_B_SECONDARY/}<div class="a-CardView-actionsSecondar'
||'y">#F_B_SECONDARY#</div>{endif/}</div>',
'            {elseif F_B_SECONDARY/}<div class="a-CardView-actions">{if F_B_CENTER/}<div class="flip-actons-center">#F_B_CENTER#</div>{endif/}<div class="a-CardView-actionsSecondary">#F_B_SECONDARY#</div></div>',
'            {else/}',
'                {if F_B_CENTER/}',
'                <div class="a-CardView-actions flip-actons-center">',
'                    #F_B_CENTER#',
'                </div>       ',
'                {endif/}',
'            {endif/}',
'        </div>',
'        {if B_F_LINK/}<a href="#B_F_LINK#" class="flip-card-url">{endif/}',
'        <div class="flip-card-back{if B_CARD_CSS/} #B_CARD_CSS#{endif/}{if B_TITLE/} has-title{endif/}{if B_SUBTITLE/} has-subtitle{endif/}{if B_BODY_MAIN/} has-body{endif/}{if B_BODY_SUB/} has-secondary{endif/}{if B_ICON_SOURCE/} has-icon{case B_ICO'
||'N_POSITION/}{when a-CardView-iconWrap--start/} has-icon--start{when a-CardView-iconWrap--end/} has-icon--end{otherwise/} has-icon--top{endcase/}{endif/}{if B_BADGE_VAL/} has-badge{endif/}{if B_MEDIA_SOURCE/} has-media{case B_MEDIA_POSITION/}{when a-C'
||'ardView-media--first/} has-media--first{when a-CardView-media--body/} has-media--body{otherwise/} has-media--background{endcase/}{case B_MEDIA_SIZING/}{when a-CardView-media--fit/} has-media--fit{otherwise/} has-media--cover{endcase/}{endif/}">',
'            {if B_MEDIA_SOURCE/}',
'            <div class="a-CardView-media #B_MEDIA_POSITION#{if B_MEDIA_APPEAR/} #B_MEDIA_APPEAR#{endif/}{if B_MEDIA_SIZING/} #B_MEDIA_SIZING#{endif/}">',
'                {case B_MEDIA_SOURCE/}',
'                {when a-CardView-mediaImg/}',
'                    <img class="a-CardView-mediaImg" src="#B_MEDIA#" alt="" loading="lazy">',
'                {otherwise/}',
'                    #B_MEDIA#',
'                {endcase/}',
'            </div>       ',
'            {endif/}',
'            <div class="a-CardView-header">',
'                {case B_ICON_SOURCE/}',
'                    {when a-CardView-icon/}',
'                        <div class="a-CardView-iconWrap #B_ICON_POSITION#">',
'                            <span class="a-CardView-icon u-color fa #B_ICON#" aria-hidden="true"></span>',
'                        </div>',
'                    {when a-CardView-initials/}',
'                        <div class="a-CardView-iconWrap #B_ICON_POSITION#">',
'                            <span class="a-CardView-initials u-color #B_ICON#" aria-hidden="true">#ICON_INIC#</span>',
'                        </div>',
'                    {when a-CardView-iconImg/}    ',
'                        <div class="a-CardView-iconWrap #B_ICON_POSITION#">',
'                            <img class="a-CardView-iconImg #B_ICON#" src="#B_ICON_URL#" alt="" loading="lazy">',
'                        </div>',
'                    {endcase/}',
'                <div class="a-CardView-headerBody">{if B_TITLE/}<h3 class="a-CardView-title{if B_TITLE_CSS/} #B_TITLE_CSS#{endif/}">#B_TITLE#</h3>{endif/}{if B_SUBTITLE/}<h4 class="a-CardView-subTitle{if B_SUBTITLE_CSS/} #B_SUBTITLE_CSS#{endif/}">#B_'
||'SUBTITLE#</h4>{endif/}</div>',
'				{if B_BADGE_VAL/}',
'				<div class="a-CardView-badge" title="#B_BADGE_LABEL# #B_BADGE_VAL#">',
'                    {if B_BADGE_LABEL/}    ',
'					<span class="a-CardView-badgeLabel">#B_BADGE_LABEL#</span>',
'                    {endif/}',
'					<span class="a-CardView-badgeValue">#B_BADGE_VAL#</span>',
'				</div>           ',
'				{endif/}     ',
'            </div>',
'			<div class="a-CardView-body">',
'                {if B_BODY_MAIN/}<div class="a-CardView-mainContent{if B_BODY_MAIN_CSS/} #B_BODY_MAIN_CSS#{endif/}">#B_BODY_MAIN#</div>{endif/}',
'                {if B_BODY_SUB/}<div class="a-CardView-subContent{if B_BODY_SUB_CSS/} #B_BODY_SUB_CSS#{endif/}">#B_BODY_SUB#</div>{endif/}',
'            </div>   ',
'            <div class="flip-actons-bottom">',
'                {if B_B_PRIMARY/}<div class="a-CardView-actions"><div class="a-CardView-actionsPrimary">#B_B_PRIMARY#</div>{if B_B_CENTER/}<div class="flip-actons-center">#B_B_CENTER#</div>{endif/}{if B_B_SECONDARY/}<div class="a-CardView-actionsSeco'
||'ndary">#B_B_SECONDARY#</div>{endif/}</div>',
'                {elseif B_B_SECONDARY/}<div class="a-CardView-actions">{if B_B_CENTER/}<div class="flip-actons-center">#B_B_CENTER#</div>{endif/}<div class="a-CardView-actionsSecondary">#B_B_SECONDARY#</div></div>',
'                {else/}',
'                    {if B_B_CENTER/}',
'                    <div class="a-CardView-actions flip-actons-center">',
'                        #B_B_CENTER#',
'                    </div>       ',
'                    {endif/}',
'                {endif/}',
'            </div>',
'        </div>',
'        {if B_F_LINK/}</a>{endif/}',
'    </div>',
'</div>',
'{endif/}'))
,p_default_escape_mode=>'RAW'
,p_translate_this_template=>false
,p_api_version=>2
,p_report_body_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div aria-hidden="false" class="{case FLIP_CARD_ACTION/}{when click/}t-click-card {otherwise/}t-hover-card {endcase/}t-CardsRegion #T_STYLE# {if APEX$COMPONENT_CSS_CLASSES/} #APEX$COMPONENT_CSS_CLASSES#{endif/}">',
'	<div class="a-TMV--cards a-TMV a-TMV--variableHeight">',
'        {if T=APEX$HAS_MESSAGE/}<div class="a-GV-noDataMsg a-GV-altMessage" role="region" aria-label="#APEX$MESSAGE#"><div class="a-GV-altMessage-icon" role="img" aria-label="#APEX$MESSAGE#"><span class="a-Icon icon-irr-no-results"></span></div><div '
||'role="status"><span class="a-GV-altMessage-text">#APEX$MESSAGE#</span></div></div>',
'        {else/}',
'            <div class="a-TMV-w-scroll" tabindex="-1">',
'                <ul class="a-CardView-items #T_LAYOUT#{if T_GRID_COLUMN/} #T_GRID_COLUMN#{endif/}">#APEX$ROWS#</ul>',
'            </div>',
'        {endif/}',
'    </div>',
'</div>'))
,p_report_row_template=>'<li class="a-CardView-item" #APEX$ROW_IDENTIFICATION# data-rownum="#APEX$ROW_ID#">#APEX$PARTIAL#</li>'
,p_report_placeholder_count=>3
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_version_identifier=>'23.2.0'
,p_about_url=>'https://github.com/grlicaa/flipcard'
,p_files_version=>171
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(6575999437091282195)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_title=>'Template options'
,p_display_sequence=>10
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(6575999784906282195)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_title=>'Front card'
,p_display_sequence=>20
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(6576000184927282195)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_title=>'Back card'
,p_display_sequence=>30
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578158575395811973)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_static_id=>'B_TITLE'
,p_prompt=>'Title'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578158928974818541)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'B_TITLE_CSS'
,p_prompt=>'Title Class'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6578158575395811973)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6576018766666956525)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_static_id=>'F_TITLE'
,p_prompt=>'Title'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6576019109068962504)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>62
,p_static_id=>'F_TITLE_CSS'
,p_prompt=>'Title Class'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6576018766666956525)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578159277549855859)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>10
,p_static_id=>'F_CARD_CSS'
,p_prompt=>'Card Class'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
,p_help_text=>'here you can define top-level classes for the front card.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578159612244860190)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>10
,p_static_id=>'B_CARD_CSS'
,p_prompt=>'Card Class'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
,p_help_text=>'here you can define top-level classes for the back card.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578353518422934629)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>100
,p_static_id=>'F_BODY_MAIN'
,p_prompt=>'Body'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'<div class="a-CardView-mainContent">&BODY_COLUMN.</div>',
'<div class="a-CardView-subContent">&SECONDARY_BODY_COLUMN.</div>',
'</pre>'))
,p_help_text=>'In this field, you can define body look and feel. Also, you can add a secondary body if needed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578353766552937302)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>110
,p_static_id=>'B_BODY_MAIN'
,p_prompt=>'Body'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'<div class="a-CardView-mainContent">&BODY_COLUMN.</div>',
'<div class="a-CardView-subContent">&SECONDARY_BODY_COLUMN.</div>',
'</pre>'))
,p_help_text=>'In this field, you can define body look and feel. Also, you can add a secondary body if needed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578354112547942005)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_static_id=>'F_BODY_MAIN_CSS'
,p_prompt=>'Body Class'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6578353518422934629)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
,p_help_text=>'In this field, you can add additional classes to the body section.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578354422405944258)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_static_id=>'B_BODY_MAIN_CSS'
,p_prompt=>'Body Class'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6578353766552937302)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
,p_help_text=>'In this field, you can add additional classes to the body section.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6589775239363327591)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>14
,p_display_sequence=>140
,p_static_id=>'F_ICON_SOURCE'
,p_prompt=>'Icon Source'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
,p_null_text=>'No Icon'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6590533151824088132)
,p_plugin_attribute_id=>wwv_flow_imp.id(6589775239363327591)
,p_display_sequence=>10
,p_display_value=>'Icon Class'
,p_return_value=>'a-CardView-icon'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6590557667465091316)
,p_plugin_attribute_id=>wwv_flow_imp.id(6589775239363327591)
,p_display_sequence=>20
,p_display_value=>'Inicials'
,p_return_value=>'a-CardView-initials'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6591667530478092745)
,p_plugin_attribute_id=>wwv_flow_imp.id(6589775239363327591)
,p_display_sequence=>30
,p_display_value=>'Image URL'
,p_return_value=>'a-CardView-iconImg'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6591790316364099588)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>15
,p_display_sequence=>150
,p_static_id=>'B_ICON_SOURCE'
,p_prompt=>'Icon Source'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
,p_null_text=>'No Icon'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6591885201588101368)
,p_plugin_attribute_id=>wwv_flow_imp.id(6591790316364099588)
,p_display_sequence=>10
,p_display_value=>'Icon Class'
,p_return_value=>'a-CardView-icon'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6593217520851345668)
,p_plugin_attribute_id=>wwv_flow_imp.id(6591790316364099588)
,p_display_sequence=>20
,p_display_value=>'Inicials'
,p_return_value=>'a-CardView-initials'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6593333995405348539)
,p_plugin_attribute_id=>wwv_flow_imp.id(6591790316364099588)
,p_display_sequence=>30
,p_display_value=>'Image URL'
,p_return_value=>'a-CardView-iconImg'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6595483201962369092)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>16
,p_display_sequence=>160
,p_static_id=>'F_ICON_POSITION'
,p_prompt=>'Icon Position'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'a-CardView-iconWrap--top'
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6589775239363327591)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6596529036389126639)
,p_plugin_attribute_id=>wwv_flow_imp.id(6595483201962369092)
,p_display_sequence=>10
,p_display_value=>'Top'
,p_return_value=>'a-CardView-iconWrap--top'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6596530008476127449)
,p_plugin_attribute_id=>wwv_flow_imp.id(6595483201962369092)
,p_display_sequence=>20
,p_display_value=>'Start'
,p_return_value=>'a-CardView-iconWrap--start'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6597342859642371473)
,p_plugin_attribute_id=>wwv_flow_imp.id(6595483201962369092)
,p_display_sequence=>30
,p_display_value=>'End'
,p_return_value=>'a-CardView-iconWrap--end'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6599485267201135494)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>17
,p_display_sequence=>170
,p_static_id=>'B_ICON_POSITION'
,p_prompt=>' Icon Position'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'a-CardView-iconWrap--top'
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6591790316364099588)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6599492360042136530)
,p_plugin_attribute_id=>wwv_flow_imp.id(6599485267201135494)
,p_display_sequence=>10
,p_display_value=>'Top'
,p_return_value=>'a-CardView-iconWrap--top'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6599675839674380804)
,p_plugin_attribute_id=>wwv_flow_imp.id(6599485267201135494)
,p_display_sequence=>20
,p_display_value=>'Start'
,p_return_value=>'a-CardView-iconWrap--start'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6599528237819138604)
,p_plugin_attribute_id=>wwv_flow_imp.id(6599485267201135494)
,p_display_sequence=>30
,p_display_value=>'End'
,p_return_value=>'a-CardView-iconWrap--end'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578358129666024378)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>18
,p_display_sequence=>180
,p_static_id=>'F_BADGE_VAL'
,p_prompt=>' Badge Value'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578358431449028195)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>19
,p_display_sequence=>190
,p_static_id=>'B_BADGE_VAL'
,p_prompt=>'Badge Value'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578358658771031509)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>20
,p_display_sequence=>200
,p_static_id=>'F_BADGE_LABEL'
,p_prompt=>'Badge Label'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578359033861033158)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>21
,p_display_sequence=>210
,p_static_id=>'B_BADGE_LABEL'
,p_prompt=>'Badge Label'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578360231318082221)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>22
,p_display_sequence=>220
,p_static_id=>'F_MEDIA'
,p_prompt=>'Media'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6640636979177630980)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6578360511211084577)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>23
,p_display_sequence=>230
,p_static_id=>'B_MEDIA'
,p_prompt=>'Media'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6640832010205883989)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6640636979177630980)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>24
,p_display_sequence=>205
,p_static_id=>'F_MEDIA_SOURCE'
,p_prompt=>'Media Source'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
,p_null_text=>'No Media'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6640456482399876154)
,p_plugin_attribute_id=>wwv_flow_imp.id(6640636979177630980)
,p_display_sequence=>10
,p_display_value=>'Image URL'
,p_return_value=>'a-CardView-mediaImg'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6640496005648877897)
,p_plugin_attribute_id=>wwv_flow_imp.id(6640636979177630980)
,p_display_sequence=>20
,p_display_value=>'Custom'
,p_return_value=>'a-CardMediaCustom'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6640832010205883989)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>25
,p_display_sequence=>215
,p_static_id=>'B_MEDIA_SOURCE'
,p_prompt=>'Media Source'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
,p_null_text=>'No Media'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6640844649105885340)
,p_plugin_attribute_id=>wwv_flow_imp.id(6640832010205883989)
,p_display_sequence=>10
,p_display_value=>'Image URL'
,p_return_value=>'a-CardView-mediaImg'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6641201165013643476)
,p_plugin_attribute_id=>wwv_flow_imp.id(6640832010205883989)
,p_display_sequence=>20
,p_display_value=>'Custom'
,p_return_value=>'a-CardMediaCustom'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6545560201519858711)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>27
,p_display_sequence=>64
,p_static_id=>'F_SUBTITLE'
,p_prompt=>'Subtitle'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6545624827557617884)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>28
,p_display_sequence=>44
,p_static_id=>'B_SUBTITLE'
,p_prompt=>'Subtitle'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6545583480529864365)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>29
,p_display_sequence=>66
,p_static_id=>'F_SUBTITLE_CSS'
,p_prompt=>'Subtitle Class'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6545560201519858711)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6545667652608623701)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>30
,p_display_sequence=>46
,p_static_id=>'B_SUBTITLE_CSS'
,p_prompt=>'Subtitle Class'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6545624827557617884)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6555371772408764772)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>31
,p_display_sequence=>124
,p_static_id=>'F_BODY_SUB'
,p_prompt=>'Secondary Body'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6555915417330768236)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>32
,p_display_sequence=>134
,p_static_id=>'B_BODY_SUB'
,p_prompt=>'Scondary Body'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6556676134337770538)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>33
,p_display_sequence=>126
,p_static_id=>'F_BODY_SUB_CSS'
,p_prompt=>'Scondary Body Class'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6555371772408764772)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6556996117610773059)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>34
,p_display_sequence=>136
,p_static_id=>'B_BODY_SUB_CSS'
,p_prompt=>'Scondary Body Class'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6555915417330768236)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6605818739726193499)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>35
,p_display_sequence=>170
,p_static_id=>'F_ICON'
,p_prompt=>'Icon Class'
,p_attribute_type=>'ICON'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6589775239363327591)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6605751250345440670)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>36
,p_display_sequence=>180
,p_static_id=>'B_ICON'
,p_prompt=>'Icon Class'
,p_attribute_type=>'ICON'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6591790316364099588)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
end;
/
begin
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6606246210207450533)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>37
,p_display_sequence=>175
,p_static_id=>'F_ICON_INIC'
,p_prompt=>'Inicials'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6589775239363327591)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'a-CardView-initials'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6607193924076212885)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>38
,p_display_sequence=>185
,p_static_id=>'B_ICON_INIC'
,p_prompt=>'Inicials'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6591790316364099588)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'a-CardView-initials'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6607547689406220800)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>39
,p_display_sequence=>177
,p_static_id=>'F_ICON_URL'
,p_prompt=>'Icon URL'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6589775239363327591)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'a-CardView-iconImg'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6608257769949467742)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>40
,p_display_sequence=>188
,p_static_id=>'B_ICON_URL'
,p_prompt=>'Icon URL'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6591790316364099588)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'a-CardView-iconImg'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6641542103722895330)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>41
,p_display_sequence=>208
,p_static_id=>'F_MEDIA_POSITION'
,p_prompt=>'Media Position'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'a-CardView-media--body'
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6640636979177630980)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6641549171668896165)
,p_plugin_attribute_id=>wwv_flow_imp.id(6641542103722895330)
,p_display_sequence=>10
,p_display_value=>'First'
,p_return_value=>'a-CardView-media--first'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6641558392926897462)
,p_plugin_attribute_id=>wwv_flow_imp.id(6641542103722895330)
,p_display_sequence=>20
,p_display_value=>'Body'
,p_return_value=>'a-CardView-media--body'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6642039571843656065)
,p_plugin_attribute_id=>wwv_flow_imp.id(6641542103722895330)
,p_display_sequence=>30
,p_display_value=>'Background'
,p_return_value=>'a-CardView-media--background'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6642085809740661055)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>42
,p_display_sequence=>217
,p_static_id=>'B_MEDIA_POSITION'
,p_prompt=>'Media Position'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'a-CardView-media--body'
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6640832010205883989)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6642095936900662635)
,p_plugin_attribute_id=>wwv_flow_imp.id(6642085809740661055)
,p_display_sequence=>10
,p_display_value=>'First'
,p_return_value=>'a-CardView-media--first'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6642107450932663841)
,p_plugin_attribute_id=>wwv_flow_imp.id(6642085809740661055)
,p_display_sequence=>20
,p_display_value=>'Body'
,p_return_value=>'a-CardView-media--body'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6642124630938664900)
,p_plugin_attribute_id=>wwv_flow_imp.id(6642085809740661055)
,p_display_sequence=>30
,p_display_value=>'Background'
,p_return_value=>'a-CardView-media--background '
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6643370756959676499)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>43
,p_display_sequence=>210
,p_static_id=>'F_MEDIA_APPEAR'
,p_prompt=>'Media Appearance'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_default_value=>'a-CardView-media--widescreen'
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6640636979177630980)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
,p_null_text=>'Auto'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6643385155262678589)
,p_plugin_attribute_id=>wwv_flow_imp.id(6643370756959676499)
,p_display_sequence=>10
,p_display_value=>'Square'
,p_return_value=>'a-CardView-media--square'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6643804868499679720)
,p_plugin_attribute_id=>wwv_flow_imp.id(6643370756959676499)
,p_display_sequence=>20
,p_display_value=>'Widescreen'
,p_return_value=>'a-CardView-media--widescreen'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6643787645395929446)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>44
,p_display_sequence=>220
,p_static_id=>'B_MEDIA_APPEAR'
,p_prompt=>'Media Appearance'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_default_value=>'a-CardView-media--widescreen'
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6640832010205883989)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
,p_null_text=>'Auto'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6644174556779687147)
,p_plugin_attribute_id=>wwv_flow_imp.id(6643787645395929446)
,p_display_sequence=>10
,p_display_value=>'Square'
,p_return_value=>'a-CardView-media--square'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6644179235314688141)
,p_plugin_attribute_id=>wwv_flow_imp.id(6643787645395929446)
,p_display_sequence=>20
,p_display_value=>'Widescreen'
,p_return_value=>'Widescreen'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6645197666282697970)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>45
,p_display_sequence=>215
,p_static_id=>'F_MEDIA_SIZING'
,p_prompt=>'Media Sizing'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'a-CardView-media--fit'
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6640636979177630980)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6575999784906282195)
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6644845945114941887)
,p_plugin_attribute_id=>wwv_flow_imp.id(6645197666282697970)
,p_display_sequence=>10
,p_display_value=>'Cover'
,p_return_value=>'a-CardView-media--cover'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6644854319408943183)
,p_plugin_attribute_id=>wwv_flow_imp.id(6645197666282697970)
,p_display_sequence=>20
,p_display_value=>'Fit'
,p_return_value=>'a-CardView-media--fit'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6646639697990707061)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>46
,p_display_sequence=>225
,p_static_id=>'B_MEDIA_SIZING'
,p_prompt=>'Media Sizing'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'a-CardView-media--fit'
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6640832010205883989)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6576000184927282195)
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6646647633256708091)
,p_plugin_attribute_id=>wwv_flow_imp.id(6646639697990707061)
,p_display_sequence=>10
,p_display_value=>'Cover'
,p_return_value=>'a-CardView-media--cover'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6646649857482708872)
,p_plugin_attribute_id=>wwv_flow_imp.id(6646639697990707061)
,p_display_sequence=>20
,p_display_value=>'Fit'
,p_return_value=>'a-CardView-media--fit'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6576356656776059629)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'T_LAYOUT'
,p_prompt=>'Layout'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'a-CardView-items--grid'
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6575999437091282195)
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6576356996437060402)
,p_plugin_attribute_id=>wwv_flow_imp.id(6576356656776059629)
,p_display_sequence=>10
,p_display_value=>'Grid'
,p_return_value=>'a-CardView-items--grid'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6576357395008061743)
,p_plugin_attribute_id=>wwv_flow_imp.id(6576356656776059629)
,p_display_sequence=>20
,p_display_value=>'Float'
,p_return_value=>'a-CardView-items--float'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6576357826261062539)
,p_plugin_attribute_id=>wwv_flow_imp.id(6576356656776059629)
,p_display_sequence=>30
,p_display_value=>'Horizontal (Row)'
,p_return_value=>'a-CardView-items--row'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6576358996151085768)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'T_GRID_COLUMN'
,p_prompt=>'Grid Column'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6576356656776059629)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'a-CardView-items--grid'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6575999437091282195)
,p_null_text=>'Auto'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6576359317458087230)
,p_plugin_attribute_id=>wwv_flow_imp.id(6576358996151085768)
,p_display_sequence=>10
,p_display_value=>'2 columns'
,p_return_value=>'a-CardView-items--grid2col'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6576359671799087968)
,p_plugin_attribute_id=>wwv_flow_imp.id(6576358996151085768)
,p_display_sequence=>20
,p_display_value=>'3 columns'
,p_return_value=>'a-CardView-items--grid3col'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6576360062086088910)
,p_plugin_attribute_id=>wwv_flow_imp.id(6576358996151085768)
,p_display_sequence=>30
,p_display_value=>'4 columns'
,p_return_value=>'a-CardView-items--grid4col'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6576360521773089862)
,p_plugin_attribute_id=>wwv_flow_imp.id(6576358996151085768)
,p_display_sequence=>40
,p_display_value=>'5 columns'
,p_return_value=>'a-CardView-items--grid5col'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6576353056972014434)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>5
,p_display_sequence=>5
,p_static_id=>'T_STYLE'
,p_prompt=>'Style'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_default_value=>'t-CardsRegion--styleA'
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6575999437091282195)
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6576353443179015323)
,p_plugin_attribute_id=>wwv_flow_imp.id(6576353056972014434)
,p_display_sequence=>10
,p_display_value=>'Style A'
,p_return_value=>'t-CardsRegion--styleA'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6576353815416016715)
,p_plugin_attribute_id=>wwv_flow_imp.id(6576353056972014434)
,p_display_sequence=>20
,p_display_value=>'Style B'
,p_return_value=>'t-CardsRegion--styleB'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6576354157686017981)
,p_plugin_attribute_id=>wwv_flow_imp.id(6576353056972014434)
,p_display_sequence=>30
,p_display_value=>'Style C'
,p_return_value=>'t-CardsRegion--styleC'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6476300462938452728)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>26
,p_display_sequence=>1
,p_static_id=>'FLIP_CARD_ACTION'
,p_prompt=>'Flip Card on'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'hover'
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(6575999437091282195)
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6476339759165453948)
,p_plugin_attribute_id=>wwv_flow_imp.id(6476300462938452728)
,p_display_sequence=>10
,p_display_value=>'Hover'
,p_return_value=>'hover'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6476394291183454651)
,p_plugin_attribute_id=>wwv_flow_imp.id(6476300462938452728)
,p_display_sequence=>20
,p_display_value=>'Click'
,p_return_value=>'click'
);
wwv_flow_imp_shared.create_plugin_act_template(
 p_id=>wwv_flow_imp.id(6578368268839586836)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_name=>'Button'
,p_type=>'BUTTON'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<a class="t-Button{if IS_HOT/} t-Button--hot{endif/} {if ICON_CLASSES/}t-Button--iconText{else/}t-Button--text{endif/} #CSS_CLASSES#" onclick="event.stopPropagation()" href="#LINK_URL#" title="#LABEL!ATTR#" #LINK_ATTR# {if IS_DISABLED/}disabled{endif'
||'/}>',
'  <span class="t-Button-label">',
'    {if IS_ICON_ONLY/}',
'        <span class="t-Button-icon #ICON_CLASSES#" aria-hidden="true"></span>',
'    {else/}',
'        <span class="t-Button-icon #ICON_CLASSES#" aria-hidden="true"></span>',
'        <span class="t-Button-text">#LABEL#</span>    ',
'    {endif/}  ',
'  </span>',
'</a>'))
);
wwv_flow_imp_shared.create_plugin_act_template(
 p_id=>wwv_flow_imp.id(6578368812262603020)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_name=>'Menu'
,p_type=>'MENU'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<button class="t-Button t-Button--borderless t-Button--icon" {if IS_DISABLED/}disabled{endif/} onclick="event.stopPropagation();$(''##MENU_ID#'').menu(''toggle'',event.pageX,event.pageY);" type="button" data-menu="#MENU_ID#">',
'  <span class="t-Button-label">',
'    <span class="t-Button-icon oj-ux-ico-overflow-h" aria-hidden="true"></span>',
'    <span class="t-Button-text">#LABEL#</span>',
'  </span>',
'</button> #MENU#'))
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(6933094997901132995)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_name=>'Back FullCard LLink'
,p_static_id=>'B_F_LINK'
,p_display_sequence=>50
,p_type=>'LINK'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(6963784624784534236)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_name=>'Front Button Primary'
,p_static_id=>'F_B_PRIMARY'
,p_display_sequence=>60
,p_type=>'TEMPLATE'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(6963810399319780613)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_name=>'Front Button Center'
,p_static_id=>'F_B_CENTER'
,p_display_sequence=>70
,p_type=>'TEMPLATE'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(6964429845353539697)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_name=>'Front Button Secondary'
,p_static_id=>'F_B_SECONDARY'
,p_display_sequence=>80
,p_type=>'TEMPLATE'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(6964687841405569445)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_name=>'Back Button Secondary'
,p_static_id=>'B_B_SECONDARY'
,p_display_sequence=>40
,p_type=>'TEMPLATE'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(6966946881285830706)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_name=>'Back Button Primary'
,p_static_id=>'B_B_PRIMARY'
,p_display_sequence=>10
,p_type=>'TEMPLATE'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(6967416559759592492)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_name=>'Back Button Centar'
,p_static_id=>'B_B_CENTER'
,p_display_sequence=>20
,p_type=>'TEMPLATE'
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2E666C69702D636172642D696E6E6572207B0D0A2020706F736974696F6E3A2072656C61746976653B0D0A202077696474683A20313030253B0D0A20206865696768743A20313030253B0D0A20207472616E736974696F6E3A207472616E73666F726D20';
wwv_flow_imp.g_varchar2_table(2) := '302E38733B0D0A20207472616E73666F726D2D7374796C653A2070726573657276652D33643B0D0A2020626F782D736861646F773A203020347078203870782030207267626128302C302C302C302E32293B0D0A7D0D0A0D0A2E742D686F7665722D6361';
wwv_flow_imp.g_varchar2_table(3) := '7264202E666C69702D636172643A686F766572202E666C69702D636172642D696E6E6572207B0D0A20207472616E73666F726D3A20726F746174655928313830646567293B0D0A7D0D0A0D0A2E742D636C69636B2D63617264202E666C69707065642D63';
wwv_flow_imp.g_varchar2_table(4) := '617264202E666C69702D636172642D696E6E6572207B0D0A20207472616E73666F726D3A20726F746174655928313830646567293B0D0A7D0D0A0D0A2E742D636C69636B2D63617264202E666C69702D636172643A686F766572207B0D0A202020206375';
wwv_flow_imp.g_varchar2_table(5) := '72736F723A20706F696E7465723B0D0A7D0D0A0D0A2E666C69702D636172642D66726F6E74207B0D0A2020706F736974696F6E3A2072656C61746976653B0D0A202077696474683A20313030253B0D0A20206865696768743A20313030253B0D0A20202D';
wwv_flow_imp.g_varchar2_table(6) := '7765626B69742D6261636B666163652D7669736962696C6974793A2068696464656E3B0D0A20206261636B666163652D7669736962696C6974793A2068696464656E3B0D0A7D0D0A0D0A2E666C69702D636172642D6261636B207B0D0A2020706F736974';
wwv_flow_imp.g_varchar2_table(7) := '696F6E3A206162736F6C7574653B0D0A2020746F703A20303B206C6566743A20303B200D0A202077696474683A20313030253B0D0A20206865696768743A20313030253B0D0A20202D7765626B69742D6261636B666163652D7669736962696C6974793A';
wwv_flow_imp.g_varchar2_table(8) := '2068696464656E3B0D0A20206261636B666163652D7669736962696C6974793A2068696464656E3B0D0A20207A2D696E6465783A3530303B0D0A0D0A20206261636B67726F756E642D636F6C6F723A2077686974653B0D0A2020636F6C6F723A20626C61';
wwv_flow_imp.g_varchar2_table(9) := '636B3B0D0A20207472616E73666F726D3A20726F746174655928313830646567293B0D0A7D0D0A0D0A0D0A2E612D43617264566965772D6974656D732D2D726F77202E612D4361726456696577207B0D0A2020677269642D74656D706C6174652D636F6C';
wwv_flow_imp.g_varchar2_table(10) := '756D6E733A206175746F3B0D0A7D0D0A2E666C69702D6163746F6E732D626F74746F6D2C0D0A2E666C69702D6163746F6E732D746F70207B0D0A20202020706F736974696F6E3A6162736F6C7574653B0D0A2020202077696474683A313030253B0D0A20';
wwv_flow_imp.g_varchar2_table(11) := '2020207A2D696E6465783A3630303B0D0A7D0D0A0D0A2E666C69702D6163746F6E732D626F74746F6D207B0D0A20202020626F74746F6D3A303B202020200D0A7D0D0A2E666C69702D6163746F6E732D746F70207B0D0A20202020746F703A303B0D0A7D';
wwv_flow_imp.g_varchar2_table(12) := '0D0A0D0A0D0A2E666C69702D6163746F6E732D63656E746572207B0D0A202020206A7573746966792D636F6E74656E743A2063656E7465723B0D0A7D0D0A0D0A2E612D43617264566965772D616374696F6E733A656D707479207B0D0A2020646973706C';
wwv_flow_imp.g_varchar2_table(13) := '61793A206E6F6E653B0D0A20206865696768743A3070783B0D0A7D0D0A0D0A0D0A2E612D43617264566965772D6974656D732D2D726F77202E666C69702D636172642D66726F6E742C0D0A2E612D43617264566965772D6974656D732D2D726F77202E66';
wwv_flow_imp.g_varchar2_table(14) := '6C69702D636172642D6261636B207B0D0A20202020646973706C61793A20666C65783B0D0A20202020666C65782D646972656374696F6E3A20726F773B0D0A7D0D0A0D0A2E612D43617264566965772D6974656D732D2D726F77202E666C69702D616374';
wwv_flow_imp.g_varchar2_table(15) := '6F6E732D626F74746F6D2C0D0A2E612D43617264566965772D6974656D732D2D726F77202E666C69702D6163746F6E732D746F70207B0D0A20202020706F736974696F6E3A7374617469633B0D0A2020202077696474683A6175746F3B0D0A202020207A';
wwv_flow_imp.g_varchar2_table(16) := '2D696E6465783A3630303B0D0A20202020646973706C61793A20636F6E74656E74733B0D0A7D0D0A2E612D43617264566965772D6974656D732D2D726F77202E666C69702D6163746F6E732D63656E746572207B0D0A202020206A7573746966792D636F';
wwv_flow_imp.g_varchar2_table(17) := '6E74656E743A2063656E7465723B0D0A7D0D0A0D0A2E612D43617264566965772D6D656469613A656D707479207B0D0A2020646973706C61793A206E6F6E653B0D0A20206865696768743A203070783B0D0A202077696474683A3070783B0D0A7D0D0A0D';
wwv_flow_imp.g_varchar2_table(18) := '0A612E666C69702D636172642D75726C207B0D0A2020636F6C6F723A20696E68657269743B202F2A20626C756520636F6C6F727320666F72206C696E6B7320746F6F202A2F0D0A2020746578742D6465636F726174696F6E3A20696E68657269743B202F';
wwv_flow_imp.g_varchar2_table(19) := '2A206E6F20756E6465726C696E65202A2F0D0A7D0D0A0D0A2E742D4361726473526567696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D62616467652E6861732D626F64793A6E6F74282E6861732D6D';
wwv_flow_imp.g_varchar2_table(20) := '656469612D2D626F647929202E612D43617264566965772D626F64792C200D0A2E742D4361726473526567696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D62616467652E6861732D7365636F6E6461';
wwv_flow_imp.g_varchar2_table(21) := '72793A6E6F74282E6861732D6D656469612D2D626F647929202E612D43617264566965772D626F64792C200D0A2E742D4361726473526567696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D69636F6E';
wwv_flow_imp.g_varchar2_table(22) := '2E6861732D626F64793A6E6F74282E6861732D6D656469612D2D626F647929202E612D43617264566965772D626F64792C200D0A2E742D4361726473526567696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E68';
wwv_flow_imp.g_varchar2_table(23) := '61732D69636F6E2E6861732D7365636F6E646172793A6E6F74282E6861732D6D656469612D2D626F647929202E612D43617264566965772D626F64792C200D0A2E742D4361726473526567696F6E2D2D7374796C6543202E612D43617264566965772D69';
wwv_flow_imp.g_varchar2_table(24) := '74656D732D2D726F77202E6861732D7375627469746C652E6861732D626F64793A6E6F74282E6861732D6D656469612D2D626F647929202E612D43617264566965772D626F64792C200D0A2E742D4361726473526567696F6E2D2D7374796C6543202E61';
wwv_flow_imp.g_varchar2_table(25) := '2D43617264566965772D6974656D732D2D726F77202E6861732D7375627469746C652E6861732D7365636F6E646172793A6E6F74282E6861732D6D656469612D2D626F647929202E612D43617264566965772D626F64792C200D0A2E742D436172647352';
wwv_flow_imp.g_varchar2_table(26) := '6567696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D7469746C652E6861732D626F64793A6E6F74282E6861732D6D656469612D2D626F647929202E612D43617264566965772D626F64792C200D0A2E';
wwv_flow_imp.g_varchar2_table(27) := '742D4361726473526567696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D7469746C652E6861732D7365636F6E646172793A6E6F74282E6861732D6D656469612D2D626F647929202E612D4361726456';
wwv_flow_imp.g_varchar2_table(28) := '6965772D626F6479207B0D0A202070616464696E672D626C6F636B2D73746172743A20313670783B0D0A7D20200D0A0D0A2E612D43617264566965772D6D656469612D2D737175617265202E612D43617264566965772D6D65646961496D672C202E612D';
wwv_flow_imp.g_varchar2_table(29) := '43617264566965772D6D656469612D2D73717561726520696672616D652C202E612D43617264566965772D6D656469612D2D7769646573637265656E202E612D43617264566965772D6D65646961496D672C202E612D43617264566965772D6D65646961';
wwv_flow_imp.g_varchar2_table(30) := '2D2D7769646573637265656E20696672616D65207B0D0A20206865696768743A206175746F3B0D0A7D';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(6575951096725365636)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_file_name=>'css/flip-card.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '202F2F20676C6F62616C206E616D65737061636520556E6974656420436F6465730D0A20766172207563203D207563207C7C207B7D3B0D0A0D0A202F2F206E616D65737061636520466C6970436172640D0A2075632E466C697043617264203D207B0D0A';
wwv_flow_imp.g_varchar2_table(2) := '202020202076657273696F6E3A2232332E312E302E30222C200D0A20202020206F70743A207B0D0A202020202020202064656275673A207B0D0A202020202020202020202020656E61626C65643A747275652C0D0A202020202020202020202020707265';
wwv_flow_imp.g_varchar2_table(3) := '6669783A2255434643203E20222C0D0A2020202020202020202020206C6F636174696F6E3A226E616D657370616365220D0A20202020202020207D0D0A202020207D2C202020200D0A202020205F64656275674D7367286C6F632C206D73672C20706172';
wwv_flow_imp.g_varchar2_table(4) := '616D312C20706172616D322C20706172616D332C20706172616D3429207B0D0A202020202020202069662028746869732E6F70742E64656275672E656E61626C6564290D0A202020202020202020202020617065782E64656275672E7472616365287468';
wwv_flow_imp.g_varchar2_table(5) := '69732E6F70742E64656275672E707265666978202B206C6F632B2022203E2022202B206D73672C20706172616D312C20706172616D322C20706172616D332C20706172616D34293B202F2F74726163650D0A202020207D2C0D0A202020205F6465627567';
wwv_flow_imp.g_varchar2_table(6) := '457272286C6F632C206D73672C20706172616D312C20706172616D322C20706172616D332C20706172616D3429207B0D0A202020202020202069662028746869732E6F70742E64656275672E656E61626C6564290D0A2020202020202020202020206170';
wwv_flow_imp.g_varchar2_table(7) := '65782E64656275672E6572726F7228746869732E6F70742E64656275672E707265666978202B206C6F632B2022203E2022202B206D73672C20706172616D312C20706172616D322C20706172616D332C20706172616D34293B0D0A202020207D2C20200D';
wwv_flow_imp.g_varchar2_table(8) := '0A202020207365744C697374656E65723A66756E6374696F6E2829207B0D0A202020202020202075632E466C6970436172642E5F64656275674D73672875632E466C6970436172642E6F70742E64656275672E6C6F636174696F6E2C20227365744C6973';
wwv_flow_imp.g_varchar2_table(9) := '74656E657220657865637574656422293B0D0A20202020202020202428222E742D636C69636B2D63617264202E612D436172645669657722292E6F66662822636C69636B22293B0D0A20202020202020202428222E742D636C69636B2D63617264202E61';
wwv_flow_imp.g_varchar2_table(10) := '2D436172645669657722292E6F6E2822636C69636B222C2066756E6374696F6E28297B0D0A202020202020202020202020242874686973292E746F67676C65436C6173732822666C69707065642D6361726422293B0D0A20202020202020207D293B0D0A';
wwv_flow_imp.g_varchar2_table(11) := '202020207D2C0D0A20202020736574466C69704F6E2870426F6F6C65616E203D20747275652C2070456C656D656E7429207B0D0A202020202020202075632E466C6970436172642E5F64656275674D73672875632E466C6970436172642E6F70742E6465';
wwv_flow_imp.g_varchar2_table(12) := '6275672E6C6F636174696F6E2C2022736574466C69704F6E206578656375746564222C2070426F6F6C65616E2C2070456C656D656E74293B0D0A20202020202020206966202870426F6F6C65616E29207B0D0A2020202020202020202020202428287045';
wwv_flow_imp.g_varchar2_table(13) := '6C656D656E743F70456C656D656E743A2222292B22202E742D636C69636B2D63617264202E612D436172645669657722292E616464436C6173732822666C69707065642D6361726422293B0D0A20202020202020207D0D0A2020202020202020656C7365';
wwv_flow_imp.g_varchar2_table(14) := '207B0D0A20202020202020202020202024282870456C656D656E743F70456C656D656E742B2220223A2222292B222E742D636C69636B2D63617264202E612D436172645669657722292E72656D6F7665436C6173732822666C69707065642D6361726422';
wwv_flow_imp.g_varchar2_table(15) := '293B0D0A20202020202020207D0D0A202020207D2C0D0A20202020696E69743A66756E6374696F6E2829207B0D0A2020202020202020617065782E6A51756572792820617065782E6750616765436F6E746578742420292E6F6E28202261706578726561';
wwv_flow_imp.g_varchar2_table(16) := '6479656E64222C2066756E6374696F6E2820652029207B0D0A20202020202020202020202075632E466C6970436172642E5F64656275674D73672875632E466C6970436172642E6F70742E64656275672E6C6F636174696F6E2C2022696E697420657865';
wwv_flow_imp.g_varchar2_table(17) := '637574656422293B0D0A20202020202020202020202024282077696E646F7720292E6F6E2820227461626C656D6F64656C76696577706167656368616E6765222C2066756E6374696F6E28206576656E742C20646174612029207B0D0A20202020202020';
wwv_flow_imp.g_varchar2_table(18) := '20202020202020202075632E466C6970436172642E7365744C697374656E657228293B0D0A2020202020202020202020207D20293B0D0A20202020202020202020202075632E466C6970436172642E7365744C697374656E657228293B0D0A2020202020';
wwv_flow_imp.g_varchar2_table(19) := '2020207D20293B0D0A202020207D0D0A207D3B0D0A0D0A75632E466C6970436172642E696E697428293B0D0A0D0A';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(6605567537782185865)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_file_name=>'js/flipcard.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '7661722075633D75637C7C7B7D3B75632E466C6970436172643D7B76657273696F6E3A2232332E312E302E30222C6F70743A7B64656275673A7B656E61626C65643A21302C7072656669783A2255434643203E20222C6C6F636174696F6E3A226E616D65';
wwv_flow_imp.g_varchar2_table(2) := '7370616365227D7D2C5F64656275674D736728652C692C642C612C742C63297B746869732E6F70742E64656275672E656E61626C65642626617065782E64656275672E747261636528746869732E6F70742E64656275672E7072656669782B652B22203E';
wwv_flow_imp.g_varchar2_table(3) := '20222B692C642C612C742C63297D2C5F646562756745727228652C692C642C612C742C63297B746869732E6F70742E64656275672E656E61626C65642626617065782E64656275672E6572726F7228746869732E6F70742E64656275672E707265666978';
wwv_flow_imp.g_varchar2_table(4) := '2B652B22203E20222B692C642C612C742C63297D2C7365744C697374656E65723A66756E6374696F6E28297B75632E466C6970436172642E5F64656275674D73672875632E466C6970436172642E6F70742E64656275672E6C6F636174696F6E2C227365';
wwv_flow_imp.g_varchar2_table(5) := '744C697374656E657220657865637574656422292C2428222E742D636C69636B2D63617264202E612D436172645669657722292E6F66662822636C69636B22292C2428222E742D636C69636B2D63617264202E612D436172645669657722292E6F6E2822';
wwv_flow_imp.g_varchar2_table(6) := '636C69636B222C2866756E6374696F6E28297B242874686973292E746F67676C65436C6173732822666C69707065642D6361726422297D29297D2C736574466C69704F6E28653D21302C69297B75632E466C6970436172642E5F64656275674D73672875';
wwv_flow_imp.g_varchar2_table(7) := '632E466C6970436172642E6F70742E64656275672E6C6F636174696F6E2C22736574466C69704F6E206578656375746564222C652C69292C653F242828697C7C2222292B22202E742D636C69636B2D63617264202E612D436172645669657722292E6164';
wwv_flow_imp.g_varchar2_table(8) := '64436C6173732822666C69707065642D6361726422293A242828693F692B2220223A2222292B222E742D636C69636B2D63617264202E612D436172645669657722292E72656D6F7665436C6173732822666C69707065642D6361726422297D2C696E6974';
wwv_flow_imp.g_varchar2_table(9) := '3A66756E6374696F6E28297B617065782E6A517565727928617065782E6750616765436F6E7465787424292E6F6E2822617065787265616479656E64222C2866756E6374696F6E2865297B75632E466C6970436172642E5F64656275674D73672875632E';
wwv_flow_imp.g_varchar2_table(10) := '466C6970436172642E6F70742E64656275672E6C6F636174696F6E2C22696E697420657865637574656422292C242877696E646F77292E6F6E28227461626C656D6F64656C76696577706167656368616E6765222C2866756E6374696F6E28652C69297B';
wwv_flow_imp.g_varchar2_table(11) := '75632E466C6970436172642E7365744C697374656E657228297D29292C75632E466C6970436172642E7365744C697374656E657228297D29297D7D2C75632E466C6970436172642E696E697428293B';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(6696066945069434707)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_file_name=>'js/flipcard.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2E666C69702D636172642D696E6E65727B706F736974696F6E3A72656C61746976653B77696474683A313030253B6865696768743A313030253B7472616E736974696F6E3A7472616E73666F726D202E38733B7472616E73666F726D2D7374796C653A70';
wwv_flow_imp.g_varchar2_table(2) := '726573657276652D33643B626F782D736861646F773A3020347078203870782030207267626128302C302C302C2E32297D2E742D636C69636B2D63617264202E666C69707065642D63617264202E666C69702D636172642D696E6E65722C2E742D686F76';
wwv_flow_imp.g_varchar2_table(3) := '65722D63617264202E666C69702D636172643A686F766572202E666C69702D636172642D696E6E65727B7472616E73666F726D3A726F746174655928313830646567297D2E742D636C69636B2D63617264202E666C69702D636172643A686F7665727B63';
wwv_flow_imp.g_varchar2_table(4) := '7572736F723A706F696E7465727D2E666C69702D636172642D6261636B2C2E666C69702D636172642D66726F6E747B706F736974696F6E3A72656C61746976653B77696474683A313030253B6865696768743A313030253B2D7765626B69742D6261636B';
wwv_flow_imp.g_varchar2_table(5) := '666163652D7669736962696C6974793A68696464656E3B6261636B666163652D7669736962696C6974793A68696464656E7D2E666C69702D636172642D6261636B7B706F736974696F6E3A6162736F6C7574653B746F703A303B6C6566743A303B7A2D69';
wwv_flow_imp.g_varchar2_table(6) := '6E6465783A3530303B6261636B67726F756E642D636F6C6F723A236666663B636F6C6F723A233030303B7472616E73666F726D3A726F746174655928313830646567297D2E612D43617264566965772D6974656D732D2D726F77202E612D436172645669';
wwv_flow_imp.g_varchar2_table(7) := '65777B677269642D74656D706C6174652D636F6C756D6E733A6175746F7D2E666C69702D6163746F6E732D626F74746F6D2C2E666C69702D6163746F6E732D746F707B706F736974696F6E3A6162736F6C7574653B77696474683A313030253B7A2D696E';
wwv_flow_imp.g_varchar2_table(8) := '6465783A3630307D2E666C69702D6163746F6E732D626F74746F6D7B626F74746F6D3A307D2E666C69702D6163746F6E732D746F707B746F703A307D2E666C69702D6163746F6E732D63656E7465727B6A7573746966792D636F6E74656E743A63656E74';
wwv_flow_imp.g_varchar2_table(9) := '65727D2E612D43617264566965772D616374696F6E733A656D7074797B646973706C61793A6E6F6E653B6865696768743A307D2E612D43617264566965772D6974656D732D2D726F77202E666C69702D636172642D6261636B2C2E612D43617264566965';
wwv_flow_imp.g_varchar2_table(10) := '772D6974656D732D2D726F77202E666C69702D636172642D66726F6E747B646973706C61793A666C65783B666C65782D646972656374696F6E3A726F777D2E612D43617264566965772D6974656D732D2D726F77202E666C69702D6163746F6E732D626F';
wwv_flow_imp.g_varchar2_table(11) := '74746F6D2C2E612D43617264566965772D6974656D732D2D726F77202E666C69702D6163746F6E732D746F707B706F736974696F6E3A7374617469633B77696474683A6175746F3B7A2D696E6465783A3630303B646973706C61793A636F6E74656E7473';
wwv_flow_imp.g_varchar2_table(12) := '7D2E612D43617264566965772D6974656D732D2D726F77202E666C69702D6163746F6E732D63656E7465727B6A7573746966792D636F6E74656E743A63656E7465727D2E612D43617264566965772D6D656469613A656D7074797B646973706C61793A6E';
wwv_flow_imp.g_varchar2_table(13) := '6F6E653B6865696768743A303B77696474683A307D612E666C69702D636172642D75726C7B636F6C6F723A696E68657269743B746578742D6465636F726174696F6E3A696E68657269747D2E742D4361726473526567696F6E2D2D7374796C6543202E61';
wwv_flow_imp.g_varchar2_table(14) := '2D43617264566965772D6974656D732D2D726F77202E6861732D62616467652E6861732D626F64793A6E6F74282E6861732D6D656469612D2D626F647929202E612D43617264566965772D626F64792C2E742D4361726473526567696F6E2D2D7374796C';
wwv_flow_imp.g_varchar2_table(15) := '6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D62616467652E6861732D7365636F6E646172793A6E6F74282E6861732D6D656469612D2D626F647929202E612D43617264566965772D626F64792C2E742D43617264735265';
wwv_flow_imp.g_varchar2_table(16) := '67696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D69636F6E2E6861732D626F64793A6E6F74282E6861732D6D656469612D2D626F647929202E612D43617264566965772D626F64792C2E742D436172';
wwv_flow_imp.g_varchar2_table(17) := '6473526567696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D69636F6E2E6861732D7365636F6E646172793A6E6F74282E6861732D6D656469612D2D626F647929202E612D43617264566965772D626F';
wwv_flow_imp.g_varchar2_table(18) := '64792C2E742D4361726473526567696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D7375627469746C652E6861732D626F64793A6E6F74282E6861732D6D656469612D2D626F647929202E612D436172';
wwv_flow_imp.g_varchar2_table(19) := '64566965772D626F64792C2E742D4361726473526567696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D7375627469746C652E6861732D7365636F6E646172793A6E6F74282E6861732D6D656469612D';
wwv_flow_imp.g_varchar2_table(20) := '2D626F647929202E612D43617264566965772D626F64792C2E742D4361726473526567696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D7469746C652E6861732D626F64793A6E6F74282E6861732D6D';
wwv_flow_imp.g_varchar2_table(21) := '656469612D2D626F647929202E612D43617264566965772D626F64792C2E742D4361726473526567696F6E2D2D7374796C6543202E612D43617264566965772D6974656D732D2D726F77202E6861732D7469746C652E6861732D7365636F6E646172793A';
wwv_flow_imp.g_varchar2_table(22) := '6E6F74282E6861732D6D656469612D2D626F647929202E612D43617264566965772D626F64797B70616464696E672D626C6F636B2D73746172743A313670787D2E612D43617264566965772D6D656469612D2D737175617265202E612D43617264566965';
wwv_flow_imp.g_varchar2_table(23) := '772D6D65646961496D672C2E612D43617264566965772D6D656469612D2D73717561726520696672616D652C2E612D43617264566965772D6D656469612D2D7769646573637265656E202E612D43617264566965772D6D65646961496D672C2E612D4361';
wwv_flow_imp.g_varchar2_table(24) := '7264566965772D6D656469612D2D7769646573637265656E20696672616D657B6865696768743A6175746F7D';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(7071700876101148858)
,p_plugin_id=>wwv_flow_imp.id(6568375575969604780)
,p_file_name=>'css/flip-card.min.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/shared_components/plugins/template_component/theme_42_avatar
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(6661470852327329196)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '42')
,p_name=>'THEME_42$AVATAR'
,p_display_name=>'Avatar'
,p_supported_component_types=>'PARTIAL'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('TEMPLATE COMPONENT','THEME_42$AVATAR'),'')
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if APEX$IS_LAZY_LOADING/}',
'  <span class="t-Avatar is-placeholder{if ?SHAPE/} #SHAPE!ATTR#{endif/}{if ?SIZE/} #SIZE!ATTR#{endif/}{if ?CSS_CLASSES/} #CSS_CLASSES!ATTR#{endif/}"></span>',
'{else/}',
'  {if ?LINK/}<a href="#LINK!ATTR#" #LINK_ATTR!RAW#{else/}<span{endif/} class="t-Avatar{if ?TYPE/} t-Avatar--{if ?IMAGE/}image{else/}{if ?INITIALS/}initials{else/}icon{endif/}{endif/}{endif/}{if ?SHAPE/} #SHAPE!ATTR#{endif/}{if ?SIZE/} #SIZE!ATTR#{end'
||'if/}{if ?ICON/} #ICON!ATTR#{else/} fa fa-user{endif/}{if ?CSS_CLASSES/} #CSS_CLASSES!ATTR#{endif/} u-color" {if !IMAGE/}{if DESCRIPTION/} role="img" aria-label="#DESCRIPTION!ATTR#" title="#DESCRIPTION!ATTR#"{else/} role="presentation"{endif/}{endif/}'
||'>{if IMAGE/}<img src="#IMAGE!ATTR#" alt="#DESCRIPTION!ATTR#"{if ?DESCRIPTION/} title="#DESCRIPTION!ATTR#"{endif/} loading="lazy" />{else/}{if ?INITIALS/}#INITIALS!RAW#{endif/}{endif/}{if ?LINK/}</a>{else/}</span>{endif/}',
'{endif/}'))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>2
,p_substitute_attributes=>true
,p_reference_id=>1564363394689414260
,p_subscribe_plugin_settings=>true
,p_help_text=>'Display an image, icon, or initials. Available as a partial template to display a single row.'
,p_version_identifier=>'1.0'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475784725886199161)
,p_plugin_id=>wwv_flow_imp.id(6661470852327329196)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'TYPE'
,p_prompt=>'Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_default_value=>'IMAGE'
,p_demo_value=>'IMAGE'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Select the type of content that will be displayed in the avatar.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475786443307199162)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475784725886199161)
,p_display_sequence=>10
,p_display_value=>'Image'
,p_return_value=>'IMAGE'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475785297089199161)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475784725886199161)
,p_display_sequence=>20
,p_display_value=>'Initials'
,p_return_value=>'INITIALS'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475785853215199162)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475784725886199161)
,p_display_sequence=>30
,p_display_value=>'Icon'
,p_return_value=>'ICON'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475787069102199163)
,p_plugin_id=>wwv_flow_imp.id(6661470852327329196)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'IMAGE'
,p_prompt=>'Image'
,p_attribute_type=>'MEDIA'
,p_is_required=>false
,p_demo_value=>'#APEX_FILES#apex_ui/img/favicons/app-artwork-catalog.png'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475784725886199161)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'IMAGE'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Use the Media popup dialog to select a source for the avatar image.</p>',
'',
'<p>Available options include:',
'<ul>',
'<li>URL</li>',
'<li>BLOB Column</li>',
'<li>URL Column</li>',
'</ul>',
'</p>'))
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475787574925199163)
,p_plugin_id=>wwv_flow_imp.id(6661470852327329196)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>55
,p_static_id=>'DESCRIPTION'
,p_prompt=>'Description'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Enter a short description of the image/icon or select a source column from the quick pick options. This will be used as title & alt text for the avatar image/icon.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475788043072199163)
,p_plugin_id=>wwv_flow_imp.id(6661470852327329196)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'INITIALS'
,p_prompt=>'Initials'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475784725886199161)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'INITIALS'
,p_help_text=>'Select the source column to be displayed within each avatar. Only varchar2 data types are supported.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475788578064199164)
,p_plugin_id=>wwv_flow_imp.id(6661470852327329196)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_static_id=>'ICON'
,p_prompt=>'Icon'
,p_attribute_type=>'ICON'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475784725886199161)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'ICON'
,p_help_text=>'Enter an icon class or use the Pick Icon dialog to select the icon you want to add to display in the avatar.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475789037633199164)
,p_plugin_id=>wwv_flow_imp.id(6661470852327329196)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_static_id=>'SHAPE'
,p_prompt=>'Shape'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'Default'
,p_help_text=>'Select the shape of the avatar. Default inherits the shape set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475789542413199165)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475789037633199164)
,p_display_sequence=>10
,p_display_value=>'Rounded'
,p_return_value=>'t-Avatar--rounded'
,p_help_text=>'Displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475790142691199165)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475789037633199164)
,p_display_sequence=>20
,p_display_value=>'Circular'
,p_return_value=>'t-Avatar--circle'
,p_help_text=>'Displayed within a circular shape.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475790733845199166)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475789037633199164)
,p_display_sequence=>30
,p_display_value=>'Square'
,p_return_value=>'t-Avatar--square'
,p_help_text=>'Displayed within a square shape.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475791305733199166)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475789037633199164)
,p_display_sequence=>40
,p_display_value=>'No Shape'
,p_return_value=>'t-Avatar--noShape'
,p_help_text=>'Displayed inline without a containing shape.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475791995183199166)
,p_plugin_id=>wwv_flow_imp.id(6661470852327329196)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_static_id=>'SIZE'
,p_prompt=>'Size'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'Default'
,p_help_text=>'Set the size of the avatar. The default inherits the sizing set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475792453348199167)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475791995183199166)
,p_display_sequence=>10
,p_display_value=>'Extra Extra Small'
,p_return_value=>'t-Avatar--xxs'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475793009370199167)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475791995183199166)
,p_display_sequence=>20
,p_display_value=>'Extra Small'
,p_return_value=>'t-Avatar--xs'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475793684561199168)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475791995183199166)
,p_display_sequence=>30
,p_display_value=>'Small'
,p_return_value=>'t-Avatar--sm'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475794299945199168)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475791995183199166)
,p_display_sequence=>40
,p_display_value=>'Medium'
,p_return_value=>'t-Avatar--md'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475794840807199169)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475791995183199166)
,p_display_sequence=>50
,p_display_value=>'Large'
,p_return_value=>'t-Avatar--lg'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475795436707199169)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475791995183199166)
,p_display_sequence=>60
,p_display_value=>'Extra Large'
,p_return_value=>'t-Avatar--xl'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475796038876199170)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475791995183199166)
,p_display_sequence=>70
,p_display_value=>'Extra Extra Large'
,p_return_value=>'t-Avatar--xxl'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475796655091199170)
,p_plugin_id=>wwv_flow_imp.id(6661470852327329196)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_static_id=>'CSS_CLASSES'
,p_prompt=>'CSS Classes'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_is_common=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Enter classes to add to this component. You may add multiple classes by separating them with a space.'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8461521840636442949)
,p_plugin_id=>wwv_flow_imp.id(6661470852327329196)
,p_name=>'Link'
,p_static_id=>'LINK'
,p_display_sequence=>10
,p_is_quick_pick=>true
,p_type=>'LINK'
);
end;
/
prompt --application/shared_components/plugins/template_component/theme_42_badge
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(6661485123545329217)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '42')
,p_name=>'THEME_42$BADGE'
,p_display_name=>'Badge'
,p_supported_component_types=>'PARTIAL:REPORT'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('TEMPLATE COMPONENT','THEME_42$BADGE'),'')
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if APEX$IS_LAZY_LOADING/}',
'  <span class="t-Badge is-placeholder{if ?SIZE/} #SIZE!ATTR#{endif/}{if ?SHAPE/} #SHAPE!ATTR#{endif/}"></span>',
'{else/}',
'  {if ?LINK/}<a href="#LINK!ATTR#" #LINK_ATTR!RAW#{else/}<span{endif/} class="t-Badge {if ?STATE/}t-Badge--#STATE!ATTR#{endif/} {if ?STYLE/}#STYLE!ATTR#{endif/} {if ?SIZE/}#SIZE!ATTR#{endif/} {if ?SHAPE/}#SHAPE!ATTR#{endif/}" role="status" aria-label'
||'="#LABEL!ATTR# #VALUE!ATTR#" title="#LABEL!ATTR# #VALUE!ATTR#">',
'    {if ?ICON/}<span class="t-Badge-icon #ICON!ATTR#" aria-hidden="true"></span>{endif/}',
'    {if LABEL_DISPLAY/}<span class="t-Badge-label">#LABEL!RAW#</span>{endif/}',
'    <span class="t-Badge-value">#VALUE!RAW#</span>',
'  {if ?LINK/}</a>{else/}</span>{endif/}',
'{endif/}',
''))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>true
,p_api_version=>2
,p_report_body_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if !APEX$HAS_MESSAGE/}',
'  <ul class="t-Badges #APEX$COMPONENT_CSS_CLASSES#">#APEX$ROWS#</ul>',
'{endif/}'))
,p_report_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Badges-item" #APEX$ROW_IDENTIFICATION#>#APEX$PARTIAL#</li>',
''))
,p_report_placeholder_count=>1
,p_substitute_attributes=>true
,p_reference_id=>1564377533892414278
,p_subscribe_plugin_settings=>true
,p_help_text=>'Display content within a badge. Available for multiple report rows or a single row.'
,p_version_identifier=>'1.0'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475799113399199175)
,p_plugin_id=>wwv_flow_imp.id(6661485123545329217)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'LABEL'
,p_prompt=>'Label'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_escape_mode=>'STRIPHTML'
,p_is_translatable=>true
,p_help_text=>'Enter a value for the badge label or select a source column from the quick pick options.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475799674255199175)
,p_plugin_id=>wwv_flow_imp.id(6661485123545329217)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'VALUE'
,p_prompt=>'Value'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_escape_mode=>'STRIPHTML'
,p_column_data_types=>'VARCHAR2:NUMBER:DATE:INTERVAL_Y2M:INTERVAL_D2S'
,p_is_translatable=>false
,p_help_text=>'Select a source column for the badge value.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475800105713199176)
,p_plugin_id=>wwv_flow_imp.id(6661485123545329217)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_static_id=>'STATE'
,p_prompt=>'State'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_help_text=>'Select the source column for the state of the badge. Substitute column value with "danger", "warning", "success" or "info" for default styling.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475800666403199176)
,p_plugin_id=>wwv_flow_imp.id(6661485123545329217)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'ICON'
,p_prompt=>'Icon'
,p_attribute_type=>'ICON'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Enter an icon class or use the Pick Icon dialog to select the icon you want to add to display in the badge.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475801158661199177)
,p_plugin_id=>wwv_flow_imp.id(6661485123545329217)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_static_id=>'LABEL_DISPLAY'
,p_prompt=>'Display Label'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Specify whether to display or hide the badge label. When set to Yes, the badge label will be displayed in addition to the badge value. When set to No, only the badge value will be displayed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475801605132199177)
,p_plugin_id=>wwv_flow_imp.id(6661485123545329217)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_static_id=>'STYLE'
,p_prompt=>'Style'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'Default'
,p_help_text=>'Select the badge style. Default inherits the style set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475802107913199177)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475801605132199177)
,p_display_sequence=>10
,p_display_value=>'Subtle'
,p_return_value=>'t-Badge--subtle'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475802778990199178)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475801605132199177)
,p_display_sequence=>20
,p_display_value=>'Outline'
,p_return_value=>'t-Badge--outline'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475803395371199178)
,p_plugin_id=>wwv_flow_imp.id(6661485123545329217)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_static_id=>'SHAPE'
,p_prompt=>'Shape'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'Default'
,p_help_text=>'Select the shape of the badge. Default inherits the shape set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475805073855199180)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475803395371199178)
,p_display_sequence=>10
,p_display_value=>'Rounded'
,p_return_value=>'t-Badge--rounded'
,p_help_text=>'Displayed with rounded corners.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475803899207199179)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475803395371199178)
,p_display_sequence=>20
,p_display_value=>'Circular'
,p_return_value=>'t-Badge--circle'
,p_help_text=>'Displayed with circular edges.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475804436834199179)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475803395371199178)
,p_display_sequence=>30
,p_display_value=>'Square'
,p_return_value=>'t-Badge--square'
,p_help_text=>'Displayed with squared edges.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475805604661199180)
,p_plugin_id=>wwv_flow_imp.id(6661485123545329217)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_static_id=>'SIZE'
,p_prompt=>'Size'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'Default'
,p_help_text=>'Set the size of the badge. The default inherits the sizing set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475806129925199180)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475805604661199180)
,p_display_sequence=>10
,p_display_value=>'Small'
,p_return_value=>'t-Badge--sm'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475806754151199181)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475805604661199180)
,p_display_sequence=>20
,p_display_value=>'Medium'
,p_return_value=>'t-Badge--md'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475807347029199181)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475805604661199180)
,p_display_sequence=>30
,p_display_value=>'Large'
,p_return_value=>'t-Badge--lg'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(7987281154324301364)
,p_plugin_id=>wwv_flow_imp.id(6661485123545329217)
,p_name=>'Link'
,p_static_id=>'LINK'
,p_display_sequence=>10
,p_type=>'LINK'
);
end;
/
prompt --application/shared_components/plugins/template_component/theme_42_comments
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(6661494358231329223)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '42')
,p_name=>'THEME_42$COMMENTS'
,p_display_name=>'Comments'
,p_supported_component_types=>'PARTIAL:REPORT'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('TEMPLATE COMPONENT','THEME_42$COMMENTS'),'')
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if APEX$IS_LAZY_LOADING/}',
'  <div class="t-Comments-item{if ?COMMENT_CLASS/} #COMMENT_CLASS!ATTR#{endif/}">',
'    {if DISPLAY_AVATAR%assigned/}',
'      <div class="t-Comments-icon">',
'        {with/}',
'          SIZE:=t-Avatar--xs',
'          SHAPE:=#AVATAR_SHAPE#',
'        {apply THEME$AVATAR/}',
'      </div>',
'    {endif/}',
'    <div class="t-Comments-body">',
'      <div class="t-Comments-info">',
'        <span class="t-Comments-user is-placeholder"></span>',
'      </div>',
'      <div class="t-Comments-comment is-placeholder"></div>',
'    </div>',
'  </div>',
'{else/}',
'  <div class="t-Comments-item{if ?COMMENT_CLASS/} #COMMENT_CLASS!ATTR#{endif/}">',
'    {if DISPLAY_AVATAR/}',
'      <div class="t-Comments-icon">',
'        {with/}',
'          TYPE:=#AVATAR_TYPE#',
'          IMAGE:=#AVATAR_IMAGE#',
'          DESCRIPTION:=#AVATAR_DESCRIPTION#',
'          ICON:=#AVATAR_ICON#',
'          INITIALS:=#AVATAR_INITIALS#',
'          SIZE:=t-Avatar--xs',
'          SHAPE:=#AVATAR_SHAPE#',
'          CSS_CLASSES:=u-color',
'          LINK:=#AVATAR_LINK#',
'          LINK_ATTR:=#AVATAR_LINK_ATTR!RAW#',
'        {apply THEME$AVATAR/}',
'      </div>',
'    {endif/}',
'    <div class="t-Comments-body">',
'      <div class="t-Comments-info">',
'        <span class="t-Comments-user">{if USER_NAME_LINK/}<a href="#USER_NAME_LINK!ATTR#" #USER_NAME_LINK_ATTR!RAW#>{endif/}#USER_NAME!RAW#{if USER_NAME_LINK/}</a>{endif/}</span>',
'        {if COMMENT_DATE/}<span class="t-Comments-date">#COMMENT_DATE!RAW#</span>{endif/}',
'        {if ACTIONS/}<span class="t-Comments-actions">#ACTIONS!RAW#</span>{endif/}',
'      </div>',
'      <div class="t-Comments-comment">',
'        #COMMENT_TEXT!RAW#',
'        {if ATTRIBUTES/}<div class="t-Comments-attributes">#ATTRIBUTES!RAW#</div>{endif/}',
'      </div>',
'    </div>',
'  </div>',
'{endif/}'))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>1
,p_report_body_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-Comments{if ?STYLE/} #STYLE!ATTR#{endif/} {if APPLY_THEME_COLORS/} u-colors{endif/} #APEX$COMPONENT_CSS_CLASSES#">#APEX$ROWS#</ul>',
''))
,p_report_row_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<li class="t-Comments-item" #APEX$ROW_IDENTIFICATION#>#APEX$PARTIAL#</li>',
''))
,p_report_placeholder_count=>3
,p_substitute_attributes=>true
,p_reference_id=>1564386865908414285
,p_subscribe_plugin_settings=>true
,p_is_quick_pick=>true
,p_help_text=>'Display user comments and status updates. Supports avatars. Available for a single row or as a report with multiple rows.'
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(8275698516029230905)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_title=>'Avatar'
,p_display_sequence=>20
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475813787595199190)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'COMMENT_TEXT'
,p_prompt=>'Comment Text'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_demo_value=>'Praesent vel felis rutrum erat elementum viverra sit amet non odio. Cras vel auctor eros, in malesuada dolor. Nulla tellus magna, ornare consectetur purus id, volutpat egestas felis. Proin lobortis risus massa, nec faucibus arcu malesuada a. Nunc sed'
||' gravida urna. Fusce at ligula sed erat consequat pharetra.'
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_help_text=>'Select a source column containing text for user comments.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475814238850199191)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'USER_NAME'
,p_prompt=>'User Name'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_demo_value=>'Joel'
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_help_text=>'Select a source column to be displayed as the user name associated with a comment.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475814763391199191)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_static_id=>'COMMENT_DATE'
,p_prompt=>'Date'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_demo_value=>'5 minutes ago'
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2:DATE'
,p_is_translatable=>false
,p_help_text=>'Select a source column containing a date, date range, or time.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475815207837199191)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'ATTRIBUTES'
,p_prompt=>'Attributes'
,p_attribute_type=>'TEXTAREA'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>true
,p_help_text=>'Enter some text and/or column substitution strings to be used as the comment attributes.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475815726920199192)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_static_id=>'AVATAR_TYPE'
,p_prompt=>'Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'icon'
,p_demo_value=>'initials'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475822904348199198)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8275698516029230905)
,p_help_text=>'Select the type of content that will be displayed in the avatar.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475816229033199192)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475815726920199192)
,p_display_sequence=>10
,p_display_value=>'Image'
,p_return_value=>'image'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475816897878199193)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475815726920199192)
,p_display_sequence=>20
,p_display_value=>'Initials'
,p_return_value=>'initials'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475817491149199193)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475815726920199192)
,p_display_sequence=>30
,p_display_value=>'Icon'
,p_return_value=>'icon'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475818062608199194)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_static_id=>'AVATAR_IMAGE'
,p_prompt=>'Image'
,p_attribute_type=>'MEDIA'
,p_is_required=>true
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475815726920199192)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'image'
,p_attribute_group_id=>wwv_flow_imp.id(8275698516029230905)
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Use the Media popup dialog to select a source for the avatar image.</p>',
'',
'<p>Available options include:',
'<ul>',
'<li>URL</li>',
'<li>BLOB Column</li>',
'<li>URL Column</li>',
'</ul>',
'</p>'))
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475818519158199194)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>95
,p_static_id=>'AVATAR_DESCRIPTION'
,p_prompt=>'Description'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>true
,p_attribute_group_id=>wwv_flow_imp.id(8275698516029230905)
,p_help_text=>'Enter a short description of the image/icon or select a source column from the quick pick options. This will be used as title & alt text for the avatar image/icon.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475819079526199195)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_static_id=>'AVATAR_INITIALS'
,p_prompt=>'Initials'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_demo_value=>'JK'
,p_escape_mode=>'STRIPHTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475815726920199192)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'initials'
,p_attribute_group_id=>wwv_flow_imp.id(8275698516029230905)
,p_help_text=>'Select the source column to be displayed within each avatar. Only varchar2 data types are supported.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475819592094199195)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_static_id=>'AVATAR_ICON'
,p_prompt=>'Icon'
,p_attribute_type=>'ICON'
,p_is_required=>true
,p_default_value=>'fa-user'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475815726920199192)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'icon'
,p_attribute_group_id=>wwv_flow_imp.id(8275698516029230905)
,p_help_text=>'Enter an icon class or use the Pick Icon dialog to select the icon you want to add to display in the avatar.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475820092668199195)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>100
,p_static_id=>'AVATAR_SHAPE'
,p_prompt=>'Shape'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'t-Avatar--rounded'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475822904348199198)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8275698516029230905)
,p_help_text=>'Select the shape of the avatar. Default inherits the shape set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475820519908199196)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475820092668199195)
,p_display_sequence=>10
,p_display_value=>'Rounded'
,p_return_value=>'t-Avatar--rounded'
,p_help_text=>'Displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475821166481199196)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475820092668199195)
,p_display_sequence=>20
,p_display_value=>'Circular'
,p_return_value=>'t-Avatar--circle'
,p_help_text=>'Displayed within a circular shape.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475821774677199197)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475820092668199195)
,p_display_sequence=>30
,p_display_value=>'Square'
,p_return_value=>'t-Avatar--square'
,p_help_text=>'Displayed within a square shape.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475822379254199197)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475820092668199195)
,p_display_sequence=>40
,p_display_value=>'No Shape'
,p_return_value=>'t-Avatar--noShape'
,p_help_text=>'Displayed inline without a containing shape.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475822904348199198)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>110
,p_static_id=>'DISPLAY_AVATAR'
,p_prompt=>'Display Avatar'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'Y'
,p_demo_value=>'Y'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Specify whether to display or hide the avatar for each row. When set to Yes, an avatar will be displayed with the assigned image, icon, or initials. When set to No, no avatar will be displayed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475823498954199198)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>14
,p_display_sequence=>45
,p_static_id=>'COMMENT_CLASS'
,p_prompt=>'Comment Class'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Allows you to pass a class onto individual comments. Example using is-active will highlight the specific comment with a different shade.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475823902635199198)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_static_id=>'STYLE'
,p_prompt=>'Style'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'t-Comments--basic'
,p_demo_value=>'t-Comments--chat'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Set the style of the comments.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475824492076199199)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475823902635199198)
,p_display_sequence=>10
,p_display_value=>'Basic'
,p_return_value=>'t-Comments--basic'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475825043052199199)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475823902635199198)
,p_display_sequence=>20
,p_display_value=>'Chat (Speech Bubbles)'
,p_return_value=>'t-Comments--chat'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475825653538199200)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_static_id=>'APPLY_THEME_COLORS'
,p_prompt=>'Apply Theme Colors'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'Y'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Specify whether to use the Universal Theme colors for avatar and badge row items. When set to Yes, the u-colors class will be applied to each row. When set to No, a default color will be used instead.'
);
wwv_flow_imp_shared.create_plugin_act_template(
 p_id=>wwv_flow_imp.id(8461512753092462442)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_name=>'Link'
,p_type=>'BUTTON'
,p_template=>'{if !IS_DISABLED/}<a {if CSS_CLASSES/}class="#CSS_CLASSES#"{endif/} href="#LINK_URL#" #LINK_ATTR!RAW#>#LABEL!RAW#</a>{endif/}'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8461512161587454985)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_name=>'Actions'
,p_static_id=>'ACTIONS'
,p_display_sequence=>10
,p_type=>'TEMPLATE'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8461567785257436864)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_name=>'Avatar Link'
,p_static_id=>'AVATAR_LINK'
,p_display_sequence=>20
,p_type=>'LINK'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8461720002970307635)
,p_plugin_id=>wwv_flow_imp.id(6661494358231329223)
,p_name=>'User Name Link'
,p_static_id=>'USER_NAME_LINK'
,p_display_sequence=>30
,p_type=>'LINK'
);
end;
/
prompt --application/shared_components/plugins/template_component/theme_42_button
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(6661511256437329235)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '42')
,p_name=>'THEME_42$BUTTON'
,p_display_name=>'Button'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('TEMPLATE COMPONENT','THEME_42$BUTTON'),'')
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if MENU_ID/}<button type="button" data-menu="#MENU_ID!ATTR#"{else/}<a href="#LINK_URL!ATTR#" #LINK_ATTR!RAW#{endif/} class="t-Button{if IS_HOT/} t-Button--hot{endif/}{if IS_ICON_ONLY/} t-Button--noLabel t-Button--icon{else/}{if ICON_CLASSES/} t-Butt'
||'on--iconLeft{endif/}{endif/} #CSS_CLASSES!ATTR#" title="#LABEL!ATTR#" {if IS_DISABLED/} disabled{endif/}>',
'  {if ?ICON_CLASSES/}<span class="t-Icon t-Icon--left #ICON_CLASSES!ATTR#" aria-hidden="true"></span>{endif/}<span class="t-Button-label">#LABEL!RAW#</span>',
'{if MENU_ID/}</button>{else/}</a>{endif/}',
''))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>1
,p_substitute_attributes=>true
,p_reference_id=>1568467215199837453
,p_subscribe_plugin_settings=>true
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475808735596199183)
,p_plugin_id=>wwv_flow_imp.id(6661511256437329235)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'LABEL'
,p_prompt=>'Label'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475809280104199183)
,p_plugin_id=>wwv_flow_imp.id(6661511256437329235)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'LINK_URL'
,p_prompt=>'Link URL'
,p_attribute_type=>'LINK'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475809703976199184)
,p_plugin_id=>wwv_flow_imp.id(6661511256437329235)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_static_id=>'LINK_ATTR'
,p_prompt=>'Link Attribute'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475810221984199184)
,p_plugin_id=>wwv_flow_imp.id(6661511256437329235)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'ICON_CLASSES'
,p_prompt=>'Icon Classes'
,p_attribute_type=>'ICON'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475810786798199185)
,p_plugin_id=>wwv_flow_imp.id(6661511256437329235)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_static_id=>'CSS_CLASSES'
,p_prompt=>'CSS Classes'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475811296138199185)
,p_plugin_id=>wwv_flow_imp.id(6661511256437329235)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_static_id=>'IS_DISABLED'
,p_prompt=>'Is Disabled'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475811747341199185)
,p_plugin_id=>wwv_flow_imp.id(6661511256437329235)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_static_id=>'IS_HOT'
,p_prompt=>'Is Hot'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475812291343199186)
,p_plugin_id=>wwv_flow_imp.id(6661511256437329235)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_static_id=>'IS_ICON_ONLY'
,p_prompt=>'Is Icon Only'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
);
end;
/
prompt --application/shared_components/plugins/template_component/theme_42_timeline
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(6661515671017329240)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '42')
,p_name=>'THEME_42$TIMELINE'
,p_display_name=>'Timeline'
,p_supported_component_types=>'PARTIAL:REPORT'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('TEMPLATE COMPONENT','THEME_42$TIMELINE'),'')
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<div{if ?CSS_CLASSES/} class="#CSS_CLASSES#"{endif/}{if ?ATTRIBUTES/}#ATTRIBUTES!RAW#{endif/}>',
'  <div class="t-Timeline-wrap">',
'    <div class="t-Timeline-user">',
'      {if DISPLAY_AVATAR/}',
'        {with/}',
'          TYPE:=#AVATAR_TYPE#',
'          IMAGE:=#AVATAR_IMAGE#',
'          DESCRIPTION:=#AVATAR_DESCRIPTION#',
'          INITIALS:=#AVATAR_INITIALS#',
'          ICON:=#AVATAR_ICON#',
'          SHAPE:=#AVATAR_SHAPE#',
'          SIZE:=',
'          LINK:=#AVATAR_LINK#',
'          LINK_ATTR:=#AVATAR_LINK_ATTR!RAW#',
'        {apply THEME$AVATAR/}',
'      {endif/}',
'      <div class="t-Timeline-userinfo">',
'        <span class="t-Timeline-username">{if ?USER_NAME_LINK/}<a href="#USER_NAME_LINK!ATTR#" #USER_NAME_LINK_ATTR!RAW#>{endif/}#USER_NAME!RAW#{if ?USER_NAME_LINK/}</a>{endif/}</span>',
'        <span class="t-Timeline-date">#DATE!RAW#</span>',
'      </div>',
'    </div>',
'    <div class="t-Timeline-content">',
'      {if DISPLAY_BADGE/}',
'        <div class="t-Timeline-typeWrap">',
'          {with/}',
'            LABEL_DISPLAY:=#BADGE_LABEL_DISPLAY#',
'            LABEL:=#BADGE_LABEL#',
'            VALUE:=#BADGE_VALUE#',
'            ICON:=#BADGE_ICON#',
'            STATE:=#BADGE_STATE#',
'          {apply THEME$BADGE/}',
'        </div>',
'      {endif/}',
'      <div class="t-Timeline-body">',
'        <h3 class="t-Timeline-title">{if ?TITLE_LINK/}<a href="#TITLE_LINK!ATTR#" #TITLE_LINK_ATTR!RAW#>{endif/}#TITLE!RAW#{if ?TITLE_LINK/}</a>{endif/}</h3>',
'        {if ?DESCRIPTION/}<p class="t-Timeline-desc">#DESCRIPTION!RAW#</p>{endif/}',
'      </div>',
'    </div>',
'  </div>',
'</div>'))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>1
,p_report_body_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<ul class="t-Timeline{if ?STYLE/} #STYLE#{endif/}{if APPLY_THEME_COLORS/} u-colors{endif/} #APEX$COMPONENT_CSS_CLASSES#">#APEX$ROWS#</ul>',
''))
,p_report_row_template=>'<li class="t-Timeline-item" #APEX$ROW_IDENTIFICATION#>#APEX$PARTIAL#</li>'
,p_report_placeholder_count=>3
,p_substitute_attributes=>true
,p_reference_id=>1601817836543095628
,p_subscribe_plugin_settings=>true
,p_is_quick_pick=>true
,p_help_text=>'Display a series of events. Supports avatars and badges. Available for a single row or as a report with multiple rows.'
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(8622984659393306232)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_title=>'Badge'
,p_display_sequence=>20
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(8622985214405306233)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_title=>'Avatar'
,p_display_sequence=>10
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475902844887199283)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'USER_NAME'
,p_prompt=>'User Name'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_demo_value=>'User'
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_help_text=>'Select a source column to be displayed as the user name associated with a timeline event.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475903307748199283)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'DATE'
,p_prompt=>'Date'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_demo_value=>'1 hour ago'
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2:NUMBER:DATE:INTERVAL_Y2M:INTERVAL_D2S'
,p_is_translatable=>false
,p_help_text=>'Select a source column containing a date, date range, or time.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475903852012199283)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_static_id=>'TITLE'
,p_prompt=>'Title'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_demo_value=>'Lorem ipsum dolor sit amet'
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_help_text=>'Select a source column to be used as the title.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475904351746199284)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'DESCRIPTION'
,p_prompt=>'Description'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_demo_value=>'Nunc sit amet nunc quis magna ornare suscipit. Etiam aliquet maximus sapien, at sagittis sem gravida nec.'
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_help_text=>'Select a source column to be used for the row description.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475904828792199284)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_static_id=>'DISPLAY_AVATAR'
,p_prompt=>'Display Avatar'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_demo_value=>'Y'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Specify whether to display or hide the avatar for each row. When set to Yes, an avatar will be displayed with the assigned image, icon, or initials. When set to No, no avatar will be displayed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475905312009199285)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_static_id=>'DISPLAY_BADGE'
,p_prompt=>'Display Badge'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_demo_value=>'Y'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Specify whether to display or hide the badge for each row. When set to Yes, a badge will be displayed in each row. When set to No, no badge will be displayed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475905803984199285)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_static_id=>'AVATAR_TYPE'
,p_prompt=>'Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'icon'
,p_demo_value=>'icon'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475904828792199284)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8622985214405306233)
,p_help_text=>'Select the type of content that will be displayed in the avatar.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475906338119199285)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475905803984199285)
,p_display_sequence=>10
,p_display_value=>'Image'
,p_return_value=>'image'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475906945122199286)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475905803984199285)
,p_display_sequence=>20
,p_display_value=>'Initials'
,p_return_value=>'initials'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475907587721199286)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475905803984199285)
,p_display_sequence=>30
,p_display_value=>'Icon'
,p_return_value=>'icon'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475908118355199287)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_static_id=>'AVATAR_IMAGE'
,p_prompt=>'Image'
,p_attribute_type=>'MEDIA'
,p_is_required=>true
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475905803984199285)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'image'
,p_attribute_group_id=>wwv_flow_imp.id(8622985214405306233)
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Use the Media popup dialog to select a source for the avatar image.</p>',
'',
'<p>Available options include:',
'<ul>',
'<li>URL</li>',
'<li>BLOB Column</li>',
'<li>URL Column</li>',
'</ul>',
'</p>'))
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475908686971199287)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>115
,p_static_id=>'AVATAR_DESCRIPTION'
,p_prompt=>'Description'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>true
,p_attribute_group_id=>wwv_flow_imp.id(8622985214405306233)
,p_help_text=>'Enter a short description of the image/icon or select a source column from the quick pick options. This will be used as title & alt text for the avatar image/icon.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475909190252199288)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>100
,p_static_id=>'AVATAR_INITIALS'
,p_prompt=>'Initials'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_escape_mode=>'STRIPHTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475905803984199285)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'initials'
,p_attribute_group_id=>wwv_flow_imp.id(8622985214405306233)
,p_help_text=>'Select the source column to be displayed within each avatar. Only varchar2 data types are supported.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475909670782199288)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>110
,p_static_id=>'AVATAR_ICON'
,p_prompt=>'Icon'
,p_attribute_type=>'ICON'
,p_is_required=>true
,p_default_value=>'fa-user'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475905803984199285)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'icon'
,p_attribute_group_id=>wwv_flow_imp.id(8622985214405306233)
,p_help_text=>'Enter an icon class or use the Pick Icon dialog to select the icon you want to add to display in the avatar.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475910148107199288)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_static_id=>'AVATAR_SHAPE'
,p_prompt=>'Shape'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'t-Avatar--circle'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475904828792199284)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8622985214405306233)
,p_help_text=>'Select the shape of the avatar. Default inherits the shape set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475910604500199289)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475910148107199288)
,p_display_sequence=>10
,p_display_value=>'Rounded'
,p_return_value=>'t-Avatar--rounded'
,p_help_text=>'Displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475911201455199289)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475910148107199288)
,p_display_sequence=>20
,p_display_value=>'Circular'
,p_return_value=>'t-Avatar--circle'
,p_help_text=>'Displayed within a circular shape.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475911817121199289)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475910148107199288)
,p_display_sequence=>30
,p_display_value=>'Square'
,p_return_value=>'t-Avatar--square'
,p_help_text=>'Displayed within a square shape.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475912415480199290)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475910148107199288)
,p_display_sequence=>40
,p_display_value=>'No Shape'
,p_return_value=>'t-Avatar--noShape'
,p_help_text=>'Displayed inline without a containing shape.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475913090155199290)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_static_id=>'BADGE_LABEL'
,p_prompt=>'Label'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_escape_mode=>'HTML'
,p_is_translatable=>true
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475905312009199285)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8622984659393306232)
,p_help_text=>'Enter a value for the badge label or select a source column from the quick pick options.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475913571008199291)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>14
,p_display_sequence=>140
,p_static_id=>'BADGE_VALUE'
,p_prompt=>'Value'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_demo_value=>'Closed'
,p_escape_mode=>'ATTR'
,p_column_data_types=>'VARCHAR2:NUMBER:DATE:INTERVAL_Y2M:INTERVAL_D2S'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475905312009199285)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8622984659393306232)
,p_help_text=>'Select a source column for the badge value.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475914094277199291)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>15
,p_display_sequence=>150
,p_static_id=>'BADGE_STATE'
,p_prompt=>'State'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_demo_value=>'is-removed'
,p_escape_mode=>'ATTR'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475905312009199285)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8622984659393306232)
,p_help_text=>'Select the source column for the state of the badge. Substitute column value with "danger", "warning", "success" or "info" for default styling.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475914569208199291)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>16
,p_display_sequence=>160
,p_static_id=>'BADGE_ICON'
,p_prompt=>'Icon'
,p_attribute_type=>'ICON'
,p_is_required=>false
,p_demo_value=>'fa-check-circle-o'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475905312009199285)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8622984659393306232)
,p_help_text=>'Enter an icon class or use the Pick Icon dialog to select the icon you want to add to display in the badge.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475915043562199292)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>17
,p_display_sequence=>170
,p_static_id=>'BADGE_LABEL_DISPLAY'
,p_prompt=>'Display Label'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475905312009199285)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8622984659393306232)
,p_help_text=>'Specify whether to display or hide the badge label. When set to Yes, the badge label will be displayed in addition to the badge value. When set to No, only the badge value will be displayed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475915502108199292)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>18
,p_display_sequence=>180
,p_static_id=>'BADGE_STYLE'
,p_prompt=>'Style'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475905312009199285)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8622984659393306232)
,p_null_text=>'Default'
,p_help_text=>'Select the badge style. Default inherits the style set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475916067093199293)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475915502108199292)
,p_display_sequence=>10
,p_display_value=>'Subtle'
,p_return_value=>'t-Badge--subtle'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475916612466199293)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475915502108199292)
,p_display_sequence=>20
,p_display_value=>'Outline'
,p_return_value=>'t-Badge--outline'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475917272668199293)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>19
,p_display_sequence=>190
,p_static_id=>'BADGE_SHAPE'
,p_prompt=>'Shape'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475905312009199285)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8622984659393306232)
,p_null_text=>'Default'
,p_help_text=>'Select the shape of the badge. Default inherits the shape set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475917757111199294)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475917272668199293)
,p_display_sequence=>10
,p_display_value=>'Rounded'
,p_return_value=>'t-Badge--rounded'
,p_help_text=>'Displayed with rounded corners.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475918353136199294)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475917272668199293)
,p_display_sequence=>20
,p_display_value=>'Circular'
,p_return_value=>'t-Badge--circle'
,p_help_text=>'Displayed with circular edges.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475918914129199295)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475917272668199293)
,p_display_sequence=>30
,p_display_value=>'Square'
,p_return_value=>'t-Badge--square'
,p_help_text=>'Displayed with squared edges.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475919556279199295)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>20
,p_display_sequence=>200
,p_static_id=>'STYLE'
,p_prompt=>'Style'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'Default'
,p_help_text=>'Set the style of timeline items.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475920063549199295)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475919556279199295)
,p_display_sequence=>10
,p_display_value=>'Compact'
,p_return_value=>'t-Timeline--compact'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475920698674199296)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>21
,p_display_sequence=>210
,p_static_id=>'APPLY_THEME_COLORS'
,p_prompt=>'Apply Theme Colors'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'Y'
,p_demo_value=>'Y'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Specify whether to use the Universal Theme colors for avatar and badge row items. When set to Yes, the u-colors class will be applied to each row. When set to No, a default color will be used instead.'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8456368806824644778)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_name=>'Title Link'
,p_static_id=>'TITLE_LINK'
,p_display_sequence=>25
,p_type=>'LINK'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8570780169812908379)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_name=>'User Name Link'
,p_static_id=>'USER_NAME_LINK'
,p_display_sequence=>15
,p_type=>'LINK'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8689811416787212820)
,p_plugin_id=>wwv_flow_imp.id(6661515671017329240)
,p_name=>'Avatar Link'
,p_static_id=>'AVATAR_LINK'
,p_display_sequence=>10
,p_type=>'LINK'
);
end;
/
prompt --application/shared_components/plugins/template_component/theme_42_content_row
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(6661541709149329257)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '42')
,p_name=>'THEME_42$CONTENT_ROW'
,p_display_name=>'Content Row'
,p_supported_component_types=>'PARTIAL:REPORT'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('TEMPLATE COMPONENT','THEME_42$CONTENT_ROW'),'')
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if APEX$IS_LAZY_LOADING/}',
'  <div class="t-ContentRow-wrap" aria-hidden="true">',
'    {if ?SELECTION%assigned/}<div class="t-ContentRow-selection is-placeholder"></div>{endif/}',
'    {if DISPLAY_BADGE/}',
'      <div class="t-ContentRow-badge #BADGE_COL_WIDTH!ATTR# #BADGE_POS!ATTR# #BADGE_ALIGNMENT!ATTR#">',
'        {with/}',
'          LABEL:=',
'          VALUE:=',
'          SIZE:=#BADGE_SIZE#',
'          SHAPE:=#BADGE_SHAPE#',
'        {apply THEME$BADGE/}',
'      </div>',
'    {endif/}',
'    {if DISPLAY_AVATAR/}',
'      <div class="t-ContentRow-avatar">',
'        {with/}',
'          SHAPE:=#AVATAR_SHAPE#',
'          SIZE:=#AVATAR_SIZE#',
'        {apply THEME$AVATAR/}',
'      </div>',
'    {endif/}',
'    <div class="t-ContentRow-body">',
'      <div class="t-ContentRow-content">',
'        {if ?OVERLINE%assigned/}<div class="t-ContentRow-overline is-placeholder"></div>{endif/}',
'        {if ?TITLE%assigned/}<div class="t-ContentRow-title is-placeholder"></div>{endif/}',
'        {if ?DESCRIPTION%assigned/}<div class="t-ContentRow-description is-placeholder"></div>{endif/}',
'      </div>',
'      {if ?MISC%assigned/}<div class="t-ContentRow-misc is-placeholder"></div>{endif/}',
'      {if ?PRIMARY_ACTIONS%assigned/}<div class="t-ContentRow-actions is-placeholder"></div>{endif/}',
'    </div>',
'  </div>',
'{else/}',
'  {if ?FULL_ROW_LINK/}<a class="t-ContentRow-fullLink" href="#FULL_ROW_LINK!ATTR#" #FULL_ROW_LINK_ATTR!RAW#></a>{endif/}',
'  <div class="t-ContentRow-wrap">',
'    {if ?SELECTION%assigned/}<div class="t-ContentRow-selection">#SELECTION!RAW#</div>{endif/}',
'    {if DISPLAY_BADGE/}',
'      <div class="t-ContentRow-badge #BADGE_COL_WIDTH!ATTR# #BADGE_POS!ATTR# #BADGE_ALIGNMENT!ATTR#">',
'        {with/}',
'          LABEL_DISPLAY:=#BADGE_LABEL_DISPLAY#',
'          LABEL:=#BADGE_LABEL#',
'          VALUE:=#BADGE_VALUE#',
'          ICON:=#BADGE_ICON#',
'          STATE:=#BADGE_STATE#',
'          SIZE:=#BADGE_SIZE#',
'          STYLE:=#BADGE_STYLE#',
'          SHAPE:=#BADGE_SHAPE#',
'          LINK:=#BADGE_LINK#',
'          LINK_ATTR:=#BADGE_LINK_ATTR!RAW#',
'        {apply THEME$BADGE/}',
'      </div>',
'    {endif/}',
'    {if DISPLAY_AVATAR/}',
'      <div class="t-ContentRow-avatar" aria-hidden="true">',
'        {with/}',
'          TYPE:=#AVATAR_TYPE#',
'          IMAGE:=#AVATAR_IMAGE#',
'          DESCRIPTION:=#AVATAR_DESCRIPTION#',
'          INITIALS:=#AVATAR_INITIALS#',
'          ICON:=#AVATAR_ICON#',
'          SHAPE:=#AVATAR_SHAPE#',
'          SIZE:=#AVATAR_SIZE#',
'          LINK:=#AVATAR_LINK#',
'          LINK_ATTR:=#AVATAR_LINK_ATTR!RAW#',
'        {apply THEME$AVATAR/}',
'      </div>',
'    {endif/}',
'    <div class="t-ContentRow-body">',
'      <div class="t-ContentRow-content">',
'        {if ?OVERLINE/}<div class="t-ContentRow-overline">#OVERLINE!RAW#</div>{endif/}',
'        {if ?TITLE/}<h3 class="t-ContentRow-title">{if ?TITLE_LINK/}<a href="#TITLE_LINK!ATTR#" #TITLE_LINK_ATTR!RAW#>{endif/}#TITLE!RAW#{if ?TITLE_LINK/}</a>{endif/}</h3>{endif/}',
'        {if ?DESCRIPTION/}<div class="t-ContentRow-description">#DESCRIPTION!RAW#</div>{endif/}',
'      </div>',
'      {if ?MISC%assigned/}<div class="t-ContentRow-misc">#MISC!RAW#</div>{endif/}',
'      {if ?PRIMARY_ACTIONS/}<div class="t-ContentRow-actions">#PRIMARY_ACTIONS#</div>{endif/}',
'    </div>',
'  </div>',
'{endif/}',
''))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>1
,p_report_body_template=>'<ul class="t-ContentRow{if ?STYLE/} #STYLE!ATTR#{endif/}{if REMOVE_PADDING/} t-ContentRow--removePadding{endif/}{if HIDE_BORDERS/} t-ContentRow--hideBorders{endif/}{if APPLY_THEME_COLORS/} u-colors{endif/} #APEX$COMPONENT_CSS_CLASSES#">#APEX$ROWS#</u'
||'l>'
,p_report_row_template=>'<li class="t-ContentRow-item{if ?ITEM_CLASSES/} #ITEM_CLASSES#{endif/}" #APEX$ROW_IDENTIFICATION#>#APEX$PARTIAL#</li>'
,p_report_placeholder_count=>3
,p_substitute_attributes=>true
,p_reference_id=>1568468153344837456
,p_subscribe_plugin_settings=>true
,p_is_quick_pick=>true
,p_help_text=>'Display content in a formatted row with a title, description, and more. Supports avatars and badges. Available for a single row or as a report with multiple rows.'
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(8403067715746270905)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_title=>'Avatar'
,p_display_sequence=>10
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(8403067160734270904)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_title=>'Badge'
,p_display_sequence=>20
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(8146175097003997391)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_title=>'Appearance'
,p_display_sequence=>30
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475831310785199212)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'OVERLINE'
,p_prompt=>'Overline'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_demo_value=>'Category'
,p_escape_mode=>'RAW'
,p_is_translatable=>true
,p_help_text=>'Enter some text and/or column substitution strings to display at the top of each row above the title and description.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475831898418199213)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'TITLE'
,p_prompt=>'Title'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_demo_value=>'Lorem ipsum dolor sit amet'
,p_escape_mode=>'HTML'
,p_is_translatable=>true
,p_help_text=>'Enter some text and/or column substitution strings to be used as the title in each row.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475832335979199213)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_static_id=>'DESCRIPTION'
,p_prompt=>'Description'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_demo_value=>'Nunc sit amet nunc quis magna ornare suscipit. Etiam aliquet maximus sapien, at sagittis sem gravida nec.'
,p_escape_mode=>'RAW'
,p_is_translatable=>true
,p_help_text=>'Enter some text and/or column substitution strings to be used as the description in each row.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475832801908199214)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'MISC'
,p_prompt=>'Miscellaneous'
,p_attribute_type=>'HTML'
,p_is_required=>false
,p_escape_mode=>'RAW'
,p_is_translatable=>true
,p_help_text=>'Enter miscellaneous content such as additional text and/or column substitution strings to display in each row.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475833350178199214)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_static_id=>'DISPLAY_AVATAR'
,p_prompt=>'Display Avatar'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Specify whether to display or hide the avatar for each row. When set to Yes, an avatar will be displayed with the assigned image, icon, or initials. When set to No, no avatar will be displayed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475833846969199215)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_static_id=>'DISPLAY_BADGE'
,p_prompt=>'Display Badge'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Specify whether to display or hide the badge for each row. When set to Yes, a badge will be displayed in each row. When set to No, no badge will be displayed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475834387199199215)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_static_id=>'AVATAR_TYPE'
,p_prompt=>'Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'icon'
,p_demo_value=>'icon'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833350178199214)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8403067715746270905)
,p_help_text=>'Select the type of content that will be displayed in the avatar.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475834865152199216)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475834387199199215)
,p_display_sequence=>10
,p_display_value=>'Image'
,p_return_value=>'image'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475835482346199216)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475834387199199215)
,p_display_sequence=>20
,p_display_value=>'Initials'
,p_return_value=>'initials'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475836055529199216)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475834387199199215)
,p_display_sequence=>30
,p_display_value=>'Icon'
,p_return_value=>'icon'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475836670247199217)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_static_id=>'AVATAR_IMAGE'
,p_prompt=>'Image'
,p_attribute_type=>'MEDIA'
,p_is_required=>true
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475834387199199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'image'
,p_attribute_group_id=>wwv_flow_imp.id(8403067715746270905)
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Use the Media popup dialog to select a source for the avatar image.</p>',
'',
'<p>Available options include:',
'<ul>',
'<li>URL</li>',
'<li>BLOB Column</li>',
'<li>URL Column</li>',
'</ul>',
'</p>'))
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475837115864199217)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>115
,p_static_id=>'AVATAR_DESCRIPTION'
,p_prompt=>'Description'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>true
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833350178199214)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8403067715746270905)
,p_help_text=>'Enter a short description of the image or select a source column from the quick pick options. This will be used as alt text for the avatar image.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475837646021199218)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>100
,p_static_id=>'AVATAR_INITIALS'
,p_prompt=>'Initials'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_escape_mode=>'STRIPHTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475834387199199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'initials'
,p_attribute_group_id=>wwv_flow_imp.id(8403067715746270905)
,p_help_text=>'Select the source column to be displayed within each avatar. Only varchar2 data types are supported.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475838172658199218)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>110
,p_static_id=>'AVATAR_ICON'
,p_prompt=>'Icon'
,p_attribute_type=>'ICON'
,p_is_required=>true
,p_default_value=>'fa-user'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475834387199199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'icon'
,p_attribute_group_id=>wwv_flow_imp.id(8403067715746270905)
,p_help_text=>'Enter an icon class or use the Pick Icon dialog to select the icon you want to add to display in the avatar.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475838685345199219)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_static_id=>'AVATAR_SHAPE'
,p_prompt=>'Shape'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'t-Avatar--rounded'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833350178199214)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8403067715746270905)
,p_help_text=>'Select the shape of the avatar. Default inherits the shape set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475839139030199219)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475838685345199219)
,p_display_sequence=>10
,p_display_value=>'Rounded'
,p_return_value=>'t-Avatar--rounded'
,p_help_text=>'Displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475839712512199219)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475838685345199219)
,p_display_sequence=>20
,p_display_value=>'Circular'
,p_return_value=>'t-Avatar--circle'
,p_help_text=>'Displayed within a circular shape.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475840302619199220)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475838685345199219)
,p_display_sequence=>30
,p_display_value=>'Square'
,p_return_value=>'t-Avatar--square'
,p_help_text=>'Displayed within a square shape.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475840931798199220)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475838685345199219)
,p_display_sequence=>40
,p_display_value=>'No Shape'
,p_return_value=>'t-Avatar--noShape'
,p_help_text=>'Displayed inline without a containing shape.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475841544252199221)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_static_id=>'BADGE_LABEL'
,p_prompt=>'Label'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_escape_mode=>'HTML'
,p_is_translatable=>true
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833846969199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8403067160734270904)
,p_help_text=>'Enter a value for the badge label or select a source column from the quick pick options.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475842023922199221)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>14
,p_display_sequence=>140
,p_static_id=>'BADGE_VALUE'
,p_prompt=>'Value'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_escape_mode=>'ATTR'
,p_column_data_types=>'VARCHAR2:NUMBER:DATE:INTERVAL_Y2M:INTERVAL_D2S'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833846969199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8403067160734270904)
,p_help_text=>'Select a source column for the badge value.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475842583431199222)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>15
,p_display_sequence=>150
,p_static_id=>'BADGE_STATE'
,p_prompt=>'State'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833846969199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8403067160734270904)
,p_help_text=>'Select the source column for the state of the badge. Substitute column value with "danger", "warning", "success" or "info" for default styling.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475843092781199222)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>16
,p_display_sequence=>160
,p_static_id=>'BADGE_ICON'
,p_prompt=>'Icon'
,p_attribute_type=>'ICON'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833846969199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8403067160734270904)
,p_help_text=>'Enter an icon class or use the Pick Icon dialog to select the icon you want to add to display in the badge.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475843567740199223)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>17
,p_display_sequence=>170
,p_static_id=>'BADGE_LABEL_DISPLAY'
,p_prompt=>'Display Label'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833846969199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8403067160734270904)
,p_help_text=>'Specify whether to display or hide the badge label. When set to Yes, the badge label will be displayed in addition to the badge value. When set to No, only the badge value will be displayed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475844042636199223)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>18
,p_display_sequence=>180
,p_static_id=>'BADGE_STYLE'
,p_prompt=>'Style'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833846969199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8403067160734270904)
,p_null_text=>'Default'
,p_help_text=>'Select the badge style. Default inherits the style set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475844586827199223)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475844042636199223)
,p_display_sequence=>10
,p_display_value=>'Subtle'
,p_return_value=>'t-Badge--subtle'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475845133675199224)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475844042636199223)
,p_display_sequence=>20
,p_display_value=>'Outline'
,p_return_value=>'t-Badge--outline'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475845726432199224)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>19
,p_display_sequence=>190
,p_static_id=>'BADGE_SHAPE'
,p_prompt=>'Shape'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833846969199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8403067160734270904)
,p_null_text=>'Default'
,p_help_text=>'Select the shape of the badge. Default inherits the shape set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475846292977199225)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475845726432199224)
,p_display_sequence=>10
,p_display_value=>'Rounded'
,p_return_value=>'t-Badge--rounded'
,p_help_text=>'Displayed with rounded corners.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475846876240199225)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475845726432199224)
,p_display_sequence=>20
,p_display_value=>'Circular'
,p_return_value=>'t-Badge--circle'
,p_help_text=>'Displayed with circular edges.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475847471553199226)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475845726432199224)
,p_display_sequence=>30
,p_display_value=>'Square'
,p_return_value=>'t-Badge--square'
,p_help_text=>'Displayed with squared edges.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475848009749199226)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475845726432199224)
,p_display_sequence=>40
,p_display_value=>'No Shape'
,p_return_value=>'t-Avatar--noShape'
,p_help_text=>'Displayed inline without a containing shape.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475848666984199227)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>20
,p_display_sequence=>200
,p_static_id=>'AVATAR_SIZE'
,p_prompt=>'Size'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833350178199214)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8403067715746270905)
,p_null_text=>'Default'
,p_help_text=>'Set the size of the avatar. The default inherits the sizing set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475849102062199227)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475848666984199227)
,p_display_sequence=>10
,p_display_value=>'Extra Extra Small'
,p_return_value=>'t-Avatar--xxs'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475849765201199228)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475848666984199227)
,p_display_sequence=>20
,p_display_value=>'Extra Small'
,p_return_value=>'t-Avatar--xs'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475850334784199228)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475848666984199227)
,p_display_sequence=>30
,p_display_value=>'Small'
,p_return_value=>'t-Avatar--sm'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475850936878199229)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475848666984199227)
,p_display_sequence=>40
,p_display_value=>'Medium'
,p_return_value=>'t-Avatar--md'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475851508688199229)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475848666984199227)
,p_display_sequence=>50
,p_display_value=>'Large'
,p_return_value=>'t-Avatar--lg'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475852177714199230)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475848666984199227)
,p_display_sequence=>60
,p_display_value=>'Extra Large'
,p_return_value=>'t-Avatar--xl'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475852708122199230)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475848666984199227)
,p_display_sequence=>70
,p_display_value=>'Extra Extra Large'
,p_return_value=>'t-Avatar--xxl'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475853313741199230)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>21
,p_display_sequence=>210
,p_static_id=>'BADGE_SIZE'
,p_prompt=>'Size'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833846969199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8403067160734270904)
,p_null_text=>'Default'
,p_help_text=>'Set the size of the badge. The default inherits the sizing set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475853895242199231)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475853313741199230)
,p_display_sequence=>10
,p_display_value=>'Small'
,p_return_value=>'t-Badge--sm'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475854400935199231)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475853313741199230)
,p_display_sequence=>20
,p_display_value=>'Medium'
,p_return_value=>'t-Badge--md'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475855021279199232)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475853313741199230)
,p_display_sequence=>30
,p_display_value=>'Large'
,p_return_value=>'t-Badge--lg'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475855649152199232)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>22
,p_display_sequence=>220
,p_static_id=>'BADGE_COL_WIDTH'
,p_prompt=>'Column Width'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'t-ContentRow-badge--md'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833846969199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8403067160734270904)
,p_null_text=>'Default'
,p_help_text=>'Set the width of the content row columns. Default width is medium.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475856176031199233)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475855649152199232)
,p_display_sequence=>10
,p_display_value=>'Small'
,p_return_value=>'t-ContentRow-badge--sm'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475856721061199233)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475855649152199232)
,p_display_sequence=>20
,p_display_value=>'Medium'
,p_return_value=>'t-ContentRow-badge--md'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475857349341199234)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475855649152199232)
,p_display_sequence=>30
,p_display_value=>'Large'
,p_return_value=>'t-ContentRow-badge--lg'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475857951649199234)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475855649152199232)
,p_display_sequence=>40
,p_display_value=>'Auto'
,p_return_value=>'t-ContentRow-badge--auto'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475858594748199235)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>24
,p_display_sequence=>240
,p_static_id=>'BADGE_POS'
,p_prompt=>'Position'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833846969199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8403067160734270904)
,p_null_text=>'Start'
,p_help_text=>'Positions the Badge column to either the "Start" or "End" of the row.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475859061826199235)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475858594748199235)
,p_display_sequence=>10
,p_display_value=>'End'
,p_return_value=>'t-ContentRow-badge--posEnd'
,p_help_text=>'Positions the Badge column to the "end" of the row.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475859636099199236)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>25
,p_display_sequence=>250
,p_static_id=>'BADGE_ALIGNMENT'
,p_prompt=>'Alignment'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475833846969199215)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8403067160734270904)
,p_null_text=>'Start'
,p_help_text=>'Changes the alignment of the badge within its column.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475860174689199236)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475859636099199236)
,p_display_sequence=>10
,p_display_value=>'Center'
,p_return_value=>'t-ContentRow-badge--alignCenter'
,p_help_text=>'Aligns the badge to the "center" of its column.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475860779657199237)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475859636099199236)
,p_display_sequence=>20
,p_display_value=>'End'
,p_return_value=>'t-ContentRow-badge--alignEnd'
,p_help_text=>'Aligns the badge to the "end" of its column.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475861324027199237)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>23
,p_display_sequence=>230
,p_static_id=>'APPLY_THEME_COLORS'
,p_prompt=>'Apply Theme Colors'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'Y'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(8146175097003997391)
,p_help_text=>'Specify whether to use the Universal Theme colors for avatar and badge row items. When set to Yes, the u-colors class will be applied to each row. When set to No, a default color will be used instead.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475861867842199238)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>27
,p_display_sequence=>270
,p_static_id=>'STYLE'
,p_prompt=>'Style'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8146175097003997391)
,p_null_text=>'Default'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475862395888199238)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475861867842199238)
,p_display_sequence=>10
,p_display_value=>'Compact'
,p_return_value=>'t-ContentRow--styleCompact'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475862984028199239)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>28
,p_display_sequence=>280
,p_static_id=>'HIDE_BORDERS'
,p_prompt=>'Hide Borders'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(8146175097003997391)
);
end;
/
begin
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475863472349199239)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>30
,p_display_sequence=>300
,p_static_id=>'REMOVE_PADDING'
,p_prompt=>'Remove Padding'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_attribute_group_id=>wwv_flow_imp.id(8146175097003997391)
);
wwv_flow_imp_shared.create_plugin_act_template(
 p_id=>wwv_flow_imp.id(8469993578724222566)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_name=>'Button'
,p_type=>'BUTTON'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{with/}',
'LINK_URL:=#LINK_URL!RAW#',
'LINK_ATTR:=#LINK_ATTR!RAW#',
'LABEL:=#LABEL!RAW#',
'ICON_CLASSES:=#ICON_CLASSES#',
'CSS_CLASSES:=#CSS_CLASSES#',
'IS_HOT:=#IS_HOT#',
'IS_ICON_ONLY:=#IS_ICON_ONLY#',
'IS_DISABLED:=#IS_DISABLED#',
'{apply THEME$BUTTON/}'))
);
wwv_flow_imp_shared.create_plugin_act_template(
 p_id=>wwv_flow_imp.id(8469994838244226714)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_name=>'Menu'
,p_type=>'MENU'
,p_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{with/}',
'MENU_ID:=#MENU_ID#',
'LABEL:=#LABEL!RAW#',
'ICON_CLASSES:=#ICON_CLASSES#',
'CSS_CLASSES:=#CSS_CLASSES#',
'IS_HOT:=#IS_HOT#',
'IS_DISABLED:=#IS_DISABLED#',
'IS_ICON_ONLY:=#IS_ICON_ONLY#',
'{apply THEME$BUTTON/}',
'#MENU#'))
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(7987330091066334089)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_name=>'Badge Link'
,p_static_id=>'BADGE_LINK'
,p_display_sequence=>50
,p_type=>'LINK'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8456399950049815833)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_name=>'Title Link'
,p_static_id=>'TITLE_LINK'
,p_display_sequence=>30
,p_type=>'LINK'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8457079250779898937)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_name=>'Full Row Link'
,p_static_id=>'FULL_ROW_LINK'
,p_display_sequence=>40
,p_type=>'LINK'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8469991643657177580)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_name=>'Avatar Link'
,p_static_id=>'AVATAR_LINK'
,p_display_sequence=>10
,p_type=>'LINK'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8469992977047191437)
,p_plugin_id=>wwv_flow_imp.id(6661541709149329257)
,p_name=>'Primary Actions'
,p_static_id=>'PRIMARY_ACTIONS'
,p_display_sequence=>20
,p_type=>'TEMPLATE'
);
end;
/
prompt --application/shared_components/plugins/template_component/theme_42_media_list
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(6661578781314329275)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '42')
,p_name=>'THEME_42$MEDIA_LIST'
,p_display_name=>'Media List'
,p_supported_component_types=>'PARTIAL:REPORT'
,p_image_prefix => nvl(wwv_flow_application_install.get_static_plugin_file_prefix('TEMPLATE COMPONENT','THEME_42$MEDIA_LIST'),'')
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if APEX$IS_LAZY_LOADING/}',
'  <div class="t-MediaList-itemWrap">',
'    {if DISPLAY_AVATAR/}',
'      <div class="t-MediaList-iconWrap" aria-hidden="true">',
'        {with/}',
'          SIZE:=t-Avatar--xs',
'          SHAPE:=#AVATAR_SHAPE#',
'        {apply THEME$AVATAR/}',
'      </div>',
'    {endif/}',
'    <div class="t-MediaList-body">',
'      {if ?TITLE%assigned/}<div class="t-MediaList-title is-placeholder"></div>{endif/}',
'      {if ?DESCRIPTION%assigned/}<div class="t-MediaList-desc is-placeholder"></div>{endif/}',
'    </div>',
'    {if DISPLAY_BADGE%assigned/}',
'      {with/}',
'        LABEL:=',
'        VALUE:=',
'        SHAPE:=#BADGE_SHAPE#',
'        STYLE:=#BADGE_STYLE#',
'      {apply THEME$BADGE/}',
'    {endif/}',
'  </div>',
'{else/}',
'  {if LINK/}<a href="#LINK!ATTR#" #LINK_ATTR!RAW#{else/}<div{endif/} class="t-MediaList-itemWrap{if ?DESCRIPTION/} t-MediaList-itemWrap--showDesc{endif/}">',
'    {if DISPLAY_AVATAR/}',
'      <div class="t-MediaList-iconWrap" aria-hidden="true">',
'        {with/}',
'          TYPE:=#AVATAR_TYPE#',
'          IMAGE:=#AVATAR_IMAGE#',
'          DESCRIPTION:=#AVATAR_DESCRIPTION#',
'          ICON:=#AVATAR_ICON#',
'          INITIALS:=#AVATAR_INITIALS#',
'          CSS_CLASSES:=u-color',
'          SHAPE:=#AVATAR_SHAPE#',
'        {apply THEME$AVATAR/}',
'      </div>',
'    {endif/}',
'    <div class="t-MediaList-body">',
'      {if ?TITLE/}<h3 class="t-MediaList-title">#TITLE!RAW#</h3>{endif/}',
'      {if ?DESCRIPTION/}<p class="t-MediaList-desc">#DESCRIPTION!RAW#</p>{endif/}',
'    </div>',
'    {if DISPLAY_BADGE/}',
'      {with/}',
'        LABEL_DISPLAY:=#BADGE_LABEL_DISPLAY#',
'        LABEL:=#BADGE_LABEL#',
'        VALUE:=#BADGE_VALUE#',
'        ICON:=#BADGE_ICON#',
'        STATE:=#BADGE_STATE#',
'        SIZE:=t-Badge--md',
'        STYLE:=#BADGE_STYLE#',
'        SHAPE:=#BADGE_SHAPE#',
'      {apply THEME$BADGE/}',
'    {endif/}',
'  {if LINK/}</a>{else/}</div>{endif/}',
'{endif/}'))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>1
,p_report_body_template=>'<ul class="t-MediaList t-MediaList--showIcons{if ?LAYOUT/} #LAYOUT!ATTR#{endif/}{if ?SIZE/} #SIZE!ATTR#{endif/}{if APPLY_THEME_COLORS/} u-colors{endif/} #APEX$COMPONENT_CSS_CLASSES#">#APEX$ROWS#</ul>'
,p_report_row_template=>'<li class="t-MediaList-item" #APEX$ROW_IDENTIFICATION#>#APEX$PARTIAL#</li>'
,p_report_placeholder_count=>3
,p_substitute_attributes=>true
,p_reference_id=>1564403634518414297
,p_subscribe_plugin_settings=>true
,p_is_quick_pick=>true
,p_help_text=>'Display report content in a formatted media list. Supports avatars and badges. Available for a single row or as a report with multiple rows.'
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(8275891931454082902)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_title=>'Badge'
,p_display_sequence=>20
);
wwv_flow_imp_shared.create_plugin_attr_group(
 p_id=>wwv_flow_imp.id(8275892486466082903)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_title=>'Avatar'
,p_display_sequence=>10
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475875240857199256)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'TITLE'
,p_prompt=>'Title'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_demo_value=>'Lorem ipsum dolor sit amet'
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_help_text=>'Select a source column to be used as the title.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475875746872199256)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'DESCRIPTION'
,p_prompt=>'Description'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_demo_value=>'Nunc sit amet nunc quis magna ornare suscipit. Etiam aliquet maximus sapien, at sagittis sem gravida nec.'
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_help_text=>'Select a source column to be used for the row description.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475876214672199256)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_static_id=>'DISPLAY_AVATAR'
,p_prompt=>'Display Avatar'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Specify whether to display or hide the avatar for each row. When set to Yes, an avatar will be displayed with the assigned image, icon, or initials. When set to No, no avatar will be displayed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475876792594199257)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'DISPLAY_BADGE'
,p_prompt=>'Display Badge'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Specify whether to display or hide the badge for each row. When set to Yes, a badge will be displayed in each row. When set to No, no badge will be displayed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475877245365199257)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_static_id=>'AVATAR_TYPE'
,p_prompt=>'Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'icon'
,p_demo_value=>'icon'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475876214672199256)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8275892486466082903)
,p_help_text=>'Select the type of content that will be displayed in the avatar.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475877717531199258)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475877245365199257)
,p_display_sequence=>10
,p_display_value=>'Image'
,p_return_value=>'image'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475878348541199258)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475877245365199257)
,p_display_sequence=>20
,p_display_value=>'Initials'
,p_return_value=>'initials'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475878997548199259)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475877245365199257)
,p_display_sequence=>30
,p_display_value=>'Icon'
,p_return_value=>'icon'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475879561797199259)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_static_id=>'AVATAR_IMAGE'
,p_prompt=>'Image'
,p_attribute_type=>'MEDIA'
,p_is_required=>true
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475877245365199257)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'image'
,p_attribute_group_id=>wwv_flow_imp.id(8275892486466082903)
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Use the Media popup dialog to select a source for the avatar image.</p>',
'',
'<p>Available options include:',
'<ul>',
'<li>URL</li>',
'<li>BLOB Column</li>',
'<li>URL Column</li>',
'</ul>',
'</p>'))
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475880067405199259)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>95
,p_static_id=>'AVATAR_DESCRIPTION'
,p_prompt=>'Description'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>true
,p_attribute_group_id=>wwv_flow_imp.id(8275892486466082903)
,p_help_text=>'Enter a short description of the image/icon or select a source column from the quick pick options. This will be used as title & alt text for the avatar image/icon.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475880597573199260)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_static_id=>'AVATAR_INITIALS'
,p_prompt=>'Initials'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_escape_mode=>'STRIPHTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475877245365199257)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'initials'
,p_attribute_group_id=>wwv_flow_imp.id(8275892486466082903)
,p_help_text=>'Select the source column to be displayed within each avatar. Only varchar2 data types are supported.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475881080469199260)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>9
,p_display_sequence=>90
,p_static_id=>'AVATAR_ICON'
,p_prompt=>'Icon'
,p_attribute_type=>'ICON'
,p_is_required=>true
,p_default_value=>'fa-user'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475877245365199257)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'icon'
,p_attribute_group_id=>wwv_flow_imp.id(8275892486466082903)
,p_help_text=>'Enter an icon class or use the Pick Icon dialog to select the icon you want to add to display in the avatar.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475881516341199261)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>10
,p_display_sequence=>100
,p_static_id=>'AVATAR_SHAPE'
,p_prompt=>'Shape'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'t-Avatar--rounded'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475876214672199256)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8275892486466082903)
,p_help_text=>'Select the shape of the avatar. Default inherits the shape set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475882014050199261)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475881516341199261)
,p_display_sequence=>10
,p_display_value=>'Rounded'
,p_return_value=>'t-Avatar--rounded'
,p_help_text=>'Displayed within a square with rounded corners.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475882619231199261)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475881516341199261)
,p_display_sequence=>20
,p_display_value=>'Circular'
,p_return_value=>'t-Avatar--circle'
,p_help_text=>'Displayed within a circular shape.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475883221647199262)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475881516341199261)
,p_display_sequence=>30
,p_display_value=>'Square'
,p_return_value=>'t-Avatar--square'
,p_help_text=>'Displayed within a square shape.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475883826736199262)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475881516341199261)
,p_display_sequence=>40
,p_display_value=>'No Shape'
,p_return_value=>'t-Avatar--noShape'
,p_help_text=>'Displayed inline without a containing shape.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475884435151199263)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>11
,p_display_sequence=>110
,p_static_id=>'BADGE_LABEL'
,p_prompt=>'Label'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_escape_mode=>'HTML'
,p_is_translatable=>true
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475876792594199257)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8275891931454082902)
,p_help_text=>'Enter a value for the badge label or select a source column from the quick pick options.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475884952464199263)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_static_id=>'BADGE_VALUE'
,p_prompt=>'Value'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_escape_mode=>'ATTR'
,p_column_data_types=>'VARCHAR2:NUMBER:DATE:INTERVAL_Y2M:INTERVAL_D2S'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475876792594199257)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8275891931454082902)
,p_help_text=>'Select a source column for the badge value.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475885412553199263)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>13
,p_display_sequence=>130
,p_static_id=>'BADGE_STATE'
,p_prompt=>'State'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475876792594199257)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8275891931454082902)
,p_help_text=>'Select the source column for the state of the badge. Substitute column value with "danger", "warning", "success" or "info" for default styling.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475885910061199264)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>14
,p_display_sequence=>140
,p_static_id=>'BADGE_ICON'
,p_prompt=>'Icon'
,p_attribute_type=>'ICON'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475876792594199257)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8275891931454082902)
,p_help_text=>'Enter an icon class or use the Pick Icon dialog to select the icon you want to add to display in the badge.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475886418655199264)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>15
,p_display_sequence=>150
,p_static_id=>'BADGE_LABEL_DISPLAY'
,p_prompt=>'Display Label'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475876792594199257)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_attribute_group_id=>wwv_flow_imp.id(8275891931454082902)
,p_help_text=>'Specify whether to display or hide the badge label. When set to Yes, the badge label will be displayed in addition to the badge value. When set to No, only the badge value will be displayed.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475886914513199265)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>16
,p_display_sequence=>160
,p_static_id=>'BADGE_STYLE'
,p_prompt=>'Style'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475876792594199257)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8275891931454082902)
,p_null_text=>'Default'
,p_help_text=>'Select the badge style. Default inherits the style set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475887484398199265)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475886914513199265)
,p_display_sequence=>10
,p_display_value=>'Subtle'
,p_return_value=>'t-Badge--subtle'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475888027974199265)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475886914513199265)
,p_display_sequence=>20
,p_display_value=>'Outline'
,p_return_value=>'t-Badge--outline'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475888650982199266)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>17
,p_display_sequence=>170
,p_static_id=>'BADGE_SHAPE'
,p_prompt=>'Shape'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(6475876792594199257)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'EQUALS'
,p_depending_on_expression=>'Y'
,p_lov_type=>'STATIC'
,p_attribute_group_id=>wwv_flow_imp.id(8275891931454082902)
,p_null_text=>'Default'
,p_help_text=>'Select the shape of the badge. Default inherits the shape set by the containing template.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475889107441199266)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475888650982199266)
,p_display_sequence=>10
,p_display_value=>'Rounded'
,p_return_value=>'t-Badge--rounded'
,p_help_text=>'Displayed with rounded corners.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475889731266199267)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475888650982199266)
,p_display_sequence=>20
,p_display_value=>'Circular'
,p_return_value=>'t-Badge--circle'
,p_help_text=>'Displayed with circular edges.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475890352063199267)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475888650982199266)
,p_display_sequence=>30
,p_display_value=>'Square'
,p_return_value=>'t-Badge--square'
,p_help_text=>'Displayed with squared edges.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475890907032199268)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>18
,p_display_sequence=>180
,p_static_id=>'LAYOUT'
,p_prompt=>'Layout'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'Default'
,p_help_text=>'Select the number of grid columns the media list content will display in. Horizontal Span will display all columns in a single horizontal row.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475891432437199268)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475890907032199268)
,p_display_sequence=>10
,p_display_value=>'2 Column Grid'
,p_return_value=>'t-MediaList--cols t-MediaList--2cols'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475892062097199269)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475890907032199268)
,p_display_sequence=>20
,p_display_value=>'3 Column Grid'
,p_return_value=>'t-MediaList--cols t-MediaList--3cols'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475892611968199269)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475890907032199268)
,p_display_sequence=>30
,p_display_value=>'4 Column Grid'
,p_return_value=>'t-MediaList--cols t-MediaList--4cols'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475893233446199269)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475890907032199268)
,p_display_sequence=>40
,p_display_value=>'5 Column Grid'
,p_return_value=>'t-MediaList--cols t-MediaList--5cols'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475893877541199270)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475890907032199268)
,p_display_sequence=>50
,p_display_value=>'Horizontal Span'
,p_return_value=>'t-MediaList--horizontal'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475894448581199270)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>19
,p_display_sequence=>190
,p_static_id=>'SIZE'
,p_prompt=>'Size'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_null_text=>'Default'
,p_help_text=>'Set the size of media list items.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(6475894995693199271)
,p_plugin_attribute_id=>wwv_flow_imp.id(6475894448581199270)
,p_display_sequence=>10
,p_display_value=>'Large'
,p_return_value=>'t-MediaList--large force-fa-lg'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(6475895539877199271)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_attribute_scope=>'REPORT'
,p_attribute_sequence=>20
,p_display_sequence=>200
,p_static_id=>'APPLY_THEME_COLORS'
,p_prompt=>'Apply Theme Colors'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'Y'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'Specify whether to use the Universal Theme colors for avatar and badge row items. When set to Yes, the u-colors class will be applied to each row. When set to No, a default color will be used instead.'
);
wwv_flow_imp_shared.create_plugin_act_position(
 p_id=>wwv_flow_imp.id(8461800448008359553)
,p_plugin_id=>wwv_flow_imp.id(6661578781314329275)
,p_name=>'Link'
,p_static_id=>'LINK'
,p_display_sequence=>10
,p_type=>'LINK'
);
end;
/
prompt --application/user_interfaces/combined_files
begin
null;
end;
/
prompt --application/pages/page_00000
begin
wwv_flow_imp_page.create_page(
 p_id=>0
,p_name=>'Global Page - Desktop'
,p_step_title=>'Global Page - Desktop'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'D'
,p_page_component_map=>'14'
,p_last_updated_by=>'ANDREJGR'
,p_last_upd_yyyymmddhh24miss=>'20231026185211'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(7018604834006563694)
,p_plug_name=>'Copyright'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>10
,p_plug_display_point=>'REGION_POSITION_05'
,p_plug_source=>'Copyright &copy; 2023  <a href="https://www.united-codes.com" target="_blank">United Codes</a> - <a href="https://www.plug-ins-pro.com" target="_blank">Plug-ins Pro</a>'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
end;
/
prompt --application/pages/page_00015
begin
wwv_flow_imp_page.create_page(
 p_id=>15
,p_name=>'View details'
,p_alias=>'VIEW-DETAILS'
,p_page_mode=>'MODAL'
,p_step_title=>'View details'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_page_component_map=>'17'
,p_last_updated_by=>'ADMIN'
,p_last_upd_yyyymmddhh24miss=>'20231023165700'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600436401758202388)
,p_plug_name=>'View details'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>10
,p_query_type=>'TABLE'
,p_query_table=>'EBA_DEMO_CARD_EMP'
,p_include_rowid_column=>false
,p_is_editable=>false
,p_plug_source_type=>'NATIVE_FORM'
,p_plug_read_only_when_type=>'ALWAYS'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600446522839202406)
,p_plug_name=>'Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234397501181657059)
,p_plug_display_sequence=>20
,p_plug_display_point=>'REGION_POSITION_03'
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_imp_page.create_page_button(
 p_id=>wwv_flow_imp.id(6600446886112202407)
,p_button_sequence=>10
,p_button_plug_id=>wwv_flow_imp.id(6600446522839202406)
,p_button_name=>'CANCEL'
,p_button_action=>'DEFINED_BY_DA'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_imp.id(7234475091651656963)
,p_button_image_alt=>'Close'
,p_button_position=>'CLOSE'
,p_warn_on_unsaved_changes=>null
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6600436809326202390)
,p_name=>'P15_EMPNO'
,p_source_data_type=>'NUMBER'
,p_is_primary_key=>true
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_item_source_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Empno'
,p_source=>'EMPNO'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_HIDDEN'
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(7234473992595656968)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_protection_level=>'S'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6600437220043202395)
,p_name=>'P15_ENAME'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_item_source_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Ename'
,p_source=>'ENAME'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>255
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(7234473992595656968)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6600437560496202396)
,p_name=>'P15_JOB'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_item_source_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Job'
,p_source=>'JOB'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>32
,p_cMaxlength=>255
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(7234473992595656968)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6600437989909202396)
,p_name=>'P15_MGR'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>40
,p_item_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_item_source_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Mgr'
,p_source=>'MGR'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'EBA_DEMO_CARD_EMP.ENAME'
,p_lov_display_null=>'YES'
,p_cSize=>32
,p_cMaxlength=>255
,p_cHeight=>1
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(7234473992595656968)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
,p_attribute_03=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6600438729726202400)
,p_name=>'P15_HIREDATE'
,p_source_data_type=>'DATE'
,p_item_sequence=>50
,p_item_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_item_source_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Hiredate'
,p_source=>'HIREDATE'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_DATE_PICKER_APEX'
,p_cSize=>32
,p_cMaxlength=>255
,p_cHeight=>1
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(7234473992595656968)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'POPUP'
,p_attribute_03=>'NONE'
,p_attribute_06=>'NONE'
,p_attribute_09=>'N'
,p_attribute_11=>'Y'
,p_attribute_12=>'MONTH-PICKER:YEAR-PICKER:TODAY-BUTTON'
,p_attribute_13=>'VISIBLE'
,p_attribute_15=>'FOCUS'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6600439082377202401)
,p_name=>'P15_SAL'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>60
,p_item_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_item_source_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Sal'
,p_source=>'SAL'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>32
,p_cMaxlength=>255
,p_cHeight=>1
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(7234473992595656968)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_03=>'left'
,p_attribute_04=>'decimal'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6600439509983202401)
,p_name=>'P15_COMM'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>70
,p_item_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_item_source_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Comm'
,p_source=>'COMM'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_NUMBER_FIELD'
,p_cSize=>32
,p_cMaxlength=>255
,p_cHeight=>1
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(7234473992595656968)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_03=>'left'
,p_attribute_04=>'decimal'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6600439899371202401)
,p_name=>'P15_DEPTNO'
,p_source_data_type=>'NUMBER'
,p_item_sequence=>80
,p_item_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_item_source_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_prompt=>'Deptno'
,p_source=>'DEPTNO'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_SELECT_LIST'
,p_named_lov=>'DEPT'
,p_lov=>'.'||wwv_flow_imp.id(6600416436909151149)||'.'
,p_lov_display_null=>'YES'
,p_cHeight=>1
,p_field_template=>wwv_flow_imp.id(7234473992595656968)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'YES'
,p_attribute_01=>'NONE'
,p_attribute_02=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6600442214296202403)
,p_name=>'P15_TAGS'
,p_source_data_type=>'VARCHAR2'
,p_item_sequence=>130
,p_item_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_item_source_plug_id=>wwv_flow_imp.id(6600436401758202388)
,p_use_cache_before_default=>'NO'
,p_prompt=>'Tags'
,p_source=>'TAGS'
,p_source_type=>'REGION_SOURCE_COLUMN'
,p_display_as=>'NATIVE_TEXTAREA'
,p_cSize=>60
,p_cMaxlength=>4000
,p_cHeight=>4
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(7234473992595656968)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_attribute_01=>'Y'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'BOTH'
);
wwv_flow_imp_page.create_page_da_event(
 p_id=>wwv_flow_imp.id(6600447041098202407)
,p_name=>'Cancel Dialog'
,p_event_sequence=>10
,p_triggering_element_type=>'BUTTON'
,p_triggering_button_id=>wwv_flow_imp.id(6600446886112202407)
,p_bind_type=>'bind'
,p_execution_type=>'IMMEDIATE'
,p_bind_event_type=>'click'
);
wwv_flow_imp_page.create_page_da_action(
 p_id=>wwv_flow_imp.id(6600447813293202409)
,p_event_id=>wwv_flow_imp.id(6600447041098202407)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'N'
,p_action=>'NATIVE_DIALOG_CANCEL'
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(6600450294018202413)
,p_process_sequence=>50
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_CLOSE_WINDOW'
,p_process_name=>'Close Dialog'
,p_attribute_02=>'N'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_process_when=>'CREATE,SAVE,DELETE'
,p_process_when_type=>'REQUEST_IN_CONDITION'
,p_internal_uid=>127699947944778827
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(6600449477837202412)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_region_id=>wwv_flow_imp.id(6600436401758202388)
,p_process_type=>'NATIVE_FORM_INIT'
,p_process_name=>'Initialize form View details'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_internal_uid=>127699131763778826
);
end;
/
prompt --application/pages/page_00017
begin
wwv_flow_imp_page.create_page(
 p_id=>17
,p_name=>'Flip Card- United Codes'
,p_alias=>'FLIP-CARD'
,p_step_title=>'&APP_NAME.'
,p_autocomplete_on_off=>'OFF'
,p_javascript_code_onload=>wwv_flow_string.join(wwv_flow_t_varchar2(
'  var x = document.getElementsByClassName("t-Cards");',
'  var i;',
'  for (i = 0; i < x.length; i++) {',
'  x[i].classList.remove("t-Cards--animColorFill");',
'  }'))
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.center {',
'  display: block;',
'  margin-left: auto;',
'  margin-right: auto;',
'  width: 50%;',
'}',
'',
'.t-MediaList-item  {',
'  filter: grayscale(0%) !important;',
'}',
'',
'/*img {',
'  max-width: 80%;',
'  -webkit-box-shadow: 0px 10px 39px -15px rgba(0,0,0,1);',
'  -moz-box-shadow: 0px 10px 39px -15px rgba(0,0,0,1);',
'  box-shadow: 0px 10px 39px -15px rgba(0,0,0,1);',
'  margin-bottom: 30px',
'}*/',
'',
'.t-Card-wrap {',
'  cursor: default;    ',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_page_component_map=>'13'
,p_last_updated_by=>'ANDREJGR'
,p_last_upd_yyyymmddhh24miss=>'20231027130022'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(7533948945893959558)
,p_plug_name=>'&APP_NAME.'
,p_icon_css_classes=>'fa-plug'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234395375366657061)
,p_plug_display_sequence=>50
,p_plug_display_point=>'REGION_POSITION_01'
,p_plug_query_num_rows=>15
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
,p_attribute_03=>'Y'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(7813795427365904288)
,p_plug_name=>'Container'
,p_region_template_options=>'#DEFAULT#::t-Region--removeHeader js-removeLandmark::t-Region--noBorder:t-Region--scrollBody::::::margin-top-md:::'
,p_plug_template=>wwv_flow_imp.id(7234414460753657047)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_plug_grid_column_span=>9
,p_plug_display_column=>2
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<br><p>',
'Elevate your website with stunning and interactive content using our Flip Card template plugin. Create engaging user experiences and captivate your audience with ease.',
'</p><br>'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(7813795661050904291)
,p_plug_name=>'Features'
,p_parent_plug_id=>wwv_flow_imp.id(7813795427365904288)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>40
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'TABLE'
,p_query_table=>'APEX_APPLICATION_LIST_ENTRIES'
,p_query_where=>wwv_flow_string.join(wwv_flow_t_varchar2(
'APPLICATION_ID = :APP_ID',
'AND LIST_NAME = ''Features'''))
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'DISPLAY_SEQUENCE'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows=>15
,p_plug_query_num_rows_type=>'SET'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BODY_MAIN": "\u0026ENTRY_ATTRIBUTE_01.",',
  '"B_CARD_CSS": "u-color-15",',
  '"B_ICON": "\u0026ENTRY_IMAGE.",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--end",',
  '"B_ICON_SOURCE": "a-CardView-icon",',
  '"B_MEDIA_POSITION": "a-CardView-media--body",',
  '"B_MEDIA_SIZING": "a-CardView-media--fit",',
  '"B_TITLE": "\u0026ENTRY_TEXT.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BODY_MAIN": "\u0026ENTRY_ATTRIBUTE_01.",',
  '"F_ICON": "\u0026ENTRY_IMAGE.",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-icon",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_TITLE": "\u0026ENTRY_TEXT.",',
  '"T_GRID_COLUMN": "a-CardView-items--grid3col",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983060846304072922)
,p_name=>'WORKSPACE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'WORKSPACE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983060915216072923)
,p_name=>'WORKSPACE_DISPLAY_NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'WORKSPACE_DISPLAY_NAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983061029283072924)
,p_name=>'APPLICATION_ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'APPLICATION_ID'
,p_data_type=>'NUMBER'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983061158096072925)
,p_name=>'APPLICATION_NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'APPLICATION_NAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983061230469072926)
,p_name=>'WORKING_COPY_NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'WORKING_COPY_NAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983061391582072927)
,p_name=>'LIST_NAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LIST_NAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983061490430072928)
,p_name=>'PARENT_ENTRY_TEXT'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'PARENT_ENTRY_TEXT'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983061507130072929)
,p_name=>'DISPLAY_SEQUENCE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DISPLAY_SEQUENCE'
,p_data_type=>'NUMBER'
,p_display_sequence=>80
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983061645152072930)
,p_name=>'ENTRY_TEXT'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_TEXT'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983061788827072931)
,p_name=>'ENTRY_TARGET'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_TARGET'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983061814289072932)
,p_name=>'ENTRY_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_IMAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983061919588072933)
,p_name=>'ENTRY_IMAGE_ATTRIBUTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_IMAGE_ATTRIBUTES'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>120
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983062079095072934)
,p_name=>'ENTRY_IMAGE_ALT_ATTRIBUTE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_IMAGE_ALT_ATTRIBUTE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>130
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983062174056072935)
,p_name=>'CURRENT_FOR_PAGES_TYPE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CURRENT_FOR_PAGES_TYPE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>140
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983062267202072936)
,p_name=>'CURRENT_FOR_PAGES_TYPE_CODE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CURRENT_FOR_PAGES_TYPE_CODE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>150
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983062377457072937)
,p_name=>'CURRENT_FOR_PAGES_LANGUAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CURRENT_FOR_PAGES_LANGUAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>160
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983062411022072938)
,p_name=>'CURRENT_FOR_PAGES_EXPRESSION'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CURRENT_FOR_PAGES_EXPRESSION'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>170
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983062581089072939)
,p_name=>'CONDITION_TYPE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CONDITION_TYPE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>180
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983062646484072940)
,p_name=>'CONDITION_TYPE_CODE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CONDITION_TYPE_CODE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>190
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983062702941072941)
,p_name=>'CONDITION_EXPRESSION1'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CONDITION_EXPRESSION1'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>200
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983062899605072942)
,p_name=>'CONDITION_EXPRESSION2'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CONDITION_EXPRESSION2'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>210
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983062978361072943)
,p_name=>'COUNT_CLICKS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COUNT_CLICKS'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>220
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983063075009072944)
,p_name=>'CLICK_COUNT_CATEGORY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'CLICK_COUNT_CATEGORY'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>230
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983063148753072945)
,p_name=>'ENTRY_ATTRIBUTE_01'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_ATTRIBUTE_01'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>240
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983063272131072946)
,p_name=>'ENTRY_ATTRIBUTE_02'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_ATTRIBUTE_02'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>250
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983063348966072947)
,p_name=>'ENTRY_ATTRIBUTE_03'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_ATTRIBUTE_03'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>260
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983063491054072948)
,p_name=>'ENTRY_ATTRIBUTE_04'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_ATTRIBUTE_04'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>270
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983063572844072949)
,p_name=>'ENTRY_ATTRIBUTE_05'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_ATTRIBUTE_05'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>280
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6983063626216072950)
,p_name=>'ENTRY_ATTRIBUTE_06'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_ATTRIBUTE_06'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>290
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070525442145104101)
,p_name=>'ENTRY_ATTRIBUTE_07'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_ATTRIBUTE_07'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>300
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070525599092104102)
,p_name=>'ENTRY_ATTRIBUTE_08'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_ATTRIBUTE_08'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>310
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070525691977104103)
,p_name=>'ENTRY_ATTRIBUTE_09'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_ATTRIBUTE_09'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>320
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070525723624104104)
,p_name=>'ENTRY_ATTRIBUTE_10'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENTRY_ATTRIBUTE_10'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>330
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070525874129104105)
,p_name=>'TRANSLATE_ATTRIBUTES'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TRANSLATE_ATTRIBUTES'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>340
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070525978479104106)
,p_name=>'BUILD_OPTION'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'BUILD_OPTION'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>350
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070526095128104107)
,p_name=>'AUTHORIZATION_SCHEME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'AUTHORIZATION_SCHEME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>360
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070526154419104108)
,p_name=>'AUTHORIZATION_SCHEME_ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'AUTHORIZATION_SCHEME_ID'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>370
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070526270848104109)
,p_name=>'PRIMARY_APPLICATION_ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'PRIMARY_APPLICATION_ID'
,p_data_type=>'NUMBER'
,p_display_sequence=>380
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070526391844104110)
,p_name=>'TRANSLATED_APP_LANGUAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TRANSLATED_APP_LANGUAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>390
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070526413907104111)
,p_name=>'LAST_UPDATED_BY'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LAST_UPDATED_BY'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>400
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070526502694104112)
,p_name=>'LAST_UPDATED_ON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LAST_UPDATED_ON'
,p_data_type=>'DATE'
,p_display_sequence=>410
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070526658328104113)
,p_name=>'COMPONENT_COMMENT'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMPONENT_COMMENT'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>420
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070526733861104114)
,p_name=>'LIST_ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LIST_ID'
,p_data_type=>'NUMBER'
,p_display_sequence=>430
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070526831333104115)
,p_name=>'LIST_ENTRY_PARENT_ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LIST_ENTRY_PARENT_ID'
,p_data_type=>'NUMBER'
,p_display_sequence=>440
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070526969279104116)
,p_name=>'SUB_LIST_ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SUB_LIST_ID'
,p_data_type=>'NUMBER'
,p_display_sequence=>450
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070527028379104117)
,p_name=>'LIST_ENTRY_ID'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'LIST_ENTRY_ID'
,p_data_type=>'NUMBER'
,p_display_sequence=>460
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(7070527115306104118)
,p_name=>'COMPONENT_SIGNATURE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMPONENT_SIGNATURE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>470
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(7813795811432904292)
,p_plug_name=>'Promo gif'
,p_parent_plug_id=>wwv_flow_imp.id(7813795427365904288)
,p_region_template_options=>'#DEFAULT#:::::::::'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p style="text-align: center;">',
'  <img src="#APP_FILES#uc-flipcard-demo-small.gif"',
'     style="height: 25em;">',
'</p>'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
end;
/
prompt --application/pages/page_00020
begin
wwv_flow_imp_page.create_page(
 p_id=>20
,p_name=>'Styles'
,p_alias=>'STYLES'
,p_step_title=>'&APP_NAME.'
,p_autocomplete_on_off=>'OFF'
,p_inline_css=>wwv_flow_string.join(wwv_flow_t_varchar2(
'.a-CardView-items--float .flip-card-inner {',
'    min-height: 320px;    ',
'}',
'.t-CardsRegion--styleC .a-CardView-items--float .flip-card-inner {',
'    min-width: 330px;    ',
'}',
'',
'.t-CardsRegion--styleA .a-CardView-items--row .a-CardView-media {',
'    min-width:200px;',
'    margin:0px;    ',
'}',
'',
'.t-CardsRegion--styleB .has-icon--top .a-CardView-iconWrap .a-CardView-icon, ',
'.t-CardsRegion--styleB .has-icon--top .a-CardView-iconWrap .a-CardView-iconImg, ',
'.t-CardsRegion--styleB .has-icon--top .a-CardView-iconWrap .a-CardView-initials {',
'  width: unset!important;',
'}'))
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_page_component_map=>'27'
,p_last_updated_by=>'ANDREJGR'
,p_last_upd_yyyymmddhh24miss=>'20231027130022'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6570252908844242528)
,p_plug_name=>'Grid Style A'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA_POSITION": "a-CardView-media--body",',
  '"B_MEDIA_SIZING": "a-CardView-media--fit",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.\n",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleA"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6570252970402242529)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6570253067504242530)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6570253160398242531)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6570253255450242532)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6570253350255242533)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6570253471479242534)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6570253639976242535)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6570253669665242536)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6574157441770327991)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>130
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600420682391167596)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>140
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600420825910167597)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>150
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600419894308167588)
,p_plug_name=>'Selector '
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--simple'
,p_plug_template=>wwv_flow_imp.id(7234421201011657042)
,p_plug_display_sequence=>5
,p_plug_source_type=>'NATIVE_DISPLAY_SELECTOR'
,p_attribute_01=>'STANDARD'
,p_attribute_02=>'N'
,p_attribute_03=>'SESSION'
,p_attribute_04=>'N'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600420894902167598)
,p_plug_name=>'Grid Style B'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA_POSITION": "a-CardView-media--first",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--first",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleB"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600421036537167599)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600421099774167600)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600421161573167601)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600421298414167602)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600421404123167603)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600421534580167604)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600421640878167605)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600421711065167606)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600421800346167607)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600421919953167608)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600422037604167609)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600422167420167611)
,p_plug_name=>'Grid Style C'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600422295528167612)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600422363615167613)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600422508012167614)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600422557736167615)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600422653893167616)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600422791858167617)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600422938882167618)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600423013333167619)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600423048171167620)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600423244218167621)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600423274918167622)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600531073727111093)
,p_plug_name=>'Horizontal B'
,p_region_css_classes=>'mxw800 margin-auto'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>90
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "{if TAGS\/}\n    \u003Cul class=\"a-tags\"\u003E\n    {loop \",\" TAGS\/}\n \t    \u003Cli class=\"a-tag\"\u003E\u0026APEX$ITEM.\u003C\/li\u003E\n    {endloop\/}\n    \u003C\/ul\u003E\n{endif\/}",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--end",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA_POSITION": "a-CardView-media--body",',
  '"B_MEDIA_SIZING": "a-CardView-media--fit",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_CARD_CSS": "u-color-15",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_POSITION": "a-CardView-media--background",',
  '"F_MEDIA_SIZING": "a-CardView-media--cover",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--row",',
  '"T_STYLE": "t-CardsRegion--styleB"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600531164270111094)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600531275114111095)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600531407604111096)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600531450453111097)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600531590631111098)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600531701561111099)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600531760658111100)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600531918403111101)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600531963569111102)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600532088737111103)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600532184568111104)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600532421183111106)
,p_plug_name=>'Horizontal C'
,p_region_css_classes=>'mxw800 margin-auto'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>100
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "\u003Cdiv class=\"a-CardView-mainContent u-flex u-flex-item u-align-items-center u-justify-content-space-between\"\u003E\n\u003Cdiv\u003EHiredate: \u0026HIREDATE.\u003Cbr\u003ESalary: \u0026SAL.\u003C\/div\u003E\n\u003Cdiv\u003E\u0026TAGS.\u003C\/div\u003E\n\u003C\/div\u003E",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA_POSITION": "a-CardView-media--body",',
  '"B_MEDIA_SIZING": "a-CardView-media--fit",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_CARD_CSS": "u-color-15",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_POSITION": "a-CardView-media--background",',
  '"F_MEDIA_SIZING": "a-CardView-media--cover",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--row",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600532471205111107)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600532585757111108)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600532651427111109)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600532815919111110)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600532907964111111)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600532978264111112)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600533083897111113)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600533200220111114)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600533343018111115)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600533441501111116)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600533468089111117)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6700469814139488934)
,p_plug_name=>'Float Style A'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600423529870167624)
,p_plug_name=>'Float Style Cards'
,p_parent_plug_id=>wwv_flow_imp.id(6700469814139488934)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>30
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA_POSITION": "a-CardView-media--body",',
  '"B_MEDIA_SIZING": "a-CardView-media--fit",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--first",',
  '"F_MEDIA_SIZING": "a-CardView-media--cover",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--float",',
  '"T_STYLE": "t-CardsRegion--styleA"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600423618290167625)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600423681051167626)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600423770632167627)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600423926145167628)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600424046001167629)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600424052547167630)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
end;
/
begin
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600424239552167631)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600424333335167632)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600424349421167633)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600424449555167634)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600424621791167635)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600490294649507613)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_imp.id(6700469814139488934)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--accent14:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(7234399537396657058)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Added CSS ',
'<pre>',
'.a-CardView-items--float .flip-card-inner {',
'    min-height: 320px;    ',
'}',
'</pre>'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6700469966610488935)
,p_plug_name=>'Float Style B'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>60
,p_include_in_reg_disp_sel_yn=>'Y'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600487713795507587)
,p_plug_name=>'Float Style Cards'
,p_parent_plug_id=>wwv_flow_imp.id(6700469966610488935)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>30
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_MEDIA_POSITION": "a-CardView-media--body",',
  '"B_MEDIA_SIZING": "a-CardView-media--fit",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--float",',
  '"T_STYLE": "t-CardsRegion--styleB"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600487758465507588)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600487859549507589)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600487961723507590)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600488092980507591)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600488166499507592)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600488290696507593)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600488425877507594)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600488519562507595)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600488614267507596)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600488654730507597)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600488761694507598)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6700470055276488936)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_imp.id(6700469966610488935)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--accent14:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(7234399537396657058)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Added CSS ',
'<pre>',
'.a-CardView-items--float .flip-card-inner {',
'    min-height: 320px;    ',
'}',
'.t-CardsRegion--styleB .has-icon--top .a-CardView-iconWrap .a-CardView-icon, ',
'.t-CardsRegion--styleB .has-icon--top .a-CardView-iconWrap .a-CardView-iconImg, ',
'.t-CardsRegion--styleB .has-icon--top .a-CardView-iconWrap .a-CardView-initials {',
'  width: unset!important;',
'}',
'</pre>'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6700470180801488937)
,p_plug_name=>'Float Style C'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>70
,p_include_in_reg_disp_sel_yn=>'Y'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600488977330507600)
,p_plug_name=>'Float Style C Cards'
,p_parent_plug_id=>wwv_flow_imp.id(6700470180801488937)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>30
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA_POSITION": "a-CardView-media--body",',
  '"B_MEDIA_SIZING": "a-CardView-media--fit",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--float",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600489051096507601)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600489172605507602)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600489293624507603)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600489355840507604)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600489533767507605)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600489614891507606)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600489679194507607)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600489806273507608)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600489875111507609)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600490045021507610)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600490064858507611)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6700470269760488938)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_imp.id(6700470180801488937)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--accent14:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(7234399537396657058)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Added CSS ',
'<pre>',
'.a-CardView-items--float .flip-card-inner {',
'    min-height: 320px;    ',
'}',
'.t-CardsRegion--styleC .a-CardView-items--float .flip-card-inner {',
'    min-width: 330px;    ',
'}',
'</pre>'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6700470300980488939)
,p_plug_name=>'Horizontal A'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>80
,p_include_in_reg_disp_sel_yn=>'Y'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6600490604429507616)
,p_plug_name=>'Horizontal A Cards'
,p_parent_plug_id=>wwv_flow_imp.id(6700470300980488939)
,p_region_css_classes=>'mxw800 margin-auto'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>30
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA_POSITION": "a-CardView-media--body",',
  '"B_MEDIA_SIZING": "a-CardView-media--fit",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_CARD_CSS": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--first",',
  '"F_MEDIA_SIZING": "a-CardView-media--cover",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--row",',
  '"T_STYLE": "t-CardsRegion--styleA"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600490693569507617)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600490788323507618)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600490926652507619)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600491038119507620)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600491070748507621)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600491188766507622)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600491333334507623)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600491352823507624)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600491459509507625)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600491587199507626)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6600491731300507627)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6700470460548488940)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_imp.id(6700470300980488939)
,p_region_css_classes=>'mxw800 margin-auto'
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--accent14:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(7234399537396657058)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Added CSS ',
'<pre>',
'.t-CardsRegion--styleA .a-CardView-items--row .a-CardView-media {',
'    min-width:200px;',
'    margin:0px;    ',
'}',
'',
'</pre>'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6700470618706488942)
,p_plug_name=>'No Data Found'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>200
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_where=>'1=2'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_plug_query_no_data_found=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Custom masage<br>',
'There is no data to be displayed.'))
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA_POSITION": "a-CardView-media--body",',
  '"B_MEDIA_SIZING": "a-CardView-media--fit",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.\n",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleA"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700470716752488943)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700470805189488944)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700470986529488945)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700471049501488946)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700471188338488947)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700471231797488948)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700471340157488949)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700471412905488950)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893735005658955701)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893735116917955702)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893735259297955703)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6600419991211167589)
,p_region_id=>wwv_flow_imp.id(6570252908844242528)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6600422077932167610)
,p_region_id=>wwv_flow_imp.id(6600420894902167598)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6600423360446167623)
,p_region_id=>wwv_flow_imp.id(6600422167420167611)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6600424737482167636)
,p_region_id=>wwv_flow_imp.id(6600423529870167624)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6600488930736507599)
,p_region_id=>wwv_flow_imp.id(6600487713795507587)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6600490165954507612)
,p_region_id=>wwv_flow_imp.id(6600488977330507600)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6600491809728507628)
,p_region_id=>wwv_flow_imp.id(6600490604429507616)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6600532274324111105)
,p_region_id=>wwv_flow_imp.id(6600531073727111093)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6600533595698111118)
,p_region_id=>wwv_flow_imp.id(6600532421183111106)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893735393047955704)
,p_region_id=>wwv_flow_imp.id(6700470618706488942)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
end;
/
prompt --application/pages/page_00030
begin
wwv_flow_imp_page.create_page(
 p_id=>30
,p_name=>'Effect'
,p_alias=>'EFFECT'
,p_step_title=>'&APP_NAME.'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_page_component_map=>'27'
,p_last_updated_by=>'ANDREJGR'
,p_last_upd_yyyymmddhh24miss=>'20231027130022'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6687531555439584101)
,p_plug_name=>'Card Click'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>true
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "click",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687531695173584102)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687531725895584103)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687531838260584104)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687531969682584105)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687532082523584106)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687532128506584107)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687532205411584108)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687532397132584109)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687532448380584110)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687532551502584111)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687532652658584112)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6687534138168584127)
,p_plug_name=>'Toggle'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6687532842133584114)
,p_plug_name=>'Toggle cards'
,p_region_name=>'toggle'
,p_parent_plug_id=>wwv_flow_imp.id(6687534138168584127)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>20
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "click",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687532987506584115)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687533059213584116)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687533158714584117)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687533202511584118)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687533315516584119)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687533410294584120)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687533539239584121)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687533663466584122)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687533707299584123)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687533880774584124)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687533905443584125)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6700470527641488941)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_imp.id(6687534138168584127)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--accent14:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(7234399537396657058)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'Test flipping all cards with a switch on the right side of the screen.<br>',
'You can use the following functions to flip all cards.',
'<pre>',
'All cards on page:',
'uc.FlipCard.setFlipOn(true);',
'uc.FlipCard.setFlipOn(false);',
'',
'Only specific region:',
'uc.FlipCard.setFlipOn(true, "#toggle");',
'uc.FlipCard.setFlipOn(false, "#toggle");',
'</pre>'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(13287941171495749165)
,p_plug_name=>'Card Hover'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(13287941299603749166)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(13287941367690749167)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(13287941512087749168)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(13287941561811749169)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(13287941657968749170)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(13287941795933749171)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(13287941942957749172)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(13287942017408749173)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(13287942052246749174)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(13287942248293749175)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(13287942278993749176)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(13288024442357507535)
,p_plug_name=>'Selector '
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--simple'
,p_plug_template=>wwv_flow_imp.id(7234421201011657042)
,p_plug_display_sequence=>10
,p_plug_source_type=>'NATIVE_DISPLAY_SELECTOR'
,p_attribute_01=>'STANDARD'
,p_attribute_02=>'N'
,p_attribute_03=>'SESSION'
,p_attribute_04=>'N'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6687534220559584128)
,p_name=>'P30_SWITCH'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(6700470527641488941)
,p_item_display_point=>'EDIT'
,p_prompt=>'Switch'
,p_display_as=>'NATIVE_YES_NO'
,p_field_template=>wwv_flow_imp.id(7234473992595656968)
,p_item_template_options=>'#DEFAULT#'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_da_event(
 p_id=>wwv_flow_imp.id(6687534387283584129)
,p_name=>'Change Switch'
,p_event_sequence=>10
,p_triggering_element_type=>'ITEM'
,p_triggering_element=>'P30_SWITCH'
,p_condition_element=>'P30_SWITCH'
,p_triggering_condition_type=>'EQUALS'
,p_triggering_expression=>'Y'
,p_bind_type=>'bind'
,p_execution_type=>'IMMEDIATE'
,p_bind_event_type=>'change'
);
wwv_flow_imp_page.create_page_da_action(
 p_id=>wwv_flow_imp.id(6687534424005584130)
,p_event_id=>wwv_flow_imp.id(6687534387283584129)
,p_event_result=>'TRUE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'uc.FlipCard.setFlipOn(true, "#toggle");'
);
wwv_flow_imp_page.create_page_da_action(
 p_id=>wwv_flow_imp.id(6687534505458584131)
,p_event_id=>wwv_flow_imp.id(6687534387283584129)
,p_event_result=>'FALSE'
,p_action_sequence=>10
,p_execute_on_page_init=>'Y'
,p_action=>'NATIVE_JAVASCRIPT_CODE'
,p_attribute_01=>'uc.FlipCard.setFlipOn(false, "#toggle");'
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6687532716713584113)
,p_region_id=>wwv_flow_imp.id(6687531555439584101)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6687534014722584126)
,p_region_id=>wwv_flow_imp.id(6687532842133584114)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(13287942364521749177)
,p_region_id=>wwv_flow_imp.id(13287941171495749165)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
end;
/
prompt --application/pages/page_00040
begin
wwv_flow_imp_page.create_page(
 p_id=>40
,p_name=>'Grid Columns'
,p_alias=>'GRID-COLUMNS'
,p_step_title=>'&APP_NAME.'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_page_component_map=>'27'
,p_last_updated_by=>'ANDREJGR'
,p_last_upd_yyyymmddhh24miss=>'20231027130022'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6687534624457584132)
,p_plug_name=>'5 Columns'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_GRID_COLUMN": "a-CardView-items--grid5col",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687534740288584133)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687534843310584134)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687534977531584135)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687535084030584136)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687535135215584137)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687535252534584138)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687535338684584139)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687535478458584140)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687535559772584141)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687535642525584142)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687535755770584143)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6687535910518584145)
,p_plug_name=>'4 Columns'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_GRID_COLUMN": "a-CardView-items--grid4col",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687536072654584146)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687536116036584147)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687536214928584148)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687536376690584149)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6687536446223584150)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700466526419488901)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700466696083488902)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700466724288488903)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700466870015488904)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700466999151488905)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700467025311488906)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6700467230353488908)
,p_plug_name=>'3 Columns'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_GRID_COLUMN": "a-CardView-items--grid3col",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700467374433488909)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700467449951488910)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700467593851488911)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700467692835488912)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700467703442488913)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700467819079488914)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700467911671488915)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700468021281488916)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700468153416488917)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700468259365488918)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700468378203488919)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6700468565569488921)
,p_plug_name=>'2 Columns'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>50
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_GRID_COLUMN": "a-CardView-items--grid2col",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700468628287488922)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700468755377488923)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700468863049488924)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700468905878488925)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700469086237488926)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700469168942488927)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700469288448488928)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700469346096488929)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700469493735488930)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700469503073488931)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6700469602834488932)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(19987259016961478043)
,p_plug_name=>'Automatic'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'Y'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(19987259145069478044)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(19987259213156478045)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(19987259357553478046)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(19987259407277478047)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(19987259503434478048)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(19987259641399478049)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(19987259788423478050)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(19987259862874478051)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(19987259897712478052)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(19987260093759478053)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(19987260124459478054)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(19988552083746002504)
,p_plug_name=>'Selector '
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--simple'
,p_plug_template=>wwv_flow_imp.id(7234421201011657042)
,p_plug_display_sequence=>5
,p_plug_source_type=>'NATIVE_DISPLAY_SELECTOR'
,p_attribute_01=>'STANDARD'
,p_attribute_02=>'N'
,p_attribute_03=>'SESSION'
,p_attribute_04=>'N'
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6687535891263584144)
,p_region_id=>wwv_flow_imp.id(6687534624457584132)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6700467141568488907)
,p_region_id=>wwv_flow_imp.id(6687535910518584145)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6700468489818488920)
,p_region_id=>wwv_flow_imp.id(6700467230353488908)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6700469702561488933)
,p_region_id=>wwv_flow_imp.id(6700468565569488921)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(19987260209987478055)
,p_region_id=>wwv_flow_imp.id(19987259016961478043)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
);
end;
/
prompt --application/pages/page_00050
begin
wwv_flow_imp_page.create_page(
 p_id=>50
,p_name=>'Actions'
,p_alias=>'ACTIONS'
,p_step_title=>'&APP_NAME.'
,p_autocomplete_on_off=>'OFF'
,p_page_template_options=>'#DEFAULT#'
,p_protection_level=>'C'
,p_page_component_map=>'27'
,p_last_updated_by=>'ANDREJGR'
,p_last_upd_yyyymmddhh24miss=>'20231027130022'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6893735502218955706)
,p_plug_name=>'Hover Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>20
,p_include_in_reg_disp_sel_yn=>'Y'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6893735660951955707)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_imp.id(6893735502218955706)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--accent14:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(7234399537396657058)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source=>wwv_flow_string.join(wwv_flow_t_varchar2(
'When using the "Hover" effect, makes no sense to use "Front Card buttons".<br>',
'But there is an additional option to use "Back Full Card Link" in case we want to trigger an action on a full card.'))
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(20190697941222836589)
,p_plug_name=>'Hover Buttons Example'
,p_parent_plug_id=>wwv_flow_imp.id(6893735502218955706)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>30
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "hover",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(20190698069330836590)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(20190698137417836591)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(20190698281814836592)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(20190698331538836593)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(20190698427695836594)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(20190698565660836595)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(20190698712684836596)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(20190698787135836597)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(20190698821973836598)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(20190699018020836599)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(20190699048720836600)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_session_state_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6893736136449955712)
,p_plug_name=>'Click Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>30
,p_include_in_reg_disp_sel_yn=>'Y'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6893736279251955713)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_imp.id(6893736136449955712)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--accent14:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(7234399537396657058)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source=>'When using the "Click" effect, makes no sense to use "Back Full Card Link" since with a click we flip the card.'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6893736364506955714)
,p_plug_name=>'Click Buttons Example'
,p_parent_plug_id=>wwv_flow_imp.id(6893736136449955712)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>30
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "click",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893736473932955715)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893736573933955716)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893736658182955717)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893736773917955718)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893736858908955719)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893736978168955720)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893737048455955721)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893737133870955722)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893737260821955723)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893737303836955724)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893737405916955725)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6893738573493955736)
,p_plug_name=>'Menu Buttons'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387039178657080)
,p_plug_display_sequence=>40
,p_include_in_reg_disp_sel_yn=>'Y'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6893738643931955737)
,p_plug_name=>'Info'
,p_parent_plug_id=>wwv_flow_imp.id(6893738573493955736)
,p_region_template_options=>'#DEFAULT#:is-expanded:t-Region--accent14:t-Region--scrollBody'
,p_plug_template=>wwv_flow_imp.id(7234399537396657058)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_plug_source=>'Instead of a "Button" template, you can also use a "Menu" and add multiple actions to it.'
,p_attribute_01=>'N'
,p_attribute_02=>'HTML'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6893738752085955738)
,p_plug_name=>'Menu Buttons Example'
,p_parent_plug_id=>wwv_flow_imp.id(6893738573493955736)
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234387187963657078)
,p_plug_display_sequence=>10
,p_plug_display_point=>'SUB_REGIONS'
,p_query_type=>'TABLE'
,p_query_table=>'UC_FLIP_CARD_EMP_V'
,p_query_order_by_type=>'STATIC'
,p_query_order_by=>'ENAME'
,p_include_rowid_column=>false
,p_template_component_type=>'REPORT'
,p_lazy_loading=>false
,p_plug_source_type=>'TMPL_UNITEDCODES_TC_FLIP_CARD'
,p_plug_query_num_rows_type=>'SCROLL'
,p_show_total_row_count=>false
,p_landmark_type=>'region'
,p_attributes=>wwv_flow_string.join_clob(wwv_flow_t_varchar2('{',
  '"B_BADGE_LABEL": "Department",',
  '"B_BADGE_VAL": "\u0026DEPTNO.",',
  '"B_BODY_MAIN": "Hiredate: \u0026HIREDATE.\u003Cbr\u003E\nSalary: \u0026SAL.\u003Cbr\u003E\nCommision: \u0026COMM.",',
  '"B_BODY_SUB": "\u0026TAGS.",',
  '"B_CARD_CSS": "u-color-11",',
  '"B_ICON_POSITION": "a-CardView-iconWrap--top",',
  '"B_ICON_SOURCE": "a-CardView-iconImg",',
  '"B_ICON_URL": "\u0026EMP_ICON.",',
  '"B_MEDIA": "\u0026DEPT_IMAGE.",',
  '"B_MEDIA_POSITION": "a-CardView-media--background ",',
  '"B_MEDIA_SIZING": "a-CardView-media--cover",',
  '"B_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"B_SUBTITLE": "\u0026JOB.",',
  '"B_TITLE": "\u0026ENAME.",',
  '"FLIP_CARD_ACTION": "click",',
  '"F_BADGE_VAL": "\u0026DEPTNO.",',
  '"F_ICON": "u-color-14",',
  '"F_ICON_POSITION": "a-CardView-iconWrap--start",',
  '"F_ICON_SOURCE": "a-CardView-iconImg",',
  '"F_ICON_URL": "\u0026EMP_ICON.",',
  '"F_MEDIA": "\u0026DEPT_IMAGE.",',
  '"F_MEDIA_APPEAR": "a-CardView-media--widescreen",',
  '"F_MEDIA_POSITION": "a-CardView-media--body",',
  '"F_MEDIA_SIZING": "a-CardView-media--fit",',
  '"F_MEDIA_SOURCE": "a-CardView-mediaImg",',
  '"F_SUBTITLE": "\u0026JOB.",',
  '"F_TITLE": "\u0026ENAME.",',
  '"T_LAYOUT": "a-CardView-items--grid",',
  '"T_STYLE": "t-CardsRegion--styleC"',
'}'))
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893738868332955739)
,p_name=>'EMPNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMPNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>10
,p_use_as_row_header=>false
,p_is_primary_key=>true
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893738983785955740)
,p_name=>'ENAME'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'ENAME'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>20
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893739091752955741)
,p_name=>'JOB'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'JOB'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>30
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893739177487955742)
,p_name=>'MGR'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'MGR'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>40
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893739268550955743)
,p_name=>'HIREDATE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'HIREDATE'
,p_data_type=>'DATE'
,p_display_sequence=>50
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893739379856955744)
,p_name=>'SAL'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'SAL'
,p_data_type=>'NUMBER'
,p_display_sequence=>60
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893739435390955745)
,p_name=>'COMM'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'COMM'
,p_data_type=>'NUMBER'
,p_display_sequence=>70
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893739599665955746)
,p_name=>'DEPTNO'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPTNO'
,p_data_type=>'NUMBER'
,p_display_sequence=>80
,p_lov_type=>'SHARED'
,p_lov_id=>wwv_flow_imp.id(6600416436909151149)
,p_lov_display_extra=>true
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893739619520955747)
,p_name=>'TAGS'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'TAGS'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>90
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893739747685955748)
,p_name=>'EMP_ICON'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'EMP_ICON'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>100
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_region_column(
 p_id=>wwv_flow_imp.id(6893739825495955749)
,p_name=>'DEPT_IMAGE'
,p_source_type=>'DB_COLUMN'
,p_source_expression=>'DEPT_IMAGE'
,p_data_type=>'VARCHAR2'
,p_display_sequence=>110
,p_use_as_row_header=>false
,p_is_primary_key=>false
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(20190819555266596809)
,p_plug_name=>'Selector '
,p_region_template_options=>'#DEFAULT#:t-TabsRegion-mod--simple'
,p_plug_template=>wwv_flow_imp.id(7234421201011657042)
,p_plug_display_sequence=>10
,p_plug_source_type=>'NATIVE_DISPLAY_SELECTOR'
,p_attribute_01=>'STANDARD'
,p_attribute_02=>'N'
,p_attribute_03=>'SESSION'
,p_attribute_04=>'N'
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893735787516955708)
,p_region_id=>wwv_flow_imp.id(20190697941222836589)
,p_position_id=>wwv_flow_imp.id(6966946881285830706)
,p_display_sequence=>40
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'Primary actiin'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
,p_button_display_type=>'TEXT'
,p_is_hot=>false
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893735859626955709)
,p_region_id=>wwv_flow_imp.id(20190697941222836589)
,p_position_id=>wwv_flow_imp.id(6964687841405569445)
,p_display_sequence=>50
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'Secondary action'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
,p_button_display_type=>'TEXT'
,p_is_hot=>false
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893735980699955710)
,p_region_id=>wwv_flow_imp.id(20190697941222836589)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893736049294955711)
,p_region_id=>wwv_flow_imp.id(20190697941222836589)
,p_position_id=>wwv_flow_imp.id(6933094997901132995)
,p_display_sequence=>60
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893737578506955726)
,p_region_id=>wwv_flow_imp.id(6893736364506955714)
,p_position_id=>wwv_flow_imp.id(6963810399319780613)
,p_display_sequence=>10
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893737611683955727)
,p_region_id=>wwv_flow_imp.id(6893736364506955714)
,p_position_id=>wwv_flow_imp.id(6963810399319780613)
,p_display_sequence=>30
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893737714487955728)
,p_region_id=>wwv_flow_imp.id(6893736364506955714)
,p_position_id=>wwv_flow_imp.id(6963784624784534236)
,p_display_sequence=>50
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'Primary actiin'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
,p_button_display_type=>'TEXT'
,p_is_hot=>false
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893737887242955729)
,p_region_id=>wwv_flow_imp.id(6893736364506955714)
,p_position_id=>wwv_flow_imp.id(6964429845353539697)
,p_display_sequence=>70
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'Secondary action'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
,p_button_display_type=>'TEXT'
,p_is_hot=>false
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893738169112955732)
,p_region_id=>wwv_flow_imp.id(6893736364506955714)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>20
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893738299356955733)
,p_region_id=>wwv_flow_imp.id(6893736364506955714)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>40
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893738367744955734)
,p_region_id=>wwv_flow_imp.id(6893736364506955714)
,p_position_id=>wwv_flow_imp.id(6966946881285830706)
,p_display_sequence=>60
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'Primary actiin'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
,p_button_display_type=>'TEXT'
,p_is_hot=>false
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6893738445681955735)
,p_region_id=>wwv_flow_imp.id(6893736364506955714)
,p_position_id=>wwv_flow_imp.id(6964687841405569445)
,p_display_sequence=>80
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'Secondary action'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
,p_button_display_type=>'TEXT'
,p_is_hot=>false
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6983058773435072901)
,p_region_id=>wwv_flow_imp.id(6893738752085955738)
,p_position_id=>wwv_flow_imp.id(6963810399319780613)
,p_display_sequence=>20
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6983058969295072903)
,p_region_id=>wwv_flow_imp.id(6893738752085955738)
,p_position_id=>wwv_flow_imp.id(6963810399319780613)
,p_display_sequence=>40
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6983059128928072905)
,p_region_id=>wwv_flow_imp.id(6893738752085955738)
,p_position_id=>wwv_flow_imp.id(6963784624784534236)
,p_display_sequence=>60
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'Primary actiin'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
,p_button_display_type=>'TEXT'
,p_is_hot=>false
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6983059327018072907)
,p_region_id=>wwv_flow_imp.id(6893738752085955738)
,p_position_id=>wwv_flow_imp.id(6964429845353539697)
,p_display_sequence=>80
,p_template_id=>wwv_flow_imp.id(6578368812262603020)
,p_label=>'Front Menu'
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6983060085878072914)
,p_region_id=>wwv_flow_imp.id(6893738752085955738)
,p_position_id=>wwv_flow_imp.id(6966946881285830706)
,p_display_sequence=>70
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'Primary actiin'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
,p_button_display_type=>'TEXT'
,p_is_hot=>false
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(6983060151831072915)
,p_region_id=>wwv_flow_imp.id(6893738752085955738)
,p_position_id=>wwv_flow_imp.id(6964687841405569445)
,p_display_sequence=>90
,p_template_id=>wwv_flow_imp.id(6578368812262603020)
,p_label=>'Back Menu'
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_NOT_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_component_action(
 p_id=>wwv_flow_imp.id(20190699134248836601)
,p_region_id=>wwv_flow_imp.id(20190697941222836589)
,p_position_id=>wwv_flow_imp.id(6967416559759592492)
,p_display_sequence=>20
,p_template_id=>wwv_flow_imp.id(6578368268839586836)
,p_label=>'View Details'
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:15:&SESSION.::&DEBUG.::P15_EMPNO:&EMPNO.'
,p_button_display_type=>'TEXT_WITH_ICON'
,p_icon_css_classes=>'fa-search'
,p_is_hot=>true
,p_show_as_disabled=>false
,p_condition_type=>'VAL_OF_ITEM_IN_COND_EQ_COND2'
,p_condition_expr1=>'DEPTNO'
,p_condition_expr2=>'SALES'
,p_exec_cond_for_each_row=>true
);
wwv_flow_imp_page.create_comp_menu_entry(
 p_id=>wwv_flow_imp.id(6983059798771072911)
,p_component_action_id=>wwv_flow_imp.id(6983059327018072907)
,p_menu_entry_type=>'ENTRY'
,p_label=>'Menu Action 1'
,p_display_sequence=>10
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
);
wwv_flow_imp_page.create_comp_menu_entry(
 p_id=>wwv_flow_imp.id(6983059836854072912)
,p_component_action_id=>wwv_flow_imp.id(6983059327018072907)
,p_menu_entry_type=>'ENTRY'
,p_label=>'Menu Action 2'
,p_display_sequence=>20
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
);
wwv_flow_imp_page.create_comp_menu_entry(
 p_id=>wwv_flow_imp.id(6983059906019072913)
,p_component_action_id=>wwv_flow_imp.id(6983059327018072907)
,p_menu_entry_type=>'ENTRY'
,p_label=>'Menu Action 3'
,p_display_sequence=>30
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
);
wwv_flow_imp_page.create_comp_menu_entry(
 p_id=>wwv_flow_imp.id(6983060218664072916)
,p_component_action_id=>wwv_flow_imp.id(6983060151831072915)
,p_menu_entry_type=>'ENTRY'
,p_label=>'Menu Action 1'
,p_display_sequence=>10
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
);
wwv_flow_imp_page.create_comp_menu_entry(
 p_id=>wwv_flow_imp.id(6983060356833072917)
,p_component_action_id=>wwv_flow_imp.id(6983060151831072915)
,p_menu_entry_type=>'ENTRY'
,p_label=>'Menu Action 2'
,p_display_sequence=>20
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
);
end;
/
begin
wwv_flow_imp_page.create_comp_menu_entry(
 p_id=>wwv_flow_imp.id(6983060465117072918)
,p_component_action_id=>wwv_flow_imp.id(6983060151831072915)
,p_menu_entry_type=>'ENTRY'
,p_label=>'Menu Action 3'
,p_display_sequence=>30
,p_link_target_type=>'REDIRECT_PAGE'
,p_link_target=>'f?p=&APP_ID.:50:&SESSION.::&DEBUG.:::'
);
null;
end;
/
prompt --application/pages/page_00101
begin
wwv_flow_imp_page.create_page(
 p_id=>101
,p_name=>'Login Page'
,p_alias=>'LOGIN_DESKTOP'
,p_step_title=>'(United Codes) List Extension - Log In'
,p_warn_on_unsaved_changes=>'N'
,p_first_item=>'AUTO_FIRST_ITEM'
,p_autocomplete_on_off=>'OFF'
,p_step_template=>wwv_flow_imp.id(7234365775712657118)
,p_page_template_options=>'#DEFAULT#'
,p_page_is_public_y_n=>'Y'
,p_page_component_map=>'12'
,p_last_updated_by=>'ADMIN'
,p_last_upd_yyyymmddhh24miss=>'20231002123946'
);
wwv_flow_imp_page.create_page_plug(
 p_id=>wwv_flow_imp.id(6800971507173596372)
,p_plug_name=>'(United Codes) List Extension - Log In'
,p_icon_css_classes=>'fa-sign-in'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_imp.id(7234413107139657048)
,p_plug_display_sequence=>10
,p_attribute_01=>'N'
,p_attribute_02=>'TEXT'
,p_attribute_03=>'Y'
);
wwv_flow_imp_page.create_page_button(
 p_id=>wwv_flow_imp.id(6800973608105596367)
,p_button_sequence=>40
,p_button_plug_id=>wwv_flow_imp.id(6800971507173596372)
,p_button_name=>'LOGIN'
,p_button_action=>'SUBMIT'
,p_button_template_options=>'#DEFAULT#'
,p_button_template_id=>wwv_flow_imp.id(7234475091651656963)
,p_button_is_hot=>'Y'
,p_button_image_alt=>'Log In'
,p_button_position=>'NEXT'
,p_button_alignment=>'LEFT'
,p_grid_new_row=>'Y'
,p_grid_new_column=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6800971886845596371)
,p_name=>'P101_USERNAME'
,p_item_sequence=>10
,p_item_plug_id=>wwv_flow_imp.id(6800971507173596372)
,p_prompt=>'Username'
,p_placeholder=>'Username'
,p_display_as=>'NATIVE_TEXT_FIELD'
,p_cSize=>40
,p_cMaxlength=>100
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(7234473702937656970)
,p_item_icon_css_classes=>'fa-user'
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'N'
,p_attribute_02=>'N'
,p_attribute_03=>'N'
,p_attribute_04=>'TEXT'
,p_attribute_05=>'NONE'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6800972281830596370)
,p_name=>'P101_PASSWORD'
,p_item_sequence=>20
,p_item_plug_id=>wwv_flow_imp.id(6800971507173596372)
,p_prompt=>'Password'
,p_placeholder=>'Password'
,p_display_as=>'NATIVE_PASSWORD'
,p_cSize=>40
,p_cMaxlength=>100
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(7234473702937656970)
,p_item_icon_css_classes=>'fa-key'
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'Y'
);
wwv_flow_imp_page.create_page_item(
 p_id=>wwv_flow_imp.id(6800972674626596368)
,p_name=>'P101_REMEMBER'
,p_item_sequence=>30
,p_item_plug_id=>wwv_flow_imp.id(6800971507173596372)
,p_prompt=>'Remember username'
,p_display_as=>'NATIVE_CHECKBOX'
,p_named_lov=>'LOGIN_REMEMBER_USERNAME'
,p_lov=>'.'||wwv_flow_imp.id(7234502628629656782)||'.'
,p_label_alignment=>'RIGHT'
,p_field_template=>wwv_flow_imp.id(7234473702937656970)
,p_item_template_options=>'#DEFAULT#'
,p_is_persistent=>'N'
,p_lov_display_extra=>'NO'
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>',
'If you select this checkbox, the application will save your username in a persistent browser cookie named "LOGIN_USERNAME_COOKIE".',
'When you go to the login page the next time,',
'the username field will be automatically populated with this value.',
'</p>',
'<p>',
'If you deselect this checkbox and your username is already saved in the cookie,',
'the application will overwrite it with an empty value.',
'You can also use your browser''s developer tools to completely remove the cookie.',
'</p>'))
,p_encrypt_session_state_yn=>'N'
,p_attribute_01=>'1'
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(6800974382768596366)
,p_process_sequence=>10
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Set Username Cookie'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.send_login_username_cookie (',
'    p_username => lower(:P101_USERNAME),',
'    p_consent  => :P101_REMEMBER = ''Y'' );'))
,p_process_clob_language=>'PLSQL'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_internal_uid=>232623825996080347
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(6800973973681596366)
,p_process_sequence=>20
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Login'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'apex_authentication.login(',
'    p_username => :P101_USERNAME,',
'    p_password => :P101_PASSWORD );'))
,p_process_clob_language=>'PLSQL'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_internal_uid=>232623416909080347
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(6800975222078596365)
,p_process_sequence=>30
,p_process_point=>'AFTER_SUBMIT'
,p_process_type=>'NATIVE_SESSION_STATE'
,p_process_name=>'Clear Page(s) Cache'
,p_attribute_01=>'CLEAR_CACHE_CURRENT_PAGE'
,p_error_display_location=>'INLINE_IN_NOTIFICATION'
,p_internal_uid=>232624665306080346
);
wwv_flow_imp_page.create_page_process(
 p_id=>wwv_flow_imp.id(6800974810995596365)
,p_process_sequence=>10
,p_process_point=>'BEFORE_HEADER'
,p_process_type=>'NATIVE_PLSQL'
,p_process_name=>'Get Username Cookie'
,p_process_sql_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
':P101_USERNAME := apex_authentication.get_login_username_cookie;',
':P101_REMEMBER := case when :P101_USERNAME is not null then ''Y'' end;'))
,p_process_clob_language=>'PLSQL'
,p_internal_uid=>232624254223080346
);
end;
/
prompt --application/deployment/definition
begin
wwv_flow_imp_shared.create_install(
 p_id=>wwv_flow_imp.id(6472946835334426525)
,p_deinstall_script_clob=>'drop view UC_FLIP_CARD_EMP_V;'
);
end;
/
prompt --application/deployment/install/install_view_on_eba_demo_card_emp
begin
wwv_flow_imp_shared.create_install_script(
 p_id=>wwv_flow_imp.id(6474112113735187825)
,p_install_id=>wwv_flow_imp.id(6472946835334426525)
,p_name=>'view_on_eba_demo_card_emp'
,p_sequence=>10
,p_script_type=>'INSTALL'
,p_script_clob=>wwv_flow_string.join(wwv_flow_t_varchar2(
'create or replace view UC_FLIP_CARD_EMP_V as',
'select EMPNO,',
'       ENAME,',
'       JOB,',
'       (SELECT ENAME FROM EBA_DEMO_CARD_EMP WHERE EMPNO = ce.MGR) MGR,',
'       HIREDATE,',
'       SAL,',
'       COMM,',
'       DEPTNO,',
'       TAGS,',
'       CASE WHEN ENAME IN (''THEA'', ''DIANA'', ''SARITA'', ''SUSAN'', ''MEE'', ''SARI'') ',
'       THEN ',
'            ''#APP_FILES#emp_female.png''',
'       ELSE ',
'            ''#APP_FILES#emp_male.png''',
'       END AS EMP_ICON,',
'       CASE WHEN DEPTNO = 10 THEN ''#APP_FILES#emp_accounting.jpg''',
'            WHEN DEPTNO = 20 THEN ''#APP_FILES#emp_research.jpg''    ',
'            WHEN DEPTNO = 30 THEN ''#APP_FILES#emp_sales.jpg''',
'            WHEN DEPTNO = 40 THEN ''#APP_FILES#emp_operations.jpg''',
'        END AS DEPT_IMAGE    ',
'  from EBA_DEMO_CARD_EMP ce;'))
);
end;
/
prompt --application/deployment/checks
begin
null;
end;
/
prompt --application/deployment/buildoptions
begin
null;
end;
/
prompt --application/end_environment
begin
wwv_flow_imp.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
